package androidx.appcompat.graphics.drawable;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.StateSet;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.appcompat.graphics.drawable.b;
import androidx.appcompat.resources.R;
import androidx.appcompat.widget.v;
import androidx.core.content.res.h;
import java.io.IOException;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

@SuppressLint({"RestrictedAPI"})
@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: StateListDrawable */
class d extends b {
    private static final String V0 = "StateListDrawable";
    private static final boolean W0 = false;
    private a X0;
    private boolean Y0;

    /* access modifiers changed from: package-private */
    /* compiled from: StateListDrawable */
    public static class a extends b.c {
        int[][] J;

        a(a aVar, d dVar, Resources resources) {
            super(aVar, dVar, resources);
            if (aVar != null) {
                this.J = aVar.J;
            } else {
                this.J = new int[g()][];
            }
        }

        /* access modifiers changed from: package-private */
        public int D(int[] iArr, Drawable drawable) {
            int a2 = a(drawable);
            this.J[a2] = iArr;
            return a2;
        }

        /* access modifiers changed from: package-private */
        public int E(int[] iArr) {
            int[][] iArr2 = this.J;
            int i = i();
            for (int i2 = 0; i2 < i; i2++) {
                if (StateSet.stateSetMatches(iArr2[i2], iArr)) {
                    return i2;
                }
            }
            return -1;
        }

        @NonNull
        public Drawable newDrawable() {
            return new d(this, null);
        }

        @Override // androidx.appcompat.graphics.drawable.b.c
        public void r(int i, int i2) {
            super.r(i, i2);
            int[][] iArr = new int[i2][];
            System.arraycopy(this.J, 0, iArr, 0, i);
            this.J = iArr;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.appcompat.graphics.drawable.b.c
        public void v() {
            int[][] iArr = this.J;
            int[][] iArr2 = new int[iArr.length][];
            for (int length = iArr.length - 1; length >= 0; length--) {
                int[][] iArr3 = this.J;
                iArr2[length] = iArr3[length] != null ? (int[]) iArr3[length].clone() : null;
            }
            this.J = iArr2;
        }

        @NonNull
        public Drawable newDrawable(Resources resources) {
            return new d(this, resources);
        }
    }

    d() {
        this(null, null);
    }

    private void w(Context context, Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        int next;
        a aVar = this.X0;
        int depth = xmlPullParser.getDepth() + 1;
        while (true) {
            int next2 = xmlPullParser.next();
            if (next2 != 1) {
                int depth2 = xmlPullParser.getDepth();
                if (depth2 < depth && next2 == 3) {
                    return;
                }
                if (next2 == 2 && depth2 <= depth && xmlPullParser.getName().equals("item")) {
                    TypedArray s = h.s(resources, theme, attributeSet, R.styleable.StateListDrawableItem);
                    Drawable drawable = null;
                    int resourceId = s.getResourceId(R.styleable.StateListDrawableItem_android_drawable, -1);
                    if (resourceId > 0) {
                        drawable = v.h().j(context, resourceId);
                    }
                    s.recycle();
                    int[] p = p(attributeSet);
                    if (drawable == null) {
                        do {
                            next = xmlPullParser.next();
                        } while (next == 4);
                        if (next != 2) {
                            throw new XmlPullParserException(xmlPullParser.getPositionDescription() + ": <item> tag requires a 'drawable' attribute or child tag defining a drawable");
                        } else if (Build.VERSION.SDK_INT >= 21) {
                            drawable = Drawable.createFromXmlInner(resources, xmlPullParser, attributeSet, theme);
                        } else {
                            drawable = Drawable.createFromXmlInner(resources, xmlPullParser, attributeSet);
                        }
                    }
                    aVar.D(p, drawable);
                }
            } else {
                return;
            }
        }
    }

    private void x(TypedArray typedArray) {
        a aVar = this.X0;
        if (Build.VERSION.SDK_INT >= 21) {
            aVar.f270d |= typedArray.getChangingConfigurations();
        }
        aVar.i = typedArray.getBoolean(R.styleable.StateListDrawable_android_variablePadding, aVar.i);
        aVar.l = typedArray.getBoolean(R.styleable.StateListDrawable_android_constantSize, aVar.l);
        aVar.A = typedArray.getInt(R.styleable.StateListDrawable_android_enterFadeDuration, aVar.A);
        aVar.B = typedArray.getInt(R.styleable.StateListDrawable_android_exitFadeDuration, aVar.B);
        aVar.x = typedArray.getBoolean(R.styleable.StateListDrawable_android_dither, aVar.x);
    }

    @Override // androidx.appcompat.graphics.drawable.b
    @RequiresApi(21)
    public void applyTheme(@NonNull Resources.Theme theme) {
        super.applyTheme(theme);
        onStateChange(getState());
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.appcompat.graphics.drawable.b
    public void b() {
        super.b();
        this.Y0 = false;
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.appcompat.graphics.drawable.b
    public void i(@NonNull b.c cVar) {
        super.i(cVar);
        if (cVar instanceof a) {
            this.X0 = (a) cVar;
        }
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public boolean isStateful() {
        return true;
    }

    @Override // androidx.appcompat.graphics.drawable.b
    @NonNull
    public Drawable mutate() {
        if (!this.Y0 && super.mutate() == this) {
            this.X0.v();
            this.Y0 = true;
        }
        return this;
    }

    public void n(int[] iArr, Drawable drawable) {
        if (drawable != null) {
            this.X0.D(iArr, drawable);
            onStateChange(getState());
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: o */
    public a c() {
        return new a(this.X0, this, null);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.graphics.drawable.b
    public boolean onStateChange(int[] iArr) {
        boolean onStateChange = super.onStateChange(iArr);
        int E = this.X0.E(iArr);
        if (E < 0) {
            E = this.X0.E(StateSet.WILD_CARD);
        }
        return h(E) || onStateChange;
    }

    /* access modifiers changed from: package-private */
    public int[] p(AttributeSet attributeSet) {
        int attributeCount = attributeSet.getAttributeCount();
        int[] iArr = new int[attributeCount];
        int i = 0;
        for (int i2 = 0; i2 < attributeCount; i2++) {
            int attributeNameResource = attributeSet.getAttributeNameResource(i2);
            if (!(attributeNameResource == 0 || attributeNameResource == 16842960 || attributeNameResource == 16843161)) {
                int i3 = i + 1;
                if (!attributeSet.getAttributeBooleanValue(i2, false)) {
                    attributeNameResource = -attributeNameResource;
                }
                iArr[i] = attributeNameResource;
                i = i3;
            }
        }
        return StateSet.trimStateSet(iArr, i);
    }

    /* access modifiers changed from: package-private */
    public int q() {
        return this.X0.i();
    }

    /* access modifiers changed from: package-private */
    public Drawable r(int i) {
        return this.X0.h(i);
    }

    /* access modifiers changed from: package-private */
    public int s(int[] iArr) {
        return this.X0.E(iArr);
    }

    /* access modifiers changed from: package-private */
    public a t() {
        return this.X0;
    }

    /* access modifiers changed from: package-private */
    public int[] u(int i) {
        return this.X0.J[i];
    }

    public void v(@NonNull Context context, @NonNull Resources resources, @NonNull XmlPullParser xmlPullParser, @NonNull AttributeSet attributeSet, @Nullable Resources.Theme theme) throws XmlPullParserException, IOException {
        TypedArray s = h.s(resources, theme, attributeSet, R.styleable.StateListDrawable);
        setVisible(s.getBoolean(R.styleable.StateListDrawable_android_visible, true), true);
        x(s);
        m(resources);
        s.recycle();
        w(context, resources, xmlPullParser, attributeSet, theme);
        onStateChange(getState());
    }

    d(a aVar, Resources resources) {
        i(new a(aVar, this, resources));
        onStateChange(getState());
    }

    d(@Nullable a aVar) {
        if (aVar != null) {
            i(aVar);
        }
    }
}
