package androidx.appcompat.view.menu;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.SparseArray;
import android.view.ContextMenu;
import android.view.KeyCharacterMap;
import android.view.KeyEvent;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import android.view.ViewConfiguration;
import androidx.annotation.NonNull;
import androidx.annotation.RestrictTo;
import androidx.core.content.d;
import androidx.core.view.ActionProvider;
import androidx.core.view.ViewConfigurationCompat;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: MenuBuilder */
public class f implements androidx.core.d.b.a {
    private static final String l = "MenuBuilder";
    private static final String m = "android:menu:presenters";
    private static final String n = "android:menu:actionviewstates";
    private static final String o = "android:menu:expandedactionview";
    private static final int[] p = {1, 4, 5, 3, 2, 0};
    private boolean A;
    private int B = 0;
    private ContextMenu.ContextMenuInfo C;
    CharSequence D;
    Drawable E;
    View F;
    private boolean G = false;
    private boolean H = false;
    private boolean I = false;
    private boolean J = false;
    private boolean K = false;
    private ArrayList<i> L = new ArrayList<>();
    private CopyOnWriteArrayList<WeakReference<m>> M = new CopyOnWriteArrayList<>();
    private i N;
    private boolean O = false;
    private boolean P;
    private final Context q;
    private final Resources r;
    private boolean s;
    private boolean t;
    private a u;
    private ArrayList<i> v;
    private ArrayList<i> w;
    private boolean x;
    private ArrayList<i> y;
    private ArrayList<i> z;

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    /* compiled from: MenuBuilder */
    public interface a {
        boolean a(@NonNull f fVar, @NonNull MenuItem menuItem);

        void b(@NonNull f fVar);
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    /* compiled from: MenuBuilder */
    public interface b {
        boolean a(i iVar);
    }

    public f(Context context) {
        this.q = context;
        this.r = context.getResources();
        this.v = new ArrayList<>();
        this.w = new ArrayList<>();
        this.x = true;
        this.y = new ArrayList<>();
        this.z = new ArrayList<>();
        this.A = true;
        k0(true);
    }

    private static int E(int i) {
        int i2 = (-65536 & i) >> 16;
        if (i2 >= 0) {
            int[] iArr = p;
            if (i2 < iArr.length) {
                return (i & 65535) | (iArr[i2] << 16);
            }
        }
        throw new IllegalArgumentException("order does not contain a valid category.");
    }

    private void R(int i, boolean z2) {
        if (i >= 0 && i < this.v.size()) {
            this.v.remove(i);
            if (z2) {
                N(true);
            }
        }
    }

    private void d0(int i, CharSequence charSequence, int i2, Drawable drawable, View view) {
        Resources F2 = F();
        if (view != null) {
            this.F = view;
            this.D = null;
            this.E = null;
        } else {
            if (i > 0) {
                this.D = F2.getText(i);
            } else if (charSequence != null) {
                this.D = charSequence;
            }
            if (i2 > 0) {
                this.E = d.i(x(), i2);
            } else if (drawable != null) {
                this.E = drawable;
            }
            this.F = null;
        }
        N(false);
    }

    private i h(int i, int i2, int i3, int i4, CharSequence charSequence, int i5) {
        return new i(this, i, i2, i3, i4, charSequence, i5);
    }

    private void j(boolean z2) {
        if (!this.M.isEmpty()) {
            m0();
            Iterator<WeakReference<m>> it = this.M.iterator();
            while (it.hasNext()) {
                WeakReference<m> next = it.next();
                m mVar = next.get();
                if (mVar == null) {
                    this.M.remove(next);
                } else {
                    mVar.g(z2);
                }
            }
            l0();
        }
    }

    private void k(Bundle bundle) {
        Parcelable parcelable;
        SparseArray sparseParcelableArray = bundle.getSparseParcelableArray(m);
        if (sparseParcelableArray != null && !this.M.isEmpty()) {
            Iterator<WeakReference<m>> it = this.M.iterator();
            while (it.hasNext()) {
                WeakReference<m> next = it.next();
                m mVar = next.get();
                if (mVar == null) {
                    this.M.remove(next);
                } else {
                    int a2 = mVar.a();
                    if (a2 > 0 && (parcelable = (Parcelable) sparseParcelableArray.get(a2)) != null) {
                        mVar.e(parcelable);
                    }
                }
            }
        }
    }

    private void k0(boolean z2) {
        boolean z3 = true;
        if (!z2 || this.r.getConfiguration().keyboard == 1 || !ViewConfigurationCompat.shouldShowMenuShortcutsWhenKeyboardPresent(ViewConfiguration.get(this.q), this.q)) {
            z3 = false;
        }
        this.t = z3;
    }

    private void l(Bundle bundle) {
        Parcelable f;
        if (!this.M.isEmpty()) {
            SparseArray<? extends Parcelable> sparseArray = new SparseArray<>();
            Iterator<WeakReference<m>> it = this.M.iterator();
            while (it.hasNext()) {
                WeakReference<m> next = it.next();
                m mVar = next.get();
                if (mVar == null) {
                    this.M.remove(next);
                } else {
                    int a2 = mVar.a();
                    if (a2 > 0 && (f = mVar.f()) != null) {
                        sparseArray.put(a2, f);
                    }
                }
            }
            bundle.putSparseParcelableArray(m, sparseArray);
        }
    }

    private boolean m(r rVar, m mVar) {
        boolean z2 = false;
        if (this.M.isEmpty()) {
            return false;
        }
        if (mVar != null) {
            z2 = mVar.n(rVar);
        }
        Iterator<WeakReference<m>> it = this.M.iterator();
        while (it.hasNext()) {
            WeakReference<m> next = it.next();
            m mVar2 = next.get();
            if (mVar2 == null) {
                this.M.remove(next);
            } else if (!z2) {
                z2 = mVar2.n(rVar);
            }
        }
        return z2;
    }

    private static int q(ArrayList<i> arrayList, int i) {
        for (int size = arrayList.size() - 1; size >= 0; size--) {
            if (arrayList.get(size).i() <= i) {
                return size + 1;
            }
        }
        return 0;
    }

    public CharSequence A() {
        return this.D;
    }

    public View B() {
        return this.F;
    }

    public ArrayList<i> C() {
        u();
        return this.z;
    }

    /* access modifiers changed from: package-private */
    public boolean D() {
        return this.J;
    }

    /* access modifiers changed from: package-private */
    public Resources F() {
        return this.r;
    }

    public f G() {
        return this;
    }

    @NonNull
    public ArrayList<i> H() {
        if (!this.x) {
            return this.w;
        }
        this.w.clear();
        int size = this.v.size();
        for (int i = 0; i < size; i++) {
            i iVar = this.v.get(i);
            if (iVar.isVisible()) {
                this.w.add(iVar);
            }
        }
        this.x = false;
        this.A = true;
        return this.w;
    }

    public boolean I() {
        return this.O;
    }

    /* access modifiers changed from: package-private */
    public boolean J() {
        return this.s;
    }

    public boolean K() {
        return this.t;
    }

    /* access modifiers changed from: package-private */
    public void L(i iVar) {
        this.A = true;
        N(true);
    }

    /* access modifiers changed from: package-private */
    public void M(i iVar) {
        this.x = true;
        N(true);
    }

    public void N(boolean z2) {
        if (!this.G) {
            if (z2) {
                this.x = true;
                this.A = true;
            }
            j(z2);
            return;
        }
        this.H = true;
        if (z2) {
            this.I = true;
        }
    }

    public boolean O(MenuItem menuItem, int i) {
        return P(menuItem, null, i);
    }

    public boolean P(MenuItem menuItem, m mVar, int i) {
        i iVar = (i) menuItem;
        if (iVar == null || !iVar.isEnabled()) {
            return false;
        }
        boolean n2 = iVar.n();
        ActionProvider b2 = iVar.b();
        boolean z2 = b2 != null && b2.hasSubMenu();
        if (iVar.m()) {
            n2 |= iVar.expandActionView();
            if (n2) {
                f(true);
            }
        } else if (iVar.hasSubMenu() || z2) {
            if ((i & 4) == 0) {
                f(false);
            }
            if (!iVar.hasSubMenu()) {
                iVar.A(new r(x(), this, iVar));
            }
            r rVar = (r) iVar.getSubMenu();
            if (z2) {
                b2.onPrepareSubMenu(rVar);
            }
            n2 |= m(rVar, mVar);
            if (!n2) {
                f(true);
            }
        } else if ((i & 1) == 0) {
            f(true);
        }
        return n2;
    }

    public void Q(int i) {
        R(i, true);
    }

    public void S(m mVar) {
        Iterator<WeakReference<m>> it = this.M.iterator();
        while (it.hasNext()) {
            WeakReference<m> next = it.next();
            m mVar2 = next.get();
            if (mVar2 == null || mVar2 == mVar) {
                this.M.remove(next);
            }
        }
    }

    public void T(Bundle bundle) {
        MenuItem findItem;
        if (bundle != null) {
            SparseArray<Parcelable> sparseParcelableArray = bundle.getSparseParcelableArray(w());
            int size = size();
            for (int i = 0; i < size; i++) {
                MenuItem item = getItem(i);
                View actionView = item.getActionView();
                if (!(actionView == null || actionView.getId() == -1)) {
                    actionView.restoreHierarchyState(sparseParcelableArray);
                }
                if (item.hasSubMenu()) {
                    ((r) item.getSubMenu()).T(bundle);
                }
            }
            int i2 = bundle.getInt(o);
            if (i2 > 0 && (findItem = findItem(i2)) != null) {
                findItem.expandActionView();
            }
        }
    }

    public void U(Bundle bundle) {
        k(bundle);
    }

    public void V(Bundle bundle) {
        int size = size();
        SparseArray<? extends Parcelable> sparseArray = null;
        for (int i = 0; i < size; i++) {
            MenuItem item = getItem(i);
            View actionView = item.getActionView();
            if (!(actionView == null || actionView.getId() == -1)) {
                if (sparseArray == null) {
                    sparseArray = new SparseArray<>();
                }
                actionView.saveHierarchyState(sparseArray);
                if (item.isActionViewExpanded()) {
                    bundle.putInt(o, item.getItemId());
                }
            }
            if (item.hasSubMenu()) {
                ((r) item.getSubMenu()).V(bundle);
            }
        }
        if (sparseArray != null) {
            bundle.putSparseParcelableArray(w(), sparseArray);
        }
    }

    public void W(Bundle bundle) {
        l(bundle);
    }

    public void X(a aVar) {
        this.u = aVar;
    }

    public void Y(ContextMenu.ContextMenuInfo contextMenuInfo) {
        this.C = contextMenuInfo;
    }

    public f Z(int i) {
        this.B = i;
        return this;
    }

    /* access modifiers changed from: protected */
    public MenuItem a(int i, int i2, int i3, CharSequence charSequence) {
        int E2 = E(i3);
        i h = h(i, i2, i3, E2, charSequence, this.B);
        ContextMenu.ContextMenuInfo contextMenuInfo = this.C;
        if (contextMenuInfo != null) {
            h.y(contextMenuInfo);
        }
        ArrayList<i> arrayList = this.v;
        arrayList.add(q(arrayList, E2), h);
        N(true);
        return h;
    }

    /* access modifiers changed from: package-private */
    public void a0(MenuItem menuItem) {
        int groupId = menuItem.getGroupId();
        int size = this.v.size();
        m0();
        for (int i = 0; i < size; i++) {
            i iVar = this.v.get(i);
            if (iVar.getGroupId() == groupId && iVar.p() && iVar.isCheckable()) {
                iVar.v(iVar == menuItem);
            }
        }
        l0();
    }

    @Override // android.view.Menu
    public MenuItem add(CharSequence charSequence) {
        return a(0, 0, 0, charSequence);
    }

    public int addIntentOptions(int i, int i2, int i3, ComponentName componentName, Intent[] intentArr, Intent intent, int i4, MenuItem[] menuItemArr) {
        int i5;
        PackageManager packageManager = this.q.getPackageManager();
        List<ResolveInfo> queryIntentActivityOptions = packageManager.queryIntentActivityOptions(componentName, intentArr, intent, 0);
        int size = queryIntentActivityOptions != null ? queryIntentActivityOptions.size() : 0;
        if ((i4 & 1) == 0) {
            removeGroup(i);
        }
        for (int i6 = 0; i6 < size; i6++) {
            ResolveInfo resolveInfo = queryIntentActivityOptions.get(i6);
            int i7 = resolveInfo.specificIndex;
            Intent intent2 = new Intent(i7 < 0 ? intent : intentArr[i7]);
            ActivityInfo activityInfo = resolveInfo.activityInfo;
            intent2.setComponent(new ComponentName(activityInfo.applicationInfo.packageName, activityInfo.name));
            MenuItem intent3 = add(i, i2, i3, resolveInfo.loadLabel(packageManager)).setIcon(resolveInfo.loadIcon(packageManager)).setIntent(intent2);
            if (menuItemArr != null && (i5 = resolveInfo.specificIndex) >= 0) {
                menuItemArr[i5] = intent3;
            }
        }
        return size;
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(CharSequence charSequence) {
        return addSubMenu(0, 0, 0, charSequence);
    }

    public void b(m mVar) {
        c(mVar, this.q);
    }

    /* access modifiers changed from: protected */
    public f b0(int i) {
        d0(0, null, i, null, null);
        return this;
    }

    public void c(m mVar, Context context) {
        this.M.add(new WeakReference<>(mVar));
        mVar.l(context, this);
        this.A = true;
    }

    /* access modifiers changed from: protected */
    public f c0(Drawable drawable) {
        d0(0, null, 0, drawable, null);
        return this;
    }

    public void clear() {
        i iVar = this.N;
        if (iVar != null) {
            g(iVar);
        }
        this.v.clear();
        N(true);
    }

    public void clearHeader() {
        this.E = null;
        this.D = null;
        this.F = null;
        N(false);
    }

    public void close() {
        f(true);
    }

    public void d() {
        a aVar = this.u;
        if (aVar != null) {
            aVar.b(this);
        }
    }

    public void e() {
        this.G = true;
        clear();
        clearHeader();
        this.M.clear();
        this.G = false;
        this.H = false;
        this.I = false;
        N(true);
    }

    /* access modifiers changed from: protected */
    public f e0(int i) {
        d0(i, null, 0, null, null);
        return this;
    }

    public final void f(boolean z2) {
        if (!this.K) {
            this.K = true;
            Iterator<WeakReference<m>> it = this.M.iterator();
            while (it.hasNext()) {
                WeakReference<m> next = it.next();
                m mVar = next.get();
                if (mVar == null) {
                    this.M.remove(next);
                } else {
                    mVar.d(this, z2);
                }
            }
            this.K = false;
        }
    }

    /* access modifiers changed from: protected */
    public f f0(CharSequence charSequence) {
        d0(0, charSequence, 0, null, null);
        return this;
    }

    public MenuItem findItem(int i) {
        MenuItem findItem;
        int size = size();
        for (int i2 = 0; i2 < size; i2++) {
            i iVar = this.v.get(i2);
            if (iVar.getItemId() == i) {
                return iVar;
            }
            if (iVar.hasSubMenu() && (findItem = iVar.getSubMenu().findItem(i)) != null) {
                return findItem;
            }
        }
        return null;
    }

    public boolean g(i iVar) {
        boolean z2 = false;
        if (!this.M.isEmpty() && this.N == iVar) {
            m0();
            Iterator<WeakReference<m>> it = this.M.iterator();
            while (it.hasNext()) {
                WeakReference<m> next = it.next();
                m mVar = next.get();
                if (mVar == null) {
                    this.M.remove(next);
                } else {
                    z2 = mVar.i(this, iVar);
                    if (z2) {
                        break;
                    }
                }
            }
            l0();
            if (z2) {
                this.N = null;
            }
        }
        return z2;
    }

    /* access modifiers changed from: protected */
    public f g0(View view) {
        d0(0, null, 0, null, view);
        return this;
    }

    public MenuItem getItem(int i) {
        return this.v.get(i);
    }

    public void h0(boolean z2) {
        this.J = z2;
    }

    public boolean hasVisibleItems() {
        if (this.P) {
            return true;
        }
        int size = size();
        for (int i = 0; i < size; i++) {
            if (this.v.get(i).isVisible()) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public boolean i(@NonNull f fVar, @NonNull MenuItem menuItem) {
        a aVar = this.u;
        return aVar != null && aVar.a(fVar, menuItem);
    }

    public void i0(boolean z2) {
        this.P = z2;
    }

    public boolean isShortcutKey(int i, KeyEvent keyEvent) {
        return s(i, keyEvent) != null;
    }

    public void j0(boolean z2) {
        if (this.t != z2) {
            k0(z2);
            N(false);
        }
    }

    public void l0() {
        this.G = false;
        if (this.H) {
            this.H = false;
            N(this.I);
        }
    }

    public void m0() {
        if (!this.G) {
            this.G = true;
            this.H = false;
            this.I = false;
        }
    }

    public boolean n(i iVar) {
        boolean z2 = false;
        if (this.M.isEmpty()) {
            return false;
        }
        m0();
        Iterator<WeakReference<m>> it = this.M.iterator();
        while (it.hasNext()) {
            WeakReference<m> next = it.next();
            m mVar = next.get();
            if (mVar == null) {
                this.M.remove(next);
            } else {
                z2 = mVar.j(this, iVar);
                if (z2) {
                    break;
                }
            }
        }
        l0();
        if (z2) {
            this.N = iVar;
        }
        return z2;
    }

    public int o(int i) {
        return p(i, 0);
    }

    public int p(int i, int i2) {
        int size = size();
        if (i2 < 0) {
            i2 = 0;
        }
        while (i2 < size) {
            if (this.v.get(i2).getGroupId() == i) {
                return i2;
            }
            i2++;
        }
        return -1;
    }

    public boolean performIdentifierAction(int i, int i2) {
        return O(findItem(i), i2);
    }

    public boolean performShortcut(int i, KeyEvent keyEvent, int i2) {
        i s2 = s(i, keyEvent);
        boolean O2 = s2 != null ? O(s2, i2) : false;
        if ((i2 & 2) != 0) {
            f(true);
        }
        return O2;
    }

    public int r(int i) {
        int size = size();
        for (int i2 = 0; i2 < size; i2++) {
            if (this.v.get(i2).getItemId() == i) {
                return i2;
            }
        }
        return -1;
    }

    public void removeGroup(int i) {
        int o2 = o(i);
        if (o2 >= 0) {
            int size = this.v.size() - o2;
            int i2 = 0;
            while (true) {
                int i3 = i2 + 1;
                if (i2 >= size || this.v.get(o2).getGroupId() != i) {
                    N(true);
                } else {
                    R(o2, false);
                    i2 = i3;
                }
            }
            N(true);
        }
    }

    public void removeItem(int i) {
        R(r(i), true);
    }

    /* access modifiers changed from: package-private */
    public i s(int i, KeyEvent keyEvent) {
        char c2;
        ArrayList<i> arrayList = this.L;
        arrayList.clear();
        t(arrayList, i, keyEvent);
        if (arrayList.isEmpty()) {
            return null;
        }
        int metaState = keyEvent.getMetaState();
        KeyCharacterMap.KeyData keyData = new KeyCharacterMap.KeyData();
        keyEvent.getKeyData(keyData);
        int size = arrayList.size();
        if (size == 1) {
            return arrayList.get(0);
        }
        boolean J2 = J();
        for (int i2 = 0; i2 < size; i2++) {
            i iVar = arrayList.get(i2);
            if (J2) {
                c2 = iVar.getAlphabeticShortcut();
            } else {
                c2 = iVar.getNumericShortcut();
            }
            char[] cArr = keyData.meta;
            if ((c2 == cArr[0] && (metaState & 2) == 0) || ((c2 == cArr[2] && (metaState & 2) != 0) || (J2 && c2 == '\b' && i == 67))) {
                return iVar;
            }
        }
        return null;
    }

    public void setGroupCheckable(int i, boolean z2, boolean z3) {
        int size = this.v.size();
        for (int i2 = 0; i2 < size; i2++) {
            i iVar = this.v.get(i2);
            if (iVar.getGroupId() == i) {
                iVar.w(z3);
                iVar.setCheckable(z2);
            }
        }
    }

    @Override // androidx.core.d.b.a
    public void setGroupDividerEnabled(boolean z2) {
        this.O = z2;
    }

    public void setGroupEnabled(int i, boolean z2) {
        int size = this.v.size();
        for (int i2 = 0; i2 < size; i2++) {
            i iVar = this.v.get(i2);
            if (iVar.getGroupId() == i) {
                iVar.setEnabled(z2);
            }
        }
    }

    public void setGroupVisible(int i, boolean z2) {
        int size = this.v.size();
        boolean z3 = false;
        for (int i2 = 0; i2 < size; i2++) {
            i iVar = this.v.get(i2);
            if (iVar.getGroupId() == i && iVar.B(z2)) {
                z3 = true;
            }
        }
        if (z3) {
            N(true);
        }
    }

    public void setQwertyMode(boolean z2) {
        this.s = z2;
        N(false);
    }

    public int size() {
        return this.v.size();
    }

    /* access modifiers changed from: package-private */
    public void t(List<i> list, int i, KeyEvent keyEvent) {
        boolean J2 = J();
        int modifiers = keyEvent.getModifiers();
        KeyCharacterMap.KeyData keyData = new KeyCharacterMap.KeyData();
        if (keyEvent.getKeyData(keyData) || i == 67) {
            int size = this.v.size();
            for (int i2 = 0; i2 < size; i2++) {
                i iVar = this.v.get(i2);
                if (iVar.hasSubMenu()) {
                    ((f) iVar.getSubMenu()).t(list, i, keyEvent);
                }
                char alphabeticShortcut = J2 ? iVar.getAlphabeticShortcut() : iVar.getNumericShortcut();
                if (((modifiers & androidx.core.d.b.a.f2502e) == ((J2 ? iVar.getAlphabeticModifiers() : iVar.getNumericModifiers()) & androidx.core.d.b.a.f2502e)) && alphabeticShortcut != 0) {
                    char[] cArr = keyData.meta;
                    if ((alphabeticShortcut == cArr[0] || alphabeticShortcut == cArr[2] || (J2 && alphabeticShortcut == '\b' && i == 67)) && iVar.isEnabled()) {
                        list.add(iVar);
                    }
                }
            }
        }
    }

    public void u() {
        ArrayList<i> H2 = H();
        if (this.A) {
            Iterator<WeakReference<m>> it = this.M.iterator();
            boolean z2 = false;
            while (it.hasNext()) {
                WeakReference<m> next = it.next();
                m mVar = next.get();
                if (mVar == null) {
                    this.M.remove(next);
                } else {
                    z2 |= mVar.h();
                }
            }
            if (z2) {
                this.y.clear();
                this.z.clear();
                int size = H2.size();
                for (int i = 0; i < size; i++) {
                    i iVar = H2.get(i);
                    if (iVar.o()) {
                        this.y.add(iVar);
                    } else {
                        this.z.add(iVar);
                    }
                }
            } else {
                this.y.clear();
                this.z.clear();
                this.z.addAll(H());
            }
            this.A = false;
        }
    }

    public ArrayList<i> v() {
        u();
        return this.y;
    }

    /* access modifiers changed from: protected */
    public String w() {
        return n;
    }

    public Context x() {
        return this.q;
    }

    public i y() {
        return this.N;
    }

    public Drawable z() {
        return this.E;
    }

    @Override // android.view.Menu
    public MenuItem add(int i) {
        return a(0, 0, 0, this.r.getString(i));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i) {
        return addSubMenu(0, 0, 0, this.r.getString(i));
    }

    @Override // android.view.Menu
    public MenuItem add(int i, int i2, int i3, CharSequence charSequence) {
        return a(i, i2, i3, charSequence);
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i, int i2, int i3, CharSequence charSequence) {
        i iVar = (i) a(i, i2, i3, charSequence);
        r rVar = new r(this.q, this, iVar);
        iVar.A(rVar);
        return rVar;
    }

    @Override // android.view.Menu
    public MenuItem add(int i, int i2, int i3, int i4) {
        return a(i, i2, i3, this.r.getString(i4));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i, int i2, int i3, int i4) {
        return addSubMenu(i, i2, i3, this.r.getString(i4));
    }
}
