package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.Configuration;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.transition.Transition;
import android.util.AttributeSet;
import android.util.Log;
import android.view.KeyEvent;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.widget.HeaderViewListAdapter;
import android.widget.ListAdapter;
import android.widget.PopupWindow;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.appcompat.view.menu.ListMenuItemView;
import androidx.appcompat.view.menu.e;
import androidx.appcompat.view.menu.f;
import androidx.appcompat.view.menu.i;
import java.lang.reflect.Method;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
public class MenuPopupWindow extends ListPopupWindow implements t {
    private static Method A1 = null;
    private static final String z1 = "MenuPopupWindow";
    private t B1;

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public static class MenuDropDownListView extends q {
        final int W0;
        final int X0;
        private t Y0;
        private MenuItem Z0;

        public MenuDropDownListView(Context context, boolean z) {
            super(context, z);
            Configuration configuration = context.getResources().getConfiguration();
            if (Build.VERSION.SDK_INT < 17 || 1 != configuration.getLayoutDirection()) {
                this.W0 = 22;
                this.X0 = 21;
                return;
            }
            this.W0 = 21;
            this.X0 = 22;
        }

        @Override // androidx.appcompat.widget.q
        public /* bridge */ /* synthetic */ int d(int i, boolean z) {
            return super.d(i, z);
        }

        @Override // androidx.appcompat.widget.q
        public /* bridge */ /* synthetic */ int e(int i, int i2, int i3, int i4, int i5) {
            return super.e(i, i2, i3, i4, i5);
        }

        @Override // androidx.appcompat.widget.q
        public /* bridge */ /* synthetic */ boolean f(MotionEvent motionEvent, int i) {
            return super.f(motionEvent, i);
        }

        @Override // androidx.appcompat.widget.q
        public /* bridge */ /* synthetic */ boolean hasFocus() {
            return super.hasFocus();
        }

        @Override // androidx.appcompat.widget.q
        public /* bridge */ /* synthetic */ boolean hasWindowFocus() {
            return super.hasWindowFocus();
        }

        @Override // androidx.appcompat.widget.q
        public /* bridge */ /* synthetic */ boolean isFocused() {
            return super.isFocused();
        }

        @Override // androidx.appcompat.widget.q
        public /* bridge */ /* synthetic */ boolean isInTouchMode() {
            return super.isInTouchMode();
        }

        public void m() {
            setSelection(-1);
        }

        @Override // androidx.appcompat.widget.q
        public boolean onHoverEvent(MotionEvent motionEvent) {
            int i;
            e eVar;
            int pointToPosition;
            int i2;
            if (this.Y0 != null) {
                ListAdapter adapter = getAdapter();
                if (adapter instanceof HeaderViewListAdapter) {
                    HeaderViewListAdapter headerViewListAdapter = (HeaderViewListAdapter) adapter;
                    i = headerViewListAdapter.getHeadersCount();
                    eVar = (e) headerViewListAdapter.getWrappedAdapter();
                } else {
                    i = 0;
                    eVar = (e) adapter;
                }
                i iVar = null;
                if (motionEvent.getAction() != 10 && (pointToPosition = pointToPosition((int) motionEvent.getX(), (int) motionEvent.getY())) != -1 && (i2 = pointToPosition - i) >= 0 && i2 < eVar.getCount()) {
                    iVar = eVar.getItem(i2);
                }
                MenuItem menuItem = this.Z0;
                if (menuItem != iVar) {
                    f b2 = eVar.b();
                    if (menuItem != null) {
                        this.Y0.h(b2, menuItem);
                    }
                    this.Z0 = iVar;
                    if (iVar != null) {
                        this.Y0.e(b2, iVar);
                    }
                }
            }
            return super.onHoverEvent(motionEvent);
        }

        public boolean onKeyDown(int i, KeyEvent keyEvent) {
            ListMenuItemView listMenuItemView = (ListMenuItemView) getSelectedView();
            if (listMenuItemView != null && i == this.W0) {
                if (listMenuItemView.isEnabled() && listMenuItemView.getItemData().hasSubMenu()) {
                    performItemClick(listMenuItemView, getSelectedItemPosition(), getSelectedItemId());
                }
                return true;
            } else if (listMenuItemView == null || i != this.X0) {
                return super.onKeyDown(i, keyEvent);
            } else {
                setSelection(-1);
                ((e) getAdapter()).b().f(false);
                return true;
            }
        }

        @Override // androidx.appcompat.widget.q
        public /* bridge */ /* synthetic */ boolean onTouchEvent(MotionEvent motionEvent) {
            return super.onTouchEvent(motionEvent);
        }

        public void setHoverListener(t tVar) {
            this.Y0 = tVar;
        }

        @Override // android.widget.AbsListView, androidx.appcompat.widget.q
        public /* bridge */ /* synthetic */ void setSelector(Drawable drawable) {
            super.setSelector(drawable);
        }
    }

    static {
        try {
            if (Build.VERSION.SDK_INT <= 28) {
                A1 = PopupWindow.class.getDeclaredMethod("setTouchModal", Boolean.TYPE);
            }
        } catch (NoSuchMethodException unused) {
            Log.i(z1, "Could not find method setTouchModal() on PopupWindow. Oh well.");
        }
    }

    public MenuPopupWindow(@NonNull Context context, @Nullable AttributeSet attributeSet, int i, int i2) {
        super(context, attributeSet, i, i2);
    }

    @Override // androidx.appcompat.widget.t
    public void e(@NonNull f fVar, @NonNull MenuItem menuItem) {
        t tVar = this.B1;
        if (tVar != null) {
            tVar.e(fVar, menuItem);
        }
    }

    @Override // androidx.appcompat.widget.t
    public void h(@NonNull f fVar, @NonNull MenuItem menuItem) {
        t tVar = this.B1;
        if (tVar != null) {
            tVar.h(fVar, menuItem);
        }
    }

    public void p0(Object obj) {
        if (Build.VERSION.SDK_INT >= 23) {
            this.y1.setEnterTransition((Transition) obj);
        }
    }

    public void q0(Object obj) {
        if (Build.VERSION.SDK_INT >= 23) {
            this.y1.setExitTransition((Transition) obj);
        }
    }

    public void r0(t tVar) {
        this.B1 = tVar;
    }

    public void s0(boolean z) {
        if (Build.VERSION.SDK_INT <= 28) {
            Method method = A1;
            if (method != null) {
                try {
                    method.invoke(this.y1, Boolean.valueOf(z));
                } catch (Exception unused) {
                    Log.i(z1, "Could not invoke setTouchModal() on PopupWindow. Oh well.");
                }
            }
        } else {
            this.y1.setTouchModal(z);
        }
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.appcompat.widget.ListPopupWindow
    @NonNull
    public q u(Context context, boolean z) {
        MenuDropDownListView menuDropDownListView = new MenuDropDownListView(context, z);
        menuDropDownListView.setHoverListener(this);
        return menuDropDownListView;
    }
}
