package androidx.constraintlayout.helper.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.R;
import androidx.constraintlayout.widget.VirtualLayout;
import androidx.constraintlayout.widget.c;
import java.util.Arrays;

public class CircularFlow extends VirtualLayout {
    private static final String R0 = "CircularFlow";
    private static int S0;
    private static float T0;
    ConstraintLayout U0;
    int V0;
    private float[] W0;
    private int[] X0;
    private int Y0;
    private int Z0;
    private String a1;
    private String b1;
    private Float c1;
    private Integer d1;

    public CircularFlow(Context context) {
        super(context);
    }

    private void K(String str) {
        float[] fArr;
        if (str != null && str.length() != 0 && this.I0 != null && (fArr = this.W0) != null) {
            if (this.Z0 + 1 > fArr.length) {
                this.W0 = Arrays.copyOf(fArr, fArr.length + 1);
            }
            this.W0[this.Z0] = (float) Integer.parseInt(str);
            this.Z0++;
        }
    }

    private void L(String str) {
        int[] iArr;
        if (str != null && str.length() != 0 && this.I0 != null && (iArr = this.X0) != null) {
            if (this.Y0 + 1 > iArr.length) {
                this.X0 = Arrays.copyOf(iArr, iArr.length + 1);
            }
            this.X0[this.Y0] = (int) (((float) Integer.parseInt(str)) * this.I0.getResources().getDisplayMetrics().density);
            this.Y0++;
        }
    }

    private void N() {
        this.U0 = (ConstraintLayout) getParent();
        for (int i = 0; i < this.f2035b; i++) {
            View viewById = this.U0.getViewById(this.f2034a[i]);
            if (viewById != null) {
                int i2 = S0;
                float f = T0;
                int[] iArr = this.X0;
                if (iArr == null || i >= iArr.length) {
                    Integer num = this.d1;
                    if (num == null || num.intValue() == -1) {
                        Log.e(R0, "Added radius to view with id: " + this.O0.get(Integer.valueOf(viewById.getId())));
                    } else {
                        this.Y0++;
                        if (this.X0 == null) {
                            this.X0 = new int[1];
                        }
                        int[] radius = getRadius();
                        this.X0 = radius;
                        radius[this.Y0 - 1] = i2;
                    }
                } else {
                    i2 = iArr[i];
                }
                float[] fArr = this.W0;
                if (fArr == null || i >= fArr.length) {
                    Float f2 = this.c1;
                    if (f2 == null || f2.floatValue() == -1.0f) {
                        Log.e(R0, "Added angle to view with id: " + this.O0.get(Integer.valueOf(viewById.getId())));
                    } else {
                        this.Z0++;
                        if (this.W0 == null) {
                            this.W0 = new float[1];
                        }
                        float[] angles = getAngles();
                        this.W0 = angles;
                        angles[this.Z0 - 1] = f;
                    }
                } else {
                    f = fArr[i];
                }
                ConstraintLayout.LayoutParams layoutParams = (ConstraintLayout.LayoutParams) viewById.getLayoutParams();
                layoutParams.P = f;
                layoutParams.N = this.V0;
                layoutParams.O = i2;
                viewById.setLayoutParams(layoutParams);
            }
        }
        p();
    }

    private float[] P(float[] fArr, int i) {
        return (fArr == null || i < 0 || i >= this.Z0) ? fArr : Q(fArr, i);
    }

    public static float[] Q(float[] fArr, int i) {
        float[] fArr2 = new float[(fArr.length - 1)];
        int i2 = 0;
        for (int i3 = 0; i3 < fArr.length; i3++) {
            if (i3 != i) {
                fArr2[i2] = fArr[i3];
                i2++;
            }
        }
        return fArr2;
    }

    public static int[] R(int[] iArr, int i) {
        int[] iArr2 = new int[(iArr.length - 1)];
        int i2 = 0;
        for (int i3 = 0; i3 < iArr.length; i3++) {
            if (i3 != i) {
                iArr2[i2] = iArr[i3];
                i2++;
            }
        }
        return iArr2;
    }

    private int[] S(int[] iArr, int i) {
        return (iArr == null || i < 0 || i >= this.Y0) ? iArr : R(iArr, i);
    }

    private void setAngles(String str) {
        if (str != null) {
            int i = 0;
            this.Z0 = 0;
            while (true) {
                int indexOf = str.indexOf(44, i);
                if (indexOf == -1) {
                    K(str.substring(i).trim());
                    return;
                } else {
                    K(str.substring(i, indexOf).trim());
                    i = indexOf + 1;
                }
            }
        }
    }

    private void setRadius(String str) {
        if (str != null) {
            int i = 0;
            this.Y0 = 0;
            while (true) {
                int indexOf = str.indexOf(44, i);
                if (indexOf == -1) {
                    L(str.substring(i).trim());
                    return;
                } else {
                    L(str.substring(i, indexOf).trim());
                    i = indexOf + 1;
                }
            }
        }
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public int A(View view) {
        int A = super.A(view);
        if (A == -1) {
            return A;
        }
        c cVar = new c();
        cVar.H(this.U0);
        cVar.F(view.getId(), 8);
        cVar.r(this.U0);
        float[] fArr = this.W0;
        if (A < fArr.length) {
            this.W0 = P(fArr, A);
            this.Z0--;
        }
        int[] iArr = this.X0;
        if (A < iArr.length) {
            this.X0 = S(iArr, A);
            this.Y0--;
        }
        N();
        return A;
    }

    public void M(View view, int i, float f) {
        if (!s(view.getId())) {
            o(view);
            this.Z0++;
            float[] angles = getAngles();
            this.W0 = angles;
            angles[this.Z0 - 1] = f;
            this.Y0++;
            int[] radius = getRadius();
            this.X0 = radius;
            radius[this.Y0 - 1] = (int) (((float) i) * this.I0.getResources().getDisplayMetrics().density);
            N();
        }
    }

    public boolean O(View view) {
        if (s(view.getId()) && x(view.getId()) != -1) {
            return true;
        }
        return false;
    }

    public void T(View view, float f) {
        if (!O(view)) {
            Log.e(R0, "It was not possible to update angle to view with id: " + view.getId());
            return;
        }
        int x = x(view.getId());
        if (x <= this.W0.length) {
            float[] angles = getAngles();
            this.W0 = angles;
            angles[x] = f;
            N();
        }
    }

    public void U(View view, int i) {
        if (!O(view)) {
            Log.e(R0, "It was not possible to update radius to view with id: " + view.getId());
            return;
        }
        int x = x(view.getId());
        if (x <= this.X0.length) {
            int[] radius = getRadius();
            this.X0 = radius;
            radius[x] = (int) (((float) i) * this.I0.getResources().getDisplayMetrics().density);
            N();
        }
    }

    public void V(View view, int i, float f) {
        if (!O(view)) {
            Log.e(R0, "It was not possible to update radius and angle to view with id: " + view.getId());
            return;
        }
        int x = x(view.getId());
        if (getAngles().length > x) {
            float[] angles = getAngles();
            this.W0 = angles;
            angles[x] = f;
        }
        if (getRadius().length > x) {
            int[] radius = getRadius();
            this.X0 = radius;
            radius[x] = (int) (((float) i) * this.I0.getResources().getDisplayMetrics().density);
        }
        N();
    }

    public float[] getAngles() {
        return Arrays.copyOf(this.W0, this.Z0);
    }

    public int[] getRadius() {
        return Arrays.copyOf(this.X0, this.Y0);
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper, androidx.constraintlayout.widget.VirtualLayout
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        String str = this.a1;
        if (str != null) {
            this.W0 = new float[1];
            setAngles(str);
        }
        String str2 = this.b1;
        if (str2 != null) {
            this.X0 = new int[1];
            setRadius(str2);
        }
        Float f = this.c1;
        if (f != null) {
            setDefaultAngle(f.floatValue());
        }
        Integer num = this.d1;
        if (num != null) {
            setDefaultRadius(num.intValue());
        }
        N();
    }

    public void setDefaultAngle(float f) {
        T0 = f;
    }

    public void setDefaultRadius(int i) {
        S0 = i;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.ConstraintHelper, androidx.constraintlayout.widget.VirtualLayout
    public void y(AttributeSet attributeSet) {
        super.y(attributeSet);
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R.styleable.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.ConstraintLayout_Layout_circularflow_viewCenter) {
                    this.V0 = obtainStyledAttributes.getResourceId(index, 0);
                } else if (index == R.styleable.ConstraintLayout_Layout_circularflow_angles) {
                    String string = obtainStyledAttributes.getString(index);
                    this.a1 = string;
                    setAngles(string);
                } else if (index == R.styleable.ConstraintLayout_Layout_circularflow_radiusInDP) {
                    String string2 = obtainStyledAttributes.getString(index);
                    this.b1 = string2;
                    setRadius(string2);
                } else if (index == R.styleable.ConstraintLayout_Layout_circularflow_defaultAngle) {
                    Float valueOf = Float.valueOf(obtainStyledAttributes.getFloat(index, T0));
                    this.c1 = valueOf;
                    setDefaultAngle(valueOf.floatValue());
                } else if (index == R.styleable.ConstraintLayout_Layout_circularflow_defaultRadius) {
                    Integer valueOf2 = Integer.valueOf(obtainStyledAttributes.getDimensionPixelSize(index, S0));
                    this.d1 = valueOf2;
                    setDefaultRadius(valueOf2.intValue());
                }
            }
            obtainStyledAttributes.recycle();
        }
    }

    public CircularFlow(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public CircularFlow(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }
}
