package androidx.constraintlayout.helper.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.widget.ConstraintHelper;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.R;

public class Layer extends ConstraintHelper {
    private static final String P0 = "Layer";
    private float Q0 = Float.NaN;
    private float R0 = Float.NaN;
    private float S0 = Float.NaN;
    ConstraintLayout T0;
    private float U0 = 1.0f;
    private float V0 = 1.0f;
    protected float W0 = Float.NaN;
    protected float X0 = Float.NaN;
    protected float Y0 = Float.NaN;
    protected float Z0 = Float.NaN;
    protected float a1 = Float.NaN;
    protected float b1 = Float.NaN;
    boolean c1 = true;
    View[] d1 = null;
    private float e1 = 0.0f;
    private float f1 = 0.0f;
    private boolean g1;
    private boolean h1;

    public Layer(Context context) {
        super(context);
    }

    private void K() {
        int i;
        if (!(this.T0 == null || (i = this.f2035b) == 0)) {
            View[] viewArr = this.d1;
            if (viewArr == null || viewArr.length != i) {
                this.d1 = new View[i];
            }
            for (int i2 = 0; i2 < this.f2035b; i2++) {
                this.d1[i2] = this.T0.getViewById(this.f2034a[i2]);
            }
        }
    }

    private void L() {
        if (this.T0 != null) {
            if (this.d1 == null) {
                K();
            }
            J();
            double radians = Float.isNaN(this.S0) ? 0.0d : Math.toRadians((double) this.S0);
            float sin = (float) Math.sin(radians);
            float cos = (float) Math.cos(radians);
            float f = this.U0;
            float f2 = f * cos;
            float f3 = this.V0;
            float f4 = (-f3) * sin;
            float f5 = f * sin;
            float f6 = f3 * cos;
            for (int i = 0; i < this.f2035b; i++) {
                View view = this.d1[i];
                float left = ((float) ((view.getLeft() + view.getRight()) / 2)) - this.W0;
                float top2 = ((float) ((view.getTop() + view.getBottom()) / 2)) - this.X0;
                view.setTranslationX((((f2 * left) + (f4 * top2)) - left) + this.e1);
                view.setTranslationY((((left * f5) + (f6 * top2)) - top2) + this.f1);
                view.setScaleY(this.V0);
                view.setScaleX(this.U0);
                if (!Float.isNaN(this.S0)) {
                    view.setRotation(this.S0);
                }
            }
        }
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void D(ConstraintLayout constraintLayout) {
        K();
        this.W0 = Float.NaN;
        this.X0 = Float.NaN;
        ConstraintWidget b2 = ((ConstraintLayout.LayoutParams) getLayoutParams()).b();
        b2.c2(0);
        b2.y1(0);
        J();
        layout(((int) this.a1) - getPaddingLeft(), ((int) this.b1) - getPaddingTop(), ((int) this.Y0) + getPaddingRight(), ((int) this.Z0) + getPaddingBottom());
        L();
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void F(ConstraintLayout constraintLayout) {
        this.T0 = constraintLayout;
        float rotation = getRotation();
        if (rotation != 0.0f) {
            this.S0 = rotation;
        } else if (!Float.isNaN(this.S0)) {
            this.S0 = rotation;
        }
    }

    /* access modifiers changed from: protected */
    public void J() {
        if (this.T0 != null) {
            if (!(this.c1 || Float.isNaN(this.W0) || Float.isNaN(this.X0))) {
                return;
            }
            if (Float.isNaN(this.Q0) || Float.isNaN(this.R0)) {
                View[] w = w(this.T0);
                int left = w[0].getLeft();
                int top2 = w[0].getTop();
                int right = w[0].getRight();
                int bottom = w[0].getBottom();
                for (int i = 0; i < this.f2035b; i++) {
                    View view = w[i];
                    left = Math.min(left, view.getLeft());
                    top2 = Math.min(top2, view.getTop());
                    right = Math.max(right, view.getRight());
                    bottom = Math.max(bottom, view.getBottom());
                }
                this.Y0 = (float) right;
                this.Z0 = (float) bottom;
                this.a1 = (float) left;
                this.b1 = (float) top2;
                if (Float.isNaN(this.Q0)) {
                    this.W0 = (float) ((left + right) / 2);
                } else {
                    this.W0 = this.Q0;
                }
                if (Float.isNaN(this.R0)) {
                    this.X0 = (float) ((top2 + bottom) / 2);
                } else {
                    this.X0 = this.R0;
                }
            } else {
                this.X0 = this.R0;
                this.W0 = this.Q0;
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.T0 = (ConstraintLayout) getParent();
        if (this.g1 || this.h1) {
            int visibility = getVisibility();
            float elevation = Build.VERSION.SDK_INT >= 21 ? getElevation() : 0.0f;
            for (int i = 0; i < this.f2035b; i++) {
                View viewById = this.T0.getViewById(this.f2034a[i]);
                if (viewById != null) {
                    if (this.g1) {
                        viewById.setVisibility(visibility);
                    }
                    if (this.h1 && elevation > 0.0f && Build.VERSION.SDK_INT >= 21) {
                        viewById.setTranslationZ(viewById.getTranslationZ() + elevation);
                    }
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void r(ConstraintLayout constraintLayout) {
        q(constraintLayout);
    }

    public void setElevation(float f) {
        super.setElevation(f);
        p();
    }

    public void setPivotX(float f) {
        this.Q0 = f;
        L();
    }

    public void setPivotY(float f) {
        this.R0 = f;
        L();
    }

    public void setRotation(float f) {
        this.S0 = f;
        L();
    }

    public void setScaleX(float f) {
        this.U0 = f;
        L();
    }

    public void setScaleY(float f) {
        this.V0 = f;
        L();
    }

    public void setTranslationX(float f) {
        this.e1 = f;
        L();
    }

    public void setTranslationY(float f) {
        this.f1 = f;
        L();
    }

    public void setVisibility(int i) {
        super.setVisibility(i);
        p();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void y(AttributeSet attributeSet) {
        super.y(attributeSet);
        this.K0 = false;
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R.styleable.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.ConstraintLayout_Layout_android_visibility) {
                    this.g1 = true;
                } else if (index == R.styleable.ConstraintLayout_Layout_android_elevation) {
                    this.h1 = true;
                }
            }
            obtainStyledAttributes.recycle();
        }
    }

    public Layer(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public Layer(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }
}
