package androidx.constraintlayout.utils.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.ViewParent;
import androidx.constraintlayout.motion.widget.MotionLayout;
import androidx.constraintlayout.widget.R;

public class MotionTelltales extends MockView {
    private static final String R0 = "MotionTelltales";
    private Paint S0;
    MotionLayout T0;
    float[] U0;
    Matrix V0;
    int W0;
    int X0;
    float Y0;

    public MotionTelltales(Context context) {
        super(context);
        this.S0 = new Paint();
        this.U0 = new float[2];
        this.V0 = new Matrix();
        this.W0 = 0;
        this.X0 = -65281;
        this.Y0 = 0.25f;
        a(context, null);
    }

    private void a(Context context, AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.MotionTelltales);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.MotionTelltales_telltales_tailColor) {
                    this.X0 = obtainStyledAttributes.getColor(index, this.X0);
                } else if (index == R.styleable.MotionTelltales_telltales_velocityMode) {
                    this.W0 = obtainStyledAttributes.getInt(index, this.W0);
                } else if (index == R.styleable.MotionTelltales_telltales_tailScale) {
                    this.Y0 = obtainStyledAttributes.getFloat(index, this.Y0);
                }
            }
            obtainStyledAttributes.recycle();
        }
        this.S0.setColor(this.X0);
        this.S0.setStrokeWidth(5.0f);
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
    }

    @Override // androidx.constraintlayout.utils.widget.MockView
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        getMatrix().invert(this.V0);
        if (this.T0 == null) {
            ViewParent parent = getParent();
            if (parent instanceof MotionLayout) {
                this.T0 = (MotionLayout) parent;
                return;
            }
            return;
        }
        int width = getWidth();
        int height = getHeight();
        float[] fArr = {0.1f, 0.25f, 0.5f, 0.75f, 0.9f};
        for (int i = 0; i < 5; i++) {
            float f = fArr[i];
            for (int i2 = 0; i2 < 5; i2++) {
                float f2 = fArr[i2];
                this.T0.d0(this, f2, f, this.U0, this.W0);
                this.V0.mapVectors(this.U0);
                float f3 = ((float) width) * f2;
                float f4 = ((float) height) * f;
                float[] fArr2 = this.U0;
                float f5 = fArr2[0];
                float f6 = this.Y0;
                float f7 = f4 - (fArr2[1] * f6);
                this.V0.mapVectors(fArr2);
                canvas.drawLine(f3, f4, f3 - (f5 * f6), f7, this.S0);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        postInvalidate();
    }

    public void setText(CharSequence charSequence) {
        this.L0 = charSequence.toString();
        requestLayout();
    }

    public MotionTelltales(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.S0 = new Paint();
        this.U0 = new float[2];
        this.V0 = new Matrix();
        this.W0 = 0;
        this.X0 = -65281;
        this.Y0 = 0.25f;
        a(context, attributeSet);
    }

    public MotionTelltales(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.S0 = new Paint();
        this.U0 = new float[2];
        this.V0 = new Matrix();
        this.W0 = 0;
        this.X0 = -65281;
        this.Y0 = 0.25f;
        a(context, attributeSet);
    }
}
