package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.os.Build;
import android.util.AttributeSet;
import android.util.SparseArray;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.core.widgets.a;
import androidx.constraintlayout.core.widgets.d;
import androidx.constraintlayout.core.widgets.h;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.c;

public class Barrier extends ConstraintHelper {
    public static final int P0 = 0;
    public static final int Q0 = 2;
    public static final int R0 = 1;
    public static final int S0 = 3;
    public static final int T0 = 5;
    public static final int U0 = 6;
    private int V0;
    private int W0;
    private a X0;

    public Barrier(Context context) {
        super(context);
        super.setVisibility(8);
    }

    private void K(ConstraintWidget constraintWidget, int i, boolean z) {
        this.W0 = i;
        if (Build.VERSION.SDK_INT < 17) {
            int i2 = this.V0;
            if (i2 == 5) {
                this.W0 = 0;
            } else if (i2 == 6) {
                this.W0 = 1;
            }
        } else if (z) {
            int i3 = this.V0;
            if (i3 == 5) {
                this.W0 = 1;
            } else if (i3 == 6) {
                this.W0 = 0;
            }
        } else {
            int i4 = this.V0;
            if (i4 == 5) {
                this.W0 = 0;
            } else if (i4 == 6) {
                this.W0 = 1;
            }
        }
        if (constraintWidget instanceof a) {
            ((a) constraintWidget).u2(this.W0);
        }
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void B(ConstraintWidget constraintWidget, boolean z) {
        K(constraintWidget, this.V0, z);
    }

    @Deprecated
    public boolean J() {
        return this.X0.o2();
    }

    public boolean getAllowsGoneWidget() {
        return this.X0.o2();
    }

    public int getMargin() {
        return this.X0.q2();
    }

    public int getType() {
        return this.V0;
    }

    public void setAllowsGoneWidget(boolean z) {
        this.X0.t2(z);
    }

    public void setDpMargin(int i) {
        a aVar = this.X0;
        aVar.v2((int) ((((float) i) * getResources().getDisplayMetrics().density) + 0.5f));
    }

    public void setMargin(int i) {
        this.X0.v2(i);
    }

    public void setType(int i) {
        this.V0 = i;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void y(AttributeSet attributeSet) {
        super.y(attributeSet);
        this.X0 = new a();
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R.styleable.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.ConstraintLayout_Layout_barrierDirection) {
                    setType(obtainStyledAttributes.getInt(index, 0));
                } else if (index == R.styleable.ConstraintLayout_Layout_barrierAllowsGoneWidgets) {
                    this.X0.t2(obtainStyledAttributes.getBoolean(index, true));
                } else if (index == R.styleable.ConstraintLayout_Layout_barrierMargin) {
                    this.X0.v2(obtainStyledAttributes.getDimensionPixelSize(index, 0));
                }
            }
            obtainStyledAttributes.recycle();
        }
        this.J0 = this.X0;
        I();
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void z(c.a aVar, h hVar, ConstraintLayout.LayoutParams layoutParams, SparseArray<ConstraintWidget> sparseArray) {
        super.z(aVar, hVar, layoutParams, sparseArray);
        if (hVar instanceof a) {
            a aVar2 = (a) hVar;
            K(aVar2, aVar.f2088e.A1, ((d) hVar.U()).O2());
            aVar2.t2(aVar.f2088e.I1);
            aVar2.v2(aVar.f2088e.B1);
        }
    }

    public Barrier(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        super.setVisibility(8);
    }

    public Barrier(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        super.setVisibility(8);
    }
}
