package androidx.core.app;

import android.annotation.SuppressLint;
import android.app.Notification;
import android.app.PendingIntent;
import android.app.Person;
import android.app.RemoteInput;
import android.content.Context;
import android.content.LocusId;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.Icon;
import android.media.AudioAttributes;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcelable;
import android.os.SystemClock;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.style.TextAppearanceSpan;
import android.util.SparseArray;
import android.widget.RemoteViews;
import androidx.annotation.ColorInt;
import androidx.annotation.DimenRes;
import androidx.annotation.Dimension;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.core.R;
import androidx.core.app.s;
import androidx.core.graphics.drawable.IconCompat;
import androidx.core.view.ViewCompat;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.text.NumberFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;

public class NotificationCompat {
    @SuppressLint({"ActionValue"})
    public static final String A = "android.title";
    public static final String A0 = "reminder";
    @SuppressLint({"ActionValue"})
    public static final String B = "android.title.big";
    public static final String B0 = "recommendation";
    @SuppressLint({"ActionValue"})
    public static final String C = "android.text";
    public static final String C0 = "status";
    @SuppressLint({"ActionValue"})
    public static final String D = "android.subText";
    public static final String D0 = "workout";
    @SuppressLint({"ActionValue"})
    public static final String E = "android.remoteInputHistory";
    public static final String E0 = "location_sharing";
    @SuppressLint({"ActionValue"})
    public static final String F = "android.infoText";
    public static final String F0 = "stopwatch";
    @SuppressLint({"ActionValue"})
    public static final String G = "android.summaryText";
    public static final String G0 = "missed_call";
    @SuppressLint({"ActionValue"})
    public static final String H = "android.bigText";
    public static final int H0 = 0;
    @SuppressLint({"ActionValue"})
    public static final String I = "android.icon";
    public static final int I0 = 1;
    @SuppressLint({"ActionValue"})
    public static final String J = "android.largeIcon";
    public static final int J0 = 2;
    @SuppressLint({"ActionValue"})
    public static final String K = "android.largeIcon.big";
    public static final int K0 = 0;
    @SuppressLint({"ActionValue"})
    public static final String L = "android.progress";
    public static final int L0 = 1;
    @SuppressLint({"ActionValue"})
    public static final String M = "android.progressMax";
    public static final int M0 = 2;
    @SuppressLint({"ActionValue"})
    public static final String N = "android.progressIndeterminate";
    public static final String N0 = "silent";
    @SuppressLint({"ActionValue"})
    public static final String O = "android.showChronometer";
    @SuppressLint({"ActionValue"})
    public static final String P = "android.chronometerCountDown";
    @SuppressLint({"ActionValue"})
    public static final String Q = "android.colorized";
    @SuppressLint({"ActionValue"})
    public static final String R = "android.showWhen";
    @SuppressLint({"ActionValue"})
    public static final String S = "android.picture";
    @SuppressLint({"ActionValue"})
    public static final String T = "android.textLines";
    @SuppressLint({"ActionValue"})
    public static final String U = "android.template";
    public static final String V = "androidx.core.app.extra.COMPAT_TEMPLATE";
    @SuppressLint({"ActionValue"})
    @Deprecated
    public static final String W = "android.people";
    @SuppressLint({"ActionValue"})
    public static final String X = "android.people.list";
    @SuppressLint({"ActionValue"})
    public static final String Y = "android.backgroundImageUri";
    @SuppressLint({"ActionValue"})
    public static final String Z = "android.mediaSession";
    @SuppressLint({"ActionValue"})

    /* renamed from: a  reason: collision with root package name */
    public static final String f2204a = "android.intent.category.NOTIFICATION_PREFERENCES";
    @SuppressLint({"ActionValue"})
    public static final String a0 = "android.compactActions";
    @SuppressLint({"ActionValue"})

    /* renamed from: b  reason: collision with root package name */
    public static final String f2205b = "android.intent.extra.CHANNEL_ID";
    @SuppressLint({"ActionValue"})
    public static final String b0 = "android.selfDisplayName";
    @SuppressLint({"ActionValue"})

    /* renamed from: c  reason: collision with root package name */
    public static final String f2206c = "android.intent.extra.CHANNEL_GROUP_ID";
    @SuppressLint({"ActionValue"})
    public static final String c0 = "android.messagingStyleUser";
    @SuppressLint({"ActionValue"})

    /* renamed from: d  reason: collision with root package name */
    public static final String f2207d = "android.intent.extra.NOTIFICATION_TAG";
    @SuppressLint({"ActionValue"})
    public static final String d0 = "android.conversationTitle";
    @SuppressLint({"ActionValue"})

    /* renamed from: e  reason: collision with root package name */
    public static final String f2208e = "android.intent.extra.NOTIFICATION_ID";
    @SuppressLint({"ActionValue"})
    public static final String e0 = "android.messages";
    public static final int f = -1;
    @SuppressLint({"ActionValue"})
    public static final String f0 = "android.messages.historic";
    public static final int g = 1;
    @SuppressLint({"ActionValue"})
    public static final String g0 = "android.isGroupConversation";
    public static final int h = 2;
    @SuppressLint({"ActionValue"})
    public static final String h0 = "android.hiddenConversationTitle";
    public static final int i = 4;
    @SuppressLint({"ActionValue"})
    public static final String i0 = "android.audioContents";
    public static final int j = -1;
    @ColorInt
    public static final int j0 = 0;
    public static final int k = 1;
    public static final int k0 = 1;
    public static final int l = 2;
    public static final int l0 = 0;
    public static final int m = 4;
    public static final int m0 = -1;
    public static final int n = 8;
    public static final String n0 = "call";
    public static final int o = 16;
    public static final String o0 = "navigation";
    public static final int p = 32;
    public static final String p0 = "msg";
    public static final int q = 64;
    public static final String q0 = "email";
    @Deprecated
    public static final int r = 128;
    public static final String r0 = "event";
    public static final int s = 256;
    public static final String s0 = "promo";
    public static final int t = 512;
    public static final String t0 = "alarm";
    public static final int u = 4096;
    public static final String u0 = "progress";
    public static final int v = 0;
    public static final String v0 = "social";
    public static final int w = -1;
    public static final String w0 = "err";
    public static final int x = -2;
    public static final String x0 = "transport";
    public static final int y = 1;
    public static final String y0 = "sys";
    public static final int z = 2;
    public static final String z0 = "service";

    public static class Action {

        /* renamed from: a  reason: collision with root package name */
        public static final int f2209a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f2210b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f2211c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f2212d = 3;

        /* renamed from: e  reason: collision with root package name */
        public static final int f2213e = 4;
        public static final int f = 5;
        public static final int g = 6;
        public static final int h = 7;
        public static final int i = 8;
        public static final int j = 9;
        public static final int k = 10;
        static final String l = "android.support.action.showsUserInterface";
        static final String m = "android.support.action.semanticAction";
        final Bundle n;
        @Nullable
        private IconCompat o;
        private final RemoteInput[] p;
        private final RemoteInput[] q;
        private boolean r;
        boolean s;
        private final int t;
        private final boolean u;
        @Deprecated
        public int v;
        public CharSequence w;
        public PendingIntent x;

        @Retention(RetentionPolicy.SOURCE)
        public @interface SemanticAction {
        }

        public static final class a {

            /* renamed from: a  reason: collision with root package name */
            private final IconCompat f2214a;

            /* renamed from: b  reason: collision with root package name */
            private final CharSequence f2215b;

            /* renamed from: c  reason: collision with root package name */
            private final PendingIntent f2216c;

            /* renamed from: d  reason: collision with root package name */
            private boolean f2217d;

            /* renamed from: e  reason: collision with root package name */
            private final Bundle f2218e;
            private ArrayList<RemoteInput> f;
            private int g;
            private boolean h;
            private boolean i;

            public a(@Nullable IconCompat iconCompat, @Nullable CharSequence charSequence, @Nullable PendingIntent pendingIntent) {
                this(iconCompat, charSequence, pendingIntent, new Bundle(), null, true, 0, true, false);
            }

            private void d() {
                if (this.i) {
                    Objects.requireNonNull(this.f2216c, "Contextual Actions must contain a valid PendingIntent");
                }
            }

            @NonNull
            @RequiresApi(19)
            @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
            public static a f(@NonNull Notification.Action action) {
                a aVar;
                RemoteInput[] remoteInputs;
                int i2 = Build.VERSION.SDK_INT;
                if (i2 < 23 || action.getIcon() == null) {
                    aVar = new a(action.icon, action.title, action.actionIntent);
                } else {
                    aVar = new a(IconCompat.n(action.getIcon()), action.title, action.actionIntent);
                }
                if (!(i2 < 20 || (remoteInputs = action.getRemoteInputs()) == null || remoteInputs.length == 0)) {
                    for (RemoteInput remoteInput : remoteInputs) {
                        aVar.b(RemoteInput.e(remoteInput));
                    }
                }
                int i3 = Build.VERSION.SDK_INT;
                if (i3 >= 24) {
                    aVar.f2217d = action.getAllowGeneratedReplies();
                }
                if (i3 >= 28) {
                    aVar.j(action.getSemanticAction());
                }
                if (i3 >= 29) {
                    aVar.i(action.isContextual());
                }
                return aVar;
            }

            @NonNull
            public a a(@Nullable Bundle bundle) {
                if (bundle != null) {
                    this.f2218e.putAll(bundle);
                }
                return this;
            }

            @NonNull
            public a b(@Nullable RemoteInput remoteInput) {
                if (this.f == null) {
                    this.f = new ArrayList<>();
                }
                if (remoteInput != null) {
                    this.f.add(remoteInput);
                }
                return this;
            }

            @NonNull
            public Action c() {
                RemoteInput[] remoteInputArr;
                d();
                ArrayList arrayList = new ArrayList();
                ArrayList arrayList2 = new ArrayList();
                ArrayList<RemoteInput> arrayList3 = this.f;
                if (arrayList3 != null) {
                    Iterator<RemoteInput> it = arrayList3.iterator();
                    while (it.hasNext()) {
                        RemoteInput next = it.next();
                        if (next.r()) {
                            arrayList.add(next);
                        } else {
                            arrayList2.add(next);
                        }
                    }
                }
                RemoteInput[] remoteInputArr2 = null;
                if (arrayList.isEmpty()) {
                    remoteInputArr = null;
                } else {
                    remoteInputArr = (RemoteInput[]) arrayList.toArray(new RemoteInput[arrayList.size()]);
                }
                if (!arrayList2.isEmpty()) {
                    remoteInputArr2 = (RemoteInput[]) arrayList2.toArray(new RemoteInput[arrayList2.size()]);
                }
                return new Action(this.f2214a, this.f2215b, this.f2216c, this.f2218e, remoteInputArr2, remoteInputArr, this.f2217d, this.g, this.h, this.i);
            }

            @NonNull
            public a e(@NonNull b bVar) {
                bVar.a(this);
                return this;
            }

            @NonNull
            public Bundle g() {
                return this.f2218e;
            }

            @NonNull
            public a h(boolean z) {
                this.f2217d = z;
                return this;
            }

            @NonNull
            public a i(boolean z) {
                this.i = z;
                return this;
            }

            @NonNull
            public a j(int i2) {
                this.g = i2;
                return this;
            }

            @NonNull
            public a k(boolean z) {
                this.h = z;
                return this;
            }

            /* JADX INFO: this call moved to the top of the method (can break code semantics) */
            public a(int i2, @Nullable CharSequence charSequence, @Nullable PendingIntent pendingIntent) {
                this(i2 != 0 ? IconCompat.y(null, "", i2) : null, charSequence, pendingIntent, new Bundle(), null, true, 0, true, false);
            }

            public a(@NonNull Action action) {
                this(action.f(), action.w, action.x, new Bundle(action.n), action.g(), action.b(), action.h(), action.s, action.k());
            }

            private a(@Nullable IconCompat iconCompat, @Nullable CharSequence charSequence, @Nullable PendingIntent pendingIntent, @NonNull Bundle bundle, @Nullable RemoteInput[] remoteInputArr, boolean z, int i2, boolean z2, boolean z3) {
                ArrayList<RemoteInput> arrayList;
                this.f2217d = true;
                this.h = true;
                this.f2214a = iconCompat;
                this.f2215b = e.z(charSequence);
                this.f2216c = pendingIntent;
                this.f2218e = bundle;
                if (remoteInputArr == null) {
                    arrayList = null;
                } else {
                    arrayList = new ArrayList<>(Arrays.asList(remoteInputArr));
                }
                this.f = arrayList;
                this.f2217d = z;
                this.g = i2;
                this.h = z2;
                this.i = z3;
            }
        }

        public interface b {
            @NonNull
            a a(@NonNull a aVar);
        }

        /* JADX INFO: this call moved to the top of the method (can break code semantics) */
        public Action(int i2, @Nullable CharSequence charSequence, @Nullable PendingIntent pendingIntent) {
            this(i2 != 0 ? IconCompat.y(null, "", i2) : null, charSequence, pendingIntent);
        }

        @Nullable
        public PendingIntent a() {
            return this.x;
        }

        public boolean b() {
            return this.r;
        }

        @Nullable
        public RemoteInput[] c() {
            return this.q;
        }

        @NonNull
        public Bundle d() {
            return this.n;
        }

        @Deprecated
        public int e() {
            return this.v;
        }

        @Nullable
        public IconCompat f() {
            int i2;
            if (this.o == null && (i2 = this.v) != 0) {
                this.o = IconCompat.y(null, "", i2);
            }
            return this.o;
        }

        @Nullable
        public RemoteInput[] g() {
            return this.p;
        }

        public int h() {
            return this.t;
        }

        public boolean i() {
            return this.s;
        }

        @Nullable
        public CharSequence j() {
            return this.w;
        }

        public boolean k() {
            return this.u;
        }

        public static final class c implements b {

            /* renamed from: a  reason: collision with root package name */
            private static final String f2219a = "android.wearable.EXTENSIONS";

            /* renamed from: b  reason: collision with root package name */
            private static final String f2220b = "flags";

            /* renamed from: c  reason: collision with root package name */
            private static final String f2221c = "inProgressLabel";

            /* renamed from: d  reason: collision with root package name */
            private static final String f2222d = "confirmLabel";

            /* renamed from: e  reason: collision with root package name */
            private static final String f2223e = "cancelLabel";
            private static final int f = 1;
            private static final int g = 2;
            private static final int h = 4;
            private static final int i = 1;
            private int j = 1;
            private CharSequence k;
            private CharSequence l;
            private CharSequence m;

            public c() {
            }

            private void l(int i2, boolean z) {
                if (z) {
                    this.j = i2 | this.j;
                    return;
                }
                this.j = (~i2) & this.j;
            }

            @Override // androidx.core.app.NotificationCompat.Action.b
            @NonNull
            public a a(@NonNull a aVar) {
                Bundle bundle = new Bundle();
                int i2 = this.j;
                if (i2 != 1) {
                    bundle.putInt(f2220b, i2);
                }
                CharSequence charSequence = this.k;
                if (charSequence != null) {
                    bundle.putCharSequence(f2221c, charSequence);
                }
                CharSequence charSequence2 = this.l;
                if (charSequence2 != null) {
                    bundle.putCharSequence(f2222d, charSequence2);
                }
                CharSequence charSequence3 = this.m;
                if (charSequence3 != null) {
                    bundle.putCharSequence(f2223e, charSequence3);
                }
                aVar.g().putBundle(f2219a, bundle);
                return aVar;
            }

            @NonNull
            /* renamed from: b */
            public c clone() {
                c cVar = new c();
                cVar.j = this.j;
                cVar.k = this.k;
                cVar.l = this.l;
                cVar.m = this.m;
                return cVar;
            }

            @Nullable
            @Deprecated
            public CharSequence c() {
                return this.m;
            }

            @Nullable
            @Deprecated
            public CharSequence d() {
                return this.l;
            }

            public boolean e() {
                return (this.j & 4) != 0;
            }

            public boolean f() {
                return (this.j & 2) != 0;
            }

            @Nullable
            @Deprecated
            public CharSequence g() {
                return this.k;
            }

            public boolean h() {
                return (this.j & 1) != 0;
            }

            @NonNull
            public c i(boolean z) {
                l(1, z);
                return this;
            }

            @NonNull
            @Deprecated
            public c j(@Nullable CharSequence charSequence) {
                this.m = charSequence;
                return this;
            }

            @NonNull
            @Deprecated
            public c k(@Nullable CharSequence charSequence) {
                this.l = charSequence;
                return this;
            }

            @NonNull
            public c m(boolean z) {
                l(4, z);
                return this;
            }

            @NonNull
            public c n(boolean z) {
                l(2, z);
                return this;
            }

            @NonNull
            @Deprecated
            public c o(@Nullable CharSequence charSequence) {
                this.k = charSequence;
                return this;
            }

            public c(@NonNull Action action) {
                Bundle bundle = action.d().getBundle(f2219a);
                if (bundle != null) {
                    this.j = bundle.getInt(f2220b, 1);
                    this.k = bundle.getCharSequence(f2221c);
                    this.l = bundle.getCharSequence(f2222d);
                    this.m = bundle.getCharSequence(f2223e);
                }
            }
        }

        public Action(@Nullable IconCompat iconCompat, @Nullable CharSequence charSequence, @Nullable PendingIntent pendingIntent) {
            this(iconCompat, charSequence, pendingIntent, new Bundle(), (RemoteInput[]) null, (RemoteInput[]) null, true, 0, true, false);
        }

        /* JADX INFO: this call moved to the top of the method (can break code semantics) */
        Action(int i2, @Nullable CharSequence charSequence, @Nullable PendingIntent pendingIntent, @Nullable Bundle bundle, @Nullable RemoteInput[] remoteInputArr, @Nullable RemoteInput[] remoteInputArr2, boolean z, int i3, boolean z2, boolean z3) {
            this(i2 != 0 ? IconCompat.y(null, "", i2) : null, charSequence, pendingIntent, bundle, remoteInputArr, remoteInputArr2, z, i3, z2, z3);
        }

        Action(@Nullable IconCompat iconCompat, @Nullable CharSequence charSequence, @Nullable PendingIntent pendingIntent, @Nullable Bundle bundle, @Nullable RemoteInput[] remoteInputArr, @Nullable RemoteInput[] remoteInputArr2, boolean z, int i2, boolean z2, boolean z3) {
            this.s = true;
            this.o = iconCompat;
            if (iconCompat != null && iconCompat.F() == 2) {
                this.v = iconCompat.A();
            }
            this.w = e.z(charSequence);
            this.x = pendingIntent;
            this.n = bundle == null ? new Bundle() : bundle;
            this.p = remoteInputArr;
            this.q = remoteInputArr2;
            this.r = z;
            this.t = i2;
            this.s = z2;
            this.u = z3;
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public @interface BadgeIconType {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public @interface GroupAlertBehavior {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public @interface NotificationVisibility {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public @interface StreamType {
    }

    public static class b extends k {

        /* renamed from: e  reason: collision with root package name */
        private static final String f2224e = "androidx.core.app.NotificationCompat$BigPictureStyle";
        private Bitmap f;
        private IconCompat g;
        private boolean h;

        @RequiresApi(16)
        private static class a {
            private a() {
            }

            @RequiresApi(16)
            static void a(Notification.BigPictureStyle bigPictureStyle, Bitmap bitmap) {
                bigPictureStyle.bigLargeIcon(bitmap);
            }

            @RequiresApi(16)
            static void b(Notification.BigPictureStyle bigPictureStyle, CharSequence charSequence) {
                bigPictureStyle.setSummaryText(charSequence);
            }
        }

        @RequiresApi(23)
        /* renamed from: androidx.core.app.NotificationCompat$b$b  reason: collision with other inner class name */
        private static class C0025b {
            private C0025b() {
            }

            @RequiresApi(23)
            static void a(Notification.BigPictureStyle bigPictureStyle, Icon icon) {
                bigPictureStyle.bigLargeIcon(icon);
            }
        }

        public b() {
        }

        @Nullable
        private static IconCompat A(@Nullable Parcelable parcelable) {
            if (parcelable == null) {
                return null;
            }
            if (Build.VERSION.SDK_INT >= 23 && (parcelable instanceof Icon)) {
                return IconCompat.n((Icon) parcelable);
            }
            if (parcelable instanceof Bitmap) {
                return IconCompat.t((Bitmap) parcelable);
            }
            return null;
        }

        @NonNull
        public b B(@Nullable Bitmap bitmap) {
            this.g = bitmap == null ? null : IconCompat.t(bitmap);
            this.h = true;
            return this;
        }

        @NonNull
        public b C(@Nullable Bitmap bitmap) {
            this.f = bitmap;
            return this;
        }

        @NonNull
        public b D(@Nullable CharSequence charSequence) {
            this.f2265b = e.z(charSequence);
            return this;
        }

        @NonNull
        public b E(@Nullable CharSequence charSequence) {
            this.f2266c = e.z(charSequence);
            this.f2267d = true;
            return this;
        }

        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void b(l lVar) {
            int i = Build.VERSION.SDK_INT;
            if (i >= 16) {
                Notification.BigPictureStyle bigPicture = new Notification.BigPictureStyle(lVar.a()).setBigContentTitle(this.f2265b).bigPicture(this.f);
                if (this.h) {
                    IconCompat iconCompat = this.g;
                    Context context = null;
                    if (iconCompat == null) {
                        a.a(bigPicture, null);
                    } else if (i >= 23) {
                        if (lVar instanceof o) {
                            context = ((o) lVar).f();
                        }
                        C0025b.a(bigPicture, this.g.Q(context));
                    } else if (iconCompat.F() == 1) {
                        a.a(bigPicture, this.g.z());
                    } else {
                        a.a(bigPicture, null);
                    }
                }
                if (this.f2267d) {
                    a.b(bigPicture, this.f2266c);
                }
            }
        }

        /* access modifiers changed from: protected */
        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void g(@NonNull Bundle bundle) {
            super.g(bundle);
            bundle.remove(NotificationCompat.K);
            bundle.remove(NotificationCompat.S);
        }

        /* access modifiers changed from: protected */
        @Override // androidx.core.app.NotificationCompat.k
        @NonNull
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public String t() {
            return f2224e;
        }

        /* access modifiers changed from: protected */
        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void y(@NonNull Bundle bundle) {
            super.y(bundle);
            if (bundle.containsKey(NotificationCompat.K)) {
                this.g = A(bundle.getParcelable(NotificationCompat.K));
                this.h = true;
            }
            this.f = (Bitmap) bundle.getParcelable(NotificationCompat.S);
        }

        public b(@Nullable e eVar) {
            z(eVar);
        }
    }

    public static class c extends k {

        /* renamed from: e  reason: collision with root package name */
        private static final String f2225e = "androidx.core.app.NotificationCompat$BigTextStyle";
        private CharSequence f;

        public c() {
        }

        @NonNull
        public c A(@Nullable CharSequence charSequence) {
            this.f = e.z(charSequence);
            return this;
        }

        @NonNull
        public c B(@Nullable CharSequence charSequence) {
            this.f2265b = e.z(charSequence);
            return this;
        }

        @NonNull
        public c C(@Nullable CharSequence charSequence) {
            this.f2266c = e.z(charSequence);
            this.f2267d = true;
            return this;
        }

        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void a(@NonNull Bundle bundle) {
            super.a(bundle);
            if (Build.VERSION.SDK_INT < 21) {
                bundle.putCharSequence(NotificationCompat.H, this.f);
            }
        }

        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void b(l lVar) {
            if (Build.VERSION.SDK_INT >= 16) {
                Notification.BigTextStyle bigText = new Notification.BigTextStyle(lVar.a()).setBigContentTitle(this.f2265b).bigText(this.f);
                if (this.f2267d) {
                    bigText.setSummaryText(this.f2266c);
                }
            }
        }

        /* access modifiers changed from: protected */
        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void g(@NonNull Bundle bundle) {
            super.g(bundle);
            bundle.remove(NotificationCompat.H);
        }

        /* access modifiers changed from: protected */
        @Override // androidx.core.app.NotificationCompat.k
        @NonNull
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public String t() {
            return f2225e;
        }

        /* access modifiers changed from: protected */
        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void y(@NonNull Bundle bundle) {
            super.y(bundle);
            this.f = bundle.getCharSequence(NotificationCompat.H);
        }

        public c(@Nullable e eVar) {
            z(eVar);
        }
    }

    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        private static final int f2226a = 1;

        /* renamed from: b  reason: collision with root package name */
        private static final int f2227b = 2;

        /* renamed from: c  reason: collision with root package name */
        private PendingIntent f2228c;

        /* renamed from: d  reason: collision with root package name */
        private PendingIntent f2229d;

        /* renamed from: e  reason: collision with root package name */
        private IconCompat f2230e;
        private int f;
        @DimenRes
        private int g;
        private int h;
        private String i;

        /* access modifiers changed from: private */
        @RequiresApi(29)
        public static class a {
            private a() {
            }

            @Nullable
            @RequiresApi(29)
            static d a(@Nullable Notification.BubbleMetadata bubbleMetadata) {
                if (bubbleMetadata == null || bubbleMetadata.getIntent() == null) {
                    return null;
                }
                c i = new c(bubbleMetadata.getIntent(), IconCompat.n(bubbleMetadata.getIcon())).b(bubbleMetadata.getAutoExpandBubble()).c(bubbleMetadata.getDeleteIntent()).i(bubbleMetadata.isNotificationSuppressed());
                if (bubbleMetadata.getDesiredHeight() != 0) {
                    i.d(bubbleMetadata.getDesiredHeight());
                }
                if (bubbleMetadata.getDesiredHeightResId() != 0) {
                    i.e(bubbleMetadata.getDesiredHeightResId());
                }
                return i.a();
            }

            @Nullable
            @RequiresApi(29)
            static Notification.BubbleMetadata b(@Nullable d dVar) {
                if (dVar == null || dVar.g() == null) {
                    return null;
                }
                Notification.BubbleMetadata.Builder suppressNotification = new Notification.BubbleMetadata.Builder().setIcon(dVar.f().P()).setIntent(dVar.g()).setDeleteIntent(dVar.c()).setAutoExpandBubble(dVar.b()).setSuppressNotification(dVar.i());
                if (dVar.d() != 0) {
                    suppressNotification.setDesiredHeight(dVar.d());
                }
                if (dVar.e() != 0) {
                    suppressNotification.setDesiredHeightResId(dVar.e());
                }
                return suppressNotification.build();
            }
        }

        /* access modifiers changed from: private */
        @RequiresApi(30)
        public static class b {
            private b() {
            }

            @Nullable
            @RequiresApi(30)
            static d a(@Nullable Notification.BubbleMetadata bubbleMetadata) {
                c cVar;
                if (bubbleMetadata == null) {
                    return null;
                }
                if (bubbleMetadata.getShortcutId() != null) {
                    cVar = new c(bubbleMetadata.getShortcutId());
                } else {
                    cVar = new c(bubbleMetadata.getIntent(), IconCompat.n(bubbleMetadata.getIcon()));
                }
                cVar.b(bubbleMetadata.getAutoExpandBubble()).c(bubbleMetadata.getDeleteIntent()).i(bubbleMetadata.isNotificationSuppressed());
                if (bubbleMetadata.getDesiredHeight() != 0) {
                    cVar.d(bubbleMetadata.getDesiredHeight());
                }
                if (bubbleMetadata.getDesiredHeightResId() != 0) {
                    cVar.e(bubbleMetadata.getDesiredHeightResId());
                }
                return cVar.a();
            }

            @Nullable
            @RequiresApi(30)
            static Notification.BubbleMetadata b(@Nullable d dVar) {
                Notification.BubbleMetadata.Builder builder;
                if (dVar == null) {
                    return null;
                }
                if (dVar.h() != null) {
                    builder = new Notification.BubbleMetadata.Builder(dVar.h());
                } else {
                    builder = new Notification.BubbleMetadata.Builder(dVar.g(), dVar.f().P());
                }
                builder.setDeleteIntent(dVar.c()).setAutoExpandBubble(dVar.b()).setSuppressNotification(dVar.i());
                if (dVar.d() != 0) {
                    builder.setDesiredHeight(dVar.d());
                }
                if (dVar.e() != 0) {
                    builder.setDesiredHeightResId(dVar.e());
                }
                return builder.build();
            }
        }

        public static final class c {

            /* renamed from: a  reason: collision with root package name */
            private PendingIntent f2231a;

            /* renamed from: b  reason: collision with root package name */
            private IconCompat f2232b;

            /* renamed from: c  reason: collision with root package name */
            private int f2233c;
            @DimenRes

            /* renamed from: d  reason: collision with root package name */
            private int f2234d;

            /* renamed from: e  reason: collision with root package name */
            private int f2235e;
            private PendingIntent f;
            private String g;

            @Deprecated
            public c() {
            }

            @NonNull
            private c f(int i, boolean z) {
                if (z) {
                    this.f2235e = i | this.f2235e;
                } else {
                    this.f2235e = (~i) & this.f2235e;
                }
                return this;
            }

            @NonNull
            @SuppressLint({"SyntheticAccessor"})
            public d a() {
                String str = this.g;
                if (str == null) {
                    Objects.requireNonNull(this.f2231a, "Must supply pending intent or shortcut to bubble");
                }
                if (str == null) {
                    Objects.requireNonNull(this.f2232b, "Must supply an icon or shortcut for the bubble");
                }
                d dVar = new d(this.f2231a, this.f, this.f2232b, this.f2233c, this.f2234d, this.f2235e, str);
                dVar.j(this.f2235e);
                return dVar;
            }

            @NonNull
            public c b(boolean z) {
                f(1, z);
                return this;
            }

            @NonNull
            public c c(@Nullable PendingIntent pendingIntent) {
                this.f = pendingIntent;
                return this;
            }

            @NonNull
            public c d(@Dimension(unit = 0) int i) {
                this.f2233c = Math.max(i, 0);
                this.f2234d = 0;
                return this;
            }

            @NonNull
            public c e(@DimenRes int i) {
                this.f2234d = i;
                this.f2233c = 0;
                return this;
            }

            @NonNull
            public c g(@NonNull IconCompat iconCompat) {
                if (this.g == null) {
                    Objects.requireNonNull(iconCompat, "Bubbles require non-null icon");
                    this.f2232b = iconCompat;
                    return this;
                }
                throw new IllegalStateException("Created as a shortcut bubble, cannot set an Icon. Consider using BubbleMetadata.Builder(PendingIntent,Icon) instead.");
            }

            @NonNull
            public c h(@NonNull PendingIntent pendingIntent) {
                if (this.g == null) {
                    Objects.requireNonNull(pendingIntent, "Bubble requires non-null pending intent");
                    this.f2231a = pendingIntent;
                    return this;
                }
                throw new IllegalStateException("Created as a shortcut bubble, cannot set a PendingIntent. Consider using BubbleMetadata.Builder(PendingIntent,Icon) instead.");
            }

            @NonNull
            public c i(boolean z) {
                f(2, z);
                return this;
            }

            @RequiresApi(30)
            public c(@NonNull String str) {
                if (!TextUtils.isEmpty(str)) {
                    this.g = str;
                    return;
                }
                throw new NullPointerException("Bubble requires a non-null shortcut id");
            }

            public c(@NonNull PendingIntent pendingIntent, @NonNull IconCompat iconCompat) {
                Objects.requireNonNull(pendingIntent, "Bubble requires non-null pending intent");
                Objects.requireNonNull(iconCompat, "Bubbles require non-null icon");
                this.f2231a = pendingIntent;
                this.f2232b = iconCompat;
            }
        }

        @Nullable
        public static d a(@Nullable Notification.BubbleMetadata bubbleMetadata) {
            if (bubbleMetadata == null) {
                return null;
            }
            int i2 = Build.VERSION.SDK_INT;
            if (i2 >= 30) {
                return b.a(bubbleMetadata);
            }
            if (i2 == 29) {
                return a.a(bubbleMetadata);
            }
            return null;
        }

        @Nullable
        public static Notification.BubbleMetadata k(@Nullable d dVar) {
            if (dVar == null) {
                return null;
            }
            int i2 = Build.VERSION.SDK_INT;
            if (i2 >= 30) {
                return b.b(dVar);
            }
            if (i2 == 29) {
                return a.b(dVar);
            }
            return null;
        }

        public boolean b() {
            return (this.h & 1) != 0;
        }

        @Nullable
        public PendingIntent c() {
            return this.f2229d;
        }

        @Dimension(unit = 0)
        public int d() {
            return this.f;
        }

        @DimenRes
        public int e() {
            return this.g;
        }

        @Nullable
        @SuppressLint({"InvalidNullConversion"})
        public IconCompat f() {
            return this.f2230e;
        }

        @Nullable
        @SuppressLint({"InvalidNullConversion"})
        public PendingIntent g() {
            return this.f2228c;
        }

        @Nullable
        public String h() {
            return this.i;
        }

        public boolean i() {
            return (this.h & 2) != 0;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void j(int i2) {
            this.h = i2;
        }

        private d(@Nullable PendingIntent pendingIntent, @Nullable PendingIntent pendingIntent2, @Nullable IconCompat iconCompat, int i2, @DimenRes int i3, int i4, @Nullable String str) {
            this.f2228c = pendingIntent;
            this.f2230e = iconCompat;
            this.f = i2;
            this.g = i3;
            this.f2229d = pendingIntent2;
            this.h = i4;
            this.i = str;
        }
    }

    public static class g extends k {

        /* renamed from: e  reason: collision with root package name */
        private static final String f2256e = "androidx.core.app.NotificationCompat$DecoratedCustomViewStyle";
        private static final int f = 3;

        private RemoteViews A(RemoteViews remoteViews, boolean z) {
            int min;
            boolean z2 = true;
            int i = 0;
            RemoteViews c2 = c(true, R.layout.notification_template_custom_big, false);
            c2.removeAllViews(R.id.actions);
            List<Action> C = C(this.f2264a.f2238c);
            if (!z || C == null || (min = Math.min(C.size(), 3)) <= 0) {
                z2 = false;
            } else {
                for (int i2 = 0; i2 < min; i2++) {
                    c2.addView(R.id.actions, B(C.get(i2)));
                }
            }
            if (!z2) {
                i = 8;
            }
            c2.setViewVisibility(R.id.actions, i);
            c2.setViewVisibility(R.id.action_divider, i);
            e(c2, remoteViews);
            return c2;
        }

        private RemoteViews B(Action action) {
            int i;
            boolean z = action.x == null;
            String packageName = this.f2264a.f2237b.getPackageName();
            if (z) {
                i = R.layout.notification_action_tombstone;
            } else {
                i = R.layout.notification_action;
            }
            RemoteViews remoteViews = new RemoteViews(packageName, i);
            IconCompat f2 = action.f();
            if (f2 != null) {
                remoteViews.setImageViewBitmap(R.id.action_image, o(f2, this.f2264a.f2237b.getResources().getColor(R.color.notification_action_color_filter)));
            }
            remoteViews.setTextViewText(R.id.action_text, action.w);
            if (!z) {
                remoteViews.setOnClickPendingIntent(R.id.action_container, action.x);
            }
            if (Build.VERSION.SDK_INT >= 15) {
                remoteViews.setContentDescription(R.id.action_container, action.w);
            }
            return remoteViews;
        }

        private static List<Action> C(List<Action> list) {
            if (list == null) {
                return null;
            }
            ArrayList arrayList = new ArrayList();
            for (Action action : list) {
                if (!action.k()) {
                    arrayList.add(action);
                }
            }
            return arrayList;
        }

        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void b(l lVar) {
            if (Build.VERSION.SDK_INT >= 24) {
                lVar.a().setStyle(new Notification.DecoratedCustomViewStyle());
            }
        }

        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public boolean r() {
            return true;
        }

        /* access modifiers changed from: protected */
        @Override // androidx.core.app.NotificationCompat.k
        @NonNull
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public String t() {
            return f2256e;
        }

        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public RemoteViews v(l lVar) {
            if (Build.VERSION.SDK_INT >= 24) {
                return null;
            }
            RemoteViews p = this.f2264a.p();
            if (p == null) {
                p = this.f2264a.s();
            }
            if (p == null) {
                return null;
            }
            return A(p, true);
        }

        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public RemoteViews w(l lVar) {
            if (Build.VERSION.SDK_INT < 24 && this.f2264a.s() != null) {
                return A(this.f2264a.s(), false);
            }
            return null;
        }

        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public RemoteViews x(l lVar) {
            RemoteViews remoteViews;
            if (Build.VERSION.SDK_INT >= 24) {
                return null;
            }
            RemoteViews v = this.f2264a.v();
            if (v != null) {
                remoteViews = v;
            } else {
                remoteViews = this.f2264a.s();
            }
            if (v == null) {
                return null;
            }
            return A(remoteViews, true);
        }
    }

    public interface h {
        @NonNull
        e a(@NonNull e eVar);
    }

    public static abstract class k {
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})

        /* renamed from: a  reason: collision with root package name */
        protected e f2264a;

        /* renamed from: b  reason: collision with root package name */
        CharSequence f2265b;

        /* renamed from: c  reason: collision with root package name */
        CharSequence f2266c;

        /* renamed from: d  reason: collision with root package name */
        boolean f2267d = false;

        private int f() {
            Resources resources = this.f2264a.f2237b.getResources();
            int dimensionPixelSize = resources.getDimensionPixelSize(R.dimen.notification_top_pad);
            int dimensionPixelSize2 = resources.getDimensionPixelSize(R.dimen.notification_top_pad_large_text);
            float h = (h(resources.getConfiguration().fontScale, 1.0f, 1.3f) - 1.0f) / 0.29999995f;
            return Math.round(((1.0f - h) * ((float) dimensionPixelSize)) + (h * ((float) dimensionPixelSize2)));
        }

        private static float h(float f, float f2, float f3) {
            return f < f2 ? f2 : f > f3 ? f3 : f;
        }

        @Nullable
        static k i(@Nullable String str) {
            if (str == null) {
                return null;
            }
            char c2 = 65535;
            switch (str.hashCode()) {
                case -716705180:
                    if (str.equals("androidx.core.app.NotificationCompat$DecoratedCustomViewStyle")) {
                        c2 = 0;
                        break;
                    }
                    break;
                case -171946061:
                    if (str.equals("androidx.core.app.NotificationCompat$BigPictureStyle")) {
                        c2 = 1;
                        break;
                    }
                    break;
                case 912942987:
                    if (str.equals("androidx.core.app.NotificationCompat$InboxStyle")) {
                        c2 = 2;
                        break;
                    }
                    break;
                case 919595044:
                    if (str.equals("androidx.core.app.NotificationCompat$BigTextStyle")) {
                        c2 = 3;
                        break;
                    }
                    break;
                case 2090799565:
                    if (str.equals("androidx.core.app.NotificationCompat$MessagingStyle")) {
                        c2 = 4;
                        break;
                    }
                    break;
            }
            switch (c2) {
                case 0:
                    return new g();
                case 1:
                    return new b();
                case 2:
                    return new i();
                case 3:
                    return new c();
                case 4:
                    return new j();
                default:
                    return null;
            }
        }

        @Nullable
        private static k j(@Nullable String str) {
            int i;
            if (str != null && (i = Build.VERSION.SDK_INT) >= 16) {
                if (str.equals(Notification.BigPictureStyle.class.getName())) {
                    return new b();
                }
                if (str.equals(Notification.BigTextStyle.class.getName())) {
                    return new c();
                }
                if (str.equals(Notification.InboxStyle.class.getName())) {
                    return new i();
                }
                if (i >= 24) {
                    if (str.equals(Notification.MessagingStyle.class.getName())) {
                        return new j();
                    }
                    if (str.equals(Notification.DecoratedCustomViewStyle.class.getName())) {
                        return new g();
                    }
                }
            }
            return null;
        }

        @Nullable
        static k k(@NonNull Bundle bundle) {
            k i = i(bundle.getString(NotificationCompat.V));
            if (i != null) {
                return i;
            }
            if (bundle.containsKey(NotificationCompat.b0) || bundle.containsKey(NotificationCompat.c0)) {
                return new j();
            }
            if (bundle.containsKey(NotificationCompat.S)) {
                return new b();
            }
            if (bundle.containsKey(NotificationCompat.H)) {
                return new c();
            }
            if (bundle.containsKey(NotificationCompat.T)) {
                return new i();
            }
            return j(bundle.getString(NotificationCompat.U));
        }

        @Nullable
        static k l(@NonNull Bundle bundle) {
            k k = k(bundle);
            if (k == null) {
                return null;
            }
            try {
                k.y(bundle);
                return k;
            } catch (ClassCastException unused) {
                return null;
            }
        }

        private Bitmap n(int i, int i2, int i3) {
            return p(IconCompat.x(this.f2264a.f2237b, i), i2, i3);
        }

        private Bitmap p(@NonNull IconCompat iconCompat, int i, int i2) {
            Drawable K = iconCompat.K(this.f2264a.f2237b);
            int intrinsicWidth = i2 == 0 ? K.getIntrinsicWidth() : i2;
            if (i2 == 0) {
                i2 = K.getIntrinsicHeight();
            }
            Bitmap createBitmap = Bitmap.createBitmap(intrinsicWidth, i2, Bitmap.Config.ARGB_8888);
            K.setBounds(0, 0, intrinsicWidth, i2);
            if (i != 0) {
                K.mutate().setColorFilter(new PorterDuffColorFilter(i, PorterDuff.Mode.SRC_IN));
            }
            K.draw(new Canvas(createBitmap));
            return createBitmap;
        }

        private Bitmap q(int i, int i2, int i3, int i4) {
            int i5 = R.drawable.notification_icon_background;
            if (i4 == 0) {
                i4 = 0;
            }
            Bitmap n = n(i5, i4, i2);
            Canvas canvas = new Canvas(n);
            Drawable mutate = this.f2264a.f2237b.getResources().getDrawable(i).mutate();
            mutate.setFilterBitmap(true);
            int i6 = (i2 - i3) / 2;
            int i7 = i3 + i6;
            mutate.setBounds(i6, i6, i7, i7);
            mutate.setColorFilter(new PorterDuffColorFilter(-1, PorterDuff.Mode.SRC_ATOP));
            mutate.draw(canvas);
            return n;
        }

        @Nullable
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public static k s(@NonNull Notification notification) {
            Bundle n = NotificationCompat.n(notification);
            if (n == null) {
                return null;
            }
            return l(n);
        }

        private void u(RemoteViews remoteViews) {
            remoteViews.setViewVisibility(R.id.title, 8);
            remoteViews.setViewVisibility(R.id.text2, 8);
            remoteViews.setViewVisibility(R.id.text, 8);
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void a(@NonNull Bundle bundle) {
            if (this.f2267d) {
                bundle.putCharSequence(NotificationCompat.G, this.f2266c);
            }
            CharSequence charSequence = this.f2265b;
            if (charSequence != null) {
                bundle.putCharSequence(NotificationCompat.B, charSequence);
            }
            String t = t();
            if (t != null) {
                bundle.putString(NotificationCompat.V, t);
            }
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void b(l lVar) {
        }

        /* JADX WARNING: Removed duplicated region for block: B:60:0x0177  */
        /* JADX WARNING: Removed duplicated region for block: B:61:0x0181  */
        /* JADX WARNING: Removed duplicated region for block: B:66:0x018d  */
        /* JADX WARNING: Removed duplicated region for block: B:70:0x01af  */
        /* JADX WARNING: Removed duplicated region for block: B:79:0x01f5  */
        /* JADX WARNING: Removed duplicated region for block: B:82:0x01fa  */
        /* JADX WARNING: Removed duplicated region for block: B:83:0x01fc  */
        /* JADX WARNING: Removed duplicated region for block: B:86:0x0206  */
        @NonNull
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public RemoteViews c(boolean z, int i, boolean z2) {
            boolean z3;
            boolean z4;
            boolean z5;
            CharSequence charSequence;
            boolean z6;
            CharSequence charSequence2;
            Resources resources = this.f2264a.f2237b.getResources();
            RemoteViews remoteViews = new RemoteViews(this.f2264a.f2237b.getPackageName(), i);
            boolean z7 = true;
            int i2 = 0;
            boolean z8 = this.f2264a.x() < -1;
            int i3 = Build.VERSION.SDK_INT;
            if (i3 >= 16 && i3 < 21) {
                if (z8) {
                    remoteViews.setInt(R.id.notification_background, "setBackgroundResource", R.drawable.notification_bg_low);
                    remoteViews.setInt(R.id.icon, "setBackgroundResource", R.drawable.notification_template_icon_low_bg);
                } else {
                    remoteViews.setInt(R.id.notification_background, "setBackgroundResource", R.drawable.notification_bg);
                    remoteViews.setInt(R.id.icon, "setBackgroundResource", R.drawable.notification_template_icon_bg);
                }
            }
            e eVar = this.f2264a;
            if (eVar.k != null) {
                if (i3 >= 16) {
                    int i4 = R.id.icon;
                    remoteViews.setViewVisibility(i4, 0);
                    remoteViews.setImageViewBitmap(i4, this.f2264a.k);
                } else {
                    remoteViews.setViewVisibility(R.id.icon, 8);
                }
                if (z && this.f2264a.U.icon != 0) {
                    int dimensionPixelSize = resources.getDimensionPixelSize(R.dimen.notification_right_icon_size);
                    int dimensionPixelSize2 = dimensionPixelSize - (resources.getDimensionPixelSize(R.dimen.notification_small_icon_background_padding) * 2);
                    if (i3 >= 21) {
                        e eVar2 = this.f2264a;
                        remoteViews.setImageViewBitmap(R.id.right_icon, q(eVar2.U.icon, dimensionPixelSize, dimensionPixelSize2, eVar2.r()));
                    } else {
                        remoteViews.setImageViewBitmap(R.id.right_icon, m(this.f2264a.U.icon, -1));
                    }
                    remoteViews.setViewVisibility(R.id.right_icon, 0);
                }
            } else if (z && eVar.U.icon != 0) {
                int i5 = R.id.icon;
                remoteViews.setViewVisibility(i5, 0);
                if (i3 >= 21) {
                    int dimensionPixelSize3 = resources.getDimensionPixelSize(R.dimen.notification_large_icon_width) - resources.getDimensionPixelSize(R.dimen.notification_big_circle_margin);
                    int dimensionPixelSize4 = resources.getDimensionPixelSize(R.dimen.notification_small_icon_size_as_large);
                    e eVar3 = this.f2264a;
                    remoteViews.setImageViewBitmap(i5, q(eVar3.U.icon, dimensionPixelSize3, dimensionPixelSize4, eVar3.r()));
                } else {
                    remoteViews.setImageViewBitmap(i5, m(this.f2264a.U.icon, -1));
                }
            }
            CharSequence charSequence3 = this.f2264a.f;
            if (charSequence3 != null) {
                remoteViews.setTextViewText(R.id.title, charSequence3);
            }
            CharSequence charSequence4 = this.f2264a.g;
            if (charSequence4 != null) {
                remoteViews.setTextViewText(R.id.text, charSequence4);
                z3 = true;
            } else {
                z3 = false;
            }
            boolean z9 = i3 < 21 && this.f2264a.k != null;
            e eVar4 = this.f2264a;
            CharSequence charSequence5 = eVar4.l;
            if (charSequence5 != null) {
                int i6 = R.id.info;
                remoteViews.setTextViewText(i6, charSequence5);
                remoteViews.setViewVisibility(i6, 0);
            } else if (eVar4.m > 0) {
                if (this.f2264a.m > resources.getInteger(R.integer.status_bar_notification_info_maxnum)) {
                    remoteViews.setTextViewText(R.id.info, resources.getString(R.string.status_bar_notification_info_overflow));
                } else {
                    remoteViews.setTextViewText(R.id.info, NumberFormat.getIntegerInstance().format((long) this.f2264a.m));
                }
                remoteViews.setViewVisibility(R.id.info, 0);
            } else {
                remoteViews.setViewVisibility(R.id.info, 8);
                z5 = z3;
                z4 = z9;
                charSequence = this.f2264a.s;
                if (charSequence != null && i3 >= 16) {
                    remoteViews.setTextViewText(R.id.text, charSequence);
                    charSequence2 = this.f2264a.g;
                    if (charSequence2 == null) {
                        int i7 = R.id.text2;
                        remoteViews.setTextViewText(i7, charSequence2);
                        remoteViews.setViewVisibility(i7, 0);
                        z6 = true;
                        if (z6 && i3 >= 16) {
                            if (z2) {
                                remoteViews.setTextViewTextSize(R.id.text, 0, (float) resources.getDimensionPixelSize(R.dimen.notification_subtext_size));
                            }
                            remoteViews.setViewPadding(R.id.line1, 0, 0, 0, 0);
                        }
                        if (this.f2264a.y() != 0) {
                            z7 = z4;
                        } else if (!this.f2264a.p || i3 < 16) {
                            int i8 = R.id.time;
                            remoteViews.setViewVisibility(i8, 0);
                            remoteViews.setLong(i8, "setTime", this.f2264a.y());
                        } else {
                            int i9 = R.id.chronometer;
                            remoteViews.setViewVisibility(i9, 0);
                            remoteViews.setLong(i9, "setBase", this.f2264a.y() + (SystemClock.elapsedRealtime() - System.currentTimeMillis()));
                            remoteViews.setBoolean(i9, "setStarted", true);
                            boolean z10 = this.f2264a.q;
                            if (z10 && i3 >= 24) {
                                remoteViews.setChronometerCountDown(i9, z10);
                            }
                        }
                        remoteViews.setViewVisibility(R.id.right_side, !z7 ? 0 : 8);
                        int i10 = R.id.line3;
                        if (!z5) {
                            i2 = 8;
                        }
                        remoteViews.setViewVisibility(i10, i2);
                        return remoteViews;
                    }
                    remoteViews.setViewVisibility(R.id.text2, 8);
                }
                z6 = false;
                if (z2) {
                }
                remoteViews.setViewPadding(R.id.line1, 0, 0, 0, 0);
                if (this.f2264a.y() != 0) {
                }
                remoteViews.setViewVisibility(R.id.right_side, !z7 ? 0 : 8);
                int i102 = R.id.line3;
                if (!z5) {
                }
                remoteViews.setViewVisibility(i102, i2);
                return remoteViews;
            }
            z5 = true;
            z4 = true;
            charSequence = this.f2264a.s;
            remoteViews.setTextViewText(R.id.text, charSequence);
            charSequence2 = this.f2264a.g;
            if (charSequence2 == null) {
            }
        }

        @Nullable
        public Notification d() {
            e eVar = this.f2264a;
            if (eVar != null) {
                return eVar.h();
            }
            return null;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void e(RemoteViews remoteViews, RemoteViews remoteViews2) {
            u(remoteViews);
            int i = R.id.notification_main_column;
            remoteViews.removeAllViews(i);
            remoteViews.addView(i, remoteViews2.clone());
            remoteViews.setViewVisibility(i, 0);
            if (Build.VERSION.SDK_INT >= 21) {
                remoteViews.setViewPadding(R.id.notification_main_column_container, 0, f(), 0, 0);
            }
        }

        /* access modifiers changed from: protected */
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void g(@NonNull Bundle bundle) {
            bundle.remove(NotificationCompat.G);
            bundle.remove(NotificationCompat.B);
            bundle.remove(NotificationCompat.V);
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public Bitmap m(int i, int i2) {
            return n(i, i2, 0);
        }

        /* access modifiers changed from: package-private */
        public Bitmap o(@NonNull IconCompat iconCompat, int i) {
            return p(iconCompat, i, 0);
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public boolean r() {
            return false;
        }

        /* access modifiers changed from: protected */
        @Nullable
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public String t() {
            return null;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public RemoteViews v(l lVar) {
            return null;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public RemoteViews w(l lVar) {
            return null;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public RemoteViews x(l lVar) {
            return null;
        }

        /* access modifiers changed from: protected */
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void y(@NonNull Bundle bundle) {
            if (bundle.containsKey(NotificationCompat.G)) {
                this.f2266c = bundle.getCharSequence(NotificationCompat.G);
                this.f2267d = true;
            }
            this.f2265b = bundle.getCharSequence(NotificationCompat.B);
        }

        public void z(@Nullable e eVar) {
            if (this.f2264a != eVar) {
                this.f2264a = eVar;
                if (eVar != null) {
                    eVar.x0(this);
                }
            }
        }
    }

    @Nullable
    public static String A(@NonNull Notification notification) {
        if (Build.VERSION.SDK_INT >= 26) {
            return notification.getShortcutId();
        }
        return null;
    }

    @RequiresApi(19)
    public static boolean B(@NonNull Notification notification) {
        return notification.extras.getBoolean(R);
    }

    @Nullable
    public static String C(@NonNull Notification notification) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 20) {
            return notification.getSortKey();
        }
        if (i2 >= 19) {
            return notification.extras.getString(p.f2348d);
        }
        if (i2 >= 16) {
            return q.k(notification).getString(p.f2348d);
        }
        return null;
    }

    @Nullable
    @RequiresApi(19)
    public static CharSequence D(@NonNull Notification notification) {
        return notification.extras.getCharSequence(D);
    }

    public static long E(@NonNull Notification notification) {
        if (Build.VERSION.SDK_INT >= 26) {
            return notification.getTimeoutAfter();
        }
        return 0;
    }

    @RequiresApi(19)
    public static boolean F(@NonNull Notification notification) {
        return notification.extras.getBoolean(O);
    }

    public static int G(@NonNull Notification notification) {
        if (Build.VERSION.SDK_INT >= 21) {
            return notification.visibility;
        }
        return 0;
    }

    public static boolean H(@NonNull Notification notification) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 20) {
            if ((notification.flags & 512) != 0) {
                return true;
            }
            return false;
        } else if (i2 >= 19) {
            return notification.extras.getBoolean(p.f2347c);
        } else {
            if (i2 >= 16) {
                return q.k(notification).getBoolean(p.f2347c);
            }
            return false;
        }
    }

    @Nullable
    public static Action a(@NonNull Notification notification, int i2) {
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 20) {
            return b(notification.actions[i2]);
        }
        Bundle bundle = null;
        if (i3 >= 19) {
            Notification.Action action = notification.actions[i2];
            SparseArray sparseParcelableArray = notification.extras.getSparseParcelableArray(p.f2349e);
            if (sparseParcelableArray != null) {
                bundle = (Bundle) sparseParcelableArray.get(i2);
            }
            return q.l(action.icon, action.title, action.actionIntent, bundle);
        } else if (i3 >= 16) {
            return q.e(notification, i2);
        } else {
            return null;
        }
    }

    @NonNull
    @RequiresApi(20)
    static Action b(@NonNull Notification.Action action) {
        RemoteInput[] remoteInputArr;
        boolean z2;
        int i2;
        int i3;
        RemoteInput[] remoteInputs = action.getRemoteInputs();
        IconCompat iconCompat = null;
        if (remoteInputs == null) {
            remoteInputArr = null;
        } else {
            RemoteInput[] remoteInputArr2 = new RemoteInput[remoteInputs.length];
            for (int i4 = 0; i4 < remoteInputs.length; i4++) {
                RemoteInput remoteInput = remoteInputs[i4];
                remoteInputArr2[i4] = new RemoteInput(remoteInput.getResultKey(), remoteInput.getLabel(), remoteInput.getChoices(), remoteInput.getAllowFreeFormInput(), Build.VERSION.SDK_INT >= 29 ? remoteInput.getEditChoicesBeforeSending() : 0, remoteInput.getExtras(), null);
            }
            remoteInputArr = remoteInputArr2;
        }
        int i5 = Build.VERSION.SDK_INT;
        if (i5 >= 24) {
            z2 = action.getExtras().getBoolean("android.support.allowGeneratedReplies") || action.getAllowGeneratedReplies();
        } else {
            z2 = action.getExtras().getBoolean("android.support.allowGeneratedReplies");
        }
        boolean z3 = action.getExtras().getBoolean("android.support.action.showsUserInterface", true);
        if (i5 >= 28) {
            i2 = action.getSemanticAction();
        } else {
            i2 = action.getExtras().getInt("android.support.action.semanticAction", 0);
        }
        boolean isContextual = i5 >= 29 ? action.isContextual() : false;
        if (i5 < 23) {
            return new Action(action.icon, action.title, action.actionIntent, action.getExtras(), remoteInputArr, (RemoteInput[]) null, z2, i2, z3, isContextual);
        }
        if (action.getIcon() == null && (i3 = action.icon) != 0) {
            return new Action(i3, action.title, action.actionIntent, action.getExtras(), remoteInputArr, (RemoteInput[]) null, z2, i2, z3, isContextual);
        }
        if (action.getIcon() != null) {
            iconCompat = IconCompat.o(action.getIcon());
        }
        return new Action(iconCompat, action.title, action.actionIntent, action.getExtras(), remoteInputArr, (RemoteInput[]) null, z2, i2, z3, isContextual);
    }

    public static int c(@NonNull Notification notification) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 19) {
            Notification.Action[] actionArr = notification.actions;
            if (actionArr != null) {
                return actionArr.length;
            }
            return 0;
        } else if (i2 >= 16) {
            return q.f(notification);
        } else {
            return 0;
        }
    }

    public static boolean d(@NonNull Notification notification) {
        if (Build.VERSION.SDK_INT >= 29) {
            return notification.getAllowSystemGeneratedContextualActions();
        }
        return false;
    }

    public static boolean e(@NonNull Notification notification) {
        return (notification.flags & 16) != 0;
    }

    public static int f(@NonNull Notification notification) {
        if (Build.VERSION.SDK_INT >= 26) {
            return notification.getBadgeIconType();
        }
        return 0;
    }

    @Nullable
    public static d g(@NonNull Notification notification) {
        if (Build.VERSION.SDK_INT >= 29) {
            return d.a(notification.getBubbleMetadata());
        }
        return null;
    }

    @Nullable
    public static String h(@NonNull Notification notification) {
        if (Build.VERSION.SDK_INT >= 21) {
            return notification.category;
        }
        return null;
    }

    @Nullable
    public static String i(@NonNull Notification notification) {
        if (Build.VERSION.SDK_INT >= 26) {
            return notification.getChannelId();
        }
        return null;
    }

    public static int j(@NonNull Notification notification) {
        if (Build.VERSION.SDK_INT >= 21) {
            return notification.color;
        }
        return 0;
    }

    @Nullable
    @RequiresApi(19)
    public static CharSequence k(@NonNull Notification notification) {
        return notification.extras.getCharSequence(F);
    }

    @Nullable
    @RequiresApi(19)
    public static CharSequence l(@NonNull Notification notification) {
        return notification.extras.getCharSequence(C);
    }

    @Nullable
    @RequiresApi(19)
    public static CharSequence m(@NonNull Notification notification) {
        return notification.extras.getCharSequence(A);
    }

    @Nullable
    public static Bundle n(@NonNull Notification notification) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 19) {
            return notification.extras;
        }
        if (i2 >= 16) {
            return q.k(notification);
        }
        return null;
    }

    @Nullable
    public static String o(@NonNull Notification notification) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 20) {
            return notification.getGroup();
        }
        if (i2 >= 19) {
            return notification.extras.getString(p.f2346b);
        }
        if (i2 >= 16) {
            return q.k(notification).getString(p.f2346b);
        }
        return null;
    }

    public static int p(@NonNull Notification notification) {
        if (Build.VERSION.SDK_INT >= 26) {
            return notification.getGroupAlertBehavior();
        }
        return 0;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    static boolean q(@NonNull Notification notification) {
        return (notification.flags & 128) != 0;
    }

    @NonNull
    @RequiresApi(21)
    public static List<Action> r(@NonNull Notification notification) {
        Bundle bundle;
        Bundle bundle2;
        ArrayList arrayList = new ArrayList();
        if (!(Build.VERSION.SDK_INT < 19 || (bundle = notification.extras.getBundle("android.car.EXTENSIONS")) == null || (bundle2 = bundle.getBundle("invisible_actions")) == null)) {
            for (int i2 = 0; i2 < bundle2.size(); i2++) {
                arrayList.add(q.g(bundle2.getBundle(Integer.toString(i2))));
            }
        }
        return arrayList;
    }

    public static boolean s(@NonNull Notification notification) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 20) {
            if ((notification.flags & 256) != 0) {
                return true;
            }
            return false;
        } else if (i2 >= 19) {
            return notification.extras.getBoolean(p.f2345a);
        } else {
            if (i2 >= 16) {
                return q.k(notification).getBoolean(p.f2345a);
            }
            return false;
        }
    }

    @Nullable
    public static androidx.core.content.g t(@NonNull Notification notification) {
        LocusId locusId;
        if (Build.VERSION.SDK_INT < 29 || (locusId = notification.getLocusId()) == null) {
            return null;
        }
        return androidx.core.content.g.d(locusId);
    }

    @NonNull
    static Notification[] u(@NonNull Bundle bundle, @NonNull String str) {
        Parcelable[] parcelableArray = bundle.getParcelableArray(str);
        if ((parcelableArray instanceof Notification[]) || parcelableArray == null) {
            return (Notification[]) parcelableArray;
        }
        Notification[] notificationArr = new Notification[parcelableArray.length];
        for (int i2 = 0; i2 < parcelableArray.length; i2++) {
            notificationArr[i2] = (Notification) parcelableArray[i2];
        }
        bundle.putParcelableArray(str, notificationArr);
        return notificationArr;
    }

    public static boolean v(@NonNull Notification notification) {
        return (notification.flags & 2) != 0;
    }

    public static boolean w(@NonNull Notification notification) {
        return (notification.flags & 8) != 0;
    }

    @NonNull
    public static List<s> x(@NonNull Notification notification) {
        String[] stringArray;
        ArrayList arrayList = new ArrayList();
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 28) {
            ArrayList parcelableArrayList = notification.extras.getParcelableArrayList(X);
            if (parcelableArrayList != null && !parcelableArrayList.isEmpty()) {
                Iterator it = parcelableArrayList.iterator();
                while (it.hasNext()) {
                    arrayList.add(s.a((Person) it.next()));
                }
            }
        } else if (!(i2 < 19 || (stringArray = notification.extras.getStringArray(W)) == null || stringArray.length == 0)) {
            for (String str : stringArray) {
                arrayList.add(new s.a().g(str).a());
            }
        }
        return arrayList;
    }

    @Nullable
    public static Notification y(@NonNull Notification notification) {
        if (Build.VERSION.SDK_INT >= 21) {
            return notification.publicVersion;
        }
        return null;
    }

    @Nullable
    public static CharSequence z(@NonNull Notification notification) {
        if (Build.VERSION.SDK_INT >= 26) {
            return notification.getSettingsText();
        }
        return null;
    }

    public static final class f implements h {
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})

        /* renamed from: a  reason: collision with root package name */
        static final String f2241a = "android.car.EXTENSIONS";

        /* renamed from: b  reason: collision with root package name */
        private static final String f2242b = "large_icon";

        /* renamed from: c  reason: collision with root package name */
        private static final String f2243c = "car_conversation";

        /* renamed from: d  reason: collision with root package name */
        private static final String f2244d = "app_color";
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})

        /* renamed from: e  reason: collision with root package name */
        static final String f2245e = "invisible_actions";
        private static final String f = "author";
        private static final String g = "text";
        private static final String h = "messages";
        private static final String i = "remote_input";
        private static final String j = "on_reply";
        private static final String k = "on_read";
        private static final String l = "participants";
        private static final String m = "timestamp";
        private Bitmap n;
        private a o;
        private int p = 0;

        @Deprecated
        public static class a {

            /* renamed from: a  reason: collision with root package name */
            private final String[] f2246a;

            /* renamed from: b  reason: collision with root package name */
            private final RemoteInput f2247b;

            /* renamed from: c  reason: collision with root package name */
            private final PendingIntent f2248c;

            /* renamed from: d  reason: collision with root package name */
            private final PendingIntent f2249d;

            /* renamed from: e  reason: collision with root package name */
            private final String[] f2250e;
            private final long f;

            /* renamed from: androidx.core.app.NotificationCompat$f$a$a  reason: collision with other inner class name */
            public static class C0026a {

                /* renamed from: a  reason: collision with root package name */
                private final List<String> f2251a = new ArrayList();

                /* renamed from: b  reason: collision with root package name */
                private final String f2252b;

                /* renamed from: c  reason: collision with root package name */
                private RemoteInput f2253c;

                /* renamed from: d  reason: collision with root package name */
                private PendingIntent f2254d;

                /* renamed from: e  reason: collision with root package name */
                private PendingIntent f2255e;
                private long f;

                public C0026a(@NonNull String str) {
                    this.f2252b = str;
                }

                @NonNull
                public C0026a a(@Nullable String str) {
                    if (str != null) {
                        this.f2251a.add(str);
                    }
                    return this;
                }

                @NonNull
                public a b() {
                    List<String> list = this.f2251a;
                    return new a((String[]) list.toArray(new String[list.size()]), this.f2253c, this.f2255e, this.f2254d, new String[]{this.f2252b}, this.f);
                }

                @NonNull
                public C0026a c(long j) {
                    this.f = j;
                    return this;
                }

                @NonNull
                public C0026a d(@Nullable PendingIntent pendingIntent) {
                    this.f2254d = pendingIntent;
                    return this;
                }

                @NonNull
                public C0026a e(@Nullable PendingIntent pendingIntent, @Nullable RemoteInput remoteInput) {
                    this.f2253c = remoteInput;
                    this.f2255e = pendingIntent;
                    return this;
                }
            }

            a(@Nullable String[] strArr, @Nullable RemoteInput remoteInput, @Nullable PendingIntent pendingIntent, @Nullable PendingIntent pendingIntent2, @Nullable String[] strArr2, long j) {
                this.f2246a = strArr;
                this.f2247b = remoteInput;
                this.f2249d = pendingIntent2;
                this.f2248c = pendingIntent;
                this.f2250e = strArr2;
                this.f = j;
            }

            public long a() {
                return this.f;
            }

            @Nullable
            public String[] b() {
                return this.f2246a;
            }

            @Nullable
            public String c() {
                String[] strArr = this.f2250e;
                if (strArr.length > 0) {
                    return strArr[0];
                }
                return null;
            }

            @Nullable
            public String[] d() {
                return this.f2250e;
            }

            @Nullable
            public PendingIntent e() {
                return this.f2249d;
            }

            @Nullable
            public RemoteInput f() {
                return this.f2247b;
            }

            @Nullable
            public PendingIntent g() {
                return this.f2248c;
            }
        }

        public f() {
        }

        @RequiresApi(21)
        private static Bundle b(@NonNull a aVar) {
            Bundle bundle = new Bundle();
            String str = (aVar.d() == null || aVar.d().length <= 1) ? null : aVar.d()[0];
            int length = aVar.b().length;
            Parcelable[] parcelableArr = new Parcelable[length];
            for (int i2 = 0; i2 < length; i2++) {
                Bundle bundle2 = new Bundle();
                bundle2.putString("text", aVar.b()[i2]);
                bundle2.putString(f, str);
                parcelableArr[i2] = bundle2;
            }
            bundle.putParcelableArray(h, parcelableArr);
            RemoteInput f2 = aVar.f();
            if (f2 != null) {
                bundle.putParcelable(i, new RemoteInput.Builder(f2.o()).setLabel(f2.n()).setChoices(f2.h()).setAllowFreeFormInput(f2.f()).addExtras(f2.m()).build());
            }
            bundle.putParcelable(j, aVar.g());
            bundle.putParcelable(k, aVar.e());
            bundle.putStringArray(l, aVar.d());
            bundle.putLong("timestamp", aVar.a());
            return bundle;
        }

        @RequiresApi(21)
        private static a f(@Nullable Bundle bundle) {
            String[] strArr;
            boolean z;
            RemoteInput remoteInput = null;
            if (bundle == null) {
                return null;
            }
            Parcelable[] parcelableArray = bundle.getParcelableArray(h);
            if (parcelableArray != null) {
                int length = parcelableArray.length;
                String[] strArr2 = new String[length];
                int i2 = 0;
                while (true) {
                    if (i2 >= length) {
                        z = true;
                        break;
                    } else if (!(parcelableArray[i2] instanceof Bundle)) {
                        break;
                    } else {
                        strArr2[i2] = ((Bundle) parcelableArray[i2]).getString("text");
                        if (strArr2[i2] == null) {
                            break;
                        }
                        i2++;
                    }
                }
                z = false;
                if (!z) {
                    return null;
                }
                strArr = strArr2;
            } else {
                strArr = null;
            }
            PendingIntent pendingIntent = (PendingIntent) bundle.getParcelable(k);
            PendingIntent pendingIntent2 = (PendingIntent) bundle.getParcelable(j);
            RemoteInput remoteInput2 = (RemoteInput) bundle.getParcelable(i);
            String[] stringArray = bundle.getStringArray(l);
            if (stringArray == null || stringArray.length != 1) {
                return null;
            }
            if (remoteInput2 != null) {
                remoteInput = new RemoteInput(remoteInput2.getResultKey(), remoteInput2.getLabel(), remoteInput2.getChoices(), remoteInput2.getAllowFreeFormInput(), Build.VERSION.SDK_INT >= 29 ? remoteInput2.getEditChoicesBeforeSending() : 0, remoteInput2.getExtras(), null);
            }
            return new a(strArr, remoteInput, pendingIntent2, pendingIntent, stringArray, bundle.getLong("timestamp"));
        }

        @Override // androidx.core.app.NotificationCompat.h
        @NonNull
        public e a(@NonNull e eVar) {
            if (Build.VERSION.SDK_INT < 21) {
                return eVar;
            }
            Bundle bundle = new Bundle();
            Bitmap bitmap = this.n;
            if (bitmap != null) {
                bundle.putParcelable(f2242b, bitmap);
            }
            int i2 = this.p;
            if (i2 != 0) {
                bundle.putInt(f2244d, i2);
            }
            a aVar = this.o;
            if (aVar != null) {
                bundle.putBundle(f2243c, b(aVar));
            }
            eVar.t().putBundle(f2241a, bundle);
            return eVar;
        }

        @ColorInt
        public int c() {
            return this.p;
        }

        @Nullable
        public Bitmap d() {
            return this.n;
        }

        @Nullable
        @Deprecated
        public a e() {
            return this.o;
        }

        @NonNull
        public f g(@ColorInt int i2) {
            this.p = i2;
            return this;
        }

        @NonNull
        public f h(@Nullable Bitmap bitmap) {
            this.n = bitmap;
            return this;
        }

        @NonNull
        @Deprecated
        public f i(@Nullable a aVar) {
            this.o = aVar;
            return this;
        }

        public f(@NonNull Notification notification) {
            Bundle bundle;
            if (Build.VERSION.SDK_INT >= 21) {
                if (NotificationCompat.n(notification) == null) {
                    bundle = null;
                } else {
                    bundle = NotificationCompat.n(notification).getBundle(f2241a);
                }
                if (bundle != null) {
                    this.n = (Bitmap) bundle.getParcelable(f2242b);
                    this.p = bundle.getInt(f2244d, 0);
                    this.o = f(bundle.getBundle(f2243c));
                }
            }
        }
    }

    public static class i extends k {

        /* renamed from: e  reason: collision with root package name */
        private static final String f2257e = "androidx.core.app.NotificationCompat$InboxStyle";
        private ArrayList<CharSequence> f = new ArrayList<>();

        public i() {
        }

        @NonNull
        public i A(@Nullable CharSequence charSequence) {
            if (charSequence != null) {
                this.f.add(e.z(charSequence));
            }
            return this;
        }

        @NonNull
        public i B(@Nullable CharSequence charSequence) {
            this.f2265b = e.z(charSequence);
            return this;
        }

        @NonNull
        public i C(@Nullable CharSequence charSequence) {
            this.f2266c = e.z(charSequence);
            this.f2267d = true;
            return this;
        }

        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void b(l lVar) {
            if (Build.VERSION.SDK_INT >= 16) {
                Notification.InboxStyle bigContentTitle = new Notification.InboxStyle(lVar.a()).setBigContentTitle(this.f2265b);
                if (this.f2267d) {
                    bigContentTitle.setSummaryText(this.f2266c);
                }
                Iterator<CharSequence> it = this.f.iterator();
                while (it.hasNext()) {
                    bigContentTitle.addLine(it.next());
                }
            }
        }

        /* access modifiers changed from: protected */
        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void g(@NonNull Bundle bundle) {
            super.g(bundle);
            bundle.remove(NotificationCompat.T);
        }

        /* access modifiers changed from: protected */
        @Override // androidx.core.app.NotificationCompat.k
        @NonNull
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public String t() {
            return f2257e;
        }

        /* access modifiers changed from: protected */
        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void y(@NonNull Bundle bundle) {
            super.y(bundle);
            this.f.clear();
            if (bundle.containsKey(NotificationCompat.T)) {
                Collections.addAll(this.f, bundle.getCharSequenceArray(NotificationCompat.T));
            }
        }

        public i(@Nullable e eVar) {
            z(eVar);
        }
    }

    public static class j extends k {

        /* renamed from: e  reason: collision with root package name */
        private static final String f2258e = "androidx.core.app.NotificationCompat$MessagingStyle";
        public static final int f = 25;
        private final List<a> g = new ArrayList();
        private final List<a> h = new ArrayList();
        private s i;
        @Nullable
        private CharSequence j;
        @Nullable
        private Boolean k;

        j() {
        }

        @Nullable
        public static j E(@NonNull Notification notification) {
            k s = k.s(notification);
            if (s instanceof j) {
                return (j) s;
            }
            return null;
        }

        @Nullable
        private a F() {
            for (int size = this.g.size() - 1; size >= 0; size--) {
                a aVar = this.g.get(size);
                if (!(aVar.g() == null || TextUtils.isEmpty(aVar.g().f()))) {
                    return aVar;
                }
            }
            if (this.g.isEmpty()) {
                return null;
            }
            List<a> list = this.g;
            return list.get(list.size() - 1);
        }

        private boolean L() {
            for (int size = this.g.size() - 1; size >= 0; size--) {
                a aVar = this.g.get(size);
                if (aVar.g() != null && aVar.g().f() == null) {
                    return true;
                }
            }
            return false;
        }

        @NonNull
        private TextAppearanceSpan N(int i2) {
            return new TextAppearanceSpan(null, 0, 0, ColorStateList.valueOf(i2), null);
        }

        private CharSequence O(@NonNull a aVar) {
            androidx.core.h.a c2 = androidx.core.h.a.c();
            SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder();
            boolean z = Build.VERSION.SDK_INT >= 21;
            int i2 = z ? ViewCompat.MEASURED_STATE_MASK : -1;
            CharSequence charSequence = "";
            CharSequence f2 = aVar.g() == null ? charSequence : aVar.g().f();
            if (TextUtils.isEmpty(f2)) {
                f2 = this.i.f();
                if (z && this.f2264a.r() != 0) {
                    i2 = this.f2264a.r();
                }
            }
            CharSequence m = c2.m(f2);
            spannableStringBuilder.append(m);
            spannableStringBuilder.setSpan(N(i2), spannableStringBuilder.length() - m.length(), spannableStringBuilder.length(), 33);
            if (aVar.i() != null) {
                charSequence = aVar.i();
            }
            spannableStringBuilder.append((CharSequence) "  ").append(c2.m(charSequence));
            return spannableStringBuilder;
        }

        @NonNull
        public j A(@Nullable a aVar) {
            if (aVar != null) {
                this.h.add(aVar);
                if (this.h.size() > 25) {
                    this.h.remove(0);
                }
            }
            return this;
        }

        @NonNull
        public j B(@Nullable a aVar) {
            if (aVar != null) {
                this.g.add(aVar);
                if (this.g.size() > 25) {
                    this.g.remove(0);
                }
            }
            return this;
        }

        @NonNull
        public j C(@Nullable CharSequence charSequence, long j2, @Nullable s sVar) {
            B(new a(charSequence, j2, sVar));
            return this;
        }

        @NonNull
        @Deprecated
        public j D(@Nullable CharSequence charSequence, long j2, @Nullable CharSequence charSequence2) {
            this.g.add(new a(charSequence, j2, new s.a().f(charSequence2).a()));
            if (this.g.size() > 25) {
                this.g.remove(0);
            }
            return this;
        }

        @Nullable
        public CharSequence G() {
            return this.j;
        }

        @NonNull
        public List<a> H() {
            return this.h;
        }

        @NonNull
        public List<a> I() {
            return this.g;
        }

        @NonNull
        public s J() {
            return this.i;
        }

        @Nullable
        @Deprecated
        public CharSequence K() {
            return this.i.f();
        }

        public boolean M() {
            e eVar = this.f2264a;
            if (eVar == null || eVar.f2237b.getApplicationInfo().targetSdkVersion >= 28 || this.k != null) {
                Boolean bool = this.k;
                if (bool != null) {
                    return bool.booleanValue();
                }
                return false;
            } else if (this.j != null) {
                return true;
            } else {
                return false;
            }
        }

        @NonNull
        public j P(@Nullable CharSequence charSequence) {
            this.j = charSequence;
            return this;
        }

        @NonNull
        public j Q(boolean z) {
            this.k = Boolean.valueOf(z);
            return this;
        }

        @Override // androidx.core.app.NotificationCompat.k
        public void a(@NonNull Bundle bundle) {
            super.a(bundle);
            bundle.putCharSequence(NotificationCompat.b0, this.i.f());
            bundle.putBundle(NotificationCompat.c0, this.i.m());
            bundle.putCharSequence(NotificationCompat.h0, this.j);
            if (this.j != null && this.k.booleanValue()) {
                bundle.putCharSequence(NotificationCompat.d0, this.j);
            }
            if (!this.g.isEmpty()) {
                bundle.putParcelableArray(NotificationCompat.e0, a.a(this.g));
            }
            if (!this.h.isEmpty()) {
                bundle.putParcelableArray(NotificationCompat.f0, a.a(this.h));
            }
            Boolean bool = this.k;
            if (bool != null) {
                bundle.putBoolean(NotificationCompat.g0, bool.booleanValue());
            }
        }

        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void b(l lVar) {
            CharSequence charSequence;
            Notification.MessagingStyle messagingStyle;
            Q(M());
            int i2 = Build.VERSION.SDK_INT;
            if (i2 >= 24) {
                if (i2 >= 28) {
                    messagingStyle = new Notification.MessagingStyle(this.i.k());
                } else {
                    messagingStyle = new Notification.MessagingStyle(this.i.f());
                }
                for (a aVar : this.g) {
                    messagingStyle.addMessage(aVar.l());
                }
                if (Build.VERSION.SDK_INT >= 26) {
                    for (a aVar2 : this.h) {
                        messagingStyle.addHistoricMessage(aVar2.l());
                    }
                }
                if (this.k.booleanValue() || Build.VERSION.SDK_INT >= 28) {
                    messagingStyle.setConversationTitle(this.j);
                }
                if (Build.VERSION.SDK_INT >= 28) {
                    messagingStyle.setGroupConversation(this.k.booleanValue());
                }
                messagingStyle.setBuilder(lVar.a());
                return;
            }
            a F = F();
            if (this.j != null && this.k.booleanValue()) {
                lVar.a().setContentTitle(this.j);
            } else if (F != null) {
                lVar.a().setContentTitle("");
                if (F.g() != null) {
                    lVar.a().setContentTitle(F.g().f());
                }
            }
            if (F != null) {
                Notification.Builder a2 = lVar.a();
                if (this.j != null) {
                    charSequence = O(F);
                } else {
                    charSequence = F.i();
                }
                a2.setContentText(charSequence);
            }
            if (i2 >= 16) {
                SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder();
                boolean z = this.j != null || L();
                for (int size = this.g.size() - 1; size >= 0; size--) {
                    a aVar3 = this.g.get(size);
                    CharSequence O = z ? O(aVar3) : aVar3.i();
                    if (size != this.g.size() - 1) {
                        spannableStringBuilder.insert(0, (CharSequence) "\n");
                    }
                    spannableStringBuilder.insert(0, O);
                }
                new Notification.BigTextStyle(lVar.a()).setBigContentTitle(null).bigText(spannableStringBuilder);
            }
        }

        /* access modifiers changed from: protected */
        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void g(@NonNull Bundle bundle) {
            super.g(bundle);
            bundle.remove(NotificationCompat.c0);
            bundle.remove(NotificationCompat.b0);
            bundle.remove(NotificationCompat.d0);
            bundle.remove(NotificationCompat.h0);
            bundle.remove(NotificationCompat.e0);
            bundle.remove(NotificationCompat.f0);
            bundle.remove(NotificationCompat.g0);
        }

        /* access modifiers changed from: protected */
        @Override // androidx.core.app.NotificationCompat.k
        @NonNull
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public String t() {
            return f2258e;
        }

        /* access modifiers changed from: protected */
        @Override // androidx.core.app.NotificationCompat.k
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public void y(@NonNull Bundle bundle) {
            super.y(bundle);
            this.g.clear();
            if (bundle.containsKey(NotificationCompat.c0)) {
                this.i = s.b(bundle.getBundle(NotificationCompat.c0));
            } else {
                this.i = new s.a().f(bundle.getString(NotificationCompat.b0)).a();
            }
            CharSequence charSequence = bundle.getCharSequence(NotificationCompat.d0);
            this.j = charSequence;
            if (charSequence == null) {
                this.j = bundle.getCharSequence(NotificationCompat.h0);
            }
            Parcelable[] parcelableArray = bundle.getParcelableArray(NotificationCompat.e0);
            if (parcelableArray != null) {
                this.g.addAll(a.f(parcelableArray));
            }
            Parcelable[] parcelableArray2 = bundle.getParcelableArray(NotificationCompat.f0);
            if (parcelableArray2 != null) {
                this.h.addAll(a.f(parcelableArray2));
            }
            if (bundle.containsKey(NotificationCompat.g0)) {
                this.k = Boolean.valueOf(bundle.getBoolean(NotificationCompat.g0));
            }
        }

        @Deprecated
        public j(@NonNull CharSequence charSequence) {
            this.i = new s.a().f(charSequence).a();
        }

        public static final class a {

            /* renamed from: a  reason: collision with root package name */
            static final String f2259a = "text";

            /* renamed from: b  reason: collision with root package name */
            static final String f2260b = "time";

            /* renamed from: c  reason: collision with root package name */
            static final String f2261c = "sender";

            /* renamed from: d  reason: collision with root package name */
            static final String f2262d = "type";

            /* renamed from: e  reason: collision with root package name */
            static final String f2263e = "uri";
            static final String f = "extras";
            static final String g = "person";
            static final String h = "sender_person";
            private final CharSequence i;
            private final long j;
            @Nullable
            private final s k;
            private Bundle l;
            @Nullable
            private String m;
            @Nullable
            private Uri n;

            public a(@Nullable CharSequence charSequence, long j2, @Nullable s sVar) {
                this.l = new Bundle();
                this.i = charSequence;
                this.j = j2;
                this.k = sVar;
            }

            @NonNull
            static Bundle[] a(@NonNull List<a> list) {
                Bundle[] bundleArr = new Bundle[list.size()];
                int size = list.size();
                for (int i2 = 0; i2 < size; i2++) {
                    bundleArr[i2] = list.get(i2).m();
                }
                return bundleArr;
            }

            @Nullable
            static a e(@NonNull Bundle bundle) {
                s sVar;
                try {
                    if (bundle.containsKey("text")) {
                        if (bundle.containsKey(f2260b)) {
                            if (bundle.containsKey(g)) {
                                sVar = s.b(bundle.getBundle(g));
                            } else if (!bundle.containsKey(h) || Build.VERSION.SDK_INT < 28) {
                                sVar = bundle.containsKey(f2261c) ? new s.a().f(bundle.getCharSequence(f2261c)).a() : null;
                            } else {
                                sVar = s.a((Person) bundle.getParcelable(h));
                            }
                            a aVar = new a(bundle.getCharSequence("text"), bundle.getLong(f2260b), sVar);
                            if (bundle.containsKey("type") && bundle.containsKey(f2263e)) {
                                aVar.k(bundle.getString("type"), (Uri) bundle.getParcelable(f2263e));
                            }
                            if (bundle.containsKey(f)) {
                                aVar.d().putAll(bundle.getBundle(f));
                            }
                            return aVar;
                        }
                    }
                } catch (ClassCastException unused) {
                }
                return null;
            }

            @NonNull
            static List<a> f(@NonNull Parcelable[] parcelableArr) {
                a e2;
                ArrayList arrayList = new ArrayList(parcelableArr.length);
                for (int i2 = 0; i2 < parcelableArr.length; i2++) {
                    if ((parcelableArr[i2] instanceof Bundle) && (e2 = e((Bundle) parcelableArr[i2])) != null) {
                        arrayList.add(e2);
                    }
                }
                return arrayList;
            }

            @NonNull
            private Bundle m() {
                Bundle bundle = new Bundle();
                CharSequence charSequence = this.i;
                if (charSequence != null) {
                    bundle.putCharSequence("text", charSequence);
                }
                bundle.putLong(f2260b, this.j);
                s sVar = this.k;
                if (sVar != null) {
                    bundle.putCharSequence(f2261c, sVar.f());
                    if (Build.VERSION.SDK_INT >= 28) {
                        bundle.putParcelable(h, this.k.k());
                    } else {
                        bundle.putBundle(g, this.k.m());
                    }
                }
                String str = this.m;
                if (str != null) {
                    bundle.putString("type", str);
                }
                Uri uri = this.n;
                if (uri != null) {
                    bundle.putParcelable(f2263e, uri);
                }
                Bundle bundle2 = this.l;
                if (bundle2 != null) {
                    bundle.putBundle(f, bundle2);
                }
                return bundle;
            }

            @Nullable
            public String b() {
                return this.m;
            }

            @Nullable
            public Uri c() {
                return this.n;
            }

            @NonNull
            public Bundle d() {
                return this.l;
            }

            @Nullable
            public s g() {
                return this.k;
            }

            @Nullable
            @Deprecated
            public CharSequence h() {
                s sVar = this.k;
                if (sVar == null) {
                    return null;
                }
                return sVar.f();
            }

            @Nullable
            public CharSequence i() {
                return this.i;
            }

            public long j() {
                return this.j;
            }

            @NonNull
            public a k(@Nullable String str, @Nullable Uri uri) {
                this.m = str;
                this.n = uri;
                return this;
            }

            /* access modifiers changed from: package-private */
            @NonNull
            @RequiresApi(24)
            @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
            public Notification.MessagingStyle.Message l() {
                Notification.MessagingStyle.Message message;
                s g2 = g();
                CharSequence charSequence = null;
                Person person = null;
                if (Build.VERSION.SDK_INT >= 28) {
                    CharSequence i2 = i();
                    long j2 = j();
                    if (g2 != null) {
                        person = g2.k();
                    }
                    message = new Notification.MessagingStyle.Message(i2, j2, person);
                } else {
                    CharSequence i3 = i();
                    long j3 = j();
                    if (g2 != null) {
                        charSequence = g2.f();
                    }
                    message = new Notification.MessagingStyle.Message(i3, j3, charSequence);
                }
                if (b() != null) {
                    message.setData(b(), c());
                }
                return message;
            }

            @Deprecated
            public a(@Nullable CharSequence charSequence, long j2, @Nullable CharSequence charSequence2) {
                this(charSequence, j2, new s.a().f(charSequence2).a());
            }
        }

        public j(@NonNull s sVar) {
            if (!TextUtils.isEmpty(sVar.f())) {
                this.i = sVar;
                return;
            }
            throw new IllegalArgumentException("User's name must not be empty.");
        }
    }

    public static final class l implements h {
        private static final int A = 4;
        private static final int B = 8;
        private static final int C = 16;
        private static final int D = 32;
        private static final int E = 64;
        private static final int F = 1;
        private static final int G = 8388613;
        private static final int H = 80;

        /* renamed from: a  reason: collision with root package name */
        public static final int f2268a = -1;
        @Deprecated

        /* renamed from: b  reason: collision with root package name */
        public static final int f2269b = 0;
        @Deprecated

        /* renamed from: c  reason: collision with root package name */
        public static final int f2270c = 1;
        @Deprecated

        /* renamed from: d  reason: collision with root package name */
        public static final int f2271d = 2;
        @Deprecated

        /* renamed from: e  reason: collision with root package name */
        public static final int f2272e = 3;
        @Deprecated
        public static final int f = 4;
        @Deprecated
        public static final int g = 5;
        @Deprecated
        public static final int h = 0;
        @Deprecated
        public static final int i = -1;
        private static final String j = "android.wearable.EXTENSIONS";
        private static final String k = "actions";
        private static final String l = "flags";
        private static final String m = "displayIntent";
        private static final String n = "pages";
        private static final String o = "background";
        private static final String p = "contentIcon";
        private static final String q = "contentIconGravity";
        private static final String r = "contentActionIndex";
        private static final String s = "customSizePreset";
        private static final String t = "customContentHeight";
        private static final String u = "gravity";
        private static final String v = "hintScreenTimeout";
        private static final String w = "dismissalId";
        private static final String x = "bridgeTag";
        private static final int y = 1;
        private static final int z = 2;
        private ArrayList<Action> I = new ArrayList<>();
        private int J = 1;
        private PendingIntent K;
        private ArrayList<Notification> L = new ArrayList<>();
        private Bitmap M;
        private int N;
        private int O = 8388613;
        private int P = -1;
        private int Q = 0;
        private int R;
        private int S = 80;
        private int T;
        private String U;
        private String V;

        public l() {
        }

        private void N(int i2, boolean z2) {
            if (z2) {
                this.J = i2 | this.J;
                return;
            }
            this.J = (~i2) & this.J;
        }

        @RequiresApi(20)
        private static Notification.Action i(Action action) {
            Notification.Action.Builder builder;
            Bundle bundle;
            Icon icon;
            int i2 = Build.VERSION.SDK_INT;
            if (i2 >= 23) {
                IconCompat f2 = action.f();
                if (f2 == null) {
                    icon = null;
                } else {
                    icon = f2.P();
                }
                builder = new Notification.Action.Builder(icon, action.j(), action.a());
            } else {
                IconCompat f3 = action.f();
                builder = new Notification.Action.Builder((f3 == null || f3.F() != 2) ? 0 : f3.A(), action.j(), action.a());
            }
            if (action.d() != null) {
                bundle = new Bundle(action.d());
            } else {
                bundle = new Bundle();
            }
            bundle.putBoolean("android.support.allowGeneratedReplies", action.b());
            if (i2 >= 24) {
                builder.setAllowGeneratedReplies(action.b());
            }
            builder.addExtras(bundle);
            RemoteInput[] g2 = action.g();
            if (g2 != null) {
                for (RemoteInput remoteInput : RemoteInput.d(g2)) {
                    builder.addRemoteInput(remoteInput);
                }
            }
            return builder.build();
        }

        @Deprecated
        public boolean A() {
            return (this.J & 4) != 0;
        }

        @NonNull
        @Deprecated
        public List<Notification> B() {
            return this.L;
        }

        public boolean C() {
            return (this.J & 8) != 0;
        }

        @NonNull
        @Deprecated
        public l D(@Nullable Bitmap bitmap) {
            this.M = bitmap;
            return this;
        }

        @NonNull
        public l E(@Nullable String str) {
            this.V = str;
            return this;
        }

        @NonNull
        public l F(int i2) {
            this.P = i2;
            return this;
        }

        @NonNull
        @Deprecated
        public l G(int i2) {
            this.N = i2;
            return this;
        }

        @NonNull
        @Deprecated
        public l H(int i2) {
            this.O = i2;
            return this;
        }

        @NonNull
        public l I(boolean z2) {
            N(1, z2);
            return this;
        }

        @NonNull
        @Deprecated
        public l J(int i2) {
            this.R = i2;
            return this;
        }

        @NonNull
        @Deprecated
        public l K(int i2) {
            this.Q = i2;
            return this;
        }

        @NonNull
        public l L(@Nullable String str) {
            this.U = str;
            return this;
        }

        @NonNull
        @Deprecated
        public l M(@Nullable PendingIntent pendingIntent) {
            this.K = pendingIntent;
            return this;
        }

        @NonNull
        @Deprecated
        public l O(int i2) {
            this.S = i2;
            return this;
        }

        @NonNull
        @Deprecated
        public l P(boolean z2) {
            N(32, z2);
            return this;
        }

        @NonNull
        @Deprecated
        public l Q(boolean z2) {
            N(16, z2);
            return this;
        }

        @NonNull
        public l R(boolean z2) {
            N(64, z2);
            return this;
        }

        @NonNull
        @Deprecated
        public l S(boolean z2) {
            N(2, z2);
            return this;
        }

        @NonNull
        @Deprecated
        public l T(int i2) {
            this.T = i2;
            return this;
        }

        @NonNull
        @Deprecated
        public l U(boolean z2) {
            N(4, z2);
            return this;
        }

        @NonNull
        public l V(boolean z2) {
            N(8, z2);
            return this;
        }

        @Override // androidx.core.app.NotificationCompat.h
        @NonNull
        public e a(@NonNull e eVar) {
            Bundle bundle = new Bundle();
            if (!this.I.isEmpty()) {
                if (Build.VERSION.SDK_INT >= 16) {
                    ArrayList<? extends Parcelable> arrayList = new ArrayList<>(this.I.size());
                    Iterator<Action> it = this.I.iterator();
                    while (it.hasNext()) {
                        Action next = it.next();
                        int i2 = Build.VERSION.SDK_INT;
                        if (i2 >= 20) {
                            arrayList.add(i(next));
                        } else if (i2 >= 16) {
                            arrayList.add(q.j(next));
                        }
                    }
                    bundle.putParcelableArrayList(k, arrayList);
                } else {
                    bundle.putParcelableArrayList(k, null);
                }
            }
            int i3 = this.J;
            if (i3 != 1) {
                bundle.putInt(l, i3);
            }
            PendingIntent pendingIntent = this.K;
            if (pendingIntent != null) {
                bundle.putParcelable(m, pendingIntent);
            }
            if (!this.L.isEmpty()) {
                ArrayList<Notification> arrayList2 = this.L;
                bundle.putParcelableArray(n, (Parcelable[]) arrayList2.toArray(new Notification[arrayList2.size()]));
            }
            Bitmap bitmap = this.M;
            if (bitmap != null) {
                bundle.putParcelable(o, bitmap);
            }
            int i4 = this.N;
            if (i4 != 0) {
                bundle.putInt(p, i4);
            }
            int i5 = this.O;
            if (i5 != 8388613) {
                bundle.putInt(q, i5);
            }
            int i6 = this.P;
            if (i6 != -1) {
                bundle.putInt(r, i6);
            }
            int i7 = this.Q;
            if (i7 != 0) {
                bundle.putInt(s, i7);
            }
            int i8 = this.R;
            if (i8 != 0) {
                bundle.putInt(t, i8);
            }
            int i9 = this.S;
            if (i9 != 80) {
                bundle.putInt(u, i9);
            }
            int i10 = this.T;
            if (i10 != 0) {
                bundle.putInt(v, i10);
            }
            String str = this.U;
            if (str != null) {
                bundle.putString(w, str);
            }
            String str2 = this.V;
            if (str2 != null) {
                bundle.putString(x, str2);
            }
            eVar.t().putBundle(j, bundle);
            return eVar;
        }

        @NonNull
        public l b(@NonNull Action action) {
            this.I.add(action);
            return this;
        }

        @NonNull
        public l c(@NonNull List<Action> list) {
            this.I.addAll(list);
            return this;
        }

        @NonNull
        @Deprecated
        public l d(@NonNull Notification notification) {
            this.L.add(notification);
            return this;
        }

        @NonNull
        @Deprecated
        public l e(@NonNull List<Notification> list) {
            this.L.addAll(list);
            return this;
        }

        @NonNull
        public l f() {
            this.I.clear();
            return this;
        }

        @NonNull
        @Deprecated
        public l g() {
            this.L.clear();
            return this;
        }

        @NonNull
        /* renamed from: h */
        public l clone() {
            l lVar = new l();
            lVar.I = new ArrayList<>(this.I);
            lVar.J = this.J;
            lVar.K = this.K;
            lVar.L = new ArrayList<>(this.L);
            lVar.M = this.M;
            lVar.N = this.N;
            lVar.O = this.O;
            lVar.P = this.P;
            lVar.Q = this.Q;
            lVar.R = this.R;
            lVar.S = this.S;
            lVar.T = this.T;
            lVar.U = this.U;
            lVar.V = this.V;
            return lVar;
        }

        @NonNull
        public List<Action> j() {
            return this.I;
        }

        @Nullable
        @Deprecated
        public Bitmap k() {
            return this.M;
        }

        @Nullable
        public String l() {
            return this.V;
        }

        public int m() {
            return this.P;
        }

        @Deprecated
        public int n() {
            return this.N;
        }

        @Deprecated
        public int o() {
            return this.O;
        }

        public boolean p() {
            return (this.J & 1) != 0;
        }

        @Deprecated
        public int q() {
            return this.R;
        }

        @Deprecated
        public int r() {
            return this.Q;
        }

        @Nullable
        public String s() {
            return this.U;
        }

        @Nullable
        @Deprecated
        public PendingIntent t() {
            return this.K;
        }

        @Deprecated
        public int u() {
            return this.S;
        }

        @Deprecated
        public boolean v() {
            return (this.J & 32) != 0;
        }

        @Deprecated
        public boolean w() {
            return (this.J & 16) != 0;
        }

        public boolean x() {
            return (this.J & 64) != 0;
        }

        @Deprecated
        public boolean y() {
            return (this.J & 2) != 0;
        }

        @Deprecated
        public int z() {
            return this.T;
        }

        public l(@NonNull Notification notification) {
            Bundle n2 = NotificationCompat.n(notification);
            Bundle bundle = n2 != null ? n2.getBundle(j) : null;
            if (bundle != null) {
                ArrayList parcelableArrayList = bundle.getParcelableArrayList(k);
                if (Build.VERSION.SDK_INT >= 16 && parcelableArrayList != null) {
                    int size = parcelableArrayList.size();
                    Action[] actionArr = new Action[size];
                    for (int i2 = 0; i2 < size; i2++) {
                        int i3 = Build.VERSION.SDK_INT;
                        if (i3 >= 20) {
                            actionArr[i2] = NotificationCompat.b((Notification.Action) parcelableArrayList.get(i2));
                        } else if (i3 >= 16) {
                            actionArr[i2] = q.g((Bundle) parcelableArrayList.get(i2));
                        }
                    }
                    Collections.addAll(this.I, actionArr);
                }
                this.J = bundle.getInt(l, 1);
                this.K = (PendingIntent) bundle.getParcelable(m);
                Notification[] u2 = NotificationCompat.u(bundle, n);
                if (u2 != null) {
                    Collections.addAll(this.L, u2);
                }
                this.M = (Bitmap) bundle.getParcelable(o);
                this.N = bundle.getInt(p);
                this.O = bundle.getInt(q, 8388613);
                this.P = bundle.getInt(r, -1);
                this.Q = bundle.getInt(s, 0);
                this.R = bundle.getInt(t);
                this.S = bundle.getInt(u, 80);
                this.T = bundle.getInt(v);
                this.U = bundle.getString(w);
                this.V = bundle.getString(x);
            }
        }
    }

    public static class e {

        /* renamed from: a  reason: collision with root package name */
        private static final int f2236a = 5120;
        String A;
        boolean B;
        boolean C;
        boolean D;
        String E;
        Bundle F;
        int G;
        int H;
        Notification I;
        RemoteViews J;
        RemoteViews K;
        RemoteViews L;
        String M;
        int N;
        String O;
        androidx.core.content.g P;
        long Q;
        int R;
        boolean S;
        d T;
        Notification U;
        boolean V;
        Icon W;
        @Deprecated
        public ArrayList<String> X;
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})

        /* renamed from: b  reason: collision with root package name */
        public Context f2237b;
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})

        /* renamed from: c  reason: collision with root package name */
        public ArrayList<Action> f2238c;
        @NonNull
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})

        /* renamed from: d  reason: collision with root package name */
        public ArrayList<s> f2239d;

        /* renamed from: e  reason: collision with root package name */
        ArrayList<Action> f2240e;
        CharSequence f;
        CharSequence g;
        PendingIntent h;
        PendingIntent i;
        RemoteViews j;
        Bitmap k;
        CharSequence l;
        int m;
        int n;
        boolean o;
        boolean p;
        boolean q;
        k r;
        CharSequence s;
        CharSequence t;
        CharSequence[] u;
        int v;
        int w;
        boolean x;
        String y;
        boolean z;

        @RequiresApi(19)
        public e(@NonNull Context context, @NonNull Notification notification) {
            this(context, NotificationCompat.i(notification));
            ArrayList parcelableArrayList;
            Bundle bundle = notification.extras;
            k s2 = k.s(notification);
            O(NotificationCompat.m(notification)).N(NotificationCompat.l(notification)).L(NotificationCompat.k(notification)).y0(NotificationCompat.D(notification)).m0(NotificationCompat.z(notification)).x0(s2).M(notification.contentIntent).X(NotificationCompat.o(notification)).Z(NotificationCompat.H(notification)).d0(NotificationCompat.t(notification)).F0(notification.when).p0(NotificationCompat.B(notification)).C0(NotificationCompat.F(notification)).C(NotificationCompat.e(notification)).h0(NotificationCompat.w(notification)).g0(NotificationCompat.v(notification)).c0(NotificationCompat.s(notification)).a0(notification.largeIcon).D(NotificationCompat.f(notification)).F(NotificationCompat.h(notification)).E(NotificationCompat.g(notification)).f0(notification.number).z0(notification.tickerText).M(notification.contentIntent).T(notification.deleteIntent).W(notification.fullScreenIntent, NotificationCompat.q(notification)).w0(notification.sound, notification.audioStreamType).D0(notification.vibrate).b0(notification.ledARGB, notification.ledOnMS, notification.ledOffMS).S(notification.defaults).i0(notification.priority).I(NotificationCompat.j(notification)).E0(NotificationCompat.G(notification)).k0(NotificationCompat.y(notification)).u0(NotificationCompat.C(notification)).B0(NotificationCompat.E(notification)).n0(NotificationCompat.A(notification)).j0(bundle.getInt(NotificationCompat.M), bundle.getInt(NotificationCompat.L), bundle.getBoolean(NotificationCompat.N)).B(NotificationCompat.d(notification)).s0(notification.icon, notification.iconLevel).c(u(notification, s2));
            if (Build.VERSION.SDK_INT >= 23) {
                this.W = notification.getSmallIcon();
            }
            Notification.Action[] actionArr = notification.actions;
            if (!(actionArr == null || actionArr.length == 0)) {
                for (Notification.Action action : actionArr) {
                    b(Action.a.f(action).c());
                }
            }
            if (Build.VERSION.SDK_INT >= 21) {
                List<Action> r2 = NotificationCompat.r(notification);
                if (!r2.isEmpty()) {
                    for (Action action2 : r2) {
                        e(action2);
                    }
                }
            }
            String[] stringArray = notification.extras.getStringArray(NotificationCompat.W);
            if (!(stringArray == null || stringArray.length == 0)) {
                for (String str : stringArray) {
                    g(str);
                }
            }
            if (Build.VERSION.SDK_INT >= 28 && (parcelableArrayList = notification.extras.getParcelableArrayList(NotificationCompat.X)) != null && !parcelableArrayList.isEmpty()) {
                Iterator it = parcelableArrayList.iterator();
                while (it.hasNext()) {
                    f(s.a((Person) it.next()));
                }
            }
            int i2 = Build.VERSION.SDK_INT;
            if (i2 >= 24 && bundle.containsKey(NotificationCompat.P)) {
                H(bundle.getBoolean(NotificationCompat.P));
            }
            if (i2 >= 26 && bundle.containsKey(NotificationCompat.Q)) {
                J(bundle.getBoolean(NotificationCompat.Q));
            }
        }

        @Nullable
        private Bitmap A(@Nullable Bitmap bitmap) {
            if (bitmap == null || Build.VERSION.SDK_INT >= 27) {
                return bitmap;
            }
            Resources resources = this.f2237b.getResources();
            int dimensionPixelSize = resources.getDimensionPixelSize(R.dimen.compat_notification_large_icon_max_width);
            int dimensionPixelSize2 = resources.getDimensionPixelSize(R.dimen.compat_notification_large_icon_max_height);
            if (bitmap.getWidth() <= dimensionPixelSize && bitmap.getHeight() <= dimensionPixelSize2) {
                return bitmap;
            }
            double min = Math.min(((double) dimensionPixelSize) / ((double) Math.max(1, bitmap.getWidth())), ((double) dimensionPixelSize2) / ((double) Math.max(1, bitmap.getHeight())));
            return Bitmap.createScaledBitmap(bitmap, (int) Math.ceil(((double) bitmap.getWidth()) * min), (int) Math.ceil(((double) bitmap.getHeight()) * min), true);
        }

        private boolean G0() {
            k kVar = this.r;
            return kVar == null || !kVar.r();
        }

        private void V(int i2, boolean z2) {
            if (z2) {
                Notification notification = this.U;
                notification.flags = i2 | notification.flags;
                return;
            }
            Notification notification2 = this.U;
            notification2.flags = (~i2) & notification2.flags;
        }

        @Nullable
        @RequiresApi(19)
        private static Bundle u(@NonNull Notification notification, @Nullable k kVar) {
            if (notification.extras == null) {
                return null;
            }
            Bundle bundle = new Bundle(notification.extras);
            bundle.remove(NotificationCompat.A);
            bundle.remove(NotificationCompat.C);
            bundle.remove(NotificationCompat.F);
            bundle.remove(NotificationCompat.D);
            bundle.remove(NotificationCompat.f2205b);
            bundle.remove(NotificationCompat.f2206c);
            bundle.remove(NotificationCompat.R);
            bundle.remove(NotificationCompat.L);
            bundle.remove(NotificationCompat.M);
            bundle.remove(NotificationCompat.N);
            bundle.remove(NotificationCompat.P);
            bundle.remove(NotificationCompat.Q);
            bundle.remove(NotificationCompat.X);
            bundle.remove(NotificationCompat.W);
            bundle.remove(p.f2348d);
            bundle.remove(p.f2346b);
            bundle.remove(p.f2347c);
            bundle.remove(p.f2345a);
            bundle.remove(p.f2349e);
            Bundle bundle2 = bundle.getBundle("android.car.EXTENSIONS");
            if (bundle2 != null) {
                Bundle bundle3 = new Bundle(bundle2);
                bundle3.remove("invisible_actions");
                bundle.putBundle("android.car.EXTENSIONS", bundle3);
            }
            if (kVar != null) {
                kVar.g(bundle);
            }
            return bundle;
        }

        @Nullable
        protected static CharSequence z(@Nullable CharSequence charSequence) {
            return (charSequence != null && charSequence.length() > f2236a) ? charSequence.subSequence(0, f2236a) : charSequence;
        }

        @NonNull
        @Deprecated
        public e A0(@Nullable CharSequence charSequence, @Nullable RemoteViews remoteViews) {
            this.U.tickerText = z(charSequence);
            this.j = remoteViews;
            return this;
        }

        @NonNull
        public e B(boolean z2) {
            this.S = z2;
            return this;
        }

        @NonNull
        public e B0(long j2) {
            this.Q = j2;
            return this;
        }

        @NonNull
        public e C(boolean z2) {
            V(16, z2);
            return this;
        }

        @NonNull
        public e C0(boolean z2) {
            this.p = z2;
            return this;
        }

        @NonNull
        public e D(int i2) {
            this.N = i2;
            return this;
        }

        @NonNull
        public e D0(@Nullable long[] jArr) {
            this.U.vibrate = jArr;
            return this;
        }

        @NonNull
        public e E(@Nullable d dVar) {
            this.T = dVar;
            return this;
        }

        @NonNull
        public e E0(int i2) {
            this.H = i2;
            return this;
        }

        @NonNull
        public e F(@Nullable String str) {
            this.E = str;
            return this;
        }

        @NonNull
        public e F0(long j2) {
            this.U.when = j2;
            return this;
        }

        @NonNull
        public e G(@NonNull String str) {
            this.M = str;
            return this;
        }

        @NonNull
        @RequiresApi(24)
        public e H(boolean z2) {
            this.q = z2;
            t().putBoolean(NotificationCompat.P, z2);
            return this;
        }

        @NonNull
        public e I(@ColorInt int i2) {
            this.G = i2;
            return this;
        }

        @NonNull
        public e J(boolean z2) {
            this.C = z2;
            this.D = true;
            return this;
        }

        @NonNull
        public e K(@Nullable RemoteViews remoteViews) {
            this.U.contentView = remoteViews;
            return this;
        }

        @NonNull
        public e L(@Nullable CharSequence charSequence) {
            this.l = z(charSequence);
            return this;
        }

        @NonNull
        public e M(@Nullable PendingIntent pendingIntent) {
            this.h = pendingIntent;
            return this;
        }

        @NonNull
        public e N(@Nullable CharSequence charSequence) {
            this.g = z(charSequence);
            return this;
        }

        @NonNull
        public e O(@Nullable CharSequence charSequence) {
            this.f = z(charSequence);
            return this;
        }

        @NonNull
        public e P(@Nullable RemoteViews remoteViews) {
            this.K = remoteViews;
            return this;
        }

        @NonNull
        public e Q(@Nullable RemoteViews remoteViews) {
            this.J = remoteViews;
            return this;
        }

        @NonNull
        public e R(@Nullable RemoteViews remoteViews) {
            this.L = remoteViews;
            return this;
        }

        @NonNull
        public e S(int i2) {
            Notification notification = this.U;
            notification.defaults = i2;
            if ((i2 & 4) != 0) {
                notification.flags |= 1;
            }
            return this;
        }

        @NonNull
        public e T(@Nullable PendingIntent pendingIntent) {
            this.U.deleteIntent = pendingIntent;
            return this;
        }

        @NonNull
        public e U(@Nullable Bundle bundle) {
            this.F = bundle;
            return this;
        }

        @NonNull
        public e W(@Nullable PendingIntent pendingIntent, boolean z2) {
            this.i = pendingIntent;
            V(128, z2);
            return this;
        }

        @NonNull
        public e X(@Nullable String str) {
            this.y = str;
            return this;
        }

        @NonNull
        public e Y(int i2) {
            this.R = i2;
            return this;
        }

        @NonNull
        public e Z(boolean z2) {
            this.z = z2;
            return this;
        }

        @NonNull
        public e a(int i2, @Nullable CharSequence charSequence, @Nullable PendingIntent pendingIntent) {
            this.f2238c.add(new Action(i2, charSequence, pendingIntent));
            return this;
        }

        @NonNull
        public e a0(@Nullable Bitmap bitmap) {
            this.k = A(bitmap);
            return this;
        }

        @NonNull
        public e b(@Nullable Action action) {
            if (action != null) {
                this.f2238c.add(action);
            }
            return this;
        }

        @NonNull
        public e b0(@ColorInt int i2, int i3, int i4) {
            Notification notification = this.U;
            notification.ledARGB = i2;
            notification.ledOnMS = i3;
            notification.ledOffMS = i4;
            notification.flags = ((i3 == 0 || i4 == 0) ? 0 : 1) | (notification.flags & -2);
            return this;
        }

        @NonNull
        public e c(@Nullable Bundle bundle) {
            if (bundle != null) {
                Bundle bundle2 = this.F;
                if (bundle2 == null) {
                    this.F = new Bundle(bundle);
                } else {
                    bundle2.putAll(bundle);
                }
            }
            return this;
        }

        @NonNull
        public e c0(boolean z2) {
            this.B = z2;
            return this;
        }

        @NonNull
        @RequiresApi(21)
        public e d(int i2, @Nullable CharSequence charSequence, @Nullable PendingIntent pendingIntent) {
            this.f2240e.add(new Action(i2, charSequence, pendingIntent));
            return this;
        }

        @NonNull
        public e d0(@Nullable androidx.core.content.g gVar) {
            this.P = gVar;
            return this;
        }

        @NonNull
        @RequiresApi(21)
        public e e(@Nullable Action action) {
            if (action != null) {
                this.f2240e.add(action);
            }
            return this;
        }

        @NonNull
        @Deprecated
        public e e0() {
            this.V = true;
            return this;
        }

        @NonNull
        public e f(@Nullable s sVar) {
            if (sVar != null) {
                this.f2239d.add(sVar);
            }
            return this;
        }

        @NonNull
        public e f0(int i2) {
            this.m = i2;
            return this;
        }

        @NonNull
        @Deprecated
        public e g(@Nullable String str) {
            if (str != null && !str.isEmpty()) {
                this.X.add(str);
            }
            return this;
        }

        @NonNull
        public e g0(boolean z2) {
            V(2, z2);
            return this;
        }

        @NonNull
        public Notification h() {
            return new o(this).c();
        }

        @NonNull
        public e h0(boolean z2) {
            V(8, z2);
            return this;
        }

        @NonNull
        public e i() {
            this.f2238c.clear();
            return this;
        }

        @NonNull
        public e i0(int i2) {
            this.n = i2;
            return this;
        }

        @NonNull
        public e j() {
            this.f2240e.clear();
            Bundle bundle = this.F.getBundle("android.car.EXTENSIONS");
            if (bundle != null) {
                Bundle bundle2 = new Bundle(bundle);
                bundle2.remove("invisible_actions");
                this.F.putBundle("android.car.EXTENSIONS", bundle2);
            }
            return this;
        }

        @NonNull
        public e j0(int i2, int i3, boolean z2) {
            this.v = i2;
            this.w = i3;
            this.x = z2;
            return this;
        }

        @NonNull
        public e k() {
            this.f2239d.clear();
            this.X.clear();
            return this;
        }

        @NonNull
        public e k0(@Nullable Notification notification) {
            this.I = notification;
            return this;
        }

        @Nullable
        @SuppressLint({"BuilderSetStyle"})
        public RemoteViews l() {
            RemoteViews v2;
            int i2 = Build.VERSION.SDK_INT;
            if (i2 < 16) {
                return null;
            }
            if (this.K != null && G0()) {
                return this.K;
            }
            o oVar = new o(this);
            k kVar = this.r;
            if (kVar != null && (v2 = kVar.v(oVar)) != null) {
                return v2;
            }
            Notification c2 = oVar.c();
            if (i2 >= 24) {
                return Notification.Builder.recoverBuilder(this.f2237b, c2).createBigContentView();
            }
            return c2.bigContentView;
        }

        @NonNull
        public e l0(@Nullable CharSequence[] charSequenceArr) {
            this.u = charSequenceArr;
            return this;
        }

        @Nullable
        @SuppressLint({"BuilderSetStyle"})
        public RemoteViews m() {
            RemoteViews w2;
            if (this.J != null && G0()) {
                return this.J;
            }
            o oVar = new o(this);
            k kVar = this.r;
            if (kVar != null && (w2 = kVar.w(oVar)) != null) {
                return w2;
            }
            Notification c2 = oVar.c();
            if (Build.VERSION.SDK_INT >= 24) {
                return Notification.Builder.recoverBuilder(this.f2237b, c2).createContentView();
            }
            return c2.contentView;
        }

        @NonNull
        public e m0(@Nullable CharSequence charSequence) {
            this.t = z(charSequence);
            return this;
        }

        @Nullable
        @SuppressLint({"BuilderSetStyle"})
        public RemoteViews n() {
            RemoteViews x2;
            int i2 = Build.VERSION.SDK_INT;
            if (i2 < 21) {
                return null;
            }
            if (this.L != null && G0()) {
                return this.L;
            }
            o oVar = new o(this);
            k kVar = this.r;
            if (kVar != null && (x2 = kVar.x(oVar)) != null) {
                return x2;
            }
            Notification c2 = oVar.c();
            if (i2 >= 24) {
                return Notification.Builder.recoverBuilder(this.f2237b, c2).createHeadsUpContentView();
            }
            return c2.headsUpContentView;
        }

        @NonNull
        public e n0(@Nullable String str) {
            this.O = str;
            return this;
        }

        @NonNull
        public e o(@NonNull h hVar) {
            hVar.a(this);
            return this;
        }

        @NonNull
        public e o0(@Nullable androidx.core.content.pm.d dVar) {
            if (dVar == null) {
                return this;
            }
            this.O = dVar.j();
            if (this.P == null) {
                if (dVar.n() != null) {
                    this.P = dVar.n();
                } else if (dVar.j() != null) {
                    this.P = new androidx.core.content.g(dVar.j());
                }
            }
            if (this.f == null) {
                O(dVar.v());
            }
            return this;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public RemoteViews p() {
            return this.K;
        }

        @NonNull
        public e p0(boolean z2) {
            this.o = z2;
            return this;
        }

        @Nullable
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public d q() {
            return this.T;
        }

        @NonNull
        public e q0(boolean z2) {
            this.V = z2;
            return this;
        }

        @ColorInt
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public int r() {
            return this.G;
        }

        @NonNull
        public e r0(int i2) {
            this.U.icon = i2;
            return this;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public RemoteViews s() {
            return this.J;
        }

        @NonNull
        public e s0(int i2, int i3) {
            Notification notification = this.U;
            notification.icon = i2;
            notification.iconLevel = i3;
            return this;
        }

        @NonNull
        public Bundle t() {
            if (this.F == null) {
                this.F = new Bundle();
            }
            return this.F;
        }

        @NonNull
        @RequiresApi(23)
        public e t0(@NonNull IconCompat iconCompat) {
            this.W = iconCompat.Q(this.f2237b);
            return this;
        }

        @NonNull
        public e u0(@Nullable String str) {
            this.A = str;
            return this;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public RemoteViews v() {
            return this.L;
        }

        @NonNull
        public e v0(@Nullable Uri uri) {
            Notification notification = this.U;
            notification.sound = uri;
            notification.audioStreamType = -1;
            if (Build.VERSION.SDK_INT >= 21) {
                notification.audioAttributes = new AudioAttributes.Builder().setContentType(4).setUsage(5).build();
            }
            return this;
        }

        @NonNull
        @Deprecated
        public Notification w() {
            return h();
        }

        @NonNull
        public e w0(@Nullable Uri uri, int i2) {
            Notification notification = this.U;
            notification.sound = uri;
            notification.audioStreamType = i2;
            if (Build.VERSION.SDK_INT >= 21) {
                notification.audioAttributes = new AudioAttributes.Builder().setContentType(4).setLegacyStreamType(i2).build();
            }
            return this;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public int x() {
            return this.n;
        }

        @NonNull
        public e x0(@Nullable k kVar) {
            if (this.r != kVar) {
                this.r = kVar;
                if (kVar != null) {
                    kVar.z(this);
                }
            }
            return this;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public long y() {
            if (this.o) {
                return this.U.when;
            }
            return 0;
        }

        @NonNull
        public e y0(@Nullable CharSequence charSequence) {
            this.s = z(charSequence);
            return this;
        }

        @NonNull
        public e z0(@Nullable CharSequence charSequence) {
            this.U.tickerText = z(charSequence);
            return this;
        }

        public e(@NonNull Context context, @NonNull String str) {
            this.f2238c = new ArrayList<>();
            this.f2239d = new ArrayList<>();
            this.f2240e = new ArrayList<>();
            this.o = true;
            this.B = false;
            this.G = 0;
            this.H = 0;
            this.N = 0;
            this.R = 0;
            Notification notification = new Notification();
            this.U = notification;
            this.f2237b = context;
            this.M = str;
            notification.when = System.currentTimeMillis();
            this.U.audioStreamType = -1;
            this.n = 0;
            this.X = new ArrayList<>();
            this.S = true;
        }

        @Deprecated
        public e(@NonNull Context context) {
            this(context, (String) null);
        }
    }
}
