package androidx.core.graphics.drawable;

import android.content.res.ColorStateList;
import android.os.Parcelable;
import androidx.annotation.RestrictTo;
import androidx.versionedparcelable.VersionedParcel;

@RestrictTo({RestrictTo.Scope.LIBRARY})
public class IconCompatParcelizer {
    public static IconCompat read(VersionedParcel versionedParcel) {
        IconCompat iconCompat = new IconCompat();
        iconCompat.x = versionedParcel.M(iconCompat.x, 1);
        iconCompat.z = versionedParcel.t(iconCompat.z, 2);
        iconCompat.A = versionedParcel.W(iconCompat.A, 3);
        iconCompat.B = versionedParcel.M(iconCompat.B, 4);
        iconCompat.C = versionedParcel.M(iconCompat.C, 5);
        iconCompat.D = (ColorStateList) versionedParcel.W(iconCompat.D, 6);
        iconCompat.F = versionedParcel.d0(iconCompat.F, 7);
        iconCompat.G = versionedParcel.d0(iconCompat.G, 8);
        iconCompat.h();
        return iconCompat;
    }

    public static void write(IconCompat iconCompat, VersionedParcel versionedParcel) {
        versionedParcel.j0(true, true);
        iconCompat.i(versionedParcel.i());
        int i = iconCompat.x;
        if (-1 != i) {
            versionedParcel.M0(i, 1);
        }
        byte[] bArr = iconCompat.z;
        if (bArr != null) {
            versionedParcel.u0(bArr, 2);
        }
        Parcelable parcelable = iconCompat.A;
        if (parcelable != null) {
            versionedParcel.X0(parcelable, 3);
        }
        int i2 = iconCompat.B;
        if (i2 != 0) {
            versionedParcel.M0(i2, 4);
        }
        int i3 = iconCompat.C;
        if (i3 != 0) {
            versionedParcel.M0(i3, 5);
        }
        ColorStateList colorStateList = iconCompat.D;
        if (colorStateList != null) {
            versionedParcel.X0(colorStateList, 6);
        }
        String str = iconCompat.F;
        if (str != null) {
            versionedParcel.f1(str, 7);
        }
        String str2 = iconCompat.G;
        if (str2 != null) {
            versionedParcel.f1(str2, 8);
        }
    }
}
