package androidx.core.graphics.drawable;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Outline;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.DrawableContainer;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.RequiresApi;
import java.lang.reflect.Method;

/* access modifiers changed from: package-private */
@RequiresApi(21)
/* compiled from: WrappedDrawableApi21 */
public class l extends k {
    private static final String N0 = "WrappedDrawableApi21";
    private static Method O0;

    l(Drawable drawable) {
        super(drawable);
        g();
    }

    private void g() {
        if (O0 == null) {
            try {
                O0 = Drawable.class.getDeclaredMethod("isProjected", new Class[0]);
            } catch (Exception e2) {
                Log.w(N0, "Failed to retrieve Drawable#isProjected() method", e2);
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.core.graphics.drawable.k
    public boolean c() {
        if (Build.VERSION.SDK_INT != 21) {
            return false;
        }
        Drawable drawable = this.M0;
        if ((drawable instanceof GradientDrawable) || (drawable instanceof DrawableContainer) || (drawable instanceof InsetDrawable) || (drawable instanceof RippleDrawable)) {
            return true;
        }
        return false;
    }

    @NonNull
    public Rect getDirtyBounds() {
        return this.M0.getDirtyBounds();
    }

    public void getOutline(@NonNull Outline outline) {
        this.M0.getOutline(outline);
    }

    public boolean h() {
        Method method;
        Drawable drawable = this.M0;
        if (!(drawable == null || (method = O0) == null)) {
            try {
                return ((Boolean) method.invoke(drawable, new Object[0])).booleanValue();
            } catch (Exception e2) {
                Log.w(N0, "Error calling Drawable#isProjected() method", e2);
            }
        }
        return false;
    }

    public void setHotspot(float f, float f2) {
        this.M0.setHotspot(f, f2);
    }

    public void setHotspotBounds(int i, int i2, int i3, int i4) {
        this.M0.setHotspotBounds(i, i2, i3, i4);
    }

    @Override // androidx.core.graphics.drawable.k
    public boolean setState(@NonNull int[] iArr) {
        if (!super.setState(iArr)) {
            return false;
        }
        invalidateSelf();
        return true;
    }

    @Override // androidx.core.graphics.drawable.k, androidx.core.graphics.drawable.i
    public void setTint(int i) {
        if (c()) {
            super.setTint(i);
        } else {
            this.M0.setTint(i);
        }
    }

    @Override // androidx.core.graphics.drawable.k, androidx.core.graphics.drawable.i
    public void setTintList(ColorStateList colorStateList) {
        if (c()) {
            super.setTintList(colorStateList);
        } else {
            this.M0.setTintList(colorStateList);
        }
    }

    @Override // androidx.core.graphics.drawable.k, androidx.core.graphics.drawable.i
    public void setTintMode(@NonNull PorterDuff.Mode mode) {
        if (c()) {
            super.setTintMode(mode);
        } else {
            this.M0.setTintMode(mode);
        }
    }

    l(m mVar, Resources resources) {
        super(mVar, resources);
        g();
    }
}
