package androidx.core.graphics;

import android.content.Context;
import android.content.res.AssetManager;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.graphics.fonts.FontVariationAxis;
import android.net.Uri;
import android.os.CancellationSignal;
import android.os.ParcelFileDescriptor;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.core.content.res.FontResourcesParserCompat;
import androidx.core.provider.FontsContractCompat;
import java.io.IOException;
import java.lang.reflect.Array;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.nio.ByteBuffer;
import java.util.Map;

@RequiresApi(26)
@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: TypefaceCompatApi26Impl */
public class z extends x {
    private static final String m = "TypefaceCompatApi26Impl";
    private static final String n = "android.graphics.FontFamily";
    private static final String o = "addFontFromAssetManager";
    private static final String p = "addFontFromBuffer";
    private static final String q = "createFromFamiliesWithDefault";
    private static final String r = "freeze";
    private static final String s = "abortCreation";
    private static final int t = -1;
    protected final Method A;
    protected final Class<?> u;
    protected final Constructor<?> v;
    protected final Method w;
    protected final Method x;
    protected final Method y;
    protected final Method z;

    public z() {
        Method method;
        Method method2;
        Method method3;
        Method method4;
        Constructor<?> constructor;
        Method method5;
        Class<?> cls = null;
        try {
            Class<?> y2 = y();
            constructor = z(y2);
            method4 = v(y2);
            method3 = w(y2);
            method2 = A(y2);
            method = u(y2);
            method5 = x(y2);
            cls = y2;
        } catch (ClassNotFoundException | NoSuchMethodException e2) {
            Log.e(m, "Unable to collect necessary methods for class " + e2.getClass().getName(), e2);
            method5 = null;
            constructor = null;
            method4 = null;
            method3 = null;
            method2 = null;
            method = null;
        }
        this.u = cls;
        this.v = constructor;
        this.w = method4;
        this.x = method3;
        this.y = method2;
        this.z = method;
        this.A = method5;
    }

    @Nullable
    private Object o() {
        try {
            return this.v.newInstance(new Object[0]);
        } catch (IllegalAccessException | InstantiationException | InvocationTargetException unused) {
            return null;
        }
    }

    private void p(Object obj) {
        try {
            this.z.invoke(obj, new Object[0]);
        } catch (IllegalAccessException | InvocationTargetException unused) {
        }
    }

    private boolean q(Context context, Object obj, String str, int i, int i2, int i3, @Nullable FontVariationAxis[] fontVariationAxisArr) {
        try {
            return ((Boolean) this.w.invoke(obj, context.getAssets(), str, 0, Boolean.FALSE, Integer.valueOf(i), Integer.valueOf(i2), Integer.valueOf(i3), fontVariationAxisArr)).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return false;
        }
    }

    private boolean r(Object obj, ByteBuffer byteBuffer, int i, int i2, int i3) {
        try {
            return ((Boolean) this.x.invoke(obj, byteBuffer, Integer.valueOf(i), null, Integer.valueOf(i2), Integer.valueOf(i3))).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return false;
        }
    }

    private boolean s(Object obj) {
        try {
            return ((Boolean) this.y.invoke(obj, new Object[0])).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return false;
        }
    }

    private boolean t() {
        if (this.w == null) {
            Log.w(m, "Unable to collect necessary private methods. Fallback to legacy implementation.");
        }
        return this.w != null;
    }

    /* access modifiers changed from: protected */
    public Method A(Class<?> cls) throws NoSuchMethodException {
        return cls.getMethod(r, new Class[0]);
    }

    @Override // androidx.core.graphics.x, androidx.core.graphics.c0
    @Nullable
    public Typeface b(Context context, FontResourcesParserCompat.b bVar, Resources resources, int i) {
        if (!t()) {
            return super.b(context, bVar, resources, i);
        }
        Object o2 = o();
        if (o2 == null) {
            return null;
        }
        FontResourcesParserCompat.c[] a2 = bVar.a();
        for (FontResourcesParserCompat.c cVar : a2) {
            if (!q(context, o2, cVar.a(), cVar.c(), cVar.e(), cVar.f() ? 1 : 0, FontVariationAxis.fromFontVariationSettings(cVar.d()))) {
                p(o2);
                return null;
            }
        }
        if (!s(o2)) {
            return null;
        }
        return l(o2);
    }

    @Override // androidx.core.graphics.x, androidx.core.graphics.c0
    @Nullable
    public Typeface c(Context context, @Nullable CancellationSignal cancellationSignal, @NonNull FontsContractCompat.c[] cVarArr, int i) {
        Typeface l;
        if (cVarArr.length < 1) {
            return null;
        }
        if (!t()) {
            FontsContractCompat.c h = h(cVarArr, i);
            try {
                ParcelFileDescriptor openFileDescriptor = context.getContentResolver().openFileDescriptor(h.d(), "r", cancellationSignal);
                if (openFileDescriptor == null) {
                    if (openFileDescriptor != null) {
                        openFileDescriptor.close();
                    }
                    return null;
                }
                try {
                    Typeface build = new Typeface.Builder(openFileDescriptor.getFileDescriptor()).setWeight(h.e()).setItalic(h.f()).build();
                    openFileDescriptor.close();
                    return build;
                } catch (Throwable th) {
                    th.addSuppressed(th);
                }
            } catch (IOException unused) {
                return null;
            }
        } else {
            Map<Uri, ByteBuffer> h2 = d0.h(context, cVarArr, cancellationSignal);
            Object o2 = o();
            if (o2 == null) {
                return null;
            }
            boolean z2 = false;
            for (FontsContractCompat.c cVar : cVarArr) {
                ByteBuffer byteBuffer = h2.get(cVar.d());
                if (byteBuffer != null) {
                    if (!r(o2, byteBuffer, cVar.c(), cVar.e(), cVar.f() ? 1 : 0)) {
                        p(o2);
                        return null;
                    }
                    z2 = true;
                }
            }
            if (!z2) {
                p(o2);
                return null;
            } else if (s(o2) && (l = l(o2)) != null) {
                return Typeface.create(l, i);
            } else {
                return null;
            }
        }
        throw th;
    }

    @Override // androidx.core.graphics.c0
    @Nullable
    public Typeface e(Context context, Resources resources, int i, String str, int i2) {
        if (!t()) {
            return super.e(context, resources, i, str, i2);
        }
        Object o2 = o();
        if (o2 == null) {
            return null;
        }
        if (!q(context, o2, str, 0, -1, -1, null)) {
            p(o2);
            return null;
        } else if (!s(o2)) {
            return null;
        } else {
            return l(o2);
        }
    }

    /* access modifiers changed from: protected */
    @Nullable
    public Typeface l(Object obj) {
        try {
            Object newInstance = Array.newInstance(this.u, 1);
            Array.set(newInstance, 0, obj);
            return (Typeface) this.A.invoke(null, newInstance, -1, -1);
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return null;
        }
    }

    /* access modifiers changed from: protected */
    public Method u(Class<?> cls) throws NoSuchMethodException {
        return cls.getMethod(s, new Class[0]);
    }

    /* access modifiers changed from: protected */
    public Method v(Class<?> cls) throws NoSuchMethodException {
        Class<?> cls2 = Integer.TYPE;
        return cls.getMethod(o, AssetManager.class, String.class, cls2, Boolean.TYPE, cls2, cls2, cls2, FontVariationAxis[].class);
    }

    /* access modifiers changed from: protected */
    public Method w(Class<?> cls) throws NoSuchMethodException {
        Class<?> cls2 = Integer.TYPE;
        return cls.getMethod(p, ByteBuffer.class, cls2, FontVariationAxis[].class, cls2, cls2);
    }

    /* access modifiers changed from: protected */
    public Method x(Class<?> cls) throws NoSuchMethodException {
        Class cls2 = Integer.TYPE;
        Method declaredMethod = Typeface.class.getDeclaredMethod(q, Array.newInstance(cls, 1).getClass(), cls2, cls2);
        declaredMethod.setAccessible(true);
        return declaredMethod;
    }

    /* access modifiers changed from: protected */
    public Class<?> y() throws ClassNotFoundException {
        return Class.forName(n);
    }

    /* access modifiers changed from: protected */
    public Constructor<?> z(Class<?> cls) throws NoSuchMethodException {
        return cls.getConstructor(new Class[0]);
    }
}
