package androidx.core.location;

import android.location.GnssStatus;
import android.os.Build;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.core.util.m;

/* access modifiers changed from: package-private */
@RequiresApi(24)
@RestrictTo({RestrictTo.Scope.LIBRARY})
/* compiled from: GnssStatusWrapper */
public class a extends GnssStatusCompat {
    private final GnssStatus i;

    a(GnssStatus gnssStatus) {
        this.i = (GnssStatus) m.g(gnssStatus);
    }

    @Override // androidx.core.location.GnssStatusCompat
    public float a(int i2) {
        return this.i.getAzimuthDegrees(i2);
    }

    @Override // androidx.core.location.GnssStatusCompat
    public float b(int i2) {
        if (Build.VERSION.SDK_INT >= 30) {
            return this.i.getBasebandCn0DbHz(i2);
        }
        throw new UnsupportedOperationException();
    }

    @Override // androidx.core.location.GnssStatusCompat
    public float c(int i2) {
        if (Build.VERSION.SDK_INT >= 26) {
            return this.i.getCarrierFrequencyHz(i2);
        }
        throw new UnsupportedOperationException();
    }

    @Override // androidx.core.location.GnssStatusCompat
    public float d(int i2) {
        return this.i.getCn0DbHz(i2);
    }

    @Override // androidx.core.location.GnssStatusCompat
    public int e(int i2) {
        return this.i.getConstellationType(i2);
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof a)) {
            return false;
        }
        return this.i.equals(((a) obj).i);
    }

    @Override // androidx.core.location.GnssStatusCompat
    public float f(int i2) {
        return this.i.getElevationDegrees(i2);
    }

    @Override // androidx.core.location.GnssStatusCompat
    public int g() {
        return this.i.getSatelliteCount();
    }

    @Override // androidx.core.location.GnssStatusCompat
    public int h(int i2) {
        return this.i.getSvid(i2);
    }

    public int hashCode() {
        return this.i.hashCode();
    }

    @Override // androidx.core.location.GnssStatusCompat
    public boolean i(int i2) {
        return this.i.hasAlmanacData(i2);
    }

    @Override // androidx.core.location.GnssStatusCompat
    public boolean j(int i2) {
        if (Build.VERSION.SDK_INT >= 30) {
            return this.i.hasBasebandCn0DbHz(i2);
        }
        return false;
    }

    @Override // androidx.core.location.GnssStatusCompat
    public boolean k(int i2) {
        if (Build.VERSION.SDK_INT >= 26) {
            return this.i.hasCarrierFrequencyHz(i2);
        }
        return false;
    }

    @Override // androidx.core.location.GnssStatusCompat
    public boolean l(int i2) {
        return this.i.hasEphemerisData(i2);
    }

    @Override // androidx.core.location.GnssStatusCompat
    public boolean m(int i2) {
        return this.i.usedInFix(i2);
    }
}
