package androidx.core.location;

import android.location.GpsSatellite;
import android.location.GpsStatus;
import android.os.Build;
import androidx.annotation.GuardedBy;
import androidx.annotation.RestrictTo;
import androidx.core.util.m;
import java.util.Iterator;

/* access modifiers changed from: package-private */
@RestrictTo({RestrictTo.Scope.LIBRARY})
/* compiled from: GpsStatusWrapper */
public class b extends GnssStatusCompat {
    private static final int i = 0;
    private static final int j = 32;
    private static final int k = 33;
    private static final int l = 64;
    private static final int m = -87;
    private static final int n = 64;
    private static final int o = 24;
    private static final int p = 193;
    private static final int q = 200;
    private static final int r = 200;
    private static final int s = 35;
    private final GpsStatus t;
    @GuardedBy("mWrapped")
    private int u = -1;
    @GuardedBy("mWrapped")
    private Iterator<GpsSatellite> v;
    @GuardedBy("mWrapped")
    private int w;
    @GuardedBy("mWrapped")
    private GpsSatellite x;

    b(GpsStatus gpsStatus) {
        GpsStatus gpsStatus2 = (GpsStatus) m.g(gpsStatus);
        this.t = gpsStatus2;
        this.v = gpsStatus2.getSatellites().iterator();
        this.w = -1;
        this.x = null;
    }

    private static int p(int i2) {
        if (i2 > 0 && i2 <= 32) {
            return 1;
        }
        if (i2 >= 33 && i2 <= 64) {
            return 2;
        }
        if (i2 > 64 && i2 <= 88) {
            return 3;
        }
        if (i2 <= 200 || i2 > 235) {
            return (i2 < 193 || i2 > 200) ? 0 : 4;
        }
        return 5;
    }

    private GpsSatellite q(int i2) {
        GpsSatellite gpsSatellite;
        synchronized (this.t) {
            if (i2 < this.w) {
                this.v = this.t.getSatellites().iterator();
                this.w = -1;
            }
            while (true) {
                int i3 = this.w;
                if (i3 >= i2) {
                    break;
                }
                this.w = i3 + 1;
                if (!this.v.hasNext()) {
                    this.x = null;
                    break;
                }
                this.x = this.v.next();
            }
            gpsSatellite = this.x;
        }
        return (GpsSatellite) m.g(gpsSatellite);
    }

    private static int r(int i2) {
        int p2 = p(i2);
        if (p2 == 2) {
            return i2 + 87;
        }
        if (p2 != 3) {
            return p2 != 5 ? i2 : i2 - 200;
        }
        return i2 - 64;
    }

    @Override // androidx.core.location.GnssStatusCompat
    public float a(int i2) {
        return q(i2).getAzimuth();
    }

    @Override // androidx.core.location.GnssStatusCompat
    public float b(int i2) {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.core.location.GnssStatusCompat
    public float c(int i2) {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.core.location.GnssStatusCompat
    public float d(int i2) {
        return q(i2).getSnr();
    }

    @Override // androidx.core.location.GnssStatusCompat
    public int e(int i2) {
        if (Build.VERSION.SDK_INT < 24) {
            return 1;
        }
        return p(q(i2).getPrn());
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof b)) {
            return false;
        }
        return this.t.equals(((b) obj).t);
    }

    @Override // androidx.core.location.GnssStatusCompat
    public float f(int i2) {
        return q(i2).getElevation();
    }

    @Override // androidx.core.location.GnssStatusCompat
    public int g() {
        int i2;
        synchronized (this.t) {
            if (this.u == -1) {
                for (GpsSatellite gpsSatellite : this.t.getSatellites()) {
                    this.u++;
                }
                this.u++;
            }
            i2 = this.u;
        }
        return i2;
    }

    @Override // androidx.core.location.GnssStatusCompat
    public int h(int i2) {
        if (Build.VERSION.SDK_INT < 24) {
            return q(i2).getPrn();
        }
        return r(q(i2).getPrn());
    }

    public int hashCode() {
        return this.t.hashCode();
    }

    @Override // androidx.core.location.GnssStatusCompat
    public boolean i(int i2) {
        return q(i2).hasAlmanac();
    }

    @Override // androidx.core.location.GnssStatusCompat
    public boolean j(int i2) {
        return false;
    }

    @Override // androidx.core.location.GnssStatusCompat
    public boolean k(int i2) {
        return false;
    }

    @Override // androidx.core.location.GnssStatusCompat
    public boolean l(int i2) {
        return q(i2).hasEphemeris();
    }

    @Override // androidx.core.location.GnssStatusCompat
    public boolean m(int i2) {
        return q(i2).usedInFix();
    }
}
