package androidx.fragment.app;

import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.util.f;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.g;
import androidx.fragment.app.h;
import androidx.fragment.app.m;
import androidx.lifecycle.Lifecycle;
import com.ibm.icu.impl.number.Padder;
import java.io.PrintWriter;
import java.util.ArrayList;

/* access modifiers changed from: package-private */
/* compiled from: BackStackRecord */
public final class a extends m implements g.a, h.k {
    static final String K = "FragmentManager";
    final h L;
    boolean M;
    int N = -1;

    public a(h hVar) {
        this.L = hVar;
    }

    private static boolean X(m.a aVar) {
        Fragment fragment = aVar.f3150b;
        return fragment != null && fragment.mAdded && fragment.mView != null && !fragment.mDetached && !fragment.mHidden && fragment.isPostponed();
    }

    @Override // androidx.fragment.app.m
    @NonNull
    public m I(@NonNull Fragment fragment, @NonNull Lifecycle.State state) {
        if (fragment.mFragmentManager == this.L) {
            Lifecycle.State state2 = Lifecycle.State.CREATED;
            if (state.isAtLeast(state2)) {
                return super.I(fragment, state);
            }
            throw new IllegalArgumentException("Cannot set maximum Lifecycle below " + state2);
        }
        throw new IllegalArgumentException("Cannot setMaxLifecycle for Fragment not attached to FragmentManager " + this.L);
    }

    @Override // androidx.fragment.app.m
    @NonNull
    public m J(@Nullable Fragment fragment) {
        h hVar;
        if (fragment == null || (hVar = fragment.mFragmentManager) == null || hVar == this.L) {
            return super.J(fragment);
        }
        throw new IllegalStateException("Cannot setPrimaryNavigation for Fragment attached to a different FragmentManager. Fragment " + fragment.toString() + " is already attached to a FragmentManager.");
    }

    @Override // androidx.fragment.app.m
    @NonNull
    public m N(@NonNull Fragment fragment) {
        h hVar = fragment.mFragmentManager;
        if (hVar == null || hVar == this.L) {
            return super.N(fragment);
        }
        throw new IllegalStateException("Cannot show Fragment attached to a different FragmentManager. Fragment " + fragment.toString() + " is already attached to a FragmentManager.");
    }

    /* access modifiers changed from: package-private */
    public void O(int i) {
        if (this.z) {
            if (h.J0) {
                Log.v(K, "Bump nesting in " + this + " by " + i);
            }
            int size = this.s.size();
            for (int i2 = 0; i2 < size; i2++) {
                m.a aVar = this.s.get(i2);
                Fragment fragment = aVar.f3150b;
                if (fragment != null) {
                    fragment.mBackStackNesting += i;
                    if (h.J0) {
                        Log.v(K, "Bump nesting of " + aVar.f3150b + " to " + aVar.f3150b.mBackStackNesting);
                    }
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public int P(boolean z) {
        if (!this.M) {
            if (h.J0) {
                Log.v(K, "Commit: " + this);
                PrintWriter printWriter = new PrintWriter(new f(K));
                Q("  ", printWriter);
                printWriter.close();
            }
            this.M = true;
            if (this.z) {
                this.N = this.L.G(this);
            } else {
                this.N = -1;
            }
            this.L.B0(this, z);
            return this.N;
        }
        throw new IllegalStateException("commit already called");
    }

    public void Q(String str, PrintWriter printWriter) {
        R(str, printWriter, true);
    }

    public void R(String str, PrintWriter printWriter, boolean z) {
        String str2;
        if (z) {
            printWriter.print(str);
            printWriter.print("mName=");
            printWriter.print(this.B);
            printWriter.print(" mIndex=");
            printWriter.print(this.N);
            printWriter.print(" mCommitted=");
            printWriter.println(this.M);
            if (this.x != 0) {
                printWriter.print(str);
                printWriter.print("mTransition=#");
                printWriter.print(Integer.toHexString(this.x));
                printWriter.print(" mTransitionStyle=#");
                printWriter.println(Integer.toHexString(this.y));
            }
            if (!(this.t == 0 && this.u == 0)) {
                printWriter.print(str);
                printWriter.print("mEnterAnim=#");
                printWriter.print(Integer.toHexString(this.t));
                printWriter.print(" mExitAnim=#");
                printWriter.println(Integer.toHexString(this.u));
            }
            if (!(this.v == 0 && this.w == 0)) {
                printWriter.print(str);
                printWriter.print("mPopEnterAnim=#");
                printWriter.print(Integer.toHexString(this.v));
                printWriter.print(" mPopExitAnim=#");
                printWriter.println(Integer.toHexString(this.w));
            }
            if (!(this.C == 0 && this.D == null)) {
                printWriter.print(str);
                printWriter.print("mBreadCrumbTitleRes=#");
                printWriter.print(Integer.toHexString(this.C));
                printWriter.print(" mBreadCrumbTitleText=");
                printWriter.println(this.D);
            }
            if (!(this.E == 0 && this.F == null)) {
                printWriter.print(str);
                printWriter.print("mBreadCrumbShortTitleRes=#");
                printWriter.print(Integer.toHexString(this.E));
                printWriter.print(" mBreadCrumbShortTitleText=");
                printWriter.println(this.F);
            }
        }
        if (!this.s.isEmpty()) {
            printWriter.print(str);
            printWriter.println("Operations:");
            int size = this.s.size();
            for (int i = 0; i < size; i++) {
                m.a aVar = this.s.get(i);
                switch (aVar.f3149a) {
                    case 0:
                        str2 = "NULL";
                        break;
                    case 1:
                        str2 = "ADD";
                        break;
                    case 2:
                        str2 = "REPLACE";
                        break;
                    case 3:
                        str2 = "REMOVE";
                        break;
                    case 4:
                        str2 = "HIDE";
                        break;
                    case 5:
                        str2 = "SHOW";
                        break;
                    case 6:
                        str2 = "DETACH";
                        break;
                    case 7:
                        str2 = "ATTACH";
                        break;
                    case 8:
                        str2 = "SET_PRIMARY_NAV";
                        break;
                    case 9:
                        str2 = "UNSET_PRIMARY_NAV";
                        break;
                    case 10:
                        str2 = "OP_SET_MAX_LIFECYCLE";
                        break;
                    default:
                        str2 = "cmd=" + aVar.f3149a;
                        break;
                }
                printWriter.print(str);
                printWriter.print("  Op #");
                printWriter.print(i);
                printWriter.print(": ");
                printWriter.print(str2);
                printWriter.print(Padder.f14124a);
                printWriter.println(aVar.f3150b);
                if (z) {
                    if (!(aVar.f3151c == 0 && aVar.f3152d == 0)) {
                        printWriter.print(str);
                        printWriter.print("enterAnim=#");
                        printWriter.print(Integer.toHexString(aVar.f3151c));
                        printWriter.print(" exitAnim=#");
                        printWriter.println(Integer.toHexString(aVar.f3152d));
                    }
                    if (aVar.f3153e != 0 || aVar.f != 0) {
                        printWriter.print(str);
                        printWriter.print("popEnterAnim=#");
                        printWriter.print(Integer.toHexString(aVar.f3153e));
                        printWriter.print(" popExitAnim=#");
                        printWriter.println(Integer.toHexString(aVar.f));
                    }
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void S() {
        int size = this.s.size();
        for (int i = 0; i < size; i++) {
            m.a aVar = this.s.get(i);
            Fragment fragment = aVar.f3150b;
            if (fragment != null) {
                fragment.setNextTransition(this.x, this.y);
            }
            switch (aVar.f3149a) {
                case 1:
                    fragment.setNextAnim(aVar.f3151c);
                    this.L.E(fragment, false);
                    break;
                case 2:
                default:
                    throw new IllegalArgumentException("Unknown cmd: " + aVar.f3149a);
                case 3:
                    fragment.setNextAnim(aVar.f3152d);
                    this.L.n1(fragment);
                    break;
                case 4:
                    fragment.setNextAnim(aVar.f3152d);
                    this.L.U0(fragment);
                    break;
                case 5:
                    fragment.setNextAnim(aVar.f3151c);
                    this.L.C1(fragment);
                    break;
                case 6:
                    fragment.setNextAnim(aVar.f3152d);
                    this.L.Q(fragment);
                    break;
                case 7:
                    fragment.setNextAnim(aVar.f3151c);
                    this.L.J(fragment);
                    break;
                case 8:
                    this.L.B1(fragment);
                    break;
                case 9:
                    this.L.B1(null);
                    break;
                case 10:
                    this.L.A1(fragment, aVar.h);
                    break;
            }
            if (!(this.I || aVar.f3149a == 1 || fragment == null)) {
                this.L.e1(fragment);
            }
        }
        if (!this.I) {
            h hVar = this.L;
            hVar.f1(hVar.l1, true);
        }
    }

    /* access modifiers changed from: package-private */
    public void T(boolean z) {
        for (int size = this.s.size() - 1; size >= 0; size--) {
            m.a aVar = this.s.get(size);
            Fragment fragment = aVar.f3150b;
            if (fragment != null) {
                fragment.setNextTransition(h.u1(this.x), this.y);
            }
            switch (aVar.f3149a) {
                case 1:
                    fragment.setNextAnim(aVar.f);
                    this.L.n1(fragment);
                    break;
                case 2:
                default:
                    throw new IllegalArgumentException("Unknown cmd: " + aVar.f3149a);
                case 3:
                    fragment.setNextAnim(aVar.f3153e);
                    this.L.E(fragment, false);
                    break;
                case 4:
                    fragment.setNextAnim(aVar.f3153e);
                    this.L.C1(fragment);
                    break;
                case 5:
                    fragment.setNextAnim(aVar.f);
                    this.L.U0(fragment);
                    break;
                case 6:
                    fragment.setNextAnim(aVar.f3153e);
                    this.L.J(fragment);
                    break;
                case 7:
                    fragment.setNextAnim(aVar.f);
                    this.L.Q(fragment);
                    break;
                case 8:
                    this.L.B1(null);
                    break;
                case 9:
                    this.L.B1(fragment);
                    break;
                case 10:
                    this.L.A1(fragment, aVar.g);
                    break;
            }
            if (!(this.I || aVar.f3149a == 3 || fragment == null)) {
                this.L.e1(fragment);
            }
        }
        if (!this.I && z) {
            h hVar = this.L;
            hVar.f1(hVar.l1, true);
        }
    }

    /* access modifiers changed from: package-private */
    public Fragment U(ArrayList<Fragment> arrayList, Fragment fragment) {
        Fragment fragment2 = fragment;
        int i = 0;
        while (i < this.s.size()) {
            m.a aVar = this.s.get(i);
            int i2 = aVar.f3149a;
            if (i2 != 1) {
                if (i2 == 2) {
                    Fragment fragment3 = aVar.f3150b;
                    int i3 = fragment3.mContainerId;
                    boolean z = false;
                    for (int size = arrayList.size() - 1; size >= 0; size--) {
                        Fragment fragment4 = arrayList.get(size);
                        if (fragment4.mContainerId == i3) {
                            if (fragment4 == fragment3) {
                                z = true;
                            } else {
                                if (fragment4 == fragment2) {
                                    this.s.add(i, new m.a(9, fragment4));
                                    i++;
                                    fragment2 = null;
                                }
                                m.a aVar2 = new m.a(3, fragment4);
                                aVar2.f3151c = aVar.f3151c;
                                aVar2.f3153e = aVar.f3153e;
                                aVar2.f3152d = aVar.f3152d;
                                aVar2.f = aVar.f;
                                this.s.add(i, aVar2);
                                arrayList.remove(fragment4);
                                i++;
                            }
                        }
                    }
                    if (z) {
                        this.s.remove(i);
                        i--;
                    } else {
                        aVar.f3149a = 1;
                        arrayList.add(fragment3);
                    }
                } else if (i2 == 3 || i2 == 6) {
                    arrayList.remove(aVar.f3150b);
                    Fragment fragment5 = aVar.f3150b;
                    if (fragment5 == fragment2) {
                        this.s.add(i, new m.a(9, fragment5));
                        i++;
                        fragment2 = null;
                    }
                } else if (i2 != 7) {
                    if (i2 == 8) {
                        this.s.add(i, new m.a(9, fragment2));
                        i++;
                        fragment2 = aVar.f3150b;
                    }
                }
                i++;
            }
            arrayList.add(aVar.f3150b);
            i++;
        }
        return fragment2;
    }

    /* access modifiers changed from: package-private */
    public boolean V(int i) {
        int size = this.s.size();
        for (int i2 = 0; i2 < size; i2++) {
            Fragment fragment = this.s.get(i2).f3150b;
            int i3 = fragment != null ? fragment.mContainerId : 0;
            if (i3 != 0 && i3 == i) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public boolean W(ArrayList<a> arrayList, int i, int i2) {
        if (i2 == i) {
            return false;
        }
        int size = this.s.size();
        int i3 = -1;
        for (int i4 = 0; i4 < size; i4++) {
            Fragment fragment = this.s.get(i4).f3150b;
            int i5 = fragment != null ? fragment.mContainerId : 0;
            if (!(i5 == 0 || i5 == i3)) {
                for (int i6 = i; i6 < i2; i6++) {
                    a aVar = arrayList.get(i6);
                    int size2 = aVar.s.size();
                    for (int i7 = 0; i7 < size2; i7++) {
                        Fragment fragment2 = aVar.s.get(i7).f3150b;
                        if ((fragment2 != null ? fragment2.mContainerId : 0) == i5) {
                            return true;
                        }
                    }
                }
                i3 = i5;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public boolean Y() {
        for (int i = 0; i < this.s.size(); i++) {
            if (X(this.s.get(i))) {
                return true;
            }
        }
        return false;
    }

    public void Z() {
        if (this.J != null) {
            for (int i = 0; i < this.J.size(); i++) {
                this.J.get(i).run();
            }
            this.J = null;
        }
    }

    @Override // androidx.fragment.app.g.a
    public int a() {
        return this.N;
    }

    /* access modifiers changed from: package-private */
    public void a0(Fragment.e eVar) {
        for (int i = 0; i < this.s.size(); i++) {
            m.a aVar = this.s.get(i);
            if (X(aVar)) {
                aVar.f3150b.setOnStartEnterTransitionListener(eVar);
            }
        }
    }

    @Override // androidx.fragment.app.g.a
    @Nullable
    public CharSequence b() {
        if (this.C != 0) {
            return this.L.m1.e().getText(this.C);
        }
        return this.D;
    }

    /* access modifiers changed from: package-private */
    public Fragment b0(ArrayList<Fragment> arrayList, Fragment fragment) {
        for (int size = this.s.size() - 1; size >= 0; size--) {
            m.a aVar = this.s.get(size);
            int i = aVar.f3149a;
            if (i != 1) {
                if (i != 3) {
                    switch (i) {
                        case 8:
                            fragment = null;
                            break;
                        case 9:
                            fragment = aVar.f3150b;
                            break;
                        case 10:
                            aVar.h = aVar.g;
                            break;
                    }
                }
                arrayList.add(aVar.f3150b);
            }
            arrayList.remove(aVar.f3150b);
        }
        return fragment;
    }

    @Override // androidx.fragment.app.h.k
    public boolean c(ArrayList<a> arrayList, ArrayList<Boolean> arrayList2) {
        if (h.J0) {
            Log.v(K, "Run: " + this);
        }
        arrayList.add(this);
        arrayList2.add(Boolean.FALSE);
        if (!this.z) {
            return true;
        }
        this.L.D(this);
        return true;
    }

    @Override // androidx.fragment.app.g.a
    public int d() {
        return this.E;
    }

    @Override // androidx.fragment.app.g.a
    public int e() {
        return this.C;
    }

    @Override // androidx.fragment.app.g.a
    @Nullable
    public CharSequence f() {
        if (this.E != 0) {
            return this.L.m1.e().getText(this.E);
        }
        return this.F;
    }

    @Override // androidx.fragment.app.g.a
    @Nullable
    public String getName() {
        return this.B;
    }

    @Override // androidx.fragment.app.m
    public int n() {
        return P(false);
    }

    @Override // androidx.fragment.app.m
    public int o() {
        return P(true);
    }

    @Override // androidx.fragment.app.m
    public void p() {
        s();
        this.L.F0(this, false);
    }

    @Override // androidx.fragment.app.m
    public void q() {
        s();
        this.L.F0(this, true);
    }

    @Override // androidx.fragment.app.m
    @NonNull
    public m r(@NonNull Fragment fragment) {
        h hVar = fragment.mFragmentManager;
        if (hVar == null || hVar == this.L) {
            return super.r(fragment);
        }
        throw new IllegalStateException("Cannot detach Fragment attached to a different FragmentManager. Fragment " + fragment.toString() + " is already attached to a FragmentManager.");
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.fragment.app.m
    public void t(int i, Fragment fragment, @Nullable String str, int i2) {
        super.t(i, fragment, str, i2);
        fragment.mFragmentManager = this.L;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder(128);
        sb.append("BackStackEntry{");
        sb.append(Integer.toHexString(System.identityHashCode(this)));
        if (this.N >= 0) {
            sb.append(" #");
            sb.append(this.N);
        }
        if (this.B != null) {
            sb.append(Padder.f14124a);
            sb.append(this.B);
        }
        sb.append(com.alipay.sdk.util.g.f6033d);
        return sb.toString();
    }

    @Override // androidx.fragment.app.m
    @NonNull
    public m u(@NonNull Fragment fragment) {
        h hVar = fragment.mFragmentManager;
        if (hVar == null || hVar == this.L) {
            return super.u(fragment);
        }
        throw new IllegalStateException("Cannot hide Fragment attached to a different FragmentManager. Fragment " + fragment.toString() + " is already attached to a FragmentManager.");
    }

    @Override // androidx.fragment.app.m
    public boolean w() {
        return this.s.isEmpty();
    }

    @Override // androidx.fragment.app.m
    @NonNull
    public m x(@NonNull Fragment fragment) {
        h hVar = fragment.mFragmentManager;
        if (hVar == null || hVar == this.L) {
            return super.x(fragment);
        }
        throw new IllegalStateException("Cannot remove Fragment attached to a different FragmentManager. Fragment " + fragment.toString() + " is already attached to a FragmentManager.");
    }
}
