package androidx.transition;

import android.animation.Animator;
import android.animation.TimeInterpolator;
import android.content.Context;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.DecelerateInterpolator;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

public class Explode extends Visibility {
    private static final TimeInterpolator I1 = new DecelerateInterpolator();
    private static final TimeInterpolator J1 = new AccelerateInterpolator();
    private static final String K1 = "android:explode:screenBounds";
    private int[] L1;

    public Explode() {
        this.L1 = new int[2];
        F0(new c());
    }

    private void J0(z zVar) {
        View view = zVar.f4308b;
        view.getLocationOnScreen(this.L1);
        int[] iArr = this.L1;
        int i = iArr[0];
        int i2 = iArr[1];
        zVar.f4307a.put(K1, new Rect(i, i2, view.getWidth() + i, view.getHeight() + i2));
    }

    private static float S0(float f, float f2) {
        return (float) Math.sqrt((double) ((f * f) + (f2 * f2)));
    }

    private static float T0(View view, int i, int i2) {
        return S0((float) Math.max(i, view.getWidth() - i), (float) Math.max(i2, view.getHeight() - i2));
    }

    private void U0(View view, Rect rect, int[] iArr) {
        int i;
        int i2;
        view.getLocationOnScreen(this.L1);
        int[] iArr2 = this.L1;
        int i3 = iArr2[0];
        int i4 = iArr2[1];
        Rect M = M();
        if (M == null) {
            i2 = (view.getWidth() / 2) + i3 + Math.round(view.getTranslationX());
            i = (view.getHeight() / 2) + i4 + Math.round(view.getTranslationY());
        } else {
            int centerX = M.centerX();
            i = M.centerY();
            i2 = centerX;
        }
        float centerX2 = (float) (rect.centerX() - i2);
        float centerY = (float) (rect.centerY() - i);
        if (centerX2 == 0.0f && centerY == 0.0f) {
            centerX2 = ((float) (Math.random() * 2.0d)) - 1.0f;
            centerY = ((float) (Math.random() * 2.0d)) - 1.0f;
        }
        float S0 = S0(centerX2, centerY);
        float T0 = T0(view, i2 - i3, i - i4);
        iArr[0] = Math.round((centerX2 / S0) * T0);
        iArr[1] = Math.round(T0 * (centerY / S0));
    }

    @Override // androidx.transition.Visibility
    @Nullable
    public Animator N0(ViewGroup viewGroup, View view, z zVar, z zVar2) {
        if (zVar2 == null) {
            return null;
        }
        Rect rect = (Rect) zVar2.f4307a.get(K1);
        float translationX = view.getTranslationX();
        float translationY = view.getTranslationY();
        U0(viewGroup, rect, this.L1);
        int[] iArr = this.L1;
        return b0.a(view, zVar2, rect.left, rect.top, translationX + ((float) iArr[0]), translationY + ((float) iArr[1]), translationX, translationY, I1, this);
    }

    @Override // androidx.transition.Visibility
    @Nullable
    public Animator P0(ViewGroup viewGroup, View view, z zVar, z zVar2) {
        float f;
        float f2;
        if (zVar == null) {
            return null;
        }
        Rect rect = (Rect) zVar.f4307a.get(K1);
        int i = rect.left;
        int i2 = rect.top;
        float translationX = view.getTranslationX();
        float translationY = view.getTranslationY();
        int[] iArr = (int[]) zVar.f4308b.getTag(R.id.transition_position);
        if (iArr != null) {
            f2 = ((float) (iArr[0] - rect.left)) + translationX;
            f = ((float) (iArr[1] - rect.top)) + translationY;
            rect.offsetTo(iArr[0], iArr[1]);
        } else {
            f2 = translationX;
            f = translationY;
        }
        U0(viewGroup, rect, this.L1);
        int[] iArr2 = this.L1;
        return b0.a(view, zVar, i, i2, translationX, translationY, f2 + ((float) iArr2[0]), f + ((float) iArr2[1]), J1, this);
    }

    @Override // androidx.transition.Transition, androidx.transition.Visibility
    public void p(@NonNull z zVar) {
        super.p(zVar);
        J0(zVar);
    }

    @Override // androidx.transition.Transition, androidx.transition.Visibility
    public void s(@NonNull z zVar) {
        super.s(zVar);
        J0(zVar);
    }

    public Explode(@NonNull Context context, @NonNull AttributeSet attributeSet) {
        super(context, attributeSet);
        this.L1 = new int[2];
        F0(new c());
    }
}
