package androidx.transition;

import android.animation.Animator;
import android.animation.TimeInterpolator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.DecelerateInterpolator;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.view.ViewCompat;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import org.xmlpull.v1.XmlPullParser;

public class Slide extends Visibility {
    private static final TimeInterpolator I1 = new DecelerateInterpolator();
    private static final TimeInterpolator J1 = new AccelerateInterpolator();
    private static final String K1 = "android:slide:screenPosition";
    private static final g L1 = new a();
    private static final g M1 = new b();
    private static final g N1 = new c();
    private static final g O1 = new d();
    private static final g P1 = new e();
    private static final g Q1 = new f();
    private g R1 = Q1;
    private int S1 = 80;

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public @interface GravityFlag {
    }

    class a extends h {
        a() {
            super(null);
        }

        @Override // androidx.transition.Slide.g
        public float b(ViewGroup viewGroup, View view) {
            return view.getTranslationX() - ((float) viewGroup.getWidth());
        }
    }

    class b extends h {
        b() {
            super(null);
        }

        @Override // androidx.transition.Slide.g
        public float b(ViewGroup viewGroup, View view) {
            boolean z = true;
            if (ViewCompat.getLayoutDirection(viewGroup) != 1) {
                z = false;
            }
            if (z) {
                return view.getTranslationX() + ((float) viewGroup.getWidth());
            }
            return view.getTranslationX() - ((float) viewGroup.getWidth());
        }
    }

    class c extends i {
        c() {
            super(null);
        }

        @Override // androidx.transition.Slide.g
        public float a(ViewGroup viewGroup, View view) {
            return view.getTranslationY() - ((float) viewGroup.getHeight());
        }
    }

    class d extends h {
        d() {
            super(null);
        }

        @Override // androidx.transition.Slide.g
        public float b(ViewGroup viewGroup, View view) {
            return view.getTranslationX() + ((float) viewGroup.getWidth());
        }
    }

    class e extends h {
        e() {
            super(null);
        }

        @Override // androidx.transition.Slide.g
        public float b(ViewGroup viewGroup, View view) {
            boolean z = true;
            if (ViewCompat.getLayoutDirection(viewGroup) != 1) {
                z = false;
            }
            if (z) {
                return view.getTranslationX() - ((float) viewGroup.getWidth());
            }
            return view.getTranslationX() + ((float) viewGroup.getWidth());
        }
    }

    class f extends i {
        f() {
            super(null);
        }

        @Override // androidx.transition.Slide.g
        public float a(ViewGroup viewGroup, View view) {
            return view.getTranslationY() + ((float) viewGroup.getHeight());
        }
    }

    /* access modifiers changed from: private */
    public interface g {
        float a(ViewGroup viewGroup, View view);

        float b(ViewGroup viewGroup, View view);
    }

    private static abstract class h implements g {
        private h() {
        }

        @Override // androidx.transition.Slide.g
        public float a(ViewGroup viewGroup, View view) {
            return view.getTranslationY();
        }

        /* synthetic */ h(a aVar) {
            this();
        }
    }

    private static abstract class i implements g {
        private i() {
        }

        @Override // androidx.transition.Slide.g
        public float b(ViewGroup viewGroup, View view) {
            return view.getTranslationX();
        }

        /* synthetic */ i(a aVar) {
            this();
        }
    }

    public Slide() {
        T0(80);
    }

    private void J0(z zVar) {
        int[] iArr = new int[2];
        zVar.f4308b.getLocationOnScreen(iArr);
        zVar.f4307a.put(K1, iArr);
    }

    @Override // androidx.transition.Visibility
    @Nullable
    public Animator N0(ViewGroup viewGroup, View view, z zVar, z zVar2) {
        if (zVar2 == null) {
            return null;
        }
        int[] iArr = (int[]) zVar2.f4307a.get(K1);
        float translationX = view.getTranslationX();
        float translationY = view.getTranslationY();
        return b0.a(view, zVar2, iArr[0], iArr[1], this.R1.b(viewGroup, view), this.R1.a(viewGroup, view), translationX, translationY, I1, this);
    }

    @Override // androidx.transition.Visibility
    @Nullable
    public Animator P0(ViewGroup viewGroup, View view, z zVar, z zVar2) {
        if (zVar == null) {
            return null;
        }
        int[] iArr = (int[]) zVar.f4307a.get(K1);
        return b0.a(view, zVar, iArr[0], iArr[1], view.getTranslationX(), view.getTranslationY(), this.R1.b(viewGroup, view), this.R1.a(viewGroup, view), J1, this);
    }

    public int S0() {
        return this.S1;
    }

    public void T0(int i2) {
        if (i2 == 3) {
            this.R1 = L1;
        } else if (i2 == 5) {
            this.R1 = O1;
        } else if (i2 == 48) {
            this.R1 = N1;
        } else if (i2 == 80) {
            this.R1 = Q1;
        } else if (i2 == 8388611) {
            this.R1 = M1;
        } else if (i2 == 8388613) {
            this.R1 = P1;
        } else {
            throw new IllegalArgumentException("Invalid slide direction");
        }
        this.S1 = i2;
        s sVar = new s();
        sVar.k(i2);
        F0(sVar);
    }

    @Override // androidx.transition.Transition, androidx.transition.Visibility
    public void p(@NonNull z zVar) {
        super.p(zVar);
        J0(zVar);
    }

    @Override // androidx.transition.Transition, androidx.transition.Visibility
    public void s(@NonNull z zVar) {
        super.s(zVar);
        J0(zVar);
    }

    public Slide(int i2) {
        T0(i2);
    }

    @SuppressLint({"RestrictedApi"})
    public Slide(@NonNull Context context, @NonNull AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, t.h);
        int k = androidx.core.content.res.h.k(obtainStyledAttributes, (XmlPullParser) attributeSet, "slideEdge", 0, 80);
        obtainStyledAttributes.recycle();
        T0(k);
    }
}
