package androidx.versionedparcelable;

import android.os.Bundle;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.SparseIntArray;
import androidx.annotation.RestrictTo;
import b.b.a;
import java.lang.reflect.Method;

/* access modifiers changed from: package-private */
@RestrictTo({RestrictTo.Scope.LIBRARY})
/* compiled from: VersionedParcelParcel */
public class c extends VersionedParcel {
    private static final boolean t = false;
    private static final String u = "VersionedParcelParcel";
    private int A;
    private int B;
    private int C;
    private final SparseIntArray v;
    private final Parcel w;
    private final int x;
    private final int y;
    private final String z;

    c(Parcel parcel) {
        this(parcel, parcel.dataPosition(), parcel.dataSize(), "", new a(), new a(), new a());
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void C0(double d2) {
        this.w.writeDouble(d2);
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public boolean F(int i) {
        while (this.B < this.y) {
            int i2 = this.C;
            if (i2 == i) {
                return true;
            }
            if (String.valueOf(i2).compareTo(String.valueOf(i)) > 0) {
                return false;
            }
            this.w.setDataPosition(this.B);
            int readInt = this.w.readInt();
            this.C = this.w.readInt();
            this.B += readInt;
        }
        if (this.C == i) {
            return true;
        }
        return false;
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public float G() {
        return this.w.readFloat();
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void H0(float f) {
        this.w.writeFloat(f);
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public int L() {
        return this.w.readInt();
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void L0(int i) {
        this.w.writeInt(i);
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public long Q() {
        return this.w.readLong();
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void Q0(long j) {
        this.w.writeLong(j);
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public <T extends Parcelable> T V() {
        return (T) this.w.readParcelable(getClass().getClassLoader());
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void W0(Parcelable parcelable) {
        this.w.writeParcelable(parcelable, 0);
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void a() {
        int i = this.A;
        if (i >= 0) {
            int i2 = this.v.get(i);
            int dataPosition = this.w.dataPosition();
            this.w.setDataPosition(i2);
            this.w.writeInt(dataPosition - i2);
            this.w.setDataPosition(dataPosition);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.versionedparcelable.VersionedParcel
    public VersionedParcel c() {
        Parcel parcel = this.w;
        int dataPosition = parcel.dataPosition();
        int i = this.B;
        if (i == this.x) {
            i = this.y;
        }
        return new c(parcel, dataPosition, i, this.z + "  ", this.q, this.r, this.s);
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public String c0() {
        return this.w.readString();
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public IBinder e0() {
        return this.w.readStrongBinder();
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void e1(String str) {
        this.w.writeString(str);
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void g1(IBinder iBinder) {
        this.w.writeStrongBinder(iBinder);
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void i0(int i) {
        a();
        this.A = i;
        this.v.put(i, this.w.dataPosition());
        L0(0);
        L0(i);
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void i1(IInterface iInterface) {
        this.w.writeStrongInterface(iInterface);
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public boolean l() {
        return this.w.readInt() != 0;
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void m0(boolean z2) {
        this.w.writeInt(z2 ? 1 : 0);
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public Bundle p() {
        return this.w.readBundle(getClass().getClassLoader());
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void q0(Bundle bundle) {
        this.w.writeBundle(bundle);
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public byte[] s() {
        int readInt = this.w.readInt();
        if (readInt < 0) {
            return null;
        }
        byte[] bArr = new byte[readInt];
        this.w.readByteArray(bArr);
        return bArr;
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void t0(byte[] bArr) {
        if (bArr != null) {
            this.w.writeInt(bArr.length);
            this.w.writeByteArray(bArr);
            return;
        }
        this.w.writeInt(-1);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.versionedparcelable.VersionedParcel
    public CharSequence v() {
        return (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(this.w);
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void v0(byte[] bArr, int i, int i2) {
        if (bArr != null) {
            this.w.writeInt(bArr.length);
            this.w.writeByteArray(bArr, i, i2);
            return;
        }
        this.w.writeInt(-1);
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public double y() {
        return this.w.readDouble();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.versionedparcelable.VersionedParcel
    public void y0(CharSequence charSequence) {
        TextUtils.writeToParcel(charSequence, this.w, 0);
    }

    private c(Parcel parcel, int i, int i2, String str, a<String, Method> aVar, a<String, Method> aVar2, a<String, Class> aVar3) {
        super(aVar, aVar2, aVar3);
        this.v = new SparseIntArray();
        this.A = -1;
        this.B = 0;
        this.C = -1;
        this.w = parcel;
        this.x = i;
        this.y = i2;
        this.B = i;
        this.z = str;
    }
}
