package androidx.viewpager.widget;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.content.d;
import androidx.core.view.ViewCompat;

public class PagerTabStrip extends PagerTitleStrip {
    private static final String Y0 = "PagerTabStrip";
    private static final int Z0 = 3;
    private static final int a1 = 6;
    private static final int b1 = 16;
    private static final int c1 = 32;
    private static final int d1 = 64;
    private static final int e1 = 1;
    private static final int f1 = 32;
    private int g1;
    private int h1;
    private int i1;
    private int j1;
    private int k1;
    private int l1;
    private final Paint m1;
    private final Rect n1;
    private int o1;
    private boolean p1;
    private boolean q1;
    private int r1;
    private boolean s1;
    private float t1;
    private float u1;
    private int v1;

    class a implements View.OnClickListener {
        a() {
        }

        public void onClick(View view) {
            ViewPager viewPager = PagerTabStrip.this.K0;
            viewPager.setCurrentItem(viewPager.getCurrentItem() - 1);
        }
    }

    class b implements View.OnClickListener {
        b() {
        }

        public void onClick(View view) {
            ViewPager viewPager = PagerTabStrip.this.K0;
            viewPager.setCurrentItem(viewPager.getCurrentItem() + 1);
        }
    }

    public PagerTabStrip(@NonNull Context context) {
        this(context, null);
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.viewpager.widget.PagerTitleStrip
    public void d(int i, float f, boolean z) {
        Rect rect = this.n1;
        int height = getHeight();
        int left = this.M0.getLeft() - this.l1;
        int right = this.M0.getRight() + this.l1;
        int i2 = height - this.h1;
        rect.set(left, i2, right, height);
        super.d(i, f, z);
        this.o1 = (int) (Math.abs(f - 0.5f) * 2.0f * 255.0f);
        rect.union(this.M0.getLeft() - this.l1, i2, this.M0.getRight() + this.l1, height);
        invalidate(rect);
    }

    public boolean getDrawFullUnderline() {
        return this.p1;
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.viewpager.widget.PagerTitleStrip
    public int getMinHeight() {
        return Math.max(super.getMinHeight(), this.k1);
    }

    @ColorInt
    public int getTabIndicatorColor() {
        return this.g1;
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int height = getHeight();
        int left = this.M0.getLeft() - this.l1;
        int right = this.M0.getRight() + this.l1;
        this.m1.setColor((this.o1 << 24) | (this.g1 & ViewCompat.MEASURED_SIZE_MASK));
        float f = (float) height;
        canvas.drawRect((float) left, (float) (height - this.h1), (float) right, f, this.m1);
        if (this.p1) {
            this.m1.setColor(-16777216 | (this.g1 & ViewCompat.MEASURED_SIZE_MASK));
            canvas.drawRect((float) getPaddingLeft(), (float) (height - this.r1), (float) (getWidth() - getPaddingRight()), f, this.m1);
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        if (action != 0 && this.s1) {
            return false;
        }
        float x = motionEvent.getX();
        float y = motionEvent.getY();
        if (action == 0) {
            this.t1 = x;
            this.u1 = y;
            this.s1 = false;
        } else if (action != 1) {
            if (action == 2 && (Math.abs(x - this.t1) > ((float) this.v1) || Math.abs(y - this.u1) > ((float) this.v1))) {
                this.s1 = true;
            }
        } else if (x < ((float) (this.M0.getLeft() - this.l1))) {
            ViewPager viewPager = this.K0;
            viewPager.setCurrentItem(viewPager.getCurrentItem() - 1);
        } else if (x > ((float) (this.M0.getRight() + this.l1))) {
            ViewPager viewPager2 = this.K0;
            viewPager2.setCurrentItem(viewPager2.getCurrentItem() + 1);
        }
        return true;
    }

    public void setBackgroundColor(@ColorInt int i) {
        super.setBackgroundColor(i);
        if (!this.q1) {
            this.p1 = (i & ViewCompat.MEASURED_STATE_MASK) == 0;
        }
    }

    public void setBackgroundDrawable(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
        if (!this.q1) {
            this.p1 = drawable == null;
        }
    }

    public void setBackgroundResource(@DrawableRes int i) {
        super.setBackgroundResource(i);
        if (!this.q1) {
            this.p1 = i == 0;
        }
    }

    public void setDrawFullUnderline(boolean z) {
        this.p1 = z;
        this.q1 = true;
        invalidate();
    }

    public void setPadding(int i, int i2, int i3, int i4) {
        int i5 = this.i1;
        if (i4 < i5) {
            i4 = i5;
        }
        super.setPadding(i, i2, i3, i4);
    }

    public void setTabIndicatorColor(@ColorInt int i) {
        this.g1 = i;
        this.m1.setColor(i);
        invalidate();
    }

    public void setTabIndicatorColorResource(@ColorRes int i) {
        setTabIndicatorColor(d.f(getContext(), i));
    }

    @Override // androidx.viewpager.widget.PagerTitleStrip
    public void setTextSpacing(int i) {
        int i2 = this.j1;
        if (i < i2) {
            i = i2;
        }
        super.setTextSpacing(i);
    }

    public PagerTabStrip(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        Paint paint = new Paint();
        this.m1 = paint;
        this.n1 = new Rect();
        this.o1 = 255;
        this.p1 = false;
        this.q1 = false;
        int i = this.X0;
        this.g1 = i;
        paint.setColor(i);
        float f = context.getResources().getDisplayMetrics().density;
        this.h1 = (int) ((3.0f * f) + 0.5f);
        this.i1 = (int) ((6.0f * f) + 0.5f);
        this.j1 = (int) (64.0f * f);
        this.l1 = (int) ((16.0f * f) + 0.5f);
        this.r1 = (int) ((1.0f * f) + 0.5f);
        this.k1 = (int) ((f * 32.0f) + 0.5f);
        this.v1 = ViewConfiguration.get(context).getScaledTouchSlop();
        setPadding(getPaddingLeft(), getPaddingTop(), getPaddingRight(), getPaddingBottom());
        setTextSpacing(getTextSpacing());
        setWillNotDraw(false);
        this.L0.setFocusable(true);
        this.L0.setOnClickListener(new a());
        this.N0.setFocusable(true);
        this.N0.setOnClickListener(new b());
        if (getBackground() == null) {
            this.p1 = true;
        }
    }
}
