package com.alibaba.fastjson.parser;

import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.a;
import com.alibaba.fastjson.util.f;
import java.io.CharArrayReader;
import java.io.IOException;
import java.io.Reader;
import java.io.StringReader;
import java.math.BigDecimal;
import java.math.MathContext;

/* compiled from: JSONReaderScanner */
public final class e extends d {
    private static final ThreadLocal<char[]> b1 = new ThreadLocal<>();
    private Reader c1;
    private char[] d1;
    private int e1;

    public e(String str) {
        this(str, a.DEFAULT_PARSER_FEATURE);
    }

    @Override // com.alibaba.fastjson.parser.c, com.alibaba.fastjson.parser.d
    public final String J0() {
        if (this.U0) {
            return new String(this.R0, 0, this.S0);
        }
        int i = this.T0 + 1;
        if (i < 0) {
            throw new IllegalStateException();
        } else if (i <= this.d1.length - this.S0) {
            return new String(this.d1, i, this.S0);
        } else {
            throw new IllegalStateException();
        }
    }

    @Override // com.alibaba.fastjson.parser.c, com.alibaba.fastjson.parser.d
    public final String Q1() {
        int i = this.T0;
        if (i == -1) {
            i = 0;
        }
        char W1 = W1((this.S0 + i) - 1);
        int i2 = this.S0;
        if (W1 == 'L' || W1 == 'S' || W1 == 'B' || W1 == 'F' || W1 == 'D') {
            i2--;
        }
        return new String(this.d1, i, i2);
    }

    /* access modifiers changed from: protected */
    @Override // com.alibaba.fastjson.parser.d
    public final void U1(int i, char[] cArr, int i2, int i3) {
        System.arraycopy(this.d1, i, cArr, i2, i3);
    }

    @Override // com.alibaba.fastjson.parser.d
    public final boolean V1(char[] cArr) {
        for (int i = 0; i < cArr.length; i++) {
            if (W1(this.P0 + i) != cArr[i]) {
                return false;
            }
        }
        return true;
    }

    @Override // com.alibaba.fastjson.parser.d
    public final char W1(int i) {
        int i2 = this.e1;
        if (i >= i2) {
            if (i2 != -1) {
                int i3 = this.P0;
                if (i3 == 0) {
                    char[] cArr = this.d1;
                    int length = (cArr.length * 3) / 2;
                    char[] cArr2 = new char[length];
                    System.arraycopy(cArr, i3, cArr2, 0, i2);
                    int i4 = this.e1;
                    try {
                        this.e1 += this.c1.read(cArr2, i4, length - i4);
                        this.d1 = cArr2;
                    } catch (IOException e2) {
                        throw new JSONException(e2.getMessage(), e2);
                    }
                } else {
                    int i5 = i2 - i3;
                    if (i5 > 0) {
                        char[] cArr3 = this.d1;
                        System.arraycopy(cArr3, i3, cArr3, 0, i5);
                    }
                    try {
                        Reader reader = this.c1;
                        char[] cArr4 = this.d1;
                        int read = reader.read(cArr4, i5, cArr4.length - i5);
                        this.e1 = read;
                        if (read == 0) {
                            throw new JSONException("illegal state, textLength is zero");
                        } else if (read == -1) {
                            return c.f5609e;
                        } else {
                            this.e1 = read + i5;
                            int i6 = this.P0;
                            i -= i6;
                            this.T0 -= i6;
                            this.P0 = 0;
                        }
                    } catch (IOException e3) {
                        throw new JSONException(e3.getMessage(), e3);
                    }
                }
            } else if (i < this.S0) {
                return this.d1[i];
            } else {
                return c.f5609e;
            }
        }
        return this.d1[i];
    }

    /* access modifiers changed from: protected */
    @Override // com.alibaba.fastjson.parser.d
    public final void X1(int i, int i2, char[] cArr) {
        System.arraycopy(this.d1, i, cArr, 0, i2);
    }

    @Override // com.alibaba.fastjson.parser.d
    public final String Z2(int i, int i2) {
        if (i2 >= 0) {
            return new String(this.d1, i, i2);
        }
        throw new StringIndexOutOfBoundsException(i2);
    }

    @Override // com.alibaba.fastjson.parser.d
    public final String a(int i, int i2, int i3, j jVar) {
        return jVar.d(this.d1, i, i2, i3);
    }

    @Override // com.alibaba.fastjson.parser.d
    public final int a2(char c2, int i) {
        int i2 = i - this.P0;
        while (true) {
            char W1 = W1(this.P0 + i2);
            if (c2 == W1) {
                return i2 + this.P0;
            }
            if (W1 == 26) {
                return -1;
            }
            i2++;
        }
    }

    @Override // com.alibaba.fastjson.parser.d
    public final char[] a3(int i, int i2) {
        if (i2 < 0) {
            throw new StringIndexOutOfBoundsException(i2);
        } else if (i == 0) {
            return this.d1;
        } else {
            char[] cArr = new char[i2];
            System.arraycopy(this.d1, i, cArr, 0, i2);
            return cArr;
        }
    }

    @Override // com.alibaba.fastjson.parser.d
    public boolean b2() {
        if (this.e1 == -1) {
            return true;
        }
        int i = this.P0;
        char[] cArr = this.d1;
        if (i != cArr.length) {
            return this.O0 == 26 && i + 1 >= cArr.length;
        }
        return true;
    }

    @Override // com.alibaba.fastjson.parser.c, java.io.Closeable, com.alibaba.fastjson.parser.d, java.lang.AutoCloseable
    public void close() {
        super.close();
        char[] cArr = this.d1;
        if (cArr.length <= 65536) {
            b1.set(cArr);
        }
        this.d1 = null;
        f.a(this.c1);
    }

    @Override // com.alibaba.fastjson.parser.c, com.alibaba.fastjson.parser.d
    public final BigDecimal e0() {
        int i = this.T0;
        if (i == -1) {
            i = 0;
        }
        char W1 = W1((this.S0 + i) - 1);
        int i2 = this.S0;
        if (W1 == 'L' || W1 == 'S' || W1 == 'B' || W1 == 'F' || W1 == 'D') {
            i2--;
        }
        if (i2 <= 65535) {
            return new BigDecimal(this.d1, i, i2, MathContext.UNLIMITED);
        }
        throw new JSONException("decimal overflow");
    }

    @Override // com.alibaba.fastjson.parser.c, com.alibaba.fastjson.parser.d
    public final boolean k() {
        int i = 0;
        while (true) {
            char c2 = this.d1[i];
            if (c2 == 26) {
                this.L0 = 20;
                return true;
            } else if (!d.d2(c2)) {
                return false;
            } else {
                i++;
            }
        }
    }

    @Override // com.alibaba.fastjson.parser.c, com.alibaba.fastjson.parser.d
    public final char next() {
        int i = this.P0 + 1;
        this.P0 = i;
        int i2 = this.e1;
        if (i >= i2) {
            if (i2 == -1) {
                return c.f5609e;
            }
            int i3 = this.S0;
            if (i3 > 0) {
                int i4 = i2 - i3;
                if (this.O0 == '\"' && i4 > 0) {
                    i4--;
                }
                char[] cArr = this.d1;
                System.arraycopy(cArr, i4, cArr, 0, i3);
            }
            this.T0 = -1;
            int i5 = this.S0;
            this.P0 = i5;
            try {
                char[] cArr2 = this.d1;
                int length = cArr2.length - i5;
                if (length == 0) {
                    char[] cArr3 = new char[(cArr2.length * 2)];
                    System.arraycopy(cArr2, 0, cArr3, 0, cArr2.length);
                    this.d1 = cArr3;
                    length = cArr3.length - i5;
                }
                int read = this.c1.read(this.d1, this.P0, length);
                this.e1 = read;
                if (read == 0) {
                    throw new JSONException("illegal stat, textLength is zero");
                } else if (read == -1) {
                    this.O0 = c.f5609e;
                    return c.f5609e;
                } else {
                    this.e1 = read + this.P0;
                    i = i5;
                }
            } catch (IOException e2) {
                throw new JSONException(e2.getMessage(), e2);
            }
        }
        char c2 = this.d1[i];
        this.O0 = c2;
        return c2;
    }

    @Override // com.alibaba.fastjson.parser.c, com.alibaba.fastjson.parser.d
    public byte[] o0() {
        if (this.L0 != 26) {
            return f.e(this.d1, this.T0 + 1, this.S0);
        }
        throw new JSONException("TODO");
    }

    public e(String str, int i) {
        this(new StringReader(str), i);
    }

    public e(char[] cArr, int i) {
        this(cArr, i, a.DEFAULT_PARSER_FEATURE);
    }

    public e(Reader reader) {
        this(reader, a.DEFAULT_PARSER_FEATURE);
    }

    public e(Reader reader, int i) {
        super(i);
        this.c1 = reader;
        ThreadLocal<char[]> threadLocal = b1;
        char[] cArr = threadLocal.get();
        this.d1 = cArr;
        if (cArr != null) {
            threadLocal.set(null);
        }
        if (this.d1 == null) {
            this.d1 = new char[16384];
        }
        try {
            this.e1 = reader.read(this.d1);
            this.P0 = -1;
            next();
            if (this.O0 == 65279) {
                next();
            }
        } catch (IOException e2) {
            throw new JSONException(e2.getMessage(), e2);
        }
    }

    public e(char[] cArr, int i, int i2) {
        this(new CharArrayReader(cArr, 0, i), i2);
    }
}
