package com.alibaba.fastjson.serializer;

import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.PropertyNamingStrategy;
import com.alibaba.fastjson.a;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;
import com.alibaba.fastjson.util.d;
import com.alibaba.fastjson.util.n;
import java.io.IOException;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Type;
import java.lang.reflect.WildcardType;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.IdentityHashMap;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

/* compiled from: JavaBeanSerializer */
public class l0 extends f1 implements v0 {
    protected final a0[] j;
    protected final a0[] k;
    protected c1 l;
    private volatile transient long[] m;
    private volatile transient short[] n;

    public l0(Class<?> cls) {
        this(cls, (Map<String, String>) null);
    }

    static Map<String, String> t(String... strArr) {
        HashMap hashMap = new HashMap();
        for (String str : strArr) {
            hashMap.put(str, str);
        }
        return hashMap;
    }

    public Object A(Object obj, String str, long j2, boolean z) {
        a0 w = w(j2);
        if (w != null) {
            try {
                return w.b(obj);
            } catch (InvocationTargetException e2) {
                throw new JSONException("getFieldValue error." + str, e2);
            } catch (IllegalAccessException e3) {
                throw new JSONException("getFieldValue error." + str, e3);
            }
        } else if (!z) {
            return null;
        } else {
            throw new JSONException("field not found. " + str);
        }
    }

    public List<Object> B(Object obj) throws Exception {
        ArrayList arrayList = new ArrayList(this.k.length);
        for (a0 a0Var : this.k) {
            arrayList.add(a0Var.b(obj));
        }
        return arrayList;
    }

    public Map<String, Object> C(Object obj) throws Exception {
        LinkedHashMap linkedHashMap = new LinkedHashMap(this.k.length);
        a0[] a0VarArr = this.k;
        for (a0 a0Var : a0VarArr) {
            boolean isEnabled = SerializerFeature.isEnabled(a0Var.I0, SerializerFeature.SkipTransientField);
            d dVar = a0Var.f5676a;
            if (!isEnabled || dVar == null || !dVar.U0) {
                if (dVar.Y0) {
                    Object json = a.toJSON(a0Var.b(obj));
                    if (json instanceof Map) {
                        linkedHashMap.putAll((Map) json);
                    } else {
                        linkedHashMap.put(a0Var.f5676a.f5788a, a0Var.b(obj));
                    }
                } else {
                    linkedHashMap.put(dVar.f5788a, a0Var.b(obj));
                }
            }
        }
        return linkedHashMap;
    }

    public List<Object> D(Object obj) throws Exception {
        ArrayList arrayList = new ArrayList(this.k.length);
        a0[] a0VarArr = this.k;
        for (a0 a0Var : a0VarArr) {
            Class<?> cls = a0Var.f5676a.K0;
            if (!cls.isPrimitive() && !cls.getName().startsWith("java.lang.")) {
                arrayList.add(a0Var.b(obj));
            }
        }
        return arrayList;
    }

    public int E(Object obj) throws Exception {
        int i = 0;
        for (a0 a0Var : this.k) {
            if (a0Var.g(obj) != null) {
                i++;
            }
        }
        return i;
    }

    public Class<?> F() {
        return this.l.f5692a;
    }

    /* access modifiers changed from: protected */
    public boolean G(j0 j0Var) {
        return H(j0Var, 0);
    }

    /* access modifiers changed from: protected */
    public boolean H(j0 j0Var, int i) {
        int i2 = SerializerFeature.BeanToArray.mask;
        return ((this.l.g & i2) == 0 && !j0Var.k.U0 && (i & i2) == 0) ? false : true;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:114:0x0177, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:115:0x0178, code lost:
        r0 = r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:193:0x029f, code lost:
        if ((r3 & r4.mask) == 0) goto L_0x015c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:200:0x02b7, code lost:
        if ((r33.l.g & r4) == 0) goto L_0x0347;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:206:0x02ca, code lost:
        if (((java.lang.Byte) r1).byteValue() == 0) goto L_0x015c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:212:0x02dd, code lost:
        if (((java.lang.Short) r1).shortValue() == 0) goto L_0x015c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:218:0x02f0, code lost:
        if (((java.lang.Integer) r1).intValue() == 0) goto L_0x015c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:224:0x0307, code lost:
        if (((java.lang.Long) r1).longValue() == 0) goto L_0x015c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:230:0x031c, code lost:
        if (((java.lang.Float) r1).floatValue() == 0.0f) goto L_0x015c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:236:0x0332, code lost:
        if (((java.lang.Double) r1).doubleValue() == 0.0d) goto L_0x015c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:242:0x0344, code lost:
        if (((java.lang.Boolean) r1).booleanValue() == false) goto L_0x015c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:332:0x0467, code lost:
        if (r0 == false) goto L_0x0446;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:337:0x0475, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:338:0x0476, code lost:
        r0 = r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:339:0x0478, code lost:
        r3 = r22;
        r1 = r28;
        r0 = r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:344:0x0494, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:345:0x0495, code lost:
        r5 = r22;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:349:0x049f, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:350:0x04a0, code lost:
        r0 = r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:366:0x04d6, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:367:0x04d7, code lost:
        r0 = r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:368:0x04d8, code lost:
        r3 = r11;
        r0 = r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:369:0x04da, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:370:0x04db, code lost:
        r5 = r11;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:379:?, code lost:
        r2 = r2 + ", fieldName : " + r36;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:380:0x051b, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:386:0x0525, code lost:
        if (r3.f5789b != null) goto L_0x0527;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:387:0x0527, code lost:
        r2 = r2 + ", method : " + r3.f5789b.getName();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:388:0x0542, code lost:
        r2 = r2 + ", fieldName : " + r1.f5676a.f5788a;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:391:0x055e, code lost:
        r2 = r2 + ", " + r0.getMessage();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:394:0x057a, code lost:
        r17 = r0.getCause();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:396:0x0580, code lost:
        r0 = r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:397:0x0581, code lost:
        r0 = r17;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:71:0x00f7, code lost:
        if (r11.U0 != false) goto L_0x0102;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:105:0x0156  */
    /* JADX WARNING: Removed duplicated region for block: B:107:0x0162  */
    /* JADX WARNING: Removed duplicated region for block: B:285:0x03ca  */
    /* JADX WARNING: Removed duplicated region for block: B:315:0x0433  */
    /* JADX WARNING: Removed duplicated region for block: B:323:0x0448  */
    /* JADX WARNING: Removed duplicated region for block: B:335:0x046d  */
    /* JADX WARNING: Removed duplicated region for block: B:344:0x0494 A[ExcHandler: all (th java.lang.Throwable), PHI: r22 
      PHI: (r22v2 com.alibaba.fastjson.serializer.b1) = (r22v0 com.alibaba.fastjson.serializer.b1), (r22v3 com.alibaba.fastjson.serializer.b1), (r22v3 com.alibaba.fastjson.serializer.b1), (r22v3 com.alibaba.fastjson.serializer.b1), (r22v3 com.alibaba.fastjson.serializer.b1), (r22v3 com.alibaba.fastjson.serializer.b1), (r22v3 com.alibaba.fastjson.serializer.b1), (r22v3 com.alibaba.fastjson.serializer.b1), (r22v3 com.alibaba.fastjson.serializer.b1), (r22v3 com.alibaba.fastjson.serializer.b1) binds: [B:355:0x04b2, B:62:0x00d2, B:63:?, B:102:0x0150, B:103:?, B:109:0x0166, B:98:0x0145, B:99:?, B:69:0x00f5, B:70:?] A[DONT_GENERATE, DONT_INLINE], Splitter:B:102:0x0150] */
    /* JADX WARNING: Removed duplicated region for block: B:353:0x04ae  */
    /* JADX WARNING: Removed duplicated region for block: B:354:0x04b1  */
    /* JADX WARNING: Removed duplicated region for block: B:362:0x04ca A[Catch:{ Exception -> 0x04d4, all -> 0x0494 }] */
    /* JADX WARNING: Removed duplicated region for block: B:369:0x04da A[ExcHandler: all (th java.lang.Throwable), PHI: r11 
      PHI: (r11v2 com.alibaba.fastjson.serializer.b1) = (r11v3 com.alibaba.fastjson.serializer.b1), (r11v3 com.alibaba.fastjson.serializer.b1), (r11v3 com.alibaba.fastjson.serializer.b1), (r11v3 com.alibaba.fastjson.serializer.b1), (r11v1 com.alibaba.fastjson.serializer.b1) binds: [B:56:0x00cb, B:57:?, B:59:0x00ce, B:60:?, B:24:0x0060] A[DONT_GENERATE, DONT_INLINE], Splitter:B:24:0x0060] */
    /* JADX WARNING: Removed duplicated region for block: B:378:0x0508 A[SYNTHETIC, Splitter:B:378:0x0508] */
    /* JADX WARNING: Removed duplicated region for block: B:382:0x051d A[ADDED_TO_REGION, Catch:{ all -> 0x051b }] */
    /* JADX WARNING: Removed duplicated region for block: B:391:0x055e A[Catch:{ all -> 0x051b }] */
    /* JADX WARNING: Removed duplicated region for block: B:394:0x057a A[Catch:{ all -> 0x051b }] */
    /* JADX WARNING: Removed duplicated region for block: B:396:0x0580 A[Catch:{ all -> 0x051b }] */
    /* JADX WARNING: Removed duplicated region for block: B:397:0x0581 A[Catch:{ all -> 0x051b }] */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00a9 A[Catch:{ Exception -> 0x04de, all -> 0x04da }] */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x00ac A[Catch:{ Exception -> 0x04de, all -> 0x04da }] */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x00b7 A[Catch:{ Exception -> 0x04de, all -> 0x04da }] */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x00b9 A[Catch:{ Exception -> 0x04de, all -> 0x04da }] */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x00ce A[SYNTHETIC, Splitter:B:59:0x00ce] */
    public void I(j0 j0Var, Object obj, Object obj2, Type type, int i, boolean z) throws IOException {
        a0[] a0VarArr;
        b1 b1Var;
        b1 b1Var2;
        b1 b1Var3;
        a0 a0Var;
        Exception exc;
        Exception exc2;
        boolean z2;
        int i2;
        b1 b1Var4;
        Exception exc3;
        a0[] a0VarArr2;
        char c2;
        int i3;
        boolean z3;
        a0 a0Var2;
        Object obj3;
        boolean e2;
        boolean z4;
        Map map;
        boolean z5;
        char c3;
        Object obj4 = obj;
        Type type2 = type;
        g1 g1Var = j0Var.k;
        if (obj4 == null) {
            g1Var.V1();
        } else if (!Q(j0Var, obj4, i)) {
            if (g1Var.S0) {
                a0VarArr = this.k;
            } else {
                a0VarArr = this.j;
            }
            a0[] a0VarArr3 = a0VarArr;
            b1 b1Var5 = j0Var.r;
            if (!this.l.f5692a.isEnum()) {
                b1Var = b1Var5;
                j0Var.P(b1Var5, obj, obj2, this.l.g, i);
            } else {
                b1Var = b1Var5;
            }
            boolean H = H(j0Var, i);
            char c4 = H ? '[' : '{';
            char c5 = H ? ']' : '}';
            Throwable th = null;
            if (!z) {
                try {
                    g1Var.append(c4);
                } catch (Exception e3) {
                    b1Var3 = b1Var;
                    a0Var = null;
                    exc = e3;
                    try {
                        String str = "write javaBean error, fastjson version 1.2.75" + ", class " + obj.getClass().getName();
                        b1Var2 = b1Var3;
                        if (obj2 != null) {
                        }
                        if (exc.getMessage() != null) {
                        }
                        if (exc instanceof InvocationTargetException) {
                        }
                        if (th == null) {
                        }
                        throw new JSONException(str, exc2);
                    } catch (Throwable th2) {
                        Throwable th3 = th2;
                        b1Var2 = b1Var3;
                        j0Var.r = b1Var2;
                        throw th3;
                    }
                } catch (Throwable th4) {
                }
            }
            if (a0VarArr3.length > 0 && g1Var.M(SerializerFeature.PrettyFormat)) {
                j0Var.I();
                j0Var.M();
            }
            int i4 = this.l.g;
            SerializerFeature serializerFeature = SerializerFeature.WriteClassName;
            int i5 = serializerFeature.mask;
            if (!((i4 & i5) == 0 && (i & i5) == 0 && !j0Var.K(type2, obj4))) {
                Class<?> cls = obj.getClass();
                if (cls != ((cls == type2 || !(type2 instanceof WildcardType)) ? type2 : n.T(type))) {
                    N(j0Var, this.l.f5694c, obj4);
                    z2 = true;
                    char c6 = !z2 ? ',' : 0;
                    boolean M = g1Var.M(serializerFeature);
                    boolean z6 = M(j0Var, obj4, c6) != ',';
                    boolean M2 = g1Var.M(SerializerFeature.SkipTransientField);
                    boolean M3 = g1Var.M(SerializerFeature.IgnoreNonFieldGetter);
                    boolean z7 = z6;
                    a0Var = null;
                    i2 = 0;
                    while (i2 < a0VarArr3.length) {
                        a0 a0Var3 = a0VarArr3[i2];
                        b1Var4 = b1Var;
                        try {
                            d dVar = a0Var3.f5676a;
                            Field field = dVar.I0;
                            String str2 = dVar.f5788a;
                            Class<?> cls2 = dVar.K0;
                            boolean isEnabled = SerializerFeature.isEnabled(g1Var.O0, dVar.O0, SerializerFeature.UseSingleQuotes);
                            boolean z8 = g1Var.R0 && !isEnabled;
                            if (M2) {
                                try {
                                } catch (Exception e4) {
                                    exc3 = e4;
                                    b1Var3 = b1Var4;
                                    exc = exc3;
                                    String str3 = "write javaBean error, fastjson version 1.2.75" + ", class " + obj.getClass().getName();
                                    b1Var2 = b1Var3;
                                    if (obj2 != null) {
                                    }
                                    if (exc.getMessage() != null) {
                                    }
                                    if (exc instanceof InvocationTargetException) {
                                    }
                                    if (th == null) {
                                    }
                                    throw new JSONException(str3, exc2);
                                } catch (Throwable th5) {
                                }
                            }
                            if (!M3 || field != null) {
                                if (f(j0Var, obj4, str2) && s(j0Var, dVar.Q0)) {
                                    z3 = false;
                                } else if (H) {
                                    z3 = true;
                                }
                                String str4 = this.l.f5694c;
                                if (str4 == null || !str2.equals(str4) || !j0Var.K(type2, obj4)) {
                                    if (z3) {
                                        a0Var2 = a0Var;
                                    } else {
                                        try {
                                            obj3 = a0Var3.g(obj4);
                                            a0Var2 = a0Var;
                                        } catch (InvocationTargetException e5) {
                                            try {
                                                if (g1Var.M(SerializerFeature.IgnoreErrorGetter)) {
                                                    a0Var2 = a0Var3;
                                                } else {
                                                    throw e5;
                                                }
                                            } catch (Exception e6) {
                                                a0Var = a0Var3;
                                                exc3 = e6;
                                                b1Var3 = b1Var4;
                                                exc = exc3;
                                                String str32 = "write javaBean error, fastjson version 1.2.75" + ", class " + obj.getClass().getName();
                                                b1Var2 = b1Var3;
                                                if (obj2 != null) {
                                                }
                                                if (exc.getMessage() != null) {
                                                }
                                                if (exc instanceof InvocationTargetException) {
                                                }
                                                if (th == null) {
                                                }
                                                throw new JSONException(str32, exc2);
                                            } catch (Throwable th52) {
                                            }
                                        }
                                        e2 = e(j0Var, obj4, str2, obj3);
                                        String str5 = obj3;
                                        if (e2) {
                                            i3 = i2;
                                            a0VarArr2 = a0VarArr3;
                                            c2 = c5;
                                        } else {
                                            if (cls2 == String.class) {
                                                str5 = obj3;
                                                str5 = obj3;
                                                if ("trim".equals(dVar.Z0) && obj3 != null) {
                                                    str5 = ((String) obj3).trim();
                                                }
                                            }
                                            String o = o(j0Var, obj4, str2, str5);
                                            i3 = i2;
                                            c2 = c5;
                                            a0VarArr2 = a0VarArr3;
                                            int q = q(j0Var, a0Var3.M0, obj, str2, str5, i);
                                            if (q == null) {
                                                int i6 = dVar.O0;
                                                JSONField i7 = dVar.i();
                                                JSONType jSONType = this.l.f5695d;
                                                if (jSONType != null) {
                                                    i6 |= SerializerFeature.of(jSONType.serialzeFeatures());
                                                }
                                                if (i7 != null && !"".equals(i7.defaultValue())) {
                                                    q = i7.defaultValue();
                                                } else if (cls2 == Boolean.class) {
                                                    int i8 = SerializerFeature.WriteNullBooleanAsFalse.mask;
                                                    int i9 = SerializerFeature.WriteMapNullValue.mask;
                                                    int i10 = i8 | i9;
                                                    if (!(!H && (i6 & i10) == 0 && (i10 & g1Var.O0) == 0)) {
                                                        if ((i6 & i8) != 0) {
                                                            q = Boolean.FALSE;
                                                        } else if ((i8 & g1Var.O0) != 0 && (i6 & i9) == 0) {
                                                            q = Boolean.FALSE;
                                                        }
                                                    }
                                                } else if (cls2 == String.class) {
                                                    int i11 = SerializerFeature.WriteNullStringAsEmpty.mask;
                                                    int i12 = SerializerFeature.WriteMapNullValue.mask;
                                                    int i13 = i11 | i12;
                                                    if (!(!H && (i6 & i13) == 0 && (i13 & g1Var.O0) == 0)) {
                                                        if ((i6 & i11) != 0 || ((i11 & g1Var.O0) != 0 && (i6 & i12) == 0)) {
                                                            q = "";
                                                        }
                                                    }
                                                } else if (Number.class.isAssignableFrom(cls2)) {
                                                    int i14 = SerializerFeature.WriteNullNumberAsZero.mask;
                                                    int i15 = SerializerFeature.WriteMapNullValue.mask;
                                                    int i16 = i14 | i15;
                                                    if (!(!H && (i6 & i16) == 0 && (i16 & g1Var.O0) == 0)) {
                                                        if ((i6 & i14) != 0) {
                                                            q = 0;
                                                        } else if ((i14 & g1Var.O0) != 0 && (i6 & i15) == 0) {
                                                            q = 0;
                                                        }
                                                    }
                                                } else if (Collection.class.isAssignableFrom(cls2)) {
                                                    int i17 = SerializerFeature.WriteNullListAsEmpty.mask;
                                                    int i18 = SerializerFeature.WriteMapNullValue.mask;
                                                    int i19 = i17 | i18;
                                                    if (!(!H && (i6 & i19) == 0 && (i19 & g1Var.O0) == 0)) {
                                                        if ((i6 & i17) != 0) {
                                                            q = Collections.emptyList();
                                                        } else if ((i17 & g1Var.O0) != 0 && (i6 & i18) == 0) {
                                                            q = Collections.emptyList();
                                                        }
                                                    }
                                                } else if (!H && !a0Var3.f5677b) {
                                                    SerializerFeature serializerFeature2 = SerializerFeature.WriteMapNullValue;
                                                    if (!g1Var.I(serializerFeature2.mask)) {
                                                    }
                                                }
                                            }
                                            if (q != null) {
                                                if (!g1Var.W0) {
                                                    int i20 = dVar.O0;
                                                    int i21 = SerializerFeature.NotWriteDefaultValue.mask;
                                                    if ((i20 & i21) == 0) {
                                                    }
                                                }
                                                Class<?> cls3 = dVar.K0;
                                                if (cls3 == Byte.TYPE) {
                                                    if (q instanceof Byte) {
                                                    }
                                                }
                                                if (cls3 == Short.TYPE) {
                                                    if (q instanceof Short) {
                                                    }
                                                }
                                                if (cls3 == Integer.TYPE) {
                                                    if (q instanceof Integer) {
                                                    }
                                                }
                                                if (cls3 == Long.TYPE) {
                                                    if (q instanceof Long) {
                                                    }
                                                }
                                                if (cls3 == Float.TYPE) {
                                                    if (q instanceof Float) {
                                                    }
                                                }
                                                if (cls3 == Double.TYPE) {
                                                    if (q instanceof Double) {
                                                    }
                                                }
                                                if (cls3 == Boolean.TYPE) {
                                                    if (q instanceof Boolean) {
                                                    }
                                                }
                                            }
                                            if (z7) {
                                                if (!dVar.Y0 || !(q instanceof Map) || ((Map) q).size() != 0) {
                                                    g1Var.write(44);
                                                    if (g1Var.M(SerializerFeature.PrettyFormat)) {
                                                        j0Var.M();
                                                    }
                                                }
                                            }
                                            if (o != str2) {
                                                if (!H) {
                                                    g1Var.X0(o, true);
                                                }
                                                j0Var.W(q);
                                            } else if (str5 != q) {
                                                if (!H) {
                                                    a0Var3.h(j0Var);
                                                }
                                                j0Var.W(q);
                                            } else {
                                                if (!H) {
                                                    boolean isAssignableFrom = Map.class.isAssignableFrom(cls2);
                                                    boolean z9 = (!cls2.isPrimitive() && !cls2.getName().startsWith("java.")) || cls2 == Object.class;
                                                    if (M || !dVar.Y0 || (!isAssignableFrom && !z9)) {
                                                        if (z8) {
                                                            char[] cArr = dVar.V0;
                                                            c3 = 0;
                                                            g1Var.write(cArr, 0, cArr.length);
                                                        } else {
                                                            c3 = 0;
                                                            a0Var3.h(j0Var);
                                                        }
                                                        if (H) {
                                                            JSONField i22 = dVar.i();
                                                            if (cls2 == String.class && (i22 == null || i22.serializeUsing() == Void.class)) {
                                                                if (q == null) {
                                                                    int i23 = a0Var3.I0;
                                                                    JSONType jSONType2 = this.l.f5695d;
                                                                    if (jSONType2 != null) {
                                                                        i23 |= SerializerFeature.of(jSONType2.serialzeFeatures());
                                                                    }
                                                                    int i24 = g1Var.O0;
                                                                    int i25 = SerializerFeature.WriteNullStringAsEmpty.mask;
                                                                    if ((i24 & i25) != 0 && (SerializerFeature.WriteMapNullValue.mask & i23) == 0) {
                                                                        g1Var.Y1("");
                                                                    } else if ((i23 & i25) != 0) {
                                                                        g1Var.Y1("");
                                                                    } else {
                                                                        g1Var.V1();
                                                                    }
                                                                } else {
                                                                    String str6 = (String) q;
                                                                    if (isEnabled) {
                                                                        g1Var.d2(str6);
                                                                    } else {
                                                                        g1Var.b2(str6, c3);
                                                                    }
                                                                }
                                                            } else if (!dVar.Y0 || !(q instanceof Map) || ((Map) q).size() != 0) {
                                                                a0Var3.i(j0Var, q);
                                                            } else {
                                                                a0Var = a0Var2;
                                                                z7 = false;
                                                                i2 = i3 + 1;
                                                                obj4 = obj;
                                                                type2 = type;
                                                                b1Var = b1Var4;
                                                                c5 = c2;
                                                                a0VarArr3 = a0VarArr2;
                                                            }
                                                        } else {
                                                            a0Var3.i(j0Var, q);
                                                        }
                                                        if (dVar.Y0 && (q instanceof Map)) {
                                                            map = (Map) q;
                                                            if (map.size() != 0) {
                                                                if (!j0Var.J(SerializerFeature.WriteMapNullValue)) {
                                                                    Iterator it = map.values().iterator();
                                                                    while (true) {
                                                                        if (it.hasNext()) {
                                                                            if (it.next() != null) {
                                                                                z5 = true;
                                                                                break;
                                                                            }
                                                                        } else {
                                                                            z5 = false;
                                                                            break;
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                            z4 = true;
                                                            if (!z4) {
                                                                a0Var = a0Var2;
                                                                z7 = true;
                                                                i2 = i3 + 1;
                                                                obj4 = obj;
                                                                type2 = type;
                                                                b1Var = b1Var4;
                                                                c5 = c2;
                                                                a0VarArr3 = a0VarArr2;
                                                            }
                                                            a0Var = a0Var2;
                                                            i2 = i3 + 1;
                                                            obj4 = obj;
                                                            type2 = type;
                                                            b1Var = b1Var4;
                                                            c5 = c2;
                                                            a0VarArr3 = a0VarArr2;
                                                        }
                                                        z4 = false;
                                                        if (!z4) {
                                                        }
                                                        a0Var = a0Var2;
                                                        i2 = i3 + 1;
                                                        obj4 = obj;
                                                        type2 = type;
                                                        b1Var = b1Var4;
                                                        c5 = c2;
                                                        a0VarArr3 = a0VarArr2;
                                                    }
                                                }
                                                c3 = 0;
                                                if (H) {
                                                }
                                                map = (Map) q;
                                                if (map.size() != 0) {
                                                }
                                                z4 = true;
                                                if (!z4) {
                                                }
                                                a0Var = a0Var2;
                                                i2 = i3 + 1;
                                                obj4 = obj;
                                                type2 = type;
                                                b1Var = b1Var4;
                                                c5 = c2;
                                                a0VarArr3 = a0VarArr2;
                                            }
                                            map = (Map) q;
                                            if (map.size() != 0) {
                                            }
                                            z4 = true;
                                            if (!z4) {
                                            }
                                            a0Var = a0Var2;
                                            i2 = i3 + 1;
                                            obj4 = obj;
                                            type2 = type;
                                            b1Var = b1Var4;
                                            c5 = c2;
                                            a0VarArr3 = a0VarArr2;
                                        }
                                        a0Var = a0Var2;
                                        i2 = i3 + 1;
                                        obj4 = obj;
                                        type2 = type;
                                        b1Var = b1Var4;
                                        c5 = c2;
                                        a0VarArr3 = a0VarArr2;
                                    }
                                    obj3 = null;
                                    try {
                                        e2 = e(j0Var, obj4, str2, obj3);
                                        String str52 = obj3;
                                        if (e2) {
                                        }
                                        a0Var = a0Var2;
                                        i2 = i3 + 1;
                                        obj4 = obj;
                                        type2 = type;
                                        b1Var = b1Var4;
                                        c5 = c2;
                                        a0VarArr3 = a0VarArr2;
                                    } catch (Exception e7) {
                                        exc3 = e7;
                                        b1Var3 = b1Var4;
                                        exc = exc3;
                                        String str322 = "write javaBean error, fastjson version 1.2.75" + ", class " + obj.getClass().getName();
                                        b1Var2 = b1Var3;
                                        if (obj2 != null) {
                                        }
                                        if (exc.getMessage() != null) {
                                        }
                                        if (exc instanceof InvocationTargetException) {
                                        }
                                        if (th == null) {
                                        }
                                        throw new JSONException(str322, exc2);
                                    } catch (Throwable th522) {
                                    }
                                }
                            }
                            i3 = i2;
                            a0VarArr2 = a0VarArr3;
                            c2 = c5;
                            i2 = i3 + 1;
                            obj4 = obj;
                            type2 = type;
                            b1Var = b1Var4;
                            c5 = c2;
                            a0VarArr3 = a0VarArr2;
                        } catch (Exception e8) {
                            exc3 = e8;
                            b1Var3 = b1Var4;
                            exc = exc3;
                            String str3222 = "write javaBean error, fastjson version 1.2.75" + ", class " + obj.getClass().getName();
                            b1Var2 = b1Var3;
                            if (obj2 != null) {
                            }
                            if (exc.getMessage() != null) {
                            }
                            if (exc instanceof InvocationTargetException) {
                            }
                            if (th == null) {
                            }
                            throw new JSONException(str3222, exc2);
                        } catch (Throwable th5222) {
                        }
                    }
                    b1Var4 = b1Var;
                    J(j0Var, obj, !z7 ? ',' : 0);
                    if (a0VarArr3.length > 0 && g1Var.M(SerializerFeature.PrettyFormat)) {
                        j0Var.w();
                        j0Var.M();
                    }
                    if (!z) {
                        g1Var.append(c5);
                    }
                    j0Var.r = b1Var4;
                }
            }
            z2 = false;
            if (!z2) {
            }
            boolean M4 = g1Var.M(serializerFeature);
            if (M(j0Var, obj4, c6) != ',') {
            }
            boolean M22 = g1Var.M(SerializerFeature.SkipTransientField);
            boolean M32 = g1Var.M(SerializerFeature.IgnoreNonFieldGetter);
            boolean z72 = z6;
            a0Var = null;
            i2 = 0;
            while (i2 < a0VarArr3.length) {
            }
            b1Var4 = b1Var;
            J(j0Var, obj, !z72 ? ',' : 0);
            j0Var.w();
            j0Var.M();
            if (!z) {
            }
            j0Var.r = b1Var4;
        }
    }

    /* access modifiers changed from: protected */
    public char J(j0 j0Var, Object obj, char c2) {
        List<c> list = j0Var.f5713b;
        if (list != null) {
            for (c cVar : list) {
                c2 = cVar.f(j0Var, obj, c2);
            }
        }
        List<c> list2 = this.f5713b;
        if (list2 != null) {
            for (c cVar2 : list2) {
                c2 = cVar2.f(j0Var, obj, c2);
            }
        }
        return c2;
    }

    public void K(j0 j0Var, Object obj, Object obj2, Type type, int i) throws IOException {
        c(j0Var, obj, obj2, type, i);
    }

    public void L(j0 j0Var, Object obj, Object obj2, Type type, int i) throws IOException {
        c(j0Var, obj, obj2, type, i);
    }

    /* access modifiers changed from: protected */
    public char M(j0 j0Var, Object obj, char c2) {
        List<k> list = j0Var.f5712a;
        if (list != null) {
            for (k kVar : list) {
                c2 = kVar.f(j0Var, obj, c2);
            }
        }
        List<k> list2 = this.f5712a;
        if (list2 != null) {
            for (k kVar2 : list2) {
                c2 = kVar2.f(j0Var, obj, c2);
            }
        }
        return c2;
    }

    /* access modifiers changed from: protected */
    public void N(j0 j0Var, String str, Object obj) {
        if (str == null) {
            str = j0Var.j.j;
        }
        j0Var.k.X0(str, false);
        String str2 = this.l.f5693b;
        if (str2 == null) {
            Class<?> cls = obj.getClass();
            if (n.C0(cls)) {
                cls = cls.getSuperclass();
            }
            str2 = cls.getName();
        }
        j0Var.X(str2);
    }

    public void O(j0 j0Var, Object obj, Object obj2, Type type, int i) throws IOException {
        c(j0Var, obj, obj2, type, i);
    }

    public void P(j0 j0Var, Object obj, Object obj2, Type type, int i) throws IOException {
        I(j0Var, obj, obj2, type, i, false);
    }

    public boolean Q(j0 j0Var, Object obj, int i) {
        IdentityHashMap<Object, b1> identityHashMap;
        b1 b1Var = j0Var.r;
        int i2 = SerializerFeature.DisableCircularReferenceDetect.mask;
        if (b1Var == null || (b1Var.f5687d & i2) != 0 || (i & i2) != 0 || (identityHashMap = j0Var.q) == null || !identityHashMap.containsKey(obj)) {
            return false;
        }
        j0Var.b0(obj);
        return true;
    }

    @Override // com.alibaba.fastjson.serializer.v0
    public void c(j0 j0Var, Object obj, Object obj2, Type type, int i) throws IOException {
        I(j0Var, obj, obj2, type, i, false);
    }

    /* access modifiers changed from: protected */
    public boolean s(j0 j0Var, String str) {
        List<n0> list = j0Var.g;
        if (list != null) {
            for (n0 n0Var : list) {
                if (!n0Var.a(str)) {
                    return false;
                }
            }
        }
        List<n0> list2 = this.g;
        if (list2 == null) {
            return true;
        }
        for (n0 n0Var2 : list2) {
            if (!n0Var2.a(str)) {
                return false;
            }
        }
        return true;
    }

    /* access modifiers changed from: protected */
    public j u(int i) {
        return this.k[i].M0;
    }

    public Set<String> v(Object obj) throws Exception {
        HashSet hashSet = new HashSet();
        a0[] a0VarArr = this.k;
        for (a0 a0Var : a0VarArr) {
            if (a0Var.g(obj) != null) {
                hashSet.add(a0Var.f5676a.f5788a);
            }
        }
        return hashSet;
    }

    public a0 w(long j2) {
        PropertyNamingStrategy[] propertyNamingStrategyArr;
        int binarySearch;
        if (this.m == null) {
            propertyNamingStrategyArr = PropertyNamingStrategy.values();
            long[] jArr = new long[(this.k.length * propertyNamingStrategyArr.length)];
            int i = 0;
            int i2 = 0;
            while (true) {
                a0[] a0VarArr = this.k;
                if (i >= a0VarArr.length) {
                    break;
                }
                String str = a0VarArr[i].f5676a.f5788a;
                jArr[i2] = n.M(str);
                i2++;
                for (PropertyNamingStrategy propertyNamingStrategy : propertyNamingStrategyArr) {
                    String translate = propertyNamingStrategy.translate(str);
                    if (!str.equals(translate)) {
                        jArr[i2] = n.M(translate);
                        i2++;
                    }
                }
                i++;
            }
            Arrays.sort(jArr, 0, i2);
            this.m = new long[i2];
            System.arraycopy(jArr, 0, this.m, 0, i2);
        } else {
            propertyNamingStrategyArr = null;
        }
        int binarySearch2 = Arrays.binarySearch(this.m, j2);
        if (binarySearch2 < 0) {
            return null;
        }
        if (this.n == null) {
            if (propertyNamingStrategyArr == null) {
                propertyNamingStrategyArr = PropertyNamingStrategy.values();
            }
            short[] sArr = new short[this.m.length];
            Arrays.fill(sArr, (short) -1);
            int i3 = 0;
            while (true) {
                a0[] a0VarArr2 = this.k;
                if (i3 >= a0VarArr2.length) {
                    break;
                }
                String str2 = a0VarArr2[i3].f5676a.f5788a;
                int binarySearch3 = Arrays.binarySearch(this.m, n.M(str2));
                if (binarySearch3 >= 0) {
                    sArr[binarySearch3] = (short) i3;
                }
                for (PropertyNamingStrategy propertyNamingStrategy2 : propertyNamingStrategyArr) {
                    String translate2 = propertyNamingStrategy2.translate(str2);
                    if (!str2.equals(translate2) && (binarySearch = Arrays.binarySearch(this.m, n.M(translate2))) >= 0) {
                        sArr[binarySearch] = (short) i3;
                    }
                }
                i3++;
            }
            this.n = sArr;
        }
        short s = this.n[binarySearch2];
        if (s != -1) {
            return this.k[s];
        }
        return null;
    }

    public a0 x(String str) {
        if (str == null) {
            return null;
        }
        int i = 0;
        int length = this.k.length - 1;
        while (i <= length) {
            int i2 = (i + length) >>> 1;
            int compareTo = this.k[i2].f5676a.f5788a.compareTo(str);
            if (compareTo < 0) {
                i = i2 + 1;
            } else if (compareTo <= 0) {
                return this.k[i2];
            } else {
                length = i2 - 1;
            }
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public Type y(int i) {
        return this.k[i].f5676a.L0;
    }

    public Object z(Object obj, String str) {
        a0 x = x(str);
        if (x != null) {
            try {
                return x.b(obj);
            } catch (InvocationTargetException e2) {
                throw new JSONException("getFieldValue error." + str, e2);
            } catch (IllegalAccessException e3) {
                throw new JSONException("getFieldValue error." + str, e3);
            }
        } else {
            throw new JSONException("field not found. " + str);
        }
    }

    public l0(Class<?> cls, String... strArr) {
        this(cls, t(strArr));
    }

    public l0(Class<?> cls, Map<String, String> map) {
        this(n.c(cls, map, null));
    }

    public l0(c1 c1Var) {
        a0[] a0VarArr;
        boolean z;
        this.l = c1Var;
        this.k = new a0[c1Var.f.length];
        int i = 0;
        while (true) {
            a0VarArr = this.k;
            if (i >= a0VarArr.length) {
                break;
            }
            a0VarArr[i] = new a0(c1Var.f5692a, c1Var.f[i]);
            i++;
        }
        d[] dVarArr = c1Var.f5696e;
        if (dVarArr == c1Var.f) {
            this.j = a0VarArr;
        } else {
            this.j = new a0[dVarArr.length];
            int i2 = 0;
            while (true) {
                if (i2 >= this.j.length) {
                    z = false;
                    break;
                }
                a0 x = x(c1Var.f5696e[i2].f5788a);
                if (x == null) {
                    z = true;
                    break;
                } else {
                    this.j[i2] = x;
                    i2++;
                }
            }
            if (z) {
                a0[] a0VarArr2 = this.k;
                System.arraycopy(a0VarArr2, 0, this.j, 0, a0VarArr2.length);
            }
        }
        JSONType jSONType = c1Var.f5695d;
        if (jSONType != null) {
            for (Class<? extends e1> cls : jSONType.serialzeFilters()) {
                try {
                    b((e1) cls.getConstructor(new Class[0]).newInstance(new Object[0]));
                } catch (Exception unused) {
                }
            }
        }
    }
}
