package com.angcyo.tablayout;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import com.angcyo.tablayout.DslTabLayout;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000B\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0002\b\u0010\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0016\u0018\u00002\u00020\u0001B\r\u0012\u0006\u0010\u0002\u001a\u00020\u0003¢\u0006\u0002\u0010\u0004J\u0010\u0010\u001c\u001a\u00020\u001d2\u0006\u0010\u001e\u001a\u00020\u001fH\u0016J\u001a\u0010 \u001a\u00020\u001d2\u0006\u0010!\u001a\u00020\"2\b\u0010#\u001a\u0004\u0018\u00010$H\u0016J\n\u0010%\u001a\u0004\u0018\u00010&H\u0016R\u001c\u0010\u0005\u001a\u0004\u0018\u00010\u0006X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0007\u0010\b\"\u0004\b\t\u0010\nR\u001a\u0010\u000b\u001a\u00020\fX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\r\u0010\u000e\"\u0004\b\u000f\u0010\u0010R\u001a\u0010\u0011\u001a\u00020\fX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0012\u0010\u000e\"\u0004\b\u0013\u0010\u0010R\u001a\u0010\u0014\u001a\u00020\fX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0015\u0010\u000e\"\u0004\b\u0016\u0010\u0010R\u001a\u0010\u0017\u001a\u00020\fX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0018\u0010\u000e\"\u0004\b\u0019\u0010\u0010R\u0011\u0010\u0002\u001a\u00020\u0003¢\u0006\b\n\u0000\u001a\u0004\b\u001a\u0010\u001b¨\u0006'"}, d2 = {"Lcom/angcyo/tablayout/DslTabHighlight;", "Lcom/angcyo/tablayout/DslGradientDrawable;", "tabLayout", "Lcom/angcyo/tablayout/DslTabLayout;", "(Lcom/angcyo/tablayout/DslTabLayout;)V", "highlightDrawable", "Landroid/graphics/drawable/Drawable;", "getHighlightDrawable", "()Landroid/graphics/drawable/Drawable;", "setHighlightDrawable", "(Landroid/graphics/drawable/Drawable;)V", "highlightHeight", "", "getHighlightHeight", "()I", "setHighlightHeight", "(I)V", "highlightHeightOffset", "getHighlightHeightOffset", "setHighlightHeightOffset", "highlightWidth", "getHighlightWidth", "setHighlightWidth", "highlightWidthOffset", "getHighlightWidthOffset", "setHighlightWidthOffset", "getTabLayout", "()Lcom/angcyo/tablayout/DslTabLayout;", "draw", "", "canvas", "Landroid/graphics/Canvas;", "initAttribute", "context", "Landroid/content/Context;", "attributeSet", "Landroid/util/AttributeSet;", "updateOriginDrawable", "Landroid/graphics/drawable/GradientDrawable;", "TabLayout_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: DslTabHighlight.kt */
public class q extends g {
    @NotNull
    private final DslTabLayout B;
    @Nullable
    private Drawable C;
    private int D = -1;
    private int E = -1;
    private int F;
    private int G;

    public q(@NotNull DslTabLayout dslTabLayout) {
        Intrinsics.checkNotNullParameter(dslTabLayout, "tabLayout");
        this.B = dslTabLayout;
    }

    public final void A0(@Nullable Drawable drawable) {
        this.C = drawable;
    }

    public final void B0(int i) {
        this.E = i;
    }

    public final void C0(int i) {
        this.G = i;
    }

    public final void D0(int i) {
        this.D = i;
    }

    public final void E0(int i) {
        this.F = i;
    }

    @Override // com.angcyo.tablayout.g, com.angcyo.tablayout.d
    public void draw(@NotNull Canvas canvas) {
        Drawable drawable;
        int i;
        int i2;
        Intrinsics.checkNotNullParameter(canvas, "canvas");
        View currentItemView = this.B.getCurrentItemView();
        if (currentItemView != null) {
            ViewGroup.LayoutParams layoutParams = currentItemView.getLayoutParams();
            if (layoutParams instanceof DslTabLayout.LayoutParams) {
                drawable = ((DslTabLayout.LayoutParams) layoutParams).a();
                if (drawable == null) {
                    drawable = this.C;
                }
            } else {
                drawable = this.C;
            }
            if (drawable != null) {
                int x0 = x0();
                if (x0 == -2) {
                    i = drawable.getIntrinsicWidth();
                } else if (x0 != -1) {
                    i = x0();
                } else {
                    i = currentItemView.getMeasuredWidth();
                }
                int y0 = i + y0();
                int v0 = v0();
                if (v0 == -2) {
                    i2 = drawable.getIntrinsicHeight();
                } else if (v0 != -1) {
                    i2 = v0();
                } else {
                    i2 = currentItemView.getMeasuredHeight();
                }
                int w0 = i2 + w0();
                int left = currentItemView.getLeft() + ((currentItemView.getRight() - currentItemView.getLeft()) / 2);
                int top2 = currentItemView.getTop() + ((currentItemView.getBottom() - currentItemView.getTop()) / 2);
                int i3 = y0 / 2;
                int i4 = w0 / 2;
                drawable.setBounds(left - i3, top2 - i4, left + i3, top2 + i4);
                drawable.draw(canvas);
                canvas.save();
                if (z0().k()) {
                    canvas.translate((float) currentItemView.getLeft(), 0.0f);
                } else {
                    canvas.translate(0.0f, (float) currentItemView.getTop());
                }
                currentItemView.draw(canvas);
                canvas.restore();
            }
        }
    }

    @Override // com.angcyo.tablayout.d
    public void n(@NotNull Context context, @Nullable AttributeSet attributeSet) {
        Intrinsics.checkNotNullParameter(context, "context");
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.DslTabLayout);
        Intrinsics.checkNotNullExpressionValue(obtainStyledAttributes, "context.obtainStyledAttr…R.styleable.DslTabLayout)");
        this.C = obtainStyledAttributes.getDrawable(R.styleable.DslTabLayout_tab_highlight_drawable);
        this.D = obtainStyledAttributes.getLayoutDimension(R.styleable.DslTabLayout_tab_highlight_width, this.D);
        this.E = obtainStyledAttributes.getLayoutDimension(R.styleable.DslTabLayout_tab_highlight_height, this.E);
        this.F = obtainStyledAttributes.getDimensionPixelOffset(R.styleable.DslTabLayout_tab_highlight_width_offset, this.F);
        this.G = obtainStyledAttributes.getDimensionPixelOffset(R.styleable.DslTabLayout_tab_highlight_height_offset, this.G);
        obtainStyledAttributes.recycle();
        if (this.C == null && b0()) {
            t0();
        }
    }

    @Override // com.angcyo.tablayout.g
    @Nullable
    public GradientDrawable t0() {
        GradientDrawable t0 = super.t0();
        this.C = a0();
        return t0;
    }

    @Nullable
    public final Drawable u0() {
        return this.C;
    }

    public final int v0() {
        return this.E;
    }

    public final int w0() {
        return this.G;
    }

    public final int x0() {
        return this.D;
    }

    public final int y0() {
        return this.F;
    }

    @NotNull
    public final DslTabLayout z0() {
        return this.B;
    }
}
