package com.bilibili.boxing.model.entity;

import android.os.Parcel;
import android.os.Parcelable;
import java.io.Serializable;

public abstract class BaseMedia implements Parcelable, Serializable {
    protected String mId;
    protected String mPath;
    protected String mSize;

    protected enum TYPE {
        IMAGE,
        VIDEO
    }

    public BaseMedia() {
    }

    public int describeContents() {
        return 0;
    }

    public String getId() {
        return this.mId;
    }

    public String getPath() {
        return this.mPath;
    }

    public long getSize() {
        try {
            long parseLong = Long.parseLong(this.mSize);
            if (parseLong > 0) {
                return parseLong;
            }
            return 0;
        } catch (NumberFormatException unused) {
            return 0;
        }
    }

    public abstract TYPE getType();

    public void setId(String str) {
        this.mId = str;
    }

    public void setPath(String str) {
        this.mPath = str;
    }

    public void setSize(String str) {
        this.mSize = str;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.mPath);
        parcel.writeString(this.mId);
        parcel.writeString(this.mSize);
    }

    public BaseMedia(String str, String str2) {
        this.mId = str;
        this.mPath = str2;
    }

    protected BaseMedia(Parcel parcel) {
        this.mPath = parcel.readString();
        this.mId = parcel.readString();
        this.mSize = parcel.readString();
    }
}
