package com.blankj.utilcode.util;

import android.os.Build;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.LayoutRes;
import java.util.Locale;

/* compiled from: ViewUtils */
public class k1 {
    public static void a(View view) {
        view.setFocusable(false);
        ViewGroup viewGroup = view instanceof ViewGroup ? (ViewGroup) view : null;
        if (viewGroup != null) {
            int childCount = viewGroup.getChildCount();
            for (int i = 0; i < childCount; i++) {
                View childAt = viewGroup.getChildAt(i);
                childAt.setFocusable(false);
                if (childAt instanceof ViewGroup) {
                    a(childAt);
                }
            }
        }
    }

    public static boolean b() {
        Locale locale;
        int i = Build.VERSION.SDK_INT;
        if (i < 17) {
            return false;
        }
        if (i >= 24) {
            locale = g1.a().getResources().getConfiguration().getLocales().get(0);
        } else {
            locale = g1.a().getResources().getConfiguration().locale;
        }
        if (TextUtils.getLayoutDirectionFromLocale(locale) == 1) {
            return true;
        }
        return false;
    }

    public static View c(@LayoutRes int i) {
        return ((LayoutInflater) g1.a().getSystemService("layout_inflater")).inflate(i, (ViewGroup) null);
    }

    public static void d(Runnable runnable) {
        i1.V0(runnable);
    }

    public static void e(Runnable runnable, long j) {
        i1.W0(runnable, j);
    }

    public static void f(View view, boolean z) {
        g(view, z, null);
    }

    public static void g(View view, boolean z, View... viewArr) {
        if (view != null) {
            if (viewArr != null) {
                for (View view2 : viewArr) {
                    if (view == view2) {
                        return;
                    }
                }
            }
            if (view instanceof ViewGroup) {
                ViewGroup viewGroup = (ViewGroup) view;
                int childCount = viewGroup.getChildCount();
                for (int i = 0; i < childCount; i++) {
                    g(viewGroup.getChildAt(i), z, viewArr);
                }
            }
            view.setEnabled(z);
        }
    }
}
