package com.blankj.utilcode.util;

import android.graphics.Color;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.FloatRange;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.core.content.d;
import androidx.core.view.InputDeviceCompat;
import androidx.core.view.ViewCompat;
import java.util.Objects;

/* compiled from: ColorUtils */
public final class s {
    private s() {
        throw new UnsupportedOperationException("u can't instantiate me...");
    }

    public static int a(@ColorRes int i) {
        return d.f(g1.a(), i);
    }

    public static int b() {
        return c(true);
    }

    public static int c(boolean z) {
        return (z ? ((int) (Math.random() * 256.0d)) << 24 : ViewCompat.MEASURED_STATE_MASK) | ((int) (Math.random() * 1.6777216E7d));
    }

    public static String d(@ColorInt int i) {
        String hexString = Integer.toHexString(i);
        while (hexString.length() < 6) {
            hexString = "0" + hexString;
        }
        while (hexString.length() < 8) {
            hexString = "f" + hexString;
        }
        return "#" + hexString;
    }

    public static String e(@ColorInt int i) {
        String hexString = Integer.toHexString(i & ViewCompat.MEASURED_SIZE_MASK);
        while (hexString.length() < 6) {
            hexString = "0" + hexString;
        }
        return "#" + hexString;
    }

    public static boolean f(@ColorInt int i) {
        return ((((double) Color.red(i)) * 0.299d) + (((double) Color.green(i)) * 0.587d)) + (((double) Color.blue(i)) * 0.114d) >= 127.5d;
    }

    public static int g(@ColorInt int i, @FloatRange(from = 0.0d, to = 1.0d) float f) {
        return (i & ViewCompat.MEASURED_SIZE_MASK) | (((int) ((f * 255.0f) + 0.5f)) << 24);
    }

    public static int h(@ColorInt int i, @IntRange(from = 0, to = 255) int i2) {
        return (i & ViewCompat.MEASURED_SIZE_MASK) | (i2 << 24);
    }

    public static int i(@ColorInt int i, @FloatRange(from = 0.0d, to = 1.0d) float f) {
        return (i & InputDeviceCompat.SOURCE_ANY) | ((int) ((f * 255.0f) + 0.5f));
    }

    public static int j(@ColorInt int i, @IntRange(from = 0, to = 255) int i2) {
        return (i & InputDeviceCompat.SOURCE_ANY) | i2;
    }

    public static int k(@ColorInt int i, @FloatRange(from = 0.0d, to = 1.0d) float f) {
        return (i & -65281) | (((int) ((f * 255.0f) + 0.5f)) << 8);
    }

    public static int l(@ColorInt int i, @IntRange(from = 0, to = 255) int i2) {
        return (i & -65281) | (i2 << 8);
    }

    public static int m(@ColorInt int i, @FloatRange(from = 0.0d, to = 1.0d) float f) {
        return (i & -16711681) | (((int) ((f * 255.0f) + 0.5f)) << 16);
    }

    public static int n(@ColorInt int i, @IntRange(from = 0, to = 255) int i2) {
        return (i & -16711681) | (i2 << 16);
    }

    public static int o(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'colorString' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return Color.parseColor(str);
    }
}
