package com.bumptech.glide.gifdecoder;

import android.graphics.Bitmap;
import android.util.Log;
import androidx.annotation.ColorInt;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.bumptech.glide.gifdecoder.GifDecoder;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.Arrays;
import java.util.Iterator;

/* compiled from: StandardGifDecoder */
public class e implements GifDecoder {
    private static final String f = "e";
    private static final int g = 4096;
    private static final int h = -1;
    private static final int i = -1;
    private static final int j = 4;
    private static final int k = 255;
    @ColorInt
    private static final int l = 0;
    private boolean A;
    private int B;
    private int C;
    private int D;
    private int E;
    @Nullable
    private Boolean F;
    @NonNull
    private Bitmap.Config G;
    @ColorInt
    private int[] m;
    @ColorInt
    private final int[] n;
    private final GifDecoder.a o;
    private ByteBuffer p;
    private byte[] q;
    private c r;
    private short[] s;
    private byte[] t;
    private byte[] u;
    private byte[] v;
    @ColorInt
    private int[] w;
    private int x;
    private b y;
    private Bitmap z;

    public e(@NonNull GifDecoder.a aVar, b bVar, ByteBuffer byteBuffer) {
        this(aVar, bVar, byteBuffer, 1);
    }

    private int A() {
        int B2 = B();
        if (B2 <= 0) {
            return B2;
        }
        ByteBuffer byteBuffer = this.p;
        byteBuffer.get(this.q, 0, Math.min(B2, byteBuffer.remaining()));
        return B2;
    }

    private int B() {
        return this.p.get() & 255;
    }

    private Bitmap C(a aVar, a aVar2) {
        int i2;
        int i3;
        Bitmap bitmap;
        int[] iArr = this.w;
        int i4 = 0;
        if (aVar2 == null) {
            Bitmap bitmap2 = this.z;
            if (bitmap2 != null) {
                this.o.c(bitmap2);
            }
            this.z = null;
            Arrays.fill(iArr, 0);
        }
        if (aVar2 != null && aVar2.k == 3 && this.z == null) {
            Arrays.fill(iArr, 0);
        }
        if (aVar2 != null && (i3 = aVar2.k) > 0) {
            if (i3 == 2) {
                if (!aVar.j) {
                    b bVar = this.y;
                    int i5 = bVar.n;
                    if (aVar.o == null || bVar.l != aVar.l) {
                        i4 = i5;
                    }
                }
                int i6 = aVar2.h;
                int i7 = this.C;
                int i8 = i6 / i7;
                int i9 = aVar2.f / i7;
                int i10 = aVar2.g / i7;
                int i11 = aVar2.f6841e / i7;
                int i12 = this.E;
                int i13 = (i9 * i12) + i11;
                int i14 = (i8 * i12) + i13;
                while (i13 < i14) {
                    int i15 = i13 + i10;
                    for (int i16 = i13; i16 < i15; i16++) {
                        iArr[i16] = i4;
                    }
                    i13 += this.E;
                }
            } else if (i3 == 3 && (bitmap = this.z) != null) {
                int i17 = this.E;
                bitmap.getPixels(iArr, 0, i17, 0, 0, i17, this.D);
            }
        }
        x(aVar);
        if (aVar.i || this.C != 1) {
            c(aVar);
        } else {
            w(aVar);
        }
        if (this.A && ((i2 = aVar.k) == 0 || i2 == 1)) {
            if (this.z == null) {
                this.z = z();
            }
            Bitmap bitmap3 = this.z;
            int i18 = this.E;
            bitmap3.setPixels(iArr, 0, i18, 0, 0, i18, this.D);
        }
        Bitmap z2 = z();
        int i19 = this.E;
        z2.setPixels(iArr, 0, i19, 0, 0, i19, this.D);
        return z2;
    }

    @ColorInt
    private int a(int i2, int i3, int i4) {
        int i5 = 0;
        int i6 = 0;
        int i7 = 0;
        int i8 = 0;
        int i9 = 0;
        for (int i10 = i2; i10 < this.C + i2; i10++) {
            byte[] bArr = this.v;
            if (i10 >= bArr.length || i10 >= i3) {
                break;
            }
            int i11 = this.m[bArr[i10] & 255];
            if (i11 != 0) {
                i5 += (i11 >> 24) & 255;
                i6 += (i11 >> 16) & 255;
                i7 += (i11 >> 8) & 255;
                i8 += i11 & 255;
                i9++;
            }
        }
        int i12 = i2 + i4;
        for (int i13 = i12; i13 < this.C + i12; i13++) {
            byte[] bArr2 = this.v;
            if (i13 >= bArr2.length || i13 >= i3) {
                break;
            }
            int i14 = this.m[bArr2[i13] & 255];
            if (i14 != 0) {
                i5 += (i14 >> 24) & 255;
                i6 += (i14 >> 16) & 255;
                i7 += (i14 >> 8) & 255;
                i8 += i14 & 255;
                i9++;
            }
        }
        if (i9 == 0) {
            return 0;
        }
        return ((i5 / i9) << 24) | ((i6 / i9) << 16) | ((i7 / i9) << 8) | (i8 / i9);
    }

    private void c(a aVar) {
        boolean z2;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int[] iArr = this.w;
        int i7 = aVar.h;
        int i8 = this.C;
        int i9 = i7 / i8;
        int i10 = aVar.f / i8;
        int i11 = aVar.g / i8;
        int i12 = aVar.f6841e / i8;
        boolean z3 = this.x == 0;
        int i13 = this.E;
        int i14 = this.D;
        byte[] bArr = this.v;
        int[] iArr2 = this.m;
        Boolean bool = this.F;
        int i15 = 8;
        int i16 = 0;
        int i17 = 0;
        int i18 = 1;
        while (i16 < i9) {
            Boolean bool2 = bool;
            if (aVar.i) {
                if (i17 >= i9) {
                    i2 = i9;
                    int i19 = i18 + 1;
                    if (i19 == 2) {
                        i18 = i19;
                        i17 = 4;
                    } else if (i19 == 3) {
                        i18 = i19;
                        i17 = 2;
                        i15 = 4;
                    } else if (i19 != 4) {
                        i18 = i19;
                    } else {
                        i18 = i19;
                        i17 = 1;
                        i15 = 2;
                    }
                } else {
                    i2 = i9;
                }
                i3 = i17 + i15;
            } else {
                i2 = i9;
                i3 = i17;
                i17 = i16;
            }
            int i20 = i17 + i10;
            boolean z4 = i8 == 1;
            if (i20 < i14) {
                int i21 = i20 * i13;
                int i22 = i21 + i12;
                int i23 = i22 + i11;
                int i24 = i21 + i13;
                if (i24 < i23) {
                    i23 = i24;
                }
                i4 = i3;
                int i25 = i16 * i8 * aVar.g;
                if (z4) {
                    int i26 = i22;
                    while (i26 < i23) {
                        int i27 = iArr2[bArr[i25] & 255];
                        if (i27 != 0) {
                            iArr[i26] = i27;
                        } else if (z3 && bool2 == null) {
                            bool2 = Boolean.TRUE;
                        }
                        i25 += i8;
                        i26++;
                        i10 = i10;
                    }
                } else {
                    i6 = i10;
                    int i28 = ((i23 - i22) * i8) + i25;
                    int i29 = i22;
                    while (true) {
                        i5 = i11;
                        if (i29 >= i23) {
                            break;
                        }
                        int a2 = a(i25, i28, aVar.g);
                        if (a2 != 0) {
                            iArr[i29] = a2;
                        } else if (z3 && bool2 == null) {
                            bool2 = Boolean.TRUE;
                        }
                        i25 += i8;
                        i29++;
                        i11 = i5;
                    }
                    bool = bool2;
                    i16++;
                    i10 = i6;
                    i11 = i5;
                    i9 = i2;
                    i17 = i4;
                }
            } else {
                i4 = i3;
            }
            i6 = i10;
            i5 = i11;
            bool = bool2;
            i16++;
            i10 = i6;
            i11 = i5;
            i9 = i2;
            i17 = i4;
        }
        if (this.F == null) {
            if (bool == null) {
                z2 = false;
            } else {
                z2 = bool.booleanValue();
            }
            this.F = Boolean.valueOf(z2);
        }
    }

    private void w(a aVar) {
        a aVar2 = aVar;
        int[] iArr = this.w;
        int i2 = aVar2.h;
        int i3 = aVar2.f;
        int i4 = aVar2.g;
        int i5 = aVar2.f6841e;
        boolean z2 = this.x == 0;
        int i6 = this.E;
        byte[] bArr = this.v;
        int[] iArr2 = this.m;
        int i7 = 0;
        byte b2 = -1;
        while (i7 < i2) {
            int i8 = (i7 + i3) * i6;
            int i9 = i8 + i5;
            int i10 = i9 + i4;
            int i11 = i8 + i6;
            if (i11 < i10) {
                i10 = i11;
            }
            int i12 = aVar2.g * i7;
            int i13 = i9;
            while (i13 < i10) {
                byte b3 = bArr[i12];
                int i14 = b3 & 255;
                if (i14 != b2) {
                    int i15 = iArr2[i14];
                    if (i15 != 0) {
                        iArr[i13] = i15;
                    } else {
                        b2 = b3;
                    }
                }
                i12++;
                i13++;
                i2 = i2;
            }
            i7++;
            aVar2 = aVar;
        }
        Boolean bool = this.F;
        this.F = Boolean.valueOf((bool != null && bool.booleanValue()) || (this.F == null && z2 && b2 != -1));
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:72:0x00f7 */
    /* JADX DEBUG: Multi-variable search result rejected for r3v1, resolved type: short[] */
    /* JADX DEBUG: Multi-variable search result rejected for r7v13, resolved type: short */
    /* JADX WARN: Multi-variable type inference failed */
    private void x(a aVar) {
        int i2;
        int i3;
        short s2;
        e eVar = this;
        if (aVar != null) {
            eVar.p.position(aVar.n);
        }
        if (aVar == null) {
            b bVar = eVar.y;
            i2 = bVar.h;
            i3 = bVar.i;
        } else {
            i2 = aVar.g;
            i3 = aVar.h;
        }
        int i4 = i2 * i3;
        byte[] bArr = eVar.v;
        if (bArr == null || bArr.length < i4) {
            eVar.v = eVar.o.e(i4);
        }
        byte[] bArr2 = eVar.v;
        if (eVar.s == null) {
            eVar.s = new short[4096];
        }
        short[] sArr = eVar.s;
        if (eVar.t == null) {
            eVar.t = new byte[4096];
        }
        byte[] bArr3 = eVar.t;
        if (eVar.u == null) {
            eVar.u = new byte[4097];
        }
        byte[] bArr4 = eVar.u;
        int B2 = B();
        int i5 = 1 << B2;
        int i6 = i5 + 1;
        int i7 = i5 + 2;
        int i8 = B2 + 1;
        int i9 = (1 << i8) - 1;
        int i10 = 0;
        for (int i11 = 0; i11 < i5; i11++) {
            sArr[i11] = 0;
            bArr3[i11] = (byte) i11;
        }
        byte[] bArr5 = eVar.q;
        int i12 = i8;
        int i13 = i7;
        int i14 = i9;
        int i15 = 0;
        int i16 = 0;
        int i17 = 0;
        int i18 = 0;
        int i19 = 0;
        int i20 = -1;
        int i21 = 0;
        int i22 = 0;
        while (true) {
            if (i10 >= i4) {
                break;
            }
            if (i15 == 0) {
                i15 = A();
                if (i15 <= 0) {
                    eVar.B = 3;
                    break;
                }
                i16 = 0;
            }
            i18 += (bArr5[i16] & 255) << i17;
            i16++;
            i15--;
            int i23 = i17 + 8;
            int i24 = i13;
            int i25 = i12;
            int i26 = i20;
            int i27 = i21;
            while (true) {
                if (i23 < i25) {
                    i20 = i26;
                    i13 = i24;
                    i17 = i23;
                    eVar = this;
                    i21 = i27;
                    i8 = i8;
                    i12 = i25;
                    break;
                }
                int i28 = i18 & i14;
                i18 >>= i25;
                i23 -= i25;
                if (i28 == i5) {
                    i14 = i9;
                    i25 = i8;
                    i24 = i7;
                    i7 = i24;
                    i26 = -1;
                } else if (i28 == i6) {
                    i17 = i23;
                    i21 = i27;
                    i13 = i24;
                    i8 = i8;
                    i7 = i7;
                    i20 = i26;
                    i12 = i25;
                    eVar = this;
                    break;
                } else if (i26 == -1) {
                    bArr2[i19] = bArr3[i28];
                    i19++;
                    i10++;
                    i26 = i28;
                    i27 = i26;
                    i7 = i7;
                    i23 = i23;
                } else {
                    if (i28 >= i24) {
                        bArr4[i22] = (byte) i27;
                        i22++;
                        s2 = i26;
                    } else {
                        s2 = i28;
                    }
                    while (s2 >= i5) {
                        bArr4[i22] = bArr3[s2];
                        i22++;
                        s2 = sArr[s2];
                    }
                    i27 = bArr3[s2] & 255;
                    byte b2 = (byte) i27;
                    bArr2[i19] = b2;
                    while (true) {
                        i19++;
                        i10++;
                        if (i22 <= 0) {
                            break;
                        }
                        i22--;
                        bArr2[i19] = bArr4[i22];
                    }
                    if (i24 < 4096) {
                        sArr[i24] = (short) i26;
                        bArr3[i24] = b2;
                        i24++;
                        if ((i24 & i14) == 0 && i24 < 4096) {
                            i25++;
                            i14 += i24;
                        }
                    }
                    i26 = i28;
                    i7 = i7;
                    i23 = i23;
                    bArr4 = bArr4;
                }
            }
        }
        Arrays.fill(bArr2, i19, i4, (byte) 0);
    }

    @NonNull
    private c y() {
        if (this.r == null) {
            this.r = new c();
        }
        return this.r;
    }

    private Bitmap z() {
        Boolean bool = this.F;
        Bitmap a2 = this.o.a(this.E, this.D, (bool == null || bool.booleanValue()) ? Bitmap.Config.ARGB_8888 : this.G);
        a2.setHasAlpha(true);
        return a2;
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public int b() {
        return this.y.i;
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public void clear() {
        this.y = null;
        byte[] bArr = this.v;
        if (bArr != null) {
            this.o.d(bArr);
        }
        int[] iArr = this.w;
        if (iArr != null) {
            this.o.f(iArr);
        }
        Bitmap bitmap = this.z;
        if (bitmap != null) {
            this.o.c(bitmap);
        }
        this.z = null;
        this.p = null;
        this.F = null;
        byte[] bArr2 = this.q;
        if (bArr2 != null) {
            this.o.d(bArr2);
        }
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public int d() {
        return this.B;
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public int e() {
        return this.y.h;
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    @NonNull
    public ByteBuffer f() {
        return this.p;
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    @Nullable
    public synchronized Bitmap g() {
        if (this.y.f6846e <= 0 || this.x < 0) {
            String str = f;
            if (Log.isLoggable(str, 3)) {
                Log.d(str, "Unable to decode frame, frameCount=" + this.y.f6846e + ", framePointer=" + this.x);
            }
            this.B = 1;
        }
        int i2 = this.B;
        if (i2 != 1) {
            if (i2 != 2) {
                this.B = 0;
                if (this.q == null) {
                    this.q = this.o.e(255);
                }
                a aVar = this.y.g.get(this.x);
                int i3 = this.x - 1;
                a aVar2 = i3 >= 0 ? this.y.g.get(i3) : null;
                int[] iArr = aVar.o;
                if (iArr == null) {
                    iArr = this.y.f6844c;
                }
                this.m = iArr;
                if (iArr == null) {
                    String str2 = f;
                    if (Log.isLoggable(str2, 3)) {
                        Log.d(str2, "No valid color table found for frame #" + this.x);
                    }
                    this.B = 1;
                    return null;
                }
                if (aVar.j) {
                    System.arraycopy(iArr, 0, this.n, 0, iArr.length);
                    int[] iArr2 = this.n;
                    this.m = iArr2;
                    iArr2[aVar.l] = 0;
                    if (aVar.k == 2 && this.x == 0) {
                        this.F = Boolean.TRUE;
                    }
                }
                return C(aVar, aVar2);
            }
        }
        String str3 = f;
        if (Log.isLoggable(str3, 3)) {
            Log.d(str3, "Unable to decode frame, status=" + this.B);
        }
        return null;
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public void h() {
        this.x = (this.x + 1) % this.y.f6846e;
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public synchronized void i(@NonNull b bVar, @NonNull byte[] bArr) {
        o(bVar, ByteBuffer.wrap(bArr));
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public int j() {
        return this.y.f6846e;
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public int k() {
        int i2;
        if (this.y.f6846e <= 0 || (i2 = this.x) < 0) {
            return 0;
        }
        return m(i2);
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public void l(@NonNull Bitmap.Config config) {
        if (config == Bitmap.Config.ARGB_8888 || config == Bitmap.Config.RGB_565) {
            this.G = config;
            return;
        }
        throw new IllegalArgumentException("Unsupported format: " + config + ", must be one of " + Bitmap.Config.ARGB_8888 + " or " + Bitmap.Config.RGB_565);
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public int m(int i2) {
        if (i2 >= 0) {
            b bVar = this.y;
            if (i2 < bVar.f6846e) {
                return bVar.g.get(i2).m;
            }
        }
        return -1;
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public void n() {
        this.x = -1;
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public synchronized void o(@NonNull b bVar, @NonNull ByteBuffer byteBuffer) {
        q(bVar, byteBuffer, 1);
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public int p() {
        return this.x;
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public synchronized void q(@NonNull b bVar, @NonNull ByteBuffer byteBuffer, int i2) {
        if (i2 > 0) {
            int highestOneBit = Integer.highestOneBit(i2);
            this.B = 0;
            this.y = bVar;
            this.x = -1;
            ByteBuffer asReadOnlyBuffer = byteBuffer.asReadOnlyBuffer();
            this.p = asReadOnlyBuffer;
            asReadOnlyBuffer.position(0);
            this.p.order(ByteOrder.LITTLE_ENDIAN);
            this.A = false;
            Iterator<a> it = bVar.g.iterator();
            while (true) {
                if (it.hasNext()) {
                    if (it.next().k == 3) {
                        this.A = true;
                        break;
                    }
                } else {
                    break;
                }
            }
            this.C = highestOneBit;
            int i3 = bVar.h;
            this.E = i3 / highestOneBit;
            int i4 = bVar.i;
            this.D = i4 / highestOneBit;
            this.v = this.o.e(i3 * i4);
            this.w = this.o.b(this.E * this.D);
        } else {
            throw new IllegalArgumentException("Sample size must be >=0, not: " + i2);
        }
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public int r() {
        return this.y.o;
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public synchronized int read(@Nullable byte[] bArr) {
        b d2 = y().r(bArr).d();
        this.y = d2;
        if (bArr != null) {
            i(d2, bArr);
        }
        return this.B;
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public int s(@Nullable InputStream inputStream, int i2) {
        if (inputStream != null) {
            try {
                ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream(i2 > 0 ? i2 + 4096 : 16384);
                byte[] bArr = new byte[16384];
                while (true) {
                    int read = inputStream.read(bArr, 0, 16384);
                    if (read == -1) {
                        break;
                    }
                    byteArrayOutputStream.write(bArr, 0, read);
                }
                byteArrayOutputStream.flush();
                read(byteArrayOutputStream.toByteArray());
            } catch (IOException e2) {
                Log.w(f, "Error reading data from stream", e2);
            }
        } else {
            this.B = 2;
        }
        if (inputStream != null) {
            try {
                inputStream.close();
            } catch (IOException e3) {
                Log.w(f, "Error closing stream", e3);
            }
        }
        return this.B;
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public int t() {
        return this.p.limit() + this.v.length + (this.w.length * 4);
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    public int u() {
        int i2 = this.y.o;
        if (i2 == -1) {
            return 1;
        }
        if (i2 == 0) {
            return 0;
        }
        return i2 + 1;
    }

    @Override // com.bumptech.glide.gifdecoder.GifDecoder
    @Deprecated
    public int v() {
        int i2 = this.y.o;
        if (i2 == -1) {
            return 1;
        }
        return i2;
    }

    public e(@NonNull GifDecoder.a aVar, b bVar, ByteBuffer byteBuffer, int i2) {
        this(aVar);
        q(bVar, byteBuffer, i2);
    }

    public e(@NonNull GifDecoder.a aVar) {
        this.n = new int[256];
        this.G = Bitmap.Config.ARGB_8888;
        this.o = aVar;
        this.y = new b();
    }
}
