package com.github.anzewei.parallaxbacklayout;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface ParallaxBack {

    public enum Edge {
        LEFT(1),
        RIGHT(2),
        TOP(4),
        BOTTOM(8);
        
        private final int value;

        private Edge(int i) {
            this.value = i;
        }

        public int getValue() {
            return this.value;
        }
    }

    public enum EdgeMode {
        FULLSCREEN(0),
        EDGE(1);
        
        private final int value;

        private EdgeMode(int i) {
            this.value = i;
        }

        public int getValue() {
            return this.value;
        }
    }

    public enum Layout {
        PARALLAX(1),
        COVER(0),
        SLIDE(2);
        
        private final int value;

        private Layout(int i) {
            this.value = i;
        }

        public int getValue() {
            return this.value;
        }
    }

    Edge edge() default Edge.LEFT;

    EdgeMode edgeMode() default EdgeMode.EDGE;

    Layout layout() default Layout.PARALLAX;
}
