package com.google.android.exoplayer2.audio;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.pm.PackageManager;
import android.media.MediaCodec;
import android.media.MediaCrypto;
import android.media.MediaFormat;
import android.os.Handler;
import android.view.Surface;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.ExoPlaybackException;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.audio.AudioSink;
import com.google.android.exoplayer2.audio.d;
import com.google.android.exoplayer2.decoder.DecoderInputBuffer;
import com.google.android.exoplayer2.drm.DrmInitData;
import com.google.android.exoplayer2.drm.h;
import com.google.android.exoplayer2.mediacodec.MediaCodecRenderer;
import com.google.android.exoplayer2.mediacodec.MediaCodecUtil;
import com.google.android.exoplayer2.u;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.m;
import com.google.android.exoplayer2.util.n;
import com.lzy.okgo.model.Progress;
import java.nio.ByteBuffer;
import tv.danmaku.ijk.media.player.misc.c;

@TargetApi(16)
/* compiled from: MediaCodecAudioRenderer */
public class j extends MediaCodecRenderer implements m {
    private final Context S1;
    private final d.a T1;
    private final AudioSink U1;
    private int V1;
    private boolean W1;
    private boolean X1;
    private MediaFormat Y1;
    private int Z1;
    private int a2;
    private int b2;
    private int c2;
    private long d2;
    private boolean e2;
    private boolean f2;

    /* compiled from: MediaCodecAudioRenderer */
    private final class b implements AudioSink.a {
        private b() {
        }

        @Override // com.google.android.exoplayer2.audio.AudioSink.a
        public void a(int i) {
            j.this.T1.b(i);
            j.this.F0(i);
        }

        @Override // com.google.android.exoplayer2.audio.AudioSink.a
        public void b(int i, long j, long j2) {
            j.this.T1.c(i, j, j2);
            j.this.H0(i, j, j2);
        }

        @Override // com.google.android.exoplayer2.audio.AudioSink.a
        public void c() {
            j.this.G0();
            j.this.f2 = true;
        }
    }

    public j(Context context, com.google.android.exoplayer2.mediacodec.b bVar) {
        this(context, bVar, (com.google.android.exoplayer2.drm.d<h>) null, false);
    }

    private static boolean A0(Format format, Format format2) {
        return format.N0.equals(format2.N0) && format.a1 == format2.a1 && format.b1 == format2.b1 && format.d1 == 0 && format.e1 == 0 && format2.d1 == 0 && format2.e1 == 0 && format.C(format2);
    }

    private static boolean B0(String str) {
        if (b0.f9571a < 24 && "OMX.SEC.aac.dec".equals(str) && "samsung".equals(b0.f9573c)) {
            String str2 = b0.f9572b;
            if (str2.startsWith("zeroflte") || str2.startsWith("herolte") || str2.startsWith("heroqlte")) {
                return true;
            }
        }
        return false;
    }

    private int C0(com.google.android.exoplayer2.mediacodec.a aVar, Format format) {
        PackageManager packageManager;
        int i = b0.f9571a;
        if (i < 24 && "OMX.google.raw.decoder".equals(aVar.f8556c)) {
            boolean z = true;
            if (i == 23 && (packageManager = this.S1.getPackageManager()) != null && packageManager.hasSystemFeature("android.software.leanback")) {
                z = false;
            }
            if (z) {
                return -1;
            }
        }
        return format.O0;
    }

    private void I0() {
        long i = this.U1.i(b());
        if (i != Long.MIN_VALUE) {
            if (!this.f2) {
                i = Math.max(this.d2, i);
            }
            this.d2 = i;
            this.f2 = false;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void B() {
        super.B();
        this.U1.play();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void C() {
        I0();
        this.U1.pause();
        super.C();
    }

    /* access modifiers changed from: protected */
    public int D0(com.google.android.exoplayer2.mediacodec.a aVar, Format format, Format[] formatArr) {
        return C0(aVar, format);
    }

    /* access modifiers changed from: protected */
    @SuppressLint({"InlinedApi"})
    public MediaFormat E0(Format format, String str, int i) {
        MediaFormat mediaFormat = new MediaFormat();
        mediaFormat.setString(c.f23083a, str);
        mediaFormat.setInteger("channel-count", format.a1);
        mediaFormat.setInteger("sample-rate", format.b1);
        com.google.android.exoplayer2.mediacodec.c.e(mediaFormat, format.P0);
        com.google.android.exoplayer2.mediacodec.c.d(mediaFormat, "max-input-size", i);
        if (b0.f9571a >= 23) {
            mediaFormat.setInteger(Progress.PRIORITY, 0);
        }
        return mediaFormat;
    }

    /* access modifiers changed from: protected */
    public void F0(int i) {
    }

    /* access modifiers changed from: protected */
    public void G0() {
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public int H(MediaCodec mediaCodec, com.google.android.exoplayer2.mediacodec.a aVar, Format format, Format format2) {
        return 0;
    }

    /* access modifiers changed from: protected */
    public void H0(int i, long j, long j2) {
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void P(com.google.android.exoplayer2.mediacodec.a aVar, MediaCodec mediaCodec, Format format, MediaCrypto mediaCrypto) {
        this.V1 = D0(aVar, format, o());
        this.X1 = B0(aVar.f8556c);
        this.W1 = aVar.i;
        String str = aVar.f8557d;
        if (str == null) {
            str = n.w;
        }
        MediaFormat E0 = E0(format, str, this.V1);
        mediaCodec.configure(E0, (Surface) null, mediaCrypto, 0);
        if (this.W1) {
            this.Y1 = E0;
            E0.setString(c.f23083a, format.N0);
            return;
        }
        this.Y1 = null;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public com.google.android.exoplayer2.mediacodec.a X(com.google.android.exoplayer2.mediacodec.b bVar, Format format, boolean z) throws MediaCodecUtil.DecoderQueryException {
        com.google.android.exoplayer2.mediacodec.a a3;
        if (!z0(format.N0) || (a3 = bVar.a()) == null) {
            return super.X(bVar, format, z);
        }
        return a3;
    }

    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer, com.google.android.exoplayer2.Renderer
    public boolean b() {
        return super.b() && this.U1.b();
    }

    @Override // com.google.android.exoplayer2.util.m
    public u c() {
        return this.U1.c();
    }

    @Override // com.google.android.exoplayer2.util.m
    public u d(u uVar) {
        return this.U1.d(uVar);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void e0(String str, long j, long j2) {
        this.T1.d(str, j, j2);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void f0(Format format) throws ExoPlaybackException {
        super.f0(format);
        this.T1.g(format);
        this.Z1 = n.w.equals(format.N0) ? format.c1 : 2;
        this.a2 = format.a1;
        this.b2 = format.d1;
        this.c2 = format.e1;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void g0(MediaCodec mediaCodec, MediaFormat mediaFormat) throws ExoPlaybackException {
        int i;
        int[] iArr;
        int i2;
        MediaFormat mediaFormat2 = this.Y1;
        if (mediaFormat2 != null) {
            i = n.c(mediaFormat2.getString(c.f23083a));
            mediaFormat = this.Y1;
        } else {
            i = this.Z1;
        }
        int integer = mediaFormat.getInteger("channel-count");
        int integer2 = mediaFormat.getInteger("sample-rate");
        if (!this.X1 || integer != 6 || (i2 = this.a2) >= 6) {
            iArr = null;
        } else {
            iArr = new int[i2];
            for (int i3 = 0; i3 < this.a2; i3++) {
                iArr[i3] = i3;
            }
        }
        try {
            this.U1.e(i, integer, integer2, 0, iArr, this.b2, this.c2);
        } catch (AudioSink.ConfigurationException e3) {
            throw ExoPlaybackException.createForRenderer(e3, m());
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void i0(DecoderInputBuffer decoderInputBuffer) {
        if (this.e2 && !decoderInputBuffer.n()) {
            if (Math.abs(decoderInputBuffer.M0 - this.d2) > 500000) {
                this.d2 = decoderInputBuffer.M0;
            }
            this.e2 = false;
        }
    }

    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer, com.google.android.exoplayer2.Renderer
    public boolean isReady() {
        return this.U1.g() || super.isReady();
    }

    @Override // com.google.android.exoplayer2.util.m
    public long j() {
        if (getState() == 2) {
            I0();
        }
        return this.d2;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public boolean k0(long j, long j2, MediaCodec mediaCodec, ByteBuffer byteBuffer, int i, int i2, long j3, boolean z) throws ExoPlaybackException {
        if (this.W1 && (i2 & 2) != 0) {
            mediaCodec.releaseOutputBuffer(i, false);
            return true;
        } else if (z) {
            mediaCodec.releaseOutputBuffer(i, false);
            this.R1.f++;
            this.U1.l();
            return true;
        } else {
            try {
                if (!this.U1.n(byteBuffer, j3)) {
                    return false;
                }
                mediaCodec.releaseOutputBuffer(i, false);
                this.R1.f8040e++;
                return true;
            } catch (AudioSink.InitializationException | AudioSink.WriteException e3) {
                throw ExoPlaybackException.createForRenderer(e3, m());
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void o0() throws ExoPlaybackException {
        try {
            this.U1.f();
        } catch (AudioSink.WriteException e3) {
            throw ExoPlaybackException.createForRenderer(e3, m());
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void q() {
        try {
            this.U1.release();
            try {
                super.q();
            } finally {
                this.R1.a();
                this.T1.e(this.R1);
            }
        } catch (Throwable th) {
            super.q();
            throw th;
        } finally {
            this.R1.a();
            this.T1.e(this.R1);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void s(boolean z) throws ExoPlaybackException {
        super.s(z);
        this.T1.f(this.R1);
        int i = l().f9699b;
        if (i != 0) {
            this.U1.o(i);
        } else {
            this.U1.j();
        }
    }

    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.w.b
    public void t(int i, Object obj) throws ExoPlaybackException {
        if (i == 2) {
            this.U1.m(((Float) obj).floatValue());
        } else if (i != 3) {
            super.t(i, obj);
        } else {
            this.U1.k((a) obj);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public int v0(com.google.android.exoplayer2.mediacodec.b bVar, com.google.android.exoplayer2.drm.d<h> dVar, Format format) throws MediaCodecUtil.DecoderQueryException {
        boolean z;
        int i;
        int i2;
        String str = format.N0;
        boolean z2 = false;
        if (!n.l(str)) {
            return 0;
        }
        int i3 = b0.f9571a >= 21 ? 32 : 0;
        boolean G = com.google.android.exoplayer2.a.G(dVar, format.Q0);
        int i4 = 4;
        if (G && z0(str) && bVar.a() != null) {
            return i3 | 8 | 4;
        }
        if ((n.w.equals(str) && !this.U1.q(format.c1)) || !this.U1.q(2)) {
            return 1;
        }
        DrmInitData drmInitData = format.Q0;
        if (drmInitData != null) {
            z = false;
            for (int i5 = 0; i5 < drmInitData.J0; i5++) {
                z |= drmInitData.e(i5).L0;
            }
        } else {
            z = false;
        }
        com.google.android.exoplayer2.mediacodec.a b3 = bVar.b(str, z);
        if (b3 == null) {
            if (!z || bVar.b(str, false) == null) {
                return 1;
            }
            return 2;
        } else if (!G) {
            return 2;
        } else {
            if (b0.f9571a < 21 || (((i = format.b1) == -1 || b3.j(i)) && ((i2 = format.a1) == -1 || b3.i(i2)))) {
                z2 = true;
            }
            if (!z2) {
                i4 = 3;
            }
            return i3 | 8 | i4;
        }
    }

    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.Renderer
    public m y() {
        return this;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void z(long j, boolean z) throws ExoPlaybackException {
        super.z(j, z);
        this.U1.a();
        this.d2 = j;
        this.e2 = true;
        this.f2 = true;
    }

    /* access modifiers changed from: protected */
    public boolean z0(String str) {
        int c3 = n.c(str);
        return c3 != 0 && this.U1.q(c3);
    }

    public j(Context context, com.google.android.exoplayer2.mediacodec.b bVar, @Nullable com.google.android.exoplayer2.drm.d<h> dVar, boolean z) {
        this(context, bVar, dVar, z, null, null);
    }

    public j(Context context, com.google.android.exoplayer2.mediacodec.b bVar, @Nullable Handler handler, @Nullable d dVar) {
        this(context, bVar, null, false, handler, dVar);
    }

    public j(Context context, com.google.android.exoplayer2.mediacodec.b bVar, @Nullable com.google.android.exoplayer2.drm.d<h> dVar, boolean z, @Nullable Handler handler, @Nullable d dVar2) {
        this(context, bVar, dVar, z, handler, dVar2, null, new AudioProcessor[0]);
    }

    public j(Context context, com.google.android.exoplayer2.mediacodec.b bVar, @Nullable com.google.android.exoplayer2.drm.d<h> dVar, boolean z, @Nullable Handler handler, @Nullable d dVar2, @Nullable b bVar2, AudioProcessor... audioProcessorArr) {
        this(context, bVar, dVar, z, handler, dVar2, new DefaultAudioSink(bVar2, audioProcessorArr));
    }

    public j(Context context, com.google.android.exoplayer2.mediacodec.b bVar, @Nullable com.google.android.exoplayer2.drm.d<h> dVar, boolean z, @Nullable Handler handler, @Nullable d dVar2, AudioSink audioSink) {
        super(1, bVar, dVar, z);
        this.S1 = context.getApplicationContext();
        this.U1 = audioSink;
        this.T1 = new d.a(handler, dVar2);
        audioSink.p(new b());
    }
}
