package com.google.android.exoplayer2.mediacodec;

import android.annotation.TargetApi;
import android.media.MediaCodec;
import android.media.MediaCrypto;
import android.media.MediaFormat;
import android.os.Looper;
import android.os.SystemClock;
import android.util.Log;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.ExoPlaybackException;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.a;
import com.google.android.exoplayer2.decoder.DecoderInputBuffer;
import com.google.android.exoplayer2.decoder.d;
import com.google.android.exoplayer2.drm.DrmSession;
import com.google.android.exoplayer2.drm.h;
import com.google.android.exoplayer2.m;
import com.google.android.exoplayer2.mediacodec.MediaCodecUtil;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.o;
import com.google.android.exoplayer2.util.z;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.List;

@TargetApi(16)
public abstract class MediaCodecRenderer extends a {
    private static final String P0 = "MediaCodecRenderer";
    private static final long Q0 = 1000;
    protected static final int R0 = 0;
    protected static final int S0 = 1;
    protected static final int T0 = 3;
    private static final int U0 = 0;
    private static final int V0 = 1;
    private static final int W0 = 2;
    private static final int X0 = 0;
    private static final int Y0 = 1;
    private static final int Z0 = 2;
    private static final int a1 = 0;
    private static final int b1 = 1;
    private static final int c1 = 2;
    private static final byte[] d1 = b0.z("0000016742C00BDA259000000168CE0F13200000016588840DCE7118A0002FBF1C31C3275D78");
    private static final int e1 = 32;
    private boolean A1;
    private ByteBuffer[] B1;
    private ByteBuffer[] C1;
    private long D1;
    private int E1;
    private int F1;
    private ByteBuffer G1;
    private boolean H1;
    private boolean I1;
    private int J1;
    private int K1;
    private boolean L1;
    private boolean M1;
    private boolean N1;
    private boolean O1;
    private boolean P1;
    private boolean Q1;
    protected d R1;
    private final b f1;
    @Nullable
    private final com.google.android.exoplayer2.drm.d<h> g1;
    private final boolean h1;
    private final DecoderInputBuffer i1;
    private final DecoderInputBuffer j1;
    private final m k1;
    private final List<Long> l1;
    private final MediaCodec.BufferInfo m1;
    private Format n1;
    private DrmSession<h> o1;
    private DrmSession<h> p1;
    private MediaCodec q1;
    private a r1;
    private int s1;
    private boolean t1;
    private boolean u1;
    private boolean v1;
    private boolean w1;
    private boolean x1;
    private boolean y1;
    private boolean z1;

    public MediaCodecRenderer(int i, b bVar, @Nullable com.google.android.exoplayer2.drm.d<h> dVar, boolean z) {
        super(i);
        com.google.android.exoplayer2.util.a.i(b0.f9571a >= 16);
        this.f1 = (b) com.google.android.exoplayer2.util.a.g(bVar);
        this.g1 = dVar;
        this.h1 = z;
        this.i1 = new DecoderInputBuffer(0);
        this.j1 = DecoderInputBuffer.w();
        this.k1 = new m();
        this.l1 = new ArrayList();
        this.m1 = new MediaCodec.BufferInfo();
        this.J1 = 0;
        this.K1 = 0;
    }

    private int I(String str) {
        int i = b0.f9571a;
        if (i <= 25 && "OMX.Exynos.avc.dec.secure".equals(str)) {
            String str2 = b0.f9574d;
            if (str2.startsWith("SM-T585") || str2.startsWith("SM-A510") || str2.startsWith("SM-A520") || str2.startsWith("SM-J700")) {
                return 2;
            }
        }
        if (i >= 24) {
            return 0;
        }
        if (!"OMX.Nvidia.h264.decode".equals(str) && !"OMX.Nvidia.h264.decode.secure".equals(str)) {
            return 0;
        }
        String str3 = b0.f9572b;
        return ("flounder".equals(str3) || "flounder_lte".equals(str3) || "grouper".equals(str3) || "tilapia".equals(str3)) ? 1 : 0;
    }

    private static boolean J(String str, Format format) {
        return b0.f9571a < 21 && format.P0.isEmpty() && "OMX.MTK.VIDEO.DECODER.AVC".equals(str);
    }

    private static boolean K(String str) {
        int i = b0.f9571a;
        return (i <= 23 && "OMX.google.vorbis.decoder".equals(str)) || (i <= 19 && "hb2000".equals(b0.f9572b) && ("OMX.amlogic.avc.decoder.awesome".equals(str) || "OMX.amlogic.avc.decoder.awesome.secure".equals(str)));
    }

    private static boolean L(String str) {
        return b0.f9571a == 21 && "OMX.google.aac.decoder".equals(str);
    }

    private static boolean M(a aVar) {
        String str = aVar.f8556c;
        return (b0.f9571a <= 17 && ("OMX.rk.video_decoder.avc".equals(str) || "OMX.allwinner.video.decoder.avc".equals(str))) || ("Amazon".equals(b0.f9573c) && "AFTS".equals(b0.f9574d) && aVar.h);
    }

    private static boolean N(String str) {
        int i = b0.f9571a;
        return i < 18 || (i == 18 && ("OMX.SEC.avc.dec".equals(str) || "OMX.SEC.avc.dec.secure".equals(str))) || (i == 19 && b0.f9574d.startsWith("SM-G800") && ("OMX.Exynos.avc.dec".equals(str) || "OMX.Exynos.avc.dec.secure".equals(str)));
    }

    private static boolean O(String str, Format format) {
        if (b0.f9571a > 18 || format.a1 != 1 || !"OMX.MTK.AUDIO.DECODER.MP3".equals(str)) {
            return false;
        }
        return true;
    }

    private boolean Q() {
        if ("Amazon".equals(b0.f9573c)) {
            String str = b0.f9574d;
            if ("AFTM".equals(str) || "AFTB".equals(str)) {
                return true;
            }
        }
        return false;
    }

    private boolean R(long j, long j2) throws ExoPlaybackException {
        boolean z;
        int i;
        if (!c0()) {
            if (!this.x1 || !this.M1) {
                i = this.q1.dequeueOutputBuffer(this.m1, Y());
            } else {
                try {
                    i = this.q1.dequeueOutputBuffer(this.m1, Y());
                } catch (IllegalStateException unused) {
                    j0();
                    if (this.O1) {
                        n0();
                    }
                    return false;
                }
            }
            if (i >= 0) {
                if (this.A1) {
                    this.A1 = false;
                    this.q1.releaseOutputBuffer(i, false);
                    return true;
                }
                MediaCodec.BufferInfo bufferInfo = this.m1;
                if (bufferInfo.size != 0 || (bufferInfo.flags & 4) == 0) {
                    this.F1 = i;
                    ByteBuffer b0 = b0(i);
                    this.G1 = b0;
                    if (b0 != null) {
                        b0.position(this.m1.offset);
                        ByteBuffer byteBuffer = this.G1;
                        MediaCodec.BufferInfo bufferInfo2 = this.m1;
                        byteBuffer.limit(bufferInfo2.offset + bufferInfo2.size);
                    }
                    this.H1 = t0(this.m1.presentationTimeUs);
                } else {
                    j0();
                    return false;
                }
            } else if (i == -2) {
                m0();
                return true;
            } else if (i == -3) {
                l0();
                return true;
            } else {
                if (this.v1 && (this.N1 || this.K1 == 2)) {
                    j0();
                }
                return false;
            }
        }
        if (!this.x1 || !this.M1) {
            MediaCodec mediaCodec = this.q1;
            ByteBuffer byteBuffer2 = this.G1;
            int i2 = this.F1;
            MediaCodec.BufferInfo bufferInfo3 = this.m1;
            z = k0(j, j2, mediaCodec, byteBuffer2, i2, bufferInfo3.flags, bufferInfo3.presentationTimeUs, this.H1);
        } else {
            try {
                MediaCodec mediaCodec2 = this.q1;
                ByteBuffer byteBuffer3 = this.G1;
                int i3 = this.F1;
                MediaCodec.BufferInfo bufferInfo4 = this.m1;
                z = k0(j, j2, mediaCodec2, byteBuffer3, i3, bufferInfo4.flags, bufferInfo4.presentationTimeUs, this.H1);
            } catch (IllegalStateException unused2) {
                j0();
                if (this.O1) {
                    n0();
                }
                return false;
            }
        }
        if (z) {
            h0(this.m1.presentationTimeUs);
            boolean z2 = (this.m1.flags & 4) != 0;
            r0();
            if (!z2) {
                return true;
            }
            j0();
        }
        return false;
    }

    private boolean S() throws ExoPlaybackException {
        int i;
        int i2;
        MediaCodec mediaCodec = this.q1;
        if (mediaCodec == null || this.K1 == 2 || this.N1) {
            return false;
        }
        if (this.E1 < 0) {
            int dequeueInputBuffer = mediaCodec.dequeueInputBuffer(0);
            this.E1 = dequeueInputBuffer;
            if (dequeueInputBuffer < 0) {
                return false;
            }
            this.i1.L0 = a0(dequeueInputBuffer);
            this.i1.j();
        }
        if (this.K1 == 1) {
            if (!this.v1) {
                this.M1 = true;
                this.q1.queueInputBuffer(this.E1, 0, 0, 0, 4);
                q0();
            }
            this.K1 = 2;
            return false;
        } else if (this.z1) {
            this.z1 = false;
            ByteBuffer byteBuffer = this.i1.L0;
            byte[] bArr = d1;
            byteBuffer.put(bArr);
            this.q1.queueInputBuffer(this.E1, 0, bArr.length, 0, 0);
            q0();
            this.L1 = true;
            return true;
        } else {
            if (this.P1) {
                i2 = -4;
                i = 0;
            } else {
                if (this.J1 == 1) {
                    for (int i3 = 0; i3 < this.n1.P0.size(); i3++) {
                        this.i1.L0.put(this.n1.P0.get(i3));
                    }
                    this.J1 = 2;
                }
                i = this.i1.L0.position();
                i2 = E(this.k1, this.i1, false);
            }
            if (i2 == -3) {
                return false;
            }
            if (i2 == -5) {
                if (this.J1 == 2) {
                    this.i1.j();
                    this.J1 = 1;
                }
                f0(this.k1.f8542a);
                return true;
            } else if (this.i1.o()) {
                if (this.J1 == 2) {
                    this.i1.j();
                    this.J1 = 1;
                }
                this.N1 = true;
                if (!this.L1) {
                    j0();
                    return false;
                }
                try {
                    if (!this.v1) {
                        this.M1 = true;
                        this.q1.queueInputBuffer(this.E1, 0, 0, 0, 4);
                        q0();
                    }
                    return false;
                } catch (MediaCodec.CryptoException e2) {
                    throw ExoPlaybackException.createForRenderer(e2, m());
                }
            } else if (!this.Q1 || this.i1.p()) {
                this.Q1 = false;
                boolean u = this.i1.u();
                boolean u0 = u0(u);
                this.P1 = u0;
                if (u0) {
                    return false;
                }
                if (this.t1 && !u) {
                    o.b(this.i1.L0);
                    if (this.i1.L0.position() == 0) {
                        return true;
                    }
                    this.t1 = false;
                }
                try {
                    DecoderInputBuffer decoderInputBuffer = this.i1;
                    long j = decoderInputBuffer.M0;
                    if (decoderInputBuffer.n()) {
                        this.l1.add(Long.valueOf(j));
                    }
                    this.i1.t();
                    i0(this.i1);
                    if (u) {
                        this.q1.queueSecureInputBuffer(this.E1, 0, Z(this.i1, i), j, 0);
                    } else {
                        this.q1.queueInputBuffer(this.E1, 0, this.i1.L0.limit(), j, 0);
                    }
                    q0();
                    this.L1 = true;
                    this.J1 = 0;
                    this.R1.f8038c++;
                    return true;
                } catch (MediaCodec.CryptoException e3) {
                    throw ExoPlaybackException.createForRenderer(e3, m());
                }
            } else {
                this.i1.j();
                if (this.J1 == 2) {
                    this.J1 = 1;
                }
                return true;
            }
        }
    }

    private void V() {
        if (b0.f9571a < 21) {
            this.B1 = this.q1.getInputBuffers();
            this.C1 = this.q1.getOutputBuffers();
        }
    }

    private static MediaCodec.CryptoInfo Z(DecoderInputBuffer decoderInputBuffer, int i) {
        MediaCodec.CryptoInfo a2 = decoderInputBuffer.K0.a();
        if (i == 0) {
            return a2;
        }
        if (a2.numBytesOfClearData == null) {
            a2.numBytesOfClearData = new int[1];
        }
        int[] iArr = a2.numBytesOfClearData;
        iArr[0] = iArr[0] + i;
        return a2;
    }

    private ByteBuffer a0(int i) {
        if (b0.f9571a >= 21) {
            return this.q1.getInputBuffer(i);
        }
        return this.B1[i];
    }

    private ByteBuffer b0(int i) {
        if (b0.f9571a >= 21) {
            return this.q1.getOutputBuffer(i);
        }
        return this.C1[i];
    }

    private boolean c0() {
        return this.F1 >= 0;
    }

    private void j0() throws ExoPlaybackException {
        if (this.K1 == 2) {
            n0();
            d0();
            return;
        }
        this.O1 = true;
        o0();
    }

    private void l0() {
        if (b0.f9571a < 21) {
            this.C1 = this.q1.getOutputBuffers();
        }
    }

    private void m0() throws ExoPlaybackException {
        MediaFormat outputFormat = this.q1.getOutputFormat();
        if (this.s1 != 0 && outputFormat.getInteger("width") == 32 && outputFormat.getInteger("height") == 32) {
            this.A1 = true;
            return;
        }
        if (this.y1) {
            outputFormat.setInteger("channel-count", 1);
        }
        g0(this.q1, outputFormat);
    }

    private void p0() {
        if (b0.f9571a < 21) {
            this.B1 = null;
            this.C1 = null;
        }
    }

    private void q0() {
        this.E1 = -1;
        this.i1.L0 = null;
    }

    private void r0() {
        this.F1 = -1;
        this.G1 = null;
    }

    private boolean t0(long j) {
        int size = this.l1.size();
        for (int i = 0; i < size; i++) {
            if (this.l1.get(i).longValue() == j) {
                this.l1.remove(i);
                return true;
            }
        }
        return false;
    }

    private boolean u0(boolean z) throws ExoPlaybackException {
        DrmSession<h> drmSession = this.o1;
        if (drmSession == null || (!z && this.h1)) {
            return false;
        }
        int state = drmSession.getState();
        if (state == 1) {
            throw ExoPlaybackException.createForRenderer(this.o1.d(), m());
        } else if (state != 4) {
            return true;
        } else {
            return false;
        }
    }

    private void w0(DecoderInitializationException decoderInitializationException) throws ExoPlaybackException {
        throw ExoPlaybackException.createForRenderer(decoderInitializationException, m());
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void B() {
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void C() {
    }

    /* access modifiers changed from: protected */
    public int H(MediaCodec mediaCodec, a aVar, Format format, Format format2) {
        return 0;
    }

    /* access modifiers changed from: protected */
    public abstract void P(a aVar, MediaCodec mediaCodec, Format format, MediaCrypto mediaCrypto) throws MediaCodecUtil.DecoderQueryException;

    /* access modifiers changed from: protected */
    public void T() throws ExoPlaybackException {
        this.D1 = C.f7870b;
        q0();
        r0();
        this.Q1 = true;
        this.P1 = false;
        this.H1 = false;
        this.l1.clear();
        this.z1 = false;
        this.A1 = false;
        if (this.u1 || (this.w1 && this.M1)) {
            n0();
            d0();
        } else if (this.K1 != 0) {
            n0();
            d0();
        } else {
            this.q1.flush();
            this.L1 = false;
        }
        if (this.I1 && this.n1 != null) {
            this.J1 = 1;
        }
    }

    /* access modifiers changed from: protected */
    public final MediaCodec U() {
        return this.q1;
    }

    /* access modifiers changed from: protected */
    public final a W() {
        return this.r1;
    }

    /* access modifiers changed from: protected */
    public a X(b bVar, Format format, boolean z) throws MediaCodecUtil.DecoderQueryException {
        return bVar.b(format.N0, z);
    }

    /* access modifiers changed from: protected */
    public long Y() {
        return 0;
    }

    @Override // com.google.android.exoplayer2.x
    public final int a(Format format) throws ExoPlaybackException {
        try {
            return v0(this.f1, this.g1, format);
        } catch (MediaCodecUtil.DecoderQueryException e2) {
            throw ExoPlaybackException.createForRenderer(e2, m());
        }
    }

    @Override // com.google.android.exoplayer2.Renderer
    public boolean b() {
        return this.O1;
    }

    /* access modifiers changed from: protected */
    public final void d0() throws ExoPlaybackException {
        Format format;
        MediaCrypto mediaCrypto;
        boolean z;
        if (this.q1 == null && (format = this.n1) != null) {
            DrmSession<h> drmSession = this.p1;
            this.o1 = drmSession;
            String str = format.N0;
            if (drmSession != null) {
                h b2 = drmSession.b();
                if (b2 != null) {
                    mediaCrypto = b2.b();
                    z = b2.a(str);
                } else if (this.o1.d() != null) {
                    mediaCrypto = null;
                    z = false;
                } else {
                    return;
                }
                if (Q()) {
                    int state = this.o1.getState();
                    if (state == 1) {
                        throw ExoPlaybackException.createForRenderer(this.o1.d(), m());
                    } else if (state != 4) {
                        return;
                    }
                }
            } else {
                mediaCrypto = null;
                z = false;
            }
            if (this.r1 == null) {
                try {
                    a X = X(this.f1, this.n1, z);
                    this.r1 = X;
                    if (X == null && z) {
                        a X2 = X(this.f1, this.n1, false);
                        this.r1 = X2;
                        if (X2 != null) {
                            Log.w(P0, "Drm session requires secure decoder for " + str + ", but no secure decoder available. Trying to proceed with " + this.r1.f8556c + ".");
                        }
                    }
                } catch (MediaCodecUtil.DecoderQueryException e2) {
                    w0(new DecoderInitializationException(this.n1, e2, z, -49998));
                }
                if (this.r1 == null) {
                    w0(new DecoderInitializationException(this.n1, (Throwable) null, z, -49999));
                }
            }
            if (s0(this.r1)) {
                String str2 = this.r1.f8556c;
                this.s1 = I(str2);
                this.t1 = J(str2, this.n1);
                this.u1 = N(str2);
                this.v1 = M(this.r1);
                this.w1 = K(str2);
                this.x1 = L(str2);
                this.y1 = O(str2, this.n1);
                try {
                    long elapsedRealtime = SystemClock.elapsedRealtime();
                    z.a("createCodec:" + str2);
                    this.q1 = MediaCodec.createByCodecName(str2);
                    z.c();
                    z.a("configureCodec");
                    P(this.r1, this.q1, this.n1, mediaCrypto);
                    z.c();
                    z.a("startCodec");
                    this.q1.start();
                    z.c();
                    long elapsedRealtime2 = SystemClock.elapsedRealtime();
                    e0(str2, elapsedRealtime2, elapsedRealtime2 - elapsedRealtime);
                    V();
                } catch (Exception e3) {
                    w0(new DecoderInitializationException(this.n1, e3, z, str2));
                }
                this.D1 = getState() == 2 ? SystemClock.elapsedRealtime() + 1000 : C.f7870b;
                q0();
                r0();
                this.Q1 = true;
                this.R1.f8036a++;
            }
        }
    }

    /* access modifiers changed from: protected */
    public void e0(String str, long j, long j2) {
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x007a, code lost:
        if (r6.T0 == r0.T0) goto L_0x007c;
     */
    public void f0(Format format) throws ExoPlaybackException {
        MediaCodec mediaCodec;
        int H;
        Format format2 = this.n1;
        this.n1 = format;
        if (!b0.b(format.Q0, format2 == null ? null : format2.Q0)) {
            if (this.n1.Q0 != null) {
                com.google.android.exoplayer2.drm.d<h> dVar = this.g1;
                if (dVar != null) {
                    DrmSession<h> a2 = dVar.a(Looper.myLooper(), this.n1.Q0);
                    this.p1 = a2;
                    if (a2 == this.o1) {
                        this.g1.f(a2);
                    }
                } else {
                    throw ExoPlaybackException.createForRenderer(new IllegalStateException("Media requires a DrmSessionManager"), m());
                }
            } else {
                this.p1 = null;
            }
        }
        boolean z = false;
        if (!(this.p1 != this.o1 || (mediaCodec = this.q1) == null || (H = H(mediaCodec, this.r1, format2, this.n1)) == 0)) {
            if (H != 1) {
                if (H == 3) {
                    this.I1 = true;
                    this.J1 = 1;
                    int i = this.s1;
                    if (i != 2) {
                        if (i == 1) {
                            Format format3 = this.n1;
                            if (format3.S0 == format2.S0) {
                            }
                        }
                        this.z1 = z;
                    }
                    z = true;
                    this.z1 = z;
                } else {
                    throw new IllegalStateException();
                }
            }
            z = true;
        }
        if (z) {
            return;
        }
        if (this.L1) {
            this.K1 = 1;
            return;
        }
        n0();
        d0();
    }

    /* access modifiers changed from: protected */
    public void g0(MediaCodec mediaCodec, MediaFormat mediaFormat) throws ExoPlaybackException {
    }

    /* access modifiers changed from: protected */
    public void h0(long j) {
    }

    /* access modifiers changed from: protected */
    public void i0(DecoderInputBuffer decoderInputBuffer) {
    }

    @Override // com.google.android.exoplayer2.Renderer
    public boolean isReady() {
        return this.n1 != null && !this.P1 && (p() || c0() || (this.D1 != C.f7870b && SystemClock.elapsedRealtime() < this.D1));
    }

    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.x
    public final int k() {
        return 8;
    }

    /* access modifiers changed from: protected */
    public abstract boolean k0(long j, long j2, MediaCodec mediaCodec, ByteBuffer byteBuffer, int i, int i2, long j3, boolean z) throws ExoPlaybackException;

    /* access modifiers changed from: protected */
    public void n0() {
        this.D1 = C.f7870b;
        q0();
        r0();
        this.P1 = false;
        this.H1 = false;
        this.l1.clear();
        p0();
        this.r1 = null;
        this.I1 = false;
        this.L1 = false;
        this.t1 = false;
        this.u1 = false;
        this.s1 = 0;
        this.v1 = false;
        this.w1 = false;
        this.y1 = false;
        this.z1 = false;
        this.A1 = false;
        this.M1 = false;
        this.J1 = 0;
        this.K1 = 0;
        MediaCodec mediaCodec = this.q1;
        if (mediaCodec != null) {
            this.R1.f8037b++;
            try {
                mediaCodec.stop();
                try {
                    this.q1.release();
                    this.q1 = null;
                    DrmSession<h> drmSession = this.o1;
                    if (drmSession != null && this.p1 != drmSession) {
                        try {
                            this.g1.f(drmSession);
                        } finally {
                            this.o1 = null;
                        }
                    }
                } catch (Throwable th) {
                    this.q1 = null;
                    DrmSession<h> drmSession2 = this.o1;
                    if (!(drmSession2 == null || this.p1 == drmSession2)) {
                        this.g1.f(drmSession2);
                    }
                    throw th;
                } finally {
                    this.o1 = null;
                }
            } catch (Throwable th2) {
                this.q1 = null;
                DrmSession<h> drmSession3 = this.o1;
                if (!(drmSession3 == null || this.p1 == drmSession3)) {
                    try {
                        this.g1.f(drmSession3);
                    } finally {
                        this.o1 = null;
                    }
                }
                throw th2;
            } finally {
            }
        }
    }

    /* access modifiers changed from: protected */
    public void o0() throws ExoPlaybackException {
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void q() {
        this.n1 = null;
        try {
            n0();
            try {
                DrmSession<h> drmSession = this.o1;
                if (drmSession != null) {
                    this.g1.f(drmSession);
                }
                try {
                    DrmSession<h> drmSession2 = this.p1;
                    if (!(drmSession2 == null || drmSession2 == this.o1)) {
                        this.g1.f(drmSession2);
                    }
                } finally {
                    this.o1 = null;
                    this.p1 = null;
                }
            } catch (Throwable th) {
                DrmSession<h> drmSession3 = this.p1;
                if (!(drmSession3 == null || drmSession3 == this.o1)) {
                    this.g1.f(drmSession3);
                }
                throw th;
            } finally {
                this.o1 = null;
                this.p1 = null;
            }
        } catch (Throwable th2) {
            try {
                DrmSession<h> drmSession4 = this.p1;
                if (!(drmSession4 == null || drmSession4 == this.o1)) {
                    this.g1.f(drmSession4);
                }
                throw th2;
            } finally {
                this.o1 = null;
                this.p1 = null;
            }
        } finally {
        }
    }

    @Override // com.google.android.exoplayer2.Renderer
    public void r(long j, long j2) throws ExoPlaybackException {
        if (this.O1) {
            o0();
            return;
        }
        if (this.n1 == null) {
            this.j1.j();
            int E = E(this.k1, this.j1, true);
            if (E == -5) {
                f0(this.k1.f8542a);
            } else if (E == -4) {
                com.google.android.exoplayer2.util.a.i(this.j1.o());
                this.N1 = true;
                j0();
                return;
            } else {
                return;
            }
        }
        d0();
        if (this.q1 != null) {
            z.a("drainAndFeed");
            do {
            } while (R(j, j2));
            do {
            } while (S());
            z.c();
        } else {
            this.R1.f8039d += F(j);
            this.j1.j();
            int E2 = E(this.k1, this.j1, false);
            if (E2 == -5) {
                f0(this.k1.f8542a);
            } else if (E2 == -4) {
                com.google.android.exoplayer2.util.a.i(this.j1.o());
                this.N1 = true;
                j0();
            }
        }
        this.R1.a();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void s(boolean z) throws ExoPlaybackException {
        this.R1 = new d();
    }

    /* access modifiers changed from: protected */
    public boolean s0(a aVar) {
        return true;
    }

    /* access modifiers changed from: protected */
    public abstract int v0(b bVar, com.google.android.exoplayer2.drm.d<h> dVar, Format format) throws MediaCodecUtil.DecoderQueryException;

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void z(long j, boolean z) throws ExoPlaybackException {
        this.N1 = false;
        this.O1 = false;
        if (this.q1 != null) {
            T();
        }
    }

    public static class DecoderInitializationException extends Exception {
        private static final int I0 = -49998;

        /* renamed from: a  reason: collision with root package name */
        private static final int f8543a = -50000;

        /* renamed from: b  reason: collision with root package name */
        private static final int f8544b = -49999;
        public final String decoderName;
        public final String diagnosticInfo;
        public final String mimeType;
        public final boolean secureDecoderRequired;

        public DecoderInitializationException(Format format, Throwable th, boolean z, int i) {
            super("Decoder init failed: [" + i + "], " + format, th);
            this.mimeType = format.N0;
            this.secureDecoderRequired = z;
            this.decoderName = null;
            this.diagnosticInfo = a(i);
        }

        private static String a(int i) {
            String str = i < 0 ? "neg_" : "";
            return "com.google.android.exoplayer.MediaCodecTrackRenderer_" + str + Math.abs(i);
        }

        @TargetApi(21)
        private static String b(Throwable th) {
            if (th instanceof MediaCodec.CodecException) {
                return ((MediaCodec.CodecException) th).getDiagnosticInfo();
            }
            return null;
        }

        public DecoderInitializationException(Format format, Throwable th, boolean z, String str) {
            super("Decoder init failed: " + str + ", " + format, th);
            this.mimeType = format.N0;
            this.secureDecoderRequired = z;
            this.decoderName = str;
            this.diagnosticInfo = b0.f9571a >= 21 ? b(th) : null;
        }
    }
}
