package com.google.android.exoplayer2.offline;

import android.net.Uri;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.offline.b;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.lang.Comparable;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/* compiled from: SegmentDownloadAction */
public abstract class k<K extends Comparable<K>> extends b {
    public final List<K> f;

    /* compiled from: SegmentDownloadAction */
    protected static abstract class a<K> extends b.a {
        public a(String str, int i) {
            super(str, i);
        }

        @Override // com.google.android.exoplayer2.offline.b.a
        public final b a(int i, DataInputStream dataInputStream) throws IOException {
            Uri parse = Uri.parse(dataInputStream.readUTF());
            boolean readBoolean = dataInputStream.readBoolean();
            byte[] bArr = new byte[dataInputStream.readInt()];
            dataInputStream.readFully(bArr);
            int readInt = dataInputStream.readInt();
            List<K> arrayList = new ArrayList<>();
            for (int i2 = 0; i2 < readInt; i2++) {
                arrayList.add(c(dataInputStream));
            }
            return b(parse, readBoolean, bArr, arrayList);
        }

        /* access modifiers changed from: protected */
        public abstract b b(Uri uri, boolean z, byte[] bArr, List<K> list);

        /* access modifiers changed from: protected */
        public abstract K c(DataInputStream dataInputStream) throws IOException;
    }

    protected k(String str, int i, Uri uri, boolean z, @Nullable byte[] bArr, List<K> list) {
        super(str, i, uri, z, bArr);
        if (z) {
            com.google.android.exoplayer2.util.a.a(list.isEmpty());
            this.f = Collections.emptyList();
            return;
        }
        ArrayList arrayList = new ArrayList(list);
        Collections.sort(arrayList);
        this.f = Collections.unmodifiableList(arrayList);
    }

    @Override // com.google.android.exoplayer2.offline.b
    public boolean equals(@Nullable Object obj) {
        if (this == obj) {
            return true;
        }
        if (!super.equals(obj)) {
            return false;
        }
        return this.f.equals(((k) obj).f);
    }

    @Override // com.google.android.exoplayer2.offline.b
    public final void f(DataOutputStream dataOutputStream) throws IOException {
        dataOutputStream.writeUTF(this.f8649c.toString());
        dataOutputStream.writeBoolean(this.f8650d);
        dataOutputStream.writeInt(this.f8651e.length);
        dataOutputStream.write(this.f8651e);
        dataOutputStream.writeInt(this.f.size());
        for (int i = 0; i < this.f.size(); i++) {
            g(dataOutputStream, this.f.get(i));
        }
    }

    /* access modifiers changed from: protected */
    public abstract void g(DataOutputStream dataOutputStream, K k) throws IOException;

    @Override // com.google.android.exoplayer2.offline.b
    public int hashCode() {
        return (super.hashCode() * 31) + this.f.hashCode();
    }
}
