package com.google.android.exoplayer2.source.dash;

import android.net.Uri;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.drm.DrmInitData;
import com.google.android.exoplayer2.extractor.mkv.MatroskaExtractor;
import com.google.android.exoplayer2.extractor.mp4.FragmentedMp4Extractor;
import com.google.android.exoplayer2.g0.a;
import com.google.android.exoplayer2.source.d0.d;
import com.google.android.exoplayer2.source.d0.k;
import com.google.android.exoplayer2.source.dash.k.b;
import com.google.android.exoplayer2.source.dash.k.c;
import com.google.android.exoplayer2.source.dash.k.f;
import com.google.android.exoplayer2.source.dash.k.g;
import com.google.android.exoplayer2.source.dash.k.h;
import com.google.android.exoplayer2.upstream.DataSpec;
import com.google.android.exoplayer2.upstream.s;
import com.google.android.exoplayer2.util.n;
import java.io.IOException;
import java.util.List;

/* compiled from: DashUtil */
public final class e {
    private e() {
    }

    @Nullable
    private static h a(f fVar, int i) {
        int a2 = fVar.a(i);
        if (a2 == -1) {
            return null;
        }
        List<h> list = fVar.f8884c.get(a2).f8857d;
        if (list.isEmpty()) {
            return null;
        }
        return list.get(0);
    }

    @Nullable
    public static a b(com.google.android.exoplayer2.upstream.h hVar, int i, h hVar2) throws IOException, InterruptedException {
        d d2 = d(hVar, i, hVar2, true);
        if (d2 == null) {
            return null;
        }
        return (a) d2.c();
    }

    @Nullable
    public static DrmInitData c(com.google.android.exoplayer2.upstream.h hVar, f fVar) throws IOException, InterruptedException {
        int i = 2;
        h a2 = a(fVar, 2);
        if (a2 == null) {
            i = 1;
            a2 = a(fVar, 1);
            if (a2 == null) {
                return null;
            }
        }
        Format format = a2.f8893e;
        Format g = g(hVar, i, a2);
        if (g == null) {
            return format.Q0;
        }
        return g.d(format).Q0;
    }

    @Nullable
    private static d d(com.google.android.exoplayer2.upstream.h hVar, int i, h hVar2, boolean z) throws IOException, InterruptedException {
        g k = hVar2.k();
        if (k == null) {
            return null;
        }
        d h = h(i, hVar2.f8893e);
        if (z) {
            g j = hVar2.j();
            if (j == null) {
                return null;
            }
            g a2 = k.a(j, hVar2.f);
            if (a2 == null) {
                e(hVar, hVar2, h, k);
                k = j;
            } else {
                k = a2;
            }
        }
        e(hVar, hVar2, h, k);
        return h;
    }

    private static void e(com.google.android.exoplayer2.upstream.h hVar, h hVar2, d dVar, g gVar) throws IOException, InterruptedException {
        new k(hVar, new DataSpec(gVar.b(hVar2.f), gVar.f8886a, gVar.f8887b, hVar2.h()), hVar2.f8893e, 0, null, dVar).a();
    }

    public static b f(com.google.android.exoplayer2.upstream.h hVar, Uri uri) throws IOException {
        return (b) s.e(hVar, new c(), uri);
    }

    @Nullable
    public static Format g(com.google.android.exoplayer2.upstream.h hVar, int i, h hVar2) throws IOException, InterruptedException {
        d d2 = d(hVar, i, hVar2, false);
        if (d2 == null) {
            return null;
        }
        return d2.b()[0];
    }

    private static d h(int i, Format format) {
        String str = format.M0;
        return new d(str != null && (str.startsWith(n.f) || str.startsWith(n.s)) ? new MatroskaExtractor() : new FragmentedMp4Extractor(), i, format);
    }
}
