package com.google.android.exoplayer2.text.ttml;

import android.text.SpannableStringBuilder;
import android.text.style.AbsoluteSizeSpan;
import android.text.style.AlignmentSpan;
import android.text.style.BackgroundColorSpan;
import android.text.style.ForegroundColorSpan;
import android.text.style.RelativeSizeSpan;
import android.text.style.StrikethroughSpan;
import android.text.style.StyleSpan;
import android.text.style.TypefaceSpan;
import android.text.style.UnderlineSpan;
import com.ibm.icu.impl.number.Padder;
import java.util.Map;

/* compiled from: TtmlRenderUtil */
final class d {
    private d() {
    }

    public static void a(SpannableStringBuilder spannableStringBuilder, int i, int i2, TtmlStyle ttmlStyle) {
        if (ttmlStyle.h() != -1) {
            spannableStringBuilder.setSpan(new StyleSpan(ttmlStyle.h()), i, i2, 33);
        }
        if (ttmlStyle.n()) {
            spannableStringBuilder.setSpan(new StrikethroughSpan(), i, i2, 33);
        }
        if (ttmlStyle.o()) {
            spannableStringBuilder.setSpan(new UnderlineSpan(), i, i2, 33);
        }
        if (ttmlStyle.k()) {
            spannableStringBuilder.setSpan(new ForegroundColorSpan(ttmlStyle.c()), i, i2, 33);
        }
        if (ttmlStyle.j()) {
            spannableStringBuilder.setSpan(new BackgroundColorSpan(ttmlStyle.b()), i, i2, 33);
        }
        if (ttmlStyle.d() != null) {
            spannableStringBuilder.setSpan(new TypefaceSpan(ttmlStyle.d()), i, i2, 33);
        }
        if (ttmlStyle.i() != null) {
            spannableStringBuilder.setSpan(new AlignmentSpan.Standard(ttmlStyle.i()), i, i2, 33);
        }
        int f = ttmlStyle.f();
        if (f == 1) {
            spannableStringBuilder.setSpan(new AbsoluteSizeSpan((int) ttmlStyle.e(), true), i, i2, 33);
        } else if (f == 2) {
            spannableStringBuilder.setSpan(new RelativeSizeSpan(ttmlStyle.e()), i, i2, 33);
        } else if (f == 3) {
            spannableStringBuilder.setSpan(new RelativeSizeSpan(ttmlStyle.e() / 100.0f), i, i2, 33);
        }
    }

    static String b(String str) {
        return str.replaceAll("\r\n", "\n").replaceAll(" *\n *", "\n").replaceAll("\n", Padder.f14124a).replaceAll("[ \t\\x0B\f\r]+", Padder.f14124a);
    }

    static void c(SpannableStringBuilder spannableStringBuilder) {
        int length = spannableStringBuilder.length() - 1;
        while (length >= 0 && spannableStringBuilder.charAt(length) == ' ') {
            length--;
        }
        if (length >= 0 && spannableStringBuilder.charAt(length) != '\n') {
            spannableStringBuilder.append('\n');
        }
    }

    public static TtmlStyle d(TtmlStyle ttmlStyle, String[] strArr, Map<String, TtmlStyle> map) {
        if (ttmlStyle == null && strArr == null) {
            return null;
        }
        int i = 0;
        if (ttmlStyle == null && strArr.length == 1) {
            return map.get(strArr[0]);
        }
        if (ttmlStyle == null && strArr.length > 1) {
            TtmlStyle ttmlStyle2 = new TtmlStyle();
            int length = strArr.length;
            while (i < length) {
                ttmlStyle2.a(map.get(strArr[i]));
                i++;
            }
            return ttmlStyle2;
        } else if (ttmlStyle != null && strArr != null && strArr.length == 1) {
            return ttmlStyle.a(map.get(strArr[0]));
        } else {
            if (!(ttmlStyle == null || strArr == null || strArr.length <= 1)) {
                int length2 = strArr.length;
                while (i < length2) {
                    ttmlStyle.a(map.get(strArr[i]));
                    i++;
                }
            }
            return ttmlStyle;
        }
    }
}
