package com.google.android.gms.common.internal;

import android.content.ComponentName;
import android.content.Context;
import android.content.ServiceConnection;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import c.c.a.a.d.b.e;
import com.google.android.exoplayer2.DefaultRenderersFactory;
import com.google.android.gms.common.internal.m;
import com.google.android.gms.common.stats.a;
import java.util.HashMap;
import javax.annotation.concurrent.GuardedBy;

/* access modifiers changed from: package-private */
public final class b1 extends m implements Handler.Callback {
    @GuardedBy("mConnectionStatus")
    private final HashMap<m.a, c1> I0 = new HashMap<>();
    private final Context J0;
    private final Handler K0;
    private final a L0;
    private final long M0;
    private final long N0;

    b1(Context context) {
        this.J0 = context.getApplicationContext();
        this.K0 = new e(context.getMainLooper(), this);
        this.L0 = a.b();
        this.M0 = DefaultRenderersFactory.f7874a;
        this.N0 = androidx.work.m.h;
    }

    static /* synthetic */ HashMap i(b1 b1Var) {
        return b1Var.I0;
    }

    static /* synthetic */ Handler j(b1 b1Var) {
        return b1Var.K0;
    }

    static /* synthetic */ Context k(b1 b1Var) {
        return b1Var.J0;
    }

    static /* synthetic */ a l(b1 b1Var) {
        return b1Var.L0;
    }

    static /* synthetic */ long m(b1 b1Var) {
        return b1Var.N0;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.internal.m
    public final boolean g(m.a aVar, ServiceConnection serviceConnection, String str) {
        boolean d2;
        a0.l(serviceConnection, "ServiceConnection must not be null");
        synchronized (this.I0) {
            c1 c1Var = this.I0.get(aVar);
            if (c1Var == null) {
                c1Var = new c1(this, aVar);
                c1Var.e(serviceConnection, str);
                c1Var.h(str);
                this.I0.put(aVar, c1Var);
            } else {
                this.K0.removeMessages(0, aVar);
                if (!c1Var.f(serviceConnection)) {
                    c1Var.e(serviceConnection, str);
                    int c2 = c1Var.c();
                    if (c2 == 1) {
                        serviceConnection.onServiceConnected(c1Var.b(), c1Var.a());
                    } else if (c2 == 2) {
                        c1Var.h(str);
                    }
                } else {
                    String valueOf = String.valueOf(aVar);
                    StringBuilder sb = new StringBuilder(valueOf.length() + 81);
                    sb.append("Trying to bind a GmsServiceConnection that was already connected before.  config=");
                    sb.append(valueOf);
                    throw new IllegalStateException(sb.toString());
                }
            }
            d2 = c1Var.d();
        }
        return d2;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.internal.m
    public final void h(m.a aVar, ServiceConnection serviceConnection, String str) {
        a0.l(serviceConnection, "ServiceConnection must not be null");
        synchronized (this.I0) {
            c1 c1Var = this.I0.get(aVar);
            if (c1Var == null) {
                String valueOf = String.valueOf(aVar);
                StringBuilder sb = new StringBuilder(valueOf.length() + 50);
                sb.append("Nonexistent connection status for service config: ");
                sb.append(valueOf);
                throw new IllegalStateException(sb.toString());
            } else if (c1Var.f(serviceConnection)) {
                c1Var.g(serviceConnection, str);
                if (c1Var.j()) {
                    this.K0.sendMessageDelayed(this.K0.obtainMessage(0, aVar), this.M0);
                }
            } else {
                String valueOf2 = String.valueOf(aVar);
                StringBuilder sb2 = new StringBuilder(valueOf2.length() + 76);
                sb2.append("Trying to unbind a GmsServiceConnection  that was not bound before.  config=");
                sb2.append(valueOf2);
                throw new IllegalStateException(sb2.toString());
            }
        }
    }

    public final boolean handleMessage(Message message) {
        int i = message.what;
        if (i == 0) {
            synchronized (this.I0) {
                m.a aVar = (m.a) message.obj;
                c1 c1Var = this.I0.get(aVar);
                if (c1Var != null && c1Var.j()) {
                    if (c1Var.d()) {
                        c1Var.i("GmsClientSupervisor");
                    }
                    this.I0.remove(aVar);
                }
            }
            return true;
        } else if (i != 1) {
            return false;
        } else {
            synchronized (this.I0) {
                m.a aVar2 = (m.a) message.obj;
                c1 c1Var2 = this.I0.get(aVar2);
                if (c1Var2 != null && c1Var2.c() == 3) {
                    String valueOf = String.valueOf(aVar2);
                    StringBuilder sb = new StringBuilder(valueOf.length() + 47);
                    sb.append("Timeout waiting for ServiceConnection callback ");
                    sb.append(valueOf);
                    Log.e("GmsClientSupervisor", sb.toString(), new Exception());
                    ComponentName b2 = c1Var2.b();
                    if (b2 == null) {
                        b2 = aVar2.a();
                    }
                    if (b2 == null) {
                        b2 = new ComponentName(aVar2.b(), "unknown");
                    }
                    c1Var2.onServiceDisconnected(b2);
                }
            }
            return true;
        }
    }
}
