package com.google.android.gms.common.internal;

import android.accounts.Account;
import android.content.Context;
import android.os.Handler;
import android.os.IInterface;
import android.os.Looper;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.gms.common.Feature;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.api.a;
import com.google.android.gms.common.api.i;
import com.google.android.gms.common.d;
import com.google.android.gms.common.internal.e;
import com.google.android.gms.common.internal.l;
import com.google.android.gms.common.util.VisibleForTesting;
import java.util.Set;

@KeepForSdk
public abstract class k<T extends IInterface> extends e<T> implements a.f, l.a {
    private final f I;
    private final Set<Scope> J;
    private final Account K;

    @VisibleForTesting
    @KeepForSdk
    protected k(Context context, Handler handler, int i, f fVar) {
        this(context, handler, m.c(context), d.v(), i, fVar, (i.b) null, (i.c) null);
    }

    @Nullable
    private static e.a m0(i.b bVar) {
        if (bVar == null) {
            return null;
        }
        return new o0(bVar);
    }

    @Nullable
    private static e.b n0(i.c cVar) {
        if (cVar == null) {
            return null;
        }
        return new p0(cVar);
    }

    private final Set<Scope> o0(@NonNull Set<Scope> set) {
        Set<Scope> l0 = l0(set);
        for (Scope scope : l0) {
            if (!set.contains(scope)) {
                throw new IllegalStateException("Expanding scopes is not permitted, use implied scopes instead");
            }
        }
        return l0;
    }

    @Override // com.google.android.gms.common.internal.e
    public final Account A() {
        return this.K;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.internal.e
    public final Set<Scope> F() {
        return this.J;
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public final f k0() {
        return this.I;
    }

    @Override // com.google.android.gms.common.api.a.f
    @KeepForSdk
    public Feature[] l() {
        return new Feature[0];
    }

    /* access modifiers changed from: protected */
    @NonNull
    @KeepForSdk
    public Set<Scope> l0(@NonNull Set<Scope> set) {
        return set;
    }

    @Override // com.google.android.gms.common.api.a.f, com.google.android.gms.common.internal.e
    public int p() {
        return super.p();
    }

    @KeepForSdk
    protected k(Context context, Looper looper, int i, f fVar, i.b bVar, i.c cVar) {
        this(context, looper, m.c(context), d.v(), i, fVar, (i.b) a0.k(bVar), (i.c) a0.k(cVar));
    }

    @KeepForSdk
    protected k(Context context, Looper looper, int i, f fVar) {
        this(context, looper, m.c(context), d.v(), i, fVar, (i.b) null, (i.c) null);
    }

    @VisibleForTesting
    protected k(Context context, Looper looper, m mVar, d dVar, int i, f fVar, i.b bVar, i.c cVar) {
        super(context, looper, mVar, dVar, i, m0(bVar), n0(cVar), fVar.j());
        this.I = fVar;
        this.K = fVar.b();
        this.J = o0(fVar.e());
    }

    @VisibleForTesting
    protected k(Context context, Handler handler, m mVar, d dVar, int i, f fVar, i.b bVar, i.c cVar) {
        super(context, handler, mVar, dVar, i, m0(bVar), n0(cVar));
        this.I = (f) a0.k(fVar);
        this.K = fVar.b();
        this.J = o0(fVar.e());
    }
}
