package com.google.android.gms.common.internal.safeparcel;

import android.os.Bundle;
import android.os.IBinder;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.SparseArray;
import android.util.SparseBooleanArray;
import android.util.SparseIntArray;
import android.util.SparseLongArray;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.List;

public class a {
    private a() {
    }

    public static void A(Parcel parcel, int i, SparseArray<Float> sparseArray, boolean z) {
        if (sparseArray != null) {
            int e0 = e0(parcel, i);
            int size = sparseArray.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                parcel.writeInt(sparseArray.keyAt(i2));
                parcel.writeFloat(sparseArray.valueAt(i2).floatValue());
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void B(Parcel parcel, int i, IBinder iBinder, boolean z) {
        if (iBinder != null) {
            int e0 = e0(parcel, i);
            parcel.writeStrongBinder(iBinder);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void C(Parcel parcel, int i, IBinder[] iBinderArr, boolean z) {
        if (iBinderArr != null) {
            int e0 = e0(parcel, i);
            parcel.writeBinderArray(iBinderArr);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void D(Parcel parcel, int i, List<IBinder> list, boolean z) {
        if (list != null) {
            int e0 = e0(parcel, i);
            parcel.writeBinderList(list);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void E(Parcel parcel, int i, SparseArray<IBinder> sparseArray, boolean z) {
        if (sparseArray != null) {
            int e0 = e0(parcel, i);
            int size = sparseArray.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                parcel.writeInt(sparseArray.keyAt(i2));
                parcel.writeStrongBinder(sparseArray.valueAt(i2));
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void F(Parcel parcel, int i, int i2) {
        h0(parcel, i, 4);
        parcel.writeInt(i2);
    }

    public static void G(Parcel parcel, int i, int[] iArr, boolean z) {
        if (iArr != null) {
            int e0 = e0(parcel, i);
            parcel.writeIntArray(iArr);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void H(Parcel parcel, int i, List<Integer> list, boolean z) {
        if (list != null) {
            int e0 = e0(parcel, i);
            int size = list.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                parcel.writeInt(list.get(i2).intValue());
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void I(Parcel parcel, int i, Integer num, boolean z) {
        if (num != null) {
            h0(parcel, i, 4);
            parcel.writeInt(num.intValue());
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void J(Parcel parcel, int i, List list, boolean z) {
        if (list != null) {
            int e0 = e0(parcel, i);
            parcel.writeList(list);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void K(Parcel parcel, int i, long j) {
        h0(parcel, i, 8);
        parcel.writeLong(j);
    }

    public static void L(Parcel parcel, int i, long[] jArr, boolean z) {
        if (jArr != null) {
            int e0 = e0(parcel, i);
            parcel.writeLongArray(jArr);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void M(Parcel parcel, int i, List<Long> list, boolean z) {
        if (list != null) {
            int e0 = e0(parcel, i);
            int size = list.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                parcel.writeLong(list.get(i2).longValue());
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void N(Parcel parcel, int i, Long l, boolean z) {
        if (l != null) {
            h0(parcel, i, 8);
            parcel.writeLong(l.longValue());
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void O(Parcel parcel, int i, Parcel parcel2, boolean z) {
        if (parcel2 != null) {
            int e0 = e0(parcel, i);
            parcel.appendFrom(parcel2, 0, parcel2.dataSize());
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void P(Parcel parcel, int i, Parcel[] parcelArr, boolean z) {
        if (parcelArr != null) {
            int e0 = e0(parcel, i);
            int length = parcelArr.length;
            parcel.writeInt(length);
            for (Parcel parcel2 : parcelArr) {
                if (parcel2 != null) {
                    parcel.writeInt(parcel2.dataSize());
                    parcel.appendFrom(parcel2, 0, parcel2.dataSize());
                } else {
                    parcel.writeInt(0);
                }
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void Q(Parcel parcel, int i, List<Parcel> list, boolean z) {
        if (list != null) {
            int e0 = e0(parcel, i);
            int size = list.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                Parcel parcel2 = list.get(i2);
                if (parcel2 != null) {
                    parcel.writeInt(parcel2.dataSize());
                    parcel.appendFrom(parcel2, 0, parcel2.dataSize());
                } else {
                    parcel.writeInt(0);
                }
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void R(Parcel parcel, int i, SparseArray<Parcel> sparseArray, boolean z) {
        if (sparseArray != null) {
            int e0 = e0(parcel, i);
            int size = sparseArray.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                parcel.writeInt(sparseArray.keyAt(i2));
                Parcel valueAt = sparseArray.valueAt(i2);
                if (valueAt != null) {
                    parcel.writeInt(valueAt.dataSize());
                    parcel.appendFrom(valueAt, 0, valueAt.dataSize());
                } else {
                    parcel.writeInt(0);
                }
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void S(Parcel parcel, int i, Parcelable parcelable, int i2, boolean z) {
        if (parcelable != null) {
            int e0 = e0(parcel, i);
            parcelable.writeToParcel(parcel, i2);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void T(Parcel parcel, int i, short s) {
        h0(parcel, i, 4);
        parcel.writeInt(s);
    }

    public static void U(Parcel parcel, int i, SparseBooleanArray sparseBooleanArray, boolean z) {
        if (sparseBooleanArray != null) {
            int e0 = e0(parcel, i);
            parcel.writeSparseBooleanArray(sparseBooleanArray);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void V(Parcel parcel, int i, SparseIntArray sparseIntArray, boolean z) {
        if (sparseIntArray != null) {
            int e0 = e0(parcel, i);
            int size = sparseIntArray.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                parcel.writeInt(sparseIntArray.keyAt(i2));
                parcel.writeInt(sparseIntArray.valueAt(i2));
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void W(Parcel parcel, int i, SparseLongArray sparseLongArray, boolean z) {
        if (sparseLongArray != null) {
            int e0 = e0(parcel, i);
            int size = sparseLongArray.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                parcel.writeInt(sparseLongArray.keyAt(i2));
                parcel.writeLong(sparseLongArray.valueAt(i2));
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void X(Parcel parcel, int i, String str, boolean z) {
        if (str != null) {
            int e0 = e0(parcel, i);
            parcel.writeString(str);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void Y(Parcel parcel, int i, String[] strArr, boolean z) {
        if (strArr != null) {
            int e0 = e0(parcel, i);
            parcel.writeStringArray(strArr);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void Z(Parcel parcel, int i, List<String> list, boolean z) {
        if (list != null) {
            int e0 = e0(parcel, i);
            parcel.writeStringList(list);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static int a(Parcel parcel) {
        return e0(parcel, 20293);
    }

    public static void a0(Parcel parcel, int i, SparseArray<String> sparseArray, boolean z) {
        if (sparseArray != null) {
            int e0 = e0(parcel, i);
            int size = sparseArray.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                parcel.writeInt(sparseArray.keyAt(i2));
                parcel.writeString(sparseArray.valueAt(i2));
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void b(Parcel parcel, int i) {
        g0(parcel, i);
    }

    public static <T extends Parcelable> void b0(Parcel parcel, int i, T[] tArr, int i2, boolean z) {
        if (tArr != null) {
            int e0 = e0(parcel, i);
            int length = tArr.length;
            parcel.writeInt(length);
            for (T t : tArr) {
                if (t == null) {
                    parcel.writeInt(0);
                } else {
                    f0(parcel, t, i2);
                }
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void c(Parcel parcel, int i, BigDecimal bigDecimal, boolean z) {
        if (bigDecimal != null) {
            int e0 = e0(parcel, i);
            parcel.writeByteArray(bigDecimal.unscaledValue().toByteArray());
            parcel.writeInt(bigDecimal.scale());
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static <T extends Parcelable> void c0(Parcel parcel, int i, List<T> list, boolean z) {
        if (list != null) {
            int e0 = e0(parcel, i);
            int size = list.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                T t = list.get(i2);
                if (t == null) {
                    parcel.writeInt(0);
                } else {
                    f0(parcel, t, 0);
                }
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void d(Parcel parcel, int i, BigDecimal[] bigDecimalArr, boolean z) {
        if (bigDecimalArr != null) {
            int e0 = e0(parcel, i);
            int length = bigDecimalArr.length;
            parcel.writeInt(length);
            for (int i2 = 0; i2 < length; i2++) {
                parcel.writeByteArray(bigDecimalArr[i2].unscaledValue().toByteArray());
                parcel.writeInt(bigDecimalArr[i2].scale());
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static <T extends Parcelable> void d0(Parcel parcel, int i, SparseArray<T> sparseArray, boolean z) {
        if (sparseArray != null) {
            int e0 = e0(parcel, i);
            int size = sparseArray.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                parcel.writeInt(sparseArray.keyAt(i2));
                T valueAt = sparseArray.valueAt(i2);
                if (valueAt == null) {
                    parcel.writeInt(0);
                } else {
                    f0(parcel, valueAt, 0);
                }
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void e(Parcel parcel, int i, BigInteger bigInteger, boolean z) {
        if (bigInteger != null) {
            int e0 = e0(parcel, i);
            parcel.writeByteArray(bigInteger.toByteArray());
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    private static int e0(Parcel parcel, int i) {
        parcel.writeInt(i | androidx.core.d.b.a.f2500c);
        parcel.writeInt(0);
        return parcel.dataPosition();
    }

    public static void f(Parcel parcel, int i, BigInteger[] bigIntegerArr, boolean z) {
        if (bigIntegerArr != null) {
            int e0 = e0(parcel, i);
            int length = bigIntegerArr.length;
            parcel.writeInt(length);
            for (BigInteger bigInteger : bigIntegerArr) {
                parcel.writeByteArray(bigInteger.toByteArray());
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    private static <T extends Parcelable> void f0(Parcel parcel, T t, int i) {
        int dataPosition = parcel.dataPosition();
        parcel.writeInt(1);
        int dataPosition2 = parcel.dataPosition();
        t.writeToParcel(parcel, i);
        int dataPosition3 = parcel.dataPosition();
        parcel.setDataPosition(dataPosition);
        parcel.writeInt(dataPosition3 - dataPosition2);
        parcel.setDataPosition(dataPosition3);
    }

    public static void g(Parcel parcel, int i, boolean z) {
        h0(parcel, i, 4);
        parcel.writeInt(z ? 1 : 0);
    }

    private static void g0(Parcel parcel, int i) {
        int dataPosition = parcel.dataPosition();
        parcel.setDataPosition(i - 4);
        parcel.writeInt(dataPosition - i);
        parcel.setDataPosition(dataPosition);
    }

    public static void h(Parcel parcel, int i, boolean[] zArr, boolean z) {
        if (zArr != null) {
            int e0 = e0(parcel, i);
            parcel.writeBooleanArray(zArr);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    private static void h0(Parcel parcel, int i, int i2) {
        if (i2 >= 65535) {
            parcel.writeInt(i | androidx.core.d.b.a.f2500c);
            parcel.writeInt(i2);
            return;
        }
        parcel.writeInt(i | (i2 << 16));
    }

    public static void i(Parcel parcel, int i, List<Boolean> list, boolean z) {
        if (list != null) {
            int e0 = e0(parcel, i);
            int size = list.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                parcel.writeInt(list.get(i2).booleanValue() ? 1 : 0);
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void j(Parcel parcel, int i, Boolean bool, boolean z) {
        if (bool != null) {
            h0(parcel, i, 4);
            parcel.writeInt(bool.booleanValue() ? 1 : 0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void k(Parcel parcel, int i, Bundle bundle, boolean z) {
        if (bundle != null) {
            int e0 = e0(parcel, i);
            parcel.writeBundle(bundle);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void l(Parcel parcel, int i, byte b2) {
        h0(parcel, i, 4);
        parcel.writeInt(b2);
    }

    public static void m(Parcel parcel, int i, byte[] bArr, boolean z) {
        if (bArr != null) {
            int e0 = e0(parcel, i);
            parcel.writeByteArray(bArr);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void n(Parcel parcel, int i, byte[][] bArr, boolean z) {
        if (bArr != null) {
            int e0 = e0(parcel, i);
            int length = bArr.length;
            parcel.writeInt(length);
            for (byte[] bArr2 : bArr) {
                parcel.writeByteArray(bArr2);
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void o(Parcel parcel, int i, SparseArray<byte[]> sparseArray, boolean z) {
        if (sparseArray != null) {
            int e0 = e0(parcel, i);
            int size = sparseArray.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                parcel.writeInt(sparseArray.keyAt(i2));
                parcel.writeByteArray(sparseArray.valueAt(i2));
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void p(Parcel parcel, int i, char c2) {
        h0(parcel, i, 4);
        parcel.writeInt(c2);
    }

    public static void q(Parcel parcel, int i, char[] cArr, boolean z) {
        if (cArr != null) {
            int e0 = e0(parcel, i);
            parcel.writeCharArray(cArr);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void r(Parcel parcel, int i, double d2) {
        h0(parcel, i, 8);
        parcel.writeDouble(d2);
    }

    public static void s(Parcel parcel, int i, double[] dArr, boolean z) {
        if (dArr != null) {
            int e0 = e0(parcel, i);
            parcel.writeDoubleArray(dArr);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void t(Parcel parcel, int i, List<Double> list, boolean z) {
        if (list != null) {
            int e0 = e0(parcel, i);
            int size = list.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                parcel.writeDouble(list.get(i2).doubleValue());
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void u(Parcel parcel, int i, Double d2, boolean z) {
        if (d2 != null) {
            h0(parcel, i, 8);
            parcel.writeDouble(d2.doubleValue());
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void v(Parcel parcel, int i, SparseArray<Double> sparseArray, boolean z) {
        if (sparseArray != null) {
            int e0 = e0(parcel, i);
            int size = sparseArray.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                parcel.writeInt(sparseArray.keyAt(i2));
                parcel.writeDouble(sparseArray.valueAt(i2).doubleValue());
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void w(Parcel parcel, int i, float f) {
        h0(parcel, i, 4);
        parcel.writeFloat(f);
    }

    public static void x(Parcel parcel, int i, float[] fArr, boolean z) {
        if (fArr != null) {
            int e0 = e0(parcel, i);
            parcel.writeFloatArray(fArr);
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void y(Parcel parcel, int i, List<Float> list, boolean z) {
        if (list != null) {
            int e0 = e0(parcel, i);
            int size = list.size();
            parcel.writeInt(size);
            for (int i2 = 0; i2 < size; i2++) {
                parcel.writeFloat(list.get(i2).floatValue());
            }
            g0(parcel, e0);
        } else if (z) {
            h0(parcel, i, 0);
        }
    }

    public static void z(Parcel parcel, int i, Float f, boolean z) {
        if (f != null) {
            h0(parcel, i, 4);
            parcel.writeFloat(f.floatValue());
        } else if (z) {
            h0(parcel, i, 0);
        }
    }
}
