package com.google.android.gms.common.util;

import androidx.annotation.Nullable;
import b.b.a;
import b.b.b;
import com.google.android.gms.common.annotation.KeepForSdk;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

@KeepForSdk
public final class h {
    private h() {
    }

    @KeepForSdk
    public static boolean a(@Nullable Collection<?> collection) {
        if (collection == null) {
            return true;
        }
        return collection.isEmpty();
    }

    @KeepForSdk
    @Deprecated
    public static <T> List<T> b() {
        return Collections.emptyList();
    }

    @KeepForSdk
    @Deprecated
    public static <T> List<T> c(T t) {
        return Collections.singletonList(t);
    }

    @KeepForSdk
    @Deprecated
    public static <T> List<T> d(T... tArr) {
        int length = tArr.length;
        if (length == 0) {
            return b();
        }
        if (length != 1) {
            return Collections.unmodifiableList(Arrays.asList(tArr));
        }
        return c(tArr[0]);
    }

    @KeepForSdk
    public static <K, V> Map<K, V> e(K k, V v, K k2, V v2, K k3, V v3) {
        Map l = l(3, false);
        l.put(k, v);
        l.put(k2, v2);
        l.put(k3, v3);
        return Collections.unmodifiableMap(l);
    }

    @KeepForSdk
    public static <K, V> Map<K, V> f(K k, V v, K k2, V v2, K k3, V v3, K k4, V v4, K k5, V v5, K k6, V v6) {
        Map l = l(6, false);
        l.put(k, v);
        l.put(k2, v2);
        l.put(k3, v3);
        l.put(k4, v4);
        l.put(k5, v5);
        l.put(k6, v6);
        return Collections.unmodifiableMap(l);
    }

    @KeepForSdk
    public static <K, V> Map<K, V> g(K[] kArr, V[] vArr) {
        if (kArr.length == vArr.length) {
            int length = kArr.length;
            if (length == 0) {
                return Collections.emptyMap();
            }
            if (length == 1) {
                return Collections.singletonMap(kArr[0], vArr[0]);
            }
            Map l = l(kArr.length, false);
            for (int i = 0; i < kArr.length; i++) {
                l.put(kArr[i], vArr[i]);
            }
            return Collections.unmodifiableMap(l);
        }
        int length2 = kArr.length;
        int length3 = vArr.length;
        StringBuilder sb = new StringBuilder(66);
        sb.append("Key and values array lengths not equal: ");
        sb.append(length2);
        sb.append(" != ");
        sb.append(length3);
        throw new IllegalArgumentException(sb.toString());
    }

    @KeepForSdk
    public static <T> Set<T> h(int i) {
        if (i == 0) {
            return new b();
        }
        return k(i, true);
    }

    @KeepForSdk
    @Deprecated
    public static <T> Set<T> i(T t, T t2, T t3) {
        Set k = k(3, false);
        k.add(t);
        k.add(t2);
        k.add(t3);
        return Collections.unmodifiableSet(k);
    }

    @KeepForSdk
    @Deprecated
    public static <T> Set<T> j(T... tArr) {
        int length = tArr.length;
        if (length == 0) {
            return Collections.emptySet();
        }
        if (length == 1) {
            return Collections.singleton(tArr[0]);
        }
        if (length == 2) {
            T t = tArr[0];
            T t2 = tArr[1];
            Set k = k(2, false);
            k.add(t);
            k.add(t2);
            return Collections.unmodifiableSet(k);
        } else if (length == 3) {
            return i(tArr[0], tArr[1], tArr[2]);
        } else {
            if (length != 4) {
                Set k2 = k(tArr.length, false);
                Collections.addAll(k2, tArr);
                return Collections.unmodifiableSet(k2);
            }
            T t3 = tArr[0];
            T t4 = tArr[1];
            T t5 = tArr[2];
            T t6 = tArr[3];
            Set k3 = k(4, false);
            k3.add(t3);
            k3.add(t4);
            k3.add(t5);
            k3.add(t6);
            return Collections.unmodifiableSet(k3);
        }
    }

    private static <T> Set<T> k(int i, boolean z) {
        float f = z ? 0.75f : 1.0f;
        if (i <= (z ? 128 : 256)) {
            return new b(i);
        }
        return new HashSet(i, f);
    }

    private static <K, V> Map<K, V> l(int i, boolean z) {
        if (i <= 256) {
            return new a(i);
        }
        return new HashMap(i, 1.0f);
    }
}
