package com.google.android.gms.internal.measurement;

import android.os.Bundle;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.google.android.gms.dynamic.d;

/* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
public abstract class y9 extends a1 implements za {
    public y9() {
        super("com.google.android.gms.measurement.api.internal.IAppMeasurementDynamiteService");
    }

    public static za asInterface(IBinder iBinder) {
        if (iBinder == null) {
            return null;
        }
        IInterface queryLocalInterface = iBinder.queryLocalInterface("com.google.android.gms.measurement.api.internal.IAppMeasurementDynamiteService");
        if (queryLocalInterface instanceof za) {
            return (za) queryLocalInterface;
        }
        return new ac(iBinder);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.internal.measurement.a1
    public final boolean b(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
        zb zbVar;
        zb zbVar2;
        zb zbVar3 = null;
        zb zbVar4 = null;
        zb zbVar5 = null;
        ec ecVar = null;
        ec ecVar2 = null;
        ec ecVar3 = null;
        zb zbVar6 = null;
        zb zbVar7 = null;
        zb zbVar8 = null;
        zb zbVar9 = null;
        zb zbVar10 = null;
        zb zbVar11 = null;
        fc fcVar = null;
        zb zbVar12 = null;
        zb zbVar13 = null;
        zb zbVar14 = null;
        zb zbVar15 = null;
        switch (i) {
            case 1:
                initialize(d.a.e(parcel.readStrongBinder()), (zzv) b0.a(parcel, zzv.CREATOR), parcel.readLong());
                break;
            case 2:
                logEvent(parcel.readString(), parcel.readString(), (Bundle) b0.a(parcel, Bundle.CREATOR), b0.e(parcel), b0.e(parcel), parcel.readLong());
                break;
            case 3:
                String readString = parcel.readString();
                String readString2 = parcel.readString();
                Bundle bundle = (Bundle) b0.a(parcel, Bundle.CREATOR);
                IBinder readStrongBinder = parcel.readStrongBinder();
                if (readStrongBinder == null) {
                    zbVar = null;
                } else {
                    IInterface queryLocalInterface = readStrongBinder.queryLocalInterface("com.google.android.gms.measurement.api.internal.IBundleReceiver");
                    if (queryLocalInterface instanceof zb) {
                        zbVar2 = (zb) queryLocalInterface;
                    } else {
                        zbVar2 = new bc(readStrongBinder);
                    }
                    zbVar = zbVar2;
                }
                logEventAndBundle(readString, readString2, bundle, zbVar, parcel.readLong());
                break;
            case 4:
                setUserProperty(parcel.readString(), parcel.readString(), d.a.e(parcel.readStrongBinder()), b0.e(parcel), parcel.readLong());
                break;
            case 5:
                String readString3 = parcel.readString();
                String readString4 = parcel.readString();
                boolean e2 = b0.e(parcel);
                IBinder readStrongBinder2 = parcel.readStrongBinder();
                if (readStrongBinder2 != null) {
                    IInterface queryLocalInterface2 = readStrongBinder2.queryLocalInterface("com.google.android.gms.measurement.api.internal.IBundleReceiver");
                    if (queryLocalInterface2 instanceof zb) {
                        zbVar3 = (zb) queryLocalInterface2;
                    } else {
                        zbVar3 = new bc(readStrongBinder2);
                    }
                }
                getUserProperties(readString3, readString4, e2, zbVar3);
                break;
            case 6:
                String readString5 = parcel.readString();
                IBinder readStrongBinder3 = parcel.readStrongBinder();
                if (readStrongBinder3 != null) {
                    IInterface queryLocalInterface3 = readStrongBinder3.queryLocalInterface("com.google.android.gms.measurement.api.internal.IBundleReceiver");
                    if (queryLocalInterface3 instanceof zb) {
                        zbVar15 = (zb) queryLocalInterface3;
                    } else {
                        zbVar15 = new bc(readStrongBinder3);
                    }
                }
                getMaxUserProperties(readString5, zbVar15);
                break;
            case 7:
                setUserId(parcel.readString(), parcel.readLong());
                break;
            case 8:
                setConditionalUserProperty((Bundle) b0.a(parcel, Bundle.CREATOR), parcel.readLong());
                break;
            case 9:
                clearConditionalUserProperty(parcel.readString(), parcel.readString(), (Bundle) b0.a(parcel, Bundle.CREATOR));
                break;
            case 10:
                String readString6 = parcel.readString();
                String readString7 = parcel.readString();
                IBinder readStrongBinder4 = parcel.readStrongBinder();
                if (readStrongBinder4 != null) {
                    IInterface queryLocalInterface4 = readStrongBinder4.queryLocalInterface("com.google.android.gms.measurement.api.internal.IBundleReceiver");
                    if (queryLocalInterface4 instanceof zb) {
                        zbVar14 = (zb) queryLocalInterface4;
                    } else {
                        zbVar14 = new bc(readStrongBinder4);
                    }
                }
                getConditionalUserProperties(readString6, readString7, zbVar14);
                break;
            case 11:
                setMeasurementEnabled(b0.e(parcel), parcel.readLong());
                break;
            case 12:
                resetAnalyticsData(parcel.readLong());
                break;
            case 13:
                setMinimumSessionDuration(parcel.readLong());
                break;
            case 14:
                setSessionTimeoutDuration(parcel.readLong());
                break;
            case 15:
                setCurrentScreen(d.a.e(parcel.readStrongBinder()), parcel.readString(), parcel.readString(), parcel.readLong());
                break;
            case 16:
                IBinder readStrongBinder5 = parcel.readStrongBinder();
                if (readStrongBinder5 != null) {
                    IInterface queryLocalInterface5 = readStrongBinder5.queryLocalInterface("com.google.android.gms.measurement.api.internal.IBundleReceiver");
                    if (queryLocalInterface5 instanceof zb) {
                        zbVar13 = (zb) queryLocalInterface5;
                    } else {
                        zbVar13 = new bc(readStrongBinder5);
                    }
                }
                getCurrentScreenName(zbVar13);
                break;
            case 17:
                IBinder readStrongBinder6 = parcel.readStrongBinder();
                if (readStrongBinder6 != null) {
                    IInterface queryLocalInterface6 = readStrongBinder6.queryLocalInterface("com.google.android.gms.measurement.api.internal.IBundleReceiver");
                    if (queryLocalInterface6 instanceof zb) {
                        zbVar12 = (zb) queryLocalInterface6;
                    } else {
                        zbVar12 = new bc(readStrongBinder6);
                    }
                }
                getCurrentScreenClass(zbVar12);
                break;
            case 18:
                IBinder readStrongBinder7 = parcel.readStrongBinder();
                if (readStrongBinder7 != null) {
                    IInterface queryLocalInterface7 = readStrongBinder7.queryLocalInterface("com.google.android.gms.measurement.api.internal.IStringProvider");
                    if (queryLocalInterface7 instanceof fc) {
                        fcVar = (fc) queryLocalInterface7;
                    } else {
                        fcVar = new hc(readStrongBinder7);
                    }
                }
                setInstanceIdProvider(fcVar);
                break;
            case 19:
                IBinder readStrongBinder8 = parcel.readStrongBinder();
                if (readStrongBinder8 != null) {
                    IInterface queryLocalInterface8 = readStrongBinder8.queryLocalInterface("com.google.android.gms.measurement.api.internal.IBundleReceiver");
                    if (queryLocalInterface8 instanceof zb) {
                        zbVar11 = (zb) queryLocalInterface8;
                    } else {
                        zbVar11 = new bc(readStrongBinder8);
                    }
                }
                getCachedAppInstanceId(zbVar11);
                break;
            case 20:
                IBinder readStrongBinder9 = parcel.readStrongBinder();
                if (readStrongBinder9 != null) {
                    IInterface queryLocalInterface9 = readStrongBinder9.queryLocalInterface("com.google.android.gms.measurement.api.internal.IBundleReceiver");
                    if (queryLocalInterface9 instanceof zb) {
                        zbVar10 = (zb) queryLocalInterface9;
                    } else {
                        zbVar10 = new bc(readStrongBinder9);
                    }
                }
                getAppInstanceId(zbVar10);
                break;
            case 21:
                IBinder readStrongBinder10 = parcel.readStrongBinder();
                if (readStrongBinder10 != null) {
                    IInterface queryLocalInterface10 = readStrongBinder10.queryLocalInterface("com.google.android.gms.measurement.api.internal.IBundleReceiver");
                    if (queryLocalInterface10 instanceof zb) {
                        zbVar9 = (zb) queryLocalInterface10;
                    } else {
                        zbVar9 = new bc(readStrongBinder10);
                    }
                }
                getGmpAppId(zbVar9);
                break;
            case 22:
                IBinder readStrongBinder11 = parcel.readStrongBinder();
                if (readStrongBinder11 != null) {
                    IInterface queryLocalInterface11 = readStrongBinder11.queryLocalInterface("com.google.android.gms.measurement.api.internal.IBundleReceiver");
                    if (queryLocalInterface11 instanceof zb) {
                        zbVar8 = (zb) queryLocalInterface11;
                    } else {
                        zbVar8 = new bc(readStrongBinder11);
                    }
                }
                generateEventId(zbVar8);
                break;
            case 23:
                beginAdUnitExposure(parcel.readString(), parcel.readLong());
                break;
            case 24:
                endAdUnitExposure(parcel.readString(), parcel.readLong());
                break;
            case 25:
                onActivityStarted(d.a.e(parcel.readStrongBinder()), parcel.readLong());
                break;
            case 26:
                onActivityStopped(d.a.e(parcel.readStrongBinder()), parcel.readLong());
                break;
            case 27:
                onActivityCreated(d.a.e(parcel.readStrongBinder()), (Bundle) b0.a(parcel, Bundle.CREATOR), parcel.readLong());
                break;
            case 28:
                onActivityDestroyed(d.a.e(parcel.readStrongBinder()), parcel.readLong());
                break;
            case 29:
                onActivityPaused(d.a.e(parcel.readStrongBinder()), parcel.readLong());
                break;
            case 30:
                onActivityResumed(d.a.e(parcel.readStrongBinder()), parcel.readLong());
                break;
            case 31:
                d e3 = d.a.e(parcel.readStrongBinder());
                IBinder readStrongBinder12 = parcel.readStrongBinder();
                if (readStrongBinder12 != null) {
                    IInterface queryLocalInterface12 = readStrongBinder12.queryLocalInterface("com.google.android.gms.measurement.api.internal.IBundleReceiver");
                    if (queryLocalInterface12 instanceof zb) {
                        zbVar7 = (zb) queryLocalInterface12;
                    } else {
                        zbVar7 = new bc(readStrongBinder12);
                    }
                }
                onActivitySaveInstanceState(e3, zbVar7, parcel.readLong());
                break;
            case 32:
                Bundle bundle2 = (Bundle) b0.a(parcel, Bundle.CREATOR);
                IBinder readStrongBinder13 = parcel.readStrongBinder();
                if (readStrongBinder13 != null) {
                    IInterface queryLocalInterface13 = readStrongBinder13.queryLocalInterface("com.google.android.gms.measurement.api.internal.IBundleReceiver");
                    if (queryLocalInterface13 instanceof zb) {
                        zbVar6 = (zb) queryLocalInterface13;
                    } else {
                        zbVar6 = new bc(readStrongBinder13);
                    }
                }
                performAction(bundle2, zbVar6, parcel.readLong());
                break;
            case 33:
                logHealthData(parcel.readInt(), parcel.readString(), d.a.e(parcel.readStrongBinder()), d.a.e(parcel.readStrongBinder()), d.a.e(parcel.readStrongBinder()));
                break;
            case 34:
                IBinder readStrongBinder14 = parcel.readStrongBinder();
                if (readStrongBinder14 != null) {
                    IInterface queryLocalInterface14 = readStrongBinder14.queryLocalInterface("com.google.android.gms.measurement.api.internal.IEventHandlerProxy");
                    if (queryLocalInterface14 instanceof ec) {
                        ecVar3 = (ec) queryLocalInterface14;
                    } else {
                        ecVar3 = new gc(readStrongBinder14);
                    }
                }
                setEventInterceptor(ecVar3);
                break;
            case 35:
                IBinder readStrongBinder15 = parcel.readStrongBinder();
                if (readStrongBinder15 != null) {
                    IInterface queryLocalInterface15 = readStrongBinder15.queryLocalInterface("com.google.android.gms.measurement.api.internal.IEventHandlerProxy");
                    if (queryLocalInterface15 instanceof ec) {
                        ecVar2 = (ec) queryLocalInterface15;
                    } else {
                        ecVar2 = new gc(readStrongBinder15);
                    }
                }
                registerOnMeasurementEventListener(ecVar2);
                break;
            case 36:
                IBinder readStrongBinder16 = parcel.readStrongBinder();
                if (readStrongBinder16 != null) {
                    IInterface queryLocalInterface16 = readStrongBinder16.queryLocalInterface("com.google.android.gms.measurement.api.internal.IEventHandlerProxy");
                    if (queryLocalInterface16 instanceof ec) {
                        ecVar = (ec) queryLocalInterface16;
                    } else {
                        ecVar = new gc(readStrongBinder16);
                    }
                }
                unregisterOnMeasurementEventListener(ecVar);
                break;
            case 37:
                initForTests(b0.f(parcel));
                break;
            case 38:
                IBinder readStrongBinder17 = parcel.readStrongBinder();
                if (readStrongBinder17 != null) {
                    IInterface queryLocalInterface17 = readStrongBinder17.queryLocalInterface("com.google.android.gms.measurement.api.internal.IBundleReceiver");
                    if (queryLocalInterface17 instanceof zb) {
                        zbVar5 = (zb) queryLocalInterface17;
                    } else {
                        zbVar5 = new bc(readStrongBinder17);
                    }
                }
                getTestFlag(zbVar5, parcel.readInt());
                break;
            case 39:
                setDataCollectionEnabled(b0.e(parcel));
                break;
            case 40:
                IBinder readStrongBinder18 = parcel.readStrongBinder();
                if (readStrongBinder18 != null) {
                    IInterface queryLocalInterface18 = readStrongBinder18.queryLocalInterface("com.google.android.gms.measurement.api.internal.IBundleReceiver");
                    if (queryLocalInterface18 instanceof zb) {
                        zbVar4 = (zb) queryLocalInterface18;
                    } else {
                        zbVar4 = new bc(readStrongBinder18);
                    }
                }
                isDataCollectionEnabled(zbVar4);
                break;
            default:
                return false;
        }
        parcel2.writeNoException();
        return true;
    }
}
