package com.google.android.gms.measurement.internal;

import android.content.Context;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import com.alipay.sdk.app.c.b;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.g;
import com.google.android.gms.internal.measurement.g8;
import com.google.android.gms.internal.measurement.k5;
import com.google.android.gms.internal.measurement.q3;
import com.google.android.gms.internal.measurement.zzbj;
import com.google.android.gms.internal.measurement.zzbr;
import com.google.android.gms.internal.measurement.zzfo;
import com.niming.weipa.c.a;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.security.MessageDigest;
import java.util.ArrayList;
import java.util.BitSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.zip.GZIPInputStream;
import java.util.zip.GZIPOutputStream;
import tv.danmaku.ijk.media.player.IjkMediaPlayer;

/* compiled from: com.google.android.gms:play-services-measurement@@17.2.0 */
public final class p9 extends h9 {
    p9(l9 l9Var) {
        super(l9Var);
    }

    static zzbr.e A(zzbr.c cVar, String str) {
        for (zzbr.e eVar : cVar.B()) {
            if (eVar.A().equals(str)) {
                return eVar;
            }
        }
        return null;
    }

    static <Builder extends k5> Builder B(Builder builder, byte[] bArr) throws zzfo {
        q3 c2 = q3.c();
        return c2 != null ? (Builder) builder.e0(bArr, c2) : (Builder) builder.o0(bArr);
    }

    private static String F(boolean z, boolean z2, boolean z3) {
        StringBuilder sb = new StringBuilder();
        if (z) {
            sb.append("Dynamic ");
        }
        if (z2) {
            sb.append("Sequence ");
        }
        if (z3) {
            sb.append("Session-Scoped ");
        }
        return sb.toString();
    }

    static List<Long> G(BitSet bitSet) {
        int length = (bitSet.length() + 63) / 64;
        ArrayList arrayList = new ArrayList(length);
        for (int i = 0; i < length; i++) {
            long j = 0;
            for (int i2 = 0; i2 < 64; i2++) {
                int i3 = (i << 6) + i2;
                if (i3 >= bitSet.length()) {
                    break;
                }
                if (bitSet.get(i3)) {
                    j |= 1 << i2;
                }
            }
            arrayList.add(Long.valueOf(j));
        }
        return arrayList;
    }

    static void I(zzbr.c.a aVar, String str, Object obj) {
        List<zzbr.e> H = aVar.H();
        int i = 0;
        while (true) {
            if (i >= H.size()) {
                i = -1;
                break;
            } else if (str.equals(H.get(i).A())) {
                break;
            } else {
                i++;
            }
        }
        zzbr.e.a D = zzbr.e.S().D(str);
        if (obj instanceof Long) {
            D.C(((Long) obj).longValue());
        } else if (obj instanceof String) {
            D.F((String) obj);
        } else if (obj instanceof Double) {
            D.B(((Double) obj).doubleValue());
        }
        if (i >= 0) {
            aVar.A(i, D);
        } else {
            aVar.D(D);
        }
    }

    private static void L(StringBuilder sb, int i) {
        for (int i2 = 0; i2 < i; i2++) {
            sb.append("  ");
        }
    }

    private final void M(StringBuilder sb, int i, zzbj.c cVar) {
        if (cVar != null) {
            L(sb, i);
            sb.append("filter {\n");
            if (cVar.G()) {
                P(sb, i, "complement", Boolean.valueOf(cVar.H()));
            }
            P(sb, i, "param_name", g().B(cVar.I()));
            int i2 = i + 1;
            zzbj.zzf D = cVar.D();
            if (D != null) {
                L(sb, i2);
                sb.append("string_filter");
                sb.append(" {\n");
                if (D.A()) {
                    P(sb, i2, "match_type", D.B().name());
                }
                P(sb, i2, "expression", D.D());
                if (D.E()) {
                    P(sb, i2, "case_sensitive", Boolean.valueOf(D.F()));
                }
                if (D.H() > 0) {
                    L(sb, i2 + 1);
                    sb.append("expression_list {\n");
                    for (String str : D.G()) {
                        L(sb, i2 + 2);
                        sb.append(str);
                        sb.append("\n");
                    }
                    sb.append("}\n");
                }
                L(sb, i2);
                sb.append("}\n");
            }
            N(sb, i2, "number_filter", cVar.F());
            L(sb, i);
            sb.append("}\n");
        }
    }

    private final void N(StringBuilder sb, int i, String str, zzbj.zzd zzd) {
        if (zzd != null) {
            L(sb, i);
            sb.append(str);
            sb.append(" {\n");
            if (zzd.A()) {
                P(sb, i, "comparison_type", zzd.B().name());
            }
            if (zzd.C()) {
                P(sb, i, "match_as_float", Boolean.valueOf(zzd.D()));
            }
            P(sb, i, "comparison_value", zzd.F());
            P(sb, i, "min_comparison_value", zzd.H());
            P(sb, i, "max_comparison_value", zzd.J());
            L(sb, i);
            sb.append("}\n");
        }
    }

    private static void O(StringBuilder sb, int i, String str, zzbr.h hVar, String str2) {
        if (hVar != null) {
            L(sb, 3);
            sb.append(str);
            sb.append(" {\n");
            if (hVar.P() != 0) {
                L(sb, 4);
                sb.append("results: ");
                int i2 = 0;
                for (Long l : hVar.M()) {
                    int i3 = i2 + 1;
                    if (i2 != 0) {
                        sb.append(", ");
                    }
                    sb.append(l);
                    i2 = i3;
                }
                sb.append('\n');
            }
            if (hVar.G() != 0) {
                L(sb, 4);
                sb.append("status: ");
                int i4 = 0;
                for (Long l2 : hVar.B()) {
                    int i5 = i4 + 1;
                    if (i4 != 0) {
                        sb.append(", ");
                    }
                    sb.append(l2);
                    i4 = i5;
                }
                sb.append('\n');
            }
            if (hVar.V() != 0) {
                L(sb, 4);
                sb.append("dynamic_filter_timestamps: {");
                int i6 = 0;
                for (zzbr.b bVar : hVar.T()) {
                    int i7 = i6 + 1;
                    if (i6 != 0) {
                        sb.append(", ");
                    }
                    sb.append(bVar.E() ? Integer.valueOf(bVar.F()) : null);
                    sb.append(":");
                    sb.append(bVar.G() ? Long.valueOf(bVar.H()) : null);
                    i6 = i7;
                }
                sb.append("}\n");
            }
            if (hVar.X() != 0) {
                L(sb, 4);
                sb.append("sequence_filter_timestamps: {");
                int i8 = 0;
                for (zzbr.i iVar : hVar.W()) {
                    int i9 = i8 + 1;
                    if (i8 != 0) {
                        sb.append(", ");
                    }
                    sb.append(iVar.H() ? Integer.valueOf(iVar.I()) : null);
                    sb.append(": [");
                    int i10 = 0;
                    for (Long l3 : iVar.K()) {
                        long longValue = l3.longValue();
                        int i11 = i10 + 1;
                        if (i10 != 0) {
                            sb.append(", ");
                        }
                        sb.append(longValue);
                        i10 = i11;
                    }
                    sb.append("]");
                    i8 = i9;
                }
                sb.append("}\n");
            }
            L(sb, 3);
            sb.append("}\n");
        }
    }

    private static void P(StringBuilder sb, int i, String str, Object obj) {
        if (obj != null) {
            L(sb, i + 1);
            sb.append(str);
            sb.append(": ");
            sb.append(obj);
            sb.append('\n');
        }
    }

    static boolean S(String str) {
        return str != null && str.matches("([+-])?([0-9]+\\.?[0-9]*|[0-9]*\\.?[0-9]+)") && str.length() <= 310;
    }

    static boolean T(List<Long> list, int i) {
        if (i >= (list.size() << 6)) {
            return false;
        }
        return ((1 << (i % 64)) & list.get(i / 64).longValue()) != 0;
    }

    static Object U(zzbr.c cVar, String str) {
        zzbr.e A = A(cVar, str);
        if (A == null) {
            return null;
        }
        if (A.L()) {
            return A.M();
        }
        if (A.O()) {
            return Long.valueOf(A.P());
        }
        if (A.Q()) {
            return Double.valueOf(A.R());
        }
        return null;
    }

    static int x(zzbr.g.a aVar, String str) {
        if (aVar == null) {
            return -1;
        }
        for (int i = 0; i < aVar.d0(); i++) {
            if (str.equals(aVar.b0(i).O())) {
                return i;
            }
        }
        return -1;
    }

    /* access modifiers changed from: package-private */
    public final String C(zzbj.b bVar) {
        if (bVar == null) {
            return "null";
        }
        StringBuilder sb = new StringBuilder();
        sb.append("\nevent_filter {\n");
        if (bVar.F()) {
            P(sb, 0, "filter_id", Integer.valueOf(bVar.G()));
        }
        P(sb, 0, "event_name", g().z(bVar.H()));
        String F = F(bVar.M(), bVar.N(), bVar.P());
        if (!F.isEmpty()) {
            P(sb, 0, "filter_type", F);
        }
        N(sb, 1, "event_count_filter", bVar.L());
        sb.append("  filters {\n");
        for (zzbj.c cVar : bVar.I()) {
            M(sb, 2, cVar);
        }
        L(sb, 1);
        sb.append("}\n}\n");
        return sb.toString();
    }

    /* access modifiers changed from: package-private */
    public final String D(zzbj.d dVar) {
        if (dVar == null) {
            return "null";
        }
        StringBuilder sb = new StringBuilder();
        sb.append("\nproperty_filter {\n");
        if (dVar.C()) {
            P(sb, 0, "filter_id", Integer.valueOf(dVar.D()));
        }
        P(sb, 0, "property_name", g().C(dVar.E()));
        String F = F(dVar.G(), dVar.H(), dVar.J());
        if (!F.isEmpty()) {
            P(sb, 0, "filter_type", F);
        }
        M(sb, 1, dVar.F());
        sb.append("}\n");
        return sb.toString();
    }

    /* access modifiers changed from: package-private */
    public final String E(zzbr.f fVar) {
        List<zzbr.e> B;
        if (fVar == null) {
            return "";
        }
        StringBuilder sb = new StringBuilder();
        sb.append("\nbatch {\n");
        for (zzbr.g gVar : fVar.B()) {
            if (gVar != null) {
                L(sb, 1);
                sb.append("bundle {\n");
                if (gVar.X()) {
                    P(sb, 1, "protocol_version", Integer.valueOf(gVar.A0()));
                }
                P(sb, 1, "platform", gVar.D2());
                if (gVar.M2()) {
                    P(sb, 1, "gmp_version", Long.valueOf(gVar.Y()));
                }
                if (gVar.Z()) {
                    P(sb, 1, "uploading_gmp_version", Long.valueOf(gVar.a0()));
                }
                if (gVar.O0()) {
                    P(sb, 1, "dynamite_version", Long.valueOf(gVar.P0()));
                }
                if (gVar.u0()) {
                    P(sb, 1, "config_version", Long.valueOf(gVar.v0()));
                }
                P(sb, 1, "gmp_app_id", gVar.l0());
                P(sb, 1, "admob_app_id", gVar.N0());
                P(sb, 1, b.t0, gVar.K2());
                P(sb, 1, "app_version", gVar.L2());
                if (gVar.r0()) {
                    P(sb, 1, "app_version_major", Integer.valueOf(gVar.s0()));
                }
                P(sb, 1, "firebase_instance_id", gVar.q0());
                if (gVar.g0()) {
                    P(sb, 1, "dev_cert_hash", Long.valueOf(gVar.h0()));
                }
                P(sb, 1, "app_store", gVar.J2());
                if (gVar.Q1()) {
                    P(sb, 1, "upload_timestamp_millis", Long.valueOf(gVar.R1()));
                }
                if (gVar.c2()) {
                    P(sb, 1, "start_timestamp_millis", Long.valueOf(gVar.d2()));
                }
                if (gVar.n2()) {
                    P(sb, 1, "end_timestamp_millis", Long.valueOf(gVar.o2()));
                }
                if (gVar.v2()) {
                    P(sb, 1, "previous_bundle_start_timestamp_millis", Long.valueOf(gVar.w2()));
                }
                if (gVar.B2()) {
                    P(sb, 1, "previous_bundle_end_timestamp_millis", Long.valueOf(gVar.C2()));
                }
                P(sb, 1, "app_instance_id", gVar.f0());
                P(sb, 1, "resettable_device_id", gVar.b0());
                P(sb, 1, a.f17708a, gVar.t0());
                P(sb, 1, "ds_id", gVar.y0());
                if (gVar.c0()) {
                    P(sb, 1, "limited_ad_tracking", Boolean.valueOf(gVar.d0()));
                }
                P(sb, 1, "os_version", gVar.E2());
                P(sb, 1, "device_model", gVar.F2());
                P(sb, 1, "user_default_language", gVar.G2());
                if (gVar.H2()) {
                    P(sb, 1, "time_zone_offset_minutes", Integer.valueOf(gVar.I2()));
                }
                if (gVar.i0()) {
                    P(sb, 1, "bundle_sequential_index", Integer.valueOf(gVar.j0()));
                }
                if (gVar.m0()) {
                    P(sb, 1, "service_upload", Boolean.valueOf(gVar.n0()));
                }
                P(sb, 1, "health_monitor", gVar.k0());
                if (gVar.w0() && gVar.x0() != 0) {
                    P(sb, 1, "android_id", Long.valueOf(gVar.x0()));
                }
                if (gVar.z0()) {
                    P(sb, 1, IjkMediaPlayer.f.l, Integer.valueOf(gVar.M0()));
                }
                List<zzbr.j> u1 = gVar.u1();
                if (u1 != null) {
                    for (zzbr.j jVar : u1) {
                        if (jVar != null) {
                            L(sb, 2);
                            sb.append("user_property {\n");
                            P(sb, 2, "set_timestamp_millis", jVar.H() ? Long.valueOf(jVar.I()) : null);
                            P(sb, 2, "name", g().C(jVar.O()));
                            P(sb, 2, "string_value", jVar.R());
                            P(sb, 2, "int_value", jVar.S() ? Long.valueOf(jVar.T()) : null);
                            P(sb, 2, "double_value", jVar.U() ? Double.valueOf(jVar.V()) : null);
                            L(sb, 2);
                            sb.append("}\n");
                        }
                    }
                }
                List<zzbr.a> p0 = gVar.p0();
                String K2 = gVar.K2();
                if (p0 != null) {
                    for (zzbr.a aVar : p0) {
                        if (aVar != null) {
                            L(sb, 2);
                            sb.append("audience_membership {\n");
                            if (aVar.I()) {
                                P(sb, 2, "audience_id", Integer.valueOf(aVar.J()));
                            }
                            if (aVar.N()) {
                                P(sb, 2, "new_audience", Boolean.valueOf(aVar.O()));
                            }
                            O(sb, 2, "current_data", aVar.K(), K2);
                            O(sb, 2, "previous_data", aVar.M(), K2);
                            L(sb, 2);
                            sb.append("}\n");
                        }
                    }
                }
                List<zzbr.c> Z0 = gVar.Z0();
                if (Z0 != null) {
                    for (zzbr.c cVar : Z0) {
                        if (cVar != null) {
                            L(sb, 2);
                            sb.append("event {\n");
                            P(sb, 2, "name", g().z(cVar.T()));
                            if (cVar.U()) {
                                P(sb, 2, "timestamp_millis", Long.valueOf(cVar.V()));
                            }
                            if (cVar.W()) {
                                P(sb, 2, "previous_timestamp_millis", Long.valueOf(cVar.X()));
                            }
                            if (cVar.Y()) {
                                P(sb, 2, com.luck.picture.lib.config.a.B, Integer.valueOf(cVar.Z()));
                            }
                            if (!(cVar.P() == 0 || (B = cVar.B()) == null)) {
                                for (zzbr.e eVar : B) {
                                    if (eVar != null) {
                                        L(sb, 3);
                                        sb.append("param {\n");
                                        P(sb, 3, "name", g().B(eVar.A()));
                                        P(sb, 3, "string_value", eVar.M());
                                        P(sb, 3, "int_value", eVar.O() ? Long.valueOf(eVar.P()) : null);
                                        P(sb, 3, "double_value", eVar.Q() ? Double.valueOf(eVar.R()) : null);
                                        L(sb, 3);
                                        sb.append("}\n");
                                    }
                                }
                            }
                            L(sb, 2);
                            sb.append("}\n");
                        }
                    }
                }
                L(sb, 1);
                sb.append("}\n");
            }
        }
        sb.append("}\n");
        return sb.toString();
    }

    /* access modifiers changed from: package-private */
    public final List<Long> H(List<Long> list, List<Integer> list2) {
        ArrayList arrayList = new ArrayList(list);
        for (Integer num : list2) {
            if (num.intValue() < 0) {
                h().K().b("Ignoring negative bit index to be cleared", num);
            } else {
                int intValue = num.intValue() / 64;
                if (intValue >= arrayList.size()) {
                    h().K().c("Ignoring bit index greater than bitSet size", num, Integer.valueOf(arrayList.size()));
                } else {
                    arrayList.set(intValue, Long.valueOf(((Long) arrayList.get(intValue)).longValue() & (~(1 << (num.intValue() % 64)))));
                }
            }
        }
        int size = arrayList.size();
        int size2 = arrayList.size() - 1;
        while (true) {
            size = size2;
            if (size >= 0 && ((Long) arrayList.get(size)).longValue() == 0) {
                size2 = size - 1;
            }
        }
        return arrayList.subList(0, size);
    }

    /* access modifiers changed from: package-private */
    public final void J(zzbr.e.a aVar, Object obj) {
        a0.k(obj);
        aVar.A().E().G();
        if (obj instanceof String) {
            aVar.F((String) obj);
        } else if (obj instanceof Long) {
            aVar.C(((Long) obj).longValue());
        } else if (obj instanceof Double) {
            aVar.B(((Double) obj).doubleValue());
        } else {
            h().H().b("Ignoring invalid (type) event param value", obj);
        }
    }

    /* access modifiers changed from: package-private */
    public final void K(zzbr.j.a aVar, Object obj) {
        a0.k(obj);
        aVar.A().E().H();
        if (obj instanceof String) {
            aVar.G((String) obj);
        } else if (obj instanceof Long) {
            aVar.F(((Long) obj).longValue());
        } else if (obj instanceof Double) {
            aVar.B(((Double) obj).doubleValue());
        } else {
            h().H().b("Ignoring invalid (type) user attribute value", obj);
        }
    }

    /* access modifiers changed from: package-private */
    public final boolean Q(long j, long j2) {
        return j == 0 || j2 <= 0 || Math.abs(m().a() - j) > j2;
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean R(zzan zzan, zzm zzm) {
        a0.k(zzan);
        a0.k(zzm);
        if (!g8.a() || !n().r(o.U0)) {
            if (!TextUtils.isEmpty(zzm.f11238b) || !TextUtils.isEmpty(zzm.X0)) {
                return true;
            }
            v();
            return false;
        } else if (!TextUtils.isEmpty(zzm.f11238b) || !TextUtils.isEmpty(zzm.X0)) {
            return true;
        } else {
            return false;
        }
    }

    /* access modifiers changed from: package-private */
    public final byte[] V(byte[] bArr) throws IOException {
        try {
            ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(bArr);
            GZIPInputStream gZIPInputStream = new GZIPInputStream(byteArrayInputStream);
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            byte[] bArr2 = new byte[1024];
            while (true) {
                int read = gZIPInputStream.read(bArr2);
                if (read > 0) {
                    byteArrayOutputStream.write(bArr2, 0, read);
                } else {
                    gZIPInputStream.close();
                    byteArrayInputStream.close();
                    return byteArrayOutputStream.toByteArray();
                }
            }
        } catch (IOException e2) {
            h().H().b("Failed to ungzip content", e2);
            throw e2;
        }
    }

    /* access modifiers changed from: package-private */
    public final byte[] W(byte[] bArr) throws IOException {
        try {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            GZIPOutputStream gZIPOutputStream = new GZIPOutputStream(byteArrayOutputStream);
            gZIPOutputStream.write(bArr);
            gZIPOutputStream.close();
            byteArrayOutputStream.close();
            return byteArrayOutputStream.toByteArray();
        } catch (IOException e2) {
            h().H().b("Failed to gzip content", e2);
            throw e2;
        }
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public final List<Integer> X() {
        Map<String, String> c2 = o.c(this.f10929b.i());
        if (c2 == null || c2.size() == 0) {
            return null;
        }
        ArrayList arrayList = new ArrayList();
        int intValue = o.T.a(null).intValue();
        Iterator<Map.Entry<String, String>> it = c2.entrySet().iterator();
        while (true) {
            if (!it.hasNext()) {
                break;
            }
            Map.Entry<String, String> next = it.next();
            if (next.getKey().startsWith("measurement.id.")) {
                try {
                    int parseInt = Integer.parseInt(next.getValue());
                    if (parseInt != 0) {
                        arrayList.add(Integer.valueOf(parseInt));
                        if (arrayList.size() >= intValue) {
                            h().K().b("Too many experiment IDs. Number of IDs", Integer.valueOf(arrayList.size()));
                            break;
                        }
                    } else {
                        continue;
                    }
                } catch (NumberFormatException e2) {
                    h().K().b("Experiment ID NumberFormatException", e2);
                }
            }
        }
        if (arrayList.size() == 0) {
            return null;
        }
        return arrayList;
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void a() {
        super.a();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ y4 b() {
        return super.b();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void c() {
        super.c();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void d() {
        super.d();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void e() {
        super.e();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ i f() {
        return super.f();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ u3 g() {
        return super.g();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ w3 h() {
        return super.h();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ Context i() {
        return super.i();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ s9 k() {
        return super.k();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ k4 l() {
        return super.l();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ g m() {
        return super.m();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ ga n() {
        return super.n();
    }

    @Override // com.google.android.gms.measurement.internal.j9
    public final /* bridge */ /* synthetic */ x9 o() {
        return super.o();
    }

    @Override // com.google.android.gms.measurement.internal.j9
    public final /* bridge */ /* synthetic */ p9 p() {
        return super.p();
    }

    @Override // com.google.android.gms.measurement.internal.j9
    public final /* bridge */ /* synthetic */ d q() {
        return super.q();
    }

    @Override // com.google.android.gms.measurement.internal.j9
    public final /* bridge */ /* synthetic */ v4 r() {
        return super.r();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ fa v() {
        return super.v();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.measurement.internal.h9
    public final boolean w() {
        return false;
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final long y(byte[] bArr) {
        a0.k(bArr);
        k().e();
        MessageDigest A0 = s9.A0();
        if (A0 != null) {
            return s9.y(A0.digest(bArr));
        }
        h().H().a("Failed to get MD5");
        return 0;
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Code restructure failed: missing block: B:10:?, code lost:
        h().H().a("Failed to load parcelable from buffer");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:12:0x002c, code lost:
        return null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x002d, code lost:
        r1.recycle();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0030, code lost:
        throw r5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x001a, code lost:
        r5 = move-exception;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x001c */
    public final <T extends Parcelable> T z(byte[] bArr, Parcelable.Creator<T> creator) {
        if (bArr == null) {
            return null;
        }
        Parcel obtain = Parcel.obtain();
        obtain.unmarshall(bArr, 0, bArr.length);
        obtain.setDataPosition(0);
        T createFromParcel = creator.createFromParcel(obtain);
        obtain.recycle();
        return createFromParcel;
    }
}
