package com.google.android.material.chip;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PointF;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.graphics.drawable.ShapeDrawable;
import android.graphics.drawable.shapes.OvalShape;
import android.text.TextUtils;
import android.util.AttributeSet;
import androidx.annotation.AnimatorRes;
import androidx.annotation.AttrRes;
import androidx.annotation.BoolRes;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.DimenRes;
import androidx.annotation.Dimension;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.annotation.XmlRes;
import androidx.core.graphics.drawable.c;
import androidx.core.graphics.drawable.i;
import androidx.core.graphics.g;
import androidx.core.view.ViewCompat;
import com.google.android.material.R;
import com.google.android.material.a.h;
import com.google.android.material.i.d;
import com.google.android.material.internal.j;
import com.google.android.material.internal.m;
import com.google.android.material.internal.u;
import com.google.android.material.j.b;
import com.google.android.material.shape.MaterialShapeDrawable;
import java.lang.ref.WeakReference;
import java.util.Arrays;

/* compiled from: ChipDrawable */
public class a extends MaterialShapeDrawable implements i, Drawable.Callback, j.b {
    private static final boolean j1 = false;
    private static final int[] k1 = {16842910};
    private static final String l1 = "http://schemas.android.com/apk/res-auto";
    private static final int m1 = 24;
    private static final ShapeDrawable n1 = new ShapeDrawable(new OvalShape());
    private boolean A1;
    private boolean B1;
    @Nullable
    private Drawable C1;
    @Nullable
    private Drawable D1;
    @Nullable
    private ColorStateList E1;
    private float F1;
    @Nullable
    private CharSequence G1;
    private boolean H1;
    private boolean I1;
    @Nullable
    private Drawable J1;
    @Nullable
    private ColorStateList K1;
    @Nullable
    private h L1;
    @Nullable
    private h M1;
    private float N1;
    private float O1;
    private float P1;
    private float Q1;
    private float R1;
    private float S1;
    private float T1;
    private float U1;
    @NonNull
    private final Context V1;
    private final Paint W1 = new Paint(1);
    @Nullable
    private final Paint X1;
    private final Paint.FontMetrics Y1 = new Paint.FontMetrics();
    private final RectF Z1 = new RectF();
    private final PointF a2 = new PointF();
    private final Path b2 = new Path();
    @NonNull
    private final j c2;
    @ColorInt
    private int d2;
    @ColorInt
    private int e2;
    @ColorInt
    private int f2;
    @ColorInt
    private int g2;
    @ColorInt
    private int h2;
    @ColorInt
    private int i2;
    private boolean j2;
    @ColorInt
    private int k2;
    private int l2 = 255;
    @Nullable
    private ColorFilter m2;
    @Nullable
    private PorterDuffColorFilter n2;
    @Nullable
    private ColorStateList o1;
    @Nullable
    private ColorStateList o2;
    @Nullable
    private ColorStateList p1;
    @Nullable
    private PorterDuff.Mode p2 = PorterDuff.Mode.SRC_IN;
    private float q1;
    private int[] q2;
    private float r1 = -1.0f;
    private boolean r2;
    @Nullable
    private ColorStateList s1;
    @Nullable
    private ColorStateList s2;
    private float t1;
    @NonNull
    private WeakReference<AbstractC0256a> t2 = new WeakReference<>(null);
    @Nullable
    private ColorStateList u1;
    private TextUtils.TruncateAt u2;
    @Nullable
    private CharSequence v1;
    private boolean v2;
    private boolean w1;
    private int w2;
    @Nullable
    private Drawable x1;
    private boolean x2;
    @Nullable
    private ColorStateList y1;
    private float z1;

    /* renamed from: com.google.android.material.chip.a$a  reason: collision with other inner class name */
    /* compiled from: ChipDrawable */
    public interface AbstractC0256a {
        void a();
    }

    private a(@NonNull Context context, AttributeSet attributeSet, @AttrRes int i, @StyleRes int i3) {
        super(context, attributeSet, i, i3);
        Y(context);
        this.V1 = context;
        j jVar = new j(this);
        this.c2 = jVar;
        this.v1 = "";
        jVar.e().density = context.getResources().getDisplayMetrics().density;
        this.X1 = null;
        int[] iArr = k1;
        setState(iArr);
        e3(iArr);
        this.v2 = true;
        if (b.f11787a) {
            n1.setTint(-1);
        }
    }

    private float F1() {
        Drawable drawable = this.j2 ? this.J1 : this.x1;
        float f = this.z1;
        if (f <= 0.0f && drawable != null) {
            f = (float) Math.ceil((double) u.e(this.V1, 24));
            if (((float) drawable.getIntrinsicHeight()) <= f) {
                return (float) drawable.getIntrinsicHeight();
            }
        }
        return f;
    }

    private float G1() {
        Drawable drawable = this.j2 ? this.J1 : this.x1;
        float f = this.z1;
        return (f > 0.0f || drawable == null) ? f : (float) drawable.getIntrinsicWidth();
    }

    private boolean I3() {
        return this.I1 && this.J1 != null && this.j2;
    }

    private boolean J3() {
        return this.w1 && this.x1 != null;
    }

    private boolean K3() {
        return this.B1 && this.C1 != null;
    }

    private void L3(@Nullable Drawable drawable) {
        if (drawable != null) {
            drawable.setCallback(null);
        }
    }

    private void M3() {
        this.s2 = this.r2 ? b.d(this.u1) : null;
    }

    @TargetApi(21)
    private void N3() {
        this.D1 = new RippleDrawable(b.d(M1()), this.C1, n1);
    }

    private void O0(@Nullable Drawable drawable) {
        if (drawable != null) {
            drawable.setCallback(this);
            c.m(drawable, c.f(this));
            drawable.setLevel(getLevel());
            drawable.setVisible(isVisible(), false);
            if (drawable == this.C1) {
                if (drawable.isStateful()) {
                    drawable.setState(C1());
                }
                c.o(drawable, this.E1);
                return;
            }
            if (drawable.isStateful()) {
                drawable.setState(getState());
            }
            Drawable drawable2 = this.x1;
            if (drawable == drawable2 && this.A1) {
                c.o(drawable2, this.y1);
            }
        }
    }

    private void P0(@NonNull Rect rect, @NonNull RectF rectF) {
        rectF.setEmpty();
        if (J3() || I3()) {
            float f = this.N1 + this.O1;
            float G12 = G1();
            if (c.f(this) == 0) {
                float f3 = ((float) rect.left) + f;
                rectF.left = f3;
                rectF.right = f3 + G12;
            } else {
                float f4 = ((float) rect.right) - f;
                rectF.right = f4;
                rectF.left = f4 - G12;
            }
            float F12 = F1();
            float exactCenterY = rect.exactCenterY() - (F12 / 2.0f);
            rectF.top = exactCenterY;
            rectF.bottom = exactCenterY + F12;
        }
    }

    private void R0(@NonNull Rect rect, @NonNull RectF rectF) {
        rectF.set(rect);
        if (K3()) {
            float f = this.U1 + this.T1 + this.F1 + this.S1 + this.R1;
            if (c.f(this) == 0) {
                rectF.right = ((float) rect.right) - f;
            } else {
                rectF.left = ((float) rect.left) + f;
            }
        }
    }

    private void S0(@NonNull Rect rect, @NonNull RectF rectF) {
        rectF.setEmpty();
        if (K3()) {
            float f = this.U1 + this.T1;
            if (c.f(this) == 0) {
                float f3 = ((float) rect.right) - f;
                rectF.right = f3;
                rectF.left = f3 - this.F1;
            } else {
                float f4 = ((float) rect.left) + f;
                rectF.left = f4;
                rectF.right = f4 + this.F1;
            }
            float exactCenterY = rect.exactCenterY();
            float f5 = this.F1;
            float f6 = exactCenterY - (f5 / 2.0f);
            rectF.top = f6;
            rectF.bottom = f6 + f5;
        }
    }

    @Nullable
    private ColorFilter S1() {
        ColorFilter colorFilter = this.m2;
        return colorFilter != null ? colorFilter : this.n2;
    }

    private void S2(@Nullable ColorStateList colorStateList) {
        if (this.o1 != colorStateList) {
            this.o1 = colorStateList;
            onStateChange(getState());
        }
    }

    private void T0(@NonNull Rect rect, @NonNull RectF rectF) {
        rectF.setEmpty();
        if (K3()) {
            float f = this.U1 + this.T1 + this.F1 + this.S1 + this.R1;
            if (c.f(this) == 0) {
                float f3 = (float) rect.right;
                rectF.right = f3;
                rectF.left = f3 - f;
            } else {
                int i = rect.left;
                rectF.left = (float) i;
                rectF.right = ((float) i) + f;
            }
            rectF.top = (float) rect.top;
            rectF.bottom = (float) rect.bottom;
        }
    }

    private static boolean U1(@Nullable int[] iArr, @AttrRes int i) {
        if (iArr == null) {
            return false;
        }
        for (int i3 : iArr) {
            if (i3 == i) {
                return true;
            }
        }
        return false;
    }

    private void V0(@NonNull Rect rect, @NonNull RectF rectF) {
        rectF.setEmpty();
        if (this.v1 != null) {
            float Q0 = this.N1 + Q0() + this.Q1;
            float U0 = this.U1 + U0() + this.R1;
            if (c.f(this) == 0) {
                rectF.left = ((float) rect.left) + Q0;
                rectF.right = ((float) rect.right) - U0;
            } else {
                rectF.left = ((float) rect.left) + U0;
                rectF.right = ((float) rect.right) - Q0;
            }
            rectF.top = (float) rect.top;
            rectF.bottom = (float) rect.bottom;
        }
    }

    private float W0() {
        this.c2.e().getFontMetrics(this.Y1);
        Paint.FontMetrics fontMetrics = this.Y1;
        return (fontMetrics.descent + fontMetrics.ascent) / 2.0f;
    }

    private boolean Y0() {
        return this.I1 && this.J1 != null && this.H1;
    }

    @NonNull
    public static a Z0(@NonNull Context context, @Nullable AttributeSet attributeSet, @AttrRes int i, @StyleRes int i3) {
        a aVar = new a(context, attributeSet, i, i3);
        aVar.h2(attributeSet, i, i3);
        return aVar;
    }

    @NonNull
    public static a a1(@NonNull Context context, @XmlRes int i) {
        AttributeSet a3 = com.google.android.material.e.a.a(context, i, "chip");
        int styleAttribute = a3.getStyleAttribute();
        if (styleAttribute == 0) {
            styleAttribute = R.style.Widget_MaterialComponents_Chip_Entry;
        }
        return Z0(context, a3, R.attr.chipStandaloneStyle, styleAttribute);
    }

    private void b1(@NonNull Canvas canvas, @NonNull Rect rect) {
        if (I3()) {
            P0(rect, this.Z1);
            RectF rectF = this.Z1;
            float f = rectF.left;
            float f3 = rectF.top;
            canvas.translate(f, f3);
            this.J1.setBounds(0, 0, (int) this.Z1.width(), (int) this.Z1.height());
            this.J1.draw(canvas);
            canvas.translate(-f, -f3);
        }
    }

    private void c1(@NonNull Canvas canvas, @NonNull Rect rect) {
        if (!this.x2) {
            this.W1.setColor(this.e2);
            this.W1.setStyle(Paint.Style.FILL);
            this.W1.setColorFilter(S1());
            this.Z1.set(rect);
            canvas.drawRoundRect(this.Z1, n1(), n1(), this.W1);
        }
    }

    private void d1(@NonNull Canvas canvas, @NonNull Rect rect) {
        if (J3()) {
            P0(rect, this.Z1);
            RectF rectF = this.Z1;
            float f = rectF.left;
            float f3 = rectF.top;
            canvas.translate(f, f3);
            this.x1.setBounds(0, 0, (int) this.Z1.width(), (int) this.Z1.height());
            this.x1.draw(canvas);
            canvas.translate(-f, -f3);
        }
    }

    private void e1(@NonNull Canvas canvas, @NonNull Rect rect) {
        if (this.t1 > 0.0f && !this.x2) {
            this.W1.setColor(this.g2);
            this.W1.setStyle(Paint.Style.STROKE);
            if (!this.x2) {
                this.W1.setColorFilter(S1());
            }
            RectF rectF = this.Z1;
            float f = this.t1;
            rectF.set(((float) rect.left) + (f / 2.0f), ((float) rect.top) + (f / 2.0f), ((float) rect.right) - (f / 2.0f), ((float) rect.bottom) - (f / 2.0f));
            float f3 = this.r1 - (this.t1 / 2.0f);
            canvas.drawRoundRect(this.Z1, f3, f3, this.W1);
        }
    }

    private static boolean e2(@Nullable ColorStateList colorStateList) {
        return colorStateList != null && colorStateList.isStateful();
    }

    private void f1(@NonNull Canvas canvas, @NonNull Rect rect) {
        if (!this.x2) {
            this.W1.setColor(this.d2);
            this.W1.setStyle(Paint.Style.FILL);
            this.Z1.set(rect);
            canvas.drawRoundRect(this.Z1, n1(), n1(), this.W1);
        }
    }

    private static boolean f2(@Nullable Drawable drawable) {
        return drawable != null && drawable.isStateful();
    }

    private void g1(@NonNull Canvas canvas, @NonNull Rect rect) {
        if (K3()) {
            S0(rect, this.Z1);
            RectF rectF = this.Z1;
            float f = rectF.left;
            float f3 = rectF.top;
            canvas.translate(f, f3);
            this.C1.setBounds(0, 0, (int) this.Z1.width(), (int) this.Z1.height());
            if (b.f11787a) {
                this.D1.setBounds(this.C1.getBounds());
                this.D1.jumpToCurrentState();
                this.D1.draw(canvas);
            } else {
                this.C1.draw(canvas);
            }
            canvas.translate(-f, -f3);
        }
    }

    private static boolean g2(@Nullable d dVar) {
        ColorStateList colorStateList;
        return (dVar == null || (colorStateList = dVar.f11695e) == null || !colorStateList.isStateful()) ? false : true;
    }

    private void h1(@NonNull Canvas canvas, @NonNull Rect rect) {
        this.W1.setColor(this.h2);
        this.W1.setStyle(Paint.Style.FILL);
        this.Z1.set(rect);
        if (!this.x2) {
            canvas.drawRoundRect(this.Z1, n1(), n1(), this.W1);
            return;
        }
        h(new RectF(rect), this.b2);
        super.q(canvas, this.W1, this.b2, v());
    }

    private void h2(@Nullable AttributeSet attributeSet, @AttrRes int i, @StyleRes int i3) {
        TypedArray j = m.j(this.V1, attributeSet, R.styleable.Chip, i, i3, new int[0]);
        this.x2 = j.hasValue(R.styleable.Chip_shapeAppearance);
        S2(com.google.android.material.i.c.a(this.V1, j, R.styleable.Chip_chipSurfaceColor));
        u2(com.google.android.material.i.c.a(this.V1, j, R.styleable.Chip_chipBackgroundColor));
        K2(j.getDimension(R.styleable.Chip_chipMinHeight, 0.0f));
        int i4 = R.styleable.Chip_chipCornerRadius;
        if (j.hasValue(i4)) {
            w2(j.getDimension(i4, 0.0f));
        }
        O2(com.google.android.material.i.c.a(this.V1, j, R.styleable.Chip_chipStrokeColor));
        Q2(j.getDimension(R.styleable.Chip_chipStrokeWidth, 0.0f));
        s3(com.google.android.material.i.c.a(this.V1, j, R.styleable.Chip_rippleColor));
        x3(j.getText(R.styleable.Chip_android_text));
        d f = com.google.android.material.i.c.f(this.V1, j, R.styleable.Chip_android_textAppearance);
        f.r = j.getDimension(R.styleable.Chip_android_textSize, f.r);
        y3(f);
        int i5 = j.getInt(R.styleable.Chip_android_ellipsize, 0);
        if (i5 == 1) {
            k3(TextUtils.TruncateAt.START);
        } else if (i5 == 2) {
            k3(TextUtils.TruncateAt.MIDDLE);
        } else if (i5 == 3) {
            k3(TextUtils.TruncateAt.END);
        }
        J2(j.getBoolean(R.styleable.Chip_chipIconVisible, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue(l1, "chipIconEnabled") == null || attributeSet.getAttributeValue(l1, "chipIconVisible") != null)) {
            J2(j.getBoolean(R.styleable.Chip_chipIconEnabled, false));
        }
        A2(com.google.android.material.i.c.d(this.V1, j, R.styleable.Chip_chipIcon));
        int i6 = R.styleable.Chip_chipIconTint;
        if (j.hasValue(i6)) {
            G2(com.google.android.material.i.c.a(this.V1, j, i6));
        }
        E2(j.getDimension(R.styleable.Chip_chipIconSize, -1.0f));
        i3(j.getBoolean(R.styleable.Chip_closeIconVisible, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue(l1, "closeIconEnabled") == null || attributeSet.getAttributeValue(l1, "closeIconVisible") != null)) {
            i3(j.getBoolean(R.styleable.Chip_closeIconEnabled, false));
        }
        T2(com.google.android.material.i.c.d(this.V1, j, R.styleable.Chip_closeIcon));
        f3(com.google.android.material.i.c.a(this.V1, j, R.styleable.Chip_closeIconTint));
        a3(j.getDimension(R.styleable.Chip_closeIconSize, 0.0f));
        k2(j.getBoolean(R.styleable.Chip_android_checkable, false));
        t2(j.getBoolean(R.styleable.Chip_checkedIconVisible, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue(l1, "checkedIconEnabled") == null || attributeSet.getAttributeValue(l1, "checkedIconVisible") != null)) {
            t2(j.getBoolean(R.styleable.Chip_checkedIconEnabled, false));
        }
        m2(com.google.android.material.i.c.d(this.V1, j, R.styleable.Chip_checkedIcon));
        int i7 = R.styleable.Chip_checkedIconTint;
        if (j.hasValue(i7)) {
            q2(com.google.android.material.i.c.a(this.V1, j, i7));
        }
        v3(h.c(this.V1, j, R.styleable.Chip_showMotionSpec));
        l3(h.c(this.V1, j, R.styleable.Chip_hideMotionSpec));
        M2(j.getDimension(R.styleable.Chip_chipStartPadding, 0.0f));
        p3(j.getDimension(R.styleable.Chip_iconStartPadding, 0.0f));
        n3(j.getDimension(R.styleable.Chip_iconEndPadding, 0.0f));
        E3(j.getDimension(R.styleable.Chip_textStartPadding, 0.0f));
        A3(j.getDimension(R.styleable.Chip_textEndPadding, 0.0f));
        c3(j.getDimension(R.styleable.Chip_closeIconStartPadding, 0.0f));
        X2(j.getDimension(R.styleable.Chip_closeIconEndPadding, 0.0f));
        y2(j.getDimension(R.styleable.Chip_chipEndPadding, 0.0f));
        r3(j.getDimensionPixelSize(R.styleable.Chip_android_maxWidth, Integer.MAX_VALUE));
        j.recycle();
    }

    private void i1(@NonNull Canvas canvas, @NonNull Rect rect) {
        Paint paint = this.X1;
        if (paint != null) {
            paint.setColor(g.B(ViewCompat.MEASURED_STATE_MASK, 127));
            canvas.drawRect(rect, this.X1);
            if (J3() || I3()) {
                P0(rect, this.Z1);
                canvas.drawRect(this.Z1, this.X1);
            }
            if (this.v1 != null) {
                canvas.drawLine((float) rect.left, rect.exactCenterY(), (float) rect.right, rect.exactCenterY(), this.X1);
            }
            if (K3()) {
                S0(rect, this.Z1);
                canvas.drawRect(this.Z1, this.X1);
            }
            this.X1.setColor(g.B(androidx.core.d.b.a.f2500c, 127));
            R0(rect, this.Z1);
            canvas.drawRect(this.Z1, this.X1);
            this.X1.setColor(g.B(-16711936, 127));
            T0(rect, this.Z1);
            canvas.drawRect(this.Z1, this.X1);
        }
    }

    private void j1(@NonNull Canvas canvas, @NonNull Rect rect) {
        if (this.v1 != null) {
            Paint.Align X0 = X0(rect, this.a2);
            V0(rect, this.Z1);
            if (this.c2.d() != null) {
                this.c2.e().drawableState = getState();
                this.c2.k(this.V1);
            }
            this.c2.e().setTextAlign(X0);
            int i = 0;
            boolean z = Math.round(this.c2.f(O1().toString())) > Math.round(this.Z1.width());
            if (z) {
                i = canvas.save();
                canvas.clipRect(this.Z1);
            }
            CharSequence charSequence = this.v1;
            if (z && this.u2 != null) {
                charSequence = TextUtils.ellipsize(charSequence, this.c2.e(), this.Z1.width(), this.u2);
            }
            int length = charSequence.length();
            PointF pointF = this.a2;
            canvas.drawText(charSequence, 0, length, pointF.x, pointF.y, this.c2.e());
            if (z) {
                canvas.restoreToCount(i);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:69:0x00e3  */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x00ea  */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x00ef  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x00fc  */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x0105  */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x0114  */
    /* JADX WARNING: Removed duplicated region for block: B:83:0x0123  */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x014d  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x0152  */
    private boolean j2(@NonNull int[] iArr, @NonNull int[] iArr2) {
        boolean z;
        int colorForState;
        boolean onStateChange = super.onStateChange(iArr);
        ColorStateList colorStateList = this.o1;
        int l = l(colorStateList != null ? colorStateList.getColorForState(iArr, this.d2) : 0);
        boolean z2 = true;
        if (this.d2 != l) {
            this.d2 = l;
            onStateChange = true;
        }
        ColorStateList colorStateList2 = this.p1;
        int l3 = l(colorStateList2 != null ? colorStateList2.getColorForState(iArr, this.e2) : 0);
        if (this.e2 != l3) {
            this.e2 = l3;
            onStateChange = true;
        }
        int f = com.google.android.material.c.a.f(l, l3);
        if ((this.f2 != f) || (y() == null)) {
            this.f2 = f;
            n0(ColorStateList.valueOf(f));
            onStateChange = true;
        }
        ColorStateList colorStateList3 = this.s1;
        int colorForState2 = colorStateList3 != null ? colorStateList3.getColorForState(iArr, this.g2) : 0;
        if (this.g2 != colorForState2) {
            this.g2 = colorForState2;
            onStateChange = true;
        }
        int colorForState3 = (this.s2 == null || !b.e(iArr)) ? 0 : this.s2.getColorForState(iArr, this.h2);
        if (this.h2 != colorForState3) {
            this.h2 = colorForState3;
            if (this.r2) {
                onStateChange = true;
            }
        }
        int colorForState4 = (this.c2.d() == null || this.c2.d().f11695e == null) ? 0 : this.c2.d().f11695e.getColorForState(iArr, this.i2);
        if (this.i2 != colorForState4) {
            this.i2 = colorForState4;
            onStateChange = true;
        }
        boolean z3 = U1(getState(), 16842912) && this.H1;
        if (!(this.j2 == z3 || this.J1 == null)) {
            float Q0 = Q0();
            this.j2 = z3;
            if (Q0 != Q0()) {
                onStateChange = true;
                z = true;
                ColorStateList colorStateList4 = this.o2;
                colorForState = colorStateList4 == null ? colorStateList4.getColorForState(iArr, this.k2) : 0;
                if (this.k2 == colorForState) {
                    this.k2 = colorForState;
                    this.n2 = com.google.android.material.e.a.c(this, this.o2, this.p2);
                } else {
                    z2 = onStateChange;
                }
                if (f2(this.x1)) {
                    z2 |= this.x1.setState(iArr);
                }
                if (f2(this.J1)) {
                    z2 |= this.J1.setState(iArr);
                }
                if (f2(this.C1)) {
                    int[] iArr3 = new int[(iArr.length + iArr2.length)];
                    System.arraycopy(iArr, 0, iArr3, 0, iArr.length);
                    System.arraycopy(iArr2, 0, iArr3, iArr.length, iArr2.length);
                    z2 |= this.C1.setState(iArr3);
                }
                if (b.f11787a && f2(this.D1)) {
                    z2 |= this.D1.setState(iArr2);
                }
                if (z2) {
                    invalidateSelf();
                }
                if (z) {
                    i2();
                }
                return z2;
            }
            onStateChange = true;
        }
        z = false;
        ColorStateList colorStateList42 = this.o2;
        if (colorStateList42 == null) {
        }
        if (this.k2 == colorForState) {
        }
        if (f2(this.x1)) {
        }
        if (f2(this.J1)) {
        }
        if (f2(this.C1)) {
        }
        z2 |= this.D1.setState(iArr2);
        if (z2) {
        }
        if (z) {
        }
        return z2;
    }

    public float A1() {
        return this.F1;
    }

    public void A2(@Nullable Drawable drawable) {
        Drawable p12 = p1();
        if (p12 != drawable) {
            float Q0 = Q0();
            this.x1 = drawable != null ? c.r(drawable).mutate() : null;
            float Q02 = Q0();
            L3(p12);
            if (J3()) {
                O0(this.x1);
            }
            invalidateSelf();
            if (Q0 != Q02) {
                i2();
            }
        }
    }

    public void A3(float f) {
        if (this.R1 != f) {
            this.R1 = f;
            invalidateSelf();
            i2();
        }
    }

    public float B1() {
        return this.S1;
    }

    @Deprecated
    public void B2(boolean z) {
        J2(z);
    }

    public void B3(@DimenRes int i) {
        A3(this.V1.getResources().getDimension(i));
    }

    @NonNull
    public int[] C1() {
        return this.q2;
    }

    @Deprecated
    public void C2(@BoolRes int i) {
        I2(i);
    }

    public void C3(@StringRes int i) {
        x3(this.V1.getResources().getString(i));
    }

    @Nullable
    public ColorStateList D1() {
        return this.E1;
    }

    public void D2(@DrawableRes int i) {
        A2(androidx.appcompat.a.a.a.d(this.V1, i));
    }

    public void D3(@Dimension float f) {
        d P12 = P1();
        if (P12 != null) {
            P12.r = f;
            this.c2.e().setTextSize(f);
            a();
        }
    }

    public void E1(@NonNull RectF rectF) {
        T0(getBounds(), rectF);
    }

    public void E2(float f) {
        if (this.z1 != f) {
            float Q0 = Q0();
            this.z1 = f;
            float Q02 = Q0();
            invalidateSelf();
            if (Q0 != Q02) {
                i2();
            }
        }
    }

    public void E3(float f) {
        if (this.Q1 != f) {
            this.Q1 = f;
            invalidateSelf();
            i2();
        }
    }

    public void F2(@DimenRes int i) {
        E2(this.V1.getResources().getDimension(i));
    }

    public void F3(@DimenRes int i) {
        E3(this.V1.getResources().getDimension(i));
    }

    public void G2(@Nullable ColorStateList colorStateList) {
        this.A1 = true;
        if (this.y1 != colorStateList) {
            this.y1 = colorStateList;
            if (J3()) {
                c.o(this.x1, colorStateList);
            }
            onStateChange(getState());
        }
    }

    public void G3(boolean z) {
        if (this.r2 != z) {
            this.r2 = z;
            M3();
            onStateChange(getState());
        }
    }

    public TextUtils.TruncateAt H1() {
        return this.u2;
    }

    public void H2(@ColorRes int i) {
        G2(androidx.appcompat.a.a.a.c(this.V1, i));
    }

    /* access modifiers changed from: package-private */
    public boolean H3() {
        return this.v2;
    }

    @Nullable
    public h I1() {
        return this.M1;
    }

    public void I2(@BoolRes int i) {
        J2(this.V1.getResources().getBoolean(i));
    }

    public float J1() {
        return this.P1;
    }

    public void J2(boolean z) {
        if (this.w1 != z) {
            boolean J3 = J3();
            this.w1 = z;
            boolean J32 = J3();
            if (J3 != J32) {
                if (J32) {
                    O0(this.x1);
                } else {
                    L3(this.x1);
                }
                invalidateSelf();
                i2();
            }
        }
    }

    public float K1() {
        return this.O1;
    }

    public void K2(float f) {
        if (this.q1 != f) {
            this.q1 = f;
            invalidateSelf();
            i2();
        }
    }

    @Px
    public int L1() {
        return this.w2;
    }

    public void L2(@DimenRes int i) {
        K2(this.V1.getResources().getDimension(i));
    }

    @Nullable
    public ColorStateList M1() {
        return this.u1;
    }

    public void M2(float f) {
        if (this.N1 != f) {
            this.N1 = f;
            invalidateSelf();
            i2();
        }
    }

    @Nullable
    public h N1() {
        return this.L1;
    }

    public void N2(@DimenRes int i) {
        M2(this.V1.getResources().getDimension(i));
    }

    @Nullable
    public CharSequence O1() {
        return this.v1;
    }

    public void O2(@Nullable ColorStateList colorStateList) {
        if (this.s1 != colorStateList) {
            this.s1 = colorStateList;
            if (this.x2) {
                E0(colorStateList);
            }
            onStateChange(getState());
        }
    }

    @Nullable
    public d P1() {
        return this.c2.d();
    }

    public void P2(@ColorRes int i) {
        O2(androidx.appcompat.a.a.a.c(this.V1, i));
    }

    /* access modifiers changed from: package-private */
    public float Q0() {
        if (J3() || I3()) {
            return this.O1 + G1() + this.P1;
        }
        return 0.0f;
    }

    public float Q1() {
        return this.R1;
    }

    public void Q2(float f) {
        if (this.t1 != f) {
            this.t1 = f;
            this.W1.setStrokeWidth(f);
            if (this.x2) {
                super.H0(f);
            }
            invalidateSelf();
        }
    }

    public float R1() {
        return this.Q1;
    }

    public void R2(@DimenRes int i) {
        Q2(this.V1.getResources().getDimension(i));
    }

    public boolean T1() {
        return this.r2;
    }

    public void T2(@Nullable Drawable drawable) {
        Drawable x12 = x1();
        if (x12 != drawable) {
            float U0 = U0();
            this.C1 = drawable != null ? c.r(drawable).mutate() : null;
            if (b.f11787a) {
                N3();
            }
            float U02 = U0();
            L3(x12);
            if (K3()) {
                O0(this.C1);
            }
            invalidateSelf();
            if (U0 != U02) {
                i2();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public float U0() {
        if (K3()) {
            return this.S1 + this.F1 + this.T1;
        }
        return 0.0f;
    }

    public void U2(@Nullable CharSequence charSequence) {
        if (this.G1 != charSequence) {
            this.G1 = androidx.core.h.a.c().m(charSequence);
            invalidateSelf();
        }
    }

    public boolean V1() {
        return this.H1;
    }

    @Deprecated
    public void V2(boolean z) {
        i3(z);
    }

    @Deprecated
    public boolean W1() {
        return X1();
    }

    @Deprecated
    public void W2(@BoolRes int i) {
        h3(i);
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public Paint.Align X0(@NonNull Rect rect, @NonNull PointF pointF) {
        pointF.set(0.0f, 0.0f);
        Paint.Align align = Paint.Align.LEFT;
        if (this.v1 != null) {
            float Q0 = this.N1 + Q0() + this.Q1;
            if (c.f(this) == 0) {
                pointF.x = ((float) rect.left) + Q0;
                align = Paint.Align.LEFT;
            } else {
                pointF.x = ((float) rect.right) - Q0;
                align = Paint.Align.RIGHT;
            }
            pointF.y = ((float) rect.centerY()) - W0();
        }
        return align;
    }

    public boolean X1() {
        return this.I1;
    }

    public void X2(float f) {
        if (this.T1 != f) {
            this.T1 = f;
            invalidateSelf();
            if (K3()) {
                i2();
            }
        }
    }

    @Deprecated
    public boolean Y1() {
        return Z1();
    }

    public void Y2(@DimenRes int i) {
        X2(this.V1.getResources().getDimension(i));
    }

    public boolean Z1() {
        return this.w1;
    }

    public void Z2(@DrawableRes int i) {
        T2(androidx.appcompat.a.a.a.d(this.V1, i));
    }

    @Override // com.google.android.material.internal.j.b
    public void a() {
        i2();
        invalidateSelf();
    }

    @Deprecated
    public boolean a2() {
        return c2();
    }

    public void a3(float f) {
        if (this.F1 != f) {
            this.F1 = f;
            invalidateSelf();
            if (K3()) {
                i2();
            }
        }
    }

    public boolean b2() {
        return f2(this.C1);
    }

    public void b3(@DimenRes int i) {
        a3(this.V1.getResources().getDimension(i));
    }

    public boolean c2() {
        return this.B1;
    }

    public void c3(float f) {
        if (this.S1 != f) {
            this.S1 = f;
            invalidateSelf();
            if (K3()) {
                i2();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public boolean d2() {
        return this.x2;
    }

    public void d3(@DimenRes int i) {
        c3(this.V1.getResources().getDimension(i));
    }

    @Override // com.google.android.material.shape.MaterialShapeDrawable
    public void draw(@NonNull Canvas canvas) {
        Rect bounds = getBounds();
        if (!bounds.isEmpty() && getAlpha() != 0) {
            int i = 0;
            int i3 = this.l2;
            if (i3 < 255) {
                i = com.google.android.material.b.a.a(canvas, (float) bounds.left, (float) bounds.top, (float) bounds.right, (float) bounds.bottom, i3);
            }
            f1(canvas, bounds);
            c1(canvas, bounds);
            if (this.x2) {
                super.draw(canvas);
            }
            e1(canvas, bounds);
            h1(canvas, bounds);
            d1(canvas, bounds);
            b1(canvas, bounds);
            if (this.v2) {
                j1(canvas, bounds);
            }
            g1(canvas, bounds);
            i1(canvas, bounds);
            if (this.l2 < 255) {
                canvas.restoreToCount(i);
            }
        }
    }

    public boolean e3(@NonNull int[] iArr) {
        if (Arrays.equals(this.q2, iArr)) {
            return false;
        }
        this.q2 = iArr;
        if (K3()) {
            return j2(getState(), iArr);
        }
        return false;
    }

    public void f3(@Nullable ColorStateList colorStateList) {
        if (this.E1 != colorStateList) {
            this.E1 = colorStateList;
            if (K3()) {
                c.o(this.C1, colorStateList);
            }
            onStateChange(getState());
        }
    }

    public void g3(@ColorRes int i) {
        f3(androidx.appcompat.a.a.a.c(this.V1, i));
    }

    public int getAlpha() {
        return this.l2;
    }

    @Nullable
    public ColorFilter getColorFilter() {
        return this.m2;
    }

    public int getIntrinsicHeight() {
        return (int) this.q1;
    }

    public int getIntrinsicWidth() {
        return Math.min(Math.round(this.N1 + Q0() + this.Q1 + this.c2.f(O1().toString()) + this.R1 + U0() + this.U1), this.w2);
    }

    @Override // com.google.android.material.shape.MaterialShapeDrawable
    public int getOpacity() {
        return -3;
    }

    @Override // com.google.android.material.shape.MaterialShapeDrawable
    @TargetApi(21)
    public void getOutline(@NonNull Outline outline) {
        if (this.x2) {
            super.getOutline(outline);
            return;
        }
        Rect bounds = getBounds();
        if (!bounds.isEmpty()) {
            outline.setRoundRect(bounds, this.r1);
        } else {
            outline.setRoundRect(0, 0, getIntrinsicWidth(), getIntrinsicHeight(), this.r1);
        }
        outline.setAlpha(((float) getAlpha()) / 255.0f);
    }

    public void h3(@BoolRes int i) {
        i3(this.V1.getResources().getBoolean(i));
    }

    /* access modifiers changed from: protected */
    public void i2() {
        AbstractC0256a aVar = this.t2.get();
        if (aVar != null) {
            aVar.a();
        }
    }

    public void i3(boolean z) {
        if (this.B1 != z) {
            boolean K3 = K3();
            this.B1 = z;
            boolean K32 = K3();
            if (K3 != K32) {
                if (K32) {
                    O0(this.C1);
                } else {
                    L3(this.C1);
                }
                invalidateSelf();
                i2();
            }
        }
    }

    public void invalidateDrawable(@NonNull Drawable drawable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.invalidateDrawable(this);
        }
    }

    @Override // com.google.android.material.shape.MaterialShapeDrawable
    public boolean isStateful() {
        return e2(this.o1) || e2(this.p1) || e2(this.s1) || (this.r2 && e2(this.s2)) || g2(this.c2.d()) || Y0() || f2(this.x1) || f2(this.J1) || e2(this.o2);
    }

    public void j3(@Nullable AbstractC0256a aVar) {
        this.t2 = new WeakReference<>(aVar);
    }

    @Nullable
    public Drawable k1() {
        return this.J1;
    }

    public void k2(boolean z) {
        if (this.H1 != z) {
            this.H1 = z;
            float Q0 = Q0();
            if (!z && this.j2) {
                this.j2 = false;
            }
            float Q02 = Q0();
            invalidateSelf();
            if (Q0 != Q02) {
                i2();
            }
        }
    }

    public void k3(@Nullable TextUtils.TruncateAt truncateAt) {
        this.u2 = truncateAt;
    }

    @Nullable
    public ColorStateList l1() {
        return this.K1;
    }

    public void l2(@BoolRes int i) {
        k2(this.V1.getResources().getBoolean(i));
    }

    public void l3(@Nullable h hVar) {
        this.M1 = hVar;
    }

    @Nullable
    public ColorStateList m1() {
        return this.p1;
    }

    public void m2(@Nullable Drawable drawable) {
        if (this.J1 != drawable) {
            float Q0 = Q0();
            this.J1 = drawable;
            float Q02 = Q0();
            L3(this.J1);
            O0(this.J1);
            invalidateSelf();
            if (Q0 != Q02) {
                i2();
            }
        }
    }

    public void m3(@AnimatorRes int i) {
        l3(h.d(this.V1, i));
    }

    public float n1() {
        return this.x2 ? R() : this.r1;
    }

    @Deprecated
    public void n2(boolean z) {
        t2(z);
    }

    public void n3(float f) {
        if (this.P1 != f) {
            float Q0 = Q0();
            this.P1 = f;
            float Q02 = Q0();
            invalidateSelf();
            if (Q0 != Q02) {
                i2();
            }
        }
    }

    public float o1() {
        return this.U1;
    }

    @Deprecated
    public void o2(@BoolRes int i) {
        t2(this.V1.getResources().getBoolean(i));
    }

    public void o3(@DimenRes int i) {
        n3(this.V1.getResources().getDimension(i));
    }

    public boolean onLayoutDirectionChanged(int i) {
        boolean onLayoutDirectionChanged = super.onLayoutDirectionChanged(i);
        if (J3()) {
            onLayoutDirectionChanged |= c.m(this.x1, i);
        }
        if (I3()) {
            onLayoutDirectionChanged |= c.m(this.J1, i);
        }
        if (K3()) {
            onLayoutDirectionChanged |= c.m(this.C1, i);
        }
        if (!onLayoutDirectionChanged) {
            return true;
        }
        invalidateSelf();
        return true;
    }

    /* access modifiers changed from: protected */
    public boolean onLevelChange(int i) {
        boolean onLevelChange = super.onLevelChange(i);
        if (J3()) {
            onLevelChange |= this.x1.setLevel(i);
        }
        if (I3()) {
            onLevelChange |= this.J1.setLevel(i);
        }
        if (K3()) {
            onLevelChange |= this.C1.setLevel(i);
        }
        if (onLevelChange) {
            invalidateSelf();
        }
        return onLevelChange;
    }

    @Override // com.google.android.material.internal.j.b, com.google.android.material.shape.MaterialShapeDrawable
    public boolean onStateChange(@NonNull int[] iArr) {
        if (this.x2) {
            super.onStateChange(iArr);
        }
        return j2(iArr, C1());
    }

    @Nullable
    public Drawable p1() {
        Drawable drawable = this.x1;
        if (drawable != null) {
            return c.q(drawable);
        }
        return null;
    }

    public void p2(@DrawableRes int i) {
        m2(androidx.appcompat.a.a.a.d(this.V1, i));
    }

    public void p3(float f) {
        if (this.O1 != f) {
            float Q0 = Q0();
            this.O1 = f;
            float Q02 = Q0();
            invalidateSelf();
            if (Q0 != Q02) {
                i2();
            }
        }
    }

    public float q1() {
        return this.z1;
    }

    public void q2(@Nullable ColorStateList colorStateList) {
        if (this.K1 != colorStateList) {
            this.K1 = colorStateList;
            if (Y0()) {
                c.o(this.J1, colorStateList);
            }
            onStateChange(getState());
        }
    }

    public void q3(@DimenRes int i) {
        p3(this.V1.getResources().getDimension(i));
    }

    @Nullable
    public ColorStateList r1() {
        return this.y1;
    }

    public void r2(@ColorRes int i) {
        q2(androidx.appcompat.a.a.a.c(this.V1, i));
    }

    public void r3(@Px int i) {
        this.w2 = i;
    }

    public float s1() {
        return this.q1;
    }

    public void s2(@BoolRes int i) {
        t2(this.V1.getResources().getBoolean(i));
    }

    public void s3(@Nullable ColorStateList colorStateList) {
        if (this.u1 != colorStateList) {
            this.u1 = colorStateList;
            M3();
            onStateChange(getState());
        }
    }

    public void scheduleDrawable(@NonNull Drawable drawable, @NonNull Runnable runnable, long j) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.scheduleDrawable(this, runnable, j);
        }
    }

    @Override // com.google.android.material.shape.MaterialShapeDrawable
    public void setAlpha(int i) {
        if (this.l2 != i) {
            this.l2 = i;
            invalidateSelf();
        }
    }

    @Override // com.google.android.material.shape.MaterialShapeDrawable
    public void setColorFilter(@Nullable ColorFilter colorFilter) {
        if (this.m2 != colorFilter) {
            this.m2 = colorFilter;
            invalidateSelf();
        }
    }

    @Override // androidx.core.graphics.drawable.i, com.google.android.material.shape.MaterialShapeDrawable
    public void setTintList(@Nullable ColorStateList colorStateList) {
        if (this.o2 != colorStateList) {
            this.o2 = colorStateList;
            onStateChange(getState());
        }
    }

    @Override // androidx.core.graphics.drawable.i, com.google.android.material.shape.MaterialShapeDrawable
    public void setTintMode(@NonNull PorterDuff.Mode mode) {
        if (this.p2 != mode) {
            this.p2 = mode;
            this.n2 = com.google.android.material.e.a.c(this, this.o2, mode);
            invalidateSelf();
        }
    }

    public boolean setVisible(boolean z, boolean z2) {
        boolean visible = super.setVisible(z, z2);
        if (J3()) {
            visible |= this.x1.setVisible(z, z2);
        }
        if (I3()) {
            visible |= this.J1.setVisible(z, z2);
        }
        if (K3()) {
            visible |= this.C1.setVisible(z, z2);
        }
        if (visible) {
            invalidateSelf();
        }
        return visible;
    }

    public float t1() {
        return this.N1;
    }

    public void t2(boolean z) {
        if (this.I1 != z) {
            boolean I3 = I3();
            this.I1 = z;
            boolean I32 = I3();
            if (I3 != I32) {
                if (I32) {
                    O0(this.J1);
                } else {
                    L3(this.J1);
                }
                invalidateSelf();
                i2();
            }
        }
    }

    public void t3(@ColorRes int i) {
        s3(androidx.appcompat.a.a.a.c(this.V1, i));
    }

    @Nullable
    public ColorStateList u1() {
        return this.s1;
    }

    public void u2(@Nullable ColorStateList colorStateList) {
        if (this.p1 != colorStateList) {
            this.p1 = colorStateList;
            onStateChange(getState());
        }
    }

    /* access modifiers changed from: package-private */
    public void u3(boolean z) {
        this.v2 = z;
    }

    public void unscheduleDrawable(@NonNull Drawable drawable, @NonNull Runnable runnable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.unscheduleDrawable(this, runnable);
        }
    }

    public float v1() {
        return this.t1;
    }

    public void v2(@ColorRes int i) {
        u2(androidx.appcompat.a.a.a.c(this.V1, i));
    }

    public void v3(@Nullable h hVar) {
        this.L1 = hVar;
    }

    public void w1(@NonNull RectF rectF) {
        R0(getBounds(), rectF);
    }

    @Deprecated
    public void w2(float f) {
        if (this.r1 != f) {
            this.r1 = f;
            setShapeAppearanceModel(getShapeAppearanceModel().w(f));
        }
    }

    public void w3(@AnimatorRes int i) {
        v3(h.d(this.V1, i));
    }

    @Nullable
    public Drawable x1() {
        Drawable drawable = this.C1;
        if (drawable != null) {
            return c.q(drawable);
        }
        return null;
    }

    @Deprecated
    public void x2(@DimenRes int i) {
        w2(this.V1.getResources().getDimension(i));
    }

    public void x3(@Nullable CharSequence charSequence) {
        if (charSequence == null) {
            charSequence = "";
        }
        if (!TextUtils.equals(this.v1, charSequence)) {
            this.v1 = charSequence;
            this.c2.j(true);
            invalidateSelf();
            i2();
        }
    }

    @Nullable
    public CharSequence y1() {
        return this.G1;
    }

    public void y2(float f) {
        if (this.U1 != f) {
            this.U1 = f;
            invalidateSelf();
            i2();
        }
    }

    public void y3(@Nullable d dVar) {
        this.c2.i(dVar, this.V1);
    }

    public float z1() {
        return this.T1;
    }

    public void z2(@DimenRes int i) {
        y2(this.V1.getResources().getDimension(i));
    }

    public void z3(@StyleRes int i) {
        y3(new d(this.V1, i));
    }
}
