package com.google.android.material.datepicker;

import android.content.Context;
import android.os.Build;
import android.text.format.DateUtils;
import androidx.annotation.Nullable;
import androidx.core.util.i;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;

/* access modifiers changed from: package-private */
/* compiled from: DateStrings */
public class d {
    private d() {
    }

    static i<String, String> a(@Nullable Long l, @Nullable Long l2) {
        return b(l, l2, null);
    }

    static i<String, String> b(@Nullable Long l, @Nullable Long l2, @Nullable SimpleDateFormat simpleDateFormat) {
        if (l == null && l2 == null) {
            return i.a(null, null);
        }
        if (l == null) {
            return i.a(null, d(l2.longValue(), simpleDateFormat));
        }
        if (l2 == null) {
            return i.a(d(l.longValue(), simpleDateFormat), null);
        }
        Calendar t = p.t();
        Calendar v = p.v();
        v.setTimeInMillis(l.longValue());
        Calendar v2 = p.v();
        v2.setTimeInMillis(l2.longValue());
        if (simpleDateFormat != null) {
            return i.a(simpleDateFormat.format(new Date(l.longValue())), simpleDateFormat.format(new Date(l2.longValue())));
        } else if (v.get(1) != v2.get(1)) {
            return i.a(k(l.longValue(), Locale.getDefault()), k(l2.longValue(), Locale.getDefault()));
        } else {
            if (v.get(1) == t.get(1)) {
                return i.a(f(l.longValue(), Locale.getDefault()), f(l2.longValue(), Locale.getDefault()));
            }
            return i.a(f(l.longValue(), Locale.getDefault()), k(l2.longValue(), Locale.getDefault()));
        }
    }

    static String c(long j) {
        return d(j, null);
    }

    static String d(long j, @Nullable SimpleDateFormat simpleDateFormat) {
        Calendar t = p.t();
        Calendar v = p.v();
        v.setTimeInMillis(j);
        if (simpleDateFormat != null) {
            return simpleDateFormat.format(new Date(j));
        }
        if (t.get(1) == v.get(1)) {
            return e(j);
        }
        return j(j);
    }

    static String e(long j) {
        return f(j, Locale.getDefault());
    }

    static String f(long j, Locale locale) {
        if (Build.VERSION.SDK_INT >= 24) {
            return p.c(locale).format(new Date(j));
        }
        return p.m(locale).format(new Date(j));
    }

    static String g(long j) {
        return h(j, Locale.getDefault());
    }

    static String h(long j, Locale locale) {
        if (Build.VERSION.SDK_INT >= 24) {
            return p.d(locale).format(new Date(j));
        }
        return p.i(locale).format(new Date(j));
    }

    static String i(Context context, long j) {
        return DateUtils.formatDateTime(context, j - ((long) TimeZone.getDefault().getOffset(j)), 36);
    }

    static String j(long j) {
        return k(j, Locale.getDefault());
    }

    static String k(long j, Locale locale) {
        if (Build.VERSION.SDK_INT >= 24) {
            return p.x(locale).format(new Date(j));
        }
        return p.k(locale).format(new Date(j));
    }

    static String l(long j) {
        return m(j, Locale.getDefault());
    }

    static String m(long j, Locale locale) {
        if (Build.VERSION.SDK_INT >= 24) {
            return p.y(locale).format(new Date(j));
        }
        return p.i(locale).format(new Date(j));
    }
}
