package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.PropertyValuesHolder;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.AnimatorRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.ViewCompat;
import com.google.android.material.R;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.button.MaterialButton;
import com.google.android.material.internal.m;
import java.util.List;

public class ExtendedFloatingActionButton extends MaterialButton implements CoordinatorLayout.b {
    private static final int d1 = R.style.Widget_MaterialComponents_ExtendedFloatingActionButton_Icon;
    private static final int e1 = 0;
    private static final int f1 = 1;
    private static final int g1 = 2;
    static final Property<View, Float> h1 = new d(Float.class, "width");
    static final Property<View, Float> i1 = new e(Float.class, "height");
    static final Property<View, Float> j1 = new f(Float.class, "paddingStart");
    static final Property<View, Float> k1 = new g(Float.class, "paddingEnd");
    private int l1;
    private final a m1;
    @NonNull
    private final f n1;
    @NonNull
    private final f o1;
    private final f p1;
    private final f q1;
    private final int r1;
    private int s1;
    private int t1;
    @NonNull
    private final CoordinatorLayout.Behavior<ExtendedFloatingActionButton> u1;
    private boolean v1;
    private boolean w1;
    private boolean x1;
    @NonNull
    protected ColorStateList y1;

    class a implements l {
        a() {
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int a() {
            return ExtendedFloatingActionButton.this.t1;
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int b() {
            return ExtendedFloatingActionButton.this.getMeasuredHeight();
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public ViewGroup.LayoutParams c() {
            return new ViewGroup.LayoutParams(-2, -2);
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int d() {
            return ExtendedFloatingActionButton.this.s1;
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int e() {
            return (ExtendedFloatingActionButton.this.getMeasuredWidth() - (ExtendedFloatingActionButton.this.getCollapsedPadding() * 2)) + ExtendedFloatingActionButton.this.s1 + ExtendedFloatingActionButton.this.t1;
        }
    }

    class b implements l {
        b() {
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int a() {
            return ExtendedFloatingActionButton.this.getCollapsedPadding();
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int b() {
            return ExtendedFloatingActionButton.this.getCollapsedSize();
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public ViewGroup.LayoutParams c() {
            return new ViewGroup.LayoutParams(e(), b());
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int d() {
            return ExtendedFloatingActionButton.this.getCollapsedPadding();
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.l
        public int e() {
            return ExtendedFloatingActionButton.this.getCollapsedSize();
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends AnimatorListenerAdapter {
        final /* synthetic */ j I0;

        /* renamed from: a  reason: collision with root package name */
        private boolean f11642a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ f f11643b;

        c(f fVar, j jVar) {
            this.f11643b = fVar;
            this.I0 = jVar;
        }

        public void onAnimationCancel(Animator animator) {
            this.f11642a = true;
            this.f11643b.a();
        }

        public void onAnimationEnd(Animator animator) {
            this.f11643b.i();
            if (!this.f11642a) {
                this.f11643b.m(this.I0);
            }
        }

        public void onAnimationStart(Animator animator) {
            this.f11643b.onAnimationStart(animator);
            this.f11642a = false;
        }
    }

    static class d extends Property<View, Float> {
        d(Class cls, String str) {
            super(cls, str);
        }

        @NonNull
        /* renamed from: a */
        public Float get(@NonNull View view) {
            return Float.valueOf((float) view.getLayoutParams().width);
        }

        /* renamed from: b */
        public void set(@NonNull View view, @NonNull Float f) {
            view.getLayoutParams().width = f.intValue();
            view.requestLayout();
        }
    }

    static class e extends Property<View, Float> {
        e(Class cls, String str) {
            super(cls, str);
        }

        @NonNull
        /* renamed from: a */
        public Float get(@NonNull View view) {
            return Float.valueOf((float) view.getLayoutParams().height);
        }

        /* renamed from: b */
        public void set(@NonNull View view, @NonNull Float f) {
            view.getLayoutParams().height = f.intValue();
            view.requestLayout();
        }
    }

    static class f extends Property<View, Float> {
        f(Class cls, String str) {
            super(cls, str);
        }

        @NonNull
        /* renamed from: a */
        public Float get(@NonNull View view) {
            return Float.valueOf((float) ViewCompat.getPaddingStart(view));
        }

        /* renamed from: b */
        public void set(@NonNull View view, @NonNull Float f) {
            ViewCompat.setPaddingRelative(view, f.intValue(), view.getPaddingTop(), ViewCompat.getPaddingEnd(view), view.getPaddingBottom());
        }
    }

    static class g extends Property<View, Float> {
        g(Class cls, String str) {
            super(cls, str);
        }

        @NonNull
        /* renamed from: a */
        public Float get(@NonNull View view) {
            return Float.valueOf((float) ViewCompat.getPaddingEnd(view));
        }

        /* renamed from: b */
        public void set(@NonNull View view, @NonNull Float f) {
            ViewCompat.setPaddingRelative(view, ViewCompat.getPaddingStart(view), view.getPaddingTop(), f.intValue(), view.getPaddingBottom());
        }
    }

    class h extends b {
        private final l g;
        private final boolean h;

        h(a aVar, l lVar, boolean z) {
            super(ExtendedFloatingActionButton.this, aVar);
            this.g = lVar;
            this.h = z;
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public int c() {
            return this.h ? R.animator.mtrl_extended_fab_change_size_expand_motion_spec : R.animator.mtrl_extended_fab_change_size_collapse_motion_spec;
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public void d() {
            ExtendedFloatingActionButton.this.v1 = this.h;
            ViewGroup.LayoutParams layoutParams = ExtendedFloatingActionButton.this.getLayoutParams();
            if (layoutParams != null) {
                layoutParams.width = this.g.c().width;
                layoutParams.height = this.g.c().height;
                ViewCompat.setPaddingRelative(ExtendedFloatingActionButton.this, this.g.d(), ExtendedFloatingActionButton.this.getPaddingTop(), this.g.a(), ExtendedFloatingActionButton.this.getPaddingBottom());
                ExtendedFloatingActionButton.this.requestLayout();
            }
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public boolean f() {
            return this.h == ExtendedFloatingActionButton.this.v1 || ExtendedFloatingActionButton.this.getIcon() == null || TextUtils.isEmpty(ExtendedFloatingActionButton.this.getText());
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        public void i() {
            super.i();
            ExtendedFloatingActionButton.this.w1 = false;
            ExtendedFloatingActionButton.this.setHorizontallyScrolling(false);
            ViewGroup.LayoutParams layoutParams = ExtendedFloatingActionButton.this.getLayoutParams();
            if (layoutParams != null) {
                layoutParams.width = this.g.c().width;
                layoutParams.height = this.g.c().height;
            }
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        @NonNull
        public AnimatorSet k() {
            com.google.android.material.a.h b2 = b();
            if (b2.j("width")) {
                PropertyValuesHolder[] g2 = b2.g("width");
                g2[0].setFloatValues((float) ExtendedFloatingActionButton.this.getWidth(), (float) this.g.e());
                b2.l("width", g2);
            }
            if (b2.j("height")) {
                PropertyValuesHolder[] g3 = b2.g("height");
                g3[0].setFloatValues((float) ExtendedFloatingActionButton.this.getHeight(), (float) this.g.b());
                b2.l("height", g3);
            }
            if (b2.j("paddingStart")) {
                PropertyValuesHolder[] g4 = b2.g("paddingStart");
                g4[0].setFloatValues((float) ViewCompat.getPaddingStart(ExtendedFloatingActionButton.this), (float) this.g.d());
                b2.l("paddingStart", g4);
            }
            if (b2.j("paddingEnd")) {
                PropertyValuesHolder[] g5 = b2.g("paddingEnd");
                g5[0].setFloatValues((float) ViewCompat.getPaddingEnd(ExtendedFloatingActionButton.this), (float) this.g.a());
                b2.l("paddingEnd", g5);
            }
            if (b2.j("labelOpacity")) {
                PropertyValuesHolder[] g6 = b2.g("labelOpacity");
                boolean z = this.h;
                float f = 0.0f;
                float f2 = z ? 0.0f : 1.0f;
                if (z) {
                    f = 1.0f;
                }
                g6[0].setFloatValues(f2, f);
                b2.l("labelOpacity", g6);
            }
            return super.o(b2);
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public void m(@Nullable j jVar) {
            if (jVar != null) {
                if (this.h) {
                    jVar.a(ExtendedFloatingActionButton.this);
                } else {
                    jVar.d(ExtendedFloatingActionButton.this);
                }
            }
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        public void onAnimationStart(Animator animator) {
            super.onAnimationStart(animator);
            ExtendedFloatingActionButton.this.v1 = this.h;
            ExtendedFloatingActionButton.this.w1 = true;
            ExtendedFloatingActionButton.this.setHorizontallyScrolling(true);
        }
    }

    class i extends b {
        private boolean g;

        public i(a aVar) {
            super(ExtendedFloatingActionButton.this, aVar);
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        public void a() {
            super.a();
            this.g = true;
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public int c() {
            return R.animator.mtrl_extended_fab_hide_motion_spec;
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public void d() {
            ExtendedFloatingActionButton.this.setVisibility(8);
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public boolean f() {
            return ExtendedFloatingActionButton.this.I();
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        public void i() {
            super.i();
            ExtendedFloatingActionButton.this.l1 = 0;
            if (!this.g) {
                ExtendedFloatingActionButton.this.setVisibility(8);
            }
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public void m(@Nullable j jVar) {
            if (jVar != null) {
                jVar.b(ExtendedFloatingActionButton.this);
            }
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        public void onAnimationStart(Animator animator) {
            super.onAnimationStart(animator);
            this.g = false;
            ExtendedFloatingActionButton.this.setVisibility(0);
            ExtendedFloatingActionButton.this.l1 = 1;
        }
    }

    public static abstract class j {
        public void a(ExtendedFloatingActionButton extendedFloatingActionButton) {
        }

        public void b(ExtendedFloatingActionButton extendedFloatingActionButton) {
        }

        public void c(ExtendedFloatingActionButton extendedFloatingActionButton) {
        }

        public void d(ExtendedFloatingActionButton extendedFloatingActionButton) {
        }
    }

    class k extends b {
        public k(a aVar) {
            super(ExtendedFloatingActionButton.this, aVar);
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public int c() {
            return R.animator.mtrl_extended_fab_show_motion_spec;
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public void d() {
            ExtendedFloatingActionButton.this.setVisibility(0);
            ExtendedFloatingActionButton.this.setAlpha(1.0f);
            ExtendedFloatingActionButton.this.setScaleY(1.0f);
            ExtendedFloatingActionButton.this.setScaleX(1.0f);
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public boolean f() {
            return ExtendedFloatingActionButton.this.J();
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        public void i() {
            super.i();
            ExtendedFloatingActionButton.this.l1 = 0;
        }

        @Override // com.google.android.material.floatingactionbutton.f
        public void m(@Nullable j jVar) {
            if (jVar != null) {
                jVar.c(ExtendedFloatingActionButton.this);
            }
        }

        @Override // com.google.android.material.floatingactionbutton.b, com.google.android.material.floatingactionbutton.f
        public void onAnimationStart(Animator animator) {
            super.onAnimationStart(animator);
            ExtendedFloatingActionButton.this.setVisibility(0);
            ExtendedFloatingActionButton.this.l1 = 2;
        }
    }

    interface l {
        int a();

        int b();

        ViewGroup.LayoutParams c();

        int d();

        int e();
    }

    public ExtendedFloatingActionButton(@NonNull Context context) {
        this(context, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean I() {
        if (getVisibility() == 0) {
            if (this.l1 == 1) {
                return true;
            }
            return false;
        } else if (this.l1 != 2) {
            return true;
        } else {
            return false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean J() {
        if (getVisibility() != 0) {
            if (this.l1 == 2) {
                return true;
            }
            return false;
        } else if (this.l1 != 1) {
            return true;
        } else {
            return false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void K(@NonNull f fVar, @Nullable j jVar) {
        if (!fVar.f()) {
            if (!Q()) {
                fVar.d();
                fVar.m(jVar);
                return;
            }
            measure(0, 0);
            AnimatorSet k2 = fVar.k();
            k2.addListener(new c(fVar, jVar));
            for (Animator.AnimatorListener animatorListener : fVar.l()) {
                k2.addListener(animatorListener);
            }
            k2.start();
        }
    }

    private void P() {
        this.y1 = getTextColors();
    }

    private boolean Q() {
        return (ViewCompat.isLaidOut(this) || (!J() && this.x1)) && !isInEditMode();
    }

    public void A(@NonNull Animator.AnimatorListener animatorListener) {
        this.q1.h(animatorListener);
    }

    public void B(@NonNull Animator.AnimatorListener animatorListener) {
        this.p1.h(animatorListener);
    }

    public void C(@NonNull Animator.AnimatorListener animatorListener) {
        this.n1.h(animatorListener);
    }

    public void D() {
        K(this.o1, null);
    }

    public void E(@NonNull j jVar) {
        K(this.o1, jVar);
    }

    public void F() {
        K(this.q1, null);
    }

    public void G(@NonNull j jVar) {
        K(this.q1, jVar);
    }

    public final boolean H() {
        return this.v1;
    }

    public void L(@NonNull Animator.AnimatorListener animatorListener) {
        this.o1.g(animatorListener);
    }

    public void M(@NonNull Animator.AnimatorListener animatorListener) {
        this.q1.g(animatorListener);
    }

    public void N(@NonNull Animator.AnimatorListener animatorListener) {
        this.p1.g(animatorListener);
    }

    public void O(@NonNull Animator.AnimatorListener animatorListener) {
        this.n1.g(animatorListener);
    }

    public void R() {
        K(this.p1, null);
    }

    public void S(@NonNull j jVar) {
        K(this.p1, jVar);
    }

    public void T() {
        K(this.n1, null);
    }

    public void U(@NonNull j jVar) {
        K(this.n1, jVar);
    }

    /* access modifiers changed from: protected */
    public void V(@NonNull ColorStateList colorStateList) {
        super.setTextColor(colorStateList);
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    @NonNull
    public CoordinatorLayout.Behavior<ExtendedFloatingActionButton> getBehavior() {
        return this.u1;
    }

    /* access modifiers changed from: package-private */
    public int getCollapsedPadding() {
        return (getCollapsedSize() - getIconSize()) / 2;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public int getCollapsedSize() {
        int i2 = this.r1;
        return i2 < 0 ? (Math.min(ViewCompat.getPaddingStart(this), ViewCompat.getPaddingEnd(this)) * 2) + getIconSize() : i2;
    }

    @Nullable
    public com.google.android.material.a.h getExtendMotionSpec() {
        return this.o1.e();
    }

    @Nullable
    public com.google.android.material.a.h getHideMotionSpec() {
        return this.q1.e();
    }

    @Nullable
    public com.google.android.material.a.h getShowMotionSpec() {
        return this.p1.e();
    }

    @Nullable
    public com.google.android.material.a.h getShrinkMotionSpec() {
        return this.n1.e();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.button.MaterialButton
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.v1 && TextUtils.isEmpty(getText()) && getIcon() != null) {
            this.v1 = false;
            this.n1.d();
        }
    }

    public void setAnimateShowBeforeLayout(boolean z) {
        this.x1 = z;
    }

    public void setExtendMotionSpec(@Nullable com.google.android.material.a.h hVar) {
        this.o1.j(hVar);
    }

    public void setExtendMotionSpecResource(@AnimatorRes int i2) {
        setExtendMotionSpec(com.google.android.material.a.h.d(getContext(), i2));
    }

    public void setExtended(boolean z) {
        if (this.v1 != z) {
            f fVar = z ? this.o1 : this.n1;
            if (!fVar.f()) {
                fVar.d();
            }
        }
    }

    public void setHideMotionSpec(@Nullable com.google.android.material.a.h hVar) {
        this.q1.j(hVar);
    }

    public void setHideMotionSpecResource(@AnimatorRes int i2) {
        setHideMotionSpec(com.google.android.material.a.h.d(getContext(), i2));
    }

    public void setPadding(int i2, int i3, int i4, int i5) {
        super.setPadding(i2, i3, i4, i5);
        if (this.v1 && !this.w1) {
            this.s1 = ViewCompat.getPaddingStart(this);
            this.t1 = ViewCompat.getPaddingEnd(this);
        }
    }

    public void setPaddingRelative(int i2, int i3, int i4, int i5) {
        super.setPaddingRelative(i2, i3, i4, i5);
        if (this.v1 && !this.w1) {
            this.s1 = i2;
            this.t1 = i4;
        }
    }

    public void setShowMotionSpec(@Nullable com.google.android.material.a.h hVar) {
        this.p1.j(hVar);
    }

    public void setShowMotionSpecResource(@AnimatorRes int i2) {
        setShowMotionSpec(com.google.android.material.a.h.d(getContext(), i2));
    }

    public void setShrinkMotionSpec(@Nullable com.google.android.material.a.h hVar) {
        this.n1.j(hVar);
    }

    public void setShrinkMotionSpecResource(@AnimatorRes int i2) {
        setShrinkMotionSpec(com.google.android.material.a.h.d(getContext(), i2));
    }

    @Override // android.widget.TextView
    public void setTextColor(int i2) {
        super.setTextColor(i2);
        P();
    }

    public void z(@NonNull Animator.AnimatorListener animatorListener) {
        this.o1.h(animatorListener);
    }

    public ExtendedFloatingActionButton(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.extendedFloatingActionButtonStyle);
    }

    protected static class ExtendedFloatingActionButtonBehavior<T extends ExtendedFloatingActionButton> extends CoordinatorLayout.Behavior<T> {

        /* renamed from: a  reason: collision with root package name */
        private static final boolean f11635a = false;

        /* renamed from: b  reason: collision with root package name */
        private static final boolean f11636b = true;

        /* renamed from: c  reason: collision with root package name */
        private Rect f11637c;
        @Nullable

        /* renamed from: d  reason: collision with root package name */
        private j f11638d;
        @Nullable

        /* renamed from: e  reason: collision with root package name */
        private j f11639e;
        private boolean f;
        private boolean g;

        public ExtendedFloatingActionButtonBehavior() {
            this.f = false;
            this.g = true;
        }

        private static boolean K(@NonNull View view) {
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (layoutParams instanceof CoordinatorLayout.d) {
                return ((CoordinatorLayout.d) layoutParams).f() instanceof BottomSheetBehavior;
            }
            return false;
        }

        private boolean R(@NonNull View view, @NonNull ExtendedFloatingActionButton extendedFloatingActionButton) {
            CoordinatorLayout.d dVar = (CoordinatorLayout.d) extendedFloatingActionButton.getLayoutParams();
            if ((this.f || this.g) && dVar.e() == view.getId()) {
                return true;
            }
            return false;
        }

        private boolean T(CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, @NonNull ExtendedFloatingActionButton extendedFloatingActionButton) {
            if (!R(appBarLayout, extendedFloatingActionButton)) {
                return false;
            }
            if (this.f11637c == null) {
                this.f11637c = new Rect();
            }
            Rect rect = this.f11637c;
            com.google.android.material.internal.c.a(coordinatorLayout, appBarLayout, rect);
            if (rect.bottom <= appBarLayout.getMinimumHeightForVisibleOverlappingContent()) {
                S(extendedFloatingActionButton);
                return true;
            }
            G(extendedFloatingActionButton);
            return true;
        }

        private boolean U(@NonNull View view, @NonNull ExtendedFloatingActionButton extendedFloatingActionButton) {
            if (!R(view, extendedFloatingActionButton)) {
                return false;
            }
            if (view.getTop() < (extendedFloatingActionButton.getHeight() / 2) + ((ViewGroup.MarginLayoutParams) ((CoordinatorLayout.d) extendedFloatingActionButton.getLayoutParams())).topMargin) {
                S(extendedFloatingActionButton);
                return true;
            }
            G(extendedFloatingActionButton);
            return true;
        }

        /* access modifiers changed from: protected */
        public void G(@NonNull ExtendedFloatingActionButton extendedFloatingActionButton) {
            f fVar;
            boolean z = this.g;
            j jVar = z ? this.f11639e : this.f11638d;
            if (z) {
                fVar = extendedFloatingActionButton.o1;
            } else {
                fVar = extendedFloatingActionButton.p1;
            }
            extendedFloatingActionButton.K(fVar, jVar);
        }

        /* renamed from: H */
        public boolean b(@NonNull CoordinatorLayout coordinatorLayout, @NonNull ExtendedFloatingActionButton extendedFloatingActionButton, @NonNull Rect rect) {
            return super.b(coordinatorLayout, extendedFloatingActionButton, rect);
        }

        public boolean I() {
            return this.f;
        }

        public boolean J() {
            return this.g;
        }

        /* renamed from: L */
        public boolean i(CoordinatorLayout coordinatorLayout, @NonNull ExtendedFloatingActionButton extendedFloatingActionButton, View view) {
            if (view instanceof AppBarLayout) {
                T(coordinatorLayout, (AppBarLayout) view, extendedFloatingActionButton);
                return false;
            } else if (!K(view)) {
                return false;
            } else {
                U(view, extendedFloatingActionButton);
                return false;
            }
        }

        /* renamed from: M */
        public boolean m(@NonNull CoordinatorLayout coordinatorLayout, @NonNull ExtendedFloatingActionButton extendedFloatingActionButton, int i) {
            List<View> q = coordinatorLayout.q(extendedFloatingActionButton);
            int size = q.size();
            for (int i2 = 0; i2 < size; i2++) {
                View view = q.get(i2);
                if (!(view instanceof AppBarLayout)) {
                    if (K(view) && U(view, extendedFloatingActionButton)) {
                        break;
                    }
                } else if (T(coordinatorLayout, (AppBarLayout) view, extendedFloatingActionButton)) {
                    break;
                }
            }
            coordinatorLayout.H(extendedFloatingActionButton, i);
            return true;
        }

        public void N(boolean z) {
            this.f = z;
        }

        public void O(boolean z) {
            this.g = z;
        }

        /* access modifiers changed from: package-private */
        @VisibleForTesting
        public void P(@Nullable j jVar) {
            this.f11638d = jVar;
        }

        /* access modifiers changed from: package-private */
        @VisibleForTesting
        public void Q(@Nullable j jVar) {
            this.f11639e = jVar;
        }

        /* access modifiers changed from: protected */
        public void S(@NonNull ExtendedFloatingActionButton extendedFloatingActionButton) {
            f fVar;
            boolean z = this.g;
            j jVar = z ? this.f11639e : this.f11638d;
            if (z) {
                fVar = extendedFloatingActionButton.n1;
            } else {
                fVar = extendedFloatingActionButton.q1;
            }
            extendedFloatingActionButton.K(fVar, jVar);
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public void h(@NonNull CoordinatorLayout.d dVar) {
            if (dVar.h == 0) {
                dVar.h = 80;
            }
        }

        public ExtendedFloatingActionButtonBehavior(@NonNull Context context, @Nullable AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ExtendedFloatingActionButton_Behavior_Layout);
            this.f = obtainStyledAttributes.getBoolean(R.styleable.ExtendedFloatingActionButton_Behavior_Layout_behavior_autoHide, false);
            this.g = obtainStyledAttributes.getBoolean(R.styleable.ExtendedFloatingActionButton_Behavior_Layout_behavior_autoShrink, true);
            obtainStyledAttributes.recycle();
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public ExtendedFloatingActionButton(@NonNull Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i2, r9), attributeSet, i2);
        int i3 = d1;
        this.l1 = 0;
        a aVar = new a();
        this.m1 = aVar;
        k kVar = new k(aVar);
        this.p1 = kVar;
        i iVar = new i(aVar);
        this.q1 = iVar;
        this.v1 = true;
        this.w1 = false;
        this.x1 = false;
        Context context2 = getContext();
        this.u1 = new ExtendedFloatingActionButtonBehavior(context2, attributeSet);
        TypedArray j2 = m.j(context2, attributeSet, R.styleable.ExtendedFloatingActionButton, i2, i3, new int[0]);
        com.google.android.material.a.h c2 = com.google.android.material.a.h.c(context2, j2, R.styleable.ExtendedFloatingActionButton_showMotionSpec);
        com.google.android.material.a.h c3 = com.google.android.material.a.h.c(context2, j2, R.styleable.ExtendedFloatingActionButton_hideMotionSpec);
        com.google.android.material.a.h c4 = com.google.android.material.a.h.c(context2, j2, R.styleable.ExtendedFloatingActionButton_extendMotionSpec);
        com.google.android.material.a.h c5 = com.google.android.material.a.h.c(context2, j2, R.styleable.ExtendedFloatingActionButton_shrinkMotionSpec);
        this.r1 = j2.getDimensionPixelSize(R.styleable.ExtendedFloatingActionButton_collapsedSize, -1);
        this.s1 = ViewCompat.getPaddingStart(this);
        this.t1 = ViewCompat.getPaddingEnd(this);
        a aVar2 = new a();
        h hVar = new h(aVar2, new a(), true);
        this.o1 = hVar;
        h hVar2 = new h(aVar2, new b(), false);
        this.n1 = hVar2;
        kVar.j(c2);
        iVar.j(c3);
        hVar.j(c4);
        hVar2.j(c5);
        j2.recycle();
        setShapeAppearanceModel(com.google.android.material.shape.m.g(context2, attributeSet, i2, i3, com.google.android.material.shape.m.f11865a).m());
        P();
    }

    @Override // android.widget.TextView
    public void setTextColor(@NonNull ColorStateList colorStateList) {
        super.setTextColor(colorStateList);
        P();
    }
}
