package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.StateListAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.core.content.d;
import com.google.android.material.R;
import com.google.android.material.j.b;
import com.google.android.material.k.c;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.m;
import java.util.ArrayList;

/* access modifiers changed from: package-private */
@RequiresApi(21)
/* compiled from: FloatingActionButtonImplLollipop */
public class e extends d {

    /* access modifiers changed from: package-private */
    /* compiled from: FloatingActionButtonImplLollipop */
    public static class a extends MaterialShapeDrawable {
        a(m mVar) {
            super(mVar);
        }

        @Override // com.google.android.material.shape.MaterialShapeDrawable
        public boolean isStateful() {
            return true;
        }
    }

    e(FloatingActionButton floatingActionButton, c cVar) {
        super(floatingActionButton, cVar);
    }

    @NonNull
    private Animator m0(float f, float f2) {
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.play(ObjectAnimator.ofFloat(this.R, "elevation", f).setDuration(0L)).with(ObjectAnimator.ofFloat(this.R, View.TRANSLATION_Z, f2).setDuration(100L));
        animatorSet.setInterpolator(d.f11667a);
        return animatorSet;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void A() {
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void C() {
        i0();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void E(int[] iArr) {
        if (Build.VERSION.SDK_INT != 21) {
            return;
        }
        if (this.R.isEnabled()) {
            this.R.setElevation(this.A);
            if (this.R.isPressed()) {
                this.R.setTranslationZ(this.C);
            } else if (this.R.isFocused() || this.R.isHovered()) {
                this.R.setTranslationZ(this.B);
            } else {
                this.R.setTranslationZ(0.0f);
            }
        } else {
            this.R.setElevation(0.0f);
            this.R.setTranslationZ(0.0f);
        }
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void F(float f, float f2, float f3) {
        int i = Build.VERSION.SDK_INT;
        if (i == 21) {
            this.R.refreshDrawableState();
        } else {
            StateListAnimator stateListAnimator = new StateListAnimator();
            stateListAnimator.addState(d.n, m0(f, f3));
            stateListAnimator.addState(d.o, m0(f, f2));
            stateListAnimator.addState(d.p, m0(f, f2));
            stateListAnimator.addState(d.q, m0(f, f2));
            AnimatorSet animatorSet = new AnimatorSet();
            ArrayList arrayList = new ArrayList();
            arrayList.add(ObjectAnimator.ofFloat(this.R, "elevation", f).setDuration(0L));
            if (i >= 22 && i <= 24) {
                FloatingActionButton floatingActionButton = this.R;
                arrayList.add(ObjectAnimator.ofFloat(floatingActionButton, View.TRANSLATION_Z, floatingActionButton.getTranslationZ()).setDuration(100L));
            }
            arrayList.add(ObjectAnimator.ofFloat(this.R, View.TRANSLATION_Z, 0.0f).setDuration(100L));
            animatorSet.playSequentially((Animator[]) arrayList.toArray(new Animator[0]));
            animatorSet.setInterpolator(d.f11667a);
            stateListAnimator.addState(d.r, animatorSet);
            stateListAnimator.addState(d.s, m0(0.0f, 0.0f));
            this.R.setStateListAnimator(stateListAnimator);
        }
        if (c0()) {
            i0();
        }
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public boolean N() {
        return false;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void Y(@Nullable ColorStateList colorStateList) {
        Drawable drawable = this.v;
        if (drawable instanceof RippleDrawable) {
            ((RippleDrawable) drawable).setColor(b.d(colorStateList));
        } else {
            super.Y(colorStateList);
        }
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public boolean c0() {
        return this.S.c() || !e0();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void g0() {
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    @NonNull
    public MaterialShapeDrawable j() {
        return new a((m) androidx.core.util.m.g(this.t));
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public c l0(int i, ColorStateList colorStateList) {
        Context context = this.R.getContext();
        c cVar = new c((m) androidx.core.util.m.g(this.t));
        cVar.f(d.f(context, R.color.design_fab_stroke_top_outer_color), d.f(context, R.color.design_fab_stroke_top_inner_color), d.f(context, R.color.design_fab_stroke_end_inner_color), d.f(context, R.color.design_fab_stroke_end_outer_color));
        cVar.e((float) i);
        cVar.d(colorStateList);
        return cVar;
    }

    @Override // com.google.android.material.floatingactionbutton.d
    public float n() {
        return this.R.getElevation();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void s(@NonNull Rect rect) {
        if (this.S.c()) {
            super.s(rect);
        } else if (!e0()) {
            int sizeDimension = (this.D - this.R.getSizeDimension()) / 2;
            rect.set(sizeDimension, sizeDimension, sizeDimension, sizeDimension);
        } else {
            rect.set(0, 0, 0, 0);
        }
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.floatingactionbutton.d
    public void x(ColorStateList colorStateList, @Nullable PorterDuff.Mode mode, ColorStateList colorStateList2, int i) {
        Drawable drawable;
        MaterialShapeDrawable j = j();
        this.u = j;
        j.setTintList(colorStateList);
        if (mode != null) {
            this.u.setTintMode(mode);
        }
        this.u.Y(this.R.getContext());
        if (i > 0) {
            this.w = l0(i, colorStateList);
            drawable = new LayerDrawable(new Drawable[]{(Drawable) androidx.core.util.m.g(this.w), (Drawable) androidx.core.util.m.g(this.u)});
        } else {
            this.w = null;
            drawable = this.u;
        }
        RippleDrawable rippleDrawable = new RippleDrawable(b.d(colorStateList2), drawable, null);
        this.v = rippleDrawable;
        this.x = rippleDrawable;
    }
}
