package com.google.android.material.navigation;

import android.app.Activity;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Color;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewTreeObserver;
import android.widget.FrameLayout;
import androidx.annotation.DimenRes;
import androidx.annotation.Dimension;
import androidx.annotation.DrawableRes;
import androidx.annotation.IdRes;
import androidx.annotation.LayoutRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.appcompat.c.g;
import androidx.appcompat.view.menu.f;
import androidx.appcompat.widget.f0;
import androidx.core.content.d;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.customview.view.AbsSavedState;
import com.google.android.material.R;
import com.google.android.material.internal.ScrimInsetsFrameLayout;
import com.google.android.material.internal.e;
import com.google.android.material.internal.f;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.i;
import com.google.android.material.shape.m;

public class NavigationView extends ScrimInsetsFrameLayout {
    private static final int[] L0 = {16842912};
    private static final int[] M0 = {-16842910};
    private static final int N0 = R.style.Widget_Design_NavigationView;
    private static final int O0 = 1;
    @NonNull
    private final e P0;
    private final f Q0;
    c R0;
    private final int S0;
    private final int[] T0;
    private MenuInflater U0;
    private ViewTreeObserver.OnGlobalLayoutListener V0;

    class a implements f.a {
        a() {
        }

        @Override // androidx.appcompat.view.menu.f.a
        public boolean a(androidx.appcompat.view.menu.f fVar, MenuItem menuItem) {
            c cVar = NavigationView.this.R0;
            return cVar != null && cVar.a(menuItem);
        }

        @Override // androidx.appcompat.view.menu.f.a
        public void b(androidx.appcompat.view.menu.f fVar) {
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ViewTreeObserver.OnGlobalLayoutListener {
        b() {
        }

        public void onGlobalLayout() {
            NavigationView navigationView = NavigationView.this;
            navigationView.getLocationOnScreen(navigationView.T0);
            boolean z = true;
            boolean z2 = NavigationView.this.T0[1] == 0;
            NavigationView.this.Q0.B(z2);
            NavigationView.this.setDrawTopInsetForeground(z2);
            Activity a2 = com.google.android.material.internal.b.a(NavigationView.this.getContext());
            if (a2 != null && Build.VERSION.SDK_INT >= 21) {
                boolean z3 = a2.findViewById(16908290).getHeight() == NavigationView.this.getHeight();
                boolean z4 = Color.alpha(a2.getWindow().getNavigationBarColor()) != 0;
                NavigationView navigationView2 = NavigationView.this;
                if (!z3 || !z4) {
                    z = false;
                }
                navigationView2.setDrawBottomInsetForeground(z);
            }
        }
    }

    public interface c {
        boolean a(@NonNull MenuItem menuItem);
    }

    public NavigationView(@NonNull Context context) {
        this(context, null);
    }

    @Nullable
    private ColorStateList e(int i) {
        TypedValue typedValue = new TypedValue();
        if (!getContext().getTheme().resolveAttribute(i, typedValue, true)) {
            return null;
        }
        ColorStateList c2 = androidx.appcompat.a.a.a.c(getContext(), typedValue.resourceId);
        if (!getContext().getTheme().resolveAttribute(androidx.appcompat.R.attr.colorPrimary, typedValue, true)) {
            return null;
        }
        int i2 = typedValue.data;
        int defaultColor = c2.getDefaultColor();
        int[] iArr = M0;
        return new ColorStateList(new int[][]{iArr, L0, FrameLayout.EMPTY_STATE_SET}, new int[]{c2.getColorForState(iArr, defaultColor), i2, defaultColor});
    }

    @NonNull
    private final Drawable f(@NonNull f0 f0Var) {
        MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable(m.b(getContext(), f0Var.u(R.styleable.NavigationView_itemShapeAppearance, 0), f0Var.u(R.styleable.NavigationView_itemShapeAppearanceOverlay, 0)).m());
        materialShapeDrawable.n0(com.google.android.material.i.c.b(getContext(), f0Var, R.styleable.NavigationView_itemShapeFillColor));
        return new InsetDrawable((Drawable) materialShapeDrawable, f0Var.g(R.styleable.NavigationView_itemShapeInsetStart, 0), f0Var.g(R.styleable.NavigationView_itemShapeInsetTop, 0), f0Var.g(R.styleable.NavigationView_itemShapeInsetEnd, 0), f0Var.g(R.styleable.NavigationView_itemShapeInsetBottom, 0));
    }

    private MenuInflater getMenuInflater() {
        if (this.U0 == null) {
            this.U0 = new g(getContext());
        }
        return this.U0;
    }

    private boolean h(@NonNull f0 f0Var) {
        return f0Var.C(R.styleable.NavigationView_itemShapeAppearance) || f0Var.C(R.styleable.NavigationView_itemShapeAppearanceOverlay);
    }

    private void l() {
        this.V0 = new b();
        getViewTreeObserver().addOnGlobalLayoutListener(this.V0);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.internal.ScrimInsetsFrameLayout
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void a(@NonNull WindowInsetsCompat windowInsetsCompat) {
        this.Q0.m(windowInsetsCompat);
    }

    public void d(@NonNull View view) {
        this.Q0.c(view);
    }

    public View g(int i) {
        return this.Q0.r(i);
    }

    @Nullable
    public MenuItem getCheckedItem() {
        return this.Q0.p();
    }

    public int getHeaderCount() {
        return this.Q0.q();
    }

    @Nullable
    public Drawable getItemBackground() {
        return this.Q0.s();
    }

    @Dimension
    public int getItemHorizontalPadding() {
        return this.Q0.t();
    }

    @Dimension
    public int getItemIconPadding() {
        return this.Q0.u();
    }

    @Nullable
    public ColorStateList getItemIconTintList() {
        return this.Q0.x();
    }

    public int getItemMaxLines() {
        return this.Q0.v();
    }

    @Nullable
    public ColorStateList getItemTextColor() {
        return this.Q0.w();
    }

    @NonNull
    public Menu getMenu() {
        return this.P0;
    }

    public View i(@LayoutRes int i) {
        return this.Q0.y(i);
    }

    public void j(int i) {
        this.Q0.N(true);
        getMenuInflater().inflate(i, this.P0);
        this.Q0.N(false);
        this.Q0.g(false);
    }

    public void k(@NonNull View view) {
        this.Q0.A(view);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.internal.ScrimInsetsFrameLayout
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        i.e(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.internal.ScrimInsetsFrameLayout
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (Build.VERSION.SDK_INT < 16) {
            getViewTreeObserver().removeGlobalOnLayoutListener(this.V0);
        } else {
            getViewTreeObserver().removeOnGlobalLayoutListener(this.V0);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        int mode = View.MeasureSpec.getMode(i);
        if (mode == Integer.MIN_VALUE) {
            i = View.MeasureSpec.makeMeasureSpec(Math.min(View.MeasureSpec.getSize(i), this.S0), 1073741824);
        } else if (mode == 0) {
            i = View.MeasureSpec.makeMeasureSpec(this.S0, 1073741824);
        }
        super.onMeasure(i, i2);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.a());
        this.P0.U(savedState.I0);
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        Bundle bundle = new Bundle();
        savedState.I0 = bundle;
        this.P0.W(bundle);
        return savedState;
    }

    public void setCheckedItem(@IdRes int i) {
        MenuItem findItem = this.P0.findItem(i);
        if (findItem != null) {
            this.Q0.C((androidx.appcompat.view.menu.i) findItem);
        }
    }

    public void setElevation(float f) {
        if (Build.VERSION.SDK_INT >= 21) {
            super.setElevation(f);
        }
        i.d(this, f);
    }

    public void setItemBackground(@Nullable Drawable drawable) {
        this.Q0.E(drawable);
    }

    public void setItemBackgroundResource(@DrawableRes int i) {
        setItemBackground(d.i(getContext(), i));
    }

    public void setItemHorizontalPadding(@Dimension int i) {
        this.Q0.F(i);
    }

    public void setItemHorizontalPaddingResource(@DimenRes int i) {
        this.Q0.F(getResources().getDimensionPixelSize(i));
    }

    public void setItemIconPadding(@Dimension int i) {
        this.Q0.G(i);
    }

    public void setItemIconPaddingResource(int i) {
        this.Q0.G(getResources().getDimensionPixelSize(i));
    }

    public void setItemIconSize(@Dimension int i) {
        this.Q0.H(i);
    }

    public void setItemIconTintList(@Nullable ColorStateList colorStateList) {
        this.Q0.I(colorStateList);
    }

    public void setItemMaxLines(int i) {
        this.Q0.J(i);
    }

    public void setItemTextAppearance(@StyleRes int i) {
        this.Q0.K(i);
    }

    public void setItemTextColor(@Nullable ColorStateList colorStateList) {
        this.Q0.L(colorStateList);
    }

    public void setNavigationItemSelectedListener(@Nullable c cVar) {
        this.R0 = cVar;
    }

    public void setOverScrollMode(int i) {
        super.setOverScrollMode(i);
        com.google.android.material.internal.f fVar = this.Q0;
        if (fVar != null) {
            fVar.M(i);
        }
    }

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        @Nullable
        public Bundle I0;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Nullable
            /* renamed from: a */
            public SavedState createFromParcel(@NonNull Parcel parcel) {
                return new SavedState(parcel, null);
            }

            @NonNull
            /* renamed from: b */
            public SavedState createFromParcel(@NonNull Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @NonNull
            /* renamed from: c */
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        }

        public SavedState(@NonNull Parcel parcel, @Nullable ClassLoader classLoader) {
            super(parcel, classLoader);
            this.I0 = parcel.readBundle(classLoader);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(@NonNull Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeBundle(this.I0);
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }
    }

    public NavigationView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.navigationViewStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public NavigationView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i, r6), attributeSet, i);
        ColorStateList colorStateList;
        int i2;
        boolean z;
        int i3 = N0;
        com.google.android.material.internal.f fVar = new com.google.android.material.internal.f();
        this.Q0 = fVar;
        this.T0 = new int[2];
        Context context2 = getContext();
        e eVar = new e(context2);
        this.P0 = eVar;
        f0 k = com.google.android.material.internal.m.k(context2, attributeSet, R.styleable.NavigationView, i, i3, new int[0]);
        int i4 = R.styleable.NavigationView_android_background;
        if (k.C(i4)) {
            ViewCompat.setBackground(this, k.h(i4));
        }
        if (getBackground() == null || (getBackground() instanceof ColorDrawable)) {
            m m = m.e(context2, attributeSet, i, i3).m();
            Drawable background = getBackground();
            MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable(m);
            if (background instanceof ColorDrawable) {
                materialShapeDrawable.n0(ColorStateList.valueOf(((ColorDrawable) background).getColor()));
            }
            materialShapeDrawable.Y(context2);
            ViewCompat.setBackground(this, materialShapeDrawable);
        }
        int i5 = R.styleable.NavigationView_elevation;
        if (k.C(i5)) {
            setElevation((float) k.g(i5, 0));
        }
        setFitsSystemWindows(k.a(R.styleable.NavigationView_android_fitsSystemWindows, false));
        this.S0 = k.g(R.styleable.NavigationView_android_maxWidth, 0);
        int i6 = R.styleable.NavigationView_itemIconTint;
        if (k.C(i6)) {
            colorStateList = k.d(i6);
        } else {
            colorStateList = e(16842808);
        }
        int i7 = R.styleable.NavigationView_itemTextAppearance;
        if (k.C(i7)) {
            i2 = k.u(i7, 0);
            z = true;
        } else {
            i2 = 0;
            z = false;
        }
        int i8 = R.styleable.NavigationView_itemIconSize;
        if (k.C(i8)) {
            setItemIconSize(k.g(i8, 0));
        }
        ColorStateList colorStateList2 = null;
        int i9 = R.styleable.NavigationView_itemTextColor;
        colorStateList2 = k.C(i9) ? k.d(i9) : colorStateList2;
        if (!z && colorStateList2 == null) {
            colorStateList2 = e(16842806);
        }
        Drawable h = k.h(R.styleable.NavigationView_itemBackground);
        if (h == null && h(k)) {
            h = f(k);
        }
        int i10 = R.styleable.NavigationView_itemHorizontalPadding;
        if (k.C(i10)) {
            fVar.F(k.g(i10, 0));
        }
        int g = k.g(R.styleable.NavigationView_itemIconPadding, 0);
        setItemMaxLines(k.o(R.styleable.NavigationView_itemMaxLines, 1));
        eVar.X(new a());
        fVar.D(1);
        fVar.l(context2, eVar);
        fVar.I(colorStateList);
        fVar.M(getOverScrollMode());
        if (z) {
            fVar.K(i2);
        }
        fVar.L(colorStateList2);
        fVar.E(h);
        fVar.G(g);
        eVar.b(fVar);
        addView((View) fVar.o(this));
        int i11 = R.styleable.NavigationView_menu;
        if (k.C(i11)) {
            j(k.u(i11, 0));
        }
        int i12 = R.styleable.NavigationView_headerLayout;
        if (k.C(i12)) {
            i(k.u(i12, 0));
        }
        k.I();
        l();
    }

    public void setCheckedItem(@NonNull MenuItem menuItem) {
        MenuItem findItem = this.P0.findItem(menuItem.getItemId());
        if (findItem != null) {
            this.Q0.C((androidx.appcompat.view.menu.i) findItem);
            return;
        }
        throw new IllegalArgumentException("Called setCheckedItem(MenuItem) with an item that is not in the current menu.");
    }
}
