package com.google.android.material.progressindicator;

import android.animation.ObjectAnimator;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Rect;
import android.os.Build;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.vectordrawable.a.a.b;
import com.google.android.material.progressindicator.b;

/* compiled from: IndeterminateDrawable */
public final class i<S extends b> extends f {
    private g<S> X0;
    private h<ObjectAnimator> Y0;

    i(@NonNull Context context, @NonNull b bVar, @NonNull g<S> gVar, @NonNull h<ObjectAnimator> hVar) {
        super(context, bVar);
        C(gVar);
        B(hVar);
    }

    @NonNull
    public static i<CircularProgressIndicatorSpec> x(@NonNull Context context, @NonNull CircularProgressIndicatorSpec circularProgressIndicatorSpec) {
        return new i<>(context, circularProgressIndicatorSpec, new c(circularProgressIndicatorSpec), new d(circularProgressIndicatorSpec));
    }

    @NonNull
    public static i<LinearProgressIndicatorSpec> y(@NonNull Context context, @NonNull LinearProgressIndicatorSpec linearProgressIndicatorSpec) {
        return new i<>(context, linearProgressIndicatorSpec, new j(linearProgressIndicatorSpec), linearProgressIndicatorSpec.g == 0 ? new k(linearProgressIndicatorSpec) : new l(context, linearProgressIndicatorSpec));
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public g<S> A() {
        return this.X0;
    }

    /* access modifiers changed from: package-private */
    public void B(@NonNull h<ObjectAnimator> hVar) {
        this.Y0 = hVar;
        hVar.e(this);
    }

    /* access modifiers changed from: package-private */
    public void C(@NonNull g<S> gVar) {
        this.X0 = gVar;
        gVar.f(this);
    }

    @Override // androidx.vectordrawable.a.a.b, com.google.android.material.progressindicator.f
    public /* bridge */ /* synthetic */ void b(@NonNull b.a aVar) {
        super.b(aVar);
    }

    @Override // androidx.vectordrawable.a.a.b, com.google.android.material.progressindicator.f
    public /* bridge */ /* synthetic */ void c() {
        super.c();
    }

    @Override // androidx.vectordrawable.a.a.b, com.google.android.material.progressindicator.f
    public /* bridge */ /* synthetic */ boolean d(@NonNull b.a aVar) {
        return super.d(aVar);
    }

    public void draw(@NonNull Canvas canvas) {
        Rect rect = new Rect();
        if (!getBounds().isEmpty() && isVisible() && canvas.getClipBounds(rect)) {
            canvas.save();
            this.X0.g(canvas, j());
            this.X0.c(canvas, this.V0);
            int i = 0;
            while (true) {
                h<ObjectAnimator> hVar = this.Y0;
                int[] iArr = hVar.f11828c;
                if (i < iArr.length) {
                    g<S> gVar = this.X0;
                    Paint paint = this.V0;
                    float[] fArr = hVar.f11827b;
                    int i2 = i * 2;
                    gVar.b(canvas, paint, fArr[i2], fArr[i2 + 1], iArr[i]);
                    i++;
                } else {
                    canvas.restore();
                    return;
                }
            }
        }
    }

    @Override // com.google.android.material.progressindicator.f
    public /* bridge */ /* synthetic */ int getAlpha() {
        return super.getAlpha();
    }

    public int getIntrinsicHeight() {
        return this.X0.d();
    }

    public int getIntrinsicWidth() {
        return this.X0.e();
    }

    @Override // com.google.android.material.progressindicator.f
    public /* bridge */ /* synthetic */ int getOpacity() {
        return super.getOpacity();
    }

    @Override // com.google.android.material.progressindicator.f
    public /* bridge */ /* synthetic */ boolean isRunning() {
        return super.isRunning();
    }

    @Override // com.google.android.material.progressindicator.f
    public /* bridge */ /* synthetic */ boolean l() {
        return super.l();
    }

    @Override // com.google.android.material.progressindicator.f
    public /* bridge */ /* synthetic */ boolean m() {
        return super.m();
    }

    @Override // com.google.android.material.progressindicator.f
    public /* bridge */ /* synthetic */ boolean n() {
        return super.n();
    }

    @Override // com.google.android.material.progressindicator.f
    public /* bridge */ /* synthetic */ void setAlpha(int i) {
        super.setAlpha(i);
    }

    @Override // com.google.android.material.progressindicator.f
    public /* bridge */ /* synthetic */ void setColorFilter(@Nullable ColorFilter colorFilter) {
        super.setColorFilter(colorFilter);
    }

    @Override // com.google.android.material.progressindicator.f
    public /* bridge */ /* synthetic */ boolean setVisible(boolean z, boolean z2) {
        return super.setVisible(z, z2);
    }

    @Override // com.google.android.material.progressindicator.f
    public /* bridge */ /* synthetic */ void start() {
        super.start();
    }

    @Override // com.google.android.material.progressindicator.f
    public /* bridge */ /* synthetic */ void stop() {
        super.stop();
    }

    @Override // com.google.android.material.progressindicator.f
    public /* bridge */ /* synthetic */ boolean v(boolean z, boolean z2, boolean z3) {
        return super.v(z, z2, z3);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.progressindicator.f
    public boolean w(boolean z, boolean z2, boolean z3) {
        boolean w = super.w(z, z2, z3);
        if (!isRunning()) {
            this.Y0.a();
        }
        float a2 = this.L0.a(this.J0.getContentResolver());
        if (z && (z3 || (Build.VERSION.SDK_INT <= 21 && a2 > 0.0f))) {
            this.Y0.g();
        }
        return w;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public h<ObjectAnimator> z() {
        return this.Y0;
    }
}
