package com.google.android.material.transition;

import android.animation.Animator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Region;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import androidx.annotation.ColorInt;
import androidx.annotation.FloatRange;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.core.view.InputDeviceCompat;
import androidx.core.view.ViewCompat;
import androidx.transition.ArcMotion;
import androidx.transition.PathMotion;
import androidx.transition.Transition;
import androidx.transition.z;
import com.google.android.material.R;
import com.google.android.material.internal.u;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.m;
import com.google.android.material.shape.q;
import com.google.android.material.transition.r;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public final class MaterialContainerTransform extends Transition {
    public static final int B1 = 0;
    public static final int C1 = 1;
    public static final int D1 = 2;
    public static final int E1 = 0;
    public static final int F1 = 1;
    public static final int G1 = 2;
    public static final int H1 = 3;
    public static final int I1 = 0;
    public static final int J1 = 1;
    public static final int K1 = 2;
    private static final String L1 = MaterialContainerTransform.class.getSimpleName();
    private static final String M1 = "materialContainerTransition:bounds";
    private static final String N1 = "materialContainerTransition:shapeAppearance";
    private static final String[] O1 = {M1, N1};
    private static final d P1 = new d(new c(0.0f, 0.25f), new c(0.0f, 1.0f), new c(0.0f, 1.0f), new c(0.0f, 0.75f), null);
    private static final d Q1 = new d(new c(0.6f, 0.9f), new c(0.0f, 1.0f), new c(0.0f, 0.9f), new c(0.3f, 0.9f), null);
    private static final d R1 = new d(new c(0.1f, 0.4f), new c(0.1f, 1.0f), new c(0.1f, 1.0f), new c(0.1f, 0.9f), null);
    private static final d S1 = new d(new c(0.6f, 0.9f), new c(0.0f, 0.9f), new c(0.0f, 0.9f), new c(0.2f, 0.9f), null);
    private static final float T1 = -1.0f;
    private boolean U1 = false;
    private boolean V1 = false;
    @IdRes
    private int W1 = 16908290;
    @IdRes
    private int X1 = -1;
    @IdRes
    private int Y1 = -1;
    @ColorInt
    private int Z1 = 0;
    @ColorInt
    private int a2 = 0;
    @ColorInt
    private int b2 = 0;
    @ColorInt
    private int c2 = 1375731712;
    private int d2 = 0;
    private int e2 = 0;
    private int f2 = 0;
    @Nullable
    private View g2;
    @Nullable
    private View h2;
    @Nullable
    private m i2;
    @Nullable
    private m j2;
    @Nullable
    private c k2;
    @Nullable
    private c l2;
    @Nullable
    private c m2;
    @Nullable
    private c n2;
    private boolean o2;
    private float p2;
    private float q2;

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface FadeMode {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface FitMode {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface TransitionDirection {
    }

    /* access modifiers changed from: package-private */
    public class a implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ e f12144a;

        a(e eVar) {
            this.f12144a = eVar;
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            this.f12144a.o(valueAnimator.getAnimatedFraction());
        }
    }

    class b extends q {
        final /* synthetic */ View I0;
        final /* synthetic */ View J0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f12146a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ e f12147b;

        b(View view, e eVar, View view2, View view3) {
            this.f12146a = view;
            this.f12147b = eVar;
            this.I0 = view2;
            this.J0 = view3;
        }

        @Override // androidx.transition.Transition.g, com.google.android.material.transition.q
        public void a(@NonNull Transition transition) {
            u.h(this.f12146a).a(this.f12147b);
            this.I0.setAlpha(0.0f);
            this.J0.setAlpha(0.0f);
        }

        @Override // androidx.transition.Transition.g, com.google.android.material.transition.q
        public void c(@NonNull Transition transition) {
            MaterialContainerTransform.this.q0(this);
            if (!MaterialContainerTransform.this.V1) {
                this.I0.setAlpha(1.0f);
                this.J0.setAlpha(1.0f);
                u.h(this.f12146a).b(this.f12147b);
            }
        }
    }

    public static class c {
        @FloatRange(from = 0.0d, to = 1.0d)

        /* renamed from: a  reason: collision with root package name */
        private final float f12148a;
        @FloatRange(from = 0.0d, to = 1.0d)

        /* renamed from: b  reason: collision with root package name */
        private final float f12149b;

        public c(@FloatRange(from = 0.0d, to = 1.0d) float f, @FloatRange(from = 0.0d, to = 1.0d) float f2) {
            this.f12148a = f;
            this.f12149b = f2;
        }

        @FloatRange(from = 0.0d, to = 1.0d)
        public float c() {
            return this.f12149b;
        }

        @FloatRange(from = 0.0d, to = 1.0d)
        public float d() {
            return this.f12148a;
        }
    }

    /* access modifiers changed from: private */
    public static class d {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        private final c f12150a;
        @NonNull

        /* renamed from: b  reason: collision with root package name */
        private final c f12151b;
        @NonNull

        /* renamed from: c  reason: collision with root package name */
        private final c f12152c;
        @NonNull

        /* renamed from: d  reason: collision with root package name */
        private final c f12153d;

        /* synthetic */ d(c cVar, c cVar2, c cVar3, c cVar4, a aVar) {
            this(cVar, cVar2, cVar3, cVar4);
        }

        private d(@NonNull c cVar, @NonNull c cVar2, @NonNull c cVar3, @NonNull c cVar4) {
            this.f12150a = cVar;
            this.f12151b = cVar2;
            this.f12152c = cVar3;
            this.f12153d = cVar4;
        }
    }

    private static final class e extends Drawable {

        /* renamed from: a  reason: collision with root package name */
        private static final int f12154a = 754974720;

        /* renamed from: b  reason: collision with root package name */
        private static final int f12155b = -7829368;

        /* renamed from: c  reason: collision with root package name */
        private static final float f12156c = 0.3f;

        /* renamed from: d  reason: collision with root package name */
        private static final float f12157d = 1.5f;
        private final RectF A;
        private final RectF B;
        private final RectF C;
        private final RectF D;
        private final d E;
        private final a F;
        private final f G;
        private final boolean H;
        private final Paint I;
        private final Path J;
        private c K;
        private h L;
        private RectF M;
        private float N;
        private float O;
        private float P;

        /* renamed from: e  reason: collision with root package name */
        private final View f12158e;
        private final RectF f;
        private final m g;
        private final float h;
        private final View i;
        private final RectF j;
        private final m k;
        private final float l;
        private final Paint m;
        private final Paint n;
        private final Paint o;
        private final Paint p;
        private final Paint q;
        private final j r;
        private final PathMeasure s;
        private final float t;
        private final float[] u;
        private final boolean v;
        private final float w;
        private final float x;
        private final boolean y;
        private final MaterialShapeDrawable z;

        /* access modifiers changed from: package-private */
        public class a implements r.c {
            a() {
            }

            @Override // com.google.android.material.transition.r.c
            public void a(Canvas canvas) {
                e.this.f12158e.draw(canvas);
            }
        }

        /* access modifiers changed from: package-private */
        public class b implements r.c {
            b() {
            }

            @Override // com.google.android.material.transition.r.c
            public void a(Canvas canvas) {
                e.this.i.draw(canvas);
            }
        }

        /* synthetic */ e(PathMotion pathMotion, View view, RectF rectF, m mVar, float f2, View view2, RectF rectF2, m mVar2, float f3, int i2, int i3, int i4, int i5, boolean z2, boolean z3, a aVar, f fVar, d dVar, boolean z4, a aVar2) {
            this(pathMotion, view, rectF, mVar, f2, view2, rectF2, mVar2, f3, i2, i3, i4, i5, z2, z3, aVar, fVar, dVar, z4);
        }

        private static float d(RectF rectF, float f2) {
            return ((rectF.centerX() / (f2 / 2.0f)) - 1.0f) * f12156c;
        }

        private static float e(RectF rectF, float f2) {
            return (rectF.centerY() / f2) * f12157d;
        }

        private void f(Canvas canvas, RectF rectF, Path path, @ColorInt int i2) {
            PointF m2 = m(rectF);
            if (this.P == 0.0f) {
                path.reset();
                path.moveTo(m2.x, m2.y);
                return;
            }
            path.lineTo(m2.x, m2.y);
            this.I.setColor(i2);
            canvas.drawPath(path, this.I);
        }

        private void g(Canvas canvas, RectF rectF, @ColorInt int i2) {
            this.I.setColor(i2);
            canvas.drawRect(rectF, this.I);
        }

        private void h(Canvas canvas) {
            canvas.save();
            canvas.clipPath(this.r.d(), Region.Op.DIFFERENCE);
            if (Build.VERSION.SDK_INT > 28) {
                j(canvas);
            } else {
                i(canvas);
            }
            canvas.restore();
        }

        private void i(Canvas canvas) {
            MaterialShapeDrawable materialShapeDrawable = this.z;
            RectF rectF = this.M;
            materialShapeDrawable.setBounds((int) rectF.left, (int) rectF.top, (int) rectF.right, (int) rectF.bottom);
            this.z.m0(this.N);
            this.z.A0((int) this.O);
            this.z.setShapeAppearanceModel(this.r.c());
            this.z.draw(canvas);
        }

        private void j(Canvas canvas) {
            m c2 = this.r.c();
            if (c2.u(this.M)) {
                float a2 = c2.r().a(this.M);
                canvas.drawRoundRect(this.M, a2, a2, this.p);
                return;
            }
            canvas.drawPath(this.r.d(), this.p);
        }

        private void k(Canvas canvas) {
            n(canvas, this.o);
            Rect bounds = getBounds();
            RectF rectF = this.C;
            r.s(canvas, bounds, rectF.left, rectF.top, this.L.f12188b, this.K.f12173b, new b());
        }

        private void l(Canvas canvas) {
            n(canvas, this.n);
            Rect bounds = getBounds();
            RectF rectF = this.A;
            r.s(canvas, bounds, rectF.left, rectF.top, this.L.f12187a, this.K.f12172a, new a());
        }

        private static PointF m(RectF rectF) {
            return new PointF(rectF.centerX(), rectF.top);
        }

        private void n(Canvas canvas, Paint paint) {
            if (paint.getColor() != 0 && paint.getAlpha() > 0) {
                canvas.drawRect(getBounds(), paint);
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void o(float f2) {
            if (this.P != f2) {
                p(f2);
            }
        }

        private void p(float f2) {
            float f3;
            float f4;
            this.P = f2;
            this.q.setAlpha((int) (this.v ? r.k(0.0f, 255.0f, f2) : r.k(255.0f, 0.0f, f2)));
            this.s.getPosTan(this.t * f2, this.u, null);
            float[] fArr = this.u;
            float f5 = fArr[0];
            float f6 = fArr[1];
            int i2 = (f2 > 1.0f ? 1 : (f2 == 1.0f ? 0 : -1));
            if (i2 > 0 || f2 < 0.0f) {
                if (i2 > 0) {
                    f4 = 0.99f;
                    f3 = (f2 - 1.0f) / 0.00999999f;
                } else {
                    f4 = 0.01f;
                    f3 = (f2 / 0.01f) * MaterialContainerTransform.T1;
                }
                this.s.getPosTan(this.t * f4, fArr, null);
                float[] fArr2 = this.u;
                f5 += (f5 - fArr2[0]) * f3;
                f6 += (f6 - fArr2[1]) * f3;
            }
            h a2 = this.G.a(f2, ((Float) androidx.core.util.m.g(Float.valueOf(this.E.f12151b.f12148a))).floatValue(), ((Float) androidx.core.util.m.g(Float.valueOf(this.E.f12151b.f12149b))).floatValue(), this.f.width(), this.f.height(), this.j.width(), this.j.height());
            this.L = a2;
            RectF rectF = this.A;
            float f7 = a2.f12189c;
            rectF.set(f5 - (f7 / 2.0f), f6, (f7 / 2.0f) + f5, a2.f12190d + f6);
            RectF rectF2 = this.C;
            h hVar = this.L;
            float f8 = hVar.f12191e;
            rectF2.set(f5 - (f8 / 2.0f), f6, f5 + (f8 / 2.0f), hVar.f + f6);
            this.B.set(this.A);
            this.D.set(this.C);
            float floatValue = ((Float) androidx.core.util.m.g(Float.valueOf(this.E.f12152c.f12148a))).floatValue();
            float floatValue2 = ((Float) androidx.core.util.m.g(Float.valueOf(this.E.f12152c.f12149b))).floatValue();
            boolean b2 = this.G.b(this.L);
            RectF rectF3 = b2 ? this.B : this.D;
            float l2 = r.l(0.0f, 1.0f, floatValue, floatValue2, f2);
            if (!b2) {
                l2 = 1.0f - l2;
            }
            this.G.c(rectF3, l2, this.L);
            this.M = new RectF(Math.min(this.B.left, this.D.left), Math.min(this.B.top, this.D.top), Math.max(this.B.right, this.D.right), Math.max(this.B.bottom, this.D.bottom));
            this.r.b(f2, this.g, this.k, this.A, this.B, this.D, this.E.f12153d);
            this.N = r.k(this.h, this.l, f2);
            float d2 = d(this.M, this.w);
            float e2 = e(this.M, this.x);
            float f9 = this.N;
            float f10 = (float) ((int) (e2 * f9));
            this.O = f10;
            this.p.setShadowLayer(f9, (float) ((int) (d2 * f9)), f10, f12154a);
            this.K = this.F.a(f2, ((Float) androidx.core.util.m.g(Float.valueOf(this.E.f12150a.f12148a))).floatValue(), ((Float) androidx.core.util.m.g(Float.valueOf(this.E.f12150a.f12149b))).floatValue());
            if (this.n.getColor() != 0) {
                this.n.setAlpha(this.K.f12172a);
            }
            if (this.o.getColor() != 0) {
                this.o.setAlpha(this.K.f12173b);
            }
            invalidateSelf();
        }

        public void draw(@NonNull Canvas canvas) {
            if (this.q.getAlpha() > 0) {
                canvas.drawRect(getBounds(), this.q);
            }
            int save = this.H ? canvas.save() : -1;
            if (this.y && this.N > 0.0f) {
                h(canvas);
            }
            this.r.a(canvas);
            n(canvas, this.m);
            if (this.K.f12174c) {
                l(canvas);
                k(canvas);
            } else {
                k(canvas);
                l(canvas);
            }
            if (this.H) {
                canvas.restoreToCount(save);
                f(canvas, this.A, this.J, -65281);
                g(canvas, this.B, InputDeviceCompat.SOURCE_ANY);
                g(canvas, this.A, -16711936);
                g(canvas, this.D, -16711681);
                g(canvas, this.C, -16776961);
            }
        }

        public int getOpacity() {
            return -3;
        }

        public void setAlpha(int i2) {
            throw new UnsupportedOperationException("Setting alpha on is not supported");
        }

        public void setColorFilter(@Nullable ColorFilter colorFilter) {
            throw new UnsupportedOperationException("Setting a color filter is not supported");
        }

        private e(PathMotion pathMotion, View view, RectF rectF, m mVar, float f2, View view2, RectF rectF2, m mVar2, float f3, @ColorInt int i2, @ColorInt int i3, @ColorInt int i4, int i5, boolean z2, boolean z3, a aVar, f fVar, d dVar, boolean z4) {
            Paint paint = new Paint();
            this.m = paint;
            Paint paint2 = new Paint();
            this.n = paint2;
            Paint paint3 = new Paint();
            this.o = paint3;
            this.p = new Paint();
            Paint paint4 = new Paint();
            this.q = paint4;
            this.r = new j();
            float[] fArr = new float[2];
            this.u = fArr;
            MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
            this.z = materialShapeDrawable;
            Paint paint5 = new Paint();
            this.I = paint5;
            this.J = new Path();
            this.f12158e = view;
            this.f = rectF;
            this.g = mVar;
            this.h = f2;
            this.i = view2;
            this.j = rectF2;
            this.k = mVar2;
            this.l = f3;
            this.v = z2;
            this.y = z3;
            this.F = aVar;
            this.G = fVar;
            this.E = dVar;
            this.H = z4;
            DisplayMetrics displayMetrics = new DisplayMetrics();
            ((WindowManager) view.getContext().getSystemService("window")).getDefaultDisplay().getMetrics(displayMetrics);
            this.w = (float) displayMetrics.widthPixels;
            this.x = (float) displayMetrics.heightPixels;
            paint.setColor(i2);
            paint2.setColor(i3);
            paint3.setColor(i4);
            materialShapeDrawable.n0(ColorStateList.valueOf(0));
            materialShapeDrawable.w0(2);
            materialShapeDrawable.t0(false);
            materialShapeDrawable.u0(f12155b);
            RectF rectF3 = new RectF(rectF);
            this.A = rectF3;
            this.B = new RectF(rectF3);
            RectF rectF4 = new RectF(rectF3);
            this.C = rectF4;
            this.D = new RectF(rectF4);
            PointF m2 = m(rectF);
            PointF m3 = m(rectF2);
            PathMeasure pathMeasure = new PathMeasure(pathMotion.a(m2.x, m2.y, m3.x, m3.y), false);
            this.s = pathMeasure;
            this.t = pathMeasure.getLength();
            fArr[0] = rectF.centerX();
            fArr[1] = rectF.top;
            paint4.setStyle(Paint.Style.FILL);
            paint4.setShader(r.c(i5));
            paint5.setStyle(Paint.Style.STROKE);
            paint5.setStrokeWidth(10.0f);
            p(0.0f);
        }
    }

    public MaterialContainerTransform() {
        boolean z = false;
        this.o2 = Build.VERSION.SDK_INT >= 28 ? true : z;
        this.p2 = T1;
        this.q2 = T1;
        C0(com.google.android.material.a.a.f11327b);
    }

    private d K0(boolean z) {
        PathMotion S = S();
        if ((S instanceof ArcMotion) || (S instanceof k)) {
            return k1(z, R1, S1);
        }
        return k1(z, P1, Q1);
    }

    private static RectF L0(View view, @Nullable View view2, float f, float f3) {
        if (view2 == null) {
            return new RectF(0.0f, 0.0f, (float) view.getWidth(), (float) view.getHeight());
        }
        RectF g = r.g(view2);
        g.offset(f, f3);
        return g;
    }

    private static m M0(@NonNull View view, @NonNull RectF rectF, @Nullable m mVar) {
        return r.b(c1(view, mVar), rectF);
    }

    private static void N0(@NonNull z zVar, @Nullable View view, @IdRes int i, @Nullable m mVar) {
        if (i != -1) {
            zVar.f4308b = r.f(zVar.f4308b, i);
        } else if (view != null) {
            zVar.f4308b = view;
        } else {
            View view2 = zVar.f4308b;
            int i3 = R.id.mtrl_motion_snapshot_view;
            if (view2.getTag(i3) instanceof View) {
                zVar.f4308b.setTag(i3, null);
                zVar.f4308b = (View) zVar.f4308b.getTag(i3);
            }
        }
        View view3 = zVar.f4308b;
        if (ViewCompat.isLaidOut(view3) || view3.getWidth() != 0 || view3.getHeight() != 0) {
            RectF h = view3.getParent() == null ? r.h(view3) : r.g(view3);
            zVar.f4307a.put(M1, h);
            zVar.f4307a.put(N1, M0(view3, h, mVar));
        }
    }

    private static float Q0(float f, View view) {
        return f != T1 ? f : ViewCompat.getElevation(view);
    }

    private static m c1(@NonNull View view, @Nullable m mVar) {
        if (mVar != null) {
            return mVar;
        }
        int i = R.id.mtrl_motion_snapshot_view;
        if (view.getTag(i) instanceof m) {
            return (m) view.getTag(i);
        }
        Context context = view.getContext();
        int m1 = m1(context);
        if (m1 != -1) {
            return m.b(context, m1, 0).m();
        }
        if (view instanceof q) {
            return ((q) view).getShapeAppearanceModel();
        }
        return m.a().m();
    }

    private d k1(boolean z, d dVar, d dVar2) {
        if (!z) {
            dVar = dVar2;
        }
        return new d((c) r.d(this.k2, dVar.f12150a), (c) r.d(this.l2, dVar.f12151b), (c) r.d(this.m2, dVar.f12152c), (c) r.d(this.n2, dVar.f12153d), null);
    }

    @StyleRes
    private static int m1(Context context) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new int[]{R.attr.transitionShapeAppearance});
        int resourceId = obtainStyledAttributes.getResourceId(0, -1);
        obtainStyledAttributes.recycle();
        return resourceId;
    }

    private boolean p1(@NonNull RectF rectF, @NonNull RectF rectF2) {
        int i = this.d2;
        if (i != 0) {
            if (i == 1) {
                return true;
            }
            if (i == 2) {
                return false;
            }
            throw new IllegalArgumentException("Invalid transition direction: " + this.d2);
        } else if (r.a(rectF2) > r.a(rectF)) {
            return true;
        } else {
            return false;
        }
    }

    public void A1(@IdRes int i) {
        this.Y1 = i;
    }

    public void B1(int i) {
        this.e2 = i;
    }

    public void C1(@Nullable c cVar) {
        this.k2 = cVar;
    }

    public void D1(int i) {
        this.f2 = i;
    }

    public void E1(boolean z) {
        this.V1 = z;
    }

    public void F1(@Nullable c cVar) {
        this.m2 = cVar;
    }

    public void G1(@Nullable c cVar) {
        this.l2 = cVar;
    }

    public void H1(@ColorInt int i) {
        this.c2 = i;
    }

    public void I1(@Nullable c cVar) {
        this.n2 = cVar;
    }

    public void J1(@ColorInt int i) {
        this.a2 = i;
    }

    public void K1(float f) {
        this.p2 = f;
    }

    public void L1(@Nullable m mVar) {
        this.i2 = mVar;
    }

    public void M1(@Nullable View view) {
        this.g2 = view;
    }

    public void N1(@IdRes int i) {
        this.X1 = i;
    }

    @ColorInt
    public int O0() {
        return this.Z1;
    }

    public void O1(int i) {
        this.d2 = i;
    }

    @IdRes
    public int P0() {
        return this.W1;
    }

    @ColorInt
    public int R0() {
        return this.b2;
    }

    public float S0() {
        return this.q2;
    }

    @Nullable
    public m T0() {
        return this.j2;
    }

    @Nullable
    public View U0() {
        return this.h2;
    }

    @IdRes
    public int V0() {
        return this.Y1;
    }

    public int W0() {
        return this.e2;
    }

    @Nullable
    public c X0() {
        return this.k2;
    }

    public int Y0() {
        return this.f2;
    }

    @Nullable
    public c Z0() {
        return this.m2;
    }

    @Override // androidx.transition.Transition
    @Nullable
    public String[] a0() {
        return O1;
    }

    @Nullable
    public c a1() {
        return this.l2;
    }

    @ColorInt
    public int b1() {
        return this.c2;
    }

    @Nullable
    public c e1() {
        return this.n2;
    }

    @ColorInt
    public int f1() {
        return this.a2;
    }

    public float g1() {
        return this.p2;
    }

    @Nullable
    public m h1() {
        return this.i2;
    }

    @Nullable
    public View i1() {
        return this.g2;
    }

    @IdRes
    public int j1() {
        return this.X1;
    }

    public int l1() {
        return this.d2;
    }

    public boolean n1() {
        return this.U1;
    }

    public boolean o1() {
        return this.o2;
    }

    @Override // androidx.transition.Transition
    public void p(@NonNull z zVar) {
        N0(zVar, this.h2, this.Y1, this.j2);
    }

    public boolean q1() {
        return this.V1;
    }

    public void r1(@ColorInt int i) {
        this.Z1 = i;
        this.a2 = i;
        this.b2 = i;
    }

    @Override // androidx.transition.Transition
    public void s(@NonNull z zVar) {
        N0(zVar, this.g2, this.X1, this.i2);
    }

    public void s1(@ColorInt int i) {
        this.Z1 = i;
    }

    public void t1(boolean z) {
        this.U1 = z;
    }

    public void u1(@IdRes int i) {
        this.W1 = i;
    }

    public void v1(boolean z) {
        this.o2 = z;
    }

    @Override // androidx.transition.Transition
    @Nullable
    public Animator w(@NonNull ViewGroup viewGroup, @Nullable z zVar, @Nullable z zVar2) {
        View view;
        if (!(zVar == null || zVar2 == null)) {
            RectF rectF = (RectF) zVar.f4307a.get(M1);
            m mVar = (m) zVar.f4307a.get(N1);
            if (rectF == null || mVar == null) {
                Log.w(L1, "Skipping due to null start bounds. Ensure start view is laid out and measured.");
            } else {
                RectF rectF2 = (RectF) zVar2.f4307a.get(M1);
                m mVar2 = (m) zVar2.f4307a.get(N1);
                if (rectF2 == null || mVar2 == null) {
                    Log.w(L1, "Skipping due to null end bounds. Ensure end view is laid out and measured.");
                    return null;
                }
                View view2 = zVar.f4308b;
                View view3 = zVar2.f4308b;
                View view4 = view3.getParent() != null ? view3 : view2;
                if (this.W1 == view4.getId()) {
                    view = (View) view4.getParent();
                } else {
                    view = r.e(view4, this.W1);
                    view4 = null;
                }
                RectF g = r.g(view);
                float f = -g.left;
                float f3 = -g.top;
                RectF L0 = L0(view, view4, f, f3);
                rectF.offset(f, f3);
                rectF2.offset(f, f3);
                boolean p1 = p1(rectF, rectF2);
                e eVar = new e(S(), view2, rectF, mVar, Q0(this.p2, view2), view3, rectF2, mVar2, Q0(this.q2, view3), this.Z1, this.a2, this.b2, this.c2, p1, this.o2, b.a(this.e2, p1), g.a(this.f2, p1, rectF, rectF2), K0(p1), this.U1, null);
                eVar.setBounds(Math.round(L0.left), Math.round(L0.top), Math.round(L0.right), Math.round(L0.bottom));
                ValueAnimator ofFloat = ValueAnimator.ofFloat(0.0f, 1.0f);
                ofFloat.addUpdateListener(new a(eVar));
                a(new b(view, eVar, view2, view3));
                return ofFloat;
            }
        }
        return null;
    }

    public void w1(@ColorInt int i) {
        this.b2 = i;
    }

    public void x1(float f) {
        this.q2 = f;
    }

    public void y1(@Nullable m mVar) {
        this.j2 = mVar;
    }

    public void z1(@Nullable View view) {
        this.h2 = view;
    }
}
