package com.google.firebase.components;

import com.google.android.gms.common.annotation.KeepForSdk;
import java.util.Arrays;
import java.util.List;

@KeepForSdk
/* compiled from: com.google.firebase:firebase-common@@19.0.0 */
public class DependencyCycleException extends DependencyException {
    private final List<e<?>> componentsInCycle;

    @KeepForSdk
    public DependencyCycleException(List<e<?>> list) {
        super("Dependency cycle detected: " + Arrays.toString(list.toArray()));
        this.componentsInCycle = list;
    }

    @KeepForSdk
    public List<e<?>> getComponentsInCycle() {
        return this.componentsInCycle;
    }
}
