package com.google.gson;

import com.ibm.icu.impl.number.Padder;
import java.lang.reflect.Field;
import java.util.Locale;

public enum FieldNamingPolicy implements d {
    IDENTITY {
        @Override // com.google.gson.d
        public String a(Field field) {
            return field.getName();
        }
    },
    UPPER_CAMEL_CASE {
        @Override // com.google.gson.d
        public String a(Field field) {
            return FieldNamingPolicy.h(field.getName());
        }
    },
    UPPER_CAMEL_CASE_WITH_SPACES {
        @Override // com.google.gson.d
        public String a(Field field) {
            return FieldNamingPolicy.h(FieldNamingPolicy.g(field.getName(), Padder.f14124a));
        }
    },
    LOWER_CASE_WITH_UNDERSCORES {
        @Override // com.google.gson.d
        public String a(Field field) {
            return FieldNamingPolicy.g(field.getName(), com.ibm.icu.impl.locale.b.f14006b).toLowerCase(Locale.ENGLISH);
        }
    },
    LOWER_CASE_WITH_DASHES {
        @Override // com.google.gson.d
        public String a(Field field) {
            return FieldNamingPolicy.g(field.getName(), com.ibm.icu.impl.locale.f.f14027b).toLowerCase(Locale.ENGLISH);
        }
    },
    LOWER_CASE_WITH_DOTS {
        @Override // com.google.gson.d
        public String a(Field field) {
            return FieldNamingPolicy.g(field.getName(), ".").toLowerCase(Locale.ENGLISH);
        }
    };

    private static String b(char c2, String str, int i) {
        if (i >= str.length()) {
            return String.valueOf(c2);
        }
        return c2 + str.substring(i);
    }

    static String g(String str, String str2) {
        StringBuilder sb = new StringBuilder();
        int length = str.length();
        for (int i = 0; i < length; i++) {
            char charAt = str.charAt(i);
            if (Character.isUpperCase(charAt) && sb.length() != 0) {
                sb.append(str2);
            }
            sb.append(charAt);
        }
        return sb.toString();
    }

    static String h(String str) {
        StringBuilder sb = new StringBuilder();
        int i = 0;
        char charAt = str.charAt(0);
        int length = str.length();
        while (i < length - 1 && !Character.isLetter(charAt)) {
            sb.append(charAt);
            i++;
            charAt = str.charAt(i);
        }
        if (Character.isUpperCase(charAt)) {
            return str;
        }
        sb.append(b(Character.toUpperCase(charAt), str, i + 1));
        return sb.toString();
    }
}
