package com.ibm.icu.impl;

import com.ibm.icu.impl.l2;
import com.ibm.icu.text.DateFormat;
import com.ibm.icu.text.DisplayContext;
import com.ibm.icu.text.MessageFormat;
import com.ibm.icu.text.SimpleDateFormat;
import com.ibm.icu.text.i;
import com.ibm.icu.util.Calendar;
import com.ibm.icu.util.TimeZone;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.h0;
import java.text.FieldPosition;
import java.text.ParsePosition;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.MissingResourceException;

public class RelativeDateFormat extends DateFormat {
    private static final long serialVersionUID = 1131984966440549435L;
    private transient List<c> I0 = null;
    private transient i J0 = null;
    private boolean capitalizationInfoIsSet = false;
    private boolean capitalizationOfRelativeUnitsForListOrMenu = false;
    private boolean capitalizationOfRelativeUnitsForStandAlone = false;
    private boolean combinedFormatHasDateAtStart = false;
    private MessageFormat fCombinedFormat;
    private DateFormat fDateFormat;
    private String fDatePattern = null;
    int fDateStyle;
    private SimpleDateFormat fDateTimeFormat = null;
    ULocale fLocale;
    private DateFormat fTimeFormat;
    private String fTimePattern = null;
    int fTimeStyle;

    /* access modifiers changed from: private */
    public final class b extends l2.c {
        private b() {
        }

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            if (eVar.k() != 3) {
                l2.d j = eVar.j();
                for (int i = 0; j.d(i, bVar, eVar); i++) {
                    try {
                        int parseInt = Integer.parseInt(bVar.toString());
                        if (RelativeDateFormat.this.h(parseInt) == null) {
                            RelativeDateFormat.this.I0.add(new c(parseInt, eVar.f()));
                        }
                    } catch (NumberFormatException unused) {
                        return;
                    }
                }
            }
        }
    }

    public RelativeDateFormat(int i, int i2, ULocale uLocale, Calendar calendar) {
        this.calendar = calendar;
        this.fLocale = uLocale;
        this.fTimeStyle = i;
        this.fDateStyle = i2;
        if (i2 != -1) {
            DateFormat dateInstance = DateFormat.getDateInstance(i2 & -129, uLocale);
            if (dateInstance instanceof SimpleDateFormat) {
                SimpleDateFormat simpleDateFormat = (SimpleDateFormat) dateInstance;
                this.fDateTimeFormat = simpleDateFormat;
                this.fDatePattern = simpleDateFormat.toPattern();
                int i3 = this.fTimeStyle;
                if (i3 != -1) {
                    DateFormat timeInstance = DateFormat.getTimeInstance(i3 & -129, uLocale);
                    if (timeInstance instanceof SimpleDateFormat) {
                        this.fTimePattern = ((SimpleDateFormat) timeInstance).toPattern();
                    }
                }
            } else {
                throw new IllegalArgumentException("Can't create SimpleDateFormat for date style");
            }
        } else {
            DateFormat timeInstance2 = DateFormat.getTimeInstance(i & -129, uLocale);
            if (timeInstance2 instanceof SimpleDateFormat) {
                SimpleDateFormat simpleDateFormat2 = (SimpleDateFormat) timeInstance2;
                this.fDateTimeFormat = simpleDateFormat2;
                this.fTimePattern = simpleDateFormat2.toPattern();
            } else {
                throw new IllegalArgumentException("Can't create SimpleDateFormat for time style");
            }
        }
        n(null, this.fLocale);
        q();
        p(this.calendar, this.fLocale);
    }

    private static int f(Calendar calendar) {
        Calendar calendar2 = (Calendar) calendar.clone();
        Date date = new Date(System.currentTimeMillis());
        calendar2.clear();
        calendar2.setTime(date);
        return calendar.get(20) - calendar2.get(20);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String h(int i) {
        if (this.I0 == null) {
            q();
        }
        for (c cVar : this.I0) {
            if (cVar.f13420a == i) {
                return cVar.f13421b;
            }
        }
        return null;
    }

    private void m(ULocale uLocale) {
        try {
            int[] r = ((ICUResourceBundle) h0.j(a0.f13490d, uLocale)).Z0("contextTransforms/relative").r();
            if (r.length >= 2) {
                boolean z = false;
                this.capitalizationOfRelativeUnitsForListOrMenu = r[0] != 0;
                if (r[1] != 0) {
                    z = true;
                }
                this.capitalizationOfRelativeUnitsForStandAlone = z;
            }
        } catch (MissingResourceException unused) {
        }
    }

    private Calendar n(TimeZone timeZone, ULocale uLocale) {
        if (this.calendar == null) {
            if (timeZone == null) {
                this.calendar = Calendar.getInstance(uLocale);
            } else {
                this.calendar = Calendar.getInstance(timeZone, uLocale);
            }
        }
        return this.calendar;
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x0072  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x007c  */
    private MessageFormat p(Calendar calendar, ULocale uLocale) {
        String str;
        int i;
        int i2;
        ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) h0.j(a0.f13490d, uLocale);
        ICUResourceBundle m0 = iCUResourceBundle.m0("calendar/" + calendar.getType() + "/DateTimePatterns");
        if (m0 == null && !calendar.getType().equals("gregorian")) {
            m0 = iCUResourceBundle.m0("calendar/gregorian/DateTimePatterns");
        }
        if (m0 == null || m0.x() < 9) {
            str = "{1} {0}";
        } else {
            if (m0.x() >= 13) {
                int i3 = this.fDateStyle;
                if (i3 >= 0 && i3 <= 3) {
                    i2 = i3 + 1;
                } else if (i3 >= 128 && i3 <= 131) {
                    i2 = (i3 + 1) - 128;
                }
                i = i2 + 8;
                str = m0.c(i).B() != 8 ? m0.c(i).z(0) : m0.z(i);
            }
            i = 8;
            if (m0.c(i).B() != 8) {
            }
        }
        this.combinedFormatHasDateAtStart = str.startsWith("{1}");
        MessageFormat messageFormat = new MessageFormat(str, uLocale);
        this.fCombinedFormat = messageFormat;
        return messageFormat;
    }

    private synchronized void q() {
        this.I0 = new ArrayList();
        ((ICUResourceBundle) h0.j(a0.f13490d, this.fLocale)).s0("fields/day/relative", new b());
    }

    @Override // com.ibm.icu.text.DateFormat
    public StringBuffer format(Calendar calendar, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        String str;
        DisplayContext context = getContext(DisplayContext.Type.CAPITALIZATION);
        String h = this.fDateStyle != -1 ? h(f(calendar)) : null;
        SimpleDateFormat simpleDateFormat = this.fDateTimeFormat;
        if (simpleDateFormat != null) {
            if (h == null || this.fDatePattern == null || !(this.fTimePattern == null || this.fCombinedFormat == null || this.combinedFormatHasDateAtStart)) {
                simpleDateFormat.setContext(context);
            } else {
                if (h.length() > 0 && com.ibm.icu.lang.c.v0(h.codePointAt(0)) && (context == DisplayContext.CAPITALIZATION_FOR_BEGINNING_OF_SENTENCE || ((context == DisplayContext.CAPITALIZATION_FOR_UI_LIST_OR_MENU && this.capitalizationOfRelativeUnitsForListOrMenu) || (context == DisplayContext.CAPITALIZATION_FOR_STANDALONE && this.capitalizationOfRelativeUnitsForStandAlone)))) {
                    if (this.J0 == null) {
                        this.J0 = i.w(this.fLocale);
                    }
                    h = com.ibm.icu.lang.c.Z0(this.fLocale, h, this.J0, 768);
                }
                this.fDateTimeFormat.setContext(DisplayContext.CAPITALIZATION_NONE);
            }
        }
        SimpleDateFormat simpleDateFormat2 = this.fDateTimeFormat;
        if (simpleDateFormat2 == null || ((str = this.fDatePattern) == null && this.fTimePattern == null)) {
            DateFormat dateFormat = this.fDateFormat;
            if (dateFormat != null) {
                if (h != null) {
                    stringBuffer.append(h);
                } else {
                    dateFormat.format(calendar, stringBuffer, fieldPosition);
                }
            }
        } else if (str == null) {
            simpleDateFormat2.applyPattern(this.fTimePattern);
            this.fDateTimeFormat.format(calendar, stringBuffer, fieldPosition);
        } else if (this.fTimePattern != null) {
            if (h != null) {
                str = "'" + h.replace("'", "''") + "'";
            }
            StringBuffer stringBuffer2 = new StringBuffer("");
            this.fCombinedFormat.format(new Object[]{this.fTimePattern, str}, stringBuffer2, new FieldPosition(0));
            this.fDateTimeFormat.applyPattern(stringBuffer2.toString());
            this.fDateTimeFormat.format(calendar, stringBuffer, fieldPosition);
        } else if (h != null) {
            stringBuffer.append(h);
        } else {
            simpleDateFormat2.applyPattern(str);
            this.fDateTimeFormat.format(calendar, stringBuffer, fieldPosition);
        }
        return stringBuffer;
    }

    @Override // com.ibm.icu.text.DateFormat
    public void parse(String str, Calendar calendar, ParsePosition parsePosition) {
        throw new UnsupportedOperationException("Relative Date parse is not implemented yet");
    }

    @Override // com.ibm.icu.text.DateFormat
    public void setContext(DisplayContext displayContext) {
        super.setContext(displayContext);
        if (!this.capitalizationInfoIsSet && (displayContext == DisplayContext.CAPITALIZATION_FOR_UI_LIST_OR_MENU || displayContext == DisplayContext.CAPITALIZATION_FOR_STANDALONE)) {
            m(this.fLocale);
            this.capitalizationInfoIsSet = true;
        }
        if (this.J0 != null) {
            return;
        }
        if (displayContext == DisplayContext.CAPITALIZATION_FOR_BEGINNING_OF_SENTENCE || ((displayContext == DisplayContext.CAPITALIZATION_FOR_UI_LIST_OR_MENU && this.capitalizationOfRelativeUnitsForListOrMenu) || (displayContext == DisplayContext.CAPITALIZATION_FOR_STANDALONE && this.capitalizationOfRelativeUnitsForStandAlone))) {
            this.J0 = i.w(this.fLocale);
        }
    }

    public static class c {

        /* renamed from: a  reason: collision with root package name */
        public int f13420a;

        /* renamed from: b  reason: collision with root package name */
        public String f13421b;

        c(int i, String str) {
            this.f13420a = i;
            this.f13421b = str;
        }

        c(String str, String str2) {
            this.f13420a = Integer.parseInt(str);
            this.f13421b = str2;
        }
    }
}
