package com.ibm.icu.impl;

import java.util.Date;
import java.util.TimeZone;

public class TimeZoneAdapter extends TimeZone {
    static final long serialVersionUID = -2040072218820018557L;
    private com.ibm.icu.util.TimeZone zone;

    public TimeZoneAdapter(com.ibm.icu.util.TimeZone timeZone) {
        this.zone = timeZone;
        super.setID(timeZone.getID());
    }

    public static TimeZone wrap(com.ibm.icu.util.TimeZone timeZone) {
        return new TimeZoneAdapter(timeZone);
    }

    @Override // java.lang.Object
    public Object clone() {
        return new TimeZoneAdapter((com.ibm.icu.util.TimeZone) this.zone.clone());
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof TimeZoneAdapter)) {
            return false;
        }
        return this.zone.equals(((TimeZoneAdapter) obj).zone);
    }

    public int getOffset(int i, int i2, int i3, int i4, int i5, int i6) {
        return this.zone.getOffset(i, i2, i3, i4, i5, i6);
    }

    public int getRawOffset() {
        return this.zone.getRawOffset();
    }

    public boolean hasSameRules(TimeZone timeZone) {
        return (timeZone instanceof TimeZoneAdapter) && this.zone.hasSameRules(((TimeZoneAdapter) timeZone).zone);
    }

    public synchronized int hashCode() {
        return this.zone.hashCode();
    }

    public boolean inDaylightTime(Date date) {
        return this.zone.inDaylightTime(date);
    }

    public void setID(String str) {
        super.setID(str);
        this.zone.setID(str);
    }

    public void setRawOffset(int i) {
        this.zone.setRawOffset(i);
    }

    public String toString() {
        return "TimeZoneAdapter: " + this.zone.toString();
    }

    public com.ibm.icu.util.TimeZone unwrap() {
        return this.zone;
    }

    public boolean useDaylightTime() {
        return this.zone.useDaylightTime();
    }
}
