package com.ibm.icu.impl;

import com.ibm.icu.impl.v0;
import com.ibm.icu.lang.UScript;
import com.ibm.icu.lang.c;
import com.ibm.icu.text.IDNA;
import com.ibm.icu.text.Normalizer2;
import com.ibm.icu.text.StringPrepParseException;
import com.ibm.icu.util.ICUException;
import java.util.EnumSet;
import java.util.Set;
import okio.y0;

/* compiled from: UTS46 */
public final class n2 extends IDNA {
    private static final Normalizer2 i = Normalizer2.e(null, "uts46", Normalizer2.Mode.COMPOSE);
    private static final EnumSet<IDNA.Error> j = EnumSet.of(IDNA.Error.LEADING_COMBINING_MARK, IDNA.Error.DISALLOWED, IDNA.Error.PUNYCODE, IDNA.Error.LABEL_HAS_DOT, IDNA.Error.INVALID_ACE_LABEL);
    private static final byte[] k = {-1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, -1, -1, -1, -1, -1, -1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, -1, -1, -1, -1, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, -1, -1, -1, -1};
    private static final int l;
    private static final int m;
    private static final int n;
    private static final int o;
    private static final int p;
    private static final int q;
    private static final int r;
    private static final int s;
    private static final int t;
    private static final int u;
    private static int v = ((G(6) | G(7)) | G(8));
    final int w;

    static {
        int G = G(0);
        l = G;
        int G2 = G(1) | G(13);
        m = G2;
        n = G | G2;
        o = G(5) | G2;
        int G3 = G(5) | G(2);
        p = G3;
        q = G2 | G3;
        int G4 = G | G(2);
        r = G4;
        int G5 = G(3) | G(6) | G(4) | G(10) | G(18) | G(17);
        s = G5;
        t = G4 | G5;
        u = G2 | G3 | G5;
    }

    public n2(int i2) {
        this.w = i2;
    }

    private static int F(int i2) {
        return 1 << c.Z(i2);
    }

    private static int G(int i2) {
        return 1 << i2;
    }

    private void H(CharSequence charSequence, int i2, int i3, IDNA.a aVar) {
        int i4;
        int codePointAt = Character.codePointAt(charSequence, i2);
        int charCount = Character.charCount(codePointAt) + i2;
        int G = G(a2.z.b(codePointAt));
        if (((~n) & G) != 0) {
            IDNA.D(aVar);
        }
        int i5 = i2 + i3;
        while (true) {
            if (charCount < i5) {
                int codePointBefore = Character.codePointBefore(charSequence, i5);
                i5 -= Character.charCount(codePointBefore);
                int b2 = a2.z.b(codePointBefore);
                if (b2 != 17) {
                    i4 = G(b2);
                    break;
                }
            } else {
                i4 = G;
                break;
            }
        }
        if ((l & G) == 0 ? ((~q) & i4) != 0 : ((~r) & i4) != 0) {
            IDNA.D(aVar);
        }
        int i6 = i4 | G;
        while (charCount < i5) {
            int codePointAt2 = Character.codePointAt(charSequence, charCount);
            charCount += Character.charCount(codePointAt2);
            i6 |= G(a2.z.b(codePointAt2));
        }
        if ((l & G) == 0) {
            if (((~u) & i6) != 0) {
                IDNA.D(aVar);
            }
            int i7 = p;
            if ((i6 & i7) == i7) {
                IDNA.D(aVar);
            }
        } else if (((~t) & i6) != 0) {
            IDNA.D(aVar);
        }
        if ((o & i6) != 0) {
            IDNA.C(aVar);
        }
    }

    private void I(CharSequence charSequence, int i2, int i3, IDNA.a aVar) {
        int i4 = (i3 + i2) - 1;
        char c2 = 0;
        for (int i5 = i2; i5 <= i4; i5++) {
            char charAt = charSequence.charAt(i5);
            if (charAt >= 183) {
                if (charAt <= 1785) {
                    if (charAt == 183) {
                        if (i2 >= i5 || charSequence.charAt(i5 - 1) != 'l' || i5 >= i4 || charSequence.charAt(i5 + 1) != 'l') {
                            IDNA.b(aVar, IDNA.Error.CONTEXTO_PUNCTUATION);
                        }
                    } else if (charAt == 885) {
                        if (i5 >= i4 || 14 != UScript.j(Character.codePointAt(charSequence, i5 + 1))) {
                            IDNA.b(aVar, IDNA.Error.CONTEXTO_PUNCTUATION);
                        }
                    } else if (charAt == 1523 || charAt == 1524) {
                        if (i2 >= i5 || 19 != UScript.j(Character.codePointBefore(charSequence, i5))) {
                            IDNA.b(aVar, IDNA.Error.CONTEXTO_PUNCTUATION);
                        }
                    } else if (1632 <= charAt) {
                        if (charAt <= 1641) {
                            if (c2 > 0) {
                                IDNA.b(aVar, IDNA.Error.CONTEXTO_DIGITS);
                            }
                            c2 = 65535;
                        } else if (1776 <= charAt) {
                            if (c2 < 0) {
                                IDNA.b(aVar, IDNA.Error.CONTEXTO_DIGITS);
                            }
                            c2 = 1;
                        }
                    }
                } else if (charAt == 12539) {
                    int i6 = i2;
                    while (true) {
                        if (i6 > i4) {
                            IDNA.b(aVar, IDNA.Error.CONTEXTO_PUNCTUATION);
                            break;
                        }
                        int codePointAt = Character.codePointAt(charSequence, i6);
                        int j2 = UScript.j(codePointAt);
                        if (j2 == 20 || j2 == 22 || j2 == 17) {
                            break;
                        }
                        i6 += Character.charCount(codePointAt);
                    }
                }
            }
        }
    }

    private static boolean J(CharSequence charSequence, int i2) {
        char charAt;
        int i3 = 0;
        for (int i4 = 0; i4 < i2; i4++) {
            char charAt2 = charSequence.charAt(i4);
            if (charAt2 == '.') {
                if (i4 > i3 && (('a' > (charAt = charSequence.charAt(i4 - 1)) || charAt > 'z') && ('0' > charAt || charAt > '9'))) {
                    return false;
                }
                i3 = i4 + 1;
            } else if (i4 == i3) {
                if ('a' > charAt2 || charAt2 > 'z') {
                    return false;
                }
            } else if (charAt2 <= ' ' && (charAt2 >= 28 || ('\t' <= charAt2 && charAt2 <= '\r'))) {
                return false;
            }
        }
        return true;
    }

    private static boolean K(CharSequence charSequence) {
        int length = charSequence.length();
        for (int i2 = 0; i2 < length; i2++) {
            if (charSequence.charAt(i2) > 127) {
                return false;
            }
        }
        return true;
    }

    private boolean L(CharSequence charSequence, int i2, int i3) {
        int i4 = i3 + i2;
        for (int i5 = i2; i5 < i4; i5++) {
            if (charSequence.charAt(i5) == 8204) {
                if (i5 == i2) {
                    return false;
                }
                int codePointBefore = Character.codePointBefore(charSequence, i5);
                int charCount = i5 - Character.charCount(codePointBefore);
                if (i.c(codePointBefore) == 9) {
                    continue;
                } else {
                    while (true) {
                        int f = a2.z.f(codePointBefore);
                        if (f == 5) {
                            if (charCount == 0) {
                                return false;
                            }
                            codePointBefore = Character.codePointBefore(charSequence, charCount);
                            charCount -= Character.charCount(codePointBefore);
                        } else if (f != 3 && f != 2) {
                            return false;
                        } else {
                            int i6 = i5 + 1;
                            while (i6 != i4) {
                                int codePointAt = Character.codePointAt(charSequence, i6);
                                i6 += Character.charCount(codePointAt);
                                int f2 = a2.z.f(codePointAt);
                                if (f2 != 5) {
                                    if (!(f2 == 4 || f2 == 2)) {
                                        return false;
                                    }
                                }
                            }
                            return false;
                        }
                    }
                }
            } else if (charSequence.charAt(i5) != 8205) {
                continue;
            } else if (i5 == i2) {
                return false;
            } else {
                if (i.c(Character.codePointBefore(charSequence, i5)) != 9) {
                    return false;
                }
            }
        }
        return true;
    }

    private static boolean M(int i2) {
        return i2 == 8800 || i2 == 8814 || i2 == 8815;
    }

    private int N(StringBuilder sb, int i2, int i3) {
        int length = sb.length();
        boolean z = false;
        while (i3 < length) {
            char charAt = sb.charAt(i3);
            if (charAt == 223) {
                int i4 = i3 + 1;
                sb.setCharAt(i3, 's');
                i3 = i4 + 1;
                sb.insert(i4, 's');
                length++;
            } else if (charAt == 962) {
                sb.setCharAt(i3, 963);
                i3++;
            } else if (charAt == 8204 || charAt == 8205) {
                sb.delete(i3, i3 + 1);
                length--;
            } else {
                i3++;
            }
            z = true;
        }
        if (!z) {
            return length;
        }
        sb.replace(i2, Integer.MAX_VALUE, i.q(sb.subSequence(i2, sb.length())));
        return sb.length();
    }

    private int O(StringBuilder sb, int i2, int i3, boolean z, IDNA.a aVar) {
        boolean z2 = true;
        boolean z3 = (this.w & 2) != 0;
        int i4 = i2 + i3;
        boolean z4 = true;
        for (int i5 = i2 + 4; i5 < i4; i5++) {
            char charAt = sb.charAt(i5);
            if (charAt <= 127) {
                if (charAt == '.') {
                    IDNA.b(aVar, IDNA.Error.LABEL_HAS_DOT);
                    sb.setCharAt(i5, y0.f22790b);
                } else {
                    if (k[charAt] < 0) {
                        if (z3) {
                            sb.setCharAt(i5, y0.f22790b);
                        } else {
                            z2 = false;
                        }
                    }
                }
            }
            z2 = false;
            z4 = false;
        }
        if (z2) {
            sb.insert(i4, y0.f22790b);
            return i3 + 1;
        } else if (!z || !z4 || i3 <= 63) {
            return i3;
        } else {
            IDNA.b(aVar, IDNA.Error.LABEL_TOO_LONG);
            return i3;
        }
    }

    private StringBuilder P(CharSequence charSequence, boolean z, boolean z2, StringBuilder sb, IDNA.a aVar) {
        if (sb != charSequence) {
            int i2 = 0;
            sb.delete(0, Integer.MAX_VALUE);
            IDNA.B(aVar);
            int length = charSequence.length();
            if (length == 0) {
                IDNA.a(aVar, IDNA.Error.EMPTY_LABEL);
                return sb;
            }
            boolean z3 = (this.w & 2) != 0;
            int i3 = 0;
            while (i2 != length) {
                char charAt = charSequence.charAt(i2);
                if (charAt <= 127) {
                    byte b2 = k[charAt];
                    if (b2 > 0) {
                        sb.append((char) (charAt + ' '));
                    } else if (b2 >= 0 || !z3) {
                        sb.append(charAt);
                        if (charAt == '-') {
                            if (i2 != i3 + 3 || charSequence.charAt(i2 - 1) != '-') {
                                if (i2 == i3) {
                                    IDNA.b(aVar, IDNA.Error.LEADING_HYPHEN);
                                }
                                int i4 = i2 + 1;
                                if (i4 == length || charSequence.charAt(i4) == '.') {
                                    IDNA.b(aVar, IDNA.Error.TRAILING_HYPHEN);
                                }
                            }
                        } else if (charAt != '.') {
                            continue;
                        } else if (!z) {
                            if (i2 == i3) {
                                IDNA.b(aVar, IDNA.Error.EMPTY_LABEL);
                            }
                            if (z2 && i2 - i3 > 63) {
                                IDNA.b(aVar, IDNA.Error.LABEL_TOO_LONG);
                            }
                            IDNA.A(aVar);
                            i3 = i2 + 1;
                        }
                        i2++;
                    }
                    i2++;
                }
                IDNA.A(aVar);
                R(charSequence, i3, i2, z, z2, sb, aVar);
                if (IDNA.u(aVar) && !IDNA.s(aVar, j) && (!IDNA.v(aVar) || (i3 > 0 && !J(sb, i3)))) {
                    IDNA.a(aVar, IDNA.Error.BIDI);
                }
                return sb;
            }
            if (z2) {
                if (i2 - i3 > 63) {
                    IDNA.b(aVar, IDNA.Error.LABEL_TOO_LONG);
                }
                if (!z && i2 >= 254 && (i2 > 254 || i3 < i2)) {
                    IDNA.a(aVar, IDNA.Error.DOMAIN_NAME_TOO_LONG);
                }
            }
            IDNA.A(aVar);
            return sb;
        }
        throw new IllegalArgumentException();
    }

    private int Q(StringBuilder sb, int i2, int i3, boolean z, IDNA.a aVar) {
        boolean z2;
        int i4;
        int i5;
        StringBuilder sb2;
        int i6 = i3;
        boolean z3 = true;
        if (i6 < 4 || sb.charAt(i2) != 'x' || sb.charAt(i2 + 1) != 'n' || sb.charAt(i2 + 2) != '-' || sb.charAt(i2 + 3) != '-') {
            sb2 = sb;
            i5 = i6;
            i4 = i2;
            z2 = false;
        } else if (i6 == 4 || (i6 > 5 && sb.charAt((i2 + i6) - 1) == '-')) {
            IDNA.b(aVar, IDNA.Error.INVALID_ACE_LABEL);
            return O(sb, i2, i3, z, aVar);
        } else {
            try {
                sb2 = c1.c(sb.subSequence(i2 + 4, i2 + i6), null);
                if (!i.o(sb2)) {
                    IDNA.b(aVar, IDNA.Error.INVALID_ACE_LABEL);
                    return O(sb, i2, i3, z, aVar);
                }
                i5 = sb2.length();
                i4 = 0;
                z2 = true;
            } catch (StringPrepParseException unused) {
                IDNA.b(aVar, IDNA.Error.PUNYCODE);
                return O(sb, i2, i3, z, aVar);
            }
        }
        if (i5 == 0) {
            IDNA.b(aVar, IDNA.Error.EMPTY_LABEL);
            return S(sb, i2, i6, sb2, i5);
        }
        if (i5 >= 4 && sb2.charAt(i4 + 2) == '-' && sb2.charAt(i4 + 3) == '-') {
            IDNA.b(aVar, IDNA.Error.HYPHEN_3_4);
        }
        if (sb2.charAt(i4) == '-') {
            IDNA.b(aVar, IDNA.Error.LEADING_HYPHEN);
        }
        int i7 = i4 + i5;
        if (sb2.charAt(i7 - 1) == '-') {
            IDNA.b(aVar, IDNA.Error.TRAILING_HYPHEN);
        }
        if ((this.w & 2) == 0) {
            z3 = false;
        }
        int i8 = i4;
        char c2 = 0;
        while (true) {
            char charAt = sb2.charAt(i8);
            if (charAt > 127) {
                c2 = (char) (c2 | charAt);
                if (z3 && M(charAt)) {
                    IDNA.b(aVar, IDNA.Error.DISALLOWED);
                    sb2.setCharAt(i8, y0.f22790b);
                } else if (charAt == 65533) {
                    IDNA.b(aVar, IDNA.Error.DISALLOWED);
                }
            } else if (charAt == '.') {
                IDNA.b(aVar, IDNA.Error.LABEL_HAS_DOT);
                sb2.setCharAt(i8, y0.f22790b);
            } else if (z3 && k[charAt] < 0) {
                IDNA.b(aVar, IDNA.Error.DISALLOWED);
                sb2.setCharAt(i8, y0.f22790b);
            }
            i8++;
            if (i8 >= i7) {
                break;
            }
        }
        int codePointAt = sb2.codePointAt(i4);
        if ((F(codePointAt) & v) != 0) {
            IDNA.b(aVar, IDNA.Error.LEADING_COMBINING_MARK);
            sb2.setCharAt(i4, y0.f22790b);
            if (codePointAt > 65535) {
                sb2.deleteCharAt(i4 + 1);
                i5--;
                if (sb2 == sb) {
                    i6--;
                }
            }
        }
        if (!IDNA.t(aVar, j)) {
            if ((this.w & 4) != 0 && (!IDNA.u(aVar) || IDNA.v(aVar))) {
                H(sb2, i4, i5, aVar);
            }
            if ((this.w & 8) != 0 && (c2 & 8204) == 8204 && !L(sb2, i4, i5)) {
                IDNA.b(aVar, IDNA.Error.CONTEXTJ);
            }
            if ((this.w & 64) != 0 && c2 >= 183) {
                I(sb2, i4, i5, aVar);
            }
            if (z) {
                if (z2) {
                    if (i6 > 63) {
                        IDNA.b(aVar, IDNA.Error.LABEL_TOO_LONG);
                    }
                    return i6;
                } else if (c2 >= 128) {
                    try {
                        StringBuilder f = c1.f(sb2.subSequence(i4, i5 + i4), null);
                        f.insert(0, "xn--");
                        if (f.length() > 63) {
                            IDNA.b(aVar, IDNA.Error.LABEL_TOO_LONG);
                        }
                        return S(sb, i2, i6, f, f.length());
                    } catch (StringPrepParseException e2) {
                        throw new ICUException(e2);
                    }
                } else if (i5 > 63) {
                    IDNA.b(aVar, IDNA.Error.LABEL_TOO_LONG);
                }
            }
        } else if (z2) {
            IDNA.b(aVar, IDNA.Error.INVALID_ACE_LABEL);
            return O(sb, i2, i6, z, aVar);
        }
        return S(sb, i2, i6, sb2, i5);
    }

    private StringBuilder R(CharSequence charSequence, int i2, int i3, boolean z, boolean z2, StringBuilder sb, IDNA.a aVar) {
        int i4;
        int i5;
        if (i3 == 0) {
            i.r(charSequence, sb);
        } else {
            i.s(sb, charSequence.subSequence(i3, charSequence.length()));
        }
        int i6 = this.w;
        int i7 = i2;
        boolean z3 = !z2 ? (i6 & 32) == 0 : (i6 & 16) == 0;
        int length = sb.length();
        loop0:
        while (true) {
            i4 = i7;
            while (i4 < length) {
                char charAt = sb.charAt(i4);
                if (charAt != '.' || z) {
                    if (charAt >= 223) {
                        if (charAt <= 8205 && (charAt == 223 || charAt == 962 || charAt >= 8204)) {
                            IDNA.E(aVar);
                            if (z3) {
                                length = N(sb, i7, i4);
                                z3 = false;
                            }
                        } else if (Character.isSurrogate(charAt) && (!v0.e.e(charAt) ? i4 == i7 || !Character.isHighSurrogate(sb.charAt(i4 - 1)) : (i5 = i4 + 1) == length || !Character.isLowSurrogate(sb.charAt(i5)))) {
                            IDNA.b(aVar, IDNA.Error.DISALLOWED);
                            sb.setCharAt(i4, y0.f22790b);
                            i4++;
                        }
                    }
                    i4++;
                } else {
                    int i8 = i4 - i7;
                    int Q = Q(sb, i7, i8, z2, aVar);
                    IDNA.A(aVar);
                    length += Q - i8;
                    i7 += Q + 1;
                }
            }
            break loop0;
        }
        if (i7 == 0 || i7 < i4) {
            Q(sb, i7, i4 - i7, z2, aVar);
            IDNA.A(aVar);
        }
        return sb;
    }

    private static int S(StringBuilder sb, int i2, int i3, CharSequence charSequence, int i4) {
        if (charSequence != sb) {
            sb.delete(i2, i3 + i2).insert(i2, charSequence);
        }
        return i4;
    }

    @Override // com.ibm.icu.text.IDNA
    public StringBuilder w(CharSequence charSequence, StringBuilder sb, IDNA.a aVar) {
        return P(charSequence, true, true, sb, aVar);
    }

    @Override // com.ibm.icu.text.IDNA
    public StringBuilder x(CharSequence charSequence, StringBuilder sb, IDNA.a aVar) {
        return P(charSequence, true, false, sb, aVar);
    }

    @Override // com.ibm.icu.text.IDNA
    public StringBuilder y(CharSequence charSequence, StringBuilder sb, IDNA.a aVar) {
        P(charSequence, false, true, sb, aVar);
        if (sb.length() >= 254) {
            Set<IDNA.Error> i2 = aVar.i();
            IDNA.Error error = IDNA.Error.DOMAIN_NAME_TOO_LONG;
            if (!i2.contains(error) && K(sb) && (sb.length() > 254 || sb.charAt(253) != '.')) {
                IDNA.a(aVar, error);
            }
        }
        return sb;
    }

    @Override // com.ibm.icu.text.IDNA
    public StringBuilder z(CharSequence charSequence, StringBuilder sb, IDNA.a aVar) {
        return P(charSequence, false, false, sb, aVar);
    }
}
