package com.ibm.icu.text;

import com.ibm.icu.impl.number.DecimalFormatProperties;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.i;
import java.text.ParsePosition;
import java.util.Locale;

public class CompactDecimalFormat extends DecimalFormat {
    private static final long serialVersionUID = 4716293295276629682L;

    public enum CompactStyle {
        SHORT,
        LONG
    }

    CompactDecimalFormat(ULocale uLocale, CompactStyle compactStyle) {
        this.N0 = DecimalFormatSymbols.getInstance(uLocale);
        DecimalFormatProperties decimalFormatProperties = new DecimalFormatProperties();
        this.M0 = decimalFormatProperties;
        decimalFormatProperties.setCompactStyle(compactStyle);
        this.M0.setGroupingSize(-2);
        this.M0.setMinimumGroupingDigits(2);
        this.P0 = new DecimalFormatProperties();
        q();
    }

    public static CompactDecimalFormat getInstance(ULocale uLocale, CompactStyle compactStyle) {
        return new CompactDecimalFormat(uLocale, compactStyle);
    }

    @Override // com.ibm.icu.text.NumberFormat, com.ibm.icu.text.DecimalFormat
    public Number parse(String str, ParsePosition parsePosition) {
        throw new UnsupportedOperationException();
    }

    @Override // com.ibm.icu.text.NumberFormat, com.ibm.icu.text.DecimalFormat
    public i parseCurrency(CharSequence charSequence, ParsePosition parsePosition) {
        throw new UnsupportedOperationException();
    }

    public static CompactDecimalFormat getInstance(Locale locale, CompactStyle compactStyle) {
        return new CompactDecimalFormat(ULocale.forLocale(locale), compactStyle);
    }
}
