package com.ibm.icu.text;

import com.alipay.sdk.util.g;
import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.c0;
import com.ibm.icu.impl.y0;
import com.ibm.icu.lang.c;
import com.ibm.icu.math.BigDecimal;
import com.ibm.icu.text.DisplayContext;
import com.ibm.icu.text.PluralRules;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.h0;
import com.ibm.icu.util.i0;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.PrintStream;
import java.math.BigInteger;
import java.text.FieldPosition;
import java.text.ParsePosition;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Locale;
import java.util.Map;
import java.util.MissingResourceException;
import java.util.Set;

public class RuleBasedNumberFormat extends NumberFormat {
    public static final int DURATION = 3;
    private static final boolean L0 = c0.b("rbnf");
    private static final String[] M0 = {"SpelloutRules", "OrdinalRules", "DurationRules", "NumberingSystemRules"};
    private static final String[] N0 = {"SpelloutLocalizations", "OrdinalLocalizations", "DurationLocalizations", "NumberingSystemLocalizations"};
    public static final int NUMBERING_SYSTEM = 4;
    private static final BigDecimal O0 = BigDecimal.valueOf(Long.MAX_VALUE);
    public static final int ORDINAL = 2;
    private static final BigDecimal P0 = BigDecimal.valueOf(Long.MIN_VALUE);
    public static final int SPELLOUT = 1;
    static final long serialVersionUID = -7664252765575395068L;
    private transient s0[] Q0;
    private transient Map<String, s0> R0;
    private transient s0 S0;
    private transient p1 T0;
    private transient boolean U0;
    private transient DecimalFormatSymbols V0;
    private transient DecimalFormat W0;
    private transient r0 X0;
    private transient r0 Y0;
    private transient String Z0;
    private transient String a1;
    private transient m1 b1;
    private transient i c1;
    private boolean capitalizationForListOrMenu;
    private boolean capitalizationForStandAlone;
    private boolean capitalizationInfoIsSet;
    private boolean lenientParse;
    private ULocale locale;
    private String[] publicRuleSetNames;
    private int roundingMode;
    private Map<String, String[]> ruleSetDisplayNames;

    public RuleBasedNumberFormat(String str) {
        this.Q0 = null;
        this.R0 = null;
        this.S0 = null;
        this.locale = null;
        this.roundingMode = 7;
        this.T0 = null;
        this.V0 = null;
        this.W0 = null;
        this.X0 = null;
        this.Y0 = null;
        this.lenientParse = false;
        this.capitalizationInfoIsSet = false;
        this.capitalizationForListOrMenu = false;
        this.capitalizationForStandAlone = false;
        this.c1 = null;
        this.locale = ULocale.getDefault(ULocale.Category.FORMAT);
        A(str, null);
    }

    private void A(String str, String[][] strArr) {
        s0[] s0VarArr;
        s0[] s0VarArr2;
        C(strArr);
        StringBuilder E = E(str);
        this.Z0 = n(E, "%%lenient-parse:");
        this.a1 = n(E, "%%post-process:");
        int i = 0;
        int i2 = 1;
        while (true) {
            int indexOf = E.indexOf(";%", i);
            if (indexOf == -1) {
                break;
            }
            i2++;
            i = indexOf + 2;
        }
        this.Q0 = new s0[i2];
        this.R0 = new HashMap((i2 * 2) + 1);
        this.S0 = null;
        String[] strArr2 = new String[i2];
        int i3 = 0;
        int i4 = 0;
        int i5 = 0;
        while (true) {
            s0VarArr = this.Q0;
            if (i3 >= s0VarArr.length) {
                break;
            }
            int indexOf2 = E.indexOf(";%", i4);
            if (indexOf2 < 0) {
                indexOf2 = E.length() - 1;
            }
            int i6 = indexOf2 + 1;
            strArr2[i3] = E.substring(i4, i6);
            s0 s0Var = new s0(this, strArr2, i3);
            this.Q0[i3] = s0Var;
            String f = s0Var.f();
            this.R0.put(f, s0Var);
            if (!f.startsWith("%%")) {
                i5++;
                if ((this.S0 == null && f.equals("%spellout-numbering")) || f.equals("%digits-ordinal") || f.equals("%duration")) {
                    this.S0 = s0Var;
                }
            }
            i3++;
            i4 = i6;
        }
        if (this.S0 == null) {
            int length = s0VarArr.length - 1;
            while (true) {
                if (length < 0) {
                    break;
                } else if (!this.Q0[length].f().startsWith("%%")) {
                    this.S0 = this.Q0[length];
                    break;
                } else {
                    length--;
                }
            }
        }
        if (this.S0 == null) {
            s0[] s0VarArr3 = this.Q0;
            this.S0 = s0VarArr3[s0VarArr3.length - 1];
        }
        int i7 = 0;
        while (true) {
            s0VarArr2 = this.Q0;
            if (i7 >= s0VarArr2.length) {
                break;
            }
            s0VarArr2[i7].m(strArr2[i7]);
            i7++;
        }
        String[] strArr3 = new String[i5];
        int i8 = 0;
        for (int length2 = s0VarArr2.length - 1; length2 >= 0; length2--) {
            if (!this.Q0[length2].f().startsWith("%%")) {
                strArr3[i8] = this.Q0[length2].f();
                i8++;
            }
        }
        if (this.publicRuleSetNames != null) {
            int i9 = 0;
            while (true) {
                String[] strArr4 = this.publicRuleSetNames;
                if (i9 < strArr4.length) {
                    String str2 = strArr4[i9];
                    for (int i10 = 0; i10 < i5; i10++) {
                        if (str2.equals(strArr3[i10])) {
                            i9++;
                        }
                    }
                    throw new IllegalArgumentException("did not find public rule set: " + str2);
                }
                this.S0 = p(strArr4[0]);
                return;
            }
        }
        this.publicRuleSetNames = strArr3;
    }

    private void B(ULocale uLocale) {
        try {
            int[] r = ((ICUResourceBundle) h0.j(a0.f13490d, uLocale)).Z0("contextTransforms/number-spellout").r();
            if (r.length >= 2) {
                boolean z = false;
                this.capitalizationForListOrMenu = r[0] != 0;
                if (r[1] != 0) {
                    z = true;
                }
                this.capitalizationForStandAlone = z;
            }
        } catch (MissingResourceException unused) {
        }
    }

    private void C(String[][] strArr) {
        if (strArr != null) {
            this.publicRuleSetNames = (String[]) strArr[0].clone();
            HashMap hashMap = new HashMap();
            for (int i = 1; i < strArr.length; i++) {
                String[] strArr2 = strArr[i];
                String str = strArr2[0];
                int length = strArr2.length - 1;
                String[] strArr3 = new String[length];
                if (length == this.publicRuleSetNames.length) {
                    System.arraycopy(strArr2, 1, strArr3, 0, length);
                    hashMap.put(str, strArr3);
                } else {
                    throw new IllegalArgumentException("public name length: " + this.publicRuleSetNames.length + " != localized names[" + i + "] length: " + length);
                }
            }
            if (!hashMap.isEmpty()) {
                this.ruleSetDisplayNames = hashMap;
            }
        }
    }

    private void D(StringBuilder sb, s0 s0Var) {
        String str = this.a1;
        if (str != null) {
            if (this.b1 == null) {
                int indexOf = str.indexOf(g.f6031b);
                if (indexOf == -1) {
                    indexOf = this.a1.length();
                }
                String trim = this.a1.substring(0, indexOf).trim();
                try {
                    m1 m1Var = (m1) Class.forName(trim).newInstance();
                    this.b1 = m1Var;
                    m1Var.b(this, this.a1);
                } catch (Exception e2) {
                    if (L0) {
                        PrintStream printStream = System.out;
                        printStream.println("could not locate " + trim + ", error " + e2.getClass().getName() + ", " + e2.getMessage());
                    }
                    this.b1 = null;
                    this.a1 = null;
                    return;
                }
            }
            this.b1.a(sb, s0Var);
        }
    }

    private StringBuilder E(String str) {
        StringBuilder sb = new StringBuilder();
        int length = str.length();
        int i = 0;
        while (true) {
            if (i >= length) {
                break;
            }
            while (i < length && y0.e(str.charAt(i))) {
                i++;
            }
            if (i >= length || str.charAt(i) != ';') {
                int indexOf = str.indexOf(59, i);
                if (indexOf != -1) {
                    if (indexOf >= length) {
                        break;
                    }
                    int i2 = indexOf + 1;
                    sb.append(str.substring(i, i2));
                    i = i2;
                } else {
                    sb.append(str.substring(i));
                    break;
                }
            } else {
                i++;
            }
        }
        return sb;
    }

    private String h(String str) {
        DisplayContext context = getContext(DisplayContext.Type.CAPITALIZATION);
        if (context == DisplayContext.CAPITALIZATION_NONE || str == null || str.length() <= 0 || !c.v0(str.codePointAt(0))) {
            return str;
        }
        if (context != DisplayContext.CAPITALIZATION_FOR_BEGINNING_OF_SENTENCE && ((context != DisplayContext.CAPITALIZATION_FOR_UI_LIST_OR_MENU || !this.capitalizationForListOrMenu) && (context != DisplayContext.CAPITALIZATION_FOR_STANDALONE || !this.capitalizationForStandAlone))) {
            return str;
        }
        if (this.c1 == null) {
            this.c1 = i.w(this.locale);
        }
        return c.Z0(this.locale, str, this.c1, 768);
    }

    private String n(StringBuilder sb, String str) {
        int indexOf = sb.indexOf(str);
        if (indexOf == -1 || (indexOf != 0 && sb.charAt(indexOf - 1) != ';')) {
            return null;
        }
        int indexOf2 = sb.indexOf(";%", indexOf);
        if (indexOf2 == -1) {
            indexOf2 = sb.length() - 1;
        }
        int length = str.length() + indexOf;
        while (length < indexOf2 && y0.e(sb.charAt(length))) {
            length++;
        }
        String substring = sb.substring(length, indexOf2);
        sb.delete(indexOf, indexOf2 + 1);
        return substring;
    }

    private String q(double d2, s0 s0Var) {
        StringBuilder sb = new StringBuilder();
        if (getRoundingMode() != 7 && !Double.isNaN(d2) && !Double.isInfinite(d2)) {
            d2 = new BigDecimal(Double.toString(d2)).setScale(getMaximumFractionDigits(), this.roundingMode).doubleValue();
        }
        s0Var.d(d2, sb, 0, 0);
        D(sb, s0Var);
        return sb.toString();
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException {
        ULocale uLocale;
        String readUTF = objectInputStream.readUTF();
        try {
            uLocale = (ULocale) objectInputStream.readObject();
        } catch (Exception unused) {
            uLocale = ULocale.getDefault(ULocale.Category.FORMAT);
        }
        try {
            this.roundingMode = objectInputStream.readInt();
        } catch (Exception unused2) {
        }
        RuleBasedNumberFormat ruleBasedNumberFormat = new RuleBasedNumberFormat(readUTF, uLocale);
        this.Q0 = ruleBasedNumberFormat.Q0;
        this.R0 = ruleBasedNumberFormat.R0;
        this.S0 = ruleBasedNumberFormat.S0;
        this.publicRuleSetNames = ruleBasedNumberFormat.publicRuleSetNames;
        this.V0 = ruleBasedNumberFormat.V0;
        this.W0 = ruleBasedNumberFormat.W0;
        this.locale = ruleBasedNumberFormat.locale;
        this.X0 = ruleBasedNumberFormat.X0;
        this.Y0 = ruleBasedNumberFormat.Y0;
    }

    private String s(long j, s0 s0Var) {
        StringBuilder sb = new StringBuilder();
        if (j == Long.MIN_VALUE) {
            sb.append(t().format(Long.MIN_VALUE));
        } else {
            s0Var.e(j, sb, 0, 0);
        }
        D(sb, s0Var);
        return sb.toString();
    }

    private void writeObject(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.writeUTF(toString());
        objectOutputStream.writeObject(this.locale);
        objectOutputStream.writeInt(this.roundingMode);
    }

    private String[] z(ULocale uLocale) {
        if (uLocale == null || this.ruleSetDisplayNames == null) {
            return null;
        }
        String[] strArr = {uLocale.getBaseName(), ULocale.getDefault(ULocale.Category.DISPLAY).getBaseName()};
        for (int i = 0; i < 2; i++) {
            for (String str = strArr[i]; str.length() > 0; str = ULocale.getFallback(str)) {
                String[] strArr2 = this.ruleSetDisplayNames.get(str);
                if (strArr2 != null) {
                    return strArr2;
                }
            }
        }
        return null;
    }

    @Override // com.ibm.icu.text.NumberFormat, java.lang.Object
    public Object clone() {
        return super.clone();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public boolean equals(Object obj) {
        if (!(obj instanceof RuleBasedNumberFormat)) {
            return false;
        }
        RuleBasedNumberFormat ruleBasedNumberFormat = (RuleBasedNumberFormat) obj;
        if (!this.locale.equals(ruleBasedNumberFormat.locale) || this.lenientParse != ruleBasedNumberFormat.lenientParse || this.Q0.length != ruleBasedNumberFormat.Q0.length) {
            return false;
        }
        int i = 0;
        while (true) {
            s0[] s0VarArr = this.Q0;
            if (i >= s0VarArr.length) {
                return true;
            }
            if (!s0VarArr[i].equals(ruleBasedNumberFormat.Q0[i])) {
                return false;
            }
            i++;
        }
    }

    public String format(double d2, String str) throws IllegalArgumentException {
        if (!str.startsWith("%%")) {
            return h(q(d2, p(str)));
        }
        throw new IllegalArgumentException("Can't use internal rule set");
    }

    /* access modifiers changed from: package-private */
    public DecimalFormatSymbols getDecimalFormatSymbols() {
        if (this.V0 == null) {
            this.V0 = new DecimalFormatSymbols(this.locale);
        }
        return this.V0;
    }

    public String getDefaultRuleSetName() {
        s0 s0Var = this.S0;
        return (s0Var == null || !s0Var.i()) ? "" : this.S0.f();
    }

    public p1 getLenientScannerProvider() {
        if (this.T0 == null && this.lenientParse && !this.U0) {
            try {
                this.U0 = true;
                setLenientScannerProvider((p1) Class.forName("com.ibm.icu.impl.w2.a").newInstance());
            } catch (Exception unused) {
            }
        }
        return this.T0;
    }

    @Override // com.ibm.icu.text.NumberFormat
    public int getRoundingMode() {
        return this.roundingMode;
    }

    public String getRuleSetDisplayName(String str, ULocale uLocale) {
        String[] strArr = this.publicRuleSetNames;
        for (int i = 0; i < strArr.length; i++) {
            if (strArr[i].equals(str)) {
                String[] z = z(uLocale);
                if (z != null) {
                    return z[i];
                }
                return strArr[i].substring(1);
            }
        }
        throw new IllegalArgumentException("unrecognized rule set name: " + str);
    }

    public ULocale[] getRuleSetDisplayNameLocales() {
        Map<String, String[]> map = this.ruleSetDisplayNames;
        if (map == null) {
            return null;
        }
        Set<String> keySet = map.keySet();
        String[] strArr = (String[]) keySet.toArray(new String[keySet.size()]);
        Arrays.sort(strArr, String.CASE_INSENSITIVE_ORDER);
        ULocale[] uLocaleArr = new ULocale[strArr.length];
        for (int i = 0; i < strArr.length; i++) {
            uLocaleArr[i] = new ULocale(strArr[i]);
        }
        return uLocaleArr;
    }

    public String[] getRuleSetDisplayNames(ULocale uLocale) {
        String[] z = z(uLocale);
        if (z != null) {
            return (String[]) z.clone();
        }
        String[] ruleSetNames = getRuleSetNames();
        for (int i = 0; i < ruleSetNames.length; i++) {
            ruleSetNames[i] = ruleSetNames[i].substring(1);
        }
        return ruleSetNames;
    }

    public String[] getRuleSetNames() {
        return (String[]) this.publicRuleSetNames.clone();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public int hashCode() {
        return super.hashCode();
    }

    public boolean lenientParseEnabled() {
        return this.lenientParse;
    }

    /* access modifiers changed from: package-private */
    public PluralFormat m(PluralRules.PluralType pluralType, String str) {
        return new PluralFormat(this.locale, pluralType, str, t());
    }

    /* access modifiers changed from: package-private */
    public s0 p(String str) throws IllegalArgumentException {
        s0 s0Var = this.R0.get(str);
        if (s0Var != null) {
            return s0Var;
        }
        throw new IllegalArgumentException("No rule set named " + str);
    }

    @Override // com.ibm.icu.text.NumberFormat
    public Number parse(String str, ParsePosition parsePosition) {
        String substring = str.substring(parsePosition.getIndex());
        ParsePosition parsePosition2 = new ParsePosition(0);
        Long l = r0.g;
        ParsePosition parsePosition3 = new ParsePosition(parsePosition2.getIndex());
        Long l2 = l;
        for (int length = this.Q0.length - 1; length >= 0; length--) {
            if (this.Q0[length].i() && this.Q0[length].h()) {
                Number l3 = this.Q0[length].l(substring, parsePosition2, Double.MAX_VALUE, 0);
                if (parsePosition2.getIndex() > parsePosition3.getIndex()) {
                    parsePosition3.setIndex(parsePosition2.getIndex());
                    l2 = l3;
                }
                if (parsePosition3.getIndex() == substring.length()) {
                    break;
                }
                parsePosition2.setIndex(0);
            }
        }
        parsePosition.setIndex(parsePosition.getIndex() + parsePosition3.getIndex());
        return l2;
    }

    @Override // com.ibm.icu.text.NumberFormat
    public void setContext(DisplayContext displayContext) {
        super.setContext(displayContext);
        if (!this.capitalizationInfoIsSet && (displayContext == DisplayContext.CAPITALIZATION_FOR_UI_LIST_OR_MENU || displayContext == DisplayContext.CAPITALIZATION_FOR_STANDALONE)) {
            B(this.locale);
            this.capitalizationInfoIsSet = true;
        }
        if (this.c1 != null) {
            return;
        }
        if (displayContext == DisplayContext.CAPITALIZATION_FOR_BEGINNING_OF_SENTENCE || ((displayContext == DisplayContext.CAPITALIZATION_FOR_UI_LIST_OR_MENU && this.capitalizationForListOrMenu) || (displayContext == DisplayContext.CAPITALIZATION_FOR_STANDALONE && this.capitalizationForStandAlone))) {
            this.c1 = i.w(this.locale);
        }
    }

    public void setDecimalFormatSymbols(DecimalFormatSymbols decimalFormatSymbols) {
        if (decimalFormatSymbols != null) {
            DecimalFormatSymbols decimalFormatSymbols2 = (DecimalFormatSymbols) decimalFormatSymbols.clone();
            this.V0 = decimalFormatSymbols2;
            DecimalFormat decimalFormat = this.W0;
            if (decimalFormat != null) {
                decimalFormat.setDecimalFormatSymbols(decimalFormatSymbols2);
            }
            if (this.X0 != null) {
                this.X0 = null;
                u();
            }
            if (this.Y0 != null) {
                this.Y0 = null;
                v();
            }
            for (s0 s0Var : this.Q0) {
                s0Var.o(this.V0);
            }
        }
    }

    public void setDefaultRuleSet(String str) {
        String f;
        if (str == null) {
            String[] strArr = this.publicRuleSetNames;
            if (strArr.length > 0) {
                this.S0 = p(strArr[0]);
                return;
            }
            this.S0 = null;
            int length = this.Q0.length;
            do {
                length--;
                if (length >= 0) {
                    f = this.Q0[length].f();
                    if (f.equals("%spellout-numbering") || f.equals("%digits-ordinal")) {
                        this.S0 = this.Q0[length];
                    }
                } else {
                    int length2 = this.Q0.length;
                    do {
                        length2--;
                        if (length2 < 0) {
                            return;
                        }
                    } while (!this.Q0[length2].i());
                    this.S0 = this.Q0[length2];
                    return;
                }
            } while (!f.equals("%duration"));
            this.S0 = this.Q0[length];
        } else if (!str.startsWith("%%")) {
            this.S0 = p(str);
        } else {
            throw new IllegalArgumentException("cannot use private rule set: " + str);
        }
    }

    public void setLenientParseMode(boolean z) {
        this.lenientParse = z;
    }

    public void setLenientScannerProvider(p1 p1Var) {
        this.T0 = p1Var;
    }

    @Override // com.ibm.icu.text.NumberFormat
    public void setRoundingMode(int i) {
        if (i < 0 || i > 7) {
            throw new IllegalArgumentException("Invalid rounding mode: " + i);
        }
        this.roundingMode = i;
    }

    /* access modifiers changed from: package-private */
    public DecimalFormat t() {
        if (this.W0 == null) {
            this.W0 = new DecimalFormat(NumberFormat.d(this.locale, 0), getDecimalFormatSymbols());
        }
        return this.W0;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        for (s0 s0Var : this.Q0) {
            sb.append(s0Var.toString());
        }
        return sb.toString();
    }

    /* access modifiers changed from: package-private */
    public r0 u() {
        if (this.X0 == null) {
            this.X0 = new r0(this, "Inf: " + getDecimalFormatSymbols().getInfinity());
        }
        return this.X0;
    }

    /* access modifiers changed from: package-private */
    public r0 v() {
        if (this.Y0 == null) {
            this.Y0 = new r0(this, "NaN: " + getDecimalFormatSymbols().getNaN());
        }
        return this.Y0;
    }

    /* access modifiers changed from: package-private */
    public s0 x() {
        return this.S0;
    }

    /* access modifiers changed from: package-private */
    public o1 y() {
        p1 lenientScannerProvider;
        if (!this.lenientParse || (lenientScannerProvider = getLenientScannerProvider()) == null) {
            return null;
        }
        return lenientScannerProvider.a(this.locale, this.Z0);
    }

    public String format(long j, String str) throws IllegalArgumentException {
        if (!str.startsWith("%%")) {
            return h(s(j, p(str)));
        }
        throw new IllegalArgumentException("Can't use internal rule set");
    }

    public String[] getRuleSetDisplayNames() {
        return getRuleSetDisplayNames(ULocale.getDefault(ULocale.Category.DISPLAY));
    }

    @Override // com.ibm.icu.text.NumberFormat
    public StringBuffer format(double d2, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        if (stringBuffer.length() == 0) {
            stringBuffer.append(h(q(d2, this.S0)));
        } else {
            stringBuffer.append(q(d2, this.S0));
        }
        return stringBuffer;
    }

    public String getRuleSetDisplayName(String str) {
        return getRuleSetDisplayName(str, ULocale.getDefault(ULocale.Category.DISPLAY));
    }

    @Override // com.ibm.icu.text.NumberFormat
    public StringBuffer format(long j, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        if (stringBuffer.length() == 0) {
            stringBuffer.append(h(s(j, this.S0)));
        } else {
            stringBuffer.append(s(j, this.S0));
        }
        return stringBuffer;
    }

    @Override // com.ibm.icu.text.NumberFormat
    public StringBuffer format(BigInteger bigInteger, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        return format(new BigDecimal(bigInteger), stringBuffer, fieldPosition);
    }

    @Override // com.ibm.icu.text.NumberFormat
    public StringBuffer format(java.math.BigDecimal bigDecimal, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        return format(new BigDecimal(bigDecimal), stringBuffer, fieldPosition);
    }

    @Override // com.ibm.icu.text.NumberFormat
    public StringBuffer format(BigDecimal bigDecimal, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        if (P0.compareTo(bigDecimal) > 0 || O0.compareTo(bigDecimal) < 0) {
            return t().format(bigDecimal, stringBuffer, fieldPosition);
        }
        if (bigDecimal.scale() == 0) {
            return format(bigDecimal.longValue(), stringBuffer, fieldPosition);
        }
        return format(bigDecimal.doubleValue(), stringBuffer, fieldPosition);
    }

    public RuleBasedNumberFormat(String str, String[][] strArr) {
        this.Q0 = null;
        this.R0 = null;
        this.S0 = null;
        this.locale = null;
        this.roundingMode = 7;
        this.T0 = null;
        this.V0 = null;
        this.W0 = null;
        this.X0 = null;
        this.Y0 = null;
        this.lenientParse = false;
        this.capitalizationInfoIsSet = false;
        this.capitalizationForListOrMenu = false;
        this.capitalizationForStandAlone = false;
        this.c1 = null;
        this.locale = ULocale.getDefault(ULocale.Category.FORMAT);
        A(str, strArr);
    }

    public RuleBasedNumberFormat(String str, Locale locale2) {
        this(str, ULocale.forLocale(locale2));
    }

    public RuleBasedNumberFormat(String str, ULocale uLocale) {
        this.Q0 = null;
        this.R0 = null;
        this.S0 = null;
        this.locale = null;
        this.roundingMode = 7;
        this.T0 = null;
        this.V0 = null;
        this.W0 = null;
        this.X0 = null;
        this.Y0 = null;
        this.lenientParse = false;
        this.capitalizationInfoIsSet = false;
        this.capitalizationForListOrMenu = false;
        this.capitalizationForStandAlone = false;
        this.c1 = null;
        this.locale = uLocale;
        A(str, null);
    }

    public RuleBasedNumberFormat(String str, String[][] strArr, ULocale uLocale) {
        this.Q0 = null;
        this.R0 = null;
        this.S0 = null;
        this.locale = null;
        this.roundingMode = 7;
        this.T0 = null;
        this.V0 = null;
        this.W0 = null;
        this.X0 = null;
        this.Y0 = null;
        this.lenientParse = false;
        this.capitalizationInfoIsSet = false;
        this.capitalizationForListOrMenu = false;
        this.capitalizationForStandAlone = false;
        this.c1 = null;
        this.locale = uLocale;
        A(str, strArr);
    }

    public RuleBasedNumberFormat(Locale locale2, int i) {
        this(ULocale.forLocale(locale2), i);
    }

    public RuleBasedNumberFormat(ULocale uLocale, int i) {
        String[][] strArr = null;
        this.Q0 = null;
        this.R0 = null;
        this.S0 = null;
        this.locale = null;
        this.roundingMode = 7;
        this.T0 = null;
        this.V0 = null;
        this.W0 = null;
        this.X0 = null;
        this.Y0 = null;
        this.lenientParse = false;
        this.capitalizationInfoIsSet = false;
        this.capitalizationForListOrMenu = false;
        this.capitalizationForStandAlone = false;
        this.c1 = null;
        this.locale = uLocale;
        ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) h0.j(a0.h, uLocale);
        ULocale D = iCUResourceBundle.D();
        a(D, D);
        StringBuilder sb = new StringBuilder();
        try {
            i0 s = iCUResourceBundle.Z0("RBNFRules/" + M0[i - 1]).s();
            while (s.a()) {
                sb.append(s.c());
            }
        } catch (MissingResourceException unused) {
        }
        ICUResourceBundle l0 = iCUResourceBundle.b(N0[i - 1]);
        if (l0 != null) {
            int x = l0.x();
            strArr = new String[x][];
            for (int i2 = 0; i2 < x; i2++) {
                strArr[i2] = l0.c(i2).A();
            }
        }
        A(sb.toString(), strArr);
    }

    public RuleBasedNumberFormat(int i) {
        this(ULocale.getDefault(ULocale.Category.FORMAT), i);
    }
}
