package com.ibm.icu.text;

import com.alipay.sdk.util.g;
import com.ibm.icu.impl.DateNumberFormat;
import com.ibm.icu.impl.DayPeriodRules;
import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.e;
import com.ibm.icu.impl.j1;
import com.ibm.icu.impl.l1;
import com.ibm.icu.impl.w;
import com.ibm.icu.impl.y0;
import com.ibm.icu.impl.z0;
import com.ibm.icu.text.DateFormat;
import com.ibm.icu.text.DateFormatSymbols;
import com.ibm.icu.text.DisplayContext;
import com.ibm.icu.text.TimeZoneFormat;
import com.ibm.icu.util.BasicTimeZone;
import com.ibm.icu.util.Calendar;
import com.ibm.icu.util.HebrewCalendar;
import com.ibm.icu.util.TimeZone;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.g0;
import com.ibm.icu.util.h0;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.text.AttributedCharacterIterator;
import java.text.AttributedString;
import java.text.FieldPosition;
import java.text.Format;
import java.text.ParsePosition;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.MissingResourceException;
import java.util.UUID;
import kotlin.text.Typography;

public class SimpleDateFormat extends DateFormat {
    static final int I0 = 2;
    static boolean J0 = false;
    private static final int[] K0 = {0, 10, 20, 20, 30, 30, 20, 30, 30, 40, 50, 50, 60, 70, 80, 0, 0, 10, 30, 10, 0, 40, 0, 0};
    private static final int[] L0 = {-1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 40, -1, -1, 20, 30, 30, 0, 50, -1, -1, 50, 20, 20, -1, 0, -1, 20, -1, 80, -1, 10, 0, 30, 0, 10, 0, -1, -1, -1, -1, -1, -1, 40, -1, 30, 30, 30, -1, 0, 50, -1, -1, 50, -1, 60, -1, -1, -1, 20, 10, 70, -1, 10, 0, 20, 0, 10, 0, -1, -1, -1, -1, -1};
    private static final boolean[] M0 = {false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, false, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, false, false, false, false, false, false, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, true, false, false, false, false, false};
    private static final int N0 = 5000;
    private static final int O0 = 6000;
    private static final int P0 = 3600000;
    private static final int Q0 = -32000;
    private static final String R0 = "꬀";
    private static ULocale S0 = null;
    private static String T0 = null;
    private static final String U0 = "yy/MM/dd HH:mm";
    private static final int[] V0 = {-1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 22, 36, -1, 10, 9, 11, 0, 5, -1, -1, 16, 26, 2, -1, 31, -1, 27, -1, 8, -1, 30, 29, 13, 32, 18, 23, -1, -1, -1, -1, -1, -1, 14, 35, 25, 3, 19, -1, 21, 15, -1, -1, 4, -1, 6, -1, -1, -1, 28, 34, 7, -1, 20, 24, 12, 33, 1, 17, -1, -1, -1, -1, -1};
    private static final int[] W0 = {0, 1, 2, 5, 11, 11, 12, 13, 14, 7, 6, 8, 3, 4, 9, 10, 10, 15, 17, 18, 19, 20, 21, 15, 15, 18, 2, 2, 2, 15, 1, 15, 15, 15, 19, -1, -2};
    private static final int[] X0 = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37};
    private static final DateFormat.Field[] Y0;
    private static w<String, Object[]> Z0 = new j1();
    private static final int a1 = 10;
    private static final String b1 = "ADdFgHhKkmrSsuWwYy";
    private static final String c1 = "ceLMQq";
    private static final long d1 = 946080000000L;
    static final UnicodeSet e1 = new UnicodeSet("[GyYuUQqMLlwWd]").freeze();
    static final /* synthetic */ boolean f1 = false;
    private static final long serialVersionUID = 4774881970558875024L;
    private Date defaultCenturyStart;
    private DateFormatSymbols formatData;
    private transient ULocale g1;
    private transient int h1;
    private transient long i1;
    private transient boolean j1;
    private transient i k1;
    private transient boolean l1;
    private transient boolean m1;
    private transient boolean n1;
    private HashMap<String, NumberFormat> numberFormatters;
    private transient Object[] o1;
    private String override;
    private HashMap<Character, String> overrideMap;
    private transient boolean p1;
    private String pattern;
    private transient char[] q1;
    private transient char[] r1;
    private int serialVersionOnStream;
    private volatile TimeZoneFormat tzFormat;

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f15379a;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|(3:5|6|8)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        static {
            int[] iArr = new int[DisplayContext.values().length];
            f15379a = iArr;
            iArr[DisplayContext.CAPITALIZATION_FOR_BEGINNING_OF_SENTENCE.ordinal()] = 1;
            f15379a[DisplayContext.CAPITALIZATION_FOR_UI_LIST_OR_MENU.ordinal()] = 2;
            try {
                f15379a[DisplayContext.CAPITALIZATION_FOR_STANDALONE.ordinal()] = 3;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    private enum b {
        UNKNOWN,
        CAPITALIZATION_FOR_MIDDLE_OF_SENTENCE,
        CAPITALIZATION_FOR_BEGINNING_OF_SENTENCE,
        CAPITALIZATION_FOR_UI_LIST_OR_MENU,
        CAPITALIZATION_FOR_STANDALONE
    }

    /* access modifiers changed from: private */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        final char f15382a;

        /* renamed from: b  reason: collision with root package name */
        final int f15383b;

        /* renamed from: c  reason: collision with root package name */
        final boolean f15384c;

        c(char c2, int i) {
            this.f15382a = c2;
            this.f15383b = i;
            this.f15384c = SimpleDateFormat.G(c2, i);
        }
    }

    static {
        DateFormat.Field field = DateFormat.Field.YEAR;
        DateFormat.Field field2 = DateFormat.Field.MONTH;
        DateFormat.Field field3 = DateFormat.Field.DAY_OF_WEEK;
        DateFormat.Field field4 = DateFormat.Field.TIME_ZONE;
        DateFormat.Field field5 = DateFormat.Field.QUARTER;
        Y0 = new DateFormat.Field[]{DateFormat.Field.ERA, field, field2, DateFormat.Field.DAY_OF_MONTH, DateFormat.Field.HOUR_OF_DAY1, DateFormat.Field.HOUR_OF_DAY0, DateFormat.Field.MINUTE, DateFormat.Field.SECOND, DateFormat.Field.MILLISECOND, field3, DateFormat.Field.DAY_OF_YEAR, DateFormat.Field.DAY_OF_WEEK_IN_MONTH, DateFormat.Field.WEEK_OF_YEAR, DateFormat.Field.WEEK_OF_MONTH, DateFormat.Field.AM_PM, DateFormat.Field.HOUR1, DateFormat.Field.HOUR0, field4, DateFormat.Field.YEAR_WOY, DateFormat.Field.DOW_LOCAL, DateFormat.Field.EXTENDED_YEAR, DateFormat.Field.JULIAN_DAY, DateFormat.Field.MILLISECONDS_IN_DAY, field4, field4, field3, field2, field5, field5, field4, field, field4, field4, field4, DateFormat.Field.RELATED_YEAR, DateFormat.Field.AM_PM_MIDNIGHT_NOON, DateFormat.Field.FLEXIBLE_DAY_PERIOD, DateFormat.Field.TIME_SEPARATOR};
    }

    public SimpleDateFormat() {
        this(t(), null, null, null, null, true, null);
    }

    private void A(ULocale uLocale) {
        this.numberFormatters = new HashMap<>();
        this.overrideMap = new HashMap<>();
        V(uLocale, this.override);
    }

    private void B() {
        Calendar calendar;
        ULocale uLocale;
        if (this.g1 == null) {
            this.g1 = ULocale.getDefault(ULocale.Category.FORMAT);
        }
        if (this.formatData == null) {
            this.formatData = new DateFormatSymbols(this.g1);
        }
        if (this.calendar == null) {
            this.calendar = Calendar.getInstance(this.g1);
        }
        if (this.numberFormat == null) {
            z0 f = z0.f(this.g1);
            String c2 = f.c();
            if (f.l() || c2.length() != 10) {
                this.numberFormat = NumberFormat.getInstance(this.g1);
            } else {
                this.numberFormat = new DateNumberFormat(this.g1, c2, f.j());
            }
        }
        NumberFormat numberFormat = this.numberFormat;
        if (numberFormat instanceof DecimalFormat) {
            DateFormat.b(numberFormat);
        }
        this.i1 = System.currentTimeMillis();
        a(this.calendar.getLocale(ULocale.VALID_LOCALE), this.calendar.getLocale(ULocale.ACTUAL_LOCALE));
        z();
        T();
        if (this.override == null && this.n1 && (calendar = this.calendar) != null && calendar.getType().equals("japanese") && (uLocale = this.g1) != null && uLocale.getLanguage().equals("ja")) {
            this.override = "y=jpanyear";
        }
        if (this.override != null) {
            A(this.g1);
        }
    }

    private void C(long j) {
        this.i1 = j;
        Calendar calendar = (Calendar) this.calendar.clone();
        calendar.setTimeInMillis(j);
        calendar.add(1, -80);
        this.defaultCenturyStart = calendar.getTime();
        this.h1 = calendar.get(1);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:4:0x0005, code lost:
        if (r4.tzFormat == null) goto L_0x0007;
     */
    private synchronized void D(boolean z) {
        if (!z) {
        }
        this.tzFormat = TimeZoneFormat.getInstance(this.g1);
        String str = null;
        NumberFormat numberFormat = this.numberFormat;
        if (numberFormat instanceof DecimalFormat) {
            String[] digitStringsLocal = ((DecimalFormat) numberFormat).getDecimalFormatSymbols().getDigitStringsLocal();
            StringBuilder sb = new StringBuilder();
            for (String str2 : digitStringsLocal) {
                sb.append(str2);
            }
            str = sb.toString();
        } else if (numberFormat instanceof DateNumberFormat) {
            str = new String(((DateNumberFormat) this.numberFormat).getDigits());
        }
        if (str != null && !this.tzFormat.getGMTOffsetDigits().equals(str)) {
            if (this.tzFormat.isFrozen()) {
                this.tzFormat = this.tzFormat.cloneAsThawed();
            }
            this.tzFormat.setGMTOffsetDigits(str);
        }
    }

    static boolean F(String str, int i) {
        int i2 = K0[i];
        int i3 = 0;
        int i4 = 0;
        char c2 = 0;
        boolean z = false;
        while (i3 < str.length()) {
            char charAt = str.charAt(i3);
            if (charAt != c2 && i4 > 0) {
                if (i2 <= v(c2)) {
                    return false;
                }
                i4 = 0;
            }
            if (charAt == '\'') {
                int i5 = i3 + 1;
                if (i5 >= str.length() || str.charAt(i5) != '\'') {
                    z = !z;
                } else {
                    i3 = i5;
                }
            } else if (!z && H(charAt)) {
                i4++;
                c2 = charAt;
            }
            i3++;
        }
        if (i4 <= 0 || i2 > v(c2)) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: private */
    public static final boolean G(char c2, int i) {
        return b1.indexOf(c2) >= 0 || (i <= 2 && c1.indexOf(c2) >= 0);
    }

    private static boolean H(char c2) {
        boolean[] zArr = M0;
        if (c2 < zArr.length) {
            return zArr[c2 & 255];
        }
        return false;
    }

    private boolean I(Object[] objArr, int i, int i2) throws IllegalArgumentException {
        if (objArr[i] instanceof String) {
            return false;
        }
        char c2 = ((c) objArr[i]).f15382a;
        int v = v(c2);
        if (v == -1) {
            throw new IllegalArgumentException("Illegal pattern character '" + c2 + "' in \"" + this.pattern + Typography.quote);
        } else if (v >= i2) {
            return true;
        } else {
            return false;
        }
    }

    @Deprecated
    private int J(String str, int i, String[] strArr, String[] strArr2, Calendar calendar) {
        int W;
        int W2;
        int i2 = -1;
        int i3 = 0;
        for (int i4 = 0; i4 < strArr.length; i4++) {
            int length = strArr[i4].length();
            if (length > i3 && (W2 = W(str, i, strArr[i4], length)) >= 0) {
                i2 = i4;
                i3 = W2;
            }
        }
        for (int i5 = 0; i5 < strArr2.length; i5++) {
            int length2 = strArr2[i5].length();
            if (length2 > i3 && (W = W(str, i, strArr2[i5], length2)) >= 0) {
                i3 = W;
                i2 = i5;
            }
        }
        if (i2 < 0) {
            return ~i;
        }
        calendar.set(2, i2);
        return i + i3;
    }

    private int K(String str, int i, String[] strArr, int i2, com.ibm.icu.util.w<DayPeriodRules.DayPeriod> wVar) {
        int length;
        int W;
        int i3 = 0;
        int i4 = -1;
        for (int i5 = 0; i5 < i2; i5++) {
            if (strArr[i5] != null && (length = strArr[i5].length()) > i3 && (W = W(str, i, strArr[i5], length)) >= 0) {
                i4 = i5;
                i3 = W;
            }
        }
        if (i4 < 0) {
            return -i;
        }
        wVar.f16195a = (T) DayPeriodRules.DayPeriod.VALUES[i4];
        return i + i3;
    }

    private int L(String str, int i, Object[] objArr, int i2, boolean[] zArr) {
        boolean z;
        String str2 = (String) objArr[i2];
        int length = str2.length();
        int length2 = str.length();
        int i3 = i;
        int i4 = 0;
        while (true) {
            z = true;
            if (i4 >= length || i3 >= length2) {
                break;
            }
            char charAt = str2.charAt(i4);
            char charAt2 = str.charAt(i3);
            if ((y0.e(charAt) || com.ibm.icu.lang.c.H0(charAt)) && (y0.e(charAt2) || com.ibm.icu.lang.c.H0(charAt2))) {
                while (true) {
                    int i5 = i4 + 1;
                    if (i5 < length && (y0.e(str2.charAt(i5)) || com.ibm.icu.lang.c.H0(str2.charAt(i5)))) {
                        i4 = i5;
                    }
                }
                while (true) {
                    int i6 = i3 + 1;
                    if (i6 >= length2 || (!y0.e(str.charAt(i6)) && !com.ibm.icu.lang.c.H0(str.charAt(i6)))) {
                        break;
                    }
                    i3 = i6;
                }
            } else if (charAt != charAt2) {
                if (charAt2 != '.' || i3 != i || i2 <= 0 || !getBooleanAttribute(DateFormat.BooleanAttribute.PARSE_ALLOW_WHITESPACE)) {
                    if (((charAt != ' ' && charAt != '.') || !getBooleanAttribute(DateFormat.BooleanAttribute.PARSE_ALLOW_WHITESPACE)) && (i3 == i || !getBooleanAttribute(DateFormat.BooleanAttribute.PARSE_PARTIAL_LITERAL_MATCH))) {
                        break;
                    }
                    i4++;
                } else {
                    Object obj = objArr[i2 - 1];
                    if (!(obj instanceof c) || ((c) obj).f15384c) {
                        break;
                    }
                    i3++;
                }
            }
            i4++;
            i3++;
        }
        zArr[0] = i4 == length;
        if (!zArr[0] && getBooleanAttribute(DateFormat.BooleanAttribute.PARSE_ALLOW_WHITESPACE) && i2 > 0 && i2 < objArr.length - 1 && i < length2) {
            Object obj2 = objArr[i2 - 1];
            Object obj3 = objArr[i2 + 1];
            if ((obj2 instanceof c) && (obj3 instanceof c)) {
                char c2 = ((c) obj2).f15382a;
                char c3 = ((c) obj3).f15382a;
                UnicodeSet unicodeSet = e1;
                if (unicodeSet.r(c2) != unicodeSet.r(c3)) {
                    i3 = i;
                    while (i3 < length2 && y0.e(str.charAt(i3))) {
                        i3++;
                    }
                    if (i3 <= i) {
                        z = false;
                    }
                    zArr[0] = z;
                }
            }
        }
        return i3;
    }

    @Deprecated
    private int O(String str, int i, int i2, String[] strArr, String str2, Calendar calendar) {
        String g;
        int length;
        int W;
        int W2;
        int length2 = strArr.length;
        int i3 = -1;
        int i4 = 0;
        int i5 = 0;
        for (int i6 = i2 == 7 ? 1 : 0; i6 < length2; i6++) {
            int length3 = strArr[i6].length();
            if (length3 > i4 && (W2 = W(str, i, strArr[i6], length3)) >= 0) {
                i3 = i6;
                i4 = W2;
                i5 = 0;
            }
            if (str2 != null && (length = (g = l1.g(str2, 1, 1, strArr[i6])).length()) > i4 && (W = W(str, i, g, length)) >= 0) {
                i3 = i6;
                i4 = W;
                i5 = 1;
            }
        }
        if (i3 < 0) {
            return ~i;
        }
        if (i2 >= 0) {
            if (i2 == 1) {
                i3++;
            }
            calendar.set(i2, i3);
            if (str2 != null) {
                calendar.set(22, i5);
            }
        }
        return i + i4;
    }

    private void P(Date date) {
        this.defaultCenturyStart = date;
        this.calendar.setTime(date);
        this.h1 = this.calendar.get(1);
    }

    private Number R(String str, int i, ParsePosition parsePosition, boolean z, NumberFormat numberFormat) {
        Number number;
        int index;
        int index2 = parsePosition.getIndex();
        if (z) {
            number = numberFormat.parse(str, parsePosition);
        } else if (numberFormat instanceof DecimalFormat) {
            DecimalFormat decimalFormat = (DecimalFormat) numberFormat;
            String negativePrefix = decimalFormat.getNegativePrefix();
            decimalFormat.setNegativePrefix(R0);
            number = numberFormat.parse(str, parsePosition);
            ((DecimalFormat) numberFormat).setNegativePrefix(negativePrefix);
        } else {
            boolean z2 = numberFormat instanceof DateNumberFormat;
            if (z2) {
                ((DateNumberFormat) numberFormat).setParsePositiveOnly(true);
            }
            number = numberFormat.parse(str, parsePosition);
            if (z2) {
                ((DateNumberFormat) numberFormat).setParsePositiveOnly(false);
            }
        }
        if (i <= 0 || (index = parsePosition.getIndex() - index2) <= i) {
            return number;
        }
        double doubleValue = number.doubleValue();
        for (int i2 = index - i; i2 > 0; i2--) {
            doubleValue /= 10.0d;
        }
        parsePosition.setIndex(index2 + i);
        return Integer.valueOf((int) doubleValue);
    }

    private Number S(String str, ParsePosition parsePosition, boolean z, NumberFormat numberFormat) {
        return R(str, -1, parsePosition, z, numberFormat);
    }

    private void T() {
        this.l1 = false;
        this.m1 = false;
        this.n1 = false;
        boolean z = false;
        for (int i = 0; i < this.pattern.length(); i++) {
            char charAt = this.pattern.charAt(i);
            if (charAt == '\'') {
                z = !z;
            }
            if (charAt == 24180) {
                this.n1 = true;
            }
            if (!z) {
                if (charAt == 'm') {
                    this.l1 = true;
                }
                if (charAt == 's') {
                    this.m1 = true;
                }
            }
        }
    }

    private void V(ULocale uLocale, String str) {
        boolean z;
        int i;
        boolean z2;
        if (str != null && str.length() != 0) {
            boolean z3 = true;
            int i2 = 0;
            while (z3) {
                int indexOf = str.indexOf(g.f6031b, i2);
                if (indexOf == -1) {
                    i = str.length();
                    z = false;
                } else {
                    z = z3;
                    i = indexOf;
                }
                String substring = str.substring(i2, i);
                int indexOf2 = substring.indexOf("=");
                if (indexOf2 == -1) {
                    z2 = true;
                } else {
                    String substring2 = substring.substring(indexOf2 + 1);
                    this.overrideMap.put(Character.valueOf(substring.charAt(0)), substring2);
                    substring = substring2;
                    z2 = false;
                }
                NumberFormat b2 = NumberFormat.b(new ULocale(uLocale.getBaseName() + "@numbers=" + substring), 0);
                b2.setGroupingUsed(false);
                if (z2) {
                    setNumberFormat(b2);
                } else {
                    this.p1 = false;
                }
                if (!z2 && !this.numberFormatters.containsKey(substring)) {
                    this.numberFormatters.put(substring, b2);
                }
                i2 = indexOf + 1;
                z3 = z;
            }
        }
    }

    private int W(String str, int i, String str2, int i2) {
        if (str.regionMatches(true, i, str2, 0, i2)) {
            return i2;
        }
        if (str2.length() <= 0 || str2.charAt(str2.length() - 1) != '.') {
            return -1;
        }
        int i3 = i2 - 1;
        if (str.regionMatches(true, i, str2, 0, i3)) {
            return i3;
        }
        return -1;
    }

    private static void X(String[] strArr, int i, StringBuffer stringBuffer) {
        if (strArr != null && i >= 0 && i < strArr.length) {
            stringBuffer.append(strArr[i]);
        }
    }

    private static void Y(String[] strArr, int i, StringBuffer stringBuffer, String str) {
        if (strArr != null && i >= 0 && i < strArr.length) {
            if (str == null) {
                stringBuffer.append(strArr[i]);
                return;
            }
            stringBuffer.append(l1.g(str, 1, 1, strArr[i]));
        }
    }

    private int d0(String str, int i, char c2, int i2, boolean z, boolean z2, boolean[] zArr, Calendar calendar, MessageFormat messageFormat, com.ibm.icu.util.w<TimeZoneFormat.TimeType> wVar) {
        return f0(str, i, c2, i2, z, z2, zArr, calendar, null, null, null);
    }

    private boolean e(int i) {
        return i == 26 || i == 19 || i == 25 || i == 30 || i == 27 || i == 28;
    }

    private static int f(String str, int i, int i2) {
        int i3 = 0;
        while (i < i2) {
            int codePointAt = str.codePointAt(i);
            if (com.ibm.icu.lang.c.i0(codePointAt)) {
                i3++;
            }
            i += com.ibm.icu.lang.c.a(codePointAt);
        }
        return i3;
    }

    /* JADX WARNING: Removed duplicated region for block: B:62:0x00de  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x0111  */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x0117  */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x011f  */
    @Deprecated
    private int f0(String str, int i, char c2, int i2, boolean z, boolean z2, boolean[] zArr, Calendar calendar, MessageFormat messageFormat, com.ibm.icu.util.w<TimeZoneFormat.TimeType> wVar, com.ibm.icu.util.w<DayPeriodRules.DayPeriod> wVar2) {
        Number number;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        int i14;
        String[] strArr;
        String[] strArr2;
        int O;
        int O2;
        int i15;
        int i16;
        String[] strArr3;
        int i17;
        int i18;
        int i19;
        TimeZoneFormat.Style style;
        int i20;
        String[] strArr4;
        TimeZoneFormat.Style style2;
        TimeZoneFormat.Style style3;
        int i21;
        int i22;
        int i23;
        Number number2;
        boolean z3;
        Number number3;
        int i24;
        int i25;
        MessageFormat messageFormat2 = messageFormat;
        ParsePosition parsePosition = new ParsePosition(0);
        int u = u(c2);
        if (u == -1) {
            return ~i;
        }
        NumberFormat numberFormat = getNumberFormat(c2);
        int i26 = W0[u];
        if (messageFormat2 != null) {
            messageFormat2.setFormatByArgumentIndex(0, numberFormat);
        }
        int i27 = 1;
        boolean z4 = calendar.getType().equals("chinese") || calendar.getType().equals("dangi");
        int i28 = i;
        while (i28 < str.length()) {
            int k = w2.k(str, i28);
            if (com.ibm.icu.lang.c.H0(k) || y0.e(k)) {
                i28 = w2.z(k) + i28;
                i26 = i26;
                i27 = 1;
                messageFormat2 = messageFormat;
            } else {
                parsePosition.setIndex(i28);
                if (u == 4 || u == 15 || ((u == 2 && i2 <= 2) || u == 26 || u == 19 || u == 25 || u == i27 || u == 18 || u == 30 || ((u == 0 && z4) || u == 27 || u == 28 || u == 8))) {
                    if (messageFormat2 != null && (u == 2 || u == 26)) {
                        Object[] parse = messageFormat2.parse(str, parsePosition);
                        if (parse == null || parsePosition.getIndex() <= i28) {
                            i25 = 22;
                            i24 = 0;
                        } else {
                            i24 = 0;
                            if (parse[0] instanceof Number) {
                                number3 = (Number) parse[0];
                                calendar.set(22, i27);
                                z3 = true;
                                if (z3) {
                                    if (!z) {
                                        i4 = i28;
                                        i3 = i26;
                                        i5 = 1;
                                        number3 = S(str, parsePosition, z2, numberFormat);
                                    } else if (i28 + i2 > str.length()) {
                                        return ~i28;
                                    } else {
                                        i4 = i28;
                                        i5 = 1;
                                        i3 = i26;
                                        number3 = R(str, i2, parsePosition, z2, numberFormat);
                                    }
                                    if (number3 == null && !e(u)) {
                                        return ~i4;
                                    }
                                } else {
                                    i4 = i28;
                                    i3 = i26;
                                    i5 = 1;
                                }
                                if (number3 == null) {
                                    number = number3;
                                    i6 = number3.intValue();
                                } else {
                                    number = number3;
                                    i6 = 0;
                                }
                            } else {
                                i25 = 22;
                            }
                        }
                        parsePosition.setIndex(i28);
                        calendar.set(i25, i24);
                    }
                    number3 = null;
                    z3 = false;
                    if (z3) {
                    }
                    if (number3 == null) {
                    }
                } else {
                    i4 = i28;
                    i3 = i26;
                    number = null;
                    i6 = 0;
                    i5 = 1;
                }
                switch (u) {
                    case 0:
                        if (z4) {
                            calendar.set(0, i6);
                            return parsePosition.getIndex();
                        }
                        if (i2 == 5) {
                            i7 = O(str, i4, 0, this.formatData.narrowEras, null, calendar);
                        } else if (i2 == 4) {
                            i7 = O(str, i4, 0, this.formatData.eraNames, null, calendar);
                        } else {
                            i7 = O(str, i4, 0, this.formatData.eras, null, calendar);
                        }
                        return i7 == (~i4) ? Q0 : i7;
                    case 1:
                    case 18:
                        String str2 = this.override;
                        if (str2 != null && ((str2.compareTo("hebr") == 0 || this.override.indexOf("y=hebr") >= 0) && i6 < 1000)) {
                            i8 = i6 + 5000;
                        } else if (i2 == 2 && f(str, i4, parsePosition.getIndex()) == 2 && calendar.haveDefaultCentury()) {
                            int i29 = 100;
                            int s = s() % 100;
                            zArr[0] = i6 == s;
                            int s2 = (s() / 100) * 100;
                            if (i6 >= s) {
                                i29 = 0;
                            }
                            i8 = i6 + s2 + i29;
                        } else {
                            i8 = i6;
                        }
                        calendar.set(i3, i8);
                        if (J0) {
                            if (!HebrewCalendar.isLeapYear(i8)) {
                                calendar.add(2, 1);
                            }
                            J0 = false;
                        }
                        return parsePosition.getIndex();
                    case 2:
                    case 26:
                        if (i2 <= 2 || (number != null && getBooleanAttribute(DateFormat.BooleanAttribute.PARSE_ALLOW_NUMERIC))) {
                            calendar.set(2, i6 - 1);
                            if (calendar.getType().equals("hebrew") && i6 >= 6) {
                                if (!calendar.isSet(1)) {
                                    J0 = true;
                                } else if (!HebrewCalendar.isLeapYear(calendar.get(1))) {
                                    calendar.set(2, i6);
                                }
                            }
                            return parsePosition.getIndex();
                        }
                        String[] strArr5 = this.formatData.leapMonthPatterns;
                        boolean z5 = strArr5 != null && strArr5.length >= 7;
                        DateFormat.BooleanAttribute booleanAttribute = DateFormat.BooleanAttribute.PARSE_MULTIPLE_PATTERNS_FOR_MATCH;
                        if (!getBooleanAttribute(booleanAttribute) || i2 < 3 || i2 > 4 || z5) {
                            i9 = 0;
                        } else {
                            if (u == 2) {
                                DateFormatSymbols dateFormatSymbols = this.formatData;
                                i9 = J(str, i4, dateFormatSymbols.months, dateFormatSymbols.shortMonths, calendar);
                            } else {
                                DateFormatSymbols dateFormatSymbols2 = this.formatData;
                                i9 = J(str, i4, dateFormatSymbols2.standaloneMonths, dateFormatSymbols2.standaloneShortMonths, calendar);
                            }
                            if (i9 > 0) {
                                return i9;
                            }
                        }
                        if (getBooleanAttribute(booleanAttribute) || i2 == 4) {
                            if (u == 2) {
                                DateFormatSymbols dateFormatSymbols3 = this.formatData;
                                i9 = O(str, i4, 2, dateFormatSymbols3.months, z5 ? dateFormatSymbols3.leapMonthPatterns[0] : null, calendar);
                            } else {
                                DateFormatSymbols dateFormatSymbols4 = this.formatData;
                                i9 = O(str, i4, 2, dateFormatSymbols4.standaloneMonths, z5 ? dateFormatSymbols4.leapMonthPatterns[3] : null, calendar);
                            }
                            if (i9 > 0) {
                                return i9;
                            }
                        }
                        if (!getBooleanAttribute(booleanAttribute) && i2 != 3) {
                            return i9;
                        }
                        if (u == 2) {
                            DateFormatSymbols dateFormatSymbols5 = this.formatData;
                            return O(str, i4, 2, dateFormatSymbols5.shortMonths, z5 ? dateFormatSymbols5.leapMonthPatterns[1] : null, calendar);
                        }
                        DateFormatSymbols dateFormatSymbols6 = this.formatData;
                        return O(str, i4, 2, dateFormatSymbols6.standaloneShortMonths, z5 ? dateFormatSymbols6.leapMonthPatterns[4] : null, calendar);
                    case 3:
                    case 5:
                    case 6:
                    case 7:
                    case 10:
                    case 11:
                    case 12:
                    case 13:
                    case 16:
                    case 20:
                    case 21:
                    case 22:
                    case 34:
                    default:
                        if (!z) {
                            i23 = i3;
                            number2 = S(str, parsePosition, z2, numberFormat);
                        } else if (i4 + i2 > str.length()) {
                            return -i4;
                        } else {
                            i23 = i3;
                            number2 = R(str, i2, parsePosition, z2, numberFormat);
                        }
                        if (!isLenient() && parsePosition.getIndex() < i4 + i2) {
                            return -i4;
                        }
                        if (number2 == null) {
                            return ~i4;
                        }
                        if (u != 34) {
                            calendar.set(i23, number2.intValue());
                        } else {
                            calendar.setRelatedYear(number2.intValue());
                        }
                        return parsePosition.getIndex();
                    case 4:
                        calendar.set(11, i6 == calendar.getMaximum(11) + 1 ? 0 : i6);
                        return parsePosition.getIndex();
                    case 8:
                        int f = f(str, i4, parsePosition.getIndex());
                        if (f < 3) {
                            i10 = i6;
                            while (f < 3) {
                                i10 *= 10;
                                f++;
                            }
                        } else {
                            int i30 = 1;
                            while (f > 3) {
                                i30 *= 10;
                                f--;
                            }
                            i10 = i6 / i30;
                        }
                        calendar.set(14, i10);
                        return parsePosition.getIndex();
                    case 9:
                        i12 = 5;
                        i11 = 3;
                        break;
                    case 14:
                        if ((this.formatData.ampmsNarrow == null || i2 < 5 || getBooleanAttribute(DateFormat.BooleanAttribute.PARSE_MULTIPLE_PATTERNS_FOR_MATCH)) && (O2 = O(str, i4, 9, this.formatData.ampms, null, calendar)) > 0) {
                            return O2;
                        }
                        return (this.formatData.ampmsNarrow == null || (i2 < 5 && !getBooleanAttribute(DateFormat.BooleanAttribute.PARSE_MULTIPLE_PATTERNS_FOR_MATCH)) || (O = O(str, i4, 9, this.formatData.ampmsNarrow, null, calendar)) <= 0) ? ~i4 : O;
                    case 15:
                        calendar.set(10, i6 == calendar.getLeastMaximum(10) + 1 ? 0 : i6);
                        return parsePosition.getIndex();
                    case 17:
                        TimeZone parse2 = h0().parse(i2 < 4 ? TimeZoneFormat.Style.SPECIFIC_SHORT : TimeZoneFormat.Style.SPECIFIC_LONG, str, parsePosition, wVar);
                        if (parse2 == null) {
                            return ~i4;
                        }
                        calendar.setTimeZone(parse2);
                        return parsePosition.getIndex();
                    case 19:
                        i12 = 5;
                        i11 = 3;
                        if (i2 <= 2 || (number != null && getBooleanAttribute(DateFormat.BooleanAttribute.PARSE_ALLOW_NUMERIC))) {
                            calendar.set(i3, i6);
                            return parsePosition.getIndex();
                        }
                    case 23:
                        TimeZone parse3 = h0().parse(i2 < 4 ? TimeZoneFormat.Style.ISO_BASIC_LOCAL_FULL : i2 == 5 ? TimeZoneFormat.Style.ISO_EXTENDED_FULL : TimeZoneFormat.Style.LOCALIZED_GMT, str, parsePosition, wVar);
                        if (parse3 == null) {
                            return ~i4;
                        }
                        calendar.setTimeZone(parse3);
                        return parsePosition.getIndex();
                    case 24:
                        TimeZone parse4 = h0().parse(i2 < 4 ? TimeZoneFormat.Style.GENERIC_SHORT : TimeZoneFormat.Style.GENERIC_LONG, str, parsePosition, wVar);
                        if (parse4 == null) {
                            return ~i4;
                        }
                        calendar.setTimeZone(parse4);
                        return parsePosition.getIndex();
                    case 25:
                        if (i2 == 1 || (number != null && getBooleanAttribute(DateFormat.BooleanAttribute.PARSE_ALLOW_NUMERIC))) {
                            calendar.set(i3, i6);
                            return parsePosition.getIndex();
                        }
                        DateFormat.BooleanAttribute booleanAttribute2 = DateFormat.BooleanAttribute.PARSE_MULTIPLE_PATTERNS_FOR_MATCH;
                        if (getBooleanAttribute(booleanAttribute2) || i2 == 4) {
                            i15 = 6;
                            i16 = O(str, i4, 7, this.formatData.standaloneWeekdays, null, calendar);
                            if (i16 > 0) {
                                return i16;
                            }
                        } else {
                            i16 = 0;
                            i15 = 6;
                        }
                        if ((getBooleanAttribute(booleanAttribute2) || i2 == 3) && (i16 = O(str, i4, 7, this.formatData.standaloneShortWeekdays, null, calendar)) > 0) {
                            return i16;
                        }
                        return ((getBooleanAttribute(booleanAttribute2) || i2 == i15) && (strArr3 = this.formatData.standaloneShorterWeekdays) != null) ? O(str, i4, 7, strArr3, null, calendar) : i16;
                    case 27:
                        if (i2 > 2 || number == null) {
                            DateFormat.BooleanAttribute booleanAttribute3 = DateFormat.BooleanAttribute.PARSE_MULTIPLE_PATTERNS_FOR_MATCH;
                            if (getBooleanAttribute(booleanAttribute3) || i2 == 4) {
                                i17 = M(str, i4, 2, this.formatData.quarters, calendar);
                                if (i17 > 0) {
                                    return i17;
                                }
                            } else {
                                i17 = 0;
                            }
                            if ((getBooleanAttribute(booleanAttribute3) || i2 == 3) && (i17 = M(str, i4, 2, this.formatData.shortQuarters, calendar)) > 0) {
                                return i17;
                            }
                            if ((getBooleanAttribute(booleanAttribute3) || i2 == 5) && (i17 = M(str, i4, 2, this.formatData.narrowQuarters, calendar)) > 0) {
                                return i17;
                            }
                            if (!getBooleanAttribute(DateFormat.BooleanAttribute.PARSE_ALLOW_NUMERIC) || number == null) {
                                return i17;
                            }
                            calendar.set(2, (i6 - 1) * 3);
                            return parsePosition.getIndex();
                        }
                        calendar.set(2, (i6 - 1) * 3);
                        return parsePosition.getIndex();
                    case 28:
                        if (i2 > 2 || number == null) {
                            DateFormat.BooleanAttribute booleanAttribute4 = DateFormat.BooleanAttribute.PARSE_MULTIPLE_PATTERNS_FOR_MATCH;
                            if (getBooleanAttribute(booleanAttribute4) || i2 == 4) {
                                i18 = 5;
                                i19 = M(str, i4, 2, this.formatData.standaloneQuarters, calendar);
                                if (i19 > 0) {
                                    return i19;
                                }
                            } else {
                                i19 = 0;
                                i18 = 5;
                            }
                            if ((getBooleanAttribute(booleanAttribute4) || i2 == 3) && (i19 = M(str, i4, 2, this.formatData.standaloneShortQuarters, calendar)) > 0) {
                                return i19;
                            }
                            if ((getBooleanAttribute(booleanAttribute4) || i2 == i18) && (i19 = M(str, i4, 2, this.formatData.standaloneNarrowQuarters, calendar)) > 0) {
                                return i19;
                            }
                            if (!getBooleanAttribute(DateFormat.BooleanAttribute.PARSE_ALLOW_NUMERIC) || number == null) {
                                return i19;
                            }
                            calendar.set(2, (i6 - 1) * 3);
                            return parsePosition.getIndex();
                        }
                        calendar.set(2, (i6 - 1) * 3);
                        return parsePosition.getIndex();
                    case 29:
                        if (i2 == i5) {
                            style = TimeZoneFormat.Style.ZONE_ID_SHORT;
                        } else if (i2 == 2) {
                            style = TimeZoneFormat.Style.ZONE_ID;
                        } else if (i2 != 3) {
                            style = TimeZoneFormat.Style.GENERIC_LOCATION;
                        } else {
                            style = TimeZoneFormat.Style.EXEMPLAR_LOCATION;
                        }
                        TimeZone parse5 = h0().parse(style, str, parsePosition, wVar);
                        if (parse5 == null) {
                            return ~i4;
                        }
                        calendar.setTimeZone(parse5);
                        return parsePosition.getIndex();
                    case 30:
                        String[] strArr6 = this.formatData.shortYearNames;
                        if (strArr6 != null) {
                            i20 = i6;
                            int O3 = O(str, i4, 1, strArr6, null, calendar);
                            if (O3 > 0) {
                                return O3;
                            }
                        } else {
                            i20 = i6;
                        }
                        if (number == null || (!getBooleanAttribute(DateFormat.BooleanAttribute.PARSE_ALLOW_NUMERIC) && (strArr4 = this.formatData.shortYearNames) != null && i20 <= strArr4.length)) {
                            return ~i4;
                        }
                        calendar.set(i5, i20);
                        return parsePosition.getIndex();
                    case 31:
                        TimeZone parse6 = h0().parse(i2 < 4 ? TimeZoneFormat.Style.LOCALIZED_GMT_SHORT : TimeZoneFormat.Style.LOCALIZED_GMT, str, parsePosition, wVar);
                        if (parse6 == null) {
                            return ~i4;
                        }
                        calendar.setTimeZone(parse6);
                        return parsePosition.getIndex();
                    case 32:
                        if (i2 == i5) {
                            style2 = TimeZoneFormat.Style.ISO_BASIC_SHORT;
                        } else if (i2 == 2) {
                            style2 = TimeZoneFormat.Style.ISO_BASIC_FIXED;
                        } else if (i2 == 3) {
                            style2 = TimeZoneFormat.Style.ISO_EXTENDED_FIXED;
                        } else if (i2 != 4) {
                            style2 = TimeZoneFormat.Style.ISO_EXTENDED_FULL;
                        } else {
                            style2 = TimeZoneFormat.Style.ISO_BASIC_FULL;
                        }
                        TimeZone parse7 = h0().parse(style2, str, parsePosition, wVar);
                        if (parse7 == null) {
                            return ~i4;
                        }
                        calendar.setTimeZone(parse7);
                        return parsePosition.getIndex();
                    case 33:
                        if (i2 == i5) {
                            style3 = TimeZoneFormat.Style.ISO_BASIC_LOCAL_SHORT;
                        } else if (i2 == 2) {
                            style3 = TimeZoneFormat.Style.ISO_BASIC_LOCAL_FIXED;
                        } else if (i2 == 3) {
                            style3 = TimeZoneFormat.Style.ISO_EXTENDED_LOCAL_FIXED;
                        } else if (i2 != 4) {
                            style3 = TimeZoneFormat.Style.ISO_EXTENDED_LOCAL_FULL;
                        } else {
                            style3 = TimeZoneFormat.Style.ISO_BASIC_LOCAL_FULL;
                        }
                        TimeZone parse8 = h0().parse(style3, str, parsePosition, wVar);
                        if (parse8 == null) {
                            return ~i4;
                        }
                        calendar.setTimeZone(parse8);
                        return parsePosition.getIndex();
                    case 35:
                        int f0 = f0(str, i4, 'a', i2, z, z2, zArr, calendar, messageFormat, wVar, wVar2);
                        if (f0 > 0) {
                            return f0;
                        }
                        DateFormat.BooleanAttribute booleanAttribute5 = DateFormat.BooleanAttribute.PARSE_MULTIPLE_PATTERNS_FOR_MATCH;
                        if (getBooleanAttribute(booleanAttribute5) || i2 == 3) {
                            i21 = K(str, i4, this.formatData.abbreviatedDayPeriods, 2, wVar2);
                            if (i21 > 0) {
                                return i21;
                            }
                        } else {
                            i21 = 0;
                        }
                        if ((getBooleanAttribute(booleanAttribute5) || i2 == 4) && (i21 = K(str, i4, this.formatData.wideDayPeriods, 2, wVar2)) > 0) {
                            return i21;
                        }
                        if ((getBooleanAttribute(booleanAttribute5) || i2 == 4) && (i21 = K(str, i4, this.formatData.narrowDayPeriods, 2, wVar2)) > 0) {
                        }
                        return i21;
                    case 36:
                        DateFormat.BooleanAttribute booleanAttribute6 = DateFormat.BooleanAttribute.PARSE_MULTIPLE_PATTERNS_FOR_MATCH;
                        if (getBooleanAttribute(booleanAttribute6) || i2 == 3) {
                            String[] strArr7 = this.formatData.abbreviatedDayPeriods;
                            i22 = K(str, i4, strArr7, strArr7.length, wVar2);
                            if (i22 > 0) {
                                return i22;
                            }
                        } else {
                            i22 = 0;
                        }
                        if (getBooleanAttribute(booleanAttribute6) || i2 == 4) {
                            String[] strArr8 = this.formatData.wideDayPeriods;
                            i22 = K(str, i4, strArr8, strArr8.length, wVar2);
                            if (i22 > 0) {
                                return i22;
                            }
                        }
                        if (getBooleanAttribute(booleanAttribute6) || i2 == 4) {
                            String[] strArr9 = this.formatData.narrowDayPeriods;
                            i22 = K(str, i4, strArr9, strArr9.length, wVar2);
                            if (i22 > 0) {
                            }
                        }
                        return i22;
                    case 37:
                        ArrayList arrayList = new ArrayList(3);
                        arrayList.add(this.formatData.getTimeSeparatorString());
                        if (!this.formatData.getTimeSeparatorString().equals(":")) {
                            arrayList.add(":");
                        }
                        if (getBooleanAttribute(DateFormat.BooleanAttribute.PARSE_PARTIAL_LITERAL_MATCH) && !this.formatData.getTimeSeparatorString().equals(".")) {
                            arrayList.add(".");
                        }
                        return N(str, i4, -1, (String[]) arrayList.toArray(new String[0]), calendar);
                }
                DateFormat.BooleanAttribute booleanAttribute7 = DateFormat.BooleanAttribute.PARSE_MULTIPLE_PATTERNS_FOR_MATCH;
                if (getBooleanAttribute(booleanAttribute7) || i2 == 4) {
                    i13 = 6;
                    i14 = O(str, i4, 7, this.formatData.weekdays, null, calendar);
                    if (i14 > 0) {
                        return i14;
                    }
                } else {
                    i14 = 0;
                    i13 = 6;
                }
                if ((getBooleanAttribute(booleanAttribute7) || i2 == i11) && (i14 = O(str, i4, 7, this.formatData.shortWeekdays, null, calendar)) > 0) {
                    return i14;
                }
                if ((getBooleanAttribute(booleanAttribute7) || i2 == i13) && (strArr2 = this.formatData.shorterWeekdays) != null && (i14 = O(str, i4, 7, strArr2, null, calendar)) > 0) {
                    return i14;
                }
                if ((getBooleanAttribute(booleanAttribute7) || i2 == i12) && (strArr = this.formatData.narrowWeekdays) != null && (i14 = O(str, i4, 7, strArr, null, calendar)) > 0) {
                }
                return i14;
            }
        }
        return ~i28;
    }

    private String g0(String str, String str2, String str3) {
        int indexOf;
        StringBuilder sb = new StringBuilder();
        boolean z = false;
        for (int i = 0; i < str.length(); i++) {
            char charAt = str.charAt(i);
            if (z) {
                if (charAt == '\'') {
                    z = false;
                }
            } else if (charAt == '\'') {
                z = true;
            } else if (H(charAt) && (indexOf = str2.indexOf(charAt)) != -1) {
                charAt = str3.charAt(indexOf);
            }
            sb.append(charAt);
        }
        if (!z) {
            return sb.toString();
        }
        throw new IllegalArgumentException("Unfinished quote in pattern");
    }

    @Deprecated
    public static SimpleDateFormat getInstance(Calendar.b bVar) {
        String i = bVar.i();
        return new SimpleDateFormat(bVar.j(), bVar.g(), bVar.f(), null, bVar.h(), i != null && i.length() > 0, bVar.i());
    }

    private boolean h(Calendar calendar, Calendar calendar2, Object[] objArr, int i) throws IllegalArgumentException {
        if (objArr[i] instanceof String) {
            return false;
        }
        char c2 = ((c) objArr[i]).f15382a;
        int u = u(c2);
        if (u != -1) {
            int i2 = W0[u];
            if (i2 < 0 || calendar.get(i2) == calendar2.get(i2)) {
                return false;
            }
            return true;
        }
        throw new IllegalArgumentException("Illegal pattern character '" + c2 + "' in \"" + this.pattern + Typography.quote);
    }

    private TimeZoneFormat h0() {
        if (this.tzFormat == null) {
            D(false);
        }
        return this.tzFormat;
    }

    private void m(StringBuffer stringBuffer, int i, int i2, int i3) {
        char[] cArr = this.r1;
        if (cArr.length < i3) {
            i3 = cArr.length;
        }
        int i4 = i3 - 1;
        while (true) {
            this.r1[i4] = this.q1[i % 10];
            i /= 10;
            if (i4 == 0 || i == 0) {
                int i5 = i2 - (i3 - i4);
            } else {
                i4--;
            }
        }
        int i52 = i2 - (i3 - i4);
        while (i52 > 0 && i4 > 0) {
            i4--;
            this.r1[i4] = this.q1[0];
            i52--;
        }
        while (i52 > 0) {
            stringBuffer.append(this.q1[0]);
            i52--;
        }
        stringBuffer.append(this.r1, i4, i3 - i4);
    }

    private StringBuffer n(Calendar calendar, DisplayContext displayContext, StringBuffer stringBuffer, FieldPosition fieldPosition, List<FieldPosition> list) {
        int i;
        int i2;
        c cVar;
        fieldPosition.setBeginIndex(0);
        fieldPosition.setEndIndex(0);
        Object[] x = x();
        int i3 = 0;
        while (i3 < x.length) {
            if (x[i3] instanceof String) {
                stringBuffer.append((String) x[i3]);
                i = i3;
            } else {
                c cVar2 = (c) x[i3];
                int length = list != null ? stringBuffer.length() : 0;
                if (this.j1) {
                    i2 = length;
                    cVar = cVar2;
                    i = i3;
                    b0(stringBuffer, cVar2.f15382a, cVar2.f15383b, stringBuffer.length(), i3, displayContext, fieldPosition, cVar2.f15382a, calendar);
                } else {
                    i2 = length;
                    cVar = cVar2;
                    i = i3;
                    stringBuffer.append(Z(cVar.f15382a, cVar.f15383b, stringBuffer.length(), i, displayContext, fieldPosition, cVar.f15382a, calendar));
                }
                if (list != null) {
                    int length2 = stringBuffer.length();
                    if (length2 - i2 > 0) {
                        FieldPosition fieldPosition2 = new FieldPosition(U(cVar.f15382a));
                        fieldPosition2.setBeginIndex(i2);
                        fieldPosition2.setEndIndex(length2);
                        list.add(fieldPosition2);
                    }
                }
            }
            i3 = i + 1;
        }
        return stringBuffer;
    }

    private Date q() {
        if (this.defaultCenturyStart == null) {
            C(this.i1);
        }
        return this.defaultCenturyStart;
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        int readInt = this.serialVersionOnStream > 1 ? objectInputStream.readInt() : -1;
        if (this.serialVersionOnStream < 1) {
            this.i1 = System.currentTimeMillis();
        } else {
            P(this.defaultCenturyStart);
        }
        this.serialVersionOnStream = 2;
        ULocale locale = getLocale(ULocale.VALID_LOCALE);
        this.g1 = locale;
        if (locale == null) {
            this.g1 = ULocale.getDefault(ULocale.Category.FORMAT);
        }
        z();
        setContext(DisplayContext.CAPITALIZATION_NONE);
        if (readInt >= 0) {
            DisplayContext[] values = DisplayContext.values();
            int length = values.length;
            int i = 0;
            while (true) {
                if (i >= length) {
                    break;
                }
                DisplayContext displayContext = values[i];
                if (displayContext.value() == readInt) {
                    setContext(displayContext);
                    break;
                }
                i++;
            }
        }
        if (!getBooleanAttribute(DateFormat.BooleanAttribute.PARSE_PARTIAL_MATCH)) {
            setBooleanAttribute(DateFormat.BooleanAttribute.PARSE_PARTIAL_LITERAL_MATCH, false);
        }
        T();
    }

    private int s() {
        if (this.defaultCenturyStart == null) {
            C(this.i1);
        }
        return this.h1;
    }

    private static synchronized String t() {
        String str;
        synchronized (SimpleDateFormat.class) {
            ULocale uLocale = ULocale.getDefault(ULocale.Category.FORMAT);
            if (!uLocale.equals(S0)) {
                S0 = uLocale;
                Calendar instance = Calendar.getInstance(uLocale);
                try {
                    ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) h0.j(a0.f13490d, S0);
                    ICUResourceBundle m0 = iCUResourceBundle.m0("calendar/" + instance.getType() + "/DateTimePatterns");
                    if (m0 == null) {
                        m0 = iCUResourceBundle.m0("calendar/gregorian/DateTimePatterns");
                    }
                    if (m0 != null) {
                        if (m0.x() >= 9) {
                            T0 = l1.g(Calendar.getDateAtTimePattern(instance, S0, 3), 2, 2, m0.z(3), m0.z(7));
                        }
                    }
                    T0 = U0;
                } catch (MissingResourceException unused) {
                    T0 = U0;
                }
            }
            str = T0;
        }
        return str;
    }

    private static int u(char c2) {
        int[] iArr = V0;
        if (c2 < iArr.length) {
            return iArr[c2 & 255];
        }
        return -1;
    }

    private static int v(char c2) {
        int[] iArr = L0;
        if (c2 < iArr.length) {
            return iArr[c2 & 255];
        }
        return -1;
    }

    private void writeObject(ObjectOutputStream objectOutputStream) throws IOException {
        if (this.defaultCenturyStart == null) {
            C(this.i1);
        }
        D(false);
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeInt(getContext(DisplayContext.Type.CAPITALIZATION).value());
    }

    private Object[] x() {
        Object[] objArr = this.o1;
        if (objArr != null) {
            return objArr;
        }
        Object[] objArr2 = Z0.get(this.pattern);
        this.o1 = objArr2;
        if (objArr2 != null) {
            return objArr2;
        }
        StringBuilder sb = new StringBuilder();
        ArrayList arrayList = new ArrayList();
        char c2 = 0;
        int i = 1;
        boolean z = false;
        boolean z2 = false;
        for (int i2 = 0; i2 < this.pattern.length(); i2++) {
            char charAt = this.pattern.charAt(i2);
            if (charAt == '\'') {
                if (z2) {
                    sb.append(z0.f14782a);
                    z2 = false;
                } else {
                    if (c2 != 0) {
                        arrayList.add(new c(c2, i));
                        c2 = 0;
                    }
                    z2 = true;
                }
                z = !z;
            } else {
                if (z) {
                    sb.append(charAt);
                } else if (!H(charAt)) {
                    if (c2 != 0) {
                        arrayList.add(new c(c2, i));
                        c2 = 0;
                    }
                    sb.append(charAt);
                } else if (charAt == c2) {
                    i++;
                } else {
                    if (c2 != 0) {
                        arrayList.add(new c(c2, i));
                    } else if (sb.length() > 0) {
                        arrayList.add(sb.toString());
                        sb.setLength(0);
                    }
                    c2 = charAt;
                    i = 1;
                }
                z2 = false;
            }
        }
        if (c2 != 0) {
            arrayList.add(new c(c2, i));
        } else if (sb.length() > 0) {
            arrayList.add(sb.toString());
            sb.setLength(0);
        }
        Object[] array = arrayList.toArray(new Object[arrayList.size()]);
        this.o1 = array;
        Z0.put(this.pattern, array);
        return this.o1;
    }

    private void z() {
        NumberFormat numberFormat = this.numberFormat;
        if (numberFormat instanceof DecimalFormat) {
            String[] digitStringsLocal = ((DecimalFormat) numberFormat).getDecimalFormatSymbols().getDigitStringsLocal();
            this.p1 = true;
            this.q1 = new char[10];
            int i = 0;
            while (true) {
                if (i >= 10) {
                    break;
                } else if (digitStringsLocal[i].length() > 1) {
                    this.p1 = false;
                    break;
                } else {
                    this.q1[i] = digitStringsLocal[i].charAt(0);
                    i++;
                }
            }
        } else if (numberFormat instanceof DateNumberFormat) {
            this.q1 = ((DateNumberFormat) numberFormat).getDigits();
            this.p1 = true;
        } else {
            this.p1 = false;
        }
        if (this.p1) {
            this.r1 = new char[10];
        }
    }

    /* access modifiers changed from: package-private */
    public boolean E(int i) {
        return F(this.pattern, i);
    }

    /* access modifiers changed from: protected */
    public int M(String str, int i, int i2, String[] strArr, Calendar calendar) {
        int W;
        int length = strArr.length;
        int i3 = 0;
        int i4 = -1;
        for (int i5 = 0; i5 < length; i5++) {
            int length2 = strArr[i5].length();
            if (length2 > i3 && (W = W(str, i, strArr[i5], length2)) >= 0) {
                i4 = i5;
                i3 = W;
            }
        }
        if (i4 < 0) {
            return -i;
        }
        calendar.set(i2, i4 * 3);
        return i + i3;
    }

    /* access modifiers changed from: protected */
    public int N(String str, int i, int i2, String[] strArr, Calendar calendar) {
        return O(str, i, i2, strArr, null, calendar);
    }

    /* access modifiers changed from: protected */
    public DateFormat.Field U(char c2) {
        int u = u(c2);
        if (u != -1) {
            return Y0[u];
        }
        return null;
    }

    /* access modifiers changed from: protected */
    @Deprecated
    public String Z(char c2, int i, int i2, int i3, DisplayContext displayContext, FieldPosition fieldPosition, char c3, Calendar calendar) {
        StringBuffer stringBuffer = new StringBuffer();
        b0(stringBuffer, c2, i, i2, i3, displayContext, fieldPosition, c3, calendar);
        return stringBuffer.toString();
    }

    /* access modifiers changed from: protected */
    public String a0(char c2, int i, int i2, FieldPosition fieldPosition, DateFormatSymbols dateFormatSymbols, Calendar calendar) throws IllegalArgumentException {
        return Z(c2, i, i2, 0, DisplayContext.CAPITALIZATION_NONE, fieldPosition, c2, calendar);
    }

    public void applyLocalizedPattern(String str) {
        this.pattern = g0(str, this.formatData.localPatternChars, "GyMdkHmsSEDFwWahKzYeugAZvcLQqVUOXxrbB");
        a(null, null);
    }

    public void applyPattern(String str) {
        ULocale uLocale;
        this.pattern = str;
        T();
        a(null, null);
        this.o1 = null;
        Calendar calendar = this.calendar;
        if (calendar != null && calendar.getType().equals("japanese") && (uLocale = this.g1) != null && uLocale.getLanguage().equals("ja")) {
            String str2 = this.override;
            if (str2 != null && str2.equals("y=jpanyear") && !this.n1) {
                this.numberFormatters = null;
                this.overrideMap = null;
                this.override = null;
            } else if (this.override == null && this.n1) {
                this.numberFormatters = new HashMap<>();
                HashMap<Character, String> hashMap = new HashMap<>();
                this.overrideMap = hashMap;
                hashMap.put('y', "jpanyear");
                NumberFormat b2 = NumberFormat.b(new ULocale(this.g1.getBaseName() + "@numbers=jpanyear"), 0);
                b2.setGroupingUsed(false);
                this.p1 = false;
                this.numberFormatters.put("jpanyear", b2);
                this.override = "y=jpanyear";
            }
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:232:0x04b7  */
    /* JADX WARNING: Removed duplicated region for block: B:234:0x04c5  */
    /* JADX WARNING: Removed duplicated region for block: B:325:0x0665  */
    /* JADX WARNING: Removed duplicated region for block: B:326:0x0670  */
    /* JADX WARNING: Removed duplicated region for block: B:349:0x06f0  */
    /* JADX WARNING: Removed duplicated region for block: B:360:0x070f  */
    /* JADX WARNING: Removed duplicated region for block: B:362:0x0712  */
    /* JADX WARNING: Removed duplicated region for block: B:368:0x0747  */
    /* JADX WARNING: Removed duplicated region for block: B:375:? A[RETURN, SYNTHETIC] */
    @Deprecated
    public void b0(StringBuffer stringBuffer, char c2, int i, int i2, int i3, DisplayContext displayContext, FieldPosition fieldPosition, char c3, Calendar calendar) {
        int i4;
        char c4;
        int i5;
        DateFormatSymbols.c cVar;
        int i6;
        boolean z;
        Map<DateFormatSymbols.c, boolean[]> map;
        DateFormatSymbols.c cVar2;
        int i7;
        int i8;
        int i9;
        DateFormatSymbols.c cVar3;
        String[] strArr;
        String[] strArr2;
        DateFormatSymbols.c cVar4;
        String str;
        String str2;
        String[] strArr3;
        String str3;
        DayPeriodRules.DayPeriod dayPeriod;
        int length = stringBuffer.length();
        TimeZone timeZone = calendar.getTimeZone();
        long timeInMillis = calendar.getTimeInMillis();
        int u = u(c2);
        if (u != -1) {
            int i10 = W0[u];
            int relatedYear = i10 >= 0 ? u != 34 ? calendar.get(i10) : calendar.getRelatedYear() : 0;
            NumberFormat numberFormat = getNumberFormat(c2);
            DateFormatSymbols.c cVar5 = DateFormatSymbols.c.OTHER;
            String str4 = null;
            switch (u) {
                case 0:
                    i5 = 1;
                    c4 = 0;
                    if (calendar.getType().equals("chinese") || calendar.getType().equals("dangi")) {
                        j0(numberFormat, stringBuffer, relatedYear, 1, 9);
                        i4 = 3;
                        cVar = cVar5;
                        if (i3 == 0 && displayContext != null && stringBuffer.length() > length && com.ibm.icu.lang.c.v0(stringBuffer.codePointAt(length))) {
                            i6 = a.f15379a[displayContext.ordinal()];
                            if (i6 != i5) {
                                z = true;
                            } else if ((i6 == 2 || i6 == i4) && (map = this.formatData.capitalization) != null) {
                                boolean[] zArr = map.get(cVar);
                                z = displayContext == DisplayContext.CAPITALIZATION_FOR_UI_LIST_OR_MENU ? zArr[c4] : zArr[i5];
                            } else {
                                z = false;
                            }
                            if (z) {
                                if (this.k1 == null) {
                                    this.k1 = i.w(this.g1);
                                }
                                stringBuffer.replace(length, stringBuffer.length(), com.ibm.icu.lang.c.Z0(this.g1, stringBuffer.substring(length), (i) this.k1.clone(), 768));
                            }
                        }
                        int u2 = u(c3);
                        if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                            return;
                        }
                        if (fieldPosition.getField() == X0[u2]) {
                            fieldPosition.setBeginIndex(i2);
                            fieldPosition.setEndIndex((stringBuffer.length() + i2) - length);
                            return;
                        } else if (fieldPosition.getFieldAttribute() == Y0[u2]) {
                            fieldPosition.setBeginIndex(i2);
                            fieldPosition.setEndIndex((stringBuffer.length() + i2) - length);
                            return;
                        } else {
                            return;
                        }
                    } else {
                        if (i == 5) {
                            X(this.formatData.narrowEras, relatedYear, stringBuffer);
                            cVar2 = DateFormatSymbols.c.ERA_NARROW;
                        } else if (i == 4) {
                            X(this.formatData.eraNames, relatedYear, stringBuffer);
                            cVar2 = DateFormatSymbols.c.ERA_WIDE;
                        } else {
                            X(this.formatData.eras, relatedYear, stringBuffer);
                            cVar2 = DateFormatSymbols.c.ERA_ABBREV;
                        }
                        cVar = cVar2;
                        i4 = 3;
                        i6 = a.f15379a[displayContext.ordinal()];
                        if (i6 != i5) {
                        }
                        if (z) {
                        }
                        int u22 = u(c3);
                        if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                        }
                    }
                    break;
                case 1:
                case 18:
                    i5 = 1;
                    c4 = 0;
                    i4 = 3;
                    String str5 = this.override;
                    if (str5 != null && ((str5.compareTo("hebr") == 0 || this.override.indexOf("y=hebr") >= 0) && relatedYear > 5000 && relatedYear < O0)) {
                        relatedYear -= 5000;
                    }
                    if (i != 2) {
                        j0(numberFormat, stringBuffer, relatedYear, 2, 2);
                    } else {
                        j0(numberFormat, stringBuffer, relatedYear, i, Integer.MAX_VALUE);
                    }
                    cVar = cVar5;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 2:
                case 26:
                    i5 = 1;
                    if (calendar.getType().equals("hebrew")) {
                        boolean isLeapYear = HebrewCalendar.isLeapYear(calendar.get(1));
                        if (isLeapYear && relatedYear == 6 && i >= 3) {
                            relatedYear = 13;
                        }
                        if (!isLeapYear && relatedYear >= 6 && i < 3) {
                            relatedYear--;
                        }
                    }
                    String[] strArr4 = this.formatData.leapMonthPatterns;
                    if (strArr4 == null || strArr4.length < 7) {
                        i8 = 5;
                        i7 = 0;
                    } else {
                        i7 = calendar.get(22);
                        i8 = 5;
                    }
                    if (i != i8) {
                        if (i != 4) {
                            if (i != 3) {
                                StringBuffer stringBuffer2 = new StringBuffer();
                                c4 = 0;
                                j0(numberFormat, stringBuffer2, relatedYear + 1, i, Integer.MAX_VALUE);
                                String[] strArr5 = {stringBuffer2.toString()};
                                if (i7 != 0) {
                                    str4 = this.formatData.leapMonthPatterns[6];
                                }
                                Y(strArr5, 0, stringBuffer, str4);
                                i4 = 3;
                                cVar = cVar5;
                                i6 = a.f15379a[displayContext.ordinal()];
                                if (i6 != i5) {
                                }
                                if (z) {
                                }
                                int u2222 = u(c3);
                                if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                                }
                                break;
                            } else if (u == 2) {
                                DateFormatSymbols dateFormatSymbols = this.formatData;
                                String[] strArr6 = dateFormatSymbols.shortMonths;
                                if (i7 != 0) {
                                    str4 = dateFormatSymbols.leapMonthPatterns[1];
                                }
                                Y(strArr6, relatedYear, stringBuffer, str4);
                                cVar5 = DateFormatSymbols.c.MONTH_FORMAT;
                            } else {
                                DateFormatSymbols dateFormatSymbols2 = this.formatData;
                                String[] strArr7 = dateFormatSymbols2.standaloneShortMonths;
                                if (i7 != 0) {
                                    str4 = dateFormatSymbols2.leapMonthPatterns[4];
                                }
                                Y(strArr7, relatedYear, stringBuffer, str4);
                                cVar5 = DateFormatSymbols.c.MONTH_STANDALONE;
                            }
                        } else if (u == 2) {
                            DateFormatSymbols dateFormatSymbols3 = this.formatData;
                            String[] strArr8 = dateFormatSymbols3.months;
                            if (i7 != 0) {
                                str4 = dateFormatSymbols3.leapMonthPatterns[0];
                            }
                            Y(strArr8, relatedYear, stringBuffer, str4);
                            cVar5 = DateFormatSymbols.c.MONTH_FORMAT;
                        } else {
                            DateFormatSymbols dateFormatSymbols4 = this.formatData;
                            String[] strArr9 = dateFormatSymbols4.standaloneMonths;
                            if (i7 != 0) {
                                str4 = dateFormatSymbols4.leapMonthPatterns[3];
                            }
                            Y(strArr9, relatedYear, stringBuffer, str4);
                            cVar5 = DateFormatSymbols.c.MONTH_STANDALONE;
                        }
                    } else {
                        if (u == 2) {
                            DateFormatSymbols dateFormatSymbols5 = this.formatData;
                            String[] strArr10 = dateFormatSymbols5.narrowMonths;
                            if (i7 != 0) {
                                str4 = dateFormatSymbols5.leapMonthPatterns[2];
                            }
                            Y(strArr10, relatedYear, stringBuffer, str4);
                        } else {
                            DateFormatSymbols dateFormatSymbols6 = this.formatData;
                            String[] strArr11 = dateFormatSymbols6.standaloneNarrowMonths;
                            if (i7 != 0) {
                                str4 = dateFormatSymbols6.leapMonthPatterns[5];
                            }
                            Y(strArr11, relatedYear, stringBuffer, str4);
                        }
                        cVar5 = DateFormatSymbols.c.MONTH_NARROW;
                    }
                    cVar = cVar5;
                    c4 = 0;
                    i4 = 3;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u22222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 3:
                case 5:
                case 6:
                case 7:
                case 10:
                case 11:
                case 12:
                case 13:
                case 16:
                case 20:
                case 21:
                case 22:
                case 34:
                default:
                    i5 = 1;
                    c4 = 0;
                    i4 = 3;
                    j0(numberFormat, stringBuffer, relatedYear, i, Integer.MAX_VALUE);
                    cVar = cVar5;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 4:
                    i5 = 1;
                    if (relatedYear == 0) {
                        j0(numberFormat, stringBuffer, calendar.getMaximum(11) + 1, i, Integer.MAX_VALUE);
                        c4 = 0;
                        i4 = 3;
                        cVar = cVar5;
                        i6 = a.f15379a[displayContext.ordinal()];
                        if (i6 != i5) {
                        }
                        if (z) {
                        }
                        int u2222222 = u(c3);
                        if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                        }
                        break;
                    } else {
                        i4 = 3;
                        j0(numberFormat, stringBuffer, relatedYear, i, Integer.MAX_VALUE);
                        c4 = 0;
                        cVar = cVar5;
                        i6 = a.f15379a[displayContext.ordinal()];
                        if (i6 != i5) {
                        }
                        if (z) {
                        }
                        int u22222222 = u(c3);
                        if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                        }
                    }
                    break;
                case 8:
                    i5 = 1;
                    i4 = 3;
                    this.numberFormat.setMinimumIntegerDigits(Math.min(3, i));
                    this.numberFormat.setMaximumIntegerDigits(Integer.MAX_VALUE);
                    if (i == 1) {
                        relatedYear /= 100;
                    } else if (i == 2) {
                        relatedYear /= 10;
                    }
                    FieldPosition fieldPosition2 = new FieldPosition(-1);
                    this.numberFormat.format((long) relatedYear, stringBuffer, fieldPosition2);
                    if (i > 3) {
                        this.numberFormat.setMinimumIntegerDigits(i - 3);
                        this.numberFormat.format(0L, stringBuffer, fieldPosition2);
                    }
                    c4 = 0;
                    cVar = cVar5;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u222222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 9:
                    i5 = 1;
                    i4 = 3;
                    i9 = 5;
                    if (i != i9) {
                        X(this.formatData.narrowWeekdays, relatedYear, stringBuffer);
                        cVar3 = DateFormatSymbols.c.DAY_NARROW;
                    } else if (i == 4) {
                        X(this.formatData.weekdays, relatedYear, stringBuffer);
                        cVar3 = DateFormatSymbols.c.DAY_FORMAT;
                    } else if (i != 6 || (strArr = this.formatData.shorterWeekdays) == null) {
                        X(this.formatData.shortWeekdays, relatedYear, stringBuffer);
                        cVar3 = DateFormatSymbols.c.DAY_FORMAT;
                    } else {
                        X(strArr, relatedYear, stringBuffer);
                        cVar3 = DateFormatSymbols.c.DAY_FORMAT;
                    }
                    cVar = cVar3;
                    c4 = 0;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u2222222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 14:
                    i5 = 1;
                    i4 = 3;
                    if (i < 5 || (strArr2 = this.formatData.ampmsNarrow) == null) {
                        X(this.formatData.ampms, relatedYear, stringBuffer);
                    } else {
                        X(strArr2, relatedYear, stringBuffer);
                    }
                    c4 = 0;
                    cVar = cVar5;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u22222222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 15:
                    i5 = 1;
                    if (relatedYear == 0) {
                        j0(numberFormat, stringBuffer, calendar.getLeastMaximum(10) + 1, i, Integer.MAX_VALUE);
                        c4 = 0;
                        i4 = 3;
                        cVar = cVar5;
                        i6 = a.f15379a[displayContext.ordinal()];
                        if (i6 != i5) {
                        }
                        if (z) {
                        }
                        int u222222222222 = u(c3);
                        if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                        }
                        break;
                    } else {
                        i4 = 3;
                        j0(numberFormat, stringBuffer, relatedYear, i, Integer.MAX_VALUE);
                        c4 = 0;
                        cVar = cVar5;
                        i6 = a.f15379a[displayContext.ordinal()];
                        if (i6 != i5) {
                        }
                        if (z) {
                        }
                        int u2222222222222 = u(c3);
                        if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                        }
                    }
                    break;
                case 17:
                    i5 = 1;
                    if (i < 4) {
                        str = h0().format(TimeZoneFormat.Style.SPECIFIC_SHORT, timeZone, timeInMillis);
                        cVar4 = DateFormatSymbols.c.METAZONE_SHORT;
                    } else {
                        str = h0().format(TimeZoneFormat.Style.SPECIFIC_LONG, timeZone, timeInMillis);
                        cVar4 = DateFormatSymbols.c.METAZONE_LONG;
                    }
                    cVar5 = cVar4;
                    stringBuffer.append(str);
                    cVar = cVar5;
                    c4 = 0;
                    i4 = 3;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u22222222222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 19:
                    i5 = 1;
                    if (i >= 3) {
                        relatedYear = calendar.get(7);
                        i9 = 5;
                        i4 = 3;
                        if (i != i9) {
                        }
                        cVar = cVar3;
                        c4 = 0;
                        i6 = a.f15379a[displayContext.ordinal()];
                        if (i6 != i5) {
                        }
                        if (z) {
                        }
                        int u222222222222222 = u(c3);
                        if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                        }
                        break;
                    } else {
                        j0(numberFormat, stringBuffer, relatedYear, i, Integer.MAX_VALUE);
                        c4 = 0;
                        i4 = 3;
                        cVar = cVar5;
                        i6 = a.f15379a[displayContext.ordinal()];
                        if (i6 != i5) {
                        }
                        if (z) {
                        }
                        int u2222222222222222 = u(c3);
                        if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                        }
                        break;
                    }
                    break;
                case 23:
                    i5 = 1;
                    if (i < 4) {
                        str2 = h0().format(TimeZoneFormat.Style.ISO_BASIC_LOCAL_FULL, timeZone, timeInMillis);
                    } else if (i == 5) {
                        str2 = h0().format(TimeZoneFormat.Style.ISO_EXTENDED_FULL, timeZone, timeInMillis);
                    } else {
                        str2 = h0().format(TimeZoneFormat.Style.LOCALIZED_GMT, timeZone, timeInMillis);
                    }
                    stringBuffer.append(str2);
                    c4 = 0;
                    i4 = 3;
                    cVar = cVar5;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u22222222222222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 24:
                    i5 = 1;
                    if (i == 1) {
                        str4 = h0().format(TimeZoneFormat.Style.GENERIC_SHORT, timeZone, timeInMillis);
                        cVar5 = DateFormatSymbols.c.METAZONE_SHORT;
                    } else if (i == 4) {
                        str4 = h0().format(TimeZoneFormat.Style.GENERIC_LONG, timeZone, timeInMillis);
                        cVar5 = DateFormatSymbols.c.METAZONE_LONG;
                    }
                    stringBuffer.append(str4);
                    cVar = cVar5;
                    c4 = 0;
                    i4 = 3;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u222222222222222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 25:
                    i5 = 1;
                    if (i >= 3) {
                        int i11 = calendar.get(7);
                        if (i == 5) {
                            X(this.formatData.standaloneNarrowWeekdays, i11, stringBuffer);
                            cVar5 = DateFormatSymbols.c.DAY_NARROW;
                        } else if (i == 4) {
                            X(this.formatData.standaloneWeekdays, i11, stringBuffer);
                            cVar5 = DateFormatSymbols.c.DAY_STANDALONE;
                        } else if (i != 6 || (strArr3 = this.formatData.standaloneShorterWeekdays) == null) {
                            X(this.formatData.standaloneShortWeekdays, i11, stringBuffer);
                            cVar5 = DateFormatSymbols.c.DAY_STANDALONE;
                        } else {
                            X(strArr3, i11, stringBuffer);
                            cVar5 = DateFormatSymbols.c.DAY_STANDALONE;
                        }
                        cVar = cVar5;
                        c4 = 0;
                        i4 = 3;
                        i6 = a.f15379a[displayContext.ordinal()];
                        if (i6 != i5) {
                        }
                        if (z) {
                        }
                        int u2222222222222222222 = u(c3);
                        if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                        }
                        break;
                    } else {
                        j0(numberFormat, stringBuffer, relatedYear, 1, Integer.MAX_VALUE);
                        c4 = 0;
                        i4 = 3;
                        cVar = cVar5;
                        i6 = a.f15379a[displayContext.ordinal()];
                        if (i6 != i5) {
                        }
                        if (z) {
                        }
                        int u22222222222222222222 = u(c3);
                        if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                        }
                        break;
                    }
                    break;
                case 27:
                    i5 = 1;
                    i4 = 3;
                    if (i >= 5) {
                        X(this.formatData.narrowQuarters, relatedYear / 3, stringBuffer);
                    } else if (i == 4) {
                        X(this.formatData.quarters, relatedYear / 3, stringBuffer);
                    } else if (i == 3) {
                        X(this.formatData.shortQuarters, relatedYear / 3, stringBuffer);
                    } else {
                        j0(numberFormat, stringBuffer, (relatedYear / 3) + 1, i, Integer.MAX_VALUE);
                    }
                    c4 = 0;
                    cVar = cVar5;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u222222222222222222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 28:
                    i5 = 1;
                    if (i < 5) {
                        if (i != 4) {
                            if (i != 3) {
                                i4 = 3;
                                j0(numberFormat, stringBuffer, (relatedYear / 3) + 1, i, Integer.MAX_VALUE);
                                c4 = 0;
                                cVar = cVar5;
                                i6 = a.f15379a[displayContext.ordinal()];
                                if (i6 != i5) {
                                }
                                if (z) {
                                }
                                int u2222222222222222222222 = u(c3);
                                if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                                }
                                break;
                            } else {
                                X(this.formatData.standaloneShortQuarters, relatedYear / 3, stringBuffer);
                            }
                        } else {
                            X(this.formatData.standaloneQuarters, relatedYear / 3, stringBuffer);
                        }
                    } else {
                        X(this.formatData.standaloneNarrowQuarters, relatedYear / 3, stringBuffer);
                    }
                    c4 = 0;
                    i4 = 3;
                    cVar = cVar5;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u22222222222222222222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 29:
                    i5 = 1;
                    if (i == 1) {
                        str4 = h0().format(TimeZoneFormat.Style.ZONE_ID_SHORT, timeZone, timeInMillis);
                    } else if (i == 2) {
                        str4 = h0().format(TimeZoneFormat.Style.ZONE_ID, timeZone, timeInMillis);
                    } else if (i == 3) {
                        str4 = h0().format(TimeZoneFormat.Style.EXEMPLAR_LOCATION, timeZone, timeInMillis);
                    } else if (i == 4) {
                        str4 = h0().format(TimeZoneFormat.Style.GENERIC_LOCATION, timeZone, timeInMillis);
                        cVar5 = DateFormatSymbols.c.ZONE_LONG;
                    }
                    stringBuffer.append(str4);
                    cVar = cVar5;
                    c4 = 0;
                    i4 = 3;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u222222222222222222222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 30:
                    i5 = 1;
                    String[] strArr12 = this.formatData.shortYearNames;
                    if (strArr12 != null && relatedYear <= strArr12.length) {
                        X(strArr12, relatedYear - 1, stringBuffer);
                        c4 = 0;
                        i4 = 3;
                        cVar = cVar5;
                        i6 = a.f15379a[displayContext.ordinal()];
                        if (i6 != i5) {
                        }
                        if (z) {
                        }
                        int u2222222222222222222222222 = u(c3);
                        if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                        }
                        break;
                    }
                    c4 = 0;
                    i4 = 3;
                    String str52 = this.override;
                    relatedYear -= 5000;
                    if (i != 2) {
                    }
                    cVar = cVar5;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u22222222222222222222222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 31:
                    i5 = 1;
                    if (i == 1) {
                        str4 = h0().format(TimeZoneFormat.Style.LOCALIZED_GMT_SHORT, timeZone, timeInMillis);
                    } else if (i == 4) {
                        str4 = h0().format(TimeZoneFormat.Style.LOCALIZED_GMT, timeZone, timeInMillis);
                    }
                    stringBuffer.append(str4);
                    c4 = 0;
                    i4 = 3;
                    cVar = cVar5;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u222222222222222222222222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 32:
                    i5 = 1;
                    if (i == 1) {
                        str4 = h0().format(TimeZoneFormat.Style.ISO_BASIC_SHORT, timeZone, timeInMillis);
                    } else if (i == 2) {
                        str4 = h0().format(TimeZoneFormat.Style.ISO_BASIC_FIXED, timeZone, timeInMillis);
                    } else if (i == 3) {
                        str4 = h0().format(TimeZoneFormat.Style.ISO_EXTENDED_FIXED, timeZone, timeInMillis);
                    } else if (i == 4) {
                        str4 = h0().format(TimeZoneFormat.Style.ISO_BASIC_FULL, timeZone, timeInMillis);
                    } else if (i == 5) {
                        str4 = h0().format(TimeZoneFormat.Style.ISO_EXTENDED_FULL, timeZone, timeInMillis);
                    }
                    stringBuffer.append(str4);
                    c4 = 0;
                    i4 = 3;
                    cVar = cVar5;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u2222222222222222222222222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 33:
                    i5 = 1;
                    if (i == 1) {
                        str3 = h0().format(TimeZoneFormat.Style.ISO_BASIC_LOCAL_SHORT, timeZone, timeInMillis);
                    } else if (i == 2) {
                        str3 = h0().format(TimeZoneFormat.Style.ISO_BASIC_LOCAL_FIXED, timeZone, timeInMillis);
                    } else {
                        if (i == 3) {
                            str4 = h0().format(TimeZoneFormat.Style.ISO_EXTENDED_LOCAL_FIXED, timeZone, timeInMillis);
                        } else if (i == 4) {
                            str4 = h0().format(TimeZoneFormat.Style.ISO_BASIC_LOCAL_FULL, timeZone, timeInMillis);
                        } else if (i == 5) {
                            str4 = h0().format(TimeZoneFormat.Style.ISO_EXTENDED_LOCAL_FULL, timeZone, timeInMillis);
                        }
                        str3 = str4;
                    }
                    stringBuffer.append(str3);
                    c4 = 0;
                    i4 = 3;
                    cVar = cVar5;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u22222222222222222222222222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 35:
                    if (calendar.get(11) == 12 && ((!this.l1 || calendar.get(12) == 0) && (!this.m1 || calendar.get(13) == 0))) {
                        int i12 = calendar.get(9);
                        str4 = i <= 3 ? this.formatData.abbreviatedDayPeriods[i12] : (i == 4 || i > 5) ? this.formatData.wideDayPeriods[i12] : this.formatData.narrowDayPeriods[i12];
                    }
                    if (str4 == null) {
                        b0(stringBuffer, 'a', i, i2, i3, displayContext, fieldPosition, 'b', calendar);
                    } else {
                        stringBuffer.append(str4);
                    }
                    i5 = 1;
                    c4 = 0;
                    i4 = 3;
                    cVar = cVar5;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u222222222222222222222222222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
                case 36:
                    DayPeriodRules i13 = DayPeriodRules.i(getLocale());
                    if (i13 != null) {
                        int i14 = calendar.get(11);
                        int i15 = this.l1 ? calendar.get(12) : 0;
                        int i16 = this.m1 ? calendar.get(13) : 0;
                        if (i14 == 0 && i15 == 0 && i16 == 0 && i13.l()) {
                            dayPeriod = DayPeriodRules.DayPeriod.MIDNIGHT;
                        } else if (i14 == 12 && i15 == 0 && i16 == 0 && i13.m()) {
                            dayPeriod = DayPeriodRules.DayPeriod.NOON;
                        } else {
                            dayPeriod = i13.g(i14);
                        }
                        DayPeriodRules.DayPeriod dayPeriod2 = DayPeriodRules.DayPeriod.AM;
                        if (!(dayPeriod == dayPeriod2 || dayPeriod == DayPeriodRules.DayPeriod.PM || dayPeriod == DayPeriodRules.DayPeriod.MIDNIGHT)) {
                            int ordinal = dayPeriod.ordinal();
                            str4 = i <= 3 ? this.formatData.abbreviatedDayPeriods[ordinal] : (i == 4 || i > 5) ? this.formatData.wideDayPeriods[ordinal] : this.formatData.narrowDayPeriods[ordinal];
                        }
                        if (str4 == null && (dayPeriod == DayPeriodRules.DayPeriod.MIDNIGHT || dayPeriod == DayPeriodRules.DayPeriod.NOON)) {
                            dayPeriod = i13.g(i14);
                            int ordinal2 = dayPeriod.ordinal();
                            if (i <= 3) {
                                str4 = this.formatData.abbreviatedDayPeriods[ordinal2];
                            } else if (i == 4 || i > 5) {
                                str4 = this.formatData.wideDayPeriods[ordinal2];
                            } else {
                                str4 = this.formatData.narrowDayPeriods[ordinal2];
                            }
                        }
                        if (dayPeriod != dayPeriod2 && dayPeriod != DayPeriodRules.DayPeriod.PM && str4 != null) {
                            stringBuffer.append(str4);
                            i5 = 1;
                            c4 = 0;
                            i4 = 3;
                            cVar = cVar5;
                            i6 = a.f15379a[displayContext.ordinal()];
                            if (i6 != i5) {
                            }
                            if (z) {
                            }
                            int u2222222222222222222222222222222 = u(c3);
                            if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                            }
                            break;
                        } else {
                            b0(stringBuffer, 'a', i, i2, i3, displayContext, fieldPosition, 'B', calendar);
                            return;
                        }
                    } else {
                        b0(stringBuffer, 'a', i, i2, i3, displayContext, fieldPosition, 'B', calendar);
                        return;
                    }
                    break;
                case 37:
                    stringBuffer.append(this.formatData.getTimeSeparatorString());
                    i5 = 1;
                    c4 = 0;
                    i4 = 3;
                    cVar = cVar5;
                    i6 = a.f15379a[displayContext.ordinal()];
                    if (i6 != i5) {
                    }
                    if (z) {
                    }
                    int u22222222222222222222222222222222 = u(c3);
                    if (fieldPosition.getBeginIndex() == fieldPosition.getEndIndex()) {
                    }
                    break;
            }
        } else if (c2 != 'l') {
            throw new IllegalArgumentException("Illegal pattern character '" + c2 + "' in \"" + this.pattern + Typography.quote);
        }
    }

    /* access modifiers changed from: protected */
    public int c0(String str, int i, char c2, int i2, boolean z, boolean z2, boolean[] zArr, Calendar calendar) {
        return d0(str, i, c2, i2, z, z2, zArr, calendar, null, null);
    }

    @Override // java.lang.Object, com.ibm.icu.text.DateFormat
    public Object clone() {
        SimpleDateFormat simpleDateFormat = (SimpleDateFormat) super.clone();
        simpleDateFormat.formatData = (DateFormatSymbols) this.formatData.clone();
        if (this.r1 != null) {
            simpleDateFormat.r1 = new char[10];
        }
        return simpleDateFormat;
    }

    @Override // com.ibm.icu.text.DateFormat
    public boolean equals(Object obj) {
        if (!super.equals(obj)) {
            return false;
        }
        SimpleDateFormat simpleDateFormat = (SimpleDateFormat) obj;
        if (!this.pattern.equals(simpleDateFormat.pattern) || !this.formatData.equals(simpleDateFormat.formatData)) {
            return false;
        }
        return true;
    }

    @Override // com.ibm.icu.text.DateFormat
    public StringBuffer format(Calendar calendar, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        return p(calendar, stringBuffer, fieldPosition, null);
    }

    public AttributedCharacterIterator formatToCharacterIterator(Object obj) {
        Calendar calendar = this.calendar;
        if (obj instanceof Calendar) {
            calendar = (Calendar) obj;
        } else if (obj instanceof Date) {
            calendar.setTime((Date) obj);
        } else if (obj instanceof Number) {
            calendar.setTimeInMillis(((Number) obj).longValue());
        } else {
            throw new IllegalArgumentException("Cannot format given Object as a Date");
        }
        StringBuffer stringBuffer = new StringBuffer();
        FieldPosition fieldPosition = new FieldPosition(0);
        ArrayList arrayList = new ArrayList();
        n(calendar, getContext(DisplayContext.Type.CAPITALIZATION), stringBuffer, fieldPosition, arrayList);
        AttributedString attributedString = new AttributedString(stringBuffer.toString());
        for (int i = 0; i < arrayList.size(); i++) {
            FieldPosition fieldPosition2 = arrayList.get(i);
            Format.Field fieldAttribute = fieldPosition2.getFieldAttribute();
            attributedString.addAttribute(fieldAttribute, fieldAttribute, fieldPosition2.getBeginIndex(), fieldPosition2.getEndIndex());
        }
        return attributedString.getIterator();
    }

    public Date get2DigitYearStart() {
        return q();
    }

    public DateFormatSymbols getDateFormatSymbols() {
        return (DateFormatSymbols) this.formatData.clone();
    }

    /* access modifiers changed from: package-private */
    public ULocale getLocale() {
        return this.g1;
    }

    public NumberFormat getNumberFormat(char c2) {
        Character valueOf = Character.valueOf(c2);
        HashMap<Character, String> hashMap = this.overrideMap;
        if (hashMap == null || !hashMap.containsKey(valueOf)) {
            return this.numberFormat;
        }
        return this.numberFormatters.get(this.overrideMap.get(valueOf).toString());
    }

    public TimeZoneFormat getTimeZoneFormat() {
        return h0().freeze();
    }

    @Override // com.ibm.icu.text.DateFormat
    public int hashCode() {
        return this.pattern.hashCode();
    }

    /* access modifiers changed from: protected */
    public String i0(long j, int i, int i2) {
        this.numberFormat.setMinimumIntegerDigits(i);
        this.numberFormat.setMaximumIntegerDigits(i2);
        return this.numberFormat.format(j);
    }

    @Deprecated
    public final StringBuffer intervalFormatByAlgorithm(Calendar calendar, Calendar calendar2, StringBuffer stringBuffer, FieldPosition fieldPosition) throws IllegalArgumentException {
        int i;
        int i2;
        int i3;
        int i4;
        String str;
        if (calendar.isEquivalentTo(calendar2)) {
            Object[] x = x();
            int i5 = 0;
            while (true) {
                try {
                    if (i5 >= x.length) {
                        i5 = -1;
                        break;
                    } else if (h(calendar, calendar2, x, i5)) {
                        break;
                    } else {
                        i5++;
                    }
                } catch (IllegalArgumentException e2) {
                    throw new IllegalArgumentException(e2.toString());
                }
            }
            if (i5 == -1) {
                return format(calendar, stringBuffer, fieldPosition);
            }
            int length = x.length - 1;
            while (true) {
                if (length < i5) {
                    length = -1;
                    break;
                } else if (h(calendar, calendar2, x, length)) {
                    break;
                } else {
                    length--;
                }
            }
            String str2 = " – ";
            if (i5 == 0 && length == x.length - 1) {
                format(calendar, stringBuffer, fieldPosition);
                stringBuffer.append(str2);
                format(calendar2, stringBuffer, fieldPosition);
                return stringBuffer;
            }
            int i6 = 1000;
            for (int i7 = i5; i7 <= length; i7++) {
                if (!(x[i7] instanceof String)) {
                    char c2 = ((c) x[i7]).f15382a;
                    int u = u(c2);
                    if (u == -1) {
                        throw new IllegalArgumentException("Illegal pattern character '" + c2 + "' in \"" + this.pattern + Typography.quote);
                    } else if (u < i6) {
                        i6 = u;
                    }
                }
            }
            int i8 = 0;
            while (true) {
                if (i8 >= i5) {
                    i = i5;
                    break;
                }
                try {
                    if (I(x, i8, i6)) {
                        i = i8;
                        break;
                    }
                    i8++;
                } catch (IllegalArgumentException e3) {
                    throw new IllegalArgumentException(e3.toString());
                }
            }
            int length2 = x.length - 1;
            while (true) {
                if (length2 <= length) {
                    i2 = length;
                    break;
                } else if (I(x, length2, i6)) {
                    i2 = length2;
                    break;
                } else {
                    length2--;
                }
            }
            if (i == 0 && i2 == x.length - 1) {
                format(calendar, stringBuffer, fieldPosition);
                stringBuffer.append(str2);
                format(calendar2, stringBuffer, fieldPosition);
                return stringBuffer;
            }
            fieldPosition.setBeginIndex(0);
            fieldPosition.setEndIndex(0);
            DisplayContext context = getContext(DisplayContext.Type.CAPITALIZATION);
            int i9 = 0;
            while (i9 <= i2) {
                if (x[i9] instanceof String) {
                    stringBuffer.append((String) x[i9]);
                    i4 = i9;
                    i3 = i2;
                    str = str2;
                } else {
                    c cVar = (c) x[i9];
                    if (this.j1) {
                        i4 = i9;
                        i3 = i2;
                        str = str2;
                        b0(stringBuffer, cVar.f15382a, cVar.f15383b, stringBuffer.length(), i9, context, fieldPosition, cVar.f15382a, calendar);
                    } else {
                        i4 = i9;
                        i3 = i2;
                        str = str2;
                        stringBuffer.append(Z(cVar.f15382a, cVar.f15383b, stringBuffer.length(), i4, context, fieldPosition, cVar.f15382a, calendar));
                    }
                }
                i9 = i4 + 1;
                str2 = str;
                i2 = i3;
            }
            stringBuffer.append(str2);
            for (int i10 = i; i10 < x.length; i10++) {
                if (x[i10] instanceof String) {
                    stringBuffer.append((String) x[i10]);
                } else {
                    c cVar2 = (c) x[i10];
                    if (this.j1) {
                        b0(stringBuffer, cVar2.f15382a, cVar2.f15383b, stringBuffer.length(), i10, context, fieldPosition, cVar2.f15382a, calendar2);
                    } else {
                        stringBuffer.append(Z(cVar2.f15382a, cVar2.f15383b, stringBuffer.length(), i10, context, fieldPosition, cVar2.f15382a, calendar2));
                    }
                }
            }
            return stringBuffer;
        }
        throw new IllegalArgumentException("can not format on two different calendars");
    }

    /* access modifiers changed from: protected */
    @Deprecated
    public void j0(NumberFormat numberFormat, StringBuffer stringBuffer, int i, int i2, int i3) {
        if (!this.p1 || i < 0) {
            numberFormat.setMinimumIntegerDigits(i2);
            numberFormat.setMaximumIntegerDigits(i3);
            numberFormat.format((long) i, stringBuffer, new FieldPosition(-1));
            return;
        }
        m(stringBuffer, i, i2, i3);
    }

    /* access modifiers changed from: package-private */
    public StringBuffer p(Calendar calendar, StringBuffer stringBuffer, FieldPosition fieldPosition, List<FieldPosition> list) {
        TimeZone timeZone;
        if (calendar == this.calendar || calendar.getType().equals(this.calendar.getType())) {
            timeZone = null;
        } else {
            this.calendar.setTimeInMillis(calendar.getTimeInMillis());
            timeZone = this.calendar.getTimeZone();
            this.calendar.setTimeZone(calendar.getTimeZone());
            calendar = this.calendar;
        }
        StringBuffer n = n(calendar, getContext(DisplayContext.Type.CAPITALIZATION), stringBuffer, fieldPosition, list);
        if (timeZone != null) {
            this.calendar.setTimeZone(timeZone);
        }
        return n;
    }

    /* JADX WARNING: Removed duplicated region for block: B:104:0x0259  */
    /* JADX WARNING: Removed duplicated region for block: B:146:0x0313 A[Catch:{ IllegalArgumentException -> 0x0419 }] */
    /* JADX WARNING: Removed duplicated region for block: B:170:0x037f A[Catch:{ IllegalArgumentException -> 0x03fd }] */
    /* JADX WARNING: Removed duplicated region for block: B:173:0x0386 A[Catch:{ IllegalArgumentException -> 0x03fd }] */
    /* JADX WARNING: Removed duplicated region for block: B:208:0x0403  */
    /* JADX WARNING: Removed duplicated region for block: B:210:0x0413  */
    /* JADX WARNING: Removed duplicated region for block: B:215:0x0425  */
    /* JADX WARNING: Removed duplicated region for block: B:242:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:244:? A[RETURN, SYNTHETIC] */
    @Override // com.ibm.icu.text.DateFormat
    public void parse(String str, Calendar calendar, ParsePosition parsePosition) {
        Calendar calendar2;
        Calendar calendar3;
        TimeZone timeZone;
        int i;
        int i2;
        T t;
        int i3;
        int i4;
        com.ibm.icu.util.w<TimeZoneFormat.TimeType> wVar;
        Calendar calendar4;
        boolean[] zArr;
        com.ibm.icu.util.w<DayPeriodRules.DayPeriod> wVar2;
        TimeZone timeZone2;
        int i5;
        int i6;
        Object[] objArr;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        if (calendar == this.calendar || calendar.getType().equals(this.calendar.getType())) {
            calendar2 = calendar;
            timeZone = null;
            calendar3 = null;
        } else {
            this.calendar.setTimeInMillis(calendar.getTimeInMillis());
            TimeZone timeZone3 = this.calendar.getTimeZone();
            this.calendar.setTimeZone(calendar.getTimeZone());
            timeZone = timeZone3;
            calendar3 = calendar;
            calendar2 = this.calendar;
        }
        int index = parsePosition.getIndex();
        if (index < 0) {
            parsePosition.setErrorIndex(0);
            return;
        }
        com.ibm.icu.util.w<DayPeriodRules.DayPeriod> wVar3 = new com.ibm.icu.util.w<>(null);
        com.ibm.icu.util.w<TimeZoneFormat.TimeType> wVar4 = new com.ibm.icu.util.w<>(TimeZoneFormat.TimeType.UNKNOWN);
        boolean[] zArr2 = {false};
        String[] strArr = this.formatData.leapMonthPatterns;
        MessageFormat messageFormat = (strArr == null || strArr.length < 7) ? null : new MessageFormat(this.formatData.leapMonthPatterns[6], this.g1);
        Object[] x = x();
        int i13 = -1;
        int i14 = index;
        int i15 = 0;
        int i16 = -1;
        int i17 = 0;
        int i18 = 0;
        while (i15 < x.length) {
            if (x[i15] instanceof c) {
                c cVar = (c) x[i15];
                if (!cVar.f15384c || i16 != i13 || (i12 = i15 + 1) >= x.length || !(x[i12] instanceof c) || !((c) x[i12]).f15384c) {
                    i9 = i16;
                } else {
                    i9 = i15;
                    i18 = i14;
                    i17 = cVar.f15383b;
                }
                if (i9 != -1) {
                    int i19 = cVar.f15383b;
                    if (i9 == i15) {
                        i19 = i17;
                    }
                    zArr = zArr2;
                    wVar = wVar4;
                    wVar2 = wVar3;
                    timeZone2 = timeZone;
                    i11 = d0(str, i14, cVar.f15382a, i19, true, false, zArr, calendar2, messageFormat, wVar);
                    if (i11 < 0) {
                        i17--;
                        if (i17 == 0) {
                            parsePosition.setIndex(index);
                            parsePosition.setErrorIndex(i11);
                            if (timeZone2 != null) {
                                this.calendar.setTimeZone(timeZone2);
                                return;
                            }
                            return;
                        }
                        wVar4 = wVar;
                        timeZone = timeZone2;
                        i14 = i18;
                        i15 = i9;
                        i16 = i15;
                        wVar3 = wVar2;
                        x = x;
                        zArr2 = zArr;
                        index = index;
                        i13 = -1;
                    } else {
                        calendar4 = calendar3;
                        i10 = i9;
                        i8 = i15;
                        objArr = x;
                        i6 = index;
                    }
                } else {
                    zArr = zArr2;
                    wVar = wVar4;
                    wVar2 = wVar3;
                    timeZone2 = timeZone;
                    char c2 = cVar.f15382a;
                    if (c2 != 'l') {
                        calendar4 = calendar3;
                        i11 = f0(str, i14, c2, cVar.f15383b, false, true, zArr, calendar2, messageFormat, wVar, wVar2);
                        if (i11 >= 0) {
                            objArr = x;
                            i6 = index;
                        } else if (i11 == Q0) {
                            i8 = i15 + 1;
                            objArr = x;
                            if (i8 < objArr.length) {
                                try {
                                    String str2 = (String) objArr[i8];
                                    if (str2 == null) {
                                        str2 = (String) objArr[i8];
                                    }
                                    int length = str2.length();
                                    int i20 = 0;
                                    while (i20 < length) {
                                        char charAt = str2.charAt(i20);
                                        if (!y0.e(charAt) && !com.ibm.icu.lang.c.H0(charAt)) {
                                            break;
                                        }
                                        i20++;
                                    }
                                    if (i20 != length) {
                                        i8 = i15;
                                    }
                                    i11 = i14;
                                    i6 = index;
                                    i10 = -1;
                                } catch (ClassCastException unused) {
                                    parsePosition.setIndex(index);
                                    parsePosition.setErrorIndex(i14);
                                    if (timeZone2 != null) {
                                        this.calendar.setTimeZone(timeZone2);
                                        return;
                                    }
                                    return;
                                }
                            } else {
                                i6 = index;
                                i11 = i14;
                            }
                        } else {
                            parsePosition.setIndex(index);
                            parsePosition.setErrorIndex(i14);
                            if (timeZone2 != null) {
                                this.calendar.setTimeZone(timeZone2);
                                return;
                            }
                            return;
                        }
                        i8 = i15;
                        i10 = -1;
                    } else {
                        i6 = index;
                        calendar4 = calendar3;
                        objArr = x;
                        i11 = i14;
                        i10 = i9;
                        i8 = i15;
                    }
                }
                i16 = i10;
                i5 = 1;
                i7 = i11;
            } else {
                zArr = zArr2;
                wVar = wVar4;
                wVar2 = wVar3;
                i6 = index;
                timeZone2 = timeZone;
                calendar4 = calendar3;
                i5 = 1;
                objArr = x;
                boolean[] zArr3 = new boolean[1];
                int L = L(str, i14, x, i15, zArr3);
                if (!zArr3[0]) {
                    parsePosition.setIndex(i6);
                    parsePosition.setErrorIndex(L);
                    if (timeZone2 != null) {
                        this.calendar.setTimeZone(timeZone2);
                        return;
                    }
                    return;
                }
                i7 = L;
                i8 = i15;
                i16 = -1;
            }
            i15 = i8 + i5;
            i14 = i7;
            x = objArr;
            index = i6;
            timeZone = timeZone2;
            wVar3 = wVar2;
            zArr2 = zArr;
            calendar3 = calendar4;
            i13 = -1;
            wVar4 = wVar;
        }
        if (i14 < str.length() && str.charAt(i14) == '.' && getBooleanAttribute(DateFormat.BooleanAttribute.PARSE_ALLOW_WHITESPACE) && x.length != 0) {
            Object obj = x[x.length - 1];
            if ((obj instanceof c) && !((c) obj).f15384c) {
                i = i14 + 1;
                if (wVar3.f16195a != null) {
                    DayPeriodRules i21 = DayPeriodRules.i(getLocale());
                    if (calendar2.isSet(10) || calendar2.isSet(11)) {
                        if (calendar2.isSet(11)) {
                            i4 = calendar2.get(11);
                        } else {
                            i4 = calendar2.get(10);
                            if (i4 == 0) {
                                i4 = 12;
                            }
                        }
                        if (i4 == 0 || (13 <= i4 && i4 <= 23)) {
                            calendar2.set(11, i4);
                        } else {
                            if (i4 == 12) {
                                i4 = 0;
                            }
                            double j = (((double) i4) + (((double) calendar2.get(12)) / 60.0d)) - i21.j(wVar3.f16195a);
                            if (-6.0d > j || j >= 6.0d) {
                                calendar2.set(9, 1);
                            } else {
                                calendar2.set(9, 0);
                            }
                        }
                    } else {
                        double j2 = i21.j(wVar3.f16195a);
                        int i22 = (int) j2;
                        int i23 = j2 - ((double) i22) > 0.0d ? 30 : 0;
                        calendar2.set(11, i22);
                        calendar2.set(12, i23);
                    }
                }
                parsePosition.setIndex(i);
                t = wVar4.f16195a;
                if (zArr2[0] || t != TimeZoneFormat.TimeType.UNKNOWN) {
                    if (zArr2[0] && ((Calendar) calendar2.clone()).getTime().before(q())) {
                        calendar2.set(1, s() + 100);
                    }
                    if (t != TimeZoneFormat.TimeType.UNKNOWN) {
                        Calendar calendar5 = (Calendar) calendar2.clone();
                        TimeZone timeZone4 = calendar5.getTimeZone();
                        BasicTimeZone basicTimeZone = timeZone4 instanceof BasicTimeZone ? (BasicTimeZone) timeZone4 : null;
                        calendar5.set(15, 0);
                        calendar5.set(16, 0);
                        long timeInMillis = calendar5.getTimeInMillis();
                        int[] iArr = new int[2];
                        if (basicTimeZone == null) {
                            timeZone4.getOffset(timeInMillis, true, iArr);
                            if ((t == TimeZoneFormat.TimeType.STANDARD && iArr[1] != 0) || (t == TimeZoneFormat.TimeType.DAYLIGHT && iArr[1] == 0)) {
                                i2 = index;
                                try {
                                    timeZone4.getOffset(timeInMillis - e.j, true, iArr);
                                    int i24 = iArr[1];
                                    if (t != TimeZoneFormat.TimeType.STANDARD) {
                                        if (iArr[1] != 0) {
                                            i3 = 0;
                                            calendar2.set(15, iArr[0]);
                                            calendar2.set(16, i3);
                                        }
                                    } else if (iArr[1] == 0) {
                                        if (basicTimeZone != null) {
                                            long j3 = timeInMillis + ((long) iArr[0]);
                                            long j4 = j3 + d1;
                                            long j5 = j3;
                                            while (true) {
                                                if (j5 >= j4) {
                                                    break;
                                                }
                                                g0 nextTransition = basicTimeZone.getNextTransition(j5, false);
                                                if (nextTransition == null) {
                                                    break;
                                                }
                                                i24 = nextTransition.c().getDSTSavings();
                                                if (i24 != 0) {
                                                    break;
                                                }
                                                j5 = nextTransition.b();
                                            }
                                            if (i24 == 0) {
                                                long j6 = j3 - d1;
                                                while (true) {
                                                    if (j3 <= j6) {
                                                        break;
                                                    }
                                                    g0 previousTransition = basicTimeZone.getPreviousTransition(j3, true);
                                                    if (previousTransition == null) {
                                                        break;
                                                    }
                                                    i24 = previousTransition.a().getDSTSavings();
                                                    if (i24 != 0) {
                                                        break;
                                                    }
                                                    j3 = previousTransition.b() - 1;
                                                }
                                                if (i24 == 0) {
                                                    i24 = basicTimeZone.getDSTSavings();
                                                }
                                            }
                                            i3 = i24;
                                        } else {
                                            i3 = timeZone4.getDSTSavings();
                                        }
                                        if (i3 == 0) {
                                            i3 = 3600000;
                                        }
                                        calendar2.set(15, iArr[0]);
                                        calendar2.set(16, i3);
                                    }
                                    i3 = i24;
                                    calendar2.set(15, iArr[0]);
                                    calendar2.set(16, i3);
                                } catch (IllegalArgumentException unused2) {
                                    parsePosition.setErrorIndex(i);
                                    parsePosition.setIndex(i2);
                                    if (timeZone == null) {
                                        this.calendar.setTimeZone(timeZone);
                                        return;
                                    }
                                    return;
                                }
                            }
                        } else if (t == TimeZoneFormat.TimeType.STANDARD) {
                            basicTimeZone.getOffsetFromLocal(timeInMillis, BasicTimeZone.LocalOption.STANDARD_FORMER, BasicTimeZone.LocalOption.STANDARD_LATTER, iArr);
                        } else {
                            basicTimeZone.getOffsetFromLocal(timeInMillis, BasicTimeZone.LocalOption.DAYLIGHT_FORMER, BasicTimeZone.LocalOption.DAYLIGHT_LATTER, iArr);
                        }
                        int i242 = iArr[1];
                        if (t != TimeZoneFormat.TimeType.STANDARD) {
                        }
                        i3 = i242;
                        calendar2.set(15, iArr[0]);
                        calendar2.set(16, i3);
                    }
                }
                if (calendar3 != null) {
                    calendar3.setTimeZone(calendar2.getTimeZone());
                    calendar3.setTimeInMillis(calendar2.getTimeInMillis());
                }
                if (timeZone == null) {
                    this.calendar.setTimeZone(timeZone);
                    return;
                }
                return;
            }
        }
        i = i14;
        if (wVar3.f16195a != null) {
        }
        parsePosition.setIndex(i);
        try {
            t = wVar4.f16195a;
            calendar2.set(1, s() + 100);
            if (t != TimeZoneFormat.TimeType.UNKNOWN) {
            }
            if (calendar3 != null) {
            }
            if (timeZone == null) {
            }
        } catch (IllegalArgumentException unused3) {
            i2 = index;
            parsePosition.setErrorIndex(i);
            parsePosition.setIndex(i2);
            if (timeZone == null) {
            }
        }
    }

    public void set2DigitYearStart(Date date) {
        P(date);
    }

    @Override // com.ibm.icu.text.DateFormat
    public void setContext(DisplayContext displayContext) {
        super.setContext(displayContext);
        if (this.k1 != null) {
            return;
        }
        if (displayContext == DisplayContext.CAPITALIZATION_FOR_BEGINNING_OF_SENTENCE || displayContext == DisplayContext.CAPITALIZATION_FOR_UI_LIST_OR_MENU || displayContext == DisplayContext.CAPITALIZATION_FOR_STANDALONE) {
            this.k1 = i.w(this.g1);
        }
    }

    public void setDateFormatSymbols(DateFormatSymbols dateFormatSymbols) {
        this.formatData = (DateFormatSymbols) dateFormatSymbols.clone();
    }

    @Override // com.ibm.icu.text.DateFormat
    public void setNumberFormat(NumberFormat numberFormat) {
        super.setNumberFormat(numberFormat);
        z();
        D(true);
        if (this.numberFormatters != null) {
            this.numberFormatters = null;
        }
        if (this.overrideMap != null) {
            this.overrideMap = null;
        }
    }

    public void setTimeZoneFormat(TimeZoneFormat timeZoneFormat) {
        if (timeZoneFormat.isFrozen()) {
            this.tzFormat = timeZoneFormat;
        } else {
            this.tzFormat = timeZoneFormat.cloneAsThawed().freeze();
        }
    }

    public String toLocalizedPattern() {
        return g0(this.pattern, "GyMdkHmsSEDFwWahKzYeugAZvcLQqVUOXxrbB", this.formatData.localPatternChars);
    }

    public String toPattern() {
        return this.pattern;
    }

    /* access modifiers changed from: protected */
    public DateFormatSymbols y() {
        return this.formatData;
    }

    public SimpleDateFormat(String str) {
        this(str, null, null, null, null, true, null);
    }

    public SimpleDateFormat(String str, Locale locale) {
        this(str, null, null, null, ULocale.forLocale(locale), true, null);
    }

    public SimpleDateFormat(String str, ULocale uLocale) {
        this(str, null, null, null, uLocale, true, null);
    }

    public SimpleDateFormat(String str, String str2, ULocale uLocale) {
        this(str, null, null, null, uLocale, false, str2);
    }

    public SimpleDateFormat(String str, DateFormatSymbols dateFormatSymbols) {
        this(str, (DateFormatSymbols) dateFormatSymbols.clone(), null, null, null, true, null);
    }

    @Deprecated
    public SimpleDateFormat(String str, DateFormatSymbols dateFormatSymbols, ULocale uLocale) {
        this(str, (DateFormatSymbols) dateFormatSymbols.clone(), null, null, uLocale, true, null);
    }

    SimpleDateFormat(String str, DateFormatSymbols dateFormatSymbols, Calendar calendar, ULocale uLocale, boolean z, String str2) {
        this(str, (DateFormatSymbols) dateFormatSymbols.clone(), (Calendar) calendar.clone(), null, uLocale, z, str2);
    }

    public void setNumberFormat(String str, NumberFormat numberFormat) {
        numberFormat.setGroupingUsed(false);
        String str2 = "$" + UUID.randomUUID().toString();
        if (this.numberFormatters == null) {
            this.numberFormatters = new HashMap<>();
        }
        if (this.overrideMap == null) {
            this.overrideMap = new HashMap<>();
        }
        for (int i = 0; i < str.length(); i++) {
            char charAt = str.charAt(i);
            if ("GyMdkHmsSEDFwWahKzYeugAZvcLQqVUOXxrbB".indexOf(charAt) != -1) {
                this.overrideMap.put(Character.valueOf(charAt), str2);
                this.numberFormatters.put(str2, numberFormat);
            } else {
                throw new IllegalArgumentException("Illegal field character '" + charAt + "' in setNumberFormat.");
            }
        }
        this.p1 = false;
    }

    private SimpleDateFormat(String str, DateFormatSymbols dateFormatSymbols, Calendar calendar, NumberFormat numberFormat, ULocale uLocale, boolean z, String str2) {
        this.serialVersionOnStream = 2;
        this.k1 = null;
        this.pattern = str;
        this.formatData = dateFormatSymbols;
        this.calendar = calendar;
        this.numberFormat = numberFormat;
        this.g1 = uLocale;
        this.j1 = z;
        this.override = str2;
        B();
    }
}
