package com.ibm.icu.util;

import com.ibm.icu.impl.u;
import java.util.BitSet;
import java.util.Date;
import java.util.LinkedList;

public abstract class BasicTimeZone extends TimeZone {
    private static final long O0 = 31536000000L;
    @Deprecated
    protected static final int P0 = 1;
    @Deprecated
    protected static final int Q0 = 3;
    @Deprecated
    protected static final int R0 = 4;
    @Deprecated
    protected static final int S0 = 12;
    @Deprecated
    protected static final int T0 = 3;
    @Deprecated
    protected static final int U0 = 12;
    private static final long serialVersionUID = -3204278532246180932L;

    public enum LocalOption {
        FORMER(4),
        LATTER(12),
        STANDARD_FORMER(5),
        STANDARD_LATTER(13),
        DAYLIGHT_FORMER(7),
        DAYLIGHT_LATTER(15);
        
        private int flagVal;

        private LocalOption(int i) {
            this.flagVal = i;
        }
    }

    protected BasicTimeZone() {
    }

    @Deprecated
    protected static int d(LocalOption localOption) {
        return localOption.flagVal;
    }

    public abstract g0 getNextTransition(long j, boolean z);

    public void getOffsetFromLocal(long j, LocalOption localOption, LocalOption localOption2, int[] iArr) {
        throw new IllegalStateException("Not implemented");
    }

    public abstract g0 getPreviousTransition(long j, boolean z);

    public TimeZoneRule[] getSimpleTimeZoneRulesNear(long j) {
        AnnualTimeZoneRule[] annualTimeZoneRuleArr;
        int i;
        InitialTimeZoneRule initialTimeZoneRule;
        String str;
        int i2;
        int i3;
        String str2;
        int i4;
        int i5;
        AnnualTimeZoneRule[] annualTimeZoneRuleArr2;
        long j2;
        int i6;
        g0 nextTransition;
        g0 nextTransition2 = getNextTransition(j, false);
        if (nextTransition2 != null) {
            String name = nextTransition2.a().getName();
            int rawOffset = nextTransition2.a().getRawOffset();
            int dSTSavings = nextTransition2.a().getDSTSavings();
            long b2 = nextTransition2.b();
            if (((nextTransition2.a().getDSTSavings() != 0 || nextTransition2.c().getDSTSavings() == 0) && (nextTransition2.a().getDSTSavings() == 0 || nextTransition2.c().getDSTSavings() != 0)) || j + O0 <= b2) {
                i5 = rawOffset;
                str2 = name;
                i4 = dSTSavings;
            } else {
                AnnualTimeZoneRule[] annualTimeZoneRuleArr3 = new AnnualTimeZoneRule[2];
                str2 = name;
                int[] j3 = u.j(((long) nextTransition2.a().getRawOffset()) + b2 + ((long) nextTransition2.a().getDSTSavings()), null);
                annualTimeZoneRuleArr3[0] = new AnnualTimeZoneRule(nextTransition2.c().getName(), rawOffset, nextTransition2.c().getDSTSavings(), new DateTimeRule(j3[1], u.f(j3[0], j3[1], j3[2]), j3[3], j3[5], 0), j3[0], Integer.MAX_VALUE);
                if (nextTransition2.c().getRawOffset() != rawOffset || (nextTransition = getNextTransition(b2, false)) == null || (((nextTransition.a().getDSTSavings() != 0 || nextTransition.c().getDSTSavings() == 0) && (nextTransition.a().getDSTSavings() == 0 || nextTransition.c().getDSTSavings() != 0)) || b2 + O0 <= nextTransition.b())) {
                    j2 = b2;
                    annualTimeZoneRuleArr2 = annualTimeZoneRuleArr3;
                    i4 = dSTSavings;
                    i6 = rawOffset;
                } else {
                    j3 = u.j(nextTransition.b() + ((long) nextTransition.a().getRawOffset()) + ((long) nextTransition.a().getDSTSavings()), j3);
                    AnnualTimeZoneRule annualTimeZoneRule = new AnnualTimeZoneRule(nextTransition.c().getName(), nextTransition.c().getRawOffset(), nextTransition.c().getDSTSavings(), new DateTimeRule(j3[1], u.f(j3[0], j3[1], j3[2]), j3[3], j3[5], 0), j3[0] - 1, Integer.MAX_VALUE);
                    j2 = b2;
                    annualTimeZoneRuleArr2 = annualTimeZoneRuleArr3;
                    i4 = dSTSavings;
                    i6 = rawOffset;
                    Date previousStart = annualTimeZoneRule.getPreviousStart(j, nextTransition.a().getRawOffset(), nextTransition.a().getDSTSavings(), true);
                    if (previousStart != null && previousStart.getTime() <= j && i6 == nextTransition.c().getRawOffset() && i4 == nextTransition.c().getDSTSavings()) {
                        annualTimeZoneRuleArr2[1] = annualTimeZoneRule;
                    }
                }
                char c2 = 1;
                if (annualTimeZoneRuleArr2[1] == null) {
                    g0 previousTransition = getPreviousTransition(j, true);
                    if (previousTransition == null || ((previousTransition.a().getDSTSavings() != 0 || previousTransition.c().getDSTSavings() == 0) && (previousTransition.a().getDSTSavings() == 0 || previousTransition.c().getDSTSavings() != 0))) {
                        i5 = i6;
                        c2 = 1;
                    } else {
                        int[] j4 = u.j(previousTransition.b() + ((long) previousTransition.a().getRawOffset()) + ((long) previousTransition.a().getDSTSavings()), j3);
                        i5 = i6;
                        AnnualTimeZoneRule annualTimeZoneRule2 = new AnnualTimeZoneRule(previousTransition.c().getName(), i5, i4, new DateTimeRule(j4[1], u.f(j4[0], j4[1], j4[2]), j4[3], j4[5], 0), annualTimeZoneRuleArr2[0].getStartYear() - 1, Integer.MAX_VALUE);
                        c2 = 1;
                        if (annualTimeZoneRule2.getNextStart(j, previousTransition.a().getRawOffset(), previousTransition.a().getDSTSavings(), false).getTime() > j2) {
                            annualTimeZoneRuleArr2[1] = annualTimeZoneRule2;
                        }
                    }
                } else {
                    i5 = i6;
                }
                if (annualTimeZoneRuleArr2[c2] != null) {
                    str = annualTimeZoneRuleArr2[0].getName();
                    i2 = annualTimeZoneRuleArr2[0].getRawOffset();
                    i3 = annualTimeZoneRuleArr2[0].getDSTSavings();
                    annualTimeZoneRuleArr = annualTimeZoneRuleArr2;
                    initialTimeZoneRule = new InitialTimeZoneRule(str, i2, i3);
                    i = 1;
                }
            }
            i2 = i5;
            i3 = i4;
            str = str2;
            annualTimeZoneRuleArr = null;
            initialTimeZoneRule = new InitialTimeZoneRule(str, i2, i3);
            i = 1;
        } else {
            g0 previousTransition2 = getPreviousTransition(j, true);
            if (previousTransition2 != null) {
                initialTimeZoneRule = new InitialTimeZoneRule(previousTransition2.c().getName(), previousTransition2.c().getRawOffset(), previousTransition2.c().getDSTSavings());
                i = 1;
            } else {
                int[] iArr = new int[2];
                getOffset(j, false, iArr);
                i = 1;
                initialTimeZoneRule = new InitialTimeZoneRule(getID(), iArr[0], iArr[1]);
            }
            annualTimeZoneRuleArr = null;
        }
        if (annualTimeZoneRuleArr == null) {
            TimeZoneRule[] timeZoneRuleArr = new TimeZoneRule[i];
            timeZoneRuleArr[0] = initialTimeZoneRule;
            return timeZoneRuleArr;
        }
        TimeZoneRule[] timeZoneRuleArr2 = new TimeZoneRule[3];
        timeZoneRuleArr2[0] = initialTimeZoneRule;
        timeZoneRuleArr2[i] = annualTimeZoneRuleArr[0];
        timeZoneRuleArr2[2] = annualTimeZoneRuleArr[i];
        return timeZoneRuleArr2;
    }

    public abstract TimeZoneRule[] getTimeZoneRules();

    public TimeZoneRule[] getTimeZoneRules(long j) {
        BitSet bitSet;
        BitSet bitSet2;
        boolean z;
        g0 nextTransition;
        BasicTimeZone basicTimeZone = this;
        TimeZoneRule[] timeZoneRules = getTimeZoneRules();
        g0 previousTransition = basicTimeZone.getPreviousTransition(j, true);
        if (previousTransition == null) {
            return timeZoneRules;
        }
        BitSet bitSet3 = new BitSet(timeZoneRules.length);
        LinkedList linkedList = new LinkedList();
        InitialTimeZoneRule initialTimeZoneRule = new InitialTimeZoneRule(previousTransition.c().getName(), previousTransition.c().getRawOffset(), previousTransition.c().getDSTSavings());
        linkedList.add(initialTimeZoneRule);
        boolean z2 = false;
        bitSet3.set(0);
        for (int i = 1; i < timeZoneRules.length; i++) {
            if (timeZoneRules[i].getNextStart(j, initialTimeZoneRule.getRawOffset(), initialTimeZoneRule.getDSTSavings(), false) == null) {
                bitSet3.set(i);
            }
        }
        long j2 = j;
        boolean z3 = false;
        boolean z4 = false;
        while (true) {
            if (z3 && z4) {
                break;
            }
            g0 nextTransition2 = basicTimeZone.getNextTransition(j2, z2);
            if (nextTransition2 == null) {
                break;
            }
            long b2 = nextTransition2.b();
            TimeZoneRule c2 = nextTransition2.c();
            int i2 = 1;
            while (i2 < timeZoneRules.length && !timeZoneRules[i2].equals(c2)) {
                i2++;
            }
            if (i2 >= timeZoneRules.length) {
                throw new IllegalStateException("The rule was not found");
            } else if (bitSet3.get(i2)) {
                j2 = b2;
            } else {
                if (c2 instanceof TimeArrayTimeZoneRule) {
                    TimeArrayTimeZoneRule timeArrayTimeZoneRule = (TimeArrayTimeZoneRule) c2;
                    bitSet2 = bitSet3;
                    long j3 = j;
                    while (true) {
                        nextTransition = basicTimeZone.getNextTransition(j3, z2);
                        if (nextTransition != null && !nextTransition.c().equals(timeArrayTimeZoneRule)) {
                            j3 = nextTransition.b();
                            basicTimeZone = this;
                            z2 = false;
                        }
                    }
                    if (nextTransition != null) {
                        if (timeArrayTimeZoneRule.getFirstStart(nextTransition.a().getRawOffset(), nextTransition.a().getDSTSavings()).getTime() > j) {
                            linkedList.add(timeArrayTimeZoneRule);
                        } else {
                            long[] startTimes = timeArrayTimeZoneRule.getStartTimes();
                            int timeType = timeArrayTimeZoneRule.getTimeType();
                            int i3 = 0;
                            while (true) {
                                if (i3 >= startTimes.length) {
                                    z = z3;
                                    break;
                                }
                                long j4 = startTimes[i3];
                                if (timeType == 1) {
                                    z = z3;
                                    j4 -= (long) nextTransition.a().getRawOffset();
                                } else {
                                    z = z3;
                                }
                                if (timeType == 0) {
                                    j4 -= (long) nextTransition.a().getDSTSavings();
                                }
                                if (j4 > j) {
                                    break;
                                }
                                i3++;
                                z3 = z;
                            }
                            int length = startTimes.length - i3;
                            if (length > 0) {
                                long[] jArr = new long[length];
                                System.arraycopy(startTimes, i3, jArr, 0, length);
                                linkedList.add(new TimeArrayTimeZoneRule(timeArrayTimeZoneRule.getName(), timeArrayTimeZoneRule.getRawOffset(), timeArrayTimeZoneRule.getDSTSavings(), jArr, timeArrayTimeZoneRule.getTimeType()));
                            }
                        }
                    }
                    z = z3;
                } else {
                    z = z3;
                    bitSet2 = bitSet3;
                    if (c2 instanceof AnnualTimeZoneRule) {
                        AnnualTimeZoneRule annualTimeZoneRule = (AnnualTimeZoneRule) c2;
                        if (annualTimeZoneRule.getFirstStart(nextTransition2.a().getRawOffset(), nextTransition2.a().getDSTSavings()).getTime() == nextTransition2.b()) {
                            linkedList.add(annualTimeZoneRule);
                        } else {
                            int[] iArr = new int[6];
                            u.j(nextTransition2.b(), iArr);
                            linkedList.add(new AnnualTimeZoneRule(annualTimeZoneRule.getName(), annualTimeZoneRule.getRawOffset(), annualTimeZoneRule.getDSTSavings(), annualTimeZoneRule.getRule(), iArr[0], annualTimeZoneRule.getEndYear()));
                        }
                        if (annualTimeZoneRule.getEndYear() == Integer.MAX_VALUE) {
                            if (annualTimeZoneRule.getDSTSavings() == 0) {
                                bitSet = bitSet2;
                                z3 = true;
                            } else {
                                z3 = z;
                                bitSet = bitSet2;
                                z4 = true;
                            }
                            bitSet.set(i2);
                            bitSet3 = bitSet;
                            j2 = b2;
                            z2 = false;
                            basicTimeZone = this;
                        }
                        z3 = z;
                        bitSet = bitSet2;
                        bitSet.set(i2);
                        bitSet3 = bitSet;
                        j2 = b2;
                        z2 = false;
                        basicTimeZone = this;
                    }
                }
                z3 = z;
                bitSet = bitSet2;
                bitSet.set(i2);
                bitSet3 = bitSet;
                j2 = b2;
                z2 = false;
                basicTimeZone = this;
            }
        }
        return (TimeZoneRule[]) linkedList.toArray(new TimeZoneRule[linkedList.size()]);
    }

    public boolean hasEquivalentTransitions(TimeZone timeZone, long j, long j2) {
        return hasEquivalentTransitions(timeZone, j, j2, false);
    }

    @Deprecated
    protected BasicTimeZone(String str) {
        super(str);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:22:0x003e, code lost:
        if (r3[1] == r1[1]) goto L_0x0042;
     */
    public boolean hasEquivalentTransitions(TimeZone timeZone, long j, long j2, boolean z) {
        if (this == timeZone) {
            return true;
        }
        if (!(timeZone instanceof BasicTimeZone)) {
            return false;
        }
        int[] iArr = new int[2];
        int[] iArr2 = new int[2];
        getOffset(j, false, iArr);
        timeZone.getOffset(j, false, iArr2);
        if (z) {
            if (iArr[0] + iArr[1] != iArr2[0] + iArr2[1] || ((iArr[1] != 0 && iArr2[1] == 0) || (iArr[1] == 0 && iArr2[1] != 0))) {
                return false;
            }
            while (true) {
                g0 nextTransition = getNextTransition(j, false);
                BasicTimeZone basicTimeZone = (BasicTimeZone) timeZone;
                g0 nextTransition2 = basicTimeZone.getNextTransition(j, false);
                if (z) {
                    while (nextTransition != null && nextTransition.b() <= j2 && nextTransition.a().getRawOffset() + nextTransition.a().getDSTSavings() == nextTransition.c().getRawOffset() + nextTransition.c().getDSTSavings() && nextTransition.a().getDSTSavings() != 0 && nextTransition.c().getDSTSavings() != 0) {
                        nextTransition = getNextTransition(nextTransition.b(), false);
                    }
                    while (nextTransition2 != null && nextTransition2.b() <= j2 && nextTransition2.a().getRawOffset() + nextTransition2.a().getDSTSavings() == nextTransition2.c().getRawOffset() + nextTransition2.c().getDSTSavings() && nextTransition2.a().getDSTSavings() != 0 && nextTransition2.c().getDSTSavings() != 0) {
                        nextTransition2 = basicTimeZone.getNextTransition(nextTransition2.b(), false);
                    }
                }
                boolean z2 = nextTransition != null && nextTransition.b() <= j2;
                boolean z3 = nextTransition2 != null && nextTransition2.b() <= j2;
                if (!z2 && !z3) {
                    return true;
                }
                if (!z2 || !z3 || nextTransition.b() != nextTransition2.b()) {
                    return false;
                }
                if (!z) {
                    if (nextTransition.c().getRawOffset() != nextTransition2.c().getRawOffset() || nextTransition.c().getDSTSavings() != nextTransition2.c().getDSTSavings()) {
                        break;
                    }
                } else if (nextTransition.c().getRawOffset() + nextTransition.c().getDSTSavings() != nextTransition2.c().getRawOffset() + nextTransition2.c().getDSTSavings() || ((nextTransition.c().getDSTSavings() != 0 && nextTransition2.c().getDSTSavings() == 0) || (nextTransition.c().getDSTSavings() == 0 && nextTransition2.c().getDSTSavings() != 0))) {
                    return false;
                }
                j = nextTransition.b();
            }
        } else if (iArr[0] == iArr2[0]) {
        }
        return false;
    }
}
