package com.ibm.icu.util;

import java.util.Date;
import java.util.Locale;

public class BuddhistCalendar extends GregorianCalendar {
    public static final int BE = 0;
    private static final int M1 = -543;
    private static final int N1 = 1970;
    private static final long serialVersionUID = 2583005278132380631L;

    public BuddhistCalendar() {
    }

    @Override // com.ibm.icu.util.Calendar, com.ibm.icu.util.GregorianCalendar
    public String getType() {
        return "buddhist";
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar, com.ibm.icu.util.GregorianCalendar
    public void m0(int i) {
        super.m0(i);
        E0(0, 0);
        E0(1, B0(19) + 543);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar, com.ibm.icu.util.GregorianCalendar
    public int p0(int i, int i2, boolean z) {
        return super.p0(i, i2, z);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar, com.ibm.icu.util.GregorianCalendar
    public int v0() {
        if (K0(19, 1) == 19) {
            return C0(19, N1);
        }
        return C0(1, 2513) + M1;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar, com.ibm.icu.util.GregorianCalendar
    public int w0(int i, int i2) {
        if (i == 0) {
            return 0;
        }
        return super.w0(i, i2);
    }

    public BuddhistCalendar(TimeZone timeZone) {
        super(timeZone);
    }

    public BuddhistCalendar(Locale locale) {
        super(locale);
    }

    public BuddhistCalendar(ULocale uLocale) {
        super(uLocale);
    }

    public BuddhistCalendar(TimeZone timeZone, Locale locale) {
        super(timeZone, locale);
    }

    public BuddhistCalendar(TimeZone timeZone, ULocale uLocale) {
        super(timeZone, uLocale);
    }

    public BuddhistCalendar(Date date) {
        this();
        setTime(date);
    }

    public BuddhistCalendar(int i, int i2, int i3) {
        super(i, i2, i3);
    }

    public BuddhistCalendar(int i, int i2, int i3, int i4, int i5, int i6) {
        super(i, i2, i3, i4, i5, i6);
    }
}
