package com.ibm.icu.util;

import com.alipay.sdk.util.g;
import com.google.android.exoplayer2.C;
import com.google.android.gms.common.util.m;
import com.ibm.icu.impl.CalType;
import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.j1;
import com.ibm.icu.impl.l1;
import com.ibm.icu.impl.m1;
import com.ibm.icu.impl.units.e;
import com.ibm.icu.impl.w;
import com.ibm.icu.lang.c;
import com.ibm.icu.text.DateFormat;
import com.ibm.icu.text.DateFormatSymbols;
import com.ibm.icu.text.DateTimePatternGenerator;
import com.ibm.icu.text.SimpleDateFormat;
import com.ibm.icu.util.BasicTimeZone;
import com.ibm.icu.util.ULocale;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.text.StringCharacterIterator;
import java.util.ArrayList;
import java.util.Date;
import java.util.Locale;
import java.util.MissingResourceException;

public abstract class Calendar implements Serializable, Cloneable, Comparable<Calendar> {
    public static final int AM = 0;
    public static final int AM_PM = 9;
    public static final int APRIL = 3;
    public static final int AUGUST = 7;
    public static final int DATE = 5;
    public static final int DAY_OF_MONTH = 5;
    public static final int DAY_OF_WEEK = 7;
    public static final int DAY_OF_WEEK_IN_MONTH = 8;
    public static final int DAY_OF_YEAR = 6;
    public static final int DECEMBER = 11;
    public static final int DOW_LOCAL = 18;
    public static final int DST_OFFSET = 16;
    public static final int ERA = 0;
    public static final int EXTENDED_YEAR = 19;
    public static final int FEBRUARY = 1;
    public static final int FRIDAY = 6;
    public static final int HOUR = 10;
    public static final int HOUR_OF_DAY = 11;
    protected static final int I0 = 1000;
    public static final int IS_LEAP_MONTH = 22;
    protected static final int J0 = 60000;
    public static final int JANUARY = 0;
    public static final int JULIAN_DAY = 20;
    public static final int JULY = 6;
    public static final int JUNE = 5;
    protected static final int K0 = 3600000;
    protected static final long L0 = 86400000;
    protected static final long M0 = 604800000;
    public static final int MARCH = 2;
    public static final int MAY = 4;
    public static final int MILLISECOND = 14;
    public static final int MILLISECONDS_IN_DAY = 21;
    public static final int MINUTE = 12;
    public static final int MONDAY = 2;
    public static final int MONTH = 2;
    protected static final int N0 = 1721426;
    public static final int NOVEMBER = 10;
    protected static final int O0 = 2440588;
    public static final int OCTOBER = 9;
    protected static final int P0 = -2130706432;
    public static final int PM = 1;
    protected static final long Q0 = -184303902528000000L;
    protected static final Date R0 = new Date(-184303902528000000L);
    protected static final int S0 = 2130706432;
    public static final int SATURDAY = 7;
    public static final int SECOND = 13;
    public static final int SEPTEMBER = 8;
    public static final int SUNDAY = 1;
    protected static final long T0 = 183882168921600000L;
    public static final int THURSDAY = 5;
    public static final int TUESDAY = 3;
    protected static final Date U0 = new Date(183882168921600000L);
    public static final int UNDECIMBER = 12;
    private static final int V0 = 548;
    protected static final int W0 = 0;
    public static final int WALLTIME_FIRST = 1;
    public static final int WALLTIME_LAST = 0;
    public static final int WALLTIME_NEXT_VALID = 2;
    public static final int WEDNESDAY = 4;
    @Deprecated
    public static final int WEEKDAY = 0;
    @Deprecated
    public static final int WEEKEND = 1;
    @Deprecated
    public static final int WEEKEND_CEASE = 3;
    @Deprecated
    public static final int WEEKEND_ONSET = 2;
    public static final int WEEK_OF_MONTH = 4;
    public static final int WEEK_OF_YEAR = 3;
    protected static final int X0 = 1;
    protected static final int Y0 = 2;
    public static final int YEAR = 1;
    public static final int YEAR_WOY = 17;
    private static int Z0 = 10000;
    public static final int ZONE_OFFSET = 15;
    @Deprecated

    /* renamed from: a  reason: collision with root package name */
    protected static final int f15964a = 23;
    private static final w<String, c> a1 = new j1();
    @Deprecated

    /* renamed from: b  reason: collision with root package name */
    protected static final int f15965b = 32;
    private static final String[] b1 = {"HH:mm:ss z", "HH:mm:ss z", "HH:mm:ss", "HH:mm", "y MMMM d, EEEE", "y MMMM d", "y MMM d", "y-MM-dd", "{1} {0}", "{1} {0}", "{1} {0}", "{1} {0}", "{1} {0}"};
    private static final String[] c1 = {"{1} {0}", "{1} {0}", "{1} {0}", "{1} {0}"};
    private static final String[] d1 = {"jmmsszzzz", "jmmssz", "jmmss", "jmm"};
    private static final char e1 = '\'';
    private static final int f1 = Integer.MAX_VALUE;
    private static final int[][] g1 = {new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[]{1, 1, 7, 7}, new int[0], new int[]{0, 0, 1, 1}, new int[]{0, 0, 11, 11}, new int[]{0, 0, 23, 23}, new int[]{0, 0, 59, 59}, new int[]{0, 0, 59, 59}, new int[]{0, 0, 999, 999}, new int[]{-57600000, -57600000, 43200000, 108000000}, new int[]{0, 0, m.g, m.g}, new int[0], new int[]{1, 1, 7, 7}, new int[0], new int[]{P0, P0, 2130706432, 2130706432}, new int[]{0, 0, 86399999, 86399999}, new int[]{0, 0, 1, 1}};
    protected static final int h1 = 0;
    protected static final int i1 = 1;
    protected static final int j1 = 2;
    protected static final int k1 = 3;
    private static final e l1 = new e(null);
    protected static final int m1 = 32;
    static final int[][][] n1 = {new int[][]{new int[]{5}, new int[]{3, 7}, new int[]{4, 7}, new int[]{8, 7}, new int[]{3, 18}, new int[]{4, 18}, new int[]{8, 18}, new int[]{6}, new int[]{37, 1}, new int[]{35, 17}}, new int[][]{new int[]{3}, new int[]{4}, new int[]{8}, new int[]{40, 7}, new int[]{40, 18}}};
    static final int[][][] o1 = {new int[][]{new int[]{7}, new int[]{18}}};
    private static final int[] p1 = {3600000, 1800000, 60000, 1000};
    private static final int[][] q1 = {new int[]{31, 31, 0, 0}, new int[]{28, 29, 31, 31}, new int[]{31, 31, 59, 60}, new int[]{30, 30, 90, 91}, new int[]{31, 31, 120, 121}, new int[]{30, 30, 151, 152}, new int[]{31, 31, 181, 182}, new int[]{31, 31, c.p.g3, c.p.h3}, new int[]{30, 30, c.p.L3, 244}, new int[]{31, 31, c.p.p4, c.p.q4}, new int[]{30, 30, 304, 305}, new int[]{31, 31, 334, 335}};
    private static final String[] r1 = {"ERA", "YEAR", "MONTH", "WEEK_OF_YEAR", "WEEK_OF_MONTH", "DAY_OF_MONTH", "DAY_OF_YEAR", "DAY_OF_WEEK", "DAY_OF_WEEK_IN_MONTH", "AM_PM", "HOUR", "HOUR_OF_DAY", "MINUTE", "SECOND", "MILLISECOND", "ZONE_OFFSET", "DST_OFFSET", "YEAR_WOY", "DOW_LOCAL", "EXTENDED_YEAR", "JULIAN_DAY", "MILLISECONDS_IN_DAY"};
    static final /* synthetic */ boolean s1 = false;
    private static final long serialVersionUID = 6222646104888790989L;
    private transient int A1;
    private transient int B1;
    private transient int C1;
    private transient int D1;
    private transient int E1;
    private ULocale actualLocale;
    private int firstDayOfWeek;
    private boolean lenient;
    private int minimalDaysInFirstWeek;
    private int repeatedWallTime;
    private int skippedWallTime;
    private transient int[] t1;
    private long time;
    private transient int[] u1;
    private transient boolean v1;
    private ULocale validLocale;
    private transient boolean w1;
    private int weekendCease;
    private int weekendCeaseMillis;
    private int weekendOnset;
    private int weekendOnsetMillis;
    private transient boolean x1;
    private transient boolean y1;
    private transient int z1;
    private TimeZone zone;

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f15966a;

        /* JADX WARNING: Can't wrap try/catch for region: R(36:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|31|32|33|34|(3:35|36|38)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(38:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|31|32|33|34|35|36|38) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0049 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0054 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x0060 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x006c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:21:0x0078 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:23:0x0084 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:25:0x0090 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:27:0x009c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:29:0x00a8 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:31:0x00b4 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:33:0x00c0 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:35:0x00cc */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[CalType.values().length];
            f15966a = iArr;
            iArr[CalType.GREGORIAN.ordinal()] = 1;
            f15966a[CalType.ISO8601.ordinal()] = 2;
            f15966a[CalType.BUDDHIST.ordinal()] = 3;
            f15966a[CalType.CHINESE.ordinal()] = 4;
            f15966a[CalType.COPTIC.ordinal()] = 5;
            f15966a[CalType.DANGI.ordinal()] = 6;
            f15966a[CalType.ETHIOPIC.ordinal()] = 7;
            f15966a[CalType.ETHIOPIC_AMETE_ALEM.ordinal()] = 8;
            f15966a[CalType.HEBREW.ordinal()] = 9;
            f15966a[CalType.INDIAN.ordinal()] = 10;
            f15966a[CalType.ISLAMIC_CIVIL.ordinal()] = 11;
            f15966a[CalType.ISLAMIC_UMALQURA.ordinal()] = 12;
            f15966a[CalType.ISLAMIC_TBLA.ordinal()] = 13;
            f15966a[CalType.ISLAMIC_RGSA.ordinal()] = 14;
            f15966a[CalType.ISLAMIC.ordinal()] = 15;
            f15966a[CalType.JAPANESE.ordinal()] = 16;
            f15966a[CalType.PERSIAN.ordinal()] = 17;
            try {
                f15966a[CalType.ROC.ordinal()] = 18;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    @Deprecated
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        private String f15967a;

        /* renamed from: b  reason: collision with root package name */
        private String f15968b;

        /* renamed from: c  reason: collision with root package name */
        private DateFormatSymbols f15969c;

        /* renamed from: d  reason: collision with root package name */
        private Calendar f15970d;

        /* renamed from: e  reason: collision with root package name */
        private ULocale f15971e;

        /* synthetic */ b(a aVar) {
            this();
        }

        @Deprecated
        public Calendar f() {
            return this.f15970d;
        }

        @Deprecated
        public DateFormatSymbols g() {
            return this.f15969c;
        }

        @Deprecated
        public ULocale h() {
            return this.f15971e;
        }

        @Deprecated
        public String i() {
            return this.f15968b;
        }

        @Deprecated
        public String j() {
            return this.f15967a;
        }

        private b() {
        }
    }

    /* access modifiers changed from: package-private */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        private String[] f15972a;

        /* renamed from: b  reason: collision with root package name */
        private String[] f15973b;

        /* renamed from: c  reason: collision with root package name */
        private String[] f15974c;

        public c(String[] strArr, String[] strArr2, String[] strArr3) {
            this.f15972a = strArr;
            this.f15973b = strArr2;
            this.f15974c = strArr3;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private String f(int i) {
            String[] strArr = this.f15974c;
            if (strArr == null || strArr.length < 4) {
                return g(i);
            }
            return strArr[i];
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private String g(int i) {
            String[] strArr = this.f15972a;
            int i2 = 8;
            if (strArr.length >= 13) {
                i2 = 8 + i + 1;
            }
            return strArr[i2];
        }

        /* access modifiers changed from: private */
        public static c h(Calendar calendar, ULocale uLocale) {
            c cVar;
            String type = calendar.getType();
            String str = uLocale.getBaseName() + "+" + type;
            c cVar2 = (c) Calendar.a1.get(str);
            if (cVar2 == null) {
                try {
                    cVar = Calendar.d0(uLocale, type);
                } catch (MissingResourceException unused) {
                    cVar = new c(Calendar.b1, null, Calendar.c1);
                }
                cVar2 = cVar;
                Calendar.a1.put(str, cVar2);
            }
            return cVar2;
        }
    }

    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        public final int f15975a;

        /* renamed from: b  reason: collision with root package name */
        public final int f15976b;

        /* renamed from: c  reason: collision with root package name */
        public final int f15977c;

        /* renamed from: d  reason: collision with root package name */
        public final int f15978d;

        /* renamed from: e  reason: collision with root package name */
        public final int f15979e;
        public final int f;

        public d(int i, int i2, int i3, int i4, int i5, int i6) {
            this.f15975a = i;
            this.f15976b = i2;
            this.f15977c = i3;
            this.f15978d = i4;
            this.f15979e = i5;
            this.f = i6;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (!(obj instanceof d)) {
                return false;
            }
            d dVar = (d) obj;
            if (this.f15975a == dVar.f15975a && this.f15976b == dVar.f15976b && this.f15977c == dVar.f15977c && this.f15978d == dVar.f15978d && this.f15979e == dVar.f15979e && this.f == dVar.f) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            return (((((((((this.f15975a * 37) + this.f15976b) * 37) + this.f15977c) * 37) + this.f15978d) * 37) + this.f15979e) * 37) + this.f;
        }

        public String toString() {
            return "{" + this.f15975a + ", " + this.f15976b + ", " + this.f15977c + ", " + this.f15978d + ", " + this.f15979e + ", " + this.f + g.f6033d;
        }
    }

    /* access modifiers changed from: private */
    public static class e extends m1<String, d, String> {
        private e() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: c */
        public d a(String str, String str2) {
            return Calendar.i0(str);
        }

        /* synthetic */ e(a aVar) {
            this();
        }
    }

    protected Calendar() {
        this(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
    }

    private void A0() {
        int[] q0 = q0();
        this.t1 = q0;
        if (q0 != null) {
            if (q0.length >= 23 && q0.length <= 32) {
                this.u1 = new int[q0.length];
                int i = 4718695;
                for (int i2 = 23; i2 < this.t1.length; i2++) {
                    i |= 1 << i2;
                }
                this.A1 = i;
                return;
            }
        }
        throw new IllegalStateException("Invalid fields[]");
    }

    private final void D() {
        int[] iArr = this.t1;
        int i = iArr[19];
        int i2 = iArr[7];
        int i3 = iArr[6];
        int firstDayOfWeek2 = ((i2 + 7) - getFirstDayOfWeek()) % 7;
        int firstDayOfWeek3 = (((i2 - i3) + 7001) - getFirstDayOfWeek()) % 7;
        int i4 = ((i3 - 1) + firstDayOfWeek3) / 7;
        if (7 - firstDayOfWeek3 >= getMinimalDaysInFirstWeek()) {
            i4++;
        }
        if (i4 == 0) {
            i4 = X0(i3 + z0(i - 1), i2);
            i--;
        } else {
            int z0 = z0(i);
            if (i3 >= z0 - 5) {
                int i5 = ((firstDayOfWeek2 + z0) - i3) % 7;
                if (i5 < 0) {
                    i5 += 7;
                }
                if (6 - i5 >= getMinimalDaysInFirstWeek() && (i3 + 7) - firstDayOfWeek2 > z0) {
                    i++;
                    i4 = 1;
                }
            }
        }
        int[] iArr2 = this.t1;
        iArr2[3] = i4;
        iArr2[17] = i;
        int i6 = iArr2[5];
        iArr2[4] = X0(i6, i2);
        this.t1[8] = ((i6 - 1) / 7) + 1;
    }

    protected static final boolean F0(int i) {
        return i % 4 == 0 && (i % 100 != 0 || i % 400 == 0);
    }

    private static Calendar G(ULocale uLocale) {
        TimeZone forULocaleOrDefault = TimeZone.forULocaleOrDefault(uLocale);
        CalType S = S(uLocale);
        if (S == CalType.UNKNOWN) {
            S = CalType.GREGORIAN;
        }
        switch (a.f15966a[S.ordinal()]) {
            case 1:
                return new GregorianCalendar(forULocaleOrDefault, uLocale);
            case 2:
                GregorianCalendar gregorianCalendar = new GregorianCalendar(forULocaleOrDefault, uLocale);
                gregorianCalendar.setFirstDayOfWeek(2);
                gregorianCalendar.setMinimalDaysInFirstWeek(4);
                return gregorianCalendar;
            case 3:
                return new BuddhistCalendar(forULocaleOrDefault, uLocale);
            case 4:
                return new ChineseCalendar(forULocaleOrDefault, uLocale);
            case 5:
                return new CopticCalendar(forULocaleOrDefault, uLocale);
            case 6:
                return new DangiCalendar(forULocaleOrDefault, uLocale);
            case 7:
                return new EthiopicCalendar(forULocaleOrDefault, uLocale);
            case 8:
                EthiopicCalendar ethiopicCalendar = new EthiopicCalendar(forULocaleOrDefault, uLocale);
                ethiopicCalendar.setAmeteAlemEra(true);
                return ethiopicCalendar;
            case 9:
                return new HebrewCalendar(forULocaleOrDefault, uLocale);
            case 10:
                return new IndianCalendar(forULocaleOrDefault, uLocale);
            case 11:
            case 12:
            case 13:
            case 14:
            case 15:
                return new IslamicCalendar(forULocaleOrDefault, uLocale);
            case 16:
                return new JapaneseCalendar(forULocaleOrDefault, uLocale);
            case 17:
                return new PersianCalendar(forULocaleOrDefault, uLocale);
            case 18:
                return new TaiwanCalendar(forULocaleOrDefault, uLocale);
            default:
                throw new IllegalArgumentException("Unknown calendar type");
        }
    }

    protected static final int G0(int i) {
        int i2 = (i + 2) % 7;
        return i2 < 1 ? i2 + 7 : i2;
    }

    private static String H(String str, String str2) {
        if (str2.indexOf(61) >= 0) {
            return str2;
        }
        boolean z = false;
        StringBuilder sb = new StringBuilder();
        StringCharacterIterator stringCharacterIterator = new StringCharacterIterator(str);
        char first = stringCharacterIterator.first();
        char c2 = ' ';
        while (first != 65535) {
            if (first == '\'') {
                z = !z;
            } else if (!z && first != c2) {
                if (sb.length() > 0) {
                    sb.append(g.f6031b);
                }
                sb.append(first);
                sb.append("=");
                sb.append(str2);
            }
            first = stringCharacterIterator.next();
            c2 = first;
        }
        return sb.toString();
    }

    protected static final long H0(int i) {
        return ((long) (i - O0)) * 86400000;
    }

    private static String I0(String str, String str2, String str3, String str4) {
        if (str3 == null && str4 == null) {
            return null;
        }
        if (str3 == null) {
            return H(str2, str4);
        }
        if (str4 == null) {
            return H(str, str3);
        }
        if (str3.equals(str4)) {
            return str3;
        }
        return H(str, str3) + g.f6031b + H(str2, str4);
    }

    private static Long J(TimeZone timeZone, int i, long j, long j2) {
        long j3;
        long j4;
        long j5;
        int[] iArr = p1;
        int length = iArr.length;
        boolean z = false;
        int i2 = 0;
        while (true) {
            if (i2 >= length) {
                j3 = 0;
                break;
            }
            long j6 = (long) iArr[i2];
            long j7 = j2 / j6;
            long j8 = j / j6;
            if (j8 > j7) {
                j3 = (((j7 + j8) + 1) >>> 1) * j6;
                z = true;
                break;
            }
            i2++;
        }
        if (!z) {
            j3 = (j + j2) >>> 1;
        }
        if (z) {
            if (j3 == j) {
                j5 = j;
            } else if (timeZone.getOffset(j3) != i) {
                return J(timeZone, i, j, j3);
            } else {
                j5 = j3;
            }
            j4 = j3 - 1;
        } else {
            j4 = (j + j2) >>> 1;
            j5 = j;
        }
        if (j4 == j2) {
            return Long.valueOf(j5);
        }
        if (timeZone.getOffset(j4) == i) {
            return J(timeZone, i, j4, j2);
        }
        if (z) {
            return Long.valueOf(j5);
        }
        return J(timeZone, i, j5, j4);
    }

    protected static final int J0(long j) {
        return (int) (O(j, 86400000) + 2440588);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:3:0x0010, code lost:
        if ((r2 % 65) >= 32) goto L_0x001f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:5:0x001d, code lost:
        if (((-r2) % 65) <= 32) goto L_0x001f;
     */
    private static int K(int i) {
        int i2;
        int i3 = 0;
        if (i >= 1977) {
            int i4 = i - 1977;
            i2 = (i4 / 65) * 2;
        } else {
            int i5 = i - 1976;
            i2 = ((i5 / 65) - 1) * 2;
        }
        i3 = 1;
        return (i - 579) + i2 + i3;
    }

    protected static final int L(int i, int i2) {
        return i >= 0 ? i / i2 : ((i + 1) / i2) - 1;
    }

    protected static final int M(int i, int i2, int[] iArr) {
        if (i >= 0) {
            iArr[0] = i % i2;
            return i / i2;
        }
        int i3 = ((i + 1) / i2) - 1;
        iArr[0] = i - (i2 * i3);
        return i3;
    }

    protected static final int N(long j, int i, int[] iArr) {
        if (j >= 0) {
            long j2 = (long) i;
            iArr[0] = (int) (j % j2);
            return (int) (j / j2);
        }
        long j3 = (long) i;
        int i2 = (int) (((j + 1) / j3) - 1);
        iArr[0] = (int) (j - (((long) i2) * j3));
        return i2;
    }

    protected static final long O(long j, long j2) {
        return j >= 0 ? j / j2 : ((j + 1) / j2) - 1;
    }

    private void O0() {
        int[] iArr;
        this.z1 = 1;
        for (int i = 0; i < this.u1.length; i++) {
            int i2 = Z0;
            int i3 = -1;
            int i4 = 0;
            while (true) {
                iArr = this.u1;
                if (i4 >= iArr.length) {
                    break;
                }
                if (iArr[i4] > this.z1 && iArr[i4] < i2) {
                    i2 = iArr[i4];
                    i3 = i4;
                }
                i4++;
            }
            if (i3 < 0) {
                break;
            }
            int i5 = this.z1 + 1;
            this.z1 = i5;
            iArr[i3] = i5;
        }
        this.z1++;
    }

    private static DateFormat P(Calendar calendar, ULocale uLocale, int i, int i2) {
        String str;
        if (i2 < -1 || i2 > 3) {
            throw new IllegalArgumentException("Illegal time style " + i2);
        } else if (i < -1 || i > 3) {
            throw new IllegalArgumentException("Illegal date style " + i);
        } else {
            c h = c.h(calendar, uLocale);
            String str2 = null;
            if (i2 >= 0 && i >= 0) {
                String f = h.f(i);
                int i3 = i + 4;
                str = l1.g(f, 2, 2, h.f15972a[i2], h.f15972a[i3]);
                if (h.f15973b != null) {
                    str2 = I0(h.f15972a[i3], h.f15972a[i2], h.f15973b[i3], h.f15973b[i2]);
                }
            } else if (i2 >= 0) {
                str = h.f15972a[i2];
                if (h.f15973b != null) {
                    str2 = h.f15973b[i2];
                }
            } else if (i >= 0) {
                int i4 = i + 4;
                str = h.f15972a[i4];
                if (h.f15973b != null) {
                    str2 = h.f15973b[i4];
                }
            } else {
                throw new IllegalArgumentException("No date or time style specified");
            }
            DateFormat s0 = calendar.s0(str, str2, uLocale);
            s0.setCalendar(calendar);
            return s0;
        }
    }

    private void Q0(ULocale uLocale) {
        if (!(uLocale.getVariant().length() == 0 && uLocale.getKeywords() == null)) {
            StringBuilder sb = new StringBuilder();
            sb.append(uLocale.getLanguage());
            String script = uLocale.getScript();
            if (script.length() > 0) {
                sb.append(com.ibm.icu.impl.locale.b.f14006b);
                sb.append(script);
            }
            String country = uLocale.getCountry();
            if (country.length() > 0) {
                sb.append(com.ibm.icu.impl.locale.b.f14006b);
                sb.append(country);
            }
            String keywordValue = uLocale.getKeywordValue("calendar");
            if (keywordValue != null) {
                sb.append("@calendar=");
                sb.append(keywordValue);
            }
            uLocale = new ULocale(sb.toString());
        }
        R0(uLocale, uLocale);
    }

    private int R(int i, int i2, int i3) {
        int i4;
        if (i2 == i3) {
            return i2;
        }
        boolean z = true;
        int i5 = i3 > i2 ? 1 : -1;
        Calendar calendar = (Calendar) clone();
        calendar.s();
        calendar.setLenient(true);
        if (i5 >= 0) {
            z = false;
        }
        calendar.N0(i, z);
        calendar.set(i, i2);
        if (calendar.get(i) != i2 && i != 4 && i5 > 0) {
            return i2;
        }
        do {
            i4 = i2 + i5;
            calendar.add(i, i5);
            if (calendar.get(i) != i4) {
                break;
            }
            i2 = i4;
        } while (i4 != i3);
        return i2;
    }

    private static CalType S(ULocale uLocale) {
        String a2 = com.ibm.icu.impl.g.a(uLocale);
        if (a2 != null) {
            String lowerCase = a2.toLowerCase(Locale.ENGLISH);
            CalType[] values = CalType.values();
            for (CalType calType : values) {
                if (lowerCase.equals(calType.getId())) {
                    return calType;
                }
            }
        }
        return CalType.UNKNOWN;
    }

    private void S0(String str) {
        if (str == null) {
            str = e.c.i;
        }
        setWeekData((d) l1.b(str, str));
    }

    private void T0() {
        B();
        if (isLenient() || !this.x1) {
            this.w1 = false;
        }
        this.v1 = true;
        this.y1 = false;
    }

    private Long a0(long j) {
        TimeZone timeZone = this.zone;
        if (timeZone instanceof BasicTimeZone) {
            g0 previousTransition = ((BasicTimeZone) timeZone).getPreviousTransition(j, true);
            if (previousTransition != null) {
                return Long.valueOf(previousTransition.b());
            }
            return null;
        }
        Long f0 = f0(timeZone, j, 7200000);
        return f0 == null ? f0(this.zone, j, 108000000) : f0;
    }

    private static Calendar b0(TimeZone timeZone, ULocale uLocale) {
        if (uLocale == null) {
            uLocale = ULocale.getDefault(ULocale.Category.FORMAT);
        }
        if (timeZone == null) {
            timeZone = TimeZone.forULocaleOrDefault(uLocale);
        }
        Calendar G = G(uLocale);
        G.setTimeZone(timeZone);
        G.setTimeInMillis(System.currentTimeMillis());
        return G;
    }

    /* access modifiers changed from: private */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x008e  */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x00d0  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x00d9  */
    public static c d0(ULocale uLocale, String str) {
        int i;
        ICUResourceBundle m0;
        ULocale uLocale2;
        ULocale addLikelySubtags;
        ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) h0.j(a0.f13490d, uLocale);
        ICUResourceBundle m02 = iCUResourceBundle.m0("calendar/" + str + "/DateTimePatterns");
        if (m02 == null) {
            m02 = iCUResourceBundle.Z0("calendar/gregorian/DateTimePatterns");
        }
        int x = m02.x();
        String[] strArr = new String[x];
        String[] strArr2 = new String[x];
        String baseName = uLocale.getBaseName();
        if (baseName.length() > 0 && !baseName.equals(C.r0) && (addLikelySubtags = ULocale.addLikelySubtags(m02.D())) != (uLocale2 = new ULocale(baseName))) {
            String country = uLocale2.getCountry();
            if ((country.length() > 0 && !country.equals(addLikelySubtags.getCountry())) || !uLocale2.getLanguage().equals(addLikelySubtags.getLanguage())) {
                DateTimePatternGenerator l0 = DateTimePatternGenerator.l0(uLocale);
                i = 0;
                while (i < 4) {
                    strArr[i] = l0.N(d1[i]);
                    i++;
                }
                while (i < x) {
                    ICUResourceBundle iCUResourceBundle2 = (ICUResourceBundle) m02.c(i);
                    int B = iCUResourceBundle2.B();
                    if (B == 0) {
                        strArr[i] = iCUResourceBundle2.y();
                    } else if (B == 8) {
                        strArr[i] = iCUResourceBundle2.z(0);
                        strArr2[i] = iCUResourceBundle2.z(1);
                    }
                    i++;
                }
                m0 = iCUResourceBundle.m0("calendar/" + str + "/DateTimePatterns%atTime");
                if (m0 == null) {
                    m0 = iCUResourceBundle.m0("calendar/gregorian/DateTimePatterns%atTime");
                }
                String[] strArr3 = null;
                if (m0 != null) {
                    int x2 = m0.x();
                    String[] strArr4 = new String[x2];
                    if (x2 >= 4) {
                        for (int i2 = 0; i2 < 4; i2++) {
                            ICUResourceBundle iCUResourceBundle3 = (ICUResourceBundle) m0.c(i2);
                            if (iCUResourceBundle3.B() == 0) {
                                strArr4[i2] = iCUResourceBundle3.y();
                            }
                        }
                    }
                    strArr3 = strArr4;
                }
                return new c(strArr, strArr2, strArr3);
            }
        }
        i = 0;
        while (i < x) {
        }
        m0 = iCUResourceBundle.m0("calendar/" + str + "/DateTimePatterns%atTime");
        if (m0 == null) {
        }
        String[] strArr32 = null;
        if (m0 != null) {
        }
        return new c(strArr, strArr2, strArr32);
    }

    private static Long f0(TimeZone timeZone, long j, long j2) {
        long j3 = (j - j2) - 1;
        int offset = timeZone.getOffset(j);
        if (offset == timeZone.getOffset(j3)) {
            return null;
        }
        return J(timeZone, offset, j, j3);
    }

    private static String g0(ULocale uLocale) {
        String regionForSupplementalData = ULocale.getRegionForSupplementalData(uLocale, true);
        return regionForSupplementalData.length() == 0 ? e.c.i : regionForSupplementalData;
    }

    public static Locale[] getAvailableLocales() {
        return ICUResourceBundle.x0();
    }

    public static ULocale[] getAvailableULocales() {
        return ICUResourceBundle.B0();
    }

    @Deprecated
    public static String getDateAtTimePattern(Calendar calendar, ULocale uLocale, int i) {
        return c.h(calendar, uLocale).f(i);
    }

    @Deprecated
    public static String getDateTimePattern(Calendar calendar, ULocale uLocale, int i) {
        return c.h(calendar, uLocale).g(i);
    }

    public static Calendar getInstance() {
        return b0(null, null);
    }

    public static final String[] getKeywordValuesForLocale(String str, ULocale uLocale, boolean z) {
        h0 h0Var;
        String regionForSupplementalData = ULocale.getRegionForSupplementalData(uLocale, true);
        ArrayList arrayList = new ArrayList();
        h0 d2 = h0.m(a0.f13490d, "supplementalData", ICUResourceBundle.j).d("calendarPreferenceData");
        try {
            h0Var = d2.d(regionForSupplementalData);
        } catch (MissingResourceException unused) {
            h0Var = d2.d(e.c.i);
        }
        String[] A = h0Var.A();
        if (z) {
            return A;
        }
        for (String str2 : A) {
            arrayList.add(str2);
        }
        CalType[] values = CalType.values();
        for (CalType calType : values) {
            if (!arrayList.contains(calType.getId())) {
                arrayList.add(calType.getId());
            }
        }
        return (String[]) arrayList.toArray(new String[arrayList.size()]);
    }

    public static d getWeekDataForRegion(String str) {
        return l1.a(str, str);
    }

    /* access modifiers changed from: private */
    public static d i0(String str) {
        h0 h0Var;
        if (str == null) {
            str = e.c.i;
        }
        h0 d2 = h0.m(a0.f13490d, "supplementalData", ICUResourceBundle.j).d("weekData");
        try {
            h0Var = d2.d(str);
        } catch (MissingResourceException e2) {
            if (!str.equals(e.c.i)) {
                h0Var = d2.d(e.c.i);
            } else {
                throw e2;
            }
        }
        int[] r = h0Var.r();
        return new d(r[0], r[1], r[2], r[3], r[4], r[5]);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:3:0x0010, code lost:
        if ((r2 % 67) >= 33) goto L_0x001f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:5:0x001d, code lost:
        if (((-r2) % 67) <= 33) goto L_0x001f;
     */
    private static int j0(int i) {
        int i2;
        int i3 = 0;
        if (i >= 1397) {
            int i4 = i - 1397;
            i2 = (i4 / 67) * 2;
        } else {
            int i5 = i - 1396;
            i2 = ((i5 / 67) - 1) * 2;
        }
        i3 = 1;
        return (i + 579) - (i2 + i3);
    }

    protected static final int k0(int i, int i2) {
        return q1[i2][F0(i) ? 1 : 0];
    }

    protected static final int l0(int i, int i2) {
        if (i2 > 0) {
            return k0(i, i2 - 1);
        }
        return 31;
    }

    private long q(Object obj) {
        long j;
        if (obj instanceof Calendar) {
            j = ((Calendar) obj).getTimeInMillis();
        } else if (obj instanceof Date) {
            j = ((Date) obj).getTime();
        } else {
            throw new IllegalArgumentException(obj + "is not a Calendar or Date");
        }
        return getTimeInMillis() - j;
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        A0();
        this.v1 = true;
        this.x1 = false;
        this.w1 = false;
        this.y1 = true;
        this.z1 = 2;
    }

    private final void u(int i) {
        v(i);
        int[] iArr = this.t1;
        int G0 = G0(i);
        iArr[7] = G0;
        int firstDayOfWeek2 = (G0 - getFirstDayOfWeek()) + 1;
        if (firstDayOfWeek2 < 1) {
            firstDayOfWeek2 += 7;
        }
        this.t1[18] = firstDayOfWeek2;
    }

    private void writeObject(ObjectOutputStream objectOutputStream) throws IOException {
        if (!this.v1) {
            try {
                T0();
            } catch (IllegalArgumentException unused) {
            }
        }
        objectOutputStream.defaultWriteObject();
    }

    /* access modifiers changed from: protected */
    @Deprecated
    public long A() {
        int[] iArr = this.u1;
        int i = iArr[11];
        int max = Math.max(iArr[10], iArr[9]);
        if (max <= i) {
            max = i;
        }
        long j = 0;
        if (max != 0) {
            if (max == i) {
                j = 0 + ((long) B0(11));
            } else {
                j = ((long) B0(10)) + 0 + ((long) (B0(9) * 12));
            }
        }
        return (((((j * 60) + ((long) B0(12))) * 60) + ((long) B0(13))) * 1000) + ((long) B0(14));
    }

    /* access modifiers changed from: protected */
    public void B() {
        long j;
        int[] iArr;
        int i;
        if (!isLenient()) {
            W0();
        }
        long H0 = H0(y());
        if (this.u1[21] >= 2 && L0(9, 14, 0) <= this.u1[21]) {
            i = B0(21);
        } else if (Math.max(Math.abs(B0(11)), Math.abs(B0(10))) > V0) {
            j = A();
            iArr = this.u1;
            if (iArr[15] < 2 || iArr[16] >= 2) {
                this.time = (H0 + j) - ((long) (B0(15) + B0(16)));
            } else if (!this.lenient || this.skippedWallTime == 2) {
                int F = F(H0, j);
                long j2 = (H0 + j) - ((long) F);
                if (F == this.zone.getOffset(j2)) {
                    this.time = j2;
                    return;
                } else if (this.lenient) {
                    Long a0 = a0(j2);
                    if (a0 != null) {
                        this.time = a0.longValue();
                        return;
                    }
                    throw new RuntimeException("Could not locate a time zone transition before " + j2);
                } else {
                    throw new IllegalArgumentException("The specified wall time does not exist due to time zone offset transition.");
                }
            } else {
                this.time = (H0 + j) - ((long) F(H0, j));
                return;
            }
        } else {
            i = z();
        }
        j = (long) i;
        iArr = this.u1;
        if (iArr[15] < 2) {
        }
        this.time = (H0 + j) - ((long) (B0(15) + B0(16)));
    }

    /* access modifiers changed from: protected */
    public final int B0(int i) {
        return this.t1[i];
    }

    /* access modifiers changed from: protected */
    public final int C0(int i, int i2) {
        return this.u1[i] > 0 ? this.t1[i] : i2;
    }

    /* access modifiers changed from: protected */
    public final long D0() {
        return this.time;
    }

    /* access modifiers changed from: protected */
    @Deprecated
    public int E(long j, int i) {
        boolean z;
        int offset;
        int[] iArr = new int[2];
        long j2 = j + ((long) i);
        TimeZone timeZone = this.zone;
        if (timeZone instanceof BasicTimeZone) {
            ((BasicTimeZone) timeZone).getOffsetFromLocal(j2, this.skippedWallTime == 1 ? BasicTimeZone.LocalOption.LATTER : BasicTimeZone.LocalOption.FORMER, this.repeatedWallTime == 1 ? BasicTimeZone.LocalOption.FORMER : BasicTimeZone.LocalOption.LATTER, iArr);
        } else {
            timeZone.getOffset(j2, true, iArr);
            if (this.repeatedWallTime != 1 || (offset = (iArr[0] + iArr[1]) - this.zone.getOffset((j2 - ((long) (iArr[0] + iArr[1]))) - 21600000)) >= 0) {
                z = false;
            } else {
                this.zone.getOffset(((long) offset) + j2, true, iArr);
                z = true;
            }
            if (!z && this.skippedWallTime == 1) {
                this.zone.getOffset(j2 - ((long) (iArr[0] + iArr[1])), false, iArr);
            }
        }
        return iArr[0] + iArr[1];
    }

    /* access modifiers changed from: protected */
    public final void E0(int i, int i2) {
        if (((1 << i) & this.A1) != 0) {
            this.t1[i] = i2;
            this.u1[i] = 1;
            return;
        }
        throw new IllegalStateException("Subclass cannot set " + I(i));
    }

    /* access modifiers changed from: protected */
    @Deprecated
    public int F(long j, long j2) {
        boolean z;
        int offset;
        int[] iArr = new int[2];
        long j3 = j + j2;
        TimeZone timeZone = this.zone;
        if (timeZone instanceof BasicTimeZone) {
            ((BasicTimeZone) timeZone).getOffsetFromLocal(j3, this.skippedWallTime == 1 ? BasicTimeZone.LocalOption.LATTER : BasicTimeZone.LocalOption.FORMER, this.repeatedWallTime == 1 ? BasicTimeZone.LocalOption.FORMER : BasicTimeZone.LocalOption.LATTER, iArr);
        } else {
            timeZone.getOffset(j3, true, iArr);
            if (this.repeatedWallTime != 1 || (offset = (iArr[0] + iArr[1]) - this.zone.getOffset((j3 - ((long) (iArr[0] + iArr[1]))) - 21600000)) >= 0) {
                z = false;
            } else {
                this.zone.getOffset(((long) offset) + j3, true, iArr);
                z = true;
            }
            if (!z && this.skippedWallTime == 1) {
                this.zone.getOffset(j3 - ((long) (iArr[0] + iArr[1])), false, iArr);
            }
        }
        return iArr[0] + iArr[1];
    }

    /* access modifiers changed from: protected */
    public String I(int i) {
        try {
            return r1[i];
        } catch (ArrayIndexOutOfBoundsException unused) {
            return "Field " + i;
        }
    }

    /* access modifiers changed from: protected */
    public int K0(int i, int i2) {
        int[] iArr = this.u1;
        return iArr[i2] > iArr[i] ? i2 : i;
    }

    /* access modifiers changed from: protected */
    public int L0(int i, int i2, int i3) {
        while (i <= i2) {
            int[] iArr = this.u1;
            if (iArr[i] > i3) {
                i3 = iArr[i];
            }
            i++;
        }
        return i3;
    }

    /* access modifiers changed from: protected */
    public void M0(int i) {
        int actualMaximum = getActualMaximum(i);
        int actualMinimum = getActualMinimum(i);
        int[] iArr = this.t1;
        if (iArr[i] > actualMaximum) {
            set(i, actualMaximum);
        } else if (iArr[i] < actualMinimum) {
            set(i, actualMinimum);
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x001e, code lost:
        if (r6 != 19) goto L_0x0053;
     */
    public void N0(int i, boolean z) {
        set(21, 0);
        if (i != 1) {
            if (i == 2) {
                set(5, getGreatestMinimum(5));
            } else if (i == 3 || i == 4) {
                int i2 = this.firstDayOfWeek;
                if (z && (i2 = (i2 + 6) % 7) < 1) {
                    i2 += 7;
                }
                set(7, i2);
            } else if (i == 8) {
                set(5, 1);
                set(7, get(7));
            } else if (i == 17) {
                set(3, getGreatestMinimum(3));
            }
            set(i, getGreatestMinimum(i));
        }
        set(6, getGreatestMinimum(6));
        set(i, getGreatestMinimum(i));
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x0040, code lost:
        if (r8[4] < r8[r7]) goto L_0x0042;
     */
    public int P0(int[][][] iArr) {
        int i = -1;
        for (int i2 = 0; i2 < iArr.length && i < 0; i2++) {
            int[][] iArr2 = iArr[i2];
            int i3 = 0;
            for (int[] iArr3 : iArr2) {
                int i4 = iArr3[0] >= 32 ? 1 : 0;
                int i5 = 0;
                while (true) {
                    if (i4 < iArr3.length) {
                        int i6 = this.u1[iArr3[i4]];
                        if (i6 == 0) {
                            break;
                        }
                        i5 = Math.max(i5, i6);
                        i4++;
                    } else if (i5 > i3) {
                        int i7 = iArr3[0];
                        if (i7 >= 32 && (i7 = i7 & 31) == 5) {
                            int[] iArr4 = this.u1;
                        }
                        i = i7;
                        if (i == i7) {
                            i3 = i5;
                        }
                    }
                }
            }
        }
        return i >= 32 ? i & 31 : i;
    }

    /* access modifiers changed from: package-private */
    public final void R0(ULocale uLocale, ULocale uLocale2) {
        boolean z = true;
        boolean z2 = uLocale == null;
        if (uLocale2 != null) {
            z = false;
        }
        if (z2 == z) {
            this.validLocale = uLocale;
            this.actualLocale = uLocale2;
            return;
        }
        throw new IllegalArgumentException();
    }

    /* access modifiers changed from: protected */
    public int T(int i, int i2) {
        return 1;
    }

    /* access modifiers changed from: protected */
    public int U(int i) {
        return 0;
    }

    /* access modifiers changed from: protected */
    public void U0(int i) {
        if (i == 5) {
            V0(i, 1, y0(v0(), B0(2)));
        } else if (i == 6) {
            V0(i, 1, z0(v0()));
        } else if (i != 8) {
            V0(i, getMinimum(i), getMaximum(i));
        } else if (B0(i) != 0) {
            V0(i, getMinimum(i), getMaximum(i));
        } else {
            throw new IllegalArgumentException("DAY_OF_WEEK_IN_MONTH cannot be zero");
        }
    }

    /* access modifiers changed from: protected */
    public int[][][] V() {
        return n1;
    }

    /* access modifiers changed from: protected */
    public final void V0(int i, int i2, int i3) {
        int i4 = this.t1[i];
        if (i4 < i2 || i4 > i3) {
            throw new IllegalArgumentException(I(i) + '=' + i4 + ", valid range=" + i2 + ".." + i3);
        }
    }

    /* access modifiers changed from: protected */
    public final int W() {
        return this.E1;
    }

    /* access modifiers changed from: protected */
    public void W0() {
        for (int i = 0; i < this.t1.length; i++) {
            if (this.u1[i] >= 2) {
                U0(i);
            }
        }
    }

    /* access modifiers changed from: protected */
    public final int X() {
        return this.D1;
    }

    /* access modifiers changed from: protected */
    public final int X0(int i, int i2) {
        return Y0(i, i, i2);
    }

    /* access modifiers changed from: protected */
    public final int Y() {
        return this.C1;
    }

    /* access modifiers changed from: protected */
    public int Y0(int i, int i2, int i3) {
        int firstDayOfWeek2 = (((i3 - getFirstDayOfWeek()) - i2) + 1) % 7;
        if (firstDayOfWeek2 < 0) {
            firstDayOfWeek2 += 7;
        }
        int i4 = ((i + firstDayOfWeek2) - 1) / 7;
        return 7 - firstDayOfWeek2 >= getMinimalDaysInFirstWeek() ? i4 + 1 : i4;
    }

    /* access modifiers changed from: protected */
    public final int Z() {
        return this.B1;
    }

    /* JADX WARNING: Removed duplicated region for block: B:18:0x004f  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0060  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x006b  */
    /* JADX WARNING: Removed duplicated region for block: B:57:0x010c  */
    /* JADX WARNING: Removed duplicated region for block: B:61:? A[ADDED_TO_REGION, RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:71:? A[RETURN, SYNTHETIC] */
    public void add(int i, int i2) {
        boolean isLenient;
        boolean z;
        int i3;
        int i4;
        long j;
        long j2;
        if (i2 != 0) {
            long j3 = (long) i2;
            int i5 = 0;
            switch (i) {
                case 0:
                    set(i, get(i) + i2);
                    M0(0);
                    return;
                case 1:
                case 17:
                    if (get(0) == 0) {
                        String type = getType();
                        if (type.equals("gregorian") || type.equals("roc") || type.equals("coptic")) {
                            i2 = -i2;
                        }
                    }
                    isLenient = isLenient();
                    setLenient(true);
                    set(i, get(i) + i2);
                    M0(5);
                    if (isLenient) {
                        s();
                        setLenient(isLenient);
                        return;
                    }
                    return;
                case 2:
                case 19:
                    isLenient = isLenient();
                    setLenient(true);
                    set(i, get(i) + i2);
                    M0(5);
                    if (isLenient) {
                    }
                    break;
                case 3:
                case 4:
                case 8:
                    j = M0;
                    j3 *= j;
                    z = true;
                    if (z) {
                        i3 = get(16) + get(15);
                        i5 = get(21);
                    } else {
                        i3 = 0;
                    }
                    setTimeInMillis(getTimeInMillis() + j3);
                    if (!z && (i4 = get(21)) != i5) {
                        long D0 = D0();
                        int i6 = get(16) + get(15);
                        if (i6 != i3) {
                            long j4 = ((long) (i3 - i6)) % 86400000;
                            int i7 = (j4 > 0 ? 1 : (j4 == 0 ? 0 : -1));
                            if (i7 != 0) {
                                setTimeInMillis(j4 + D0);
                                i4 = get(21);
                            }
                            if (i4 != i5) {
                                int i8 = this.skippedWallTime;
                                if (i8 != 0) {
                                    if (i8 != 1) {
                                        if (i8 == 2) {
                                            if (i7 > 0) {
                                                D0 = D0();
                                            }
                                            Long a0 = a0(D0);
                                            if (a0 != null) {
                                                setTimeInMillis(a0.longValue());
                                                return;
                                            }
                                            throw new RuntimeException("Could not locate a time zone transition before " + D0);
                                        }
                                        return;
                                    } else if (i7 > 0) {
                                        setTimeInMillis(D0);
                                        return;
                                    } else {
                                        return;
                                    }
                                } else if (i7 < 0) {
                                    setTimeInMillis(D0);
                                    return;
                                } else {
                                    return;
                                }
                            } else {
                                return;
                            }
                        } else {
                            return;
                        }
                    } else {
                        return;
                    }
                case 5:
                case 6:
                case 7:
                case 18:
                case 20:
                    j3 *= 86400000;
                    z = true;
                    if (z) {
                    }
                    setTimeInMillis(getTimeInMillis() + j3);
                    if (!z) {
                        return;
                    }
                    return;
                case 9:
                    j = 43200000;
                    j3 *= j;
                    z = true;
                    if (z) {
                    }
                    setTimeInMillis(getTimeInMillis() + j3);
                    if (!z) {
                    }
                    break;
                case 10:
                case 11:
                    j2 = 3600000;
                    j3 *= j2;
                    z = false;
                    if (z) {
                    }
                    setTimeInMillis(getTimeInMillis() + j3);
                    if (!z) {
                    }
                    break;
                case 12:
                    j2 = 60000;
                    j3 *= j2;
                    z = false;
                    if (z) {
                    }
                    setTimeInMillis(getTimeInMillis() + j3);
                    if (!z) {
                    }
                    break;
                case 13:
                    j2 = 1000;
                    j3 *= j2;
                    z = false;
                    if (z) {
                    }
                    setTimeInMillis(getTimeInMillis() + j3);
                    if (!z) {
                    }
                    break;
                case 14:
                case 21:
                    z = false;
                    if (z) {
                    }
                    setTimeInMillis(getTimeInMillis() + j3);
                    if (!z) {
                    }
                    break;
                case 15:
                case 16:
                default:
                    throw new IllegalArgumentException("Calendar.add(" + I(i) + ") not supported");
            }
        }
    }

    public boolean after(Object obj) {
        return q(obj) > 0;
    }

    public boolean before(Object obj) {
        return q(obj) < 0;
    }

    /* access modifiers changed from: protected */
    public int c0(int i, int i2) {
        switch (i) {
            case 4:
                if (i2 == 0) {
                    if (getMinimalDaysInFirstWeek() == 1) {
                        return 1;
                    }
                    return 0;
                } else if (i2 == 1) {
                    return 1;
                } else {
                    int minimalDaysInFirstWeek2 = getMinimalDaysInFirstWeek();
                    int w0 = w0(5, i2);
                    if (i2 == 2) {
                        return (w0 + (7 - minimalDaysInFirstWeek2)) / 7;
                    }
                    return ((w0 + 6) + (7 - minimalDaysInFirstWeek2)) / 7;
                }
            case 5:
            case 6:
            case 8:
            case 17:
            case 19:
            default:
                return w0(i, i2);
            case 7:
            case 9:
            case 10:
            case 11:
            case 12:
            case 13:
            case 14:
            case 15:
            case 16:
            case 18:
            case 20:
            case 21:
            case 22:
                return g1[i][i2];
        }
    }

    public final void clear() {
        int i = 0;
        while (true) {
            int[] iArr = this.t1;
            if (i < iArr.length) {
                this.u1[i] = 0;
                iArr[i] = 0;
                i++;
            } else {
                this.y1 = false;
                this.x1 = false;
                this.w1 = false;
                this.v1 = false;
                return;
            }
        }
    }

    @Override // java.lang.Object
    public Object clone() {
        try {
            Calendar calendar = (Calendar) super.clone();
            int[] iArr = new int[this.t1.length];
            calendar.t1 = iArr;
            int[] iArr2 = this.t1;
            calendar.u1 = new int[iArr2.length];
            System.arraycopy(iArr2, 0, iArr, 0, iArr2.length);
            System.arraycopy(this.u1, 0, calendar.u1, 0, this.t1.length);
            calendar.zone = (TimeZone) this.zone.clone();
            return calendar;
        } catch (CloneNotSupportedException e2) {
            throw new ICUCloneNotSupportedException(e2);
        }
    }

    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (this == obj) {
            return true;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        Calendar calendar = (Calendar) obj;
        if (!isEquivalentTo(calendar) || getTimeInMillis() != calendar.getTime().getTime()) {
            return false;
        }
        return true;
    }

    public int fieldDifference(Date date, int i) {
        long timeInMillis = getTimeInMillis();
        long time2 = date.getTime();
        int i2 = 0;
        int i3 = (timeInMillis > time2 ? 1 : (timeInMillis == time2 ? 0 : -1));
        if (i3 < 0) {
            int i4 = 1;
            int i5 = 0;
            while (true) {
                setTimeInMillis(timeInMillis);
                add(i, i4);
                int i6 = (getTimeInMillis() > time2 ? 1 : (getTimeInMillis() == time2 ? 0 : -1));
                if (i6 == 0) {
                    return i4;
                }
                if (i6 > 0) {
                    while (true) {
                        int i7 = i4 - i5;
                        if (i7 <= 1) {
                            i2 = i5;
                            break;
                        }
                        int i8 = (i7 / 2) + i5;
                        setTimeInMillis(timeInMillis);
                        add(i, i8);
                        int i9 = (getTimeInMillis() > time2 ? 1 : (getTimeInMillis() == time2 ? 0 : -1));
                        if (i9 == 0) {
                            return i8;
                        }
                        if (i9 > 0) {
                            i4 = i8;
                        } else {
                            i5 = i8;
                        }
                    }
                } else {
                    int i10 = Integer.MAX_VALUE;
                    if (i4 < Integer.MAX_VALUE) {
                        int i11 = i4 << 1;
                        if (i11 >= 0) {
                            i10 = i11;
                        }
                        i5 = i4;
                        i4 = i10;
                    } else {
                        throw new RuntimeException();
                    }
                }
            }
        } else if (i3 > 0) {
            int i12 = -1;
            int i13 = 0;
            while (true) {
                setTimeInMillis(timeInMillis);
                add(i, i12);
                int i14 = (getTimeInMillis() > time2 ? 1 : (getTimeInMillis() == time2 ? 0 : -1));
                if (i14 == 0) {
                    return i12;
                }
                if (i14 < 0) {
                    int i15 = i12;
                    i2 = i13;
                    while (i2 - i15 > 1) {
                        int i16 = ((i15 - i2) / 2) + i2;
                        setTimeInMillis(timeInMillis);
                        add(i, i16);
                        int i17 = (getTimeInMillis() > time2 ? 1 : (getTimeInMillis() == time2 ? 0 : -1));
                        if (i17 == 0) {
                            return i16;
                        }
                        if (i17 < 0) {
                            i15 = i16;
                        } else {
                            i2 = i16;
                        }
                    }
                } else {
                    int i18 = i12 << 1;
                    if (i18 != 0) {
                        i13 = i12;
                        i12 = i18;
                    } else {
                        throw new RuntimeException();
                    }
                }
            }
        }
        setTimeInMillis(timeInMillis);
        add(i, i2);
        return i2;
    }

    public final int get(int i) {
        s();
        return this.t1[i];
    }

    public int getActualMaximum(int i) {
        if (!(i == 0 || i == 18)) {
            if (i == 5) {
                Calendar calendar = (Calendar) clone();
                calendar.setLenient(true);
                calendar.N0(i, false);
                return y0(calendar.get(19), calendar.get(2));
            } else if (i == 6) {
                Calendar calendar2 = (Calendar) clone();
                calendar2.setLenient(true);
                calendar2.N0(i, false);
                return z0(calendar2.get(19));
            } else if (!(i == 7 || i == 20 || i == 21)) {
                switch (i) {
                    case 9:
                    case 10:
                    case 11:
                    case 12:
                    case 13:
                    case 14:
                    case 15:
                    case 16:
                        break;
                    default:
                        return R(i, getLeastMaximum(i), getMaximum(i));
                }
            }
        }
        return getMaximum(i);
    }

    public int getActualMinimum(int i) {
        switch (i) {
            case 7:
            case 9:
            case 10:
            case 11:
            case 12:
            case 13:
            case 14:
            case 15:
            case 16:
            case 18:
            case 20:
            case 21:
                return getMinimum(i);
            case 8:
            case 17:
            case 19:
            default:
                return R(i, getGreatestMinimum(i), getMinimum(i));
        }
    }

    public DateFormat getDateTimeFormat(int i, int i2, Locale locale) {
        return P(this, ULocale.forLocale(locale), i, i2);
    }

    @Deprecated
    public int getDayOfWeekType(int i) {
        if (i < 1 || i > 7) {
            throw new IllegalArgumentException("Invalid day of week");
        }
        int i2 = this.weekendOnset;
        int i3 = this.weekendCease;
        if (i2 != i3) {
            if (i2 < i3) {
                if (i < i2 || i > i3) {
                    return 0;
                }
            } else if (i > i3 && i < i2) {
                return 0;
            }
            if (i == i2) {
                if (this.weekendOnsetMillis == 0) {
                    return 1;
                }
                return 2;
            } else if (i != i3 || this.weekendCeaseMillis >= 86400000) {
                return 1;
            } else {
                return 3;
            }
        } else if (i != i2) {
            return 0;
        } else {
            if (this.weekendOnsetMillis == 0) {
                return 1;
            }
            return 2;
        }
    }

    public String getDisplayName(Locale locale) {
        return getClass().getName();
    }

    public final int getFieldCount() {
        return this.t1.length;
    }

    public int getFirstDayOfWeek() {
        return this.firstDayOfWeek;
    }

    public final int getGreatestMinimum(int i) {
        return c0(i, 1);
    }

    public final int getLeastMaximum(int i) {
        return c0(i, 2);
    }

    public final ULocale getLocale(ULocale.g gVar) {
        return gVar == ULocale.ACTUAL_LOCALE ? this.actualLocale : this.validLocale;
    }

    public final int getMaximum(int i) {
        return c0(i, 3);
    }

    public int getMinimalDaysInFirstWeek() {
        return this.minimalDaysInFirstWeek;
    }

    public final int getMinimum(int i) {
        return c0(i, 0);
    }

    @Deprecated
    public final int getRelatedYear() {
        int i = get(19);
        CalType calType = CalType.GREGORIAN;
        String type = getType();
        CalType[] values = CalType.values();
        int length = values.length;
        int i2 = 0;
        while (true) {
            if (i2 >= length) {
                break;
            }
            CalType calType2 = values[i2];
            if (type.equals(calType2.getId())) {
                calType = calType2;
                break;
            }
            i2++;
        }
        switch (a.f15966a[calType.ordinal()]) {
            case 4:
                return i - 2637;
            case 5:
                return i + c.p.A4;
            case 6:
                return i - 2333;
            case 7:
                return i + 8;
            case 8:
                return i - 5492;
            case 9:
                return i - 3760;
            case 10:
                return i + 79;
            case 11:
            case 12:
            case 13:
            case 14:
            case 15:
                return j0(i);
            case 16:
            default:
                return i;
            case 17:
                return i + 622;
        }
    }

    public int getRepeatedWallTimeOption() {
        return this.repeatedWallTime;
    }

    public int getSkippedWallTimeOption() {
        return this.skippedWallTime;
    }

    public final Date getTime() {
        return new Date(getTimeInMillis());
    }

    public long getTimeInMillis() {
        if (!this.v1) {
            T0();
        }
        return this.time;
    }

    public TimeZone getTimeZone() {
        return this.zone;
    }

    public String getType() {
        return "unknown";
    }

    public d getWeekData() {
        return new d(this.firstDayOfWeek, this.minimalDaysInFirstWeek, this.weekendOnset, this.weekendOnsetMillis, this.weekendCease, this.weekendCeaseMillis);
    }

    @Deprecated
    public int getWeekendTransition(int i) {
        if (i == this.weekendOnset) {
            return this.weekendOnsetMillis;
        }
        if (i == this.weekendCease) {
            return this.weekendCeaseMillis;
        }
        throw new IllegalArgumentException("Not weekend transition day");
    }

    /* access modifiers changed from: protected */
    public final int h0(int i) {
        return this.u1[i];
    }

    public int hashCode() {
        return (this.lenient ? 1 : 0) | (this.firstDayOfWeek << 1) | (this.minimalDaysInFirstWeek << 4) | (this.repeatedWallTime << 7) | (this.skippedWallTime << 9) | (this.zone.hashCode() << 11);
    }

    @Deprecated
    public boolean haveDefaultCentury() {
        return true;
    }

    public boolean isEquivalentTo(Calendar calendar) {
        return getClass() == calendar.getClass() && isLenient() == calendar.isLenient() && getFirstDayOfWeek() == calendar.getFirstDayOfWeek() && getMinimalDaysInFirstWeek() == calendar.getMinimalDaysInFirstWeek() && getTimeZone().equals(calendar.getTimeZone()) && getRepeatedWallTimeOption() == calendar.getRepeatedWallTimeOption() && getSkippedWallTimeOption() == calendar.getSkippedWallTimeOption();
    }

    public boolean isLenient() {
        return this.lenient;
    }

    public final boolean isSet(int i) {
        return this.y1 || this.u1[i] != 0;
    }

    public boolean isWeekend(Date date) {
        setTime(date);
        return isWeekend();
    }

    /* access modifiers changed from: protected */
    public void m0(int i) {
        int i2;
        E0(2, Y());
        E0(5, W());
        E0(6, X());
        int Z = Z();
        E0(19, Z);
        if (Z < 1) {
            Z = 1 - Z;
            i2 = 0;
        } else {
            i2 = 1;
        }
        E0(0, i2);
        E0(1, Z);
    }

    /* access modifiers changed from: protected */
    public int n0(int i) {
        int i2;
        int i3;
        int i4;
        int i5;
        int B0;
        boolean z = i == 5 || i == 4 || i == 8;
        if (i == 3 && K0(17, 1) == 17) {
            i2 = B0(17);
        } else {
            i2 = v0();
        }
        E0(19, i2);
        int C0 = z ? C0(2, U(i2)) : 0;
        int p0 = p0(i2, C0, z);
        if (i == 5) {
            if (isSet(5)) {
                B0 = C0(5, T(i2, C0));
            } else {
                B0 = T(i2, C0);
            }
        } else if (i == 6) {
            B0 = B0(6);
        } else {
            int firstDayOfWeek2 = getFirstDayOfWeek();
            int G0 = G0(p0 + 1) - firstDayOfWeek2;
            if (G0 < 0) {
                G0 += 7;
            }
            int P02 = P0(o1);
            if (P02 == 7) {
                i3 = B0(7) - firstDayOfWeek2;
            } else if (P02 != 18) {
                i3 = 0;
            } else {
                i3 = B0(18) - 1;
            }
            int i6 = i3 % 7;
            if (i6 < 0) {
                i6 += 7;
            }
            int i7 = (1 - G0) + i6;
            if (i == 8) {
                if (i7 < 1) {
                    i7 += 7;
                }
                i5 = C0(8, 1);
                if (i5 < 0) {
                    i4 = i7 + ((((y0(i2, C0(2, 0)) - i7) / 7) + i5 + 1) * 7);
                    return p0 + i4;
                }
            } else {
                if (7 - G0 < getMinimalDaysInFirstWeek()) {
                    i7 += 7;
                }
                i5 = B0(i);
            }
            i4 = i7 + ((i5 - 1) * 7);
            return p0 + i4;
        }
        return p0 + B0;
    }

    /* access modifiers changed from: protected */
    public abstract int p0(int i, int i2, boolean z);

    /* access modifiers changed from: protected */
    public int[] q0() {
        return new int[23];
    }

    /* access modifiers changed from: protected */
    public DateFormat r0(String str, ULocale uLocale) {
        return s0(str, null, uLocale);
    }

    public final void roll(int i, boolean z) {
        roll(i, z ? 1 : -1);
    }

    /* access modifiers changed from: protected */
    public void s() {
        if (!this.v1) {
            T0();
        }
        if (!this.w1) {
            t();
            this.w1 = true;
            this.x1 = true;
        }
    }

    /* access modifiers changed from: protected */
    public DateFormat s0(String str, String str2, ULocale uLocale) {
        b bVar = new b(null);
        bVar.f15967a = str;
        bVar.f15968b = str2;
        bVar.f15969c = new DateFormatSymbols(this, uLocale);
        bVar.f15971e = uLocale;
        bVar.f15970d = this;
        return SimpleDateFormat.getInstance(bVar);
    }

    public final void set(int i, int i2) {
        if (this.y1) {
            t();
        }
        this.t1[i] = i2;
        if (this.z1 == Z0) {
            O0();
        }
        int[] iArr = this.u1;
        int i3 = this.z1;
        this.z1 = i3 + 1;
        iArr[i] = i3;
        this.y1 = false;
        this.w1 = false;
        this.v1 = false;
    }

    public void setFirstDayOfWeek(int i) {
        if (this.firstDayOfWeek == i) {
            return;
        }
        if (i < 1 || i > 7) {
            throw new IllegalArgumentException("Invalid day of week");
        }
        this.firstDayOfWeek = i;
        this.w1 = false;
    }

    public void setLenient(boolean z) {
        this.lenient = z;
    }

    public void setMinimalDaysInFirstWeek(int i) {
        if (i < 1) {
            i = 1;
        } else if (i > 7) {
            i = 7;
        }
        if (this.minimalDaysInFirstWeek != i) {
            this.minimalDaysInFirstWeek = i;
            this.w1 = false;
        }
    }

    @Deprecated
    public final void setRelatedYear(int i) {
        CalType calType = CalType.GREGORIAN;
        String type = getType();
        CalType[] values = CalType.values();
        int length = values.length;
        int i2 = 0;
        while (true) {
            if (i2 >= length) {
                break;
            }
            CalType calType2 = values[i2];
            if (type.equals(calType2.getId())) {
                calType = calType2;
                break;
            }
            i2++;
        }
        switch (a.f15966a[calType.ordinal()]) {
            case 4:
                i += 2637;
                break;
            case 5:
                i -= 284;
                break;
            case 6:
                i += 2333;
                break;
            case 7:
                i -= 8;
                break;
            case 8:
                i += 5492;
                break;
            case 9:
                i += 3760;
                break;
            case 10:
                i -= 79;
                break;
            case 11:
            case 12:
            case 13:
            case 14:
            case 15:
                i = K(i);
                break;
            case 17:
                i -= 622;
                break;
        }
        set(19, i);
    }

    public void setRepeatedWallTimeOption(int i) {
        if (i == 0 || i == 1) {
            this.repeatedWallTime = i;
            return;
        }
        throw new IllegalArgumentException("Illegal repeated wall time option - " + i);
    }

    public void setSkippedWallTimeOption(int i) {
        if (i == 0 || i == 1 || i == 2) {
            this.skippedWallTime = i;
            return;
        }
        throw new IllegalArgumentException("Illegal skipped wall time option - " + i);
    }

    public final void setTime(Date date) {
        setTimeInMillis(date.getTime());
    }

    public void setTimeInMillis(long j) {
        if (j > 183882168921600000L) {
            if (isLenient()) {
                j = 183882168921600000L;
            } else {
                throw new IllegalArgumentException("millis value greater than upper bounds for a Calendar : " + j);
            }
        } else if (j < -184303902528000000L) {
            if (isLenient()) {
                j = -184303902528000000L;
            } else {
                throw new IllegalArgumentException("millis value less than lower bounds for a Calendar : " + j);
            }
        }
        this.time = j;
        this.x1 = false;
        this.w1 = false;
        this.y1 = true;
        this.v1 = true;
        int i = 0;
        while (true) {
            int[] iArr = this.t1;
            if (i < iArr.length) {
                this.u1[i] = 0;
                iArr[i] = 0;
                i++;
            } else {
                return;
            }
        }
    }

    public void setTimeZone(TimeZone timeZone) {
        this.zone = timeZone;
        this.w1 = false;
    }

    public Calendar setWeekData(d dVar) {
        setFirstDayOfWeek(dVar.f15975a);
        setMinimalDaysInFirstWeek(dVar.f15976b);
        this.weekendOnset = dVar.f15977c;
        this.weekendOnsetMillis = dVar.f15978d;
        this.weekendCease = dVar.f15979e;
        this.weekendCeaseMillis = dVar.f;
        return this;
    }

    /* access modifiers changed from: protected */
    public void t() {
        int[] iArr = new int[2];
        getTimeZone().getOffset(this.time, false, iArr);
        long j = this.time + ((long) iArr[0]) + ((long) iArr[1]);
        int i = this.A1;
        for (int i2 = 0; i2 < this.t1.length; i2++) {
            if ((i & 1) == 0) {
                this.u1[i2] = 1;
            } else {
                this.u1[i2] = 0;
            }
            i >>= 1;
        }
        long O = O(j, 86400000);
        int[] iArr2 = this.t1;
        iArr2[20] = ((int) O) + O0;
        u(iArr2[20]);
        m0(this.t1[20]);
        D();
        int i3 = (int) (j - (O * 86400000));
        int[] iArr3 = this.t1;
        iArr3[21] = i3;
        iArr3[14] = i3 % 1000;
        int i4 = i3 / 1000;
        iArr3[13] = i4 % 60;
        int i5 = i4 / 60;
        iArr3[12] = i5 % 60;
        int i6 = i5 / 60;
        iArr3[11] = i6;
        iArr3[9] = i6 / 12;
        iArr3[10] = i6 % 12;
        iArr3[15] = iArr[0];
        iArr3[16] = iArr[1];
    }

    /* access modifiers changed from: protected */
    public DateFormat t0(String str, String str2, Locale locale) {
        return s0(str, str2, ULocale.forLocale(locale));
    }

    public String toString() {
        String str;
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getName());
        sb.append("[time=");
        sb.append(this.v1 ? String.valueOf(this.time) : "?");
        sb.append(",areFieldsSet=");
        sb.append(this.w1);
        sb.append(",areAllFieldsSet=");
        sb.append(this.x1);
        sb.append(",lenient=");
        sb.append(this.lenient);
        sb.append(",zone=");
        sb.append(this.zone);
        sb.append(",firstDayOfWeek=");
        sb.append(this.firstDayOfWeek);
        sb.append(",minimalDaysInFirstWeek=");
        sb.append(this.minimalDaysInFirstWeek);
        sb.append(",repeatedWallTime=");
        sb.append(this.repeatedWallTime);
        sb.append(",skippedWallTime=");
        sb.append(this.skippedWallTime);
        for (int i = 0; i < this.t1.length; i++) {
            sb.append(',');
            sb.append(I(i));
            sb.append('=');
            if (isSet(i)) {
                str = String.valueOf(this.t1[i]);
            } else {
                str = "?";
            }
            sb.append(str);
        }
        sb.append(']');
        return sb.toString();
    }

    /* access modifiers changed from: protected */
    public DateFormat u0(String str, Locale locale) {
        return s0(str, null, ULocale.forLocale(locale));
    }

    /* access modifiers changed from: protected */
    public final void v(int i) {
        int[] iArr = new int[1];
        int N = N((long) (i - N0), 146097, iArr);
        int i2 = 0;
        int M = M(iArr[0], 36524, iArr);
        int M2 = M(iArr[0], 1461, iArr);
        int i3 = 365;
        int M3 = M(iArr[0], 365, iArr);
        int i4 = (N * 400) + (M * 100) + (M2 * 4) + M3;
        int i5 = iArr[0];
        if (!(M == 4 || M3 == 4)) {
            i4++;
            i3 = i5;
        }
        boolean z = (i4 & 3) == 0 && (i4 % 100 != 0 || i4 % 400 == 0);
        char c2 = 2;
        if (i3 >= (z ? 60 : 59)) {
            i2 = z ? 1 : 2;
        }
        int i6 = (((i2 + i3) * 12) + 6) / 367;
        int[] iArr2 = q1[i6];
        if (z) {
            c2 = 3;
        }
        this.B1 = i4;
        this.C1 = i6;
        this.E1 = (i3 - iArr2[c2]) + 1;
        this.D1 = i3 + 1;
    }

    /* access modifiers changed from: protected */
    public abstract int v0();

    /* access modifiers changed from: protected */
    public abstract int w0(int i, int i2);

    /* access modifiers changed from: protected */
    public int x(int i, int i2) {
        boolean z = false;
        if (i2 < 0 || i2 > 11) {
            int[] iArr = new int[1];
            i += M(i2, 12, iArr);
            i2 = iArr[0];
        }
        if (i % 4 == 0 && (i % 100 != 0 || i % 400 == 0)) {
            z = true;
        }
        int i3 = i - 1;
        int L = (((((i3 * 365) + L(i3, 4)) - L(i3, 100)) + L(i3, 400)) + N0) - 1;
        if (i2 == 0) {
            return L;
        }
        return L + q1[i2][z ? (char) 3 : 2];
    }

    /* access modifiers changed from: protected */
    public int y() {
        if (this.u1[20] >= 2 && L0(17, 19, L0(0, 8, 0)) <= this.u1[20]) {
            return B0(20);
        }
        int P02 = P0(V());
        if (P02 < 0) {
            P02 = 5;
        }
        return n0(P02);
    }

    /* access modifiers changed from: protected */
    public int y0(int i, int i2) {
        return p0(i, i2 + 1, true) - p0(i, i2, true);
    }

    /* access modifiers changed from: protected */
    @Deprecated
    public int z() {
        int[] iArr = this.u1;
        int i = iArr[11];
        int max = Math.max(iArr[10], iArr[9]);
        if (max <= i) {
            max = i;
        }
        int i2 = 0;
        if (max != 0) {
            if (max == i) {
                i2 = 0 + B0(11);
            } else {
                i2 = B0(10) + 0 + (B0(9) * 12);
            }
        }
        return (((((i2 * 60) + B0(12)) * 60) + B0(13)) * 1000) + B0(14);
    }

    /* access modifiers changed from: protected */
    public int z0(int i) {
        return p0(i + 1, 0, false) - p0(i, 0, false);
    }

    protected Calendar(TimeZone timeZone, Locale locale) {
        this(timeZone, ULocale.forLocale(locale));
    }

    public static Calendar getInstance(TimeZone timeZone) {
        return b0(timeZone, null);
    }

    public int compareTo(Calendar calendar) {
        int i = ((getTimeInMillis() - calendar.getTimeInMillis()) > 0 ? 1 : ((getTimeInMillis() - calendar.getTimeInMillis()) == 0 ? 0 : -1));
        if (i < 0) {
            return -1;
        }
        return i > 0 ? 1 : 0;
    }

    public DateFormat getDateTimeFormat(int i, int i2, ULocale uLocale) {
        return P(this, uLocale, i, i2);
    }

    public String getDisplayName(ULocale uLocale) {
        return getClass().getName();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:101:0x01f6, code lost:
        if (r2 < 1) goto L_0x01f8;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:93:0x01da, code lost:
        if (r0 != false) goto L_0x01f8;
     */
    public void roll(int i, int i2) {
        if (i2 != 0) {
            s();
            int i3 = 1;
            switch (i) {
                case 0:
                case 5:
                case 9:
                case 12:
                case 13:
                case 14:
                case 21:
                    int actualMinimum = getActualMinimum(i);
                    int actualMaximum = (getActualMaximum(i) - actualMinimum) + 1;
                    int B0 = ((B0(i) + i2) - actualMinimum) % actualMaximum;
                    if (B0 < 0) {
                        B0 += actualMaximum;
                    }
                    set(i, B0 + actualMinimum);
                    return;
                case 1:
                case 17:
                    boolean z = false;
                    int i4 = get(0);
                    if (i4 == 0) {
                        String type = getType();
                        if (type.equals("gregorian") || type.equals("roc") || type.equals("coptic")) {
                            i2 = -i2;
                            z = true;
                        }
                    }
                    int B02 = B0(i) + i2;
                    if (i4 > 0 || B02 >= 1) {
                        int actualMaximum2 = getActualMaximum(i);
                        if (actualMaximum2 < 32768) {
                            if (B02 < 1) {
                                i3 = actualMaximum2 - ((-B02) % actualMaximum2);
                            } else if (B02 > actualMaximum2) {
                                i3 = 1 + ((B02 - 1) % actualMaximum2);
                            }
                            set(i, i3);
                            M0(2);
                            M0(5);
                            return;
                        }
                    }
                    i3 = B02;
                    set(i, i3);
                    M0(2);
                    M0(5);
                    return;
                case 2:
                    int actualMaximum3 = getActualMaximum(2) + 1;
                    int B03 = (B0(2) + i2) % actualMaximum3;
                    if (B03 < 0) {
                        B03 += actualMaximum3;
                    }
                    set(2, B03);
                    M0(5);
                    return;
                case 3:
                    int B04 = B0(7) - getFirstDayOfWeek();
                    if (B04 < 0) {
                        B04 += 7;
                    }
                    int B05 = ((B04 - B0(6)) + 1) % 7;
                    if (B05 < 0) {
                        B05 += 7;
                    }
                    int i5 = 7 - B05 < getMinimalDaysInFirstWeek() ? 8 - B05 : 1 - B05;
                    int actualMaximum4 = getActualMaximum(6);
                    int B06 = ((actualMaximum4 + 7) - (((actualMaximum4 - B0(6)) + B04) % 7)) - i5;
                    int B07 = ((B0(6) + (i2 * 7)) - i5) % B06;
                    if (B07 < 0) {
                        B07 += B06;
                    }
                    int i6 = B07 + i5;
                    if (i6 >= 1) {
                        i3 = i6;
                    }
                    if (i3 <= actualMaximum4) {
                        actualMaximum4 = i3;
                    }
                    set(6, actualMaximum4);
                    clear(2);
                    return;
                case 4:
                    int B08 = B0(7) - getFirstDayOfWeek();
                    if (B08 < 0) {
                        B08 += 7;
                    }
                    int B09 = ((B08 - B0(5)) + 1) % 7;
                    if (B09 < 0) {
                        B09 += 7;
                    }
                    int i7 = 7 - B09 < getMinimalDaysInFirstWeek() ? 8 - B09 : 1 - B09;
                    int actualMaximum5 = getActualMaximum(5);
                    int B010 = ((actualMaximum5 + 7) - (((actualMaximum5 - B0(5)) + B08) % 7)) - i7;
                    int B011 = ((B0(5) + (i2 * 7)) - i7) % B010;
                    if (B011 < 0) {
                        B011 += B010;
                    }
                    int i8 = B011 + i7;
                    if (i8 >= 1) {
                        i3 = i8;
                    }
                    if (i3 <= actualMaximum5) {
                        actualMaximum5 = i3;
                    }
                    set(5, actualMaximum5);
                    return;
                case 6:
                    long B012 = this.time - (((long) (B0(6) - 1)) * 86400000);
                    long actualMaximum6 = ((long) getActualMaximum(6)) * 86400000;
                    long j = ((this.time + (((long) i2) * 86400000)) - B012) % actualMaximum6;
                    this.time = j;
                    if (j < 0) {
                        this.time = j + actualMaximum6;
                    }
                    setTimeInMillis(this.time + B012);
                    return;
                case 7:
                case 18:
                    long j2 = ((long) i2) * 86400000;
                    int B013 = B0(i);
                    if (i == 7) {
                        i3 = getFirstDayOfWeek();
                    }
                    int i9 = B013 - i3;
                    if (i9 < 0) {
                        i9 += 7;
                    }
                    long j3 = this.time;
                    long j4 = j3 - (((long) i9) * 86400000);
                    long j5 = ((j3 + j2) - j4) % M0;
                    this.time = j5;
                    if (j5 < 0) {
                        this.time = j5 + M0;
                    }
                    setTimeInMillis(this.time + j4);
                    return;
                case 8:
                    long j6 = ((long) i2) * M0;
                    int B014 = (B0(5) - 1) / 7;
                    long j7 = this.time;
                    long j8 = j7 - (((long) B014) * M0);
                    long actualMaximum7 = ((long) (B014 + ((getActualMaximum(5) - B0(5)) / 7) + 1)) * M0;
                    long j9 = ((j7 + j6) - j8) % actualMaximum7;
                    this.time = j9;
                    if (j9 < 0) {
                        this.time = j9 + actualMaximum7;
                    }
                    setTimeInMillis(this.time + j8);
                    return;
                case 10:
                case 11:
                    long timeInMillis = getTimeInMillis();
                    int B015 = B0(i);
                    int maximum = getMaximum(i) + 1;
                    int i10 = (i2 + B015) % maximum;
                    if (i10 < 0) {
                        i10 += maximum;
                    }
                    setTimeInMillis(timeInMillis + ((((long) i10) - ((long) B015)) * 3600000));
                    return;
                case 15:
                case 16:
                default:
                    throw new IllegalArgumentException("Calendar.roll(" + I(i) + ") not supported");
                case 19:
                    set(i, B0(i) + i2);
                    M0(2);
                    M0(5);
                    return;
                case 20:
                    set(i, B0(i) + i2);
                    return;
            }
        }
    }

    protected Calendar(TimeZone timeZone, ULocale uLocale) {
        this.lenient = true;
        this.repeatedWallTime = 0;
        this.skippedWallTime = 0;
        this.z1 = 2;
        this.zone = timeZone;
        S0(g0(uLocale));
        Q0(uLocale);
        A0();
    }

    public static Calendar getInstance(Locale locale) {
        return b0(null, ULocale.forLocale(locale));
    }

    /* JADX WARNING: Removed duplicated region for block: B:8:0x003c A[ORIG_RETURN, RETURN, SYNTHETIC] */
    public boolean isWeekend() {
        int i = get(7);
        int dayOfWeekType = getDayOfWeekType(i);
        if (dayOfWeekType == 0) {
            return false;
        }
        if (dayOfWeekType == 1) {
            return true;
        }
        int B0 = B0(14) + ((B0(13) + ((B0(12) + (B0(11) * 60)) * 60)) * 1000);
        int weekendTransition = getWeekendTransition(i);
        if (dayOfWeekType == 2) {
            if (B0 >= weekendTransition) {
                return true;
            }
            return false;
        } else if (B0 >= weekendTransition) {
            return false;
        }
        return true;
    }

    public static Calendar getInstance(ULocale uLocale) {
        return b0(null, uLocale);
    }

    public final void clear(int i) {
        if (this.y1) {
            t();
        }
        this.t1[i] = 0;
        this.u1[i] = 0;
        this.y1 = false;
        this.x1 = false;
        this.w1 = false;
        this.v1 = false;
    }

    public static Calendar getInstance(TimeZone timeZone, Locale locale) {
        return b0(timeZone, ULocale.forLocale(locale));
    }

    public static Calendar getInstance(TimeZone timeZone, ULocale uLocale) {
        return b0(timeZone, uLocale);
    }

    public final void set(int i, int i2, int i3) {
        set(1, i);
        set(2, i2);
        set(5, i3);
    }

    public final void set(int i, int i2, int i3, int i4, int i5) {
        set(1, i);
        set(2, i2);
        set(5, i3);
        set(11, i4);
        set(12, i5);
    }

    public final void set(int i, int i2, int i3, int i4, int i5, int i6) {
        set(1, i);
        set(2, i2);
        set(5, i3);
        set(11, i4);
        set(12, i5);
        set(13, i6);
    }
}
