package com.ibm.icu.util;

import com.google.android.gms.common.util.m;
import com.ibm.icu.impl.e;
import com.ibm.icu.impl.f;
import com.ibm.icu.text.DateFormat;
import com.ibm.icu.util.ULocale;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.util.Date;
import java.util.Locale;

public class ChineseCalendar extends Calendar {
    private static final int[][] F1 = {new int[]{1, 1, 83333, 83333}, new int[]{1, 1, 60, 60}, new int[]{0, 0, 11, 11}, new int[]{1, 1, 50, 55}, new int[0], new int[]{1, 1, 29, 30}, new int[]{1, 1, 353, 385}, new int[0], new int[]{-1, -1, 5, 5}, new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[]{-5000000, -5000000, m.f10270d, m.f10270d}, new int[0], new int[]{-5000000, -5000000, m.f10270d, m.f10270d}, new int[0], new int[0], new int[]{0, 0, 1, 1}};
    static final int[][][] G1 = {new int[][]{new int[]{5}, new int[]{3, 7}, new int[]{4, 7}, new int[]{8, 7}, new int[]{3, 18}, new int[]{4, 18}, new int[]{8, 18}, new int[]{6}, new int[]{37, 22}}, new int[][]{new int[]{3}, new int[]{4}, new int[]{8}, new int[]{40, 7}, new int[]{40, 18}}};
    private static final int H1 = -2636;
    private static final TimeZone I1 = new SimpleTimeZone(28800000, "CHINA_ZONE").freeze();
    private static final int J1 = 25;
    private static final long serialVersionUID = 7312110751940929420L;
    private transient e K1;
    private transient f L1;
    private transient f M1;
    private transient boolean N1;
    private int epochYear;
    private TimeZone zoneAstro;

    public ChineseCalendar() {
        this(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT), (int) H1, I1);
    }

    private void Z0(int i, int i2, int i3, boolean z) {
        int i4;
        int k1 = k1(i2);
        if (i < k1) {
            i4 = k1;
            k1 = k1(i2 - 1);
        } else {
            i4 = k1(i2 + 1);
        }
        int g1 = g1(k1 + 1, true);
        int g12 = g1(i4 + 1, false);
        int g13 = g1(i + 1, false);
        this.N1 = j1(g1, g12) == 12;
        int j1 = j1(g1, g13);
        if (this.N1 && c1(g1, g13)) {
            j1--;
        }
        if (j1 < 1) {
            j1 += 12;
        }
        int i5 = (!this.N1 || !b1(g13) || c1(g1, g1(g13 + -25, false))) ? 0 : 1;
        E0(2, j1 - 1);
        E0(22, i5);
        if (z) {
            int i6 = i2 - this.epochYear;
            int i7 = i2 + 2636;
            if (j1 < 11 || i3 >= 6) {
                i6++;
                i7++;
            }
            E0(19, i6);
            int[] iArr = new int[1];
            E0(0, Calendar.M(i7 - 1, 60, iArr) + 1);
            E0(1, iArr[0] + 1);
            E0(5, (i - g13) + 1);
            int h1 = h1(i2);
            if (i < h1) {
                h1 = h1(i2 - 1);
            }
            E0(6, (i - h1) + 1);
        }
    }

    private final long a1(int i) {
        long j = ((long) i) * e.j;
        return j - ((long) this.zoneAstro.getOffset(j));
    }

    private boolean b1(int i) {
        if (e1(i) == e1(g1(i + 25, true))) {
            return true;
        }
        return false;
    }

    private boolean c1(int i, int i2) {
        if (j1(i, i2) >= 50) {
            throw new IllegalArgumentException("isLeapMonthBetween(" + i + ", " + i2 + "): Invalid parameters");
        } else if (i2 < i) {
            return false;
        } else {
            if (c1(i, g1(i2 - 25, false)) || b1(i2)) {
                return true;
            }
            return false;
        }
    }

    private int e1(int i) {
        this.K1.L(a1(i));
        int floor = (((int) Math.floor((this.K1.u() * 6.0d) / 3.141592653589793d)) + 2) % 12;
        return floor < 1 ? floor + 12 : floor;
    }

    private final int f1(long j) {
        return (int) Calendar.O(j + ((long) this.zoneAstro.getOffset(j)), e.j);
    }

    private int g1(int i, boolean z) {
        this.K1.L(a1(i));
        return f1(this.K1.s(e.H, z));
    }

    private int h1(int i) {
        long j = (long) i;
        long b2 = this.M1.b(j);
        if (b2 == f.f13797b) {
            int k1 = k1(i - 1);
            int k12 = k1(i);
            int g1 = g1(k1 + 1, true);
            int g12 = g1(g1 + 25, true);
            b2 = (j1(g1, g1(k12 + 1, false)) != 12 || (!b1(g1) && !b1(g12))) ? (long) g12 : (long) g1(g12 + 25, true);
            this.M1.f(j, b2);
        }
        return (int) b2;
    }

    private void i1(int i, int i2, int i3) {
        int g1 = ((g1(i + ((int) ((((double) i3) - 0.5d) * 29.530588853d)), true) + 2440588) - 1) + i2;
        if (i2 > 29) {
            set(20, g1 - 1);
            s();
            if (getActualMaximum(5) >= i2) {
                set(20, g1);
                return;
            }
            return;
        }
        set(20, g1);
    }

    private int j1(int i, int i2) {
        return (int) Math.round(((double) (i2 - i)) / 29.530588853d);
    }

    private int k1(int i) {
        long j = (long) i;
        long b2 = this.L1.b(j);
        if (b2 == f.f13797b) {
            this.K1.L(a1((x(i, 11) + 1) - 2440588));
            b2 = (long) f1(this.K1.z(e.y, true));
            this.L1.f(j, b2);
        }
        return (int) b2;
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        this.epochYear = H1;
        this.zoneAstro = I1;
        objectInputStream.defaultReadObject();
        this.K1 = new e();
        this.L1 = new f();
        this.M1 = new f();
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int[][][] V() {
        return G1;
    }

    @Override // com.ibm.icu.util.Calendar
    public void add(int i, int i2) {
        if (i != 2) {
            super.add(i, i2);
        } else if (i2 != 0) {
            int i3 = get(5);
            i1(((get(20) - 2440588) - i3) + 1, i3, i2);
        }
    }

    @Override // com.ibm.icu.util.Calendar
    public String getType() {
        return "chinese";
    }

    @Override // com.ibm.icu.util.Calendar
    @Deprecated
    public boolean haveDefaultCentury() {
        return false;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public void m0(int i) {
        Z0(i - 2440588, Z(), Y(), true);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int p0(int i, int i2, boolean z) {
        if (i2 < 0 || i2 > 11) {
            int[] iArr = new int[1];
            i += Calendar.M(i2, 12, iArr);
            i2 = iArr[0];
        }
        int g1 = g1(h1((i + this.epochYear) - 1) + (i2 * 29), true);
        int i3 = g1 + 2440588;
        int B0 = B0(2);
        int B02 = B0(22);
        int i4 = z ? B02 : 0;
        v(i3);
        Z0(g1, Z(), Y(), false);
        if (!(i2 == B0(2) && i4 == B0(22))) {
            i3 = g1(g1 + 25, true) + 2440588;
        }
        E0(2, B0);
        E0(22, B02);
        return i3 - 1;
    }

    @Override // com.ibm.icu.util.Calendar
    public void roll(int i, int i2) {
        if (i != 2) {
            super.roll(i, i2);
        } else if (i2 != 0) {
            int i3 = get(5);
            int i4 = ((get(20) - 2440588) - i3) + 1;
            int i5 = get(2);
            if (this.N1 && (get(22) == 1 || c1(g1(i4 - ((int) ((((double) i5) - 0.5d) * 29.530588853d)), true), i4))) {
                i5++;
            }
            int i6 = this.N1 ? 13 : 12;
            int i7 = (i2 + i5) % i6;
            if (i7 < 0) {
                i7 += i6;
            }
            if (i7 != i5) {
                i1(i4, i3, i7 - i5);
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public DateFormat s0(String str, String str2, ULocale uLocale) {
        return super.s0(str, str2, uLocale);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int v0() {
        if (L0(0, 1, 0) <= h0(19)) {
            return C0(19, 1);
        }
        return (((C0(0, 1) - 1) * 60) + C0(1, 1)) - (this.epochYear + 2636);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int w0(int i, int i2) {
        return F1[i][i2];
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int y0(int i, int i2) {
        int p0 = (p0(i, i2, true) - 2440588) + 1;
        return g1(p0 + 25, true) - p0;
    }

    public ChineseCalendar(Date date) {
        this(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT), (int) H1, I1);
        setTime(date);
    }

    public ChineseCalendar(int i, int i2, int i3, int i4) {
        this(i, i2, i3, i4, 0, 0, 0);
    }

    public ChineseCalendar(int i, int i2, int i3, int i4, int i5, int i6, int i7) {
        this(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT), (int) H1, I1);
        set(14, 0);
        set(1, i);
        set(2, i2);
        set(22, i3);
        set(5, i4);
        set(11, i5);
        set(12, i6);
        set(13, i7);
    }

    public ChineseCalendar(int i, int i2, int i3, int i4, int i5) {
        this(i, i2, i3, i4, i5, 0, 0, 0);
    }

    public ChineseCalendar(int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8) {
        this(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT), (int) H1, I1);
        set(14, 0);
        set(0, i);
        set(1, i2);
        set(2, i3);
        set(22, i4);
        set(5, i5);
        set(11, i6);
        set(12, i7);
        set(13, i8);
    }

    public ChineseCalendar(Locale locale) {
        this(TimeZone.forLocaleOrDefault(locale), ULocale.forLocale(locale), (int) H1, I1);
    }

    public ChineseCalendar(TimeZone timeZone) {
        this(timeZone, ULocale.getDefault(ULocale.Category.FORMAT), (int) H1, I1);
    }

    public ChineseCalendar(TimeZone timeZone, Locale locale) {
        this(timeZone, ULocale.forLocale(locale), (int) H1, I1);
    }

    public ChineseCalendar(ULocale uLocale) {
        this(TimeZone.forULocaleOrDefault(uLocale), uLocale, (int) H1, I1);
    }

    public ChineseCalendar(TimeZone timeZone, ULocale uLocale) {
        this(timeZone, uLocale, (int) H1, I1);
    }

    @Deprecated
    protected ChineseCalendar(TimeZone timeZone, ULocale uLocale, int i, TimeZone timeZone2) {
        super(timeZone, uLocale);
        this.K1 = new e();
        this.L1 = new f();
        this.M1 = new f();
        this.epochYear = i;
        this.zoneAstro = timeZone2;
        setTimeInMillis(System.currentTimeMillis());
    }
}
