package com.ibm.icu.util;

import com.ibm.icu.impl.g;
import com.ibm.icu.util.ULocale;
import java.util.Date;
import java.util.Locale;

public final class EthiopicCalendar extends c {
    private static final int G1 = 1723856;
    public static final int GENBOT = 8;
    private static final int H1 = 5500;
    public static final int HAMLE = 10;
    public static final int HEDAR = 2;
    private static final int I1 = 0;
    private static final int J1 = 1;
    private static final int K1 = 0;
    private static final int L1 = 1;
    public static final int MEGABIT = 6;
    public static final int MESKEREM = 0;
    public static final int MIAZIA = 7;
    public static final int NEHASSE = 11;
    public static final int PAGUMEN = 12;
    public static final int SENE = 9;
    public static final int TAHSAS = 3;
    public static final int TEKEMT = 1;
    public static final int TER = 4;
    public static final int YEKATIT = 5;
    private static final long serialVersionUID = -2438495771339315608L;
    private int eraType;

    public EthiopicCalendar() {
        this(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
    }

    public static int EthiopicToJD(long j, int i, int i2) {
        return c.ceToJD(j, i, i2, G1);
    }

    private void a1(ULocale uLocale) {
        if ("ethiopic-amete-alem".equals(g.a(uLocale))) {
            setAmeteAlemEra(true);
        } else {
            setAmeteAlemEra(false);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.c
    @Deprecated
    public int Z0() {
        return G1;
    }

    @Override // com.ibm.icu.util.Calendar
    public String getType() {
        return isAmeteAlemEra() ? "ethiopic-amete-alem" : "ethiopic";
    }

    public boolean isAmeteAlemEra() {
        return this.eraType == 1;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    @Deprecated
    public void m0(int i) {
        int i2;
        int i3;
        int i4;
        int[] iArr = new int[3];
        c.jdToCE(i, Z0(), iArr);
        if (isAmeteAlemEra()) {
            i4 = iArr[0];
        } else if (iArr[0] > 0) {
            i2 = iArr[0];
            i3 = 1;
            E0(19, iArr[0]);
            E0(0, i3);
            E0(1, i2);
            E0(2, iArr[1]);
            E0(5, iArr[2]);
            E0(6, (iArr[1] * 30) + iArr[2]);
        } else {
            i4 = iArr[0];
        }
        i2 = i4 + H1;
        i3 = 0;
        E0(19, iArr[0]);
        E0(0, i3);
        E0(1, i2);
        E0(2, iArr[1]);
        E0(5, iArr[2]);
        E0(6, (iArr[1] * 30) + iArr[2]);
    }

    public void setAmeteAlemEra(boolean z) {
        this.eraType = z ? 1 : 0;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    @Deprecated
    public int v0() {
        int C0;
        if (K0(19, 1) == 19) {
            return C0(19, 1);
        }
        if (isAmeteAlemEra()) {
            C0 = C0(1, 5501);
        } else if (C0(0, 1) == 1) {
            return C0(1, 1);
        } else {
            C0 = C0(1, 1);
        }
        return C0 - 5500;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar, com.ibm.icu.util.c
    @Deprecated
    public int w0(int i, int i2) {
        if (!isAmeteAlemEra() || i != 0) {
            return super.w0(i, i2);
        }
        return 0;
    }

    public EthiopicCalendar(TimeZone timeZone) {
        this(timeZone, ULocale.getDefault(ULocale.Category.FORMAT));
    }

    public EthiopicCalendar(Locale locale) {
        this(TimeZone.forLocaleOrDefault(locale), locale);
    }

    public EthiopicCalendar(ULocale uLocale) {
        this(TimeZone.forULocaleOrDefault(uLocale), uLocale);
    }

    public EthiopicCalendar(TimeZone timeZone, Locale locale) {
        this(timeZone, ULocale.forLocale(locale));
    }

    public EthiopicCalendar(TimeZone timeZone, ULocale uLocale) {
        super(timeZone, uLocale);
        this.eraType = 0;
        a1(uLocale);
    }

    public EthiopicCalendar(int i, int i2, int i3) {
        super(i, i2, i3);
        this.eraType = 0;
    }

    public EthiopicCalendar(Date date) {
        super(date);
        this.eraType = 0;
    }

    public EthiopicCalendar(int i, int i2, int i3, int i4, int i5, int i6) {
        super(i, i2, i3, i4, i5, i6);
        this.eraType = 0;
    }
}
