package com.ibm.icu.util;

import com.ibm.icu.impl.e;
import com.ibm.icu.impl.u;
import com.ibm.icu.lang.c;
import com.ibm.icu.util.ULocale;
import java.util.Date;
import java.util.Locale;

public class GregorianCalendar extends Calendar {
    public static final int AD = 1;
    public static final int BC = 0;
    private static final int F1 = 1970;
    private static final int[][] G1 = {new int[]{31, 31, 0, 0}, new int[]{28, 29, 31, 31}, new int[]{31, 31, 59, 60}, new int[]{30, 30, 90, 91}, new int[]{31, 31, 120, 121}, new int[]{30, 30, 151, 152}, new int[]{31, 31, 181, 182}, new int[]{31, 31, c.p.g3, c.p.h3}, new int[]{30, 30, c.p.L3, 244}, new int[]{31, 31, c.p.p4, c.p.q4}, new int[]{30, 30, 304, 305}, new int[]{31, 31, 334, 335}};
    private static final int[][] H1 = {new int[]{0, 0, 1, 1}, new int[]{1, 1, 5828963, 5838270}, new int[]{0, 0, 11, 11}, new int[]{1, 1, 52, 53}, new int[0], new int[]{1, 1, 28, 31}, new int[]{1, 1, 365, 366}, new int[0], new int[]{-1, -1, 4, 5}, new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[]{-5838270, -5838270, 5828964, 5838271}, new int[0], new int[]{-5838269, -5838269, 5828963, 5838270}, new int[0], new int[0], new int[0]};
    private static final long serialVersionUID = 9199388694351062137L;
    private transient int I1;
    private transient int J1;
    protected transient boolean K1;
    protected transient boolean L1;
    private long gregorianCutover;

    public GregorianCalendar() {
        this(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
    }

    /* access modifiers changed from: package-private */
    public boolean Z0() {
        if (!getTimeZone().useDaylightTime()) {
            return false;
        }
        s();
        if (B0(16) != 0) {
            return true;
        }
        return false;
    }

    @Override // com.ibm.icu.util.Calendar
    public int getActualMaximum(int i) {
        if (i != 1) {
            return super.getActualMaximum(i);
        }
        Calendar calendar = (Calendar) clone();
        calendar.setLenient(true);
        int i2 = calendar.get(0);
        Date time = calendar.getTime();
        int[][] iArr = H1;
        int i3 = iArr[1][1];
        int i4 = iArr[1][2] + 1;
        while (i3 + 1 < i4) {
            int i5 = (i3 + i4) / 2;
            calendar.set(1, i5);
            if (calendar.get(1) == i5 && calendar.get(0) == i2) {
                i3 = i5;
            } else {
                calendar.setTime(time);
                i4 = i5;
            }
        }
        return i3;
    }

    @Override // com.ibm.icu.util.Calendar
    public int getActualMinimum(int i) {
        return getMinimum(i);
    }

    public final Date getGregorianChange() {
        return new Date(this.gregorianCutover);
    }

    @Override // com.ibm.icu.util.Calendar
    public String getType() {
        return "gregorian";
    }

    @Override // com.ibm.icu.util.Calendar
    public int hashCode() {
        return super.hashCode() ^ ((int) this.gregorianCutover);
    }

    @Override // com.ibm.icu.util.Calendar
    public boolean isEquivalentTo(Calendar calendar) {
        return super.isEquivalentTo(calendar) && this.gregorianCutover == ((GregorianCalendar) calendar).gregorianCutover;
    }

    public boolean isLeapYear(int i) {
        if (i >= this.J1) {
            return i % 4 == 0 && (i % 100 != 0 || i % 400 == 0);
        }
        if (i % 4 == 0) {
            return true;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public void m0(int i) {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        if (i >= this.I1) {
            i5 = Y();
            i4 = W();
            i3 = X();
            i2 = Z();
        } else {
            long j = (long) (i - 1721424);
            int O = (int) Calendar.O((j * 4) + 1464, 1461);
            long j2 = ((long) O) - 1;
            int O2 = (int) (j - ((365 * j2) + Calendar.O(j2, 4)));
            boolean z = (O & 3) == 0;
            int i7 = ((((O2 >= (z ? 60 : 59) ? z ? 1 : 2 : 0) + O2) * 12) + 6) / 367;
            int i8 = O2 + 1;
            i2 = O;
            i4 = (O2 - G1[i7][z ? (char) 3 : 2]) + 1;
            i5 = i7;
            i3 = i8;
        }
        E0(2, i5);
        E0(5, i4);
        E0(6, i3);
        E0(19, i2);
        if (i2 < 1) {
            i2 = 1 - i2;
            i6 = 0;
        } else {
            i6 = 1;
        }
        E0(0, i6);
        E0(1, i2);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int n0(int i) {
        boolean z = false;
        this.L1 = false;
        int n0 = super.n0(i);
        boolean z2 = this.K1;
        if (n0 >= this.I1) {
            z = true;
        }
        if (z2 == z) {
            return n0;
        }
        this.L1 = true;
        return super.n0(i);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int p0(int i, int i2, boolean z) {
        boolean z2 = false;
        if (i2 < 0 || i2 > 11) {
            int[] iArr = new int[1];
            i += Calendar.M(i2, 12, iArr);
            i2 = iArr[0];
        }
        boolean z3 = i % 4 == 0;
        int i3 = i - 1;
        int L = (i3 * 365) + Calendar.L(i3, 4) + 1721423;
        boolean z4 = i >= this.J1;
        this.K1 = z4;
        if (this.L1) {
            this.K1 = !z4;
        }
        char c2 = 2;
        if (this.K1) {
            if (z3 && (i % 100 != 0 || i % 400 == 0)) {
                z2 = true;
            }
            L += (Calendar.L(i3, 400) - Calendar.L(i3, 100)) + 2;
            z3 = z2;
        }
        if (i2 == 0) {
            return L;
        }
        int[] iArr2 = G1[i2];
        if (z3) {
            c2 = 3;
        }
        return L + iArr2[c2];
    }

    @Override // com.ibm.icu.util.Calendar
    public void roll(int i, int i2) {
        if (i != 3) {
            super.roll(i, i2);
            return;
        }
        int i3 = get(3);
        int i4 = get(17);
        int B0 = B0(6);
        if (B0(2) == 0) {
            if (i3 >= 52) {
                B0 += z0(i4);
            }
        } else if (i3 == 1) {
            B0 -= z0(i4 - 1);
        }
        int i5 = i3 + i2;
        if (i5 < 1 || i5 > 52) {
            int z0 = z0(i4);
            int B02 = (((z0 - B0) + B0(7)) - getFirstDayOfWeek()) % 7;
            if (B02 < 0) {
                B02 += 7;
            }
            if (6 - B02 >= getMinimalDaysInFirstWeek()) {
                z0 -= 7;
            }
            int X0 = X0(z0, B02 + 1);
            i5 = (((i5 + X0) - 1) % X0) + 1;
        }
        set(3, i5);
        set(1, i4);
    }

    public void setGregorianChange(Date date) {
        long time = date.getTime();
        this.gregorianCutover = time;
        if (time <= u.f14517a) {
            this.I1 = Integer.MIN_VALUE;
            this.J1 = Integer.MIN_VALUE;
        } else if (time >= u.f14518b) {
            this.I1 = Integer.MAX_VALUE;
            this.J1 = Integer.MAX_VALUE;
        } else {
            this.I1 = (int) Calendar.O(time, e.j);
            GregorianCalendar gregorianCalendar = new GregorianCalendar(getTimeZone());
            gregorianCalendar.setTime(date);
            this.J1 = gregorianCalendar.get(19);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int v0() {
        if (K0(19, 1) == 19) {
            return C0(19, F1);
        }
        if (C0(0, 1) == 0) {
            return 1 - C0(1, 1);
        }
        return C0(1, F1);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int w0(int i, int i2) {
        return H1[i][i2];
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int y0(int i, int i2) {
        if (i2 < 0 || i2 > 11) {
            int[] iArr = new int[1];
            i += Calendar.M(i2, 12, iArr);
            i2 = iArr[0];
        }
        return G1[i2][isLeapYear(i) ? 1 : 0];
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int z0(int i) {
        return isLeapYear(i) ? 366 : 365;
    }

    public GregorianCalendar(TimeZone timeZone) {
        this(timeZone, ULocale.getDefault(ULocale.Category.FORMAT));
    }

    public GregorianCalendar(Locale locale) {
        this(TimeZone.forLocaleOrDefault(locale), locale);
    }

    public GregorianCalendar(ULocale uLocale) {
        this(TimeZone.forULocaleOrDefault(uLocale), uLocale);
    }

    public GregorianCalendar(TimeZone timeZone, Locale locale) {
        super(timeZone, locale);
        this.gregorianCutover = -12219292800000L;
        this.I1 = 2299161;
        this.J1 = 1582;
        setTimeInMillis(System.currentTimeMillis());
    }

    public GregorianCalendar(TimeZone timeZone, ULocale uLocale) {
        super(timeZone, uLocale);
        this.gregorianCutover = -12219292800000L;
        this.I1 = 2299161;
        this.J1 = 1582;
        setTimeInMillis(System.currentTimeMillis());
    }

    public GregorianCalendar(int i, int i2, int i3) {
        super(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
        this.gregorianCutover = -12219292800000L;
        this.I1 = 2299161;
        this.J1 = 1582;
        set(0, 1);
        set(1, i);
        set(2, i2);
        set(5, i3);
    }

    public GregorianCalendar(int i, int i2, int i3, int i4, int i5) {
        super(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
        this.gregorianCutover = -12219292800000L;
        this.I1 = 2299161;
        this.J1 = 1582;
        set(0, 1);
        set(1, i);
        set(2, i2);
        set(5, i3);
        set(11, i4);
        set(12, i5);
    }

    public GregorianCalendar(int i, int i2, int i3, int i4, int i5, int i6) {
        super(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
        this.gregorianCutover = -12219292800000L;
        this.I1 = 2299161;
        this.J1 = 1582;
        set(0, 1);
        set(1, i);
        set(2, i2);
        set(5, i3);
        set(11, i4);
        set(12, i5);
        set(13, i6);
    }
}
