package com.ibm.icu.util;

import com.google.android.gms.common.util.m;
import com.ibm.icu.impl.f;
import com.ibm.icu.impl.t2.i;
import com.ibm.icu.lang.c;
import com.ibm.icu.util.ULocale;
import java.util.Date;
import java.util.Locale;

public class HebrewCalendar extends Calendar {
    public static final int ADAR = 6;
    public static final int ADAR_1 = 5;
    public static final int AV = 11;
    public static final int ELUL = 12;
    private static final int[][] F1 = {new int[]{0, 0, 0, 0}, new int[]{-5000000, -5000000, m.f10270d, m.f10270d}, new int[]{0, 0, 12, 12}, new int[]{1, 1, 51, 56}, new int[0], new int[]{1, 1, 29, 30}, new int[]{1, 1, 353, 385}, new int[0], new int[]{-1, -1, 5, 5}, new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[]{-5000000, -5000000, m.f10270d, m.f10270d}, new int[0], new int[]{-5000000, -5000000, m.f10270d, m.f10270d}, new int[0], new int[0]};
    private static final int[][] G1 = {new int[]{30, 30, 30}, new int[]{29, 29, 30}, new int[]{29, 30, 30}, new int[]{29, 29, 29}, new int[]{30, 30, 30}, new int[]{30, 30, 30}, new int[]{29, 29, 29}, new int[]{30, 30, 30}, new int[]{29, 29, 29}, new int[]{30, 30, 30}, new int[]{29, 29, 29}, new int[]{30, 30, 30}, new int[]{29, 29, 29}};
    private static final int[][] H1 = {new int[]{0, 0, 0}, new int[]{30, 30, 30}, new int[]{59, 59, 60}, new int[]{88, 89, 90}, new int[]{117, 118, 119}, new int[]{147, 148, 149}, new int[]{147, 148, 149}, new int[]{176, 177, 178}, new int[]{c.p.a3, c.p.b3, c.p.c3}, new int[]{235, 236, 237}, new int[]{c.p.h4, c.p.i4, c.p.j4}, new int[]{c.p.K4, c.p.L4, c.p.M4}, new int[]{c.p.o5, c.p.p5, c.p.q5}, new int[]{353, 354, 355}};
    public static final int HESHVAN = 1;
    private static final int[][] I1 = {new int[]{0, 0, 0}, new int[]{30, 30, 30}, new int[]{59, 59, 60}, new int[]{88, 89, 90}, new int[]{117, 118, 119}, new int[]{147, 148, 149}, new int[]{177, 178, 179}, new int[]{c.p.a3, c.p.b3, c.p.c3}, new int[]{236, 237, 238}, new int[]{c.p.h4, c.p.i4, c.p.j4}, new int[]{c.p.L4, c.p.M4, c.p.N4}, new int[]{c.p.o5, c.p.p5, c.p.q5}, new int[]{354, 355, 356}, new int[]{i.f14442b, i.f14443c, 385}};
    public static final int IYAR = 8;
    private static f J1 = new f();
    private static final long K1 = 1080;
    public static final int KISLEV = 2;
    private static final long L1 = 25920;
    private static final int M1 = 29;
    private static final long N1 = 13753;
    public static final int NISAN = 7;
    private static final long O1 = 765433;
    private static final long P1 = 12084;
    public static final int SHEVAT = 4;
    public static final int SIVAN = 9;
    public static final int TAMUZ = 10;
    public static final int TEVET = 3;
    public static final int TISHRI = 0;
    private static final long serialVersionUID = -1952524560588825816L;

    public HebrewCalendar() {
        this(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
    }

    private static int Z0(int i) {
        return isLeapYear(i) ? 13 : 12;
    }

    private static long a1(int i) {
        long j = (long) i;
        long b2 = J1.b(j);
        if (b2 != f.f13797b) {
            return b2;
        }
        int O = (int) Calendar.O((235 * j) - 234, 19);
        long j2 = (((long) O) * N1) + P1;
        long j3 = ((long) (O * 29)) + (j2 / L1);
        long j4 = j2 % L1;
        int i2 = (int) (j3 % 7);
        if (i2 == 2 || i2 == 4 || i2 == 6) {
            j3++;
            i2 = (int) (j3 % 7);
        }
        if (i2 == 1 && j4 > 16404 && !isLeapYear(i)) {
            j3 += 2;
        } else if (i2 == 0 && j4 > 23269 && isLeapYear(i - 1)) {
            j3++;
        }
        J1.f(j, j3);
        return j3;
    }

    private final int b1(int i) {
        int z0 = z0(i);
        if (z0 > 380) {
            z0 -= 30;
        }
        switch (z0) {
            case 353:
                return 0;
            case 354:
                return 1;
            case 355:
                return 2;
            default:
                throw new IllegalArgumentException("Illegal year length " + z0 + " in year " + i);
        }
    }

    @Deprecated
    public static boolean isLeapYear(int i) {
        int i2 = 12;
        int i3 = ((i * 12) + 17) % 19;
        if (i3 < 0) {
            i2 = -7;
        }
        return i3 >= i2;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    @Deprecated
    public void U0(int i) {
        if (i == 2 && !isLeapYear(v0()) && B0(2) == 5) {
            throw new IllegalArgumentException("MONTH cannot be ADAR_1(5) except leap years");
        }
        super.U0(i);
    }

    @Override // com.ibm.icu.util.Calendar
    public void add(int i, int i2) {
        int i3;
        if (i != 2) {
            super.add(i, i2);
            return;
        }
        int i4 = get(2);
        int i5 = get(1);
        boolean z = false;
        if (i2 > 0) {
            if (i4 < 5) {
                z = true;
            }
            i3 = i4 + i2;
            while (true) {
                if (z && i3 >= 5 && !isLeapYear(i5)) {
                    i3++;
                }
                if (i3 <= 12) {
                    break;
                }
                i3 -= 13;
                i5++;
                z = true;
            }
        } else {
            if (i4 > 5) {
                z = true;
            }
            i3 = i4 + i2;
            while (true) {
                if (z && i3 <= 5 && !isLeapYear(i5)) {
                    i3--;
                }
                if (i3 >= 0) {
                    break;
                }
                i3 += 13;
                i5--;
                z = true;
            }
        }
        set(2, i3);
        set(1, i5);
        M0(5);
    }

    @Override // com.ibm.icu.util.Calendar
    public String getType() {
        return "hebrew";
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public void m0(int i) {
        int i2;
        long j = (long) (i - 347997);
        int O = (int) (Calendar.O((Calendar.O(L1 * j, O1) * 19) + 234, 235) + 1);
        long a1 = a1(O);
        while (true) {
            i2 = (int) (j - a1);
            if (i2 >= 1) {
                break;
            }
            O--;
            a1 = a1(O);
        }
        int b1 = b1(O);
        int[][] iArr = isLeapYear(O) ? I1 : H1;
        int i3 = 0;
        while (i2 > iArr[i3][b1]) {
            i3++;
        }
        int i4 = i3 - 1;
        E0(0, 0);
        E0(1, O);
        E0(19, O);
        E0(2, i4);
        E0(5, i2 - iArr[i4][b1]);
        E0(6, i2);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int p0(int i, int i2, boolean z) {
        int i3;
        while (i2 < 0) {
            i--;
            i2 += Z0(i);
        }
        while (i2 > 12) {
            i2 -= Z0(i);
            i++;
        }
        long a1 = a1(i);
        if (i2 != 0) {
            if (isLeapYear(i)) {
                i3 = I1[i2][b1(i)];
            } else {
                i3 = H1[i2][b1(i)];
            }
            a1 += (long) i3;
        }
        return (int) (a1 + 347997);
    }

    @Override // com.ibm.icu.util.Calendar
    public void roll(int i, int i2) {
        if (i != 2) {
            super.roll(i, i2);
            return;
        }
        int i3 = get(2);
        int i4 = get(1);
        boolean isLeapYear = isLeapYear(i4);
        int Z0 = (i2 % Z0(i4)) + i3;
        if (!isLeapYear) {
            if (i2 > 0 && i3 < 5 && Z0 >= 5) {
                Z0++;
            } else if (i2 < 0 && i3 > 5 && Z0 <= 5) {
                Z0--;
            }
        }
        set(2, (Z0 + 13) % 13);
        M0(5);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int v0() {
        if (K0(19, 1) == 19) {
            return C0(19, 1);
        }
        return C0(1, 1);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int w0(int i, int i2) {
        return F1[i][i2];
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int y0(int i, int i2) {
        while (i2 < 0) {
            i--;
            i2 += Z0(i);
        }
        while (i2 > 12) {
            i2 -= Z0(i);
            i++;
        }
        if (i2 == 1 || i2 == 2) {
            return G1[i2][b1(i)];
        }
        return G1[i2][0];
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int z0(int i) {
        return (int) (a1(i + 1) - a1(i));
    }

    public HebrewCalendar(TimeZone timeZone) {
        this(timeZone, ULocale.getDefault(ULocale.Category.FORMAT));
    }

    public HebrewCalendar(Locale locale) {
        this(TimeZone.forLocaleOrDefault(locale), locale);
    }

    public HebrewCalendar(ULocale uLocale) {
        this(TimeZone.forULocaleOrDefault(uLocale), uLocale);
    }

    public HebrewCalendar(TimeZone timeZone, Locale locale) {
        super(timeZone, locale);
        setTimeInMillis(System.currentTimeMillis());
    }

    public HebrewCalendar(TimeZone timeZone, ULocale uLocale) {
        super(timeZone, uLocale);
        setTimeInMillis(System.currentTimeMillis());
    }

    public HebrewCalendar(int i, int i2, int i3) {
        super(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
        set(1, i);
        set(2, i2);
        set(5, i3);
    }

    public HebrewCalendar(Date date) {
        super(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
        setTime(date);
    }

    public HebrewCalendar(int i, int i2, int i3, int i4, int i5, int i6) {
        super(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
        set(1, i);
        set(2, i2);
        set(5, i3);
        set(11, i4);
        set(12, i5);
        set(13, i6);
    }
}
