package com.ibm.icu.util;

import com.google.android.gms.common.util.m;
import com.ibm.icu.util.ULocale;
import java.util.Date;
import java.util.Locale;

public class IndianCalendar extends Calendar {
    public static final int AGRAHAYANA = 8;
    public static final int ASADHA = 3;
    public static final int ASVINA = 6;
    public static final int BHADRA = 5;
    public static final int CHAITRA = 0;
    private static final int F1 = 78;
    private static final int G1 = 80;
    private static final int[][] H1 = {new int[]{0, 0, 0, 0}, new int[]{-5000000, -5000000, m.f10270d, m.f10270d}, new int[]{0, 0, 11, 11}, new int[]{1, 1, 52, 53}, new int[0], new int[]{1, 1, 30, 31}, new int[]{1, 1, 365, 366}, new int[0], new int[]{-1, -1, 5, 5}, new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[0], new int[]{-5000000, -5000000, m.f10270d, m.f10270d}, new int[0], new int[]{-5000000, -5000000, m.f10270d, m.f10270d}, new int[0], new int[0]};
    public static final int IE = 0;
    public static final int JYAISTHA = 2;
    public static final int KARTIKA = 7;
    public static final int MAGHA = 10;
    public static final int PAUSA = 9;
    public static final int PHALGUNA = 11;
    public static final int SRAVANA = 4;
    public static final int VAISAKHA = 1;
    private static final long serialVersionUID = 3617859668165014834L;

    public IndianCalendar() {
        this(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
    }

    private double Z0(int i, int i2, int i3) {
        int i4;
        double d2;
        int i5 = i + 78;
        if (Calendar.F0(i5)) {
            d2 = a1(i5, 2, 21);
            i4 = 31;
        } else {
            d2 = a1(i5, 2, 22);
            i4 = 30;
        }
        if (i2 != 1) {
            d2 = d2 + ((double) i4) + ((double) (Math.min(i2 - 2, 5) * 31));
            if (i2 >= 8) {
                d2 += (double) ((i2 - 7) * 30);
            }
        }
        return d2 + ((double) (i3 - 1));
    }

    private double a1(int i, int i2, int i3) {
        return ((double) (x(i, i2) + i3)) - 0.5d;
    }

    @Override // com.ibm.icu.util.Calendar
    public String getType() {
        return "indian";
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public void m0(int i) {
        int i2;
        int i3;
        int i4;
        int i5;
        v(i);
        int Z = Z();
        int i6 = Z - 78;
        int a1 = (int) (((double) i) - a1(Z, 0, 1));
        if (a1 < 80) {
            i6--;
            i3 = Calendar.F0(Z - 1) ? 31 : 30;
            i2 = a1 + i3 + 155 + 90 + 10;
        } else {
            i3 = Calendar.F0(Z) ? 31 : 30;
            i2 = a1 - 80;
        }
        if (i2 < i3) {
            i5 = i2 + 1;
            i4 = 0;
        } else {
            int i7 = i2 - i3;
            if (i7 < 155) {
                i4 = (i7 / 31) + 1;
                i5 = (i7 % 31) + 1;
            } else {
                int i8 = i7 - 155;
                i5 = (i8 % 30) + 1;
                i4 = (i8 / 30) + 6;
            }
        }
        E0(0, 0);
        E0(19, i6);
        E0(1, i6);
        E0(2, i4);
        E0(5, i5);
        E0(6, i2 + 1);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int p0(int i, int i2, boolean z) {
        if (i2 < 0 || i2 > 11) {
            i += i2 / 12;
            i2 %= 12;
        }
        return (int) Z0(i, i2 + 1, 1);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int v0() {
        if (K0(19, 1) == 19) {
            return C0(19, 1);
        }
        return C0(1, 1);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int w0(int i, int i2) {
        return H1[i][i2];
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int y0(int i, int i2) {
        if (i2 < 0 || i2 > 11) {
            int[] iArr = new int[1];
            i += Calendar.M(i2, 12, iArr);
            i2 = iArr[0];
        }
        if (!Calendar.F0(i + 78) || i2 != 0) {
            return (i2 < 1 || i2 > 5) ? 30 : 31;
        }
        return 31;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar
    public int z0(int i) {
        return super.z0(i);
    }

    public IndianCalendar(TimeZone timeZone) {
        this(timeZone, ULocale.getDefault(ULocale.Category.FORMAT));
    }

    public IndianCalendar(Locale locale) {
        this(TimeZone.forLocaleOrDefault(locale), locale);
    }

    public IndianCalendar(ULocale uLocale) {
        this(TimeZone.forULocaleOrDefault(uLocale), uLocale);
    }

    public IndianCalendar(TimeZone timeZone, Locale locale) {
        super(timeZone, locale);
        setTimeInMillis(System.currentTimeMillis());
    }

    public IndianCalendar(TimeZone timeZone, ULocale uLocale) {
        super(timeZone, uLocale);
        setTimeInMillis(System.currentTimeMillis());
    }

    public IndianCalendar(Date date) {
        super(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
        setTime(date);
    }

    public IndianCalendar(int i, int i2, int i3) {
        super(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
        set(1, i);
        set(2, i2);
        set(5, i3);
    }

    public IndianCalendar(int i, int i2, int i3, int i4, int i5, int i6) {
        super(TimeZone.getDefault(), ULocale.getDefault(ULocale.Category.FORMAT));
        set(1, i);
        set(2, i2);
        set(5, i3);
        set(11, i4);
        set(12, i5);
        set(13, i6);
    }
}
