package com.ibm.icu.util;

import com.ibm.icu.impl.u;
import com.ibm.icu.lang.f;
import com.ibm.icu.util.BasicTimeZone;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.util.Date;

public class SimpleTimeZone extends BasicTimeZone {
    public static final int STANDARD_TIME = 1;
    public static final int UTC_TIME = 2;
    private static final byte[] V0 = {31, 29, 31, f.a.H, 31, f.a.H, 31, 31, f.a.H, 31, f.a.H, 31};
    private static final int W0 = 1;
    public static final int WALL_TIME = 0;
    private static final int X0 = 2;
    private static final int Y0 = 3;
    private static final int Z0 = 4;
    static final /* synthetic */ boolean a1 = false;
    private static final long serialVersionUID = -7034676239311322769L;
    private transient boolean b1;
    private transient InitialTimeZoneRule c1;
    private transient g0 d1;
    private int dst = 3600000;
    private transient AnnualTimeZoneRule e1;
    private int endDay;
    private int endDayOfWeek;
    private int endMode;
    private int endMonth;
    private int endTime;
    private int endTimeMode;
    private transient AnnualTimeZoneRule f1;
    private volatile transient boolean g1 = false;
    private int raw;
    private int startDay;
    private int startDayOfWeek;
    private int startMode;
    private int startMonth;
    private int startTime;
    private int startTimeMode;
    private int startYear;
    private boolean useDaylight;
    private b0 xinfo = null;

    public SimpleTimeZone(int i, String str) {
        super(str);
        f(i, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3600000);
    }

    private int e(int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9, int i10, int i11, int i12) {
        int i13;
        int i14 = i6 + i7;
        while (i14 >= 86400000) {
            i14 -= 86400000;
            i4++;
            i5 = (i5 % 7) + 1;
            if (i4 > i2) {
                i++;
                i4 = 1;
            }
        }
        while (i14 < 0) {
            i4--;
            i5 = ((i5 + 5) % 7) + 1;
            if (i4 < 1) {
                i--;
                i4 = i3;
            }
            i14 += 86400000;
        }
        if (i < i9) {
            return -1;
        }
        if (i > i9) {
            return 1;
        }
        if (i11 > i2) {
            i11 = i2;
        }
        if (i8 != 1) {
            if (i8 != 2) {
                if (i8 == 3) {
                    i13 = ((((i10 + 49) - i11) - i5) + i4) % 7;
                } else if (i8 != 4) {
                    i11 = 0;
                } else {
                    i11 -= ((((49 - i10) + i11) + i5) - i4) % 7;
                }
            } else if (i11 > 0) {
                i11 = ((i11 - 1) * 7) + 1;
                i13 = ((i10 + 7) - ((i5 - i4) + 1)) % 7;
            } else {
                i11 = (((i11 + 1) * 7) + i2) - (((((i5 + i2) - i4) + 7) - i10) % 7);
            }
            i11 += i13;
        }
        if (i4 < i11) {
            return -1;
        }
        if (i4 > i11) {
            return 1;
        }
        if (i14 < i12) {
            return -1;
        }
        if (i14 > i12) {
            return 1;
        }
        return 0;
    }

    private void f(int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9, int i10, int i11, int i12) {
        this.raw = i;
        this.startMonth = i2;
        this.startDay = i3;
        this.startDayOfWeek = i4;
        this.startTime = i5;
        this.startTimeMode = i6;
        this.endMonth = i7;
        this.endDay = i8;
        this.endDayOfWeek = i9;
        this.endTime = i10;
        this.endTimeMode = i11;
        this.dst = i12;
        this.startYear = 0;
        this.startMode = 1;
        this.endMode = 1;
        m();
        if (i12 == 0) {
            throw new IllegalArgumentException();
        }
    }

    private void h() {
        int i;
        boolean z = (this.startDay == 0 || this.endDay == 0) ? false : true;
        this.useDaylight = z;
        if (z && this.dst == 0) {
            this.dst = 86400000;
        }
        int i2 = this.endDay;
        if (i2 != 0) {
            int i3 = this.endMonth;
            if (i3 < 0 || i3 > 11) {
                throw new IllegalArgumentException();
            }
            int i4 = this.endTime;
            if (i4 < 0 || i4 > 86400000 || (i = this.endTimeMode) < 0 || i > 2) {
                throw new IllegalArgumentException();
            }
            int i5 = this.endDayOfWeek;
            if (i5 == 0) {
                this.endMode = 1;
            } else {
                if (i5 > 0) {
                    this.endMode = 2;
                } else {
                    this.endDayOfWeek = -i5;
                    if (i2 > 0) {
                        this.endMode = 3;
                    } else {
                        this.endDay = -i2;
                        this.endMode = 4;
                    }
                }
                if (this.endDayOfWeek > 7) {
                    throw new IllegalArgumentException();
                }
            }
            if (this.endMode == 2) {
                int i6 = this.endDay;
                if (i6 < -5 || i6 > 5) {
                    throw new IllegalArgumentException();
                }
                return;
            }
            int i7 = this.endDay;
            if (i7 < 1 || i7 > V0[i3]) {
                throw new IllegalArgumentException();
            }
        }
    }

    private void m() {
        n();
        h();
    }

    private void n() {
        int i;
        int i2 = this.startDay;
        boolean z = (i2 == 0 || this.endDay == 0) ? false : true;
        this.useDaylight = z;
        if (z && this.dst == 0) {
            this.dst = 86400000;
        }
        if (i2 != 0) {
            int i3 = this.startMonth;
            if (i3 < 0 || i3 > 11) {
                throw new IllegalArgumentException();
            }
            int i4 = this.startTime;
            if (i4 < 0 || i4 > 86400000 || (i = this.startTimeMode) < 0 || i > 2) {
                throw new IllegalArgumentException();
            }
            int i5 = this.startDayOfWeek;
            if (i5 == 0) {
                this.startMode = 1;
            } else {
                if (i5 > 0) {
                    this.startMode = 2;
                } else {
                    this.startDayOfWeek = -i5;
                    if (i2 > 0) {
                        this.startMode = 3;
                    } else {
                        this.startDay = -i2;
                        this.startMode = 4;
                    }
                }
                if (this.startDayOfWeek > 7) {
                    throw new IllegalArgumentException();
                }
            }
            if (this.startMode == 2) {
                int i6 = this.startDay;
                if (i6 < -5 || i6 > 5) {
                    throw new IllegalArgumentException();
                }
                return;
            }
            int i7 = this.startDay;
            if (i7 < 1 || i7 > V0[i3]) {
                throw new IllegalArgumentException();
            }
        }
    }

    private int p(int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8) {
        int i9;
        int i10;
        if ((i == 1 || i == 0) && i3 >= 0 && i3 <= 11 && i4 >= 1 && i4 <= i7 && i5 >= 1 && i5 <= 7 && i6 >= 0 && i6 < 86400000 && i7 >= 28 && i7 <= 31 && i8 >= 28 && i8 <= 31) {
            int i11 = this.raw;
            if (!this.useDaylight || i2 < this.startYear || i != 1) {
                return i11;
            }
            int i12 = this.startMonth;
            int i13 = 0;
            boolean z = i12 > this.endMonth;
            int e2 = e(i3, i7, i8, i4, i5, i6, this.startTimeMode == 2 ? -i11 : 0, this.startMode, i12, this.startDayOfWeek, this.startDay, this.startTime);
            if (z != (e2 >= 0)) {
                int i14 = this.endTimeMode;
                if (i14 == 0) {
                    i10 = this.dst;
                } else if (i14 == 2) {
                    i10 = -this.raw;
                } else {
                    i9 = 0;
                    i13 = e(i3, i7, i8, i4, i5, i6, i9, this.endMode, this.endMonth, this.endDayOfWeek, this.endDay, this.endTime);
                }
                i9 = i10;
                i13 = e(i3, i7, i8, i4, i5, i6, i9, this.endMode, this.endMonth, this.endDayOfWeek, this.endDay, this.endTime);
            }
            return ((z || e2 < 0 || i13 >= 0) && (!z || (e2 < 0 && i13 >= 0))) ? i11 : i11 + this.dst;
        }
        throw new IllegalArgumentException();
    }

    private b0 q() {
        if (this.xinfo == null) {
            this.xinfo = new b0();
        }
        return this.xinfo;
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        b0 b0Var = this.xinfo;
        if (b0Var != null) {
            b0Var.a(this);
        }
    }

    private boolean s(String str, String str2) {
        if (str == null && str2 == null) {
            return true;
        }
        if (str == null || str2 == null) {
            return false;
        }
        return str.equals(str2);
    }

    private synchronized void t() {
        if (!this.b1) {
            if (this.useDaylight) {
                DateTimeRule dateTimeRule = null;
                int i = this.startTimeMode;
                int i2 = i == 1 ? 1 : i == 2 ? 2 : 0;
                int i3 = this.startMode;
                if (i3 == 1) {
                    dateTimeRule = new DateTimeRule(this.startMonth, this.startDay, this.startTime, i2);
                } else if (i3 == 2) {
                    dateTimeRule = new DateTimeRule(this.startMonth, this.startDay, this.startDayOfWeek, this.startTime, i2);
                } else if (i3 == 3) {
                    dateTimeRule = new DateTimeRule(this.startMonth, this.startDay, this.startDayOfWeek, true, this.startTime, i2);
                } else if (i3 == 4) {
                    dateTimeRule = new DateTimeRule(this.startMonth, this.startDay, this.startDayOfWeek, false, this.startTime, i2);
                }
                AnnualTimeZoneRule annualTimeZoneRule = new AnnualTimeZoneRule(getID() + "(DST)", getRawOffset(), getDSTSavings(), dateTimeRule, this.startYear, Integer.MAX_VALUE);
                this.f1 = annualTimeZoneRule;
                long time = annualTimeZoneRule.getFirstStart(getRawOffset(), 0).getTime();
                int i4 = this.endTimeMode;
                int i5 = i4 == 1 ? 1 : i4 == 2 ? 2 : 0;
                int i6 = this.endMode;
                if (i6 == 1) {
                    dateTimeRule = new DateTimeRule(this.endMonth, this.endDay, this.endTime, i5);
                } else if (i6 == 2) {
                    dateTimeRule = new DateTimeRule(this.endMonth, this.endDay, this.endDayOfWeek, this.endTime, i5);
                } else if (i6 == 3) {
                    dateTimeRule = new DateTimeRule(this.endMonth, this.endDay, this.endDayOfWeek, true, this.endTime, i5);
                } else if (i6 == 4) {
                    dateTimeRule = new DateTimeRule(this.endMonth, this.endDay, this.endDayOfWeek, false, this.endTime, i5);
                }
                AnnualTimeZoneRule annualTimeZoneRule2 = new AnnualTimeZoneRule(getID() + "(STD)", getRawOffset(), 0, dateTimeRule, this.startYear, Integer.MAX_VALUE);
                this.e1 = annualTimeZoneRule2;
                long time2 = annualTimeZoneRule2.getFirstStart(getRawOffset(), this.f1.getDSTSavings()).getTime();
                if (time2 < time) {
                    InitialTimeZoneRule initialTimeZoneRule = new InitialTimeZoneRule(getID() + "(DST)", getRawOffset(), this.f1.getDSTSavings());
                    this.c1 = initialTimeZoneRule;
                    this.d1 = new g0(time2, initialTimeZoneRule, this.e1);
                } else {
                    InitialTimeZoneRule initialTimeZoneRule2 = new InitialTimeZoneRule(getID() + "(STD)", getRawOffset(), 0);
                    this.c1 = initialTimeZoneRule2;
                    this.d1 = new g0(time, initialTimeZoneRule2, this.f1);
                }
            } else {
                this.c1 = new InitialTimeZoneRule(getID(), getRawOffset(), 0);
            }
            this.b1 = true;
        }
    }

    private void u(int i, int i2, int i3, int i4, int i5) {
        this.endMonth = i;
        this.endDay = i2;
        this.endDayOfWeek = i3;
        this.endTime = i4;
        this.endTimeMode = i5;
        h();
        this.b1 = false;
    }

    private void v(int i, int i2, int i3, int i4, int i5, boolean z) {
        if (!z) {
            i2 = -i2;
        }
        u(i, i2, -i3, i4, i5);
    }

    private void x(int i, int i2, int i3, int i4, int i5) {
        this.startMonth = i;
        this.startDay = i2;
        this.startDayOfWeek = i3;
        this.startTime = i4;
        this.startTimeMode = i5;
        n();
        this.b1 = false;
    }

    @Override // com.ibm.icu.util.TimeZone, java.lang.Object
    public Object clone() {
        if (isFrozen()) {
            return this;
        }
        return cloneAsThawed();
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        SimpleTimeZone simpleTimeZone = (SimpleTimeZone) obj;
        if (this.raw == simpleTimeZone.raw && this.useDaylight == simpleTimeZone.useDaylight && s(getID(), simpleTimeZone.getID())) {
            if (!this.useDaylight) {
                return true;
            }
            if (this.dst == simpleTimeZone.dst && this.startMode == simpleTimeZone.startMode && this.startMonth == simpleTimeZone.startMonth && this.startDay == simpleTimeZone.startDay && this.startDayOfWeek == simpleTimeZone.startDayOfWeek && this.startTime == simpleTimeZone.startTime && this.startTimeMode == simpleTimeZone.startTimeMode && this.endMode == simpleTimeZone.endMode && this.endMonth == simpleTimeZone.endMonth && this.endDay == simpleTimeZone.endDay && this.endDayOfWeek == simpleTimeZone.endDayOfWeek && this.endTime == simpleTimeZone.endTime && this.endTimeMode == simpleTimeZone.endTimeMode && this.startYear == simpleTimeZone.startYear) {
                return true;
            }
            return false;
        }
        return false;
    }

    @Override // com.ibm.icu.util.TimeZone
    public int getDSTSavings() {
        return this.dst;
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public g0 getNextTransition(long j, boolean z) {
        if (!this.useDaylight) {
            return null;
        }
        t();
        int i = (j > this.d1.b() ? 1 : (j == this.d1.b() ? 0 : -1));
        if (i < 0 || (z && i == 0)) {
            return this.d1;
        }
        Date nextStart = this.e1.getNextStart(j, this.f1.getRawOffset(), this.f1.getDSTSavings(), z);
        Date nextStart2 = this.f1.getNextStart(j, this.e1.getRawOffset(), this.e1.getDSTSavings(), z);
        if (nextStart != null && (nextStart2 == null || nextStart.before(nextStart2))) {
            return new g0(nextStart.getTime(), this.f1, this.e1);
        }
        if (nextStart2 == null || (nextStart != null && !nextStart2.before(nextStart))) {
            return null;
        }
        return new g0(nextStart2.getTime(), this.e1, this.f1);
    }

    @Override // com.ibm.icu.util.TimeZone
    public int getOffset(int i, int i2, int i3, int i4, int i5, int i6) {
        if (i3 >= 0 && i3 <= 11) {
            return getOffset(i, i2, i3, i4, i5, i6, u.h(i2, i3));
        }
        throw new IllegalArgumentException();
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x005d  */
    /* JADX WARNING: Removed duplicated region for block: B:19:? A[RETURN, SYNTHETIC] */
    @Override // com.ibm.icu.util.BasicTimeZone
    public void getOffsetFromLocal(long j, BasicTimeZone.LocalOption localOption, BasicTimeZone.LocalOption localOption2, int[] iArr) {
        boolean z;
        int i;
        long j2 = j;
        int d2 = BasicTimeZone.d(localOption);
        int d3 = BasicTimeZone.d(localOption2);
        iArr[0] = getRawOffset();
        int[] iArr2 = new int[6];
        u.j(j2, iArr2);
        iArr[1] = getOffset(1, iArr2[0], iArr2[1], iArr2[2], iArr2[3], iArr2[5]) - iArr[0];
        if (iArr[1] > 0) {
            int i2 = d2 & 3;
            if (i2 == 1 || !(i2 == 3 || (d2 & 12) == 12)) {
                i = getDSTSavings();
                j2 -= (long) i;
                z = true;
                if (z) {
                    u.j(j2, iArr2);
                    iArr[1] = getOffset(1, iArr2[0], iArr2[1], iArr2[2], iArr2[3], iArr2[5]) - iArr[0];
                    return;
                }
                return;
            }
        } else {
            int i3 = d3 & 3;
            if (i3 == 3 || (i3 != 1 && (d3 & 12) == 4)) {
                i = getDSTSavings();
                j2 -= (long) i;
                z = true;
                if (z) {
                }
            }
        }
        z = false;
        if (z) {
        }
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public g0 getPreviousTransition(long j, boolean z) {
        if (!this.useDaylight) {
            return null;
        }
        t();
        int i = (j > this.d1.b() ? 1 : (j == this.d1.b() ? 0 : -1));
        if (i >= 0 && (z || i != 0)) {
            Date previousStart = this.e1.getPreviousStart(j, this.f1.getRawOffset(), this.f1.getDSTSavings(), z);
            Date previousStart2 = this.f1.getPreviousStart(j, this.e1.getRawOffset(), this.e1.getDSTSavings(), z);
            if (previousStart != null && (previousStart2 == null || previousStart.after(previousStart2))) {
                return new g0(previousStart.getTime(), this.f1, this.e1);
            }
            if (previousStart2 != null && (previousStart == null || previousStart2.after(previousStart))) {
                return new g0(previousStart2.getTime(), this.e1, this.f1);
            }
        }
        return null;
    }

    @Override // com.ibm.icu.util.TimeZone
    public int getRawOffset() {
        return this.raw;
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public TimeZoneRule[] getTimeZoneRules() {
        t();
        boolean z = this.useDaylight;
        TimeZoneRule[] timeZoneRuleArr = new TimeZoneRule[(z ? 3 : 1)];
        timeZoneRuleArr[0] = this.c1;
        if (z) {
            timeZoneRuleArr[1] = this.e1;
            timeZoneRuleArr[2] = this.f1;
        }
        return timeZoneRuleArr;
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean hasSameRules(TimeZone timeZone) {
        SimpleTimeZone simpleTimeZone;
        boolean z;
        if (this == timeZone) {
            return true;
        }
        if ((timeZone instanceof SimpleTimeZone) && (simpleTimeZone = (SimpleTimeZone) timeZone) != null && this.raw == simpleTimeZone.raw && (z = this.useDaylight) == simpleTimeZone.useDaylight) {
            if (!z) {
                return true;
            }
            if (this.dst == simpleTimeZone.dst && this.startMode == simpleTimeZone.startMode && this.startMonth == simpleTimeZone.startMonth && this.startDay == simpleTimeZone.startDay && this.startDayOfWeek == simpleTimeZone.startDayOfWeek && this.startTime == simpleTimeZone.startTime && this.startTimeMode == simpleTimeZone.startTimeMode && this.endMode == simpleTimeZone.endMode && this.endMonth == simpleTimeZone.endMonth && this.endDay == simpleTimeZone.endDay && this.endDayOfWeek == simpleTimeZone.endDayOfWeek && this.endTime == simpleTimeZone.endTime && this.endTimeMode == simpleTimeZone.endTimeMode && this.startYear == simpleTimeZone.startYear) {
                return true;
            }
            return false;
        }
        return false;
    }

    @Override // com.ibm.icu.util.TimeZone
    public int hashCode() {
        int hashCode = super.hashCode();
        int i = this.raw;
        boolean z = this.useDaylight;
        int i2 = (hashCode + i) ^ ((i >>> 8) + (!z ? 1 : 0));
        if (z) {
            return i2;
        }
        int i3 = this.dst;
        int i4 = this.startMode;
        int i5 = i3 ^ ((i3 >>> 10) + i4);
        int i6 = i4 >>> 11;
        int i7 = this.startMonth;
        int i8 = i5 ^ (i6 + i7);
        int i9 = i7 >>> 12;
        int i10 = this.startDay;
        int i11 = i8 ^ (i9 + i10);
        int i12 = i10 >>> 13;
        int i13 = this.startDayOfWeek;
        int i14 = i11 ^ (i12 + i13);
        int i15 = i13 >>> 14;
        int i16 = this.startTime;
        int i17 = i14 ^ (i15 + i16);
        int i18 = i16 >>> 15;
        int i19 = this.startTimeMode;
        int i20 = i17 ^ (i18 + i19);
        int i21 = i19 >>> 16;
        int i22 = this.endMode;
        int i23 = i20 ^ (i21 + i22);
        int i24 = i22 >>> 17;
        int i25 = this.endMonth;
        int i26 = i23 ^ (i24 + i25);
        int i27 = i25 >>> 18;
        int i28 = this.endDay;
        int i29 = i26 ^ (i27 + i28);
        int i30 = i28 >>> 19;
        int i31 = this.endDayOfWeek;
        int i32 = i29 ^ (i30 + i31);
        int i33 = i31 >>> 20;
        int i34 = this.endTime;
        int i35 = i32 ^ (i33 + i34);
        int i36 = i34 >>> 21;
        int i37 = this.endTimeMode;
        int i38 = i35 ^ (i36 + i37);
        int i39 = i37 >>> 22;
        int i40 = this.startYear;
        return i2 + ((i38 ^ (i39 + i40)) ^ (i40 >>> 23));
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean inDaylightTime(Date date) {
        GregorianCalendar gregorianCalendar = new GregorianCalendar(this);
        gregorianCalendar.setTime(date);
        return gregorianCalendar.Z0();
    }

    @Override // com.ibm.icu.util.TimeZone, com.ibm.icu.util.n
    public boolean isFrozen() {
        return this.g1;
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean observesDaylightTime() {
        return this.useDaylight;
    }

    public void setDSTSavings(int i) {
        if (isFrozen()) {
            throw new UnsupportedOperationException("Attempt to modify a frozen SimpleTimeZone instance.");
        } else if (i != 0) {
            this.dst = i;
            this.b1 = false;
        } else {
            throw new IllegalArgumentException();
        }
    }

    public void setEndRule(int i, int i2, int i3, int i4) {
        if (!isFrozen()) {
            q().b(i, i2, i3, i4, -1, false);
            u(i, i2, i3, i4, 0);
            return;
        }
        throw new UnsupportedOperationException("Attempt to modify a frozen SimpleTimeZone instance.");
    }

    @Override // com.ibm.icu.util.TimeZone
    public void setID(String str) {
        if (!isFrozen()) {
            super.setID(str);
            this.b1 = false;
            return;
        }
        throw new UnsupportedOperationException("Attempt to modify a frozen SimpleTimeZone instance.");
    }

    @Override // com.ibm.icu.util.TimeZone
    public void setRawOffset(int i) {
        if (!isFrozen()) {
            this.raw = i;
            this.b1 = false;
            return;
        }
        throw new UnsupportedOperationException("Attempt to modify a frozen SimpleTimeZone instance.");
    }

    public void setStartRule(int i, int i2, int i3, int i4) {
        if (!isFrozen()) {
            q().c(i, i2, i3, i4, -1, false);
            x(i, i2, i3, i4, 0);
            return;
        }
        throw new UnsupportedOperationException("Attempt to modify a frozen SimpleTimeZone instance.");
    }

    public void setStartYear(int i) {
        if (!isFrozen()) {
            q().sy = i;
            this.startYear = i;
            this.b1 = false;
            return;
        }
        throw new UnsupportedOperationException("Attempt to modify a frozen SimpleTimeZone instance.");
    }

    public String toString() {
        return "SimpleTimeZone: " + getID();
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean useDaylightTime() {
        return this.useDaylight;
    }

    @Override // com.ibm.icu.util.TimeZone, com.ibm.icu.util.TimeZone, com.ibm.icu.util.n
    public TimeZone cloneAsThawed() {
        SimpleTimeZone simpleTimeZone = (SimpleTimeZone) super.cloneAsThawed();
        simpleTimeZone.g1 = false;
        return simpleTimeZone;
    }

    @Override // com.ibm.icu.util.TimeZone, com.ibm.icu.util.TimeZone, com.ibm.icu.util.n
    public TimeZone freeze() {
        this.g1 = true;
        return this;
    }

    @Deprecated
    public int getOffset(int i, int i2, int i3, int i4, int i5, int i6, int i7) {
        if (i3 >= 0 && i3 <= 11) {
            return p(i, i2, i3, i4, i5, i6, u.h(i2, i3), u.i(i2, i3));
        }
        throw new IllegalArgumentException();
    }

    public void setEndRule(int i, int i2, int i3) {
        if (!isFrozen()) {
            q().b(i, -1, -1, i3, i2, false);
            setEndRule(i, i2, 0, i3);
            return;
        }
        throw new UnsupportedOperationException("Attempt to modify a frozen SimpleTimeZone instance.");
    }

    public void setStartRule(int i, int i2, int i3) {
        if (!isFrozen()) {
            q().c(i, -1, -1, i3, i2, false);
            x(i, i2, 0, i3, 0);
            return;
        }
        throw new UnsupportedOperationException("Attempt to modify a frozen SimpleTimeZone instance.");
    }

    public SimpleTimeZone(int i, String str, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9) {
        super(str);
        f(i, i2, i3, i4, i5, 0, i6, i7, i8, i9, 0, 3600000);
    }

    public void setEndRule(int i, int i2, int i3, int i4, boolean z) {
        if (!isFrozen()) {
            q().b(i, -1, i3, i4, i2, z);
            v(i, i2, i3, i4, 0, z);
            return;
        }
        throw new UnsupportedOperationException("Attempt to modify a frozen SimpleTimeZone instance.");
    }

    public void setStartRule(int i, int i2, int i3, int i4, boolean z) {
        if (!isFrozen()) {
            q().c(i, -1, i3, i4, i2, z);
            if (!z) {
                i2 = -i2;
            }
            x(i, i2, -i3, i4, 0);
            return;
        }
        throw new UnsupportedOperationException("Attempt to modify a frozen SimpleTimeZone instance.");
    }

    public SimpleTimeZone(int i, String str, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9, int i10, int i11, int i12) {
        super(str);
        f(i, i2, i3, i4, i5, i6, i7, i8, i9, i10, i11, i12);
    }

    public SimpleTimeZone(int i, String str, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9, int i10) {
        super(str);
        f(i, i2, i3, i4, i5, 0, i6, i7, i8, i9, 0, i10);
    }
}
