package com.ibm.icu.util;

import java.util.Date;
import java.util.Locale;

public class TaiwanCalendar extends GregorianCalendar {
    public static final int BEFORE_MINGUO = 0;
    private static final int M1 = 1911;
    public static final int MINGUO = 1;
    private static final int N1 = 1970;
    private static final long serialVersionUID = 2583005278132380631L;

    public TaiwanCalendar() {
    }

    @Override // com.ibm.icu.util.Calendar, com.ibm.icu.util.GregorianCalendar
    public String getType() {
        return "roc";
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar, com.ibm.icu.util.GregorianCalendar
    public void m0(int i) {
        super.m0(i);
        int B0 = B0(19) - 1911;
        if (B0 > 0) {
            E0(0, 1);
            E0(1, B0);
            return;
        }
        E0(0, 0);
        E0(1, 1 - B0);
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar, com.ibm.icu.util.GregorianCalendar
    public int v0() {
        if (K0(19, 1) == 19 && K0(19, 0) == 19) {
            return C0(19, N1);
        }
        if (C0(0, 1) == 1) {
            return C0(1, 1) + M1;
        }
        return (1 - C0(1, 1)) + M1;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.Calendar, com.ibm.icu.util.GregorianCalendar
    public int w0(int i, int i2) {
        if (i == 0) {
            return (i2 == 0 || i2 == 1) ? 0 : 1;
        }
        return super.w0(i, i2);
    }

    public TaiwanCalendar(TimeZone timeZone) {
        super(timeZone);
    }

    public TaiwanCalendar(Locale locale) {
        super(locale);
    }

    public TaiwanCalendar(ULocale uLocale) {
        super(uLocale);
    }

    public TaiwanCalendar(TimeZone timeZone, Locale locale) {
        super(timeZone, locale);
    }

    public TaiwanCalendar(TimeZone timeZone, ULocale uLocale) {
        super(timeZone, uLocale);
    }

    public TaiwanCalendar(Date date) {
        this();
        setTime(date);
    }

    public TaiwanCalendar(int i, int i2, int i3) {
        super(i, i2, i3);
    }

    public TaiwanCalendar(int i, int i2, int i3, int i4, int i5, int i6) {
        super(i, i2, i3, i4, i5, i6);
    }
}
