package com.ibm.icu.util;

import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.k0;
import com.ibm.icu.impl.locale.KeyTypeData;
import com.ibm.icu.impl.locale.LocaleSyntaxException;
import com.ibm.icu.impl.locale.h;
import com.ibm.icu.impl.locale.k;
import com.ibm.icu.impl.locale.m;
import com.ibm.icu.impl.m1;
import com.ibm.icu.impl.number.Padder;
import com.ibm.icu.impl.q2;
import com.ibm.icu.impl.r0;
import com.ibm.icu.impl.s0;
import com.ibm.icu.lang.UScript;
import com.ibm.icu.text.DateFormat;
import com.ibm.icu.text.LocaleDisplayNames;
import com.ibm.icu.util.LocaleMatcher;
import java.io.Serializable;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.MissingResourceException;
import java.util.Objects;
import java.util.Set;
import java.util.TreeMap;
import java.util.TreeSet;
import tv.danmaku.ijk.media.player.i;

public final class ULocale implements Serializable, Comparable<ULocale> {
    public static g ACTUAL_LOCALE = new g(null);
    public static final ULocale CANADA = new ULocale("en_CA", Locale.CANADA);
    public static final ULocale CANADA_FRENCH = new ULocale("fr_CA", Locale.CANADA_FRENCH);
    public static final ULocale CHINA;
    public static final ULocale CHINESE = new ULocale("zh", Locale.CHINESE);
    public static final ULocale ENGLISH = new ULocale("en", Locale.ENGLISH);
    public static final ULocale FRANCE = new ULocale("fr_FR", Locale.FRANCE);
    public static final ULocale FRENCH = new ULocale("fr", Locale.FRENCH);
    public static final ULocale GERMAN = new ULocale("de", Locale.GERMAN);
    public static final ULocale GERMANY = new ULocale("de_DE", Locale.GERMANY);
    private static final char I0 = '_';
    public static final ULocale ITALIAN = new ULocale("it", Locale.ITALIAN);
    public static final ULocale ITALY = new ULocale("it_IT", Locale.ITALY);
    private static final Locale J0;
    public static final ULocale JAPAN = new ULocale("ja_JP", Locale.JAPAN);
    public static final ULocale JAPANESE = new ULocale("ja", Locale.JAPANESE);
    private static final String K0 = "attribute";
    public static final ULocale KOREA = new ULocale("ko_KR", Locale.KOREA);
    public static final ULocale KOREAN = new ULocale("ko", Locale.KOREAN);
    private static final m1<Locale, ULocale, Void> L0 = new b();
    private static String[][] M0 = {new String[]{"art__LOJBAN", "jbo"}, new String[]{"cel__GAULISH", "cel__GAULISH"}, new String[]{"de__1901", "de__1901"}, new String[]{"de__1906", "de__1906"}, new String[]{"en__BOONT", "en__BOONT"}, new String[]{"en__SCOUSE", "en__SCOUSE"}, new String[]{"hy__AREVELA", "hy", null, null}, new String[]{"hy__AREVMDA", "hyw", null, null}, new String[]{"sl__ROZAJ", "sl__ROZAJ"}, new String[]{"zh__GUOYU", "zh"}, new String[]{"zh__HAKKA", "hak"}, new String[]{"zh__XIANG", "hsn"}, new String[]{"zh_GAN", "gan"}, new String[]{"zh_MIN", "zh__MIN"}, new String[]{"zh_MIN_NAN", "nan"}, new String[]{"zh_WUU", "wuu"}, new String[]{"zh_YUE", "yue"}};
    private static Locale N0 = Locale.getDefault();
    private static ULocale O0 = forLocale(N0);
    private static Locale[] P0 = new Locale[Category.values().length];
    public static final ULocale PRC;
    public static final char PRIVATE_USE_EXTENSION = 'x';
    private static ULocale[] Q0 = new ULocale[Category.values().length];
    private static Set<String> R0 = null;
    public static final ULocale ROOT;
    private static final String S0 = "root-en-es-pt-zh-ja-ko-de-fr-it-ar+he+fa+ru-nl-pl-th-tr-";
    public static final ULocale SIMPLIFIED_CHINESE = new ULocale("zh_Hans");
    private static final String T0 = "und";
    public static final ULocale TAIWAN = new ULocale("zh_Hant_TW");
    public static final ULocale TRADITIONAL_CHINESE = new ULocale("zh_Hant");
    private static final String U0 = "Zzzz";
    public static final ULocale UK = new ULocale("en_GB", Locale.UK);
    public static final char UNICODE_LOCALE_EXTENSION = 'u';
    public static final ULocale US = new ULocale("en_US", Locale.US);
    private static final String V0 = "ZZ";
    public static g VALID_LOCALE = new g(null);

    /* renamed from: a  reason: collision with root package name */
    private static com.ibm.icu.impl.d<String, String, Void> f16070a = new a();

    /* renamed from: b  reason: collision with root package name */
    private static final String f16071b = "";
    private static final long serialVersionUID = 3715177670352309217L;
    private volatile transient Locale W0;
    private volatile transient com.ibm.icu.impl.locale.b X0;
    private volatile transient h Y0;
    private String localeID;

    public enum AvailableType {
        DEFAULT,
        ONLY_LEGACY_ALIASES,
        WITH_LEGACY_ALIASES
    }

    public enum Category {
        DISPLAY,
        FORMAT
    }

    @Deprecated
    public enum Minimize {
        FAVOR_SCRIPT,
        FAVOR_REGION
    }

    /* access modifiers changed from: package-private */
    public static class a extends m1<String, String, Void> {
        a() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: c */
        public String a(String str, Void r2) {
            return new r0(str).o();
        }
    }

    static class b extends m1<Locale, ULocale, Void> {
        b() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: c */
        public ULocale a(Locale locale, Void r2) {
            return f.e(locale);
        }
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class c {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f16075a;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|6) */
        /* JADX WARNING: Code restructure failed: missing block: B:7:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        static {
            int[] iArr = new int[Category.values().length];
            f16075a = iArr;
            iArr[Category.DISPLAY.ordinal()] = 1;
            f16075a[Category.FORMAT.ordinal()] = 2;
        }
    }

    /* access modifiers changed from: private */
    public static class d {

        /* renamed from: a  reason: collision with root package name */
        private static boolean f16076a = false;

        /* renamed from: b  reason: collision with root package name */
        private static Map<String, String> f16077b = null;

        /* renamed from: c  reason: collision with root package name */
        private static Map<String, String> f16078c = null;

        /* renamed from: d  reason: collision with root package name */
        private static Map<String, List<String>> f16079d = null;

        /* renamed from: e  reason: collision with root package name */
        private static Map<String, String> f16080e = null;
        private static Map<String, String> f = null;
        static final /* synthetic */ boolean g = false;
        private String h;
        private String i;
        private String j;
        private List<String> k;
        private String l;

        public d(String str, String str2, String str3, String str4, String str5) {
            this.h = str;
            this.i = str2;
            this.j = str3;
            if (!str4.isEmpty()) {
                this.k = new ArrayList(Arrays.asList(str4.split(com.ibm.icu.impl.locale.b.f14006b)));
            }
            this.l = str5;
        }

        private static String a(String str, String str2, String str3) {
            if (str3 != null && !str3.isEmpty()) {
                return (str == null || str.isEmpty()) ? str3 : str;
            }
            if (str2 == null || str2.isEmpty()) {
                return str;
            }
            return null;
        }

        private static String b(String str, String str2, String str3) {
            StringBuilder sb = new StringBuilder();
            sb.append(str);
            if (str2 != null && !str2.isEmpty()) {
                sb.append(ULocale.I0);
                sb.append(str2);
            }
            if (str3 != null && !str3.isEmpty()) {
                sb.append(ULocale.I0);
                sb.append(str3);
            }
            return sb.toString();
        }

        private static synchronized void c() {
            synchronized (d.class) {
                if (!f16076a) {
                    f16077b = new HashMap();
                    f16078c = new HashMap();
                    f16079d = new HashMap();
                    f16080e = new HashMap();
                    f = new HashMap();
                    h0 d2 = h0.m(a0.f13490d, com.google.android.exoplayer2.text.ttml.b.l, ICUResourceBundle.j).d("alias");
                    h0 d3 = d2.d(i.m);
                    h0 d4 = d2.d("script");
                    h0 d5 = d2.d("territory");
                    h0 d6 = d2.d("variant");
                    h0 d7 = d2.d("subdivision");
                    for (int i2 = 0; i2 < d3.x(); i2++) {
                        h0 c2 = d3.c(i2);
                        String t = c2.t();
                        String y = c2.d("replacement").y();
                        Locale locale = new Locale(t);
                        if (!locale.getScript().isEmpty() || (t.startsWith("und") && !locale.getCountry().isEmpty())) {
                            throw new IllegalArgumentException("key [" + t + "] in alias:language contains unsupported fields combination.");
                        }
                        f16077b.put(t, y);
                    }
                    for (int i3 = 0; i3 < d4.x(); i3++) {
                        h0 c3 = d4.c(i3);
                        String t2 = c3.t();
                        String y2 = c3.d("replacement").y();
                        if (t2.length() == 4) {
                            f16078c.put(t2, y2);
                        } else {
                            throw new IllegalArgumentException("Incorrect key [" + t2 + "] in alias:script.");
                        }
                    }
                    for (int i4 = 0; i4 < d5.x(); i4++) {
                        h0 c4 = d5.c(i4);
                        String t3 = c4.t();
                        String y3 = c4.d("replacement").y();
                        if (t3.length() < 2 || t3.length() > 3) {
                            throw new IllegalArgumentException("Incorrect key [" + t3 + "] in alias:territory.");
                        }
                        f16079d.put(t3, new ArrayList(Arrays.asList(y3.split(Padder.f14124a))));
                    }
                    for (int i5 = 0; i5 < d6.x(); i5++) {
                        h0 c5 = d6.c(i5);
                        String t4 = c5.t();
                        String y4 = c5.d("replacement").y();
                        if (t4.length() < 4 || t4.length() > 8 || (t4.length() == 4 && (t4.charAt(0) < '0' || t4.charAt(0) > '9'))) {
                            throw new IllegalArgumentException("Incorrect key [" + t4 + "] in alias:variant.");
                        } else if (y4.length() < 4 || y4.length() > 8 || (y4.length() == 4 && (y4.charAt(0) < '0' || y4.charAt(0) > '9'))) {
                            throw new IllegalArgumentException("Incorrect variant [" + y4 + "] for the key [" + t4 + "] in alias:variant.");
                        } else {
                            f16080e.put(t4, y4);
                        }
                    }
                    for (int i6 = 0; i6 < d7.x(); i6++) {
                        h0 c6 = d7.c(i6);
                        String t5 = c6.t();
                        String str = c6.d("replacement").y().split(Padder.f14124a)[0];
                        if (t5.length() < 3 || t5.length() > 8) {
                            throw new IllegalArgumentException("Incorrect key [" + t5 + "] in alias:territory.");
                        }
                        if (str.length() == 2) {
                            str = str + DateFormat.SPECIFIC_TZ;
                        } else if (str.length() < 2 || str.length() > 8) {
                            throw new IllegalArgumentException("Incorrect value [" + str + "] in alias:territory.");
                        }
                        f.put(t5, str);
                    }
                    f16076a = true;
                }
            }
        }

        /* JADX WARN: Type inference failed for: r1v0 */
        /* JADX WARN: Type inference failed for: r1v1, types: [boolean] */
        /* JADX WARN: Type inference failed for: r1v2 */
        /* JADX WARNING: Unknown variable types count: 1 */
        private boolean e(boolean z, boolean z2, boolean z3) {
            String str;
            int i2;
            String str2;
            String str3;
            String str4;
            String str5;
            int i3;
            String str6;
            ?? r1 = 0;
            if ((z2 && ((str6 = this.j) == null || str6.isEmpty())) || (z3 && this.k == null)) {
                return false;
            }
            int i4 = 1;
            int size = z3 ? this.k.size() : 1;
            if (z) {
                str = this.h;
            } else {
                str = "und";
            }
            String str7 = z2 ? this.j : null;
            int i5 = 0;
            String str8 = null;
            while (i5 < size) {
                if (z3) {
                    str8 = this.k.get(i5);
                }
                int i6 = 4;
                if (str8 != null && str8.length() < 4) {
                    str8 = null;
                }
                String str9 = f16077b.get(b(str, str7, str8));
                if (str9 == null) {
                    i2 = size;
                } else {
                    if (str9.indexOf(95) >= 0) {
                        String[] split = str9.split(com.ibm.icu.impl.locale.b.f14006b);
                        char c2 = r1 == true ? 1 : 0;
                        char c3 = r1 == true ? 1 : 0;
                        char c4 = r1 == true ? 1 : 0;
                        String str10 = split[c2];
                        if (str10.equals("und")) {
                            str10 = this.h;
                        }
                        int length = split[r1].length() + i4;
                        int i7 = 1;
                        String str11 = null;
                        String str12 = null;
                        String str13 = null;
                        while (true) {
                            if (split.length <= i7) {
                                i2 = size;
                                str9 = str10;
                                str2 = str11;
                                str4 = str12;
                                str3 = str13;
                                str5 = null;
                                break;
                            }
                            String str14 = split[i7];
                            int length2 = str14.length();
                            if (i4 == length2) {
                                str5 = str9.substring(length);
                                i2 = size;
                                str9 = str10;
                                str2 = str11;
                                str4 = str12;
                                str3 = str13;
                                break;
                            }
                            if (length2 < 2 || length2 > 3) {
                                if (length2 >= 5 && length2 <= 8) {
                                    i3 = size;
                                } else if (length2 == i6) {
                                    i3 = size;
                                    if (str14.charAt(0) < '0' || str14.charAt(0) > '9') {
                                        str11 = str14;
                                    }
                                } else {
                                    i3 = size;
                                }
                                str13 = str14;
                            } else {
                                i3 = size;
                                str12 = str14;
                            }
                            i7++;
                            length += length2 + 1;
                            size = i3;
                            i4 = 1;
                            i6 = 4;
                        }
                    } else {
                        if (str9.equals("und")) {
                            str9 = this.h;
                        }
                        i2 = size;
                        str5 = null;
                        str4 = null;
                        str3 = null;
                        str2 = null;
                    }
                    String a2 = a(this.i, null, str2);
                    String a3 = a(this.j, str7, str4);
                    String a4 = a(str8, str8, str3);
                    if (!this.h.equals(str9) || !this.i.equals(a2) || !this.j.equals(a3) || !Objects.equals(str8, a4) || str5 != null) {
                        this.h = str9;
                        this.i = a2;
                        this.j = a3;
                        if (str8 != null && !str8.isEmpty()) {
                            if (a4 == null || a4.isEmpty()) {
                                this.k.remove(i5);
                                if (this.k.isEmpty()) {
                                    this.k = null;
                                }
                            } else {
                                this.k.set(i5, a4);
                            }
                        }
                        if (str5 != null) {
                            str5.isEmpty();
                        }
                        return true;
                    }
                }
                i5++;
                size = i2;
                r1 = 0;
                i4 = 1;
            }
            return r1;
        }

        private boolean f() {
            List<String> list;
            String str;
            String str2 = this.j;
            if (str2 == null || str2.isEmpty() || (list = f16079d.get(this.j)) == null) {
                return false;
            }
            if (list.size() > 1) {
                str = ULocale.addLikelySubtags(new ULocale(this.h, this.i, (String) null)).getCountry();
                if (!list.contains(str)) {
                    str = list.get(0);
                }
            } else {
                str = list.get(0);
            }
            this.j = str;
            return true;
        }

        private boolean g() {
            String str;
            String str2 = this.i;
            if (str2 == null || str2.isEmpty() || (str = f16078c.get(this.i)) == null) {
                return false;
            }
            this.i = str;
            return true;
        }

        private String h(String str) {
            return f.get(str);
        }

        private String i(String str) {
            StringBuilder sb = new StringBuilder();
            ArrayList<String> arrayList = new ArrayList(Arrays.asList(str.split(com.ibm.icu.impl.locale.f.f14027b)));
            ArrayList arrayList2 = new ArrayList();
            String str2 = "";
            String str3 = str2;
            int i2 = 0;
            int i3 = 0;
            for (String str4 : arrayList) {
                if (com.ibm.icu.impl.locale.f.B(str4)) {
                    if (i2 == 0) {
                        i2 = i3 - 1;
                    }
                    if (sb.length() > 0) {
                        arrayList2.add(sb.toString());
                        sb.setLength(0);
                    }
                    sb.append(str4);
                    str3 = str4;
                } else if (i2 != 0) {
                    sb.append(com.ibm.icu.impl.locale.f.f14027b);
                    sb.append(ULocale.toUnicodeLocaleType(str3, str4));
                }
                i3 += str4.length() + 1;
            }
            if (sb.length() > 0) {
                arrayList2.add(sb.toString());
                sb.setLength(0);
            }
            if (i2 > 0) {
                str2 = str.substring(0, i2);
            } else if (arrayList2.size() == 0) {
                str2 = str;
            }
            if (str2.length() > 0) {
                sb.append(com.ibm.icu.impl.locale.a.j(ULocale.createCanonical(ULocale.forLanguageTag(str)).toLanguageTag()));
            }
            if (arrayList2.size() > 0) {
                if (sb.length() > 0) {
                    sb.append(com.ibm.icu.impl.locale.f.f14027b);
                }
                Collections.sort(arrayList2);
                sb.append(q2.d0(com.ibm.icu.impl.locale.f.f14027b, arrayList2));
            }
            return sb.toString();
        }

        private boolean j() {
            if (this.k == null) {
                return false;
            }
            for (int i2 = 0; i2 < this.k.size(); i2++) {
                String str = this.k.get(i2);
                String str2 = f16080e.get(str);
                if (str2 != null && !str.equals(str2)) {
                    this.k.set(i2, str2);
                    if (!str.equals("heploc")) {
                        return true;
                    }
                    this.k.remove("hepburn");
                    if (!this.k.isEmpty()) {
                        return true;
                    }
                    this.k = null;
                    return true;
                }
            }
            return false;
        }

        public String d() {
            String str;
            c();
            boolean z = false;
            boolean z2 = true;
            int i2 = 0;
            boolean z3 = false;
            while (true) {
                int i3 = i2 + 1;
                String str2 = "";
                if (i2 > 10) {
                    StringBuilder sb = new StringBuilder();
                    sb.append("Have problem to resolve locale alias of ");
                    String str3 = this.h;
                    String str4 = this.i;
                    String str5 = this.j;
                    List<String> list = this.k;
                    if (list != null) {
                        str2 = q2.d0(com.ibm.icu.impl.locale.b.f14006b, list);
                    }
                    sb.append(ULocale.H(str3, str4, str5, str2));
                    sb.append(this.l);
                    throw new IllegalArgumentException(sb.toString());
                } else if (e(true, true, true) || e(true, true, false) || e(true, false, true) || e(true, false, false) || e(false, false, true) || f() || g() || j()) {
                    i2 = i3;
                    z3 = true;
                } else if (this.l == null && !z3) {
                    return null;
                } else {
                    String str6 = this.h;
                    String str7 = this.i;
                    String str8 = this.j;
                    List<String> list2 = this.k;
                    if (list2 != null) {
                        str2 = q2.d0(com.ibm.icu.impl.locale.b.f14006b, list2);
                    }
                    String H = ULocale.H(str6, str7, str8, str2);
                    if (this.l != null) {
                        ULocale uLocale = new ULocale(H + this.l);
                        Iterator<String> keywords = uLocale.getKeywords();
                        while (keywords != null && keywords.hasNext()) {
                            String next = keywords.next();
                            if (next.equals("rg") || next.equals("sd") || next.equals("t")) {
                                String keywordValue = uLocale.getKeywordValue(next);
                                if (next.equals("t")) {
                                    str = i(keywordValue);
                                } else {
                                    str = h(keywordValue);
                                }
                                if (str != null) {
                                    uLocale = uLocale.setKeywordValue(next, str);
                                    z = true;
                                }
                            }
                        }
                        if (z) {
                            this.l = uLocale.getName().substring(uLocale.getBaseName().length());
                        } else {
                            z2 = z3;
                        }
                        H = H + this.l;
                        z3 = z2;
                    }
                    if (z3) {
                        return H;
                    }
                    return null;
                }
            }
        }
    }

    public static final class e {

        /* renamed from: a  reason: collision with root package name */
        private final com.ibm.icu.impl.locale.d f16081a = new com.ibm.icu.impl.locale.d();

        public e a(String str) {
            try {
                this.f16081a.a(str);
                return this;
            } catch (LocaleSyntaxException e2) {
                throw new IllformedLocaleException(e2.getMessage(), e2.getErrorIndex());
            }
        }

        public ULocale b() {
            return ULocale.B(this.f16081a.e(), this.f16081a.f());
        }

        public e c() {
            this.f16081a.c();
            return this;
        }

        public e d() {
            this.f16081a.d();
            return this;
        }

        public e e(String str) {
            try {
                this.f16081a.h(str);
                return this;
            } catch (LocaleSyntaxException e2) {
                throw new IllformedLocaleException(e2.getMessage(), e2.getErrorIndex());
            }
        }

        public e f(char c2, String str) {
            try {
                this.f16081a.i(c2, str);
                return this;
            } catch (LocaleSyntaxException e2) {
                throw new IllformedLocaleException(e2.getMessage(), e2.getErrorIndex());
            }
        }

        public e g(String str) {
            try {
                this.f16081a.l(str);
                return this;
            } catch (LocaleSyntaxException e2) {
                throw new IllformedLocaleException(e2.getMessage(), e2.getErrorIndex());
            }
        }

        public e h(String str) {
            k kVar = new k();
            com.ibm.icu.impl.locale.f D = com.ibm.icu.impl.locale.f.D(str, kVar);
            if (!kVar.d()) {
                this.f16081a.m(D);
                return this;
            }
            throw new IllformedLocaleException(kVar.b(), kVar.a());
        }

        public e i(ULocale uLocale) {
            try {
                this.f16081a.n(uLocale.j(), uLocale.o());
                return this;
            } catch (LocaleSyntaxException e2) {
                throw new IllformedLocaleException(e2.getMessage(), e2.getErrorIndex());
            }
        }

        public e j(String str) {
            try {
                this.f16081a.o(str);
                return this;
            } catch (LocaleSyntaxException e2) {
                throw new IllformedLocaleException(e2.getMessage(), e2.getErrorIndex());
            }
        }

        public e k(String str) {
            try {
                this.f16081a.p(str);
                return this;
            } catch (LocaleSyntaxException e2) {
                throw new IllformedLocaleException(e2.getMessage(), e2.getErrorIndex());
            }
        }

        public e l(String str, String str2) {
            try {
                this.f16081a.r(str, str2);
                return this;
            } catch (LocaleSyntaxException e2) {
                throw new IllformedLocaleException(e2.getMessage(), e2.getErrorIndex());
            }
        }

        public e m(String str) {
            try {
                this.f16081a.s(str);
                return this;
            } catch (LocaleSyntaxException e2) {
                throw new IllformedLocaleException(e2.getMessage(), e2.getErrorIndex());
            }
        }
    }

    /* access modifiers changed from: private */
    public static final class f {

        /* renamed from: a  reason: collision with root package name */
        private static boolean f16082a = true;

        /* renamed from: b  reason: collision with root package name */
        private static Method f16083b;

        /* renamed from: c  reason: collision with root package name */
        private static Method f16084c;

        /* renamed from: d  reason: collision with root package name */
        private static Object f16085d;

        /* renamed from: e  reason: collision with root package name */
        private static Object f16086e;

        /* JADX DEBUG: Multi-variable search result rejected for r6v3, resolved type: java.lang.Object[] */
        /* JADX WARN: Multi-variable type inference failed */
        static {
            Class<?> cls;
            try {
                Class<?>[] declaredClasses = Locale.class.getDeclaredClasses();
                int length = declaredClasses.length;
                int i = 0;
                while (true) {
                    if (i >= length) {
                        cls = null;
                        break;
                    }
                    cls = declaredClasses[i];
                    if (cls.getName().equals("java.util.Locale$Category")) {
                        break;
                    }
                    i++;
                }
                if (cls != null) {
                    f16083b = Locale.class.getDeclaredMethod("getDefault", cls);
                    f16084c = Locale.class.getDeclaredMethod("setDefault", cls, Locale.class);
                    Method method = cls.getMethod("name", null);
                    Object[] enumConstants = cls.getEnumConstants();
                    for (Object obj : enumConstants) {
                        String str = (String) method.invoke(obj, null);
                        if (str.equals("DISPLAY")) {
                            f16085d = obj;
                        } else if (str.equals("FORMAT")) {
                            f16086e = obj;
                        }
                    }
                    if (f16085d == null) {
                        return;
                    }
                    if (f16086e != null) {
                    }
                }
            } catch (IllegalAccessException | IllegalArgumentException | NoSuchMethodException | SecurityException | InvocationTargetException unused) {
            }
        }

        private f() {
        }

        public static Locale a(Category category) {
            Object obj;
            if (f16082a) {
                int i = c.f16075a[category.ordinal()];
                if (i == 1) {
                    obj = f16085d;
                } else if (i != 2) {
                    obj = null;
                } else {
                    obj = f16086e;
                }
                if (obj != null) {
                    try {
                        return (Locale) f16083b.invoke(null, obj);
                    } catch (IllegalAccessException | IllegalArgumentException | InvocationTargetException unused) {
                    }
                }
            }
            return Locale.getDefault();
        }

        public static boolean b() {
            return f16082a;
        }

        public static void c(Category category, Locale locale) {
            Object obj;
            if (f16082a) {
                int i = c.f16075a[category.ordinal()];
                if (i == 1) {
                    obj = f16085d;
                } else if (i != 2) {
                    obj = null;
                } else {
                    obj = f16086e;
                }
                if (obj != null) {
                    try {
                        f16084c.invoke(null, obj, locale);
                    } catch (IllegalAccessException | IllegalArgumentException | InvocationTargetException unused) {
                    }
                }
            }
        }

        public static Locale d(ULocale uLocale) {
            Locale locale;
            String name = uLocale.getName();
            if (uLocale.getScript().length() > 0 || name.contains("@")) {
                locale = Locale.forLanguageTag(com.ibm.icu.impl.locale.a.m(uLocale.toLanguageTag()));
            } else {
                locale = null;
            }
            return locale == null ? new Locale(uLocale.getLanguage(), uLocale.getCountry(), uLocale.getVariant()) : locale;
        }

        public static ULocale e(Locale locale) {
            TreeSet<String> treeSet;
            TreeMap treeMap;
            String language = locale.getLanguage();
            String country = locale.getCountry();
            String variant = locale.getVariant();
            String script = locale.getScript();
            Set<Character> extensionKeys = locale.getExtensionKeys();
            if (!extensionKeys.isEmpty()) {
                treeMap = null;
                treeSet = null;
                for (Character ch : extensionKeys) {
                    if (ch.charValue() == 'u') {
                        Set<String> unicodeLocaleAttributes = locale.getUnicodeLocaleAttributes();
                        if (!unicodeLocaleAttributes.isEmpty()) {
                            treeSet = new TreeSet();
                            for (String str : unicodeLocaleAttributes) {
                                treeSet.add(str);
                            }
                        }
                        for (String str2 : locale.getUnicodeLocaleKeys()) {
                            String unicodeLocaleType = locale.getUnicodeLocaleType(str2);
                            if (unicodeLocaleType != null) {
                                if (!str2.equals("va")) {
                                    if (treeMap == null) {
                                        treeMap = new TreeMap();
                                    }
                                    treeMap.put(str2, unicodeLocaleType);
                                } else if (variant.length() == 0) {
                                    variant = unicodeLocaleType;
                                } else {
                                    variant = unicodeLocaleType + com.ibm.icu.impl.locale.b.f14006b + variant;
                                }
                            }
                        }
                    } else {
                        String extension = locale.getExtension(ch.charValue());
                        if (extension != null) {
                            if (treeMap == null) {
                                treeMap = new TreeMap();
                            }
                            treeMap.put(String.valueOf(ch), extension);
                        }
                    }
                }
            } else {
                treeMap = null;
                treeSet = null;
            }
            if (language.equals("no") && country.equals("NO") && variant.equals("NY")) {
                language = "nn";
                variant = "";
            }
            StringBuilder sb = new StringBuilder(language);
            if (script.length() > 0) {
                sb.append(ULocale.I0);
                sb.append(script);
            }
            if (country.length() > 0) {
                sb.append(ULocale.I0);
                sb.append(country);
            }
            if (variant.length() > 0) {
                if (country.length() == 0) {
                    sb.append(ULocale.I0);
                }
                sb.append(ULocale.I0);
                sb.append(variant);
            }
            if (treeSet != null) {
                StringBuilder sb2 = new StringBuilder();
                for (String str3 : treeSet) {
                    if (sb2.length() != 0) {
                        sb2.append('-');
                    }
                    sb2.append(str3);
                }
                if (treeMap == null) {
                    treeMap = new TreeMap();
                }
                treeMap.put(ULocale.K0, sb2.toString());
            }
            if (treeMap != null) {
                sb.append('@');
                boolean z = false;
                for (Map.Entry entry : treeMap.entrySet()) {
                    String str4 = (String) entry.getKey();
                    String str5 = (String) entry.getValue();
                    if (str4.length() != 1) {
                        str4 = ULocale.toLegacyKey(str4);
                        if (str5.length() == 0) {
                            str5 = "yes";
                        }
                        str5 = ULocale.toLegacyType(str4, str5);
                    }
                    if (z) {
                        sb.append(';');
                    } else {
                        z = true;
                    }
                    sb.append(str4);
                    sb.append('=');
                    sb.append(str5);
                }
            }
            return new ULocale(ULocale.getName(sb.toString()), locale, (a) null);
        }
    }

    public static final class g {
        /* synthetic */ g(a aVar) {
            this();
        }

        private g() {
        }
    }

    static {
        ULocale uLocale = new ULocale("zh_Hans_CN");
        CHINA = uLocale;
        PRC = uLocale;
        Locale locale = new Locale("", "");
        J0 = locale;
        ROOT = new ULocale("", locale);
        int i = 0;
        if (f.b()) {
            Category[] values = Category.values();
            int length = values.length;
            while (i < length) {
                Category category = values[i];
                int ordinal = category.ordinal();
                P0[ordinal] = f.a(category);
                Q0[ordinal] = forLocale(P0[ordinal]);
                i++;
            }
        } else {
            Category[] values2 = Category.values();
            int length2 = values2.length;
            while (i < length2) {
                int ordinal2 = values2[i].ordinal();
                P0[ordinal2] = N0;
                Q0[ordinal2] = O0;
                i++;
            }
        }
    }

    /* synthetic */ ULocale(String str, Locale locale, a aVar) {
        this(str, locale);
    }

    private static String A(String str) {
        int indexOf = str.indexOf(64);
        if (indexOf == -1) {
            indexOf = str.length();
        }
        int lastIndexOf = str.lastIndexOf(95, indexOf);
        if (lastIndexOf == -1) {
            lastIndexOf = 0;
        } else {
            while (lastIndexOf > 0 && str.charAt(lastIndexOf - 1) == '_') {
                lastIndexOf--;
            }
        }
        return str.substring(0, lastIndexOf) + str.substring(indexOf);
    }

    /* access modifiers changed from: private */
    public static ULocale B(com.ibm.icu.impl.locale.b bVar, h hVar) {
        String H = H(bVar.b(), bVar.d(), bVar.c(), bVar.e());
        Set<Character> d2 = hVar.d();
        if (!d2.isEmpty()) {
            TreeMap treeMap = new TreeMap();
            for (Character ch : d2) {
                com.ibm.icu.impl.locale.c a2 = hVar.a(ch);
                if (a2 instanceof m) {
                    m mVar = (m) a2;
                    for (String str : mVar.e()) {
                        String f2 = mVar.f(str);
                        String legacyKey = toLegacyKey(str);
                        if (f2.length() == 0) {
                            f2 = "yes";
                        }
                        String legacyType = toLegacyType(str, f2);
                        if (!legacyKey.equals("va") || !legacyType.equals("posix") || bVar.e().length() != 0) {
                            treeMap.put(legacyKey, legacyType);
                        } else {
                            H = H + "_POSIX";
                        }
                    }
                    Set<String> d3 = mVar.d();
                    if (d3.size() > 0) {
                        StringBuilder sb = new StringBuilder();
                        for (String str2 : d3) {
                            if (sb.length() > 0) {
                                sb.append('-');
                            }
                            sb.append(str2);
                        }
                        treeMap.put(K0, sb.toString());
                    }
                } else {
                    treeMap.put(String.valueOf(ch), a2.c());
                }
            }
            if (!treeMap.isEmpty()) {
                StringBuilder sb2 = new StringBuilder(H);
                sb2.append("@");
                boolean z = false;
                for (Map.Entry entry : treeMap.entrySet()) {
                    if (z) {
                        sb2.append(com.alipay.sdk.util.g.f6031b);
                    } else {
                        z = true;
                    }
                    sb2.append((String) entry.getKey());
                    sb2.append("=");
                    sb2.append((String) entry.getValue());
                }
                H = sb2.toString();
            }
        }
        return new ULocale(H);
    }

    private static int D(String str) {
        int length = str.length();
        int i = length;
        int i2 = 0;
        boolean z = true;
        for (int i3 = 0; i3 < length; i3++) {
            if (str.charAt(i3) == '_' || str.charAt(i3) == '-') {
                if (i2 != 0 && i2 < i) {
                    i = i2;
                }
                z = true;
            } else {
                if (z) {
                    i2 = 0;
                    z = false;
                }
                i2++;
            }
        }
        return i;
    }

    private static boolean E(String str) {
        return str == null || str.length() == 0;
    }

    private static synchronized boolean F(String str) {
        synchronized (ULocale.class) {
            if (!str.equals("c") && !str.equals("en")) {
                if (!str.equals("en_US")) {
                    if (R0 == null) {
                        R0 = new HashSet(Arrays.asList("af", "af_ZA", "am", "am_ET", "ar", "ar_001", "as", "as_IN", "az", "az_AZ", "be", "be_BY", "bg", "bg_BG", "bn", "bn_IN", "bs", "bs_BA", "ca", "ca_ES", "cs", "cs_CZ", "cy", "cy_GB", "da", "da_DK", "de", "de_DE", "el", "el_GR", "en", "en_GB", "en_US", "es", "es_419", "es_ES", "et", "et_EE", "eu", "eu_ES", "fa", "fa_IR", "fi", "fi_FI", "fil", "fil_PH", "fr", "fr_FR", "ga", "ga_IE", "gl", "gl_ES", "gu", "gu_IN", "he", "he_IL", "hi", "hi_IN", "hr", "hr_HR", "hu", "hu_HU", "hy", "hy_AM", "id", "id_ID", "is", "is_IS", "it", "it_IT", "ja", "ja_JP", DateFormat.HOUR_GENERIC_TZ, "jv_ID", "ka", "ka_GE", "kk", "kk_KZ", "km", "km_KH", "kn", "kn_IN", "ko", "ko_KR", "ky", "ky_KG", "lo", "lo_LA", "lt", "lt_LT", "lv", "lv_LV", "mk", "mk_MK", "ml", "ml_IN", "mn", "mn_MN", "mr", "mr_IN", DateFormat.MINUTE_SECOND, "ms_MY", "my", "my_MM", "nb", "nb_NO", "ne", "ne_NP", "nl", "nl_NL", "no", "or", "or_IN", c.a.b.c.b.k, "pa_IN", "pl", "pl_PL", "ps", "ps_AF", "pt", "pt_BR", "pt_PT", "ro", "ro_RO", "ru", "ru_RU", "sd", "sd_IN", "si", "si_LK", "sk", "sk_SK", "sl", "sl_SI", "so", "so_SO", "sq", "sq_AL", "sr", "sr_Cyrl_RS", "sr_Latn", "sr_RS", c.a.b.i.a.h, "sv_SE", "sw", "sw_TZ", "ta", "ta_IN", "te", "te_IN", "th", "th_TH", "tk", "tk_TM", "tr", "tr_TR", "uk", "uk_UA", "ur", "ur_PK", "uz", "uz_UZ", "vi", "vi_VN", "yue", "yue_Hant", "yue_Hant_HK", "yue_HK", "zh", "zh_CN", "zh_Hans", "zh_Hans_CN", "zh_Hant", "zh_Hant_TW", "zh_TW", "zu", "zu_ZA"));
                    }
                    return R0.contains(str);
                }
            }
            return true;
        }
    }

    private static String G(String str) {
        try {
            return h0.l(a0.f13490d, "likelySubtags").getString(str);
        } catch (MissingResourceException unused) {
            return null;
        }
    }

    /* access modifiers changed from: private */
    public static String H(String str, String str2, String str3, String str4) {
        StringBuilder sb = new StringBuilder();
        if (str != null && str.length() > 0) {
            sb.append(str);
        }
        if (str2 != null && str2.length() > 0) {
            sb.append(I0);
            sb.append(str2);
        }
        if (str3 != null && str3.length() > 0) {
            sb.append(I0);
            sb.append(str3);
        }
        if (str4 != null && str4.length() > 0) {
            if (str3 == null || str3.length() == 0) {
                sb.append(I0);
            }
            sb.append(I0);
            sb.append(str4);
        }
        return sb.toString();
    }

    private static int I(String str, String[] strArr) {
        r0 r0Var = new r0(str);
        String m = r0Var.m();
        String p = r0Var.p();
        String g2 = r0Var.g();
        if (E(m)) {
            strArr[0] = "und";
        } else {
            strArr[0] = m;
        }
        if (p.equals(U0)) {
            strArr[1] = "";
        } else {
            strArr[1] = p;
        }
        if (g2.equals(V0)) {
            strArr[2] = "";
        } else {
            strArr[2] = g2;
        }
        String s = r0Var.s();
        if (!E(s)) {
            int indexOf = str.indexOf(s);
            return indexOf > 0 ? indexOf - 1 : indexOf;
        }
        int indexOf2 = str.indexOf(64);
        return indexOf2 == -1 ? str.length() : indexOf2;
    }

    private static String J(String str) {
        int length = str.length();
        if (length < 3 || !str.regionMatches(true, 0, "und", 0, 3)) {
            return str;
        }
        if (length == 3) {
            return "";
        }
        char charAt = str.charAt(3);
        if (charAt == '-' || charAt == '_') {
            return str.substring(3);
        }
        return str;
    }

    public static ULocale acceptLanguage(String str, ULocale[] uLocaleArr, boolean[] zArr) {
        if (zArr != null) {
            zArr[0] = true;
        }
        try {
            s f2 = s.k(str).f();
            LocaleMatcher.b c2 = LocaleMatcher.c();
            for (ULocale uLocale : uLocaleArr) {
                c2.k(uLocale);
            }
            LocaleMatcher.e n = c2.l().n(f2);
            if (n.a() >= 0) {
                if (zArr != null && n.c().equals(n.f())) {
                    zArr[0] = false;
                }
                return n.f();
            }
        } catch (IllegalArgumentException unused) {
        }
        return null;
    }

    public static ULocale addLikelySubtags(ULocale uLocale) {
        String[] strArr = new String[3];
        int I = I(uLocale.localeID, strArr);
        String k = k(strArr[0], strArr[1], strArr[2], I < uLocale.localeID.length() ? uLocale.localeID.substring(I) : null);
        return k == null ? uLocale : new ULocale(k);
    }

    public static String canonicalize(String str) {
        String d2;
        boolean z = true;
        r0 r0Var = new r0(str, true);
        String f2 = r0Var.f();
        if (str.equals("")) {
            return "";
        }
        int i = 0;
        while (true) {
            String[][] strArr = M0;
            if (i >= strArr.length) {
                z = false;
                break;
            }
            String[] strArr2 = strArr[i];
            if (strArr2[0].equals(f2)) {
                r0Var.I(strArr2[1]);
                break;
            }
            i++;
        }
        if (!z && r0Var.m().equals("nb") && r0Var.s().equals("NY")) {
            r0Var.I(H("nn", r0Var.p(), r0Var.g(), null));
        }
        if (!F(r0Var.o()) && (d2 = new d(r0Var.m(), r0Var.p(), r0Var.g(), com.ibm.icu.impl.locale.a.j(r0Var.s()), r0Var.o().substring(r0Var.f().length())).d()) != null) {
            r0Var = new r0(d2);
        }
        return r0Var.o();
    }

    public static ULocale createCanonical(String str) {
        return new ULocale(canonicalize(str), (Locale) null);
    }

    public static ULocale forLanguageTag(String str) {
        com.ibm.icu.impl.locale.f D = com.ibm.icu.impl.locale.f.D(str, null);
        com.ibm.icu.impl.locale.d dVar = new com.ibm.icu.impl.locale.d();
        dVar.m(D);
        return B(dVar.e(), dVar.f());
    }

    public static ULocale forLocale(Locale locale) {
        if (locale == null) {
            return null;
        }
        return L0.b(locale, null);
    }

    public static ULocale[] getAvailableLocales() {
        return (ULocale[]) ICUResourceBundle.B0().clone();
    }

    public static Collection<ULocale> getAvailableLocalesByType(AvailableType availableType) {
        List list;
        if (availableType != null) {
            if (availableType == AvailableType.WITH_LEGACY_ALIASES) {
                list = new ArrayList();
                Collections.addAll(list, ICUResourceBundle.C0(AvailableType.DEFAULT));
                Collections.addAll(list, ICUResourceBundle.C0(AvailableType.ONLY_LEGACY_ALIASES));
            } else {
                list = Arrays.asList(ICUResourceBundle.C0(availableType));
            }
            return Collections.unmodifiableList(list);
        }
        throw new IllegalArgumentException();
    }

    public static ULocale getDefault() {
        synchronized (ULocale.class) {
            if (O0 == null) {
                return ROOT;
            }
            Locale locale = Locale.getDefault();
            if (!N0.equals(locale)) {
                N0 = locale;
                O0 = forLocale(locale);
                if (!f.b()) {
                    for (Category category : Category.values()) {
                        int ordinal = category.ordinal();
                        P0[ordinal] = locale;
                        Q0[ordinal] = forLocale(locale);
                    }
                }
            }
            return O0;
        }
    }

    public static String getDisplayKeyword(String str) {
        return q(str, getDefault(Category.DISPLAY));
    }

    public static String getFallback(String str) {
        return A(getName(str));
    }

    public static String[] getISOCountries() {
        return s0.f();
    }

    public static String[] getISOLanguages() {
        return s0.g();
    }

    @Deprecated
    public static String getRegionForSupplementalData(ULocale uLocale, boolean z) {
        String keywordValue = uLocale.getKeywordValue("rg");
        if (keywordValue != null && keywordValue.length() == 6) {
            String m = com.ibm.icu.impl.locale.a.m(keywordValue);
            if (m.endsWith(DateFormat.ABBR_UTC_TZ)) {
                return m.substring(0, 2);
            }
        }
        String country = uLocale.getCountry();
        return (country.length() != 0 || !z) ? country : addLikelySubtags(uLocale).getCountry();
    }

    private static void i(String str, StringBuilder sb) {
        if (sb.length() != 0) {
            sb.append(I0);
        }
        sb.append(str);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private com.ibm.icu.impl.locale.b j() {
        String str;
        String str2;
        String str3;
        if (this.X0 == null) {
            String str4 = "";
            if (!equals(ROOT)) {
                r0 r0Var = new r0(this.localeID);
                String m = r0Var.m();
                str2 = r0Var.p();
                str = r0Var.g();
                str3 = r0Var.s();
                str4 = m;
            } else {
                str3 = str4;
                str2 = str3;
                str = str2;
            }
            this.X0 = com.ibm.icu.impl.locale.b.a(str4, str2, str, str3);
        }
        return this.X0;
    }

    private static String k(String str, String str2, String str3, String str4) {
        String G;
        String G2;
        String G3;
        if (!E(str2) && !E(str3) && (G3 = G(l(str, str2, str3, null))) != null) {
            return n(null, null, null, str4, G3);
        }
        if (!E(str2) && (G2 = G(l(str, str2, null, null))) != null) {
            return n(null, null, str3, str4, G2);
        }
        if (!E(str3) && (G = G(l(str, null, str3, null))) != null) {
            return n(null, str2, null, str4, G);
        }
        String G4 = G(l(str, null, null, null));
        if (G4 != null) {
            return n(null, str2, str3, str4, G4);
        }
        return null;
    }

    static String l(String str, String str2, String str3, String str4) {
        return n(str, str2, str3, str4, null);
    }

    public static ULocale minimizeSubtags(ULocale uLocale) {
        return minimizeSubtags(uLocale, Minimize.FAVOR_REGION);
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x0035  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0039  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x005b  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0060  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x008d  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x0095  */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x0098  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00a6  */
    private static String n(String str, String str2, String str3, String str4, String str5) {
        r0 r0Var;
        boolean z;
        StringBuilder sb = new StringBuilder();
        if (!E(str)) {
            i(str, sb);
        } else {
            String str6 = "und";
            if (E(str5)) {
                i(str6, sb);
            } else {
                r0Var = new r0(str5);
                String m = r0Var.m();
                if (!E(m)) {
                    str6 = m;
                }
                i(str6, sb);
                if (E(str2)) {
                    i(str2, sb);
                } else if (!E(str5)) {
                    if (r0Var == null) {
                        r0Var = new r0(str5);
                    }
                    String p = r0Var.p();
                    if (!E(p)) {
                        i(p, sb);
                    }
                }
                char c2 = 0;
                if (E(str3)) {
                    i(str3, sb);
                } else {
                    if (!E(str5)) {
                        if (r0Var == null) {
                            r0Var = new r0(str5);
                        }
                        String g2 = r0Var.g();
                        if (!E(g2)) {
                            i(g2, sb);
                        }
                    }
                    z = false;
                    if (str4 != null && str4.length() > 1) {
                        if (str4.charAt(0) != '_') {
                            c2 = 1;
                        } else if (str4.charAt(1) == '_') {
                            c2 = 2;
                        }
                        if (!z) {
                            if (c2 == 1) {
                                sb.append(I0);
                            }
                            sb.append(str4);
                        } else if (c2 == 2) {
                            sb.append(str4.substring(1));
                        } else {
                            sb.append(str4);
                        }
                    }
                    return sb.toString();
                }
                z = true;
                if (str4.charAt(0) != '_') {
                }
                if (!z) {
                }
                return sb.toString();
            }
        }
        r0Var = null;
        if (E(str2)) {
        }
        char c22 = 0;
        if (E(str3)) {
        }
        z = true;
        if (str4.charAt(0) != '_') {
        }
        if (!z) {
        }
        return sb.toString();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private h o() {
        if (this.Y0 == null) {
            Iterator<String> keywords = getKeywords();
            if (keywords == null) {
                this.Y0 = h.f14042b;
            } else {
                com.ibm.icu.impl.locale.d dVar = new com.ibm.icu.impl.locale.d();
                while (keywords.hasNext()) {
                    String next = keywords.next();
                    if (next.equals(K0)) {
                        for (String str : getKeywordValue(next).split("[-_]")) {
                            try {
                                dVar.a(str);
                            } catch (LocaleSyntaxException unused) {
                            }
                        }
                    } else if (next.length() >= 2) {
                        String unicodeLocaleKey = toUnicodeLocaleKey(next);
                        String unicodeLocaleType = toUnicodeLocaleType(next, getKeywordValue(next));
                        if (!(unicodeLocaleKey == null || unicodeLocaleType == null)) {
                            try {
                                dVar.r(unicodeLocaleKey, unicodeLocaleType);
                            } catch (LocaleSyntaxException unused2) {
                            }
                        }
                    } else if (next.length() == 1 && next.charAt(0) != 'u') {
                        dVar.i(next.charAt(0), getKeywordValue(next).replace(com.ibm.icu.impl.locale.b.f14006b, com.ibm.icu.impl.locale.f.f14027b));
                    }
                }
                this.Y0 = dVar.f();
            }
        }
        return this.Y0;
    }

    private static String p(ULocale uLocale, ULocale uLocale2) {
        return LocaleDisplayNames.c(uLocale2).q(uLocale.getCountry());
    }

    private static String q(String str, ULocale uLocale) {
        return LocaleDisplayNames.c(uLocale).k(str);
    }

    private static String s(ULocale uLocale, String str, ULocale uLocale2) {
        String j = com.ibm.icu.impl.locale.a.j(str.trim());
        return LocaleDisplayNames.c(uLocale2).l(j, uLocale.getKeywordValue(j));
    }

    public static synchronized void setDefault(ULocale uLocale) {
        synchronized (ULocale.class) {
            Locale locale = uLocale.toLocale();
            N0 = locale;
            Locale.setDefault(locale);
            O0 = uLocale;
            for (Category category : Category.values()) {
                setDefault(category, uLocale);
            }
        }
    }

    private static String t(ULocale uLocale, ULocale uLocale2, boolean z) {
        return LocaleDisplayNames.c(uLocale2).m(z ? uLocale.getBaseName() : uLocale.getLanguage());
    }

    public static String toLegacyKey(String str) {
        String l = KeyTypeData.l(str);
        return (l != null || !str.matches("[0-9a-zA-Z]+")) ? l : com.ibm.icu.impl.locale.a.j(str);
    }

    public static String toLegacyType(String str, String str2) {
        String m = KeyTypeData.m(str, str2, null, null);
        return (m != null || !str2.matches("[0-9a-zA-Z]+([_/\\-][0-9a-zA-Z]+)*")) ? m : com.ibm.icu.impl.locale.a.j(str2);
    }

    public static String toUnicodeLocaleKey(String str) {
        String j = KeyTypeData.j(str);
        return (j != null || !m.h(str)) ? j : com.ibm.icu.impl.locale.a.j(str);
    }

    public static String toUnicodeLocaleType(String str, String str2) {
        String k = KeyTypeData.k(str, str2, null, null);
        return (k != null || !m.j(str2)) ? k : com.ibm.icu.impl.locale.a.j(str2);
    }

    private static String u(ULocale uLocale, ULocale uLocale2) {
        return LocaleDisplayNames.c(uLocale2).n(uLocale);
    }

    private static String v(ULocale uLocale, ULocale uLocale2) {
        return LocaleDisplayNames.d(uLocale2, LocaleDisplayNames.DialectHandling.DIALECT_NAMES).n(uLocale);
    }

    private static String x(ULocale uLocale, ULocale uLocale2) {
        return LocaleDisplayNames.c(uLocale2).t(uLocale.getScript());
    }

    private static String y(ULocale uLocale, ULocale uLocale2) {
        return LocaleDisplayNames.c(uLocale2).s(uLocale.getScript());
    }

    private static String z(ULocale uLocale, ULocale uLocale2) {
        return LocaleDisplayNames.c(uLocale2).u(uLocale.getVariant());
    }

    @Override // java.lang.Object
    public Object clone() {
        return this;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj instanceof ULocale) {
            return this.localeID.equals(((ULocale) obj).localeID);
        }
        return false;
    }

    public String getBaseName() {
        return getBaseName(this.localeID);
    }

    public String getCharacterOrientation() {
        return k0.b(a0.f13490d, this, com.google.android.exoplayer2.text.ttml.b.j, "characters", "characters");
    }

    public String getCountry() {
        return j().c();
    }

    public String getDisplayCountry() {
        return p(this, getDefault(Category.DISPLAY));
    }

    public String getDisplayKeywordValue(String str) {
        return s(this, str, getDefault(Category.DISPLAY));
    }

    public String getDisplayLanguage() {
        return t(this, getDefault(Category.DISPLAY), false);
    }

    public String getDisplayLanguageWithDialect() {
        return t(this, getDefault(Category.DISPLAY), true);
    }

    public String getDisplayName() {
        return u(this, getDefault(Category.DISPLAY));
    }

    public String getDisplayNameWithDialect() {
        return v(this, getDefault(Category.DISPLAY));
    }

    public String getDisplayScript() {
        return y(this, getDefault(Category.DISPLAY));
    }

    @Deprecated
    public String getDisplayScriptInContext() {
        return x(this, getDefault(Category.DISPLAY));
    }

    public String getDisplayVariant() {
        return z(this, getDefault(Category.DISPLAY));
    }

    public String getExtension(char c2) {
        if (h.i(c2)) {
            return o().b(Character.valueOf(c2));
        }
        throw new IllegalArgumentException("Invalid extension key: " + c2);
    }

    public Set<Character> getExtensionKeys() {
        return o().d();
    }

    public String getISO3Country() {
        return getISO3Country(this.localeID);
    }

    public String getISO3Language() {
        return getISO3Language(this.localeID);
    }

    public String getKeywordValue(String str) {
        return getKeywordValue(this.localeID, str);
    }

    public Iterator<String> getKeywords() {
        return getKeywords(this.localeID);
    }

    public String getLanguage() {
        return j().b();
    }

    public String getLineOrientation() {
        return k0.b(a0.f13490d, this, com.google.android.exoplayer2.text.ttml.b.j, "lines", "lines");
    }

    public String getName() {
        return this.localeID;
    }

    public String getScript() {
        return j().d();
    }

    public Set<String> getUnicodeLocaleAttributes() {
        return o().e();
    }

    public Set<String> getUnicodeLocaleKeys() {
        return o().f();
    }

    public String getUnicodeLocaleType(String str) {
        if (h.j(str)) {
            return o().g(str);
        }
        throw new IllegalArgumentException("Invalid Unicode locale key: " + str);
    }

    public String getVariant() {
        return j().e();
    }

    public int hashCode() {
        return this.localeID.hashCode();
    }

    public boolean isRightToLeft() {
        int indexOf;
        String script = getScript();
        if (script.length() == 0) {
            String language = getLanguage();
            if (!language.isEmpty() && (indexOf = S0.indexOf(language)) >= 0) {
                char charAt = S0.charAt(indexOf + language.length());
                if (charAt == '+') {
                    return true;
                }
                if (charAt == '-') {
                    return false;
                }
            }
            script = addLikelySubtags(this).getScript();
            if (script.length() == 0) {
                return false;
            }
        }
        return UScript.p(UScript.f(script));
    }

    public ULocale setKeywordValue(String str, String str2) {
        return new ULocale(setKeywordValue(this.localeID, str, str2), (Locale) null);
    }

    public String toLanguageTag() {
        com.ibm.icu.impl.locale.b j = j();
        h o = o();
        if (j.e().equalsIgnoreCase("POSIX")) {
            j = com.ibm.icu.impl.locale.b.a(j.b(), j.d(), j.c(), "");
            if (o.g("va") == null) {
                com.ibm.icu.impl.locale.d dVar = new com.ibm.icu.impl.locale.d();
                try {
                    dVar.n(com.ibm.icu.impl.locale.b.f14008d, o);
                    dVar.r("va", "posix");
                    o = dVar.f();
                } catch (LocaleSyntaxException e2) {
                    throw new RuntimeException(e2);
                }
            }
        }
        com.ibm.icu.impl.locale.f H = com.ibm.icu.impl.locale.f.H(j, o);
        StringBuilder sb = new StringBuilder();
        String m = H.m();
        if (m.length() > 0) {
            sb.append(com.ibm.icu.impl.locale.f.e(m));
        }
        String p = H.p();
        if (p.length() > 0) {
            sb.append(com.ibm.icu.impl.locale.f.f14027b);
            sb.append(com.ibm.icu.impl.locale.f.i(p));
        }
        String o2 = H.o();
        if (o2.length() > 0) {
            sb.append(com.ibm.icu.impl.locale.f.f14027b);
            sb.append(com.ibm.icu.impl.locale.f.h(o2));
        }
        ArrayList arrayList = new ArrayList(H.q());
        Collections.sort(arrayList);
        Iterator it = arrayList.iterator();
        while (it.hasNext()) {
            sb.append(com.ibm.icu.impl.locale.f.f14027b);
            sb.append(com.ibm.icu.impl.locale.f.j((String) it.next()));
        }
        for (String str : H.k()) {
            sb.append(com.ibm.icu.impl.locale.f.f14027b);
            sb.append(com.ibm.icu.impl.locale.f.a(str));
        }
        String n = H.n();
        if (n.length() > 0) {
            if (sb.length() == 0) {
                sb.append("und");
            }
            sb.append(com.ibm.icu.impl.locale.f.f14027b);
            sb.append(com.ibm.icu.impl.locale.f.f14028c);
            sb.append(com.ibm.icu.impl.locale.f.f14027b);
            sb.append(com.ibm.icu.impl.locale.f.f(n));
        }
        return sb.toString();
    }

    public Locale toLocale() {
        if (this.W0 == null) {
            this.W0 = f.d(this);
        }
        return this.W0;
    }

    public String toString() {
        return this.localeID;
    }

    private ULocale(String str, Locale locale) {
        this.localeID = str;
        this.W0 = locale;
    }

    public static ULocale createCanonical(ULocale uLocale) {
        return createCanonical(uLocale.getName());
    }

    public static String getBaseName(String str) {
        if (str.indexOf(64) == -1) {
            return str;
        }
        return new r0(str).f();
    }

    public static String getCountry(String str) {
        return new r0(str).g();
    }

    public static String getDisplayKeyword(String str, String str2) {
        return q(str, new ULocale(str2));
    }

    public static String getISO3Country(String str) {
        return s0.d(getCountry(str));
    }

    public static String getISO3Language(String str) {
        return s0.e(getLanguage(str));
    }

    public static String getKeywordValue(String str, String str2) {
        return new r0(str).k(str2);
    }

    public static Iterator<String> getKeywords(String str) {
        return new r0(str).l();
    }

    public static String getLanguage(String str) {
        return new r0(str).m();
    }

    public static String getName(String str) {
        if (str != null && !str.contains("@") && D(str) == 1) {
            String name = forLanguageTag((str.indexOf(95) < 0 || str.charAt(1) == '_' || str.charAt(1) == '-') ? str : str.replace(I0, '-')).getName();
            if (name.length() != 0) {
                str = name;
            }
        } else if ("root".equalsIgnoreCase(str)) {
            str = "";
        } else {
            str = J(str);
        }
        return f16070a.b(str, null);
    }

    public static String getScript(String str) {
        return new r0(str).p();
    }

    public static String getVariant(String str) {
        return new r0(str).s();
    }

    @Deprecated
    public static ULocale minimizeSubtags(ULocale uLocale, Minimize minimize) {
        String[] strArr = new String[3];
        int I = I(uLocale.localeID, strArr);
        String str = strArr[0];
        String str2 = strArr[1];
        String str3 = strArr[2];
        String substring = I < uLocale.localeID.length() ? uLocale.localeID.substring(I) : null;
        String k = k(str, str2, str3, null);
        if (E(k)) {
            return uLocale;
        }
        if (k(str, null, null, null).equals(k)) {
            return new ULocale(l(str, null, null, substring));
        }
        if (minimize == Minimize.FAVOR_REGION) {
            if (str3.length() != 0 && k(str, null, str3, null).equals(k)) {
                return new ULocale(l(str, null, str3, substring));
            }
            if (str2.length() != 0 && k(str, str2, null, null).equals(k)) {
                return new ULocale(l(str, str2, null, substring));
            }
        } else if (str2.length() != 0 && k(str, str2, null, null).equals(k)) {
            return new ULocale(l(str, str2, null, substring));
        } else {
            if (str3.length() != 0 && k(str, null, str3, null).equals(k)) {
                return new ULocale(l(str, null, str3, substring));
            }
        }
        return uLocale;
    }

    public static String setKeywordValue(String str, String str2, String str3) {
        r0 r0Var = new r0(str);
        r0Var.J(str2, str3);
        return r0Var.o();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:36:0x0093, code lost:
        if (r5.hasNext() != false) goto L_0x0095;
     */
    public int compareTo(ULocale uLocale) {
        if (this == uLocale) {
            return 0;
        }
        int compareTo = getLanguage().compareTo(uLocale.getLanguage());
        if (compareTo == 0 && (compareTo = getScript().compareTo(uLocale.getScript())) == 0 && (compareTo = getCountry().compareTo(uLocale.getCountry())) == 0 && (compareTo = getVariant().compareTo(uLocale.getVariant())) == 0) {
            Iterator<String> keywords = getKeywords();
            Iterator<String> keywords2 = uLocale.getKeywords();
            if (keywords == null) {
                if (keywords2 == null) {
                    compareTo = 0;
                }
            } else if (keywords2 == null) {
                compareTo = 1;
            } else {
                while (true) {
                    if (compareTo != 0 || !keywords.hasNext()) {
                        break;
                    } else if (!keywords2.hasNext()) {
                        compareTo = 1;
                        break;
                    } else {
                        String next = keywords.next();
                        String next2 = keywords2.next();
                        int compareTo2 = next.compareTo(next2);
                        if (compareTo2 == 0) {
                            String keywordValue = getKeywordValue(next);
                            String keywordValue2 = uLocale.getKeywordValue(next2);
                            compareTo = keywordValue == null ? keywordValue2 == null ? 0 : -1 : keywordValue2 == null ? 1 : keywordValue.compareTo(keywordValue2);
                        } else {
                            compareTo = compareTo2;
                        }
                    }
                }
                if (compareTo == 0) {
                }
            }
            compareTo = -1;
        }
        if (compareTo < 0) {
            return -1;
        }
        if (compareTo > 0) {
            return 1;
        }
        return 0;
    }

    public String getDisplayCountry(ULocale uLocale) {
        return p(this, uLocale);
    }

    public String getDisplayKeywordValue(String str, ULocale uLocale) {
        return s(this, str, uLocale);
    }

    public String getDisplayLanguage(ULocale uLocale) {
        return t(this, uLocale, false);
    }

    public String getDisplayLanguageWithDialect(ULocale uLocale) {
        return t(this, uLocale, true);
    }

    public String getDisplayName(ULocale uLocale) {
        return u(this, uLocale);
    }

    public String getDisplayNameWithDialect(ULocale uLocale) {
        return v(this, uLocale);
    }

    public String getDisplayScript(ULocale uLocale) {
        return y(this, uLocale);
    }

    @Deprecated
    public String getDisplayScriptInContext(ULocale uLocale) {
        return x(this, uLocale);
    }

    public String getDisplayVariant(ULocale uLocale) {
        return z(this, uLocale);
    }

    public ULocale getFallback() {
        if (this.localeID.length() == 0 || this.localeID.charAt(0) == '@') {
            return null;
        }
        return new ULocale(A(this.localeID), (Locale) null);
    }

    public static String getDisplayCountry(String str, String str2) {
        return p(new ULocale(str), new ULocale(str2));
    }

    public static String getDisplayKeyword(String str, ULocale uLocale) {
        return q(str, uLocale);
    }

    public static String getDisplayKeywordValue(String str, String str2, String str3) {
        return s(new ULocale(str), str2, new ULocale(str3));
    }

    public static String getDisplayLanguage(String str, String str2) {
        return t(new ULocale(str), new ULocale(str2), false);
    }

    public static String getDisplayLanguageWithDialect(String str, String str2) {
        return t(new ULocale(str), new ULocale(str2), true);
    }

    public static String getDisplayName(String str, String str2) {
        return u(new ULocale(str), new ULocale(str2));
    }

    public static String getDisplayNameWithDialect(String str, String str2) {
        return v(new ULocale(str), new ULocale(str2));
    }

    public static String getDisplayScript(String str, String str2) {
        return y(new ULocale(str), new ULocale(str2));
    }

    @Deprecated
    public static String getDisplayScriptInContext(String str, String str2) {
        return x(new ULocale(str), new ULocale(str2));
    }

    public static String getDisplayVariant(String str, String str2) {
        return z(new ULocale(str), new ULocale(str2));
    }

    public static String getDisplayCountry(String str, ULocale uLocale) {
        return p(new ULocale(str), uLocale);
    }

    public static String getDisplayKeywordValue(String str, String str2, ULocale uLocale) {
        return s(new ULocale(str), str2, uLocale);
    }

    public static String getDisplayLanguage(String str, ULocale uLocale) {
        return t(new ULocale(str), uLocale, false);
    }

    public static String getDisplayLanguageWithDialect(String str, ULocale uLocale) {
        return t(new ULocale(str), uLocale, true);
    }

    public static String getDisplayName(String str, ULocale uLocale) {
        return u(new ULocale(str), uLocale);
    }

    public static String getDisplayNameWithDialect(String str, ULocale uLocale) {
        return v(new ULocale(str), uLocale);
    }

    public static String getDisplayScript(String str, ULocale uLocale) {
        return y(new ULocale(str), uLocale);
    }

    @Deprecated
    public static String getDisplayScriptInContext(String str, ULocale uLocale) {
        return x(new ULocale(str), uLocale);
    }

    public static String getDisplayVariant(String str, ULocale uLocale) {
        return z(new ULocale(str), uLocale);
    }

    public ULocale(String str) {
        this.localeID = getName(str);
    }

    public ULocale(String str, String str2) {
        this(str, str2, (String) null);
    }

    public static synchronized void setDefault(Category category, ULocale uLocale) {
        synchronized (ULocale.class) {
            Locale locale = uLocale.toLocale();
            int ordinal = category.ordinal();
            Q0[ordinal] = uLocale;
            P0[ordinal] = locale;
            f.c(category, locale);
        }
    }

    public ULocale(String str, String str2, String str3) {
        this.localeID = getName(H(str, str2, str3, ""));
    }

    public static ULocale acceptLanguage(ULocale[] uLocaleArr, ULocale[] uLocaleArr2, boolean[] zArr) {
        LocaleMatcher.e eVar;
        if (zArr != null) {
            zArr[0] = true;
        }
        LocaleMatcher.b c2 = LocaleMatcher.c();
        for (ULocale uLocale : uLocaleArr2) {
            c2.k(uLocale);
        }
        LocaleMatcher l = c2.l();
        if (uLocaleArr.length == 1) {
            eVar = l.m(uLocaleArr[0]);
        } else {
            eVar = l.n(Arrays.asList(uLocaleArr));
        }
        if (eVar.a() < 0) {
            return null;
        }
        if (zArr != null && eVar.c().equals(eVar.f())) {
            zArr[0] = false;
        }
        return eVar.f();
    }

    public static ULocale getDefault(Category category) {
        synchronized (ULocale.class) {
            int ordinal = category.ordinal();
            if (Q0[ordinal] == null) {
                return ROOT;
            }
            if (f.b()) {
                Locale a2 = f.a(category);
                if (!P0[ordinal].equals(a2)) {
                    P0[ordinal] = a2;
                    Q0[ordinal] = forLocale(a2);
                }
            } else {
                Locale locale = Locale.getDefault();
                if (!N0.equals(locale)) {
                    N0 = locale;
                    O0 = forLocale(locale);
                    for (Category category2 : Category.values()) {
                        int ordinal2 = category2.ordinal();
                        P0[ordinal2] = locale;
                        Q0[ordinal2] = forLocale(locale);
                    }
                }
            }
            return Q0[ordinal];
        }
    }

    public static ULocale acceptLanguage(String str, boolean[] zArr) {
        return acceptLanguage(str, getAvailableLocales(), zArr);
    }

    public static ULocale acceptLanguage(ULocale[] uLocaleArr, boolean[] zArr) {
        return acceptLanguage(uLocaleArr, getAvailableLocales(), zArr);
    }
}
