package com.liulishuo.filedownloader.message;

import android.os.Parcel;
import com.liulishuo.filedownloader.message.MessageSnapshot;

public abstract class LargeMessageSnapshot extends MessageSnapshot {

    public static class CompletedFlowDirectlySnapshot extends CompletedSnapshot implements a {
        CompletedFlowDirectlySnapshot(int i, boolean z, long j) {
            super(i, z, j);
        }

        CompletedFlowDirectlySnapshot(Parcel parcel) {
            super(parcel);
        }
    }

    public static class PausedSnapshot extends PendingMessageSnapshot {
        PausedSnapshot(int i, long j, long j2) {
            super(i, j, j2);
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b, com.liulishuo.filedownloader.message.LargeMessageSnapshot.PendingMessageSnapshot
        public byte d() {
            return -2;
        }
    }

    public static class PendingMessageSnapshot extends LargeMessageSnapshot {
        private final long I0;
        private final long J0;

        PendingMessageSnapshot(PendingMessageSnapshot pendingMessageSnapshot) {
            this(pendingMessageSnapshot.a(), pendingMessageSnapshot.i(), pendingMessageSnapshot.j());
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public byte d() {
            return 1;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public int describeContents() {
            return 0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public long i() {
            return this.I0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public long j() {
            return this.J0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeLong(this.I0);
            parcel.writeLong(this.J0);
        }

        PendingMessageSnapshot(int i, long j, long j2) {
            super(i);
            this.I0 = j;
            this.J0 = j2;
        }

        PendingMessageSnapshot(Parcel parcel) {
            super(parcel);
            this.I0 = parcel.readLong();
            this.J0 = parcel.readLong();
        }
    }

    public static class WarnFlowDirectlySnapshot extends WarnMessageSnapshot implements a {
        WarnFlowDirectlySnapshot(int i, long j, long j2) {
            super(i, j, j2);
        }

        WarnFlowDirectlySnapshot(Parcel parcel) {
            super(parcel);
        }
    }

    public static class WarnMessageSnapshot extends PendingMessageSnapshot implements MessageSnapshot.b {
        WarnMessageSnapshot(int i, long j, long j2) {
            super(i, j, j2);
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b, com.liulishuo.filedownloader.message.LargeMessageSnapshot.PendingMessageSnapshot
        public byte d() {
            return -4;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot.b
        public MessageSnapshot h() {
            return new PendingMessageSnapshot(this);
        }

        WarnMessageSnapshot(Parcel parcel) {
            super(parcel);
        }
    }

    LargeMessageSnapshot(int i) {
        super(i);
        this.f16474b = true;
    }

    @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
    public int f() {
        if (j() > 2147483647L) {
            return Integer.MAX_VALUE;
        }
        return (int) j();
    }

    @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
    public int m() {
        if (i() > 2147483647L) {
            return Integer.MAX_VALUE;
        }
        return (int) i();
    }

    public static class ProgressMessageSnapshot extends LargeMessageSnapshot {
        private final long I0;

        ProgressMessageSnapshot(int i, long j) {
            super(i);
            this.I0 = j;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public byte d() {
            return 3;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public int describeContents() {
            return 0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public long i() {
            return this.I0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeLong(this.I0);
        }

        ProgressMessageSnapshot(Parcel parcel) {
            super(parcel);
            this.I0 = parcel.readLong();
        }
    }

    public static class RetryMessageSnapshot extends ErrorMessageSnapshot {
        private final int K0;

        RetryMessageSnapshot(int i, long j, Throwable th, int i2) {
            super(i, j, th);
            this.K0 = i2;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public int b() {
            return this.K0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b, com.liulishuo.filedownloader.message.LargeMessageSnapshot.ErrorMessageSnapshot
        public byte d() {
            return 5;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.LargeMessageSnapshot.ErrorMessageSnapshot
        public int describeContents() {
            return 0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.LargeMessageSnapshot.ErrorMessageSnapshot
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.K0);
        }

        RetryMessageSnapshot(Parcel parcel) {
            super(parcel);
            this.K0 = parcel.readInt();
        }
    }

    public static class CompletedSnapshot extends LargeMessageSnapshot {
        private final boolean I0;
        private final long J0;

        CompletedSnapshot(int i, boolean z, long j) {
            super(i);
            this.I0 = z;
            this.J0 = j;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public byte d() {
            return -3;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public int describeContents() {
            return 0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public long j() {
            return this.J0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public boolean k() {
            return this.I0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeByte(this.I0 ? (byte) 1 : 0);
            parcel.writeLong(this.J0);
        }

        CompletedSnapshot(Parcel parcel) {
            super(parcel);
            this.I0 = parcel.readByte() != 0;
            this.J0 = parcel.readLong();
        }
    }

    public static class ErrorMessageSnapshot extends LargeMessageSnapshot {
        private final long I0;
        private final Throwable J0;

        ErrorMessageSnapshot(int i, long j, Throwable th) {
            super(i);
            this.I0 = j;
            this.J0 = th;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public byte d() {
            return -1;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public int describeContents() {
            return 0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public long i() {
            return this.I0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public Throwable o() {
            return this.J0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeLong(this.I0);
            parcel.writeSerializable(this.J0);
        }

        ErrorMessageSnapshot(Parcel parcel) {
            super(parcel);
            this.I0 = parcel.readLong();
            this.J0 = (Throwable) parcel.readSerializable();
        }
    }

    LargeMessageSnapshot(Parcel parcel) {
        super(parcel);
    }

    public static class ConnectedMessageSnapshot extends LargeMessageSnapshot {
        private final boolean I0;
        private final long J0;
        private final String K0;
        private final String L0;

        ConnectedMessageSnapshot(int i, boolean z, long j, String str, String str2) {
            super(i);
            this.I0 = z;
            this.J0 = j;
            this.K0 = str;
            this.L0 = str2;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public boolean c() {
            return this.I0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public byte d() {
            return 2;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public int describeContents() {
            return 0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public String g() {
            return this.K0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public long j() {
            return this.J0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public String l() {
            return this.L0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeByte(this.I0 ? (byte) 1 : 0);
            parcel.writeLong(this.J0);
            parcel.writeString(this.K0);
            parcel.writeString(this.L0);
        }

        ConnectedMessageSnapshot(Parcel parcel) {
            super(parcel);
            this.I0 = parcel.readByte() != 0;
            this.J0 = parcel.readLong();
            this.K0 = parcel.readString();
            this.L0 = parcel.readString();
        }
    }
}
