package com.liulishuo.filedownloader.message;

import android.os.Parcel;
import com.liulishuo.filedownloader.message.MessageSnapshot;

public abstract class SmallMessageSnapshot extends MessageSnapshot {

    public static class CompletedFlowDirectlySnapshot extends CompletedSnapshot implements a {
        CompletedFlowDirectlySnapshot(int i, boolean z, int i2) {
            super(i, z, i2);
        }

        CompletedFlowDirectlySnapshot(Parcel parcel) {
            super(parcel);
        }
    }

    public static class PausedSnapshot extends PendingMessageSnapshot {
        PausedSnapshot(int i, int i2, int i3) {
            super(i, i2, i3);
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b, com.liulishuo.filedownloader.message.SmallMessageSnapshot.PendingMessageSnapshot
        public byte d() {
            return -2;
        }
    }

    public static class PendingMessageSnapshot extends SmallMessageSnapshot {
        private final int I0;
        private final int J0;

        PendingMessageSnapshot(PendingMessageSnapshot pendingMessageSnapshot) {
            this(pendingMessageSnapshot.a(), pendingMessageSnapshot.m(), pendingMessageSnapshot.f());
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public byte d() {
            return 1;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public int f() {
            return this.J0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public int m() {
            return this.I0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.I0);
            parcel.writeInt(this.J0);
        }

        PendingMessageSnapshot(int i, int i2, int i3) {
            super(i);
            this.I0 = i2;
            this.J0 = i3;
        }

        PendingMessageSnapshot(Parcel parcel) {
            super(parcel);
            this.I0 = parcel.readInt();
            this.J0 = parcel.readInt();
        }
    }

    public static class WarnFlowDirectlySnapshot extends WarnMessageSnapshot implements a {
        WarnFlowDirectlySnapshot(int i, int i2, int i3) {
            super(i, i2, i3);
        }

        WarnFlowDirectlySnapshot(Parcel parcel) {
            super(parcel);
        }
    }

    public static class WarnMessageSnapshot extends PendingMessageSnapshot implements MessageSnapshot.b {
        WarnMessageSnapshot(int i, int i2, int i3) {
            super(i, i2, i3);
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b, com.liulishuo.filedownloader.message.SmallMessageSnapshot.PendingMessageSnapshot
        public byte d() {
            return -4;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot.b
        public MessageSnapshot h() {
            return new PendingMessageSnapshot(this);
        }

        WarnMessageSnapshot(Parcel parcel) {
            super(parcel);
        }
    }

    SmallMessageSnapshot(int i) {
        super(i);
        this.f16474b = false;
    }

    @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
    public long i() {
        return (long) m();
    }

    @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
    public long j() {
        return (long) f();
    }

    public static class ProgressMessageSnapshot extends SmallMessageSnapshot {
        private final int I0;

        ProgressMessageSnapshot(int i, int i2) {
            super(i);
            this.I0 = i2;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public byte d() {
            return 3;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public int describeContents() {
            return 0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public int m() {
            return this.I0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.I0);
        }

        ProgressMessageSnapshot(Parcel parcel) {
            super(parcel);
            this.I0 = parcel.readInt();
        }
    }

    public static class RetryMessageSnapshot extends ErrorMessageSnapshot {
        private final int K0;

        RetryMessageSnapshot(int i, int i2, Throwable th, int i3) {
            super(i, i2, th);
            this.K0 = i3;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public int b() {
            return this.K0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.SmallMessageSnapshot.ErrorMessageSnapshot, com.liulishuo.filedownloader.message.b
        public byte d() {
            return 5;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.SmallMessageSnapshot.ErrorMessageSnapshot
        public int describeContents() {
            return 0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.SmallMessageSnapshot.ErrorMessageSnapshot
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.K0);
        }

        RetryMessageSnapshot(Parcel parcel) {
            super(parcel);
            this.K0 = parcel.readInt();
        }
    }

    public static class CompletedSnapshot extends SmallMessageSnapshot {
        private final boolean I0;
        private final int J0;

        CompletedSnapshot(int i, boolean z, int i2) {
            super(i);
            this.I0 = z;
            this.J0 = i2;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public byte d() {
            return -3;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public int describeContents() {
            return 0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public int f() {
            return this.J0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public boolean k() {
            return this.I0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeByte(this.I0 ? (byte) 1 : 0);
            parcel.writeInt(this.J0);
        }

        CompletedSnapshot(Parcel parcel) {
            super(parcel);
            this.I0 = parcel.readByte() != 0;
            this.J0 = parcel.readInt();
        }
    }

    public static class ErrorMessageSnapshot extends SmallMessageSnapshot {
        private final int I0;
        private final Throwable J0;

        ErrorMessageSnapshot(int i, int i2, Throwable th) {
            super(i);
            this.I0 = i2;
            this.J0 = th;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public byte d() {
            return -1;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public int describeContents() {
            return 0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public int m() {
            return this.I0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public Throwable o() {
            return this.J0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.I0);
            parcel.writeSerializable(this.J0);
        }

        ErrorMessageSnapshot(Parcel parcel) {
            super(parcel);
            this.I0 = parcel.readInt();
            this.J0 = (Throwable) parcel.readSerializable();
        }
    }

    SmallMessageSnapshot(Parcel parcel) {
        super(parcel);
    }

    public static class ConnectedMessageSnapshot extends SmallMessageSnapshot {
        private final boolean I0;
        private final int J0;
        private final String K0;
        private final String L0;

        ConnectedMessageSnapshot(int i, boolean z, int i2, String str, String str2) {
            super(i);
            this.I0 = z;
            this.J0 = i2;
            this.K0 = str;
            this.L0 = str2;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public boolean c() {
            return this.I0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public byte d() {
            return 2;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public int describeContents() {
            return 0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public int f() {
            return this.J0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public String g() {
            return this.K0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot, com.liulishuo.filedownloader.message.b
        public String l() {
            return this.L0;
        }

        @Override // com.liulishuo.filedownloader.message.MessageSnapshot
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeByte(this.I0 ? (byte) 1 : 0);
            parcel.writeInt(this.J0);
            parcel.writeString(this.K0);
            parcel.writeString(this.L0);
        }

        ConnectedMessageSnapshot(Parcel parcel) {
            super(parcel);
            this.I0 = parcel.readByte() != 0;
            this.J0 = parcel.readInt();
            this.K0 = parcel.readString();
            this.L0 = parcel.readString();
        }
    }
}
