package com.lzy.okgo.h;

import android.text.TextUtils;
import com.lzy.okgo.cache.CacheEntity;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.model.HttpHeaders;
import com.lzy.okgo.request.base.Request;
import java.util.Locale;
import java.util.StringTokenizer;
import okhttp3.a0;

/* compiled from: HeaderParser */
public class b {
    public static <T> void a(Request request, CacheEntity<T> cacheEntity, CacheMode cacheMode) {
        HttpHeaders responseHeaders;
        if (cacheEntity != null && cacheMode == CacheMode.DEFAULT && (responseHeaders = cacheEntity.getResponseHeaders()) != null) {
            String str = responseHeaders.get(HttpHeaders.HEAD_KEY_E_TAG);
            if (str != null) {
                request.headers(HttpHeaders.HEAD_KEY_IF_NONE_MATCH, str);
            }
            long lastModified = HttpHeaders.getLastModified(responseHeaders.get(HttpHeaders.HEAD_KEY_LAST_MODIFIED));
            if (lastModified > 0) {
                request.headers(HttpHeaders.HEAD_KEY_IF_MODIFIED_SINCE, HttpHeaders.formatMillisToGMT(lastModified));
            }
        }
    }

    public static <T> CacheEntity<T> b(a0 a0Var, T t, CacheMode cacheMode, String str) {
        long j;
        long j2;
        if (cacheMode == CacheMode.DEFAULT) {
            long date = HttpHeaders.getDate(a0Var.d(HttpHeaders.HEAD_KEY_DATE));
            j = HttpHeaders.getExpiration(a0Var.d(HttpHeaders.HEAD_KEY_EXPIRES));
            String cacheControl = HttpHeaders.getCacheControl(a0Var.d(HttpHeaders.HEAD_KEY_CACHE_CONTROL), a0Var.d(HttpHeaders.HEAD_KEY_PRAGMA));
            if (TextUtils.isEmpty(cacheControl) && j <= 0) {
                return null;
            }
            if (!TextUtils.isEmpty(cacheControl)) {
                StringTokenizer stringTokenizer = new StringTokenizer(cacheControl, ",");
                j2 = 0;
                while (stringTokenizer.hasMoreTokens()) {
                    String lowerCase = stringTokenizer.nextToken().trim().toLowerCase(Locale.getDefault());
                    if (lowerCase.equals("no-cache") || lowerCase.equals("no-store")) {
                        return null;
                    }
                    if (lowerCase.startsWith("max-age=")) {
                        try {
                            j2 = Long.parseLong(lowerCase.substring(8));
                            if (j2 <= 0) {
                                return null;
                            }
                        } catch (Exception e2) {
                            e.i(e2);
                        }
                    }
                }
            } else {
                j2 = 0;
            }
            long currentTimeMillis = System.currentTimeMillis();
            if (date <= 0) {
                date = currentTimeMillis;
            }
            if (j2 > 0) {
                j = date + (j2 * 1000);
            } else if (j < 0) {
                j = 0;
            }
        } else {
            j = System.currentTimeMillis();
        }
        HttpHeaders httpHeaders = new HttpHeaders();
        for (String str2 : a0Var.i()) {
            httpHeaders.put(str2, a0Var.d(str2));
        }
        CacheEntity<T> cacheEntity = new CacheEntity<>();
        cacheEntity.setKey(str);
        cacheEntity.setData(t);
        cacheEntity.setLocalExpire(j);
        cacheEntity.setResponseHeaders(httpHeaders);
        return cacheEntity;
    }
}
