package com.lzy.okgo.h;

import android.text.TextUtils;
import c.a.b.i.a;
import com.lzy.okgo.b;
import com.lzy.okgo.model.HttpHeaders;
import com.lzy.okgo.model.HttpParams;
import java.io.File;
import java.io.UnsupportedEncodingException;
import java.net.URLConnection;
import java.net.URLDecoder;
import java.net.URLEncoder;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import okhttp3.a0;
import okhttp3.d0;
import okhttp3.e0;
import okhttp3.h0;
import okhttp3.i0;
import okhttp3.j0;
import okhttp3.y;

/* compiled from: HttpUtils */
public class c {
    public static h0.a a(h0.a aVar, HttpHeaders httpHeaders) {
        if (httpHeaders.headersMap.isEmpty()) {
            return aVar;
        }
        a0.a aVar2 = new a0.a();
        try {
            for (Map.Entry<String, String> entry : httpHeaders.headersMap.entrySet()) {
                aVar2.b(entry.getKey(), entry.getValue());
            }
        } catch (Exception e2) {
            e.i(e2);
        }
        aVar.i(aVar2.i());
        return aVar;
    }

    public static <T> T b(T t, String str) {
        Objects.requireNonNull(t, str);
        return t;
    }

    public static String c(String str, Map<String, List<String>> map) {
        try {
            StringBuilder sb = new StringBuilder();
            sb.append(str);
            if (str.indexOf(38) > 0 || str.indexOf(63) > 0) {
                sb.append(a.f5058b);
            } else {
                sb.append("?");
            }
            for (Map.Entry<String, List<String>> entry : map.entrySet()) {
                for (String str2 : entry.getValue()) {
                    String encode = URLEncoder.encode(str2, "UTF-8");
                    sb.append(entry.getKey());
                    sb.append("=");
                    sb.append(encode);
                    sb.append(a.f5058b);
                }
            }
            sb.deleteCharAt(sb.length() - 1);
            return sb.toString();
        } catch (UnsupportedEncodingException e2) {
            e.i(e2);
            return str;
        }
    }

    public static boolean d(String str) {
        if (TextUtils.isEmpty(str)) {
            return true;
        }
        File file = new File(str);
        if (!file.exists()) {
            return true;
        }
        if (!file.isFile()) {
            return false;
        }
        boolean delete = file.delete();
        e.e("deleteFile:" + delete + " path:" + str);
        return delete;
    }

    public static i0 e(HttpParams httpParams, boolean z) {
        if (!httpParams.fileParamsMap.isEmpty() || z) {
            e0.a g = new e0.a().g(e0.f22285e);
            if (!httpParams.urlParamsMap.isEmpty()) {
                for (Map.Entry<String, List<String>> entry : httpParams.urlParamsMap.entrySet()) {
                    for (String str : entry.getValue()) {
                        g.a(entry.getKey(), str);
                    }
                }
            }
            for (Map.Entry<String, List<HttpParams.FileWrapper>> entry2 : httpParams.fileParamsMap.entrySet()) {
                for (HttpParams.FileWrapper fileWrapper : entry2.getValue()) {
                    g.b(entry2.getKey(), i(fileWrapper.fileName), i0.c(fileWrapper.contentType, fileWrapper.file));
                }
            }
            return g.f();
        }
        y.a aVar = new y.a();
        for (String str2 : httpParams.urlParamsMap.keySet()) {
            for (String str3 : httpParams.urlParamsMap.get(str2)) {
                aVar.b(str2, str3);
            }
        }
        return aVar.c();
    }

    private static String f(j0 j0Var) {
        String k = j0Var.k(HttpHeaders.HEAD_KEY_CONTENT_DISPOSITION);
        if (k == null) {
            return null;
        }
        String replaceAll = k.replaceAll("\"", "");
        int indexOf = replaceAll.indexOf("filename=");
        if (indexOf != -1) {
            return replaceAll.substring(indexOf + 9, replaceAll.length());
        }
        int indexOf2 = replaceAll.indexOf("filename*=");
        if (indexOf2 == -1) {
            return null;
        }
        String substring = replaceAll.substring(indexOf2 + 10, replaceAll.length());
        return substring.startsWith("UTF-8''") ? substring.substring(7, substring.length()) : substring;
    }

    public static String g(j0 j0Var, String str) {
        String f = f(j0Var);
        if (TextUtils.isEmpty(f)) {
            f = h(str);
        }
        if (TextUtils.isEmpty(f)) {
            f = "unknownfile_" + System.currentTimeMillis();
        }
        try {
            return URLDecoder.decode(f, "UTF-8");
        } catch (UnsupportedEncodingException e2) {
            e.i(e2);
            return f;
        }
    }

    private static String h(String str) {
        int indexOf;
        String[] split = str.split("/");
        for (String str2 : split) {
            if (str2.contains("?") && (indexOf = str2.indexOf("?")) != -1) {
                return str2.substring(0, indexOf);
            }
        }
        if (split.length > 0) {
            return split[split.length - 1];
        }
        return null;
    }

    private static String i(String str) {
        if (str == null) {
            return "null";
        }
        String replace = str.replace("\n", "");
        int length = replace.length();
        for (int i = 0; i < length; i++) {
            char charAt = replace.charAt(i);
            if (charAt <= 31 || charAt >= 127) {
                try {
                    return URLEncoder.encode(replace, "UTF-8");
                } catch (UnsupportedEncodingException e2) {
                    e2.printStackTrace();
                }
            }
        }
        return replace;
    }

    public static d0 j(String str) {
        String contentTypeFor = URLConnection.getFileNameMap().getContentTypeFor(str.replace("#", ""));
        if (contentTypeFor == null) {
            return HttpParams.MEDIA_TYPE_STREAM;
        }
        return d0.d(contentTypeFor);
    }

    public static void k(Runnable runnable) {
        b.p().o().post(runnable);
    }
}
