package com.lzy.okgo.model;

import c.a.b.i.a;
import com.alipay.sdk.util.g;
import com.lzy.okgo.h.c;
import java.io.File;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import okhttp3.d0;

public class HttpParams implements Serializable {
    public static final boolean IS_REPLACE = true;
    public static final d0 MEDIA_TYPE_JSON = d0.d("application/json;charset=utf-8");
    public static final d0 MEDIA_TYPE_PLAIN = d0.d("text/plain;charset=utf-8");
    public static final d0 MEDIA_TYPE_STREAM = d0.d("application/octet-stream");
    private static final long serialVersionUID = 7369819159227055048L;
    public LinkedHashMap<String, List<FileWrapper>> fileParamsMap;
    public LinkedHashMap<String, List<String>> urlParamsMap;

    public static class FileWrapper implements Serializable {
        private static final long serialVersionUID = -2356139899636767776L;
        public transient d0 contentType;
        public File file;
        public String fileName;
        public long fileSize;

        public FileWrapper(File file2, String str, d0 d0Var) {
            this.file = file2;
            this.fileName = str;
            this.contentType = d0Var;
            this.fileSize = file2.length();
        }

        private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
            objectInputStream.defaultReadObject();
            this.contentType = d0.d((String) objectInputStream.readObject());
        }

        private void writeObject(ObjectOutputStream objectOutputStream) throws IOException {
            objectOutputStream.defaultWriteObject();
            objectOutputStream.writeObject(this.contentType.toString());
        }

        public String toString() {
            return "FileWrapper{file=" + this.file + ", fileName=" + this.fileName + ", contentType=" + this.contentType + ", fileSize=" + this.fileSize + g.f6033d;
        }
    }

    public HttpParams() {
        a();
    }

    private void a() {
        this.urlParamsMap = new LinkedHashMap<>();
        this.fileParamsMap = new LinkedHashMap<>();
    }

    private void b(String str, String str2, boolean z) {
        if (str != null && str2 != null) {
            List<String> list = this.urlParamsMap.get(str);
            if (list == null) {
                list = new ArrayList<>();
                this.urlParamsMap.put(str, list);
            }
            if (z) {
                list.clear();
            }
            list.add(str2);
        }
    }

    public void clear() {
        this.urlParamsMap.clear();
        this.fileParamsMap.clear();
    }

    public void put(HttpParams httpParams) {
        if (httpParams != null) {
            LinkedHashMap<String, List<String>> linkedHashMap = httpParams.urlParamsMap;
            if (linkedHashMap != null && !linkedHashMap.isEmpty()) {
                this.urlParamsMap.putAll(httpParams.urlParamsMap);
            }
            LinkedHashMap<String, List<FileWrapper>> linkedHashMap2 = httpParams.fileParamsMap;
            if (linkedHashMap2 != null && !linkedHashMap2.isEmpty()) {
                this.fileParamsMap.putAll(httpParams.fileParamsMap);
            }
        }
    }

    public void putFileParams(String str, List<File> list) {
        if (!(str == null || list == null || list.isEmpty())) {
            for (File file : list) {
                put(str, file);
            }
        }
    }

    public void putFileWrapperParams(String str, List<FileWrapper> list) {
        if (!(str == null || list == null || list.isEmpty())) {
            for (FileWrapper fileWrapper : list) {
                put(str, fileWrapper);
            }
        }
    }

    public void putUrlParams(String str, List<String> list) {
        if (!(str == null || list == null || list.isEmpty())) {
            for (String str2 : list) {
                b(str, str2, false);
            }
        }
    }

    public void remove(String str) {
        removeUrl(str);
        removeFile(str);
    }

    public void removeFile(String str) {
        this.fileParamsMap.remove(str);
    }

    public void removeUrl(String str) {
        this.urlParamsMap.remove(str);
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        for (Map.Entry<String, List<String>> entry : this.urlParamsMap.entrySet()) {
            if (sb.length() > 0) {
                sb.append(a.f5058b);
            }
            sb.append(entry.getKey());
            sb.append("=");
            sb.append(entry.getValue());
        }
        for (Map.Entry<String, List<FileWrapper>> entry2 : this.fileParamsMap.entrySet()) {
            if (sb.length() > 0) {
                sb.append(a.f5058b);
            }
            sb.append(entry2.getKey());
            sb.append("=");
            sb.append(entry2.getValue());
        }
        return sb.toString();
    }

    public HttpParams(String str, String str2) {
        a();
        b(str, str2, true);
    }

    public void put(Map<String, String> map, boolean... zArr) {
        if (!(map == null || map.isEmpty())) {
            for (Map.Entry<String, String> entry : map.entrySet()) {
                put(entry.getKey(), entry.getValue(), zArr);
            }
        }
    }

    public HttpParams(String str, File file) {
        a();
        put(str, file);
    }

    public void put(String str, String str2, boolean... zArr) {
        if (zArr == null || zArr.length <= 0) {
            b(str, str2, true);
        } else {
            b(str, str2, zArr[0]);
        }
    }

    public void put(String str, int i, boolean... zArr) {
        if (zArr == null || zArr.length <= 0) {
            b(str, String.valueOf(i), true);
        } else {
            b(str, String.valueOf(i), zArr[0]);
        }
    }

    public void put(String str, long j, boolean... zArr) {
        if (zArr == null || zArr.length <= 0) {
            b(str, String.valueOf(j), true);
        } else {
            b(str, String.valueOf(j), zArr[0]);
        }
    }

    public void put(String str, float f, boolean... zArr) {
        if (zArr == null || zArr.length <= 0) {
            b(str, String.valueOf(f), true);
        } else {
            b(str, String.valueOf(f), zArr[0]);
        }
    }

    public void put(String str, double d2, boolean... zArr) {
        if (zArr == null || zArr.length <= 0) {
            b(str, String.valueOf(d2), true);
        } else {
            b(str, String.valueOf(d2), zArr[0]);
        }
    }

    public void put(String str, char c2, boolean... zArr) {
        if (zArr == null || zArr.length <= 0) {
            b(str, String.valueOf(c2), true);
        } else {
            b(str, String.valueOf(c2), zArr[0]);
        }
    }

    public void put(String str, boolean z, boolean... zArr) {
        if (zArr == null || zArr.length <= 0) {
            b(str, String.valueOf(z), true);
        } else {
            b(str, String.valueOf(z), zArr[0]);
        }
    }

    public void put(String str, File file) {
        put(str, file, file.getName());
    }

    public void put(String str, File file, String str2) {
        put(str, file, str2, c.j(str2));
    }

    public void put(String str, FileWrapper fileWrapper) {
        if (str != null && fileWrapper != null) {
            put(str, fileWrapper.file, fileWrapper.fileName, fileWrapper.contentType);
        }
    }

    public void put(String str, File file, String str2, d0 d0Var) {
        if (str != null) {
            List<FileWrapper> list = this.fileParamsMap.get(str);
            if (list == null) {
                list = new ArrayList<>();
                this.fileParamsMap.put(str, list);
            }
            list.add(new FileWrapper(file, str2, d0Var));
        }
    }
}
