package com.lzy.okgo.request.base;

import android.text.TextUtils;
import com.lzy.okgo.h.c;
import com.lzy.okgo.h.e;
import com.lzy.okgo.model.HttpHeaders;
import com.lzy.okgo.model.HttpParams;
import com.lzy.okgo.request.base.BodyRequest;
import java.io.File;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.List;
import okhttp3.d0;
import okhttp3.h0;
import okhttp3.i0;
import org.json.JSONArray;
import org.json.JSONObject;

public abstract class BodyRequest<T, R extends BodyRequest> extends Request<T, R> implements a<R> {
    private static final long serialVersionUID = -6459175248476927501L;
    protected transient d0 O0;
    protected transient File P0;
    protected byte[] bs;
    protected String content;
    protected boolean isMultipart = false;
    protected boolean isSpliceUrl = false;
    protected i0 requestBody;

    public BodyRequest(String str) {
        super(str);
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        String str = (String) objectInputStream.readObject();
        if (!TextUtils.isEmpty(str)) {
            this.O0 = d0.d(str);
        }
    }

    private void writeObject(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.defaultWriteObject();
        d0 d0Var = this.O0;
        objectOutputStream.writeObject(d0Var == null ? "" : d0Var.toString());
    }

    /* access modifiers changed from: protected */
    public h0.a a(i0 i0Var) {
        try {
            headers(HttpHeaders.HEAD_KEY_CONTENT_LENGTH, String.valueOf(i0Var.a()));
        } catch (IOException e2) {
            e.i(e2);
        }
        return c.a(new h0.a(), this.headers);
    }

    @Override // com.lzy.okgo.request.base.Request
    public i0 generateRequestBody() {
        d0 d0Var;
        d0 d0Var2;
        d0 d0Var3;
        if (this.isSpliceUrl) {
            this.url = c.c(this.baseUrl, this.params.urlParamsMap);
        }
        i0 i0Var = this.requestBody;
        if (i0Var != null) {
            return i0Var;
        }
        String str = this.content;
        if (str != null && (d0Var3 = this.O0) != null) {
            return i0.d(d0Var3, str);
        }
        byte[] bArr = this.bs;
        if (bArr != null && (d0Var2 = this.O0) != null) {
            return i0.f(d0Var2, bArr);
        }
        File file = this.P0;
        if (file == null || (d0Var = this.O0) == null) {
            return c.e(this.params, this.isMultipart);
        }
        return i0.c(d0Var, file);
    }

    @Override // com.lzy.okgo.request.base.a
    public R addFileParams(String str, List<File> list) {
        this.params.putFileParams(str, list);
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R addFileWrapperParams(String str, List<HttpParams.FileWrapper> list) {
        this.params.putFileWrapperParams(str, list);
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R isMultipart(boolean z) {
        this.isMultipart = z;
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R isSpliceUrl(boolean z) {
        this.isSpliceUrl = z;
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R upRequestBody(i0 i0Var) {
        this.requestBody = i0Var;
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R upBytes(byte[] bArr) {
        this.bs = bArr;
        this.O0 = HttpParams.MEDIA_TYPE_STREAM;
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R upFile(File file) {
        this.P0 = file;
        this.O0 = c.j(file.getName());
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R upString(String str) {
        this.content = str;
        this.O0 = HttpParams.MEDIA_TYPE_PLAIN;
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R params(String str, File file) {
        this.params.put(str, file);
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R upJson(String str) {
        this.content = str;
        this.O0 = HttpParams.MEDIA_TYPE_JSON;
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R params(String str, File file, String str2) {
        this.params.put(str, file, str2);
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R upBytes(byte[] bArr, d0 d0Var) {
        this.bs = bArr;
        this.O0 = d0Var;
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R upFile(File file, d0 d0Var) {
        this.P0 = file;
        this.O0 = d0Var;
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R upString(String str, d0 d0Var) {
        this.content = str;
        this.O0 = d0Var;
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R params(String str, File file, String str2, d0 d0Var) {
        this.params.put(str, file, str2, d0Var);
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R upJson(JSONObject jSONObject) {
        this.content = jSONObject.toString();
        this.O0 = HttpParams.MEDIA_TYPE_JSON;
        return this;
    }

    @Override // com.lzy.okgo.request.base.a
    public R upJson(JSONArray jSONArray) {
        this.content = jSONArray.toString();
        this.O0 = HttpParams.MEDIA_TYPE_JSON;
        return this;
    }
}
