package com.niming.baseadapter;

import android.content.Context;
import android.database.DataSetObservable;
import android.database.DataSetObserver;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.SpinnerAdapter;
import java.util.List;

/* compiled from: ListSupportAdapter1 */
public abstract class l<T> extends q<T> implements ListAdapter, SpinnerAdapter {
    private AbsListView V0;
    private DataSetObservable W0 = new DataSetObservable();

    public l(Context context) {
        super(context);
    }

    @Override // com.niming.baseadapter.h, com.niming.baseadapter.q
    public void addFooterView(View view) {
        AbsListView absListView = this.V0;
        if (absListView == null || !(absListView instanceof ListView)) {
            super.addFooterView(view);
            return;
        }
        ((ListView) absListView).addFooterView(view);
        this.N0 = view;
    }

    @Override // com.niming.baseadapter.h, com.niming.baseadapter.q
    public void addHeaderView(View view) {
        AbsListView absListView = this.V0;
        if (absListView == null || !(absListView instanceof ListView)) {
            super.addHeaderView(view);
            return;
        }
        ((ListView) absListView).addHeaderView(view);
        this.M0 = view;
    }

    public boolean areAllItemsEnabled() {
        return true;
    }

    public int getCount() {
        List<T> list = this.f17445a;
        if (list == null) {
            return 0;
        }
        return list.size();
    }

    public View getDropDownView(int i, View view, ViewGroup viewGroup) {
        return getView(i, view, viewGroup);
    }

    public T getItem(int i) {
        if (i >= this.f17445a.size()) {
            return null;
        }
        return this.f17445a.get(i);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public long getItemId(int i) {
        return (long) i;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter, com.niming.baseadapter.q
    public int getItemViewType(int i) {
        return super.getItemViewType(i);
    }

    public View getView(int i, View view, ViewGroup viewGroup) {
        if (this.V0 == null && (viewGroup instanceof AbsListView)) {
            this.V0 = (AbsListView) viewGroup;
        }
        c cVar = new c(n(getContext(), viewGroup, getItemViewType(i)));
        getItem(i);
        bindViewHolder(cVar, i);
        addLoadAnimation(cVar);
        return cVar.itemView;
    }

    public int getViewTypeCount() {
        j<T> jVar = this.I0;
        if (jVar != null) {
            return jVar.getViewTypeCount();
        }
        return 1;
    }

    @Override // com.niming.baseadapter.h, com.niming.baseadapter.q
    public boolean hasFooterView() {
        AbsListView absListView = this.V0;
        if (absListView == null || !(absListView instanceof ListView)) {
            return super.hasFooterView();
        }
        return ((ListView) absListView).getFooterViewsCount() > 0;
    }

    @Override // com.niming.baseadapter.h, com.niming.baseadapter.q
    public boolean hasHeaderView() {
        AbsListView absListView = this.V0;
        if (absListView == null || !(absListView instanceof ListView)) {
            return super.hasHeaderView();
        }
        return ((ListView) absListView).getHeaderViewsCount() > 0;
    }

    public boolean isEmpty() {
        return getCount() == 0;
    }

    public boolean isEnabled(int i) {
        return true;
    }

    public void notifyDataSetHasChanged() {
        if (this.J0 == null) {
            this.W0.notifyChanged();
        } else {
            notifyDataSetChanged();
        }
    }

    public void notifyDataSetInvalidated() {
        if (this.J0 == null) {
            this.W0.notifyInvalidated();
        }
    }

    public void registerDataSetObserver(DataSetObserver dataSetObserver) {
        this.W0.registerObserver(dataSetObserver);
    }

    @Override // com.niming.baseadapter.h, com.niming.baseadapter.q
    public boolean removeFooterView() {
        AbsListView absListView = this.V0;
        if (absListView == null || !(absListView instanceof ListView)) {
            return super.removeFooterView();
        }
        return ((ListView) absListView).removeFooterView(this.N0);
    }

    @Override // com.niming.baseadapter.h, com.niming.baseadapter.q
    public boolean removeHeaderView() {
        AbsListView absListView = this.V0;
        if (absListView == null || !(absListView instanceof ListView)) {
            return super.removeHeaderView();
        }
        return ((ListView) absListView).removeHeaderView(this.M0);
    }

    public void unregisterDataSetObserver(DataSetObserver dataSetObserver) {
        this.W0.unregisterObserver(dataSetObserver);
    }

    public l(Context context, List<T> list) {
        super(context, list);
    }

    public l(Context context, List<T> list, j<T> jVar) {
        super(context, list, jVar);
    }
}
