package com.niming.baseadapter;

import android.content.Context;
import android.database.DataSetObservable;
import android.database.DataSetObserver;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.SpinnerAdapter;
import java.util.List;

/* compiled from: ListSupportAdapter */
public abstract class m<T> extends p<T> implements ListAdapter, SpinnerAdapter {
    private AbsListView mAbsListView;
    private DataSetObservable mDataSetObservable = new DataSetObservable();

    public m(Context context) {
        super(context);
    }

    @Override // com.niming.baseadapter.p, com.niming.baseadapter.h
    public void addFooterView(View view) {
        AbsListView absListView = this.mAbsListView;
        if (absListView == null || !(absListView instanceof ListView)) {
            super.addFooterView(view);
            return;
        }
        ((ListView) absListView).addFooterView(view);
        this.mFooter = view;
    }

    @Override // com.niming.baseadapter.p, com.niming.baseadapter.h
    public void addHeaderView(View view) {
        AbsListView absListView = this.mAbsListView;
        if (absListView == null || !(absListView instanceof ListView)) {
            super.addHeaderView(view);
            return;
        }
        ((ListView) absListView).addHeaderView(view);
        this.mHeader = view;
    }

    public boolean areAllItemsEnabled() {
        return true;
    }

    public int getCount() {
        List<T> list = this.mData;
        if (list == null) {
            return 0;
        }
        return list.size();
    }

    public View getDropDownView(int i, View view, ViewGroup viewGroup) {
        return getView(i, view, viewGroup);
    }

    public T getItem(int i) {
        if (i >= this.mData.size()) {
            return null;
        }
        return this.mData.get(i);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public long getItemId(int i) {
        return (long) i;
    }

    @Override // com.niming.baseadapter.p, androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemViewType(int i) {
        return super.getItemViewType(i);
    }

    public View getView(int i, View view, ViewGroup viewGroup) {
        if (this.mAbsListView == null && (viewGroup instanceof AbsListView)) {
            this.mAbsListView = (AbsListView) viewGroup;
        }
        c cVar = new c(createItemView(getContext(), getItemViewType(i), viewGroup));
        getItem(i);
        bindViewHolder(cVar, i);
        addLoadAnimation(cVar);
        return cVar.itemView;
    }

    public int getViewTypeCount() {
        j<T> jVar = this.mMulItemViewType;
        if (jVar != null) {
            return jVar.getViewTypeCount();
        }
        return 1;
    }

    @Override // com.niming.baseadapter.p, com.niming.baseadapter.h
    public boolean hasFooterView() {
        AbsListView absListView = this.mAbsListView;
        if (absListView == null || !(absListView instanceof ListView)) {
            return super.hasFooterView();
        }
        return ((ListView) absListView).getFooterViewsCount() > 0;
    }

    @Override // com.niming.baseadapter.p, com.niming.baseadapter.h
    public boolean hasHeaderView() {
        AbsListView absListView = this.mAbsListView;
        if (absListView == null || !(absListView instanceof ListView)) {
            return super.hasHeaderView();
        }
        return ((ListView) absListView).getHeaderViewsCount() > 0;
    }

    public boolean isEmpty() {
        return getCount() == 0;
    }

    public boolean isEnabled(int i) {
        return true;
    }

    public void notifyDataSetHasChanged() {
        if (this.mRecyclerView == null) {
            this.mDataSetObservable.notifyChanged();
        } else {
            notifyDataSetChanged();
        }
    }

    public void notifyDataSetInvalidated() {
        if (this.mRecyclerView == null) {
            this.mDataSetObservable.notifyInvalidated();
        }
    }

    public void registerDataSetObserver(DataSetObserver dataSetObserver) {
        this.mDataSetObservable.registerObserver(dataSetObserver);
    }

    @Override // com.niming.baseadapter.p, com.niming.baseadapter.h
    public boolean removeFooterView() {
        AbsListView absListView = this.mAbsListView;
        if (absListView == null || !(absListView instanceof ListView)) {
            return super.removeFooterView();
        }
        return ((ListView) absListView).removeFooterView(this.mFooter);
    }

    @Override // com.niming.baseadapter.p, com.niming.baseadapter.h
    public boolean removeHeaderView() {
        AbsListView absListView = this.mAbsListView;
        if (absListView == null || !(absListView instanceof ListView)) {
            return super.removeHeaderView();
        }
        return ((ListView) absListView).removeHeaderView(this.mHeader);
    }

    public void unregisterDataSetObserver(DataSetObserver dataSetObserver) {
        this.mDataSetObservable.unregisterObserver(dataSetObserver);
    }

    public m(Context context, List<T> list) {
        super(context, list);
    }

    public m(Context context, List<T> list, j<T> jVar) {
        super(context, list, jVar);
    }
}
