package com.niming.framework.base;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import com.blankj.utilcode.util.KeyboardUtils;
import com.github.anzewei.parallaxbacklayout.c;
import com.github.anzewei.parallaxbacklayout.widget.ParallaxBackLayout;
import com.niming.framework.widget.d.g;
import com.smartcity.commonbase.widget.pagestatus.PageStatusHelper;
import com.smartcity.commonbase.widget.pagestatus.b;
import com.smartcity.commonbase.widget.pagestatus.f;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;

public abstract class BaseActivity extends AppCompatActivity implements f, h, com.niming.framework.net.a, f {
    protected static final int DEFAULT_PAGE = 1;
    protected final String TAG = getClass().getSimpleName();
    protected Activity activity;
    protected int currentPage = 1;
    private g loadingDialogFragment;
    protected PageStatusHelper pageStatusHelper;

    class a implements ParallaxBackLayout.c {
        a() {
        }

        @Override // com.github.anzewei.parallaxbacklayout.widget.ParallaxBackLayout.c
        public void a(float f) {
        }

        @Override // com.github.anzewei.parallaxbacklayout.widget.ParallaxBackLayout.c
        public void b(int i) {
            KeyboardUtils.k(BaseActivity.this.getWindow().getDecorView());
        }
    }

    public void dismissDialog() {
        this.loadingDialogFragment.dismissAllowingStateLoss();
    }

    public boolean enableSlideClose() {
        return true;
    }

    public int getEdgeDirection() {
        return 1;
    }

    /* access modifiers changed from: protected */
    public abstract b getPageBuilder();

    public int getSlideLayoutType() {
        return 0;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(@Nullable Bundle bundle) {
        super.onCreate(bundle);
        supportRequestWindowFeature(1);
        if (enableSlideClose()) {
            ParallaxBackLayout h = c.h(this, true);
            h.setEdgeMode(1);
            h.setEdgeFlag(getEdgeDirection());
            h.r(getSlideLayoutType(), null);
            h.setSlideCallback(new a());
        }
        int viewRes = getViewRes();
        if (viewRes != 0) {
            setContentView(viewRes);
        }
        this.activity = this;
        this.loadingDialogFragment = new g.a().f(true).e();
        PageStatusHelper pageStatusHelper2 = new PageStatusHelper(this, getPageBuilder());
        this.pageStatusHelper = pageStatusHelper2;
        pageStatusHelper2.p(this);
        init();
        initView(bundle);
    }

    @Override // com.smartcity.commonbase.widget.pagestatus.f
    public void onErrorClick(View view) {
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onMessageEvent(Object obj) {
    }

    @Override // com.niming.framework.net.a
    public void onNetFinish() {
        dismissDialog();
    }

    @Override // com.niming.framework.net.a
    public void onNetStart(String str) {
        showDialog(str);
    }

    @Override // com.niming.framework.base.h
    public void setStatusComplete() {
        this.pageStatusHelper.k(5);
    }

    @Override // com.niming.framework.base.h
    public void setStatusEmpty() {
        this.pageStatusHelper.k(4);
    }

    @Override // com.niming.framework.base.h
    public void setStatusError() {
        this.pageStatusHelper.k(0);
    }

    @Override // com.niming.framework.base.h
    public void setStatusLoading(View view) {
        this.pageStatusHelper.g(view);
        this.pageStatusHelper.k(2);
    }

    @Override // com.niming.framework.base.h
    public void setStatusNetworkError() {
        this.pageStatusHelper.k(3);
    }

    public void showDialog() {
        this.loadingDialogFragment.d0(this.activity);
    }

    @Override // com.niming.framework.base.f
    public boolean useEventBus() {
        return true;
    }

    public void showDialog(String str) {
        this.loadingDialogFragment.f0(this.activity, str);
    }
}
