package com.niming.framework.base;

import android.content.Context;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.AbsListView;
import android.widget.RelativeLayout;
import com.niming.framework.b.b;

public abstract class BaseView<T> extends RelativeLayout implements View.OnClickListener {
    protected Context context;
    protected T data;

    public BaseView(Context context2) {
        this(context2, null);
    }

    /* access modifiers changed from: protected */
    public <V extends View> V $(int i) {
        V v = (V) $T(i);
        if (!(v instanceof AbsListView)) {
            v.setOnClickListener(this);
        }
        return v;
    }

    /* access modifiers changed from: protected */
    public <V extends View> V $T(int i) {
        return (V) findViewById(i);
    }

    /* access modifiers changed from: protected */
    public abstract int getViewRes();

    /* access modifiers changed from: protected */
    public abstract void initView();

    public void onClick(View view) {
        if (b.a().c()) {
        }
    }

    public void setData(T t) {
        this.data = t;
        update();
    }

    public void setViewBg(int i) {
        setBackgroundResource(i);
    }

    /* access modifiers changed from: protected */
    public abstract void update();

    public BaseView(Context context2, AttributeSet attributeSet) {
        this(context2, attributeSet, 0);
    }

    public BaseView(Context context2, AttributeSet attributeSet, int i) {
        super(context2, attributeSet, i);
        this.context = context2;
        LayoutInflater.from(context2).inflate(getViewRes(), this);
        initView();
    }
}
