package com.niming.greendao;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;
import androidx.constraintlayout.core.motion.h.w;
import com.liulishuo.filedownloader.model.FileDownloadModel;
import com.niming.weipa.model.Task;
import org.greenrobot.greendao.AbstractDao;
import org.greenrobot.greendao.Property;
import org.greenrobot.greendao.database.Database;
import org.greenrobot.greendao.database.DatabaseStatement;
import org.greenrobot.greendao.internal.DaoConfig;

public class TaskDao extends AbstractDao<Task, Long> {
    public static final String TABLENAME = "TASK";

    public static class Properties {
        public static final Property CachePath = new Property(17, String.class, "cachePath", false, "CACHE_PATH");
        public static final Property ChannelKey = new Property(6, String.class, "channelKey", false, "CHANNEL_KEY");
        public static final Property ChannelTitle = new Property(5, String.class, "channelTitle", false, "CHANNEL_TITLE");
        public static final Property Cover = new Property(4, String.class, "cover", false, "COVER");
        public static final Property DownloadUrl = new Property(10, String.class, "downloadUrl", false, "DOWNLOAD_URL");
        public static final Property Duration;
        public static final Property ExpendCoins;
        public static final Property Id = new Property(0, Long.class, "id", true, FileDownloadModel.I0);
        public static final Property Intro = new Property(3, String.class, "intro", false, "INTRO");
        public static final Property IsCheck;
        public static final Property IsLong;
        public static final Property IsVip;
        public static final Property OriginDownloadUrl = new Property(11, String.class, "originDownloadUrl", false, "ORIGIN_DOWNLOAD_URL");
        public static final Property Progress;
        public static final Property SeeDuration;
        public static final Property Speed;
        public static final Property Status;
        public static final Property Title = new Property(2, String.class, "title", false, "TITLE");
        public static final Property VideoId = new Property(1, String.class, "videoId", false, "VIDEO_ID");

        static {
            Class cls = Boolean.TYPE;
            IsVip = new Property(7, cls, "isVip", false, "IS_VIP");
            Class cls2 = Integer.TYPE;
            Duration = new Property(8, cls2, w.h.f1707b, false, "DURATION");
            SeeDuration = new Property(9, cls2, "seeDuration", false, "SEE_DURATION");
            Progress = new Property(12, cls2, "progress", false, "PROGRESS");
            Status = new Property(13, cls2, "status", false, "STATUS");
            ExpendCoins = new Property(14, cls2, "expendCoins", false, "EXPEND_COINS");
            Speed = new Property(15, cls2, "speed", false, "SPEED");
            IsCheck = new Property(16, cls, "isCheck", false, "IS_CHECK");
            IsLong = new Property(18, cls, "isLong", false, "IS_LONG");
        }
    }

    public TaskDao(DaoConfig daoConfig) {
        super(daoConfig);
    }

    public static void c(Database database, boolean z) {
        String str = z ? "IF NOT EXISTS " : "";
        database.execSQL("CREATE TABLE " + str + "\"TASK\" (\"_id\" INTEGER PRIMARY KEY AUTOINCREMENT ,\"VIDEO_ID\" TEXT UNIQUE ,\"TITLE\" TEXT,\"INTRO\" TEXT,\"COVER\" TEXT,\"CHANNEL_TITLE\" TEXT,\"CHANNEL_KEY\" TEXT,\"IS_VIP\" INTEGER NOT NULL ,\"DURATION\" INTEGER NOT NULL ,\"SEE_DURATION\" INTEGER NOT NULL ,\"DOWNLOAD_URL\" TEXT,\"ORIGIN_DOWNLOAD_URL\" TEXT,\"PROGRESS\" INTEGER NOT NULL ,\"STATUS\" INTEGER NOT NULL ,\"EXPEND_COINS\" INTEGER NOT NULL ,\"SPEED\" INTEGER NOT NULL ,\"IS_CHECK\" INTEGER NOT NULL ,\"CACHE_PATH\" TEXT,\"IS_LONG\" INTEGER NOT NULL );");
    }

    public static void d(Database database, boolean z) {
        StringBuilder sb = new StringBuilder();
        sb.append("DROP TABLE ");
        sb.append(z ? "IF EXISTS " : "");
        sb.append("\"TASK\"");
        database.execSQL(sb.toString());
    }

    /* access modifiers changed from: protected */
    /* renamed from: a */
    public final void bindValues(SQLiteStatement sQLiteStatement, Task task) {
        sQLiteStatement.clearBindings();
        Long id = task.getId();
        if (id != null) {
            sQLiteStatement.bindLong(1, id.longValue());
        }
        String videoId = task.getVideoId();
        if (videoId != null) {
            sQLiteStatement.bindString(2, videoId);
        }
        String title = task.getTitle();
        if (title != null) {
            sQLiteStatement.bindString(3, title);
        }
        String intro = task.getIntro();
        if (intro != null) {
            sQLiteStatement.bindString(4, intro);
        }
        String cover = task.getCover();
        if (cover != null) {
            sQLiteStatement.bindString(5, cover);
        }
        String channelTitle = task.getChannelTitle();
        if (channelTitle != null) {
            sQLiteStatement.bindString(6, channelTitle);
        }
        String channelKey = task.getChannelKey();
        if (channelKey != null) {
            sQLiteStatement.bindString(7, channelKey);
        }
        long j = 1;
        sQLiteStatement.bindLong(8, task.getIsVip() ? 1 : 0);
        sQLiteStatement.bindLong(9, (long) task.getDuration());
        sQLiteStatement.bindLong(10, (long) task.getSeeDuration());
        String downloadUrl = task.getDownloadUrl();
        if (downloadUrl != null) {
            sQLiteStatement.bindString(11, downloadUrl);
        }
        String originDownloadUrl = task.getOriginDownloadUrl();
        if (originDownloadUrl != null) {
            sQLiteStatement.bindString(12, originDownloadUrl);
        }
        sQLiteStatement.bindLong(13, (long) task.getProgress());
        sQLiteStatement.bindLong(14, (long) task.getStatus());
        sQLiteStatement.bindLong(15, (long) task.getExpendCoins());
        sQLiteStatement.bindLong(16, (long) task.getSpeed());
        sQLiteStatement.bindLong(17, task.getIsCheck() ? 1 : 0);
        String cachePath = task.getCachePath();
        if (cachePath != null) {
            sQLiteStatement.bindString(18, cachePath);
        }
        if (!task.getIsLong()) {
            j = 0;
        }
        sQLiteStatement.bindLong(19, j);
    }

    /* access modifiers changed from: protected */
    /* renamed from: b */
    public final void bindValues(DatabaseStatement databaseStatement, Task task) {
        databaseStatement.clearBindings();
        Long id = task.getId();
        if (id != null) {
            databaseStatement.bindLong(1, id.longValue());
        }
        String videoId = task.getVideoId();
        if (videoId != null) {
            databaseStatement.bindString(2, videoId);
        }
        String title = task.getTitle();
        if (title != null) {
            databaseStatement.bindString(3, title);
        }
        String intro = task.getIntro();
        if (intro != null) {
            databaseStatement.bindString(4, intro);
        }
        String cover = task.getCover();
        if (cover != null) {
            databaseStatement.bindString(5, cover);
        }
        String channelTitle = task.getChannelTitle();
        if (channelTitle != null) {
            databaseStatement.bindString(6, channelTitle);
        }
        String channelKey = task.getChannelKey();
        if (channelKey != null) {
            databaseStatement.bindString(7, channelKey);
        }
        long j = 1;
        databaseStatement.bindLong(8, task.getIsVip() ? 1 : 0);
        databaseStatement.bindLong(9, (long) task.getDuration());
        databaseStatement.bindLong(10, (long) task.getSeeDuration());
        String downloadUrl = task.getDownloadUrl();
        if (downloadUrl != null) {
            databaseStatement.bindString(11, downloadUrl);
        }
        String originDownloadUrl = task.getOriginDownloadUrl();
        if (originDownloadUrl != null) {
            databaseStatement.bindString(12, originDownloadUrl);
        }
        databaseStatement.bindLong(13, (long) task.getProgress());
        databaseStatement.bindLong(14, (long) task.getStatus());
        databaseStatement.bindLong(15, (long) task.getExpendCoins());
        databaseStatement.bindLong(16, (long) task.getSpeed());
        databaseStatement.bindLong(17, task.getIsCheck() ? 1 : 0);
        String cachePath = task.getCachePath();
        if (cachePath != null) {
            databaseStatement.bindString(18, cachePath);
        }
        if (!task.getIsLong()) {
            j = 0;
        }
        databaseStatement.bindLong(19, j);
    }

    /* renamed from: e */
    public Long getKey(Task task) {
        if (task != null) {
            return task.getId();
        }
        return null;
    }

    /* renamed from: f */
    public boolean hasKey(Task task) {
        return task.getId() != null;
    }

    /* renamed from: g */
    public Task readEntity(Cursor cursor, int i) {
        int i2 = i + 0;
        int i3 = i + 1;
        int i4 = i + 2;
        int i5 = i + 3;
        int i6 = i + 4;
        int i7 = i + 5;
        int i8 = i + 6;
        int i9 = i + 10;
        int i10 = i + 11;
        int i11 = i + 17;
        return new Task(cursor.isNull(i2) ? null : Long.valueOf(cursor.getLong(i2)), cursor.isNull(i3) ? null : cursor.getString(i3), cursor.isNull(i4) ? null : cursor.getString(i4), cursor.isNull(i5) ? null : cursor.getString(i5), cursor.isNull(i6) ? null : cursor.getString(i6), cursor.isNull(i7) ? null : cursor.getString(i7), cursor.isNull(i8) ? null : cursor.getString(i8), cursor.getShort(i + 7) != 0, cursor.getInt(i + 8), cursor.getInt(i + 9), cursor.isNull(i9) ? null : cursor.getString(i9), cursor.isNull(i10) ? null : cursor.getString(i10), cursor.getInt(i + 12), cursor.getInt(i + 13), cursor.getInt(i + 14), cursor.getInt(i + 15), cursor.getShort(i + 16) != 0, cursor.isNull(i11) ? null : cursor.getString(i11), cursor.getShort(i + 18) != 0);
    }

    /* renamed from: h */
    public void readEntity(Cursor cursor, Task task, int i) {
        int i2 = i + 0;
        String str = null;
        task.setId(cursor.isNull(i2) ? null : Long.valueOf(cursor.getLong(i2)));
        int i3 = i + 1;
        task.setVideoId(cursor.isNull(i3) ? null : cursor.getString(i3));
        int i4 = i + 2;
        task.setTitle(cursor.isNull(i4) ? null : cursor.getString(i4));
        int i5 = i + 3;
        task.setIntro(cursor.isNull(i5) ? null : cursor.getString(i5));
        int i6 = i + 4;
        task.setCover(cursor.isNull(i6) ? null : cursor.getString(i6));
        int i7 = i + 5;
        task.setChannelTitle(cursor.isNull(i7) ? null : cursor.getString(i7));
        int i8 = i + 6;
        task.setChannelKey(cursor.isNull(i8) ? null : cursor.getString(i8));
        boolean z = true;
        task.setIsVip(cursor.getShort(i + 7) != 0);
        task.setDuration(cursor.getInt(i + 8));
        task.setSeeDuration(cursor.getInt(i + 9));
        int i9 = i + 10;
        task.setDownloadUrl(cursor.isNull(i9) ? null : cursor.getString(i9));
        int i10 = i + 11;
        task.setOriginDownloadUrl(cursor.isNull(i10) ? null : cursor.getString(i10));
        task.setProgress(cursor.getInt(i + 12));
        task.setStatus(cursor.getInt(i + 13));
        task.setExpendCoins(cursor.getInt(i + 14));
        task.setSpeed(cursor.getInt(i + 15));
        task.setIsCheck(cursor.getShort(i + 16) != 0);
        int i11 = i + 17;
        if (!cursor.isNull(i11)) {
            str = cursor.getString(i11);
        }
        task.setCachePath(str);
        if (cursor.getShort(i + 18) == 0) {
            z = false;
        }
        task.setIsLong(z);
    }

    /* renamed from: i */
    public Long readKey(Cursor cursor, int i) {
        int i2 = i + 0;
        if (cursor.isNull(i2)) {
            return null;
        }
        return Long.valueOf(cursor.getLong(i2));
    }

    /* access modifiers changed from: protected */
    @Override // org.greenrobot.greendao.AbstractDao
    public final boolean isEntityUpdateable() {
        return true;
    }

    /* access modifiers changed from: protected */
    /* renamed from: j */
    public final Long updateKeyAfterInsert(Task task, long j) {
        task.setId(Long.valueOf(j));
        return Long.valueOf(j);
    }

    public TaskDao(DaoConfig daoConfig, b bVar) {
        super(daoConfig, bVar);
    }
}
