package com.niming.weipa.browser.activity;

import android.annotation.TargetApi;
import android.app.Activity;
import android.app.DownloadManager;
import android.content.ClipData;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageInfo;
import android.graphics.Bitmap;
import android.net.Uri;
import android.net.http.SslError;
import android.os.Build;
import android.os.Bundle;
import android.os.Environment;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.ViewTreeObserver;
import android.webkit.CookieManager;
import android.webkit.SslErrorHandler;
import android.webkit.URLUtil;
import android.webkit.ValueCallback;
import android.webkit.WebChromeClient;
import android.webkit.WebResourceError;
import android.webkit.WebResourceRequest;
import android.webkit.WebResourceResponse;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import androidx.annotation.RequiresApi;
import androidx.appcompat.app.ActionBar;
import androidx.appcompat.widget.Toolbar;
import androidx.core.app.NotificationCompat;
import c.d.a.a.f;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.ibm.icu.text.DateFormat;
import com.lzy.okgo.model.Progress;
import com.niming.framework.net.Result;
import com.niming.framework.widget.TitleView;
import com.niming.weipa.R;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.browser.utils.AndroidInterface;
import com.niming.weipa.model.RefreshEvent;
import com.niming.weipa.ui.game.MyWalterActivity;
import com.niming.weipa.ui.game.wiget.NumberProgressBar;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.StringsKt__StringsJVMKt;
import kotlin.text.StringsKt__StringsKt;
import me.jessyan.autosize.internal.CancelAdapt;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
import tv.danmaku.ijk.media.player.IjkMediaPlayer;

@Metadata(d1 = {"\u0000p\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0002\b\u0006\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0011\n\u0000\n\u0002\u0010\u0002\n\u0002\b\n\n\u0002\u0010\b\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0012\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u0000 J2\u00020\u00012\u00020\u0002:\u0001JB\u0005¢\u0006\u0002\u0010\u0003J\u0006\u0010\u0017\u001a\u00020\u0018J\u0010\u0010\u0019\u001a\u00020\u00182\u0006\u0010\u001a\u001a\u00020\u0005H\u0002J \u0010\u001b\u001a\u00020\u00182\u0006\u0010\u001a\u001a\u00020\u00052\u0006\u0010\u001c\u001a\u00020\u00052\u0006\u0010\u001d\u001a\u00020\u0005H\u0002J\b\u0010\u001e\u001a\u00020\bH\u0016J\b\u0010\u001f\u001a\u00020\u0018H\u0002J\b\u0010 \u001a\u00020\u0018H\u0002J\b\u0010!\u001a\u00020\u0018H\u0002J\b\u0010\"\u001a\u00020#H\u0016J\b\u0010$\u001a\u00020\u0018H\u0002J\b\u0010%\u001a\u00020\u0018H\u0002J\b\u0010&\u001a\u00020\u0018H\u0002J\u0012\u0010'\u001a\u00020\u00182\b\u0010(\u001a\u0004\u0018\u00010)H\u0016J\u000e\u0010*\u001a\u00020\b2\u0006\u0010+\u001a\u00020,J\"\u0010-\u001a\u00020\u00182\u0006\u0010.\u001a\u00020#2\u0006\u0010/\u001a\u00020#2\b\u00100\u001a\u0004\u0018\u000101H\u0014J\"\u00102\u001a\u00020\u00182\u0006\u0010.\u001a\u00020#2\u0006\u0010/\u001a\u00020#2\b\u00103\u001a\u0004\u0018\u000101H\u0003J\b\u00104\u001a\u00020\u0018H\u0016J\b\u00105\u001a\u00020\u0018H\u0016J\b\u00106\u001a\u00020\u0018H\u0014J\b\u00107\u001a\u00020\u0018H\u0016J\u0010\u00108\u001a\u00020\u00182\u0006\u0010(\u001a\u00020)H\u0014J\b\u00109\u001a\u00020\u0018H\u0014J\u0010\u0010:\u001a\u00020\u00182\u0006\u0010;\u001a\u00020)H\u0014J\b\u0010<\u001a\u00020\u0018H\u0002J\b\u0010=\u001a\u00020\u0018H\u0002J\b\u0010>\u001a\u00020\u0018H\u0002J\b\u0010?\u001a\u00020\u0018H\u0002J\b\u0010@\u001a\u00020\u0018H\u0002J\u0010\u0010A\u001a\u00020\u00182\u0006\u0010\u001a\u001a\u00020\u0005H\u0002J\u001a\u0010B\u001a\u00020\u00182\u0006\u0010\u001a\u001a\u00020\u00052\b\u0010C\u001a\u0004\u0018\u00010DH\u0002J\u0010\u0010E\u001a\u00020\b2\u0006\u0010F\u001a\u00020\u0005H\u0002J\u0012\u0010G\u001a\u00020\u00182\b\u0010H\u001a\u0004\u0018\u00010IH\u0002R\u000e\u0010\u0004\u001a\u00020\u0005X\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0006\u001a\u00020\u0005X\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\t\u001a\u00020\bX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\t\u0010\n\"\u0004\b\u000b\u0010\fR\u000e\u0010\r\u001a\u00020\bX\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u000e\u001a\u00020\u000fX.¢\u0006\u0002\n\u0000R\u000e\u0010\u0010\u001a\u00020\bX\u000e¢\u0006\u0002\n\u0000R\u0010\u0010\u0011\u001a\u0004\u0018\u00010\u0005X\u000e¢\u0006\u0002\n\u0000R\u0018\u0010\u0012\u001a\f\u0012\u0006\u0012\u0004\u0018\u00010\u0014\u0018\u00010\u0013X\u000e¢\u0006\u0002\n\u0000R\u001c\u0010\u0015\u001a\u0010\u0012\n\u0012\b\u0012\u0004\u0012\u00020\u00140\u0016\u0018\u00010\u0013X\u000e¢\u0006\u0002\n\u0000¨\u0006K"}, d2 = {"Lcom/niming/weipa/browser/activity/AdWebGameActivity;", "Lcom/niming/weipa/base/BaseActivity;", "Lme/jessyan/autosize/internal/CancelAdapt;", "()V", "balance", "", "currentBalance", "isChace", "", "isPlayFlag", "()Z", "setPlayFlag", "(Z)V", "isfull", NotificationCompat.z0, "Ljava/util/concurrent/ScheduledExecutorService;", "showTitle", "stringExtra", "uploadMessage", "Landroid/webkit/ValueCallback;", "Landroid/net/Uri;", "uploadMessageAboveL", "", "destroyWebView2", "", "downloadByBrowser", "url", "downloadBySystem", "contentDisposition", "mimeType", "enableSlideClose", "exitGame", "gameActionExit", "gameActionPing", "getViewRes", "", "initCountDownTimer", "initFloatBall", "initSettings", "initView", "savedInstanceState", "Landroid/os/Bundle;", "isWxInstall", "context", "Landroid/content/Context;", "onActivityResult", "requestCode", "resultCode", "data", "Landroid/content/Intent;", "onActivityResultAboveL", "intent", "onAttachedToWindow", "onBackPressed", "onDestroy", "onDetachedFromWindow", "onRestoreInstanceState", "onResume", "onSaveInstanceState", "outState", "openImageChooserActivity", "reload", "setFullScreen", "setWebChromeClient", "setWebViewClient", "startAlipayActivity", "startPayActivity", "webView", "Landroid/webkit/WebView;", "startWeixinActivity", DateFormat.SECOND, "viewListener", "v", "Landroid/view/View;", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: AdWebGameActivity.kt */
public final class AdWebGameActivity extends BaseActivity implements CancelAdapt {
    private static final int I0 = 10000;
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    public static final a f17683a = new a(null);
    @NotNull

    /* renamed from: b  reason: collision with root package name */
    public static final String f17684b = "url_key";
    @Nullable
    private String J0;
    private boolean K0;
    private boolean L0;
    @Nullable
    private ValueCallback<Uri> M0;
    @Nullable
    private ValueCallback<Uri[]> N0;
    @NotNull
    private String O0 = "0";
    private ScheduledExecutorService P0;
    @NotNull
    private String Q0 = "0";
    private boolean R0;
    private boolean S0 = true;
    @NotNull
    public Map<Integer, View> T0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000&\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J \u0010\u0007\u001a\u00020\b2\u0006\u0010\t\u001a\u00020\n2\b\u0010\u000b\u001a\u0004\u0018\u00010\u00062\u0006\u0010\f\u001a\u00020\u0006R\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006XT¢\u0006\u0002\n\u0000¨\u0006\r"}, d2 = {"Lcom/niming/weipa/browser/activity/AdWebGameActivity$Companion;", "", "()V", "FILE_CHOOSER_RESULT_CODE", "", "URL_KEY", "", "start", "", "activity", "Landroid/app/Activity;", "url", "balance", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: AdWebGameActivity.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public final void a(@NotNull Activity activity, @Nullable String str, @NotNull String str2) {
            Intrinsics.checkNotNullParameter(activity, "activity");
            Intrinsics.checkNotNullParameter(str2, "balance");
            if (!TextUtils.isEmpty(str)) {
                Intent intent = new Intent(activity, AdWebGameActivity.class);
                intent.putExtra("url_key", str);
                intent.putExtra("balance", str2);
                activity.startActivity(intent);
            }
        }
    }

    @Metadata(d1 = {"\u0000#\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0018\u0010\u0002\u001a\u00020\u00032\u000e\u0010\u0004\u001a\n\u0012\u0004\u0012\u00020\u0006\u0018\u00010\u0005H\u0016J\b\u0010\u0007\u001a\u00020\u0003H\u0016J\u0010\u0010\b\u001a\u00020\u00032\u0006\u0010\t\u001a\u00020\nH\u0014¨\u0006\u000b"}, d2 = {"com/niming/weipa/browser/activity/AdWebGameActivity$gameActionExit$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onError", "", "response", "Lcom/lzy/okgo/model/Response;", "", "onFinish", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: AdWebGameActivity.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ AdWebGameActivity f17685a;

        b(AdWebGameActivity adWebGameActivity) {
            this.f17685a = adWebGameActivity;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onError(@Nullable com.lzy.okgo.model.b<String> bVar) {
            super.onError(bVar);
            com.niming.framework.b.d.b(new RefreshEvent(31, this.f17685a.Q0));
            this.f17685a.finish();
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            com.niming.framework.b.d.b(new RefreshEvent(31, this.f17685a.Q0));
            this.f17685a.finish();
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                AdWebGameActivity adWebGameActivity = this.f17685a;
                Object b2 = com.niming.framework.b.g.b(result.getData(), String.class);
                Intrinsics.checkNotNullExpressionValue(b2, "parseObject(result.data, String::class.java)");
                adWebGameActivity.Q0 = (String) b2;
                LogUtils.l("gameAction exit");
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/browser/activity/AdWebGameActivity$gameActionPing$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: AdWebGameActivity.kt */
    public static final class c extends com.niming.weipa.g.a {
        c() {
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                LogUtils.l("gameAction ping");
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0012\u0010\u0002\u001a\u00020\u00032\b\u0010\u0004\u001a\u0004\u0018\u00010\u0005H\u0016¨\u0006\u0006"}, d2 = {"com/niming/weipa/browser/activity/AdWebGameActivity$initFloatBall$1", "Lcom/huxq17/floatball/libarary/MyFloatBallManager$OnFloatBallMenuListener;", "onMenuOption", "", "action", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: AdWebGameActivity.kt */
    public static final class d implements f.e {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ AdWebGameActivity f17686a;

        d(AdWebGameActivity adWebGameActivity) {
            this.f17686a = adWebGameActivity;
        }

        @Override // c.d.a.a.f.e
        public void a(@Nullable String str) {
            if (str != null) {
                int hashCode = str.hashCode();
                if (hashCode != -1361632588) {
                    if (hashCode != -934641255) {
                        if (hashCode == 3127582 && str.equals(com.alipay.sdk.widget.d.Y0)) {
                            this.f17686a.y0();
                        }
                    } else if (str.equals("reload")) {
                        this.f17686a.O0();
                    }
                } else if (str.equals("charge")) {
                    MyWalterActivity.a aVar = MyWalterActivity.f19657a;
                    Activity activity = ((com.niming.framework.base.BaseActivity) this.f17686a).activity;
                    Intrinsics.checkNotNullExpressionValue(activity, "activity");
                    aVar.a(activity, this.f17686a.O0);
                }
            }
        }
    }

    @Metadata(d1 = {"\u0000C\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\u000b\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0010\u0011\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u001a\u0010\u0002\u001a\u00020\u00032\b\u0010\u0004\u001a\u0004\u0018\u00010\u00052\u0006\u0010\u0006\u001a\u00020\u0007H\u0016J\u0018\u0010\b\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u00052\u0006\u0010\t\u001a\u00020\nH\u0016J,\u0010\u000b\u001a\u00020\f2\u0006\u0010\r\u001a\u00020\u00052\u0012\u0010\u000e\u001a\u000e\u0012\n\u0012\b\u0012\u0004\u0012\u00020\u00110\u00100\u000f2\u0006\u0010\u0012\u001a\u00020\u0013H\u0016J\u0018\u0010\u0014\u001a\u00020\u00032\u0010\u0010\u0015\u001a\f\u0012\u0006\u0012\u0004\u0018\u00010\u0011\u0018\u00010\u000fJ\"\u0010\u0014\u001a\u00020\u00032\u0010\u0010\u0015\u001a\f\u0012\u0006\u0012\u0004\u0018\u00010\u0011\u0018\u00010\u000f2\b\u0010\u0016\u001a\u0004\u0018\u00010\nJ,\u0010\u0014\u001a\u00020\u00032\u0010\u0010\u0015\u001a\f\u0012\u0006\u0012\u0004\u0018\u00010\u0011\u0018\u00010\u000f2\b\u0010\u0016\u001a\u0004\u0018\u00010\n2\b\u0010\u0017\u001a\u0004\u0018\u00010\n¨\u0006\u0018"}, d2 = {"com/niming/weipa/browser/activity/AdWebGameActivity$setWebChromeClient$1", "Landroid/webkit/WebChromeClient;", "onProgressChanged", "", "view", "Landroid/webkit/WebView;", "newProgress", "", "onReceivedTitle", "title", "", "onShowFileChooser", "", "webView", "filePathCallback", "Landroid/webkit/ValueCallback;", "", "Landroid/net/Uri;", "fileChooserParams", "Landroid/webkit/WebChromeClient$FileChooserParams;", "openFileChooser", "valueCallback", "acceptType", "capture", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: AdWebGameActivity.kt */
    public static final class e extends WebChromeClient {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ AdWebGameActivity f17687a;

        e(AdWebGameActivity adWebGameActivity) {
            this.f17687a = adWebGameActivity;
        }

        public final void a(@Nullable ValueCallback<Uri> valueCallback) {
            this.f17687a.M0 = valueCallback;
            this.f17687a.N0();
        }

        public final void b(@Nullable ValueCallback<Uri> valueCallback, @Nullable String str) {
            this.f17687a.M0 = valueCallback;
            this.f17687a.N0();
        }

        public final void c(@Nullable ValueCallback<Uri> valueCallback, @Nullable String str, @Nullable String str2) {
            this.f17687a.M0 = valueCallback;
            this.f17687a.N0();
        }

        public void onProgressChanged(@Nullable WebView webView, int i) {
            AdWebGameActivity adWebGameActivity = this.f17687a;
            int i2 = R.id.progressBar;
            ((NumberProgressBar) adWebGameActivity._$_findCachedViewById(i2)).setProgress(i);
            if (i >= 99) {
                ((NumberProgressBar) this.f17687a._$_findCachedViewById(i2)).setVisibility(8);
            }
        }

        public void onReceivedTitle(@NotNull WebView webView, @NotNull String str) {
            Intrinsics.checkNotNullParameter(webView, "view");
            Intrinsics.checkNotNullParameter(str, "title");
            super.onReceivedTitle(webView, str);
            if (!TextUtils.isEmpty(str)) {
                if (str.length() > 20) {
                    String substring = str.substring(0, 20);
                    Intrinsics.checkNotNullExpressionValue(substring, "this as java.lang.String…ing(startIndex, endIndex)");
                    str = Intrinsics.stringPlus(substring, "...");
                }
                TitleView titleView = (TitleView) this.f17687a._$_findCachedViewById(R.id.titleView);
                Intrinsics.checkNotNull(titleView);
                titleView.setTitle(str);
            }
        }

        @Override // android.webkit.WebChromeClient
        public boolean onShowFileChooser(@NotNull WebView webView, @NotNull ValueCallback<Uri[]> valueCallback, @NotNull WebChromeClient.FileChooserParams fileChooserParams) {
            Intrinsics.checkNotNullParameter(webView, "webView");
            Intrinsics.checkNotNullParameter(valueCallback, "filePathCallback");
            Intrinsics.checkNotNullParameter(fileChooserParams, "fileChooserParams");
            this.f17687a.N0 = valueCallback;
            this.f17687a.N0();
            return true;
        }
    }

    @Metadata(d1 = {"\u0000\u0011\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016¨\u0006\u0004"}, d2 = {"com/niming/weipa/browser/activity/AdWebGameActivity$viewListener$1", "Landroid/view/ViewTreeObserver$OnGlobalLayoutListener;", "onGlobalLayout", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: AdWebGameActivity.kt */
    public static final class g implements ViewTreeObserver.OnGlobalLayoutListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f17689a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ AdWebGameActivity f17690b;

        g(View view, AdWebGameActivity adWebGameActivity) {
            this.f17689a = view;
            this.f17690b = adWebGameActivity;
        }

        public void onGlobalLayout() {
            if (Build.VERSION.SDK_INT >= 16) {
                this.f17689a.getViewTreeObserver().removeOnGlobalLayoutListener(this);
            } else {
                this.f17689a.getViewTreeObserver().removeGlobalOnLayoutListener(this);
            }
            this.f17690b.R0 = true;
            this.f17690b.P0();
        }
    }

    private final void A0() {
        com.niming.weipa.g.c.c0().R("ping", new c());
    }

    private final void B0() {
        ScheduledExecutorService newScheduledThreadPool = Executors.newScheduledThreadPool(10);
        Intrinsics.checkNotNullExpressionValue(newScheduledThreadPool, "newScheduledThreadPool(10)");
        this.P0 = newScheduledThreadPool;
        if (newScheduledThreadPool == null) {
            Intrinsics.throwUninitializedPropertyAccessException(NotificationCompat.z0);
            newScheduledThreadPool = null;
        }
        newScheduledThreadPool.scheduleAtFixedRate(new a(this), 30, 30, TimeUnit.SECONDS);
    }

    /* access modifiers changed from: private */
    public static final void C0(AdWebGameActivity adWebGameActivity) {
        Intrinsics.checkNotNullParameter(adWebGameActivity, "this$0");
        adWebGameActivity.A0();
    }

    private final void D0() {
        c.d.a.a.f.h().g(true, this.activity);
        c.d.a.a.f.h().j(new d(this));
    }

    private final void E0() {
        int i = R.id.webview;
        WebView webView = (WebView) _$_findCachedViewById(i);
        Intrinsics.checkNotNull(webView);
        WebSettings settings = webView.getSettings();
        settings.setJavaScriptEnabled(true);
        settings.setDomStorageEnabled(true);
        settings.setAllowFileAccess(true);
        settings.setUseWideViewPort(true);
        settings.setLoadWithOverviewMode(true);
        settings.setSupportZoom(true);
        settings.setBuiltInZoomControls(false);
        settings.setDisplayZoomControls(false);
        settings.setJavaScriptCanOpenWindowsAutomatically(true);
        settings.setLayoutAlgorithm(WebSettings.LayoutAlgorithm.NARROW_COLUMNS);
        settings.setUseWideViewPort(true);
        settings.setCacheMode(-1);
        WebView webView2 = (WebView) _$_findCachedViewById(i);
        Intrinsics.checkNotNull(webView2);
        webView2.addJavascriptInterface(new AndroidInterface(this), "androidWP");
        settings.setDefaultTextEncodingName("UTF-8");
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 16) {
            settings.setAllowFileAccessFromFileURLs(true);
            settings.setAllowUniversalAccessFromFileURLs(true);
        }
        if (i2 >= 21) {
            CookieManager.getInstance();
        }
        if (i2 >= 21) {
            settings.setMixedContentMode(2);
        }
        ((WebView) _$_findCachedViewById(i)).setBackgroundColor(androidx.core.content.d.f(this, com.hj.chen.new1126.R.color.main_color));
        ((WebView) _$_findCachedViewById(i)).setBackgroundResource(com.hj.chen.new1126.R.color.main_color);
        WebView webView3 = (WebView) _$_findCachedViewById(i);
        Intrinsics.checkNotNull(webView3);
        webView3.setDownloadListener(new c(this));
    }

    /* access modifiers changed from: private */
    public static final void F0(AdWebGameActivity adWebGameActivity, String str, String str2, String str3, String str4, long j) {
        Intrinsics.checkNotNullParameter(adWebGameActivity, "this$0");
        Intrinsics.checkNotNullExpressionValue(str, "url");
        adWebGameActivity.w0(str);
    }

    /* access modifiers changed from: private */
    public static final void G0(AdWebGameActivity adWebGameActivity, View view) {
        Intrinsics.checkNotNullParameter(adWebGameActivity, "this$0");
        adWebGameActivity.onBackPressed();
    }

    @TargetApi(21)
    private final void M0(int i, int i2, Intent intent) {
        Uri[] uriArr;
        if (i == 10000 && this.N0 != null) {
            if (i2 != -1 || intent == null) {
                uriArr = null;
            } else {
                String dataString = intent.getDataString();
                ClipData clipData = intent.getClipData();
                if (clipData != null) {
                    uriArr = new Uri[clipData.getItemCount()];
                    int itemCount = clipData.getItemCount();
                    for (int i3 = 0; i3 < itemCount; i3++) {
                        uriArr[i3] = clipData.getItemAt(i3).getUri();
                    }
                } else {
                    uriArr = null;
                }
                if (dataString != null) {
                    uriArr = new Uri[]{Uri.parse(dataString)};
                }
            }
            ValueCallback<Uri[]> valueCallback = this.N0;
            Intrinsics.checkNotNull(valueCallback);
            Objects.requireNonNull(uriArr, "null cannot be cast to non-null type kotlin.Array<android.net.Uri>");
            valueCallback.onReceiveValue(uriArr);
            this.N0 = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void N0() {
        Intent intent = new Intent("android.intent.action.GET_CONTENT");
        intent.addCategory("android.intent.category.OPENABLE");
        intent.setType("*/*");
        startActivityForResult(Intent.createChooser(intent, "Image Chooser"), 10000);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void O0() {
        int i = R.id.webview;
        if (((WebView) _$_findCachedViewById(i)) != null) {
            ((WebView) _$_findCachedViewById(i)).onResume();
            ((WebView) _$_findCachedViewById(i)).resumeTimers();
            ((WebView) _$_findCachedViewById(i)).reload();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void P0() {
        this.activity.getWindow().addFlags(128);
        getWindow().getDecorView().setSystemUiVisibility(6);
        ActionBar supportActionBar = getSupportActionBar();
        if (supportActionBar != null) {
            supportActionBar.C();
        }
        getWindow().setFlags(1024, 1024);
        if (com.blankj.utilcode.util.e.v() && !this.L0) {
            com.blankj.utilcode.util.e.A(this, false);
        }
    }

    private final void R0() {
        ((WebView) _$_findCachedViewById(R.id.webview)).setWebChromeClient(new e(this));
    }

    private final void S0() {
        ((WebView) _$_findCachedViewById(R.id.webview)).setWebViewClient(new f(this));
    }

    private final void T0(String str) {
        try {
            Intent parseUri = Intent.parseUri(str, 1);
            Intrinsics.checkNotNullExpressionValue(parseUri, "parseUri(url,\n          …Intent.URI_INTENT_SCHEME)");
            parseUri.addCategory("android.intent.category.BROWSABLE");
            parseUri.setComponent(null);
            startActivity(parseUri);
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void U0(String str, WebView webView) {
        if ((StringsKt__StringsJVMKt.startsWith$default(str, c.a.b.c.a.l, false, 2, null)) || (StringsKt__StringsJVMKt.startsWith$default(str, "weixin://wap/pay?", false, 2, null))) {
            Intent intent = new Intent();
            intent.setAction("android.intent.action.VIEW");
            intent.setData(Uri.parse(str));
            startActivity(intent);
        } else if (StringsKt__StringsKt.contains$default((CharSequence) str, (CharSequence) "platformapi/startapp", false, 2, (Object) null)) {
            try {
                Intent parseUri = Intent.parseUri(str, 1);
                Intrinsics.checkNotNullExpressionValue(parseUri, "parseUri(url,\n          …Intent.URI_INTENT_SCHEME)");
                parseUri.addCategory("android.intent.category.BROWSABLE");
                parseUri.setComponent(null);
                startActivity(parseUri);
            } catch (Exception unused) {
            }
        } else if (Build.VERSION.SDK_INT > 23 && (StringsKt__StringsKt.contains$default((CharSequence) str, (CharSequence) "platformapi", false, 2, (Object) null)) && (StringsKt__StringsKt.contains$default((CharSequence) str, (CharSequence) "startapp", false, 2, (Object) null))) {
            Intent parseUri2 = Intent.parseUri(str, 1);
            Intrinsics.checkNotNullExpressionValue(parseUri2, "parseUri(url,\n          …Intent.URI_INTENT_SCHEME)");
            parseUri2.addCategory("android.intent.category.BROWSABLE");
            parseUri2.setComponent(null);
            startActivity(parseUri2);
        } else if (StringsKt__StringsKt.contains$default((CharSequence) str, (CharSequence) "download", false, 2, (Object) null)) {
            startActivity(new Intent("android.intent.action.VIEW", Uri.parse(str)));
        } else if (this.K0) {
            ren.yale.android.cachewebviewlib.g.l().e((WebView) _$_findCachedViewById(R.id.webview), str);
        } else if (webView != null) {
            webView.loadUrl(str);
        }
    }

    private final boolean V0(String str) {
        if ((StringsKt__StringsJVMKt.startsWith$default(str, "weixin://wap/pay?", false, 2, null)) && this.S0) {
            Activity activity = this.activity;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            if (I0(activity)) {
                this.S0 = false;
                Intent intent = new Intent();
                intent.setAction("android.intent.action.VIEW");
                intent.setData(Uri.parse(str));
                this.activity.startActivity(intent);
                return true;
            }
            ToastUtils.W("您未安装微信~ 请安装微信并支付，祝您生活愉快", new Object[0]);
            WebView webView = (WebView) _$_findCachedViewById(R.id.webview);
            Intrinsics.checkNotNull(webView);
            webView.goBack();
        }
        return true;
    }

    private final void W0(View view) {
        ViewTreeObserver viewTreeObserver;
        if (view != null && (viewTreeObserver = view.getViewTreeObserver()) != null) {
            viewTreeObserver.addOnGlobalLayoutListener(new g(view, this));
        }
    }

    private final void w0(String str) {
        Intent intent = new Intent("android.intent.action.VIEW");
        intent.addCategory("android.intent.category.BROWSABLE");
        intent.setData(Uri.parse(str));
        startActivity(intent);
    }

    private final void x0(String str, String str2, String str3) {
        DownloadManager.Request request = new DownloadManager.Request(Uri.parse(str));
        request.allowScanningByMediaScanner();
        request.setNotificationVisibility(1);
        request.setAllowedOverMetered(false);
        request.setVisibleInDownloadsUi(false);
        request.setAllowedOverRoaming(true);
        request.setAllowedNetworkTypes(2);
        String guessFileName = URLUtil.guessFileName(str, str2, str3);
        LogUtils.l("fileName:{}", guessFileName);
        request.setDestinationInExternalPublicDir(Environment.DIRECTORY_DOWNLOADS, guessFileName);
        Object systemService = getSystemService("download");
        Objects.requireNonNull(systemService, "null cannot be cast to non-null type android.app.DownloadManager");
        LogUtils.l("downloadId:{}", Long.valueOf(((DownloadManager) systemService).enqueue(request)));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void y0() {
    }

    private final void z0() {
        com.niming.weipa.g.c.c0().R(com.alipay.sdk.widget.d.Y0, new b(this));
    }

    public final boolean H0() {
        return this.S0;
    }

    public final boolean I0(@NotNull Context context) {
        Intrinsics.checkNotNullParameter(context, "context");
        List<PackageInfo> installedPackages = context.getPackageManager().getInstalledPackages(0);
        if (installedPackages != null) {
            int size = installedPackages.size();
            int i = 0;
            while (i < size) {
                int i2 = i + 1;
                if (Intrinsics.areEqual(installedPackages.get(i).packageName, "com.tencent.mm")) {
                    return true;
                }
                i = i2;
            }
        }
        return false;
    }

    public final void Q0(boolean z) {
        this.S0 = z;
    }

    @Override // com.niming.weipa.base.BaseActivity
    public void _$_clearFindViewByIdCache() {
        this.T0.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity
    @Nullable
    public View _$_findCachedViewById(int i) {
        Map<Integer, View> map = this.T0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.framework.base.BaseActivity
    public boolean enableSlideClose() {
        return false;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.activity_ad_web_game;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        P0();
        super.initView(bundle);
        this.J0 = getIntent().getStringExtra("url_key");
        String stringExtra = getIntent().getStringExtra("balance");
        if (stringExtra == null) {
            stringExtra = "0";
        }
        this.O0 = stringExtra;
        if (!TextUtils.isEmpty(stringExtra)) {
            this.Q0 = this.O0;
        }
        Toolbar toolbar = (Toolbar) _$_findCachedViewById(R.id.toolbar);
        Intrinsics.checkNotNull(toolbar);
        toolbar.setVisibility(this.L0 ? 0 : 8);
        E0();
        S0();
        R0();
        if (bundle == null) {
            if (this.K0) {
                ren.yale.android.cachewebviewlib.g.l().e((WebView) _$_findCachedViewById(R.id.webview), this.J0);
            } else {
                WebView webView = (WebView) _$_findCachedViewById(R.id.webview);
                Intrinsics.checkNotNull(webView);
                webView.loadUrl(this.J0);
            }
        }
        TitleView titleView = (TitleView) _$_findCachedViewById(R.id.titleView);
        Intrinsics.checkNotNull(titleView);
        titleView.i(com.hj.chen.new1126.R.drawable.icon_white_arrow_left, new b(this));
        B0();
        D0();
        W0((WebView) _$_findCachedViewById(R.id.webview));
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i, int i2, @Nullable Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i != 10000) {
            ValueCallback<Uri> valueCallback = this.M0;
            if (valueCallback != null) {
                Intrinsics.checkNotNull(valueCallback);
                valueCallback.onReceiveValue(null);
                this.M0 = null;
                return;
            }
            ValueCallback<Uri[]> valueCallback2 = this.N0;
            if (valueCallback2 != null) {
                Intrinsics.checkNotNull(valueCallback2);
                valueCallback2.onReceiveValue(null);
                this.N0 = null;
            }
        } else if (this.M0 != null || this.N0 != null) {
            Uri data = (intent == null || i2 != -1) ? null : intent.getData();
            if (this.N0 != null) {
                M0(i, i2, intent);
                return;
            }
            ValueCallback<Uri> valueCallback3 = this.M0;
            if (valueCallback3 != null) {
                Intrinsics.checkNotNull(valueCallback3);
                valueCallback3.onReceiveValue(data);
                this.M0 = null;
            }
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        c.d.a.a.f.h().k();
        P0();
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        y0();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        v0();
        super.onDestroy();
        ScheduledExecutorService scheduledExecutorService = this.P0;
        if (scheduledExecutorService == null) {
            Intrinsics.throwUninitializedPropertyAccessException(NotificationCompat.z0);
            scheduledExecutorService = null;
        }
        scheduledExecutorService.shutdown();
        c.d.a.a.f.h().l();
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        c.d.a.a.f.h().e();
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(@NotNull Bundle bundle) {
        Intrinsics.checkNotNullParameter(bundle, "savedInstanceState");
        super.onRestoreInstanceState(bundle);
        WebView webView = (WebView) _$_findCachedViewById(R.id.webview);
        Intrinsics.checkNotNull(webView);
        webView.restoreState(bundle);
    }

    /* access modifiers changed from: protected */
    @Override // com.niming.weipa.base.BaseActivity, androidx.fragment.app.FragmentActivity
    public void onResume() {
        super.onResume();
        P0();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onSaveInstanceState(@NotNull Bundle bundle) {
        Intrinsics.checkNotNullParameter(bundle, "outState");
        super.onSaveInstanceState(bundle);
        WebView webView = (WebView) _$_findCachedViewById(R.id.webview);
        Intrinsics.checkNotNull(webView);
        webView.saveState(bundle);
    }

    public final void v0() {
        int i = R.id.webview;
        if (((WebView) _$_findCachedViewById(i)) != null) {
            WebView webView = (WebView) _$_findCachedViewById(i);
            Intrinsics.checkNotNull(webView);
            ViewParent parent = webView.getParent();
            if (parent != null) {
                ((ViewGroup) parent).removeView((WebView) _$_findCachedViewById(i));
            }
            WebView webView2 = (WebView) _$_findCachedViewById(i);
            Intrinsics.checkNotNull(webView2);
            webView2.stopLoading();
            WebView webView3 = (WebView) _$_findCachedViewById(i);
            Intrinsics.checkNotNull(webView3);
            webView3.getSettings().setJavaScriptEnabled(false);
            WebView webView4 = (WebView) _$_findCachedViewById(i);
            Intrinsics.checkNotNull(webView4);
            webView4.removeAllViews();
            WebView webView5 = (WebView) _$_findCachedViewById(i);
            Intrinsics.checkNotNull(webView5);
            webView5.destroy();
        }
    }

    @Metadata(d1 = {"\u0000K\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u001c\u0010\u0002\u001a\u00020\u00032\b\u0010\u0004\u001a\u0004\u0018\u00010\u00052\b\u0010\u0006\u001a\u0004\u0018\u00010\u0007H\u0016J\u001c\u0010\b\u001a\u00020\u00032\b\u0010\u0004\u001a\u0004\u0018\u00010\u00052\b\u0010\u0006\u001a\u0004\u0018\u00010\u0007H\u0016J&\u0010\t\u001a\u00020\u00032\b\u0010\u0004\u001a\u0004\u0018\u00010\u00052\b\u0010\u0006\u001a\u0004\u0018\u00010\u00072\b\u0010\n\u001a\u0004\u0018\u00010\u000bH\u0016J&\u0010\f\u001a\u00020\u00032\b\u0010\u0004\u001a\u0004\u0018\u00010\u00052\b\u0010\r\u001a\u0004\u0018\u00010\u000e2\b\u0010\u000f\u001a\u0004\u0018\u00010\u0010H\u0017J&\u0010\u0011\u001a\u00020\u00032\b\u0010\u0004\u001a\u0004\u0018\u00010\u00052\b\u0010\u0012\u001a\u0004\u0018\u00010\u00132\b\u0010\u000f\u001a\u0004\u0018\u00010\u0014H\u0016J\u001e\u0010\u0015\u001a\u0004\u0018\u00010\u00162\b\u0010\u0004\u001a\u0004\u0018\u00010\u00052\b\u0010\r\u001a\u0004\u0018\u00010\u000eH\u0016J\u001e\u0010\u0015\u001a\u0004\u0018\u00010\u00162\b\u0010\u0004\u001a\u0004\u0018\u00010\u00052\b\u0010\u0006\u001a\u0004\u0018\u00010\u0007H\u0016J\u001c\u0010\u0017\u001a\u00020\u00182\b\u0010\u0004\u001a\u0004\u0018\u00010\u00052\b\u0010\r\u001a\u0004\u0018\u00010\u000eH\u0016J\u001c\u0010\u0017\u001a\u00020\u00182\b\u0010\u0004\u001a\u0004\u0018\u00010\u00052\b\u0010\u0006\u001a\u0004\u0018\u00010\u0007H\u0016¨\u0006\u0019"}, d2 = {"com/niming/weipa/browser/activity/AdWebGameActivity$setWebViewClient$1", "Landroid/webkit/WebViewClient;", "onLoadResource", "", "view", "Landroid/webkit/WebView;", "url", "", "onPageFinished", "onPageStarted", "favicon", "Landroid/graphics/Bitmap;", "onReceivedError", Progress.REQUEST, "Landroid/webkit/WebResourceRequest;", IjkMediaPlayer.f.m, "Landroid/webkit/WebResourceError;", "onReceivedSslError", "handler", "Landroid/webkit/SslErrorHandler;", "Landroid/net/http/SslError;", "shouldInterceptRequest", "Landroid/webkit/WebResourceResponse;", "shouldOverrideUrlLoading", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: AdWebGameActivity.kt */
    public static final class f extends WebViewClient {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ AdWebGameActivity f17688a;

        f(AdWebGameActivity adWebGameActivity) {
            this.f17688a = adWebGameActivity;
        }

        public void onLoadResource(@Nullable WebView webView, @Nullable String str) {
            super.onLoadResource(webView, str);
        }

        public void onPageFinished(@Nullable WebView webView, @Nullable String str) {
            super.onPageFinished(webView, str);
            if (com.blankj.utilcode.util.e.v() && !this.f17688a.L0) {
                com.blankj.utilcode.util.e.A(this.f17688a, false);
            }
        }

        public void onPageStarted(@Nullable WebView webView, @Nullable String str, @Nullable Bitmap bitmap) {
            super.onPageStarted(webView, str, bitmap);
        }

        @RequiresApi(23)
        public void onReceivedError(@Nullable WebView webView, @Nullable WebResourceRequest webResourceRequest, @Nullable WebResourceError webResourceError) {
            CharSequence charSequence;
            if (webResourceError != null) {
                webResourceError.getErrorCode();
            }
            Uri uri = null;
            if (webResourceError == null) {
                charSequence = null;
            } else {
                charSequence = webResourceError.getDescription();
            }
            String.valueOf(charSequence);
            if (webResourceRequest != null) {
                uri = webResourceRequest.getUrl();
            }
            String.valueOf(uri);
            super.onReceivedError(webView, webResourceRequest, webResourceError);
        }

        public void onReceivedSslError(@Nullable WebView webView, @Nullable SslErrorHandler sslErrorHandler, @Nullable SslError sslError) {
            super.onReceivedSslError(webView, sslErrorHandler, sslError);
            if (sslErrorHandler != null) {
                sslErrorHandler.proceed();
            }
        }

        @Override // android.webkit.WebViewClient
        @Nullable
        public WebResourceResponse shouldInterceptRequest(@Nullable WebView webView, @Nullable WebResourceRequest webResourceRequest) {
            if (this.f17688a.K0) {
                return ren.yale.android.cachewebviewlib.g.l().a(webResourceRequest);
            }
            return super.shouldInterceptRequest(webView, webResourceRequest);
        }

        @Override // android.webkit.WebViewClient
        public boolean shouldOverrideUrlLoading(@Nullable WebView webView, @Nullable WebResourceRequest webResourceRequest) {
            this.f17688a.U0(String.valueOf(webResourceRequest == null ? null : webResourceRequest.getUrl()), webView);
            return true;
        }

        @Override // android.webkit.WebViewClient
        public boolean shouldOverrideUrlLoading(@Nullable WebView webView, @Nullable String str) {
            if (str == null) {
                return true;
            }
            this.f17688a.U0(str, webView);
            return true;
        }

        @Override // android.webkit.WebViewClient
        @Nullable
        public WebResourceResponse shouldInterceptRequest(@Nullable WebView webView, @Nullable String str) {
            if (this.f17688a.K0) {
                return ren.yale.android.cachewebviewlib.g.l().d(str);
            }
            return super.shouldInterceptRequest(webView, str);
        }
    }
}
