package com.niming.weipa.browser.utils;

import android.app.Activity;
import android.content.Context;
import android.webkit.JavascriptInterface;
import androidx.core.app.NotificationCompat;
import com.alipay.sdk.widget.d;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.e;
import com.blankj.utilcode.util.z0;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.lxj.xpopup.PhotosInfoModel;
import com.lxj.xpopup.core.PrivatePhotoPopupView;
import com.niming.framework.b.g;
import com.niming.framework.basedb.h;
import com.niming.framework.net.Result;
import com.niming.weipa.g.a;
import com.niming.weipa.g.c;
import com.niming.weipa.model.AuthLoginDeviceModel;
import com.niming.weipa.model.SignInModel;
import com.niming.weipa.model.VideoInfo2;
import com.niming.weipa.notice.PrivatePhotoDialogFragment;
import com.niming.weipa.share.ShareActivity;
import com.niming.weipa.share.ShareViewModel;
import com.niming.weipa.ui.discovered.LabelDetailAct;
import com.niming.weipa.ui.discovered.model.DiscoverRecommendModel;
import com.niming.weipa.ui.feedback.FeedbackReplyActivity;
import com.niming.weipa.ui.login.LoginActivity;
import com.niming.weipa.ui.main.SignInDetailActivity;
import com.niming.weipa.ui.mine.activity.BusinessChargeActivity;
import com.niming.weipa.ui.mine.activity.FocusOnActivity;
import com.niming.weipa.ui.mine.profile_home.PersonalHomePageActivity;
import com.niming.weipa.ui.promote.InviteRecordActivity;
import com.niming.weipa.ui.vip.DiamondDetailActivity;
import com.niming.weipa.ui.vip.VipDetailActivity4;
import com.niming.weipa.utils.l;
import com.niming.weipa.utils.n0;
import com.niming.weipa.utils.v;
import org.jetbrains.annotations.NotNull;

public class AndroidInterface {
    private Context context;

    public AndroidInterface(Context context2) {
        this.context = context2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void photosBuy(int i, final PrivatePhotoDialogFragment privatePhotoDialogFragment, final PrivatePhotoPopupView privatePhotoPopupView) {
        c.c0().C0(i, new a() {
            /* class com.niming.weipa.browser.utils.AndroidInterface.AnonymousClass5 */

            /* access modifiers changed from: protected */
            @Override // com.niming.weipa.g.a
            public void onSuccess(Result result) {
                if (result.isOk()) {
                    privatePhotoPopupView.M(true);
                    privatePhotoDialogFragment.dismissAllowingStateLoss();
                    privatePhotoPopupView.getPhotosInfoModel().setIs_free_all(1);
                    privatePhotoPopupView.getPhotoViewAdapter().l();
                    return;
                }
                ToastUtils.V(result.getMessage());
            }
        });
    }

    private void photosInfo(int i) {
        c.c0().D0(i, new a() {
            /* class com.niming.weipa.browser.utils.AndroidInterface.AnonymousClass2 */

            /* access modifiers changed from: protected */
            @Override // com.niming.weipa.g.a
            public void onSuccess(Result result) {
                if (result.isOk()) {
                    AndroidInterface.this.showPhotoDialog((PhotosInfoModel) g.b(result.getData(), PhotosInfoModel.class));
                    return;
                }
                ToastUtils.V(result.getMessage());
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void photosLike(int i, final PrivatePhotoPopupView privatePhotoPopupView) {
        c.c0().E0(i, new a() {
            /* class com.niming.weipa.browser.utils.AndroidInterface.AnonymousClass4 */

            /* access modifiers changed from: protected */
            @Override // com.niming.weipa.g.a
            public void onSuccess(Result result) {
                if (result.isOk()) {
                    privatePhotoPopupView.g0(Integer.parseInt(result.getDataStr("is_like")));
                } else {
                    ToastUtils.V(result.getMessage());
                }
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showPhotoDialog(PhotosInfoModel photosInfoModel) {
        new n0(new com.niming.weipa.ui.focus_on.f0.a() {
            /* class com.niming.weipa.browser.utils.AndroidInterface.AnonymousClass3 */

            @Override // com.niming.weipa.ui.focus_on.f0.a
            public void onDisMiss() {
            }

            @Override // com.niming.weipa.ui.focus_on.f0.a
            public void onLikeClick(@NotNull PrivatePhotoPopupView privatePhotoPopupView) {
                AndroidInterface.this.photosLike(privatePhotoPopupView.getPhotosInfoModel().getId(), privatePhotoPopupView);
            }

            @Override // com.niming.weipa.ui.focus_on.f0.a
            public void onPhotosBuy(@NotNull PrivatePhotoPopupView privatePhotoPopupView, @NotNull PrivatePhotoDialogFragment privatePhotoDialogFragment) {
                AndroidInterface.this.photosBuy(privatePhotoPopupView.getPhotosInfoModel().getId(), privatePhotoDialogFragment, privatePhotoPopupView);
            }
        }).j(photosInfoModel, (Activity) this.context);
    }

    private void userSign() {
        c.c0().b2(new a() {
            /* class com.niming.weipa.browser.utils.AndroidInterface.AnonymousClass1 */

            /* access modifiers changed from: protected */
            @Override // com.niming.weipa.g.a
            public void onSuccess(Result result) {
                if (result.isOk()) {
                    SignInModel signInModel = (SignInModel) g.b(result.getData(), SignInModel.class);
                    if (signInModel != null) {
                        SignInDetailActivity.f19814a.a(AndroidInterface.this.context, signInModel);
                        return;
                    }
                    return;
                }
                ToastUtils.V(result.getMessage());
            }
        });
    }

    @JavascriptInterface
    public int getBarHeight() {
        return z0.g((float) e.k());
    }

    public String getShareText() {
        return ((AuthLoginDeviceModel) h.c().d(com.niming.weipa.c.a.i, AuthLoginDeviceModel.class)).getConfig().getSys().getShare_text();
    }

    @JavascriptInterface
    public String getUserCode() {
        return v.k().getCode();
    }

    @JavascriptInterface
    public void jumpAd(String str) {
        l.d((Activity) this.context, str, false, "web");
    }

    @JavascriptInterface
    public void jumpIntent(String str) {
        str.hashCode();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -2001805255:
                if (str.equals("bandPhone")) {
                    c2 = 0;
                    break;
                }
                break;
            case -1146830912:
                if (str.equals("business")) {
                    c2 = 1;
                    break;
                }
                break;
            case -1059508372:
                if (str.equals("myfans")) {
                    c2 = 2;
                    break;
                }
                break;
            case -182170699:
                if (str.equals("myinvite")) {
                    c2 = 3;
                    break;
                }
                break;
            case 3015911:
                if (str.equals(d.T0)) {
                    c2 = 4;
                    break;
                }
                break;
            case 3530173:
                if (str.equals("sign")) {
                    c2 = 5;
                    break;
                }
                break;
            case 109400031:
                if (str.equals(FirebaseAnalytics.a.s)) {
                    c2 = 6;
                    break;
                }
                break;
            case 883661939:
                if (str.equals("chargeDiamonds")) {
                    c2 = 7;
                    break;
                }
                break;
            case 1515385516:
                if (str.equals("myfocus")) {
                    c2 = '\b';
                    break;
                }
                break;
            case 1569767625:
                if (str.equals("chargeVip")) {
                    c2 = '\t';
                    break;
                }
                break;
            case 1984153269:
                if (str.equals(NotificationCompat.z0)) {
                    c2 = '\n';
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                LoginActivity.w0(this.context, 2);
                return;
            case 1:
                BusinessChargeActivity.start(this.context);
                return;
            case 2:
                FocusOnActivity.A0(this.context, v.k().getCode(), FocusOnActivity.I0, true, FocusOnActivity.M0);
                return;
            case 3:
                InviteRecordActivity.start(this.context);
                return;
            case 4:
                ((Activity) this.context).setResult(2223);
                ((Activity) this.context).finish();
                return;
            case 5:
                userSign();
                return;
            case 6:
                ShareActivity.newInstance(this.context, new ShareViewModel.ShareText(getShareText()));
                return;
            case 7:
                DiamondDetailActivity.f20290a.a(this.context);
                return;
            case '\b':
                FocusOnActivity.A0(this.context, v.k().getCode(), FocusOnActivity.f19920b, true, FocusOnActivity.M0);
                return;
            case '\t':
                VipDetailActivity4.f20323a.a(this.context);
                return;
            case '\n':
                FeedbackReplyActivity.f19389a.a((Activity) this.context);
                return;
            default:
                return;
        }
    }

    @JavascriptInterface
    public void jumpLabelDetail(String str, String str2) {
        try {
            DiscoverRecommendModel.DataBean dataBean = new DiscoverRecommendModel.DataBean();
            dataBean.setKeys_title(str2);
            dataBean.setKey_id(Integer.parseInt(str));
            LabelDetailAct.f19271a.a(this.context, dataBean);
        } catch (Exception unused) {
        }
    }

    @JavascriptInterface
    public void jumpPersonPage(String str) {
        VideoInfo2 videoInfo2 = new VideoInfo2();
        VideoInfo2.UserBean userBean = new VideoInfo2.UserBean();
        userBean.setCode(str);
        videoInfo2.setUser(userBean);
        PersonalHomePageActivity.f20001a.a(this.context, videoInfo2);
    }

    @JavascriptInterface
    public void jumpPrivatePhoto(String str) {
        try {
            photosInfo(Integer.parseInt(str));
        } catch (Exception unused) {
        }
    }

    @JavascriptInterface
    public void jumpVideoDetail(String str) {
        l.d((Activity) this.context, "video://" + str, false, "web");
    }

    @JavascriptInterface
    public void onClickBack() {
        ((Activity) this.context).setResult(2223);
        ((Activity) this.context).finish();
    }

    @JavascriptInterface
    public void onClickShare() {
        ShareActivity.newInstance(this.context, new ShareViewModel.ShareText(getShareText()));
    }

    @JavascriptInterface
    public void showToast(String str) {
        ToastUtils.V(str);
    }

    @JavascriptInterface
    public void showVideo(String str, String str2) {
    }
}
