package com.niming.weipa.db;

import androidx.room.Database;
import androidx.room.RoomDatabase;
import androidx.room.q1;
import com.niming.framework.base_app.BaseApplication;
import com.niming.weipa.model.MessageModel;
import com.niming.weipa.model.PostWork;
import com.niming.weipa.model.SearchHistory;
import com.niming.weipa.model.WebsiteBean;

@Database(entities = {SearchHistory.class, MessageModel.class, PostWork.class, WebsiteBean.class}, version = 1)
public abstract class AppDataBase extends RoomDatabase {
    private static AppDataBase sInstance;

    public static synchronized AppDataBase getInstance() {
        AppDataBase appDataBase;
        synchronized (AppDataBase.class) {
            if (sInstance == null) {
                sInstance = (AppDataBase) q1.a(BaseApplication.a(), AppDataBase.class, "app_dy_db").d().e();
            }
            appDataBase = sInstance;
        }
        return appDataBase;
    }

    public abstract BrowseRecordDao browseRecordDao();

    public abstract HistorySearchDao historySearchDao();

    public abstract MessageDao messageDao();

    public abstract PostWorkDao postWorkDao();
}
