package com.niming.weipa.db;

import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.Query;
import com.niming.weipa.model.SearchHistory;
import java.util.List;

@Dao
public interface HistorySearchDao {
    @Query("delete from SearchHistory where `key`=:key")
    void delete(String str);

    @Query("delete from SearchHistory")
    void deleteAll();

    @Query("select * from SearchHistory where `key`=:key")
    SearchHistory get(String str);

    @Query("select * from SearchHistory order by lastTime desc limit 10")
    List<SearchHistory> getAll();

    @Insert(onConflict = 1)
    void save(SearchHistory searchHistory);
}
