package com.niming.weipa.db;

import android.database.Cursor;
import androidx.room.RoomDatabase;
import androidx.room.c2.b;
import androidx.room.c2.c;
import androidx.room.e1;
import androidx.room.t1;
import androidx.room.y1;
import b.k.a.h;
import com.niming.weipa.model.SearchHistory;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public final class HistorySearchDao_Impl implements HistorySearchDao {
    private final RoomDatabase __db;
    private final e1<SearchHistory> __insertionAdapterOfSearchHistory;
    private final y1 __preparedStmtOfDelete;
    private final y1 __preparedStmtOfDeleteAll;

    public HistorySearchDao_Impl(RoomDatabase roomDatabase) {
        this.__db = roomDatabase;
        this.__insertionAdapterOfSearchHistory = new e1<SearchHistory>(roomDatabase) {
            /* class com.niming.weipa.db.HistorySearchDao_Impl.AnonymousClass1 */

            @Override // androidx.room.y1
            public String createQuery() {
                return "INSERT OR REPLACE INTO `SearchHistory` (`lastTime`,`key`) VALUES (?,?)";
            }

            public void bind(h hVar, SearchHistory searchHistory) {
                hVar.bindLong(1, searchHistory.getLastTime());
                if (searchHistory.getKey() == null) {
                    hVar.bindNull(2);
                } else {
                    hVar.bindString(2, searchHistory.getKey());
                }
            }
        };
        this.__preparedStmtOfDelete = new y1(roomDatabase) {
            /* class com.niming.weipa.db.HistorySearchDao_Impl.AnonymousClass2 */

            @Override // androidx.room.y1
            public String createQuery() {
                return "delete from SearchHistory where `key`=?";
            }
        };
        this.__preparedStmtOfDeleteAll = new y1(roomDatabase) {
            /* class com.niming.weipa.db.HistorySearchDao_Impl.AnonymousClass3 */

            @Override // androidx.room.y1
            public String createQuery() {
                return "delete from SearchHistory";
            }
        };
    }

    public static List<Class<?>> getRequiredConverters() {
        return Collections.emptyList();
    }

    @Override // com.niming.weipa.db.HistorySearchDao
    public void delete(String str) {
        this.__db.assertNotSuspendingTransaction();
        h acquire = this.__preparedStmtOfDelete.acquire();
        if (str == null) {
            acquire.bindNull(1);
        } else {
            acquire.bindString(1, str);
        }
        this.__db.beginTransaction();
        try {
            acquire.K();
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
            this.__preparedStmtOfDelete.release(acquire);
        }
    }

    @Override // com.niming.weipa.db.HistorySearchDao
    public void deleteAll() {
        this.__db.assertNotSuspendingTransaction();
        h acquire = this.__preparedStmtOfDeleteAll.acquire();
        this.__db.beginTransaction();
        try {
            acquire.K();
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
            this.__preparedStmtOfDeleteAll.release(acquire);
        }
    }

    @Override // com.niming.weipa.db.HistorySearchDao
    public SearchHistory get(String str) {
        t1 h = t1.h("select * from SearchHistory where `key`=?", 1);
        if (str == null) {
            h.bindNull(1);
        } else {
            h.bindString(1, str);
        }
        this.__db.assertNotSuspendingTransaction();
        SearchHistory searchHistory = null;
        String str2 = null;
        Cursor d2 = c.d(this.__db, h, false, null);
        try {
            int e2 = b.e(d2, "lastTime");
            int e3 = b.e(d2, "key");
            if (d2.moveToFirst()) {
                SearchHistory searchHistory2 = new SearchHistory();
                searchHistory2.setLastTime(d2.getLong(e2));
                if (!d2.isNull(e3)) {
                    str2 = d2.getString(e3);
                }
                searchHistory2.setKey(str2);
                searchHistory = searchHistory2;
            }
            return searchHistory;
        } finally {
            d2.close();
            h.o();
        }
    }

    @Override // com.niming.weipa.db.HistorySearchDao
    public List<SearchHistory> getAll() {
        String str;
        t1 h = t1.h("select * from SearchHistory order by lastTime desc limit 10", 0);
        this.__db.assertNotSuspendingTransaction();
        Cursor d2 = c.d(this.__db, h, false, null);
        try {
            int e2 = b.e(d2, "lastTime");
            int e3 = b.e(d2, "key");
            ArrayList arrayList = new ArrayList(d2.getCount());
            while (d2.moveToNext()) {
                SearchHistory searchHistory = new SearchHistory();
                searchHistory.setLastTime(d2.getLong(e2));
                if (d2.isNull(e3)) {
                    str = null;
                } else {
                    str = d2.getString(e3);
                }
                searchHistory.setKey(str);
                arrayList.add(searchHistory);
            }
            return arrayList;
        } finally {
            d2.close();
            h.o();
        }
    }

    @Override // com.niming.weipa.db.HistorySearchDao
    public void save(SearchHistory searchHistory) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__insertionAdapterOfSearchHistory.insert(searchHistory);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }
}
