package com.niming.weipa.db;

import android.database.Cursor;
import androidx.room.RoomDatabase;
import androidx.room.c2.b;
import androidx.room.c2.c;
import androidx.room.e1;
import androidx.room.t1;
import androidx.room.y1;
import b.k.a.h;
import com.niming.weipa.model.MessageModel;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public final class MessageDao_Impl implements MessageDao {
    private final RoomDatabase __db;
    private final e1<MessageModel> __insertionAdapterOfMessageModel;
    private final y1 __preparedStmtOfDelete;
    private final y1 __preparedStmtOfDeleteAll;

    public MessageDao_Impl(RoomDatabase roomDatabase) {
        this.__db = roomDatabase;
        this.__insertionAdapterOfMessageModel = new e1<MessageModel>(roomDatabase) {
            /* class com.niming.weipa.db.MessageDao_Impl.AnonymousClass1 */

            @Override // androidx.room.y1
            public String createQuery() {
                return "INSERT OR REPLACE INTO `MessageModel` (`id`,`userId`,`msg`,`type`,`status`,`createdAt`,`isRead`) VALUES (?,?,?,?,?,?,?)";
            }

            public void bind(h hVar, MessageModel messageModel) {
                if (messageModel.getId() == null) {
                    hVar.bindNull(1);
                } else {
                    hVar.bindString(1, messageModel.getId());
                }
                if (messageModel.getUserId() == null) {
                    hVar.bindNull(2);
                } else {
                    hVar.bindString(2, messageModel.getUserId());
                }
                if (messageModel.getMsg() == null) {
                    hVar.bindNull(3);
                } else {
                    hVar.bindString(3, messageModel.getMsg());
                }
                if (messageModel.getType() == null) {
                    hVar.bindNull(4);
                } else {
                    hVar.bindString(4, messageModel.getType());
                }
                hVar.bindLong(5, (long) messageModel.getStatus());
                hVar.bindLong(6, messageModel.getCreatedAt());
                hVar.bindLong(7, messageModel.isRead() ? 1 : 0);
            }
        };
        this.__preparedStmtOfDelete = new y1(roomDatabase) {
            /* class com.niming.weipa.db.MessageDao_Impl.AnonymousClass2 */

            @Override // androidx.room.y1
            public String createQuery() {
                return "delete from MessageModel where `id`=?";
            }
        };
        this.__preparedStmtOfDeleteAll = new y1(roomDatabase) {
            /* class com.niming.weipa.db.MessageDao_Impl.AnonymousClass3 */

            @Override // androidx.room.y1
            public String createQuery() {
                return "delete from MessageModel";
            }
        };
    }

    public static List<Class<?>> getRequiredConverters() {
        return Collections.emptyList();
    }

    @Override // com.niming.weipa.db.MessageDao
    public void delete(String str) {
        this.__db.assertNotSuspendingTransaction();
        h acquire = this.__preparedStmtOfDelete.acquire();
        if (str == null) {
            acquire.bindNull(1);
        } else {
            acquire.bindString(1, str);
        }
        this.__db.beginTransaction();
        try {
            acquire.K();
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
            this.__preparedStmtOfDelete.release(acquire);
        }
    }

    @Override // com.niming.weipa.db.MessageDao
    public void deleteAll() {
        this.__db.assertNotSuspendingTransaction();
        h acquire = this.__preparedStmtOfDeleteAll.acquire();
        this.__db.beginTransaction();
        try {
            acquire.K();
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
            this.__preparedStmtOfDeleteAll.release(acquire);
        }
    }

    @Override // com.niming.weipa.db.MessageDao
    public MessageModel get(String str) {
        String str2;
        String str3;
        String str4;
        boolean z = true;
        t1 h = t1.h("select * from MessageModel where `id`=?", 1);
        if (str == null) {
            h.bindNull(1);
        } else {
            h.bindString(1, str);
        }
        this.__db.assertNotSuspendingTransaction();
        MessageModel messageModel = null;
        String str5 = null;
        Cursor d2 = c.d(this.__db, h, false, null);
        try {
            int e2 = b.e(d2, "id");
            int e3 = b.e(d2, "userId");
            int e4 = b.e(d2, "msg");
            int e5 = b.e(d2, "type");
            int e6 = b.e(d2, "status");
            int e7 = b.e(d2, "createdAt");
            int e8 = b.e(d2, "isRead");
            if (d2.moveToFirst()) {
                MessageModel messageModel2 = new MessageModel();
                if (d2.isNull(e2)) {
                    str2 = null;
                } else {
                    str2 = d2.getString(e2);
                }
                messageModel2.setId(str2);
                if (d2.isNull(e3)) {
                    str3 = null;
                } else {
                    str3 = d2.getString(e3);
                }
                messageModel2.setUserId(str3);
                if (d2.isNull(e4)) {
                    str4 = null;
                } else {
                    str4 = d2.getString(e4);
                }
                messageModel2.setMsg(str4);
                if (!d2.isNull(e5)) {
                    str5 = d2.getString(e5);
                }
                messageModel2.setType(str5);
                messageModel2.setStatus(d2.getInt(e6));
                messageModel2.setCreatedAt(d2.getLong(e7));
                if (d2.getInt(e8) == 0) {
                    z = false;
                }
                messageModel2.setRead(z);
                messageModel = messageModel2;
            }
            return messageModel;
        } finally {
            d2.close();
            h.o();
        }
    }

    @Override // com.niming.weipa.db.MessageDao
    public List<MessageModel> getAll() {
        String str;
        String str2;
        String str3;
        String str4;
        t1 h = t1.h("select * from MessageModel order by createdAt desc", 0);
        this.__db.assertNotSuspendingTransaction();
        Cursor d2 = c.d(this.__db, h, false, null);
        try {
            int e2 = b.e(d2, "id");
            int e3 = b.e(d2, "userId");
            int e4 = b.e(d2, "msg");
            int e5 = b.e(d2, "type");
            int e6 = b.e(d2, "status");
            int e7 = b.e(d2, "createdAt");
            int e8 = b.e(d2, "isRead");
            ArrayList arrayList = new ArrayList(d2.getCount());
            while (d2.moveToNext()) {
                MessageModel messageModel = new MessageModel();
                if (d2.isNull(e2)) {
                    str = null;
                } else {
                    str = d2.getString(e2);
                }
                messageModel.setId(str);
                if (d2.isNull(e3)) {
                    str2 = null;
                } else {
                    str2 = d2.getString(e3);
                }
                messageModel.setUserId(str2);
                if (d2.isNull(e4)) {
                    str3 = null;
                } else {
                    str3 = d2.getString(e4);
                }
                messageModel.setMsg(str3);
                if (d2.isNull(e5)) {
                    str4 = null;
                } else {
                    str4 = d2.getString(e5);
                }
                messageModel.setType(str4);
                messageModel.setStatus(d2.getInt(e6));
                messageModel.setCreatedAt(d2.getLong(e7));
                messageModel.setRead(d2.getInt(e8) != 0);
                arrayList.add(messageModel);
            }
            return arrayList;
        } finally {
            d2.close();
            h.o();
        }
    }

    @Override // com.niming.weipa.db.MessageDao
    public void save(MessageModel messageModel) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__insertionAdapterOfMessageModel.insert(messageModel);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }
}
