package com.niming.weipa.db;

import android.database.Cursor;
import androidx.constraintlayout.core.motion.h.w;
import androidx.lifecycle.LiveData;
import androidx.room.RoomDatabase;
import androidx.room.c2.b;
import androidx.room.c2.c;
import androidx.room.d1;
import androidx.room.e1;
import androidx.room.t1;
import androidx.room.y1;
import b.k.a.h;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.niming.weipa.model.PostWork;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.concurrent.Callable;

public final class PostWorkDao_Impl implements PostWorkDao {
    private final RoomDatabase __db;
    private final e1<PostWork> __insertionAdapterOfPostWork;
    private final y1 __preparedStmtOfDelete;
    private final y1 __preparedStmtOfDeleteAll;
    private final y1 __preparedStmtOfDeleteByWorkId;
    private final d1<PostWork> __updateAdapterOfPostWork;

    public PostWorkDao_Impl(RoomDatabase roomDatabase) {
        this.__db = roomDatabase;
        this.__insertionAdapterOfPostWork = new e1<PostWork>(roomDatabase) {
            /* class com.niming.weipa.db.PostWorkDao_Impl.AnonymousClass1 */

            @Override // androidx.room.y1
            public String createQuery() {
                return "INSERT OR REPLACE INTO `PostWork` (`id`,`localCover`,`localVideo`,`remoteCover`,`remoteVideoPath`,`remoteVideoName`,`progress`,`coverProgress`,`videoProgress`,`coverSize`,`videoSize`,`content`,`type`,`duration`,`workId`,`status`,`topic_id`,`coins`) VALUES (nullif(?, 0),?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
            }

            public void bind(h hVar, PostWork postWork) {
                hVar.bindLong(1, postWork.getId());
                if (postWork.getLocalCover() == null) {
                    hVar.bindNull(2);
                } else {
                    hVar.bindString(2, postWork.getLocalCover());
                }
                if (postWork.getLocalVideo() == null) {
                    hVar.bindNull(3);
                } else {
                    hVar.bindString(3, postWork.getLocalVideo());
                }
                if (postWork.getRemoteCover() == null) {
                    hVar.bindNull(4);
                } else {
                    hVar.bindString(4, postWork.getRemoteCover());
                }
                if (postWork.getRemoteVideoPath() == null) {
                    hVar.bindNull(5);
                } else {
                    hVar.bindString(5, postWork.getRemoteVideoPath());
                }
                if (postWork.getRemoteVideoName() == null) {
                    hVar.bindNull(6);
                } else {
                    hVar.bindString(6, postWork.getRemoteVideoName());
                }
                hVar.bindLong(7, (long) postWork.getProgress());
                hVar.bindLong(8, (long) postWork.getCoverProgress());
                hVar.bindLong(9, (long) postWork.getVideoProgress());
                hVar.bindLong(10, postWork.getCoverSize());
                hVar.bindLong(11, postWork.getVideoSize());
                if (postWork.getContent() == null) {
                    hVar.bindNull(12);
                } else {
                    hVar.bindString(12, postWork.getContent());
                }
                if (postWork.getType() == null) {
                    hVar.bindNull(13);
                } else {
                    hVar.bindString(13, postWork.getType());
                }
                hVar.bindLong(14, postWork.getDuration());
                if (postWork.getWorkId() == null) {
                    hVar.bindNull(15);
                } else {
                    hVar.bindString(15, postWork.getWorkId());
                }
                hVar.bindLong(16, (long) postWork.getStatus());
                if (postWork.getTopic_id() == null) {
                    hVar.bindNull(17);
                } else {
                    hVar.bindString(17, postWork.getTopic_id());
                }
                hVar.bindLong(18, (long) postWork.getCoins());
            }
        };
        this.__updateAdapterOfPostWork = new d1<PostWork>(roomDatabase) {
            /* class com.niming.weipa.db.PostWorkDao_Impl.AnonymousClass2 */

            @Override // androidx.room.y1, androidx.room.d1
            public String createQuery() {
                return "UPDATE OR ABORT `PostWork` SET `id` = ?,`localCover` = ?,`localVideo` = ?,`remoteCover` = ?,`remoteVideoPath` = ?,`remoteVideoName` = ?,`progress` = ?,`coverProgress` = ?,`videoProgress` = ?,`coverSize` = ?,`videoSize` = ?,`content` = ?,`type` = ?,`duration` = ?,`workId` = ?,`status` = ?,`topic_id` = ?,`coins` = ? WHERE `id` = ?";
            }

            public void bind(h hVar, PostWork postWork) {
                hVar.bindLong(1, postWork.getId());
                if (postWork.getLocalCover() == null) {
                    hVar.bindNull(2);
                } else {
                    hVar.bindString(2, postWork.getLocalCover());
                }
                if (postWork.getLocalVideo() == null) {
                    hVar.bindNull(3);
                } else {
                    hVar.bindString(3, postWork.getLocalVideo());
                }
                if (postWork.getRemoteCover() == null) {
                    hVar.bindNull(4);
                } else {
                    hVar.bindString(4, postWork.getRemoteCover());
                }
                if (postWork.getRemoteVideoPath() == null) {
                    hVar.bindNull(5);
                } else {
                    hVar.bindString(5, postWork.getRemoteVideoPath());
                }
                if (postWork.getRemoteVideoName() == null) {
                    hVar.bindNull(6);
                } else {
                    hVar.bindString(6, postWork.getRemoteVideoName());
                }
                hVar.bindLong(7, (long) postWork.getProgress());
                hVar.bindLong(8, (long) postWork.getCoverProgress());
                hVar.bindLong(9, (long) postWork.getVideoProgress());
                hVar.bindLong(10, postWork.getCoverSize());
                hVar.bindLong(11, postWork.getVideoSize());
                if (postWork.getContent() == null) {
                    hVar.bindNull(12);
                } else {
                    hVar.bindString(12, postWork.getContent());
                }
                if (postWork.getType() == null) {
                    hVar.bindNull(13);
                } else {
                    hVar.bindString(13, postWork.getType());
                }
                hVar.bindLong(14, postWork.getDuration());
                if (postWork.getWorkId() == null) {
                    hVar.bindNull(15);
                } else {
                    hVar.bindString(15, postWork.getWorkId());
                }
                hVar.bindLong(16, (long) postWork.getStatus());
                if (postWork.getTopic_id() == null) {
                    hVar.bindNull(17);
                } else {
                    hVar.bindString(17, postWork.getTopic_id());
                }
                hVar.bindLong(18, (long) postWork.getCoins());
                hVar.bindLong(19, postWork.getId());
            }
        };
        this.__preparedStmtOfDelete = new y1(roomDatabase) {
            /* class com.niming.weipa.db.PostWorkDao_Impl.AnonymousClass3 */

            @Override // androidx.room.y1
            public String createQuery() {
                return "delete from PostWork where `id`=?";
            }
        };
        this.__preparedStmtOfDeleteByWorkId = new y1(roomDatabase) {
            /* class com.niming.weipa.db.PostWorkDao_Impl.AnonymousClass4 */

            @Override // androidx.room.y1
            public String createQuery() {
                return "delete from PostWork where `workId`=?";
            }
        };
        this.__preparedStmtOfDeleteAll = new y1(roomDatabase) {
            /* class com.niming.weipa.db.PostWorkDao_Impl.AnonymousClass5 */

            @Override // androidx.room.y1
            public String createQuery() {
                return "delete from PostWork";
            }
        };
    }

    public static List<Class<?>> getRequiredConverters() {
        return Collections.emptyList();
    }

    @Override // com.niming.weipa.db.PostWorkDao
    public void delete(long j) {
        this.__db.assertNotSuspendingTransaction();
        h acquire = this.__preparedStmtOfDelete.acquire();
        acquire.bindLong(1, j);
        this.__db.beginTransaction();
        try {
            acquire.K();
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
            this.__preparedStmtOfDelete.release(acquire);
        }
    }

    @Override // com.niming.weipa.db.PostWorkDao
    public void deleteAll() {
        this.__db.assertNotSuspendingTransaction();
        h acquire = this.__preparedStmtOfDeleteAll.acquire();
        this.__db.beginTransaction();
        try {
            acquire.K();
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
            this.__preparedStmtOfDeleteAll.release(acquire);
        }
    }

    @Override // com.niming.weipa.db.PostWorkDao
    public void deleteByWorkId(String str) {
        this.__db.assertNotSuspendingTransaction();
        h acquire = this.__preparedStmtOfDeleteByWorkId.acquire();
        if (str == null) {
            acquire.bindNull(1);
        } else {
            acquire.bindString(1, str);
        }
        this.__db.beginTransaction();
        try {
            acquire.K();
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
            this.__preparedStmtOfDeleteByWorkId.release(acquire);
        }
    }

    @Override // com.niming.weipa.db.PostWorkDao
    public PostWork get(String str) {
        t1 t1Var;
        Throwable th;
        PostWork postWork;
        String str2;
        String str3;
        String str4;
        String str5;
        String str6;
        String str7;
        String str8;
        String str9;
        String str10;
        t1 h = t1.h("select * from PostWork where `id`=?", 1);
        if (str == null) {
            h.bindNull(1);
        } else {
            h.bindString(1, str);
        }
        this.__db.assertNotSuspendingTransaction();
        Cursor d2 = c.d(this.__db, h, false, null);
        try {
            int e2 = b.e(d2, "id");
            int e3 = b.e(d2, "localCover");
            int e4 = b.e(d2, "localVideo");
            int e5 = b.e(d2, "remoteCover");
            int e6 = b.e(d2, "remoteVideoPath");
            int e7 = b.e(d2, "remoteVideoName");
            int e8 = b.e(d2, "progress");
            int e9 = b.e(d2, "coverProgress");
            int e10 = b.e(d2, "videoProgress");
            int e11 = b.e(d2, "coverSize");
            int e12 = b.e(d2, "videoSize");
            int e13 = b.e(d2, FirebaseAnalytics.b.N);
            int e14 = b.e(d2, "type");
            int e15 = b.e(d2, w.h.f1707b);
            t1Var = h;
            try {
                int e16 = b.e(d2, "workId");
                int e17 = b.e(d2, "status");
                int e18 = b.e(d2, "topic_id");
                int e19 = b.e(d2, "coins");
                if (d2.moveToFirst()) {
                    PostWork postWork2 = new PostWork();
                    postWork2.setId(d2.getLong(e2));
                    if (d2.isNull(e3)) {
                        str2 = null;
                    } else {
                        str2 = d2.getString(e3);
                    }
                    postWork2.setLocalCover(str2);
                    if (d2.isNull(e4)) {
                        str3 = null;
                    } else {
                        str3 = d2.getString(e4);
                    }
                    postWork2.setLocalVideo(str3);
                    if (d2.isNull(e5)) {
                        str4 = null;
                    } else {
                        str4 = d2.getString(e5);
                    }
                    postWork2.setRemoteCover(str4);
                    if (d2.isNull(e6)) {
                        str5 = null;
                    } else {
                        str5 = d2.getString(e6);
                    }
                    postWork2.setRemoteVideoPath(str5);
                    if (d2.isNull(e7)) {
                        str6 = null;
                    } else {
                        str6 = d2.getString(e7);
                    }
                    postWork2.setRemoteVideoName(str6);
                    postWork2.setProgress(d2.getInt(e8));
                    postWork2.setCoverProgress(d2.getInt(e9));
                    postWork2.setVideoProgress(d2.getInt(e10));
                    postWork2.setCoverSize(d2.getLong(e11));
                    postWork2.setVideoSize(d2.getLong(e12));
                    if (d2.isNull(e13)) {
                        str7 = null;
                    } else {
                        str7 = d2.getString(e13);
                    }
                    postWork2.setContent(str7);
                    if (d2.isNull(e14)) {
                        str8 = null;
                    } else {
                        str8 = d2.getString(e14);
                    }
                    postWork2.setType(str8);
                    postWork2.setDuration(d2.getLong(e15));
                    if (d2.isNull(e16)) {
                        str9 = null;
                    } else {
                        str9 = d2.getString(e16);
                    }
                    postWork2.setWorkId(str9);
                    postWork2.setStatus(d2.getInt(e17));
                    if (d2.isNull(e18)) {
                        str10 = null;
                    } else {
                        str10 = d2.getString(e18);
                    }
                    postWork2.setTopic_id(str10);
                    postWork2.setCoins(d2.getInt(e19));
                    postWork = postWork2;
                } else {
                    postWork = null;
                }
                d2.close();
                t1Var.o();
                return postWork;
            } catch (Throwable th2) {
                th = th2;
                d2.close();
                t1Var.o();
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            t1Var = h;
            d2.close();
            t1Var.o();
            throw th;
        }
    }

    @Override // com.niming.weipa.db.PostWorkDao
    public LiveData<List<PostWork>> getAllByLiveData() {
        final t1 h = t1.h("select * from PostWork order by `id` desc", 0);
        return this.__db.getInvalidationTracker().f(new String[]{"PostWork"}, false, new Callable<List<PostWork>>() {
            /* class com.niming.weipa.db.PostWorkDao_Impl.AnonymousClass6 */

            /* access modifiers changed from: protected */
            @Override // java.lang.Object
            public void finalize() {
                h.o();
            }

            @Override // java.util.concurrent.Callable
            public List<PostWork> call() throws Exception {
                String str;
                String str2;
                String str3;
                String str4;
                String str5;
                String str6;
                int i;
                String str7;
                String str8;
                String str9;
                Cursor d2 = c.d(PostWorkDao_Impl.this.__db, h, false, null);
                try {
                    int e2 = b.e(d2, "id");
                    int e3 = b.e(d2, "localCover");
                    int e4 = b.e(d2, "localVideo");
                    int e5 = b.e(d2, "remoteCover");
                    int e6 = b.e(d2, "remoteVideoPath");
                    int e7 = b.e(d2, "remoteVideoName");
                    int e8 = b.e(d2, "progress");
                    int e9 = b.e(d2, "coverProgress");
                    int e10 = b.e(d2, "videoProgress");
                    int e11 = b.e(d2, "coverSize");
                    int e12 = b.e(d2, "videoSize");
                    int e13 = b.e(d2, FirebaseAnalytics.b.N);
                    int e14 = b.e(d2, "type");
                    int e15 = b.e(d2, w.h.f1707b);
                    int e16 = b.e(d2, "workId");
                    int e17 = b.e(d2, "status");
                    int e18 = b.e(d2, "topic_id");
                    int e19 = b.e(d2, "coins");
                    int i2 = e15;
                    ArrayList arrayList = new ArrayList(d2.getCount());
                    while (d2.moveToNext()) {
                        PostWork postWork = new PostWork();
                        postWork.setId(d2.getLong(e2));
                        if (d2.isNull(e3)) {
                            str = null;
                        } else {
                            str = d2.getString(e3);
                        }
                        postWork.setLocalCover(str);
                        if (d2.isNull(e4)) {
                            str2 = null;
                        } else {
                            str2 = d2.getString(e4);
                        }
                        postWork.setLocalVideo(str2);
                        if (d2.isNull(e5)) {
                            str3 = null;
                        } else {
                            str3 = d2.getString(e5);
                        }
                        postWork.setRemoteCover(str3);
                        if (d2.isNull(e6)) {
                            str4 = null;
                        } else {
                            str4 = d2.getString(e6);
                        }
                        postWork.setRemoteVideoPath(str4);
                        if (d2.isNull(e7)) {
                            str5 = null;
                        } else {
                            str5 = d2.getString(e7);
                        }
                        postWork.setRemoteVideoName(str5);
                        postWork.setProgress(d2.getInt(e8));
                        postWork.setCoverProgress(d2.getInt(e9));
                        postWork.setVideoProgress(d2.getInt(e10));
                        postWork.setCoverSize(d2.getLong(e11));
                        postWork.setVideoSize(d2.getLong(e12));
                        e13 = e13;
                        if (d2.isNull(e13)) {
                            str6 = null;
                        } else {
                            str6 = d2.getString(e13);
                        }
                        postWork.setContent(str6);
                        e14 = e14;
                        if (d2.isNull(e14)) {
                            i = e2;
                            str7 = null;
                        } else {
                            i = e2;
                            str7 = d2.getString(e14);
                        }
                        postWork.setType(str7);
                        postWork.setDuration(d2.getLong(i2));
                        if (d2.isNull(e16)) {
                            str8 = null;
                        } else {
                            str8 = d2.getString(e16);
                        }
                        postWork.setWorkId(str8);
                        postWork.setStatus(d2.getInt(e17));
                        if (d2.isNull(e18)) {
                            e18 = e18;
                            str9 = null;
                        } else {
                            String string = d2.getString(e18);
                            e18 = e18;
                            str9 = string;
                        }
                        postWork.setTopic_id(str9);
                        postWork.setCoins(d2.getInt(e19));
                        arrayList.add(postWork);
                        e19 = e19;
                        e3 = e3;
                        e2 = i;
                        e17 = e17;
                        e5 = e5;
                        e16 = e16;
                        e4 = e4;
                        i2 = i2;
                    }
                    return arrayList;
                } finally {
                    d2.close();
                }
            }
        });
    }

    @Override // com.niming.weipa.db.PostWorkDao
    public PostWork getByWorkId(String str) {
        t1 t1Var;
        Throwable th;
        PostWork postWork;
        String str2;
        String str3;
        String str4;
        String str5;
        String str6;
        String str7;
        String str8;
        String str9;
        String str10;
        t1 h = t1.h("select * from PostWork where `workId`=?", 1);
        if (str == null) {
            h.bindNull(1);
        } else {
            h.bindString(1, str);
        }
        this.__db.assertNotSuspendingTransaction();
        Cursor d2 = c.d(this.__db, h, false, null);
        try {
            int e2 = b.e(d2, "id");
            int e3 = b.e(d2, "localCover");
            int e4 = b.e(d2, "localVideo");
            int e5 = b.e(d2, "remoteCover");
            int e6 = b.e(d2, "remoteVideoPath");
            int e7 = b.e(d2, "remoteVideoName");
            int e8 = b.e(d2, "progress");
            int e9 = b.e(d2, "coverProgress");
            int e10 = b.e(d2, "videoProgress");
            int e11 = b.e(d2, "coverSize");
            int e12 = b.e(d2, "videoSize");
            int e13 = b.e(d2, FirebaseAnalytics.b.N);
            int e14 = b.e(d2, "type");
            int e15 = b.e(d2, w.h.f1707b);
            t1Var = h;
            try {
                int e16 = b.e(d2, "workId");
                int e17 = b.e(d2, "status");
                int e18 = b.e(d2, "topic_id");
                int e19 = b.e(d2, "coins");
                if (d2.moveToFirst()) {
                    PostWork postWork2 = new PostWork();
                    postWork2.setId(d2.getLong(e2));
                    if (d2.isNull(e3)) {
                        str2 = null;
                    } else {
                        str2 = d2.getString(e3);
                    }
                    postWork2.setLocalCover(str2);
                    if (d2.isNull(e4)) {
                        str3 = null;
                    } else {
                        str3 = d2.getString(e4);
                    }
                    postWork2.setLocalVideo(str3);
                    if (d2.isNull(e5)) {
                        str4 = null;
                    } else {
                        str4 = d2.getString(e5);
                    }
                    postWork2.setRemoteCover(str4);
                    if (d2.isNull(e6)) {
                        str5 = null;
                    } else {
                        str5 = d2.getString(e6);
                    }
                    postWork2.setRemoteVideoPath(str5);
                    if (d2.isNull(e7)) {
                        str6 = null;
                    } else {
                        str6 = d2.getString(e7);
                    }
                    postWork2.setRemoteVideoName(str6);
                    postWork2.setProgress(d2.getInt(e8));
                    postWork2.setCoverProgress(d2.getInt(e9));
                    postWork2.setVideoProgress(d2.getInt(e10));
                    postWork2.setCoverSize(d2.getLong(e11));
                    postWork2.setVideoSize(d2.getLong(e12));
                    if (d2.isNull(e13)) {
                        str7 = null;
                    } else {
                        str7 = d2.getString(e13);
                    }
                    postWork2.setContent(str7);
                    if (d2.isNull(e14)) {
                        str8 = null;
                    } else {
                        str8 = d2.getString(e14);
                    }
                    postWork2.setType(str8);
                    postWork2.setDuration(d2.getLong(e15));
                    if (d2.isNull(e16)) {
                        str9 = null;
                    } else {
                        str9 = d2.getString(e16);
                    }
                    postWork2.setWorkId(str9);
                    postWork2.setStatus(d2.getInt(e17));
                    if (d2.isNull(e18)) {
                        str10 = null;
                    } else {
                        str10 = d2.getString(e18);
                    }
                    postWork2.setTopic_id(str10);
                    postWork2.setCoins(d2.getInt(e19));
                    postWork = postWork2;
                } else {
                    postWork = null;
                }
                d2.close();
                t1Var.o();
                return postWork;
            } catch (Throwable th2) {
                th = th2;
                d2.close();
                t1Var.o();
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            t1Var = h;
            d2.close();
            t1Var.o();
            throw th;
        }
    }

    @Override // com.niming.weipa.db.PostWorkDao
    public long save(PostWork postWork) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            long insertAndReturnId = this.__insertionAdapterOfPostWork.insertAndReturnId(postWork);
            this.__db.setTransactionSuccessful();
            return insertAndReturnId;
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.niming.weipa.db.PostWorkDao
    public void update(PostWork postWork) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__updateAdapterOfPostWork.handle(postWork);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }
}
