package com.niming.weipa.g;

import android.text.TextUtils;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.NetworkUtils;
import com.blankj.utilcode.util.k0;
import com.lzy.okgo.d.e;
import com.lzy.okgo.model.b;
import com.lzy.okgo.request.base.Request;
import com.niming.framework.b.g;
import com.niming.framework.basedb.d;
import com.niming.framework.net.Result;
import com.niming.weipa.model.RefreshEvent;
import com.niming.weipa.utils.k;
import okhttp3.h0;

/* compiled from: AbsHttpCallback */
public abstract class a extends e {
    private String cacheKey;
    private String cacheValue;
    private com.niming.framework.net.a loadingListener;
    private long startTime;
    private String tip;

    @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a
    public void onError(b<String> bVar) {
        super.onError(bVar);
        String str = "";
        try {
            if (k0.y(bVar.f())) {
                str = bVar.f().Q().c().a().O();
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        Result result = (Result) g.b(str, Result.class);
        if (result == null) {
            Result result2 = new Result();
            result2.setCode(-1);
            if (NetworkUtils.K()) {
                result2.setMessage("网络繁忙4");
            } else {
                result2.setMessage("检查网络链接");
            }
            onSuccess(result2);
            return;
        }
        onSuccess(result);
    }

    @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a
    public void onFinish() {
        com.niming.framework.net.a aVar;
        super.onFinish();
        System.currentTimeMillis();
        if (TextUtils.isEmpty(this.cacheValue) && (aVar = this.loadingListener) != null) {
            aVar.onNetFinish();
        }
    }

    @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a
    public void onStart(Request<String, ? extends Request> request) {
        String str;
        super.onStart(request);
        this.startTime = System.currentTimeMillis();
        if (!TextUtils.isEmpty(this.cacheKey)) {
            this.cacheValue = d.d().a(this.cacheKey);
        }
        if (TextUtils.isEmpty(this.cacheValue)) {
            com.niming.framework.net.a aVar = this.loadingListener;
            if (aVar != null && (str = this.tip) != null) {
                aVar.onNetStart(str);
                return;
            }
            return;
        }
        onSuccess((Result) g.b(this.cacheValue, Result.class));
    }

    @Override // com.lzy.okgo.d.c
    public void onSuccess(b<String> bVar) {
        h0 o0 = bVar.f().o0();
        String g = o0.g();
        Result result = (Result) g.b(bVar.a(), Result.class);
        if (!g.equals("GET") && k0.y(result)) {
            String path = o0.k().R().getPath();
            String data = result.getData();
            LogUtils.l("===decrypt resultResult:" + data);
            LogUtils.l("===decrypt resultResult urlDecode:" + data);
            if (path.endsWith("/video/user/upload") || !path.endsWith("/upload")) {
                data = k.a(data);
            }
            LogUtils.l("===decrypt:" + data);
            result.setData(data);
        }
        if (result == null) {
            Result result2 = new Result();
            result2.setCode(-1);
            result2.setMessage("网络繁忙3");
            onSuccess(result2);
            return;
        }
        if (result.getCode() == 0) {
            if (!TextUtils.isEmpty(this.cacheKey)) {
                d.d().g(this.cacheKey, result);
            }
        } else if (result.getCode() == 4999) {
            com.niming.framework.b.d.b(new RefreshEvent(24));
        } else if (result.getCode() == 403) {
            com.niming.framework.b.d.b(new RefreshEvent(5));
        }
        if (TextUtils.isEmpty(result.getData())) {
            result.setData("");
        }
        onSuccess(result);
    }

    /* access modifiers changed from: protected */
    public abstract void onSuccess(Result result);

    public a setCacheKey(String str) {
        this.cacheKey = str;
        return this;
    }

    public a setLoadingListener(com.niming.framework.net.a aVar) {
        this.loadingListener = aVar;
        return this;
    }

    public a setLoadingListener(com.niming.framework.net.a aVar, String str) {
        this.loadingListener = aVar;
        this.tip = str;
        return this;
    }
}
