package com.niming.weipa.model;

import com.google.gson.annotations.SerializedName;
import com.ibm.icu.text.NumberFormat;
import com.ibm.icu.text.PluralRules;
import java.util.Locale;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000 \n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000e\n\u0002\b\f\n\u0002\u0010\u000b\n\u0002\b\u0005\b\b\u0018\u0000 \u00162\u00020\u0001:\u0001\u0016B\u001d\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\u0006\u0010\u0004\u001a\u00020\u0005\u0012\u0006\u0010\u0006\u001a\u00020\u0003¢\u0006\u0002\u0010\u0007J\t\u0010\r\u001a\u00020\u0003HÆ\u0003J\t\u0010\u000e\u001a\u00020\u0005HÆ\u0003J\t\u0010\u000f\u001a\u00020\u0003HÆ\u0003J'\u0010\u0010\u001a\u00020\u00002\b\b\u0002\u0010\u0002\u001a\u00020\u00032\b\b\u0002\u0010\u0004\u001a\u00020\u00052\b\b\u0002\u0010\u0006\u001a\u00020\u0003HÆ\u0001J\u0013\u0010\u0011\u001a\u00020\u00122\b\u0010\u0013\u001a\u0004\u0018\u00010\u0001HÖ\u0003J\u0006\u0010\b\u001a\u00020\u0005J\u0006\u0010\f\u001a\u00020\u0005J\t\u0010\u0014\u001a\u00020\u0003HÖ\u0001J\t\u0010\u0015\u001a\u00020\u0005HÖ\u0001R\u0016\u0010\u0002\u001a\u00020\u00038\u0006X\u0004¢\u0006\b\n\u0000\u001a\u0004\b\b\u0010\tR\u0016\u0010\u0004\u001a\u00020\u00058\u0006X\u0004¢\u0006\b\n\u0000\u001a\u0004\b\n\u0010\u000bR\u0016\u0010\u0006\u001a\u00020\u00038\u0006X\u0004¢\u0006\b\n\u0000\u001a\u0004\b\f\u0010\t¨\u0006\u0017"}, d2 = {"Lcom/niming/weipa/model/CheckInRule;", "", "day", "", "prize", "", "prizeType", "(ILjava/lang/String;I)V", "getDay", "()I", "getPrize", "()Ljava/lang/String;", "getPrizeType", "component1", "component2", "component3", "copy", "equals", "", PluralRules.KEYWORD_OTHER, "hashCode", "toString", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: CheckInRule.kt */
public final class CheckInRule {
    @NotNull
    public static final Companion Companion = new Companion(null);
    @NotNull
    public static final String TAG = "CheckInRule";
    @SerializedName("day")
    private final int day;
    @SerializedName("prize")
    @NotNull
    private final String prize;
    @SerializedName("prize_type")
    private final int prizeType;

    @Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002R\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000¨\u0006\u0005"}, d2 = {"Lcom/niming/weipa/model/CheckInRule$Companion;", "", "()V", "TAG", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: CheckInRule.kt */
    public static final class Companion {
        private Companion() {
        }

        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }
    }

    public CheckInRule(int i, @NotNull String str, int i2) {
        Intrinsics.checkNotNullParameter(str, "prize");
        this.day = i;
        this.prize = str;
        this.prizeType = i2;
    }

    public static /* synthetic */ CheckInRule copy$default(CheckInRule checkInRule, int i, String str, int i2, int i3, Object obj) {
        if ((i3 & 1) != 0) {
            i = checkInRule.day;
        }
        if ((i3 & 2) != 0) {
            str = checkInRule.prize;
        }
        if ((i3 & 4) != 0) {
            i2 = checkInRule.prizeType;
        }
        return checkInRule.copy(i, str, i2);
    }

    public final int component1() {
        return this.day;
    }

    @NotNull
    public final String component2() {
        return this.prize;
    }

    public final int component3() {
        return this.prizeType;
    }

    @NotNull
    public final CheckInRule copy(int i, @NotNull String str, int i2) {
        Intrinsics.checkNotNullParameter(str, "prize");
        return new CheckInRule(i, str, i2);
    }

    public boolean equals(@Nullable Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof CheckInRule)) {
            return false;
        }
        CheckInRule checkInRule = (CheckInRule) obj;
        return this.day == checkInRule.day && Intrinsics.areEqual(this.prize, checkInRule.prize) && this.prizeType == checkInRule.prizeType;
    }

    public final int getDay() {
        return this.day;
    }

    @NotNull
    public final String getPrize() {
        return this.prize;
    }

    public final int getPrizeType() {
        return this.prizeType;
    }

    public int hashCode() {
        return (((this.day * 31) + this.prize.hashCode()) * 31) + this.prizeType;
    }

    @NotNull
    public String toString() {
        return "CheckInRule(day=" + this.day + ", prize=" + this.prize + ", prizeType=" + this.prizeType + ')';
    }

    @NotNull
    /* renamed from: getDay  reason: collision with other method in class */
    public final String m0getDay() {
        String format = NumberFormat.getInstance(new Locale("C@numbers=hans")).format(Integer.valueOf(this.day));
        Intrinsics.checkNotNullExpressionValue(format, "getInstance(Locale(\"C@numbers=hans\")).format(day)");
        return format;
    }

    @NotNull
    /* renamed from: getPrizeType  reason: collision with other method in class */
    public final String m1getPrizeType() {
        int i = this.prizeType;
        if (i == 2) {
            return Intrinsics.stringPlus(this.prize, "钻石");
        }
        if (i != 3) {
            return i != 4 ? Intrinsics.stringPlus(this.prize, "积分") : "神秘大礼包";
        }
        return Intrinsics.stringPlus(this.prize, "vip天数");
    }
}
