package com.niming.weipa.model;

import com.google.gson.annotations.SerializedName;
import com.niming.weipa.c.a;
import com.niming.weipa.ui.download.model.UserBean;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class CommunityBean implements Serializable {
    @SerializedName("ad_data")
    public List<Ad2> adList;
    @SerializedName("city")
    public String city;
    @SerializedName("comment")
    public int comment;
    @SerializedName("comment_count")
    public int commentCount;
    @SerializedName("comment_string")
    public String commentString;
    @SerializedName("cover")
    public String cover;
    @SerializedName("id")
    public int id;
    @SerializedName("images")
    public ArrayList<String> images;
    @SerializedName("intro")
    public String intro;
    @SerializedName("is_buy")
    public int isBuy;
    @SerializedName("is_collect")
    public int isCollect;
    @SerializedName("is_like")
    public int isLike;
    @SerializedName("is_owner")
    public int isOwner;
    @SerializedName("is_relation")
    public int isRelation;
    @SerializedName("like")
    public int like;
    @SerializedName("like_string")
    public String likeString;
    @SerializedName("look")
    public int look;
    @SerializedName("look_string")
    public String lookString;
    @SerializedName("posts_content")
    public CommunityBean postsInfo;
    @SerializedName("list")
    public List<CommunityBean> postsList;
    @SerializedName("posts_type_id")
    public int postsTypeId;
    @SerializedName("posts_type_info")
    public PostsTypeInfoBean postsTypeInfo;
    @SerializedName("status")
    public int status;
    @SerializedName("time_string")
    public String timeString;
    @SerializedName("title")
    public String title;
    @SerializedName("posts_type_data")
    public List<PostsTypeInfoBean> topicList;
    @SerializedName("type")
    public int type;
    @SerializedName("user_code")
    public String userCode;
    @SerializedName(a.f17711d)
    public UserBean userInfo;
    @SerializedName("video")
    public String video;
    @SerializedName("video_price")
    public int videoPrice;

    public static class PostsTypeInfoBean implements Serializable {
        @SerializedName("cover")
        public String cover;
        @SerializedName("created_at")
        public String createdAt;
        @SerializedName("id")
        public int id;
        @SerializedName("intro")
        public String intro;
        @SerializedName("is_relation")
        public int isRelation;
        public int moduleId;
        @SerializedName("posts_count")
        public int postsCount;
        @SerializedName("sort")
        public int sort;
        @SerializedName("status")
        public int status;
        @SerializedName("title")
        public String title;
        @SerializedName("total_follow")
        public int totalFollow;
        @SerializedName("total_look")
        public int totalLook;
        @SerializedName("updated_at")
        public String updatedAt;

        public boolean isFollow() {
            return this.isRelation == 1;
        }
    }

    public List<String> getImages() {
        ArrayList<String> arrayList = this.images;
        if (arrayList == null || arrayList.size() <= 3) {
            return this.images;
        }
        return this.images.subList(0, 3);
    }

    public String getOneUrl() {
        ArrayList<String> arrayList = this.images;
        return (arrayList == null || arrayList.isEmpty()) ? "" : this.images.get(0);
    }

    public int getSurplus() {
        ArrayList<String> arrayList = this.images;
        if (arrayList == null || arrayList.size() <= 3) {
            return 0;
        }
        return this.images.size() - 3;
    }

    public String getThreeUrl() {
        ArrayList<String> arrayList = this.images;
        return (arrayList == null || arrayList.size() < 3) ? "" : this.images.get(2);
    }

    public String getTwoUrl() {
        ArrayList<String> arrayList = this.images;
        return (arrayList == null || arrayList.size() < 2) ? "" : this.images.get(1);
    }
}
