package com.niming.weipa.share;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageInfo;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.provider.MediaStore;
import android.widget.Toast;
import com.hj.chen.new1126.R;
import java.util.List;
import org.nanohttpd.protocols.http.NanoHTTPD;

public class AndroidShare {
    public static int DRAWABLE = 1;
    public static int LINK = 2;
    public static int TEXT;
    private Context context;

    public AndroidShare(Context context2) {
        this.context = context2;
    }

    @SuppressLint({"NewApi"})
    private void shareMsg(String str, String str2, String str3, String str4, String str5, int i, Bitmap bitmap) {
        if (str.isEmpty() || isAvilible(this.context, str)) {
            Intent intent = new Intent("android.intent.action.SEND");
            if (i == TEXT) {
                intent.setType(NanoHTTPD.MIME_PLAINTEXT);
            } else if (i == LINK) {
                intent.setType(NanoHTTPD.MIME_HTML);
            } else if (i == DRAWABLE) {
                intent.setType("image/*");
                intent.putExtra("android.intent.extra.STREAM", Uri.parse(MediaStore.Images.Media.insertImage(this.context.getContentResolver(), bitmap, (String) null, (String) null)));
            }
            intent.putExtra("android.intent.extra.SUBJECT", str4);
            intent.putExtra("android.intent.extra.TEXT", str5);
            intent.setFlags(268435456);
            if (!str.isEmpty()) {
                intent.setPackage(str);
                this.context.startActivity(intent);
                return;
            }
            this.context.startActivity(Intent.createChooser(intent, str4));
            return;
        }
        Context context2 = this.context;
        Toast.makeText(context2, "请先安装" + str3, 0).show();
    }

    public boolean isAvilible(Context context2, String str) {
        List<PackageInfo> installedPackages = context2.getPackageManager().getInstalledPackages(0);
        for (int i = 0; i < installedPackages.size(); i++) {
            if (installedPackages.get(i).packageName.equalsIgnoreCase(str)) {
                return true;
            }
        }
        return false;
    }

    public void shareQQFriend(String str, String str2, int i, Bitmap bitmap) {
        shareMsg("com.tencent.mobileqq", "com.tencent.mobileqq.activity.JumpActivity", "QQ", str, str2, i, bitmap);
    }

    public void shareWeChatFriend(String str, String str2, int i, Bitmap bitmap) {
        shareMsg("com.tencent.mm", "com.tencent.mm.ui.tools.ShareImgUI", "微信", str, str2, i, bitmap);
    }

    public void shareWeChatFriendCircle(String str, String str2, Bitmap bitmap) {
        shareMsg("com.tencent.mm", "com.tencent.mm.ui.tools.ShareToTimeLineUI", "微信", str, str2, DRAWABLE, bitmap);
    }

    public void shareWeiBo(String str, String str2, int i, Bitmap bitmap) {
        shareMsg("com.sina.weibo", "com.sina.weibo.EditActivity", "微博", str, str2, i, bitmap);
    }

    public void sharedQQ(Activity activity, Bitmap bitmap) {
        Uri parse = Uri.parse(MediaStore.Images.Media.insertImage(activity.getContentResolver(), BitmapFactory.decodeResource(activity.getResources(), R.drawable.icon_weipa), (String) null, (String) null));
        Intent intent = new Intent("android.intent.action.SEND");
        intent.setPackage("com.tencent.mobileqq");
        intent.setType("image/*");
        intent.putExtra("android.intent.extra.STREAM", parse);
        intent.putExtra("android.intent.extra.TEXT", "您的好友邀请您进入" + activity.getString(R.string.app_name));
        intent.putExtra("android.intent.extra.TITLE", activity.getString(R.string.app_name));
        activity.startActivity(intent);
    }
}
