package com.niming.weipa.share;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.text.style.ForegroundColorSpan;
import android.view.View;
import android.widget.TextView;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import butterknife.BindView;
import butterknife.OnClick;
import com.blankj.utilcode.util.SpanUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.hj.chen.new1126.R;
import com.ibm.icu.text.DateFormat;
import com.niming.framework.b.g;
import com.niming.framework.net.Result;
import com.niming.framework.widget.TitleView;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.g.a;
import com.niming.weipa.g.c;
import com.niming.weipa.model.ShareIndexModel;
import com.niming.weipa.model.UserInfo2;
import com.niming.weipa.share.ShareItemView;
import com.niming.weipa.share.ShareViewAdapter;
import com.niming.weipa.share.ShareViewModel;
import com.niming.weipa.utils.h0;
import com.niming.weipa.utils.l;
import com.niming.weipa.utils.w0;
import java.util.ArrayList;

public class ShareActivity extends BaseActivity {
    private static final int TYPE_IMAGE = 1;
    private static final int TYPE_TEXT = 0;
    private ShareAdapter adapter;
    @BindView(R.id.recycler_view)
    RecyclerView recyclerView;
    @BindView(R.id.recyclerViewShare)
    RecyclerView recyclerViewShare;
    private ShareViewModel.ShareText shareText;
    private ShareV2Util shareUtil;
    @BindView(R.id.titleView)
    TitleView titleView;
    @BindView(R.id.tvEarnScore)
    TextView tvEarnScore;
    @BindView(R.id.tvText1)
    TextView tvText1;
    @BindView(R.id.tvText2)
    TextView tvText2;
    @BindView(R.id.tvText3)
    TextView tvText3;
    @BindView(R.id.tvText4)
    TextView tvText4;
    @BindView(R.id.tvText5)
    TextView tvText5;
    @BindView(R.id.tvTuiGuanScore)
    TextView tvTuiGuanScore;
    private int type = 0;
    private UserInfo2 userInfo;

    private String getPackName(SHARE_MEDIA share_media) {
        if (share_media == SHARE_MEDIA.QQ) {
            return "com.tencent.mobileqq";
        }
        if (share_media == SHARE_MEDIA.WEIXIN) {
            return "com.tencent.mm";
        }
        return share_media == SHARE_MEDIA.SINA ? "com.sina.weibo" : "";
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void handlerClick(SHARE_MEDIA share_media) {
        h0.a("ShareDialogFragment2", "shareIconPath = " + (w0.a() + "/shareIcon.png"));
        if (!isInstallApp(share_media)) {
            ToastUtils.V(getString(R.string.please_install_other_app));
            return;
        }
        int i = this.type;
        if (i == 0) {
            AndroidShare androidShare = new AndroidShare(this);
            if (share_media == SHARE_MEDIA.QQ) {
                androidShare.shareQQFriend(getString(R.string.app_name), this.shareText.getText(), AndroidShare.TEXT, null);
            } else if (share_media == SHARE_MEDIA.WEIXIN) {
                androidShare.shareWeChatFriend(getString(R.string.app_name), this.shareText.getText(), AndroidShare.TEXT, null);
            } else if (share_media == SHARE_MEDIA.OTHER) {
                ShareUtil.shareTextToAll(this, this.shareText.getText());
            } else if (share_media == SHARE_MEDIA.SINA) {
                androidShare.shareWeiBo(getString(R.string.app_name), this.shareText.getText(), AndroidShare.TEXT, null);
            }
        } else if (i == 1) {
            String str = w0.a() + "/shareIcon.png";
            h0.a("ShareDialogFragment2", "shareIconPath = " + str);
            ShareUtil.shareSingleImageToAll(this, str);
        }
        reportAction(FirebaseAnalytics.a.s, "");
    }

    private void initSharePlatform() {
        ArrayList arrayList = new ArrayList();
        int i = this.type;
        if (i == 0) {
            arrayList.add(SHARE_MEDIA.WEIXIN);
            arrayList.add(SHARE_MEDIA.SINA);
            arrayList.add(SHARE_MEDIA.QQ);
            arrayList.add(SHARE_MEDIA.OTHER);
            this.recyclerView.setLayoutManager(new GridLayoutManager((Context) this, 5, 1, false));
        } else if (i == 1) {
            arrayList.add(SHARE_MEDIA.WEIXIN);
            arrayList.add(SHARE_MEDIA.SINA);
            arrayList.add(SHARE_MEDIA.QQ);
            arrayList.add(SHARE_MEDIA.OTHER);
            this.recyclerView.setLayoutManager(new GridLayoutManager((Context) this, 3, 1, false));
        }
        ShareAdapter shareAdapter = new ShareAdapter(this);
        this.adapter = shareAdapter;
        shareAdapter.setShareItemViewListener(new ShareItemView.ShareItemViewListener() {
            /* class com.niming.weipa.share.ShareActivity.AnonymousClass3 */

            @Override // com.niming.weipa.share.ShareItemView.ShareItemViewListener
            public void clickCell(View view, SHARE_MEDIA share_media) {
                ShareActivity.this.handlerClick(share_media);
            }
        });
        this.recyclerView.setAdapter(this.adapter);
        this.adapter.replaceAll(arrayList);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initShareRecycler(ShareIndexModel shareIndexModel) {
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(this);
        linearLayoutManager.setOrientation(0);
        this.recyclerViewShare.setLayoutManager(linearLayoutManager);
        ShareViewAdapter shareViewAdapter = new ShareViewAdapter(this);
        this.recyclerViewShare.setAdapter(shareViewAdapter);
        shareViewAdapter.setOnClickCell(new ShareViewAdapter.OnClickCell() {
            /* class com.niming.weipa.share.ShareActivity.AnonymousClass2 */

            @Override // com.niming.weipa.share.ShareViewAdapter.OnClickCell
            public void clickCell(int i) {
                if (i == 0) {
                    ShareActivity.this.type = 0;
                } else if (i == 1) {
                    ShareActivity.this.type = 1;
                }
            }
        });
        ShareViewModel shareViewModel = new ShareViewModel(0, true, this.userInfo.getCode());
        ShareViewModel shareViewModel2 = new ShareViewModel(1, false, this.userInfo.getCode());
        ShareViewModel.ShareText shareText2 = new ShareViewModel.ShareText(getShareText());
        ShareViewModel.ShareText shareText3 = this.shareText;
        if (shareText3 != null) {
            shareText2.setText(shareText3.getText());
        }
        shareViewModel.setTextShare(shareText2);
        this.shareText = shareText2;
        shareViewModel2.setTextShare(shareText2);
        ShareViewModel.ShareImage shareImage = new ShareViewModel.ShareImage();
        shareImage.setShareVideoIntro(shareIndexModel.getContent());
        shareImage.setTopBg(shareIndexModel.getCover());
        shareViewModel2.setShareImage(shareImage);
        shareViewAdapter.add(shareViewModel);
        shareViewAdapter.add(shareViewModel2);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initText(ShareIndexModel shareIndexModel) {
        this.tvText1.setText(new SpanUtils().a("每邀請").R(new ForegroundColorSpan(getResources().getColor(R.color.color_text_white))).a(shareIndexModel.getIni_people()).R(new ForegroundColorSpan(getResources().getColor(R.color.color_bright_blue))).a("送").R(new ForegroundColorSpan(getResources().getColor(R.color.color_text_white))).a(shareIndexModel.getIni()).R(new ForegroundColorSpan(getResources().getColor(R.color.color_bright_blue))).a("會員").R(new ForegroundColorSpan(getResources().getColor(R.color.color_text_white))).a(shareIndexModel.getIni_content()).R(new ForegroundColorSpan(getResources().getColor(R.color.color_bright_blue))).a("無限觀看").R(new ForegroundColorSpan(getResources().getColor(R.color.color_text_white))).p());
        this.tvText2.setText(new SpanUtils().a("邀请好友注册，TA充值,").R(new ForegroundColorSpan(getResources().getColor(R.color.color_text_white))).a("你赚钱").R(new ForegroundColorSpan(getResources().getColor(R.color.color_bright_blue))).p());
        this.tvText3.setText(new SpanUtils().a("最高可获得").R(new ForegroundColorSpan(getResources().getColor(R.color.color_text_white))).a(shareIndexModel.getIni_cash_back()).R(new ForegroundColorSpan(getResources().getColor(R.color.color_bright_blue))).a("收益").R(new ForegroundColorSpan(getResources().getColor(R.color.color_text_white))).p());
        this.tvText4.setText(new SpanUtils().a(this.userInfo.getIs_vip().equals(DateFormat.YEAR) ? !TextUtils.isEmpty(this.userInfo.getPlay_num_notice()) ? this.userInfo.getPlay_num_notice() : "" : "你还没有开通会员").R(new ForegroundColorSpan(getResources().getColor(R.color.color_text_white))).p());
        this.tvText5.setText(new SpanUtils().a("我的邀请码：").R(new ForegroundColorSpan(getResources().getColor(R.color.color_text_white))).a(getUserInfo2().getCode()).R(new ForegroundColorSpan(getResources().getColor(R.color.color_bright_blue))).p());
    }

    private boolean isInstallApp(SHARE_MEDIA share_media) {
        if (share_media == SHARE_MEDIA.QZONE) {
            share_media = SHARE_MEDIA.QQ;
        }
        if (share_media == SHARE_MEDIA.WEIXIN_CIRCLE || share_media == SHARE_MEDIA.WEIXIN_FAVORITE) {
            share_media = SHARE_MEDIA.WEIXIN;
        }
        if (share_media == SHARE_MEDIA.OTHER) {
            return true;
        }
        return ShareUtil.isInstallApp(this, getPackName(share_media));
    }

    public static void newInstance(Context context, ShareViewModel.ShareText shareText2) {
        Intent intent = new Intent(context, ShareActivity.class);
        if (shareText2 != null) {
            intent.putExtra("shareText", shareText2);
        }
        context.startActivity(intent);
    }

    private void reportAction(String str, String str2) {
        c.c0().Q0(str, str2, new a() {
            /* class com.niming.weipa.share.ShareActivity.AnonymousClass4 */

            /* access modifiers changed from: protected */
            @Override // com.niming.weipa.g.a
            public void onSuccess(Result result) {
            }
        });
    }

    private void shareIndex() {
        c.c0().B1(new a() {
            /* class com.niming.weipa.share.ShareActivity.AnonymousClass1 */

            /* access modifiers changed from: protected */
            @Override // com.niming.weipa.g.a
            public void onSuccess(Result result) {
                if (result.isOk()) {
                    ShareIndexModel shareIndexModel = (ShareIndexModel) g.b(result.getData(), ShareIndexModel.class);
                    ShareActivity.this.initText(shareIndexModel);
                    ShareActivity.this.initShareRecycler(shareIndexModel);
                }
            }
        });
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return R.layout.activity_share;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(Bundle bundle) {
        super.initView(bundle);
        this.shareText = (ShareViewModel.ShareText) getIntent().getSerializableExtra("shareText");
        initTitle(this.titleView, "邀请贏福利");
        this.shareUtil = new ShareV2Util(this);
        this.userInfo = getUserInfo2();
        TextView textView = this.tvTuiGuanScore;
        textView.setText("推广业绩:" + this.userInfo.getBill());
        TextView textView2 = this.tvEarnScore;
        textView2.setText("收益余额:" + this.userInfo.getBalance());
        initSharePlatform();
        shareIndex();
    }

    @OnClick({R.id.clGetMoneyContainer})
    public void onMyClick(View view) {
        if (view.getId() == R.id.clGetMoneyContainer) {
            l.l(this.activity);
        }
    }
}
