package com.niming.weipa.share.widget;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.RectF;
import android.graphics.Shader;
import androidx.annotation.NonNull;
import com.bumptech.glide.c;
import com.bumptech.glide.load.engine.u;
import com.bumptech.glide.load.engine.z.e;
import com.bumptech.glide.load.i;
import com.bumptech.glide.load.resource.bitmap.g;
import java.security.MessageDigest;

public class RoundedCornersTransform implements i<Bitmap> {
    private boolean isLeftBottom;
    private boolean isLeftTop;
    private boolean isRightBotoom;
    private boolean isRightTop;
    private e mBitmapPool;
    private float radius;

    public RoundedCornersTransform(Context context, float f) {
        this.mBitmapPool = c.d(context).g();
        this.radius = f;
    }

    public void setNeedCorner(boolean z, boolean z2, boolean z3, boolean z4) {
        this.isLeftTop = z;
        this.isRightTop = z2;
        this.isLeftBottom = z3;
        this.isRightBotoom = z4;
    }

    @Override // com.bumptech.glide.load.i
    @NonNull
    public u<Bitmap> transform(@NonNull Context context, @NonNull u<Bitmap> uVar, int i, int i2) {
        int i3;
        int i4;
        Bitmap bitmap = uVar.get();
        if (i > i2) {
            float f = (float) i2;
            float f2 = (float) i;
            i3 = bitmap.getWidth();
            i4 = (int) (((float) bitmap.getWidth()) * (f / f2));
            if (i4 > bitmap.getHeight()) {
                i4 = bitmap.getHeight();
                i3 = (int) (((float) bitmap.getHeight()) * (f2 / f));
            }
        } else if (i < i2) {
            float f3 = (float) i;
            float f4 = (float) i2;
            int height = bitmap.getHeight();
            int height2 = (int) (((float) bitmap.getHeight()) * (f3 / f4));
            if (height2 > bitmap.getWidth()) {
                i3 = bitmap.getWidth();
                i4 = (int) (((float) bitmap.getWidth()) * (f4 / f3));
            } else {
                i3 = height2;
                i4 = height;
            }
        } else {
            i3 = bitmap.getHeight();
            i4 = i3;
        }
        this.radius *= ((float) i4) / ((float) i2);
        Bitmap f5 = this.mBitmapPool.f(i3, i4, Bitmap.Config.ARGB_8888);
        if (f5 == null) {
            f5 = Bitmap.createBitmap(i3, i4, Bitmap.Config.ARGB_8888);
        }
        Canvas canvas = new Canvas(f5);
        Paint paint = new Paint();
        Shader.TileMode tileMode = Shader.TileMode.CLAMP;
        BitmapShader bitmapShader = new BitmapShader(bitmap, tileMode, tileMode);
        int width = (bitmap.getWidth() - i3) / 2;
        int height3 = (bitmap.getHeight() - i4) / 2;
        if (!(width == 0 && height3 == 0)) {
            Matrix matrix = new Matrix();
            matrix.setTranslate((float) (-width), (float) (-height3));
            bitmapShader.setLocalMatrix(matrix);
        }
        paint.setShader(bitmapShader);
        paint.setAntiAlias(true);
        RectF rectF = new RectF(0.0f, 0.0f, (float) canvas.getWidth(), (float) canvas.getHeight());
        float f6 = this.radius;
        canvas.drawRoundRect(rectF, f6, f6, paint);
        if (!this.isLeftTop) {
            float f7 = this.radius;
            canvas.drawRect(0.0f, 0.0f, f7, f7, paint);
        }
        if (!this.isRightTop) {
            canvas.drawRect(((float) canvas.getWidth()) - this.radius, 0.0f, (float) canvas.getWidth(), this.radius, paint);
        }
        if (!this.isLeftBottom) {
            float f8 = this.radius;
            canvas.drawRect(0.0f, ((float) canvas.getHeight()) - f8, f8, (float) canvas.getHeight(), paint);
        }
        if (!this.isRightBotoom) {
            canvas.drawRect(((float) canvas.getWidth()) - this.radius, ((float) canvas.getHeight()) - this.radius, (float) canvas.getWidth(), (float) canvas.getHeight(), paint);
        }
        return g.e(f5, this.mBitmapPool);
    }

    @Override // com.bumptech.glide.load.c
    public void updateDiskCacheKey(@NonNull MessageDigest messageDigest) {
    }
}
