package com.niming.weipa.ui.feedback;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.IBinder;
import android.text.TextUtils;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.inputmethod.InputMethodManager;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.core.app.NotificationCompat;
import androidx.fragment.app.FragmentActivity;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import cc.shinichi.library.ImagePreview;
import com.alipay.sdk.util.j;
import com.bilibili.boxing.model.config.BoxingConfig;
import com.bilibili.boxing.model.entity.BaseMedia;
import com.bilibili.boxing_impl.ui.BoxingActivity;
import com.blankj.utilcode.util.KeyboardUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.a0;
import com.blankj.utilcode.util.k0;
import com.blankj.utilcode.util.l0;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.liulishuo.filedownloader.model.FileDownloadModel;
import com.niming.framework.net.Result;
import com.niming.framework.widget.TitleView;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.R;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.model.AuthLoginDeviceModel;
import com.niming.weipa.model.FeedBackModel;
import com.niming.weipa.model.FeedbackReplyBotModel;
import com.niming.weipa.model.LogVipOrderModel;
import com.niming.weipa.utils.h0;
import com.niming.weipa.utils.u;
import java.io.File;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Lazy;
import kotlin.LazyKt__LazyJVMKt;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import kotlin.text.StringsKt__StringsJVMKt;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
import top.zibin.luban.f;

@Metadata(d1 = {"\u0000t\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\u000b\n\u0002\b\u0004\n\u0002\u0010\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\r\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0006\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u000b\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u0000 J2\u00020\u0001:\u0001JB\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\"\u001a\u00020\u0013H\u0002J\u0010\u0010#\u001a\u00020\u000e2\u0006\u0010$\u001a\u00020%H\u0016J\b\u0010&\u001a\u00020\u0013H\u0002J\b\u0010'\u001a\u00020\u0013H\u0002J\b\u0010(\u001a\u00020\u0013H\u0002J\u001c\u0010)\u001a\b\u0012\u0004\u0012\u00020+0*2\f\u0010,\u001a\b\u0012\u0004\u0012\u00020+0*H\u0002J\b\u0010-\u001a\u00020.H\u0016J\u0010\u0010/\u001a\u00020\u000e2\u0006\u0010$\u001a\u00020%H\u0002J\b\u00100\u001a\u00020\u0013H\u0002J\b\u00101\u001a\u00020\u0013H\u0002J\b\u00102\u001a\u00020\u0013H\u0002J\u0012\u00103\u001a\u00020\u00132\b\u00104\u001a\u0004\u0018\u000105H\u0016J\u0018\u00106\u001a\u00020\u000e2\b\u00107\u001a\u0004\u0018\u0001082\u0006\u0010$\u001a\u00020%J\b\u00109\u001a\u00020\u0013H\u0002J\"\u0010:\u001a\u00020\u00132\u0006\u0010;\u001a\u00020.2\u0006\u0010<\u001a\u00020.2\b\u0010,\u001a\u0004\u0018\u00010=H\u0014J\b\u0010>\u001a\u00020\u0013H\u0016J\u0010\u0010?\u001a\u00020\u00132\u0006\u00107\u001a\u000208H\u0016J\b\u0010@\u001a\u00020\u0013H\u0014J\u0010\u0010A\u001a\u00020\u00132\u0006\u0010B\u001a\u00020\fH\u0002J\b\u0010C\u001a\u00020\u0013H\u0002J\b\u0010D\u001a\u00020\u0013H\u0002J\u0010\u0010E\u001a\u00020\u00132\u0006\u0010F\u001a\u00020\fH\u0002J\u0012\u0010G\u001a\u00020\u00132\b\u0010H\u001a\u0004\u0018\u00010IH\u0002R\u001a\u0010\u0003\u001a\u00020\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u0010\u0010\t\u001a\u0004\u0018\u00010\nX\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u000b\u001a\u00020\fX\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\r\u001a\u00020\u000eX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\r\u0010\u000f\"\u0004\b\u0010\u0010\u0011R\u0014\u0010\u0012\u001a\u00020\u00138BX\u0004¢\u0006\u0006\u001a\u0004\b\u0014\u0010\u0015R\u001d\u0010\u0016\u001a\u0004\u0018\u00010\u00178BX\u0002¢\u0006\f\n\u0004\b\u001a\u0010\u001b\u001a\u0004\b\u0018\u0010\u0019R\u001a\u0010\u001c\u001a\u00020\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001d\u0010\u0006\"\u0004\b\u001e\u0010\bR\u001a\u0010\u001f\u001a\u00020\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b \u0010\u0006\"\u0004\b!\u0010\b¨\u0006K"}, d2 = {"Lcom/niming/weipa/ui/feedback/FeedbackReplyActivity;", "Lcom/niming/weipa/base/BaseActivity;", "()V", "absHttpCallback", "Lcom/niming/weipa/net/AbsHttpCallback;", "getAbsHttpCallback", "()Lcom/niming/weipa/net/AbsHttpCallback;", "setAbsHttpCallback", "(Lcom/niming/weipa/net/AbsHttpCallback;)V", "adapter", "Lcom/niming/weipa/ui/feedback/adapter/FeedbackReplyAdapter;", "feedbackType", "", "isFirst", "", "()Z", "setFirst", "(Z)V", "netData", "", "getNetData", "()Lkotlin/Unit;", "rechargeMsg", "Lcom/niming/weipa/model/LogVipOrderModel$DataBean;", "getRechargeMsg", "()Lcom/niming/weipa/model/LogVipOrderModel$DataBean;", "rechargeMsg$delegate", "Lkotlin/Lazy;", "sendImageMsgAbsHttpCallback", "getSendImageMsgAbsHttpCallback", "setSendImageMsgAbsHttpCallback", "sendTxtMsgAbsHttpCallback", "getSendTxtMsgAbsHttpCallback", "setSendTxtMsgAbsHttpCallback", "clickPhoto", "dispatchTouchEvent", NotificationCompat.r0, "Landroid/view/MotionEvent;", "feedbackBotIndex", "feedbackGameList", "feedbackList", "filterData", "", "Lcom/niming/weipa/model/FeedBackModel$DataBean;", "data", "getViewRes", "", "handlerOtherTypeDispatchTouchEvent", "initListener", "initRecyclerview", "initUI", "initView", "savedInstanceState", "Landroid/os/Bundle;", "isShouldHideInput", "v", "Landroid/view/View;", "messageNoticeList", "onActivityResult", "requestCode", "resultCode", "Landroid/content/Intent;", "onBackPressed", "onErrorClick", "onPause", "sendImageMsg", "imageUrl", "sendRechargeMsg", "sendTxtMsg", "sendTxtMsg2", FirebaseAnalytics.b.N, "uploadImage", "baseMedia", "Lcom/bilibili/boxing/model/entity/BaseMedia;", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: FeedbackReplyActivity.kt */
public final class FeedbackReplyActivity extends BaseActivity {
    @NotNull
    public static final String I0 = "normal";
    @NotNull
    public static final String J0 = "game";
    @NotNull
    public static final String K0 = "notice";
    public static final int L0 = 111;
    public static final int M0 = 222;
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    public static final a f19389a = new a(null);

    /* renamed from: b  reason: collision with root package name */
    public static final int f19390b = 100;
    private boolean N0 = true;
    @Nullable
    private com.niming.weipa.ui.feedback.n.f O0;
    @NotNull
    private String P0 = I0;
    @NotNull
    private final Lazy Q0 = LazyKt__LazyJVMKt.lazy(new f(this));
    @NotNull
    private com.niming.weipa.g.a R0 = new g(this);
    @NotNull
    private com.niming.weipa.g.a S0 = new b(this);
    @NotNull
    private com.niming.weipa.g.a T0 = new h(this);
    @NotNull
    public Map<Integer, View> U0 = new LinkedHashMap();

    @Metadata(d1 = {"\u00004\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0003\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u000e\u0010\u000b\u001a\u00020\f2\u0006\u0010\r\u001a\u00020\u000eJ\u0018\u0010\u000b\u001a\u00020\f2\u0006\u0010\r\u001a\u00020\u000e2\b\u0010\u000f\u001a\u0004\u0018\u00010\bJ\"\u0010\u000b\u001a\u00020\f2\b\u0010\r\u001a\u0004\u0018\u00010\u00102\b\u0010\u000f\u001a\u0004\u0018\u00010\b2\u0006\u0010\u0011\u001a\u00020\u0012R\u000e\u0010\u0003\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u000e\u0010\u0006\u001a\u00020\u0004XT¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bXT¢\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\bXT¢\u0006\u0002\n\u0000R\u000e\u0010\n\u001a\u00020\bXT¢\u0006\u0002\n\u0000¨\u0006\u0013"}, d2 = {"Lcom/niming/weipa/ui/feedback/FeedbackReplyActivity$Companion;", "", "()V", "FEEDBACK_REQUEST", "", "FEEDBACK_RESULT", "REQUEST_CODE", "TYPE_FEEDBACK_GAME", "", "TYPE_FEEDBACK_NORMAL", "TYPE_FEEDBACK_NOTICE", "start", "", "activity", "Landroid/app/Activity;", "feedbackType", "Landroidx/fragment/app/FragmentActivity;", "dataBean", "Lcom/niming/weipa/model/LogVipOrderModel$DataBean;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FeedbackReplyActivity.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public final void a(@NotNull Activity activity) {
            Intrinsics.checkNotNullParameter(activity, "activity");
            Intent intent = new Intent(activity, FeedbackReplyActivity.class);
            intent.putExtra("feedbackType", FeedbackReplyActivity.I0);
            activity.startActivityForResult(intent, 111);
        }

        public final void b(@NotNull Activity activity, @Nullable String str) {
            Intrinsics.checkNotNullParameter(activity, "activity");
            Intent intent = new Intent(activity, FeedbackReplyActivity.class);
            intent.putExtra("feedbackType", str);
            activity.startActivityForResult(intent, 111);
        }

        public final void c(@Nullable FragmentActivity fragmentActivity, @Nullable String str, @NotNull LogVipOrderModel.DataBean dataBean) {
            Intrinsics.checkNotNullParameter(dataBean, "dataBean");
            Intent intent = new Intent(fragmentActivity, FeedbackReplyActivity.class);
            intent.putExtra("feedbackType", str);
            intent.putExtra("msgContent", dataBean);
            if (fragmentActivity != null) {
                fragmentActivity.startActivityForResult(intent, 111);
            }
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/feedback/FeedbackReplyActivity$absHttpCallback$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FeedbackReplyActivity.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ FeedbackReplyActivity f19391a;

        b(FeedbackReplyActivity feedbackReplyActivity) {
            this.f19391a = feedbackReplyActivity;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            List list;
            List data;
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                if (Intrinsics.areEqual(this.f19391a.P0, FeedbackReplyActivity.K0)) {
                    list = com.niming.framework.b.g.a(result.getData(), FeedBackModel.DataBean.class);
                } else {
                    list = com.niming.framework.b.g.a(result.getDataStr("data"), FeedBackModel.DataBean.class);
                }
                if (list != null) {
                    ((XRefreshLayout) this.f19391a._$_findCachedViewById(R.id.refresh_layout)).A(list.size() == 20);
                    if (((com.niming.framework.base.BaseActivity) this.f19391a).currentPage == 1) {
                        List w0 = this.f19391a.w0(list);
                        com.niming.weipa.ui.feedback.n.f fVar = this.f19391a.O0;
                        if (fVar != null) {
                            fVar.addAll(w0);
                        }
                        RecyclerView recyclerView = (RecyclerView) this.f19391a._$_findCachedViewById(R.id.recycler_view);
                        com.niming.weipa.ui.feedback.n.f fVar2 = this.f19391a.O0;
                        recyclerView.scrollToPosition(fVar2 == null ? 0 : fVar2.getItemCount() - 1);
                        if (Intrinsics.areEqual(this.f19391a.P0, FeedbackReplyActivity.I0) && this.f19391a.M0()) {
                            this.f19391a.c1(false);
                            this.f19391a.t0();
                        }
                    } else {
                        com.niming.weipa.ui.feedback.n.f fVar3 = this.f19391a.O0;
                        if (!(fVar3 == null || (data = fVar3.getData()) == null)) {
                            data.addAll(0, list);
                        }
                        com.niming.weipa.ui.feedback.n.f fVar4 = this.f19391a.O0;
                        if (fVar4 != null) {
                            fVar4.notifyItemRangeInserted(0, list.size());
                        }
                        if (k0.o(list)) {
                            FeedbackReplyActivity feedbackReplyActivity = this.f19391a;
                            ((com.niming.framework.base.BaseActivity) feedbackReplyActivity).currentPage--;
                        }
                    }
                    this.f19391a.setStatusComplete();
                } else {
                    return;
                }
            } else if (((com.niming.framework.base.BaseActivity) this.f19391a).currentPage == 1) {
                this.f19391a.setStatusNetworkError();
            } else {
                this.f19391a.setStatusComplete();
            }
            FeedbackReplyActivity feedbackReplyActivity2 = this.f19391a;
            int i = R.id.refresh_layout;
            XRefreshLayout xRefreshLayout = (XRefreshLayout) feedbackReplyActivity2._$_findCachedViewById(i);
            if (xRefreshLayout != null) {
                xRefreshLayout.H();
            }
            XRefreshLayout xRefreshLayout2 = (XRefreshLayout) this.f19391a._$_findCachedViewById(i);
            if (xRefreshLayout2 != null) {
                xRefreshLayout2.g();
            }
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/feedback/FeedbackReplyActivity$feedbackBotIndex$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FeedbackReplyActivity.kt */
    public static final class c extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ FeedbackReplyActivity f19392a;

        c(FeedbackReplyActivity feedbackReplyActivity) {
            this.f19392a = feedbackReplyActivity;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            List<FeedbackReplyBotModel> a2 = com.niming.framework.b.g.a(result.getData(), FeedbackReplyBotModel.class);
            FeedBackModel.DataBean dataBean = new FeedBackModel.DataBean();
            dataBean.setType(3);
            dataBean.setBootModel(a2);
            com.niming.weipa.ui.feedback.n.f fVar = this.f19392a.O0;
            Intrinsics.checkNotNull(fVar);
            fVar.add(dataBean);
            if (this.f19392a.z0() != null) {
                this.f19392a.Y0();
            }
            com.niming.weipa.ui.feedback.n.f fVar2 = this.f19392a.O0;
            Intrinsics.checkNotNull(fVar2);
            ((RecyclerView) this.f19392a._$_findCachedViewById(R.id.recycler_view)).scrollToPosition(fVar2.getItemCount() - 1);
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/ImageView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FeedbackReplyActivity.kt */
    public static final class d extends Lambda implements Function1<ImageView, Unit> {
        final /* synthetic */ FeedbackReplyActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(FeedbackReplyActivity feedbackReplyActivity) {
            super(1);
            this.this$0 = feedbackReplyActivity;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ImageView imageView) {
            invoke(imageView);
            return Unit.INSTANCE;
        }

        public final void invoke(ImageView imageView) {
            this.this$0.s0();
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/ImageView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FeedbackReplyActivity.kt */
    public static final class e extends Lambda implements Function1<ImageView, Unit> {
        final /* synthetic */ FeedbackReplyActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(FeedbackReplyActivity feedbackReplyActivity) {
            super(1);
            this.this$0 = feedbackReplyActivity;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ImageView imageView) {
            invoke(imageView);
            return Unit.INSTANCE;
        }

        public final void invoke(ImageView imageView) {
            this.this$0.Z0();
        }
    }

    @Metadata(d1 = {"\u0000\b\n\u0000\n\u0002\u0018\u0002\n\u0000\u0010\u0000\u001a\u0004\u0018\u00010\u0001H\n¢\u0006\u0002\b\u0002"}, d2 = {"<anonymous>", "Lcom/niming/weipa/model/LogVipOrderModel$DataBean;", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FeedbackReplyActivity.kt */
    static final class f extends Lambda implements Function0<LogVipOrderModel.DataBean> {
        final /* synthetic */ FeedbackReplyActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        f(FeedbackReplyActivity feedbackReplyActivity) {
            super(0);
            this.this$0 = feedbackReplyActivity;
        }

        @Nullable
        /* renamed from: a */
        public final LogVipOrderModel.DataBean invoke() {
            Serializable serializableExtra = this.this$0.getIntent().getSerializableExtra("msgContent");
            if (serializableExtra instanceof LogVipOrderModel.DataBean) {
                return (LogVipOrderModel.DataBean) serializableExtra;
            }
            return null;
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/feedback/FeedbackReplyActivity$sendImageMsgAbsHttpCallback$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FeedbackReplyActivity.kt */
    public static final class g extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ FeedbackReplyActivity f19393a;

        g(FeedbackReplyActivity feedbackReplyActivity) {
            this.f19393a = feedbackReplyActivity;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                FeedBackModel.DataBean dataBean = (FeedBackModel.DataBean) com.niming.framework.b.g.b(result.getData(), FeedBackModel.DataBean.class);
                com.niming.weipa.ui.feedback.n.f fVar = this.f19393a.O0;
                if (fVar != null) {
                    fVar.add(dataBean);
                }
                RecyclerView recyclerView = (RecyclerView) this.f19393a._$_findCachedViewById(R.id.recycler_view);
                com.niming.weipa.ui.feedback.n.f fVar2 = this.f19393a.O0;
                recyclerView.scrollToPosition(fVar2 == null ? 0 : fVar2.getItemCount() - 1);
            }
            this.f19393a.dismissDialog();
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/feedback/FeedbackReplyActivity$sendTxtMsgAbsHttpCallback$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FeedbackReplyActivity.kt */
    public static final class h extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ FeedbackReplyActivity f19394a;

        h(FeedbackReplyActivity feedbackReplyActivity) {
            this.f19394a = feedbackReplyActivity;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                com.niming.weipa.ui.feedback.n.f fVar = this.f19394a.O0;
                Intrinsics.checkNotNull(fVar);
                fVar.add((FeedBackModel.DataBean) com.niming.framework.b.g.b(result.getData(), FeedBackModel.DataBean.class));
                com.niming.weipa.ui.feedback.n.f fVar2 = this.f19394a.O0;
                Intrinsics.checkNotNull(fVar2);
                ((RecyclerView) this.f19394a._$_findCachedViewById(R.id.recycler_view)).scrollToPosition(fVar2.getItemCount() - 1);
                ((EditText) this.f19394a._$_findCachedViewById(R.id.et_content)).setText("");
            }
        }
    }

    @Metadata(d1 = {"\u0000\u001f\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u0003\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0016J\b\u0010\u0006\u001a\u00020\u0003H\u0016J\u0010\u0010\u0007\u001a\u00020\u00032\u0006\u0010\b\u001a\u00020\tH\u0016¨\u0006\n"}, d2 = {"com/niming/weipa/ui/feedback/FeedbackReplyActivity$uploadImage$2", "Ltop/zibin/luban/OnCompressListener;", "onError", "", "e", "", "onStart", "onSuccess", "file", "Ljava/io/File;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: FeedbackReplyActivity.kt */
    public static final class i implements top.zibin.luban.g {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ FeedbackReplyActivity f19395a;

        @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/feedback/FeedbackReplyActivity$uploadImage$2$onSuccess$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
        /* compiled from: FeedbackReplyActivity.kt */
        public static final class a extends com.niming.weipa.g.a {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ FeedbackReplyActivity f19396a;

            a(FeedbackReplyActivity feedbackReplyActivity) {
                this.f19396a = feedbackReplyActivity;
            }

            /* access modifiers changed from: protected */
            @Override // com.niming.weipa.g.a
            public void onSuccess(@NotNull Result result) {
                Intrinsics.checkNotNullParameter(result, j.f6041c);
                if (result.isOk()) {
                    String resultStr = result.getResultStr("file_path");
                    FeedbackReplyActivity feedbackReplyActivity = this.f19396a;
                    Intrinsics.checkNotNullExpressionValue(resultStr, "file_path");
                    feedbackReplyActivity.X0(resultStr);
                    return;
                }
                ToastUtils.W(result.getMessage(), new Object[0]);
                this.f19396a.dismissDialog();
            }
        }

        i(FeedbackReplyActivity feedbackReplyActivity) {
            this.f19395a = feedbackReplyActivity;
        }

        @Override // top.zibin.luban.g
        public void a() {
        }

        @Override // top.zibin.luban.g
        public void b(@NotNull Throwable th) {
            Intrinsics.checkNotNullParameter(th, "e");
            h0.a("niming", Intrinsics.stringPlus("===压缩失败", th.getLocalizedMessage()));
        }

        @Override // top.zibin.luban.g
        public void c(@NotNull File file) {
            Intrinsics.checkNotNullParameter(file, "file");
            com.niming.weipa.g.c.c0().T1(file, "feedback", new a(this.f19395a));
        }
    }

    private final boolean C0(MotionEvent motionEvent) {
        IBinder iBinder;
        if (motionEvent.getAction() == 0) {
            View currentFocus = getCurrentFocus();
            if (N0(currentFocus, motionEvent)) {
                Object systemService = getSystemService("input_method");
                Objects.requireNonNull(systemService, "null cannot be cast to non-null type android.view.inputmethod.InputMethodManager");
                InputMethodManager inputMethodManager = (InputMethodManager) systemService;
                if (currentFocus == null) {
                    iBinder = null;
                } else {
                    iBinder = currentFocus.getWindowToken();
                }
                inputMethodManager.hideSoftInputFromWindow(iBinder, 0);
            }
            return super.dispatchTouchEvent(motionEvent);
        } else if (getWindow().superDispatchTouchEvent(motionEvent)) {
            return true;
        } else {
            return onTouchEvent(motionEvent);
        }
    }

    /* access modifiers changed from: private */
    public static final void D0(FeedbackReplyActivity feedbackReplyActivity, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(feedbackReplyActivity, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        feedbackReplyActivity.currentPage++;
        feedbackReplyActivity.y0();
    }

    /* access modifiers changed from: private */
    public static final void E0(FeedbackReplyActivity feedbackReplyActivity, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(feedbackReplyActivity, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        feedbackReplyActivity.currentPage = 1;
        feedbackReplyActivity.y0();
    }

    /* access modifiers changed from: private */
    public static final boolean F0(TextView textView, int i2, KeyEvent keyEvent) {
        Intrinsics.checkNotNullParameter(textView, "v");
        return textView.getId() == com.hj.chen.new1126.R.id.iv_send;
    }

    /* access modifiers changed from: private */
    public static final boolean G0(View view, int i2, KeyEvent keyEvent) {
        Intrinsics.checkNotNullParameter(view, "v");
        return view.getId() == com.hj.chen.new1126.R.id.iv_send;
    }

    private final void H0() {
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(this.activity);
        if (!Intrinsics.areEqual(this.P0, K0)) {
            linearLayoutManager.setStackFromEnd(true);
        }
        int i2 = R.id.recycler_view;
        ((RecyclerView) _$_findCachedViewById(i2)).setLayoutManager(linearLayoutManager);
        com.niming.weipa.ui.feedback.n.f fVar = new com.niming.weipa.ui.feedback.n.f(this.activity);
        this.O0 = fVar;
        if (fVar != null) {
            fVar.s(new h(this));
        }
        com.niming.weipa.ui.feedback.n.f fVar2 = this.O0;
        if (fVar2 != null) {
            fVar2.t(new f(this));
        }
        ((RecyclerView) _$_findCachedViewById(i2)).setAdapter(this.O0);
    }

    /* access modifiers changed from: private */
    public static final void I0(FeedbackReplyActivity feedbackReplyActivity, View view, String str, int i2) {
        Intrinsics.checkNotNullParameter(feedbackReplyActivity, "this$0");
        if (TextUtils.isEmpty(str)) {
            ToastUtils.W("图片不存在呢", new Object[0]);
            return;
        }
        ImagePreview L = ImagePreview.j().C(feedbackReplyActivity.activity).L(0);
        Intrinsics.checkNotNull(str);
        L.I(str).F(true).S(false).V(500).W();
    }

    /* access modifiers changed from: private */
    public static final void J0(FeedbackReplyActivity feedbackReplyActivity, FeedbackReplyBotModel feedbackReplyBotModel) {
        Intrinsics.checkNotNullParameter(feedbackReplyActivity, "this$0");
        Intrinsics.checkNotNullParameter(feedbackReplyBotModel, com.liulishuo.filedownloader.services.f.f16553b);
        FeedBackModel.DataBean dataBean = new FeedBackModel.DataBean();
        dataBean.setType(1);
        dataBean.setTime("");
        dataBean.setRid("");
        dataBean.setAvatar(feedbackReplyActivity.getUserInfo2().getAvatar());
        dataBean.setContent(feedbackReplyBotModel.getTitle());
        com.niming.weipa.ui.feedback.n.f fVar = feedbackReplyActivity.O0;
        if (fVar != null) {
            fVar.add(dataBean);
        }
        FeedBackModel.DataBean dataBean2 = new FeedBackModel.DataBean();
        dataBean2.setType(1);
        dataBean2.setTime("");
        dataBean2.setRid("0");
        dataBean2.setAvatar("");
        dataBean2.setContent(feedbackReplyBotModel.getContent());
        com.niming.weipa.ui.feedback.n.f fVar2 = feedbackReplyActivity.O0;
        if (fVar2 != null) {
            fVar2.add(dataBean2);
        }
        com.niming.weipa.ui.feedback.n.f fVar3 = feedbackReplyActivity.O0;
        Intrinsics.checkNotNull(fVar3);
        ((RecyclerView) feedbackReplyActivity._$_findCachedViewById(R.id.recycler_view)).scrollToPosition(fVar3.getItemCount() - 1);
    }

    private final void K0() {
        if (Intrinsics.areEqual(this.P0, K0)) {
            ((TitleView) _$_findCachedViewById(R.id.title_view)).setTitle("平台通知");
        } else {
            ((TitleView) _$_findCachedViewById(R.id.title_view)).setTitle("客服中心");
            AuthLoginDeviceModel.ConfigBean.SysBean sys = ((AuthLoginDeviceModel) com.niming.framework.basedb.h.c().d(com.niming.weipa.c.a.i, AuthLoginDeviceModel.class)).getConfig().getSys();
            if (Intrinsics.areEqual(this.P0, J0)) {
                ((ConstraintLayout) _$_findCachedViewById(R.id.clBottomContainer)).setVisibility(0);
            } else if (sys.getIs_open_reply() == 1) {
                ((ConstraintLayout) _$_findCachedViewById(R.id.clBottomContainer)).setVisibility(0);
            } else {
                ((XRefreshLayout) _$_findCachedViewById(R.id.refresh_layout)).f0(false);
                ((ConstraintLayout) _$_findCachedViewById(R.id.clBottomContainer)).setVisibility(8);
            }
        }
        ((TitleView) _$_findCachedViewById(R.id.title_view)).getBackLayout().setOnClickListener(new i(this));
    }

    /* access modifiers changed from: private */
    public static final void L0(FeedbackReplyActivity feedbackReplyActivity, View view) {
        Intrinsics.checkNotNullParameter(feedbackReplyActivity, "this$0");
        feedbackReplyActivity.onBackPressed();
    }

    private final void W0() {
        com.niming.weipa.g.c.c0().w0(this.currentPage, this.S0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void X0(String str) {
        if (!TextUtils.isEmpty(str)) {
            showDialog("发送消息中");
            if (Intrinsics.areEqual(this.P0, J0)) {
                com.niming.weipa.g.c.c0().w(str, this.R0);
            } else if (Intrinsics.areEqual(this.P0, I0)) {
                com.niming.weipa.g.c.c0().u(str, this.R0);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void Y0() {
        StringBuilder sb = new StringBuilder();
        sb.append("你好，付款了，充值未到账\\n充值内容：");
        LogVipOrderModel.DataBean z0 = z0();
        String str = null;
        sb.append((Object) (z0 == null ? null : z0.getVip_title()));
        sb.append("\\n充值方式：");
        LogVipOrderModel.DataBean z02 = z0();
        sb.append((Object) (z02 == null ? null : z02.getPay_type()));
        sb.append("\\n订单编号：");
        LogVipOrderModel.DataBean z03 = z0();
        sb.append((Object) (z03 == null ? null : z03.getOrder_sn()));
        sb.append("\\n交易时间：");
        LogVipOrderModel.DataBean z04 = z0();
        if (z04 != null) {
            str = z04.getCreated_at();
        }
        sb.append((Object) str);
        a1(sb.toString());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void Z0() {
        a1(((EditText) _$_findCachedViewById(R.id.et_content)).getText().toString());
    }

    private final void a1(String str) {
        KeyboardUtils.s((EditText) _$_findCachedViewById(R.id.et_content));
        if (!TextUtils.isEmpty(str)) {
            if (Intrinsics.areEqual(this.P0, J0)) {
                com.niming.weipa.g.c.c0().x(str, this.T0);
            } else if (Intrinsics.areEqual(this.P0, I0)) {
                com.niming.weipa.g.c.c0().v(str, this.T0);
            }
        }
    }

    private final void f1(BaseMedia baseMedia) {
        String str;
        showDialog("上传图片中");
        String str2 = l0.h() + ((Object) File.separator) + "compress";
        a0.l(str2);
        f.b n = top.zibin.luban.f.n(this);
        if (baseMedia == null) {
            str = null;
        } else {
            str = baseMedia.getPath();
        }
        n.p(str).l(100).w(str2).i(g.f19403a).t(new i(this)).m();
    }

    /* access modifiers changed from: private */
    public static final boolean g1(String str) {
        Intrinsics.checkNotNullParameter(str, FileDownloadModel.K0);
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        String lowerCase = str.toLowerCase();
        Intrinsics.checkNotNullExpressionValue(lowerCase, "this as java.lang.String).toLowerCase()");
        return !(StringsKt__StringsJVMKt.endsWith$default(lowerCase, ".gif", false, 2, null));
    }

    private final void initListener() {
        int i2 = R.id.refresh_layout;
        ((XRefreshLayout) _$_findCachedViewById(i2)).h0(new m(this));
        ((XRefreshLayout) _$_findCachedViewById(i2)).O(new l(this));
        int i3 = R.id.et_content;
        ((EditText) _$_findCachedViewById(i3)).setOnEditorActionListener(j.f19406a);
        ((EditText) _$_findCachedViewById(i3)).setOnKeyListener(k.f19407a);
        u.f((ImageView) _$_findCachedViewById(R.id.iv_photo), 0, new d(this), 1, null);
        u.f((ImageView) _$_findCachedViewById(R.id.iv_send), 0, new e(this), 1, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void s0() {
        BoxingConfig boxingConfig = new BoxingConfig(BoxingConfig.Mode.SINGLE_IMG);
        boxingConfig.F(com.hj.chen.new1126.R.drawable.icon_img_placeholder).A(com.hj.chen.new1126.R.drawable.icon_img_placeholder);
        com.bilibili.boxing.b.f(boxingConfig).o(this.activity, BoxingActivity.class).i(this.activity, 100);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void t0() {
        com.niming.weipa.g.c.c0().t(new c(this));
    }

    private final void u0() {
        com.niming.weipa.g.c.c0().y(this.currentPage, this.S0);
    }

    private final void v0() {
        com.niming.weipa.g.c.c0().z(this.currentPage, this.S0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final List<FeedBackModel.DataBean> w0(List<? extends FeedBackModel.DataBean> list) {
        ArrayList arrayList = new ArrayList();
        for (FeedBackModel.DataBean dataBean : list) {
            if (Intrinsics.areEqual(this.P0, K0)) {
                dataBean.setType(4);
                dataBean.setRid("0");
            }
            com.niming.weipa.ui.feedback.n.f fVar = this.O0;
            Intrinsics.checkNotNull(fVar);
            if (!fVar.getData().contains(dataBean)) {
                arrayList.add(dataBean);
            }
        }
        return arrayList;
    }

    private final Unit y0() {
        String str = this.P0;
        int hashCode = str.hashCode();
        if (hashCode != -1039745817) {
            if (hashCode != -1039690024) {
                if (hashCode == 3165170 && str.equals(J0)) {
                    u0();
                }
            } else if (str.equals(K0)) {
                W0();
            }
        } else if (str.equals(I0)) {
            v0();
        }
        return Unit.INSTANCE;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final LogVipOrderModel.DataBean z0() {
        return (LogVipOrderModel.DataBean) this.Q0.getValue();
    }

    @NotNull
    public final com.niming.weipa.g.a A0() {
        return this.R0;
    }

    @NotNull
    public final com.niming.weipa.g.a B0() {
        return this.T0;
    }

    public final boolean M0() {
        return this.N0;
    }

    public final boolean N0(@Nullable View view, @NotNull MotionEvent motionEvent) {
        Intrinsics.checkNotNullParameter(motionEvent, NotificationCompat.r0);
        if (view == null || !(view instanceof EditText)) {
            return false;
        }
        int[] iArr = {0, 0};
        EditText editText = (EditText) view;
        editText.getLocationInWindow(iArr);
        int i2 = iArr[0];
        int i3 = iArr[1];
        int height = editText.getHeight() + i3;
        int width = editText.getWidth() + i2;
        if (motionEvent.getX() > ((float) i2) && motionEvent.getX() < ((float) width) && motionEvent.getY() > ((float) i3) && motionEvent.getY() < ((float) height)) {
            return false;
        }
        editText.setFocusable(false);
        editText.setFocusableInTouchMode(true);
        return true;
    }

    @Override // com.niming.weipa.base.BaseActivity
    public void _$_clearFindViewByIdCache() {
        this.U0.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity
    @Nullable
    public View _$_findCachedViewById(int i2) {
        Map<Integer, View> map = this.U0;
        View view = map.get(Integer.valueOf(i2));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i2);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i2), findViewById);
        return findViewById;
    }

    public final void b1(@NotNull com.niming.weipa.g.a aVar) {
        Intrinsics.checkNotNullParameter(aVar, "<set-?>");
        this.S0 = aVar;
    }

    public final void c1(boolean z) {
        this.N0 = z;
    }

    public final void d1(@NotNull com.niming.weipa.g.a aVar) {
        Intrinsics.checkNotNullParameter(aVar, "<set-?>");
        this.R0 = aVar;
    }

    @Override // com.niming.weipa.base.BaseActivity
    public boolean dispatchTouchEvent(@NotNull MotionEvent motionEvent) {
        Intrinsics.checkNotNullParameter(motionEvent, NotificationCompat.r0);
        int[] iArr = {0, 0};
        int i2 = R.id.iv_send;
        ((ImageView) _$_findCachedViewById(i2)).getLocationInWindow(iArr);
        int i3 = iArr[0];
        int i4 = iArr[1];
        int height = ((ImageView) _$_findCachedViewById(i2)).getHeight() + i4;
        int width = ((ImageView) _$_findCachedViewById(i2)).getWidth() + i3;
        int x = (int) motionEvent.getX();
        int y = (int) motionEvent.getY();
        if (!(i3 + 1 <= x && x < width) || y <= i4 || y >= height) {
            C0(motionEvent);
            return false;
        } else if (getWindow().superDispatchTouchEvent(motionEvent)) {
            return true;
        } else {
            return onTouchEvent(motionEvent);
        }
    }

    public final void e1(@NotNull com.niming.weipa.g.a aVar) {
        Intrinsics.checkNotNullParameter(aVar, "<set-?>");
        this.T0 = aVar;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.activity_feedback_reply;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        super.initView(bundle);
        String stringExtra = getIntent().getStringExtra("feedbackType");
        Intrinsics.checkNotNullExpressionValue(stringExtra, "intent.getStringExtra(\"feedbackType\")");
        this.P0 = stringExtra;
        K0();
        H0();
        initListener();
        setStatusLoading((LinearLayout) _$_findCachedViewById(R.id.ll_content));
        y0();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i2, int i3, @Nullable Intent intent) {
        super.onActivityResult(i2, i3, intent);
        if (i2 == 100) {
            ArrayList<BaseMedia> c2 = com.bilibili.boxing.b.c(intent);
            if (!k0.o(c2)) {
                Intrinsics.checkNotNull(c2);
                f1(c2.get(0));
            }
        }
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        setResult(222);
        finish();
    }

    @Override // com.smartcity.commonbase.widget.pagestatus.f, com.niming.framework.base.BaseActivity
    public void onErrorClick(@NotNull View view) {
        Intrinsics.checkNotNullParameter(view, "v");
        this.currentPage = 1;
        setStatusLoading((LinearLayout) _$_findCachedViewById(R.id.ll_content));
        y0();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.FragmentActivity
    public void onPause() {
        super.onPause();
        KeyboardUtils.k((EditText) _$_findCachedViewById(R.id.et_content));
    }

    @NotNull
    public final com.niming.weipa.g.a x0() {
        return this.S0;
    }
}
