package com.niming.weipa.ui.game;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.text.style.ForegroundColorSpan;
import android.view.View;
import android.widget.TextView;
import androidx.core.app.NotificationCompat;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.SpanUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.z0;
import com.ibm.icu.text.DateFormat;
import com.monter.alipay.a;
import com.niming.framework.net.Result;
import com.niming.framework.widget.TitleView;
import com.niming.weipa.R;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.model.BuyVipModel;
import com.niming.weipa.model.VipListsModel;
import com.niming.weipa.ui.feedback.FeedbackReplyActivity;
import com.niming.weipa.ui.mediaLibrary.y;
import com.niming.weipa.ui.vip.DiamondDetailDetailActivity;
import com.niming.weipa.ui.vip.PayWaitingActivity;
import com.niming.weipa.ui.vip.VipBuyRecordActivity;
import com.niming.weipa.ui.vip.u.j;
import com.niming.weipa.ui.vip.widget.PayTypeView;
import com.niming.weipa.update.NoticeAppDialogFragment;
import com.niming.weipa.utils.l;
import com.niming.weipa.utils.u;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import kotlin.text.StringsKt__StringsJVMKt;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000J\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0006\u0018\u0000 ,2\u00020\u0001:\u0001,B\u0005¢\u0006\u0002\u0010\u0002J\u0018\u0010\u0015\u001a\u00020\u00162\u0006\u0010\u0017\u001a\u00020\u00182\u0006\u0010\u0019\u001a\u00020\nH\u0002J\u001c\u0010\u001a\u001a\u0004\u0018\u00010\n2\b\u0010\u001b\u001a\u0004\u0018\u00010\n2\b\u0010\u001c\u001a\u0004\u0018\u00010\nJ\b\u0010\u001d\u001a\u00020\u001eH\u0016J\u0006\u0010\u001f\u001a\u00020\u0016J\b\u0010 \u001a\u00020\u0016H\u0002J\u0012\u0010!\u001a\u00020\u00162\b\u0010\"\u001a\u0004\u0018\u00010#H\u0016J\u0010\u0010$\u001a\u00020\u00162\u0006\u0010\u000f\u001a\u00020\u0010H\u0002J\u0012\u0010%\u001a\u00020\u00162\b\u0010&\u001a\u0004\u0018\u00010'H\u0016J\u0010\u0010(\u001a\u00020\u00162\u0006\u0010)\u001a\u00020\nH\u0002J\u0010\u0010*\u001a\u00020\u00162\u0006\u0010\u0017\u001a\u00020\u0018H\u0002J\u0006\u0010+\u001a\u00020\u0016R\u001a\u0010\u0003\u001a\u00020\u0004X.¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u001a\u0010\t\u001a\u00020\nX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u000b\u0010\f\"\u0004\b\r\u0010\u000eR\u001c\u0010\u000f\u001a\u0004\u0018\u00010\u0010X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0011\u0010\u0012\"\u0004\b\u0013\u0010\u0014¨\u0006-"}, d2 = {"Lcom/niming/weipa/ui/game/MyWalterActivity;", "Lcom/niming/weipa/base/BaseActivity;", "()V", "adapter", "Lcom/niming/weipa/ui/vip/adapter/MyWalterAdapter;", "getAdapter", "()Lcom/niming/weipa/ui/vip/adapter/MyWalterAdapter;", "setAdapter", "(Lcom/niming/weipa/ui/vip/adapter/MyWalterAdapter;)V", "balance", "", "getBalance", "()Ljava/lang/String;", "setBalance", "(Ljava/lang/String;)V", "buyVipModel", "Lcom/niming/weipa/model/BuyVipModel;", "getBuyVipModel", "()Lcom/niming/weipa/model/BuyVipModel;", "setBuyVipModel", "(Lcom/niming/weipa/model/BuyVipModel;)V", "buy", "", "data", "Lcom/niming/weipa/model/VipListsModel;", "paymentId", "getSubUtilSimple", "soap", "rgex", "getViewRes", "", "initListener", "initRecyclerView", "initView", "savedInstanceState", "Landroid/os/Bundle;", "intentPayWait", "onErrorClick", "v", "Landroid/view/View;", "showErrorPay", NotificationCompat.w0, "showRechargeDialog", "vipLists", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: MyWalterActivity.kt */
public final class MyWalterActivity extends BaseActivity {
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    public static final a f19657a = new a(null);
    @Nullable
    private BuyVipModel I0;
    @NotNull
    private String J0 = "0";
    @NotNull
    public Map<Integer, View> K0 = new LinkedHashMap();

    /* renamed from: b  reason: collision with root package name */
    public j f19658b;

    @Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0016\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u0007\u001a\u00020\b¨\u0006\t"}, d2 = {"Lcom/niming/weipa/ui/game/MyWalterActivity$Companion;", "", "()V", "start", "", "context", "Landroid/content/Context;", "balance", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MyWalterActivity.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public final void a(@NotNull Context context, @NotNull String str) {
            Intrinsics.checkNotNullParameter(context, "context");
            Intrinsics.checkNotNullParameter(str, "balance");
            Intent intent = new Intent(context, MyWalterActivity.class);
            intent.putExtra("balance", str);
            context.startActivity(intent);
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/game/MyWalterActivity$buy$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MyWalterActivity.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ MyWalterActivity f19659a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ VipListsModel f19660b;

        @Metadata(d1 = {"\u0000\u0015\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\u0010\u000e\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0012\u0010\u0002\u001a\u00020\u00032\b\u0010\u0002\u001a\u0004\u0018\u00010\u0004H\u0016¨\u0006\u0005"}, d2 = {"com/niming/weipa/ui/game/MyWalterActivity$buy$1$onSuccess$2", "Lcom/monter/alipay/AlipayManager$Result;", com.alipay.sdk.util.j.f6041c, "", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
        /* compiled from: MyWalterActivity.kt */
        public static final class a implements a.b {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ MyWalterActivity f19661a;

            a(MyWalterActivity myWalterActivity) {
                this.f19661a = myWalterActivity;
            }

            @Override // com.monter.alipay.a.b
            public void a(@Nullable String str) {
                Object[] objArr = new Object[1];
                BuyVipModel o0 = this.f19661a.o0();
                objArr[0] = Intrinsics.stringPlus("buyVipModel.link = ", o0 == null ? null : o0.getLink());
                LogUtils.l(objArr);
                if (StringsKt__StringsJVMKt.equals$default(this.f19661a.p0(str, "resultStatus=\\{(.+?)\\}"), "9000", false, 2, null)) {
                    ToastUtils.S("支付成功，尽情玩耍吧！", new Object[0]);
                } else {
                    ToastUtils.S("支付未完成", new Object[0]);
                }
            }
        }

        b(MyWalterActivity myWalterActivity, VipListsModel vipListsModel) {
            this.f19659a = myWalterActivity;
            this.f19660b = vipListsModel;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f19659a.dismissDialog();
            ((TextView) this.f19659a._$_findCachedViewById(R.id.tvMakeSure)).setEnabled(true);
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, com.alipay.sdk.util.j.f6041c);
            if (result.isOk()) {
                this.f19659a.y0((BuyVipModel) com.niming.framework.b.g.b(result.getData(), BuyVipModel.class));
                BuyVipModel o0 = this.f19659a.o0();
                if (o0 != null) {
                    o0.setPrice(this.f19660b.getPrice().toString());
                }
                Object[] objArr = new Object[1];
                BuyVipModel o02 = this.f19659a.o0();
                String str = null;
                objArr[0] = Intrinsics.stringPlus("buyVipModel.type = ", o02 == null ? null : o02.getType());
                LogUtils.l(objArr);
                Object[] objArr2 = new Object[1];
                BuyVipModel o03 = this.f19659a.o0();
                objArr2[0] = Intrinsics.stringPlus("buyVipModel.link = ", o03 == null ? null : o03.getLink());
                LogUtils.l(objArr2);
                BuyVipModel o04 = this.f19659a.o0();
                String type = o04 == null ? null : o04.getType();
                if (type != null) {
                    int hashCode = type.hashCode();
                    if (hashCode != -1414960566) {
                        if (hashCode != -791770330) {
                            if (hashCode == 116079 && type.equals("url")) {
                                BuyVipModel o05 = this.f19659a.o0();
                                if (Intrinsics.areEqual(o05 == null ? null : o05.getJump(), DateFormat.YEAR)) {
                                    try {
                                        if (this.f19659a.o0() != null) {
                                            MyWalterActivity myWalterActivity = this.f19659a;
                                            BuyVipModel o06 = myWalterActivity.o0();
                                            Intrinsics.checkNotNull(o06);
                                            myWalterActivity.t0(o06);
                                        }
                                        BuyVipModel o07 = this.f19659a.o0();
                                        if (o07 != null) {
                                            str = o07.getLink();
                                        }
                                        this.f19659a.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(str)));
                                    } catch (Exception unused) {
                                    }
                                } else {
                                    ToastUtils.W("购买成功 - -", new Object[0]);
                                    this.f19659a.finish();
                                }
                            }
                        } else if (type.equals("wechat")) {
                            ToastUtils.W("尚未开通", new Object[0]);
                        }
                    } else if (type.equals("alipay")) {
                        com.monter.alipay.a a2 = com.monter.alipay.a.a();
                        BuyVipModel o08 = this.f19659a.o0();
                        if (o08 != null) {
                            str = o08.getLink();
                        }
                        a2.b(str, ((com.niming.framework.base.BaseActivity) this.f19659a).activity, new a(this.f19659a));
                    }
                }
            } else {
                MyWalterActivity myWalterActivity2 = this.f19659a;
                String message = result.getMessage();
                Intrinsics.checkNotNullExpressionValue(message, "result.message");
                myWalterActivity2.z0(message);
            }
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MyWalterActivity.kt */
    public static final class c extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ MyWalterActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(MyWalterActivity myWalterActivity) {
            super(1);
            this.this$0 = myWalterActivity;
        }

        public final void a(TextView textView) {
            FeedbackReplyActivity.a aVar = FeedbackReplyActivity.f19389a;
            Activity activity = ((com.niming.framework.base.BaseActivity) this.this$0).activity;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MyWalterActivity.kt */
    public static final class d extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ MyWalterActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(MyWalterActivity myWalterActivity) {
            super(1);
            this.this$0 = myWalterActivity;
        }

        public final void a(TextView textView) {
            DiamondDetailDetailActivity.a aVar = DiamondDetailDetailActivity.f20300a;
            Activity activity = ((com.niming.framework.base.BaseActivity) this.this$0).activity;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.d(activity, aVar.b());
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/TextView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MyWalterActivity.kt */
    public static final class e extends Lambda implements Function1<TextView, Unit> {
        final /* synthetic */ MyWalterActivity this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(MyWalterActivity myWalterActivity) {
            super(1);
            this.this$0 = myWalterActivity;
        }

        public final void a(TextView textView) {
            l.f20570a.m(((com.niming.framework.base.BaseActivity) this.this$0).activity, this.this$0.n0());
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(TextView textView) {
            a(textView);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\u0013\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\b\u0010\u0004\u001a\u00020\u0003H\u0016¨\u0006\u0005"}, d2 = {"com/niming/weipa/ui/game/MyWalterActivity$showErrorPay$1", "Lcom/niming/weipa/update/NoticeAppDialogFragment$NoticeAppDialogFragmentListener;", "clickClose", "", "clickSure", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MyWalterActivity.kt */
    public static final class f implements NoticeAppDialogFragment.a {
        f() {
        }

        @Override // com.niming.weipa.update.NoticeAppDialogFragment.a
        public void a() {
        }

        @Override // com.niming.weipa.update.NoticeAppDialogFragment.a
        public void b() {
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0016¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/game/MyWalterActivity$showRechargeDialog$1", "Lcom/niming/weipa/ui/mediaLibrary/RechargeDialog$OnChoosePayType;", "onChose", "", "paymentBean", "Lcom/niming/weipa/model/VipListsModel$PaymentBean;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MyWalterActivity.kt */
    public static final class g implements y.b {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ MyWalterActivity f19662a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ VipListsModel f19663b;

        g(MyWalterActivity myWalterActivity, VipListsModel vipListsModel) {
            this.f19662a = myWalterActivity;
            this.f19663b = vipListsModel;
        }

        @Override // com.niming.weipa.ui.mediaLibrary.y.b
        public void a(@NotNull VipListsModel.PaymentBean paymentBean) {
            Intrinsics.checkNotNullParameter(paymentBean, "paymentBean");
            MyWalterActivity myWalterActivity = this.f19662a;
            VipListsModel vipListsModel = this.f19663b;
            String id = paymentBean.getId();
            Intrinsics.checkNotNullExpressionValue(id, "paymentBean.id");
            myWalterActivity.l0(vipListsModel, id);
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/game/MyWalterActivity$vipLists$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", com.alipay.sdk.util.j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MyWalterActivity.kt */
    public static final class h extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ MyWalterActivity f19664a;

        h(MyWalterActivity myWalterActivity) {
            this.f19664a = myWalterActivity;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f19664a.setStatusComplete();
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, com.alipay.sdk.util.j.f6041c);
            if (result.isOk()) {
                List<VipListsModel> a2 = com.niming.framework.b.g.a(result.getData(), VipListsModel.class);
                if (a2.size() > 0) {
                    ((VipListsModel) a2.get(0)).setSelected(true);
                }
                this.f19664a.m0().addAll(a2);
                Intrinsics.checkNotNullExpressionValue(a2, "vipListsModel");
                MyWalterActivity myWalterActivity = this.f19664a;
                for (VipListsModel vipListsModel : a2) {
                    if (vipListsModel.isSelected()) {
                        ((PayTypeView) myWalterActivity._$_findCachedViewById(R.id.pay_type_view)).setData(vipListsModel.getPayment());
                    }
                }
                return;
            }
            this.f19664a.setStatusNetworkError();
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    private final void A0(VipListsModel vipListsModel) {
        y b2 = y.a.b(y.f19878b, vipListsModel, 0, 2, null);
        b2.show(getSupportFragmentManager(), "DeleteAllDialog");
        b2.V(new g(this, vipListsModel));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void l0(VipListsModel vipListsModel, String str) {
        showDialog("加载中..");
        ((TextView) _$_findCachedViewById(R.id.tvMakeSure)).setEnabled(false);
        com.niming.weipa.g.c c0 = com.niming.weipa.g.c.c0();
        String price = vipListsModel.getPrice();
        Intrinsics.checkNotNullExpressionValue(price, "data.price");
        c0.f(Integer.parseInt(price), vipListsModel.getId(), str, 4, new b(this, vipListsModel));
    }

    private final void q0() {
        w0(new j(this));
        int i = R.id.recyclerView;
        ((RecyclerView) _$_findCachedViewById(i)).setAdapter(m0());
        ((RecyclerView) _$_findCachedViewById(i)).setLayoutManager(new GridLayoutManager(this.activity, 3));
        com.niming.weipa.widget.j jVar = new com.niming.weipa.widget.j(z0.b(10.0f));
        jVar.d(false);
        jVar.f(true);
        ((RecyclerView) _$_findCachedViewById(i)).addItemDecoration(jVar);
        m0().setOnItemClickListener(new e(this));
    }

    /* access modifiers changed from: private */
    public static final void r0(MyWalterActivity myWalterActivity, int i, int i2, int i3) {
        Intrinsics.checkNotNullParameter(myWalterActivity, "this$0");
        if (!com.niming.framework.b.b.a().c()) {
            myWalterActivity.m0().notifyDataSetHasChanged();
            Object obj = myWalterActivity.m0().getData().get(i);
            Intrinsics.checkNotNullExpressionValue(obj, "adapter.data[position]");
            myWalterActivity.A0((VipListsModel) obj);
        }
    }

    /* access modifiers changed from: private */
    public static final void s0(MyWalterActivity myWalterActivity, View view) {
        Intrinsics.checkNotNullParameter(myWalterActivity, "this$0");
        VipBuyRecordActivity.r0(myWalterActivity.activity, VipBuyRecordActivity.f20320b);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void t0(BuyVipModel buyVipModel) {
        PayWaitingActivity.a aVar = PayWaitingActivity.f20312a;
        Activity activity = this.activity;
        Intrinsics.checkNotNullExpressionValue(activity, "activity");
        aVar.a(activity, buyVipModel);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void z0(String str) {
        NoticeAppDialogFragment a0 = NoticeAppDialogFragment.a0(str, "好的");
        a0.b0(new f());
        a0.f0(this.activity);
    }

    public final void B0() {
        setStatusLoading((RecyclerView) _$_findCachedViewById(R.id.recyclerView));
        com.niming.weipa.g.c.c0().Z(new h(this));
    }

    @Override // com.niming.weipa.base.BaseActivity
    public void _$_clearFindViewByIdCache() {
        this.K0.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity
    @Nullable
    public View _$_findCachedViewById(int i) {
        Map<Integer, View> map = this.K0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.activity_my_walter;
    }

    public final void initListener() {
        u.f((TextView) _$_findCachedViewById(R.id.tvContactFeedback), 0, new c(this), 1, null);
        u.f((TextView) _$_findCachedViewById(R.id.tvBalanceDetail), 0, new d(this), 1, null);
        u.f((TextView) _$_findCachedViewById(R.id.tv_withdraw), 0, new e(this), 1, null);
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        super.initView(bundle);
        String stringExtra = getIntent().getStringExtra("balance");
        if (stringExtra == null) {
            stringExtra = "0";
        }
        this.J0 = stringExtra;
        setTranslucentBar();
        int i = R.id.titleView;
        TitleView titleView = (TitleView) _$_findCachedViewById(i);
        Intrinsics.checkNotNullExpressionValue(titleView, "titleView");
        initTitle(titleView, "游戏钱包");
        ((TitleView) _$_findCachedViewById(i)).c();
        ((TitleView) _$_findCachedViewById(i)).getRightText().setTextColor(getResources().getColor(com.hj.chen.new1126.R.color.color_text_white));
        ((TitleView) _$_findCachedViewById(i)).j("充值记录", new f(this));
        ((TextView) _$_findCachedViewById(R.id.tvContactFeedback)).setText(new SpanUtils().a("付款未到账？").R(new ForegroundColorSpan(getResources().getColor(com.hj.chen.new1126.R.color.color_text_white))).a("联系在线客服").R(new ForegroundColorSpan(getResources().getColor(com.hj.chen.new1126.R.color.color_bright_blue))).p());
        initListener();
        q0();
        B0();
        ((TextView) _$_findCachedViewById(R.id.tvCurrentBalanceNum)).setText(this.J0);
    }

    @NotNull
    public final j m0() {
        j jVar = this.f19658b;
        if (jVar != null) {
            return jVar;
        }
        Intrinsics.throwUninitializedPropertyAccessException("adapter");
        return null;
    }

    @NotNull
    public final String n0() {
        return this.J0;
    }

    @Nullable
    public final BuyVipModel o0() {
        return this.I0;
    }

    @Override // com.smartcity.commonbase.widget.pagestatus.f, com.niming.framework.base.BaseActivity
    public void onErrorClick(@Nullable View view) {
        super.onErrorClick(view);
        B0();
    }

    @Nullable
    public final String p0(@Nullable String str, @Nullable String str2) {
        Matcher matcher = Pattern.compile(str2).matcher(str);
        return matcher.find() ? matcher.group(1) : "";
    }

    public final void w0(@NotNull j jVar) {
        Intrinsics.checkNotNullParameter(jVar, "<set-?>");
        this.f19658b = jVar;
    }

    public final void x0(@NotNull String str) {
        Intrinsics.checkNotNullParameter(str, "<set-?>");
        this.J0 = str;
    }

    public final void y0(@Nullable BuyVipModel buyVipModel) {
        this.I0 = buyVipModel;
    }
}
