package com.niming.weipa.ui.game;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.text.TextUtils;
import android.text.style.ForegroundColorSpan;
import android.text.style.RelativeSizeSpan;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.cardview.widget.CardView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.core.app.NotificationCompat;
import androidx.fragment.app.FragmentActivity;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.util.SpanUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.w;
import com.blankj.utilcode.util.z0;
import com.niming.framework.net.Result;
import com.niming.framework.widget.XRefreshLayout;
import com.niming.weipa.R;
import com.niming.weipa.browser.activity.AdWebGameActivity;
import com.niming.weipa.model.Ad2;
import com.niming.weipa.model.GameEnterModel;
import com.niming.weipa.model.GameModel;
import com.niming.weipa.model.RefreshEvent;
import com.niming.weipa.ui.feedback.FeedbackReplyActivity;
import com.niming.weipa.ui.focus_on.e0.l;
import com.niming.weipa.ui.focus_on.e0.q;
import com.niming.weipa.ui.game.MyWalterActivity;
import com.niming.weipa.ui.login.BindPhoneActivity;
import com.niming.weipa.ui.tantan.model.CommunityDataType;
import com.niming.weipa.utils.u;
import com.niming.weipa.utils.v;
import com.youth.banner.Banner;
import com.youth.banner.indicator.CircleIndicator;
import com.youth.banner.listener.OnPageChangeListener;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000V\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000b\n\u0002\b\u0004\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0006\u0018\u0000 /2\u00020\u0001:\u0001/B\u0005¢\u0006\u0002\u0010\u0002J\u0018\u0010\u0014\u001a\u00020\u00152\u0006\u0010\u0016\u001a\u00020\u00172\u0006\u0010\u0018\u001a\u00020\u0017H\u0002J\b\u0010\u0019\u001a\u00020\u0015H\u0002J\b\u0010\u001a\u001a\u00020\u001bH\u0016J\u0016\u0010\u001c\u001a\u00020\u00152\f\u0010\u001d\u001a\b\u0012\u0004\u0012\u00020\u001f0\u001eH\u0002J\b\u0010 \u001a\u00020\u0015H\u0002J\b\u0010!\u001a\u00020\u0015H\u0002J\b\u0010\"\u001a\u00020\u0015H\u0002J\u0012\u0010#\u001a\u00020\u00152\b\u0010$\u001a\u0004\u0018\u00010%H\u0016J\u0012\u0010&\u001a\u00020\u00152\b\u0010'\u001a\u0004\u0018\u00010%H\u0016J\u0010\u0010(\u001a\u00020\u00152\u0006\u0010)\u001a\u00020*H\u0007J\u0018\u0010+\u001a\u00020\u00152\u0006\u0010,\u001a\u00020\u00102\u0006\u0010-\u001a\u00020\u0010H\u0016J\u0010\u0010.\u001a\u00020\u00152\u0006\u0010\t\u001a\u00020\nH\u0002R\u001a\u0010\u0003\u001a\u00020\u0004X.¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u001c\u0010\t\u001a\u0004\u0018\u00010\nX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u000b\u0010\f\"\u0004\b\r\u0010\u000eR\u001a\u0010\u000f\u001a\u00020\u0010X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u000f\u0010\u0011\"\u0004\b\u0012\u0010\u0013¨\u00060"}, d2 = {"Lcom/niming/weipa/ui/game/GameFragment;", "Lcom/niming/weipa/base/BaseFragment;", "()V", "adapter", "Lcom/niming/weipa/ui/focus_on/adapter/GameAdapter;", "getAdapter", "()Lcom/niming/weipa/ui/focus_on/adapter/GameAdapter;", "setAdapter", "(Lcom/niming/weipa/ui/focus_on/adapter/GameAdapter;)V", "gameModel", "Lcom/niming/weipa/model/GameModel;", "getGameModel", "()Lcom/niming/weipa/model/GameModel;", "setGameModel", "(Lcom/niming/weipa/model/GameModel;)V", "isShowTitle", "", "()Z", "setShowTitle", "(Z)V", "gameEnter", "", CommunityDataType.TYPE_PERSON, "", "device_info", "gameModule", "getViewRes", "", "initBanner", "adList", "", "Lcom/niming/weipa/model/Ad2;", "initListener", "initRecyclerView", "initRefreshLayout", "initView", "view", "Landroid/view/View;", "onClick", "v", "onMessageEvent", NotificationCompat.r0, "Lcom/niming/weipa/model/RefreshEvent;", "onVisibleToUserChanged", "isVisibleToUser", "invokeInResumeOrPause", "renderUI", "Companion", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: GameFragment.kt */
public final class g extends com.niming.weipa.base.d {
    @NotNull
    public static final a T0 = new a(null);
    public q U0;
    @Nullable
    private GameModel V0;
    private boolean W0;
    @NotNull
    public Map<Integer, View> X0 = new LinkedHashMap();

    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\b\b\u0002\u0010\u0005\u001a\u00020\u0006¨\u0006\u0007"}, d2 = {"Lcom/niming/weipa/ui/game/GameFragment$Companion;", "", "()V", "newInstance", "Lcom/niming/weipa/ui/game/GameFragment;", "isShowTitle", "", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: GameFragment.kt */
    public static final class a {
        private a() {
        }

        public /* synthetic */ a(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public static /* synthetic */ g b(a aVar, boolean z, int i, Object obj) {
            if ((i & 1) != 0) {
                z = false;
            }
            return aVar.a(z);
        }

        @NotNull
        public final g a(boolean z) {
            Bundle bundle = new Bundle();
            bundle.putBoolean("isShowTitle", z);
            g gVar = new g();
            gVar.setArguments(bundle);
            return gVar;
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/game/GameFragment$gameEnter$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: GameFragment.kt */
    public static final class b extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ g f19672a;

        b(g gVar) {
            this.f19672a = gVar;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f19672a.A();
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            String balance;
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                GameEnterModel gameEnterModel = (GameEnterModel) com.niming.framework.b.g.b(result.getData(), GameEnterModel.class);
                if (TextUtils.isEmpty(gameEnterModel.getUrl())) {
                    ToastUtils.W("稍后再试下", new Object[0]);
                    return;
                }
                AdWebGameActivity.a aVar = AdWebGameActivity.f17683a;
                Activity activity = ((com.niming.framework.base.b) this.f19672a).I0;
                Intrinsics.checkNotNullExpressionValue(activity, "activity");
                String url = gameEnterModel.getUrl();
                GameModel n0 = this.f19672a.n0();
                String str = "0";
                if (!(n0 == null || (balance = n0.getBalance()) == null)) {
                    str = balance;
                }
                aVar.a(activity, url, str);
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    @Metadata(d1 = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\u0010\u0010\u0004\u001a\u00020\u00032\u0006\u0010\u0005\u001a\u00020\u0006H\u0014¨\u0006\u0007"}, d2 = {"com/niming/weipa/ui/game/GameFragment$gameModule$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onFinish", "", "onSuccess", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: GameFragment.kt */
    public static final class c extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ g f19673a;

        c(g gVar) {
            this.f19673a = gVar;
        }

        @Override // com.lzy.okgo.d.c, com.lzy.okgo.d.a, com.niming.weipa.g.a
        public void onFinish() {
            super.onFinish();
            this.f19673a.setStatusComplete();
            XRefreshLayout xRefreshLayout = (XRefreshLayout) this.f19673a.h0(R.id.refreshLayout);
            if (xRefreshLayout != null) {
                xRefreshLayout.H();
            }
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            GameModel gameModel = (GameModel) com.niming.framework.b.g.b(result.getData(), GameModel.class);
            if (gameModel != null) {
                this.f19673a.E0(gameModel);
                this.f19673a.C0(gameModel);
            }
        }
    }

    @Metadata(d1 = {"\u0000!\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0003\n\u0002\u0010\u0007\n\u0002\b\u0003*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0016J \u0010\u0006\u001a\u00020\u00032\u0006\u0010\u0007\u001a\u00020\u00052\u0006\u0010\b\u001a\u00020\t2\u0006\u0010\n\u001a\u00020\u0005H\u0016J\u0010\u0010\u000b\u001a\u00020\u00032\u0006\u0010\u0007\u001a\u00020\u0005H\u0016¨\u0006\f"}, d2 = {"com/niming/weipa/ui/game/GameFragment$initBanner$2$1", "Lcom/youth/banner/listener/OnPageChangeListener;", "onPageScrollStateChanged", "", "state", "", "onPageScrolled", "position", "positionOffset", "", "positionOffsetPixels", "onPageSelected", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: GameFragment.kt */
    public static final class d implements OnPageChangeListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ g f19674a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ List<Ad2> f19675b;

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.util.List<? extends com.niming.weipa.model.Ad2> */
        /* JADX WARN: Multi-variable type inference failed */
        d(g gVar, List<? extends Ad2> list) {
            this.f19674a = gVar;
            this.f19675b = list;
        }

        @Override // com.youth.banner.listener.OnPageChangeListener
        public void onPageScrollStateChanged(int i) {
        }

        @Override // com.youth.banner.listener.OnPageChangeListener
        public void onPageScrolled(int i, float f, int i2) {
        }

        @Override // com.youth.banner.listener.OnPageChangeListener
        public void onPageSelected(int i) {
            ((TextView) this.f19674a.h0(R.id.tvTitle)).setText(this.f19675b.get(i).getTitle());
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroidx/cardview/widget/CardView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: GameFragment.kt */
    public static final class e extends Lambda implements Function1<CardView, Unit> {
        final /* synthetic */ g this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(g gVar) {
            super(1);
            this.this$0 = gVar;
        }

        public final void a(CardView cardView) {
            String balance;
            MyWalterActivity.a aVar = MyWalterActivity.f19657a;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            GameModel n0 = this.this$0.n0();
            String str = "0";
            if (!(n0 == null || (balance = n0.getBalance()) == null)) {
                str = balance;
            }
            aVar.a(activity, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(CardView cardView) {
            a(cardView);
            return Unit.INSTANCE;
        }
    }

    @Metadata(d1 = {"\u0000\u0013\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0002*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0003H\u0016¨\u0006\u0005"}, d2 = {"com/niming/weipa/ui/game/GameFragment$initRecyclerView$onSpanSizeLookup$1", "Landroidx/recyclerview/widget/GridLayoutManager$SpanSizeLookup;", "getSpanSize", "", "position", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: GameFragment.kt */
    public static final class f extends GridLayoutManager.b {

        /* renamed from: e  reason: collision with root package name */
        final /* synthetic */ g f19676e;

        f(g gVar) {
            this.f19676e = gVar;
        }

        @Override // androidx.recyclerview.widget.GridLayoutManager.b
        public int f(int i) {
            return this.f19676e.m0().getData().size() == 0 ? 2 : 1;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/FrameLayout;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* renamed from: com.niming.weipa.ui.game.g$g  reason: collision with other inner class name */
    /* compiled from: GameFragment.kt */
    public static final class C0399g extends Lambda implements Function1<FrameLayout, Unit> {
        final /* synthetic */ GameModel $gameModel;
        final /* synthetic */ g this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        C0399g(GameModel gameModel, g gVar) {
            super(1);
            this.$gameModel = gameModel;
            this.this$0 = gVar;
        }

        public final void a(FrameLayout frameLayout) {
            if (this.$gameModel.getUser_is_bind_game() == 0) {
                BindPhoneActivity.a aVar = BindPhoneActivity.f19767a;
                Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
                Intrinsics.checkNotNullExpressionValue(activity, "activity");
                aVar.a(activity);
                return;
            }
            ToastUtils.W("已经注册过了呢", new Object[0]);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(FrameLayout frameLayout) {
            a(frameLayout);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Landroid/widget/ImageView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: GameFragment.kt */
    public static final class h extends Lambda implements Function1<ImageView, Unit> {
        final /* synthetic */ g this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        h(g gVar) {
            super(1);
            this.this$0 = gVar;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ImageView imageView) {
            invoke(imageView);
            return Unit.INSTANCE;
        }

        public final void invoke(ImageView imageView) {
            FeedbackReplyActivity.a aVar = FeedbackReplyActivity.f19389a;
            Activity activity = ((com.niming.framework.base.b) this.this$0).I0;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.b(activity, FeedbackReplyActivity.J0);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void C0(GameModel gameModel) {
        if (gameModel.getAd() != null) {
            List<Ad2> ad = gameModel.getAd();
            Intrinsics.checkNotNullExpressionValue(ad, "gameModel.ad");
            o0(ad);
        }
        m0().replaceAll(gameModel.getList());
        if (gameModel.getGame_is_open_bind() == 1) {
            if (!TextUtils.isEmpty(R().getBind_mobile())) {
                ((FrameLayout) h0(R.id.fl_reward)).setVisibility(8);
                return;
            }
            if (gameModel.getGame_bind_money() > 0) {
                ((FrameLayout) h0(R.id.fl_reward)).setVisibility(0);
                ((TextView) h0(R.id.tv_reward_money)).setText(new SpanUtils().a("新手领").R(new ForegroundColorSpan(getResources().getColor(com.hj.chen.new1126.R.color.color_text_white))).a(String.valueOf(gameModel.getGame_bind_money())).R(new RelativeSizeSpan(2.0f)).a("元奖励").R(new ForegroundColorSpan(getResources().getColor(com.hj.chen.new1126.R.color.color_text_white))).p());
            }
            u.f((FrameLayout) h0(R.id.fl_reward), 0, new C0399g(gameModel, this), 1, null);
        }
        if (gameModel.getGame_feedback_display() == 1) {
            int i = R.id.ivFeedback;
            ((ImageView) h0(i)).setVisibility(0);
            u.f((ImageView) h0(i), 0, new h(this), 1, null);
            return;
        }
        ((ImageView) h0(R.id.ivFeedback)).setVisibility(8);
    }

    private final void k0(String str, String str2) {
        O("加载中");
        com.niming.weipa.g.c.c0().U(str, str2, new b(this));
    }

    private final void l0() {
        com.niming.weipa.g.c.c0().X(new c(this));
    }

    private final void o0(List<? extends Ad2> list) {
        ArrayList b2 = v.b(new String[0]);
        for (Ad2 ad2 : list) {
            String cover = ad2.getCover();
            if (cover != null) {
                b2.add(cover);
            }
        }
        if (b2.size() == 0) {
            ConstraintLayout constraintLayout = (ConstraintLayout) h0(R.id.topContainer);
            if (constraintLayout != null) {
                constraintLayout.setVisibility(8);
                return;
            }
            return;
        }
        ConstraintLayout constraintLayout2 = (ConstraintLayout) h0(R.id.topContainer);
        if (constraintLayout2 != null) {
            constraintLayout2.setVisibility(0);
        }
        l lVar = new l(b2, 0.0f, 2, null);
        Banner banner = (Banner) h0(R.id.banner);
        if (banner != null) {
            banner.addOnPageChangeListener(new d(this, list));
            Context context = getContext();
            Objects.requireNonNull(context, "null cannot be cast to non-null type androidx.fragment.app.FragmentActivity");
            banner.addBannerLifecycleObserver((FragmentActivity) context);
            banner.setIndicator(new CircleIndicator(getContext()));
            banner.setAdapter(lVar);
            ((TextView) h0(R.id.tvTitle)).setText(((Ad2) list.get(0)).getTitle());
            banner.setOnBannerListener(new b(list, this));
        }
    }

    /* access modifiers changed from: private */
    public static final void p0(List list, g gVar, Object obj, int i) {
        Intrinsics.checkNotNullParameter(list, "$adList");
        Intrinsics.checkNotNullParameter(gVar, "this$0");
        String link = ((Ad2) list.get(i)).getLink();
        if (link != null) {
            Context context = gVar.getContext();
            Objects.requireNonNull(context, "null cannot be cast to non-null type android.app.Activity");
            Activity activity = (Activity) context;
            String position = ((Ad2) list.get(i)).getPosition();
            if (position == null) {
                position = "";
            }
            com.niming.weipa.utils.l.f(activity, link, false, false, position, 8, null);
        }
    }

    private final void q0() {
        u.f((CardView) h0(R.id.cv_wallet), 0, new e(this), 1, null);
    }

    private final void r0() {
        Activity activity = this.I0;
        Intrinsics.checkNotNullExpressionValue(activity, "activity");
        D0(new q(activity));
        int i = R.id.recyclerView;
        ((RecyclerView) h0(i)).setAdapter(m0());
        GridLayoutManager gridLayoutManager = new GridLayoutManager(this.I0, 2);
        ((RecyclerView) h0(i)).setLayoutManager(gridLayoutManager);
        gridLayoutManager.C(new f(this));
        com.niming.weipa.widget.j jVar = new com.niming.weipa.widget.j(z0.b(6.0f));
        jVar.f(false);
        jVar.d(false);
        ((RecyclerView) h0(i)).addItemDecoration(jVar);
        m0().setOnItemClickListener(new c(this));
    }

    /* access modifiers changed from: private */
    public static final void s0(g gVar, int i, int i2, int i3) {
        Intrinsics.checkNotNullParameter(gVar, "this$0");
        if (!com.niming.framework.b.b.a().c()) {
            String k = w.k();
            String code = ((GameModel.ListBean) gVar.m0().getData().get(i)).getCode();
            Intrinsics.checkNotNullExpressionValue(code, "listBean.code");
            Intrinsics.checkNotNullExpressionValue(k, com.liulishuo.filedownloader.services.f.f16553b);
            gVar.k0(code, k);
        }
    }

    private final void t0() {
        int i = R.id.refreshLayout;
        ((XRefreshLayout) h0(i)).f0(false);
        ((XRefreshLayout) h0(i)).h0(new d(this));
        ((XRefreshLayout) h0(i)).O(a.f19665a);
    }

    /* access modifiers changed from: private */
    public static final void u0(g gVar, com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(gVar, "this$0");
        Intrinsics.checkNotNullParameter(jVar, "it");
        gVar.l0();
    }

    /* access modifiers changed from: private */
    public static final void v0(com.scwang.smartrefresh.layout.b.j jVar) {
        Intrinsics.checkNotNullParameter(jVar, "it");
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public final void B0(@NotNull RefreshEvent refreshEvent) {
        Intrinsics.checkNotNullParameter(refreshEvent, NotificationCompat.r0);
        if (!refreshEvent.isCode(31) && refreshEvent.isCode(32)) {
            l0();
        }
    }

    public final void D0(@NotNull q qVar) {
        Intrinsics.checkNotNullParameter(qVar, "<set-?>");
        this.U0 = qVar;
    }

    public final void E0(@Nullable GameModel gameModel) {
        this.V0 = gameModel;
    }

    public final void F0(boolean z) {
        this.W0 = z;
    }

    @Override // com.niming.framework.base.b, com.niming.framework.base.e.b
    public void a(boolean z, boolean z2) {
        super.a(z, z2);
        if (!z) {
            com.lzy.okgo.b.f(com.lzy.okgo.b.p().q(), "gameModule");
            com.lzy.okgo.b.f(com.lzy.okgo.b.p().q(), "gameEnter");
        }
    }

    public void f0() {
        this.X0.clear();
    }

    @Override // com.niming.framework.base.g
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.fragment_game;
    }

    @Nullable
    public View h0(int i) {
        View findViewById;
        Map<Integer, View> map = this.X0;
        View view = map.get(Integer.valueOf(i));
        if (view != null) {
            return view;
        }
        View view2 = getView();
        if (view2 == null || (findViewById = view2.findViewById(i)) == null) {
            return null;
        }
        map.put(Integer.valueOf(i), findViewById);
        return findViewById;
    }

    @Override // com.niming.weipa.base.d, com.niming.framework.base.g
    public void j(@Nullable View view) {
        super.j(view);
        Bundle arguments = getArguments();
        boolean z = false;
        if (arguments != null) {
            z = arguments.getBoolean("isShowTitle", false);
        }
        this.W0 = z;
        t0();
        r0();
        q0();
        setStatusLoading((XRefreshLayout) h0(R.id.refreshLayout));
        l0();
    }

    @NotNull
    public final q m0() {
        q qVar = this.U0;
        if (qVar != null) {
            return qVar;
        }
        Intrinsics.throwUninitializedPropertyAccessException("adapter");
        return null;
    }

    @Nullable
    public final GameModel n0() {
        return this.V0;
    }

    public void onClick(@Nullable View view) {
    }

    @Override // com.niming.weipa.base.d, androidx.fragment.app.Fragment
    public /* synthetic */ void onDestroyView() {
        super.onDestroyView();
        f0();
    }

    public final boolean w0() {
        return this.W0;
    }
}
