package com.niming.weipa.ui.setting;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.os.AsyncTask;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import androidx.core.app.NotificationCompat;
import androidx.fragment.app.FragmentActivity;
import com.alipay.sdk.util.j;
import com.blankj.utilcode.constant.PermissionConstants;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.blankj.utilcode.util.UtilsTransActivity;
import com.blankj.utilcode.util.k0;
import com.blankj.utilcode.util.m0;
import com.ibm.icu.text.DateFormat;
import com.niming.framework.net.Result;
import com.niming.framework.widget.ItemView;
import com.niming.framework.widget.TitleView;
import com.niming.framework.widget.d.b;
import com.niming.weipa.App;
import com.niming.weipa.R;
import com.niming.weipa.base.BaseActivity;
import com.niming.weipa.model.AppUpdate2;
import com.niming.weipa.model.AuthLoginDeviceModel;
import com.niming.weipa.model.RefreshEvent;
import com.niming.weipa.model.UserInfo2;
import com.niming.weipa.ui.edit_info.EditUphostActivity;
import com.niming.weipa.ui.feedback.FeedbackReplyActivity;
import com.niming.weipa.ui.lock.CreateGesturePasswordActivity;
import com.niming.weipa.ui.lock.ValidatePasswordActivity;
import com.niming.weipa.ui.login.LoginActivity;
import com.niming.weipa.ui.scan.ScanQrCodeActivity;
import com.niming.weipa.ui.welfare_cards.InputInviteCodeActivity;
import com.niming.weipa.update.UpdateAppDialogFragment;
import com.niming.weipa.utils.b0;
import com.niming.weipa.utils.c0;
import com.niming.weipa.utils.h0;
import com.niming.weipa.utils.i0;
import com.niming.weipa.utils.l0;
import com.niming.weipa.utils.u;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(d1 = {"\u0000H\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0007\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\u0018\u0000 $2\u00020\u00012\u00020\u0002:\u0003#$%B\u0005¢\u0006\u0002\u0010\u0003J\b\u0010\u0004\u001a\u00020\u0005H\u0002J\b\u0010\u0006\u001a\u00020\u0005H\u0002J\b\u0010\u0007\u001a\u00020\u0005H\u0002J\b\u0010\b\u001a\u00020\u0005H\u0002J\b\u0010\t\u001a\u00020\u0005H\u0002J\b\u0010\n\u001a\u00020\u0005H\u0002J\b\u0010\u000b\u001a\u00020\u0005H\u0002J\b\u0010\f\u001a\u00020\rH\u0016J\u0010\u0010\u000e\u001a\u00020\u00052\u0006\u0010\u000f\u001a\u00020\u0010H\u0002J\b\u0010\u0011\u001a\u00020\u0005H\u0002J\u0012\u0010\u0012\u001a\u00020\u00052\b\u0010\u0013\u001a\u0004\u0018\u00010\u0014H\u0016J\b\u0010\u0015\u001a\u00020\u0005H\u0002J\u0010\u0010\u0016\u001a\u00020\u00052\u0006\u0010\u000f\u001a\u00020\u0010H\u0002J\"\u0010\u0017\u001a\u00020\u00052\u0006\u0010\u0018\u001a\u00020\r2\u0006\u0010\u0019\u001a\u00020\r2\b\u0010\u001a\u001a\u0004\u0018\u00010\u001bH\u0014J\u0010\u0010\u001c\u001a\u00020\u00052\u0006\u0010\u001d\u001a\u00020\u001eH\u0016J\u0010\u0010\u001f\u001a\u00020\u00052\u0006\u0010 \u001a\u00020!H\u0007J\b\u0010\"\u001a\u00020\u0005H\u0002¨\u0006&"}, d2 = {"Lcom/niming/weipa/ui/setting/SettingActivity2;", "Lcom/niming/weipa/base/BaseActivity;", "Lcom/niming/weipa/utils/OnLazyClickListener;", "()V", "authLoginDevice", "", "checkUpdate", "clickLockPwd", "closeGesturePassword", "findAccountByPhone", "findAccountByQrCode", "getUserInfo", "getViewRes", "", "handlerAppUpdateInfo", "appUpdate", "Lcom/niming/weipa/model/AppUpdate2;", "initListener", "initView", "savedInstanceState", "Landroid/os/Bundle;", "initViewByData", "needOpenUpdateDialog", "onActivityResult", "requestCode", "resultCode", "data", "Landroid/content/Intent;", "onLazyClick", "view", "Landroid/view/View;", "onMessageEvent", NotificationCompat.r0, "Lcom/niming/weipa/model/RefreshEvent;", "showUnbinderAlter", "ClearCacheTask", "Companion", "GetCacheSizeTask", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: SettingActivity2.kt */
public final class SettingActivity2 extends BaseActivity implements l0 {
    @NotNull

    /* renamed from: a  reason: collision with root package name */
    public static final b f20247a = new b(null);
    @NotNull

    /* renamed from: b  reason: collision with root package name */
    public Map<Integer, View> f20248b = new LinkedHashMap();

    @Metadata(d1 = {"\u0000(\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\b\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0010\u0011\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0002\b\u0004\u0018\u00002\u0018\u0012\u0006\u0012\u0004\u0018\u00010\u0002\u0012\u0006\u0012\u0004\u0018\u00010\u0003\u0012\u0004\u0012\u00020\u00040\u0001B\u0005¢\u0006\u0002\u0010\u0005J%\u0010\u0006\u001a\u00020\u00042\u0016\u0010\u0007\u001a\f\u0012\b\b\u0001\u0012\u0004\u0018\u00010\u00020\b\"\u0004\u0018\u00010\u0002H\u0014¢\u0006\u0002\u0010\tJ\u0010\u0010\n\u001a\u00020\u000b2\u0006\u0010\f\u001a\u00020\u0004H\u0014¨\u0006\r"}, d2 = {"Lcom/niming/weipa/ui/setting/SettingActivity2$ClearCacheTask;", "Landroid/os/AsyncTask;", "Ljava/lang/Void;", "", "", "(Lcom/niming/weipa/ui/setting/SettingActivity2;)V", "doInBackground", "params", "", "([Ljava/lang/Void;)Ljava/lang/String;", "onPostExecute", "", DateFormat.SECOND, "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SettingActivity2.kt */
    public final class a extends AsyncTask<Void, Integer, String> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ SettingActivity2 f20249a;

        public a(SettingActivity2 settingActivity2) {
            Intrinsics.checkNotNullParameter(settingActivity2, "this$0");
            this.f20249a = settingActivity2;
        }

        /* access modifiers changed from: protected */
        @NotNull
        /* renamed from: a */
        public String doInBackground(@NotNull Void... voidArr) {
            Intrinsics.checkNotNullParameter(voidArr, "params");
            c0.a(((com.niming.framework.base.BaseActivity) this.f20249a).activity);
            String d2 = c0.d(((com.niming.framework.base.BaseActivity) this.f20249a).activity);
            Intrinsics.checkNotNullExpressionValue(d2, "getDiskCacheSizeString(activity)");
            return d2;
        }

        /* access modifiers changed from: protected */
        /* renamed from: b */
        public void onPostExecute(@NotNull String str) {
            Intrinsics.checkNotNullParameter(str, DateFormat.SECOND);
            super.onPostExecute(str);
            c0.b(((com.niming.framework.base.BaseActivity) this.f20249a).activity);
            ToastUtils.S("清理成功", new Object[0]);
            ((ItemView) this.f20249a._$_findCachedViewById(R.id.item_clean_cache)).setRightText(str);
        }
    }

    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u000e\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006¨\u0006\u0007"}, d2 = {"Lcom/niming/weipa/ui/setting/SettingActivity2$Companion;", "", "()V", "start", "", "context", "Landroid/content/Context;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SettingActivity2.kt */
    public static final class b {
        private b() {
        }

        public /* synthetic */ b(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        public final void a(@NotNull Context context) {
            Intrinsics.checkNotNullParameter(context, "context");
            context.startActivity(new Intent(context, SettingActivity2.class));
        }
    }

    @Metadata(d1 = {"\u0000(\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\b\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0010\u0011\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0002\b\u0004\u0018\u00002\u0018\u0012\u0006\u0012\u0004\u0018\u00010\u0002\u0012\u0006\u0012\u0004\u0018\u00010\u0003\u0012\u0004\u0012\u00020\u00040\u0001B\u0005¢\u0006\u0002\u0010\u0005J%\u0010\u0006\u001a\u00020\u00042\u0016\u0010\u0007\u001a\f\u0012\b\b\u0001\u0012\u0004\u0018\u00010\u00020\b\"\u0004\u0018\u00010\u0002H\u0014¢\u0006\u0002\u0010\tJ\u0010\u0010\n\u001a\u00020\u000b2\u0006\u0010\f\u001a\u00020\u0004H\u0014¨\u0006\r"}, d2 = {"Lcom/niming/weipa/ui/setting/SettingActivity2$GetCacheSizeTask;", "Landroid/os/AsyncTask;", "Ljava/lang/Void;", "", "", "(Lcom/niming/weipa/ui/setting/SettingActivity2;)V", "doInBackground", "params", "", "([Ljava/lang/Void;)Ljava/lang/String;", "onPostExecute", "", DateFormat.SECOND, "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SettingActivity2.kt */
    public final class c extends AsyncTask<Void, Integer, String> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ SettingActivity2 f20250a;

        public c(SettingActivity2 settingActivity2) {
            Intrinsics.checkNotNullParameter(settingActivity2, "this$0");
            this.f20250a = settingActivity2;
        }

        /* access modifiers changed from: protected */
        @NotNull
        /* renamed from: a */
        public String doInBackground(@NotNull Void... voidArr) {
            Intrinsics.checkNotNullParameter(voidArr, "params");
            String d2 = c0.d(((com.niming.framework.base.BaseActivity) this.f20250a).activity);
            Intrinsics.checkNotNullExpressionValue(d2, "getDiskCacheSizeString(activity)");
            return d2;
        }

        /* access modifiers changed from: protected */
        /* renamed from: b */
        public void onPostExecute(@NotNull String str) {
            Intrinsics.checkNotNullParameter(str, DateFormat.SECOND);
            super.onPostExecute(str);
            ((ItemView) this.f20250a._$_findCachedViewById(R.id.item_clean_cache)).setRightText(str);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/setting/SettingActivity2$authLoginDevice$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SettingActivity2.kt */
    public static final class d extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ SettingActivity2 f20251a;

        d(SettingActivity2 settingActivity2) {
            this.f20251a = settingActivity2;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            h0.a(((com.niming.framework.base.BaseActivity) this.f20251a).TAG, Intrinsics.stringPlus("authLoginDevice = ", result.getData()));
            if (result.isOk()) {
                com.niming.framework.basedb.h.c().h(com.niming.weipa.c.a.f, ((AuthLoginDeviceModel) com.niming.framework.b.g.b(result.getData(), AuthLoginDeviceModel.class)).getAuth().getToken());
                this.f20251a.t0();
                return;
            }
            ToastUtils.W(result.getMessage(), new Object[0]);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/setting/SettingActivity2$checkUpdate$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SettingActivity2.kt */
    public static final class e extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ SettingActivity2 f20252a;

        e(SettingActivity2 settingActivity2) {
            this.f20252a = settingActivity2;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                AppUpdate2 appUpdate2 = (AppUpdate2) com.niming.framework.b.g.b(result.getData(), AppUpdate2.class);
                if (k0.y(appUpdate2)) {
                    SettingActivity2 settingActivity2 = this.f20252a;
                    Intrinsics.checkNotNullExpressionValue(appUpdate2, "appUpdate");
                    settingActivity2.u0(appUpdate2);
                    return;
                }
                return;
            }
            LogUtils.l("app 信息 未获取到");
        }
    }

    @Metadata(d1 = {"\u0000\u001d\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010 \n\u0002\u0010\u000e\n\u0002\b\u0004*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J$\u0010\u0002\u001a\u00020\u00032\f\u0010\u0004\u001a\b\u0012\u0004\u0012\u00020\u00060\u00052\f\u0010\u0007\u001a\b\u0012\u0004\u0012\u00020\u00060\u0005H\u0016J\u0016\u0010\b\u001a\u00020\u00032\f\u0010\t\u001a\b\u0012\u0004\u0012\u00020\u00060\u0005H\u0016¨\u0006\n"}, d2 = {"com/niming/weipa/ui/setting/SettingActivity2$findAccountByQrCode$2", "Lcom/blankj/utilcode/util/PermissionUtils$FullCallback;", "onDenied", "", "permissionsDeniedForever", "", "", "permissionsDenied", "onGranted", "permissionsGranted", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SettingActivity2.kt */
    public static final class f implements m0.b {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ SettingActivity2 f20253a;

        f(SettingActivity2 settingActivity2) {
            this.f20253a = settingActivity2;
        }

        @Override // com.blankj.utilcode.util.m0.b
        public void onDenied(@NotNull List<String> list, @NotNull List<String> list2) {
            Intrinsics.checkNotNullParameter(list, "permissionsDeniedForever");
            Intrinsics.checkNotNullParameter(list2, "permissionsDenied");
        }

        @Override // com.blankj.utilcode.util.m0.b
        public void onGranted(@NotNull List<String> list) {
            Intrinsics.checkNotNullParameter(list, "permissionsGranted");
            ScanQrCodeActivity.start(((com.niming.framework.base.BaseActivity) this.f20253a).activity);
        }
    }

    @Metadata(d1 = {"\u0000\u0017\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\u0010\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0005H\u0014¨\u0006\u0006"}, d2 = {"com/niming/weipa/ui/setting/SettingActivity2$getUserInfo$1", "Lcom/niming/weipa/net/AbsHttpCallback;", "onSuccess", "", j.f6041c, "Lcom/niming/framework/net/Result;", "app_wuqudaoRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SettingActivity2.kt */
    public static final class g extends com.niming.weipa.g.a {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ SettingActivity2 f20254a;

        g(SettingActivity2 settingActivity2) {
            this.f20254a = settingActivity2;
        }

        /* access modifiers changed from: protected */
        @Override // com.niming.weipa.g.a
        public void onSuccess(@NotNull Result result) {
            Intrinsics.checkNotNullParameter(result, j.f6041c);
            if (result.isOk()) {
                com.niming.framework.basedb.h.c().g(com.niming.weipa.c.a.f17712e, (UserInfo2) com.niming.framework.b.g.b(result.getData(), UserInfo2.class));
                com.niming.framework.b.d.b(new RefreshEvent(233));
                this.f20254a.w0();
            }
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\u0010\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0010\u0000\u001a\u00020\u00012\u000e\u0010\u0002\u001a\n \u0004*\u0004\u0018\u00010\u00030\u0003H\n¢\u0006\u0002\b\u0005"}, d2 = {"<anonymous>", "", "it", "Lcom/niming/framework/widget/ItemView;", "kotlin.jvm.PlatformType", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SettingActivity2.kt */
    public static final class h extends Lambda implements Function1<ItemView, Unit> {
        final /* synthetic */ SettingActivity2 this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        h(SettingActivity2 settingActivity2) {
            super(1);
            this.this$0 = settingActivity2;
        }

        public final void a(ItemView itemView) {
            InputInviteCodeActivity.a aVar = InputInviteCodeActivity.f20442a;
            Activity activity = ((com.niming.framework.base.BaseActivity) this.this$0).activity;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // kotlin.jvm.functions.Function1
        public /* bridge */ /* synthetic */ Unit invoke(ItemView itemView) {
            a(itemView);
            return Unit.INSTANCE;
        }
    }

    /* access modifiers changed from: package-private */
    @Metadata(d1 = {"\u0000\b\n\u0000\n\u0002\u0010\u0002\n\u0000\u0010\u0000\u001a\u00020\u0001H\n¢\u0006\u0002\b\u0002"}, d2 = {"<anonymous>", "", "invoke"}, k = 3, mv = {1, 6, 0}, xi = 48)
    /* compiled from: SettingActivity2.kt */
    public static final class i extends Lambda implements Function0<Unit> {
        final /* synthetic */ SettingActivity2 this$0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        i(SettingActivity2 settingActivity2) {
            super(0);
            this.this$0 = settingActivity2;
        }

        public final void a() {
            LoginActivity.a aVar = LoginActivity.f19773a;
            Activity activity = ((com.niming.framework.base.BaseActivity) this.this$0).activity;
            Intrinsics.checkNotNullExpressionValue(activity, "activity");
            aVar.a(activity, 3);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // kotlin.jvm.functions.Function0
        public /* bridge */ /* synthetic */ Unit invoke() {
            a();
            return Unit.INSTANCE;
        }
    }

    private final void D0(AppUpdate2 appUpdate2) {
        UpdateAppDialogFragment f0 = UpdateAppDialogFragment.f0(appUpdate2);
        f0.show(getSupportFragmentManager(), f0.getClass().getSimpleName());
    }

    /* access modifiers changed from: private */
    public static final void E0(SettingActivity2 settingActivity2, int i2) {
        Intrinsics.checkNotNullParameter(settingActivity2, "this$0");
        if (i2 == 0) {
            settingActivity2.r0();
        } else if (i2 == 1) {
            settingActivity2.q0();
        }
    }

    /* access modifiers changed from: private */
    public static final void F0(SettingActivity2 settingActivity2, int i2) {
        Intrinsics.checkNotNullParameter(settingActivity2, "this$0");
        if (i2 == 0) {
            settingActivity2.r0();
        } else if (i2 == 1) {
            settingActivity2.q0();
        }
    }

    private final void H0() {
        com.niming.weipa.notice.c o0 = com.niming.weipa.notice.c.M0.a(Intrinsics.stringPlus("解除绑定的手机号码？\n ", getUserInfo2().getBind_mobile())).o0(new i(this));
        Activity activity = this.activity;
        Objects.requireNonNull(activity, "null cannot be cast to non-null type androidx.fragment.app.FragmentActivity");
        o0.show(((FragmentActivity) activity).getSupportFragmentManager(), "AlterDialogFragment");
    }

    private final void initListener() {
        ((ItemView) _$_findCachedViewById(R.id.itemViewEditInfo)).setOnClickListener(this);
        ((ItemView) _$_findCachedViewById(R.id.item_bind_phone)).setOnClickListener(this);
        ((ItemView) _$_findCachedViewById(R.id.item_id_card)).setOnClickListener(this);
        ((ItemView) _$_findCachedViewById(R.id.itemViewRebackByPhone)).setOnClickListener(this);
        ((ItemView) _$_findCachedViewById(R.id.itemViewRebackIdCard)).setOnClickListener(this);
    }

    private final void m0() {
        com.niming.weipa.g.c.c0().b(com.niming.framework.basedb.h.c().e(com.niming.weipa.c.a.f17708a), "", "", new d(this).setLoadingListener(this));
    }

    private final void n0() {
        com.niming.weipa.g.c.c0().d0(i0.f20556a.e(this, "LINK"), new e(this).setLoadingListener(this, "請求中"));
    }

    private final void o0() {
        if (TextUtils.isEmpty(com.niming.framework.basedb.h.c().e(com.niming.weipa.c.a.k))) {
            b0.b().h("设置-点击生成锁屏密码");
            CreateGesturePasswordActivity.q0(this.activity);
            return;
        }
        b0.b().h("设置-点击关闭锁屏密码");
        ValidatePasswordActivity.i0(this.activity, 1, true);
    }

    private final void p0() {
        com.niming.framework.basedb.h.c().f(com.niming.weipa.c.a.k);
    }

    private final void q0() {
        LoginActivity.a aVar = LoginActivity.f19773a;
        Activity activity = this.activity;
        Intrinsics.checkNotNullExpressionValue(activity, "activity");
        aVar.a(activity, 1);
    }

    private final void r0() {
        m0.E(PermissionConstants.f6450b, PermissionConstants.i).H(a.f20255a).q(new f(this)).I();
    }

    /* access modifiers changed from: private */
    public static final void s0(UtilsTransActivity utilsTransActivity, m0.d.a aVar) {
        Intrinsics.checkNotNullParameter(utilsTransActivity, "activity");
        Intrinsics.checkNotNullParameter(aVar, "shouldRequest");
        aVar.a(true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void t0() {
        com.niming.weipa.g.c.c0().e0(new g(this));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void u0(AppUpdate2 appUpdate2) {
        com.niming.framework.basedb.h.c().g(com.niming.weipa.c.a.h, appUpdate2);
        if (com.niming.weipa.update.a.d(com.niming.weipa.a.f, appUpdate2.getVersion_code())) {
            D0(appUpdate2);
        } else {
            ToastUtils.W("已是最新版本", new Object[0]);
        }
    }

    /* access modifiers changed from: private */
    public static final void v0(SettingActivity2 settingActivity2, View view) {
        Intrinsics.checkNotNullParameter(settingActivity2, "this$0");
        settingActivity2.o0();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void w0() {
        if (!TextUtils.isEmpty(getUserInfo2().getBind_mobile())) {
            ((ItemView) _$_findCachedViewById(R.id.item_bind_phone)).setRightText(Intrinsics.stringPlus("已绑定 ", getUserInfo2().getBind_mobile()));
        } else {
            int i2 = R.id.item_bind_phone;
            ((ItemView) _$_findCachedViewById(i2)).setRightText("未绑定");
            ((ItemView) _$_findCachedViewById(i2)).setOnClickListener(new e(this));
        }
        if (Intrinsics.areEqual(getUserInfo2().getHas_parent(), DateFormat.YEAR)) {
            ((ItemView) _$_findCachedViewById(R.id.item_bind_invite_code)).setRightText("已绑定");
        } else {
            int i3 = R.id.item_bind_invite_code;
            ((ItemView) _$_findCachedViewById(i3)).setRightText("未绑定");
            u.f((ItemView) _$_findCachedViewById(i3), 0, new h(this), 1, null);
        }
        com.niming.weipa.e.b.g(this.activity, getUserInfo2().getAvatar(), ((ItemView) _$_findCachedViewById(R.id.itemViewEditInfo)).getIvLeft());
    }

    /* access modifiers changed from: private */
    public static final void x0(SettingActivity2 settingActivity2, View view) {
        Intrinsics.checkNotNullParameter(settingActivity2, "this$0");
        LoginActivity.a aVar = LoginActivity.f19773a;
        Activity activity = settingActivity2.activity;
        Intrinsics.checkNotNullExpressionValue(activity, "activity");
        aVar.a(activity, 1);
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public final void G0(@NotNull RefreshEvent refreshEvent) {
        Intrinsics.checkNotNullParameter(refreshEvent, NotificationCompat.r0);
        if (refreshEvent.isCode(8)) {
            m0();
        } else if (refreshEvent.isCode(11)) {
            m0();
        } else if (refreshEvent.isCode(28)) {
            m0();
        }
    }

    @Override // com.niming.weipa.base.BaseActivity
    public void _$_clearFindViewByIdCache() {
        this.f20248b.clear();
    }

    @Override // com.niming.weipa.base.BaseActivity
    @Nullable
    public View _$_findCachedViewById(int i2) {
        Map<Integer, View> map = this.f20248b;
        View view = map.get(Integer.valueOf(i2));
        if (view != null) {
            return view;
        }
        View findViewById = findViewById(i2);
        if (findViewById == null) {
            return null;
        }
        map.put(Integer.valueOf(i2), findViewById);
        return findViewById;
    }

    @Override // com.niming.framework.base.f
    public int getViewRes() {
        return com.hj.chen.new1126.R.layout.activity_setting2;
    }

    @Override // com.niming.weipa.base.BaseActivity, com.niming.framework.base.f
    public void initView(@Nullable Bundle bundle) {
        super.initView(bundle);
        TitleView titleView = (TitleView) _$_findCachedViewById(R.id.title_view);
        Intrinsics.checkNotNullExpressionValue(titleView, "title_view");
        initTitle(titleView, "账号与安全");
        String e2 = com.niming.framework.basedb.h.c().e(com.niming.weipa.c.a.k);
        int i2 = R.id.item_lock;
        ((ItemView) _$_findCachedViewById(i2)).setChecked(!TextUtils.isEmpty(e2));
        ((ItemView) _$_findCachedViewById(i2)).getRightSwitch().setOnClickListener(new c(this));
        try {
            App.a aVar = App.I0;
            ((ItemView) _$_findCachedViewById(R.id.item_check_update)).setRightText(aVar.a().getPackageManager().getPackageInfo(aVar.a().getPackageName(), 0).versionName);
        } catch (PackageManager.NameNotFoundException e3) {
            e3.printStackTrace();
        }
        w0();
        new c(this).execute(new Void[0]);
        initListener();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i2, int i3, @Nullable Intent intent) {
        super.onActivityResult(i2, i3, intent);
        boolean z = true;
        if (i2 != 42) {
            if (i2 == 100) {
                ItemView itemView = (ItemView) _$_findCachedViewById(R.id.item_lock);
                if (i3 == 0) {
                    z = false;
                }
                itemView.setChecked(z);
            }
        } else if (TextUtils.isEmpty(com.niming.framework.basedb.h.c().e(com.niming.weipa.c.a.k))) {
            p0();
        } else {
            ((ItemView) _$_findCachedViewById(R.id.item_lock)).setChecked(true);
        }
    }

    @Override // com.niming.weipa.utils.l0
    public void onClick(@Nullable View view) {
        l0.a.a(this, view);
    }

    @Override // com.niming.weipa.utils.l0
    public void onLazyClick(@NotNull View view) {
        Intrinsics.checkNotNullParameter(view, "view");
        switch (view.getId()) {
            case com.hj.chen.new1126.R.id.itemViewEditInfo /*{ENCODED_INT: 2131296818}*/:
                EditUphostActivity.a aVar = EditUphostActivity.f19357a;
                Activity activity = this.activity;
                Intrinsics.checkNotNullExpressionValue(activity, "activity");
                aVar.a(activity, false);
                return;
            case com.hj.chen.new1126.R.id.itemViewRebackByPhone /*{ENCODED_INT: 2131296819}*/:
                q0();
                return;
            case com.hj.chen.new1126.R.id.itemViewRebackIdCard /*{ENCODED_INT: 2131296820}*/:
                r0();
                return;
            case com.hj.chen.new1126.R.id.item_bind_phone /*{ENCODED_INT: 2131296822}*/:
                if (TextUtils.isEmpty(getUserInfo2().getBind_mobile())) {
                    b0.b().h("设置-点击绑定手机号");
                    LoginActivity.a aVar2 = LoginActivity.f19773a;
                    Activity activity2 = this.activity;
                    Intrinsics.checkNotNullExpressionValue(activity2, "activity");
                    aVar2.a(activity2, 2);
                    return;
                }
                H0();
                return;
            case com.hj.chen.new1126.R.id.item_check_update /*{ENCODED_INT: 2131296824}*/:
                b0.b().h("设置-点击检查更新");
                n0();
                return;
            case com.hj.chen.new1126.R.id.item_clean_cache /*{ENCODED_INT: 2131296826}*/:
                b0.b().h("设置-点击清理缓存");
                ren.yale.android.cachewebviewlib.g.l().c();
                com.shuyu.gsyvideoplayer.f.a.a().d(this, null, null);
                new a(this).execute(new Void[0]);
                return;
            case com.hj.chen.new1126.R.id.item_find_account /*{ENCODED_INT: 2131296832}*/:
                ArrayList arrayList = new ArrayList();
                arrayList.add("用身份卡找回");
                arrayList.add("手手机号找回");
                new b.C0363b().i(false).j(false).l(arrayList).g().d0(new b(this)).f0(this.activity);
                return;
            case com.hj.chen.new1126.R.id.item_id_card /*{ENCODED_INT: 2131296833}*/:
                b0.b().h("设置-点击显示身份卡");
                IDCardDialogFragment.a0().j0(this.activity);
                return;
            case com.hj.chen.new1126.R.id.item_online_feedback /*{ENCODED_INT: 2131296839}*/:
                b0.b().h("设置-点击意见反馈");
                FeedbackReplyActivity.a aVar3 = FeedbackReplyActivity.f19389a;
                Activity activity3 = this.activity;
                Intrinsics.checkNotNullExpressionValue(activity3, "activity");
                aVar3.a(activity3);
                return;
            case com.hj.chen.new1126.R.id.tvSwitch /*{ENCODED_INT: 2131297674}*/:
                b0.b().h("设置-点击切換帳號");
                ArrayList arrayList2 = new ArrayList();
                arrayList2.add("用身份卡");
                arrayList2.add("手機號碼");
                new b.C0363b().i(false).j(false).l(arrayList2).g().d0(new d(this)).f0(this.activity);
                return;
            default:
                return;
        }
    }
}
