package com.niming.weipa.widget;

import android.content.Context;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.view.NestedScrollingChild2;
import androidx.core.widget.NestedScrollView;
import androidx.recyclerview.widget.RecyclerView;

public class NestedScrollRecyclerView extends NestedScrollView {
    private View n1;
    private RecyclerView o1;
    private int p1;
    private int q1;

    public NestedScrollRecyclerView(@NonNull Context context) {
        super(context);
    }

    private boolean L(View view) {
        if (view == null) {
            return false;
        }
        if (Build.VERSION.SDK_INT >= 14) {
            return view.canScrollVertically(-1);
        }
        if (view instanceof AbsListView) {
            AbsListView absListView = (AbsListView) view;
            if (absListView.getChildCount() <= 0) {
                return false;
            }
            if (absListView.getFirstVisiblePosition() > 0 || absListView.getChildAt(0).getTop() < absListView.getPaddingTop()) {
                return true;
            }
            return false;
        } else if (view.canScrollVertically(-1) || view.getScrollY() > 0) {
            return true;
        } else {
            return false;
        }
    }

    /* access modifiers changed from: protected */
    public void onFinishInflate() {
        super.onFinishInflate();
        if (this.n1 == null || this.o1 == null) {
            throw new IllegalStateException("topView or recyclerView must not null");
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.core.widget.NestedScrollView
    public void onMeasure(int i, int i2) {
        this.o1.measure(i, View.MeasureSpec.makeMeasureSpec(getHeight() == 0 ? View.MeasureSpec.getSize(i2) : getHeight(), 1073741824));
        ViewGroup.LayoutParams layoutParams = this.o1.getLayoutParams();
        layoutParams.height = this.o1.getMeasuredHeight();
        this.o1.setLayoutParams(layoutParams);
        super.onMeasure(i, i2);
        this.p1 = this.n1.getMeasuredHeight();
    }

    @Override // androidx.core.widget.NestedScrollView, androidx.core.view.NestedScrollingParent2
    public void onNestedPreScroll(@NonNull View view, int i, int i2, @NonNull int[] iArr, int i3) {
        if (!(view instanceof NestedScrollingChild2)) {
            super.onNestedPreScroll(view, i, i2, iArr, i3);
        } else if (i2 < 0 && i3 == 1 && this.q1 == 0) {
            ((NestedScrollingChild2) view).stopNestedScroll(i3);
        } else if (this.q1 >= this.p1) {
            super.onNestedPreScroll(view, i, i2, iArr, i3);
        } else if (i2 > 0) {
            iArr[0] = i;
            iArr[1] = i2;
            scrollBy(0, i2);
        } else if (L(view)) {
        } else {
            if (this.q1 == 0) {
                iArr[0] = i;
                iArr[1] = 0;
                super.onNestedPreScroll(view, i, i2, iArr, i3);
                return;
            }
            iArr[0] = i;
            iArr[1] = i2;
            scrollBy(0, i2);
        }
    }

    @Override // androidx.core.widget.NestedScrollView, androidx.core.view.NestedScrollingParent2
    public void onNestedScroll(View view, int i, int i2, int i3, int i4, int i5) {
        if ((view instanceof NestedScrollingChild2) && i2 == 0 && i4 < 0 && i5 == 1 && this.q1 == 0) {
            ((NestedScrollingChild2) view).stopNestedScroll(i5);
        } else {
            super.onNestedScroll(view, i, i2, i3, i4, i5);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.core.widget.NestedScrollView
    public void onScrollChanged(int i, int i2, int i3, int i4) {
        super.onScrollChanged(i, i2, i3, i4);
        this.q1 = i2;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.core.widget.NestedScrollView
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        this.p1 = this.n1.getMeasuredHeight();
    }

    public NestedScrollRecyclerView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public NestedScrollRecyclerView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }
}
