package com.readystatesoftware.chuck.internal.support;

import android.content.Context;
import android.text.TextUtils;
import com.google.gson.n;
import com.ibm.icu.impl.number.Padder;
import com.lzy.okgo.model.HttpHeaders;
import com.readystatesoftware.chuck.R;
import com.readystatesoftware.chuck.internal.data.HttpTransaction;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.util.List;
import java.util.Locale;
import javax.xml.transform.Transformer;
import javax.xml.transform.sax.SAXSource;
import javax.xml.transform.sax.SAXTransformerFactory;
import javax.xml.transform.stream.StreamResult;
import org.xml.sax.InputSource;

/* compiled from: FormatUtils */
public class b {
    public static String a(long j, boolean z) {
        int i = z ? 1000 : 1024;
        if (j < ((long) i)) {
            return j + " B";
        }
        double d2 = (double) j;
        double d3 = (double) i;
        int log = (int) (Math.log(d2) / Math.log(d3));
        StringBuilder sb = new StringBuilder();
        sb.append((z ? "kMGTPE" : "KMGTPE").charAt(log - 1));
        sb.append(z ? "" : "i");
        return String.format(Locale.US, "%.1f %sB", Double.valueOf(d2 / Math.pow(d3, (double) log)), sb.toString());
    }

    public static String b(List<com.readystatesoftware.chuck.internal.data.b> list, boolean z) {
        String str;
        String str2;
        if (list == null) {
            return "";
        }
        String str3 = "";
        for (com.readystatesoftware.chuck.internal.data.b bVar : list) {
            StringBuilder sb = new StringBuilder();
            sb.append(str3);
            if (z) {
                str = "<b>";
            } else {
                str = "";
            }
            sb.append(str);
            sb.append(bVar.a());
            sb.append(": ");
            if (z) {
                str2 = "</b>";
            } else {
                str2 = "";
            }
            sb.append(str2);
            sb.append(bVar.b());
            sb.append(z ? "<br />" : "\n");
            str3 = sb.toString();
        }
        return str3;
    }

    public static String c(String str) {
        try {
            return c.a().y(new n().c(str));
        } catch (Exception unused) {
            return str;
        }
    }

    public static String d(String str) {
        try {
            Transformer newTransformer = SAXTransformerFactory.newInstance().newTransformer();
            newTransformer.setOutputProperty("indent", "yes");
            newTransformer.setOutputProperty("{http://xml.apache.org/xslt}indent-amount", "2");
            SAXSource sAXSource = new SAXSource(new InputSource(new ByteArrayInputStream(str.getBytes())));
            StreamResult streamResult = new StreamResult(new ByteArrayOutputStream());
            newTransformer.transform(sAXSource, streamResult);
            return new String(((ByteArrayOutputStream) streamResult.getOutputStream()).toByteArray());
        } catch (Exception unused) {
            return str;
        }
    }

    public static String e(HttpTransaction httpTransaction) {
        String str = "curl" + " -X " + httpTransaction.getMethod();
        List<com.readystatesoftware.chuck.internal.data.b> requestHeaders = httpTransaction.getRequestHeaders();
        int size = requestHeaders.size();
        boolean z = false;
        for (int i = 0; i < size; i++) {
            String a2 = requestHeaders.get(i).a();
            String b2 = requestHeaders.get(i).b();
            if (HttpHeaders.HEAD_KEY_ACCEPT_ENCODING.equalsIgnoreCase(a2) && "gzip".equalsIgnoreCase(b2)) {
                z = true;
            }
            str = str + " -H \"" + a2 + ": " + b2 + "\"";
        }
        String requestBody = httpTransaction.getRequestBody();
        if (requestBody != null && requestBody.length() > 0) {
            str = str + " --data $'" + requestBody.replace("\n", "\\n") + "'";
        }
        StringBuilder sb = new StringBuilder();
        sb.append(str);
        sb.append(z ? " --compressed " : Padder.f14124a);
        sb.append(httpTransaction.getUrl());
        return sb.toString();
    }

    public static String f(Context context, HttpTransaction httpTransaction) {
        String str;
        String str2;
        StringBuilder sb = new StringBuilder();
        sb.append(((("" + context.getString(R.string.chuck_url) + ": " + g(httpTransaction.getUrl()) + "\n") + context.getString(R.string.chuck_method) + ": " + g(httpTransaction.getMethod()) + "\n") + context.getString(R.string.chuck_protocol) + ": " + g(httpTransaction.getProtocol()) + "\n") + context.getString(R.string.chuck_status) + ": " + g(httpTransaction.getStatus().toString()) + "\n");
        int i = R.string.chuck_response;
        sb.append(context.getString(i));
        sb.append(": ");
        sb.append(g(httpTransaction.getResponseSummaryText()));
        sb.append("\n");
        String sb2 = sb.toString();
        StringBuilder sb3 = new StringBuilder();
        sb3.append(sb2);
        sb3.append(context.getString(R.string.chuck_ssl));
        sb3.append(": ");
        sb3.append(g(context.getString(httpTransaction.isSsl() ? R.string.chuck_yes : R.string.chuck_no)));
        sb3.append("\n");
        String str3 = (((((((((sb3.toString() + "\n") + context.getString(R.string.chuck_request_time) + ": " + g(httpTransaction.getRequestDateString()) + "\n") + context.getString(R.string.chuck_response_time) + ": " + g(httpTransaction.getResponseDateString()) + "\n") + context.getString(R.string.chuck_duration) + ": " + g(httpTransaction.getDurationString()) + "\n") + "\n") + context.getString(R.string.chuck_request_size) + ": " + g(httpTransaction.getRequestSizeString()) + "\n") + context.getString(R.string.chuck_response_size) + ": " + g(httpTransaction.getResponseSizeString()) + "\n") + context.getString(R.string.chuck_total_size) + ": " + g(httpTransaction.getTotalSizeString()) + "\n") + "\n") + "---------- " + context.getString(R.string.chuck_request) + " ----------\n\n";
        String b2 = b(httpTransaction.getRequestHeaders(), false);
        if (!TextUtils.isEmpty(b2)) {
            str3 = str3 + b2 + "\n";
        }
        StringBuilder sb4 = new StringBuilder();
        sb4.append(str3);
        if (httpTransaction.requestBodyIsPlainText()) {
            str = g(httpTransaction.getFormattedRequestBody());
        } else {
            str = context.getString(R.string.chuck_body_omitted);
        }
        sb4.append(str);
        String str4 = (sb4.toString() + "\n\n") + "---------- " + context.getString(i) + " ----------\n\n";
        String b3 = b(httpTransaction.getResponseHeaders(), false);
        if (!TextUtils.isEmpty(b3)) {
            str4 = str4 + b3 + "\n";
        }
        StringBuilder sb5 = new StringBuilder();
        sb5.append(str4);
        if (httpTransaction.responseBodyIsPlainText()) {
            str2 = g(httpTransaction.getFormattedResponseBody());
        } else {
            str2 = context.getString(R.string.chuck_body_omitted);
        }
        sb5.append(str2);
        return sb5.toString();
    }

    private static String g(String str) {
        return str != null ? str : "";
    }
}
