package com.scwang.smartrefresh.layout.footer;

import android.animation.TimeInterpolator;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.animation.AccelerateDecelerateInterpolator;
import androidx.annotation.ColorInt;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.graphics.g;
import com.scwang.smartrefresh.layout.R;
import com.scwang.smartrefresh.layout.b.f;
import com.scwang.smartrefresh.layout.b.j;
import com.scwang.smartrefresh.layout.constant.b;
import com.scwang.smartrefresh.layout.internal.InternalAbstract;

public class BallPulseFooter extends InternalAbstract implements f {
    protected boolean J0;
    protected boolean K0;
    protected Paint L0;
    protected int M0;
    protected int N0;
    protected float O0;
    protected long P0;
    protected boolean Q0;
    protected TimeInterpolator R0;

    public BallPulseFooter(Context context) {
        this(context, null);
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, com.scwang.smartrefresh.layout.b.h
    public void c(@NonNull j jVar, int i, int i2) {
        if (!this.Q0) {
            invalidate();
            this.Q0 = true;
            this.P0 = System.currentTimeMillis();
            this.L0.setColor(this.N0);
        }
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(Canvas canvas) {
        int width = getWidth();
        int height = getHeight();
        float f = this.O0;
        float min = (((float) Math.min(width, height)) - (f * 2.0f)) / 6.0f;
        float f2 = min * 2.0f;
        float f3 = (((float) width) / 2.0f) - (f + f2);
        float f4 = ((float) height) / 2.0f;
        long currentTimeMillis = System.currentTimeMillis();
        int i = 0;
        while (i < 3) {
            int i2 = i + 1;
            long j = (currentTimeMillis - this.P0) - ((long) (i2 * 120));
            float interpolation = this.R0.getInterpolation(j > 0 ? ((float) (j % 750)) / 750.0f : 0.0f);
            canvas.save();
            float f5 = (float) i;
            canvas.translate((f2 * f5) + f3 + (this.O0 * f5), f4);
            if (((double) interpolation) < 0.5d) {
                float f6 = 1.0f - ((interpolation * 2.0f) * 0.7f);
                canvas.scale(f6, f6);
            } else {
                float f7 = ((interpolation * 2.0f) * 0.7f) - 0.4f;
                canvas.scale(f7, f7);
            }
            canvas.drawCircle(0.0f, 0.0f, min, this.L0);
            canvas.restore();
            i = i2;
        }
        super.dispatchDraw(canvas);
        if (this.Q0) {
            invalidate();
        }
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, com.scwang.smartrefresh.layout.b.h
    public int e(@NonNull j jVar, boolean z) {
        this.Q0 = false;
        this.P0 = 0;
        this.L0.setColor(this.M0);
        return 0;
    }

    public BallPulseFooter k(@ColorInt int i) {
        this.N0 = i;
        this.K0 = true;
        if (this.Q0) {
            this.L0.setColor(i);
        }
        return this;
    }

    public BallPulseFooter m(@ColorInt int i) {
        this.M0 = i;
        this.J0 = true;
        if (!this.Q0) {
            this.L0.setColor(i);
        }
        return this;
    }

    public BallPulseFooter n(b bVar) {
        this.f20934b = bVar;
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, com.scwang.smartrefresh.layout.b.h
    @Deprecated
    public void setPrimaryColors(@ColorInt int... iArr) {
        if (!this.K0 && iArr.length > 1) {
            k(iArr[0]);
            this.K0 = false;
        }
        if (!this.J0) {
            if (iArr.length > 1) {
                m(iArr[1]);
            } else if (iArr.length > 0) {
                m(g.t(-1711276033, iArr[0]));
            }
            this.J0 = false;
        }
    }

    public BallPulseFooter(Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet, 0);
        this.M0 = -1118482;
        this.N0 = -1615546;
        this.P0 = 0;
        this.Q0 = false;
        this.R0 = new AccelerateDecelerateInterpolator();
        setMinimumHeight(com.scwang.smartrefresh.layout.d.b.d(60.0f));
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.BallPulseFooter);
        Paint paint = new Paint();
        this.L0 = paint;
        paint.setColor(-1);
        this.L0.setStyle(Paint.Style.FILL);
        this.L0.setAntiAlias(true);
        b bVar = b.f20911a;
        this.f20934b = bVar;
        this.f20934b = b.f[obtainStyledAttributes.getInt(R.styleable.BallPulseFooter_srlClassicsSpinnerStyle, bVar.g)];
        int i = R.styleable.BallPulseFooter_srlNormalColor;
        if (obtainStyledAttributes.hasValue(i)) {
            m(obtainStyledAttributes.getColor(i, 0));
        }
        int i2 = R.styleable.BallPulseFooter_srlAnimatingColor;
        if (obtainStyledAttributes.hasValue(i2)) {
            k(obtainStyledAttributes.getColor(i2, 0));
        }
        obtainStyledAttributes.recycle();
        this.O0 = (float) com.scwang.smartrefresh.layout.d.b.d(4.0f);
    }
}
