package com.scwang.smartrefresh.layout.internal;

import android.content.Context;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.core.content.d;
import com.scwang.smartrefresh.layout.R;
import com.scwang.smartrefresh.layout.b.h;
import com.scwang.smartrefresh.layout.b.i;
import com.scwang.smartrefresh.layout.b.j;
import com.scwang.smartrefresh.layout.constant.b;
import com.scwang.smartrefresh.layout.internal.InternalClassics;

public abstract class InternalClassics<T extends InternalClassics> extends InternalAbstract implements h {
    public static final int J0 = R.id.srl_classics_title;
    public static final int K0 = R.id.srl_classics_arrow;
    public static final int L0 = R.id.srl_classics_progress;
    protected TextView M0;
    protected ImageView N0;
    protected ImageView O0;
    protected i P0;
    protected b Q0;
    protected b R0;
    protected boolean S0;
    protected boolean T0;
    protected int U0;
    protected int V0 = 500;
    protected int W0 = 20;
    protected int X0 = 20;
    protected int Y0 = 0;

    public InternalClassics(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f20934b = b.f20911a;
    }

    public T A(b bVar) {
        this.f20934b = bVar;
        return k();
    }

    public T B(float f) {
        this.M0.setTextSize(f);
        i iVar = this.P0;
        if (iVar != null) {
            iVar.a(this);
        }
        return k();
    }

    @Override // com.scwang.smartrefresh.layout.b.h, com.scwang.smartrefresh.layout.internal.InternalAbstract
    public void c(@NonNull j jVar, int i, int i2) {
        ImageView imageView = this.O0;
        if (imageView.getVisibility() != 0) {
            imageView.setVisibility(0);
            Drawable drawable = this.O0.getDrawable();
            if (drawable instanceof Animatable) {
                ((Animatable) drawable).start();
            } else {
                imageView.animate().rotation(36000.0f).setDuration(100000);
            }
        }
    }

    @Override // com.scwang.smartrefresh.layout.b.h, com.scwang.smartrefresh.layout.internal.InternalAbstract
    public int e(@NonNull j jVar, boolean z) {
        ImageView imageView = this.O0;
        Drawable drawable = imageView.getDrawable();
        if (drawable instanceof Animatable) {
            Animatable animatable = (Animatable) drawable;
            if (animatable.isRunning()) {
                animatable.stop();
            }
        } else {
            imageView.animate().rotation(0.0f).setDuration(0);
        }
        imageView.setVisibility(8);
        return this.V0;
    }

    @Override // com.scwang.smartrefresh.layout.b.h, com.scwang.smartrefresh.layout.internal.InternalAbstract
    public void h(@NonNull j jVar, int i, int i2) {
        c(jVar, i, i2);
    }

    @Override // com.scwang.smartrefresh.layout.b.h, com.scwang.smartrefresh.layout.internal.InternalAbstract
    public void i(@NonNull i iVar, int i, int i2) {
        this.P0 = iVar;
        iVar.l(this, this.U0);
    }

    /* access modifiers changed from: protected */
    public T k() {
        return this;
    }

    public T m(@ColorInt int i) {
        this.S0 = true;
        this.M0.setTextColor(i);
        b bVar = this.Q0;
        if (bVar != null) {
            bVar.a(i);
            this.N0.invalidateDrawable(this.Q0);
        }
        b bVar2 = this.R0;
        if (bVar2 != null) {
            bVar2.a(i);
            this.O0.invalidateDrawable(this.R0);
        }
        return k();
    }

    public T n(@ColorRes int i) {
        m(d.f(getContext(), i));
        return k();
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (Build.VERSION.SDK_INT >= 14) {
            ImageView imageView = this.N0;
            ImageView imageView2 = this.O0;
            imageView.animate().cancel();
            imageView2.animate().cancel();
        }
        Drawable drawable = this.O0.getDrawable();
        if (drawable instanceof Animatable) {
            Animatable animatable = (Animatable) drawable;
            if (animatable.isRunning()) {
                animatable.stop();
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        if (this.Y0 == 0) {
            this.W0 = getPaddingTop();
            int paddingBottom = getPaddingBottom();
            this.X0 = paddingBottom;
            if (this.W0 == 0 || paddingBottom == 0) {
                int paddingLeft = getPaddingLeft();
                int paddingRight = getPaddingRight();
                int i3 = this.W0;
                if (i3 == 0) {
                    i3 = com.scwang.smartrefresh.layout.d.b.d(20.0f);
                }
                this.W0 = i3;
                int i4 = this.X0;
                if (i4 == 0) {
                    i4 = com.scwang.smartrefresh.layout.d.b.d(20.0f);
                }
                this.X0 = i4;
                setPadding(paddingLeft, this.W0, paddingRight, i4);
            }
            setClipToPadding(false);
        }
        if (View.MeasureSpec.getMode(i2) == 1073741824) {
            int size = View.MeasureSpec.getSize(i2);
            int i5 = this.Y0;
            if (size < i5) {
                int i6 = (size - i5) / 2;
                setPadding(getPaddingLeft(), i6, getPaddingRight(), i6);
            } else {
                setPadding(getPaddingLeft(), 0, getPaddingRight(), 0);
            }
        } else {
            setPadding(getPaddingLeft(), this.W0, getPaddingRight(), this.X0);
        }
        super.onMeasure(i, i2);
        if (this.Y0 == 0) {
            for (int i7 = 0; i7 < getChildCount(); i7++) {
                int measuredHeight = getChildAt(i7).getMeasuredHeight();
                if (this.Y0 < measuredHeight) {
                    this.Y0 = measuredHeight;
                }
            }
        }
    }

    public T p(Drawable drawable) {
        this.Q0 = null;
        this.N0.setImageDrawable(drawable);
        return k();
    }

    public T q(@DrawableRes int i) {
        this.Q0 = null;
        this.N0.setImageResource(i);
        return k();
    }

    public T r(float f) {
        ImageView imageView = this.N0;
        ViewGroup.LayoutParams layoutParams = imageView.getLayoutParams();
        int d2 = com.scwang.smartrefresh.layout.d.b.d(f);
        layoutParams.width = d2;
        layoutParams.height = d2;
        imageView.setLayoutParams(layoutParams);
        return k();
    }

    public T s(float f) {
        ImageView imageView = this.N0;
        ImageView imageView2 = this.O0;
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) imageView.getLayoutParams();
        ViewGroup.MarginLayoutParams marginLayoutParams2 = (ViewGroup.MarginLayoutParams) imageView2.getLayoutParams();
        int d2 = com.scwang.smartrefresh.layout.d.b.d(f);
        marginLayoutParams2.rightMargin = d2;
        marginLayoutParams.rightMargin = d2;
        imageView.setLayoutParams(marginLayoutParams);
        imageView2.setLayoutParams(marginLayoutParams2);
        return k();
    }

    @Override // com.scwang.smartrefresh.layout.b.h, com.scwang.smartrefresh.layout.internal.InternalAbstract
    public void setPrimaryColors(@ColorInt int... iArr) {
        if (iArr.length > 0) {
            if (!(getBackground() instanceof BitmapDrawable) && !this.T0) {
                w(iArr[0]);
                this.T0 = false;
            }
            if (!this.S0) {
                if (iArr.length > 1) {
                    m(iArr[1]);
                } else {
                    int i = -1;
                    if (iArr[0] == -1) {
                        i = -10066330;
                    }
                    m(i);
                }
                this.S0 = false;
            }
        }
    }

    public T t(float f) {
        ImageView imageView = this.O0;
        ViewGroup.LayoutParams layoutParams = imageView.getLayoutParams();
        int d2 = com.scwang.smartrefresh.layout.d.b.d(f);
        layoutParams.width = d2;
        layoutParams.height = d2;
        imageView.setLayoutParams(layoutParams);
        return k();
    }

    public T u(float f) {
        ImageView imageView = this.N0;
        ImageView imageView2 = this.O0;
        ViewGroup.LayoutParams layoutParams = imageView.getLayoutParams();
        ViewGroup.LayoutParams layoutParams2 = imageView2.getLayoutParams();
        int d2 = com.scwang.smartrefresh.layout.d.b.d(f);
        layoutParams2.width = d2;
        layoutParams.width = d2;
        int d3 = com.scwang.smartrefresh.layout.d.b.d(f);
        layoutParams2.height = d3;
        layoutParams.height = d3;
        imageView.setLayoutParams(layoutParams);
        imageView2.setLayoutParams(layoutParams2);
        return k();
    }

    public T v(int i) {
        this.V0 = i;
        return k();
    }

    public T w(@ColorInt int i) {
        this.T0 = true;
        this.U0 = i;
        i iVar = this.P0;
        if (iVar != null) {
            iVar.l(this, i);
        }
        return k();
    }

    public T x(@ColorRes int i) {
        w(d.f(getContext(), i));
        return k();
    }

    public T y(Drawable drawable) {
        this.R0 = null;
        this.O0.setImageDrawable(drawable);
        return k();
    }

    public T z(@DrawableRes int i) {
        this.R0 = null;
        this.O0.setImageResource(i);
        return k();
    }
}
