package org.nanohttpd.protocols.http.tempfiles;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import org.nanohttpd.protocols.http.NanoHTTPD;

public class DefaultTempFile implements ITempFile {
    private final File file;
    private final OutputStream fstream;

    public DefaultTempFile(File file2) throws IOException {
        File createTempFile = File.createTempFile("NanoHTTPD-", "", file2);
        this.file = createTempFile;
        this.fstream = new FileOutputStream(createTempFile);
    }

    @Override // org.nanohttpd.protocols.http.tempfiles.ITempFile
    public void delete() throws Exception {
        NanoHTTPD.safeClose(this.fstream);
        if (!this.file.delete()) {
            throw new Exception("could not delete temporary file: " + this.file.getAbsolutePath());
        }
    }

    @Override // org.nanohttpd.protocols.http.tempfiles.ITempFile
    public String getName() {
        return this.file.getAbsolutePath();
    }

    @Override // org.nanohttpd.protocols.http.tempfiles.ITempFile
    public OutputStream open() throws Exception {
        return this.fstream;
    }
}
