package org.nanohttpd.protocols.http.tempfiles;

import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import org.nanohttpd.protocols.http.NanoHTTPD;

public class DefaultTempFileManager implements ITempFileManager {
    private final List<ITempFile> tempFiles;
    private final File tmpdir;

    public DefaultTempFileManager() {
        File file = new File(System.getProperty("java.io.tmpdir"));
        this.tmpdir = file;
        if (!file.exists()) {
            file.mkdirs();
        }
        this.tempFiles = new ArrayList();
    }

    @Override // org.nanohttpd.protocols.http.tempfiles.ITempFileManager
    public void clear() {
        for (ITempFile iTempFile : this.tempFiles) {
            try {
                iTempFile.delete();
            } catch (Exception e2) {
                NanoHTTPD.LOG.log(Level.WARNING, "could not delete file ", (Throwable) e2);
            }
        }
        this.tempFiles.clear();
    }

    @Override // org.nanohttpd.protocols.http.tempfiles.ITempFileManager
    public ITempFile createTempFile(String str) throws Exception {
        DefaultTempFile defaultTempFile = new DefaultTempFile(this.tmpdir);
        this.tempFiles.add(defaultTempFile);
        return defaultTempFile;
    }
}
