package androidx.activity;

import androidx.annotation.MainThread;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.i;
import androidx.lifecycle.l;
import java.util.ArrayDeque;
import java.util.Iterator;

public final class OnBackPressedDispatcher {
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    private final Runnable f63a;

    /* renamed from: b  reason: collision with root package name */
    final ArrayDeque<b> f64b;

    private class LifecycleOnBackPressedCancellable implements i, a {
        @Nullable
        private a I0;

        /* renamed from: a  reason: collision with root package name */
        private final Lifecycle f65a;

        /* renamed from: b  reason: collision with root package name */
        private final b f66b;

        LifecycleOnBackPressedCancellable(@NonNull Lifecycle lifecycle, @NonNull b bVar) {
            this.f65a = lifecycle;
            this.f66b = bVar;
            lifecycle.a(this);
        }

        @Override // androidx.activity.a
        public void cancel() {
            this.f65a.c(this);
            this.f66b.e(this);
            a aVar = this.I0;
            if (aVar != null) {
                aVar.cancel();
                this.I0 = null;
            }
        }

        @Override // androidx.lifecycle.i
        public void onStateChanged(@NonNull l lVar, @NonNull Lifecycle.Event event) {
            if (event == Lifecycle.Event.ON_START) {
                this.I0 = OnBackPressedDispatcher.this.c(this.f66b);
            } else if (event == Lifecycle.Event.ON_STOP) {
                a aVar = this.I0;
                if (aVar != null) {
                    aVar.cancel();
                }
            } else if (event == Lifecycle.Event.ON_DESTROY) {
                cancel();
            }
        }
    }

    /* access modifiers changed from: private */
    public class a implements a {

        /* renamed from: a  reason: collision with root package name */
        private final b f67a;

        a(b bVar) {
            this.f67a = bVar;
        }

        @Override // androidx.activity.a
        public void cancel() {
            OnBackPressedDispatcher.this.f64b.remove(this.f67a);
            this.f67a.e(this);
        }
    }

    public OnBackPressedDispatcher() {
        this(null);
    }

    @MainThread
    public void a(@NonNull b bVar) {
        c(bVar);
    }

    @MainThread
    public void b(@NonNull l lVar, @NonNull b bVar) {
        Lifecycle lifecycle = lVar.getLifecycle();
        if (lifecycle.b() != Lifecycle.State.DESTROYED) {
            bVar.a(new LifecycleOnBackPressedCancellable(lifecycle, bVar));
        }
    }

    /* access modifiers changed from: package-private */
    @NonNull
    @MainThread
    public a c(@NonNull b bVar) {
        this.f64b.add(bVar);
        a aVar = new a(bVar);
        bVar.a(aVar);
        return aVar;
    }

    @MainThread
    public boolean d() {
        Iterator<b> descendingIterator = this.f64b.descendingIterator();
        while (descendingIterator.hasNext()) {
            if (descendingIterator.next().c()) {
                return true;
            }
        }
        return false;
    }

    @MainThread
    public void e() {
        Iterator<b> descendingIterator = this.f64b.descendingIterator();
        while (descendingIterator.hasNext()) {
            b next = descendingIterator.next();
            if (next.c()) {
                next.b();
                return;
            }
        }
        Runnable runnable = this.f63a;
        if (runnable != null) {
            runnable.run();
        }
    }

    public OnBackPressedDispatcher(@Nullable Runnable runnable) {
        this.f64b = new ArrayDeque<>();
        this.f63a = runnable;
    }
}
