package androidx.appcompat.a.a;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.util.SparseArray;
import android.util.TypedValue;
import androidx.annotation.ColorRes;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.v;
import androidx.core.content.d;
import java.util.WeakHashMap;

@SuppressLint({"RestrictedAPI"})
/* compiled from: AppCompatResources */
public final class a {

    /* renamed from: a  reason: collision with root package name */
    private static final String f75a = "AppCompatResources";

    /* renamed from: b  reason: collision with root package name */
    private static final ThreadLocal<TypedValue> f76b = new ThreadLocal<>();

    /* renamed from: c  reason: collision with root package name */
    private static final WeakHashMap<Context, SparseArray<C0000a>> f77c = new WeakHashMap<>(0);

    /* renamed from: d  reason: collision with root package name */
    private static final Object f78d = new Object();

    /* access modifiers changed from: private */
    /* renamed from: androidx.appcompat.a.a.a$a  reason: collision with other inner class name */
    /* compiled from: AppCompatResources */
    public static class C0000a {

        /* renamed from: a  reason: collision with root package name */
        final ColorStateList f79a;

        /* renamed from: b  reason: collision with root package name */
        final Configuration f80b;

        C0000a(@NonNull ColorStateList colorStateList, @NonNull Configuration configuration) {
            this.f79a = colorStateList;
            this.f80b = configuration;
        }
    }

    private a() {
    }

    private static void a(@NonNull Context context, @ColorRes int i, @NonNull ColorStateList colorStateList) {
        synchronized (f78d) {
            WeakHashMap<Context, SparseArray<C0000a>> weakHashMap = f77c;
            SparseArray<C0000a> sparseArray = weakHashMap.get(context);
            if (sparseArray == null) {
                sparseArray = new SparseArray<>();
                weakHashMap.put(context, sparseArray);
            }
            sparseArray.append(i, new C0000a(colorStateList, context.getResources().getConfiguration()));
        }
    }

    @Nullable
    private static ColorStateList b(@NonNull Context context, @ColorRes int i) {
        C0000a aVar;
        synchronized (f78d) {
            SparseArray<C0000a> sparseArray = f77c.get(context);
            if (!(sparseArray == null || sparseArray.size() <= 0 || (aVar = sparseArray.get(i)) == null)) {
                if (aVar.f80b.equals(context.getResources().getConfiguration())) {
                    return aVar.f79a;
                }
                sparseArray.remove(i);
            }
            return null;
        }
    }

    public static ColorStateList c(@NonNull Context context, @ColorRes int i) {
        if (Build.VERSION.SDK_INT >= 23) {
            return context.getColorStateList(i);
        }
        ColorStateList b2 = b(context, i);
        if (b2 != null) {
            return b2;
        }
        ColorStateList f = f(context, i);
        if (f == null) {
            return d.g(context, i);
        }
        a(context, i, f);
        return f;
    }

    @Nullable
    public static Drawable d(@NonNull Context context, @DrawableRes int i) {
        return v.h().j(context, i);
    }

    @NonNull
    private static TypedValue e() {
        ThreadLocal<TypedValue> threadLocal = f76b;
        TypedValue typedValue = threadLocal.get();
        if (typedValue != null) {
            return typedValue;
        }
        TypedValue typedValue2 = new TypedValue();
        threadLocal.set(typedValue2);
        return typedValue2;
    }

    @Nullable
    private static ColorStateList f(Context context, int i) {
        if (g(context, i)) {
            return null;
        }
        Resources resources = context.getResources();
        try {
            return androidx.core.content.res.a.a(resources, resources.getXml(i), context.getTheme());
        } catch (Exception e2) {
            Log.e(f75a, "Failed to inflate ColorStateList, leaving it to the framework", e2);
            return null;
        }
    }

    private static boolean g(@NonNull Context context, @ColorRes int i) {
        Resources resources = context.getResources();
        TypedValue e2 = e();
        resources.getValue(i, e2, true);
        int i2 = e2.type;
        if (i2 < 28 || i2 > 31) {
            return false;
        }
        return true;
    }
}
