package androidx.appcompat.app;

import android.app.ActionBar;
import android.app.Activity;
import android.content.Context;
import android.content.res.Configuration;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.view.MenuItem;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.StringRes;
import androidx.appcompat.app.b;
import androidx.appcompat.graphics.drawable.DrawerArrowDrawable;
import androidx.appcompat.widget.Toolbar;
import androidx.core.view.GravityCompat;
import androidx.drawerlayout.widget.DrawerLayout;

/* compiled from: ActionBarDrawerToggle */
public class a implements DrawerLayout.d {

    /* renamed from: a  reason: collision with root package name */
    private final b f152a;

    /* renamed from: b  reason: collision with root package name */
    private final DrawerLayout f153b;

    /* renamed from: c  reason: collision with root package name */
    private DrawerArrowDrawable f154c;

    /* renamed from: d  reason: collision with root package name */
    private boolean f155d;

    /* renamed from: e  reason: collision with root package name */
    private Drawable f156e;
    boolean f;
    private boolean g;
    private final int h;
    private final int i;
    View.OnClickListener j;
    private boolean k;

    /* renamed from: androidx.appcompat.app.a$a  reason: collision with other inner class name */
    /* compiled from: ActionBarDrawerToggle */
    class View$OnClickListenerC0001a implements View.OnClickListener {
        View$OnClickListenerC0001a() {
        }

        public void onClick(View view) {
            a aVar = a.this;
            if (aVar.f) {
                aVar.v();
                return;
            }
            View.OnClickListener onClickListener = aVar.j;
            if (onClickListener != null) {
                onClickListener.onClick(view);
            }
        }
    }

    /* compiled from: ActionBarDrawerToggle */
    public interface b {
        void a(Drawable drawable, @StringRes int i);

        Drawable b();

        void c(@StringRes int i);

        boolean d();

        Context e();
    }

    /* compiled from: ActionBarDrawerToggle */
    public interface c {
        @Nullable
        b getDrawerToggleDelegate();
    }

    /* compiled from: ActionBarDrawerToggle */
    private static class d implements b {

        /* renamed from: a  reason: collision with root package name */
        private final Activity f158a;

        /* renamed from: b  reason: collision with root package name */
        private b.a f159b;

        d(Activity activity) {
            this.f158a = activity;
        }

        @Override // androidx.appcompat.app.a.b
        public void a(Drawable drawable, int i) {
            ActionBar actionBar = this.f158a.getActionBar();
            if (actionBar == null) {
                return;
            }
            if (Build.VERSION.SDK_INT >= 18) {
                actionBar.setHomeAsUpIndicator(drawable);
                actionBar.setHomeActionContentDescription(i);
                return;
            }
            actionBar.setDisplayShowHomeEnabled(true);
            this.f159b = b.c(this.f158a, drawable, i);
            actionBar.setDisplayShowHomeEnabled(false);
        }

        @Override // androidx.appcompat.app.a.b
        public Drawable b() {
            if (Build.VERSION.SDK_INT < 18) {
                return b.a(this.f158a);
            }
            TypedArray obtainStyledAttributes = e().obtainStyledAttributes(null, new int[]{16843531}, 16843470, 0);
            Drawable drawable = obtainStyledAttributes.getDrawable(0);
            obtainStyledAttributes.recycle();
            return drawable;
        }

        @Override // androidx.appcompat.app.a.b
        public void c(int i) {
            if (Build.VERSION.SDK_INT >= 18) {
                ActionBar actionBar = this.f158a.getActionBar();
                if (actionBar != null) {
                    actionBar.setHomeActionContentDescription(i);
                    return;
                }
                return;
            }
            this.f159b = b.b(this.f159b, this.f158a, i);
        }

        @Override // androidx.appcompat.app.a.b
        public boolean d() {
            ActionBar actionBar = this.f158a.getActionBar();
            return (actionBar == null || (actionBar.getDisplayOptions() & 4) == 0) ? false : true;
        }

        @Override // androidx.appcompat.app.a.b
        public Context e() {
            ActionBar actionBar = this.f158a.getActionBar();
            if (actionBar != null) {
                return actionBar.getThemedContext();
            }
            return this.f158a;
        }
    }

    /* compiled from: ActionBarDrawerToggle */
    static class e implements b {

        /* renamed from: a  reason: collision with root package name */
        final Toolbar f160a;

        /* renamed from: b  reason: collision with root package name */
        final Drawable f161b;

        /* renamed from: c  reason: collision with root package name */
        final CharSequence f162c;

        e(Toolbar toolbar) {
            this.f160a = toolbar;
            this.f161b = toolbar.getNavigationIcon();
            this.f162c = toolbar.getNavigationContentDescription();
        }

        @Override // androidx.appcompat.app.a.b
        public void a(Drawable drawable, @StringRes int i) {
            this.f160a.setNavigationIcon(drawable);
            c(i);
        }

        @Override // androidx.appcompat.app.a.b
        public Drawable b() {
            return this.f161b;
        }

        @Override // androidx.appcompat.app.a.b
        public void c(@StringRes int i) {
            if (i == 0) {
                this.f160a.setNavigationContentDescription(this.f162c);
            } else {
                this.f160a.setNavigationContentDescription(i);
            }
        }

        @Override // androidx.appcompat.app.a.b
        public boolean d() {
            return true;
        }

        @Override // androidx.appcompat.app.a.b
        public Context e() {
            return this.f160a.getContext();
        }
    }

    public a(Activity activity, DrawerLayout drawerLayout, @StringRes int i2, @StringRes int i3) {
        this(activity, null, drawerLayout, null, i2, i3);
    }

    private void s(float f2) {
        if (f2 == 1.0f) {
            this.f154c.u(true);
        } else if (f2 == 0.0f) {
            this.f154c.u(false);
        }
        this.f154c.s(f2);
    }

    @Override // androidx.drawerlayout.widget.DrawerLayout.d
    public void a(View view) {
        s(1.0f);
        if (this.f) {
            l(this.i);
        }
    }

    @Override // androidx.drawerlayout.widget.DrawerLayout.d
    public void b(View view) {
        s(0.0f);
        if (this.f) {
            l(this.h);
        }
    }

    @Override // androidx.drawerlayout.widget.DrawerLayout.d
    public void c(int i2) {
    }

    @Override // androidx.drawerlayout.widget.DrawerLayout.d
    public void d(View view, float f2) {
        if (this.f155d) {
            s(Math.min(1.0f, Math.max(0.0f, f2)));
        } else {
            s(0.0f);
        }
    }

    @NonNull
    public DrawerArrowDrawable e() {
        return this.f154c;
    }

    /* access modifiers changed from: package-private */
    public Drawable f() {
        return this.f152a.b();
    }

    public View.OnClickListener g() {
        return this.j;
    }

    public boolean h() {
        return this.f;
    }

    public boolean i() {
        return this.f155d;
    }

    public void j(Configuration configuration) {
        if (!this.g) {
            this.f156e = f();
        }
        u();
    }

    public boolean k(MenuItem menuItem) {
        if (menuItem == null || menuItem.getItemId() != 16908332 || !this.f) {
            return false;
        }
        v();
        return true;
    }

    /* access modifiers changed from: package-private */
    public void l(int i2) {
        this.f152a.c(i2);
    }

    /* access modifiers changed from: package-private */
    public void m(Drawable drawable, int i2) {
        if (!this.k && !this.f152a.d()) {
            Log.w("ActionBarDrawerToggle", "DrawerToggle may not show up because NavigationIcon is not visible. You may need to call actionbar.setDisplayHomeAsUpEnabled(true);");
            this.k = true;
        }
        this.f152a.a(drawable, i2);
    }

    public void n(@NonNull DrawerArrowDrawable drawerArrowDrawable) {
        this.f154c = drawerArrowDrawable;
        u();
    }

    public void o(boolean z) {
        if (z != this.f) {
            if (z) {
                m(this.f154c, this.f153b.C(GravityCompat.START) ? this.i : this.h);
            } else {
                m(this.f156e, 0);
            }
            this.f = z;
        }
    }

    public void p(boolean z) {
        this.f155d = z;
        if (!z) {
            s(0.0f);
        }
    }

    public void q(int i2) {
        r(i2 != 0 ? this.f153b.getResources().getDrawable(i2) : null);
    }

    public void r(Drawable drawable) {
        if (drawable == null) {
            this.f156e = f();
            this.g = false;
        } else {
            this.f156e = drawable;
            this.g = true;
        }
        if (!this.f) {
            m(this.f156e, 0);
        }
    }

    public void t(View.OnClickListener onClickListener) {
        this.j = onClickListener;
    }

    public void u() {
        if (this.f153b.C(GravityCompat.START)) {
            s(1.0f);
        } else {
            s(0.0f);
        }
        if (this.f) {
            m(this.f154c, this.f153b.C(GravityCompat.START) ? this.i : this.h);
        }
    }

    /* access modifiers changed from: package-private */
    public void v() {
        int q = this.f153b.q(GravityCompat.START);
        if (this.f153b.F(GravityCompat.START) && q != 2) {
            this.f153b.d(GravityCompat.START);
        } else if (q != 1) {
            this.f153b.K(GravityCompat.START);
        }
    }

    public a(Activity activity, DrawerLayout drawerLayout, Toolbar toolbar, @StringRes int i2, @StringRes int i3) {
        this(activity, toolbar, drawerLayout, null, i2, i3);
    }

    a(Activity activity, Toolbar toolbar, DrawerLayout drawerLayout, DrawerArrowDrawable drawerArrowDrawable, @StringRes int i2, @StringRes int i3) {
        this.f155d = true;
        this.f = true;
        this.k = false;
        if (toolbar != null) {
            this.f152a = new e(toolbar);
            toolbar.setNavigationOnClickListener(new View$OnClickListenerC0001a());
        } else if (activity instanceof c) {
            this.f152a = ((c) activity).getDrawerToggleDelegate();
        } else {
            this.f152a = new d(activity);
        }
        this.f153b = drawerLayout;
        this.h = i2;
        this.i = i3;
        if (drawerArrowDrawable == null) {
            this.f154c = new DrawerArrowDrawable(this.f152a.e());
        } else {
            this.f154c = drawerArrowDrawable;
        }
        this.f156e = f();
    }
}
