package androidx.appcompat.app;

import android.app.ActionBar;
import android.app.Activity;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import java.lang.reflect.Method;

/* compiled from: ActionBarDrawerToggleHoneycomb */
class b {

    /* renamed from: a  reason: collision with root package name */
    private static final String f163a = "ActionBarDrawerToggleHC";

    /* renamed from: b  reason: collision with root package name */
    private static final int[] f164b = {16843531};

    /* compiled from: ActionBarDrawerToggleHoneycomb */
    static class a {

        /* renamed from: a  reason: collision with root package name */
        public Method f165a;

        /* renamed from: b  reason: collision with root package name */
        public Method f166b;

        /* renamed from: c  reason: collision with root package name */
        public ImageView f167c;

        a(Activity activity) {
            try {
                this.f165a = ActionBar.class.getDeclaredMethod("setHomeAsUpIndicator", Drawable.class);
                this.f166b = ActionBar.class.getDeclaredMethod("setHomeActionContentDescription", Integer.TYPE);
            } catch (NoSuchMethodException unused) {
                View findViewById = activity.findViewById(16908332);
                if (findViewById != null) {
                    ViewGroup viewGroup = (ViewGroup) findViewById.getParent();
                    if (viewGroup.getChildCount() == 2) {
                        View childAt = viewGroup.getChildAt(0);
                        childAt = childAt.getId() == 16908332 ? viewGroup.getChildAt(1) : childAt;
                        if (childAt instanceof ImageView) {
                            this.f167c = (ImageView) childAt;
                        }
                    }
                }
            }
        }
    }

    private b() {
    }

    public static Drawable a(Activity activity) {
        TypedArray obtainStyledAttributes = activity.obtainStyledAttributes(f164b);
        Drawable drawable = obtainStyledAttributes.getDrawable(0);
        obtainStyledAttributes.recycle();
        return drawable;
    }

    public static a b(a aVar, Activity activity, int i) {
        if (aVar == null) {
            aVar = new a(activity);
        }
        if (aVar.f165a != null) {
            try {
                ActionBar actionBar = activity.getActionBar();
                aVar.f166b.invoke(actionBar, Integer.valueOf(i));
                if (Build.VERSION.SDK_INT <= 19) {
                    actionBar.setSubtitle(actionBar.getSubtitle());
                }
            } catch (Exception e2) {
                Log.w(f163a, "Couldn't set content description via JB-MR2 API", e2);
            }
        }
        return aVar;
    }

    public static a c(Activity activity, Drawable drawable, int i) {
        a aVar = new a(activity);
        if (aVar.f165a != null) {
            try {
                ActionBar actionBar = activity.getActionBar();
                aVar.f165a.invoke(actionBar, drawable);
                aVar.f166b.invoke(actionBar, Integer.valueOf(i));
            } catch (Exception e2) {
                Log.w(f163a, "Couldn't set home-as-up indicator via JB-MR2 API", e2);
            }
        } else {
            ImageView imageView = aVar.f167c;
            if (imageView != null) {
                imageView.setImageDrawable(drawable);
            } else {
                Log.w(f163a, "Couldn't set home-as-up indicator");
            }
        }
        return aVar;
    }
}
