package androidx.appcompat.app;

import android.content.Context;
import android.content.DialogInterface;
import android.database.Cursor;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Message;
import android.util.TypedValue;
import android.view.ContextThemeWrapper;
import android.view.KeyEvent;
import android.view.View;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.ListAdapter;
import android.widget.ListView;
import androidx.annotation.ArrayRes;
import androidx.annotation.AttrRes;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.appcompat.R;
import androidx.appcompat.app.AlertController;

/* compiled from: AlertDialog */
public class c extends e implements DialogInterface {
    static final int I0 = 0;
    static final int J0 = 1;
    final AlertController K0;

    /* compiled from: AlertDialog */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        private final AlertController.f f168a;

        /* renamed from: b  reason: collision with root package name */
        private final int f169b;

        public a(@NonNull Context context) {
            this(context, c.h(context, 0));
        }

        public a A(DialogInterface.OnKeyListener onKeyListener) {
            this.f168a.u = onKeyListener;
            return this;
        }

        public a B(@StringRes int i, DialogInterface.OnClickListener onClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.i = fVar.f106a.getText(i);
            this.f168a.k = onClickListener;
            return this;
        }

        public a C(CharSequence charSequence, DialogInterface.OnClickListener onClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.i = charSequence;
            fVar.k = onClickListener;
            return this;
        }

        public a D(Drawable drawable) {
            this.f168a.j = drawable;
            return this;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public a E(boolean z) {
            this.f168a.Q = z;
            return this;
        }

        public a F(@ArrayRes int i, int i2, DialogInterface.OnClickListener onClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.v = fVar.f106a.getResources().getTextArray(i);
            AlertController.f fVar2 = this.f168a;
            fVar2.x = onClickListener;
            fVar2.I = i2;
            fVar2.H = true;
            return this;
        }

        public a G(Cursor cursor, int i, String str, DialogInterface.OnClickListener onClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.K = cursor;
            fVar.x = onClickListener;
            fVar.I = i;
            fVar.L = str;
            fVar.H = true;
            return this;
        }

        public a H(ListAdapter listAdapter, int i, DialogInterface.OnClickListener onClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.w = listAdapter;
            fVar.x = onClickListener;
            fVar.I = i;
            fVar.H = true;
            return this;
        }

        public a I(CharSequence[] charSequenceArr, int i, DialogInterface.OnClickListener onClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.v = charSequenceArr;
            fVar.x = onClickListener;
            fVar.I = i;
            fVar.H = true;
            return this;
        }

        public a J(@StringRes int i) {
            AlertController.f fVar = this.f168a;
            fVar.f = fVar.f106a.getText(i);
            return this;
        }

        public a K(@Nullable CharSequence charSequence) {
            this.f168a.f = charSequence;
            return this;
        }

        public a L(int i) {
            AlertController.f fVar = this.f168a;
            fVar.z = null;
            fVar.y = i;
            fVar.E = false;
            return this;
        }

        public a M(View view) {
            AlertController.f fVar = this.f168a;
            fVar.z = view;
            fVar.y = 0;
            fVar.E = false;
            return this;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        @Deprecated
        public a N(View view, int i, int i2, int i3, int i4) {
            AlertController.f fVar = this.f168a;
            fVar.z = view;
            fVar.y = 0;
            fVar.E = true;
            fVar.A = i;
            fVar.B = i2;
            fVar.C = i3;
            fVar.D = i4;
            return this;
        }

        public c O() {
            c a2 = a();
            a2.show();
            return a2;
        }

        @NonNull
        public c a() {
            c cVar = new c(this.f168a.f106a, this.f169b);
            this.f168a.a(cVar.K0);
            cVar.setCancelable(this.f168a.r);
            if (this.f168a.r) {
                cVar.setCanceledOnTouchOutside(true);
            }
            cVar.setOnCancelListener(this.f168a.s);
            cVar.setOnDismissListener(this.f168a.t);
            DialogInterface.OnKeyListener onKeyListener = this.f168a.u;
            if (onKeyListener != null) {
                cVar.setOnKeyListener(onKeyListener);
            }
            return cVar;
        }

        @NonNull
        public Context b() {
            return this.f168a.f106a;
        }

        public a c(ListAdapter listAdapter, DialogInterface.OnClickListener onClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.w = listAdapter;
            fVar.x = onClickListener;
            return this;
        }

        public a d(boolean z) {
            this.f168a.r = z;
            return this;
        }

        public a e(Cursor cursor, DialogInterface.OnClickListener onClickListener, String str) {
            AlertController.f fVar = this.f168a;
            fVar.K = cursor;
            fVar.L = str;
            fVar.x = onClickListener;
            return this;
        }

        public a f(@Nullable View view) {
            this.f168a.g = view;
            return this;
        }

        public a g(@DrawableRes int i) {
            this.f168a.f108c = i;
            return this;
        }

        public a h(@Nullable Drawable drawable) {
            this.f168a.f109d = drawable;
            return this;
        }

        public a i(@AttrRes int i) {
            TypedValue typedValue = new TypedValue();
            this.f168a.f106a.getTheme().resolveAttribute(i, typedValue, true);
            this.f168a.f108c = typedValue.resourceId;
            return this;
        }

        @Deprecated
        public a j(boolean z) {
            this.f168a.N = z;
            return this;
        }

        public a k(@ArrayRes int i, DialogInterface.OnClickListener onClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.v = fVar.f106a.getResources().getTextArray(i);
            this.f168a.x = onClickListener;
            return this;
        }

        public a l(CharSequence[] charSequenceArr, DialogInterface.OnClickListener onClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.v = charSequenceArr;
            fVar.x = onClickListener;
            return this;
        }

        public a m(@StringRes int i) {
            AlertController.f fVar = this.f168a;
            fVar.h = fVar.f106a.getText(i);
            return this;
        }

        public a n(@Nullable CharSequence charSequence) {
            this.f168a.h = charSequence;
            return this;
        }

        public a o(@ArrayRes int i, boolean[] zArr, DialogInterface.OnMultiChoiceClickListener onMultiChoiceClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.v = fVar.f106a.getResources().getTextArray(i);
            AlertController.f fVar2 = this.f168a;
            fVar2.J = onMultiChoiceClickListener;
            fVar2.F = zArr;
            fVar2.G = true;
            return this;
        }

        public a p(Cursor cursor, String str, String str2, DialogInterface.OnMultiChoiceClickListener onMultiChoiceClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.K = cursor;
            fVar.J = onMultiChoiceClickListener;
            fVar.M = str;
            fVar.L = str2;
            fVar.G = true;
            return this;
        }

        public a q(CharSequence[] charSequenceArr, boolean[] zArr, DialogInterface.OnMultiChoiceClickListener onMultiChoiceClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.v = charSequenceArr;
            fVar.J = onMultiChoiceClickListener;
            fVar.F = zArr;
            fVar.G = true;
            return this;
        }

        public a r(@StringRes int i, DialogInterface.OnClickListener onClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.l = fVar.f106a.getText(i);
            this.f168a.n = onClickListener;
            return this;
        }

        public a s(CharSequence charSequence, DialogInterface.OnClickListener onClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.l = charSequence;
            fVar.n = onClickListener;
            return this;
        }

        public a t(Drawable drawable) {
            this.f168a.m = drawable;
            return this;
        }

        public a u(@StringRes int i, DialogInterface.OnClickListener onClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.o = fVar.f106a.getText(i);
            this.f168a.q = onClickListener;
            return this;
        }

        public a v(CharSequence charSequence, DialogInterface.OnClickListener onClickListener) {
            AlertController.f fVar = this.f168a;
            fVar.o = charSequence;
            fVar.q = onClickListener;
            return this;
        }

        public a w(Drawable drawable) {
            this.f168a.p = drawable;
            return this;
        }

        public a x(DialogInterface.OnCancelListener onCancelListener) {
            this.f168a.s = onCancelListener;
            return this;
        }

        public a y(DialogInterface.OnDismissListener onDismissListener) {
            this.f168a.t = onDismissListener;
            return this;
        }

        public a z(AdapterView.OnItemSelectedListener onItemSelectedListener) {
            this.f168a.O = onItemSelectedListener;
            return this;
        }

        public a(@NonNull Context context, @StyleRes int i) {
            this.f168a = new AlertController.f(new ContextThemeWrapper(context, c.h(context, i)));
            this.f169b = i;
        }
    }

    protected c(@NonNull Context context) {
        this(context, 0);
    }

    static int h(@NonNull Context context, @StyleRes int i) {
        if (((i >>> 24) & 255) >= 1) {
            return i;
        }
        TypedValue typedValue = new TypedValue();
        context.getTheme().resolveAttribute(R.attr.alertDialogTheme, typedValue, true);
        return typedValue.resourceId;
    }

    public Button f(int i) {
        return this.K0.c(i);
    }

    public ListView g() {
        return this.K0.e();
    }

    public void i(int i, CharSequence charSequence, DialogInterface.OnClickListener onClickListener) {
        this.K0.l(i, charSequence, onClickListener, null, null);
    }

    public void j(int i, CharSequence charSequence, Drawable drawable, DialogInterface.OnClickListener onClickListener) {
        this.K0.l(i, charSequence, onClickListener, null, drawable);
    }

    public void k(int i, CharSequence charSequence, Message message) {
        this.K0.l(i, charSequence, null, message, null);
    }

    /* access modifiers changed from: package-private */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void l(int i) {
        this.K0.m(i);
    }

    public void m(View view) {
        this.K0.n(view);
    }

    public void n(int i) {
        this.K0.o(i);
    }

    public void o(Drawable drawable) {
        this.K0.p(drawable);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.e
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        this.K0.f();
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (this.K0.h(i, keyEvent)) {
            return true;
        }
        return super.onKeyDown(i, keyEvent);
    }

    public boolean onKeyUp(int i, KeyEvent keyEvent) {
        if (this.K0.i(i, keyEvent)) {
            return true;
        }
        return super.onKeyUp(i, keyEvent);
    }

    public void p(int i) {
        TypedValue typedValue = new TypedValue();
        getContext().getTheme().resolveAttribute(i, typedValue, true);
        this.K0.o(typedValue.resourceId);
    }

    public void q(CharSequence charSequence) {
        this.K0.q(charSequence);
    }

    public void r(View view) {
        this.K0.u(view);
    }

    public void s(View view, int i, int i2, int i3, int i4) {
        this.K0.v(view, i, i2, i3, i4);
    }

    @Override // androidx.appcompat.app.e, android.app.Dialog
    public void setTitle(CharSequence charSequence) {
        super.setTitle(charSequence);
        this.K0.s(charSequence);
    }

    protected c(@NonNull Context context, @StyleRes int i) {
        super(context, h(context, i));
        this.K0 = new AlertController(getContext(), this, getWindow());
    }

    protected c(@NonNull Context context, boolean z, @Nullable DialogInterface.OnCancelListener onCancelListener) {
        this(context, 0);
        setCancelable(z);
        setOnCancelListener(onCancelListener);
    }
}
