package androidx.appcompat.app;

import android.annotation.SuppressLint;
import android.content.Context;
import android.location.Location;
import android.location.LocationManager;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.RequiresPermission;
import androidx.annotation.VisibleForTesting;
import androidx.core.content.PermissionChecker;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.ibm.icu.impl.e;
import java.util.Calendar;

/* compiled from: TwilightManager */
class l {

    /* renamed from: a  reason: collision with root package name */
    private static final String f197a = "TwilightManager";

    /* renamed from: b  reason: collision with root package name */
    private static final int f198b = 6;

    /* renamed from: c  reason: collision with root package name */
    private static final int f199c = 22;

    /* renamed from: d  reason: collision with root package name */
    private static l f200d;

    /* renamed from: e  reason: collision with root package name */
    private final Context f201e;
    private final LocationManager f;
    private final a g = new a();

    /* access modifiers changed from: private */
    /* compiled from: TwilightManager */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        boolean f202a;

        /* renamed from: b  reason: collision with root package name */
        long f203b;

        /* renamed from: c  reason: collision with root package name */
        long f204c;

        /* renamed from: d  reason: collision with root package name */
        long f205d;

        /* renamed from: e  reason: collision with root package name */
        long f206e;
        long f;

        a() {
        }
    }

    @VisibleForTesting
    l(@NonNull Context context, @NonNull LocationManager locationManager) {
        this.f201e = context;
        this.f = locationManager;
    }

    static l a(@NonNull Context context) {
        if (f200d == null) {
            Context applicationContext = context.getApplicationContext();
            f200d = new l(applicationContext, (LocationManager) applicationContext.getSystemService(FirebaseAnalytics.b.p));
        }
        return f200d;
    }

    @SuppressLint({"MissingPermission"})
    private Location b() {
        Location location = null;
        Location c2 = PermissionChecker.d(this.f201e, "android.permission.ACCESS_COARSE_LOCATION") == 0 ? c("network") : null;
        if (PermissionChecker.d(this.f201e, "android.permission.ACCESS_FINE_LOCATION") == 0) {
            location = c("gps");
        }
        return (location == null || c2 == null) ? location != null ? location : c2 : location.getTime() > c2.getTime() ? location : c2;
    }

    @RequiresPermission(anyOf = {"android.permission.ACCESS_COARSE_LOCATION", "android.permission.ACCESS_FINE_LOCATION"})
    private Location c(String str) {
        try {
            if (this.f.isProviderEnabled(str)) {
                return this.f.getLastKnownLocation(str);
            }
            return null;
        } catch (Exception e2) {
            Log.d(f197a, "Failed to get last known location", e2);
            return null;
        }
    }

    private boolean e() {
        return this.g.f > System.currentTimeMillis();
    }

    @VisibleForTesting
    static void f(l lVar) {
        f200d = lVar;
    }

    private void g(@NonNull Location location) {
        long j;
        a aVar = this.g;
        long currentTimeMillis = System.currentTimeMillis();
        k b2 = k.b();
        b2.a(currentTimeMillis - e.j, location.getLatitude(), location.getLongitude());
        long j2 = b2.l;
        b2.a(currentTimeMillis, location.getLatitude(), location.getLongitude());
        boolean z = b2.n == 1;
        long j3 = b2.m;
        long j4 = b2.l;
        b2.a(e.j + currentTimeMillis, location.getLatitude(), location.getLongitude());
        long j5 = b2.m;
        if (j3 == -1 || j4 == -1) {
            j = 43200000 + currentTimeMillis;
        } else {
            j = (currentTimeMillis > j4 ? 0 + j5 : currentTimeMillis > j3 ? 0 + j4 : 0 + j3) + 60000;
        }
        aVar.f202a = z;
        aVar.f203b = j2;
        aVar.f204c = j3;
        aVar.f205d = j4;
        aVar.f206e = j5;
        aVar.f = j;
    }

    /* access modifiers changed from: package-private */
    public boolean d() {
        a aVar = this.g;
        if (e()) {
            return aVar.f202a;
        }
        Location b2 = b();
        if (b2 != null) {
            g(b2);
            return aVar.f202a;
        }
        Log.i(f197a, "Could not get last known location. This is probably because the app does not have any location permissions. Falling back to hardcoded sunrise/sunset values.");
        int i = Calendar.getInstance().get(11);
        return i < 6 || i >= 22;
    }
}
