package androidx.appcompat.c;

import android.content.Context;
import android.content.ContextWrapper;
import android.content.res.AssetManager;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.os.Build;
import android.view.LayoutInflater;
import androidx.annotation.StyleRes;
import androidx.appcompat.R;

/* compiled from: ContextThemeWrapper */
public class d extends ContextWrapper {

    /* renamed from: a  reason: collision with root package name */
    private int f218a;

    /* renamed from: b  reason: collision with root package name */
    private Resources.Theme f219b;

    /* renamed from: c  reason: collision with root package name */
    private LayoutInflater f220c;

    /* renamed from: d  reason: collision with root package name */
    private Configuration f221d;

    /* renamed from: e  reason: collision with root package name */
    private Resources f222e;

    public d() {
        super(null);
    }

    private Resources b() {
        if (this.f222e == null) {
            Configuration configuration = this.f221d;
            if (configuration == null) {
                this.f222e = super.getResources();
            } else if (Build.VERSION.SDK_INT >= 17) {
                this.f222e = createConfigurationContext(configuration).getResources();
            } else {
                Resources resources = super.getResources();
                Configuration configuration2 = new Configuration(resources.getConfiguration());
                configuration2.updateFrom(this.f221d);
                this.f222e = new Resources(resources.getAssets(), resources.getDisplayMetrics(), configuration2);
            }
        }
        return this.f222e;
    }

    private void d() {
        boolean z = this.f219b == null;
        if (z) {
            this.f219b = getResources().newTheme();
            Resources.Theme theme = getBaseContext().getTheme();
            if (theme != null) {
                this.f219b.setTo(theme);
            }
        }
        e(this.f219b, this.f218a, z);
    }

    public void a(Configuration configuration) {
        if (this.f222e != null) {
            throw new IllegalStateException("getResources() or getAssets() has already been called");
        } else if (this.f221d == null) {
            this.f221d = new Configuration(configuration);
        } else {
            throw new IllegalStateException("Override configuration has already been set");
        }
    }

    /* access modifiers changed from: protected */
    public void attachBaseContext(Context context) {
        super.attachBaseContext(context);
    }

    public int c() {
        return this.f218a;
    }

    /* access modifiers changed from: protected */
    public void e(Resources.Theme theme, int i, boolean z) {
        theme.applyStyle(i, true);
    }

    public AssetManager getAssets() {
        return getResources().getAssets();
    }

    public Resources getResources() {
        return b();
    }

    @Override // android.content.Context, android.content.ContextWrapper
    public Object getSystemService(String str) {
        if (!"layout_inflater".equals(str)) {
            return getBaseContext().getSystemService(str);
        }
        if (this.f220c == null) {
            this.f220c = LayoutInflater.from(getBaseContext()).cloneInContext(this);
        }
        return this.f220c;
    }

    public Resources.Theme getTheme() {
        Resources.Theme theme = this.f219b;
        if (theme != null) {
            return theme;
        }
        if (this.f218a == 0) {
            this.f218a = R.style.Theme_AppCompat_Light;
        }
        d();
        return this.f219b;
    }

    public void setTheme(int i) {
        if (this.f218a != i) {
            this.f218a = i;
            d();
        }
    }

    public d(Context context, @StyleRes int i) {
        super(context);
        this.f218a = i;
    }

    public d(Context context, Resources.Theme theme) {
        super(context);
        this.f219b = theme;
    }
}
