package androidx.appcompat.c;

import android.app.Activity;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.PorterDuff;
import android.util.AttributeSet;
import android.util.Log;
import android.util.Xml;
import android.view.InflateException;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import androidx.annotation.LayoutRes;
import androidx.annotation.RestrictTo;
import androidx.appcompat.R;
import androidx.appcompat.view.menu.i;
import androidx.appcompat.view.menu.j;
import androidx.appcompat.widget.f0;
import androidx.appcompat.widget.p;
import androidx.core.view.ActionProvider;
import androidx.core.view.MenuItemCompat;
import java.io.IOException;
import java.lang.reflect.Constructor;
import java.lang.reflect.Method;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: SupportMenuInflater */
public class g extends MenuInflater {

    /* renamed from: a  reason: collision with root package name */
    static final String f229a = "SupportMenuInflater";

    /* renamed from: b  reason: collision with root package name */
    private static final String f230b = "menu";

    /* renamed from: c  reason: collision with root package name */
    private static final String f231c = "group";

    /* renamed from: d  reason: collision with root package name */
    private static final String f232d = "item";

    /* renamed from: e  reason: collision with root package name */
    static final int f233e = 0;
    static final Class<?>[] f;
    static final Class<?>[] g;
    final Object[] h;
    final Object[] i;
    Context j;
    private Object k;

    /* access modifiers changed from: private */
    /* compiled from: SupportMenuInflater */
    public static class a implements MenuItem.OnMenuItemClickListener {

        /* renamed from: a  reason: collision with root package name */
        private static final Class<?>[] f234a = {MenuItem.class};

        /* renamed from: b  reason: collision with root package name */
        private Object f235b;

        /* renamed from: c  reason: collision with root package name */
        private Method f236c;

        public a(Object obj, String str) {
            this.f235b = obj;
            Class<?> cls = obj.getClass();
            try {
                this.f236c = cls.getMethod(str, f234a);
            } catch (Exception e2) {
                InflateException inflateException = new InflateException("Couldn't resolve menu item onClick handler " + str + " in class " + cls.getName());
                inflateException.initCause(e2);
                throw inflateException;
            }
        }

        public boolean onMenuItemClick(MenuItem menuItem) {
            try {
                if (this.f236c.getReturnType() == Boolean.TYPE) {
                    return ((Boolean) this.f236c.invoke(this.f235b, menuItem)).booleanValue();
                }
                this.f236c.invoke(this.f235b, menuItem);
                return true;
            } catch (Exception e2) {
                throw new RuntimeException(e2);
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: SupportMenuInflater */
    public class b {

        /* renamed from: a  reason: collision with root package name */
        private static final int f237a = 0;

        /* renamed from: b  reason: collision with root package name */
        private static final int f238b = 0;

        /* renamed from: c  reason: collision with root package name */
        private static final int f239c = 0;

        /* renamed from: d  reason: collision with root package name */
        private static final int f240d = 0;

        /* renamed from: e  reason: collision with root package name */
        private static final int f241e = 0;
        private static final boolean f = false;
        private static final boolean g = true;
        private static final boolean h = true;
        private boolean A;
        private boolean B;
        private boolean C;
        private int D;
        private int E;
        private String F;
        private String G;
        private String H;
        ActionProvider I;
        private CharSequence J;
        private CharSequence K;
        private ColorStateList L = null;
        private PorterDuff.Mode M = null;
        private Menu i;
        private int j;
        private int k;
        private int l;
        private int m;
        private boolean n;
        private boolean o;
        private boolean p;
        private int q;
        private int r;
        private CharSequence s;
        private CharSequence t;
        private int u;
        private char v;
        private int w;
        private char x;
        private int y;
        private int z;

        public b(Menu menu) {
            this.i = menu;
            h();
        }

        private char c(String str) {
            if (str == null) {
                return 0;
            }
            return str.charAt(0);
        }

        private <T> T e(String str, Class<?>[] clsArr, Object[] objArr) {
            try {
                Constructor<?> constructor = Class.forName(str, false, g.this.j.getClassLoader()).getConstructor(clsArr);
                constructor.setAccessible(true);
                return (T) constructor.newInstance(objArr);
            } catch (Exception e2) {
                Log.w(g.f229a, "Cannot instantiate class: " + str, e2);
                return null;
            }
        }

        private void i(MenuItem menuItem) {
            boolean z2 = false;
            menuItem.setChecked(this.A).setVisible(this.B).setEnabled(this.C).setCheckable(this.z >= 1).setTitleCondensed(this.t).setIcon(this.u);
            int i2 = this.D;
            if (i2 >= 0) {
                menuItem.setShowAsAction(i2);
            }
            if (this.H != null) {
                if (!g.this.j.isRestricted()) {
                    menuItem.setOnMenuItemClickListener(new a(g.this.b(), this.H));
                } else {
                    throw new IllegalStateException("The android:onClick attribute cannot be used within a restricted context");
                }
            }
            if (this.z >= 2) {
                if (menuItem instanceof i) {
                    ((i) menuItem).w(true);
                } else if (menuItem instanceof j) {
                    ((j) menuItem).j(true);
                }
            }
            String str = this.F;
            if (str != null) {
                menuItem.setActionView((View) e(str, g.f, g.this.h));
                z2 = true;
            }
            int i3 = this.E;
            if (i3 > 0) {
                if (!z2) {
                    menuItem.setActionView(i3);
                } else {
                    Log.w(g.f229a, "Ignoring attribute 'itemActionViewLayout'. Action view already specified.");
                }
            }
            ActionProvider actionProvider = this.I;
            if (actionProvider != null) {
                MenuItemCompat.setActionProvider(menuItem, actionProvider);
            }
            MenuItemCompat.setContentDescription(menuItem, this.J);
            MenuItemCompat.setTooltipText(menuItem, this.K);
            MenuItemCompat.setAlphabeticShortcut(menuItem, this.v, this.w);
            MenuItemCompat.setNumericShortcut(menuItem, this.x, this.y);
            PorterDuff.Mode mode = this.M;
            if (mode != null) {
                MenuItemCompat.setIconTintMode(menuItem, mode);
            }
            ColorStateList colorStateList = this.L;
            if (colorStateList != null) {
                MenuItemCompat.setIconTintList(menuItem, colorStateList);
            }
        }

        public void a() {
            this.p = true;
            i(this.i.add(this.j, this.q, this.r, this.s));
        }

        public SubMenu b() {
            this.p = true;
            SubMenu addSubMenu = this.i.addSubMenu(this.j, this.q, this.r, this.s);
            i(addSubMenu.getItem());
            return addSubMenu;
        }

        public boolean d() {
            return this.p;
        }

        public void f(AttributeSet attributeSet) {
            TypedArray obtainStyledAttributes = g.this.j.obtainStyledAttributes(attributeSet, R.styleable.MenuGroup);
            this.j = obtainStyledAttributes.getResourceId(R.styleable.MenuGroup_android_id, 0);
            this.k = obtainStyledAttributes.getInt(R.styleable.MenuGroup_android_menuCategory, 0);
            this.l = obtainStyledAttributes.getInt(R.styleable.MenuGroup_android_orderInCategory, 0);
            this.m = obtainStyledAttributes.getInt(R.styleable.MenuGroup_android_checkableBehavior, 0);
            this.n = obtainStyledAttributes.getBoolean(R.styleable.MenuGroup_android_visible, true);
            this.o = obtainStyledAttributes.getBoolean(R.styleable.MenuGroup_android_enabled, true);
            obtainStyledAttributes.recycle();
        }

        public void g(AttributeSet attributeSet) {
            f0 F2 = f0.F(g.this.j, attributeSet, R.styleable.MenuItem);
            this.q = F2.u(R.styleable.MenuItem_android_id, 0);
            this.r = (F2.o(R.styleable.MenuItem_android_menuCategory, this.k) & androidx.core.d.b.a.f2500c) | (F2.o(R.styleable.MenuItem_android_orderInCategory, this.l) & 65535);
            this.s = F2.x(R.styleable.MenuItem_android_title);
            this.t = F2.x(R.styleable.MenuItem_android_titleCondensed);
            this.u = F2.u(R.styleable.MenuItem_android_icon, 0);
            this.v = c(F2.w(R.styleable.MenuItem_android_alphabeticShortcut));
            this.w = F2.o(R.styleable.MenuItem_alphabeticModifiers, 4096);
            this.x = c(F2.w(R.styleable.MenuItem_android_numericShortcut));
            this.y = F2.o(R.styleable.MenuItem_numericModifiers, 4096);
            int i2 = R.styleable.MenuItem_android_checkable;
            if (F2.C(i2)) {
                this.z = F2.a(i2, false) ? 1 : 0;
            } else {
                this.z = this.m;
            }
            this.A = F2.a(R.styleable.MenuItem_android_checked, false);
            this.B = F2.a(R.styleable.MenuItem_android_visible, this.n);
            this.C = F2.a(R.styleable.MenuItem_android_enabled, this.o);
            this.D = F2.o(R.styleable.MenuItem_showAsAction, -1);
            this.H = F2.w(R.styleable.MenuItem_android_onClick);
            this.E = F2.u(R.styleable.MenuItem_actionLayout, 0);
            this.F = F2.w(R.styleable.MenuItem_actionViewClass);
            String w2 = F2.w(R.styleable.MenuItem_actionProviderClass);
            this.G = w2;
            boolean z2 = w2 != null;
            if (z2 && this.E == 0 && this.F == null) {
                this.I = (ActionProvider) e(w2, g.g, g.this.i);
            } else {
                if (z2) {
                    Log.w(g.f229a, "Ignoring attribute 'actionProviderClass'. Action view already specified.");
                }
                this.I = null;
            }
            this.J = F2.x(R.styleable.MenuItem_contentDescription);
            this.K = F2.x(R.styleable.MenuItem_tooltipText);
            int i3 = R.styleable.MenuItem_iconTintMode;
            if (F2.C(i3)) {
                this.M = p.e(F2.o(i3, -1), this.M);
            } else {
                this.M = null;
            }
            int i4 = R.styleable.MenuItem_iconTint;
            if (F2.C(i4)) {
                this.L = F2.d(i4);
            } else {
                this.L = null;
            }
            F2.I();
            this.p = false;
        }

        public void h() {
            this.j = 0;
            this.k = 0;
            this.l = 0;
            this.m = 0;
            this.n = true;
            this.o = true;
        }
    }

    static {
        Class<?>[] clsArr = {Context.class};
        f = clsArr;
        g = clsArr;
    }

    public g(Context context) {
        super(context);
        this.j = context;
        Object[] objArr = {context};
        this.h = objArr;
        this.i = objArr;
    }

    private Object a(Object obj) {
        return (!(obj instanceof Activity) && (obj instanceof ContextWrapper)) ? a(((ContextWrapper) obj).getBaseContext()) : obj;
    }

    private void c(XmlPullParser xmlPullParser, AttributeSet attributeSet, Menu menu) throws XmlPullParserException, IOException {
        b bVar = new b(menu);
        int eventType = xmlPullParser.getEventType();
        while (true) {
            if (eventType != 2) {
                eventType = xmlPullParser.next();
                if (eventType == 1) {
                    break;
                }
            } else {
                String name = xmlPullParser.getName();
                if (name.equals(f230b)) {
                    eventType = xmlPullParser.next();
                } else {
                    throw new RuntimeException("Expecting menu, got " + name);
                }
            }
        }
        String str = null;
        boolean z = false;
        boolean z2 = false;
        while (!z) {
            if (eventType != 1) {
                if (eventType != 2) {
                    if (eventType == 3) {
                        String name2 = xmlPullParser.getName();
                        if (z2 && name2.equals(str)) {
                            str = null;
                            z2 = false;
                        } else if (name2.equals(f231c)) {
                            bVar.h();
                        } else if (name2.equals(f232d)) {
                            if (!bVar.d()) {
                                ActionProvider actionProvider = bVar.I;
                                if (actionProvider == null || !actionProvider.hasSubMenu()) {
                                    bVar.a();
                                } else {
                                    bVar.b();
                                }
                            }
                        } else if (name2.equals(f230b)) {
                            z = true;
                        }
                    }
                } else if (!z2) {
                    String name3 = xmlPullParser.getName();
                    if (name3.equals(f231c)) {
                        bVar.f(attributeSet);
                    } else if (name3.equals(f232d)) {
                        bVar.g(attributeSet);
                    } else if (name3.equals(f230b)) {
                        c(xmlPullParser, attributeSet, bVar.b());
                    } else {
                        str = name3;
                        z2 = true;
                    }
                }
                eventType = xmlPullParser.next();
            } else {
                throw new RuntimeException("Unexpected end of document");
            }
        }
    }

    /* access modifiers changed from: package-private */
    public Object b() {
        if (this.k == null) {
            this.k = a(this.j);
        }
        return this.k;
    }

    public void inflate(@LayoutRes int i2, Menu menu) {
        if (!(menu instanceof androidx.core.d.b.a)) {
            super.inflate(i2, menu);
            return;
        }
        XmlResourceParser xmlResourceParser = null;
        try {
            xmlResourceParser = this.j.getResources().getLayout(i2);
            c(xmlResourceParser, Xml.asAttributeSet(xmlResourceParser), menu);
            if (xmlResourceParser != null) {
                xmlResourceParser.close();
            }
        } catch (XmlPullParserException e2) {
            throw new InflateException("Error inflating menu XML", e2);
        } catch (IOException e3) {
            throw new InflateException("Error inflating menu XML", e3);
        } catch (Throwable th) {
            if (xmlResourceParser != null) {
                xmlResourceParser.close();
            }
            throw th;
        }
    }
}
