package androidx.appcompat.graphics.drawable;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import androidx.annotation.ColorInt;
import androidx.annotation.FloatRange;
import androidx.annotation.RestrictTo;
import androidx.appcompat.R;
import androidx.core.graphics.drawable.c;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public class DrawerArrowDrawable extends Drawable {

    /* renamed from: a  reason: collision with root package name */
    public static final int f251a = 0;

    /* renamed from: b  reason: collision with root package name */
    public static final int f252b = 1;

    /* renamed from: c  reason: collision with root package name */
    public static final int f253c = 2;

    /* renamed from: d  reason: collision with root package name */
    public static final int f254d = 3;

    /* renamed from: e  reason: collision with root package name */
    private static final float f255e = ((float) Math.toRadians(45.0d));
    private final Paint f;
    private float g;
    private float h;
    private float i;
    private float j;
    private boolean k;
    private final Path l = new Path();
    private final int m;
    private boolean n = false;
    private float o;
    private float p;
    private int q = 2;

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public @interface ArrowDirection {
    }

    public DrawerArrowDrawable(Context context) {
        Paint paint = new Paint();
        this.f = paint;
        paint.setStyle(Paint.Style.STROKE);
        paint.setStrokeJoin(Paint.Join.MITER);
        paint.setStrokeCap(Paint.Cap.BUTT);
        paint.setAntiAlias(true);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(null, R.styleable.DrawerArrowToggle, R.attr.drawerArrowStyle, R.style.Base_Widget_AppCompat_DrawerArrowToggle);
        p(obtainStyledAttributes.getColor(R.styleable.DrawerArrowToggle_color, 0));
        o(obtainStyledAttributes.getDimension(R.styleable.DrawerArrowToggle_thickness, 0.0f));
        t(obtainStyledAttributes.getBoolean(R.styleable.DrawerArrowToggle_spinBars, true));
        r((float) Math.round(obtainStyledAttributes.getDimension(R.styleable.DrawerArrowToggle_gapBetweenBars, 0.0f)));
        this.m = obtainStyledAttributes.getDimensionPixelSize(R.styleable.DrawerArrowToggle_drawableSize, 0);
        this.h = (float) Math.round(obtainStyledAttributes.getDimension(R.styleable.DrawerArrowToggle_barLength, 0.0f));
        this.g = (float) Math.round(obtainStyledAttributes.getDimension(R.styleable.DrawerArrowToggle_arrowHeadLength, 0.0f));
        this.i = obtainStyledAttributes.getDimension(R.styleable.DrawerArrowToggle_arrowShaftLength, 0.0f);
        obtainStyledAttributes.recycle();
    }

    private static float k(float f2, float f3, float f4) {
        return f2 + ((f3 - f2) * f4);
    }

    public float a() {
        return this.g;
    }

    public float b() {
        return this.i;
    }

    public float c() {
        return this.h;
    }

    public float d() {
        return this.f.getStrokeWidth();
    }

    public void draw(Canvas canvas) {
        Rect bounds = getBounds();
        int i2 = this.q;
        boolean z = false;
        if (i2 != 0 && (i2 == 1 || (i2 == 3 ? c.f(this) == 0 : c.f(this) == 1))) {
            z = true;
        }
        float f2 = this.g;
        float k2 = k(this.h, (float) Math.sqrt((double) (f2 * f2 * 2.0f)), this.o);
        float k3 = k(this.h, this.i, this.o);
        float round = (float) Math.round(k(0.0f, this.p, this.o));
        float k4 = k(0.0f, f255e, this.o);
        float k5 = k(z ? 0.0f : -180.0f, z ? 180.0f : 0.0f, this.o);
        double d2 = (double) k2;
        double d3 = (double) k4;
        float round2 = (float) Math.round(Math.cos(d3) * d2);
        float round3 = (float) Math.round(d2 * Math.sin(d3));
        this.l.rewind();
        float k6 = k(this.j + this.f.getStrokeWidth(), -this.p, this.o);
        float f3 = (-k3) / 2.0f;
        this.l.moveTo(f3 + round, 0.0f);
        this.l.rLineTo(k3 - (round * 2.0f), 0.0f);
        this.l.moveTo(f3, k6);
        this.l.rLineTo(round2, round3);
        this.l.moveTo(f3, -k6);
        this.l.rLineTo(round2, -round3);
        this.l.close();
        canvas.save();
        float strokeWidth = this.f.getStrokeWidth();
        float height = ((float) bounds.height()) - (3.0f * strokeWidth);
        float f4 = this.j;
        canvas.translate((float) bounds.centerX(), ((float) ((((int) (height - (2.0f * f4))) / 4) * 2)) + (strokeWidth * 1.5f) + f4);
        if (this.k) {
            canvas.rotate(k5 * ((float) (this.n ^ z ? -1 : 1)));
        } else if (z) {
            canvas.rotate(180.0f);
        }
        canvas.drawPath(this.l, this.f);
        canvas.restore();
    }

    @ColorInt
    public int e() {
        return this.f.getColor();
    }

    public int f() {
        return this.q;
    }

    public float g() {
        return this.j;
    }

    public int getIntrinsicHeight() {
        return this.m;
    }

    public int getIntrinsicWidth() {
        return this.m;
    }

    public int getOpacity() {
        return -3;
    }

    public final Paint h() {
        return this.f;
    }

    @FloatRange(from = 0.0d, to = 1.0d)
    public float i() {
        return this.o;
    }

    public boolean j() {
        return this.k;
    }

    public void l(float f2) {
        if (this.g != f2) {
            this.g = f2;
            invalidateSelf();
        }
    }

    public void m(float f2) {
        if (this.i != f2) {
            this.i = f2;
            invalidateSelf();
        }
    }

    public void n(float f2) {
        if (this.h != f2) {
            this.h = f2;
            invalidateSelf();
        }
    }

    public void o(float f2) {
        if (this.f.getStrokeWidth() != f2) {
            this.f.setStrokeWidth(f2);
            this.p = (float) (((double) (f2 / 2.0f)) * Math.cos((double) f255e));
            invalidateSelf();
        }
    }

    public void p(@ColorInt int i2) {
        if (i2 != this.f.getColor()) {
            this.f.setColor(i2);
            invalidateSelf();
        }
    }

    public void q(int i2) {
        if (i2 != this.q) {
            this.q = i2;
            invalidateSelf();
        }
    }

    public void r(float f2) {
        if (f2 != this.j) {
            this.j = f2;
            invalidateSelf();
        }
    }

    public void s(@FloatRange(from = 0.0d, to = 1.0d) float f2) {
        if (this.o != f2) {
            this.o = f2;
            invalidateSelf();
        }
    }

    public void setAlpha(int i2) {
        if (i2 != this.f.getAlpha()) {
            this.f.setAlpha(i2);
            invalidateSelf();
        }
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.f.setColorFilter(colorFilter);
        invalidateSelf();
    }

    public void t(boolean z) {
        if (this.k != z) {
            this.k = z;
            invalidateSelf();
        }
    }

    public void u(boolean z) {
        if (this.n != z) {
            this.n = z;
            invalidateSelf();
        }
    }
}
