package androidx.appcompat.graphics.drawable;

import android.animation.ObjectAnimator;
import android.animation.TimeInterpolator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Outline;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.AnimationDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.StateSet;
import android.util.Xml;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.appcompat.graphics.drawable.b;
import androidx.appcompat.graphics.drawable.d;
import androidx.appcompat.resources.R;
import androidx.appcompat.widget.v;
import androidx.core.content.res.h;
import androidx.core.graphics.drawable.i;
import b.b.j;
import java.io.IOException;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

@SuppressLint({"RestrictedAPI"})
/* compiled from: AnimatedStateListDrawableCompat */
public class a extends d implements i {
    private static final String Z0 = a.class.getSimpleName();
    private static final String a1 = "transition";
    private static final String b1 = "item";
    private static final String c1 = ": <transition> tag requires a 'drawable' attribute or child tag defining a drawable";
    private static final String d1 = ": <transition> tag requires 'fromId' & 'toId' attributes";
    private static final String e1 = ": <item> tag requires a 'drawable' attribute or child tag defining a drawable";
    private c f1;
    private g g1;
    private int h1;
    private int i1;
    private boolean j1;

    /* access modifiers changed from: private */
    /* compiled from: AnimatedStateListDrawableCompat */
    public static class b extends g {

        /* renamed from: a  reason: collision with root package name */
        private final Animatable f256a;

        b(Animatable animatable) {
            super();
            this.f256a = animatable;
        }

        @Override // androidx.appcompat.graphics.drawable.a.g
        public void c() {
            this.f256a.start();
        }

        @Override // androidx.appcompat.graphics.drawable.a.g
        public void d() {
            this.f256a.stop();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: AnimatedStateListDrawableCompat */
    public static class c extends d.a {
        private static final long K = 4294967296L;
        private static final long L = 8589934592L;
        b.b.f<Long> M;
        j<Integer> N;

        c(@Nullable c cVar, @NonNull a aVar, @Nullable Resources resources) {
            super(cVar, aVar, resources);
            if (cVar != null) {
                this.M = cVar.M;
                this.N = cVar.N;
                return;
            }
            this.M = new b.b.f<>();
            this.N = new j<>();
        }

        private static long H(int i, int i2) {
            return ((long) i2) | (((long) i) << 32);
        }

        /* access modifiers changed from: package-private */
        public int F(@NonNull int[] iArr, @NonNull Drawable drawable, int i) {
            int D = super.D(iArr, drawable);
            this.N.t(D, Integer.valueOf(i));
            return D;
        }

        /* access modifiers changed from: package-private */
        public int G(int i, int i2, @NonNull Drawable drawable, boolean z) {
            int a2 = super.a(drawable);
            long H = H(i, i2);
            long j = z ? 8589934592L : 0;
            long j2 = (long) a2;
            this.M.a(H, Long.valueOf(j2 | j));
            if (z) {
                this.M.a(H(i2, i), Long.valueOf(4294967296L | j2 | j));
            }
            return a2;
        }

        /* access modifiers changed from: package-private */
        public int I(int i) {
            if (i < 0) {
                return 0;
            }
            return this.N.n(i, 0).intValue();
        }

        /* access modifiers changed from: package-private */
        public int J(@NonNull int[] iArr) {
            int E = super.E(iArr);
            if (E >= 0) {
                return E;
            }
            return super.E(StateSet.WILD_CARD);
        }

        /* access modifiers changed from: package-private */
        public int K(int i, int i2) {
            return (int) this.M.n(H(i, i2), -1L).longValue();
        }

        /* access modifiers changed from: package-private */
        public boolean L(int i, int i2) {
            return (this.M.n(H(i, i2), -1L).longValue() & 4294967296L) != 0;
        }

        /* access modifiers changed from: package-private */
        public boolean M(int i, int i2) {
            return (this.M.n(H(i, i2), -1L).longValue() & 8589934592L) != 0;
        }

        @Override // androidx.appcompat.graphics.drawable.d.a
        @NonNull
        public Drawable newDrawable() {
            return new a(this, null);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.appcompat.graphics.drawable.d.a, androidx.appcompat.graphics.drawable.b.c
        public void v() {
            this.M = this.M.clone();
            this.N = this.N.clone();
        }

        @Override // androidx.appcompat.graphics.drawable.d.a
        @NonNull
        public Drawable newDrawable(Resources resources) {
            return new a(this, resources);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AnimatedStateListDrawableCompat */
    public static class d extends g {

        /* renamed from: a  reason: collision with root package name */
        private final androidx.vectordrawable.a.a.c f257a;

        d(androidx.vectordrawable.a.a.c cVar) {
            super();
            this.f257a = cVar;
        }

        @Override // androidx.appcompat.graphics.drawable.a.g
        public void c() {
            this.f257a.start();
        }

        @Override // androidx.appcompat.graphics.drawable.a.g
        public void d() {
            this.f257a.stop();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AnimatedStateListDrawableCompat */
    public static class e extends g {

        /* renamed from: a  reason: collision with root package name */
        private final ObjectAnimator f258a;

        /* renamed from: b  reason: collision with root package name */
        private final boolean f259b;

        e(AnimationDrawable animationDrawable, boolean z, boolean z2) {
            super();
            int numberOfFrames = animationDrawable.getNumberOfFrames();
            int i = z ? numberOfFrames - 1 : 0;
            int i2 = z ? 0 : numberOfFrames - 1;
            f fVar = new f(animationDrawable, z);
            ObjectAnimator ofInt = ObjectAnimator.ofInt(animationDrawable, "currentIndex", i, i2);
            if (Build.VERSION.SDK_INT >= 18) {
                ofInt.setAutoCancel(true);
            }
            ofInt.setDuration((long) fVar.a());
            ofInt.setInterpolator(fVar);
            this.f259b = z2;
            this.f258a = ofInt;
        }

        @Override // androidx.appcompat.graphics.drawable.a.g
        public boolean a() {
            return this.f259b;
        }

        @Override // androidx.appcompat.graphics.drawable.a.g
        public void b() {
            this.f258a.reverse();
        }

        @Override // androidx.appcompat.graphics.drawable.a.g
        public void c() {
            this.f258a.start();
        }

        @Override // androidx.appcompat.graphics.drawable.a.g
        public void d() {
            this.f258a.cancel();
        }
    }

    /* compiled from: AnimatedStateListDrawableCompat */
    private static class f implements TimeInterpolator {

        /* renamed from: a  reason: collision with root package name */
        private int[] f260a;

        /* renamed from: b  reason: collision with root package name */
        private int f261b;

        /* renamed from: c  reason: collision with root package name */
        private int f262c;

        f(AnimationDrawable animationDrawable, boolean z) {
            b(animationDrawable, z);
        }

        /* access modifiers changed from: package-private */
        public int a() {
            return this.f262c;
        }

        /* access modifiers changed from: package-private */
        public int b(AnimationDrawable animationDrawable, boolean z) {
            int numberOfFrames = animationDrawable.getNumberOfFrames();
            this.f261b = numberOfFrames;
            int[] iArr = this.f260a;
            if (iArr == null || iArr.length < numberOfFrames) {
                this.f260a = new int[numberOfFrames];
            }
            int[] iArr2 = this.f260a;
            int i = 0;
            for (int i2 = 0; i2 < numberOfFrames; i2++) {
                int duration = animationDrawable.getDuration(z ? (numberOfFrames - i2) - 1 : i2);
                iArr2[i2] = duration;
                i += duration;
            }
            this.f262c = i;
            return i;
        }

        public float getInterpolation(float f) {
            int i = (int) ((f * ((float) this.f262c)) + 0.5f);
            int i2 = this.f261b;
            int[] iArr = this.f260a;
            int i3 = 0;
            while (i3 < i2 && i >= iArr[i3]) {
                i -= iArr[i3];
                i3++;
            }
            return (((float) i3) / ((float) i2)) + (i3 < i2 ? ((float) i) / ((float) this.f262c) : 0.0f);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AnimatedStateListDrawableCompat */
    public static abstract class g {
        private g() {
        }

        public boolean a() {
            return false;
        }

        public void b() {
        }

        public abstract void c();

        public abstract void d();
    }

    public a() {
        this(null, null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:0x0020 A[Catch:{ XmlPullParserException -> 0x002f, IOException -> 0x0028 }] */
    /* JADX WARNING: Removed duplicated region for block: B:9:0x001b A[Catch:{ XmlPullParserException -> 0x002f, IOException -> 0x0028 }] */
    @Nullable
    public static a B(@NonNull Context context, @DrawableRes int i, @Nullable Resources.Theme theme) {
        int next;
        try {
            Resources resources = context.getResources();
            XmlResourceParser xml = resources.getXml(i);
            AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
            while (true) {
                next = xml.next();
                if (next == 2 || next == 1) {
                    if (next != 2) {
                        return C(context, resources, xml, asAttributeSet, theme);
                    }
                    throw new XmlPullParserException("No start tag found");
                }
            }
            if (next != 2) {
            }
        } catch (XmlPullParserException e2) {
            Log.e(Z0, "parser error", e2);
            return null;
        } catch (IOException e3) {
            Log.e(Z0, "parser error", e3);
            return null;
        }
    }

    public static a C(@NonNull Context context, @NonNull Resources resources, @NonNull XmlPullParser xmlPullParser, @NonNull AttributeSet attributeSet, @Nullable Resources.Theme theme) throws IOException, XmlPullParserException {
        String name = xmlPullParser.getName();
        if (name.equals("animated-selector")) {
            a aVar = new a();
            aVar.v(context, resources, xmlPullParser, attributeSet, theme);
            return aVar;
        }
        throw new XmlPullParserException(xmlPullParser.getPositionDescription() + ": invalid animated-selector tag " + name);
    }

    private void D() {
        onStateChange(getState());
    }

    private int E(@NonNull Context context, @NonNull Resources resources, @NonNull XmlPullParser xmlPullParser, @NonNull AttributeSet attributeSet, @Nullable Resources.Theme theme) throws XmlPullParserException, IOException {
        int next;
        TypedArray s = h.s(resources, theme, attributeSet, R.styleable.AnimatedStateListDrawableItem);
        int resourceId = s.getResourceId(R.styleable.AnimatedStateListDrawableItem_android_id, 0);
        int resourceId2 = s.getResourceId(R.styleable.AnimatedStateListDrawableItem_android_drawable, -1);
        Drawable j = resourceId2 > 0 ? v.h().j(context, resourceId2) : null;
        s.recycle();
        int[] p = p(attributeSet);
        if (j == null) {
            do {
                next = xmlPullParser.next();
            } while (next == 4);
            if (next != 2) {
                throw new XmlPullParserException(xmlPullParser.getPositionDescription() + e1);
            } else if (xmlPullParser.getName().equals("vector")) {
                j = androidx.vectordrawable.a.a.i.f(resources, xmlPullParser, attributeSet, theme);
            } else if (Build.VERSION.SDK_INT >= 21) {
                j = Drawable.createFromXmlInner(resources, xmlPullParser, attributeSet, theme);
            } else {
                j = Drawable.createFromXmlInner(resources, xmlPullParser, attributeSet);
            }
        }
        if (j != null) {
            return this.f1.F(p, j, resourceId);
        }
        throw new XmlPullParserException(xmlPullParser.getPositionDescription() + e1);
    }

    private int F(@NonNull Context context, @NonNull Resources resources, @NonNull XmlPullParser xmlPullParser, @NonNull AttributeSet attributeSet, @Nullable Resources.Theme theme) throws XmlPullParserException, IOException {
        int next;
        TypedArray s = h.s(resources, theme, attributeSet, R.styleable.AnimatedStateListDrawableTransition);
        int resourceId = s.getResourceId(R.styleable.AnimatedStateListDrawableTransition_android_fromId, -1);
        int resourceId2 = s.getResourceId(R.styleable.AnimatedStateListDrawableTransition_android_toId, -1);
        int resourceId3 = s.getResourceId(R.styleable.AnimatedStateListDrawableTransition_android_drawable, -1);
        Drawable j = resourceId3 > 0 ? v.h().j(context, resourceId3) : null;
        boolean z = s.getBoolean(R.styleable.AnimatedStateListDrawableTransition_android_reversible, false);
        s.recycle();
        if (j == null) {
            do {
                next = xmlPullParser.next();
            } while (next == 4);
            if (next != 2) {
                throw new XmlPullParserException(xmlPullParser.getPositionDescription() + c1);
            } else if (xmlPullParser.getName().equals("animated-vector")) {
                j = androidx.vectordrawable.a.a.c.f(context, resources, xmlPullParser, attributeSet, theme);
            } else if (Build.VERSION.SDK_INT >= 21) {
                j = Drawable.createFromXmlInner(resources, xmlPullParser, attributeSet, theme);
            } else {
                j = Drawable.createFromXmlInner(resources, xmlPullParser, attributeSet);
            }
        }
        if (j == null) {
            throw new XmlPullParserException(xmlPullParser.getPositionDescription() + c1);
        } else if (resourceId != -1 && resourceId2 != -1) {
            return this.f1.G(resourceId, resourceId2, j, z);
        } else {
            throw new XmlPullParserException(xmlPullParser.getPositionDescription() + d1);
        }
    }

    private boolean G(int i) {
        int i2;
        int K;
        g gVar;
        g gVar2 = this.g1;
        if (gVar2 == null) {
            i2 = d();
        } else if (i == this.h1) {
            return true;
        } else {
            if (i != this.i1 || !gVar2.a()) {
                i2 = this.h1;
                gVar2.d();
            } else {
                gVar2.b();
                this.h1 = this.i1;
                this.i1 = i;
                return true;
            }
        }
        this.g1 = null;
        this.i1 = -1;
        this.h1 = -1;
        c cVar = this.f1;
        int I = cVar.I(i2);
        int I2 = cVar.I(i);
        if (I2 == 0 || I == 0 || (K = cVar.K(I, I2)) < 0) {
            return false;
        }
        boolean M = cVar.M(I, I2);
        h(K);
        Drawable current = getCurrent();
        if (current instanceof AnimationDrawable) {
            gVar = new e((AnimationDrawable) current, cVar.L(I, I2), M);
        } else if (current instanceof androidx.vectordrawable.a.a.c) {
            gVar = new d((androidx.vectordrawable.a.a.c) current);
        } else {
            if (current instanceof Animatable) {
                gVar = new b((Animatable) current);
            }
            return false;
        }
        gVar.c();
        this.g1 = gVar;
        this.i1 = i2;
        this.h1 = i;
        return true;
    }

    private void w(@NonNull Context context, @NonNull Resources resources, @NonNull XmlPullParser xmlPullParser, @NonNull AttributeSet attributeSet, @Nullable Resources.Theme theme) throws XmlPullParserException, IOException {
        int depth = xmlPullParser.getDepth() + 1;
        while (true) {
            int next = xmlPullParser.next();
            if (next != 1) {
                int depth2 = xmlPullParser.getDepth();
                if (depth2 < depth && next == 3) {
                    return;
                }
                if (next == 2 && depth2 <= depth) {
                    if (xmlPullParser.getName().equals(b1)) {
                        E(context, resources, xmlPullParser, attributeSet, theme);
                    } else if (xmlPullParser.getName().equals(a1)) {
                        F(context, resources, xmlPullParser, attributeSet, theme);
                    }
                }
            } else {
                return;
            }
        }
    }

    private void x(TypedArray typedArray) {
        c cVar = this.f1;
        if (Build.VERSION.SDK_INT >= 21) {
            cVar.f270d |= typedArray.getChangingConfigurations();
        }
        cVar.B(typedArray.getBoolean(R.styleable.AnimatedStateListDrawableCompat_android_variablePadding, cVar.i));
        cVar.x(typedArray.getBoolean(R.styleable.AnimatedStateListDrawableCompat_android_constantSize, cVar.l));
        cVar.y(typedArray.getInt(R.styleable.AnimatedStateListDrawableCompat_android_enterFadeDuration, cVar.A));
        cVar.z(typedArray.getInt(R.styleable.AnimatedStateListDrawableCompat_android_exitFadeDuration, cVar.B));
        setDither(typedArray.getBoolean(R.styleable.AnimatedStateListDrawableCompat_android_dither, cVar.x));
    }

    /* access modifiers changed from: package-private */
    /* renamed from: A */
    public c o() {
        return new c(this.f1, this, null);
    }

    @Override // androidx.appcompat.graphics.drawable.d, androidx.appcompat.graphics.drawable.b
    @RequiresApi(21)
    public /* bridge */ /* synthetic */ void applyTheme(@NonNull Resources.Theme theme) {
        super.applyTheme(theme);
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.appcompat.graphics.drawable.d, androidx.appcompat.graphics.drawable.b
    public void b() {
        super.b();
        this.j1 = false;
    }

    @Override // androidx.appcompat.graphics.drawable.b
    @RequiresApi(21)
    public /* bridge */ /* synthetic */ boolean canApplyTheme() {
        return super.canApplyTheme();
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ void draw(@NonNull Canvas canvas) {
        super.draw(canvas);
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ int getAlpha() {
        return super.getAlpha();
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ int getChangingConfigurations() {
        return super.getChangingConfigurations();
    }

    @Override // androidx.appcompat.graphics.drawable.b
    @NonNull
    public /* bridge */ /* synthetic */ Drawable getCurrent() {
        return super.getCurrent();
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ void getHotspotBounds(@NonNull Rect rect) {
        super.getHotspotBounds(rect);
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ int getIntrinsicHeight() {
        return super.getIntrinsicHeight();
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ int getIntrinsicWidth() {
        return super.getIntrinsicWidth();
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ int getMinimumHeight() {
        return super.getMinimumHeight();
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ int getMinimumWidth() {
        return super.getMinimumWidth();
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ int getOpacity() {
        return super.getOpacity();
    }

    @Override // androidx.appcompat.graphics.drawable.b
    @RequiresApi(21)
    public /* bridge */ /* synthetic */ void getOutline(@NonNull Outline outline) {
        super.getOutline(outline);
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ boolean getPadding(@NonNull Rect rect) {
        return super.getPadding(rect);
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.appcompat.graphics.drawable.d, androidx.appcompat.graphics.drawable.b
    public void i(@NonNull b.c cVar) {
        super.i(cVar);
        if (cVar instanceof c) {
            this.f1 = (c) cVar;
        }
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ void invalidateDrawable(@NonNull Drawable drawable) {
        super.invalidateDrawable(drawable);
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ boolean isAutoMirrored() {
        return super.isAutoMirrored();
    }

    @Override // androidx.appcompat.graphics.drawable.d, androidx.appcompat.graphics.drawable.b
    public boolean isStateful() {
        return true;
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public void jumpToCurrentState() {
        super.jumpToCurrentState();
        g gVar = this.g1;
        if (gVar != null) {
            gVar.d();
            this.g1 = null;
            h(this.h1);
            this.h1 = -1;
            this.i1 = -1;
        }
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ void k(int i) {
        super.k(i);
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ void l(int i) {
        super.l(i);
    }

    @Override // androidx.appcompat.graphics.drawable.d, androidx.appcompat.graphics.drawable.b
    public Drawable mutate() {
        if (!this.j1 && super.mutate() == this) {
            this.f1.v();
            this.j1 = true;
        }
        return this;
    }

    @Override // androidx.appcompat.graphics.drawable.d
    public /* bridge */ /* synthetic */ void n(int[] iArr, Drawable drawable) {
        super.n(iArr, drawable);
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ boolean onLayoutDirectionChanged(int i) {
        return super.onLayoutDirectionChanged(i);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.graphics.drawable.d, androidx.appcompat.graphics.drawable.b
    public boolean onStateChange(int[] iArr) {
        int J = this.f1.J(iArr);
        boolean z = J != d() && (G(J) || h(J));
        Drawable current = getCurrent();
        return current != null ? z | current.setState(iArr) : z;
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ void scheduleDrawable(@NonNull Drawable drawable, @NonNull Runnable runnable, long j) {
        super.scheduleDrawable(drawable, runnable, j);
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ void setAlpha(int i) {
        super.setAlpha(i);
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ void setAutoMirrored(boolean z) {
        super.setAutoMirrored(z);
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ void setColorFilter(ColorFilter colorFilter) {
        super.setColorFilter(colorFilter);
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ void setDither(boolean z) {
        super.setDither(z);
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ void setHotspot(float f2, float f3) {
        super.setHotspot(f2, f3);
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ void setHotspotBounds(int i, int i2, int i3, int i4) {
        super.setHotspotBounds(i, i2, i3, i4);
    }

    @Override // androidx.appcompat.graphics.drawable.b, androidx.core.graphics.drawable.i
    public /* bridge */ /* synthetic */ void setTintList(ColorStateList colorStateList) {
        super.setTintList(colorStateList);
    }

    @Override // androidx.appcompat.graphics.drawable.b, androidx.core.graphics.drawable.i
    public /* bridge */ /* synthetic */ void setTintMode(@NonNull PorterDuff.Mode mode) {
        super.setTintMode(mode);
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public boolean setVisible(boolean z, boolean z2) {
        boolean visible = super.setVisible(z, z2);
        g gVar = this.g1;
        if (gVar != null && (visible || z2)) {
            if (z) {
                gVar.c();
            } else {
                jumpToCurrentState();
            }
        }
        return visible;
    }

    @Override // androidx.appcompat.graphics.drawable.b
    public /* bridge */ /* synthetic */ void unscheduleDrawable(@NonNull Drawable drawable, @NonNull Runnable runnable) {
        super.unscheduleDrawable(drawable, runnable);
    }

    @Override // androidx.appcompat.graphics.drawable.d
    public void v(@NonNull Context context, @NonNull Resources resources, @NonNull XmlPullParser xmlPullParser, @NonNull AttributeSet attributeSet, @Nullable Resources.Theme theme) throws XmlPullParserException, IOException {
        TypedArray s = h.s(resources, theme, attributeSet, R.styleable.AnimatedStateListDrawableCompat);
        setVisible(s.getBoolean(R.styleable.AnimatedStateListDrawableCompat_android_visible, true), true);
        x(s);
        m(resources);
        s.recycle();
        w(context, resources, xmlPullParser, attributeSet, theme);
        D();
    }

    public void y(@NonNull int[] iArr, @NonNull Drawable drawable, int i) {
        if (drawable != null) {
            this.f1.F(iArr, drawable, i);
            onStateChange(getState());
            return;
        }
        throw new IllegalArgumentException("Drawable must not be null");
    }

    public <T extends Drawable & Animatable> void z(int i, int i2, @NonNull T t, boolean z) {
        if (t != null) {
            this.f1.G(i, i2, t, z);
            return;
        }
        throw new IllegalArgumentException("Transition drawable must not be null");
    }

    a(@Nullable c cVar, @Nullable Resources resources) {
        super(null);
        this.h1 = -1;
        this.i1 = -1;
        i(new c(cVar, this, resources));
        onStateChange(getState());
        jumpToCurrentState();
    }
}
