package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Rect;
import android.os.Build;
import android.os.Handler;
import android.os.Parcelable;
import android.os.SystemClock;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.FrameLayout;
import android.widget.HeaderViewListAdapter;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.PopupWindow;
import android.widget.TextView;
import androidx.annotation.AttrRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.StyleRes;
import androidx.appcompat.R;
import androidx.appcompat.view.menu.m;
import androidx.appcompat.widget.MenuPopupWindow;
import androidx.appcompat.widget.t;
import androidx.core.view.GravityCompat;
import androidx.core.view.ViewCompat;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;
import java.util.List;

/* access modifiers changed from: package-private */
public final class CascadingMenuPopup extends k implements m, View.OnKeyListener, PopupWindow.OnDismissListener {
    static final int I0 = 0;
    static final int J0 = 1;
    static final int K0 = 200;

    /* renamed from: b  reason: collision with root package name */
    private static final int f275b = R.layout.abc_cascading_menu_item_layout;
    private final Context L0;
    private final int M0;
    private final int N0;
    private final int O0;
    private final boolean P0;
    final Handler Q0;
    private final List<f> R0 = new ArrayList();
    final List<d> S0 = new ArrayList();
    final ViewTreeObserver.OnGlobalLayoutListener T0 = new a();
    private final View.OnAttachStateChangeListener U0 = new b();
    private final t V0 = new c();
    private int W0 = 0;
    private int X0 = 0;
    private View Y0;
    View Z0;
    private int a1;
    private boolean b1;
    private boolean c1;
    private int d1;
    private int e1;
    private boolean f1;
    private boolean g1;
    private m.a h1;
    ViewTreeObserver i1;
    private PopupWindow.OnDismissListener j1;
    boolean k1;

    @Retention(RetentionPolicy.SOURCE)
    public @interface HorizPosition {
    }

    class a implements ViewTreeObserver.OnGlobalLayoutListener {
        a() {
        }

        public void onGlobalLayout() {
            if (CascadingMenuPopup.this.c() && CascadingMenuPopup.this.S0.size() > 0 && !CascadingMenuPopup.this.S0.get(0).f281a.L()) {
                View view = CascadingMenuPopup.this.Z0;
                if (view == null || !view.isShown()) {
                    CascadingMenuPopup.this.dismiss();
                    return;
                }
                for (d dVar : CascadingMenuPopup.this.S0) {
                    dVar.f281a.b();
                }
            }
        }
    }

    class b implements View.OnAttachStateChangeListener {
        b() {
        }

        public void onViewAttachedToWindow(View view) {
        }

        public void onViewDetachedFromWindow(View view) {
            ViewTreeObserver viewTreeObserver = CascadingMenuPopup.this.i1;
            if (viewTreeObserver != null) {
                if (!viewTreeObserver.isAlive()) {
                    CascadingMenuPopup.this.i1 = view.getViewTreeObserver();
                }
                CascadingMenuPopup cascadingMenuPopup = CascadingMenuPopup.this;
                cascadingMenuPopup.i1.removeGlobalOnLayoutListener(cascadingMenuPopup.T0);
            }
            view.removeOnAttachStateChangeListener(this);
        }
    }

    class c implements t {

        class a implements Runnable {
            final /* synthetic */ f I0;

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ d f279a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ MenuItem f280b;

            a(d dVar, MenuItem menuItem, f fVar) {
                this.f279a = dVar;
                this.f280b = menuItem;
                this.I0 = fVar;
            }

            public void run() {
                d dVar = this.f279a;
                if (dVar != null) {
                    CascadingMenuPopup.this.k1 = true;
                    dVar.f282b.f(false);
                    CascadingMenuPopup.this.k1 = false;
                }
                if (this.f280b.isEnabled() && this.f280b.hasSubMenu()) {
                    this.I0.O(this.f280b, 4);
                }
            }
        }

        c() {
        }

        @Override // androidx.appcompat.widget.t
        public void e(@NonNull f fVar, @NonNull MenuItem menuItem) {
            d dVar = null;
            CascadingMenuPopup.this.Q0.removeCallbacksAndMessages(null);
            int size = CascadingMenuPopup.this.S0.size();
            int i = 0;
            while (true) {
                if (i >= size) {
                    i = -1;
                    break;
                } else if (fVar == CascadingMenuPopup.this.S0.get(i).f282b) {
                    break;
                } else {
                    i++;
                }
            }
            if (i != -1) {
                int i2 = i + 1;
                if (i2 < CascadingMenuPopup.this.S0.size()) {
                    dVar = CascadingMenuPopup.this.S0.get(i2);
                }
                CascadingMenuPopup.this.Q0.postAtTime(new a(dVar, menuItem, fVar), fVar, SystemClock.uptimeMillis() + 200);
            }
        }

        @Override // androidx.appcompat.widget.t
        public void h(@NonNull f fVar, @NonNull MenuItem menuItem) {
            CascadingMenuPopup.this.Q0.removeCallbacksAndMessages(fVar);
        }
    }

    /* access modifiers changed from: private */
    public static class d {

        /* renamed from: a  reason: collision with root package name */
        public final MenuPopupWindow f281a;

        /* renamed from: b  reason: collision with root package name */
        public final f f282b;

        /* renamed from: c  reason: collision with root package name */
        public final int f283c;

        public d(@NonNull MenuPopupWindow menuPopupWindow, @NonNull f fVar, int i) {
            this.f281a = menuPopupWindow;
            this.f282b = fVar;
            this.f283c = i;
        }

        public ListView a() {
            return this.f281a.m();
        }
    }

    public CascadingMenuPopup(@NonNull Context context, @NonNull View view, @AttrRes int i, @StyleRes int i2, boolean z) {
        this.L0 = context;
        this.Y0 = view;
        this.N0 = i;
        this.O0 = i2;
        this.P0 = z;
        this.f1 = false;
        this.a1 = H();
        Resources resources = context.getResources();
        this.M0 = Math.max(resources.getDisplayMetrics().widthPixels / 2, resources.getDimensionPixelSize(R.dimen.abc_config_prefDialogWidth));
        this.Q0 = new Handler();
    }

    private MenuPopupWindow D() {
        MenuPopupWindow menuPopupWindow = new MenuPopupWindow(this.L0, null, this.N0, this.O0);
        menuPopupWindow.r0(this.V0);
        menuPopupWindow.f0(this);
        menuPopupWindow.e0(this);
        menuPopupWindow.S(this.Y0);
        menuPopupWindow.W(this.X0);
        menuPopupWindow.d0(true);
        menuPopupWindow.a0(2);
        return menuPopupWindow;
    }

    private int E(@NonNull f fVar) {
        int size = this.S0.size();
        for (int i = 0; i < size; i++) {
            if (fVar == this.S0.get(i).f282b) {
                return i;
            }
        }
        return -1;
    }

    private MenuItem F(@NonNull f fVar, @NonNull f fVar2) {
        int size = fVar.size();
        for (int i = 0; i < size; i++) {
            MenuItem item = fVar.getItem(i);
            if (item.hasSubMenu() && fVar2 == item.getSubMenu()) {
                return item;
            }
        }
        return null;
    }

    @Nullable
    private View G(@NonNull d dVar, @NonNull f fVar) {
        int i;
        e eVar;
        int firstVisiblePosition;
        MenuItem F = F(dVar.f282b, fVar);
        if (F == null) {
            return null;
        }
        ListView a2 = dVar.a();
        ListAdapter adapter = a2.getAdapter();
        int i2 = 0;
        if (adapter instanceof HeaderViewListAdapter) {
            HeaderViewListAdapter headerViewListAdapter = (HeaderViewListAdapter) adapter;
            i = headerViewListAdapter.getHeadersCount();
            eVar = (e) headerViewListAdapter.getWrappedAdapter();
        } else {
            eVar = (e) adapter;
            i = 0;
        }
        int count = eVar.getCount();
        while (true) {
            if (i2 >= count) {
                i2 = -1;
                break;
            } else if (F == eVar.getItem(i2)) {
                break;
            } else {
                i2++;
            }
        }
        if (i2 != -1 && (firstVisiblePosition = (i2 + i) - a2.getFirstVisiblePosition()) >= 0 && firstVisiblePosition < a2.getChildCount()) {
            return a2.getChildAt(firstVisiblePosition);
        }
        return null;
    }

    private int H() {
        return ViewCompat.getLayoutDirection(this.Y0) == 1 ? 0 : 1;
    }

    private int I(int i) {
        List<d> list = this.S0;
        ListView a2 = list.get(list.size() - 1).a();
        int[] iArr = new int[2];
        a2.getLocationOnScreen(iArr);
        Rect rect = new Rect();
        this.Z0.getWindowVisibleDisplayFrame(rect);
        if (this.a1 == 1) {
            if (iArr[0] + a2.getWidth() + i > rect.right) {
                return 0;
            }
            return 1;
        } else if (iArr[0] - i < 0) {
            return 1;
        } else {
            return 0;
        }
    }

    private void J(@NonNull f fVar) {
        View view;
        d dVar;
        int i;
        int i2;
        int i3;
        LayoutInflater from = LayoutInflater.from(this.L0);
        e eVar = new e(fVar, from, this.P0, f275b);
        if (!c() && this.f1) {
            eVar.e(true);
        } else if (c()) {
            eVar.e(k.B(fVar));
        }
        int s = k.s(eVar, null, this.L0, this.M0);
        MenuPopupWindow D = D();
        D.q(eVar);
        D.U(s);
        D.W(this.X0);
        if (this.S0.size() > 0) {
            List<d> list = this.S0;
            dVar = list.get(list.size() - 1);
            view = G(dVar, fVar);
        } else {
            dVar = null;
            view = null;
        }
        if (view != null) {
            D.s0(false);
            D.p0(null);
            int I = I(s);
            boolean z = I == 1;
            this.a1 = I;
            if (Build.VERSION.SDK_INT >= 26) {
                D.S(view);
                i2 = 0;
                i = 0;
            } else {
                int[] iArr = new int[2];
                this.Y0.getLocationOnScreen(iArr);
                int[] iArr2 = new int[2];
                view.getLocationOnScreen(iArr2);
                if ((this.X0 & 7) == 5) {
                    iArr[0] = iArr[0] + this.Y0.getWidth();
                    iArr2[0] = iArr2[0] + view.getWidth();
                }
                i = iArr2[0] - iArr[0];
                i2 = iArr2[1] - iArr[1];
            }
            if ((this.X0 & 5) != 5) {
                if (z) {
                    s = view.getWidth();
                }
                i3 = i - s;
                D.f(i3);
                D.h0(true);
                D.k(i2);
            } else if (!z) {
                s = view.getWidth();
                i3 = i - s;
                D.f(i3);
                D.h0(true);
                D.k(i2);
            }
            i3 = i + s;
            D.f(i3);
            D.h0(true);
            D.k(i2);
        } else {
            if (this.b1) {
                D.f(this.d1);
            }
            if (this.c1) {
                D.k(this.e1);
            }
            D.X(r());
        }
        this.S0.add(new d(D, fVar, this.a1));
        D.b();
        ListView m = D.m();
        m.setOnKeyListener(this);
        if (dVar == null && this.g1 && fVar.A() != null) {
            FrameLayout frameLayout = (FrameLayout) from.inflate(R.layout.abc_popup_menu_header_item_layout, (ViewGroup) m, false);
            frameLayout.setEnabled(false);
            ((TextView) frameLayout.findViewById(16908310)).setText(fVar.A());
            m.addHeaderView(frameLayout, null, false);
            D.b();
        }
    }

    @Override // androidx.appcompat.view.menu.k
    public void A(int i) {
        this.c1 = true;
        this.e1 = i;
    }

    @Override // androidx.appcompat.view.menu.p
    public void b() {
        if (!c()) {
            for (f fVar : this.R0) {
                J(fVar);
            }
            this.R0.clear();
            View view = this.Y0;
            this.Z0 = view;
            if (view != null) {
                boolean z = this.i1 == null;
                ViewTreeObserver viewTreeObserver = view.getViewTreeObserver();
                this.i1 = viewTreeObserver;
                if (z) {
                    viewTreeObserver.addOnGlobalLayoutListener(this.T0);
                }
                this.Z0.addOnAttachStateChangeListener(this.U0);
            }
        }
    }

    @Override // androidx.appcompat.view.menu.p
    public boolean c() {
        return this.S0.size() > 0 && this.S0.get(0).f281a.c();
    }

    @Override // androidx.appcompat.view.menu.m
    public void d(f fVar, boolean z) {
        int E = E(fVar);
        if (E >= 0) {
            int i = E + 1;
            if (i < this.S0.size()) {
                this.S0.get(i).f282b.f(false);
            }
            d remove = this.S0.remove(E);
            remove.f282b.S(this);
            if (this.k1) {
                remove.f281a.q0(null);
                remove.f281a.T(0);
            }
            remove.f281a.dismiss();
            int size = this.S0.size();
            if (size > 0) {
                this.a1 = this.S0.get(size - 1).f283c;
            } else {
                this.a1 = H();
            }
            if (size == 0) {
                dismiss();
                m.a aVar = this.h1;
                if (aVar != null) {
                    aVar.d(fVar, true);
                }
                ViewTreeObserver viewTreeObserver = this.i1;
                if (viewTreeObserver != null) {
                    if (viewTreeObserver.isAlive()) {
                        this.i1.removeGlobalOnLayoutListener(this.T0);
                    }
                    this.i1 = null;
                }
                this.Z0.removeOnAttachStateChangeListener(this.U0);
                this.j1.onDismiss();
            } else if (z) {
                this.S0.get(0).f282b.f(false);
            }
        }
    }

    @Override // androidx.appcompat.view.menu.p
    public void dismiss() {
        int size = this.S0.size();
        if (size > 0) {
            d[] dVarArr = (d[]) this.S0.toArray(new d[size]);
            for (int i = size - 1; i >= 0; i--) {
                d dVar = dVarArr[i];
                if (dVar.f281a.c()) {
                    dVar.f281a.dismiss();
                }
            }
        }
    }

    @Override // androidx.appcompat.view.menu.m
    public void e(Parcelable parcelable) {
    }

    @Override // androidx.appcompat.view.menu.m
    public Parcelable f() {
        return null;
    }

    @Override // androidx.appcompat.view.menu.m
    public void g(boolean z) {
        for (d dVar : this.S0) {
            k.C(dVar.a().getAdapter()).notifyDataSetChanged();
        }
    }

    @Override // androidx.appcompat.view.menu.m
    public boolean h() {
        return false;
    }

    @Override // androidx.appcompat.view.menu.m
    public void k(m.a aVar) {
        this.h1 = aVar;
    }

    @Override // androidx.appcompat.view.menu.p
    public ListView m() {
        if (this.S0.isEmpty()) {
            return null;
        }
        List<d> list = this.S0;
        return list.get(list.size() - 1).a();
    }

    @Override // androidx.appcompat.view.menu.m
    public boolean n(r rVar) {
        for (d dVar : this.S0) {
            if (rVar == dVar.f282b) {
                dVar.a().requestFocus();
                return true;
            }
        }
        if (!rVar.hasVisibleItems()) {
            return false;
        }
        p(rVar);
        m.a aVar = this.h1;
        if (aVar != null) {
            aVar.e(rVar);
        }
        return true;
    }

    public void onDismiss() {
        d dVar;
        int size = this.S0.size();
        int i = 0;
        while (true) {
            if (i >= size) {
                dVar = null;
                break;
            }
            dVar = this.S0.get(i);
            if (!dVar.f281a.c()) {
                break;
            }
            i++;
        }
        if (dVar != null) {
            dVar.f282b.f(false);
        }
    }

    public boolean onKey(View view, int i, KeyEvent keyEvent) {
        if (keyEvent.getAction() != 1 || i != 82) {
            return false;
        }
        dismiss();
        return true;
    }

    @Override // androidx.appcompat.view.menu.k
    public void p(f fVar) {
        fVar.c(this, this.L0);
        if (c()) {
            J(fVar);
        } else {
            this.R0.add(fVar);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.view.menu.k
    public boolean q() {
        return false;
    }

    @Override // androidx.appcompat.view.menu.k
    public void t(@NonNull View view) {
        if (this.Y0 != view) {
            this.Y0 = view;
            this.X0 = GravityCompat.getAbsoluteGravity(this.W0, ViewCompat.getLayoutDirection(view));
        }
    }

    @Override // androidx.appcompat.view.menu.k
    public void v(boolean z) {
        this.f1 = z;
    }

    @Override // androidx.appcompat.view.menu.k
    public void w(int i) {
        if (this.W0 != i) {
            this.W0 = i;
            this.X0 = GravityCompat.getAbsoluteGravity(i, ViewCompat.getLayoutDirection(this.Y0));
        }
    }

    @Override // androidx.appcompat.view.menu.k
    public void x(int i) {
        this.b1 = true;
        this.d1 = i;
    }

    @Override // androidx.appcompat.view.menu.k
    public void y(PopupWindow.OnDismissListener onDismissListener) {
        this.j1 = onDismissListener;
    }

    @Override // androidx.appcompat.view.menu.k
    public void z(boolean z) {
        this.g1 = z;
    }
}
