package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.TextView;
import androidx.annotation.RestrictTo;
import androidx.appcompat.R;
import androidx.appcompat.view.menu.n;
import androidx.appcompat.widget.f0;
import androidx.core.view.ViewCompat;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
public class ListMenuItemView extends LinearLayout implements n.a, AbsListView.SelectionBoundsAdjuster {

    /* renamed from: a  reason: collision with root package name */
    private static final String f286a = "ListMenuItemView";
    private ImageView I0;
    private RadioButton J0;
    private TextView K0;
    private CheckBox L0;
    private TextView M0;
    private ImageView N0;
    private ImageView O0;
    private LinearLayout P0;
    private Drawable Q0;
    private int R0;
    private Context S0;
    private boolean T0;
    private Drawable U0;
    private boolean V0;
    private LayoutInflater W0;
    private boolean X0;

    /* renamed from: b  reason: collision with root package name */
    private i f287b;

    public ListMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.listMenuViewStyle);
    }

    private void a(View view) {
        c(view, -1);
    }

    private void c(View view, int i) {
        LinearLayout linearLayout = this.P0;
        if (linearLayout != null) {
            linearLayout.addView(view, i);
        } else {
            addView(view, i);
        }
    }

    private void g() {
        CheckBox checkBox = (CheckBox) getInflater().inflate(R.layout.abc_list_menu_item_checkbox, (ViewGroup) this, false);
        this.L0 = checkBox;
        a(checkBox);
    }

    private LayoutInflater getInflater() {
        if (this.W0 == null) {
            this.W0 = LayoutInflater.from(getContext());
        }
        return this.W0;
    }

    private void h() {
        ImageView imageView = (ImageView) getInflater().inflate(R.layout.abc_list_menu_item_icon, (ViewGroup) this, false);
        this.I0 = imageView;
        c(imageView, 0);
    }

    private void i() {
        RadioButton radioButton = (RadioButton) getInflater().inflate(R.layout.abc_list_menu_item_radio, (ViewGroup) this, false);
        this.J0 = radioButton;
        a(radioButton);
    }

    private void setSubMenuArrowVisible(boolean z) {
        ImageView imageView = this.N0;
        if (imageView != null) {
            imageView.setVisibility(z ? 0 : 8);
        }
    }

    public void adjustListItemSelectionBounds(Rect rect) {
        ImageView imageView = this.O0;
        if (imageView != null && imageView.getVisibility() == 0) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.O0.getLayoutParams();
            rect.top += this.O0.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
        }
    }

    @Override // androidx.appcompat.view.menu.n.a
    public void b(boolean z, char c2) {
        int i = (!z || !this.f287b.D()) ? 8 : 0;
        if (i == 0) {
            this.M0.setText(this.f287b.k());
        }
        if (this.M0.getVisibility() != i) {
            this.M0.setVisibility(i);
        }
    }

    @Override // androidx.appcompat.view.menu.n.a
    public boolean d() {
        return false;
    }

    @Override // androidx.appcompat.view.menu.n.a
    public boolean e() {
        return this.X0;
    }

    @Override // androidx.appcompat.view.menu.n.a
    public void f(i iVar, int i) {
        this.f287b = iVar;
        setVisibility(iVar.isVisible() ? 0 : 8);
        setTitle(iVar.l(this));
        setCheckable(iVar.isCheckable());
        b(iVar.D(), iVar.j());
        setIcon(iVar.getIcon());
        setEnabled(iVar.isEnabled());
        setSubMenuArrowVisible(iVar.hasSubMenu());
        setContentDescription(iVar.getContentDescription());
    }

    @Override // androidx.appcompat.view.menu.n.a
    public i getItemData() {
        return this.f287b;
    }

    /* access modifiers changed from: protected */
    public void onFinishInflate() {
        super.onFinishInflate();
        ViewCompat.setBackground(this, this.Q0);
        TextView textView = (TextView) findViewById(R.id.title);
        this.K0 = textView;
        int i = this.R0;
        if (i != -1) {
            textView.setTextAppearance(this.S0, i);
        }
        this.M0 = (TextView) findViewById(R.id.shortcut);
        ImageView imageView = (ImageView) findViewById(R.id.submenuarrow);
        this.N0 = imageView;
        if (imageView != null) {
            imageView.setImageDrawable(this.U0);
        }
        this.O0 = (ImageView) findViewById(R.id.group_divider);
        this.P0 = (LinearLayout) findViewById(R.id.content);
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        if (this.I0 != null && this.T0) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            LinearLayout.LayoutParams layoutParams2 = (LinearLayout.LayoutParams) this.I0.getLayoutParams();
            int i3 = layoutParams.height;
            if (i3 > 0 && layoutParams2.width <= 0) {
                layoutParams2.width = i3;
            }
        }
        super.onMeasure(i, i2);
    }

    @Override // androidx.appcompat.view.menu.n.a
    public void setCheckable(boolean z) {
        CompoundButton compoundButton;
        CompoundButton compoundButton2;
        if (z || this.J0 != null || this.L0 != null) {
            if (this.f287b.p()) {
                if (this.J0 == null) {
                    i();
                }
                compoundButton2 = this.J0;
                compoundButton = this.L0;
            } else {
                if (this.L0 == null) {
                    g();
                }
                compoundButton2 = this.L0;
                compoundButton = this.J0;
            }
            if (z) {
                compoundButton2.setChecked(this.f287b.isChecked());
                if (compoundButton2.getVisibility() != 0) {
                    compoundButton2.setVisibility(0);
                }
                if (compoundButton != null && compoundButton.getVisibility() != 8) {
                    compoundButton.setVisibility(8);
                    return;
                }
                return;
            }
            CheckBox checkBox = this.L0;
            if (checkBox != null) {
                checkBox.setVisibility(8);
            }
            RadioButton radioButton = this.J0;
            if (radioButton != null) {
                radioButton.setVisibility(8);
            }
        }
    }

    @Override // androidx.appcompat.view.menu.n.a
    public void setChecked(boolean z) {
        CompoundButton compoundButton;
        if (this.f287b.p()) {
            if (this.J0 == null) {
                i();
            }
            compoundButton = this.J0;
        } else {
            if (this.L0 == null) {
                g();
            }
            compoundButton = this.L0;
        }
        compoundButton.setChecked(z);
    }

    public void setForceShowIcon(boolean z) {
        this.X0 = z;
        this.T0 = z;
    }

    public void setGroupDividerEnabled(boolean z) {
        ImageView imageView = this.O0;
        if (imageView != null) {
            imageView.setVisibility((this.V0 || !z) ? 8 : 0);
        }
    }

    @Override // androidx.appcompat.view.menu.n.a
    public void setIcon(Drawable drawable) {
        boolean z = this.f287b.C() || this.X0;
        if (z || this.T0) {
            ImageView imageView = this.I0;
            if (imageView != null || drawable != null || this.T0) {
                if (imageView == null) {
                    h();
                }
                if (drawable != null || this.T0) {
                    ImageView imageView2 = this.I0;
                    if (!z) {
                        drawable = null;
                    }
                    imageView2.setImageDrawable(drawable);
                    if (this.I0.getVisibility() != 0) {
                        this.I0.setVisibility(0);
                        return;
                    }
                    return;
                }
                this.I0.setVisibility(8);
            }
        }
    }

    @Override // androidx.appcompat.view.menu.n.a
    public void setTitle(CharSequence charSequence) {
        if (charSequence != null) {
            this.K0.setText(charSequence);
            if (this.K0.getVisibility() != 0) {
                this.K0.setVisibility(0);
            }
        } else if (this.K0.getVisibility() != 8) {
            this.K0.setVisibility(8);
        }
    }

    public ListMenuItemView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet);
        f0 G = f0.G(getContext(), attributeSet, R.styleable.MenuView, i, 0);
        this.Q0 = G.h(R.styleable.MenuView_android_itemBackground);
        this.R0 = G.u(R.styleable.MenuView_android_itemTextAppearance, -1);
        this.T0 = G.a(R.styleable.MenuView_preserveIconSpacing, false);
        this.S0 = context;
        this.U0 = G.h(R.styleable.MenuView_subMenuArrow);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(null, new int[]{16843049}, R.attr.dropDownListViewStyle, 0);
        this.V0 = obtainStyledAttributes.hasValue(0);
        G.I();
        obtainStyledAttributes.recycle();
    }
}
