package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.Intent;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.view.ActionProvider;
import android.view.CollapsibleActionView;
import android.view.ContextMenu;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import android.widget.FrameLayout;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.core.view.ActionProvider;
import java.lang.reflect.Method;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: MenuItemWrapperICS */
public class j extends c implements MenuItem {
    static final String o = "MenuItemWrapper";
    private final androidx.core.d.b.c p;
    private Method q;

    /* compiled from: MenuItemWrapperICS */
    private class a extends ActionProvider {

        /* renamed from: a  reason: collision with root package name */
        final android.view.ActionProvider f299a;

        a(Context context, android.view.ActionProvider actionProvider) {
            super(context);
            this.f299a = actionProvider;
        }

        @Override // androidx.core.view.ActionProvider
        public boolean hasSubMenu() {
            return this.f299a.hasSubMenu();
        }

        @Override // androidx.core.view.ActionProvider
        public View onCreateActionView() {
            return this.f299a.onCreateActionView();
        }

        @Override // androidx.core.view.ActionProvider
        public boolean onPerformDefaultAction() {
            return this.f299a.onPerformDefaultAction();
        }

        @Override // androidx.core.view.ActionProvider
        public void onPrepareSubMenu(SubMenu subMenu) {
            this.f299a.onPrepareSubMenu(j.this.f(subMenu));
        }
    }

    @RequiresApi(16)
    /* compiled from: MenuItemWrapperICS */
    private class b extends a implements ActionProvider.VisibilityListener {

        /* renamed from: c  reason: collision with root package name */
        private ActionProvider.VisibilityListener f301c;

        b(Context context, android.view.ActionProvider actionProvider) {
            super(context, actionProvider);
        }

        @Override // androidx.core.view.ActionProvider
        public boolean isVisible() {
            return this.f299a.isVisible();
        }

        public void onActionProviderVisibilityChanged(boolean z) {
            ActionProvider.VisibilityListener visibilityListener = this.f301c;
            if (visibilityListener != null) {
                visibilityListener.onActionProviderVisibilityChanged(z);
            }
        }

        @Override // androidx.core.view.ActionProvider
        public View onCreateActionView(MenuItem menuItem) {
            return this.f299a.onCreateActionView(menuItem);
        }

        @Override // androidx.core.view.ActionProvider
        public boolean overridesItemVisibility() {
            return this.f299a.overridesItemVisibility();
        }

        @Override // androidx.core.view.ActionProvider
        public void refreshVisibility() {
            this.f299a.refreshVisibility();
        }

        @Override // androidx.core.view.ActionProvider
        public void setVisibilityListener(ActionProvider.VisibilityListener visibilityListener) {
            this.f301c = visibilityListener;
            this.f299a.setVisibilityListener(visibilityListener != null ? this : null);
        }
    }

    /* compiled from: MenuItemWrapperICS */
    static class c extends FrameLayout implements androidx.appcompat.c.c {

        /* renamed from: a  reason: collision with root package name */
        final CollapsibleActionView f303a;

        c(View view) {
            super(view.getContext());
            this.f303a = (CollapsibleActionView) view;
            addView(view);
        }

        /* access modifiers changed from: package-private */
        public View a() {
            return (View) this.f303a;
        }

        @Override // androidx.appcompat.c.c
        public void onActionViewCollapsed() {
            this.f303a.onActionViewCollapsed();
        }

        @Override // androidx.appcompat.c.c
        public void onActionViewExpanded() {
            this.f303a.onActionViewExpanded();
        }
    }

    /* compiled from: MenuItemWrapperICS */
    private class d implements MenuItem.OnActionExpandListener {

        /* renamed from: a  reason: collision with root package name */
        private final MenuItem.OnActionExpandListener f304a;

        d(MenuItem.OnActionExpandListener onActionExpandListener) {
            this.f304a = onActionExpandListener;
        }

        public boolean onMenuItemActionCollapse(MenuItem menuItem) {
            return this.f304a.onMenuItemActionCollapse(j.this.e(menuItem));
        }

        public boolean onMenuItemActionExpand(MenuItem menuItem) {
            return this.f304a.onMenuItemActionExpand(j.this.e(menuItem));
        }
    }

    /* compiled from: MenuItemWrapperICS */
    private class e implements MenuItem.OnMenuItemClickListener {

        /* renamed from: a  reason: collision with root package name */
        private final MenuItem.OnMenuItemClickListener f306a;

        e(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
            this.f306a = onMenuItemClickListener;
        }

        public boolean onMenuItemClick(MenuItem menuItem) {
            return this.f306a.onMenuItemClick(j.this.e(menuItem));
        }
    }

    public j(Context context, androidx.core.d.b.c cVar) {
        super(context);
        if (cVar != null) {
            this.p = cVar;
            return;
        }
        throw new IllegalArgumentException("Wrapped Object can not be null.");
    }

    public boolean collapseActionView() {
        return this.p.collapseActionView();
    }

    public boolean expandActionView() {
        return this.p.expandActionView();
    }

    public android.view.ActionProvider getActionProvider() {
        androidx.core.view.ActionProvider b2 = this.p.b();
        if (b2 instanceof a) {
            return ((a) b2).f299a;
        }
        return null;
    }

    public View getActionView() {
        View actionView = this.p.getActionView();
        return actionView instanceof c ? ((c) actionView).a() : actionView;
    }

    public int getAlphabeticModifiers() {
        return this.p.getAlphabeticModifiers();
    }

    public char getAlphabeticShortcut() {
        return this.p.getAlphabeticShortcut();
    }

    public CharSequence getContentDescription() {
        return this.p.getContentDescription();
    }

    public int getGroupId() {
        return this.p.getGroupId();
    }

    public Drawable getIcon() {
        return this.p.getIcon();
    }

    public ColorStateList getIconTintList() {
        return this.p.getIconTintList();
    }

    public PorterDuff.Mode getIconTintMode() {
        return this.p.getIconTintMode();
    }

    public Intent getIntent() {
        return this.p.getIntent();
    }

    public int getItemId() {
        return this.p.getItemId();
    }

    public ContextMenu.ContextMenuInfo getMenuInfo() {
        return this.p.getMenuInfo();
    }

    public int getNumericModifiers() {
        return this.p.getNumericModifiers();
    }

    public char getNumericShortcut() {
        return this.p.getNumericShortcut();
    }

    public int getOrder() {
        return this.p.getOrder();
    }

    public SubMenu getSubMenu() {
        return f(this.p.getSubMenu());
    }

    public CharSequence getTitle() {
        return this.p.getTitle();
    }

    public CharSequence getTitleCondensed() {
        return this.p.getTitleCondensed();
    }

    public CharSequence getTooltipText() {
        return this.p.getTooltipText();
    }

    public boolean hasSubMenu() {
        return this.p.hasSubMenu();
    }

    public boolean isActionViewExpanded() {
        return this.p.isActionViewExpanded();
    }

    public boolean isCheckable() {
        return this.p.isCheckable();
    }

    public boolean isChecked() {
        return this.p.isChecked();
    }

    public boolean isEnabled() {
        return this.p.isEnabled();
    }

    public boolean isVisible() {
        return this.p.isVisible();
    }

    public void j(boolean z) {
        try {
            if (this.q == null) {
                this.q = this.p.getClass().getDeclaredMethod("setExclusiveCheckable", Boolean.TYPE);
            }
            this.q.invoke(this.p, Boolean.valueOf(z));
        } catch (Exception e2) {
            Log.w(o, "Error while calling setExclusiveCheckable", e2);
        }
    }

    public MenuItem setActionProvider(android.view.ActionProvider actionProvider) {
        androidx.core.view.ActionProvider actionProvider2;
        if (Build.VERSION.SDK_INT >= 16) {
            actionProvider2 = new b(this.l, actionProvider);
        } else {
            actionProvider2 = new a(this.l, actionProvider);
        }
        androidx.core.d.b.c cVar = this.p;
        if (actionProvider == null) {
            actionProvider2 = null;
        }
        cVar.a(actionProvider2);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setActionView(View view) {
        if (view instanceof CollapsibleActionView) {
            view = new c(view);
        }
        this.p.setActionView(view);
        return this;
    }

    public MenuItem setAlphabeticShortcut(char c2) {
        this.p.setAlphabeticShortcut(c2);
        return this;
    }

    public MenuItem setCheckable(boolean z) {
        this.p.setCheckable(z);
        return this;
    }

    public MenuItem setChecked(boolean z) {
        this.p.setChecked(z);
        return this;
    }

    public MenuItem setContentDescription(CharSequence charSequence) {
        this.p.setContentDescription(charSequence);
        return this;
    }

    public MenuItem setEnabled(boolean z) {
        this.p.setEnabled(z);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(Drawable drawable) {
        this.p.setIcon(drawable);
        return this;
    }

    public MenuItem setIconTintList(ColorStateList colorStateList) {
        this.p.setIconTintList(colorStateList);
        return this;
    }

    public MenuItem setIconTintMode(PorterDuff.Mode mode) {
        this.p.setIconTintMode(mode);
        return this;
    }

    public MenuItem setIntent(Intent intent) {
        this.p.setIntent(intent);
        return this;
    }

    public MenuItem setNumericShortcut(char c2) {
        this.p.setNumericShortcut(c2);
        return this;
    }

    public MenuItem setOnActionExpandListener(MenuItem.OnActionExpandListener onActionExpandListener) {
        this.p.setOnActionExpandListener(onActionExpandListener != null ? new d(onActionExpandListener) : null);
        return this;
    }

    public MenuItem setOnMenuItemClickListener(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
        this.p.setOnMenuItemClickListener(onMenuItemClickListener != null ? new e(onMenuItemClickListener) : null);
        return this;
    }

    public MenuItem setShortcut(char c2, char c3) {
        this.p.setShortcut(c2, c3);
        return this;
    }

    public void setShowAsAction(int i) {
        this.p.setShowAsAction(i);
    }

    public MenuItem setShowAsActionFlags(int i) {
        this.p.setShowAsActionFlags(i);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(CharSequence charSequence) {
        this.p.setTitle(charSequence);
        return this;
    }

    public MenuItem setTitleCondensed(CharSequence charSequence) {
        this.p.setTitleCondensed(charSequence);
        return this;
    }

    public MenuItem setTooltipText(CharSequence charSequence) {
        this.p.setTooltipText(charSequence);
        return this;
    }

    public MenuItem setVisible(boolean z) {
        return this.p.setVisible(z);
    }

    public MenuItem setAlphabeticShortcut(char c2, int i) {
        this.p.setAlphabeticShortcut(c2, i);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(int i) {
        this.p.setIcon(i);
        return this;
    }

    public MenuItem setNumericShortcut(char c2, int i) {
        this.p.setNumericShortcut(c2, i);
        return this;
    }

    public MenuItem setShortcut(char c2, char c3, int i, int i2) {
        this.p.setShortcut(c2, c3, i, i2);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(int i) {
        this.p.setTitle(i);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setActionView(int i) {
        this.p.setActionView(i);
        View actionView = this.p.getActionView();
        if (actionView instanceof CollapsibleActionView) {
            this.p.setActionView(new c(actionView));
        }
        return this;
    }
}
