package androidx.appcompat.view.menu;

import android.content.Context;
import android.graphics.Point;
import android.graphics.Rect;
import android.os.Build;
import android.view.Display;
import android.view.View;
import android.view.WindowManager;
import android.widget.ListView;
import android.widget.PopupWindow;
import androidx.annotation.AttrRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.appcompat.R;
import androidx.appcompat.view.menu.m;
import androidx.core.view.GravityCompat;
import androidx.core.view.ViewCompat;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: MenuPopupHelper */
public class l implements h {

    /* renamed from: a  reason: collision with root package name */
    private static final int f309a = 48;

    /* renamed from: b  reason: collision with root package name */
    private final Context f310b;

    /* renamed from: c  reason: collision with root package name */
    private final f f311c;

    /* renamed from: d  reason: collision with root package name */
    private final boolean f312d;

    /* renamed from: e  reason: collision with root package name */
    private final int f313e;
    private final int f;
    private View g;
    private int h;
    private boolean i;
    private m.a j;
    private k k;
    private PopupWindow.OnDismissListener l;
    private final PopupWindow.OnDismissListener m;

    /* compiled from: MenuPopupHelper */
    class a implements PopupWindow.OnDismissListener {
        a() {
        }

        public void onDismiss() {
            l.this.g();
        }
    }

    public l(@NonNull Context context, @NonNull f fVar) {
        this(context, fVar, null, false, R.attr.popupMenuStyle, 0);
    }

    @NonNull
    private k b() {
        k kVar;
        Display defaultDisplay = ((WindowManager) this.f310b.getSystemService("window")).getDefaultDisplay();
        Point point = new Point();
        if (Build.VERSION.SDK_INT >= 17) {
            defaultDisplay.getRealSize(point);
        } else {
            defaultDisplay.getSize(point);
        }
        if (Math.min(point.x, point.y) >= this.f310b.getResources().getDimensionPixelSize(R.dimen.abc_cascading_menus_min_smallest_width)) {
            kVar = new CascadingMenuPopup(this.f310b, this.g, this.f313e, this.f, this.f312d);
        } else {
            kVar = new q(this.f310b, this.f311c, this.g, this.f313e, this.f, this.f312d);
        }
        kVar.p(this.f311c);
        kVar.y(this.m);
        kVar.t(this.g);
        kVar.k(this.j);
        kVar.v(this.i);
        kVar.w(this.h);
        return kVar;
    }

    private void n(int i2, int i3, boolean z, boolean z2) {
        k e2 = e();
        e2.z(z2);
        if (z) {
            if ((GravityCompat.getAbsoluteGravity(this.h, ViewCompat.getLayoutDirection(this.g)) & 7) == 5) {
                i2 -= this.g.getWidth();
            }
            e2.x(i2);
            e2.A(i3);
            int i4 = (int) ((this.f310b.getResources().getDisplayMetrics().density * 48.0f) / 2.0f);
            e2.u(new Rect(i2 - i4, i3 - i4, i2 + i4, i3 + i4));
        }
        e2.b();
    }

    @Override // androidx.appcompat.view.menu.h
    public void a(@Nullable m.a aVar) {
        this.j = aVar;
        k kVar = this.k;
        if (kVar != null) {
            kVar.k(aVar);
        }
    }

    public int c() {
        return this.h;
    }

    public ListView d() {
        return e().m();
    }

    @Override // androidx.appcompat.view.menu.h
    public void dismiss() {
        if (f()) {
            this.k.dismiss();
        }
    }

    @NonNull
    public k e() {
        if (this.k == null) {
            this.k = b();
        }
        return this.k;
    }

    public boolean f() {
        k kVar = this.k;
        return kVar != null && kVar.c();
    }

    /* access modifiers changed from: protected */
    public void g() {
        this.k = null;
        PopupWindow.OnDismissListener onDismissListener = this.l;
        if (onDismissListener != null) {
            onDismissListener.onDismiss();
        }
    }

    public void h(@NonNull View view) {
        this.g = view;
    }

    public void i(boolean z) {
        this.i = z;
        k kVar = this.k;
        if (kVar != null) {
            kVar.v(z);
        }
    }

    public void j(int i2) {
        this.h = i2;
    }

    public void k(@Nullable PopupWindow.OnDismissListener onDismissListener) {
        this.l = onDismissListener;
    }

    public void l() {
        if (!o()) {
            throw new IllegalStateException("MenuPopupHelper cannot be used without an anchor");
        }
    }

    public void m(int i2, int i3) {
        if (!p(i2, i3)) {
            throw new IllegalStateException("MenuPopupHelper cannot be used without an anchor");
        }
    }

    public boolean o() {
        if (f()) {
            return true;
        }
        if (this.g == null) {
            return false;
        }
        n(0, 0, false, false);
        return true;
    }

    public boolean p(int i2, int i3) {
        if (f()) {
            return true;
        }
        if (this.g == null) {
            return false;
        }
        n(i2, i3, true, true);
        return true;
    }

    public l(@NonNull Context context, @NonNull f fVar, @NonNull View view) {
        this(context, fVar, view, false, R.attr.popupMenuStyle, 0);
    }

    public l(@NonNull Context context, @NonNull f fVar, @NonNull View view, boolean z, @AttrRes int i2) {
        this(context, fVar, view, z, i2, 0);
    }

    public l(@NonNull Context context, @NonNull f fVar, @NonNull View view, boolean z, @AttrRes int i2, @StyleRes int i3) {
        this.h = GravityCompat.START;
        this.m = new a();
        this.f310b = context;
        this.f311c = fVar;
        this.g = view;
        this.f312d = z;
        this.f313e = i2;
        this.f = i3;
    }
}
