package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.Resources;
import android.os.Parcelable;
import android.view.Gravity;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.AdapterView;
import android.widget.FrameLayout;
import android.widget.ListView;
import android.widget.PopupWindow;
import android.widget.TextView;
import androidx.appcompat.R;
import androidx.appcompat.view.menu.m;
import androidx.appcompat.widget.MenuPopupWindow;
import androidx.core.view.ViewCompat;

/* access modifiers changed from: package-private */
/* compiled from: StandardMenuPopup */
public final class q extends k implements PopupWindow.OnDismissListener, AdapterView.OnItemClickListener, m, View.OnKeyListener {

    /* renamed from: b  reason: collision with root package name */
    private static final int f315b = R.layout.abc_popup_menu_item_layout;
    private final Context I0;
    private final f J0;
    private final e K0;
    private final boolean L0;
    private final int M0;
    private final int N0;
    private final int O0;
    final MenuPopupWindow P0;
    final ViewTreeObserver.OnGlobalLayoutListener Q0 = new a();
    private final View.OnAttachStateChangeListener R0 = new b();
    private PopupWindow.OnDismissListener S0;
    private View T0;
    View U0;
    private m.a V0;
    ViewTreeObserver W0;
    private boolean X0;
    private boolean Y0;
    private int Z0;
    private int a1 = 0;
    private boolean b1;

    /* compiled from: StandardMenuPopup */
    class a implements ViewTreeObserver.OnGlobalLayoutListener {
        a() {
        }

        public void onGlobalLayout() {
            if (q.this.c() && !q.this.P0.L()) {
                View view = q.this.U0;
                if (view == null || !view.isShown()) {
                    q.this.dismiss();
                } else {
                    q.this.P0.b();
                }
            }
        }
    }

    /* compiled from: StandardMenuPopup */
    class b implements View.OnAttachStateChangeListener {
        b() {
        }

        public void onViewAttachedToWindow(View view) {
        }

        public void onViewDetachedFromWindow(View view) {
            ViewTreeObserver viewTreeObserver = q.this.W0;
            if (viewTreeObserver != null) {
                if (!viewTreeObserver.isAlive()) {
                    q.this.W0 = view.getViewTreeObserver();
                }
                q qVar = q.this;
                qVar.W0.removeGlobalOnLayoutListener(qVar.Q0);
            }
            view.removeOnAttachStateChangeListener(this);
        }
    }

    public q(Context context, f fVar, View view, int i, int i2, boolean z) {
        this.I0 = context;
        this.J0 = fVar;
        this.L0 = z;
        this.K0 = new e(fVar, LayoutInflater.from(context), z, f315b);
        this.N0 = i;
        this.O0 = i2;
        Resources resources = context.getResources();
        this.M0 = Math.max(resources.getDisplayMetrics().widthPixels / 2, resources.getDimensionPixelSize(R.dimen.abc_config_prefDialogWidth));
        this.T0 = view;
        this.P0 = new MenuPopupWindow(context, null, i, i2);
        fVar.c(this, context);
    }

    private boolean D() {
        View view;
        if (c()) {
            return true;
        }
        if (this.X0 || (view = this.T0) == null) {
            return false;
        }
        this.U0 = view;
        this.P0.e0(this);
        this.P0.f0(this);
        this.P0.d0(true);
        View view2 = this.U0;
        boolean z = this.W0 == null;
        ViewTreeObserver viewTreeObserver = view2.getViewTreeObserver();
        this.W0 = viewTreeObserver;
        if (z) {
            viewTreeObserver.addOnGlobalLayoutListener(this.Q0);
        }
        view2.addOnAttachStateChangeListener(this.R0);
        this.P0.S(view2);
        this.P0.W(this.a1);
        if (!this.Y0) {
            this.Z0 = k.s(this.K0, null, this.I0, this.M0);
            this.Y0 = true;
        }
        this.P0.U(this.Z0);
        this.P0.a0(2);
        this.P0.X(r());
        this.P0.b();
        ListView m = this.P0.m();
        m.setOnKeyListener(this);
        if (this.b1 && this.J0.A() != null) {
            FrameLayout frameLayout = (FrameLayout) LayoutInflater.from(this.I0).inflate(R.layout.abc_popup_menu_header_item_layout, (ViewGroup) m, false);
            TextView textView = (TextView) frameLayout.findViewById(16908310);
            if (textView != null) {
                textView.setText(this.J0.A());
            }
            frameLayout.setEnabled(false);
            m.addHeaderView(frameLayout, null, false);
        }
        this.P0.q(this.K0);
        this.P0.b();
        return true;
    }

    @Override // androidx.appcompat.view.menu.k
    public void A(int i) {
        this.P0.k(i);
    }

    @Override // androidx.appcompat.view.menu.p
    public void b() {
        if (!D()) {
            throw new IllegalStateException("StandardMenuPopup cannot be used without an anchor");
        }
    }

    @Override // androidx.appcompat.view.menu.p
    public boolean c() {
        return !this.X0 && this.P0.c();
    }

    @Override // androidx.appcompat.view.menu.m
    public void d(f fVar, boolean z) {
        if (fVar == this.J0) {
            dismiss();
            m.a aVar = this.V0;
            if (aVar != null) {
                aVar.d(fVar, z);
            }
        }
    }

    @Override // androidx.appcompat.view.menu.p
    public void dismiss() {
        if (c()) {
            this.P0.dismiss();
        }
    }

    @Override // androidx.appcompat.view.menu.m
    public void e(Parcelable parcelable) {
    }

    @Override // androidx.appcompat.view.menu.m
    public Parcelable f() {
        return null;
    }

    @Override // androidx.appcompat.view.menu.m
    public void g(boolean z) {
        this.Y0 = false;
        e eVar = this.K0;
        if (eVar != null) {
            eVar.notifyDataSetChanged();
        }
    }

    @Override // androidx.appcompat.view.menu.m
    public boolean h() {
        return false;
    }

    @Override // androidx.appcompat.view.menu.m
    public void k(m.a aVar) {
        this.V0 = aVar;
    }

    @Override // androidx.appcompat.view.menu.p
    public ListView m() {
        return this.P0.m();
    }

    @Override // androidx.appcompat.view.menu.m
    public boolean n(r rVar) {
        if (rVar.hasVisibleItems()) {
            l lVar = new l(this.I0, rVar, this.U0, this.L0, this.N0, this.O0);
            lVar.a(this.V0);
            lVar.i(k.B(rVar));
            lVar.k(this.S0);
            this.S0 = null;
            this.J0.f(false);
            int d2 = this.P0.d();
            int o = this.P0.o();
            if ((Gravity.getAbsoluteGravity(this.a1, ViewCompat.getLayoutDirection(this.T0)) & 7) == 5) {
                d2 += this.T0.getWidth();
            }
            if (lVar.p(d2, o)) {
                m.a aVar = this.V0;
                if (aVar == null) {
                    return true;
                }
                aVar.e(rVar);
                return true;
            }
        }
        return false;
    }

    public void onDismiss() {
        this.X0 = true;
        this.J0.close();
        ViewTreeObserver viewTreeObserver = this.W0;
        if (viewTreeObserver != null) {
            if (!viewTreeObserver.isAlive()) {
                this.W0 = this.U0.getViewTreeObserver();
            }
            this.W0.removeGlobalOnLayoutListener(this.Q0);
            this.W0 = null;
        }
        this.U0.removeOnAttachStateChangeListener(this.R0);
        PopupWindow.OnDismissListener onDismissListener = this.S0;
        if (onDismissListener != null) {
            onDismissListener.onDismiss();
        }
    }

    public boolean onKey(View view, int i, KeyEvent keyEvent) {
        if (keyEvent.getAction() != 1 || i != 82) {
            return false;
        }
        dismiss();
        return true;
    }

    @Override // androidx.appcompat.view.menu.k
    public void p(f fVar) {
    }

    @Override // androidx.appcompat.view.menu.k
    public void t(View view) {
        this.T0 = view;
    }

    @Override // androidx.appcompat.view.menu.k
    public void v(boolean z) {
        this.K0.e(z);
    }

    @Override // androidx.appcompat.view.menu.k
    public void w(int i) {
        this.a1 = i;
    }

    @Override // androidx.appcompat.view.menu.k
    public void x(int i) {
        this.P0.f(i);
    }

    @Override // androidx.appcompat.view.menu.k
    public void y(PopupWindow.OnDismissListener onDismissListener) {
        this.S0 = onDismissListener;
    }

    @Override // androidx.appcompat.view.menu.k
    public void z(boolean z) {
        this.b1 = z;
    }
}
