package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.ActionMode;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.annotation.RestrictTo;
import androidx.appcompat.R;
import androidx.core.view.ViewCompat;
import com.ibm.icu.text.c;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
public class ActionBarContainer extends FrameLayout {
    private View I0;
    private View J0;
    Drawable K0;
    Drawable L0;
    Drawable M0;
    boolean N0;
    boolean O0;
    private int P0;

    /* renamed from: a  reason: collision with root package name */
    private boolean f318a;

    /* renamed from: b  reason: collision with root package name */
    private View f319b;

    public ActionBarContainer(Context context) {
        this(context, null);
    }

    private int a(View view) {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) view.getLayoutParams();
        return view.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
    }

    private boolean b(View view) {
        return view == null || view.getVisibility() == 8 || view.getMeasuredHeight() == 0;
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.K0;
        if (drawable != null && drawable.isStateful()) {
            this.K0.setState(getDrawableState());
        }
        Drawable drawable2 = this.L0;
        if (drawable2 != null && drawable2.isStateful()) {
            this.L0.setState(getDrawableState());
        }
        Drawable drawable3 = this.M0;
        if (drawable3 != null && drawable3.isStateful()) {
            this.M0.setState(getDrawableState());
        }
    }

    public View getTabContainer() {
        return this.f319b;
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.K0;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
        Drawable drawable2 = this.L0;
        if (drawable2 != null) {
            drawable2.jumpToCurrentState();
        }
        Drawable drawable3 = this.M0;
        if (drawable3 != null) {
            drawable3.jumpToCurrentState();
        }
    }

    public void onFinishInflate() {
        super.onFinishInflate();
        this.I0 = findViewById(R.id.action_bar);
        this.J0 = findViewById(R.id.action_context_bar);
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        super.onHoverEvent(motionEvent);
        return true;
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        return this.f318a || super.onInterceptTouchEvent(motionEvent);
    }

    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        Drawable drawable;
        super.onLayout(z, i, i2, i3, i4);
        View view = this.f319b;
        boolean z2 = true;
        boolean z3 = false;
        boolean z4 = (view == null || view.getVisibility() == 8) ? false : true;
        if (!(view == null || view.getVisibility() == 8)) {
            int measuredHeight = getMeasuredHeight();
            int i5 = ((FrameLayout.LayoutParams) view.getLayoutParams()).bottomMargin;
            view.layout(i, (measuredHeight - view.getMeasuredHeight()) - i5, i3, measuredHeight - i5);
        }
        if (this.N0) {
            Drawable drawable2 = this.M0;
            if (drawable2 != null) {
                drawable2.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            } else {
                z2 = false;
            }
        } else {
            if (this.K0 != null) {
                if (this.I0.getVisibility() == 0) {
                    this.K0.setBounds(this.I0.getLeft(), this.I0.getTop(), this.I0.getRight(), this.I0.getBottom());
                } else {
                    View view2 = this.J0;
                    if (view2 == null || view2.getVisibility() != 0) {
                        this.K0.setBounds(0, 0, 0, 0);
                    } else {
                        this.K0.setBounds(this.J0.getLeft(), this.J0.getTop(), this.J0.getRight(), this.J0.getBottom());
                    }
                }
                z3 = true;
            }
            this.O0 = z4;
            if (!z4 || (drawable = this.L0) == null) {
                z2 = z3;
            } else {
                drawable.setBounds(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
            }
        }
        if (z2) {
            invalidate();
        }
    }

    public void onMeasure(int i, int i2) {
        int i3;
        int i4;
        if (this.I0 == null && View.MeasureSpec.getMode(i2) == Integer.MIN_VALUE && (i4 = this.P0) >= 0) {
            i2 = View.MeasureSpec.makeMeasureSpec(Math.min(i4, View.MeasureSpec.getSize(i2)), Integer.MIN_VALUE);
        }
        super.onMeasure(i, i2);
        if (this.I0 != null) {
            int mode = View.MeasureSpec.getMode(i2);
            View view = this.f319b;
            if (view != null && view.getVisibility() != 8 && mode != 1073741824) {
                if (!b(this.I0)) {
                    i3 = a(this.I0);
                } else {
                    i3 = !b(this.J0) ? a(this.J0) : 0;
                }
                setMeasuredDimension(getMeasuredWidth(), Math.min(i3 + a(this.f319b), mode == Integer.MIN_VALUE ? View.MeasureSpec.getSize(i2) : Integer.MAX_VALUE));
            }
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        super.onTouchEvent(motionEvent);
        return true;
    }

    public void setPrimaryBackground(Drawable drawable) {
        Drawable drawable2 = this.K0;
        if (drawable2 != null) {
            drawable2.setCallback(null);
            unscheduleDrawable(this.K0);
        }
        this.K0 = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            View view = this.I0;
            if (view != null) {
                this.K0.setBounds(view.getLeft(), this.I0.getTop(), this.I0.getRight(), this.I0.getBottom());
            }
        }
        boolean z = true;
        if (!this.N0 ? !(this.K0 == null && this.L0 == null) : this.M0 != null) {
            z = false;
        }
        setWillNotDraw(z);
        invalidate();
        if (Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    public void setSplitBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.M0;
        if (drawable3 != null) {
            drawable3.setCallback(null);
            unscheduleDrawable(this.M0);
        }
        this.M0 = drawable;
        boolean z = false;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.N0 && (drawable2 = this.M0) != null) {
                drawable2.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            }
        }
        if (!this.N0 ? this.K0 == null && this.L0 == null : this.M0 == null) {
            z = true;
        }
        setWillNotDraw(z);
        invalidate();
        if (Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    public void setStackedBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.L0;
        if (drawable3 != null) {
            drawable3.setCallback(null);
            unscheduleDrawable(this.L0);
        }
        this.L0 = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.O0 && (drawable2 = this.L0) != null) {
                drawable2.setBounds(this.f319b.getLeft(), this.f319b.getTop(), this.f319b.getRight(), this.f319b.getBottom());
            }
        }
        boolean z = true;
        if (!this.N0 ? !(this.K0 == null && this.L0 == null) : this.M0 != null) {
            z = false;
        }
        setWillNotDraw(z);
        invalidate();
        if (Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    public void setTabContainer(ScrollingTabContainerView scrollingTabContainerView) {
        View view = this.f319b;
        if (view != null) {
            removeView(view);
        }
        this.f319b = scrollingTabContainerView;
        if (scrollingTabContainerView != null) {
            addView(scrollingTabContainerView);
            ViewGroup.LayoutParams layoutParams = scrollingTabContainerView.getLayoutParams();
            layoutParams.width = -1;
            layoutParams.height = -2;
            scrollingTabContainerView.setAllowCollapse(false);
        }
    }

    public void setTransitioning(boolean z) {
        this.f318a = z;
        setDescendantFocusability(z ? c.f : 262144);
    }

    public void setVisibility(int i) {
        super.setVisibility(i);
        boolean z = i == 0;
        Drawable drawable = this.K0;
        if (drawable != null) {
            drawable.setVisible(z, false);
        }
        Drawable drawable2 = this.L0;
        if (drawable2 != null) {
            drawable2.setVisible(z, false);
        }
        Drawable drawable3 = this.M0;
        if (drawable3 != null) {
            drawable3.setVisible(z, false);
        }
    }

    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback) {
        return null;
    }

    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback, int i) {
        if (i != 0) {
            return super.startActionModeForChild(view, callback, i);
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(Drawable drawable) {
        return (drawable == this.K0 && !this.N0) || (drawable == this.L0 && this.O0) || ((drawable == this.M0 && this.N0) || super.verifyDrawable(drawable));
    }

    public ActionBarContainer(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        ViewCompat.setBackground(this, new b(this));
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ActionBar);
        this.K0 = obtainStyledAttributes.getDrawable(R.styleable.ActionBar_background);
        this.L0 = obtainStyledAttributes.getDrawable(R.styleable.ActionBar_backgroundStacked);
        this.P0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ActionBar_height, -1);
        boolean z = true;
        if (getId() == R.id.split_action_bar) {
            this.N0 = true;
            this.M0 = obtainStyledAttributes.getDrawable(R.styleable.ActionBar_backgroundSplit);
        }
        obtainStyledAttributes.recycle();
        if (!this.N0 ? !(this.K0 == null && this.L0 == null) : this.M0 != null) {
            z = false;
        }
        setWillNotDraw(z);
    }
}
