package androidx.appcompat.widget;

import android.content.Context;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.appcompat.R;
import androidx.appcompat.c.b;
import androidx.appcompat.view.menu.f;
import androidx.core.view.ViewCompat;
import androidx.core.view.ViewPropertyAnimatorCompat;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
public class ActionBarContextView extends a {
    private CharSequence P0;
    private CharSequence Q0;
    private View R0;
    private View S0;
    private LinearLayout T0;
    private TextView U0;
    private TextView V0;
    private int W0;
    private int X0;
    private boolean Y0;
    private int Z0;

    /* access modifiers changed from: package-private */
    public class a implements View.OnClickListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ b f320a;

        a(b bVar) {
            this.f320a = bVar;
        }

        public void onClick(View view) {
            this.f320a.c();
        }
    }

    public ActionBarContextView(@NonNull Context context) {
        this(context, null);
    }

    private void r() {
        if (this.T0 == null) {
            LayoutInflater.from(getContext()).inflate(R.layout.abc_action_bar_title_item, this);
            LinearLayout linearLayout = (LinearLayout) getChildAt(getChildCount() - 1);
            this.T0 = linearLayout;
            this.U0 = (TextView) linearLayout.findViewById(R.id.action_bar_title);
            this.V0 = (TextView) this.T0.findViewById(R.id.action_bar_subtitle);
            if (this.W0 != 0) {
                this.U0.setTextAppearance(getContext(), this.W0);
            }
            if (this.X0 != 0) {
                this.V0.setTextAppearance(getContext(), this.X0);
            }
        }
        this.U0.setText(this.P0);
        this.V0.setText(this.Q0);
        boolean z = !TextUtils.isEmpty(this.P0);
        boolean z2 = !TextUtils.isEmpty(this.Q0);
        int i = 0;
        this.V0.setVisibility(z2 ? 0 : 8);
        LinearLayout linearLayout2 = this.T0;
        if (!z && !z2) {
            i = 8;
        }
        linearLayout2.setVisibility(i);
        if (this.T0.getParent() == null) {
            addView(this.T0);
        }
    }

    @Override // androidx.appcompat.widget.a
    public /* bridge */ /* synthetic */ void c(int i) {
        super.c(i);
    }

    @Override // androidx.appcompat.widget.a
    public /* bridge */ /* synthetic */ boolean d() {
        return super.d();
    }

    @Override // androidx.appcompat.widget.a
    public /* bridge */ /* synthetic */ void e() {
        super.e();
    }

    @Override // androidx.appcompat.widget.a
    public boolean f() {
        ActionMenuPresenter actionMenuPresenter = this.K0;
        if (actionMenuPresenter != null) {
            return actionMenuPresenter.E();
        }
        return false;
    }

    @Override // androidx.appcompat.widget.a
    public /* bridge */ /* synthetic */ boolean g() {
        return super.g();
    }

    /* access modifiers changed from: protected */
    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new ViewGroup.MarginLayoutParams(-1, -2);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new ViewGroup.MarginLayoutParams(getContext(), attributeSet);
    }

    @Override // androidx.appcompat.widget.a
    public /* bridge */ /* synthetic */ int getAnimatedVisibility() {
        return super.getAnimatedVisibility();
    }

    @Override // androidx.appcompat.widget.a
    public /* bridge */ /* synthetic */ int getContentHeight() {
        return super.getContentHeight();
    }

    public CharSequence getSubtitle() {
        return this.Q0;
    }

    public CharSequence getTitle() {
        return this.P0;
    }

    @Override // androidx.appcompat.widget.a
    public boolean h() {
        ActionMenuPresenter actionMenuPresenter = this.K0;
        if (actionMenuPresenter != null) {
            return actionMenuPresenter.H();
        }
        return false;
    }

    @Override // androidx.appcompat.widget.a
    public /* bridge */ /* synthetic */ boolean i() {
        return super.i();
    }

    @Override // androidx.appcompat.widget.a
    public /* bridge */ /* synthetic */ void m() {
        super.m();
    }

    @Override // androidx.appcompat.widget.a
    public /* bridge */ /* synthetic */ ViewPropertyAnimatorCompat n(int i, long j) {
        return super.n(i, j);
    }

    @Override // androidx.appcompat.widget.a
    public boolean o() {
        ActionMenuPresenter actionMenuPresenter = this.K0;
        if (actionMenuPresenter != null) {
            return actionMenuPresenter.Q();
        }
        return false;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        ActionMenuPresenter actionMenuPresenter = this.K0;
        if (actionMenuPresenter != null) {
            actionMenuPresenter.E();
            this.K0.F();
        }
    }

    @Override // androidx.appcompat.widget.a
    public /* bridge */ /* synthetic */ boolean onHoverEvent(MotionEvent motionEvent) {
        return super.onHoverEvent(motionEvent);
    }

    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        if (accessibilityEvent.getEventType() == 32) {
            accessibilityEvent.setSource(this);
            accessibilityEvent.setClassName(getClass().getName());
            accessibilityEvent.setPackageName(getContext().getPackageName());
            accessibilityEvent.setContentDescription(this.P0);
            return;
        }
        super.onInitializeAccessibilityEvent(accessibilityEvent);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        boolean b2 = l0.b(this);
        int paddingRight = b2 ? (i3 - i) - getPaddingRight() : getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingTop2 = ((i4 - i2) - getPaddingTop()) - getPaddingBottom();
        View view = this.R0;
        if (!(view == null || view.getVisibility() == 8)) {
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) this.R0.getLayoutParams();
            int i5 = b2 ? marginLayoutParams.rightMargin : marginLayoutParams.leftMargin;
            int i6 = b2 ? marginLayoutParams.leftMargin : marginLayoutParams.rightMargin;
            int k = a.k(paddingRight, i5, b2);
            paddingRight = a.k(k + l(this.R0, k, paddingTop, paddingTop2, b2), i6, b2);
        }
        int i7 = paddingRight;
        LinearLayout linearLayout = this.T0;
        if (!(linearLayout == null || this.S0 != null || linearLayout.getVisibility() == 8)) {
            i7 += l(this.T0, i7, paddingTop, paddingTop2, b2);
        }
        View view2 = this.S0;
        if (view2 != null) {
            l(view2, i7, paddingTop, paddingTop2, b2);
        }
        int paddingLeft = b2 ? getPaddingLeft() : (i3 - i) - getPaddingRight();
        ActionMenuView actionMenuView = this.J0;
        if (actionMenuView != null) {
            l(actionMenuView, paddingLeft, paddingTop, paddingTop2, !b2);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        int i3 = 1073741824;
        if (View.MeasureSpec.getMode(i) != 1073741824) {
            throw new IllegalStateException(getClass().getSimpleName() + " can only be used with android:layout_width=\"match_parent\" (or fill_parent)");
        } else if (View.MeasureSpec.getMode(i2) != 0) {
            int size = View.MeasureSpec.getSize(i);
            int i4 = this.L0;
            if (i4 <= 0) {
                i4 = View.MeasureSpec.getSize(i2);
            }
            int paddingTop = getPaddingTop() + getPaddingBottom();
            int paddingLeft = (size - getPaddingLeft()) - getPaddingRight();
            int i5 = i4 - paddingTop;
            int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(i5, Integer.MIN_VALUE);
            View view = this.R0;
            if (view != null) {
                int j = j(view, paddingLeft, makeMeasureSpec, 0);
                ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) this.R0.getLayoutParams();
                paddingLeft = j - (marginLayoutParams.leftMargin + marginLayoutParams.rightMargin);
            }
            ActionMenuView actionMenuView = this.J0;
            if (actionMenuView != null && actionMenuView.getParent() == this) {
                paddingLeft = j(this.J0, paddingLeft, makeMeasureSpec, 0);
            }
            LinearLayout linearLayout = this.T0;
            if (linearLayout != null && this.S0 == null) {
                if (this.Y0) {
                    this.T0.measure(View.MeasureSpec.makeMeasureSpec(0, 0), makeMeasureSpec);
                    int measuredWidth = this.T0.getMeasuredWidth();
                    boolean z = measuredWidth <= paddingLeft;
                    if (z) {
                        paddingLeft -= measuredWidth;
                    }
                    this.T0.setVisibility(z ? 0 : 8);
                } else {
                    paddingLeft = j(linearLayout, paddingLeft, makeMeasureSpec, 0);
                }
            }
            View view2 = this.S0;
            if (view2 != null) {
                ViewGroup.LayoutParams layoutParams = view2.getLayoutParams();
                int i6 = layoutParams.width;
                int i7 = i6 != -2 ? 1073741824 : Integer.MIN_VALUE;
                if (i6 >= 0) {
                    paddingLeft = Math.min(i6, paddingLeft);
                }
                int i8 = layoutParams.height;
                if (i8 == -2) {
                    i3 = Integer.MIN_VALUE;
                }
                if (i8 >= 0) {
                    i5 = Math.min(i8, i5);
                }
                this.S0.measure(View.MeasureSpec.makeMeasureSpec(paddingLeft, i7), View.MeasureSpec.makeMeasureSpec(i5, i3));
            }
            if (this.L0 <= 0) {
                int childCount = getChildCount();
                int i9 = 0;
                for (int i10 = 0; i10 < childCount; i10++) {
                    int measuredHeight = getChildAt(i10).getMeasuredHeight() + paddingTop;
                    if (measuredHeight > i9) {
                        i9 = measuredHeight;
                    }
                }
                setMeasuredDimension(size, i9);
                return;
            }
            setMeasuredDimension(size, i4);
        } else {
            throw new IllegalStateException(getClass().getSimpleName() + " can only be used with android:layout_height=\"wrap_content\"");
        }
    }

    @Override // androidx.appcompat.widget.a
    public /* bridge */ /* synthetic */ boolean onTouchEvent(MotionEvent motionEvent) {
        return super.onTouchEvent(motionEvent);
    }

    public void p() {
        if (this.R0 == null) {
            t();
        }
    }

    public void q(b bVar) {
        View view = this.R0;
        if (view == null) {
            View inflate = LayoutInflater.from(getContext()).inflate(this.Z0, (ViewGroup) this, false);
            this.R0 = inflate;
            addView(inflate);
        } else if (view.getParent() == null) {
            addView(this.R0);
        }
        this.R0.findViewById(R.id.action_mode_close_button).setOnClickListener(new a(bVar));
        f fVar = (f) bVar.e();
        ActionMenuPresenter actionMenuPresenter = this.K0;
        if (actionMenuPresenter != null) {
            actionMenuPresenter.B();
        }
        ActionMenuPresenter actionMenuPresenter2 = new ActionMenuPresenter(getContext());
        this.K0 = actionMenuPresenter2;
        actionMenuPresenter2.O(true);
        ViewGroup.LayoutParams layoutParams = new ViewGroup.LayoutParams(-2, -1);
        fVar.c(this.K0, this.I0);
        ActionMenuView actionMenuView = (ActionMenuView) this.K0.o(this);
        this.J0 = actionMenuView;
        ViewCompat.setBackground(actionMenuView, null);
        addView(this.J0, layoutParams);
    }

    public boolean s() {
        return this.Y0;
    }

    @Override // androidx.appcompat.widget.a
    public void setContentHeight(int i) {
        this.L0 = i;
    }

    public void setCustomView(View view) {
        LinearLayout linearLayout;
        View view2 = this.S0;
        if (view2 != null) {
            removeView(view2);
        }
        this.S0 = view;
        if (!(view == null || (linearLayout = this.T0) == null)) {
            removeView(linearLayout);
            this.T0 = null;
        }
        if (view != null) {
            addView(view);
        }
        requestLayout();
    }

    public void setSubtitle(CharSequence charSequence) {
        this.Q0 = charSequence;
        r();
    }

    public void setTitle(CharSequence charSequence) {
        this.P0 = charSequence;
        r();
    }

    public void setTitleOptional(boolean z) {
        if (z != this.Y0) {
            requestLayout();
        }
        this.Y0 = z;
    }

    @Override // androidx.appcompat.widget.a
    public /* bridge */ /* synthetic */ void setVisibility(int i) {
        super.setVisibility(i);
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }

    public void t() {
        removeAllViews();
        this.S0 = null;
        this.J0 = null;
    }

    public ActionBarContextView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.actionModeStyle);
    }

    public ActionBarContextView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        f0 G = f0.G(context, attributeSet, R.styleable.ActionMode, i, 0);
        ViewCompat.setBackground(this, G.h(R.styleable.ActionMode_background));
        this.W0 = G.u(R.styleable.ActionMode_titleTextStyle, 0);
        this.X0 = G.u(R.styleable.ActionMode_subtitleTextStyle, 0);
        this.L0 = G.q(R.styleable.ActionMode_height, 0);
        this.Z0 = G.u(R.styleable.ActionMode_closeItemLayout, R.layout.abc_action_mode_close_item_material);
        G.I();
    }
}
