package androidx.appcompat.widget;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Configuration;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.view.Menu;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewPropertyAnimator;
import android.view.Window;
import android.view.WindowInsets;
import android.widget.OverScroller;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.appcompat.R;
import androidx.appcompat.view.menu.m;
import androidx.core.graphics.i;
import androidx.core.view.NestedScrollingParent;
import androidx.core.view.NestedScrollingParent2;
import androidx.core.view.NestedScrollingParent3;
import androidx.core.view.NestedScrollingParentHelper;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

@SuppressLint({"UnknownNullness"})
@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
public class ActionBarOverlayLayout extends ViewGroup implements n, NestedScrollingParent, NestedScrollingParent2, NestedScrollingParent3 {
    static final int[] I0 = {R.attr.actionBarSize, 16842841};

    /* renamed from: a  reason: collision with root package name */
    private static final String f322a = "ActionBarOverlayLayout";

    /* renamed from: b  reason: collision with root package name */
    private static final int f323b = 600;
    private int J0;
    private int K0;
    private ContentFrameLayout L0;
    ActionBarContainer M0;
    private o N0;
    private Drawable O0;
    private boolean P0;
    private boolean Q0;
    private boolean R0;
    private boolean S0;
    boolean T0;
    private int U0;
    private int V0;
    private final Rect W0;
    private final Rect X0;
    private final Rect Y0;
    private final Rect Z0;
    private final Rect a1;
    private final Rect b1;
    private final Rect c1;
    @NonNull
    private WindowInsetsCompat d1;
    @NonNull
    private WindowInsetsCompat e1;
    @NonNull
    private WindowInsetsCompat f1;
    @NonNull
    private WindowInsetsCompat g1;
    private d h1;
    private OverScroller i1;
    ViewPropertyAnimator j1;
    final AnimatorListenerAdapter k1;
    private final Runnable l1;
    private final Runnable m1;
    private final NestedScrollingParentHelper n1;

    public static class LayoutParams extends ViewGroup.MarginLayoutParams {
        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public LayoutParams(int i, int i2) {
            super(i, i2);
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public LayoutParams(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }
    }

    class a extends AnimatorListenerAdapter {
        a() {
        }

        public void onAnimationCancel(Animator animator) {
            ActionBarOverlayLayout actionBarOverlayLayout = ActionBarOverlayLayout.this;
            actionBarOverlayLayout.j1 = null;
            actionBarOverlayLayout.T0 = false;
        }

        public void onAnimationEnd(Animator animator) {
            ActionBarOverlayLayout actionBarOverlayLayout = ActionBarOverlayLayout.this;
            actionBarOverlayLayout.j1 = null;
            actionBarOverlayLayout.T0 = false;
        }
    }

    class b implements Runnable {
        b() {
        }

        public void run() {
            ActionBarOverlayLayout.this.s();
            ActionBarOverlayLayout actionBarOverlayLayout = ActionBarOverlayLayout.this;
            actionBarOverlayLayout.j1 = actionBarOverlayLayout.M0.animate().translationY(0.0f).setListener(ActionBarOverlayLayout.this.k1);
        }
    }

    class c implements Runnable {
        c() {
        }

        public void run() {
            ActionBarOverlayLayout.this.s();
            ActionBarOverlayLayout actionBarOverlayLayout = ActionBarOverlayLayout.this;
            actionBarOverlayLayout.j1 = actionBarOverlayLayout.M0.animate().translationY((float) (-ActionBarOverlayLayout.this.M0.getHeight())).setListener(ActionBarOverlayLayout.this.k1);
        }
    }

    public interface d {
        void a();

        void b();

        void c(boolean z);

        void d();

        void e();

        void f(int i);
    }

    public ActionBarOverlayLayout(@NonNull Context context) {
        this(context, null);
    }

    private boolean A(float f) {
        this.i1.fling(0, 0, 0, (int) f, 0, 0, Integer.MIN_VALUE, Integer.MAX_VALUE);
        return this.i1.getFinalY() > this.M0.getHeight();
    }

    private void a() {
        s();
        this.m1.run();
    }

    private boolean b(@NonNull View view, @NonNull Rect rect, boolean z, boolean z2, boolean z3, boolean z4) {
        boolean z5;
        int i;
        int i2;
        int i3;
        int i4;
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        if (!z || ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin == (i4 = rect.left)) {
            z5 = false;
        } else {
            ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin = i4;
            z5 = true;
        }
        if (z2 && ((ViewGroup.MarginLayoutParams) layoutParams).topMargin != (i3 = rect.top)) {
            ((ViewGroup.MarginLayoutParams) layoutParams).topMargin = i3;
            z5 = true;
        }
        if (z4 && ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin != (i2 = rect.right)) {
            ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin = i2;
            z5 = true;
        }
        if (!z3 || ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin == (i = rect.bottom)) {
            return z5;
        }
        ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin = i;
        return true;
    }

    private o r(View view) {
        if (view instanceof o) {
            return (o) view;
        }
        if (view instanceof Toolbar) {
            return ((Toolbar) view).getWrapper();
        }
        throw new IllegalStateException("Can't make a decor toolbar out of " + view.getClass().getSimpleName());
    }

    private void t(Context context) {
        TypedArray obtainStyledAttributes = getContext().getTheme().obtainStyledAttributes(I0);
        boolean z = false;
        this.J0 = obtainStyledAttributes.getDimensionPixelSize(0, 0);
        Drawable drawable = obtainStyledAttributes.getDrawable(1);
        this.O0 = drawable;
        setWillNotDraw(drawable == null);
        obtainStyledAttributes.recycle();
        if (context.getApplicationInfo().targetSdkVersion < 19) {
            z = true;
        }
        this.P0 = z;
        this.i1 = new OverScroller(context);
    }

    private void w() {
        s();
        postDelayed(this.m1, 600);
    }

    private void x() {
        s();
        postDelayed(this.l1, 600);
    }

    private void z() {
        s();
        this.l1.run();
    }

    @Override // androidx.appcompat.widget.n
    public void c(Menu menu, m.a aVar) {
        y();
        this.N0.c(menu, aVar);
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof LayoutParams;
    }

    @Override // androidx.appcompat.widget.n
    public boolean d() {
        y();
        return this.N0.d();
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        if (this.O0 != null && !this.P0) {
            int bottom = this.M0.getVisibility() == 0 ? (int) (((float) this.M0.getBottom()) + this.M0.getTranslationY() + 0.5f) : 0;
            this.O0.setBounds(0, bottom, getWidth(), this.O0.getIntrinsicHeight() + bottom);
            this.O0.draw(canvas);
        }
    }

    @Override // androidx.appcompat.widget.n
    public void e() {
        y();
        this.N0.e();
    }

    @Override // androidx.appcompat.widget.n
    public boolean f() {
        y();
        return this.N0.f();
    }

    /* access modifiers changed from: protected */
    public boolean fitSystemWindows(Rect rect) {
        if (Build.VERSION.SDK_INT >= 21) {
            return super.fitSystemWindows(rect);
        }
        y();
        boolean b2 = b(this.M0, rect, true, true, false, true);
        this.Z0.set(rect);
        l0.a(this, this.Z0, this.W0);
        if (!this.a1.equals(this.Z0)) {
            this.a1.set(this.Z0);
            b2 = true;
        }
        if (!this.X0.equals(this.W0)) {
            this.X0.set(this.W0);
            b2 = true;
        }
        if (b2) {
            requestLayout();
        }
        return true;
    }

    @Override // androidx.appcompat.widget.n
    public boolean g() {
        y();
        return this.N0.g();
    }

    public int getActionBarHideOffset() {
        ActionBarContainer actionBarContainer = this.M0;
        if (actionBarContainer != null) {
            return -((int) actionBarContainer.getTranslationY());
        }
        return 0;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public int getNestedScrollAxes() {
        return this.n1.getNestedScrollAxes();
    }

    @Override // androidx.appcompat.widget.n
    public CharSequence getTitle() {
        y();
        return this.N0.getTitle();
    }

    @Override // androidx.appcompat.widget.n
    public boolean h() {
        y();
        return this.N0.h();
    }

    @Override // androidx.appcompat.widget.n
    public boolean i() {
        y();
        return this.N0.i();
    }

    @Override // androidx.appcompat.widget.n
    public boolean j() {
        y();
        return this.N0.j();
    }

    @Override // androidx.appcompat.widget.n
    public boolean k() {
        y();
        return this.N0.k();
    }

    @Override // androidx.appcompat.widget.n
    public void l(SparseArray<Parcelable> sparseArray) {
        y();
        this.N0.w(sparseArray);
    }

    @Override // androidx.appcompat.widget.n
    public void m(int i) {
        y();
        if (i == 2) {
            this.N0.P();
        } else if (i == 5) {
            this.N0.R();
        } else if (i == 109) {
            setOverlayMode(true);
        }
    }

    @Override // androidx.appcompat.widget.n
    public void n() {
        y();
        this.N0.m();
    }

    @Override // androidx.appcompat.widget.n
    public void o(SparseArray<Parcelable> sparseArray) {
        y();
        this.N0.J(sparseArray);
    }

    @RequiresApi(21)
    public WindowInsets onApplyWindowInsets(@NonNull WindowInsets windowInsets) {
        y();
        WindowInsetsCompat windowInsetsCompat = WindowInsetsCompat.toWindowInsetsCompat(windowInsets);
        boolean b2 = b(this.M0, new Rect(windowInsetsCompat.getSystemWindowInsetLeft(), windowInsetsCompat.getSystemWindowInsetTop(), windowInsetsCompat.getSystemWindowInsetRight(), windowInsetsCompat.getSystemWindowInsetBottom()), true, true, false, true);
        ViewCompat.computeSystemWindowInsets(this, windowInsetsCompat, this.W0);
        Rect rect = this.W0;
        WindowInsetsCompat inset = windowInsetsCompat.inset(rect.left, rect.top, rect.right, rect.bottom);
        this.d1 = inset;
        boolean z = true;
        if (!this.e1.equals(inset)) {
            this.e1 = this.d1;
            b2 = true;
        }
        if (!this.X0.equals(this.W0)) {
            this.X0.set(this.W0);
        } else {
            z = b2;
        }
        if (z) {
            requestLayout();
        }
        return windowInsetsCompat.consumeDisplayCutout().consumeSystemWindowInsets().consumeStableInsets().toWindowInsets();
    }

    /* access modifiers changed from: protected */
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        t(getContext());
        ViewCompat.requestApplyInsets(this);
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        s();
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int childCount = getChildCount();
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        for (int i5 = 0; i5 < childCount; i5++) {
            View childAt = getChildAt(i5);
            if (childAt.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                int measuredWidth = childAt.getMeasuredWidth();
                int measuredHeight = childAt.getMeasuredHeight();
                int i6 = ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin + paddingLeft;
                int i7 = ((ViewGroup.MarginLayoutParams) layoutParams).topMargin + paddingTop;
                childAt.layout(i6, i7, measuredWidth + i6, measuredHeight + i7);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        int i3;
        y();
        measureChildWithMargins(this.M0, i, 0, i2, 0);
        LayoutParams layoutParams = (LayoutParams) this.M0.getLayoutParams();
        int max = Math.max(0, this.M0.getMeasuredWidth() + ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin + ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin);
        int max2 = Math.max(0, this.M0.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) layoutParams).topMargin + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin);
        int combineMeasuredStates = View.combineMeasuredStates(0, this.M0.getMeasuredState());
        boolean z = (ViewCompat.getWindowSystemUiVisibility(this) & 256) != 0;
        if (z) {
            i3 = this.J0;
            if (this.R0 && this.M0.getTabContainer() != null) {
                i3 += this.J0;
            }
        } else {
            i3 = this.M0.getVisibility() != 8 ? this.M0.getMeasuredHeight() : 0;
        }
        this.Y0.set(this.W0);
        int i4 = Build.VERSION.SDK_INT;
        if (i4 >= 21) {
            this.f1 = this.d1;
        } else {
            this.b1.set(this.Z0);
        }
        if (!this.Q0 && !z) {
            Rect rect = this.Y0;
            rect.top += i3;
            rect.bottom += 0;
            if (i4 >= 21) {
                this.f1 = this.f1.inset(0, i3, 0, 0);
            }
        } else if (i4 >= 21) {
            this.f1 = new WindowInsetsCompat.Builder(this.f1).setSystemWindowInsets(i.d(this.f1.getSystemWindowInsetLeft(), this.f1.getSystemWindowInsetTop() + i3, this.f1.getSystemWindowInsetRight(), this.f1.getSystemWindowInsetBottom() + 0)).build();
        } else {
            Rect rect2 = this.b1;
            rect2.top += i3;
            rect2.bottom += 0;
        }
        b(this.L0, this.Y0, true, true, true, true);
        if (i4 >= 21 && !this.g1.equals(this.f1)) {
            WindowInsetsCompat windowInsetsCompat = this.f1;
            this.g1 = windowInsetsCompat;
            ViewCompat.dispatchApplyWindowInsets(this.L0, windowInsetsCompat);
        } else if (i4 < 21 && !this.c1.equals(this.b1)) {
            this.c1.set(this.b1);
            this.L0.a(this.b1);
        }
        measureChildWithMargins(this.L0, i, 0, i2, 0);
        LayoutParams layoutParams2 = (LayoutParams) this.L0.getLayoutParams();
        int max3 = Math.max(max, this.L0.getMeasuredWidth() + ((ViewGroup.MarginLayoutParams) layoutParams2).leftMargin + ((ViewGroup.MarginLayoutParams) layoutParams2).rightMargin);
        int max4 = Math.max(max2, this.L0.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) layoutParams2).topMargin + ((ViewGroup.MarginLayoutParams) layoutParams2).bottomMargin);
        int combineMeasuredStates2 = View.combineMeasuredStates(combineMeasuredStates, this.L0.getMeasuredState());
        setMeasuredDimension(View.resolveSizeAndState(Math.max(max3 + getPaddingLeft() + getPaddingRight(), getSuggestedMinimumWidth()), i, combineMeasuredStates2), View.resolveSizeAndState(Math.max(max4 + getPaddingTop() + getPaddingBottom(), getSuggestedMinimumHeight()), i2, combineMeasuredStates2 << 16));
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedFling(View view, float f, float f2, boolean z) {
        if (!this.S0 || !z) {
            return false;
        }
        if (A(f2)) {
            a();
        } else {
            z();
        }
        this.T0 = true;
        return true;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedPreFling(View view, float f, float f2) {
        return false;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedPreScroll(View view, int i, int i2, int[] iArr) {
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onNestedPreScroll(View view, int i, int i2, int[] iArr, int i3) {
        if (i3 == 0) {
            onNestedPreScroll(view, i, i2, iArr);
        }
    }

    @Override // androidx.core.view.NestedScrollingParent3
    public void onNestedScroll(View view, int i, int i2, int i3, int i4, int i5, int[] iArr) {
        onNestedScroll(view, i, i2, i3, i4, i5);
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onNestedScrollAccepted(View view, View view2, int i, int i2) {
        if (i2 == 0) {
            onNestedScrollAccepted(view, view2, i);
        }
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public boolean onStartNestedScroll(View view, View view2, int i, int i2) {
        return i2 == 0 && onStartNestedScroll(view, view2, i);
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onStopNestedScroll(View view, int i) {
        if (i == 0) {
            onStopNestedScroll(view);
        }
    }

    public void onWindowSystemUiVisibilityChanged(int i) {
        if (Build.VERSION.SDK_INT >= 16) {
            super.onWindowSystemUiVisibilityChanged(i);
        }
        y();
        int i2 = this.V0 ^ i;
        this.V0 = i;
        boolean z = false;
        boolean z2 = (i & 4) == 0;
        if ((i & 256) != 0) {
            z = true;
        }
        d dVar = this.h1;
        if (dVar != null) {
            dVar.c(!z);
            if (z2 || !z) {
                this.h1.a();
            } else {
                this.h1.d();
            }
        }
        if ((i2 & 256) != 0 && this.h1 != null) {
            ViewCompat.requestApplyInsets(this);
        }
    }

    /* access modifiers changed from: protected */
    public void onWindowVisibilityChanged(int i) {
        super.onWindowVisibilityChanged(i);
        this.K0 = i;
        d dVar = this.h1;
        if (dVar != null) {
            dVar.f(i);
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: p */
    public LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams(-1, -1);
    }

    /* renamed from: q */
    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    /* access modifiers changed from: package-private */
    public void s() {
        removeCallbacks(this.l1);
        removeCallbacks(this.m1);
        ViewPropertyAnimator viewPropertyAnimator = this.j1;
        if (viewPropertyAnimator != null) {
            viewPropertyAnimator.cancel();
        }
    }

    public void setActionBarHideOffset(int i) {
        s();
        this.M0.setTranslationY((float) (-Math.max(0, Math.min(i, this.M0.getHeight()))));
    }

    public void setActionBarVisibilityCallback(d dVar) {
        this.h1 = dVar;
        if (getWindowToken() != null) {
            this.h1.f(this.K0);
            int i = this.V0;
            if (i != 0) {
                onWindowSystemUiVisibilityChanged(i);
                ViewCompat.requestApplyInsets(this);
            }
        }
    }

    public void setHasNonEmbeddedTabs(boolean z) {
        this.R0 = z;
    }

    public void setHideOnContentScrollEnabled(boolean z) {
        if (z != this.S0) {
            this.S0 = z;
            if (!z) {
                s();
                setActionBarHideOffset(0);
            }
        }
    }

    @Override // androidx.appcompat.widget.n
    public void setIcon(int i) {
        y();
        this.N0.setIcon(i);
    }

    @Override // androidx.appcompat.widget.n
    public void setLogo(int i) {
        y();
        this.N0.setLogo(i);
    }

    public void setOverlayMode(boolean z) {
        this.Q0 = z;
        this.P0 = z && getContext().getApplicationInfo().targetSdkVersion < 19;
    }

    public void setShowingForActionMode(boolean z) {
    }

    @Override // androidx.appcompat.widget.n
    public void setUiOptions(int i) {
    }

    @Override // androidx.appcompat.widget.n
    public void setWindowCallback(Window.Callback callback) {
        y();
        this.N0.setWindowCallback(callback);
    }

    @Override // androidx.appcompat.widget.n
    public void setWindowTitle(CharSequence charSequence) {
        y();
        this.N0.setWindowTitle(charSequence);
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }

    public boolean u() {
        return this.S0;
    }

    public boolean v() {
        return this.Q0;
    }

    /* access modifiers changed from: package-private */
    public void y() {
        if (this.L0 == null) {
            this.L0 = (ContentFrameLayout) findViewById(R.id.action_bar_activity_content);
            this.M0 = (ActionBarContainer) findViewById(R.id.action_bar_container);
            this.N0 = r(findViewById(R.id.action_bar));
        }
    }

    public ActionBarOverlayLayout(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        this.K0 = 0;
        this.W0 = new Rect();
        this.X0 = new Rect();
        this.Y0 = new Rect();
        this.Z0 = new Rect();
        this.a1 = new Rect();
        this.b1 = new Rect();
        this.c1 = new Rect();
        WindowInsetsCompat windowInsetsCompat = WindowInsetsCompat.CONSUMED;
        this.d1 = windowInsetsCompat;
        this.e1 = windowInsetsCompat;
        this.f1 = windowInsetsCompat;
        this.g1 = windowInsetsCompat;
        this.k1 = new a();
        this.l1 = new b();
        this.m1 = new c();
        t(context);
        this.n1 = new NestedScrollingParentHelper(this);
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new LayoutParams(layoutParams);
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onNestedScroll(View view, int i, int i2, int i3, int i4, int i5) {
        if (i5 == 0) {
            onNestedScroll(view, i, i2, i3, i4);
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScrollAccepted(View view, View view2, int i) {
        this.n1.onNestedScrollAccepted(view, view2, i);
        this.U0 = getActionBarHideOffset();
        s();
        d dVar = this.h1;
        if (dVar != null) {
            dVar.e();
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onStartNestedScroll(View view, View view2, int i) {
        if ((i & 2) == 0 || this.M0.getVisibility() != 0) {
            return false;
        }
        return this.S0;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onStopNestedScroll(View view) {
        if (this.S0 && !this.T0) {
            if (this.U0 <= this.M0.getHeight()) {
                x();
            } else {
                w();
            }
        }
        d dVar = this.h1;
        if (dVar != null) {
            dVar.b();
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScroll(View view, int i, int i2, int i3, int i4) {
        int i5 = this.U0 + i2;
        this.U0 = i5;
        setActionBarHideOffset(i5);
    }

    @Override // androidx.appcompat.widget.n
    public void setIcon(Drawable drawable) {
        y();
        this.N0.setIcon(drawable);
    }
}
