package androidx.appcompat.widget;

import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.PopupWindow;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.appcompat.R;
import androidx.appcompat.view.menu.p;
import androidx.appcompat.widget.c;
import androidx.core.view.ActionProvider;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
public class ActivityChooserView extends ViewGroup implements c.a {
    private final View I0;
    private final Drawable J0;
    final FrameLayout K0;
    private final ImageView L0;
    final FrameLayout M0;
    private final ImageView N0;
    private final int O0;
    ActionProvider P0;
    final DataSetObserver Q0;
    private final ViewTreeObserver.OnGlobalLayoutListener R0;
    private ListPopupWindow S0;
    PopupWindow.OnDismissListener T0;
    boolean U0;
    int V0;
    private boolean W0;
    private int X0;

    /* renamed from: a  reason: collision with root package name */
    final f f339a;

    /* renamed from: b  reason: collision with root package name */
    private final g f340b;

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public static class InnerLayout extends LinearLayout {

        /* renamed from: a  reason: collision with root package name */
        private static final int[] f341a = {16842964};

        public InnerLayout(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            f0 F = f0.F(context, attributeSet, f341a);
            setBackgroundDrawable(F.h(0));
            F.I();
        }
    }

    class a extends DataSetObserver {
        a() {
        }

        public void onChanged() {
            super.onChanged();
            ActivityChooserView.this.f339a.notifyDataSetChanged();
        }

        public void onInvalidated() {
            super.onInvalidated();
            ActivityChooserView.this.f339a.notifyDataSetInvalidated();
        }
    }

    class b implements ViewTreeObserver.OnGlobalLayoutListener {
        b() {
        }

        public void onGlobalLayout() {
            if (!ActivityChooserView.this.b()) {
                return;
            }
            if (!ActivityChooserView.this.isShown()) {
                ActivityChooserView.this.getListPopupWindow().dismiss();
                return;
            }
            ActivityChooserView.this.getListPopupWindow().b();
            ActionProvider actionProvider = ActivityChooserView.this.P0;
            if (actionProvider != null) {
                actionProvider.subUiVisibilityChanged(true);
            }
        }
    }

    class c extends View.AccessibilityDelegate {
        c() {
        }

        public void onInitializeAccessibilityNodeInfo(View view, AccessibilityNodeInfo accessibilityNodeInfo) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfo);
            AccessibilityNodeInfoCompat.wrap(accessibilityNodeInfo).setCanOpenPopup(true);
        }
    }

    class d extends s {
        d(View view) {
            super(view);
        }

        @Override // androidx.appcompat.widget.s
        public p b() {
            return ActivityChooserView.this.getListPopupWindow();
        }

        /* access modifiers changed from: protected */
        @Override // androidx.appcompat.widget.s
        public boolean c() {
            ActivityChooserView.this.c();
            return true;
        }

        /* access modifiers changed from: protected */
        @Override // androidx.appcompat.widget.s
        public boolean d() {
            ActivityChooserView.this.a();
            return true;
        }
    }

    class e extends DataSetObserver {
        e() {
        }

        public void onChanged() {
            super.onChanged();
            ActivityChooserView.this.e();
        }
    }

    /* access modifiers changed from: private */
    public class f extends BaseAdapter {
        private static final int I0 = 0;
        private static final int J0 = 1;
        private static final int K0 = 3;

        /* renamed from: a  reason: collision with root package name */
        public static final int f346a = Integer.MAX_VALUE;

        /* renamed from: b  reason: collision with root package name */
        public static final int f347b = 4;
        private c L0;
        private int M0 = 4;
        private boolean N0;
        private boolean O0;
        private boolean P0;

        f() {
        }

        public int a() {
            return this.L0.f();
        }

        public c b() {
            return this.L0;
        }

        public ResolveInfo c() {
            return this.L0.h();
        }

        public int d() {
            return this.L0.j();
        }

        public boolean e() {
            return this.N0;
        }

        public int f() {
            int i = this.M0;
            this.M0 = Integer.MAX_VALUE;
            int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(0, 0);
            int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(0, 0);
            int count = getCount();
            View view = null;
            int i2 = 0;
            for (int i3 = 0; i3 < count; i3++) {
                view = getView(i3, view, null);
                view.measure(makeMeasureSpec, makeMeasureSpec2);
                i2 = Math.max(i2, view.getMeasuredWidth());
            }
            this.M0 = i;
            return i2;
        }

        public void g(c cVar) {
            c b2 = ActivityChooserView.this.f339a.b();
            if (b2 != null && ActivityChooserView.this.isShown()) {
                b2.unregisterObserver(ActivityChooserView.this.Q0);
            }
            this.L0 = cVar;
            if (cVar != null && ActivityChooserView.this.isShown()) {
                cVar.registerObserver(ActivityChooserView.this.Q0);
            }
            notifyDataSetChanged();
        }

        public int getCount() {
            int f = this.L0.f();
            if (!this.N0 && this.L0.h() != null) {
                f--;
            }
            int min = Math.min(f, this.M0);
            return this.P0 ? min + 1 : min;
        }

        public Object getItem(int i) {
            int itemViewType = getItemViewType(i);
            if (itemViewType == 0) {
                if (!this.N0 && this.L0.h() != null) {
                    i++;
                }
                return this.L0.e(i);
            } else if (itemViewType == 1) {
                return null;
            } else {
                throw new IllegalArgumentException();
            }
        }

        public long getItemId(int i) {
            return (long) i;
        }

        public int getItemViewType(int i) {
            return (!this.P0 || i != getCount() - 1) ? 0 : 1;
        }

        public View getView(int i, View view, ViewGroup viewGroup) {
            int itemViewType = getItemViewType(i);
            if (itemViewType == 0) {
                if (view == null || view.getId() != R.id.list_item) {
                    view = LayoutInflater.from(ActivityChooserView.this.getContext()).inflate(R.layout.abc_activity_chooser_view_list_item, viewGroup, false);
                }
                PackageManager packageManager = ActivityChooserView.this.getContext().getPackageManager();
                ResolveInfo resolveInfo = (ResolveInfo) getItem(i);
                ((ImageView) view.findViewById(R.id.icon)).setImageDrawable(resolveInfo.loadIcon(packageManager));
                ((TextView) view.findViewById(R.id.title)).setText(resolveInfo.loadLabel(packageManager));
                if (!this.N0 || i != 0 || !this.O0) {
                    view.setActivated(false);
                } else {
                    view.setActivated(true);
                }
                return view;
            } else if (itemViewType != 1) {
                throw new IllegalArgumentException();
            } else if (view != null && view.getId() == 1) {
                return view;
            } else {
                View inflate = LayoutInflater.from(ActivityChooserView.this.getContext()).inflate(R.layout.abc_activity_chooser_view_list_item, viewGroup, false);
                inflate.setId(1);
                ((TextView) inflate.findViewById(R.id.title)).setText(ActivityChooserView.this.getContext().getString(R.string.abc_activity_chooser_view_see_all));
                return inflate;
            }
        }

        public int getViewTypeCount() {
            return 3;
        }

        public void h(int i) {
            if (this.M0 != i) {
                this.M0 = i;
                notifyDataSetChanged();
            }
        }

        public void i(boolean z, boolean z2) {
            if (this.N0 != z || this.O0 != z2) {
                this.N0 = z;
                this.O0 = z2;
                notifyDataSetChanged();
            }
        }

        public void j(boolean z) {
            if (this.P0 != z) {
                this.P0 = z;
                notifyDataSetChanged();
            }
        }
    }

    /* access modifiers changed from: private */
    public class g implements AdapterView.OnItemClickListener, View.OnClickListener, View.OnLongClickListener, PopupWindow.OnDismissListener {
        g() {
        }

        private void a() {
            PopupWindow.OnDismissListener onDismissListener = ActivityChooserView.this.T0;
            if (onDismissListener != null) {
                onDismissListener.onDismiss();
            }
        }

        public void onClick(View view) {
            ActivityChooserView activityChooserView = ActivityChooserView.this;
            if (view == activityChooserView.M0) {
                activityChooserView.a();
                Intent b2 = ActivityChooserView.this.f339a.b().b(ActivityChooserView.this.f339a.b().g(ActivityChooserView.this.f339a.c()));
                if (b2 != null) {
                    b2.addFlags(524288);
                    ActivityChooserView.this.getContext().startActivity(b2);
                }
            } else if (view == activityChooserView.K0) {
                activityChooserView.U0 = false;
                activityChooserView.d(activityChooserView.V0);
            } else {
                throw new IllegalArgumentException();
            }
        }

        public void onDismiss() {
            a();
            ActionProvider actionProvider = ActivityChooserView.this.P0;
            if (actionProvider != null) {
                actionProvider.subUiVisibilityChanged(false);
            }
        }

        @Override // android.widget.AdapterView.OnItemClickListener
        public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
            int itemViewType = ((f) adapterView.getAdapter()).getItemViewType(i);
            if (itemViewType == 0) {
                ActivityChooserView.this.a();
                ActivityChooserView activityChooserView = ActivityChooserView.this;
                if (!activityChooserView.U0) {
                    if (!activityChooserView.f339a.e()) {
                        i++;
                    }
                    Intent b2 = ActivityChooserView.this.f339a.b().b(i);
                    if (b2 != null) {
                        b2.addFlags(524288);
                        ActivityChooserView.this.getContext().startActivity(b2);
                    }
                } else if (i > 0) {
                    activityChooserView.f339a.b().r(i);
                }
            } else if (itemViewType == 1) {
                ActivityChooserView.this.d(Integer.MAX_VALUE);
            } else {
                throw new IllegalArgumentException();
            }
        }

        public boolean onLongClick(View view) {
            ActivityChooserView activityChooserView = ActivityChooserView.this;
            if (view == activityChooserView.M0) {
                if (activityChooserView.f339a.getCount() > 0) {
                    ActivityChooserView activityChooserView2 = ActivityChooserView.this;
                    activityChooserView2.U0 = true;
                    activityChooserView2.d(activityChooserView2.V0);
                }
                return true;
            }
            throw new IllegalArgumentException();
        }
    }

    public ActivityChooserView(@NonNull Context context) {
        this(context, null);
    }

    public boolean a() {
        if (!b()) {
            return true;
        }
        getListPopupWindow().dismiss();
        ViewTreeObserver viewTreeObserver = getViewTreeObserver();
        if (!viewTreeObserver.isAlive()) {
            return true;
        }
        viewTreeObserver.removeGlobalOnLayoutListener(this.R0);
        return true;
    }

    public boolean b() {
        return getListPopupWindow().c();
    }

    public boolean c() {
        if (b() || !this.W0) {
            return false;
        }
        this.U0 = false;
        d(this.V0);
        return true;
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x004d  */
    /* JADX WARNING: Removed duplicated region for block: B:26:? A[RETURN, SYNTHETIC] */
    public void d(int i) {
        ListPopupWindow listPopupWindow;
        if (this.f339a.b() != null) {
            getViewTreeObserver().addOnGlobalLayoutListener(this.R0);
            boolean z = this.M0.getVisibility() == 0;
            int a2 = this.f339a.a();
            if (i != Integer.MAX_VALUE) {
                int i2 = z ? 1 : 0;
                int i3 = z ? 1 : 0;
                int i4 = z ? 1 : 0;
                if (a2 > i + i2) {
                    this.f339a.j(true);
                    this.f339a.h(i - 1);
                    listPopupWindow = getListPopupWindow();
                    if (listPopupWindow.c()) {
                        if (this.U0 || !z) {
                            this.f339a.i(true, z);
                        } else {
                            this.f339a.i(false, false);
                        }
                        listPopupWindow.U(Math.min(this.f339a.f(), this.O0));
                        listPopupWindow.b();
                        ActionProvider actionProvider = this.P0;
                        if (actionProvider != null) {
                            actionProvider.subUiVisibilityChanged(true);
                        }
                        listPopupWindow.m().setContentDescription(getContext().getString(R.string.abc_activitychooserview_choose_application));
                        listPopupWindow.m().setSelector(new ColorDrawable(0));
                        return;
                    }
                    return;
                }
            }
            this.f339a.j(false);
            this.f339a.h(i);
            listPopupWindow = getListPopupWindow();
            if (listPopupWindow.c()) {
            }
        } else {
            throw new IllegalStateException("No data model. Did you call #setDataModel?");
        }
    }

    /* access modifiers changed from: package-private */
    public void e() {
        if (this.f339a.getCount() > 0) {
            this.K0.setEnabled(true);
        } else {
            this.K0.setEnabled(false);
        }
        int a2 = this.f339a.a();
        int d2 = this.f339a.d();
        if (a2 == 1 || (a2 > 1 && d2 > 0)) {
            this.M0.setVisibility(0);
            ResolveInfo c2 = this.f339a.c();
            PackageManager packageManager = getContext().getPackageManager();
            this.N0.setImageDrawable(c2.loadIcon(packageManager));
            if (this.X0 != 0) {
                CharSequence loadLabel = c2.loadLabel(packageManager);
                this.M0.setContentDescription(getContext().getString(this.X0, loadLabel));
            }
        } else {
            this.M0.setVisibility(8);
        }
        if (this.M0.getVisibility() == 0) {
            this.I0.setBackgroundDrawable(this.J0);
        } else {
            this.I0.setBackgroundDrawable(null);
        }
    }

    public c getDataModel() {
        return this.f339a.b();
    }

    /* access modifiers changed from: package-private */
    public ListPopupWindow getListPopupWindow() {
        if (this.S0 == null) {
            ListPopupWindow listPopupWindow = new ListPopupWindow(getContext());
            this.S0 = listPopupWindow;
            listPopupWindow.q(this.f339a);
            this.S0.S(this);
            this.S0.d0(true);
            this.S0.f0(this.f340b);
            this.S0.e0(this.f340b);
        }
        return this.S0;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        c b2 = this.f339a.b();
        if (b2 != null) {
            b2.registerObserver(this.Q0);
        }
        this.W0 = true;
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        c b2 = this.f339a.b();
        if (b2 != null) {
            b2.unregisterObserver(this.Q0);
        }
        ViewTreeObserver viewTreeObserver = getViewTreeObserver();
        if (viewTreeObserver.isAlive()) {
            viewTreeObserver.removeGlobalOnLayoutListener(this.R0);
        }
        if (b()) {
            a();
        }
        this.W0 = false;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        this.I0.layout(0, 0, i3 - i, i4 - i2);
        if (!b()) {
            a();
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        View view = this.I0;
        if (this.M0.getVisibility() != 0) {
            i2 = View.MeasureSpec.makeMeasureSpec(View.MeasureSpec.getSize(i2), 1073741824);
        }
        measureChild(view, i, i2);
        setMeasuredDimension(view.getMeasuredWidth(), view.getMeasuredHeight());
    }

    @Override // androidx.appcompat.widget.c.a
    public void setActivityChooserModel(c cVar) {
        this.f339a.g(cVar);
        if (b()) {
            a();
            c();
        }
    }

    public void setDefaultActionButtonContentDescription(int i) {
        this.X0 = i;
    }

    public void setExpandActivityOverflowButtonContentDescription(int i) {
        this.L0.setContentDescription(getContext().getString(i));
    }

    public void setExpandActivityOverflowButtonDrawable(Drawable drawable) {
        this.L0.setImageDrawable(drawable);
    }

    public void setInitialActivityCount(int i) {
        this.V0 = i;
    }

    public void setOnDismissListener(PopupWindow.OnDismissListener onDismissListener) {
        this.T0 = onDismissListener;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void setProvider(ActionProvider actionProvider) {
        this.P0 = actionProvider;
    }

    public ActivityChooserView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ActivityChooserView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.Q0 = new a();
        this.R0 = new b();
        this.V0 = 4;
        int[] iArr = R.styleable.ActivityChooserView;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i, 0);
        ViewCompat.saveAttributeDataForStyleable(this, context, iArr, attributeSet, obtainStyledAttributes, i, 0);
        this.V0 = obtainStyledAttributes.getInt(R.styleable.ActivityChooserView_initialActivityCount, 4);
        Drawable drawable = obtainStyledAttributes.getDrawable(R.styleable.ActivityChooserView_expandActivityOverflowButtonDrawable);
        obtainStyledAttributes.recycle();
        LayoutInflater.from(getContext()).inflate(R.layout.abc_activity_chooser_view, (ViewGroup) this, true);
        g gVar = new g();
        this.f340b = gVar;
        View findViewById = findViewById(R.id.activity_chooser_view_content);
        this.I0 = findViewById;
        this.J0 = findViewById.getBackground();
        FrameLayout frameLayout = (FrameLayout) findViewById(R.id.default_activity_button);
        this.M0 = frameLayout;
        frameLayout.setOnClickListener(gVar);
        frameLayout.setOnLongClickListener(gVar);
        int i2 = R.id.image;
        this.N0 = (ImageView) frameLayout.findViewById(i2);
        FrameLayout frameLayout2 = (FrameLayout) findViewById(R.id.expand_activities_button);
        frameLayout2.setOnClickListener(gVar);
        frameLayout2.setAccessibilityDelegate(new c());
        frameLayout2.setOnTouchListener(new d(frameLayout2));
        this.K0 = frameLayout2;
        ImageView imageView = (ImageView) frameLayout2.findViewById(i2);
        this.L0 = imageView;
        imageView.setImageDrawable(drawable);
        f fVar = new f();
        this.f339a = fVar;
        fVar.registerDataSetObserver(new e());
        Resources resources = context.getResources();
        this.O0 = Math.max(resources.getDisplayMetrics().widthPixels / 2, resources.getDimensionPixelSize(R.dimen.abc_config_prefDialogWidth));
    }
}
