package androidx.appcompat.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.DialogInterface;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.PopupWindow;
import android.widget.Spinner;
import android.widget.SpinnerAdapter;
import android.widget.ThemedSpinnerAdapter;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.VisibleForTesting;
import androidx.appcompat.R;
import androidx.appcompat.app.c;
import androidx.appcompat.view.menu.p;
import androidx.core.view.TintableBackgroundView;
import androidx.core.view.ViewCompat;

public class AppCompatSpinner extends Spinner implements TintableBackgroundView {
    private static final String I0 = "AppCompatSpinner";
    private static final int J0 = 0;
    private static final int K0 = 1;
    private static final int L0 = -1;

    /* renamed from: a  reason: collision with root package name */
    private static final int[] f359a = {16843505};

    /* renamed from: b  reason: collision with root package name */
    private static final int f360b = 15;
    private final d M0;
    private final Context N0;
    private s O0;
    private SpinnerAdapter P0;
    private final boolean Q0;
    private f R0;
    int S0;
    final Rect T0;

    /* access modifiers changed from: package-private */
    public static class SavedState extends View.BaseSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();

        /* renamed from: a  reason: collision with root package name */
        boolean f361a;

        class a implements Parcelable.Creator<SavedState> {
            a() {
            }

            /* renamed from: a */
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel);
            }

            /* renamed from: b */
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        }

        SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeByte(this.f361a ? (byte) 1 : 0);
        }

        SavedState(Parcel parcel) {
            super(parcel);
            this.f361a = parcel.readByte() != 0;
        }
    }

    class a extends s {
        final /* synthetic */ e P0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        a(View view, e eVar) {
            super(view);
            this.P0 = eVar;
        }

        @Override // androidx.appcompat.widget.s
        public p b() {
            return this.P0;
        }

        @Override // androidx.appcompat.widget.s
        @SuppressLint({"SyntheticAccessor"})
        public boolean c() {
            if (AppCompatSpinner.this.getInternalPopup().c()) {
                return true;
            }
            AppCompatSpinner.this.b();
            return true;
        }
    }

    class b implements ViewTreeObserver.OnGlobalLayoutListener {
        b() {
        }

        public void onGlobalLayout() {
            if (!AppCompatSpinner.this.getInternalPopup().c()) {
                AppCompatSpinner.this.b();
            }
            ViewTreeObserver viewTreeObserver = AppCompatSpinner.this.getViewTreeObserver();
            if (viewTreeObserver == null) {
                return;
            }
            if (Build.VERSION.SDK_INT >= 16) {
                viewTreeObserver.removeOnGlobalLayoutListener(this);
            } else {
                viewTreeObserver.removeGlobalOnLayoutListener(this);
            }
        }
    }

    @VisibleForTesting
    class c implements f, DialogInterface.OnClickListener {
        private CharSequence I0;
        @VisibleForTesting

        /* renamed from: a  reason: collision with root package name */
        androidx.appcompat.app.c f363a;

        /* renamed from: b  reason: collision with root package name */
        private ListAdapter f364b;

        c() {
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public void a(Drawable drawable) {
            Log.e(AppCompatSpinner.I0, "Cannot set popup background for MODE_DIALOG, ignoring");
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public boolean c() {
            androidx.appcompat.app.c cVar = this.f363a;
            if (cVar != null) {
                return cVar.isShowing();
            }
            return false;
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public int d() {
            return 0;
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public void dismiss() {
            androidx.appcompat.app.c cVar = this.f363a;
            if (cVar != null) {
                cVar.dismiss();
                this.f363a = null;
            }
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public void f(int i) {
            Log.e(AppCompatSpinner.I0, "Cannot set horizontal offset for MODE_DIALOG, ignoring");
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public CharSequence g() {
            return this.I0;
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public Drawable i() {
            return null;
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public void j(CharSequence charSequence) {
            this.I0 = charSequence;
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public void k(int i) {
            Log.e(AppCompatSpinner.I0, "Cannot set vertical offset for MODE_DIALOG, ignoring");
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public void l(int i) {
            Log.e(AppCompatSpinner.I0, "Cannot set horizontal (original) offset for MODE_DIALOG, ignoring");
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public void n(int i, int i2) {
            if (this.f364b != null) {
                c.a aVar = new c.a(AppCompatSpinner.this.getPopupContext());
                CharSequence charSequence = this.I0;
                if (charSequence != null) {
                    aVar.K(charSequence);
                }
                androidx.appcompat.app.c a2 = aVar.H(this.f364b, AppCompatSpinner.this.getSelectedItemPosition(), this).a();
                this.f363a = a2;
                ListView g = a2.g();
                if (Build.VERSION.SDK_INT >= 17) {
                    g.setTextDirection(i);
                    g.setTextAlignment(i2);
                }
                this.f363a.show();
            }
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public int o() {
            return 0;
        }

        public void onClick(DialogInterface dialogInterface, int i) {
            AppCompatSpinner.this.setSelection(i);
            if (AppCompatSpinner.this.getOnItemClickListener() != null) {
                AppCompatSpinner.this.performItemClick(null, i, this.f364b.getItemId(i));
            }
            dismiss();
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public int p() {
            return 0;
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public void q(ListAdapter listAdapter) {
            this.f364b = listAdapter;
        }
    }

    /* access modifiers changed from: private */
    public static class d implements ListAdapter, SpinnerAdapter {

        /* renamed from: a  reason: collision with root package name */
        private SpinnerAdapter f365a;

        /* renamed from: b  reason: collision with root package name */
        private ListAdapter f366b;

        public d(@Nullable SpinnerAdapter spinnerAdapter, @Nullable Resources.Theme theme) {
            this.f365a = spinnerAdapter;
            if (spinnerAdapter instanceof ListAdapter) {
                this.f366b = (ListAdapter) spinnerAdapter;
            }
            if (theme == null) {
                return;
            }
            if (Build.VERSION.SDK_INT >= 23 && (spinnerAdapter instanceof ThemedSpinnerAdapter)) {
                ThemedSpinnerAdapter themedSpinnerAdapter = (ThemedSpinnerAdapter) spinnerAdapter;
                if (themedSpinnerAdapter.getDropDownViewTheme() != theme) {
                    themedSpinnerAdapter.setDropDownViewTheme(theme);
                }
            } else if (spinnerAdapter instanceof b0) {
                b0 b0Var = (b0) spinnerAdapter;
                if (b0Var.getDropDownViewTheme() == null) {
                    b0Var.setDropDownViewTheme(theme);
                }
            }
        }

        public boolean areAllItemsEnabled() {
            ListAdapter listAdapter = this.f366b;
            if (listAdapter != null) {
                return listAdapter.areAllItemsEnabled();
            }
            return true;
        }

        public int getCount() {
            SpinnerAdapter spinnerAdapter = this.f365a;
            if (spinnerAdapter == null) {
                return 0;
            }
            return spinnerAdapter.getCount();
        }

        public View getDropDownView(int i, View view, ViewGroup viewGroup) {
            SpinnerAdapter spinnerAdapter = this.f365a;
            if (spinnerAdapter == null) {
                return null;
            }
            return spinnerAdapter.getDropDownView(i, view, viewGroup);
        }

        public Object getItem(int i) {
            SpinnerAdapter spinnerAdapter = this.f365a;
            if (spinnerAdapter == null) {
                return null;
            }
            return spinnerAdapter.getItem(i);
        }

        public long getItemId(int i) {
            SpinnerAdapter spinnerAdapter = this.f365a;
            if (spinnerAdapter == null) {
                return -1;
            }
            return spinnerAdapter.getItemId(i);
        }

        public int getItemViewType(int i) {
            return 0;
        }

        public View getView(int i, View view, ViewGroup viewGroup) {
            return getDropDownView(i, view, viewGroup);
        }

        public int getViewTypeCount() {
            return 1;
        }

        public boolean hasStableIds() {
            SpinnerAdapter spinnerAdapter = this.f365a;
            return spinnerAdapter != null && spinnerAdapter.hasStableIds();
        }

        public boolean isEmpty() {
            return getCount() == 0;
        }

        public boolean isEnabled(int i) {
            ListAdapter listAdapter = this.f366b;
            if (listAdapter != null) {
                return listAdapter.isEnabled(i);
            }
            return true;
        }

        public void registerDataSetObserver(DataSetObserver dataSetObserver) {
            SpinnerAdapter spinnerAdapter = this.f365a;
            if (spinnerAdapter != null) {
                spinnerAdapter.registerDataSetObserver(dataSetObserver);
            }
        }

        public void unregisterDataSetObserver(DataSetObserver dataSetObserver) {
            SpinnerAdapter spinnerAdapter = this.f365a;
            if (spinnerAdapter != null) {
                spinnerAdapter.unregisterDataSetObserver(dataSetObserver);
            }
        }
    }

    @VisibleForTesting
    class e extends ListPopupWindow implements f {
        ListAdapter A1;
        private final Rect B1 = new Rect();
        private int C1;
        private CharSequence z1;

        class a implements AdapterView.OnItemClickListener {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ AppCompatSpinner f367a;

            a(AppCompatSpinner appCompatSpinner) {
                this.f367a = appCompatSpinner;
            }

            @Override // android.widget.AdapterView.OnItemClickListener
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                AppCompatSpinner.this.setSelection(i);
                if (AppCompatSpinner.this.getOnItemClickListener() != null) {
                    e eVar = e.this;
                    AppCompatSpinner.this.performItemClick(view, i, eVar.A1.getItemId(i));
                }
                e.this.dismiss();
            }
        }

        class b implements ViewTreeObserver.OnGlobalLayoutListener {
            b() {
            }

            public void onGlobalLayout() {
                e eVar = e.this;
                if (!eVar.r0(AppCompatSpinner.this)) {
                    e.this.dismiss();
                    return;
                }
                e.this.q0();
                e.super.b();
            }
        }

        class c implements PopupWindow.OnDismissListener {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ ViewTreeObserver.OnGlobalLayoutListener f370a;

            c(ViewTreeObserver.OnGlobalLayoutListener onGlobalLayoutListener) {
                this.f370a = onGlobalLayoutListener;
            }

            public void onDismiss() {
                ViewTreeObserver viewTreeObserver = AppCompatSpinner.this.getViewTreeObserver();
                if (viewTreeObserver != null) {
                    viewTreeObserver.removeGlobalOnLayoutListener(this.f370a);
                }
            }
        }

        public e(Context context, AttributeSet attributeSet, int i) {
            super(context, attributeSet, i);
            S(AppCompatSpinner.this);
            d0(true);
            j0(0);
            f0(new a(AppCompatSpinner.this));
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public CharSequence g() {
            return this.z1;
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public void j(CharSequence charSequence) {
            this.z1 = charSequence;
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public void l(int i) {
            this.C1 = i;
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public void n(int i, int i2) {
            ViewTreeObserver viewTreeObserver;
            boolean c2 = c();
            q0();
            a0(2);
            super.b();
            ListView m = m();
            m.setChoiceMode(1);
            if (Build.VERSION.SDK_INT >= 17) {
                m.setTextDirection(i);
                m.setTextAlignment(i2);
            }
            l0(AppCompatSpinner.this.getSelectedItemPosition());
            if (!c2 && (viewTreeObserver = AppCompatSpinner.this.getViewTreeObserver()) != null) {
                b bVar = new b();
                viewTreeObserver.addOnGlobalLayoutListener(bVar);
                e0(new c(bVar));
            }
        }

        @Override // androidx.appcompat.widget.AppCompatSpinner.f
        public int p() {
            return this.C1;
        }

        @Override // androidx.appcompat.widget.ListPopupWindow, androidx.appcompat.widget.AppCompatSpinner.f
        public void q(ListAdapter listAdapter) {
            super.q(listAdapter);
            this.A1 = listAdapter;
        }

        /* access modifiers changed from: package-private */
        public void q0() {
            int i;
            int i2;
            Drawable i3 = i();
            int i4 = 0;
            if (i3 != null) {
                i3.getPadding(AppCompatSpinner.this.T0);
                if (l0.b(AppCompatSpinner.this)) {
                    i2 = AppCompatSpinner.this.T0.right;
                } else {
                    i2 = -AppCompatSpinner.this.T0.left;
                }
                i4 = i2;
            } else {
                Rect rect = AppCompatSpinner.this.T0;
                rect.right = 0;
                rect.left = 0;
            }
            int paddingLeft = AppCompatSpinner.this.getPaddingLeft();
            int paddingRight = AppCompatSpinner.this.getPaddingRight();
            int width = AppCompatSpinner.this.getWidth();
            AppCompatSpinner appCompatSpinner = AppCompatSpinner.this;
            int i5 = appCompatSpinner.S0;
            if (i5 == -2) {
                int a2 = appCompatSpinner.a((SpinnerAdapter) this.A1, i());
                int i6 = AppCompatSpinner.this.getContext().getResources().getDisplayMetrics().widthPixels;
                Rect rect2 = AppCompatSpinner.this.T0;
                int i7 = (i6 - rect2.left) - rect2.right;
                if (a2 > i7) {
                    a2 = i7;
                }
                U(Math.max(a2, (width - paddingLeft) - paddingRight));
            } else if (i5 == -1) {
                U((width - paddingLeft) - paddingRight);
            } else {
                U(i5);
            }
            if (l0.b(AppCompatSpinner.this)) {
                i = i4 + (((width - paddingRight) - H()) - p());
            } else {
                i = i4 + paddingLeft + p();
            }
            f(i);
        }

        /* access modifiers changed from: package-private */
        public boolean r0(View view) {
            return ViewCompat.isAttachedToWindow(view) && view.getGlobalVisibleRect(this.B1);
        }
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public interface f {
        void a(Drawable drawable);

        boolean c();

        int d();

        void dismiss();

        void f(int i);

        CharSequence g();

        Drawable i();

        void j(CharSequence charSequence);

        void k(int i);

        void l(int i);

        void n(int i, int i2);

        int o();

        int p();

        void q(ListAdapter listAdapter);
    }

    public AppCompatSpinner(@NonNull Context context) {
        this(context, (AttributeSet) null);
    }

    /* access modifiers changed from: package-private */
    public int a(SpinnerAdapter spinnerAdapter, Drawable drawable) {
        int i = 0;
        if (spinnerAdapter == null) {
            return 0;
        }
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 0);
        int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(getMeasuredHeight(), 0);
        int max = Math.max(0, getSelectedItemPosition());
        int min = Math.min(spinnerAdapter.getCount(), max + 15);
        View view = null;
        int i2 = 0;
        for (int max2 = Math.max(0, max - (15 - (min - max))); max2 < min; max2++) {
            int itemViewType = spinnerAdapter.getItemViewType(max2);
            if (itemViewType != i) {
                view = null;
                i = itemViewType;
            }
            view = spinnerAdapter.getView(max2, view, this);
            if (view.getLayoutParams() == null) {
                view.setLayoutParams(new ViewGroup.LayoutParams(-2, -2));
            }
            view.measure(makeMeasureSpec, makeMeasureSpec2);
            i2 = Math.max(i2, view.getMeasuredWidth());
        }
        if (drawable == null) {
            return i2;
        }
        drawable.getPadding(this.T0);
        Rect rect = this.T0;
        return i2 + rect.left + rect.right;
    }

    /* access modifiers changed from: package-private */
    public void b() {
        if (Build.VERSION.SDK_INT >= 17) {
            this.R0.n(getTextDirection(), getTextAlignment());
        } else {
            this.R0.n(-1, -1);
        }
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        d dVar = this.M0;
        if (dVar != null) {
            dVar.b();
        }
    }

    public int getDropDownHorizontalOffset() {
        f fVar = this.R0;
        if (fVar != null) {
            return fVar.d();
        }
        if (Build.VERSION.SDK_INT >= 16) {
            return super.getDropDownHorizontalOffset();
        }
        return 0;
    }

    public int getDropDownVerticalOffset() {
        f fVar = this.R0;
        if (fVar != null) {
            return fVar.o();
        }
        if (Build.VERSION.SDK_INT >= 16) {
            return super.getDropDownVerticalOffset();
        }
        return 0;
    }

    public int getDropDownWidth() {
        if (this.R0 != null) {
            return this.S0;
        }
        if (Build.VERSION.SDK_INT >= 16) {
            return super.getDropDownWidth();
        }
        return 0;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public final f getInternalPopup() {
        return this.R0;
    }

    public Drawable getPopupBackground() {
        f fVar = this.R0;
        if (fVar != null) {
            return fVar.i();
        }
        if (Build.VERSION.SDK_INT >= 16) {
            return super.getPopupBackground();
        }
        return null;
    }

    public Context getPopupContext() {
        return this.N0;
    }

    public CharSequence getPrompt() {
        f fVar = this.R0;
        return fVar != null ? fVar.g() : super.getPrompt();
    }

    @Override // androidx.core.view.TintableBackgroundView
    @Nullable
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public ColorStateList getSupportBackgroundTintList() {
        d dVar = this.M0;
        if (dVar != null) {
            return dVar.c();
        }
        return null;
    }

    @Override // androidx.core.view.TintableBackgroundView
    @Nullable
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        d dVar = this.M0;
        if (dVar != null) {
            return dVar.d();
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        f fVar = this.R0;
        if (fVar != null && fVar.c()) {
            this.R0.dismiss();
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
        if (this.R0 != null && View.MeasureSpec.getMode(i) == Integer.MIN_VALUE) {
            setMeasuredDimension(Math.min(Math.max(getMeasuredWidth(), a(getAdapter(), getBackground())), View.MeasureSpec.getSize(i)), getMeasuredHeight());
        }
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        ViewTreeObserver viewTreeObserver;
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        if (savedState.f361a && (viewTreeObserver = getViewTreeObserver()) != null) {
            viewTreeObserver.addOnGlobalLayoutListener(new b());
        }
    }

    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        f fVar = this.R0;
        savedState.f361a = fVar != null && fVar.c();
        return savedState;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        s sVar = this.O0;
        if (sVar == null || !sVar.onTouch(this, motionEvent)) {
            return super.onTouchEvent(motionEvent);
        }
        return true;
    }

    public boolean performClick() {
        f fVar = this.R0;
        if (fVar == null) {
            return super.performClick();
        }
        if (fVar.c()) {
            return true;
        }
        b();
        return true;
    }

    public void setBackgroundDrawable(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
        d dVar = this.M0;
        if (dVar != null) {
            dVar.f(drawable);
        }
    }

    public void setBackgroundResource(@DrawableRes int i) {
        super.setBackgroundResource(i);
        d dVar = this.M0;
        if (dVar != null) {
            dVar.g(i);
        }
    }

    public void setDropDownHorizontalOffset(int i) {
        f fVar = this.R0;
        if (fVar != null) {
            fVar.l(i);
            this.R0.f(i);
        } else if (Build.VERSION.SDK_INT >= 16) {
            super.setDropDownHorizontalOffset(i);
        }
    }

    public void setDropDownVerticalOffset(int i) {
        f fVar = this.R0;
        if (fVar != null) {
            fVar.k(i);
        } else if (Build.VERSION.SDK_INT >= 16) {
            super.setDropDownVerticalOffset(i);
        }
    }

    public void setDropDownWidth(int i) {
        if (this.R0 != null) {
            this.S0 = i;
        } else if (Build.VERSION.SDK_INT >= 16) {
            super.setDropDownWidth(i);
        }
    }

    public void setPopupBackgroundDrawable(Drawable drawable) {
        f fVar = this.R0;
        if (fVar != null) {
            fVar.a(drawable);
        } else if (Build.VERSION.SDK_INT >= 16) {
            super.setPopupBackgroundDrawable(drawable);
        }
    }

    public void setPopupBackgroundResource(@DrawableRes int i) {
        setPopupBackgroundDrawable(androidx.appcompat.a.a.a.d(getPopupContext(), i));
    }

    public void setPrompt(CharSequence charSequence) {
        f fVar = this.R0;
        if (fVar != null) {
            fVar.j(charSequence);
        } else {
            super.setPrompt(charSequence);
        }
    }

    @Override // androidx.core.view.TintableBackgroundView
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void setSupportBackgroundTintList(@Nullable ColorStateList colorStateList) {
        d dVar = this.M0;
        if (dVar != null) {
            dVar.i(colorStateList);
        }
    }

    @Override // androidx.core.view.TintableBackgroundView
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void setSupportBackgroundTintMode(@Nullable PorterDuff.Mode mode) {
        d dVar = this.M0;
        if (dVar != null) {
            dVar.j(mode);
        }
    }

    public AppCompatSpinner(@NonNull Context context, int i) {
        this(context, null, R.attr.spinnerStyle, i);
    }

    @Override // android.widget.Spinner, android.widget.AbsSpinner
    public void setAdapter(SpinnerAdapter spinnerAdapter) {
        if (!this.Q0) {
            this.P0 = spinnerAdapter;
            return;
        }
        super.setAdapter(spinnerAdapter);
        if (this.R0 != null) {
            Context context = this.N0;
            if (context == null) {
                context = getContext();
            }
            this.R0.q(new d(spinnerAdapter, context.getTheme()));
        }
    }

    public AppCompatSpinner(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.spinnerStyle);
    }

    public AppCompatSpinner(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        this(context, attributeSet, i, -1);
    }

    public AppCompatSpinner(@NonNull Context context, @Nullable AttributeSet attributeSet, int i, int i2) {
        this(context, attributeSet, i, i2, null);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:23:0x0060, code lost:
        if (r11 != null) goto L_0x004f;
     */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0067  */
    public AppCompatSpinner(@NonNull Context context, @Nullable AttributeSet attributeSet, int i, int i2, Resources.Theme theme) {
        super(context, attributeSet, i);
        Throwable th;
        TypedArray typedArray;
        Exception e2;
        this.T0 = new Rect();
        a0.a(this, getContext());
        f0 G = f0.G(context, attributeSet, R.styleable.Spinner, i, 0);
        this.M0 = new d(this);
        if (theme != null) {
            this.N0 = new androidx.appcompat.c.d(context, theme);
        } else {
            int u = G.u(R.styleable.Spinner_popupTheme, 0);
            if (u != 0) {
                this.N0 = new androidx.appcompat.c.d(context, u);
            } else {
                this.N0 = context;
            }
        }
        TypedArray typedArray2 = null;
        if (i2 == -1) {
            try {
                typedArray = context.obtainStyledAttributes(attributeSet, f359a, i, 0);
                try {
                    if (typedArray.hasValue(0)) {
                        i2 = typedArray.getInt(0, 0);
                    }
                } catch (Exception e3) {
                    e2 = e3;
                    try {
                        Log.i(I0, "Could not read android:spinnerMode", e2);
                    } catch (Throwable th2) {
                        th = th2;
                        typedArray2 = typedArray;
                        if (typedArray2 != null) {
                            typedArray2.recycle();
                        }
                        throw th;
                    }
                }
            } catch (Exception e4) {
                e2 = e4;
                typedArray = null;
                Log.i(I0, "Could not read android:spinnerMode", e2);
            } catch (Throwable th3) {
                th = th3;
                if (typedArray2 != null) {
                }
                throw th;
            }
            typedArray.recycle();
        }
        if (i2 == 0) {
            c cVar = new c();
            this.R0 = cVar;
            cVar.j(G.w(R.styleable.Spinner_android_prompt));
        } else if (i2 == 1) {
            e eVar = new e(this.N0, attributeSet, i);
            f0 G2 = f0.G(this.N0, attributeSet, R.styleable.Spinner, i, 0);
            this.S0 = G2.q(R.styleable.Spinner_android_dropDownWidth, -2);
            eVar.a(G2.h(R.styleable.Spinner_android_popupBackground));
            eVar.j(G.w(R.styleable.Spinner_android_prompt));
            G2.I();
            this.R0 = eVar;
            this.O0 = new a(this, eVar);
        }
        CharSequence[] y = G.y(R.styleable.Spinner_android_entries);
        if (y != null) {
            ArrayAdapter arrayAdapter = new ArrayAdapter(context, 17367048, y);
            arrayAdapter.setDropDownViewResource(R.layout.support_simple_spinner_dropdown_item);
            setAdapter((SpinnerAdapter) arrayAdapter);
        }
        G.I();
        this.Q0 = true;
        SpinnerAdapter spinnerAdapter = this.P0;
        if (spinnerAdapter != null) {
            setAdapter(spinnerAdapter);
            this.P0 = null;
        }
        this.M0.e(attributeSet, i);
    }
}
