package androidx.appcompat.widget;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.content.Context;
import android.content.res.Configuration;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.ViewPropertyAnimator;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Interpolator;
import android.widget.AbsListView;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.HorizontalScrollView;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.Spinner;
import android.widget.SpinnerAdapter;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.RestrictTo;
import androidx.appcompat.R;
import androidx.appcompat.app.ActionBar;
import androidx.appcompat.widget.LinearLayoutCompat;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
public class ScrollingTabContainerView extends HorizontalScrollView implements AdapterView.OnItemSelectedListener {
    private static final int I0 = 200;

    /* renamed from: a  reason: collision with root package name */
    private static final String f390a = "ScrollingTabContainerView";

    /* renamed from: b  reason: collision with root package name */
    private static final Interpolator f391b = new DecelerateInterpolator();
    Runnable J0;
    private c K0;
    LinearLayoutCompat L0;
    private Spinner M0;
    private boolean N0;
    int O0;
    int P0;
    private int Q0;
    private int R0;
    protected ViewPropertyAnimator S0;
    protected final e T0 = new e();

    /* access modifiers changed from: package-private */
    public class a implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f392a;

        a(View view) {
            this.f392a = view;
        }

        public void run() {
            ScrollingTabContainerView.this.smoothScrollTo(this.f392a.getLeft() - ((ScrollingTabContainerView.this.getWidth() - this.f392a.getWidth()) / 2), 0);
            ScrollingTabContainerView.this.J0 = null;
        }
    }

    /* access modifiers changed from: private */
    public class b extends BaseAdapter {
        b() {
        }

        public int getCount() {
            return ScrollingTabContainerView.this.L0.getChildCount();
        }

        public Object getItem(int i) {
            return ((d) ScrollingTabContainerView.this.L0.getChildAt(i)).b();
        }

        public long getItemId(int i) {
            return (long) i;
        }

        public View getView(int i, View view, ViewGroup viewGroup) {
            if (view == null) {
                return ScrollingTabContainerView.this.g((ActionBar.c) getItem(i), true);
            }
            ((d) view).a((ActionBar.c) getItem(i));
            return view;
        }
    }

    /* access modifiers changed from: private */
    public class c implements View.OnClickListener {
        c() {
        }

        public void onClick(View view) {
            ((d) view).b().g();
            int childCount = ScrollingTabContainerView.this.L0.getChildCount();
            for (int i = 0; i < childCount; i++) {
                View childAt = ScrollingTabContainerView.this.L0.getChildAt(i);
                childAt.setSelected(childAt == view);
            }
        }
    }

    /* access modifiers changed from: private */
    public class d extends LinearLayout {

        /* renamed from: a  reason: collision with root package name */
        private static final String f396a = "androidx.appcompat.app.ActionBar$Tab";
        private ActionBar.c I0;
        private TextView J0;
        private ImageView K0;
        private View L0;

        /* renamed from: b  reason: collision with root package name */
        private final int[] f397b;

        /* JADX WARNING: Illegal instructions before constructor call */
        public d(Context context, ActionBar.c cVar, boolean z) {
            super(context, null, r5);
            int i = R.attr.actionBarTabStyle;
            int[] iArr = {16842964};
            this.f397b = iArr;
            this.I0 = cVar;
            f0 G = f0.G(context, null, iArr, i, 0);
            if (G.C(0)) {
                setBackgroundDrawable(G.h(0));
            }
            G.I();
            if (z) {
                setGravity(8388627);
            }
            c();
        }

        public void a(ActionBar.c cVar) {
            this.I0 = cVar;
            c();
        }

        public ActionBar.c b() {
            return this.I0;
        }

        public void c() {
            ActionBar.c cVar = this.I0;
            View b2 = cVar.b();
            CharSequence charSequence = null;
            if (b2 != null) {
                ViewParent parent = b2.getParent();
                if (parent != this) {
                    if (parent != null) {
                        ((ViewGroup) parent).removeView(b2);
                    }
                    addView(b2);
                }
                this.L0 = b2;
                TextView textView = this.J0;
                if (textView != null) {
                    textView.setVisibility(8);
                }
                ImageView imageView = this.K0;
                if (imageView != null) {
                    imageView.setVisibility(8);
                    this.K0.setImageDrawable(null);
                    return;
                }
                return;
            }
            View view = this.L0;
            if (view != null) {
                removeView(view);
                this.L0 = null;
            }
            Drawable c2 = cVar.c();
            CharSequence f = cVar.f();
            if (c2 != null) {
                if (this.K0 == null) {
                    AppCompatImageView appCompatImageView = new AppCompatImageView(getContext());
                    LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-2, -2);
                    layoutParams.gravity = 16;
                    appCompatImageView.setLayoutParams(layoutParams);
                    addView(appCompatImageView, 0);
                    this.K0 = appCompatImageView;
                }
                this.K0.setImageDrawable(c2);
                this.K0.setVisibility(0);
            } else {
                ImageView imageView2 = this.K0;
                if (imageView2 != null) {
                    imageView2.setVisibility(8);
                    this.K0.setImageDrawable(null);
                }
            }
            boolean z = !TextUtils.isEmpty(f);
            if (z) {
                if (this.J0 == null) {
                    AppCompatTextView appCompatTextView = new AppCompatTextView(getContext(), null, R.attr.actionBarTabTextStyle);
                    appCompatTextView.setEllipsize(TextUtils.TruncateAt.END);
                    LinearLayout.LayoutParams layoutParams2 = new LinearLayout.LayoutParams(-2, -2);
                    layoutParams2.gravity = 16;
                    appCompatTextView.setLayoutParams(layoutParams2);
                    addView(appCompatTextView);
                    this.J0 = appCompatTextView;
                }
                this.J0.setText(f);
                this.J0.setVisibility(0);
            } else {
                TextView textView2 = this.J0;
                if (textView2 != null) {
                    textView2.setVisibility(8);
                    this.J0.setText((CharSequence) null);
                }
            }
            ImageView imageView3 = this.K0;
            if (imageView3 != null) {
                imageView3.setContentDescription(cVar.a());
            }
            if (!z) {
                charSequence = cVar.a();
            }
            h0.a(this, charSequence);
        }

        public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
            super.onInitializeAccessibilityEvent(accessibilityEvent);
            accessibilityEvent.setClassName(f396a);
        }

        public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
            super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
            accessibilityNodeInfo.setClassName(f396a);
        }

        public void onMeasure(int i, int i2) {
            int i3;
            super.onMeasure(i, i2);
            if (ScrollingTabContainerView.this.O0 > 0 && getMeasuredWidth() > (i3 = ScrollingTabContainerView.this.O0)) {
                super.onMeasure(View.MeasureSpec.makeMeasureSpec(i3, 1073741824), i2);
            }
        }

        public void setSelected(boolean z) {
            boolean z2 = isSelected() != z;
            super.setSelected(z);
            if (z2 && z) {
                sendAccessibilityEvent(4);
            }
        }
    }

    protected class e extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        private boolean f398a = false;

        /* renamed from: b  reason: collision with root package name */
        private int f399b;

        protected e() {
        }

        public e a(ViewPropertyAnimator viewPropertyAnimator, int i) {
            this.f399b = i;
            ScrollingTabContainerView.this.S0 = viewPropertyAnimator;
            return this;
        }

        public void onAnimationCancel(Animator animator) {
            this.f398a = true;
        }

        public void onAnimationEnd(Animator animator) {
            if (!this.f398a) {
                ScrollingTabContainerView scrollingTabContainerView = ScrollingTabContainerView.this;
                scrollingTabContainerView.S0 = null;
                scrollingTabContainerView.setVisibility(this.f399b);
            }
        }

        public void onAnimationStart(Animator animator) {
            ScrollingTabContainerView.this.setVisibility(0);
            this.f398a = false;
        }
    }

    public ScrollingTabContainerView(@NonNull Context context) {
        super(context);
        setHorizontalScrollBarEnabled(false);
        androidx.appcompat.c.a b2 = androidx.appcompat.c.a.b(context);
        setContentHeight(b2.f());
        this.P0 = b2.e();
        LinearLayoutCompat f = f();
        this.L0 = f;
        addView(f, new ViewGroup.LayoutParams(-2, -1));
    }

    private Spinner e() {
        AppCompatSpinner appCompatSpinner = new AppCompatSpinner(getContext(), null, R.attr.actionDropDownStyle);
        appCompatSpinner.setLayoutParams(new LinearLayoutCompat.LayoutParams(-2, -1));
        appCompatSpinner.setOnItemSelectedListener(this);
        return appCompatSpinner;
    }

    private LinearLayoutCompat f() {
        LinearLayoutCompat linearLayoutCompat = new LinearLayoutCompat(getContext(), null, R.attr.actionBarTabBarStyle);
        linearLayoutCompat.setMeasureWithLargestChildEnabled(true);
        linearLayoutCompat.setGravity(17);
        linearLayoutCompat.setLayoutParams(new LinearLayoutCompat.LayoutParams(-2, -1));
        return linearLayoutCompat;
    }

    private boolean h() {
        Spinner spinner = this.M0;
        return spinner != null && spinner.getParent() == this;
    }

    private void i() {
        if (!h()) {
            if (this.M0 == null) {
                this.M0 = e();
            }
            removeView(this.L0);
            addView(this.M0, new ViewGroup.LayoutParams(-2, -1));
            if (this.M0.getAdapter() == null) {
                this.M0.setAdapter((SpinnerAdapter) new b());
            }
            Runnable runnable = this.J0;
            if (runnable != null) {
                removeCallbacks(runnable);
                this.J0 = null;
            }
            this.M0.setSelection(this.R0);
        }
    }

    private boolean j() {
        if (!h()) {
            return false;
        }
        removeView(this.M0);
        addView(this.L0, new ViewGroup.LayoutParams(-2, -1));
        setTabSelected(this.M0.getSelectedItemPosition());
        return false;
    }

    public void a(ActionBar.c cVar, int i, boolean z) {
        d g = g(cVar, false);
        this.L0.addView(g, i, new LinearLayoutCompat.LayoutParams(0, -1, 1.0f));
        Spinner spinner = this.M0;
        if (spinner != null) {
            ((b) spinner.getAdapter()).notifyDataSetChanged();
        }
        if (z) {
            g.setSelected(true);
        }
        if (this.N0) {
            requestLayout();
        }
    }

    public void b(ActionBar.c cVar, boolean z) {
        d g = g(cVar, false);
        this.L0.addView(g, new LinearLayoutCompat.LayoutParams(0, -1, 1.0f));
        Spinner spinner = this.M0;
        if (spinner != null) {
            ((b) spinner.getAdapter()).notifyDataSetChanged();
        }
        if (z) {
            g.setSelected(true);
        }
        if (this.N0) {
            requestLayout();
        }
    }

    public void c(int i) {
        View childAt = this.L0.getChildAt(i);
        Runnable runnable = this.J0;
        if (runnable != null) {
            removeCallbacks(runnable);
        }
        a aVar = new a(childAt);
        this.J0 = aVar;
        post(aVar);
    }

    public void d(int i) {
        ViewPropertyAnimator viewPropertyAnimator = this.S0;
        if (viewPropertyAnimator != null) {
            viewPropertyAnimator.cancel();
        }
        if (i == 0) {
            if (getVisibility() != 0) {
                setAlpha(0.0f);
            }
            ViewPropertyAnimator alpha = animate().alpha(1.0f);
            alpha.setDuration(200);
            alpha.setInterpolator(f391b);
            alpha.setListener(this.T0.a(alpha, i));
            alpha.start();
            return;
        }
        ViewPropertyAnimator alpha2 = animate().alpha(0.0f);
        alpha2.setDuration(200);
        alpha2.setInterpolator(f391b);
        alpha2.setListener(this.T0.a(alpha2, i));
        alpha2.start();
    }

    /* access modifiers changed from: package-private */
    public d g(ActionBar.c cVar, boolean z) {
        d dVar = new d(getContext(), cVar, z);
        if (z) {
            dVar.setBackgroundDrawable(null);
            dVar.setLayoutParams(new AbsListView.LayoutParams(-1, this.Q0));
        } else {
            dVar.setFocusable(true);
            if (this.K0 == null) {
                this.K0 = new c();
            }
            dVar.setOnClickListener(this.K0);
        }
        return dVar;
    }

    public void k() {
        this.L0.removeAllViews();
        Spinner spinner = this.M0;
        if (spinner != null) {
            ((b) spinner.getAdapter()).notifyDataSetChanged();
        }
        if (this.N0) {
            requestLayout();
        }
    }

    public void l(int i) {
        this.L0.removeViewAt(i);
        Spinner spinner = this.M0;
        if (spinner != null) {
            ((b) spinner.getAdapter()).notifyDataSetChanged();
        }
        if (this.N0) {
            requestLayout();
        }
    }

    public void m(int i) {
        ((d) this.L0.getChildAt(i)).c();
        Spinner spinner = this.M0;
        if (spinner != null) {
            ((b) spinner.getAdapter()).notifyDataSetChanged();
        }
        if (this.N0) {
            requestLayout();
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        Runnable runnable = this.J0;
        if (runnable != null) {
            post(runnable);
        }
    }

    /* access modifiers changed from: protected */
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        androidx.appcompat.c.a b2 = androidx.appcompat.c.a.b(getContext());
        setContentHeight(b2.f());
        this.P0 = b2.e();
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        Runnable runnable = this.J0;
        if (runnable != null) {
            removeCallbacks(runnable);
        }
    }

    @Override // android.widget.AdapterView.OnItemSelectedListener
    public void onItemSelected(AdapterView<?> adapterView, View view, int i, long j) {
        ((d) view).b().g();
    }

    public void onMeasure(int i, int i2) {
        int mode = View.MeasureSpec.getMode(i);
        boolean z = true;
        boolean z2 = mode == 1073741824;
        setFillViewport(z2);
        int childCount = this.L0.getChildCount();
        if (childCount <= 1 || !(mode == 1073741824 || mode == Integer.MIN_VALUE)) {
            this.O0 = -1;
        } else {
            if (childCount > 2) {
                this.O0 = (int) (((float) View.MeasureSpec.getSize(i)) * 0.4f);
            } else {
                this.O0 = View.MeasureSpec.getSize(i) / 2;
            }
            this.O0 = Math.min(this.O0, this.P0);
        }
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(this.Q0, 1073741824);
        if (z2 || !this.N0) {
            z = false;
        }
        if (z) {
            this.L0.measure(0, makeMeasureSpec);
            if (this.L0.getMeasuredWidth() > View.MeasureSpec.getSize(i)) {
                i();
            } else {
                j();
            }
        } else {
            j();
        }
        int measuredWidth = getMeasuredWidth();
        super.onMeasure(i, makeMeasureSpec);
        int measuredWidth2 = getMeasuredWidth();
        if (z2 && measuredWidth != measuredWidth2) {
            setTabSelected(this.R0);
        }
    }

    @Override // android.widget.AdapterView.OnItemSelectedListener
    public void onNothingSelected(AdapterView<?> adapterView) {
    }

    public void setAllowCollapse(boolean z) {
        this.N0 = z;
    }

    public void setContentHeight(int i) {
        this.Q0 = i;
        requestLayout();
    }

    public void setTabSelected(int i) {
        this.R0 = i;
        int childCount = this.L0.getChildCount();
        int i2 = 0;
        while (i2 < childCount) {
            View childAt = this.L0.getChildAt(i2);
            boolean z = i2 == i;
            childAt.setSelected(z);
            if (z) {
                c(i);
            }
            i2++;
        }
        Spinner spinner = this.M0;
        if (spinner != null && i >= 0) {
            spinner.setSelection(i);
        }
    }
}
