package androidx.appcompat.widget;

import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.method.TransformationMethod;
import android.util.AttributeSet;
import android.util.Property;
import android.view.ActionMode;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.ViewConfiguration;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.CompoundButton;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.R;
import androidx.core.graphics.drawable.c;
import androidx.core.view.ViewCompat;
import androidx.core.widget.TextViewCompat;

public class SwitchCompat extends CompoundButton {
    private static final int I0 = 1;
    private static final int J0 = 2;
    private static final String K0 = "android.widget.Switch";
    private static final int L0 = 1;
    private static final int M0 = 2;
    private static final int N0 = 3;
    private static final Property<SwitchCompat, Float> O0 = new a(Float.class, "thumbPos");
    private static final int[] P0 = {16842912};

    /* renamed from: a  reason: collision with root package name */
    private static final int f419a = 250;

    /* renamed from: b  reason: collision with root package name */
    private static final int f420b = 0;
    ObjectAnimator A1;
    private final l B1;
    private final Rect C1;
    private Drawable Q0;
    private ColorStateList R0;
    private PorterDuff.Mode S0;
    private boolean T0;
    private boolean U0;
    private Drawable V0;
    private ColorStateList W0;
    private PorterDuff.Mode X0;
    private boolean Y0;
    private boolean Z0;
    private int a1;
    private int b1;
    private int c1;
    private boolean d1;
    private CharSequence e1;
    private CharSequence f1;
    private boolean g1;
    private int h1;
    private int i1;
    private float j1;
    private float k1;
    private VelocityTracker l1;
    private int m1;
    float n1;
    private int o1;
    private int p1;
    private int q1;
    private int r1;
    private int s1;
    private int t1;
    private int u1;
    private final TextPaint v1;
    private ColorStateList w1;
    private Layout x1;
    private Layout y1;
    private TransformationMethod z1;

    class a extends Property<SwitchCompat, Float> {
        a(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public Float get(SwitchCompat switchCompat) {
            return Float.valueOf(switchCompat.n1);
        }

        /* renamed from: b */
        public void set(SwitchCompat switchCompat, Float f) {
            switchCompat.setThumbPosition(f.floatValue());
        }
    }

    public SwitchCompat(@NonNull Context context) {
        this(context, null);
    }

    private void a(boolean z) {
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(this, O0, z ? 1.0f : 0.0f);
        this.A1 = ofFloat;
        ofFloat.setDuration(250L);
        if (Build.VERSION.SDK_INT >= 18) {
            this.A1.setAutoCancel(true);
        }
        this.A1.start();
    }

    private void b() {
        Drawable drawable = this.Q0;
        if (drawable == null) {
            return;
        }
        if (this.T0 || this.U0) {
            Drawable mutate = c.r(drawable).mutate();
            this.Q0 = mutate;
            if (this.T0) {
                c.o(mutate, this.R0);
            }
            if (this.U0) {
                c.p(this.Q0, this.S0);
            }
            if (this.Q0.isStateful()) {
                this.Q0.setState(getDrawableState());
            }
        }
    }

    private void c() {
        Drawable drawable = this.V0;
        if (drawable == null) {
            return;
        }
        if (this.Y0 || this.Z0) {
            Drawable mutate = c.r(drawable).mutate();
            this.V0 = mutate;
            if (this.Y0) {
                c.o(mutate, this.W0);
            }
            if (this.Z0) {
                c.p(this.V0, this.X0);
            }
            if (this.V0.isStateful()) {
                this.V0.setState(getDrawableState());
            }
        }
    }

    private void d() {
        ObjectAnimator objectAnimator = this.A1;
        if (objectAnimator != null) {
            objectAnimator.cancel();
        }
    }

    private void e(MotionEvent motionEvent) {
        MotionEvent obtain = MotionEvent.obtain(motionEvent);
        obtain.setAction(3);
        super.onTouchEvent(obtain);
        obtain.recycle();
    }

    private static float f(float f, float f2, float f3) {
        return f < f2 ? f2 : f > f3 ? f3 : f;
    }

    private boolean g(float f, float f2) {
        if (this.Q0 == null) {
            return false;
        }
        int thumbOffset = getThumbOffset();
        this.Q0.getPadding(this.C1);
        int i = this.s1;
        int i2 = this.i1;
        int i3 = i - i2;
        int i4 = (this.r1 + thumbOffset) - i2;
        Rect rect = this.C1;
        int i5 = this.q1 + i4 + rect.left + rect.right + i2;
        int i6 = this.u1 + i2;
        if (f <= ((float) i4) || f >= ((float) i5) || f2 <= ((float) i3) || f2 >= ((float) i6)) {
            return false;
        }
        return true;
    }

    private boolean getTargetCheckedState() {
        return this.n1 > 0.5f;
    }

    private int getThumbOffset() {
        float f;
        if (l0.b(this)) {
            f = 1.0f - this.n1;
        } else {
            f = this.n1;
        }
        return (int) ((f * ((float) getThumbScrollRange())) + 0.5f);
    }

    private int getThumbScrollRange() {
        Rect rect;
        Drawable drawable = this.V0;
        if (drawable == null) {
            return 0;
        }
        Rect rect2 = this.C1;
        drawable.getPadding(rect2);
        Drawable drawable2 = this.Q0;
        if (drawable2 != null) {
            rect = p.d(drawable2);
        } else {
            rect = p.f546d;
        }
        return ((((this.o1 - this.q1) - rect2.left) - rect2.right) - rect.left) - rect.right;
    }

    private Layout h(CharSequence charSequence) {
        TransformationMethod transformationMethod = this.z1;
        if (transformationMethod != null) {
            charSequence = transformationMethod.getTransformation(charSequence, this);
        }
        TextPaint textPaint = this.v1;
        return new StaticLayout(charSequence, textPaint, charSequence != null ? (int) Math.ceil((double) Layout.getDesiredWidth(charSequence, textPaint)) : 0, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, true);
    }

    private void k(int i, int i2) {
        Typeface typeface;
        if (i == 1) {
            typeface = Typeface.SANS_SERIF;
        } else if (i != 2) {
            typeface = i != 3 ? null : Typeface.MONOSPACE;
        } else {
            typeface = Typeface.SERIF;
        }
        j(typeface, i2);
    }

    private void l(MotionEvent motionEvent) {
        this.h1 = 0;
        boolean z = true;
        boolean z2 = motionEvent.getAction() == 1 && isEnabled();
        boolean isChecked = isChecked();
        if (z2) {
            this.l1.computeCurrentVelocity(1000);
            float xVelocity = this.l1.getXVelocity();
            if (Math.abs(xVelocity) <= ((float) this.m1)) {
                z = getTargetCheckedState();
            } else if (!l0.b(this) ? xVelocity <= 0.0f : xVelocity >= 0.0f) {
                z = false;
            }
        } else {
            z = isChecked;
        }
        if (z != isChecked) {
            playSoundEffect(0);
        }
        setChecked(z);
        e(motionEvent);
    }

    public void draw(Canvas canvas) {
        Rect rect;
        int i;
        int i2;
        Rect rect2 = this.C1;
        int i3 = this.r1;
        int i4 = this.s1;
        int i5 = this.t1;
        int i6 = this.u1;
        int thumbOffset = getThumbOffset() + i3;
        Drawable drawable = this.Q0;
        if (drawable != null) {
            rect = p.d(drawable);
        } else {
            rect = p.f546d;
        }
        Drawable drawable2 = this.V0;
        if (drawable2 != null) {
            drawable2.getPadding(rect2);
            int i7 = rect2.left;
            thumbOffset += i7;
            if (rect != null) {
                int i8 = rect.left;
                if (i8 > i7) {
                    i3 += i8 - i7;
                }
                int i9 = rect.top;
                int i10 = rect2.top;
                i = i9 > i10 ? (i9 - i10) + i4 : i4;
                int i11 = rect.right;
                int i12 = rect2.right;
                if (i11 > i12) {
                    i5 -= i11 - i12;
                }
                int i13 = rect.bottom;
                int i14 = rect2.bottom;
                if (i13 > i14) {
                    i2 = i6 - (i13 - i14);
                    this.V0.setBounds(i3, i, i5, i2);
                }
            } else {
                i = i4;
            }
            i2 = i6;
            this.V0.setBounds(i3, i, i5, i2);
        }
        Drawable drawable3 = this.Q0;
        if (drawable3 != null) {
            drawable3.getPadding(rect2);
            int i15 = thumbOffset - rect2.left;
            int i16 = thumbOffset + this.q1 + rect2.right;
            this.Q0.setBounds(i15, i4, i16, i6);
            Drawable background = getBackground();
            if (background != null) {
                c.l(background, i15, i4, i16, i6);
            }
        }
        super.draw(canvas);
    }

    public void drawableHotspotChanged(float f, float f2) {
        if (Build.VERSION.SDK_INT >= 21) {
            super.drawableHotspotChanged(f, f2);
        }
        Drawable drawable = this.Q0;
        if (drawable != null) {
            c.k(drawable, f, f2);
        }
        Drawable drawable2 = this.V0;
        if (drawable2 != null) {
            c.k(drawable2, f, f2);
        }
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        Drawable drawable = this.Q0;
        boolean z = false;
        if (drawable != null && drawable.isStateful()) {
            z = false | drawable.setState(drawableState);
        }
        Drawable drawable2 = this.V0;
        if (drawable2 != null && drawable2.isStateful()) {
            z |= drawable2.setState(drawableState);
        }
        if (z) {
            invalidate();
        }
    }

    public int getCompoundPaddingLeft() {
        if (!l0.b(this)) {
            return super.getCompoundPaddingLeft();
        }
        int compoundPaddingLeft = super.getCompoundPaddingLeft() + this.o1;
        return !TextUtils.isEmpty(getText()) ? compoundPaddingLeft + this.c1 : compoundPaddingLeft;
    }

    public int getCompoundPaddingRight() {
        if (l0.b(this)) {
            return super.getCompoundPaddingRight();
        }
        int compoundPaddingRight = super.getCompoundPaddingRight() + this.o1;
        return !TextUtils.isEmpty(getText()) ? compoundPaddingRight + this.c1 : compoundPaddingRight;
    }

    public boolean getShowText() {
        return this.g1;
    }

    public boolean getSplitTrack() {
        return this.d1;
    }

    public int getSwitchMinWidth() {
        return this.b1;
    }

    public int getSwitchPadding() {
        return this.c1;
    }

    public CharSequence getTextOff() {
        return this.f1;
    }

    public CharSequence getTextOn() {
        return this.e1;
    }

    public Drawable getThumbDrawable() {
        return this.Q0;
    }

    public int getThumbTextPadding() {
        return this.a1;
    }

    @Nullable
    public ColorStateList getThumbTintList() {
        return this.R0;
    }

    @Nullable
    public PorterDuff.Mode getThumbTintMode() {
        return this.S0;
    }

    public Drawable getTrackDrawable() {
        return this.V0;
    }

    @Nullable
    public ColorStateList getTrackTintList() {
        return this.W0;
    }

    @Nullable
    public PorterDuff.Mode getTrackTintMode() {
        return this.X0;
    }

    public void i(Context context, int i) {
        f0 E = f0.E(context, i, R.styleable.TextAppearance);
        ColorStateList d2 = E.d(R.styleable.TextAppearance_android_textColor);
        if (d2 != null) {
            this.w1 = d2;
        } else {
            this.w1 = getTextColors();
        }
        int g = E.g(R.styleable.TextAppearance_android_textSize, 0);
        if (g != 0) {
            float f = (float) g;
            if (f != this.v1.getTextSize()) {
                this.v1.setTextSize(f);
                requestLayout();
            }
        }
        k(E.o(R.styleable.TextAppearance_android_typeface, -1), E.o(R.styleable.TextAppearance_android_textStyle, -1));
        if (E.a(R.styleable.TextAppearance_textAllCaps, false)) {
            this.z1 = new androidx.appcompat.b.a(getContext());
        } else {
            this.z1 = null;
        }
        E.I();
    }

    public void j(Typeface typeface, int i) {
        Typeface typeface2;
        float f = 0.0f;
        boolean z = false;
        if (i > 0) {
            if (typeface == null) {
                typeface2 = Typeface.defaultFromStyle(i);
            } else {
                typeface2 = Typeface.create(typeface, i);
            }
            setSwitchTypeface(typeface2);
            int i2 = (~(typeface2 != null ? typeface2.getStyle() : 0)) & i;
            TextPaint textPaint = this.v1;
            if ((i2 & 1) != 0) {
                z = true;
            }
            textPaint.setFakeBoldText(z);
            TextPaint textPaint2 = this.v1;
            if ((i2 & 2) != 0) {
                f = -0.25f;
            }
            textPaint2.setTextSkewX(f);
            return;
        }
        this.v1.setFakeBoldText(false);
        this.v1.setTextSkewX(0.0f);
        setSwitchTypeface(typeface);
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.Q0;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
        Drawable drawable2 = this.V0;
        if (drawable2 != null) {
            drawable2.jumpToCurrentState();
        }
        ObjectAnimator objectAnimator = this.A1;
        if (objectAnimator != null && objectAnimator.isStarted()) {
            this.A1.end();
            this.A1 = null;
        }
    }

    /* access modifiers changed from: protected */
    public int[] onCreateDrawableState(int i) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i + 1);
        if (isChecked()) {
            CompoundButton.mergeDrawableStates(onCreateDrawableState, P0);
        }
        return onCreateDrawableState;
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        int i;
        super.onDraw(canvas);
        Rect rect = this.C1;
        Drawable drawable = this.V0;
        if (drawable != null) {
            drawable.getPadding(rect);
        } else {
            rect.setEmpty();
        }
        int i2 = this.s1;
        int i3 = this.u1;
        int i4 = i2 + rect.top;
        int i5 = i3 - rect.bottom;
        Drawable drawable2 = this.Q0;
        if (drawable != null) {
            if (!this.d1 || drawable2 == null) {
                drawable.draw(canvas);
            } else {
                Rect d2 = p.d(drawable2);
                drawable2.copyBounds(rect);
                rect.left += d2.left;
                rect.right -= d2.right;
                int save = canvas.save();
                canvas.clipRect(rect, Region.Op.DIFFERENCE);
                drawable.draw(canvas);
                canvas.restoreToCount(save);
            }
        }
        int save2 = canvas.save();
        if (drawable2 != null) {
            drawable2.draw(canvas);
        }
        Layout layout = getTargetCheckedState() ? this.x1 : this.y1;
        if (layout != null) {
            int[] drawableState = getDrawableState();
            ColorStateList colorStateList = this.w1;
            if (colorStateList != null) {
                this.v1.setColor(colorStateList.getColorForState(drawableState, 0));
            }
            this.v1.drawableState = drawableState;
            if (drawable2 != null) {
                Rect bounds = drawable2.getBounds();
                i = bounds.left + bounds.right;
            } else {
                i = getWidth();
            }
            canvas.translate((float) ((i / 2) - (layout.getWidth() / 2)), (float) (((i4 + i5) / 2) - (layout.getHeight() / 2)));
            layout.draw(canvas);
        }
        canvas.restoreToCount(save2);
    }

    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName(K0);
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName(K0);
        CharSequence charSequence = isChecked() ? this.e1 : this.f1;
        if (!TextUtils.isEmpty(charSequence)) {
            CharSequence text = accessibilityNodeInfo.getText();
            if (TextUtils.isEmpty(text)) {
                accessibilityNodeInfo.setText(charSequence);
                return;
            }
            StringBuilder sb = new StringBuilder();
            sb.append(text);
            sb.append(' ');
            sb.append(charSequence);
            accessibilityNodeInfo.setText(sb);
        }
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        super.onLayout(z, i, i2, i3, i4);
        int i11 = 0;
        if (this.Q0 != null) {
            Rect rect = this.C1;
            Drawable drawable = this.V0;
            if (drawable != null) {
                drawable.getPadding(rect);
            } else {
                rect.setEmpty();
            }
            Rect d2 = p.d(this.Q0);
            i5 = Math.max(0, d2.left - rect.left);
            i11 = Math.max(0, d2.right - rect.right);
        } else {
            i5 = 0;
        }
        if (l0.b(this)) {
            i7 = getPaddingLeft() + i5;
            i6 = ((this.o1 + i7) - i5) - i11;
        } else {
            i6 = (getWidth() - getPaddingRight()) - i11;
            i7 = (i6 - this.o1) + i5 + i11;
        }
        int gravity = getGravity() & 112;
        if (gravity == 16) {
            i10 = this.p1;
            i9 = (((getPaddingTop() + getHeight()) - getPaddingBottom()) / 2) - (i10 / 2);
        } else if (gravity != 80) {
            i9 = getPaddingTop();
            i10 = this.p1;
        } else {
            i8 = getHeight() - getPaddingBottom();
            i9 = i8 - this.p1;
            this.r1 = i7;
            this.s1 = i9;
            this.u1 = i8;
            this.t1 = i6;
        }
        i8 = i10 + i9;
        this.r1 = i7;
        this.s1 = i9;
        this.u1 = i8;
        this.t1 = i6;
    }

    public void onMeasure(int i, int i2) {
        int i3;
        int i4;
        if (this.g1) {
            if (this.x1 == null) {
                this.x1 = h(this.e1);
            }
            if (this.y1 == null) {
                this.y1 = h(this.f1);
            }
        }
        Rect rect = this.C1;
        Drawable drawable = this.Q0;
        int i5 = 0;
        if (drawable != null) {
            drawable.getPadding(rect);
            i4 = (this.Q0.getIntrinsicWidth() - rect.left) - rect.right;
            i3 = this.Q0.getIntrinsicHeight();
        } else {
            i4 = 0;
            i3 = 0;
        }
        this.q1 = Math.max(this.g1 ? Math.max(this.x1.getWidth(), this.y1.getWidth()) + (this.a1 * 2) : 0, i4);
        Drawable drawable2 = this.V0;
        if (drawable2 != null) {
            drawable2.getPadding(rect);
            i5 = this.V0.getIntrinsicHeight();
        } else {
            rect.setEmpty();
        }
        int i6 = rect.left;
        int i7 = rect.right;
        Drawable drawable3 = this.Q0;
        if (drawable3 != null) {
            Rect d2 = p.d(drawable3);
            i6 = Math.max(i6, d2.left);
            i7 = Math.max(i7, d2.right);
        }
        int max = Math.max(this.b1, (this.q1 * 2) + i6 + i7);
        int max2 = Math.max(i5, i3);
        this.o1 = max;
        this.p1 = max2;
        super.onMeasure(i, i2);
        if (getMeasuredHeight() < max2) {
            setMeasuredDimension(getMeasuredWidthAndState(), max2);
        }
    }

    public void onPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onPopulateAccessibilityEvent(accessibilityEvent);
        CharSequence charSequence = isChecked() ? this.e1 : this.f1;
        if (charSequence != null) {
            accessibilityEvent.getText().add(charSequence);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:6:0x0012, code lost:
        if (r0 != 3) goto L_0x00b9;
     */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        this.l1.addMovement(motionEvent);
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked == 2) {
                    int i = this.h1;
                    if (i == 1) {
                        float x = motionEvent.getX();
                        float y = motionEvent.getY();
                        if (Math.abs(x - this.j1) > ((float) this.i1) || Math.abs(y - this.k1) > ((float) this.i1)) {
                            this.h1 = 2;
                            getParent().requestDisallowInterceptTouchEvent(true);
                            this.j1 = x;
                            this.k1 = y;
                            return true;
                        }
                    } else if (i == 2) {
                        float x2 = motionEvent.getX();
                        int thumbScrollRange = getThumbScrollRange();
                        float f = x2 - this.j1;
                        float f2 = thumbScrollRange != 0 ? f / ((float) thumbScrollRange) : f > 0.0f ? 1.0f : -1.0f;
                        if (l0.b(this)) {
                            f2 = -f2;
                        }
                        float f3 = f(this.n1 + f2, 0.0f, 1.0f);
                        if (f3 != this.n1) {
                            this.j1 = x2;
                            setThumbPosition(f3);
                        }
                        return true;
                    }
                }
            }
            if (this.h1 == 2) {
                l(motionEvent);
                super.onTouchEvent(motionEvent);
                return true;
            }
            this.h1 = 0;
            this.l1.clear();
        } else {
            float x3 = motionEvent.getX();
            float y2 = motionEvent.getY();
            if (isEnabled() && g(x3, y2)) {
                this.h1 = 1;
                this.j1 = x3;
                this.k1 = y2;
            }
        }
        return super.onTouchEvent(motionEvent);
    }

    public void setChecked(boolean z) {
        super.setChecked(z);
        boolean isChecked = isChecked();
        if (getWindowToken() == null || !ViewCompat.isLaidOut(this)) {
            d();
            setThumbPosition(isChecked ? 1.0f : 0.0f);
            return;
        }
        a(isChecked);
    }

    public void setCustomSelectionActionModeCallback(ActionMode.Callback callback) {
        super.setCustomSelectionActionModeCallback(TextViewCompat.H(this, callback));
    }

    public void setShowText(boolean z) {
        if (this.g1 != z) {
            this.g1 = z;
            requestLayout();
        }
    }

    public void setSplitTrack(boolean z) {
        this.d1 = z;
        invalidate();
    }

    public void setSwitchMinWidth(int i) {
        this.b1 = i;
        requestLayout();
    }

    public void setSwitchPadding(int i) {
        this.c1 = i;
        requestLayout();
    }

    public void setSwitchTypeface(Typeface typeface) {
        if ((this.v1.getTypeface() != null && !this.v1.getTypeface().equals(typeface)) || (this.v1.getTypeface() == null && typeface != null)) {
            this.v1.setTypeface(typeface);
            requestLayout();
            invalidate();
        }
    }

    public void setTextOff(CharSequence charSequence) {
        this.f1 = charSequence;
        requestLayout();
    }

    public void setTextOn(CharSequence charSequence) {
        this.e1 = charSequence;
        requestLayout();
    }

    public void setThumbDrawable(Drawable drawable) {
        Drawable drawable2 = this.Q0;
        if (drawable2 != null) {
            drawable2.setCallback(null);
        }
        this.Q0 = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
        }
        requestLayout();
    }

    /* access modifiers changed from: package-private */
    public void setThumbPosition(float f) {
        this.n1 = f;
        invalidate();
    }

    public void setThumbResource(int i) {
        setThumbDrawable(androidx.appcompat.a.a.a.d(getContext(), i));
    }

    public void setThumbTextPadding(int i) {
        this.a1 = i;
        requestLayout();
    }

    public void setThumbTintList(@Nullable ColorStateList colorStateList) {
        this.R0 = colorStateList;
        this.T0 = true;
        b();
    }

    public void setThumbTintMode(@Nullable PorterDuff.Mode mode) {
        this.S0 = mode;
        this.U0 = true;
        b();
    }

    public void setTrackDrawable(Drawable drawable) {
        Drawable drawable2 = this.V0;
        if (drawable2 != null) {
            drawable2.setCallback(null);
        }
        this.V0 = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
        }
        requestLayout();
    }

    public void setTrackResource(int i) {
        setTrackDrawable(androidx.appcompat.a.a.a.d(getContext(), i));
    }

    public void setTrackTintList(@Nullable ColorStateList colorStateList) {
        this.W0 = colorStateList;
        this.Y0 = true;
        c();
    }

    public void setTrackTintMode(@Nullable PorterDuff.Mode mode) {
        this.X0 = mode;
        this.Z0 = true;
        c();
    }

    public void toggle() {
        setChecked(!isChecked());
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.Q0 || drawable == this.V0;
    }

    public SwitchCompat(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.switchStyle);
    }

    public SwitchCompat(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.R0 = null;
        this.S0 = null;
        this.T0 = false;
        this.U0 = false;
        this.W0 = null;
        this.X0 = null;
        this.Y0 = false;
        this.Z0 = false;
        this.l1 = VelocityTracker.obtain();
        this.C1 = new Rect();
        a0.a(this, getContext());
        TextPaint textPaint = new TextPaint(1);
        this.v1 = textPaint;
        textPaint.density = getResources().getDisplayMetrics().density;
        int[] iArr = R.styleable.SwitchCompat;
        f0 G = f0.G(context, attributeSet, iArr, i, 0);
        ViewCompat.saveAttributeDataForStyleable(this, context, iArr, attributeSet, G.B(), i, 0);
        Drawable h = G.h(R.styleable.SwitchCompat_android_thumb);
        this.Q0 = h;
        if (h != null) {
            h.setCallback(this);
        }
        Drawable h2 = G.h(R.styleable.SwitchCompat_track);
        this.V0 = h2;
        if (h2 != null) {
            h2.setCallback(this);
        }
        this.e1 = G.x(R.styleable.SwitchCompat_android_textOn);
        this.f1 = G.x(R.styleable.SwitchCompat_android_textOff);
        this.g1 = G.a(R.styleable.SwitchCompat_showText, true);
        this.a1 = G.g(R.styleable.SwitchCompat_thumbTextPadding, 0);
        this.b1 = G.g(R.styleable.SwitchCompat_switchMinWidth, 0);
        this.c1 = G.g(R.styleable.SwitchCompat_switchPadding, 0);
        this.d1 = G.a(R.styleable.SwitchCompat_splitTrack, false);
        ColorStateList d2 = G.d(R.styleable.SwitchCompat_thumbTint);
        if (d2 != null) {
            this.R0 = d2;
            this.T0 = true;
        }
        PorterDuff.Mode e2 = p.e(G.o(R.styleable.SwitchCompat_thumbTintMode, -1), null);
        if (this.S0 != e2) {
            this.S0 = e2;
            this.U0 = true;
        }
        if (this.T0 || this.U0) {
            b();
        }
        ColorStateList d3 = G.d(R.styleable.SwitchCompat_trackTint);
        if (d3 != null) {
            this.W0 = d3;
            this.Y0 = true;
        }
        PorterDuff.Mode e3 = p.e(G.o(R.styleable.SwitchCompat_trackTintMode, -1), null);
        if (this.X0 != e3) {
            this.X0 = e3;
            this.Z0 = true;
        }
        if (this.Y0 || this.Z0) {
            c();
        }
        int u = G.u(R.styleable.SwitchCompat_switchTextAppearance, 0);
        if (u != 0) {
            i(context, u);
        }
        l lVar = new l(this);
        this.B1 = lVar;
        lVar.m(attributeSet, i);
        G.I();
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        this.i1 = viewConfiguration.getScaledTouchSlop();
        this.m1 = viewConfiguration.getScaledMinimumFlingVelocity();
        refreshDrawableState();
        setChecked(isChecked());
    }
}
