package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Layout;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.ContextThemeWrapper;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.annotation.ColorInt;
import androidx.annotation.DrawableRes;
import androidx.annotation.MenuRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.appcompat.R;
import androidx.appcompat.app.ActionBar;
import androidx.appcompat.c.g;
import androidx.appcompat.view.menu.f;
import androidx.appcompat.view.menu.i;
import androidx.appcompat.view.menu.m;
import androidx.appcompat.view.menu.n;
import androidx.appcompat.view.menu.r;
import androidx.appcompat.widget.ActionMenuView;
import androidx.core.view.GravityCompat;
import androidx.core.view.MarginLayoutParamsCompat;
import androidx.core.view.ViewCompat;
import androidx.customview.view.AbsSavedState;
import java.util.ArrayList;
import java.util.List;

public class Toolbar extends ViewGroup {

    /* renamed from: a  reason: collision with root package name */
    private static final String f421a = "Toolbar";
    private TextView I0;
    private TextView J0;
    private ImageButton K0;
    private ImageView L0;
    private Drawable M0;
    private CharSequence N0;
    ImageButton O0;
    View P0;
    private Context Q0;
    private int R0;
    private int S0;
    private int T0;
    int U0;
    private int V0;
    private int W0;
    private int X0;
    private int Y0;
    private int Z0;
    private x a1;

    /* renamed from: b  reason: collision with root package name */
    private ActionMenuView f422b;
    private int b1;
    private int c1;
    private int d1;
    private CharSequence e1;
    private CharSequence f1;
    private ColorStateList g1;
    private ColorStateList h1;
    private boolean i1;
    private boolean j1;
    private final ArrayList<View> k1;
    private final ArrayList<View> l1;
    private final int[] m1;
    e n1;
    private final ActionMenuView.d o1;
    private g0 p1;
    private ActionMenuPresenter q1;
    private d r1;
    private m.a s1;
    private f.a t1;
    private boolean u1;
    private final Runnable v1;

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        int I0;
        boolean J0;

        class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            /* renamed from: a */
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }

            /* renamed from: b */
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            /* renamed from: c */
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        }

        public SavedState(Parcel parcel) {
            this(parcel, null);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.I0);
            parcel.writeInt(this.J0 ? 1 : 0);
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.I0 = parcel.readInt();
            this.J0 = parcel.readInt() != 0;
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }
    }

    class a implements ActionMenuView.d {
        a() {
        }

        @Override // androidx.appcompat.widget.ActionMenuView.d
        public boolean onMenuItemClick(MenuItem menuItem) {
            e eVar = Toolbar.this.n1;
            if (eVar != null) {
                return eVar.onMenuItemClick(menuItem);
            }
            return false;
        }
    }

    class b implements Runnable {
        b() {
        }

        public void run() {
            Toolbar.this.R();
        }
    }

    /* access modifiers changed from: package-private */
    public class c implements View.OnClickListener {
        c() {
        }

        public void onClick(View view) {
            Toolbar.this.e();
        }
    }

    /* access modifiers changed from: private */
    public class d implements m {

        /* renamed from: a  reason: collision with root package name */
        f f430a;

        /* renamed from: b  reason: collision with root package name */
        i f431b;

        d() {
        }

        @Override // androidx.appcompat.view.menu.m
        public int a() {
            return 0;
        }

        @Override // androidx.appcompat.view.menu.m
        public void d(f fVar, boolean z) {
        }

        @Override // androidx.appcompat.view.menu.m
        public void e(Parcelable parcelable) {
        }

        @Override // androidx.appcompat.view.menu.m
        public Parcelable f() {
            return null;
        }

        @Override // androidx.appcompat.view.menu.m
        public void g(boolean z) {
            if (this.f431b != null) {
                f fVar = this.f430a;
                boolean z2 = false;
                if (fVar != null) {
                    int size = fVar.size();
                    int i = 0;
                    while (true) {
                        if (i >= size) {
                            break;
                        } else if (this.f430a.getItem(i) == this.f431b) {
                            z2 = true;
                            break;
                        } else {
                            i++;
                        }
                    }
                }
                if (!z2) {
                    i(this.f430a, this.f431b);
                }
            }
        }

        @Override // androidx.appcompat.view.menu.m
        public boolean h() {
            return false;
        }

        @Override // androidx.appcompat.view.menu.m
        public boolean i(f fVar, i iVar) {
            View view = Toolbar.this.P0;
            if (view instanceof androidx.appcompat.c.c) {
                ((androidx.appcompat.c.c) view).onActionViewCollapsed();
            }
            Toolbar toolbar = Toolbar.this;
            toolbar.removeView(toolbar.P0);
            Toolbar toolbar2 = Toolbar.this;
            toolbar2.removeView(toolbar2.O0);
            Toolbar toolbar3 = Toolbar.this;
            toolbar3.P0 = null;
            toolbar3.a();
            this.f431b = null;
            Toolbar.this.requestLayout();
            iVar.t(false);
            return true;
        }

        @Override // androidx.appcompat.view.menu.m
        public boolean j(f fVar, i iVar) {
            Toolbar.this.g();
            ViewParent parent = Toolbar.this.O0.getParent();
            Toolbar toolbar = Toolbar.this;
            if (parent != toolbar) {
                if (parent instanceof ViewGroup) {
                    ((ViewGroup) parent).removeView(toolbar.O0);
                }
                Toolbar toolbar2 = Toolbar.this;
                toolbar2.addView(toolbar2.O0);
            }
            Toolbar.this.P0 = iVar.getActionView();
            this.f431b = iVar;
            ViewParent parent2 = Toolbar.this.P0.getParent();
            Toolbar toolbar3 = Toolbar.this;
            if (parent2 != toolbar3) {
                if (parent2 instanceof ViewGroup) {
                    ((ViewGroup) parent2).removeView(toolbar3.P0);
                }
                LayoutParams m = Toolbar.this.generateDefaultLayoutParams();
                Toolbar toolbar4 = Toolbar.this;
                m.f86a = 8388611 | (toolbar4.U0 & 112);
                m.f426e = 2;
                toolbar4.P0.setLayoutParams(m);
                Toolbar toolbar5 = Toolbar.this;
                toolbar5.addView(toolbar5.P0);
            }
            Toolbar.this.H();
            Toolbar.this.requestLayout();
            iVar.t(true);
            View view = Toolbar.this.P0;
            if (view instanceof androidx.appcompat.c.c) {
                ((androidx.appcompat.c.c) view).onActionViewExpanded();
            }
            return true;
        }

        @Override // androidx.appcompat.view.menu.m
        public void k(m.a aVar) {
        }

        @Override // androidx.appcompat.view.menu.m
        public void l(Context context, f fVar) {
            i iVar;
            f fVar2 = this.f430a;
            if (!(fVar2 == null || (iVar = this.f431b) == null)) {
                fVar2.g(iVar);
            }
            this.f430a = fVar;
        }

        @Override // androidx.appcompat.view.menu.m
        public boolean n(r rVar) {
            return false;
        }

        @Override // androidx.appcompat.view.menu.m
        public n o(ViewGroup viewGroup) {
            return null;
        }
    }

    public interface e {
        boolean onMenuItemClick(MenuItem menuItem);
    }

    public Toolbar(@NonNull Context context) {
        this(context, null);
    }

    private int C(View view, int i, int[] iArr, int i2) {
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int i3 = ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin - iArr[0];
        int max = i + Math.max(0, i3);
        iArr[0] = Math.max(0, -i3);
        int q = q(view, i2);
        int measuredWidth = view.getMeasuredWidth();
        view.layout(max, q, max + measuredWidth, view.getMeasuredHeight() + q);
        return max + measuredWidth + ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin;
    }

    private int D(View view, int i, int[] iArr, int i2) {
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int i3 = ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin - iArr[1];
        int max = i - Math.max(0, i3);
        iArr[1] = Math.max(0, -i3);
        int q = q(view, i2);
        int measuredWidth = view.getMeasuredWidth();
        view.layout(max - measuredWidth, q, max, view.getMeasuredHeight() + q);
        return max - (measuredWidth + ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin);
    }

    private int E(View view, int i, int i2, int i3, int i4, int[] iArr) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        int i5 = marginLayoutParams.leftMargin - iArr[0];
        int i6 = marginLayoutParams.rightMargin - iArr[1];
        int max = Math.max(0, i5) + Math.max(0, i6);
        iArr[0] = Math.max(0, -i5);
        iArr[1] = Math.max(0, -i6);
        view.measure(ViewGroup.getChildMeasureSpec(i, getPaddingLeft() + getPaddingRight() + max + i2, marginLayoutParams.width), ViewGroup.getChildMeasureSpec(i3, getPaddingTop() + getPaddingBottom() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin + i4, marginLayoutParams.height));
        return view.getMeasuredWidth() + max;
    }

    private void F(View view, int i, int i2, int i3, int i4, int i5) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        int childMeasureSpec = ViewGroup.getChildMeasureSpec(i, getPaddingLeft() + getPaddingRight() + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin + i2, marginLayoutParams.width);
        int childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i3, getPaddingTop() + getPaddingBottom() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin + i4, marginLayoutParams.height);
        int mode = View.MeasureSpec.getMode(childMeasureSpec2);
        if (mode != 1073741824 && i5 >= 0) {
            if (mode != 0) {
                i5 = Math.min(View.MeasureSpec.getSize(childMeasureSpec2), i5);
            }
            childMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(i5, 1073741824);
        }
        view.measure(childMeasureSpec, childMeasureSpec2);
    }

    private void G() {
        removeCallbacks(this.v1);
        post(this.v1);
    }

    private boolean P() {
        if (!this.u1) {
            return false;
        }
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (Q(childAt) && childAt.getMeasuredWidth() > 0 && childAt.getMeasuredHeight() > 0) {
                return false;
            }
        }
        return true;
    }

    private boolean Q(View view) {
        return (view == null || view.getParent() != this || view.getVisibility() == 8) ? false : true;
    }

    private void b(List<View> list, int i) {
        boolean z = ViewCompat.getLayoutDirection(this) == 1;
        int childCount = getChildCount();
        int absoluteGravity = GravityCompat.getAbsoluteGravity(i, ViewCompat.getLayoutDirection(this));
        list.clear();
        if (z) {
            for (int i2 = childCount - 1; i2 >= 0; i2--) {
                View childAt = getChildAt(i2);
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.f426e == 0 && Q(childAt) && p(layoutParams.f86a) == absoluteGravity) {
                    list.add(childAt);
                }
            }
            return;
        }
        for (int i3 = 0; i3 < childCount; i3++) {
            View childAt2 = getChildAt(i3);
            LayoutParams layoutParams2 = (LayoutParams) childAt2.getLayoutParams();
            if (layoutParams2.f426e == 0 && Q(childAt2) && p(layoutParams2.f86a) == absoluteGravity) {
                list.add(childAt2);
            }
        }
    }

    private void c(View view, boolean z) {
        LayoutParams layoutParams;
        ViewGroup.LayoutParams layoutParams2 = view.getLayoutParams();
        if (layoutParams2 == null) {
            layoutParams = generateDefaultLayoutParams();
        } else if (!checkLayoutParams(layoutParams2)) {
            layoutParams = generateLayoutParams(layoutParams2);
        } else {
            layoutParams = (LayoutParams) layoutParams2;
        }
        layoutParams.f426e = 1;
        if (!z || this.P0 == null) {
            addView(view, layoutParams);
            return;
        }
        view.setLayoutParams(layoutParams);
        this.l1.add(view);
    }

    private MenuInflater getMenuInflater() {
        return new g(getContext());
    }

    private void h() {
        if (this.a1 == null) {
            this.a1 = new x();
        }
    }

    private void i() {
        if (this.L0 == null) {
            this.L0 = new AppCompatImageView(getContext());
        }
    }

    private void j() {
        k();
        if (this.f422b.s() == null) {
            f fVar = (f) this.f422b.getMenu();
            if (this.r1 == null) {
                this.r1 = new d();
            }
            this.f422b.setExpandedActionViewsExclusive(true);
            fVar.c(this.r1, this.Q0);
        }
    }

    private void k() {
        if (this.f422b == null) {
            ActionMenuView actionMenuView = new ActionMenuView(getContext());
            this.f422b = actionMenuView;
            actionMenuView.setPopupTheme(this.R0);
            this.f422b.setOnMenuItemClickListener(this.o1);
            this.f422b.t(this.s1, this.t1);
            LayoutParams m = generateDefaultLayoutParams();
            m.f86a = 8388613 | (this.U0 & 112);
            this.f422b.setLayoutParams(m);
            c(this.f422b, false);
        }
    }

    private void l() {
        if (this.K0 == null) {
            this.K0 = new AppCompatImageButton(getContext(), null, R.attr.toolbarNavigationButtonStyle);
            LayoutParams m = generateDefaultLayoutParams();
            m.f86a = 8388611 | (this.U0 & 112);
            this.K0.setLayoutParams(m);
        }
    }

    private int p(int i) {
        int layoutDirection = ViewCompat.getLayoutDirection(this);
        int absoluteGravity = GravityCompat.getAbsoluteGravity(i, layoutDirection) & 7;
        if (absoluteGravity == 1 || absoluteGravity == 3 || absoluteGravity == 5) {
            return absoluteGravity;
        }
        return layoutDirection == 1 ? 5 : 3;
    }

    private int q(View view, int i) {
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int measuredHeight = view.getMeasuredHeight();
        int i2 = i > 0 ? (measuredHeight - i) / 2 : 0;
        int r = r(layoutParams.f86a);
        if (r == 48) {
            return getPaddingTop() - i2;
        }
        if (r == 80) {
            return (((getHeight() - getPaddingBottom()) - measuredHeight) - ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin) - i2;
        }
        int paddingTop = getPaddingTop();
        int paddingBottom = getPaddingBottom();
        int height = getHeight();
        int i3 = (((height - paddingTop) - paddingBottom) - measuredHeight) / 2;
        int i4 = ((ViewGroup.MarginLayoutParams) layoutParams).topMargin;
        if (i3 < i4) {
            i3 = i4;
        } else {
            int i5 = (((height - paddingBottom) - measuredHeight) - i3) - paddingTop;
            int i6 = ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin;
            if (i5 < i6) {
                i3 = Math.max(0, i3 - (i6 - i5));
            }
        }
        return paddingTop + i3;
    }

    private int r(int i) {
        int i2 = i & 112;
        return (i2 == 16 || i2 == 48 || i2 == 80) ? i2 : this.d1 & 112;
    }

    private int s(View view) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        return MarginLayoutParamsCompat.getMarginStart(marginLayoutParams) + MarginLayoutParamsCompat.getMarginEnd(marginLayoutParams);
    }

    private int t(View view) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        return marginLayoutParams.topMargin + marginLayoutParams.bottomMargin;
    }

    private int u(List<View> list, int[] iArr) {
        int i = iArr[0];
        int i2 = iArr[1];
        int size = list.size();
        int i3 = 0;
        int i4 = 0;
        while (i3 < size) {
            View view = list.get(i3);
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            int i5 = ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin - i;
            int i6 = ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin - i2;
            int max = Math.max(0, i5);
            int max2 = Math.max(0, i6);
            int max3 = Math.max(0, -i5);
            int max4 = Math.max(0, -i6);
            i4 += max + view.getMeasuredWidth() + max2;
            i3++;
            i2 = max4;
            i = max3;
        }
        return i4;
    }

    private boolean y(View view) {
        return view.getParent() == this || this.l1.contains(view);
    }

    public boolean A() {
        ActionMenuView actionMenuView = this.f422b;
        return actionMenuView != null && actionMenuView.o();
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public boolean B() {
        Layout layout;
        TextView textView = this.I0;
        if (textView == null || (layout = textView.getLayout()) == null) {
            return false;
        }
        int lineCount = layout.getLineCount();
        for (int i = 0; i < lineCount; i++) {
            if (layout.getEllipsisCount(i) > 0) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public void H() {
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            View childAt = getChildAt(childCount);
            if (!(((LayoutParams) childAt.getLayoutParams()).f426e == 2 || childAt == this.f422b)) {
                removeViewAt(childCount);
                this.l1.add(childAt);
            }
        }
    }

    public void I(int i, int i2) {
        h();
        this.a1.e(i, i2);
    }

    public void J(int i, int i2) {
        h();
        this.a1.g(i, i2);
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void K(f fVar, ActionMenuPresenter actionMenuPresenter) {
        if (fVar != null || this.f422b != null) {
            k();
            f s = this.f422b.s();
            if (s != fVar) {
                if (s != null) {
                    s.S(this.q1);
                    s.S(this.r1);
                }
                if (this.r1 == null) {
                    this.r1 = new d();
                }
                actionMenuPresenter.K(true);
                if (fVar != null) {
                    fVar.c(actionMenuPresenter, this.Q0);
                    fVar.c(this.r1, this.Q0);
                } else {
                    actionMenuPresenter.l(this.Q0, null);
                    this.r1.l(this.Q0, null);
                    actionMenuPresenter.g(true);
                    this.r1.g(true);
                }
                this.f422b.setPopupTheme(this.R0);
                this.f422b.setPresenter(actionMenuPresenter);
                this.q1 = actionMenuPresenter;
            }
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void L(m.a aVar, f.a aVar2) {
        this.s1 = aVar;
        this.t1 = aVar2;
        ActionMenuView actionMenuView = this.f422b;
        if (actionMenuView != null) {
            actionMenuView.t(aVar, aVar2);
        }
    }

    public void M(Context context, @StyleRes int i) {
        this.T0 = i;
        TextView textView = this.J0;
        if (textView != null) {
            textView.setTextAppearance(context, i);
        }
    }

    public void N(int i, int i2, int i3, int i4) {
        this.W0 = i;
        this.Y0 = i2;
        this.X0 = i3;
        this.Z0 = i4;
        requestLayout();
    }

    public void O(Context context, @StyleRes int i) {
        this.S0 = i;
        TextView textView = this.I0;
        if (textView != null) {
            textView.setTextAppearance(context, i);
        }
    }

    public boolean R() {
        ActionMenuView actionMenuView = this.f422b;
        return actionMenuView != null && actionMenuView.u();
    }

    /* access modifiers changed from: package-private */
    public void a() {
        for (int size = this.l1.size() - 1; size >= 0; size--) {
            addView(this.l1.get(size));
        }
        this.l1.clear();
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return super.checkLayoutParams(layoutParams) && (layoutParams instanceof LayoutParams);
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public boolean d() {
        ActionMenuView actionMenuView;
        return getVisibility() == 0 && (actionMenuView = this.f422b) != null && actionMenuView.p();
    }

    public void e() {
        i iVar;
        d dVar = this.r1;
        if (dVar == null) {
            iVar = null;
        } else {
            iVar = dVar.f431b;
        }
        if (iVar != null) {
            iVar.collapseActionView();
        }
    }

    public void f() {
        ActionMenuView actionMenuView = this.f422b;
        if (actionMenuView != null) {
            actionMenuView.g();
        }
    }

    /* access modifiers changed from: package-private */
    public void g() {
        if (this.O0 == null) {
            AppCompatImageButton appCompatImageButton = new AppCompatImageButton(getContext(), null, R.attr.toolbarNavigationButtonStyle);
            this.O0 = appCompatImageButton;
            appCompatImageButton.setImageDrawable(this.M0);
            this.O0.setContentDescription(this.N0);
            LayoutParams m = generateDefaultLayoutParams();
            m.f86a = 8388611 | (this.U0 & 112);
            m.f426e = 2;
            this.O0.setLayoutParams(m);
            this.O0.setOnClickListener(new c());
        }
    }

    @Nullable
    public CharSequence getCollapseContentDescription() {
        ImageButton imageButton = this.O0;
        if (imageButton != null) {
            return imageButton.getContentDescription();
        }
        return null;
    }

    @Nullable
    public Drawable getCollapseIcon() {
        ImageButton imageButton = this.O0;
        if (imageButton != null) {
            return imageButton.getDrawable();
        }
        return null;
    }

    public int getContentInsetEnd() {
        x xVar = this.a1;
        if (xVar != null) {
            return xVar.a();
        }
        return 0;
    }

    public int getContentInsetEndWithActions() {
        int i = this.c1;
        return i != Integer.MIN_VALUE ? i : getContentInsetEnd();
    }

    public int getContentInsetLeft() {
        x xVar = this.a1;
        if (xVar != null) {
            return xVar.b();
        }
        return 0;
    }

    public int getContentInsetRight() {
        x xVar = this.a1;
        if (xVar != null) {
            return xVar.c();
        }
        return 0;
    }

    public int getContentInsetStart() {
        x xVar = this.a1;
        if (xVar != null) {
            return xVar.d();
        }
        return 0;
    }

    public int getContentInsetStartWithNavigation() {
        int i = this.b1;
        return i != Integer.MIN_VALUE ? i : getContentInsetStart();
    }

    public int getCurrentContentInsetEnd() {
        f s;
        ActionMenuView actionMenuView = this.f422b;
        if ((actionMenuView == null || (s = actionMenuView.s()) == null || !s.hasVisibleItems()) ? false : true) {
            return Math.max(getContentInsetEnd(), Math.max(this.c1, 0));
        }
        return getContentInsetEnd();
    }

    public int getCurrentContentInsetLeft() {
        if (ViewCompat.getLayoutDirection(this) == 1) {
            return getCurrentContentInsetEnd();
        }
        return getCurrentContentInsetStart();
    }

    public int getCurrentContentInsetRight() {
        if (ViewCompat.getLayoutDirection(this) == 1) {
            return getCurrentContentInsetStart();
        }
        return getCurrentContentInsetEnd();
    }

    public int getCurrentContentInsetStart() {
        if (getNavigationIcon() != null) {
            return Math.max(getContentInsetStart(), Math.max(this.b1, 0));
        }
        return getContentInsetStart();
    }

    public Drawable getLogo() {
        ImageView imageView = this.L0;
        if (imageView != null) {
            return imageView.getDrawable();
        }
        return null;
    }

    public CharSequence getLogoDescription() {
        ImageView imageView = this.L0;
        if (imageView != null) {
            return imageView.getContentDescription();
        }
        return null;
    }

    public Menu getMenu() {
        j();
        return this.f422b.getMenu();
    }

    @Nullable
    public CharSequence getNavigationContentDescription() {
        ImageButton imageButton = this.K0;
        if (imageButton != null) {
            return imageButton.getContentDescription();
        }
        return null;
    }

    @Nullable
    public Drawable getNavigationIcon() {
        ImageButton imageButton = this.K0;
        if (imageButton != null) {
            return imageButton.getDrawable();
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public ActionMenuPresenter getOuterActionMenuPresenter() {
        return this.q1;
    }

    @Nullable
    public Drawable getOverflowIcon() {
        j();
        return this.f422b.getOverflowIcon();
    }

    /* access modifiers changed from: package-private */
    public Context getPopupContext() {
        return this.Q0;
    }

    public int getPopupTheme() {
        return this.R0;
    }

    public CharSequence getSubtitle() {
        return this.f1;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    @RestrictTo({RestrictTo.Scope.TESTS})
    public final TextView getSubtitleTextView() {
        return this.J0;
    }

    public CharSequence getTitle() {
        return this.e1;
    }

    public int getTitleMarginBottom() {
        return this.Z0;
    }

    public int getTitleMarginEnd() {
        return this.X0;
    }

    public int getTitleMarginStart() {
        return this.W0;
    }

    public int getTitleMarginTop() {
        return this.Y0;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    @RestrictTo({RestrictTo.Scope.TESTS})
    public final TextView getTitleTextView() {
        return this.I0;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public o getWrapper() {
        if (this.p1 == null) {
            this.p1 = new g0(this, true);
        }
        return this.p1;
    }

    /* access modifiers changed from: protected */
    /* renamed from: m */
    public LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams(-2, -2);
    }

    /* renamed from: n */
    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    /* access modifiers changed from: protected */
    /* renamed from: o */
    public LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof LayoutParams) {
            return new LayoutParams((LayoutParams) layoutParams);
        }
        if (layoutParams instanceof ActionBar.LayoutParams) {
            return new LayoutParams((ActionBar.LayoutParams) layoutParams);
        }
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new LayoutParams((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new LayoutParams(layoutParams);
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        removeCallbacks(this.v1);
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 9) {
            this.j1 = false;
        }
        if (!this.j1) {
            boolean onHoverEvent = super.onHoverEvent(motionEvent);
            if (actionMasked == 9 && !onHoverEvent) {
                this.j1 = true;
            }
        }
        if (actionMasked == 10 || actionMasked == 3) {
            this.j1 = false;
        }
        return true;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:102:0x029f A[LOOP:0: B:101:0x029d->B:102:0x029f, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:105:0x02c1 A[LOOP:1: B:104:0x02bf->B:105:0x02c1, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x02eb  */
    /* JADX WARNING: Removed duplicated region for block: B:113:0x02fa A[LOOP:2: B:112:0x02f8->B:113:0x02fa, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x005f  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x0076  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x00b3  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x00ca  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00e7  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x0100  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x0105  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x011d  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x012d  */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x0130  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x0134  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x0137  */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x0168  */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x01a6  */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x01b7  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x0227  */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int i5;
        int i6;
        boolean Q;
        boolean Q2;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int size;
        int i13;
        int size2;
        int i14;
        int i15;
        int size3;
        int i16;
        int i17;
        int i18;
        int i19;
        int i20;
        int i21;
        int i22;
        int i23;
        boolean z2 = ViewCompat.getLayoutDirection(this) == 1;
        int width = getWidth();
        int height = getHeight();
        int paddingLeft = getPaddingLeft();
        int paddingRight = getPaddingRight();
        int paddingTop = getPaddingTop();
        int paddingBottom = getPaddingBottom();
        int i24 = width - paddingRight;
        int[] iArr = this.m1;
        iArr[1] = 0;
        iArr[0] = 0;
        int minimumHeight = ViewCompat.getMinimumHeight(this);
        int min = minimumHeight >= 0 ? Math.min(minimumHeight, i4 - i2) : 0;
        if (!Q(this.K0)) {
            i6 = paddingLeft;
        } else if (z2) {
            i5 = D(this.K0, i24, iArr, min);
            i6 = paddingLeft;
            if (Q(this.O0)) {
                if (z2) {
                    i5 = D(this.O0, i5, iArr, min);
                } else {
                    i6 = C(this.O0, i6, iArr, min);
                }
            }
            if (Q(this.f422b)) {
                if (z2) {
                    i6 = C(this.f422b, i6, iArr, min);
                } else {
                    i5 = D(this.f422b, i5, iArr, min);
                }
            }
            int currentContentInsetLeft = getCurrentContentInsetLeft();
            int currentContentInsetRight = getCurrentContentInsetRight();
            iArr[0] = Math.max(0, currentContentInsetLeft - i6);
            iArr[1] = Math.max(0, currentContentInsetRight - (i24 - i5));
            int max = Math.max(i6, currentContentInsetLeft);
            int min2 = Math.min(i5, i24 - currentContentInsetRight);
            if (Q(this.P0)) {
                if (z2) {
                    min2 = D(this.P0, min2, iArr, min);
                } else {
                    max = C(this.P0, max, iArr, min);
                }
            }
            if (Q(this.L0)) {
                if (z2) {
                    min2 = D(this.L0, min2, iArr, min);
                } else {
                    max = C(this.L0, max, iArr, min);
                }
            }
            Q = Q(this.I0);
            Q2 = Q(this.J0);
            if (!Q) {
                LayoutParams layoutParams = (LayoutParams) this.I0.getLayoutParams();
                i7 = paddingRight;
                i8 = ((ViewGroup.MarginLayoutParams) layoutParams).topMargin + this.I0.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin + 0;
            } else {
                i7 = paddingRight;
                i8 = 0;
            }
            if (!Q2) {
                LayoutParams layoutParams2 = (LayoutParams) this.J0.getLayoutParams();
                i9 = width;
                i8 += ((ViewGroup.MarginLayoutParams) layoutParams2).topMargin + this.J0.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) layoutParams2).bottomMargin;
            } else {
                i9 = width;
            }
            if (!Q || Q2) {
                TextView textView = !Q ? this.I0 : this.J0;
                TextView textView2 = !Q2 ? this.J0 : this.I0;
                LayoutParams layoutParams3 = (LayoutParams) textView.getLayoutParams();
                LayoutParams layoutParams4 = (LayoutParams) textView2.getLayoutParams();
                boolean z3 = (!Q && this.I0.getMeasuredWidth() > 0) || (Q2 && this.J0.getMeasuredWidth() > 0);
                i16 = this.d1 & 112;
                i11 = paddingLeft;
                if (i16 != 48) {
                    i17 = max;
                    i10 = min;
                    i18 = getPaddingTop() + ((ViewGroup.MarginLayoutParams) layoutParams3).topMargin + this.Y0;
                } else if (i16 != 80) {
                    int i25 = (((height - paddingTop) - paddingBottom) - i8) / 2;
                    int i26 = ((ViewGroup.MarginLayoutParams) layoutParams3).topMargin;
                    i10 = min;
                    int i27 = this.Y0;
                    i17 = max;
                    if (i25 < i26 + i27) {
                        i25 = i26 + i27;
                    } else {
                        int i28 = (((height - paddingBottom) - i8) - i25) - paddingTop;
                        int i29 = ((ViewGroup.MarginLayoutParams) layoutParams3).bottomMargin;
                        int i30 = this.Z0;
                        if (i28 < i29 + i30) {
                            i25 = Math.max(0, i25 - ((((ViewGroup.MarginLayoutParams) layoutParams4).bottomMargin + i30) - i28));
                        }
                    }
                    i18 = paddingTop + i25;
                } else {
                    i17 = max;
                    i10 = min;
                    i18 = (((height - paddingBottom) - ((ViewGroup.MarginLayoutParams) layoutParams4).bottomMargin) - this.Z0) - i8;
                }
                if (!z2) {
                    int i31 = (z3 ? this.W0 : 0) - iArr[1];
                    min2 -= Math.max(0, i31);
                    iArr[1] = Math.max(0, -i31);
                    if (Q) {
                        int measuredWidth = min2 - this.I0.getMeasuredWidth();
                        int measuredHeight = this.I0.getMeasuredHeight() + i18;
                        this.I0.layout(measuredWidth, i18, min2, measuredHeight);
                        i22 = measuredWidth - this.X0;
                        i18 = measuredHeight + ((ViewGroup.MarginLayoutParams) ((LayoutParams) this.I0.getLayoutParams())).bottomMargin;
                    } else {
                        i22 = min2;
                    }
                    if (Q2) {
                        int i32 = i18 + ((ViewGroup.MarginLayoutParams) ((LayoutParams) this.J0.getLayoutParams())).topMargin;
                        this.J0.layout(min2 - this.J0.getMeasuredWidth(), i32, min2, this.J0.getMeasuredHeight() + i32);
                        i23 = min2 - this.X0;
                    } else {
                        i23 = min2;
                    }
                    if (z3) {
                        min2 = Math.min(i22, i23);
                    }
                    max = i17;
                } else {
                    if (z3) {
                        i19 = this.W0;
                        i12 = 0;
                    } else {
                        i12 = 0;
                        i19 = 0;
                    }
                    int i33 = i19 - iArr[i12];
                    max = i17 + Math.max(i12, i33);
                    iArr[i12] = Math.max(i12, -i33);
                    if (Q) {
                        int measuredWidth2 = this.I0.getMeasuredWidth() + max;
                        int measuredHeight2 = this.I0.getMeasuredHeight() + i18;
                        this.I0.layout(max, i18, measuredWidth2, measuredHeight2);
                        i20 = measuredWidth2 + this.X0;
                        i18 = measuredHeight2 + ((ViewGroup.MarginLayoutParams) ((LayoutParams) this.I0.getLayoutParams())).bottomMargin;
                    } else {
                        i20 = max;
                    }
                    if (Q2) {
                        int i34 = i18 + ((ViewGroup.MarginLayoutParams) ((LayoutParams) this.J0.getLayoutParams())).topMargin;
                        int measuredWidth3 = this.J0.getMeasuredWidth() + max;
                        this.J0.layout(max, i34, measuredWidth3, this.J0.getMeasuredHeight() + i34);
                        i21 = measuredWidth3 + this.X0;
                    } else {
                        i21 = max;
                    }
                    if (z3) {
                        max = Math.max(i20, i21);
                    }
                    b(this.k1, 3);
                    size = this.k1.size();
                    for (i13 = 0; i13 < size; i13++) {
                        max = C(this.k1.get(i13), max, iArr, i10);
                    }
                    b(this.k1, 5);
                    size2 = this.k1.size();
                    for (i14 = 0; i14 < size2; i14++) {
                        min2 = D(this.k1.get(i14), min2, iArr, i10);
                    }
                    b(this.k1, 1);
                    int u = u(this.k1, iArr);
                    i15 = (i11 + (((i9 - i11) - i7) / 2)) - (u / 2);
                    int i35 = u + i15;
                    if (i15 >= max) {
                        max = i35 > min2 ? i15 - (i35 - min2) : i15;
                    }
                    size3 = this.k1.size();
                    while (i12 < size3) {
                        max = C(this.k1.get(i12), max, iArr, i10);
                        i12++;
                    }
                    this.k1.clear();
                    return;
                }
            } else {
                i11 = paddingLeft;
                i10 = min;
            }
            i12 = 0;
            b(this.k1, 3);
            size = this.k1.size();
            while (i13 < size) {
            }
            b(this.k1, 5);
            size2 = this.k1.size();
            while (i14 < size2) {
            }
            b(this.k1, 1);
            int u2 = u(this.k1, iArr);
            i15 = (i11 + (((i9 - i11) - i7) / 2)) - (u2 / 2);
            int i352 = u2 + i15;
            if (i15 >= max) {
            }
            size3 = this.k1.size();
            while (i12 < size3) {
            }
            this.k1.clear();
            return;
        } else {
            i6 = C(this.K0, paddingLeft, iArr, min);
        }
        i5 = i24;
        if (Q(this.O0)) {
        }
        if (Q(this.f422b)) {
        }
        int currentContentInsetLeft2 = getCurrentContentInsetLeft();
        int currentContentInsetRight2 = getCurrentContentInsetRight();
        iArr[0] = Math.max(0, currentContentInsetLeft2 - i6);
        iArr[1] = Math.max(0, currentContentInsetRight2 - (i24 - i5));
        int max2 = Math.max(i6, currentContentInsetLeft2);
        int min22 = Math.min(i5, i24 - currentContentInsetRight2);
        if (Q(this.P0)) {
        }
        if (Q(this.L0)) {
        }
        Q = Q(this.I0);
        Q2 = Q(this.J0);
        if (!Q) {
        }
        if (!Q2) {
        }
        if (!Q) {
        }
        if (!Q) {
        }
        if (!Q2) {
        }
        LayoutParams layoutParams32 = (LayoutParams) textView.getLayoutParams();
        LayoutParams layoutParams42 = (LayoutParams) textView2.getLayoutParams();
        if (!Q) {
        }
        i16 = this.d1 & 112;
        i11 = paddingLeft;
        if (i16 != 48) {
        }
        if (!z2) {
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        char c2;
        char c3;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int[] iArr = this.m1;
        int i10 = 0;
        if (l0.b(this)) {
            c3 = 1;
            c2 = 0;
        } else {
            c3 = 0;
            c2 = 1;
        }
        if (Q(this.K0)) {
            F(this.K0, i, 0, i2, 0, this.V0);
            i5 = this.K0.getMeasuredWidth() + s(this.K0);
            i4 = Math.max(0, this.K0.getMeasuredHeight() + t(this.K0));
            i3 = View.combineMeasuredStates(0, this.K0.getMeasuredState());
        } else {
            i5 = 0;
            i4 = 0;
            i3 = 0;
        }
        if (Q(this.O0)) {
            F(this.O0, i, 0, i2, 0, this.V0);
            i5 = this.O0.getMeasuredWidth() + s(this.O0);
            i4 = Math.max(i4, this.O0.getMeasuredHeight() + t(this.O0));
            i3 = View.combineMeasuredStates(i3, this.O0.getMeasuredState());
        }
        int currentContentInsetStart = getCurrentContentInsetStart();
        int max = 0 + Math.max(currentContentInsetStart, i5);
        iArr[c3] = Math.max(0, currentContentInsetStart - i5);
        if (Q(this.f422b)) {
            F(this.f422b, i, max, i2, 0, this.V0);
            i6 = this.f422b.getMeasuredWidth() + s(this.f422b);
            i4 = Math.max(i4, this.f422b.getMeasuredHeight() + t(this.f422b));
            i3 = View.combineMeasuredStates(i3, this.f422b.getMeasuredState());
        } else {
            i6 = 0;
        }
        int currentContentInsetEnd = getCurrentContentInsetEnd();
        int max2 = max + Math.max(currentContentInsetEnd, i6);
        iArr[c2] = Math.max(0, currentContentInsetEnd - i6);
        if (Q(this.P0)) {
            max2 += E(this.P0, i, max2, i2, 0, iArr);
            i4 = Math.max(i4, this.P0.getMeasuredHeight() + t(this.P0));
            i3 = View.combineMeasuredStates(i3, this.P0.getMeasuredState());
        }
        if (Q(this.L0)) {
            max2 += E(this.L0, i, max2, i2, 0, iArr);
            i4 = Math.max(i4, this.L0.getMeasuredHeight() + t(this.L0));
            i3 = View.combineMeasuredStates(i3, this.L0.getMeasuredState());
        }
        int childCount = getChildCount();
        for (int i11 = 0; i11 < childCount; i11++) {
            View childAt = getChildAt(i11);
            if (((LayoutParams) childAt.getLayoutParams()).f426e == 0 && Q(childAt)) {
                max2 += E(childAt, i, max2, i2, 0, iArr);
                i4 = Math.max(i4, childAt.getMeasuredHeight() + t(childAt));
                i3 = View.combineMeasuredStates(i3, childAt.getMeasuredState());
            }
        }
        int i12 = this.Y0 + this.Z0;
        int i13 = this.W0 + this.X0;
        if (Q(this.I0)) {
            E(this.I0, i, max2 + i13, i2, i12, iArr);
            int measuredWidth = this.I0.getMeasuredWidth() + s(this.I0);
            i7 = this.I0.getMeasuredHeight() + t(this.I0);
            i9 = View.combineMeasuredStates(i3, this.I0.getMeasuredState());
            i8 = measuredWidth;
        } else {
            i9 = i3;
            i8 = 0;
            i7 = 0;
        }
        if (Q(this.J0)) {
            i8 = Math.max(i8, E(this.J0, i, max2 + i13, i2, i7 + i12, iArr));
            i7 += this.J0.getMeasuredHeight() + t(this.J0);
            i9 = View.combineMeasuredStates(i9, this.J0.getMeasuredState());
        }
        int max3 = Math.max(i4, i7);
        int paddingLeft = max2 + i8 + getPaddingLeft() + getPaddingRight();
        int paddingTop = max3 + getPaddingTop() + getPaddingBottom();
        int resolveSizeAndState = View.resolveSizeAndState(Math.max(paddingLeft, getSuggestedMinimumWidth()), i, -16777216 & i9);
        int resolveSizeAndState2 = View.resolveSizeAndState(Math.max(paddingTop, getSuggestedMinimumHeight()), i2, i9 << 16);
        if (!P()) {
            i10 = resolveSizeAndState2;
        }
        setMeasuredDimension(resolveSizeAndState, i10);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        MenuItem findItem;
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.a());
        ActionMenuView actionMenuView = this.f422b;
        f s = actionMenuView != null ? actionMenuView.s() : null;
        int i = savedState.I0;
        if (!(i == 0 || this.r1 == null || s == null || (findItem = s.findItem(i)) == null)) {
            findItem.expandActionView();
        }
        if (savedState.J0) {
            G();
        }
    }

    public void onRtlPropertiesChanged(int i) {
        if (Build.VERSION.SDK_INT >= 17) {
            super.onRtlPropertiesChanged(i);
        }
        h();
        x xVar = this.a1;
        boolean z = true;
        if (i != 1) {
            z = false;
        }
        xVar.f(z);
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        i iVar;
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        d dVar = this.r1;
        if (!(dVar == null || (iVar = dVar.f431b) == null)) {
            savedState.I0 = iVar.getItemId();
        }
        savedState.J0 = A();
        return savedState;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            this.i1 = false;
        }
        if (!this.i1) {
            boolean onTouchEvent = super.onTouchEvent(motionEvent);
            if (actionMasked == 0 && !onTouchEvent) {
                this.i1 = true;
            }
        }
        if (actionMasked == 1 || actionMasked == 3) {
            this.i1 = false;
        }
        return true;
    }

    public void setCollapseContentDescription(@StringRes int i) {
        setCollapseContentDescription(i != 0 ? getContext().getText(i) : null);
    }

    public void setCollapseIcon(@DrawableRes int i) {
        setCollapseIcon(androidx.appcompat.a.a.a.d(getContext(), i));
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void setCollapsible(boolean z) {
        this.u1 = z;
        requestLayout();
    }

    public void setContentInsetEndWithActions(int i) {
        if (i < 0) {
            i = Integer.MIN_VALUE;
        }
        if (i != this.c1) {
            this.c1 = i;
            if (getNavigationIcon() != null) {
                requestLayout();
            }
        }
    }

    public void setContentInsetStartWithNavigation(int i) {
        if (i < 0) {
            i = Integer.MIN_VALUE;
        }
        if (i != this.b1) {
            this.b1 = i;
            if (getNavigationIcon() != null) {
                requestLayout();
            }
        }
    }

    public void setLogo(@DrawableRes int i) {
        setLogo(androidx.appcompat.a.a.a.d(getContext(), i));
    }

    public void setLogoDescription(@StringRes int i) {
        setLogoDescription(getContext().getText(i));
    }

    public void setNavigationContentDescription(@StringRes int i) {
        setNavigationContentDescription(i != 0 ? getContext().getText(i) : null);
    }

    public void setNavigationIcon(@DrawableRes int i) {
        setNavigationIcon(androidx.appcompat.a.a.a.d(getContext(), i));
    }

    public void setNavigationOnClickListener(View.OnClickListener onClickListener) {
        l();
        this.K0.setOnClickListener(onClickListener);
    }

    public void setOnMenuItemClickListener(e eVar) {
        this.n1 = eVar;
    }

    public void setOverflowIcon(@Nullable Drawable drawable) {
        j();
        this.f422b.setOverflowIcon(drawable);
    }

    public void setPopupTheme(@StyleRes int i) {
        if (this.R0 != i) {
            this.R0 = i;
            if (i == 0) {
                this.Q0 = getContext();
            } else {
                this.Q0 = new ContextThemeWrapper(getContext(), i);
            }
        }
    }

    public void setSubtitle(@StringRes int i) {
        setSubtitle(getContext().getText(i));
    }

    public void setSubtitleTextColor(@ColorInt int i) {
        setSubtitleTextColor(ColorStateList.valueOf(i));
    }

    public void setTitle(@StringRes int i) {
        setTitle(getContext().getText(i));
    }

    public void setTitleMarginBottom(int i) {
        this.Z0 = i;
        requestLayout();
    }

    public void setTitleMarginEnd(int i) {
        this.X0 = i;
        requestLayout();
    }

    public void setTitleMarginStart(int i) {
        this.W0 = i;
        requestLayout();
    }

    public void setTitleMarginTop(int i) {
        this.Y0 = i;
        requestLayout();
    }

    public void setTitleTextColor(@ColorInt int i) {
        setTitleTextColor(ColorStateList.valueOf(i));
    }

    public boolean v() {
        d dVar = this.r1;
        return (dVar == null || dVar.f431b == null) ? false : true;
    }

    public boolean w() {
        ActionMenuView actionMenuView = this.f422b;
        return actionMenuView != null && actionMenuView.m();
    }

    public void x(@MenuRes int i) {
        getMenuInflater().inflate(i, getMenu());
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public boolean z() {
        ActionMenuView actionMenuView = this.f422b;
        return actionMenuView != null && actionMenuView.n();
    }

    public static class LayoutParams extends ActionBar.LayoutParams {

        /* renamed from: b  reason: collision with root package name */
        static final int f423b = 0;

        /* renamed from: c  reason: collision with root package name */
        static final int f424c = 1;

        /* renamed from: d  reason: collision with root package name */
        static final int f425d = 2;

        /* renamed from: e  reason: collision with root package name */
        int f426e;

        public LayoutParams(@NonNull Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            this.f426e = 0;
        }

        /* access modifiers changed from: package-private */
        public void a(ViewGroup.MarginLayoutParams marginLayoutParams) {
            ((ViewGroup.MarginLayoutParams) this).leftMargin = marginLayoutParams.leftMargin;
            ((ViewGroup.MarginLayoutParams) this).topMargin = marginLayoutParams.topMargin;
            ((ViewGroup.MarginLayoutParams) this).rightMargin = marginLayoutParams.rightMargin;
            ((ViewGroup.MarginLayoutParams) this).bottomMargin = marginLayoutParams.bottomMargin;
        }

        public LayoutParams(int i, int i2) {
            super(i, i2);
            this.f426e = 0;
            this.f86a = 8388627;
        }

        public LayoutParams(int i, int i2, int i3) {
            super(i, i2);
            this.f426e = 0;
            this.f86a = i3;
        }

        public LayoutParams(int i) {
            this(-2, -1, i);
        }

        public LayoutParams(LayoutParams layoutParams) {
            super((ActionBar.LayoutParams) layoutParams);
            this.f426e = 0;
            this.f426e = layoutParams.f426e;
        }

        public LayoutParams(ActionBar.LayoutParams layoutParams) {
            super(layoutParams);
            this.f426e = 0;
        }

        public LayoutParams(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
            this.f426e = 0;
            a(marginLayoutParams);
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
            this.f426e = 0;
        }
    }

    public Toolbar(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.toolbarStyle);
    }

    public void setCollapseContentDescription(@Nullable CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            g();
        }
        ImageButton imageButton = this.O0;
        if (imageButton != null) {
            imageButton.setContentDescription(charSequence);
        }
    }

    public void setCollapseIcon(@Nullable Drawable drawable) {
        if (drawable != null) {
            g();
            this.O0.setImageDrawable(drawable);
            return;
        }
        ImageButton imageButton = this.O0;
        if (imageButton != null) {
            imageButton.setImageDrawable(this.M0);
        }
    }

    public void setLogo(Drawable drawable) {
        if (drawable != null) {
            i();
            if (!y(this.L0)) {
                c(this.L0, true);
            }
        } else {
            ImageView imageView = this.L0;
            if (imageView != null && y(imageView)) {
                removeView(this.L0);
                this.l1.remove(this.L0);
            }
        }
        ImageView imageView2 = this.L0;
        if (imageView2 != null) {
            imageView2.setImageDrawable(drawable);
        }
    }

    public void setLogoDescription(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            i();
        }
        ImageView imageView = this.L0;
        if (imageView != null) {
            imageView.setContentDescription(charSequence);
        }
    }

    public void setNavigationContentDescription(@Nullable CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            l();
        }
        ImageButton imageButton = this.K0;
        if (imageButton != null) {
            imageButton.setContentDescription(charSequence);
        }
    }

    public void setNavigationIcon(@Nullable Drawable drawable) {
        if (drawable != null) {
            l();
            if (!y(this.K0)) {
                c(this.K0, true);
            }
        } else {
            ImageButton imageButton = this.K0;
            if (imageButton != null && y(imageButton)) {
                removeView(this.K0);
                this.l1.remove(this.K0);
            }
        }
        ImageButton imageButton2 = this.K0;
        if (imageButton2 != null) {
            imageButton2.setImageDrawable(drawable);
        }
    }

    public void setSubtitle(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (this.J0 == null) {
                Context context = getContext();
                AppCompatTextView appCompatTextView = new AppCompatTextView(context);
                this.J0 = appCompatTextView;
                appCompatTextView.setSingleLine();
                this.J0.setEllipsize(TextUtils.TruncateAt.END);
                int i = this.T0;
                if (i != 0) {
                    this.J0.setTextAppearance(context, i);
                }
                ColorStateList colorStateList = this.h1;
                if (colorStateList != null) {
                    this.J0.setTextColor(colorStateList);
                }
            }
            if (!y(this.J0)) {
                c(this.J0, true);
            }
        } else {
            TextView textView = this.J0;
            if (textView != null && y(textView)) {
                removeView(this.J0);
                this.l1.remove(this.J0);
            }
        }
        TextView textView2 = this.J0;
        if (textView2 != null) {
            textView2.setText(charSequence);
        }
        this.f1 = charSequence;
    }

    public void setSubtitleTextColor(@NonNull ColorStateList colorStateList) {
        this.h1 = colorStateList;
        TextView textView = this.J0;
        if (textView != null) {
            textView.setTextColor(colorStateList);
        }
    }

    public void setTitle(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (this.I0 == null) {
                Context context = getContext();
                AppCompatTextView appCompatTextView = new AppCompatTextView(context);
                this.I0 = appCompatTextView;
                appCompatTextView.setSingleLine();
                this.I0.setEllipsize(TextUtils.TruncateAt.END);
                int i = this.S0;
                if (i != 0) {
                    this.I0.setTextAppearance(context, i);
                }
                ColorStateList colorStateList = this.g1;
                if (colorStateList != null) {
                    this.I0.setTextColor(colorStateList);
                }
            }
            if (!y(this.I0)) {
                c(this.I0, true);
            }
        } else {
            TextView textView = this.I0;
            if (textView != null && y(textView)) {
                removeView(this.I0);
                this.l1.remove(this.I0);
            }
        }
        TextView textView2 = this.I0;
        if (textView2 != null) {
            textView2.setText(charSequence);
        }
        this.e1 = charSequence;
    }

    public void setTitleTextColor(@NonNull ColorStateList colorStateList) {
        this.g1 = colorStateList;
        TextView textView = this.I0;
        if (textView != null) {
            textView.setTextColor(colorStateList);
        }
    }

    public Toolbar(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.d1 = 8388627;
        this.k1 = new ArrayList<>();
        this.l1 = new ArrayList<>();
        this.m1 = new int[2];
        this.o1 = new a();
        this.v1 = new b();
        Context context2 = getContext();
        int[] iArr = R.styleable.Toolbar;
        f0 G = f0.G(context2, attributeSet, iArr, i, 0);
        ViewCompat.saveAttributeDataForStyleable(this, context, iArr, attributeSet, G.B(), i, 0);
        this.S0 = G.u(R.styleable.Toolbar_titleTextAppearance, 0);
        this.T0 = G.u(R.styleable.Toolbar_subtitleTextAppearance, 0);
        this.d1 = G.p(R.styleable.Toolbar_android_gravity, this.d1);
        this.U0 = G.p(R.styleable.Toolbar_buttonGravity, 48);
        int f = G.f(R.styleable.Toolbar_titleMargin, 0);
        int i2 = R.styleable.Toolbar_titleMargins;
        f = G.C(i2) ? G.f(i2, f) : f;
        this.Z0 = f;
        this.Y0 = f;
        this.X0 = f;
        this.W0 = f;
        int f2 = G.f(R.styleable.Toolbar_titleMarginStart, -1);
        if (f2 >= 0) {
            this.W0 = f2;
        }
        int f3 = G.f(R.styleable.Toolbar_titleMarginEnd, -1);
        if (f3 >= 0) {
            this.X0 = f3;
        }
        int f4 = G.f(R.styleable.Toolbar_titleMarginTop, -1);
        if (f4 >= 0) {
            this.Y0 = f4;
        }
        int f5 = G.f(R.styleable.Toolbar_titleMarginBottom, -1);
        if (f5 >= 0) {
            this.Z0 = f5;
        }
        this.V0 = G.g(R.styleable.Toolbar_maxButtonHeight, -1);
        int f6 = G.f(R.styleable.Toolbar_contentInsetStart, Integer.MIN_VALUE);
        int f7 = G.f(R.styleable.Toolbar_contentInsetEnd, Integer.MIN_VALUE);
        int g = G.g(R.styleable.Toolbar_contentInsetLeft, 0);
        int g2 = G.g(R.styleable.Toolbar_contentInsetRight, 0);
        h();
        this.a1.e(g, g2);
        if (!(f6 == Integer.MIN_VALUE && f7 == Integer.MIN_VALUE)) {
            this.a1.g(f6, f7);
        }
        this.b1 = G.f(R.styleable.Toolbar_contentInsetStartWithNavigation, Integer.MIN_VALUE);
        this.c1 = G.f(R.styleable.Toolbar_contentInsetEndWithActions, Integer.MIN_VALUE);
        this.M0 = G.h(R.styleable.Toolbar_collapseIcon);
        this.N0 = G.x(R.styleable.Toolbar_collapseContentDescription);
        CharSequence x = G.x(R.styleable.Toolbar_title);
        if (!TextUtils.isEmpty(x)) {
            setTitle(x);
        }
        CharSequence x2 = G.x(R.styleable.Toolbar_subtitle);
        if (!TextUtils.isEmpty(x2)) {
            setSubtitle(x2);
        }
        this.Q0 = getContext();
        setPopupTheme(G.u(R.styleable.Toolbar_popupTheme, 0));
        Drawable h = G.h(R.styleable.Toolbar_navigationIcon);
        if (h != null) {
            setNavigationIcon(h);
        }
        CharSequence x3 = G.x(R.styleable.Toolbar_navigationContentDescription);
        if (!TextUtils.isEmpty(x3)) {
            setNavigationContentDescription(x3);
        }
        Drawable h2 = G.h(R.styleable.Toolbar_logo);
        if (h2 != null) {
            setLogo(h2);
        }
        CharSequence x4 = G.x(R.styleable.Toolbar_logoDescription);
        if (!TextUtils.isEmpty(x4)) {
            setLogoDescription(x4);
        }
        int i3 = R.styleable.Toolbar_titleTextColor;
        if (G.C(i3)) {
            setTitleTextColor(G.d(i3));
        }
        int i4 = R.styleable.Toolbar_subtitleTextColor;
        if (G.C(i4)) {
            setSubtitleTextColor(G.d(i4));
        }
        int i5 = R.styleable.Toolbar_menu;
        if (G.C(i5)) {
            x(G.u(i5, 0));
        }
        G.I();
    }
}
