package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Color;
import android.util.Log;
import android.util.TypedValue;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.appcompat.R;
import androidx.core.graphics.g;

@RestrictTo({RestrictTo.Scope.LIBRARY})
/* compiled from: ThemeUtils */
public class a0 {

    /* renamed from: a  reason: collision with root package name */
    private static final String f440a = "ThemeUtils";

    /* renamed from: b  reason: collision with root package name */
    private static final ThreadLocal<TypedValue> f441b = new ThreadLocal<>();

    /* renamed from: c  reason: collision with root package name */
    static final int[] f442c = {-16842910};

    /* renamed from: d  reason: collision with root package name */
    static final int[] f443d = {16842908};

    /* renamed from: e  reason: collision with root package name */
    static final int[] f444e = {16843518};
    static final int[] f = {16842919};
    static final int[] g = {16842912};
    static final int[] h = {16842913};
    static final int[] i = {-16842919, -16842908};
    static final int[] j = new int[0];
    private static final int[] k = new int[1];

    private a0() {
    }

    public static void a(@NonNull View view, @NonNull Context context) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(R.styleable.AppCompatTheme);
        try {
            if (!obtainStyledAttributes.hasValue(R.styleable.AppCompatTheme_windowActionBar)) {
                Log.e(f440a, "View " + view.getClass() + " is an AppCompat widget that can only be used with a Theme.AppCompat theme (or descendant).");
            }
        } finally {
            obtainStyledAttributes.recycle();
        }
    }

    @NonNull
    public static ColorStateList b(int i2, int i3) {
        return new ColorStateList(new int[][]{f442c, j}, new int[]{i3, i2});
    }

    public static int c(@NonNull Context context, int i2) {
        ColorStateList f2 = f(context, i2);
        if (f2 != null && f2.isStateful()) {
            return f2.getColorForState(f442c, f2.getDefaultColor());
        }
        TypedValue g2 = g();
        context.getTheme().resolveAttribute(16842803, g2, true);
        return e(context, i2, g2.getFloat());
    }

    public static int d(@NonNull Context context, int i2) {
        int[] iArr = k;
        iArr[0] = i2;
        f0 F = f0.F(context, null, iArr);
        try {
            return F.c(0, 0);
        } finally {
            F.I();
        }
    }

    static int e(@NonNull Context context, int i2, float f2) {
        int d2 = d(context, i2);
        return g.B(d2, Math.round(((float) Color.alpha(d2)) * f2));
    }

    @Nullable
    public static ColorStateList f(@NonNull Context context, int i2) {
        int[] iArr = k;
        iArr[0] = i2;
        f0 F = f0.F(context, null, iArr);
        try {
            return F.d(0);
        } finally {
            F.I();
        }
    }

    private static TypedValue g() {
        ThreadLocal<TypedValue> threadLocal = f441b;
        TypedValue typedValue = threadLocal.get();
        if (typedValue != null) {
            return typedValue;
        }
        TypedValue typedValue2 = new TypedValue();
        threadLocal.set(typedValue2);
        return typedValue2;
    }
}
