package androidx.appcompat.widget;

import android.content.Context;
import android.content.ContextWrapper;
import android.content.res.AssetManager;
import android.content.res.Resources;
import android.os.Build;
import androidx.annotation.NonNull;
import androidx.annotation.RestrictTo;
import java.lang.ref.WeakReference;
import java.util.ArrayList;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: TintContextWrapper */
public class c0 extends ContextWrapper {

    /* renamed from: a  reason: collision with root package name */
    private static final Object f462a = new Object();

    /* renamed from: b  reason: collision with root package name */
    private static ArrayList<WeakReference<c0>> f463b;

    /* renamed from: c  reason: collision with root package name */
    private final Resources f464c;

    /* renamed from: d  reason: collision with root package name */
    private final Resources.Theme f465d;

    private c0(@NonNull Context context) {
        super(context);
        if (k0.c()) {
            k0 k0Var = new k0(this, context.getResources());
            this.f464c = k0Var;
            Resources.Theme newTheme = k0Var.newTheme();
            this.f465d = newTheme;
            newTheme.setTo(context.getTheme());
            return;
        }
        this.f464c = new e0(this, context.getResources());
        this.f465d = null;
    }

    private static boolean a(@NonNull Context context) {
        if ((context instanceof c0) || (context.getResources() instanceof e0) || (context.getResources() instanceof k0)) {
            return false;
        }
        if (Build.VERSION.SDK_INT < 21 || k0.c()) {
            return true;
        }
        return false;
    }

    public static Context b(@NonNull Context context) {
        if (!a(context)) {
            return context;
        }
        synchronized (f462a) {
            ArrayList<WeakReference<c0>> arrayList = f463b;
            if (arrayList == null) {
                f463b = new ArrayList<>();
            } else {
                for (int size = arrayList.size() - 1; size >= 0; size--) {
                    WeakReference<c0> weakReference = f463b.get(size);
                    if (weakReference == null || weakReference.get() == null) {
                        f463b.remove(size);
                    }
                }
                for (int size2 = f463b.size() - 1; size2 >= 0; size2--) {
                    WeakReference<c0> weakReference2 = f463b.get(size2);
                    c0 c0Var = weakReference2 != null ? weakReference2.get() : null;
                    if (c0Var != null && c0Var.getBaseContext() == context) {
                        return c0Var;
                    }
                }
            }
            c0 c0Var2 = new c0(context);
            f463b.add(new WeakReference<>(c0Var2));
            return c0Var2;
        }
    }

    public AssetManager getAssets() {
        return this.f464c.getAssets();
    }

    public Resources getResources() {
        return this.f464c;
    }

    public Resources.Theme getTheme() {
        Resources.Theme theme = this.f465d;
        return theme == null ? super.getTheme() : theme;
    }

    public void setTheme(int i) {
        Resources.Theme theme = this.f465d;
        if (theme == null) {
            super.setTheme(i);
        } else {
            theme.applyStyle(i, true);
        }
    }
}
