package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import androidx.annotation.ColorInt;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.RestrictTo;
import androidx.appcompat.R;
import androidx.appcompat.widget.v;
import androidx.core.graphics.g;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: AppCompatDrawableManager */
public final class f {

    /* renamed from: a  reason: collision with root package name */
    private static final String f481a = "AppCompatDrawableManag";

    /* renamed from: b  reason: collision with root package name */
    private static final boolean f482b = false;

    /* renamed from: c  reason: collision with root package name */
    private static final PorterDuff.Mode f483c = PorterDuff.Mode.SRC_IN;

    /* renamed from: d  reason: collision with root package name */
    private static f f484d;

    /* renamed from: e  reason: collision with root package name */
    private v f485e;

    /* access modifiers changed from: package-private */
    /* compiled from: AppCompatDrawableManager */
    public class a implements v.e {

        /* renamed from: a  reason: collision with root package name */
        private final int[] f486a = {R.drawable.abc_textfield_search_default_mtrl_alpha, R.drawable.abc_textfield_default_mtrl_alpha, R.drawable.abc_ab_share_pack_mtrl_alpha};

        /* renamed from: b  reason: collision with root package name */
        private final int[] f487b = {R.drawable.abc_ic_commit_search_api_mtrl_alpha, R.drawable.abc_seekbar_tick_mark_material, R.drawable.abc_ic_menu_share_mtrl_alpha, R.drawable.abc_ic_menu_copy_mtrl_am_alpha, R.drawable.abc_ic_menu_cut_mtrl_alpha, R.drawable.abc_ic_menu_selectall_mtrl_alpha, R.drawable.abc_ic_menu_paste_mtrl_am_alpha};

        /* renamed from: c  reason: collision with root package name */
        private final int[] f488c = {R.drawable.abc_textfield_activated_mtrl_alpha, R.drawable.abc_textfield_search_activated_mtrl_alpha, R.drawable.abc_cab_background_top_mtrl_alpha, R.drawable.abc_text_cursor_material, R.drawable.abc_text_select_handle_left_mtrl_dark, R.drawable.abc_text_select_handle_middle_mtrl_dark, R.drawable.abc_text_select_handle_right_mtrl_dark, R.drawable.abc_text_select_handle_left_mtrl_light, R.drawable.abc_text_select_handle_middle_mtrl_light, R.drawable.abc_text_select_handle_right_mtrl_light};

        /* renamed from: d  reason: collision with root package name */
        private final int[] f489d = {R.drawable.abc_popup_background_mtrl_mult, R.drawable.abc_cab_background_internal_bg, R.drawable.abc_menu_hardkey_panel_mtrl_mult};

        /* renamed from: e  reason: collision with root package name */
        private final int[] f490e = {R.drawable.abc_tab_indicator_material, R.drawable.abc_textfield_search_material};
        private final int[] f = {R.drawable.abc_btn_check_material, R.drawable.abc_btn_radio_material, R.drawable.abc_btn_check_material_anim, R.drawable.abc_btn_radio_material_anim};

        a() {
        }

        private boolean f(int[] iArr, int i) {
            for (int i2 : iArr) {
                if (i2 == i) {
                    return true;
                }
            }
            return false;
        }

        private ColorStateList g(@NonNull Context context) {
            return h(context, 0);
        }

        private ColorStateList h(@NonNull Context context, @ColorInt int i) {
            int d2 = a0.d(context, R.attr.colorControlHighlight);
            int c2 = a0.c(context, R.attr.colorButtonNormal);
            return new ColorStateList(new int[][]{a0.f442c, a0.f, a0.f443d, a0.j}, new int[]{c2, g.t(d2, i), g.t(d2, i), i});
        }

        private ColorStateList i(@NonNull Context context) {
            return h(context, a0.d(context, R.attr.colorAccent));
        }

        private ColorStateList j(@NonNull Context context) {
            return h(context, a0.d(context, R.attr.colorButtonNormal));
        }

        private ColorStateList k(Context context) {
            int[][] iArr = new int[3][];
            int[] iArr2 = new int[3];
            int i = R.attr.colorSwitchThumbNormal;
            ColorStateList f2 = a0.f(context, i);
            if (f2 == null || !f2.isStateful()) {
                iArr[0] = a0.f442c;
                iArr2[0] = a0.c(context, i);
                iArr[1] = a0.g;
                iArr2[1] = a0.d(context, R.attr.colorControlActivated);
                iArr[2] = a0.j;
                iArr2[2] = a0.d(context, i);
            } else {
                iArr[0] = a0.f442c;
                iArr2[0] = f2.getColorForState(iArr[0], 0);
                iArr[1] = a0.g;
                iArr2[1] = a0.d(context, R.attr.colorControlActivated);
                iArr[2] = a0.j;
                iArr2[2] = f2.getDefaultColor();
            }
            return new ColorStateList(iArr, iArr2);
        }

        private void l(Drawable drawable, int i, PorterDuff.Mode mode) {
            if (p.a(drawable)) {
                drawable = drawable.mutate();
            }
            if (mode == null) {
                mode = f.f483c;
            }
            drawable.setColorFilter(f.e(i, mode));
        }

        /* JADX WARNING: Removed duplicated region for block: B:18:0x0046  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0061 A[RETURN] */
        @Override // androidx.appcompat.widget.v.e
        public boolean a(@NonNull Context context, int i, @NonNull Drawable drawable) {
            int i2;
            boolean z;
            PorterDuff.Mode mode = f.f483c;
            int i3 = 16842801;
            if (f(this.f486a, i)) {
                i3 = R.attr.colorControlNormal;
            } else if (f(this.f488c, i)) {
                i3 = R.attr.colorControlActivated;
            } else if (f(this.f489d, i)) {
                mode = PorterDuff.Mode.MULTIPLY;
            } else if (i == R.drawable.abc_list_divider_mtrl_alpha) {
                i3 = 16842800;
                i2 = Math.round(40.8f);
                z = true;
                if (!z) {
                    return false;
                }
                if (p.a(drawable)) {
                    drawable = drawable.mutate();
                }
                drawable.setColorFilter(f.e(a0.d(context, i3), mode));
                if (i2 != -1) {
                    drawable.setAlpha(i2);
                }
                return true;
            } else if (i != R.drawable.abc_dialog_material_background) {
                i2 = -1;
                z = false;
                i3 = 0;
                if (!z) {
                }
            }
            i2 = -1;
            z = true;
            if (!z) {
            }
        }

        @Override // androidx.appcompat.widget.v.e
        public PorterDuff.Mode b(int i) {
            if (i == R.drawable.abc_switch_thumb_material) {
                return PorterDuff.Mode.MULTIPLY;
            }
            return null;
        }

        @Override // androidx.appcompat.widget.v.e
        public Drawable c(@NonNull v vVar, @NonNull Context context, int i) {
            if (i != R.drawable.abc_cab_background_top_material) {
                return null;
            }
            return new LayerDrawable(new Drawable[]{vVar.j(context, R.drawable.abc_cab_background_internal_bg), vVar.j(context, R.drawable.abc_cab_background_top_mtrl_alpha)});
        }

        @Override // androidx.appcompat.widget.v.e
        public ColorStateList d(@NonNull Context context, int i) {
            if (i == R.drawable.abc_edit_text_material) {
                return androidx.appcompat.a.a.a.c(context, R.color.abc_tint_edittext);
            }
            if (i == R.drawable.abc_switch_track_mtrl_alpha) {
                return androidx.appcompat.a.a.a.c(context, R.color.abc_tint_switch_track);
            }
            if (i == R.drawable.abc_switch_thumb_material) {
                return k(context);
            }
            if (i == R.drawable.abc_btn_default_mtrl_shape) {
                return j(context);
            }
            if (i == R.drawable.abc_btn_borderless_material) {
                return g(context);
            }
            if (i == R.drawable.abc_btn_colored_material) {
                return i(context);
            }
            if (i == R.drawable.abc_spinner_mtrl_am_alpha || i == R.drawable.abc_spinner_textfield_background_material) {
                return androidx.appcompat.a.a.a.c(context, R.color.abc_tint_spinner);
            }
            if (f(this.f487b, i)) {
                return a0.f(context, R.attr.colorControlNormal);
            }
            if (f(this.f490e, i)) {
                return androidx.appcompat.a.a.a.c(context, R.color.abc_tint_default);
            }
            if (f(this.f, i)) {
                return androidx.appcompat.a.a.a.c(context, R.color.abc_tint_btn_checkable);
            }
            if (i == R.drawable.abc_seekbar_thumb_material) {
                return androidx.appcompat.a.a.a.c(context, R.color.abc_tint_seek_thumb);
            }
            return null;
        }

        @Override // androidx.appcompat.widget.v.e
        public boolean e(@NonNull Context context, int i, @NonNull Drawable drawable) {
            if (i == R.drawable.abc_seekbar_track_material) {
                LayerDrawable layerDrawable = (LayerDrawable) drawable;
                Drawable findDrawableByLayerId = layerDrawable.findDrawableByLayerId(16908288);
                int i2 = R.attr.colorControlNormal;
                l(findDrawableByLayerId, a0.d(context, i2), f.f483c);
                l(layerDrawable.findDrawableByLayerId(16908303), a0.d(context, i2), f.f483c);
                l(layerDrawable.findDrawableByLayerId(16908301), a0.d(context, R.attr.colorControlActivated), f.f483c);
                return true;
            } else if (i != R.drawable.abc_ratingbar_material && i != R.drawable.abc_ratingbar_indicator_material && i != R.drawable.abc_ratingbar_small_material) {
                return false;
            } else {
                LayerDrawable layerDrawable2 = (LayerDrawable) drawable;
                l(layerDrawable2.findDrawableByLayerId(16908288), a0.c(context, R.attr.colorControlNormal), f.f483c);
                Drawable findDrawableByLayerId2 = layerDrawable2.findDrawableByLayerId(16908303);
                int i3 = R.attr.colorControlActivated;
                l(findDrawableByLayerId2, a0.d(context, i3), f.f483c);
                l(layerDrawable2.findDrawableByLayerId(16908301), a0.d(context, i3), f.f483c);
                return true;
            }
        }
    }

    public static synchronized f b() {
        f fVar;
        synchronized (f.class) {
            if (f484d == null) {
                i();
            }
            fVar = f484d;
        }
        return fVar;
    }

    public static synchronized PorterDuffColorFilter e(int i, PorterDuff.Mode mode) {
        PorterDuffColorFilter l;
        synchronized (f.class) {
            l = v.l(i, mode);
        }
        return l;
    }

    public static synchronized void i() {
        synchronized (f.class) {
            if (f484d == null) {
                f fVar = new f();
                f484d = fVar;
                fVar.f485e = v.h();
                f484d.f485e.u(new a());
            }
        }
    }

    static void j(Drawable drawable, d0 d0Var, int[] iArr) {
        v.w(drawable, d0Var, iArr);
    }

    public synchronized Drawable c(@NonNull Context context, @DrawableRes int i) {
        return this.f485e.j(context, i);
    }

    /* access modifiers changed from: package-private */
    public synchronized Drawable d(@NonNull Context context, @DrawableRes int i, boolean z) {
        return this.f485e.k(context, i, z);
    }

    /* access modifiers changed from: package-private */
    public synchronized ColorStateList f(@NonNull Context context, @DrawableRes int i) {
        return this.f485e.m(context, i);
    }

    public synchronized void g(@NonNull Context context) {
        this.f485e.s(context);
    }

    /* access modifiers changed from: package-private */
    public synchronized Drawable h(@NonNull Context context, @NonNull k0 k0Var, @DrawableRes int i) {
        return this.f485e.t(context, k0Var, i);
    }

    /* access modifiers changed from: package-private */
    public boolean k(@NonNull Context context, @DrawableRes int i, @NonNull Drawable drawable) {
        return this.f485e.x(context, i, drawable);
    }
}
