package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.TypedValue;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleableRes;
import androidx.appcompat.a.a.a;
import androidx.core.content.res.f;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: TintTypedArray */
public class f0 {

    /* renamed from: a  reason: collision with root package name */
    private final Context f491a;

    /* renamed from: b  reason: collision with root package name */
    private final TypedArray f492b;

    /* renamed from: c  reason: collision with root package name */
    private TypedValue f493c;

    private f0(Context context, TypedArray typedArray) {
        this.f491a = context;
        this.f492b = typedArray;
    }

    public static f0 E(Context context, int i, int[] iArr) {
        return new f0(context, context.obtainStyledAttributes(i, iArr));
    }

    public static f0 F(Context context, AttributeSet attributeSet, int[] iArr) {
        return new f0(context, context.obtainStyledAttributes(attributeSet, iArr));
    }

    public static f0 G(Context context, AttributeSet attributeSet, int[] iArr, int i, int i2) {
        return new f0(context, context.obtainStyledAttributes(attributeSet, iArr, i, i2));
    }

    public boolean A(int i, TypedValue typedValue) {
        return this.f492b.getValue(i, typedValue);
    }

    public TypedArray B() {
        return this.f492b;
    }

    public boolean C(int i) {
        return this.f492b.hasValue(i);
    }

    public int D() {
        return this.f492b.length();
    }

    public TypedValue H(int i) {
        return this.f492b.peekValue(i);
    }

    public void I() {
        this.f492b.recycle();
    }

    public boolean a(int i, boolean z) {
        return this.f492b.getBoolean(i, z);
    }

    @RequiresApi(21)
    public int b() {
        return this.f492b.getChangingConfigurations();
    }

    public int c(int i, int i2) {
        return this.f492b.getColor(i, i2);
    }

    public ColorStateList d(int i) {
        int resourceId;
        ColorStateList c2;
        if (!this.f492b.hasValue(i) || (resourceId = this.f492b.getResourceId(i, 0)) == 0 || (c2 = a.c(this.f491a, resourceId)) == null) {
            return this.f492b.getColorStateList(i);
        }
        return c2;
    }

    public float e(int i, float f) {
        return this.f492b.getDimension(i, f);
    }

    public int f(int i, int i2) {
        return this.f492b.getDimensionPixelOffset(i, i2);
    }

    public int g(int i, int i2) {
        return this.f492b.getDimensionPixelSize(i, i2);
    }

    public Drawable h(int i) {
        int resourceId;
        if (!this.f492b.hasValue(i) || (resourceId = this.f492b.getResourceId(i, 0)) == 0) {
            return this.f492b.getDrawable(i);
        }
        return a.d(this.f491a, resourceId);
    }

    public Drawable i(int i) {
        int resourceId;
        if (!this.f492b.hasValue(i) || (resourceId = this.f492b.getResourceId(i, 0)) == 0) {
            return null;
        }
        return f.b().d(this.f491a, resourceId, true);
    }

    public float j(int i, float f) {
        return this.f492b.getFloat(i, f);
    }

    @Nullable
    public Typeface k(@StyleableRes int i, int i2, @Nullable f.c cVar) {
        int resourceId = this.f492b.getResourceId(i, 0);
        if (resourceId == 0) {
            return null;
        }
        if (this.f493c == null) {
            this.f493c = new TypedValue();
        }
        return f.j(this.f491a, resourceId, this.f493c, i2, cVar);
    }

    public float l(int i, int i2, int i3, float f) {
        return this.f492b.getFraction(i, i2, i3, f);
    }

    public int m(int i) {
        return this.f492b.getIndex(i);
    }

    public int n() {
        return this.f492b.getIndexCount();
    }

    public int o(int i, int i2) {
        return this.f492b.getInt(i, i2);
    }

    public int p(int i, int i2) {
        return this.f492b.getInteger(i, i2);
    }

    public int q(int i, int i2) {
        return this.f492b.getLayoutDimension(i, i2);
    }

    public int r(int i, String str) {
        return this.f492b.getLayoutDimension(i, str);
    }

    public String s(int i) {
        return this.f492b.getNonResourceString(i);
    }

    public String t() {
        return this.f492b.getPositionDescription();
    }

    public int u(int i, int i2) {
        return this.f492b.getResourceId(i, i2);
    }

    public Resources v() {
        return this.f492b.getResources();
    }

    public String w(int i) {
        return this.f492b.getString(i);
    }

    public CharSequence x(int i) {
        return this.f492b.getText(i);
    }

    public CharSequence[] y(int i) {
        return this.f492b.getTextArray(i);
    }

    public int z(int i) {
        if (Build.VERSION.SDK_INT >= 21) {
            return this.f492b.getType(i);
        }
        if (this.f493c == null) {
            this.f493c = new TypedValue();
        }
        this.f492b.getValue(i, this.f493c);
        return this.f493c.type;
    }
}
