package androidx.appcompat.widget;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.Log;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.AdapterView;
import android.widget.Spinner;
import android.widget.SpinnerAdapter;
import androidx.annotation.RestrictTo;
import androidx.appcompat.R;
import androidx.appcompat.view.menu.f;
import androidx.appcompat.view.menu.m;
import androidx.appcompat.widget.Toolbar;
import androidx.core.view.ViewCompat;
import androidx.core.view.ViewPropertyAnimatorCompat;
import androidx.core.view.ViewPropertyAnimatorListenerAdapter;
import com.google.android.material.badge.BadgeDrawable;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: ToolbarWidgetWrapper */
public class g0 implements o {

    /* renamed from: a  reason: collision with root package name */
    private static final String f494a = "ToolbarWidgetWrapper";

    /* renamed from: b  reason: collision with root package name */
    private static final int f495b = 3;

    /* renamed from: c  reason: collision with root package name */
    private static final long f496c = 200;

    /* renamed from: d  reason: collision with root package name */
    Toolbar f497d;

    /* renamed from: e  reason: collision with root package name */
    private int f498e;
    private View f;
    private Spinner g;
    private View h;
    private Drawable i;
    private Drawable j;
    private Drawable k;
    private boolean l;
    CharSequence m;
    private CharSequence n;
    private CharSequence o;
    Window.Callback p;
    boolean q;
    private ActionMenuPresenter r;
    private int s;
    private int t;
    private Drawable u;

    /* compiled from: ToolbarWidgetWrapper */
    class a implements View.OnClickListener {

        /* renamed from: a  reason: collision with root package name */
        final androidx.appcompat.view.menu.a f499a;

        a() {
            this.f499a = new androidx.appcompat.view.menu.a(g0.this.f497d.getContext(), 0, 16908332, 0, 0, g0.this.m);
        }

        public void onClick(View view) {
            g0 g0Var = g0.this;
            Window.Callback callback = g0Var.p;
            if (callback != null && g0Var.q) {
                callback.onMenuItemSelected(0, this.f499a);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ToolbarWidgetWrapper */
    public class b extends ViewPropertyAnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        private boolean f501a = false;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f502b;

        b(int i) {
            this.f502b = i;
        }

        @Override // androidx.core.view.ViewPropertyAnimatorListenerAdapter, androidx.core.view.ViewPropertyAnimatorListener
        public void onAnimationCancel(View view) {
            this.f501a = true;
        }

        @Override // androidx.core.view.ViewPropertyAnimatorListenerAdapter, androidx.core.view.ViewPropertyAnimatorListener
        public void onAnimationEnd(View view) {
            if (!this.f501a) {
                g0.this.f497d.setVisibility(this.f502b);
            }
        }

        @Override // androidx.core.view.ViewPropertyAnimatorListenerAdapter, androidx.core.view.ViewPropertyAnimatorListener
        public void onAnimationStart(View view) {
            g0.this.f497d.setVisibility(0);
        }
    }

    public g0(Toolbar toolbar, boolean z) {
        this(toolbar, z, R.string.abc_action_bar_up_description, R.drawable.abc_ic_ab_back_material);
    }

    private int U() {
        if (this.f497d.getNavigationIcon() == null) {
            return 11;
        }
        this.u = this.f497d.getNavigationIcon();
        return 15;
    }

    private void V() {
        if (this.g == null) {
            this.g = new AppCompatSpinner(getContext(), null, R.attr.actionDropDownStyle);
            this.g.setLayoutParams(new Toolbar.LayoutParams(-2, -2, 8388627));
        }
    }

    private void W(CharSequence charSequence) {
        this.m = charSequence;
        if ((this.f498e & 8) != 0) {
            this.f497d.setTitle(charSequence);
        }
    }

    private void X() {
        if ((this.f498e & 4) == 0) {
            return;
        }
        if (TextUtils.isEmpty(this.o)) {
            this.f497d.setNavigationContentDescription(this.t);
        } else {
            this.f497d.setNavigationContentDescription(this.o);
        }
    }

    private void Y() {
        if ((this.f498e & 4) != 0) {
            Toolbar toolbar = this.f497d;
            Drawable drawable = this.k;
            if (drawable == null) {
                drawable = this.u;
            }
            toolbar.setNavigationIcon(drawable);
            return;
        }
        this.f497d.setNavigationIcon((Drawable) null);
    }

    private void Z() {
        Drawable drawable;
        int i2 = this.f498e;
        if ((i2 & 2) == 0) {
            drawable = null;
        } else if ((i2 & 1) != 0) {
            drawable = this.j;
            if (drawable == null) {
                drawable = this.i;
            }
        } else {
            drawable = this.i;
        }
        this.f497d.setLogo(drawable);
    }

    @Override // androidx.appcompat.widget.o
    public int A() {
        return this.s;
    }

    @Override // androidx.appcompat.widget.o
    public void B(int i2) {
        ViewPropertyAnimatorCompat C = C(i2, f496c);
        if (C != null) {
            C.start();
        }
    }

    @Override // androidx.appcompat.widget.o
    public ViewPropertyAnimatorCompat C(int i2, long j2) {
        return ViewCompat.animate(this.f497d).alpha(i2 == 0 ? 1.0f : 0.0f).setDuration(j2).setListener(new b(i2));
    }

    @Override // androidx.appcompat.widget.o
    public void D(int i2) {
        Toolbar toolbar;
        View view;
        Toolbar toolbar2;
        int i3 = this.s;
        if (i2 != i3) {
            if (i3 == 1) {
                Spinner spinner = this.g;
                if (spinner != null && spinner.getParent() == (toolbar = this.f497d)) {
                    toolbar.removeView(this.g);
                }
            } else if (i3 == 2 && (view = this.f) != null && view.getParent() == (toolbar2 = this.f497d)) {
                toolbar2.removeView(this.f);
            }
            this.s = i2;
            if (i2 == 0) {
                return;
            }
            if (i2 == 1) {
                V();
                this.f497d.addView(this.g, 0);
            } else if (i2 == 2) {
                View view2 = this.f;
                if (view2 != null) {
                    this.f497d.addView(view2, 0);
                    Toolbar.LayoutParams layoutParams = (Toolbar.LayoutParams) this.f.getLayoutParams();
                    ((ViewGroup.MarginLayoutParams) layoutParams).width = -2;
                    ((ViewGroup.MarginLayoutParams) layoutParams).height = -2;
                    layoutParams.f86a = BadgeDrawable.J0;
                }
            } else {
                throw new IllegalArgumentException("Invalid navigation mode " + i2);
            }
        }
    }

    @Override // androidx.appcompat.widget.o
    public void E(int i2) {
        S(i2 != 0 ? androidx.appcompat.a.a.a.d(getContext(), i2) : null);
    }

    @Override // androidx.appcompat.widget.o
    public void F(m.a aVar, f.a aVar2) {
        this.f497d.L(aVar, aVar2);
    }

    @Override // androidx.appcompat.widget.o
    public ViewGroup G() {
        return this.f497d;
    }

    @Override // androidx.appcompat.widget.o
    public void H(boolean z) {
    }

    @Override // androidx.appcompat.widget.o
    public void I(SpinnerAdapter spinnerAdapter, AdapterView.OnItemSelectedListener onItemSelectedListener) {
        V();
        this.g.setAdapter(spinnerAdapter);
        this.g.setOnItemSelectedListener(onItemSelectedListener);
    }

    @Override // androidx.appcompat.widget.o
    public void J(SparseArray<Parcelable> sparseArray) {
        this.f497d.restoreHierarchyState(sparseArray);
    }

    @Override // androidx.appcompat.widget.o
    public CharSequence K() {
        return this.f497d.getSubtitle();
    }

    @Override // androidx.appcompat.widget.o
    public int L() {
        return this.f498e;
    }

    @Override // androidx.appcompat.widget.o
    public int M() {
        Spinner spinner = this.g;
        if (spinner != null) {
            return spinner.getSelectedItemPosition();
        }
        return 0;
    }

    @Override // androidx.appcompat.widget.o
    public void N(int i2) {
        t(i2 == 0 ? null : getContext().getString(i2));
    }

    @Override // androidx.appcompat.widget.o
    public void O(View view) {
        View view2 = this.h;
        if (!(view2 == null || (this.f498e & 16) == 0)) {
            this.f497d.removeView(view2);
        }
        this.h = view;
        if (view != null && (this.f498e & 16) != 0) {
            this.f497d.addView(view);
        }
    }

    @Override // androidx.appcompat.widget.o
    public void P() {
        Log.i(f494a, "Progress display unsupported");
    }

    @Override // androidx.appcompat.widget.o
    public int Q() {
        Spinner spinner = this.g;
        if (spinner != null) {
            return spinner.getCount();
        }
        return 0;
    }

    @Override // androidx.appcompat.widget.o
    public void R() {
        Log.i(f494a, "Progress display unsupported");
    }

    @Override // androidx.appcompat.widget.o
    public void S(Drawable drawable) {
        this.k = drawable;
        Y();
    }

    @Override // androidx.appcompat.widget.o
    public void T(boolean z) {
        this.f497d.setCollapsible(z);
    }

    @Override // androidx.appcompat.widget.o
    public void a(Drawable drawable) {
        ViewCompat.setBackground(this.f497d, drawable);
    }

    @Override // androidx.appcompat.widget.o
    public int b() {
        return this.f497d.getHeight();
    }

    @Override // androidx.appcompat.widget.o
    public void c(Menu menu, m.a aVar) {
        if (this.r == null) {
            ActionMenuPresenter actionMenuPresenter = new ActionMenuPresenter(this.f497d.getContext());
            this.r = actionMenuPresenter;
            actionMenuPresenter.s(R.id.action_menu_presenter);
        }
        this.r.k(aVar);
        this.f497d.K((f) menu, this.r);
    }

    @Override // androidx.appcompat.widget.o
    public void collapseActionView() {
        this.f497d.e();
    }

    @Override // androidx.appcompat.widget.o
    public boolean d() {
        return this.f497d.A();
    }

    @Override // androidx.appcompat.widget.o
    public void e() {
        this.q = true;
    }

    @Override // androidx.appcompat.widget.o
    public boolean f() {
        return this.i != null;
    }

    @Override // androidx.appcompat.widget.o
    public boolean g() {
        return this.f497d.d();
    }

    @Override // androidx.appcompat.widget.o
    public Context getContext() {
        return this.f497d.getContext();
    }

    @Override // androidx.appcompat.widget.o
    public CharSequence getTitle() {
        return this.f497d.getTitle();
    }

    @Override // androidx.appcompat.widget.o
    public int getVisibility() {
        return this.f497d.getVisibility();
    }

    @Override // androidx.appcompat.widget.o
    public boolean h() {
        return this.j != null;
    }

    @Override // androidx.appcompat.widget.o
    public boolean i() {
        return this.f497d.z();
    }

    @Override // androidx.appcompat.widget.o
    public boolean j() {
        return this.f497d.w();
    }

    @Override // androidx.appcompat.widget.o
    public boolean k() {
        return this.f497d.R();
    }

    @Override // androidx.appcompat.widget.o
    public void l(int i2) {
        if (i2 != this.t) {
            this.t = i2;
            if (TextUtils.isEmpty(this.f497d.getNavigationContentDescription())) {
                N(this.t);
            }
        }
    }

    @Override // androidx.appcompat.widget.o
    public void m() {
        this.f497d.f();
    }

    @Override // androidx.appcompat.widget.o
    public View n() {
        return this.h;
    }

    @Override // androidx.appcompat.widget.o
    public void o(ScrollingTabContainerView scrollingTabContainerView) {
        Toolbar toolbar;
        View view = this.f;
        if (view != null && view.getParent() == (toolbar = this.f497d)) {
            toolbar.removeView(this.f);
        }
        this.f = scrollingTabContainerView;
        if (scrollingTabContainerView != null && this.s == 2) {
            this.f497d.addView(scrollingTabContainerView, 0);
            Toolbar.LayoutParams layoutParams = (Toolbar.LayoutParams) this.f.getLayoutParams();
            ((ViewGroup.MarginLayoutParams) layoutParams).width = -2;
            ((ViewGroup.MarginLayoutParams) layoutParams).height = -2;
            layoutParams.f86a = BadgeDrawable.J0;
            scrollingTabContainerView.setAllowCollapse(true);
        }
    }

    @Override // androidx.appcompat.widget.o
    public void p(Drawable drawable) {
        this.j = drawable;
        Z();
    }

    @Override // androidx.appcompat.widget.o
    public boolean q() {
        return this.f497d.v();
    }

    @Override // androidx.appcompat.widget.o
    public boolean r() {
        return this.f497d.B();
    }

    @Override // androidx.appcompat.widget.o
    public void s(int i2) {
        View view;
        int i3 = this.f498e ^ i2;
        this.f498e = i2;
        if (i3 != 0) {
            if ((i3 & 4) != 0) {
                if ((i2 & 4) != 0) {
                    X();
                }
                Y();
            }
            if ((i3 & 3) != 0) {
                Z();
            }
            if ((i3 & 8) != 0) {
                if ((i2 & 8) != 0) {
                    this.f497d.setTitle(this.m);
                    this.f497d.setSubtitle(this.n);
                } else {
                    this.f497d.setTitle((CharSequence) null);
                    this.f497d.setSubtitle((CharSequence) null);
                }
            }
            if ((i3 & 16) != 0 && (view = this.h) != null) {
                if ((i2 & 16) != 0) {
                    this.f497d.addView(view);
                } else {
                    this.f497d.removeView(view);
                }
            }
        }
    }

    @Override // androidx.appcompat.widget.o
    public void setIcon(int i2) {
        setIcon(i2 != 0 ? androidx.appcompat.a.a.a.d(getContext(), i2) : null);
    }

    @Override // androidx.appcompat.widget.o
    public void setLogo(int i2) {
        p(i2 != 0 ? androidx.appcompat.a.a.a.d(getContext(), i2) : null);
    }

    @Override // androidx.appcompat.widget.o
    public void setTitle(CharSequence charSequence) {
        this.l = true;
        W(charSequence);
    }

    @Override // androidx.appcompat.widget.o
    public void setVisibility(int i2) {
        this.f497d.setVisibility(i2);
    }

    @Override // androidx.appcompat.widget.o
    public void setWindowCallback(Window.Callback callback) {
        this.p = callback;
    }

    @Override // androidx.appcompat.widget.o
    public void setWindowTitle(CharSequence charSequence) {
        if (!this.l) {
            W(charSequence);
        }
    }

    @Override // androidx.appcompat.widget.o
    public void t(CharSequence charSequence) {
        this.o = charSequence;
        X();
    }

    @Override // androidx.appcompat.widget.o
    public void u(CharSequence charSequence) {
        this.n = charSequence;
        if ((this.f498e & 8) != 0) {
            this.f497d.setSubtitle(charSequence);
        }
    }

    @Override // androidx.appcompat.widget.o
    public void v(Drawable drawable) {
        if (this.u != drawable) {
            this.u = drawable;
            Y();
        }
    }

    @Override // androidx.appcompat.widget.o
    public void w(SparseArray<Parcelable> sparseArray) {
        this.f497d.saveHierarchyState(sparseArray);
    }

    @Override // androidx.appcompat.widget.o
    public void x(int i2) {
        Spinner spinner = this.g;
        if (spinner != null) {
            spinner.setSelection(i2);
            return;
        }
        throw new IllegalStateException("Can't set dropdown selected position without an adapter");
    }

    @Override // androidx.appcompat.widget.o
    public Menu y() {
        return this.f497d.getMenu();
    }

    @Override // androidx.appcompat.widget.o
    public boolean z() {
        return this.f != null;
    }

    public g0(Toolbar toolbar, boolean z, int i2, int i3) {
        Drawable drawable;
        this.s = 0;
        this.t = 0;
        this.f497d = toolbar;
        this.m = toolbar.getTitle();
        this.n = toolbar.getSubtitle();
        this.l = this.m != null;
        this.k = toolbar.getNavigationIcon();
        f0 G = f0.G(toolbar.getContext(), null, R.styleable.ActionBar, R.attr.actionBarStyle, 0);
        this.u = G.h(R.styleable.ActionBar_homeAsUpIndicator);
        if (z) {
            CharSequence x = G.x(R.styleable.ActionBar_title);
            if (!TextUtils.isEmpty(x)) {
                setTitle(x);
            }
            CharSequence x2 = G.x(R.styleable.ActionBar_subtitle);
            if (!TextUtils.isEmpty(x2)) {
                u(x2);
            }
            Drawable h2 = G.h(R.styleable.ActionBar_logo);
            if (h2 != null) {
                p(h2);
            }
            Drawable h3 = G.h(R.styleable.ActionBar_icon);
            if (h3 != null) {
                setIcon(h3);
            }
            if (this.k == null && (drawable = this.u) != null) {
                S(drawable);
            }
            s(G.o(R.styleable.ActionBar_displayOptions, 0));
            int u2 = G.u(R.styleable.ActionBar_customNavigationLayout, 0);
            if (u2 != 0) {
                O(LayoutInflater.from(this.f497d.getContext()).inflate(u2, (ViewGroup) this.f497d, false));
                s(this.f498e | 16);
            }
            int q2 = G.q(R.styleable.ActionBar_height, 0);
            if (q2 > 0) {
                ViewGroup.LayoutParams layoutParams = this.f497d.getLayoutParams();
                layoutParams.height = q2;
                this.f497d.setLayoutParams(layoutParams);
            }
            int f2 = G.f(R.styleable.ActionBar_contentInsetStart, -1);
            int f3 = G.f(R.styleable.ActionBar_contentInsetEnd, -1);
            if (f2 >= 0 || f3 >= 0) {
                this.f497d.J(Math.max(f2, 0), Math.max(f3, 0));
            }
            int u3 = G.u(R.styleable.ActionBar_titleTextStyle, 0);
            if (u3 != 0) {
                Toolbar toolbar2 = this.f497d;
                toolbar2.O(toolbar2.getContext(), u3);
            }
            int u4 = G.u(R.styleable.ActionBar_subtitleTextStyle, 0);
            if (u4 != 0) {
                Toolbar toolbar3 = this.f497d;
                toolbar3.M(toolbar3.getContext(), u4);
            }
            int u5 = G.u(R.styleable.ActionBar_popupTheme, 0);
            if (u5 != 0) {
                this.f497d.setPopupTheme(u5);
            }
        } else {
            this.f498e = U();
        }
        G.I();
        l(i2);
        this.o = this.f497d.getNavigationContentDescription();
        this.f497d.setNavigationOnClickListener(new a());
    }

    @Override // androidx.appcompat.widget.o
    public void setIcon(Drawable drawable) {
        this.i = drawable;
        Z();
    }
}
