package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.widget.ImageView;
import androidx.annotation.NonNull;
import androidx.annotation.RestrictTo;
import androidx.appcompat.R;
import androidx.appcompat.a.a.a;
import androidx.core.view.ViewCompat;
import androidx.core.widget.j;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: AppCompatImageHelper */
public class h {
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    private final ImageView f504a;

    /* renamed from: b  reason: collision with root package name */
    private d0 f505b;

    /* renamed from: c  reason: collision with root package name */
    private d0 f506c;

    /* renamed from: d  reason: collision with root package name */
    private d0 f507d;

    public h(@NonNull ImageView imageView) {
        this.f504a = imageView;
    }

    private boolean a(@NonNull Drawable drawable) {
        if (this.f507d == null) {
            this.f507d = new d0();
        }
        d0 d0Var = this.f507d;
        d0Var.a();
        ColorStateList a2 = j.a(this.f504a);
        if (a2 != null) {
            d0Var.f474d = true;
            d0Var.f471a = a2;
        }
        PorterDuff.Mode b2 = j.b(this.f504a);
        if (b2 != null) {
            d0Var.f473c = true;
            d0Var.f472b = b2;
        }
        if (!d0Var.f474d && !d0Var.f473c) {
            return false;
        }
        f.j(drawable, d0Var, this.f504a.getDrawableState());
        return true;
    }

    private boolean k() {
        int i = Build.VERSION.SDK_INT;
        if (i <= 21) {
            return i == 21;
        }
        if (this.f505b != null) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public void b() {
        Drawable drawable = this.f504a.getDrawable();
        if (drawable != null) {
            p.b(drawable);
        }
        if (drawable == null) {
            return;
        }
        if (!k() || !a(drawable)) {
            d0 d0Var = this.f506c;
            if (d0Var != null) {
                f.j(drawable, d0Var, this.f504a.getDrawableState());
                return;
            }
            d0 d0Var2 = this.f505b;
            if (d0Var2 != null) {
                f.j(drawable, d0Var2, this.f504a.getDrawableState());
            }
        }
    }

    /* access modifiers changed from: package-private */
    public ColorStateList c() {
        d0 d0Var = this.f506c;
        if (d0Var != null) {
            return d0Var.f471a;
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public PorterDuff.Mode d() {
        d0 d0Var = this.f506c;
        if (d0Var != null) {
            return d0Var.f472b;
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public boolean e() {
        return Build.VERSION.SDK_INT < 21 || !(this.f504a.getBackground() instanceof RippleDrawable);
    }

    public void f(AttributeSet attributeSet, int i) {
        int u;
        Context context = this.f504a.getContext();
        int[] iArr = R.styleable.AppCompatImageView;
        f0 G = f0.G(context, attributeSet, iArr, i, 0);
        ImageView imageView = this.f504a;
        ViewCompat.saveAttributeDataForStyleable(imageView, imageView.getContext(), iArr, attributeSet, G.B(), i, 0);
        try {
            Drawable drawable = this.f504a.getDrawable();
            if (!(drawable != null || (u = G.u(R.styleable.AppCompatImageView_srcCompat, -1)) == -1 || (drawable = a.d(this.f504a.getContext(), u)) == null)) {
                this.f504a.setImageDrawable(drawable);
            }
            if (drawable != null) {
                p.b(drawable);
            }
            int i2 = R.styleable.AppCompatImageView_tint;
            if (G.C(i2)) {
                j.c(this.f504a, G.d(i2));
            }
            int i3 = R.styleable.AppCompatImageView_tintMode;
            if (G.C(i3)) {
                j.d(this.f504a, p.e(G.o(i3, -1), null));
            }
        } finally {
            G.I();
        }
    }

    public void g(int i) {
        if (i != 0) {
            Drawable d2 = a.d(this.f504a.getContext(), i);
            if (d2 != null) {
                p.b(d2);
            }
            this.f504a.setImageDrawable(d2);
        } else {
            this.f504a.setImageDrawable(null);
        }
        b();
    }

    /* access modifiers changed from: package-private */
    public void h(ColorStateList colorStateList) {
        if (colorStateList != null) {
            if (this.f505b == null) {
                this.f505b = new d0();
            }
            d0 d0Var = this.f505b;
            d0Var.f471a = colorStateList;
            d0Var.f474d = true;
        } else {
            this.f505b = null;
        }
        b();
    }

    /* access modifiers changed from: package-private */
    public void i(ColorStateList colorStateList) {
        if (this.f506c == null) {
            this.f506c = new d0();
        }
        d0 d0Var = this.f506c;
        d0Var.f471a = colorStateList;
        d0Var.f474d = true;
        b();
    }

    /* access modifiers changed from: package-private */
    public void j(PorterDuff.Mode mode) {
        if (this.f506c == null) {
            this.f506c = new d0();
        }
        d0 d0Var = this.f506c;
        d0Var.f472b = mode;
        d0Var.f473c = true;
        b();
    }
}
