package androidx.appcompat.widget;

import android.text.TextUtils;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.accessibility.AccessibilityManager;
import androidx.annotation.RestrictTo;
import androidx.core.view.ViewCompat;
import androidx.core.view.ViewConfigurationCompat;

/* access modifiers changed from: package-private */
@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: TooltipCompatHandler */
public class i0 implements View.OnLongClickListener, View.OnHoverListener, View.OnAttachStateChangeListener {
    private static final long I0 = 15000;
    private static final long J0 = 3000;
    private static i0 K0 = null;
    private static i0 L0 = null;

    /* renamed from: a  reason: collision with root package name */
    private static final String f511a = "TooltipCompatHandler";

    /* renamed from: b  reason: collision with root package name */
    private static final long f512b = 2500;
    private final View M0;
    private final CharSequence N0;
    private final int O0;
    private final Runnable P0 = new a();
    private final Runnable Q0 = new b();
    private int R0;
    private int S0;
    private j0 T0;
    private boolean U0;

    /* compiled from: TooltipCompatHandler */
    class a implements Runnable {
        a() {
        }

        public void run() {
            i0.this.g(false);
        }
    }

    /* compiled from: TooltipCompatHandler */
    class b implements Runnable {
        b() {
        }

        public void run() {
            i0.this.c();
        }
    }

    private i0(View view, CharSequence charSequence) {
        this.M0 = view;
        this.N0 = charSequence;
        this.O0 = ViewConfigurationCompat.getScaledHoverSlop(ViewConfiguration.get(view.getContext()));
        b();
        view.setOnLongClickListener(this);
        view.setOnHoverListener(this);
    }

    private void a() {
        this.M0.removeCallbacks(this.P0);
    }

    private void b() {
        this.R0 = Integer.MAX_VALUE;
        this.S0 = Integer.MAX_VALUE;
    }

    private void d() {
        this.M0.postDelayed(this.P0, (long) ViewConfiguration.getLongPressTimeout());
    }

    private static void e(i0 i0Var) {
        i0 i0Var2 = K0;
        if (i0Var2 != null) {
            i0Var2.a();
        }
        K0 = i0Var;
        if (i0Var != null) {
            i0Var.d();
        }
    }

    public static void f(View view, CharSequence charSequence) {
        i0 i0Var = K0;
        if (i0Var != null && i0Var.M0 == view) {
            e(null);
        }
        if (TextUtils.isEmpty(charSequence)) {
            i0 i0Var2 = L0;
            if (i0Var2 != null && i0Var2.M0 == view) {
                i0Var2.c();
            }
            view.setOnLongClickListener(null);
            view.setLongClickable(false);
            view.setOnHoverListener(null);
            return;
        }
        new i0(view, charSequence);
    }

    private boolean h(MotionEvent motionEvent) {
        int x = (int) motionEvent.getX();
        int y = (int) motionEvent.getY();
        if (Math.abs(x - this.R0) <= this.O0 && Math.abs(y - this.S0) <= this.O0) {
            return false;
        }
        this.R0 = x;
        this.S0 = y;
        return true;
    }

    /* access modifiers changed from: package-private */
    public void c() {
        if (L0 == this) {
            L0 = null;
            j0 j0Var = this.T0;
            if (j0Var != null) {
                j0Var.c();
                this.T0 = null;
                b();
                this.M0.removeOnAttachStateChangeListener(this);
            } else {
                Log.e(f511a, "sActiveHandler.mPopup == null");
            }
        }
        if (K0 == this) {
            e(null);
        }
        this.M0.removeCallbacks(this.Q0);
    }

    /* access modifiers changed from: package-private */
    public void g(boolean z) {
        long j;
        int i;
        long j2;
        if (ViewCompat.isAttachedToWindow(this.M0)) {
            e(null);
            i0 i0Var = L0;
            if (i0Var != null) {
                i0Var.c();
            }
            L0 = this;
            this.U0 = z;
            j0 j0Var = new j0(this.M0.getContext());
            this.T0 = j0Var;
            j0Var.e(this.M0, this.R0, this.S0, this.U0, this.N0);
            this.M0.addOnAttachStateChangeListener(this);
            if (this.U0) {
                j = f512b;
            } else {
                if ((ViewCompat.getWindowSystemUiVisibility(this.M0) & 1) == 1) {
                    j2 = J0;
                    i = ViewConfiguration.getLongPressTimeout();
                } else {
                    j2 = I0;
                    i = ViewConfiguration.getLongPressTimeout();
                }
                j = j2 - ((long) i);
            }
            this.M0.removeCallbacks(this.Q0);
            this.M0.postDelayed(this.Q0, j);
        }
    }

    public boolean onHover(View view, MotionEvent motionEvent) {
        if (this.T0 != null && this.U0) {
            return false;
        }
        AccessibilityManager accessibilityManager = (AccessibilityManager) this.M0.getContext().getSystemService("accessibility");
        if (accessibilityManager.isEnabled() && accessibilityManager.isTouchExplorationEnabled()) {
            return false;
        }
        int action = motionEvent.getAction();
        if (action != 7) {
            if (action == 10) {
                b();
                c();
            }
        } else if (this.M0.isEnabled() && this.T0 == null && h(motionEvent)) {
            e(this);
        }
        return false;
    }

    public boolean onLongClick(View view) {
        this.R0 = view.getWidth() / 2;
        this.S0 = view.getHeight() / 2;
        g(true);
        return true;
    }

    public void onViewAttachedToWindow(View view) {
    }

    public void onViewDetachedFromWindow(View view) {
        c();
    }
}
