package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.widget.SeekBar;
import androidx.annotation.Nullable;
import androidx.appcompat.R;
import androidx.core.graphics.drawable.c;
import androidx.core.view.ViewCompat;

/* access modifiers changed from: package-private */
/* compiled from: AppCompatSeekBarHelper */
public class j extends i {

    /* renamed from: d  reason: collision with root package name */
    private final SeekBar f515d;

    /* renamed from: e  reason: collision with root package name */
    private Drawable f516e;
    private ColorStateList f = null;
    private PorterDuff.Mode g = null;
    private boolean h = false;
    private boolean i = false;

    j(SeekBar seekBar) {
        super(seekBar);
        this.f515d = seekBar;
    }

    private void f() {
        Drawable drawable = this.f516e;
        if (drawable == null) {
            return;
        }
        if (this.h || this.i) {
            Drawable r = c.r(drawable.mutate());
            this.f516e = r;
            if (this.h) {
                c.o(r, this.f);
            }
            if (this.i) {
                c.p(this.f516e, this.g);
            }
            if (this.f516e.isStateful()) {
                this.f516e.setState(this.f515d.getDrawableState());
            }
        }
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.appcompat.widget.i
    public void c(AttributeSet attributeSet, int i2) {
        super.c(attributeSet, i2);
        Context context = this.f515d.getContext();
        int[] iArr = R.styleable.AppCompatSeekBar;
        f0 G = f0.G(context, attributeSet, iArr, i2, 0);
        SeekBar seekBar = this.f515d;
        ViewCompat.saveAttributeDataForStyleable(seekBar, seekBar.getContext(), iArr, attributeSet, G.B(), i2, 0);
        Drawable i3 = G.i(R.styleable.AppCompatSeekBar_android_thumb);
        if (i3 != null) {
            this.f515d.setThumb(i3);
        }
        m(G.h(R.styleable.AppCompatSeekBar_tickMark));
        int i4 = R.styleable.AppCompatSeekBar_tickMarkTintMode;
        if (G.C(i4)) {
            this.g = p.e(G.o(i4, -1), this.g);
            this.i = true;
        }
        int i5 = R.styleable.AppCompatSeekBar_tickMarkTint;
        if (G.C(i5)) {
            this.f = G.d(i5);
            this.h = true;
        }
        G.I();
        f();
    }

    /* access modifiers changed from: package-private */
    public void g(Canvas canvas) {
        if (this.f516e != null) {
            int max = this.f515d.getMax();
            int i2 = 1;
            if (max > 1) {
                int intrinsicWidth = this.f516e.getIntrinsicWidth();
                int intrinsicHeight = this.f516e.getIntrinsicHeight();
                int i3 = intrinsicWidth >= 0 ? intrinsicWidth / 2 : 1;
                if (intrinsicHeight >= 0) {
                    i2 = intrinsicHeight / 2;
                }
                this.f516e.setBounds(-i3, -i2, i3, i2);
                float width = ((float) ((this.f515d.getWidth() - this.f515d.getPaddingLeft()) - this.f515d.getPaddingRight())) / ((float) max);
                int save = canvas.save();
                canvas.translate((float) this.f515d.getPaddingLeft(), (float) (this.f515d.getHeight() / 2));
                for (int i4 = 0; i4 <= max; i4++) {
                    this.f516e.draw(canvas);
                    canvas.translate(width, 0.0f);
                }
                canvas.restoreToCount(save);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void h() {
        Drawable drawable = this.f516e;
        if (drawable != null && drawable.isStateful() && drawable.setState(this.f515d.getDrawableState())) {
            this.f515d.invalidateDrawable(drawable);
        }
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public Drawable i() {
        return this.f516e;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public ColorStateList j() {
        return this.f;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public PorterDuff.Mode k() {
        return this.g;
    }

    /* access modifiers changed from: package-private */
    public void l() {
        Drawable drawable = this.f516e;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
    }

    /* access modifiers changed from: package-private */
    public void m(@Nullable Drawable drawable) {
        Drawable drawable2 = this.f516e;
        if (drawable2 != null) {
            drawable2.setCallback(null);
        }
        this.f516e = drawable;
        if (drawable != null) {
            drawable.setCallback(this.f515d);
            c.m(drawable, ViewCompat.getLayoutDirection(this.f515d));
            if (drawable.isStateful()) {
                drawable.setState(this.f515d.getDrawableState());
            }
            f();
        }
        this.f515d.invalidate();
    }

    /* access modifiers changed from: package-private */
    public void n(@Nullable ColorStateList colorStateList) {
        this.f = colorStateList;
        this.h = true;
        f();
    }

    /* access modifiers changed from: package-private */
    public void o(@Nullable PorterDuff.Mode mode) {
        this.g = mode;
        this.i = true;
        f();
    }
}
