package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.RectF;
import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.method.TransformationMethod;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.util.TypedValue;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.VisibleForTesting;
import androidx.appcompat.R;
import androidx.core.view.ViewCompat;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.concurrent.ConcurrentHashMap;

/* access modifiers changed from: package-private */
/* compiled from: AppCompatTextViewAutoSizeHelper */
public class m {

    /* renamed from: a  reason: collision with root package name */
    private static final String f538a = "ACTVAutoSizeHelper";

    /* renamed from: b  reason: collision with root package name */
    private static final RectF f539b = new RectF();

    /* renamed from: c  reason: collision with root package name */
    private static final int f540c = 12;

    /* renamed from: d  reason: collision with root package name */
    private static final int f541d = 112;

    /* renamed from: e  reason: collision with root package name */
    private static final int f542e = 1;
    private static ConcurrentHashMap<String, Method> f = new ConcurrentHashMap<>();
    private static ConcurrentHashMap<String, Field> g = new ConcurrentHashMap<>();
    static final float h = -1.0f;
    private static final int i = 1048576;
    private int j = 0;
    private boolean k = false;
    private float l = h;
    private float m = h;
    private float n = h;
    private int[] o = new int[0];
    private boolean p = false;
    private TextPaint q;
    @NonNull
    private final TextView r;
    private final Context s;
    private final c t;

    @RequiresApi(23)
    /* compiled from: AppCompatTextViewAutoSizeHelper */
    private static class a extends c {
        a() {
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.appcompat.widget.m.c
        public void a(StaticLayout.Builder builder, TextView textView) {
            builder.setTextDirection((TextDirectionHeuristic) m.r(textView, "getTextDirectionHeuristic", TextDirectionHeuristics.FIRSTSTRONG_LTR));
        }
    }

    @RequiresApi(29)
    /* compiled from: AppCompatTextViewAutoSizeHelper */
    private static class b extends a {
        b() {
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.appcompat.widget.m.a, androidx.appcompat.widget.m.c
        public void a(StaticLayout.Builder builder, TextView textView) {
            builder.setTextDirection(textView.getTextDirectionHeuristic());
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.appcompat.widget.m.c
        public boolean b(TextView textView) {
            return textView.isHorizontallyScrollable();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AppCompatTextViewAutoSizeHelper */
    public static class c {
        c() {
        }

        /* access modifiers changed from: package-private */
        public void a(StaticLayout.Builder builder, TextView textView) {
        }

        /* access modifiers changed from: package-private */
        public boolean b(TextView textView) {
            return ((Boolean) m.r(textView, "getHorizontallyScrolling", Boolean.FALSE)).booleanValue();
        }
    }

    m(@NonNull TextView textView) {
        this.r = textView;
        this.s = textView.getContext();
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 29) {
            this.t = new b();
        } else if (i2 >= 23) {
            this.t = new a();
        } else {
            this.t = new c();
        }
    }

    private void A(TypedArray typedArray) {
        int length = typedArray.length();
        int[] iArr = new int[length];
        if (length > 0) {
            for (int i2 = 0; i2 < length; i2++) {
                iArr[i2] = typedArray.getDimensionPixelSize(i2, -1);
            }
            this.o = c(iArr);
            B();
        }
    }

    private boolean B() {
        int[] iArr = this.o;
        int length = iArr.length;
        boolean z = length > 0;
        this.p = z;
        if (z) {
            this.j = 1;
            this.m = (float) iArr[0];
            this.n = (float) iArr[length - 1];
            this.l = h;
        }
        return z;
    }

    private boolean C(int i2, RectF rectF) {
        CharSequence transformation;
        CharSequence text = this.r.getText();
        TransformationMethod transformationMethod = this.r.getTransformationMethod();
        if (!(transformationMethod == null || (transformation = transformationMethod.getTransformation(text, this.r)) == null)) {
            text = transformation;
        }
        int maxLines = Build.VERSION.SDK_INT >= 16 ? this.r.getMaxLines() : -1;
        q(i2);
        StaticLayout e2 = e(text, (Layout.Alignment) r(this.r, "getLayoutAlignment", Layout.Alignment.ALIGN_NORMAL), Math.round(rectF.right), maxLines);
        return (maxLines == -1 || (e2.getLineCount() <= maxLines && e2.getLineEnd(e2.getLineCount() - 1) == text.length())) && ((float) e2.getHeight()) <= rectF.bottom;
    }

    private boolean D() {
        return !(this.r instanceof AppCompatEditText);
    }

    private void E(float f2, float f3, float f4) throws IllegalArgumentException {
        if (f2 <= 0.0f) {
            throw new IllegalArgumentException("Minimum auto-size text size (" + f2 + "px) is less or equal to (0px)");
        } else if (f3 <= f2) {
            throw new IllegalArgumentException("Maximum auto-size text size (" + f3 + "px) is less or equal to minimum auto-size text size (" + f2 + "px)");
        } else if (f4 > 0.0f) {
            this.j = 1;
            this.m = f2;
            this.n = f3;
            this.l = f4;
            this.p = false;
        } else {
            throw new IllegalArgumentException("The auto-size step granularity (" + f4 + "px) is less or equal to (0px)");
        }
    }

    private static <T> T a(@NonNull Object obj, @NonNull String str, @NonNull T t2) {
        try {
            Field o2 = o(str);
            return o2 == null ? t2 : (T) o2.get(obj);
        } catch (IllegalAccessException e2) {
            Log.w(f538a, "Failed to access TextView#" + str + " member", e2);
            return t2;
        }
    }

    private int[] c(int[] iArr) {
        int length = iArr.length;
        if (length == 0) {
            return iArr;
        }
        Arrays.sort(iArr);
        ArrayList arrayList = new ArrayList();
        for (int i2 : iArr) {
            if (i2 > 0 && Collections.binarySearch(arrayList, Integer.valueOf(i2)) < 0) {
                arrayList.add(Integer.valueOf(i2));
            }
        }
        if (length == arrayList.size()) {
            return iArr;
        }
        int size = arrayList.size();
        int[] iArr2 = new int[size];
        for (int i3 = 0; i3 < size; i3++) {
            iArr2[i3] = ((Integer) arrayList.get(i3)).intValue();
        }
        return iArr2;
    }

    private void d() {
        this.j = 0;
        this.m = h;
        this.n = h;
        this.l = h;
        this.o = new int[0];
        this.k = false;
    }

    @RequiresApi(23)
    private StaticLayout f(CharSequence charSequence, Layout.Alignment alignment, int i2, int i3) {
        StaticLayout.Builder obtain = StaticLayout.Builder.obtain(charSequence, 0, charSequence.length(), this.q, i2);
        StaticLayout.Builder hyphenationFrequency = obtain.setAlignment(alignment).setLineSpacing(this.r.getLineSpacingExtra(), this.r.getLineSpacingMultiplier()).setIncludePad(this.r.getIncludeFontPadding()).setBreakStrategy(this.r.getBreakStrategy()).setHyphenationFrequency(this.r.getHyphenationFrequency());
        if (i3 == -1) {
            i3 = Integer.MAX_VALUE;
        }
        hyphenationFrequency.setMaxLines(i3);
        try {
            this.t.a(obtain, this.r);
        } catch (ClassCastException unused) {
            Log.w(f538a, "Failed to obtain TextDirectionHeuristic, auto size may be incorrect");
        }
        return obtain.build();
    }

    private StaticLayout g(CharSequence charSequence, Layout.Alignment alignment, int i2) {
        return new StaticLayout(charSequence, this.q, i2, alignment, ((Float) a(this.r, "mSpacingMult", Float.valueOf(1.0f))).floatValue(), ((Float) a(this.r, "mSpacingAdd", Float.valueOf(0.0f))).floatValue(), ((Boolean) a(this.r, "mIncludePad", Boolean.TRUE)).booleanValue());
    }

    @RequiresApi(16)
    private StaticLayout h(CharSequence charSequence, Layout.Alignment alignment, int i2) {
        return new StaticLayout(charSequence, this.q, i2, alignment, this.r.getLineSpacingMultiplier(), this.r.getLineSpacingExtra(), this.r.getIncludeFontPadding());
    }

    private int i(RectF rectF) {
        int length = this.o.length;
        if (length != 0) {
            int i2 = length - 1;
            int i3 = 1;
            int i4 = 0;
            while (i3 <= i2) {
                int i5 = (i3 + i2) / 2;
                if (C(this.o[i5], rectF)) {
                    int i6 = i5 + 1;
                    i4 = i3;
                    i3 = i6;
                } else {
                    i4 = i5 - 1;
                    i2 = i4;
                }
            }
            return this.o[i4];
        }
        throw new IllegalStateException("No available text sizes to choose from.");
    }

    @Nullable
    private static Field o(@NonNull String str) {
        try {
            Field field = g.get(str);
            if (field == null && (field = TextView.class.getDeclaredField(str)) != null) {
                field.setAccessible(true);
                g.put(str, field);
            }
            return field;
        } catch (NoSuchFieldException e2) {
            Log.w(f538a, "Failed to access TextView#" + str + " member", e2);
            return null;
        }
    }

    @Nullable
    private static Method p(@NonNull String str) {
        try {
            Method method = f.get(str);
            if (method == null && (method = TextView.class.getDeclaredMethod(str, new Class[0])) != null) {
                method.setAccessible(true);
                f.put(str, method);
            }
            return method;
        } catch (Exception e2) {
            Log.w(f538a, "Failed to retrieve TextView#" + str + "() method", e2);
            return null;
        }
    }

    static <T> T r(@NonNull Object obj, @NonNull String str, @NonNull T t2) {
        try {
            return (T) p(str).invoke(obj, new Object[0]);
        } catch (Exception e2) {
            Log.w(f538a, "Failed to invoke TextView#" + str + "() method", e2);
            return t2;
        }
    }

    private void x(float f2) {
        if (f2 != this.r.getPaint().getTextSize()) {
            this.r.getPaint().setTextSize(f2);
            boolean isInLayout = Build.VERSION.SDK_INT >= 18 ? this.r.isInLayout() : false;
            if (this.r.getLayout() != null) {
                this.k = false;
                try {
                    Method p2 = p("nullLayouts");
                    if (p2 != null) {
                        p2.invoke(this.r, new Object[0]);
                    }
                } catch (Exception e2) {
                    Log.w(f538a, "Failed to invoke TextView#nullLayouts() method", e2);
                }
                if (!isInLayout) {
                    this.r.requestLayout();
                } else {
                    this.r.forceLayout();
                }
                this.r.invalidate();
            }
        }
    }

    private boolean z() {
        if (!D() || this.j != 1) {
            this.k = false;
        } else {
            if (!this.p || this.o.length == 0) {
                int floor = ((int) Math.floor((double) ((this.n - this.m) / this.l))) + 1;
                int[] iArr = new int[floor];
                for (int i2 = 0; i2 < floor; i2++) {
                    iArr[i2] = Math.round(this.m + (((float) i2) * this.l));
                }
                this.o = c(iArr);
            }
            this.k = true;
        }
        return this.k;
    }

    /* access modifiers changed from: package-private */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void b() {
        int i2;
        if (s()) {
            if (this.k) {
                if (this.r.getMeasuredHeight() > 0 && this.r.getMeasuredWidth() > 0) {
                    if (this.t.b(this.r)) {
                        i2 = 1048576;
                    } else {
                        i2 = (this.r.getMeasuredWidth() - this.r.getTotalPaddingLeft()) - this.r.getTotalPaddingRight();
                    }
                    int height = (this.r.getHeight() - this.r.getCompoundPaddingBottom()) - this.r.getCompoundPaddingTop();
                    if (i2 > 0 && height > 0) {
                        RectF rectF = f539b;
                        synchronized (rectF) {
                            rectF.setEmpty();
                            rectF.right = (float) i2;
                            rectF.bottom = (float) height;
                            float i3 = (float) i(rectF);
                            if (i3 != this.r.getTextSize()) {
                                y(0, i3);
                            }
                        }
                    } else {
                        return;
                    }
                } else {
                    return;
                }
            }
            this.k = true;
        }
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public StaticLayout e(CharSequence charSequence, Layout.Alignment alignment, int i2, int i3) {
        int i4 = Build.VERSION.SDK_INT;
        if (i4 >= 23) {
            return f(charSequence, alignment, i2, i3);
        }
        if (i4 >= 16) {
            return h(charSequence, alignment, i2);
        }
        return g(charSequence, alignment, i2);
    }

    /* access modifiers changed from: package-private */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public int j() {
        return Math.round(this.n);
    }

    /* access modifiers changed from: package-private */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public int k() {
        return Math.round(this.m);
    }

    /* access modifiers changed from: package-private */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public int l() {
        return Math.round(this.l);
    }

    /* access modifiers changed from: package-private */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public int[] m() {
        return this.o;
    }

    /* access modifiers changed from: package-private */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public int n() {
        return this.j;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void q(int i2) {
        TextPaint textPaint = this.q;
        if (textPaint == null) {
            this.q = new TextPaint();
        } else {
            textPaint.reset();
        }
        this.q.set(this.r.getPaint());
        this.q.setTextSize((float) i2);
    }

    /* access modifiers changed from: package-private */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public boolean s() {
        return D() && this.j != 0;
    }

    /* access modifiers changed from: package-private */
    public void t(@Nullable AttributeSet attributeSet, int i2) {
        int resourceId;
        Context context = this.s;
        int[] iArr = R.styleable.AppCompatTextView;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i2, 0);
        TextView textView = this.r;
        ViewCompat.saveAttributeDataForStyleable(textView, textView.getContext(), iArr, attributeSet, obtainStyledAttributes, i2, 0);
        int i3 = R.styleable.AppCompatTextView_autoSizeTextType;
        if (obtainStyledAttributes.hasValue(i3)) {
            this.j = obtainStyledAttributes.getInt(i3, 0);
        }
        int i4 = R.styleable.AppCompatTextView_autoSizeStepGranularity;
        float dimension = obtainStyledAttributes.hasValue(i4) ? obtainStyledAttributes.getDimension(i4, h) : h;
        int i5 = R.styleable.AppCompatTextView_autoSizeMinTextSize;
        float dimension2 = obtainStyledAttributes.hasValue(i5) ? obtainStyledAttributes.getDimension(i5, h) : h;
        int i6 = R.styleable.AppCompatTextView_autoSizeMaxTextSize;
        float dimension3 = obtainStyledAttributes.hasValue(i6) ? obtainStyledAttributes.getDimension(i6, h) : h;
        int i7 = R.styleable.AppCompatTextView_autoSizePresetSizes;
        if (obtainStyledAttributes.hasValue(i7) && (resourceId = obtainStyledAttributes.getResourceId(i7, 0)) > 0) {
            TypedArray obtainTypedArray = obtainStyledAttributes.getResources().obtainTypedArray(resourceId);
            A(obtainTypedArray);
            obtainTypedArray.recycle();
        }
        obtainStyledAttributes.recycle();
        if (!D()) {
            this.j = 0;
        } else if (this.j == 1) {
            if (!this.p) {
                DisplayMetrics displayMetrics = this.s.getResources().getDisplayMetrics();
                if (dimension2 == h) {
                    dimension2 = TypedValue.applyDimension(2, 12.0f, displayMetrics);
                }
                if (dimension3 == h) {
                    dimension3 = TypedValue.applyDimension(2, 112.0f, displayMetrics);
                }
                if (dimension == h) {
                    dimension = 1.0f;
                }
                E(dimension2, dimension3, dimension);
            }
            z();
        }
    }

    /* access modifiers changed from: package-private */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void u(int i2, int i3, int i4, int i5) throws IllegalArgumentException {
        if (D()) {
            DisplayMetrics displayMetrics = this.s.getResources().getDisplayMetrics();
            E(TypedValue.applyDimension(i5, (float) i2, displayMetrics), TypedValue.applyDimension(i5, (float) i3, displayMetrics), TypedValue.applyDimension(i5, (float) i4, displayMetrics));
            if (z()) {
                b();
            }
        }
    }

    /* access modifiers changed from: package-private */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void v(@NonNull int[] iArr, int i2) throws IllegalArgumentException {
        if (D()) {
            int length = iArr.length;
            if (length > 0) {
                int[] iArr2 = new int[length];
                if (i2 == 0) {
                    iArr2 = Arrays.copyOf(iArr, length);
                } else {
                    DisplayMetrics displayMetrics = this.s.getResources().getDisplayMetrics();
                    for (int i3 = 0; i3 < length; i3++) {
                        iArr2[i3] = Math.round(TypedValue.applyDimension(i2, (float) iArr[i3], displayMetrics));
                    }
                }
                this.o = c(iArr2);
                if (!B()) {
                    throw new IllegalArgumentException("None of the preset sizes is valid: " + Arrays.toString(iArr));
                }
            } else {
                this.p = false;
            }
            if (z()) {
                b();
            }
        }
    }

    /* access modifiers changed from: package-private */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void w(int i2) {
        if (!D()) {
            return;
        }
        if (i2 == 0) {
            d();
        } else if (i2 == 1) {
            DisplayMetrics displayMetrics = this.s.getResources().getDisplayMetrics();
            E(TypedValue.applyDimension(2, 12.0f, displayMetrics), TypedValue.applyDimension(2, 112.0f, displayMetrics), 1.0f);
            if (z()) {
                b();
            }
        } else {
            throw new IllegalArgumentException("Unknown auto-size text type: " + i2);
        }
    }

    /* access modifiers changed from: package-private */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void y(int i2, float f2) {
        Resources resources;
        Context context = this.s;
        if (context == null) {
            resources = Resources.getSystem();
        } else {
            resources = context.getResources();
        }
        x(TypedValue.applyDimension(i2, f2, resources.getDisplayMetrics()));
    }
}
