package androidx.appcompat.widget;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.ListAdapter;
import android.widget.ListView;
import androidx.annotation.NonNull;
import androidx.appcompat.R;
import androidx.appcompat.graphics.drawable.c;
import androidx.core.view.ViewPropertyAnimatorCompat;
import androidx.core.widget.l;
import java.lang.reflect.Field;

/* access modifiers changed from: package-private */
/* compiled from: DropDownListView */
public class q extends ListView {

    /* renamed from: a  reason: collision with root package name */
    public static final int f548a = -1;

    /* renamed from: b  reason: collision with root package name */
    public static final int f549b = -1;
    private final Rect I0 = new Rect();
    private int J0 = 0;
    private int K0 = 0;
    private int L0 = 0;
    private int M0 = 0;
    private int N0;
    private Field O0;
    private a P0;
    private boolean Q0;
    private boolean R0;
    private boolean S0;
    private ViewPropertyAnimatorCompat T0;
    private l U0;
    b V0;

    /* access modifiers changed from: private */
    /* compiled from: DropDownListView */
    public static class a extends c {

        /* renamed from: b  reason: collision with root package name */
        private boolean f550b = true;

        a(Drawable drawable) {
            super(drawable);
        }

        /* access modifiers changed from: package-private */
        public void c(boolean z) {
            this.f550b = z;
        }

        @Override // androidx.appcompat.graphics.drawable.c
        public void draw(Canvas canvas) {
            if (this.f550b) {
                super.draw(canvas);
            }
        }

        @Override // androidx.appcompat.graphics.drawable.c
        public void setHotspot(float f, float f2) {
            if (this.f550b) {
                super.setHotspot(f, f2);
            }
        }

        @Override // androidx.appcompat.graphics.drawable.c
        public void setHotspotBounds(int i, int i2, int i3, int i4) {
            if (this.f550b) {
                super.setHotspotBounds(i, i2, i3, i4);
            }
        }

        @Override // androidx.appcompat.graphics.drawable.c
        public boolean setState(int[] iArr) {
            if (this.f550b) {
                return super.setState(iArr);
            }
            return false;
        }

        @Override // androidx.appcompat.graphics.drawable.c
        public boolean setVisible(boolean z, boolean z2) {
            if (this.f550b) {
                return super.setVisible(z, z2);
            }
            return false;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: DropDownListView */
    public class b implements Runnable {
        b() {
        }

        public void a() {
            q qVar = q.this;
            qVar.V0 = null;
            qVar.removeCallbacks(this);
        }

        public void b() {
            q.this.post(this);
        }

        public void run() {
            q qVar = q.this;
            qVar.V0 = null;
            qVar.drawableStateChanged();
        }
    }

    q(@NonNull Context context, boolean z) {
        super(context, null, R.attr.dropDownListViewStyle);
        this.R0 = z;
        setCacheColorHint(0);
        try {
            Field declaredField = AbsListView.class.getDeclaredField("mIsChildViewEnabled");
            this.O0 = declaredField;
            declaredField.setAccessible(true);
        } catch (NoSuchFieldException e2) {
            e2.printStackTrace();
        }
    }

    private void a() {
        this.S0 = false;
        setPressed(false);
        drawableStateChanged();
        View childAt = getChildAt(this.N0 - getFirstVisiblePosition());
        if (childAt != null) {
            childAt.setPressed(false);
        }
        ViewPropertyAnimatorCompat viewPropertyAnimatorCompat = this.T0;
        if (viewPropertyAnimatorCompat != null) {
            viewPropertyAnimatorCompat.cancel();
            this.T0 = null;
        }
    }

    private void b(View view, int i) {
        performItemClick(view, i, getItemIdAtPosition(i));
    }

    private void c(Canvas canvas) {
        Drawable selector;
        if (!this.I0.isEmpty() && (selector = getSelector()) != null) {
            selector.setBounds(this.I0);
            selector.draw(canvas);
        }
    }

    private void g(int i, View view) {
        Rect rect = this.I0;
        rect.set(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
        rect.left -= this.J0;
        rect.top -= this.K0;
        rect.right += this.L0;
        rect.bottom += this.M0;
        try {
            boolean z = this.O0.getBoolean(this);
            if (view.isEnabled() != z) {
                this.O0.set(this, Boolean.valueOf(!z));
                if (i != -1) {
                    refreshDrawableState();
                }
            }
        } catch (IllegalAccessException e2) {
            e2.printStackTrace();
        }
    }

    private void h(int i, View view) {
        Drawable selector = getSelector();
        boolean z = true;
        boolean z2 = (selector == null || i == -1) ? false : true;
        if (z2) {
            selector.setVisible(false, false);
        }
        g(i, view);
        if (z2) {
            Rect rect = this.I0;
            float exactCenterX = rect.exactCenterX();
            float exactCenterY = rect.exactCenterY();
            if (getVisibility() != 0) {
                z = false;
            }
            selector.setVisible(z, false);
            androidx.core.graphics.drawable.c.k(selector, exactCenterX, exactCenterY);
        }
    }

    private void i(int i, View view, float f, float f2) {
        h(i, view);
        Drawable selector = getSelector();
        if (selector != null && i != -1) {
            androidx.core.graphics.drawable.c.k(selector, f, f2);
        }
    }

    private void j(View view, int i, float f, float f2) {
        View childAt;
        this.S0 = true;
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 21) {
            drawableHotspotChanged(f, f2);
        }
        if (!isPressed()) {
            setPressed(true);
        }
        layoutChildren();
        int i3 = this.N0;
        if (!(i3 == -1 || (childAt = getChildAt(i3 - getFirstVisiblePosition())) == null || childAt == view || !childAt.isPressed())) {
            childAt.setPressed(false);
        }
        this.N0 = i;
        float left = f - ((float) view.getLeft());
        float top2 = f2 - ((float) view.getTop());
        if (i2 >= 21) {
            view.drawableHotspotChanged(left, top2);
        }
        if (!view.isPressed()) {
            view.setPressed(true);
        }
        i(i, view, f, f2);
        setSelectorEnabled(false);
        refreshDrawableState();
    }

    private boolean k() {
        return this.S0;
    }

    private void l() {
        Drawable selector = getSelector();
        if (selector != null && k() && isPressed()) {
            selector.setState(getDrawableState());
        }
    }

    private void setSelectorEnabled(boolean z) {
        a aVar = this.P0;
        if (aVar != null) {
            aVar.c(z);
        }
    }

    public int d(int i, boolean z) {
        int i2;
        ListAdapter adapter = getAdapter();
        if (adapter != null && !isInTouchMode()) {
            int count = adapter.getCount();
            if (!getAdapter().areAllItemsEnabled()) {
                if (z) {
                    i2 = Math.max(0, i);
                    while (i2 < count && !adapter.isEnabled(i2)) {
                        i2++;
                    }
                } else {
                    i2 = Math.min(i, count - 1);
                    while (i2 >= 0 && !adapter.isEnabled(i2)) {
                        i2--;
                    }
                }
                if (i2 < 0 || i2 >= count) {
                    return -1;
                }
                return i2;
            } else if (i < 0 || i >= count) {
                return -1;
            } else {
                return i;
            }
        }
        return -1;
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(Canvas canvas) {
        c(canvas);
        super.dispatchDraw(canvas);
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        if (this.V0 == null) {
            super.drawableStateChanged();
            setSelectorEnabled(true);
            l();
        }
    }

    public int e(int i, int i2, int i3, int i4, int i5) {
        int i6;
        int listPaddingTop = getListPaddingTop();
        int listPaddingBottom = getListPaddingBottom();
        int dividerHeight = getDividerHeight();
        Drawable divider = getDivider();
        ListAdapter adapter = getAdapter();
        if (adapter == null) {
            return listPaddingTop + listPaddingBottom;
        }
        int i7 = listPaddingTop + listPaddingBottom;
        if (dividerHeight <= 0 || divider == null) {
            dividerHeight = 0;
        }
        int count = adapter.getCount();
        View view = null;
        int i8 = 0;
        int i9 = 0;
        int i10 = 0;
        while (i8 < count) {
            int itemViewType = adapter.getItemViewType(i8);
            if (itemViewType != i9) {
                view = null;
                i9 = itemViewType;
            }
            view = adapter.getView(i8, view, this);
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (layoutParams == null) {
                layoutParams = generateDefaultLayoutParams();
                view.setLayoutParams(layoutParams);
            }
            int i11 = layoutParams.height;
            if (i11 > 0) {
                i6 = View.MeasureSpec.makeMeasureSpec(i11, 1073741824);
            } else {
                i6 = View.MeasureSpec.makeMeasureSpec(0, 0);
            }
            view.measure(i, i6);
            view.forceLayout();
            if (i8 > 0) {
                i7 += dividerHeight;
            }
            i7 += view.getMeasuredHeight();
            if (i7 >= i4) {
                return (i5 < 0 || i8 <= i5 || i10 <= 0 || i7 == i4) ? i4 : i10;
            }
            if (i5 >= 0 && i8 >= i5) {
                i10 = i7;
            }
            i8++;
        }
        return i7;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:5:0x000c, code lost:
        if (r0 != 3) goto L_0x000e;
     */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x001e  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x004f  */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x0065  */
    public boolean f(MotionEvent motionEvent, int i) {
        boolean z;
        boolean z2;
        int findPointerIndex;
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 1) {
            z2 = false;
            findPointerIndex = motionEvent.findPointerIndex(i);
            if (findPointerIndex >= 0) {
            }
            z = false;
            z2 = false;
            a();
            if (!z2) {
            }
            return z2;
        } else if (actionMasked == 2) {
            z2 = true;
            findPointerIndex = motionEvent.findPointerIndex(i);
            if (findPointerIndex >= 0) {
                int x = (int) motionEvent.getX(findPointerIndex);
                int y = (int) motionEvent.getY(findPointerIndex);
                int pointToPosition = pointToPosition(x, y);
                if (pointToPosition == -1) {
                    z = true;
                    if (!z2 || z) {
                        a();
                    }
                    if (!z2) {
                        if (this.U0 == null) {
                            this.U0 = new l(this);
                        }
                        this.U0.o(true);
                        this.U0.onTouch(this, motionEvent);
                    } else {
                        l lVar = this.U0;
                        if (lVar != null) {
                            lVar.o(false);
                        }
                    }
                    return z2;
                }
                View childAt = getChildAt(pointToPosition - getFirstVisiblePosition());
                j(childAt, pointToPosition, (float) x, (float) y);
                if (actionMasked == 1) {
                    b(childAt, pointToPosition);
                }
            }
            z = false;
            z2 = false;
            a();
            if (!z2) {
            }
            return z2;
        }
        z = false;
        z2 = true;
        a();
        if (!z2) {
        }
        return z2;
    }

    public boolean hasFocus() {
        return this.R0 || super.hasFocus();
    }

    public boolean hasWindowFocus() {
        return this.R0 || super.hasWindowFocus();
    }

    public boolean isFocused() {
        return this.R0 || super.isFocused();
    }

    public boolean isInTouchMode() {
        return (this.R0 && this.Q0) || super.isInTouchMode();
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        this.V0 = null;
        super.onDetachedFromWindow();
    }

    public boolean onHoverEvent(@NonNull MotionEvent motionEvent) {
        if (Build.VERSION.SDK_INT < 26) {
            return super.onHoverEvent(motionEvent);
        }
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 10 && this.V0 == null) {
            b bVar = new b();
            this.V0 = bVar;
            bVar.b();
        }
        boolean onHoverEvent = super.onHoverEvent(motionEvent);
        if (actionMasked == 9 || actionMasked == 7) {
            int pointToPosition = pointToPosition((int) motionEvent.getX(), (int) motionEvent.getY());
            if (!(pointToPosition == -1 || pointToPosition == getSelectedItemPosition())) {
                View childAt = getChildAt(pointToPosition - getFirstVisiblePosition());
                if (childAt.isEnabled()) {
                    setSelectionFromTop(pointToPosition, childAt.getTop() - getTop());
                }
                l();
            }
        } else {
            setSelection(-1);
        }
        return onHoverEvent;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (motionEvent.getAction() == 0) {
            this.N0 = pointToPosition((int) motionEvent.getX(), (int) motionEvent.getY());
        }
        b bVar = this.V0;
        if (bVar != null) {
            bVar.a();
        }
        return super.onTouchEvent(motionEvent);
    }

    /* access modifiers changed from: package-private */
    public void setListSelectionHidden(boolean z) {
        this.Q0 = z;
    }

    @Override // android.widget.AbsListView
    public void setSelector(Drawable drawable) {
        a aVar = drawable != null ? new a(drawable) : null;
        this.P0 = aVar;
        super.setSelector(aVar);
        Rect rect = new Rect();
        if (drawable != null) {
            drawable.getPadding(rect);
        }
        this.J0 = rect.left;
        this.K0 = rect.top;
        this.L0 = rect.right;
        this.M0 = rect.bottom;
    }
}
