package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.XmlResourceParser;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.util.Xml;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.appcompat.resources.R;
import b.b.g;
import b.b.i;
import b.b.j;
import java.lang.ref.WeakReference;
import java.util.WeakHashMap;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: ResourceManagerInternal */
public final class v {

    /* renamed from: a  reason: collision with root package name */
    private static final String f563a = "ResourceManagerInternal";

    /* renamed from: b  reason: collision with root package name */
    private static final boolean f564b = false;

    /* renamed from: c  reason: collision with root package name */
    private static final PorterDuff.Mode f565c = PorterDuff.Mode.SRC_IN;

    /* renamed from: d  reason: collision with root package name */
    private static final String f566d = "appcompat_skip_skip";

    /* renamed from: e  reason: collision with root package name */
    private static final String f567e = "android.graphics.drawable.VectorDrawable";
    private static v f;
    private static final c g = new c(6);
    private WeakHashMap<Context, j<ColorStateList>> h;
    private i<String, d> i;
    private j<String> j;
    private final WeakHashMap<Context, b.b.f<WeakReference<Drawable.ConstantState>>> k = new WeakHashMap<>(0);
    private TypedValue l;
    private boolean m;
    private e n;

    /* access modifiers changed from: package-private */
    @RequiresApi(11)
    /* compiled from: ResourceManagerInternal */
    public static class a implements d {
        a() {
        }

        @Override // androidx.appcompat.widget.v.d
        public Drawable a(@NonNull Context context, @NonNull XmlPullParser xmlPullParser, @NonNull AttributeSet attributeSet, @Nullable Resources.Theme theme) {
            try {
                return androidx.appcompat.graphics.drawable.a.C(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e2) {
                Log.e("AsldcInflateDelegate", "Exception while inflating <animated-selector>", e2);
                return null;
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ResourceManagerInternal */
    public static class b implements d {
        b() {
        }

        @Override // androidx.appcompat.widget.v.d
        public Drawable a(@NonNull Context context, @NonNull XmlPullParser xmlPullParser, @NonNull AttributeSet attributeSet, @Nullable Resources.Theme theme) {
            try {
                return androidx.vectordrawable.a.a.c.f(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e2) {
                Log.e("AvdcInflateDelegate", "Exception while inflating <animated-vector>", e2);
                return null;
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ResourceManagerInternal */
    public static class c extends g<Integer, PorterDuffColorFilter> {
        public c(int i) {
            super(i);
        }

        private static int s(int i, PorterDuff.Mode mode) {
            return ((i + 31) * 31) + mode.hashCode();
        }

        /* access modifiers changed from: package-private */
        public PorterDuffColorFilter t(int i, PorterDuff.Mode mode) {
            return (PorterDuffColorFilter) f(Integer.valueOf(s(i, mode)));
        }

        /* access modifiers changed from: package-private */
        public PorterDuffColorFilter u(int i, PorterDuff.Mode mode, PorterDuffColorFilter porterDuffColorFilter) {
            return (PorterDuffColorFilter) j(Integer.valueOf(s(i, mode)), porterDuffColorFilter);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ResourceManagerInternal */
    public interface d {
        Drawable a(@NonNull Context context, @NonNull XmlPullParser xmlPullParser, @NonNull AttributeSet attributeSet, @Nullable Resources.Theme theme);
    }

    /* access modifiers changed from: package-private */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    /* compiled from: ResourceManagerInternal */
    public interface e {
        boolean a(@NonNull Context context, @DrawableRes int i, @NonNull Drawable drawable);

        PorterDuff.Mode b(int i);

        Drawable c(@NonNull v vVar, @NonNull Context context, @DrawableRes int i);

        ColorStateList d(@NonNull Context context, @DrawableRes int i);

        boolean e(@NonNull Context context, @DrawableRes int i, @NonNull Drawable drawable);
    }

    /* access modifiers changed from: private */
    /* compiled from: ResourceManagerInternal */
    public static class f implements d {
        f() {
        }

        @Override // androidx.appcompat.widget.v.d
        public Drawable a(@NonNull Context context, @NonNull XmlPullParser xmlPullParser, @NonNull AttributeSet attributeSet, @Nullable Resources.Theme theme) {
            try {
                return androidx.vectordrawable.a.a.i.f(context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e2) {
                Log.e("VdcInflateDelegate", "Exception while inflating <vector>", e2);
                return null;
            }
        }
    }

    private void a(@NonNull String str, @NonNull d dVar) {
        if (this.i == null) {
            this.i = new i<>();
        }
        this.i.put(str, dVar);
    }

    private synchronized boolean b(@NonNull Context context, long j2, @NonNull Drawable drawable) {
        Drawable.ConstantState constantState = drawable.getConstantState();
        if (constantState == null) {
            return false;
        }
        b.b.f<WeakReference<Drawable.ConstantState>> fVar = this.k.get(context);
        if (fVar == null) {
            fVar = new b.b.f<>();
            this.k.put(context, fVar);
        }
        fVar.t(j2, new WeakReference<>(constantState));
        return true;
    }

    private void c(@NonNull Context context, @DrawableRes int i2, @NonNull ColorStateList colorStateList) {
        if (this.h == null) {
            this.h = new WeakHashMap<>();
        }
        j<ColorStateList> jVar = this.h.get(context);
        if (jVar == null) {
            jVar = new j<>();
            this.h.put(context, jVar);
        }
        jVar.a(i2, colorStateList);
    }

    private void d(@NonNull Context context) {
        if (!this.m) {
            this.m = true;
            Drawable j2 = j(context, R.drawable.abc_vector_test);
            if (j2 == null || !q(j2)) {
                this.m = false;
                throw new IllegalStateException("This app has been built with an incorrect configuration. Please configure your build for VectorDrawableCompat.");
            }
        }
    }

    private static long e(TypedValue typedValue) {
        return (((long) typedValue.assetCookie) << 32) | ((long) typedValue.data);
    }

    private Drawable f(@NonNull Context context, @DrawableRes int i2) {
        Drawable drawable;
        if (this.l == null) {
            this.l = new TypedValue();
        }
        TypedValue typedValue = this.l;
        context.getResources().getValue(i2, typedValue, true);
        long e2 = e(typedValue);
        Drawable i3 = i(context, e2);
        if (i3 != null) {
            return i3;
        }
        e eVar = this.n;
        if (eVar == null) {
            drawable = null;
        } else {
            drawable = eVar.c(this, context, i2);
        }
        if (drawable != null) {
            drawable.setChangingConfigurations(typedValue.changingConfigurations);
            b(context, e2, drawable);
        }
        return drawable;
    }

    private static PorterDuffColorFilter g(ColorStateList colorStateList, PorterDuff.Mode mode, int[] iArr) {
        if (colorStateList == null || mode == null) {
            return null;
        }
        return l(colorStateList.getColorForState(iArr, 0), mode);
    }

    public static synchronized v h() {
        v vVar;
        synchronized (v.class) {
            if (f == null) {
                v vVar2 = new v();
                f = vVar2;
                p(vVar2);
            }
            vVar = f;
        }
        return vVar;
    }

    private synchronized Drawable i(@NonNull Context context, long j2) {
        b.b.f<WeakReference<Drawable.ConstantState>> fVar = this.k.get(context);
        if (fVar == null) {
            return null;
        }
        WeakReference<Drawable.ConstantState> m2 = fVar.m(j2);
        if (m2 != null) {
            Drawable.ConstantState constantState = m2.get();
            if (constantState != null) {
                return constantState.newDrawable(context.getResources());
            }
            fVar.w(j2);
        }
        return null;
    }

    public static synchronized PorterDuffColorFilter l(int i2, PorterDuff.Mode mode) {
        PorterDuffColorFilter t;
        synchronized (v.class) {
            c cVar = g;
            t = cVar.t(i2, mode);
            if (t == null) {
                t = new PorterDuffColorFilter(i2, mode);
                cVar.u(i2, mode, t);
            }
        }
        return t;
    }

    private ColorStateList n(@NonNull Context context, @DrawableRes int i2) {
        j<ColorStateList> jVar;
        WeakHashMap<Context, j<ColorStateList>> weakHashMap = this.h;
        if (weakHashMap == null || (jVar = weakHashMap.get(context)) == null) {
            return null;
        }
        return jVar.m(i2);
    }

    private static void p(@NonNull v vVar) {
        if (Build.VERSION.SDK_INT < 24) {
            vVar.a("vector", new f());
            vVar.a("animated-vector", new b());
            vVar.a("animated-selector", new a());
        }
    }

    private static boolean q(@NonNull Drawable drawable) {
        return (drawable instanceof androidx.vectordrawable.a.a.i) || f567e.equals(drawable.getClass().getName());
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x0073 A[Catch:{ Exception -> 0x00a2 }] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x009a A[Catch:{ Exception -> 0x00a2 }] */
    private Drawable r(@NonNull Context context, @DrawableRes int i2) {
        int next;
        i<String, d> iVar = this.i;
        if (iVar == null || iVar.isEmpty()) {
            return null;
        }
        j<String> jVar = this.j;
        if (jVar != null) {
            String m2 = jVar.m(i2);
            if (f566d.equals(m2) || (m2 != null && this.i.get(m2) == null)) {
                return null;
            }
        } else {
            this.j = new j<>();
        }
        if (this.l == null) {
            this.l = new TypedValue();
        }
        TypedValue typedValue = this.l;
        Resources resources = context.getResources();
        resources.getValue(i2, typedValue, true);
        long e2 = e(typedValue);
        Drawable i3 = i(context, e2);
        if (i3 != null) {
            return i3;
        }
        CharSequence charSequence = typedValue.string;
        if (charSequence != null && charSequence.toString().endsWith(".xml")) {
            try {
                XmlResourceParser xml = resources.getXml(i2);
                AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
                while (true) {
                    next = xml.next();
                    if (next == 2 || next == 1) {
                        if (next != 2) {
                            String name = xml.getName();
                            this.j.a(i2, name);
                            d dVar = this.i.get(name);
                            if (dVar != null) {
                                i3 = dVar.a(context, xml, asAttributeSet, context.getTheme());
                            }
                            if (i3 != null) {
                                i3.setChangingConfigurations(typedValue.changingConfigurations);
                                b(context, e2, i3);
                            }
                        } else {
                            throw new XmlPullParserException("No start tag found");
                        }
                    }
                }
                if (next != 2) {
                }
            } catch (Exception e3) {
                Log.e(f563a, "Exception while inflating drawable", e3);
            }
        }
        if (i3 == null) {
            this.j.a(i2, f566d);
        }
        return i3;
    }

    private Drawable v(@NonNull Context context, @DrawableRes int i2, boolean z, @NonNull Drawable drawable) {
        ColorStateList m2 = m(context, i2);
        if (m2 != null) {
            if (p.a(drawable)) {
                drawable = drawable.mutate();
            }
            Drawable r = androidx.core.graphics.drawable.c.r(drawable);
            androidx.core.graphics.drawable.c.o(r, m2);
            PorterDuff.Mode o = o(i2);
            if (o == null) {
                return r;
            }
            androidx.core.graphics.drawable.c.p(r, o);
            return r;
        }
        e eVar = this.n;
        if ((eVar == null || !eVar.e(context, i2, drawable)) && !x(context, i2, drawable) && z) {
            return null;
        }
        return drawable;
    }

    static void w(Drawable drawable, d0 d0Var, int[] iArr) {
        if (!p.a(drawable) || drawable.mutate() == drawable) {
            boolean z = d0Var.f474d;
            if (z || d0Var.f473c) {
                drawable.setColorFilter(g(z ? d0Var.f471a : null, d0Var.f473c ? d0Var.f472b : f565c, iArr));
            } else {
                drawable.clearColorFilter();
            }
            if (Build.VERSION.SDK_INT <= 23) {
                drawable.invalidateSelf();
                return;
            }
            return;
        }
        Log.d(f563a, "Mutated drawable is not the same instance as the input.");
    }

    public synchronized Drawable j(@NonNull Context context, @DrawableRes int i2) {
        return k(context, i2, false);
    }

    /* access modifiers changed from: package-private */
    public synchronized Drawable k(@NonNull Context context, @DrawableRes int i2, boolean z) {
        Drawable r;
        d(context);
        r = r(context, i2);
        if (r == null) {
            r = f(context, i2);
        }
        if (r == null) {
            r = androidx.core.content.d.i(context, i2);
        }
        if (r != null) {
            r = v(context, i2, z, r);
        }
        if (r != null) {
            p.b(r);
        }
        return r;
    }

    /* access modifiers changed from: package-private */
    public synchronized ColorStateList m(@NonNull Context context, @DrawableRes int i2) {
        ColorStateList n2;
        n2 = n(context, i2);
        if (n2 == null) {
            e eVar = this.n;
            n2 = eVar == null ? null : eVar.d(context, i2);
            if (n2 != null) {
                c(context, i2, n2);
            }
        }
        return n2;
    }

    /* access modifiers changed from: package-private */
    public PorterDuff.Mode o(int i2) {
        e eVar = this.n;
        if (eVar == null) {
            return null;
        }
        return eVar.b(i2);
    }

    public synchronized void s(@NonNull Context context) {
        b.b.f<WeakReference<Drawable.ConstantState>> fVar = this.k.get(context);
        if (fVar != null) {
            fVar.b();
        }
    }

    /* access modifiers changed from: package-private */
    public synchronized Drawable t(@NonNull Context context, @NonNull k0 k0Var, @DrawableRes int i2) {
        Drawable r = r(context, i2);
        if (r == null) {
            r = k0Var.d(i2);
        }
        if (r == null) {
            return null;
        }
        return v(context, i2, false, r);
    }

    public synchronized void u(e eVar) {
        this.n = eVar;
    }

    /* access modifiers changed from: package-private */
    public boolean x(@NonNull Context context, @DrawableRes int i2, @NonNull Drawable drawable) {
        e eVar = this.n;
        return eVar != null && eVar.a(context, i2, drawable);
    }
}
