package androidx.appcompat.widget;

import android.annotation.SuppressLint;
import android.app.SearchableInfo;
import android.content.ComponentName;
import android.content.Context;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.database.Cursor;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Bundle;
import android.text.SpannableString;
import android.text.TextUtils;
import android.text.style.TextAppearanceSpan;
import android.util.Log;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.appcompat.R;
import androidx.core.content.d;
import b.d.b.c;
import com.google.firebase.analytics.FirebaseAnalytics;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;
import java.util.WeakHashMap;

@SuppressLint({"RestrictedAPI"})
/* compiled from: SuggestionsAdapter */
class z extends c implements View.OnClickListener {
    private static final boolean U0 = false;
    private static final String V0 = "SuggestionsAdapter";
    private static final int W0 = 50;
    static final int X0 = 0;
    static final int Y0 = 1;
    static final int Z0 = 2;
    static final int a1 = -1;
    private final SearchView b1;
    private final SearchableInfo c1;
    private final Context d1;
    private final WeakHashMap<String, Drawable.ConstantState> e1;
    private final int f1;
    private boolean g1 = false;
    private int h1 = 1;
    private ColorStateList i1;
    private int j1 = -1;
    private int k1 = -1;
    private int l1 = -1;
    private int m1 = -1;
    private int n1 = -1;
    private int o1 = -1;

    /* access modifiers changed from: private */
    /* compiled from: SuggestionsAdapter */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        public final TextView f581a;

        /* renamed from: b  reason: collision with root package name */
        public final TextView f582b;

        /* renamed from: c  reason: collision with root package name */
        public final ImageView f583c;

        /* renamed from: d  reason: collision with root package name */
        public final ImageView f584d;

        /* renamed from: e  reason: collision with root package name */
        public final ImageView f585e;

        public a(View view) {
            this.f581a = (TextView) view.findViewById(16908308);
            this.f582b = (TextView) view.findViewById(16908309);
            this.f583c = (ImageView) view.findViewById(16908295);
            this.f584d = (ImageView) view.findViewById(16908296);
            this.f585e = (ImageView) view.findViewById(R.id.edit_query);
        }
    }

    public z(Context context, SearchView searchView, SearchableInfo searchableInfo, WeakHashMap<String, Drawable.ConstantState> weakHashMap) {
        super(context, searchView.getSuggestionRowLayout(), (Cursor) null, true);
        this.b1 = searchView;
        this.c1 = searchableInfo;
        this.f1 = searchView.getSuggestionCommitIconResId();
        this.d1 = context;
        this.e1 = weakHashMap;
    }

    private Drawable A(Cursor cursor) {
        int i = this.n1;
        if (i == -1) {
            return null;
        }
        return y(cursor.getString(i));
    }

    private static String D(Cursor cursor, int i) {
        if (i == -1) {
            return null;
        }
        try {
            return cursor.getString(i);
        } catch (Exception e2) {
            Log.e(V0, "unexpected error retrieving valid column from cursor, did the remote process die?", e2);
            return null;
        }
    }

    private void F(ImageView imageView, Drawable drawable, int i) {
        imageView.setImageDrawable(drawable);
        if (drawable == null) {
            imageView.setVisibility(i);
            return;
        }
        imageView.setVisibility(0);
        drawable.setVisible(false, false);
        drawable.setVisible(true, false);
    }

    private void G(TextView textView, CharSequence charSequence) {
        textView.setText(charSequence);
        if (TextUtils.isEmpty(charSequence)) {
            textView.setVisibility(8);
        } else {
            textView.setVisibility(0);
        }
    }

    private void H(String str, Drawable drawable) {
        if (drawable != null) {
            this.e1.put(str, drawable.getConstantState());
        }
    }

    private void I(Cursor cursor) {
        Bundle extras = cursor != null ? cursor.getExtras() : null;
        if (extras == null || extras.getBoolean("in_progress")) {
        }
    }

    private Drawable p(String str) {
        Drawable.ConstantState constantState = this.e1.get(str);
        if (constantState == null) {
            return null;
        }
        return constantState.newDrawable();
    }

    private CharSequence r(CharSequence charSequence) {
        if (this.i1 == null) {
            TypedValue typedValue = new TypedValue();
            this.L0.getTheme().resolveAttribute(R.attr.textColorSearchUrl, typedValue, true);
            this.i1 = this.L0.getResources().getColorStateList(typedValue.resourceId);
        }
        SpannableString spannableString = new SpannableString(charSequence);
        spannableString.setSpan(new TextAppearanceSpan(null, 0, 0, this.i1, null), 0, charSequence.length(), 33);
        return spannableString;
    }

    private Drawable s(ComponentName componentName) {
        PackageManager packageManager = this.L0.getPackageManager();
        try {
            ActivityInfo activityInfo = packageManager.getActivityInfo(componentName, 128);
            int iconResource = activityInfo.getIconResource();
            if (iconResource == 0) {
                return null;
            }
            Drawable drawable = packageManager.getDrawable(componentName.getPackageName(), iconResource, activityInfo.applicationInfo);
            if (drawable != null) {
                return drawable;
            }
            Log.w(V0, "Invalid icon resource " + iconResource + " for " + componentName.flattenToShortString());
            return null;
        } catch (PackageManager.NameNotFoundException e2) {
            Log.w(V0, e2.toString());
            return null;
        }
    }

    private Drawable t(ComponentName componentName) {
        String flattenToShortString = componentName.flattenToShortString();
        Drawable.ConstantState constantState = null;
        if (this.e1.containsKey(flattenToShortString)) {
            Drawable.ConstantState constantState2 = this.e1.get(flattenToShortString);
            if (constantState2 == null) {
                return null;
            }
            return constantState2.newDrawable(this.d1.getResources());
        }
        Drawable s = s(componentName);
        if (s != null) {
            constantState = s.getConstantState();
        }
        this.e1.put(flattenToShortString, constantState);
        return s;
    }

    public static String u(Cursor cursor, String str) {
        return D(cursor, cursor.getColumnIndex(str));
    }

    private Drawable v() {
        Drawable t = t(this.c1.getSearchActivity());
        if (t != null) {
            return t;
        }
        return this.L0.getPackageManager().getDefaultActivityIcon();
    }

    private Drawable w(Uri uri) {
        try {
            if ("android.resource".equals(uri.getScheme())) {
                try {
                    return x(uri);
                } catch (Resources.NotFoundException unused) {
                    throw new FileNotFoundException("Resource does not exist: " + uri);
                }
            } else {
                InputStream openInputStream = this.d1.getContentResolver().openInputStream(uri);
                if (openInputStream != null) {
                    try {
                        return Drawable.createFromStream(openInputStream, null);
                    } finally {
                        try {
                            openInputStream.close();
                        } catch (IOException e2) {
                            Log.e(V0, "Error closing icon stream for " + uri, e2);
                        }
                    }
                } else {
                    throw new FileNotFoundException("Failed to open " + uri);
                }
            }
        } catch (FileNotFoundException e3) {
            Log.w(V0, "Icon not found: " + uri + ", " + e3.getMessage());
            return null;
        }
    }

    private Drawable y(String str) {
        if (str == null || str.isEmpty() || "0".equals(str)) {
            return null;
        }
        try {
            int parseInt = Integer.parseInt(str);
            String str2 = "android.resource://" + this.d1.getPackageName() + "/" + parseInt;
            Drawable p = p(str2);
            if (p != null) {
                return p;
            }
            Drawable i = d.i(this.d1, parseInt);
            H(str2, i);
            return i;
        } catch (NumberFormatException unused) {
            Drawable p2 = p(str);
            if (p2 != null) {
                return p2;
            }
            Drawable w = w(Uri.parse(str));
            H(str, w);
            return w;
        } catch (Resources.NotFoundException unused2) {
            Log.w(V0, "Icon resource not found: " + str);
            return null;
        }
    }

    private Drawable z(Cursor cursor) {
        int i = this.m1;
        if (i == -1) {
            return null;
        }
        Drawable y = y(cursor.getString(i));
        if (y != null) {
            return y;
        }
        return v();
    }

    public int B() {
        return this.h1;
    }

    /* access modifiers changed from: package-private */
    public Cursor C(SearchableInfo searchableInfo, String str, int i) {
        String suggestAuthority;
        String[] strArr = null;
        if (searchableInfo == null || (suggestAuthority = searchableInfo.getSuggestAuthority()) == null) {
            return null;
        }
        Uri.Builder fragment = new Uri.Builder().scheme(FirebaseAnalytics.b.N).authority(suggestAuthority).query("").fragment("");
        String suggestPath = searchableInfo.getSuggestPath();
        if (suggestPath != null) {
            fragment.appendEncodedPath(suggestPath);
        }
        fragment.appendPath("search_suggest_query");
        String suggestSelection = searchableInfo.getSuggestSelection();
        if (suggestSelection != null) {
            strArr = new String[]{str};
        } else {
            fragment.appendPath(str);
        }
        if (i > 0) {
            fragment.appendQueryParameter("limit", String.valueOf(i));
        }
        return this.L0.getContentResolver().query(fragment.build(), null, suggestSelection, strArr, null);
    }

    public void E(int i) {
        this.h1 = i;
    }

    @Override // b.d.b.a, b.d.b.b.a
    public CharSequence a(Cursor cursor) {
        String u;
        String u2;
        if (cursor == null) {
            return null;
        }
        String u3 = u(cursor, "suggest_intent_query");
        if (u3 != null) {
            return u3;
        }
        if (this.c1.shouldRewriteQueryFromData() && (u2 = u(cursor, "suggest_intent_data")) != null) {
            return u2;
        }
        if (!this.c1.shouldRewriteQueryFromText() || (u = u(cursor, "suggest_text_1")) == null) {
            return null;
        }
        return u;
    }

    @Override // b.d.b.a, b.d.b.b.a
    public void b(Cursor cursor) {
        if (this.g1) {
            Log.w(V0, "Tried to change cursor after adapter was closed.");
            if (cursor != null) {
                cursor.close();
                return;
            }
            return;
        }
        try {
            super.b(cursor);
            if (cursor != null) {
                this.j1 = cursor.getColumnIndex("suggest_text_1");
                this.k1 = cursor.getColumnIndex("suggest_text_2");
                this.l1 = cursor.getColumnIndex("suggest_text_2_url");
                this.m1 = cursor.getColumnIndex("suggest_icon_1");
                this.n1 = cursor.getColumnIndex("suggest_icon_2");
                this.o1 = cursor.getColumnIndex("suggest_flags");
            }
        } catch (Exception e2) {
            Log.e(V0, "error changing cursor and caching columns", e2);
        }
    }

    @Override // b.d.b.a, b.d.b.b.a
    public Cursor d(CharSequence charSequence) {
        String charSequence2 = charSequence == null ? "" : charSequence.toString();
        if (this.b1.getVisibility() == 0 && this.b1.getWindowVisibility() == 0) {
            try {
                Cursor C = C(this.c1, charSequence2, 50);
                if (C != null) {
                    C.getCount();
                    return C;
                }
            } catch (RuntimeException e2) {
                Log.w(V0, "Search suggestions query threw an exception.", e2);
            }
        }
        return null;
    }

    @Override // b.d.b.a
    public void e(View view, Context context, Cursor cursor) {
        CharSequence charSequence;
        a aVar = (a) view.getTag();
        int i = this.o1;
        int i2 = i != -1 ? cursor.getInt(i) : 0;
        if (aVar.f581a != null) {
            G(aVar.f581a, D(cursor, this.j1));
        }
        if (aVar.f582b != null) {
            String D = D(cursor, this.l1);
            if (D != null) {
                charSequence = r(D);
            } else {
                charSequence = D(cursor, this.k1);
            }
            if (TextUtils.isEmpty(charSequence)) {
                TextView textView = aVar.f581a;
                if (textView != null) {
                    textView.setSingleLine(false);
                    aVar.f581a.setMaxLines(2);
                }
            } else {
                TextView textView2 = aVar.f581a;
                if (textView2 != null) {
                    textView2.setSingleLine(true);
                    aVar.f581a.setMaxLines(1);
                }
            }
            G(aVar.f582b, charSequence);
        }
        ImageView imageView = aVar.f583c;
        if (imageView != null) {
            F(imageView, z(cursor), 4);
        }
        ImageView imageView2 = aVar.f584d;
        if (imageView2 != null) {
            F(imageView2, A(cursor), 8);
        }
        int i3 = this.h1;
        if (i3 == 2 || (i3 == 1 && (i2 & 1) != 0)) {
            aVar.f585e.setVisibility(0);
            aVar.f585e.setTag(aVar.f581a.getText());
            aVar.f585e.setOnClickListener(this);
            return;
        }
        aVar.f585e.setVisibility(8);
    }

    @Override // b.d.b.a
    public View getDropDownView(int i, View view, ViewGroup viewGroup) {
        try {
            return super.getDropDownView(i, view, viewGroup);
        } catch (RuntimeException e2) {
            Log.w(V0, "Search suggestions cursor threw exception.", e2);
            View i2 = i(this.L0, this.K0, viewGroup);
            if (i2 != null) {
                ((a) i2.getTag()).f581a.setText(e2.toString());
            }
            return i2;
        }
    }

    @Override // b.d.b.a
    public View getView(int i, View view, ViewGroup viewGroup) {
        try {
            return super.getView(i, view, viewGroup);
        } catch (RuntimeException e2) {
            Log.w(V0, "Search suggestions cursor threw exception.", e2);
            View j = j(this.L0, this.K0, viewGroup);
            if (j != null) {
                ((a) j.getTag()).f581a.setText(e2.toString());
            }
            return j;
        }
    }

    @Override // b.d.b.a
    public boolean hasStableIds() {
        return false;
    }

    @Override // b.d.b.a, b.d.b.c
    public View j(Context context, Cursor cursor, ViewGroup viewGroup) {
        View j = super.j(context, cursor, viewGroup);
        j.setTag(new a(j));
        ((ImageView) j.findViewById(R.id.edit_query)).setImageResource(this.f1);
        return j;
    }

    public void notifyDataSetChanged() {
        super.notifyDataSetChanged();
        I(c());
    }

    public void notifyDataSetInvalidated() {
        super.notifyDataSetInvalidated();
        I(c());
    }

    public void onClick(View view) {
        Object tag = view.getTag();
        if (tag instanceof CharSequence) {
            this.b1.onQueryRefine((CharSequence) tag);
        }
    }

    public void q() {
        b(null);
        this.g1 = true;
    }

    /* access modifiers changed from: package-private */
    public Drawable x(Uri uri) throws FileNotFoundException {
        int i;
        String authority = uri.getAuthority();
        if (!TextUtils.isEmpty(authority)) {
            try {
                Resources resourcesForApplication = this.L0.getPackageManager().getResourcesForApplication(authority);
                List<String> pathSegments = uri.getPathSegments();
                if (pathSegments != null) {
                    int size = pathSegments.size();
                    if (size == 1) {
                        try {
                            i = Integer.parseInt(pathSegments.get(0));
                        } catch (NumberFormatException unused) {
                            throw new FileNotFoundException("Single path segment is not a resource ID: " + uri);
                        }
                    } else if (size == 2) {
                        i = resourcesForApplication.getIdentifier(pathSegments.get(1), pathSegments.get(0), authority);
                    } else {
                        throw new FileNotFoundException("More than two path segments: " + uri);
                    }
                    if (i != 0) {
                        return resourcesForApplication.getDrawable(i);
                    }
                    throw new FileNotFoundException("No resource found for: " + uri);
                }
                throw new FileNotFoundException("No path: " + uri);
            } catch (PackageManager.NameNotFoundException unused2) {
                throw new FileNotFoundException("No package found for authority: " + uri);
            }
        } else {
            throw new FileNotFoundException("No authority: " + uri);
        }
    }
}
