package androidx.asynclayoutinflater.a;

import android.content.Context;
import android.os.Handler;
import android.os.Message;
import android.util.AttributeSet;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.LayoutRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.UiThread;
import androidx.core.util.l;
import java.util.Objects;
import java.util.concurrent.ArrayBlockingQueue;

/* compiled from: AsyncLayoutInflater */
public final class a {

    /* renamed from: a  reason: collision with root package name */
    private static final String f586a = "AsyncLayoutInflater";

    /* renamed from: b  reason: collision with root package name */
    LayoutInflater f587b;

    /* renamed from: c  reason: collision with root package name */
    Handler f588c;

    /* renamed from: d  reason: collision with root package name */
    d f589d;

    /* renamed from: e  reason: collision with root package name */
    private Handler.Callback f590e = new C0006a();

    /* renamed from: androidx.asynclayoutinflater.a.a$a  reason: collision with other inner class name */
    /* compiled from: AsyncLayoutInflater */
    class C0006a implements Handler.Callback {
        C0006a() {
        }

        public boolean handleMessage(Message message) {
            c cVar = (c) message.obj;
            if (cVar.f596d == null) {
                cVar.f596d = a.this.f587b.inflate(cVar.f595c, cVar.f594b, false);
            }
            cVar.f597e.a(cVar.f596d, cVar.f595c, cVar.f594b);
            a.this.f589d.d(cVar);
            return true;
        }
    }

    /* compiled from: AsyncLayoutInflater */
    private static class b extends LayoutInflater {

        /* renamed from: a  reason: collision with root package name */
        private static final String[] f592a = {"android.widget.", "android.webkit.", "android.app."};

        b(Context context) {
            super(context);
        }

        public LayoutInflater cloneInContext(Context context) {
            return new b(context);
        }

        /* access modifiers changed from: protected */
        @Override // android.view.LayoutInflater
        public View onCreateView(String str, AttributeSet attributeSet) throws ClassNotFoundException {
            for (String str2 : f592a) {
                try {
                    View createView = createView(str, str2, attributeSet);
                    if (createView != null) {
                        return createView;
                    }
                } catch (ClassNotFoundException unused) {
                }
            }
            return super.onCreateView(str, attributeSet);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AsyncLayoutInflater */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        a f593a;

        /* renamed from: b  reason: collision with root package name */
        ViewGroup f594b;

        /* renamed from: c  reason: collision with root package name */
        int f595c;

        /* renamed from: d  reason: collision with root package name */
        View f596d;

        /* renamed from: e  reason: collision with root package name */
        e f597e;

        c() {
        }
    }

    /* compiled from: AsyncLayoutInflater */
    private static class d extends Thread {

        /* renamed from: a  reason: collision with root package name */
        private static final d f598a;
        private l.c<c> I0 = new l.c<>(10);

        /* renamed from: b  reason: collision with root package name */
        private ArrayBlockingQueue<c> f599b = new ArrayBlockingQueue<>(10);

        static {
            d dVar = new d();
            f598a = dVar;
            dVar.start();
        }

        private d() {
        }

        public static d b() {
            return f598a;
        }

        public void a(c cVar) {
            try {
                this.f599b.put(cVar);
            } catch (InterruptedException e2) {
                throw new RuntimeException("Failed to enqueue async inflate request", e2);
            }
        }

        public c c() {
            c b2 = this.I0.b();
            return b2 == null ? new c() : b2;
        }

        public void d(c cVar) {
            cVar.f597e = null;
            cVar.f593a = null;
            cVar.f594b = null;
            cVar.f595c = 0;
            cVar.f596d = null;
            this.I0.a(cVar);
        }

        public void e() {
            try {
                c take = this.f599b.take();
                try {
                    take.f596d = take.f593a.f587b.inflate(take.f595c, take.f594b, false);
                } catch (RuntimeException e2) {
                    Log.w(a.f586a, "Failed to inflate resource in the background! Retrying on the UI thread", e2);
                }
                Message.obtain(take.f593a.f588c, 0, take).sendToTarget();
            } catch (InterruptedException e3) {
                Log.w(a.f586a, e3);
            }
        }

        public void run() {
            while (true) {
                e();
            }
        }
    }

    /* compiled from: AsyncLayoutInflater */
    public interface e {
        void a(@NonNull View view, @LayoutRes int i, @Nullable ViewGroup viewGroup);
    }

    public a(@NonNull Context context) {
        this.f587b = new b(context);
        this.f588c = new Handler(this.f590e);
        this.f589d = d.b();
    }

    @UiThread
    public void a(@LayoutRes int i, @Nullable ViewGroup viewGroup, @NonNull e eVar) {
        Objects.requireNonNull(eVar, "callback argument may not be null!");
        c c2 = this.f589d.c();
        c2.f593a = this;
        c2.f595c = i;
        c2.f594b = viewGroup;
        c2.f597e = eVar;
        this.f589d.a(c2);
    }
}
