package androidx.cardview.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Color;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.widget.FrameLayout;
import androidx.annotation.ColorInt;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.cardview.R;

public class CardView extends FrameLayout {

    /* renamed from: a  reason: collision with root package name */
    private static final int[] f1438a = {16842801};

    /* renamed from: b  reason: collision with root package name */
    private static final e f1439b;
    private boolean I0;
    private boolean J0;
    int K0;
    int L0;
    final Rect M0;
    final Rect N0;
    private final d O0;

    class a implements d {

        /* renamed from: a  reason: collision with root package name */
        private Drawable f1440a;

        a() {
        }

        @Override // androidx.cardview.widget.d
        public void b(int i, int i2, int i3, int i4) {
            CardView.this.N0.set(i, i2, i3, i4);
            CardView cardView = CardView.this;
            Rect rect = cardView.M0;
            CardView.super.setPadding(i + rect.left, i2 + rect.top, i3 + rect.right, i4 + rect.bottom);
        }

        @Override // androidx.cardview.widget.d
        public void c(int i, int i2) {
            CardView cardView = CardView.this;
            if (i > cardView.K0) {
                CardView.super.setMinimumWidth(i);
            }
            CardView cardView2 = CardView.this;
            if (i2 > cardView2.L0) {
                CardView.super.setMinimumHeight(i2);
            }
        }

        @Override // androidx.cardview.widget.d
        public void d(Drawable drawable) {
            this.f1440a = drawable;
            CardView.this.setBackgroundDrawable(drawable);
        }

        @Override // androidx.cardview.widget.d
        public boolean e() {
            return CardView.this.getPreventCornerOverlap();
        }

        @Override // androidx.cardview.widget.d
        public boolean f() {
            return CardView.this.getUseCompatPadding();
        }

        @Override // androidx.cardview.widget.d
        public Drawable g() {
            return this.f1440a;
        }

        @Override // androidx.cardview.widget.d
        public View h() {
            return CardView.this;
        }
    }

    static {
        int i = Build.VERSION.SDK_INT;
        if (i >= 21) {
            f1439b = new b();
        } else if (i >= 17) {
            f1439b = new a();
        } else {
            f1439b = new c();
        }
        f1439b.j();
    }

    public CardView(@NonNull Context context) {
        this(context, null);
    }

    @NonNull
    public ColorStateList getCardBackgroundColor() {
        return f1439b.h(this.O0);
    }

    public float getCardElevation() {
        return f1439b.c(this.O0);
    }

    @Px
    public int getContentPaddingBottom() {
        return this.M0.bottom;
    }

    @Px
    public int getContentPaddingLeft() {
        return this.M0.left;
    }

    @Px
    public int getContentPaddingRight() {
        return this.M0.right;
    }

    @Px
    public int getContentPaddingTop() {
        return this.M0.top;
    }

    public float getMaxCardElevation() {
        return f1439b.g(this.O0);
    }

    public boolean getPreventCornerOverlap() {
        return this.J0;
    }

    public float getRadius() {
        return f1439b.d(this.O0);
    }

    public boolean getUseCompatPadding() {
        return this.I0;
    }

    public void h(@Px int i, @Px int i2, @Px int i3, @Px int i4) {
        this.M0.set(i, i2, i3, i4);
        f1439b.i(this.O0);
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        e eVar = f1439b;
        if (!(eVar instanceof b)) {
            int mode = View.MeasureSpec.getMode(i);
            if (mode == Integer.MIN_VALUE || mode == 1073741824) {
                i = View.MeasureSpec.makeMeasureSpec(Math.max((int) Math.ceil((double) eVar.l(this.O0)), View.MeasureSpec.getSize(i)), mode);
            }
            int mode2 = View.MeasureSpec.getMode(i2);
            if (mode2 == Integer.MIN_VALUE || mode2 == 1073741824) {
                i2 = View.MeasureSpec.makeMeasureSpec(Math.max((int) Math.ceil((double) eVar.k(this.O0)), View.MeasureSpec.getSize(i2)), mode2);
            }
            super.onMeasure(i, i2);
            return;
        }
        super.onMeasure(i, i2);
    }

    public void setCardBackgroundColor(@ColorInt int i) {
        f1439b.n(this.O0, ColorStateList.valueOf(i));
    }

    public void setCardElevation(float f) {
        f1439b.f(this.O0, f);
    }

    public void setMaxCardElevation(float f) {
        f1439b.o(this.O0, f);
    }

    public void setMinimumHeight(int i) {
        this.L0 = i;
        super.setMinimumHeight(i);
    }

    public void setMinimumWidth(int i) {
        this.K0 = i;
        super.setMinimumWidth(i);
    }

    public void setPadding(int i, int i2, int i3, int i4) {
    }

    public void setPaddingRelative(int i, int i2, int i3, int i4) {
    }

    public void setPreventCornerOverlap(boolean z) {
        if (z != this.J0) {
            this.J0 = z;
            f1439b.m(this.O0);
        }
    }

    public void setRadius(float f) {
        f1439b.b(this.O0, f);
    }

    public void setUseCompatPadding(boolean z) {
        if (this.I0 != z) {
            this.I0 = z;
            f1439b.e(this.O0);
        }
    }

    public CardView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.cardViewStyle);
    }

    public void setCardBackgroundColor(@Nullable ColorStateList colorStateList) {
        f1439b.n(this.O0, colorStateList);
    }

    public CardView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        int i2;
        ColorStateList valueOf;
        Rect rect = new Rect();
        this.M0 = rect;
        this.N0 = new Rect();
        a aVar = new a();
        this.O0 = aVar;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.CardView, i, R.style.CardView);
        int i3 = R.styleable.CardView_cardBackgroundColor;
        if (obtainStyledAttributes.hasValue(i3)) {
            valueOf = obtainStyledAttributes.getColorStateList(i3);
        } else {
            TypedArray obtainStyledAttributes2 = getContext().obtainStyledAttributes(f1438a);
            int color = obtainStyledAttributes2.getColor(0, 0);
            obtainStyledAttributes2.recycle();
            float[] fArr = new float[3];
            Color.colorToHSV(color, fArr);
            if (fArr[2] > 0.5f) {
                i2 = getResources().getColor(R.color.cardview_light_background);
            } else {
                i2 = getResources().getColor(R.color.cardview_dark_background);
            }
            valueOf = ColorStateList.valueOf(i2);
        }
        float dimension = obtainStyledAttributes.getDimension(R.styleable.CardView_cardCornerRadius, 0.0f);
        float dimension2 = obtainStyledAttributes.getDimension(R.styleable.CardView_cardElevation, 0.0f);
        float dimension3 = obtainStyledAttributes.getDimension(R.styleable.CardView_cardMaxElevation, 0.0f);
        this.I0 = obtainStyledAttributes.getBoolean(R.styleable.CardView_cardUseCompatPadding, false);
        this.J0 = obtainStyledAttributes.getBoolean(R.styleable.CardView_cardPreventCornerOverlap, true);
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(R.styleable.CardView_contentPadding, 0);
        rect.left = obtainStyledAttributes.getDimensionPixelSize(R.styleable.CardView_contentPaddingLeft, dimensionPixelSize);
        rect.top = obtainStyledAttributes.getDimensionPixelSize(R.styleable.CardView_contentPaddingTop, dimensionPixelSize);
        rect.right = obtainStyledAttributes.getDimensionPixelSize(R.styleable.CardView_contentPaddingRight, dimensionPixelSize);
        rect.bottom = obtainStyledAttributes.getDimensionPixelSize(R.styleable.CardView_contentPaddingBottom, dimensionPixelSize);
        float f = dimension2 > dimension3 ? dimension2 : dimension3;
        this.K0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.CardView_android_minWidth, 0);
        this.L0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.CardView_android_minHeight, 0);
        obtainStyledAttributes.recycle();
        f1439b.a(aVar, context, valueOf, dimension, dimension2, f);
    }
}
