package androidx.cardview.widget;

import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;

/* access modifiers changed from: package-private */
@RequiresApi(21)
/* compiled from: RoundRectDrawable */
public class f extends Drawable {

    /* renamed from: a  reason: collision with root package name */
    private float f1445a;

    /* renamed from: b  reason: collision with root package name */
    private final Paint f1446b;

    /* renamed from: c  reason: collision with root package name */
    private final RectF f1447c;

    /* renamed from: d  reason: collision with root package name */
    private final Rect f1448d;

    /* renamed from: e  reason: collision with root package name */
    private float f1449e;
    private boolean f = false;
    private boolean g = true;
    private ColorStateList h;
    private PorterDuffColorFilter i;
    private ColorStateList j;
    private PorterDuff.Mode k = PorterDuff.Mode.SRC_IN;

    f(ColorStateList colorStateList, float f2) {
        this.f1445a = f2;
        this.f1446b = new Paint(5);
        e(colorStateList);
        this.f1447c = new RectF();
        this.f1448d = new Rect();
    }

    private PorterDuffColorFilter a(ColorStateList colorStateList, PorterDuff.Mode mode) {
        if (colorStateList == null || mode == null) {
            return null;
        }
        return new PorterDuffColorFilter(colorStateList.getColorForState(getState(), 0), mode);
    }

    private void e(ColorStateList colorStateList) {
        if (colorStateList == null) {
            colorStateList = ColorStateList.valueOf(0);
        }
        this.h = colorStateList;
        this.f1446b.setColor(colorStateList.getColorForState(getState(), this.h.getDefaultColor()));
    }

    private void i(Rect rect) {
        if (rect == null) {
            rect = getBounds();
        }
        this.f1447c.set((float) rect.left, (float) rect.top, (float) rect.right, (float) rect.bottom);
        this.f1448d.set(rect);
        if (this.f) {
            float d2 = g.d(this.f1449e, this.f1445a, this.g);
            this.f1448d.inset((int) Math.ceil((double) g.c(this.f1449e, this.f1445a, this.g)), (int) Math.ceil((double) d2));
            this.f1447c.set(this.f1448d);
        }
    }

    public ColorStateList b() {
        return this.h;
    }

    /* access modifiers changed from: package-private */
    public float c() {
        return this.f1449e;
    }

    public float d() {
        return this.f1445a;
    }

    public void draw(Canvas canvas) {
        boolean z;
        Paint paint = this.f1446b;
        if (this.i == null || paint.getColorFilter() != null) {
            z = false;
        } else {
            paint.setColorFilter(this.i);
            z = true;
        }
        RectF rectF = this.f1447c;
        float f2 = this.f1445a;
        canvas.drawRoundRect(rectF, f2, f2, paint);
        if (z) {
            paint.setColorFilter(null);
        }
    }

    public void f(@Nullable ColorStateList colorStateList) {
        e(colorStateList);
        invalidateSelf();
    }

    /* access modifiers changed from: package-private */
    public void g(float f2, boolean z, boolean z2) {
        if (f2 != this.f1449e || this.f != z || this.g != z2) {
            this.f1449e = f2;
            this.f = z;
            this.g = z2;
            i(null);
            invalidateSelf();
        }
    }

    public int getOpacity() {
        return -3;
    }

    public void getOutline(Outline outline) {
        outline.setRoundRect(this.f1448d, this.f1445a);
    }

    /* access modifiers changed from: package-private */
    public void h(float f2) {
        if (f2 != this.f1445a) {
            this.f1445a = f2;
            i(null);
            invalidateSelf();
        }
    }

    public boolean isStateful() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2 = this.j;
        return (colorStateList2 != null && colorStateList2.isStateful()) || ((colorStateList = this.h) != null && colorStateList.isStateful()) || super.isStateful();
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        i(rect);
    }

    /* access modifiers changed from: protected */
    public boolean onStateChange(int[] iArr) {
        PorterDuff.Mode mode;
        ColorStateList colorStateList = this.h;
        int colorForState = colorStateList.getColorForState(iArr, colorStateList.getDefaultColor());
        boolean z = colorForState != this.f1446b.getColor();
        if (z) {
            this.f1446b.setColor(colorForState);
        }
        ColorStateList colorStateList2 = this.j;
        if (colorStateList2 == null || (mode = this.k) == null) {
            return z;
        }
        this.i = a(colorStateList2, mode);
        return true;
    }

    public void setAlpha(int i2) {
        this.f1446b.setAlpha(i2);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.f1446b.setColorFilter(colorFilter);
    }

    public void setTintList(ColorStateList colorStateList) {
        this.j = colorStateList;
        this.i = a(colorStateList, this.k);
        invalidateSelf();
    }

    public void setTintMode(PorterDuff.Mode mode) {
        this.k = mode;
        this.i = a(this.j, mode);
        invalidateSelf();
    }
}
