package androidx.cardview.widget;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.LinearGradient;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.RadialGradient;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.graphics.drawable.Drawable;
import androidx.annotation.Nullable;
import androidx.cardview.R;

/* access modifiers changed from: package-private */
/* compiled from: RoundRectDrawableWithShadow */
public class g extends Drawable {

    /* renamed from: a  reason: collision with root package name */
    private static final double f1450a = Math.cos(Math.toRadians(45.0d));

    /* renamed from: b  reason: collision with root package name */
    private static final float f1451b = 1.5f;

    /* renamed from: c  reason: collision with root package name */
    static a f1452c;

    /* renamed from: d  reason: collision with root package name */
    private final int f1453d;

    /* renamed from: e  reason: collision with root package name */
    private Paint f1454e;
    private Paint f;
    private Paint g;
    private final RectF h;
    private float i;
    private Path j;
    private float k;
    private float l;
    private float m;
    private ColorStateList n;
    private boolean o = true;
    private final int p;
    private final int q;
    private boolean r = true;
    private boolean s = false;

    /* compiled from: RoundRectDrawableWithShadow */
    interface a {
        void a(Canvas canvas, RectF rectF, float f, Paint paint);
    }

    g(Resources resources, ColorStateList colorStateList, float f2, float f3, float f4) {
        this.p = resources.getColor(R.color.cardview_shadow_start_color);
        this.q = resources.getColor(R.color.cardview_shadow_end_color);
        this.f1453d = resources.getDimensionPixelSize(R.dimen.cardview_compat_inset_shadow);
        this.f1454e = new Paint(5);
        n(colorStateList);
        Paint paint = new Paint(5);
        this.f = paint;
        paint.setStyle(Paint.Style.FILL);
        this.i = (float) ((int) (f2 + 0.5f));
        this.h = new RectF();
        Paint paint2 = new Paint(this.f);
        this.g = paint2;
        paint2.setAntiAlias(false);
        s(f3, f4);
    }

    private void a(Rect rect) {
        float f2 = this.k;
        float f3 = f1451b * f2;
        this.h.set(((float) rect.left) + f2, ((float) rect.top) + f3, ((float) rect.right) - f2, ((float) rect.bottom) - f3);
        b();
    }

    private void b() {
        float f2 = this.i;
        RectF rectF = new RectF(-f2, -f2, f2, f2);
        RectF rectF2 = new RectF(rectF);
        float f3 = this.l;
        rectF2.inset(-f3, -f3);
        Path path = this.j;
        if (path == null) {
            this.j = new Path();
        } else {
            path.reset();
        }
        this.j.setFillType(Path.FillType.EVEN_ODD);
        this.j.moveTo(-this.i, 0.0f);
        this.j.rLineTo(-this.l, 0.0f);
        this.j.arcTo(rectF2, 180.0f, 90.0f, false);
        this.j.arcTo(rectF, 270.0f, -90.0f, false);
        this.j.close();
        float f4 = this.i;
        float f5 = f4 / (this.l + f4);
        Paint paint = this.f;
        float f6 = this.i + this.l;
        int i2 = this.p;
        paint.setShader(new RadialGradient(0.0f, 0.0f, f6, new int[]{i2, i2, this.q}, new float[]{0.0f, f5, 1.0f}, Shader.TileMode.CLAMP));
        Paint paint2 = this.g;
        float f7 = this.i;
        float f8 = this.l;
        int i3 = this.p;
        paint2.setShader(new LinearGradient(0.0f, (-f7) + f8, 0.0f, (-f7) - f8, new int[]{i3, i3, this.q}, new float[]{0.0f, 0.5f, 1.0f}, Shader.TileMode.CLAMP));
        this.g.setAntiAlias(false);
    }

    static float c(float f2, float f3, boolean z) {
        return z ? (float) (((double) f2) + ((1.0d - f1450a) * ((double) f3))) : f2;
    }

    static float d(float f2, float f3, boolean z) {
        return z ? (float) (((double) (f2 * f1451b)) + ((1.0d - f1450a) * ((double) f3))) : f2 * f1451b;
    }

    private void e(Canvas canvas) {
        float f2 = this.i;
        float f3 = (-f2) - this.l;
        float f4 = f2 + ((float) this.f1453d) + (this.m / 2.0f);
        float f5 = f4 * 2.0f;
        boolean z = this.h.width() - f5 > 0.0f;
        boolean z2 = this.h.height() - f5 > 0.0f;
        int save = canvas.save();
        RectF rectF = this.h;
        canvas.translate(rectF.left + f4, rectF.top + f4);
        canvas.drawPath(this.j, this.f);
        if (z) {
            canvas.drawRect(0.0f, f3, this.h.width() - f5, -this.i, this.g);
        }
        canvas.restoreToCount(save);
        int save2 = canvas.save();
        RectF rectF2 = this.h;
        canvas.translate(rectF2.right - f4, rectF2.bottom - f4);
        canvas.rotate(180.0f);
        canvas.drawPath(this.j, this.f);
        if (z) {
            canvas.drawRect(0.0f, f3, this.h.width() - f5, (-this.i) + this.l, this.g);
        }
        canvas.restoreToCount(save2);
        int save3 = canvas.save();
        RectF rectF3 = this.h;
        canvas.translate(rectF3.left + f4, rectF3.bottom - f4);
        canvas.rotate(270.0f);
        canvas.drawPath(this.j, this.f);
        if (z2) {
            canvas.drawRect(0.0f, f3, this.h.height() - f5, -this.i, this.g);
        }
        canvas.restoreToCount(save3);
        int save4 = canvas.save();
        RectF rectF4 = this.h;
        canvas.translate(rectF4.right - f4, rectF4.top + f4);
        canvas.rotate(90.0f);
        canvas.drawPath(this.j, this.f);
        if (z2) {
            canvas.drawRect(0.0f, f3, this.h.height() - f5, -this.i, this.g);
        }
        canvas.restoreToCount(save4);
    }

    private void n(ColorStateList colorStateList) {
        if (colorStateList == null) {
            colorStateList = ColorStateList.valueOf(0);
        }
        this.n = colorStateList;
        this.f1454e.setColor(colorStateList.getColorForState(getState(), this.n.getDefaultColor()));
    }

    private void s(float f2, float f3) {
        if (f2 < 0.0f) {
            throw new IllegalArgumentException("Invalid shadow size " + f2 + ". Must be >= 0");
        } else if (f3 >= 0.0f) {
            float t = (float) t(f2);
            float t2 = (float) t(f3);
            if (t > t2) {
                if (!this.s) {
                    this.s = true;
                }
                t = t2;
            }
            if (this.m != t || this.k != t2) {
                this.m = t;
                this.k = t2;
                this.l = (float) ((int) ((t * f1451b) + ((float) this.f1453d) + 0.5f));
                this.o = true;
                invalidateSelf();
            }
        } else {
            throw new IllegalArgumentException("Invalid max shadow size " + f3 + ". Must be >= 0");
        }
    }

    private int t(float f2) {
        int i2 = (int) (f2 + 0.5f);
        return i2 % 2 == 1 ? i2 - 1 : i2;
    }

    public void draw(Canvas canvas) {
        if (this.o) {
            a(getBounds());
            this.o = false;
        }
        canvas.translate(0.0f, this.m / 2.0f);
        e(canvas);
        canvas.translate(0.0f, (-this.m) / 2.0f);
        f1452c.a(canvas, this.h, this.i, this.f1454e);
    }

    /* access modifiers changed from: package-private */
    public ColorStateList f() {
        return this.n;
    }

    /* access modifiers changed from: package-private */
    public float g() {
        return this.i;
    }

    public int getOpacity() {
        return -3;
    }

    public boolean getPadding(Rect rect) {
        int ceil = (int) Math.ceil((double) d(this.k, this.i, this.r));
        int ceil2 = (int) Math.ceil((double) c(this.k, this.i, this.r));
        rect.set(ceil2, ceil, ceil2, ceil);
        return true;
    }

    /* access modifiers changed from: package-private */
    public void h(Rect rect) {
        getPadding(rect);
    }

    /* access modifiers changed from: package-private */
    public float i() {
        return this.k;
    }

    public boolean isStateful() {
        ColorStateList colorStateList = this.n;
        return (colorStateList != null && colorStateList.isStateful()) || super.isStateful();
    }

    /* access modifiers changed from: package-private */
    public float j() {
        float f2 = this.k;
        return (Math.max(f2, this.i + ((float) this.f1453d) + ((f2 * f1451b) / 2.0f)) * 2.0f) + (((this.k * f1451b) + ((float) this.f1453d)) * 2.0f);
    }

    /* access modifiers changed from: package-private */
    public float k() {
        float f2 = this.k;
        return (Math.max(f2, this.i + ((float) this.f1453d) + (f2 / 2.0f)) * 2.0f) + ((this.k + ((float) this.f1453d)) * 2.0f);
    }

    /* access modifiers changed from: package-private */
    public float l() {
        return this.m;
    }

    /* access modifiers changed from: package-private */
    public void m(boolean z) {
        this.r = z;
        invalidateSelf();
    }

    /* access modifiers changed from: package-private */
    public void o(@Nullable ColorStateList colorStateList) {
        n(colorStateList);
        invalidateSelf();
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        this.o = true;
    }

    /* access modifiers changed from: protected */
    public boolean onStateChange(int[] iArr) {
        ColorStateList colorStateList = this.n;
        int colorForState = colorStateList.getColorForState(iArr, colorStateList.getDefaultColor());
        if (this.f1454e.getColor() == colorForState) {
            return false;
        }
        this.f1454e.setColor(colorForState);
        this.o = true;
        invalidateSelf();
        return true;
    }

    /* access modifiers changed from: package-private */
    public void p(float f2) {
        if (f2 >= 0.0f) {
            float f3 = (float) ((int) (f2 + 0.5f));
            if (this.i != f3) {
                this.i = f3;
                this.o = true;
                invalidateSelf();
                return;
            }
            return;
        }
        throw new IllegalArgumentException("Invalid radius " + f2 + ". Must be >= 0");
    }

    /* access modifiers changed from: package-private */
    public void q(float f2) {
        s(this.m, f2);
    }

    /* access modifiers changed from: package-private */
    public void r(float f2) {
        s(f2, this.k);
    }

    public void setAlpha(int i2) {
        this.f1454e.setAlpha(i2);
        this.f.setAlpha(i2);
        this.g.setAlpha(i2);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.f1454e.setColorFilter(colorFilter);
    }
}
