package androidx.concurrent.futures;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import com.ibm.icu.impl.number.Padder;
import java.util.Locale;
import java.util.Objects;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.Future;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.concurrent.atomic.AtomicReferenceFieldUpdater;
import java.util.concurrent.locks.LockSupport;
import java.util.logging.Level;
import java.util.logging.Logger;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: AbstractResolvableFuture */
public abstract class a<V> implements c.c.b.a.a.a<V> {
    private static final long I0 = 1000;
    static final b J0;
    private static final Object K0 = new Object();

    /* renamed from: a  reason: collision with root package name */
    static final boolean f1456a = Boolean.parseBoolean(System.getProperty("guava.concurrent.generate_cancellation_cause", "false"));

    /* renamed from: b  reason: collision with root package name */
    private static final Logger f1457b = Logger.getLogger(a.class.getName());
    @Nullable
    volatile Object L0;
    @Nullable
    volatile e M0;
    @Nullable
    volatile i N0;

    /* access modifiers changed from: private */
    /* compiled from: AbstractResolvableFuture */
    public static abstract class b {
        private b() {
        }

        /* access modifiers changed from: package-private */
        public abstract boolean a(a<?> aVar, e eVar, e eVar2);

        /* access modifiers changed from: package-private */
        public abstract boolean b(a<?> aVar, Object obj, Object obj2);

        /* access modifiers changed from: package-private */
        public abstract boolean c(a<?> aVar, i iVar, i iVar2);

        /* access modifiers changed from: package-private */
        public abstract void d(i iVar, i iVar2);

        /* access modifiers changed from: package-private */
        public abstract void e(i iVar, Thread thread);
    }

    /* access modifiers changed from: private */
    /* compiled from: AbstractResolvableFuture */
    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        static final c f1458a;

        /* renamed from: b  reason: collision with root package name */
        static final c f1459b;

        /* renamed from: c  reason: collision with root package name */
        final boolean f1460c;
        @Nullable

        /* renamed from: d  reason: collision with root package name */
        final Throwable f1461d;

        static {
            if (a.f1456a) {
                f1459b = null;
                f1458a = null;
                return;
            }
            f1459b = new c(false, null);
            f1458a = new c(true, null);
        }

        c(boolean z, @Nullable Throwable th) {
            this.f1460c = z;
            this.f1461d = th;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AbstractResolvableFuture */
    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        static final d f1462a = new d(new C0016a("Failure occurred while trying to finish a future."));

        /* renamed from: b  reason: collision with root package name */
        final Throwable f1463b;

        /* renamed from: androidx.concurrent.futures.a$d$a  reason: collision with other inner class name */
        /* compiled from: AbstractResolvableFuture */
        class C0016a extends Throwable {
            C0016a(String str) {
                super(str);
            }

            public synchronized Throwable fillInStackTrace() {
                return this;
            }
        }

        d(Throwable th) {
            this.f1463b = (Throwable) a.d(th);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AbstractResolvableFuture */
    public static final class e {

        /* renamed from: a  reason: collision with root package name */
        static final e f1464a = new e(null, null);

        /* renamed from: b  reason: collision with root package name */
        final Runnable f1465b;

        /* renamed from: c  reason: collision with root package name */
        final Executor f1466c;
        @Nullable

        /* renamed from: d  reason: collision with root package name */
        e f1467d;

        e(Runnable runnable, Executor executor) {
            this.f1465b = runnable;
            this.f1466c = executor;
        }
    }

    /* compiled from: AbstractResolvableFuture */
    private static final class f extends b {

        /* renamed from: a  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<i, Thread> f1468a;

        /* renamed from: b  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<i, i> f1469b;

        /* renamed from: c  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<a, i> f1470c;

        /* renamed from: d  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<a, e> f1471d;

        /* renamed from: e  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<a, Object> f1472e;

        f(AtomicReferenceFieldUpdater<i, Thread> atomicReferenceFieldUpdater, AtomicReferenceFieldUpdater<i, i> atomicReferenceFieldUpdater2, AtomicReferenceFieldUpdater<a, i> atomicReferenceFieldUpdater3, AtomicReferenceFieldUpdater<a, e> atomicReferenceFieldUpdater4, AtomicReferenceFieldUpdater<a, Object> atomicReferenceFieldUpdater5) {
            super();
            this.f1468a = atomicReferenceFieldUpdater;
            this.f1469b = atomicReferenceFieldUpdater2;
            this.f1470c = atomicReferenceFieldUpdater3;
            this.f1471d = atomicReferenceFieldUpdater4;
            this.f1472e = atomicReferenceFieldUpdater5;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public boolean a(a<?> aVar, e eVar, e eVar2) {
            return this.f1471d.compareAndSet(aVar, eVar, eVar2);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public boolean b(a<?> aVar, Object obj, Object obj2) {
            return this.f1472e.compareAndSet(aVar, obj, obj2);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public boolean c(a<?> aVar, i iVar, i iVar2) {
            return this.f1470c.compareAndSet(aVar, iVar, iVar2);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public void d(i iVar, i iVar2) {
            this.f1469b.lazySet(iVar, iVar2);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public void e(i iVar, Thread thread) {
            this.f1468a.lazySet(iVar, thread);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AbstractResolvableFuture */
    public static final class g<V> implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final a<V> f1473a;

        /* renamed from: b  reason: collision with root package name */
        final c.c.b.a.a.a<? extends V> f1474b;

        g(a<V> aVar, c.c.b.a.a.a<? extends V> aVar2) {
            this.f1473a = aVar;
            this.f1474b = aVar2;
        }

        public void run() {
            if (this.f1473a.L0 == this) {
                if (a.J0.b(this.f1473a, this, a.j(this.f1474b))) {
                    a.f(this.f1473a);
                }
            }
        }
    }

    /* compiled from: AbstractResolvableFuture */
    private static final class h extends b {
        h() {
            super();
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public boolean a(a<?> aVar, e eVar, e eVar2) {
            synchronized (aVar) {
                if (aVar.M0 != eVar) {
                    return false;
                }
                aVar.M0 = eVar2;
                return true;
            }
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public boolean b(a<?> aVar, Object obj, Object obj2) {
            synchronized (aVar) {
                if (aVar.L0 != obj) {
                    return false;
                }
                aVar.L0 = obj2;
                return true;
            }
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public boolean c(a<?> aVar, i iVar, i iVar2) {
            synchronized (aVar) {
                if (aVar.N0 != iVar) {
                    return false;
                }
                aVar.N0 = iVar2;
                return true;
            }
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public void d(i iVar, i iVar2) {
            iVar.f1477c = iVar2;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public void e(i iVar, Thread thread) {
            iVar.f1476b = thread;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: AbstractResolvableFuture */
    public static final class i {

        /* renamed from: a  reason: collision with root package name */
        static final i f1475a = new i(false);
        @Nullable

        /* renamed from: b  reason: collision with root package name */
        volatile Thread f1476b;
        @Nullable

        /* renamed from: c  reason: collision with root package name */
        volatile i f1477c;

        i(boolean z) {
        }

        /* access modifiers changed from: package-private */
        public void a(i iVar) {
            a.J0.d(this, iVar);
        }

        /* access modifiers changed from: package-private */
        public void b() {
            Thread thread = this.f1476b;
            if (thread != null) {
                this.f1476b = null;
                LockSupport.unpark(thread);
            }
        }

        i() {
            a.J0.e(this, Thread.currentThread());
        }
    }

    static {
        b bVar;
        Throwable th;
        try {
            bVar = new f(AtomicReferenceFieldUpdater.newUpdater(i.class, Thread.class, com.niming.weipa.utils.x0.b.f20637a), AtomicReferenceFieldUpdater.newUpdater(i.class, i.class, "c"), AtomicReferenceFieldUpdater.newUpdater(a.class, i.class, "N0"), AtomicReferenceFieldUpdater.newUpdater(a.class, e.class, "M0"), AtomicReferenceFieldUpdater.newUpdater(a.class, Object.class, "L0"));
            th = null;
        } catch (Throwable th2) {
            th = th2;
            bVar = new h();
        }
        J0 = bVar;
        if (th != null) {
            f1457b.log(Level.SEVERE, "SafeAtomicHelper is broken!", th);
        }
    }

    protected a() {
    }

    private void a(StringBuilder sb) {
        try {
            Object k = k(this);
            sb.append("SUCCESS, result=[");
            sb.append(t(k));
            sb.append("]");
        } catch (ExecutionException e2) {
            sb.append("FAILURE, cause=[");
            sb.append(e2.getCause());
            sb.append("]");
        } catch (CancellationException unused) {
            sb.append("CANCELLED");
        } catch (RuntimeException e3) {
            sb.append("UNKNOWN, cause=[");
            sb.append(e3.getClass());
            sb.append(" thrown from get()]");
        }
    }

    private static CancellationException c(@Nullable String str, @Nullable Throwable th) {
        CancellationException cancellationException = new CancellationException(str);
        cancellationException.initCause(th);
        return cancellationException;
    }

    @NonNull
    static <T> T d(@Nullable T t) {
        Objects.requireNonNull(t);
        return t;
    }

    private e e(e eVar) {
        e eVar2;
        do {
            eVar2 = this.M0;
        } while (!J0.a(this, eVar2, e.f1464a));
        e eVar3 = eVar;
        e eVar4 = eVar2;
        while (eVar4 != null) {
            e eVar5 = eVar4.f1467d;
            eVar4.f1467d = eVar3;
            eVar3 = eVar4;
            eVar4 = eVar5;
        }
        return eVar3;
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:13:0x0001 */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r4v0, types: [androidx.concurrent.futures.a<?>] */
    /* JADX WARN: Type inference failed for: r4v1, types: [androidx.concurrent.futures.a] */
    /* JADX WARN: Type inference failed for: r4v6, types: [androidx.concurrent.futures.a<V>, androidx.concurrent.futures.a] */
    /* JADX WARN: Type inference failed for: r3v0, types: [androidx.concurrent.futures.a$b] */
    /* JADX WARNING: Unknown variable types count: 1 */
    static void f(a<?> aVar) {
        e eVar = null;
        while (true) {
            aVar.o();
            aVar.b();
            e e2 = aVar.e(eVar);
            while (true) {
                if (e2 != null) {
                    eVar = e2.f1467d;
                    Runnable runnable = e2.f1465b;
                    if (runnable instanceof g) {
                        g gVar = (g) runnable;
                        aVar = gVar.f1473a;
                        if (aVar.L0 == gVar) {
                            if (J0.b(aVar, gVar, j(gVar.f1474b))) {
                            }
                        } else {
                            continue;
                        }
                    } else {
                        h(runnable, e2.f1466c);
                    }
                    e2 = eVar;
                } else {
                    return;
                }
            }
        }
    }

    private static void h(Runnable runnable, Executor executor) {
        try {
            executor.execute(runnable);
        } catch (RuntimeException e2) {
            Logger logger = f1457b;
            Level level = Level.SEVERE;
            logger.log(level, "RuntimeException while executing runnable " + runnable + " with executor " + executor, (Throwable) e2);
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    private V i(Object obj) throws ExecutionException {
        if (obj instanceof c) {
            throw c("Task was cancelled.", ((c) obj).f1461d);
        } else if (obj instanceof d) {
            throw new ExecutionException(((d) obj).f1463b);
        } else if (obj == K0) {
            return null;
        } else {
            return obj;
        }
    }

    static Object j(c.c.b.a.a.a<?> aVar) {
        if (aVar instanceof a) {
            Object obj = ((a) aVar).L0;
            if (!(obj instanceof c)) {
                return obj;
            }
            c cVar = (c) obj;
            if (!cVar.f1460c) {
                return obj;
            }
            if (cVar.f1461d != null) {
                return new c(false, cVar.f1461d);
            }
            return c.f1459b;
        }
        boolean isCancelled = aVar.isCancelled();
        if ((!f1456a) && isCancelled) {
            return c.f1459b;
        }
        try {
            Object k = k(aVar);
            return k == null ? K0 : k;
        } catch (ExecutionException e2) {
            return new d(e2.getCause());
        } catch (CancellationException e3) {
            if (isCancelled) {
                return new c(false, e3);
            }
            return new d(new IllegalArgumentException("get() threw CancellationException, despite reporting isCancelled() == false: " + aVar, e3));
        } catch (Throwable th) {
            return new d(th);
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    static <V> V k(Future<V> future) throws ExecutionException {
        V v;
        boolean z = false;
        while (true) {
            try {
                v = future.get();
                break;
            } catch (InterruptedException unused) {
                z = true;
            } catch (Throwable th) {
                if (z) {
                    Thread.currentThread().interrupt();
                }
                throw th;
            }
        }
        if (z) {
            Thread.currentThread().interrupt();
        }
        return v;
    }

    private void o() {
        i iVar;
        do {
            iVar = this.N0;
        } while (!J0.c(this, iVar, i.f1475a));
        while (iVar != null) {
            iVar.b();
            iVar = iVar.f1477c;
        }
    }

    private void p(i iVar) {
        iVar.f1476b = null;
        while (true) {
            i iVar2 = this.N0;
            if (iVar2 != i.f1475a) {
                i iVar3 = null;
                while (iVar2 != null) {
                    i iVar4 = iVar2.f1477c;
                    if (iVar2.f1476b != null) {
                        iVar3 = iVar2;
                    } else if (iVar3 != null) {
                        iVar3.f1477c = iVar4;
                        if (iVar3.f1476b == null) {
                        }
                    } else if (!J0.c(this, iVar2, iVar4)) {
                    }
                    iVar2 = iVar4;
                }
                return;
            }
            return;
        }
    }

    private String t(Object obj) {
        return obj == this ? "this future" : String.valueOf(obj);
    }

    /* access modifiers changed from: protected */
    public void b() {
    }

    public final boolean cancel(boolean z) {
        c cVar;
        Object obj = this.L0;
        if (!(obj == null) && !(obj instanceof g)) {
            return false;
        }
        if (f1456a) {
            cVar = new c(z, new CancellationException("Future.cancel() was called."));
        } else if (z) {
            cVar = c.f1458a;
        } else {
            cVar = c.f1459b;
        }
        boolean z2 = false;
        a<V> aVar = this;
        while (true) {
            if (J0.b(aVar, obj, cVar)) {
                if (z) {
                    aVar.l();
                }
                f(aVar);
                if (!(obj instanceof g)) {
                    return true;
                }
                c.c.b.a.a.a<? extends V> aVar2 = ((g) obj).f1474b;
                if (aVar2 instanceof a) {
                    aVar = (a) aVar2;
                    obj = aVar.L0;
                    if (!(obj == null) && !(obj instanceof g)) {
                        return true;
                    }
                    z2 = true;
                } else {
                    aVar2.cancel(z);
                    return true;
                }
            } else {
                obj = aVar.L0;
                if (!(obj instanceof g)) {
                    return z2;
                }
            }
        }
    }

    @Override // c.c.b.a.a.a
    public final void g(Runnable runnable, Executor executor) {
        d(runnable);
        d(executor);
        e eVar = this.M0;
        if (eVar != e.f1464a) {
            e eVar2 = new e(runnable, executor);
            do {
                eVar2.f1467d = eVar;
                if (!J0.a(this, eVar, eVar2)) {
                    eVar = this.M0;
                } else {
                    return;
                }
            } while (eVar != e.f1464a);
        }
        h(runnable, executor);
    }

    @Override // java.util.concurrent.Future
    public final V get(long j, TimeUnit timeUnit) throws InterruptedException, TimeoutException, ExecutionException {
        long nanos = timeUnit.toNanos(j);
        if (!Thread.interrupted()) {
            Object obj = this.L0;
            if ((obj != null) && (!(obj instanceof g))) {
                return i(obj);
            }
            long nanoTime = nanos > 0 ? System.nanoTime() + nanos : 0;
            if (nanos >= 1000) {
                i iVar = this.N0;
                if (iVar != i.f1475a) {
                    i iVar2 = new i();
                    do {
                        iVar2.a(iVar);
                        if (J0.c(this, iVar, iVar2)) {
                            do {
                                LockSupport.parkNanos(this, nanos);
                                if (!Thread.interrupted()) {
                                    Object obj2 = this.L0;
                                    if ((obj2 != null) && (!(obj2 instanceof g))) {
                                        return i(obj2);
                                    }
                                    nanos = nanoTime - System.nanoTime();
                                } else {
                                    p(iVar2);
                                    throw new InterruptedException();
                                }
                            } while (nanos >= 1000);
                            p(iVar2);
                        } else {
                            iVar = this.N0;
                        }
                    } while (iVar != i.f1475a);
                }
                return i(this.L0);
            }
            while (nanos > 0) {
                Object obj3 = this.L0;
                if ((obj3 != null) && (!(obj3 instanceof g))) {
                    return i(obj3);
                }
                if (!Thread.interrupted()) {
                    nanos = nanoTime - System.nanoTime();
                } else {
                    throw new InterruptedException();
                }
            }
            String aVar = toString();
            String timeUnit2 = timeUnit.toString();
            Locale locale = Locale.ROOT;
            String lowerCase = timeUnit2.toLowerCase(locale);
            String str = "Waited " + j + Padder.f14124a + timeUnit.toString().toLowerCase(locale);
            if (nanos + 1000 < 0) {
                String str2 = str + " (plus ";
                long j2 = -nanos;
                long convert = timeUnit.convert(j2, TimeUnit.NANOSECONDS);
                long nanos2 = j2 - timeUnit.toNanos(convert);
                int i2 = (convert > 0 ? 1 : (convert == 0 ? 0 : -1));
                boolean z = i2 == 0 || nanos2 > 1000;
                if (i2 > 0) {
                    String str3 = str2 + convert + Padder.f14124a + lowerCase;
                    if (z) {
                        str3 = str3 + ",";
                    }
                    str2 = str3 + Padder.f14124a;
                }
                if (z) {
                    str2 = str2 + nanos2 + " nanoseconds ";
                }
                str = str2 + "delay)";
            }
            if (isDone()) {
                throw new TimeoutException(str + " but future completed as timeout expired");
            }
            throw new TimeoutException(str + " for " + aVar);
        }
        throw new InterruptedException();
    }

    public final boolean isCancelled() {
        return this.L0 instanceof c;
    }

    public final boolean isDone() {
        Object obj = this.L0;
        return (!(obj instanceof g)) & (obj != null);
    }

    /* access modifiers changed from: protected */
    public void l() {
    }

    /* access modifiers changed from: package-private */
    public final void m(@Nullable Future<?> future) {
        if ((future != null) && isCancelled()) {
            future.cancel(u());
        }
    }

    /* access modifiers changed from: protected */
    @Nullable
    public String n() {
        Object obj = this.L0;
        if (obj instanceof g) {
            return "setFuture=[" + t(((g) obj).f1474b) + "]";
        } else if (!(this instanceof ScheduledFuture)) {
            return null;
        } else {
            return "remaining delay=[" + ((ScheduledFuture) this).getDelay(TimeUnit.MILLISECONDS) + " ms]";
        }
    }

    /* access modifiers changed from: protected */
    public boolean q(@Nullable V v) {
        if (v == null) {
            v = (V) K0;
        }
        if (!J0.b(this, null, v)) {
            return false;
        }
        f(this);
        return true;
    }

    /* access modifiers changed from: protected */
    public boolean r(Throwable th) {
        if (!J0.b(this, null, new d((Throwable) d(th)))) {
            return false;
        }
        f(this);
        return true;
    }

    /* access modifiers changed from: protected */
    public boolean s(c.c.b.a.a.a<? extends V> aVar) {
        g gVar;
        d dVar;
        d(aVar);
        Object obj = this.L0;
        if (obj == null) {
            if (aVar.isDone()) {
                if (!J0.b(this, null, j(aVar))) {
                    return false;
                }
                f(this);
                return true;
            }
            gVar = new g(this, aVar);
            if (J0.b(this, null, gVar)) {
                try {
                    aVar.g(gVar, DirectExecutor.INSTANCE);
                } catch (Throwable unused) {
                    dVar = d.f1462a;
                }
                return true;
            }
            obj = this.L0;
        }
        if (obj instanceof c) {
            aVar.cancel(((c) obj).f1460c);
        }
        return false;
        J0.b(this, gVar, dVar);
        return true;
    }

    public String toString() {
        String str;
        StringBuilder sb = new StringBuilder();
        sb.append(super.toString());
        sb.append("[status=");
        if (isCancelled()) {
            sb.append("CANCELLED");
        } else if (isDone()) {
            a(sb);
        } else {
            try {
                str = n();
            } catch (RuntimeException e2) {
                str = "Exception thrown from implementation: " + e2.getClass();
            }
            if (str != null && !str.isEmpty()) {
                sb.append("PENDING, info=[");
                sb.append(str);
                sb.append("]");
            } else if (isDone()) {
                a(sb);
            } else {
                sb.append("PENDING");
            }
        }
        sb.append("]");
        return sb.toString();
    }

    /* access modifiers changed from: protected */
    public final boolean u() {
        Object obj = this.L0;
        return (obj instanceof c) && ((c) obj).f1460c;
    }

    @Override // java.util.concurrent.Future
    public final V get() throws InterruptedException, ExecutionException {
        Object obj;
        if (!Thread.interrupted()) {
            Object obj2 = this.L0;
            if ((obj2 != null) && (!(obj2 instanceof g))) {
                return i(obj2);
            }
            i iVar = this.N0;
            if (iVar != i.f1475a) {
                i iVar2 = new i();
                do {
                    iVar2.a(iVar);
                    if (J0.c(this, iVar, iVar2)) {
                        do {
                            LockSupport.park(this);
                            if (!Thread.interrupted()) {
                                obj = this.L0;
                            } else {
                                p(iVar2);
                                throw new InterruptedException();
                            }
                        } while (!((obj != null) & (!(obj instanceof g))));
                        return i(obj);
                    }
                    iVar = this.N0;
                } while (iVar != i.f1475a);
            }
            return i(this.L0);
        }
        throw new InterruptedException();
    }
}
