package androidx.concurrent.futures;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import java.lang.ref.WeakReference;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;

/* compiled from: CallbackToFutureAdapter */
public final class b {

    /* compiled from: CallbackToFutureAdapter */
    public static final class a<T> {

        /* renamed from: a  reason: collision with root package name */
        Object f1478a;

        /* renamed from: b  reason: collision with root package name */
        d<T> f1479b;

        /* renamed from: c  reason: collision with root package name */
        private c<Void> f1480c = c.v();

        /* renamed from: d  reason: collision with root package name */
        private boolean f1481d;

        a() {
        }

        private void e() {
            this.f1478a = null;
            this.f1479b = null;
            this.f1480c = null;
        }

        public void a(@NonNull Runnable runnable, @NonNull Executor executor) {
            c<Void> cVar = this.f1480c;
            if (cVar != null) {
                cVar.g(runnable, executor);
            }
        }

        /* access modifiers changed from: package-private */
        public void b() {
            this.f1478a = null;
            this.f1479b = null;
            this.f1480c.q(null);
        }

        public boolean c(T t) {
            boolean z = true;
            this.f1481d = true;
            d<T> dVar = this.f1479b;
            if (dVar == null || !dVar.b(t)) {
                z = false;
            }
            if (z) {
                e();
            }
            return z;
        }

        public boolean d() {
            boolean z = true;
            this.f1481d = true;
            d<T> dVar = this.f1479b;
            if (dVar == null || !dVar.a(true)) {
                z = false;
            }
            if (z) {
                e();
            }
            return z;
        }

        public boolean f(@NonNull Throwable th) {
            boolean z = true;
            this.f1481d = true;
            d<T> dVar = this.f1479b;
            if (dVar == null || !dVar.c(th)) {
                z = false;
            }
            if (z) {
                e();
            }
            return z;
        }

        /* access modifiers changed from: protected */
        public void finalize() {
            c<Void> cVar;
            d<T> dVar = this.f1479b;
            if (dVar != null && !dVar.isDone()) {
                dVar.c(new C0017b("The completer object was garbage collected - this future would otherwise never complete. The tag was: " + this.f1478a));
            }
            if (!this.f1481d && (cVar = this.f1480c) != null) {
                cVar.q(null);
            }
        }
    }

    /* renamed from: androidx.concurrent.futures.b$b  reason: collision with other inner class name */
    /* compiled from: CallbackToFutureAdapter */
    static final class C0017b extends Throwable {
        C0017b(String str) {
            super(str);
        }

        public synchronized Throwable fillInStackTrace() {
            return this;
        }
    }

    /* compiled from: CallbackToFutureAdapter */
    public interface c<T> {
        @Nullable
        Object a(@NonNull a<T> aVar) throws Exception;
    }

    /* access modifiers changed from: private */
    /* compiled from: CallbackToFutureAdapter */
    public static final class d<T> implements c.c.b.a.a.a<T> {

        /* renamed from: a  reason: collision with root package name */
        final WeakReference<a<T>> f1482a;

        /* renamed from: b  reason: collision with root package name */
        private final a<T> f1483b = new a();

        /* compiled from: CallbackToFutureAdapter */
        class a extends a<T> {
            a() {
            }

            /* access modifiers changed from: protected */
            @Override // androidx.concurrent.futures.a
            public String n() {
                a<T> aVar = d.this.f1482a.get();
                if (aVar == null) {
                    return "Completer object has been garbage collected, future will fail soon";
                }
                return "tag=[" + aVar.f1478a + "]";
            }
        }

        d(a<T> aVar) {
            this.f1482a = new WeakReference<>(aVar);
        }

        /* access modifiers changed from: package-private */
        public boolean a(boolean z) {
            return this.f1483b.cancel(z);
        }

        /* access modifiers changed from: package-private */
        public boolean b(T t) {
            return this.f1483b.q(t);
        }

        /* access modifiers changed from: package-private */
        public boolean c(Throwable th) {
            return this.f1483b.r(th);
        }

        public boolean cancel(boolean z) {
            a<T> aVar = this.f1482a.get();
            boolean cancel = this.f1483b.cancel(z);
            if (cancel && aVar != null) {
                aVar.b();
            }
            return cancel;
        }

        @Override // c.c.b.a.a.a
        public void g(@NonNull Runnable runnable, @NonNull Executor executor) {
            this.f1483b.g(runnable, executor);
        }

        @Override // java.util.concurrent.Future
        public T get() throws InterruptedException, ExecutionException {
            return this.f1483b.get();
        }

        public boolean isCancelled() {
            return this.f1483b.isCancelled();
        }

        public boolean isDone() {
            return this.f1483b.isDone();
        }

        public String toString() {
            return this.f1483b.toString();
        }

        @Override // java.util.concurrent.Future
        public T get(long j, @NonNull TimeUnit timeUnit) throws InterruptedException, ExecutionException, TimeoutException {
            return this.f1483b.get(j, timeUnit);
        }
    }

    private b() {
    }

    @NonNull
    public static <T> c.c.b.a.a.a<T> a(@NonNull c<T> cVar) {
        a<T> aVar = new a<>();
        d<T> dVar = new d<>(aVar);
        aVar.f1479b = dVar;
        aVar.f1478a = cVar.getClass();
        try {
            Object a2 = cVar.a(aVar);
            if (a2 != null) {
                aVar.f1478a = a2;
            }
        } catch (Exception e2) {
            dVar.c(e2);
        }
        return dVar;
    }
}
