package androidx.constraintlayout.core.motion;

import androidx.constraintlayout.core.motion.h.d;
import androidx.constraintlayout.core.motion.h.e0;
import androidx.constraintlayout.core.motion.h.m;
import androidx.constraintlayout.core.motion.h.o;
import com.ibm.icu.impl.locale.f;
import com.ibm.icu.text.DateFormat;
import java.util.HashMap;
import java.util.HashSet;
import java.util.LinkedHashMap;

/* compiled from: MotionConstrainedPoint */
class c implements Comparable<c> {
    static final int I0 = 1;
    static final int J0 = 2;
    static String[] K0 = {"position", f.f14028c, DateFormat.YEAR, "width", "height", "pathRotate"};

    /* renamed from: a  reason: collision with root package name */
    public static final String f1538a = "MotionPaths";

    /* renamed from: b  reason: collision with root package name */
    public static final boolean f1539b = false;
    private float L0 = 1.0f;
    int M0 = 0;
    int N0;
    private boolean O0 = false;
    private float P0 = 0.0f;
    private float Q0 = 0.0f;
    private float R0 = 0.0f;
    public float S0 = 0.0f;
    private float T0 = 1.0f;
    private float U0 = 1.0f;
    private float V0 = Float.NaN;
    private float W0 = Float.NaN;
    private float X0 = 0.0f;
    private float Y0 = 0.0f;
    private float Z0 = 0.0f;
    private d a1;
    private int b1 = 0;
    private float c1;
    private float d1;
    private float e1;
    private float f1;
    private float g1;
    private float h1 = Float.NaN;
    private float i1 = Float.NaN;
    private int j1 = -1;
    LinkedHashMap<String, a> k1 = new LinkedHashMap<>();
    int l1 = 0;
    double[] m1 = new double[18];
    double[] n1 = new double[18];

    private boolean h(float f, float f2) {
        if (Float.isNaN(f) || Float.isNaN(f2)) {
            if (Float.isNaN(f) != Float.isNaN(f2)) {
                return true;
            }
            return false;
        } else if (Math.abs(f - f2) > 1.0E-6f) {
            return true;
        } else {
            return false;
        }
    }

    public void a(HashMap<String, o> hashMap, int i) {
        for (String str : hashMap.keySet()) {
            o oVar = hashMap.get(str);
            str.hashCode();
            char c2 = 65535;
            switch (str.hashCode()) {
                case -1249320806:
                    if (str.equals("rotationX")) {
                        c2 = 0;
                        break;
                    }
                    break;
                case -1249320805:
                    if (str.equals("rotationY")) {
                        c2 = 1;
                        break;
                    }
                    break;
                case -1249320804:
                    if (str.equals("rotationZ")) {
                        c2 = 2;
                        break;
                    }
                    break;
                case -1225497657:
                    if (str.equals("translationX")) {
                        c2 = 3;
                        break;
                    }
                    break;
                case -1225497656:
                    if (str.equals("translationY")) {
                        c2 = 4;
                        break;
                    }
                    break;
                case -1225497655:
                    if (str.equals("translationZ")) {
                        c2 = 5;
                        break;
                    }
                    break;
                case -1001078227:
                    if (str.equals("progress")) {
                        c2 = 6;
                        break;
                    }
                    break;
                case -987906986:
                    if (str.equals("pivotX")) {
                        c2 = 7;
                        break;
                    }
                    break;
                case -987906985:
                    if (str.equals("pivotY")) {
                        c2 = '\b';
                        break;
                    }
                    break;
                case -908189618:
                    if (str.equals("scaleX")) {
                        c2 = '\t';
                        break;
                    }
                    break;
                case -908189617:
                    if (str.equals("scaleY")) {
                        c2 = '\n';
                        break;
                    }
                    break;
                case 92909918:
                    if (str.equals("alpha")) {
                        c2 = 11;
                        break;
                    }
                    break;
                case 803192288:
                    if (str.equals("pathRotate")) {
                        c2 = '\f';
                        break;
                    }
                    break;
            }
            float f = 1.0f;
            float f2 = 0.0f;
            switch (c2) {
                case 0:
                    if (!Float.isNaN(this.R0)) {
                        f2 = this.R0;
                    }
                    oVar.g(i, f2);
                    break;
                case 1:
                    if (!Float.isNaN(this.S0)) {
                        f2 = this.S0;
                    }
                    oVar.g(i, f2);
                    break;
                case 2:
                    if (!Float.isNaN(this.Q0)) {
                        f2 = this.Q0;
                    }
                    oVar.g(i, f2);
                    break;
                case 3:
                    if (!Float.isNaN(this.X0)) {
                        f2 = this.X0;
                    }
                    oVar.g(i, f2);
                    break;
                case 4:
                    if (!Float.isNaN(this.Y0)) {
                        f2 = this.Y0;
                    }
                    oVar.g(i, f2);
                    break;
                case 5:
                    if (!Float.isNaN(this.Z0)) {
                        f2 = this.Z0;
                    }
                    oVar.g(i, f2);
                    break;
                case 6:
                    if (!Float.isNaN(this.i1)) {
                        f2 = this.i1;
                    }
                    oVar.g(i, f2);
                    break;
                case 7:
                    if (!Float.isNaN(this.V0)) {
                        f2 = this.V0;
                    }
                    oVar.g(i, f2);
                    break;
                case '\b':
                    if (!Float.isNaN(this.W0)) {
                        f2 = this.W0;
                    }
                    oVar.g(i, f2);
                    break;
                case '\t':
                    if (!Float.isNaN(this.T0)) {
                        f = this.T0;
                    }
                    oVar.g(i, f);
                    break;
                case '\n':
                    if (!Float.isNaN(this.U0)) {
                        f = this.U0;
                    }
                    oVar.g(i, f);
                    break;
                case 11:
                    if (!Float.isNaN(this.L0)) {
                        f = this.L0;
                    }
                    oVar.g(i, f);
                    break;
                case '\f':
                    if (!Float.isNaN(this.h1)) {
                        f2 = this.h1;
                    }
                    oVar.g(i, f2);
                    break;
                default:
                    if (str.startsWith("CUSTOM")) {
                        String str2 = str.split(",")[1];
                        if (this.k1.containsKey(str2)) {
                            a aVar = this.k1.get(str2);
                            if (oVar instanceof o.c) {
                                ((o.c) oVar).k(i, aVar);
                                break;
                            } else {
                                e0.f("MotionPaths", str + " ViewSpline not a CustomSet frame = " + i + ", value" + aVar.n() + oVar);
                                break;
                            }
                        } else {
                            break;
                        }
                    } else {
                        e0.f("MotionPaths", "UNKNOWN spline " + str);
                        break;
                    }
            }
        }
    }

    public void b(e eVar) {
        this.N0 = eVar.B();
        this.L0 = eVar.B() != 4 ? 0.0f : eVar.g();
        this.O0 = false;
        this.Q0 = eVar.t();
        this.R0 = eVar.r();
        this.S0 = eVar.s();
        this.T0 = eVar.u();
        this.U0 = eVar.v();
        this.V0 = eVar.o();
        this.W0 = eVar.p();
        this.X0 = eVar.x();
        this.Y0 = eVar.y();
        this.Z0 = eVar.z();
        for (String str : eVar.j()) {
            a i = eVar.i(str);
            if (i != null && i.q()) {
                this.k1.put(str, i);
            }
        }
    }

    /* renamed from: g */
    public int compareTo(c cVar) {
        return Float.compare(this.c1, cVar.c1);
    }

    /* access modifiers changed from: package-private */
    public void i(c cVar, HashSet<String> hashSet) {
        if (h(this.L0, cVar.L0)) {
            hashSet.add("alpha");
        }
        if (h(this.P0, cVar.P0)) {
            hashSet.add("translationZ");
        }
        int i = this.N0;
        int i2 = cVar.N0;
        if (i != i2 && this.M0 == 0 && (i == 4 || i2 == 4)) {
            hashSet.add("alpha");
        }
        if (h(this.Q0, cVar.Q0)) {
            hashSet.add("rotationZ");
        }
        if (!Float.isNaN(this.h1) || !Float.isNaN(cVar.h1)) {
            hashSet.add("pathRotate");
        }
        if (!Float.isNaN(this.i1) || !Float.isNaN(cVar.i1)) {
            hashSet.add("progress");
        }
        if (h(this.R0, cVar.R0)) {
            hashSet.add("rotationX");
        }
        if (h(this.S0, cVar.S0)) {
            hashSet.add("rotationY");
        }
        if (h(this.V0, cVar.V0)) {
            hashSet.add("pivotX");
        }
        if (h(this.W0, cVar.W0)) {
            hashSet.add("pivotY");
        }
        if (h(this.T0, cVar.T0)) {
            hashSet.add("scaleX");
        }
        if (h(this.U0, cVar.U0)) {
            hashSet.add("scaleY");
        }
        if (h(this.X0, cVar.X0)) {
            hashSet.add("translationX");
        }
        if (h(this.Y0, cVar.Y0)) {
            hashSet.add("translationY");
        }
        if (h(this.Z0, cVar.Z0)) {
            hashSet.add("translationZ");
        }
        if (h(this.P0, cVar.P0)) {
            hashSet.add("elevation");
        }
    }

    /* access modifiers changed from: package-private */
    public void j(c cVar, boolean[] zArr, String[] strArr) {
        zArr[0] = zArr[0] | h(this.c1, cVar.c1);
        zArr[1] = zArr[1] | h(this.d1, cVar.d1);
        zArr[2] = zArr[2] | h(this.e1, cVar.e1);
        zArr[3] = zArr[3] | h(this.f1, cVar.f1);
        zArr[4] = h(this.g1, cVar.g1) | zArr[4];
    }

    /* access modifiers changed from: package-private */
    public void k(double[] dArr, int[] iArr) {
        float[] fArr = {this.c1, this.d1, this.e1, this.f1, this.g1, this.L0, this.P0, this.Q0, this.R0, this.S0, this.T0, this.U0, this.V0, this.W0, this.X0, this.Y0, this.Z0, this.h1};
        int i = 0;
        for (int i2 = 0; i2 < iArr.length; i2++) {
            if (iArr[i2] < 18) {
                dArr[i] = (double) fArr[iArr[i2]];
                i++;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public int l(String str, double[] dArr, int i) {
        a aVar = this.k1.get(str);
        if (aVar.r() == 1) {
            dArr[i] = (double) aVar.n();
            return 1;
        }
        int r = aVar.r();
        float[] fArr = new float[r];
        aVar.o(fArr);
        int i2 = 0;
        while (i2 < r) {
            dArr[i] = (double) fArr[i2];
            i2++;
            i++;
        }
        return r;
    }

    /* access modifiers changed from: package-private */
    public int n(String str) {
        return this.k1.get(str).r();
    }

    /* access modifiers changed from: package-private */
    public boolean o(String str) {
        return this.k1.containsKey(str);
    }

    /* access modifiers changed from: package-private */
    public void p(float f, float f2, float f3, float f4) {
        this.d1 = f;
        this.e1 = f2;
        this.f1 = f3;
        this.g1 = f4;
    }

    public void q(e eVar) {
        p((float) eVar.E(), (float) eVar.F(), (float) eVar.D(), (float) eVar.k());
        b(eVar);
    }

    public void r(m mVar, e eVar, int i, float f) {
        p((float) mVar.f1638b, (float) mVar.f1640d, (float) mVar.b(), (float) mVar.a());
        b(eVar);
        this.V0 = Float.NaN;
        this.W0 = Float.NaN;
        if (i == 1) {
            this.Q0 = f - 90.0f;
        } else if (i == 2) {
            this.Q0 = f + 90.0f;
        }
    }
}
