package androidx.constraintlayout.motion.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.DashPathEffect;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.RectF;
import android.os.Build;
import android.os.Bundle;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.util.SparseBooleanArray;
import android.util.SparseIntArray;
import android.view.Display;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Interpolator;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.constraintlayout.core.widgets.ConstraintAnchor;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.motion.widget.t;
import androidx.constraintlayout.widget.Barrier;
import androidx.constraintlayout.widget.ConstraintHelper;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.Constraints;
import androidx.constraintlayout.widget.R;
import androidx.core.view.NestedScrollingParent3;
import androidx.core.view.ViewCompat;
import androidx.exifinterface.media.ExifInterface;
import com.ibm.icu.impl.number.Padder;
import com.ibm.icu.text.DateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Iterator;
import java.util.concurrent.CopyOnWriteArrayList;

public class MotionLayout extends ConstraintLayout implements NestedScrollingParent3 {
    public static final int I0 = 2;
    public static final int J0 = 3;
    public static final int K0 = 4;
    public static final int L0 = 5;
    public static final int M0 = 6;
    public static final int N0 = 7;
    static final String O0 = "MotionLayout";
    private static final boolean P0 = false;
    public static boolean Q0 = false;
    public static final int R0 = 0;
    public static final int S0 = 1;
    public static final int T0 = 2;
    static final int U0 = 50;
    public static final int V0 = 0;
    public static final int W0 = 1;
    public static final int X0 = 2;
    public static final int Y0 = 3;
    private static final float Z0 = 1.0E-5f;

    /* renamed from: a  reason: collision with root package name */
    public static final int f1880a = 0;

    /* renamed from: b  reason: collision with root package name */
    public static final int f1881b = 1;
    private b.c.a.a.b A1 = new b.c.a.a.b();
    ArrayList<Integer> A2 = new ArrayList<>();
    private f B1 = new f();
    private e C1;
    boolean D1 = true;
    int E1;
    int F1;
    int G1;
    int H1;
    boolean I1 = false;
    float J1;
    float K1;
    long L1;
    float M1;
    private boolean N1 = false;
    private ArrayList<MotionHelper> O1 = null;
    private ArrayList<MotionHelper> P1 = null;
    private ArrayList<MotionHelper> Q1 = null;
    private CopyOnWriteArrayList<l> R1 = null;
    private int S1 = 0;
    private long T1 = -1;
    private float U1 = 0.0f;
    private int V1 = 0;
    private float W1 = 0.0f;
    boolean X1 = false;
    protected boolean Y1 = false;
    int Z1;
    t a1;
    int a2;
    Interpolator b1;
    int b2;
    Interpolator c1 = null;
    int c2;
    float d1 = 0.0f;
    int d2;
    private int e1 = -1;
    int e2;
    int f1 = -1;
    float f2;
    private int g1 = -1;
    private androidx.constraintlayout.core.motion.h.g g2 = new androidx.constraintlayout.core.motion.h.g();
    private int h1 = 0;
    private boolean h2 = false;
    private int i1 = 0;
    private k i2;
    private boolean j1 = true;
    private Runnable j2 = null;
    HashMap<View, p> k1 = new HashMap<>();
    private int[] k2 = null;
    private long l1 = 0;
    int l2 = 0;
    private float m1 = 1.0f;
    private boolean m2 = false;
    float n1 = 0.0f;
    int n2 = 0;
    float o1 = 0.0f;
    HashMap<View, b.c.a.a.e> o2 = new HashMap<>();
    private long p1;
    private int p2;
    float q1 = 0.0f;
    private int q2;
    private boolean r1;
    private int r2;
    boolean s1 = false;
    Rect s2 = new Rect();
    boolean t1 = false;
    private boolean t2 = false;
    private l u1;
    m u2 = m.UNDEFINED;
    private float v1;
    h v2 = new h();
    private float w1;
    private boolean w2 = false;
    int x1 = 0;
    private RectF x2 = new RectF();
    g y1;
    private View y2 = null;
    private boolean z1 = false;
    private Matrix z2 = null;

    class a implements Runnable {
        a() {
        }

        public void run() {
            MotionLayout.this.i2.a();
        }
    }

    class b implements Runnable {
        b() {
        }

        public void run() {
            MotionLayout.this.m2 = false;
        }
    }

    class c implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f1884a;

        c(MotionLayout motionLayout, View view) {
            this.f1884a = view;
        }

        public void run() {
            this.f1884a.setNestedScrollingEnabled(true);
        }
    }

    class d implements Runnable {
        d() {
        }

        public void run() {
            MotionLayout.this.i2.a();
        }
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class e {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f1886a;

        /* JADX WARNING: Can't wrap try/catch for region: R(8:0|1|2|3|4|5|6|(3:7|8|10)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        static {
            int[] iArr = new int[m.values().length];
            f1886a = iArr;
            iArr[m.UNDEFINED.ordinal()] = 1;
            f1886a[m.SETUP.ordinal()] = 2;
            f1886a[m.MOVING.ordinal()] = 3;
            try {
                f1886a[m.FINISHED.ordinal()] = 4;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class f extends r {

        /* renamed from: a  reason: collision with root package name */
        float f1887a = 0.0f;

        /* renamed from: b  reason: collision with root package name */
        float f1888b = 0.0f;

        /* renamed from: c  reason: collision with root package name */
        float f1889c;

        f() {
        }

        @Override // androidx.constraintlayout.motion.widget.r
        public float a() {
            return MotionLayout.this.d1;
        }

        public void b(float f, float f2, float f3) {
            this.f1887a = f;
            this.f1888b = f2;
            this.f1889c = f3;
        }

        @Override // androidx.constraintlayout.motion.widget.r
        public float getInterpolation(float f) {
            float f2;
            float f3;
            float f4 = this.f1887a;
            if (f4 > 0.0f) {
                float f5 = this.f1889c;
                if (f4 / f5 < f) {
                    f = f4 / f5;
                }
                MotionLayout.this.d1 = f4 - (f5 * f);
                f2 = (f4 * f) - (((f5 * f) * f) / 2.0f);
                f3 = this.f1888b;
            } else {
                float f6 = this.f1889c;
                if ((-f4) / f6 < f) {
                    f = (-f4) / f6;
                }
                MotionLayout.this.d1 = (f6 * f) + f4;
                f2 = (f4 * f) + (((f6 * f) * f) / 2.0f);
                f3 = this.f1888b;
            }
            return f2 + f3;
        }
    }

    private class g {

        /* renamed from: a  reason: collision with root package name */
        private static final int f1891a = 16;

        /* renamed from: b  reason: collision with root package name */
        float[] f1892b;

        /* renamed from: c  reason: collision with root package name */
        int[] f1893c;

        /* renamed from: d  reason: collision with root package name */
        float[] f1894d;

        /* renamed from: e  reason: collision with root package name */
        Path f1895e;
        Paint f;
        Paint g;
        Paint h;
        Paint i;
        Paint j;
        private float[] k;
        final int l = -21965;
        final int m = -2067046;
        final int n = -13391360;
        final int o = 1996488704;
        final int p = 10;
        DashPathEffect q;
        int r;
        Rect s = new Rect();
        boolean t = false;
        int u = 1;

        public g() {
            Paint paint = new Paint();
            this.f = paint;
            paint.setAntiAlias(true);
            this.f.setColor(-21965);
            this.f.setStrokeWidth(2.0f);
            this.f.setStyle(Paint.Style.STROKE);
            Paint paint2 = new Paint();
            this.g = paint2;
            paint2.setAntiAlias(true);
            this.g.setColor(-2067046);
            this.g.setStrokeWidth(2.0f);
            this.g.setStyle(Paint.Style.STROKE);
            Paint paint3 = new Paint();
            this.h = paint3;
            paint3.setAntiAlias(true);
            this.h.setColor(-13391360);
            this.h.setStrokeWidth(2.0f);
            this.h.setStyle(Paint.Style.STROKE);
            Paint paint4 = new Paint();
            this.i = paint4;
            paint4.setAntiAlias(true);
            this.i.setColor(-13391360);
            this.i.setTextSize(MotionLayout.this.getContext().getResources().getDisplayMetrics().density * 12.0f);
            this.k = new float[8];
            Paint paint5 = new Paint();
            this.j = paint5;
            paint5.setAntiAlias(true);
            DashPathEffect dashPathEffect = new DashPathEffect(new float[]{4.0f, 8.0f}, 0.0f);
            this.q = dashPathEffect;
            this.h.setPathEffect(dashPathEffect);
            this.f1894d = new float[100];
            this.f1893c = new int[50];
            if (this.t) {
                this.f.setStrokeWidth(8.0f);
                this.j.setStrokeWidth(8.0f);
                this.g.setStrokeWidth(8.0f);
                this.u = 4;
            }
        }

        private void c(Canvas canvas) {
            canvas.drawLines(this.f1892b, this.f);
        }

        private void d(Canvas canvas) {
            boolean z = false;
            boolean z2 = false;
            for (int i2 = 0; i2 < this.r; i2++) {
                int[] iArr = this.f1893c;
                if (iArr[i2] == 1) {
                    z = true;
                }
                if (iArr[i2] == 0) {
                    z2 = true;
                }
            }
            if (z) {
                g(canvas);
            }
            if (z2) {
                e(canvas);
            }
        }

        private void e(Canvas canvas) {
            float[] fArr = this.f1892b;
            float f2 = fArr[0];
            float f3 = fArr[1];
            float f4 = fArr[fArr.length - 2];
            float f5 = fArr[fArr.length - 1];
            canvas.drawLine(Math.min(f2, f4), Math.max(f3, f5), Math.max(f2, f4), Math.max(f3, f5), this.h);
            canvas.drawLine(Math.min(f2, f4), Math.min(f3, f5), Math.min(f2, f4), Math.max(f3, f5), this.h);
        }

        private void f(Canvas canvas, float f2, float f3) {
            float[] fArr = this.f1892b;
            float f4 = fArr[0];
            float f5 = fArr[1];
            float f6 = fArr[fArr.length - 2];
            float f7 = fArr[fArr.length - 1];
            float min = Math.min(f4, f6);
            float max = Math.max(f5, f7);
            float min2 = f2 - Math.min(f4, f6);
            float max2 = Math.max(f5, f7) - f3;
            String str = "" + (((float) ((int) (((double) ((min2 * 100.0f) / Math.abs(f6 - f4))) + 0.5d))) / 100.0f);
            m(str, this.i);
            canvas.drawText(str, ((min2 / 2.0f) - ((float) (this.s.width() / 2))) + min, f3 - 20.0f, this.i);
            canvas.drawLine(f2, f3, Math.min(f4, f6), f3, this.h);
            String str2 = "" + (((float) ((int) (((double) ((max2 * 100.0f) / Math.abs(f7 - f5))) + 0.5d))) / 100.0f);
            m(str2, this.i);
            canvas.drawText(str2, f2 + 5.0f, max - ((max2 / 2.0f) - ((float) (this.s.height() / 2))), this.i);
            canvas.drawLine(f2, f3, f2, Math.max(f5, f7), this.h);
        }

        private void g(Canvas canvas) {
            float[] fArr = this.f1892b;
            canvas.drawLine(fArr[0], fArr[1], fArr[fArr.length - 2], fArr[fArr.length - 1], this.h);
        }

        private void h(Canvas canvas, float f2, float f3) {
            float[] fArr = this.f1892b;
            float f4 = fArr[0];
            float f5 = fArr[1];
            float f6 = fArr[fArr.length - 2];
            float f7 = fArr[fArr.length - 1];
            float hypot = (float) Math.hypot((double) (f4 - f6), (double) (f5 - f7));
            float f8 = f6 - f4;
            float f9 = f7 - f5;
            float f10 = (((f2 - f4) * f8) + ((f3 - f5) * f9)) / (hypot * hypot);
            float f11 = f4 + (f8 * f10);
            float f12 = f5 + (f10 * f9);
            Path path = new Path();
            path.moveTo(f2, f3);
            path.lineTo(f11, f12);
            float hypot2 = (float) Math.hypot((double) (f11 - f2), (double) (f12 - f3));
            String str = "" + (((float) ((int) ((hypot2 * 100.0f) / hypot))) / 100.0f);
            m(str, this.i);
            canvas.drawTextOnPath(str, path, (hypot2 / 2.0f) - ((float) (this.s.width() / 2)), -20.0f, this.i);
            canvas.drawLine(f2, f3, f11, f12, this.h);
        }

        private void i(Canvas canvas, float f2, float f3, int i2, int i3) {
            String str = "" + (((float) ((int) (((double) (((f2 - ((float) (i2 / 2))) * 100.0f) / ((float) (MotionLayout.this.getWidth() - i2)))) + 0.5d))) / 100.0f);
            m(str, this.i);
            canvas.drawText(str, ((f2 / 2.0f) - ((float) (this.s.width() / 2))) + 0.0f, f3 - 20.0f, this.i);
            canvas.drawLine(f2, f3, Math.min(0.0f, 1.0f), f3, this.h);
            String str2 = "" + (((float) ((int) (((double) (((f3 - ((float) (i3 / 2))) * 100.0f) / ((float) (MotionLayout.this.getHeight() - i3)))) + 0.5d))) / 100.0f);
            m(str2, this.i);
            canvas.drawText(str2, f2 + 5.0f, 0.0f - ((f3 / 2.0f) - ((float) (this.s.height() / 2))), this.i);
            canvas.drawLine(f2, f3, f2, Math.max(0.0f, 1.0f), this.h);
        }

        private void j(Canvas canvas, p pVar) {
            this.f1895e.reset();
            for (int i2 = 0; i2 <= 50; i2++) {
                pVar.g(((float) i2) / ((float) 50), this.k, 0);
                Path path = this.f1895e;
                float[] fArr = this.k;
                path.moveTo(fArr[0], fArr[1]);
                Path path2 = this.f1895e;
                float[] fArr2 = this.k;
                path2.lineTo(fArr2[2], fArr2[3]);
                Path path3 = this.f1895e;
                float[] fArr3 = this.k;
                path3.lineTo(fArr3[4], fArr3[5]);
                Path path4 = this.f1895e;
                float[] fArr4 = this.k;
                path4.lineTo(fArr4[6], fArr4[7]);
                this.f1895e.close();
            }
            this.f.setColor(1140850688);
            canvas.translate(2.0f, 2.0f);
            canvas.drawPath(this.f1895e, this.f);
            canvas.translate(-2.0f, -2.0f);
            this.f.setColor(androidx.core.d.b.a.f2500c);
            canvas.drawPath(this.f1895e, this.f);
        }

        private void k(Canvas canvas, int i2, int i3, p pVar) {
            int i4;
            int i5;
            float f2;
            float f3;
            View view = pVar.C;
            if (view != null) {
                i5 = view.getWidth();
                i4 = pVar.C.getHeight();
            } else {
                i5 = 0;
                i4 = 0;
            }
            for (int i6 = 1; i6 < i3 - 1; i6++) {
                if (i2 != 4 || this.f1893c[i6 - 1] != 0) {
                    float[] fArr = this.f1894d;
                    int i7 = i6 * 2;
                    float f4 = fArr[i7];
                    float f5 = fArr[i7 + 1];
                    this.f1895e.reset();
                    this.f1895e.moveTo(f4, f5 + 10.0f);
                    this.f1895e.lineTo(f4 + 10.0f, f5);
                    this.f1895e.lineTo(f4, f5 - 10.0f);
                    this.f1895e.lineTo(f4 - 10.0f, f5);
                    this.f1895e.close();
                    int i8 = i6 - 1;
                    pVar.w(i8);
                    if (i2 == 4) {
                        int[] iArr = this.f1893c;
                        if (iArr[i8] == 1) {
                            h(canvas, f4 - 0.0f, f5 - 0.0f);
                        } else if (iArr[i8] == 0) {
                            f(canvas, f4 - 0.0f, f5 - 0.0f);
                        } else if (iArr[i8] == 2) {
                            f3 = f5;
                            f2 = f4;
                            i(canvas, f4 - 0.0f, f5 - 0.0f, i5, i4);
                            canvas.drawPath(this.f1895e, this.j);
                        }
                        f3 = f5;
                        f2 = f4;
                        canvas.drawPath(this.f1895e, this.j);
                    } else {
                        f3 = f5;
                        f2 = f4;
                    }
                    if (i2 == 2) {
                        h(canvas, f2 - 0.0f, f3 - 0.0f);
                    }
                    if (i2 == 3) {
                        f(canvas, f2 - 0.0f, f3 - 0.0f);
                    }
                    if (i2 == 6) {
                        i(canvas, f2 - 0.0f, f3 - 0.0f, i5, i4);
                    }
                    canvas.drawPath(this.f1895e, this.j);
                }
            }
            float[] fArr2 = this.f1892b;
            if (fArr2.length > 1) {
                canvas.drawCircle(fArr2[0], fArr2[1], 8.0f, this.g);
                float[] fArr3 = this.f1892b;
                canvas.drawCircle(fArr3[fArr3.length - 2], fArr3[fArr3.length - 1], 8.0f, this.g);
            }
        }

        private void l(Canvas canvas, float f2, float f3, float f4, float f5) {
            canvas.drawRect(f2, f3, f4, f5, this.h);
            canvas.drawLine(f2, f3, f4, f5, this.h);
        }

        public void a(Canvas canvas, HashMap<View, p> hashMap, int i2, int i3) {
            if (!(hashMap == null || hashMap.size() == 0)) {
                canvas.save();
                if (!MotionLayout.this.isInEditMode() && (i3 & 1) == 2) {
                    String str = MotionLayout.this.getContext().getResources().getResourceName(MotionLayout.this.g1) + ":" + MotionLayout.this.getProgress();
                    canvas.drawText(str, 10.0f, (float) (MotionLayout.this.getHeight() - 30), this.i);
                    canvas.drawText(str, 11.0f, (float) (MotionLayout.this.getHeight() - 29), this.f);
                }
                for (p pVar : hashMap.values()) {
                    int q2 = pVar.q();
                    if (i3 > 0 && q2 == 0) {
                        q2 = 1;
                    }
                    if (q2 != 0) {
                        this.r = pVar.e(this.f1894d, this.f1893c);
                        if (q2 >= 1) {
                            int i4 = i2 / 16;
                            float[] fArr = this.f1892b;
                            if (fArr == null || fArr.length != i4 * 2) {
                                this.f1892b = new float[(i4 * 2)];
                                this.f1895e = new Path();
                            }
                            int i5 = this.u;
                            canvas.translate((float) i5, (float) i5);
                            this.f.setColor(1996488704);
                            this.j.setColor(1996488704);
                            this.g.setColor(1996488704);
                            this.h.setColor(1996488704);
                            pVar.f(this.f1892b, i4);
                            b(canvas, q2, this.r, pVar);
                            this.f.setColor(-21965);
                            this.g.setColor(-2067046);
                            this.j.setColor(-2067046);
                            this.h.setColor(-13391360);
                            int i6 = this.u;
                            canvas.translate((float) (-i6), (float) (-i6));
                            b(canvas, q2, this.r, pVar);
                            if (q2 == 5) {
                                j(canvas, pVar);
                            }
                        }
                    }
                }
                canvas.restore();
            }
        }

        public void b(Canvas canvas, int i2, int i3, p pVar) {
            if (i2 == 4) {
                d(canvas);
            }
            if (i2 == 2) {
                g(canvas);
            }
            if (i2 == 3) {
                e(canvas);
            }
            c(canvas);
            k(canvas, i2, i3, pVar);
        }

        /* access modifiers changed from: package-private */
        public void m(String str, Paint paint) {
            paint.getTextBounds(str, 0, str.length(), this.s);
        }
    }

    /* access modifiers changed from: package-private */
    public class h {

        /* renamed from: a  reason: collision with root package name */
        androidx.constraintlayout.core.widgets.d f1896a = new androidx.constraintlayout.core.widgets.d();

        /* renamed from: b  reason: collision with root package name */
        androidx.constraintlayout.core.widgets.d f1897b = new androidx.constraintlayout.core.widgets.d();

        /* renamed from: c  reason: collision with root package name */
        androidx.constraintlayout.widget.c f1898c = null;

        /* renamed from: d  reason: collision with root package name */
        androidx.constraintlayout.widget.c f1899d = null;

        /* renamed from: e  reason: collision with root package name */
        int f1900e;
        int f;

        h() {
        }

        private void b(int i, int i2) {
            int optimizationLevel = MotionLayout.this.getOptimizationLevel();
            MotionLayout motionLayout = MotionLayout.this;
            if (motionLayout.f1 == motionLayout.getStartState()) {
                MotionLayout motionLayout2 = MotionLayout.this;
                androidx.constraintlayout.core.widgets.d dVar = this.f1897b;
                androidx.constraintlayout.widget.c cVar = this.f1899d;
                motionLayout2.resolveSystem(dVar, optimizationLevel, (cVar == null || cVar.S1 == 0) ? i : i2, (cVar == null || cVar.S1 == 0) ? i2 : i);
                androidx.constraintlayout.widget.c cVar2 = this.f1898c;
                if (cVar2 != null) {
                    MotionLayout motionLayout3 = MotionLayout.this;
                    androidx.constraintlayout.core.widgets.d dVar2 = this.f1896a;
                    int i3 = cVar2.S1;
                    int i4 = i3 == 0 ? i : i2;
                    if (i3 == 0) {
                        i = i2;
                    }
                    motionLayout3.resolveSystem(dVar2, optimizationLevel, i4, i);
                    return;
                }
                return;
            }
            androidx.constraintlayout.widget.c cVar3 = this.f1898c;
            if (cVar3 != null) {
                MotionLayout motionLayout4 = MotionLayout.this;
                androidx.constraintlayout.core.widgets.d dVar3 = this.f1896a;
                int i5 = cVar3.S1;
                motionLayout4.resolveSystem(dVar3, optimizationLevel, i5 == 0 ? i : i2, i5 == 0 ? i2 : i);
            }
            MotionLayout motionLayout5 = MotionLayout.this;
            androidx.constraintlayout.core.widgets.d dVar4 = this.f1897b;
            androidx.constraintlayout.widget.c cVar4 = this.f1899d;
            int i6 = (cVar4 == null || cVar4.S1 == 0) ? i : i2;
            if (cVar4 == null || cVar4.S1 == 0) {
                i = i2;
            }
            motionLayout5.resolveSystem(dVar4, optimizationLevel, i6, i);
        }

        @SuppressLint({"LogConditional"})
        private void d(String str, androidx.constraintlayout.core.widgets.d dVar) {
            String str2 = str + Padder.f14124a + d.k((View) dVar.w());
            Log.v(MotionLayout.O0, str2 + "  ========= " + dVar);
            int size = dVar.l2().size();
            for (int i = 0; i < size; i++) {
                String str3 = str2 + "[" + i + "] ";
                ConstraintWidget constraintWidget = dVar.l2().get(i);
                StringBuilder sb = new StringBuilder();
                sb.append("");
                ConstraintAnchor constraintAnchor = constraintWidget.x0.h;
                String str4 = com.ibm.icu.impl.locale.b.f14006b;
                sb.append(constraintAnchor != null ? ExifInterface.I4 : str4);
                String sb2 = sb.toString();
                StringBuilder sb3 = new StringBuilder();
                sb3.append(sb2);
                sb3.append(constraintWidget.z0.h != null ? "B" : str4);
                String sb4 = sb3.toString();
                StringBuilder sb5 = new StringBuilder();
                sb5.append(sb4);
                sb5.append(constraintWidget.w0.h != null ? "L" : str4);
                String sb6 = sb5.toString();
                StringBuilder sb7 = new StringBuilder();
                sb7.append(sb6);
                if (constraintWidget.y0.h != null) {
                    str4 = DateFormat.JP_ERA_2019_NARROW;
                }
                sb7.append(str4);
                String sb8 = sb7.toString();
                View view = (View) constraintWidget.w();
                String k = d.k(view);
                if (view instanceof TextView) {
                    k = k + "(" + ((Object) ((TextView) view).getText()) + ")";
                }
                Log.v(MotionLayout.O0, str3 + "  " + k + Padder.f14124a + constraintWidget + Padder.f14124a + sb8);
            }
            Log.v(MotionLayout.O0, str2 + " done. ");
        }

        @SuppressLint({"LogConditional"})
        private void e(String str, ConstraintLayout.LayoutParams layoutParams) {
            StringBuilder sb = new StringBuilder();
            sb.append(Padder.f14124a);
            sb.append(layoutParams.R != -1 ? "SS" : "__");
            String sb2 = sb.toString();
            StringBuilder sb3 = new StringBuilder();
            sb3.append(sb2);
            String str2 = "|__";
            sb3.append(layoutParams.Q != -1 ? "|SE" : str2);
            String sb4 = sb3.toString();
            StringBuilder sb5 = new StringBuilder();
            sb5.append(sb4);
            sb5.append(layoutParams.S != -1 ? "|ES" : str2);
            String sb6 = sb5.toString();
            StringBuilder sb7 = new StringBuilder();
            sb7.append(sb6);
            sb7.append(layoutParams.T != -1 ? "|EE" : str2);
            String sb8 = sb7.toString();
            StringBuilder sb9 = new StringBuilder();
            sb9.append(sb8);
            sb9.append(layoutParams.C != -1 ? "|LL" : str2);
            String sb10 = sb9.toString();
            StringBuilder sb11 = new StringBuilder();
            sb11.append(sb10);
            sb11.append(layoutParams.D != -1 ? "|LR" : str2);
            String sb12 = sb11.toString();
            StringBuilder sb13 = new StringBuilder();
            sb13.append(sb12);
            sb13.append(layoutParams.E != -1 ? "|RL" : str2);
            String sb14 = sb13.toString();
            StringBuilder sb15 = new StringBuilder();
            sb15.append(sb14);
            sb15.append(layoutParams.F != -1 ? "|RR" : str2);
            String sb16 = sb15.toString();
            StringBuilder sb17 = new StringBuilder();
            sb17.append(sb16);
            sb17.append(layoutParams.G != -1 ? "|TT" : str2);
            String sb18 = sb17.toString();
            StringBuilder sb19 = new StringBuilder();
            sb19.append(sb18);
            sb19.append(layoutParams.H != -1 ? "|TB" : str2);
            String sb20 = sb19.toString();
            StringBuilder sb21 = new StringBuilder();
            sb21.append(sb20);
            sb21.append(layoutParams.I != -1 ? "|BT" : str2);
            String sb22 = sb21.toString();
            StringBuilder sb23 = new StringBuilder();
            sb23.append(sb22);
            if (layoutParams.J != -1) {
                str2 = "|BB";
            }
            sb23.append(str2);
            String sb24 = sb23.toString();
            Log.v(MotionLayout.O0, str + sb24);
        }

        @SuppressLint({"LogConditional"})
        private void f(String str, ConstraintWidget constraintWidget) {
            String str2;
            String str3;
            String str4;
            StringBuilder sb = new StringBuilder();
            sb.append(Padder.f14124a);
            String str5 = "B";
            String str6 = "__";
            if (constraintWidget.x0.h != null) {
                StringBuilder sb2 = new StringBuilder();
                sb2.append(ExifInterface.I4);
                sb2.append(constraintWidget.x0.h.g == ConstraintAnchor.Type.TOP ? ExifInterface.I4 : str5);
                str2 = sb2.toString();
            } else {
                str2 = str6;
            }
            sb.append(str2);
            String sb3 = sb.toString();
            StringBuilder sb4 = new StringBuilder();
            sb4.append(sb3);
            if (constraintWidget.z0.h != null) {
                StringBuilder sb5 = new StringBuilder();
                sb5.append(str5);
                if (constraintWidget.z0.h.g == ConstraintAnchor.Type.TOP) {
                    str5 = ExifInterface.I4;
                }
                sb5.append(str5);
                str3 = sb5.toString();
            } else {
                str3 = str6;
            }
            sb4.append(str3);
            String sb6 = sb4.toString();
            StringBuilder sb7 = new StringBuilder();
            sb7.append(sb6);
            ConstraintAnchor constraintAnchor = constraintWidget.w0.h;
            String str7 = DateFormat.JP_ERA_2019_NARROW;
            if (constraintAnchor != null) {
                StringBuilder sb8 = new StringBuilder();
                sb8.append("L");
                sb8.append(constraintWidget.w0.h.g == ConstraintAnchor.Type.LEFT ? "L" : str7);
                str4 = sb8.toString();
            } else {
                str4 = str6;
            }
            sb7.append(str4);
            String sb9 = sb7.toString();
            StringBuilder sb10 = new StringBuilder();
            sb10.append(sb9);
            if (constraintWidget.y0.h != null) {
                StringBuilder sb11 = new StringBuilder();
                sb11.append(str7);
                if (constraintWidget.y0.h.g == ConstraintAnchor.Type.LEFT) {
                    str7 = "L";
                }
                sb11.append(str7);
                str6 = sb11.toString();
            }
            sb10.append(str6);
            String sb12 = sb10.toString();
            Log.v(MotionLayout.O0, str + sb12 + " ---  " + constraintWidget);
        }

        private void m(androidx.constraintlayout.core.widgets.d dVar, androidx.constraintlayout.widget.c cVar) {
            SparseArray<ConstraintWidget> sparseArray = new SparseArray<>();
            Constraints.LayoutParams layoutParams = new Constraints.LayoutParams(-2, -2);
            sparseArray.clear();
            sparseArray.put(0, dVar);
            sparseArray.put(MotionLayout.this.getId(), dVar);
            if (!(cVar == null || cVar.S1 == 0)) {
                MotionLayout motionLayout = MotionLayout.this;
                motionLayout.resolveSystem(this.f1897b, motionLayout.getOptimizationLevel(), View.MeasureSpec.makeMeasureSpec(MotionLayout.this.getHeight(), 1073741824), View.MeasureSpec.makeMeasureSpec(MotionLayout.this.getWidth(), 1073741824));
            }
            Iterator<ConstraintWidget> it = dVar.l2().iterator();
            while (it.hasNext()) {
                ConstraintWidget next = it.next();
                next.f1(true);
                sparseArray.put(((View) next.w()).getId(), next);
            }
            Iterator<ConstraintWidget> it2 = dVar.l2().iterator();
            while (it2.hasNext()) {
                ConstraintWidget next2 = it2.next();
                View view = (View) next2.w();
                cVar.u(view.getId(), layoutParams);
                next2.c2(cVar.u0(view.getId()));
                next2.y1(cVar.n0(view.getId()));
                if (view instanceof ConstraintHelper) {
                    cVar.s((ConstraintHelper) view, next2, layoutParams, sparseArray);
                    if (view instanceof Barrier) {
                        ((Barrier) view).I();
                    }
                }
                if (Build.VERSION.SDK_INT >= 17) {
                    layoutParams.resolveLayoutDirection(MotionLayout.this.getLayoutDirection());
                } else {
                    layoutParams.resolveLayoutDirection(0);
                }
                MotionLayout.this.applyConstraintsFromLayoutParams(false, view, next2, layoutParams, sparseArray);
                if (cVar.t0(view.getId()) == 1) {
                    next2.b2(view.getVisibility());
                } else {
                    next2.b2(cVar.s0(view.getId()));
                }
            }
            Iterator<ConstraintWidget> it3 = dVar.l2().iterator();
            while (it3.hasNext()) {
                ConstraintWidget next3 = it3.next();
                if (next3 instanceof androidx.constraintlayout.core.widgets.l) {
                    androidx.constraintlayout.core.widgets.g gVar = (androidx.constraintlayout.core.widgets.g) next3;
                    ((ConstraintHelper) next3.w()).G(dVar, gVar, sparseArray);
                    ((androidx.constraintlayout.core.widgets.l) gVar).n2();
                }
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:22:0x00e9  */
        /* JADX WARNING: Removed duplicated region for block: B:40:0x013d A[SYNTHETIC] */
        public void a() {
            SparseArray sparseArray;
            String str;
            String str2;
            int childCount = MotionLayout.this.getChildCount();
            MotionLayout.this.k1.clear();
            SparseArray sparseArray2 = new SparseArray();
            int[] iArr = new int[childCount];
            for (int i = 0; i < childCount; i++) {
                View childAt = MotionLayout.this.getChildAt(i);
                p pVar = new p(childAt);
                int id = childAt.getId();
                iArr[i] = id;
                sparseArray2.put(id, pVar);
                MotionLayout.this.k1.put(childAt, pVar);
            }
            int i2 = 0;
            while (i2 < childCount) {
                View childAt2 = MotionLayout.this.getChildAt(i2);
                p pVar2 = MotionLayout.this.k1.get(childAt2);
                if (pVar2 == null) {
                    sparseArray = sparseArray2;
                } else {
                    if (this.f1898c != null) {
                        ConstraintWidget g2 = g(this.f1896a, childAt2);
                        if (g2 != null) {
                            pVar2.W(MotionLayout.this.x0(g2), this.f1898c, MotionLayout.this.getWidth(), MotionLayout.this.getHeight());
                        } else if (MotionLayout.this.x1 != 0) {
                            Log.e(MotionLayout.O0, d.g() + "no widget for  " + d.k(childAt2) + " (" + childAt2.getClass().getName() + ")");
                        }
                    } else if (MotionLayout.this.m2) {
                        b.c.a.a.e eVar = MotionLayout.this.o2.get(childAt2);
                        MotionLayout motionLayout = MotionLayout.this;
                        int i3 = motionLayout.n2;
                        int i4 = motionLayout.p2;
                        int i5 = MotionLayout.this.q2;
                        str = MotionLayout.O0;
                        sparseArray = sparseArray2;
                        str2 = "no widget for  ";
                        pVar2.X(eVar, childAt2, i3, i4, i5);
                        if (this.f1899d != null) {
                            ConstraintWidget g3 = g(this.f1897b, childAt2);
                            if (g3 != null) {
                                pVar2.T(MotionLayout.this.x0(g3), this.f1899d, MotionLayout.this.getWidth(), MotionLayout.this.getHeight());
                            } else if (MotionLayout.this.x1 != 0) {
                                Log.e(str, d.g() + str2 + d.k(childAt2) + " (" + childAt2.getClass().getName() + ")");
                            }
                        }
                    }
                    sparseArray = sparseArray2;
                    str = MotionLayout.O0;
                    str2 = "no widget for  ";
                    if (this.f1899d != null) {
                    }
                }
                i2++;
                sparseArray2 = sparseArray;
            }
            SparseArray sparseArray3 = sparseArray2;
            int i6 = 0;
            while (i6 < childCount) {
                p pVar3 = (p) sparseArray3.get(iArr[i6]);
                int k = pVar3.k();
                if (k != -1) {
                    pVar3.b0((p) sparseArray3.get(k));
                }
                i6++;
                sparseArray3 = sparseArray3;
            }
        }

        /* access modifiers changed from: package-private */
        public void c(androidx.constraintlayout.core.widgets.d dVar, androidx.constraintlayout.core.widgets.d dVar2) {
            ConstraintWidget constraintWidget;
            ArrayList<ConstraintWidget> l2 = dVar.l2();
            HashMap<ConstraintWidget, ConstraintWidget> hashMap = new HashMap<>();
            hashMap.put(dVar, dVar2);
            dVar2.l2().clear();
            dVar2.n(dVar, hashMap);
            Iterator<ConstraintWidget> it = l2.iterator();
            while (it.hasNext()) {
                ConstraintWidget next = it.next();
                if (next instanceof androidx.constraintlayout.core.widgets.a) {
                    constraintWidget = new androidx.constraintlayout.core.widgets.a();
                } else if (next instanceof androidx.constraintlayout.core.widgets.f) {
                    constraintWidget = new androidx.constraintlayout.core.widgets.f();
                } else if (next instanceof androidx.constraintlayout.core.widgets.e) {
                    constraintWidget = new androidx.constraintlayout.core.widgets.e();
                } else if (next instanceof androidx.constraintlayout.core.widgets.j) {
                    constraintWidget = new androidx.constraintlayout.core.widgets.j();
                } else if (next instanceof androidx.constraintlayout.core.widgets.g) {
                    constraintWidget = new androidx.constraintlayout.core.widgets.h();
                } else {
                    constraintWidget = new ConstraintWidget();
                }
                dVar2.b(constraintWidget);
                hashMap.put(next, constraintWidget);
            }
            Iterator<ConstraintWidget> it2 = l2.iterator();
            while (it2.hasNext()) {
                ConstraintWidget next2 = it2.next();
                hashMap.get(next2).n(next2, hashMap);
            }
        }

        /* access modifiers changed from: package-private */
        public ConstraintWidget g(androidx.constraintlayout.core.widgets.d dVar, View view) {
            if (dVar.w() == view) {
                return dVar;
            }
            ArrayList<ConstraintWidget> l2 = dVar.l2();
            int size = l2.size();
            for (int i = 0; i < size; i++) {
                ConstraintWidget constraintWidget = l2.get(i);
                if (constraintWidget.w() == view) {
                    return constraintWidget;
                }
            }
            return null;
        }

        /* access modifiers changed from: package-private */
        public void h(androidx.constraintlayout.core.widgets.d dVar, androidx.constraintlayout.widget.c cVar, androidx.constraintlayout.widget.c cVar2) {
            this.f1898c = cVar;
            this.f1899d = cVar2;
            this.f1896a = new androidx.constraintlayout.core.widgets.d();
            this.f1897b = new androidx.constraintlayout.core.widgets.d();
            this.f1896a.U2(((ConstraintLayout) MotionLayout.this).mLayoutWidget.G2());
            this.f1897b.U2(((ConstraintLayout) MotionLayout.this).mLayoutWidget.G2());
            this.f1896a.p2();
            this.f1897b.p2();
            c(((ConstraintLayout) MotionLayout.this).mLayoutWidget, this.f1896a);
            c(((ConstraintLayout) MotionLayout.this).mLayoutWidget, this.f1897b);
            if (((double) MotionLayout.this.o1) > 0.5d) {
                if (cVar != null) {
                    m(this.f1896a, cVar);
                }
                m(this.f1897b, cVar2);
            } else {
                m(this.f1897b, cVar2);
                if (cVar != null) {
                    m(this.f1896a, cVar);
                }
            }
            this.f1896a.Y2(MotionLayout.this.isRtl());
            this.f1896a.a3();
            this.f1897b.Y2(MotionLayout.this.isRtl());
            this.f1897b.a3();
            ViewGroup.LayoutParams layoutParams = MotionLayout.this.getLayoutParams();
            if (layoutParams != null) {
                if (layoutParams.width == -2) {
                    androidx.constraintlayout.core.widgets.d dVar2 = this.f1896a;
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                    dVar2.D1(dimensionBehaviour);
                    this.f1897b.D1(dimensionBehaviour);
                }
                if (layoutParams.height == -2) {
                    androidx.constraintlayout.core.widgets.d dVar3 = this.f1896a;
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour2 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                    dVar3.Y1(dimensionBehaviour2);
                    this.f1897b.Y1(dimensionBehaviour2);
                }
            }
        }

        public boolean i(int i, int i2) {
            return (i == this.f1900e && i2 == this.f) ? false : true;
        }

        public void j(int i, int i2) {
            int mode = View.MeasureSpec.getMode(i);
            int mode2 = View.MeasureSpec.getMode(i2);
            MotionLayout motionLayout = MotionLayout.this;
            motionLayout.d2 = mode;
            motionLayout.e2 = mode2;
            motionLayout.getOptimizationLevel();
            b(i, i2);
            if (((MotionLayout.this.getParent() instanceof MotionLayout) && mode == 1073741824 && mode2 == 1073741824) ? false : true) {
                b(i, i2);
                MotionLayout.this.Z1 = this.f1896a.m0();
                MotionLayout.this.a2 = this.f1896a.D();
                MotionLayout.this.b2 = this.f1897b.m0();
                MotionLayout.this.c2 = this.f1897b.D();
                MotionLayout motionLayout2 = MotionLayout.this;
                motionLayout2.Y1 = (motionLayout2.Z1 == motionLayout2.b2 && motionLayout2.a2 == motionLayout2.c2) ? false : true;
            }
            MotionLayout motionLayout3 = MotionLayout.this;
            int i3 = motionLayout3.Z1;
            int i4 = motionLayout3.a2;
            int i5 = motionLayout3.d2;
            if (i5 == Integer.MIN_VALUE || i5 == 0) {
                i3 = (int) (((float) i3) + (motionLayout3.f2 * ((float) (motionLayout3.b2 - i3))));
            }
            int i6 = motionLayout3.e2;
            if (i6 == Integer.MIN_VALUE || i6 == 0) {
                i4 = (int) (((float) i4) + (motionLayout3.f2 * ((float) (motionLayout3.c2 - i4))));
            }
            MotionLayout.this.resolveMeasuredDimension(i, i2, i3, i4, this.f1896a.P2() || this.f1897b.P2(), this.f1896a.N2() || this.f1897b.N2());
        }

        public void k() {
            j(MotionLayout.this.h1, MotionLayout.this.i1);
            MotionLayout.this.w0();
        }

        public void l(int i, int i2) {
            this.f1900e = i;
            this.f = i2;
        }
    }

    /* access modifiers changed from: protected */
    public interface i {
        void a(int i, float f);

        float b(int i);

        float c(int i);

        void clear();

        void d(MotionEvent motionEvent);

        float e();

        float f();

        void g(int i);

        void recycle();
    }

    private static class j implements i {

        /* renamed from: a  reason: collision with root package name */
        private static j f1901a = new j();

        /* renamed from: b  reason: collision with root package name */
        VelocityTracker f1902b;

        private j() {
        }

        public static j h() {
            f1901a.f1902b = VelocityTracker.obtain();
            return f1901a;
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.i
        public void a(int i, float f) {
            VelocityTracker velocityTracker = this.f1902b;
            if (velocityTracker != null) {
                velocityTracker.computeCurrentVelocity(i, f);
            }
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.i
        public float b(int i) {
            VelocityTracker velocityTracker = this.f1902b;
            if (velocityTracker != null) {
                return velocityTracker.getXVelocity(i);
            }
            return 0.0f;
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.i
        public float c(int i) {
            if (this.f1902b != null) {
                return c(i);
            }
            return 0.0f;
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.i
        public void clear() {
            VelocityTracker velocityTracker = this.f1902b;
            if (velocityTracker != null) {
                velocityTracker.clear();
            }
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.i
        public void d(MotionEvent motionEvent) {
            VelocityTracker velocityTracker = this.f1902b;
            if (velocityTracker != null) {
                velocityTracker.addMovement(motionEvent);
            }
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.i
        public float e() {
            VelocityTracker velocityTracker = this.f1902b;
            if (velocityTracker != null) {
                return velocityTracker.getYVelocity();
            }
            return 0.0f;
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.i
        public float f() {
            VelocityTracker velocityTracker = this.f1902b;
            if (velocityTracker != null) {
                return velocityTracker.getXVelocity();
            }
            return 0.0f;
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.i
        public void g(int i) {
            VelocityTracker velocityTracker = this.f1902b;
            if (velocityTracker != null) {
                velocityTracker.computeCurrentVelocity(i);
            }
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.i
        public void recycle() {
            VelocityTracker velocityTracker = this.f1902b;
            if (velocityTracker != null) {
                velocityTracker.recycle();
                this.f1902b = null;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class k {

        /* renamed from: a  reason: collision with root package name */
        float f1903a = Float.NaN;

        /* renamed from: b  reason: collision with root package name */
        float f1904b = Float.NaN;

        /* renamed from: c  reason: collision with root package name */
        int f1905c = -1;

        /* renamed from: d  reason: collision with root package name */
        int f1906d = -1;

        /* renamed from: e  reason: collision with root package name */
        final String f1907e = "motion.progress";
        final String f = "motion.velocity";
        final String g = "motion.StartState";
        final String h = "motion.EndState";

        k() {
        }

        /* access modifiers changed from: package-private */
        public void a() {
            int i2 = this.f1905c;
            if (!(i2 == -1 && this.f1906d == -1)) {
                if (i2 == -1) {
                    MotionLayout.this.D0(this.f1906d);
                } else {
                    int i3 = this.f1906d;
                    if (i3 == -1) {
                        MotionLayout.this.setState(i2, -1, -1);
                    } else {
                        MotionLayout.this.v0(i2, i3);
                    }
                }
                MotionLayout.this.setState(m.SETUP);
            }
            if (!Float.isNaN(this.f1904b)) {
                MotionLayout.this.u0(this.f1903a, this.f1904b);
                this.f1903a = Float.NaN;
                this.f1904b = Float.NaN;
                this.f1905c = -1;
                this.f1906d = -1;
            } else if (!Float.isNaN(this.f1903a)) {
                MotionLayout.this.setProgress(this.f1903a);
            }
        }

        public Bundle b() {
            Bundle bundle = new Bundle();
            bundle.putFloat("motion.progress", this.f1903a);
            bundle.putFloat("motion.velocity", this.f1904b);
            bundle.putInt("motion.StartState", this.f1905c);
            bundle.putInt("motion.EndState", this.f1906d);
            return bundle;
        }

        public void c() {
            this.f1906d = MotionLayout.this.g1;
            this.f1905c = MotionLayout.this.e1;
            this.f1904b = MotionLayout.this.getVelocity();
            this.f1903a = MotionLayout.this.getProgress();
        }

        public void d(int i2) {
            this.f1906d = i2;
        }

        public void e(float f2) {
            this.f1903a = f2;
        }

        public void f(int i2) {
            this.f1905c = i2;
        }

        public void g(Bundle bundle) {
            this.f1903a = bundle.getFloat("motion.progress");
            this.f1904b = bundle.getFloat("motion.velocity");
            this.f1905c = bundle.getInt("motion.StartState");
            this.f1906d = bundle.getInt("motion.EndState");
        }

        public void h(float f2) {
            this.f1904b = f2;
        }
    }

    public interface l {
        void a(MotionLayout motionLayout, int i, int i2, float f);

        void c(MotionLayout motionLayout, int i, int i2);

        void d(MotionLayout motionLayout, int i, boolean z, float f);

        void k(MotionLayout motionLayout, int i);
    }

    /* access modifiers changed from: package-private */
    public enum m {
        UNDEFINED,
        SETUP,
        MOVING,
        FINISHED
    }

    public MotionLayout(@NonNull Context context) {
        super(context);
        f0(null);
    }

    private boolean G(View view, MotionEvent motionEvent, float f3, float f4) {
        Matrix matrix = view.getMatrix();
        if (matrix.isIdentity()) {
            motionEvent.offsetLocation(f3, f4);
            boolean onTouchEvent = view.onTouchEvent(motionEvent);
            motionEvent.offsetLocation(-f3, -f4);
            return onTouchEvent;
        }
        MotionEvent obtain = MotionEvent.obtain(motionEvent);
        obtain.offsetLocation(f3, f4);
        if (this.z2 == null) {
            this.z2 = new Matrix();
        }
        matrix.invert(this.z2);
        obtain.transform(this.z2);
        boolean onTouchEvent2 = view.onTouchEvent(obtain);
        obtain.recycle();
        return onTouchEvent2;
    }

    private void H() {
        t tVar = this.a1;
        if (tVar == null) {
            Log.e(O0, "CHECK: motion scene not set! set \"app:layoutDescription=\"@xml/file\"");
            return;
        }
        int N = tVar.N();
        t tVar2 = this.a1;
        I(N, tVar2.o(tVar2.N()));
        SparseIntArray sparseIntArray = new SparseIntArray();
        SparseIntArray sparseIntArray2 = new SparseIntArray();
        Iterator<t.b> it = this.a1.s().iterator();
        while (it.hasNext()) {
            t.b next = it.next();
            if (next == this.a1.E) {
                Log.v(O0, "CHECK: CURRENT");
            }
            J(next);
            int I = next.I();
            int B = next.B();
            String i3 = d.i(getContext(), I);
            String i4 = d.i(getContext(), B);
            if (sparseIntArray.get(I) == B) {
                Log.e(O0, "CHECK: two transitions with the same start and end " + i3 + "->" + i4);
            }
            if (sparseIntArray2.get(B) == I) {
                Log.e(O0, "CHECK: you can't have reverse transitions" + i3 + "->" + i4);
            }
            sparseIntArray.put(I, B);
            sparseIntArray2.put(B, I);
            if (this.a1.o(I) == null) {
                Log.e(O0, " no such constraintSetStart " + i3);
            }
            if (this.a1.o(B) == null) {
                Log.e(O0, " no such constraintSetEnd " + i3);
            }
        }
    }

    private void I(int i3, androidx.constraintlayout.widget.c cVar) {
        String i4 = d.i(getContext(), i3);
        int childCount = getChildCount();
        for (int i5 = 0; i5 < childCount; i5++) {
            View childAt = getChildAt(i5);
            int id = childAt.getId();
            if (id == -1) {
                Log.w(O0, "CHECK: " + i4 + " ALL VIEWS SHOULD HAVE ID's " + childAt.getClass().getName() + " does not!");
            }
            if (cVar.k0(id) == null) {
                Log.w(O0, "CHECK: " + i4 + " NO CONSTRAINTS for " + d.k(childAt));
            }
        }
        int[] o0 = cVar.o0();
        for (int i6 = 0; i6 < o0.length; i6++) {
            int i7 = o0[i6];
            String i8 = d.i(getContext(), i7);
            if (findViewById(o0[i6]) == null) {
                Log.w(O0, "CHECK: " + i4 + " NO View matches id " + i8);
            }
            if (cVar.n0(i7) == -1) {
                Log.w(O0, "CHECK: " + i4 + "(" + i8 + ") no LAYOUT_HEIGHT");
            }
            if (cVar.u0(i7) == -1) {
                Log.w(O0, "CHECK: " + i4 + "(" + i8 + ") no LAYOUT_HEIGHT");
            }
        }
    }

    private void J(t.b bVar) {
        if (bVar.I() == bVar.B()) {
            Log.e(O0, "CHECK: start and end constraint set should not be the same!");
        }
    }

    private void L() {
        int childCount = getChildCount();
        for (int i3 = 0; i3 < childCount; i3++) {
            View childAt = getChildAt(i3);
            p pVar = this.k1.get(childAt);
            if (pVar != null) {
                pVar.V(childAt);
            }
        }
    }

    private static boolean L0(float f3, float f4, float f5) {
        if (f3 > 0.0f) {
            float f6 = f3 / f5;
            return f4 + ((f3 * f6) - (((f5 * f6) * f6) / 2.0f)) > 1.0f;
        }
        float f7 = (-f3) / f5;
        return f4 + ((f3 * f7) + (((f5 * f7) * f7) / 2.0f)) < 0.0f;
    }

    @SuppressLint({"LogConditional"})
    private void M() {
        for (int i3 = 0; i3 < getChildCount(); i3++) {
            View childAt = getChildAt(i3);
            Log.v(O0, Padder.f14124a + d.g() + Padder.f14124a + d.k(this) + Padder.f14124a + d.i(getContext(), this.f1) + Padder.f14124a + d.k(childAt) + childAt.getLeft() + Padder.f14124a + childAt.getTop());
        }
    }

    private void S() {
        boolean z;
        float signum = Math.signum(this.q1 - this.o1);
        long nanoTime = getNanoTime();
        Interpolator interpolator = this.b1;
        float f3 = this.o1 + (!(interpolator instanceof b.c.a.a.b) ? ((((float) (nanoTime - this.p1)) * signum) * 1.0E-9f) / this.m1 : 0.0f);
        if (this.r1) {
            f3 = this.q1;
        }
        int i3 = (signum > 0.0f ? 1 : (signum == 0.0f ? 0 : -1));
        if ((i3 <= 0 || f3 < this.q1) && (signum > 0.0f || f3 > this.q1)) {
            z = false;
        } else {
            f3 = this.q1;
            z = true;
        }
        if (interpolator != null && !z) {
            if (this.z1) {
                f3 = interpolator.getInterpolation(((float) (nanoTime - this.l1)) * 1.0E-9f);
            } else {
                f3 = interpolator.getInterpolation(f3);
            }
        }
        if ((i3 > 0 && f3 >= this.q1) || (signum <= 0.0f && f3 <= this.q1)) {
            f3 = this.q1;
        }
        this.f2 = f3;
        int childCount = getChildCount();
        long nanoTime2 = getNanoTime();
        Interpolator interpolator2 = this.c1;
        if (interpolator2 != null) {
            f3 = interpolator2.getInterpolation(f3);
        }
        for (int i4 = 0; i4 < childCount; i4++) {
            View childAt = getChildAt(i4);
            p pVar = this.k1.get(childAt);
            if (pVar != null) {
                pVar.L(childAt, f3, nanoTime2, this.g2);
            }
        }
        if (this.Y1) {
            requestLayout();
        }
    }

    private void T() {
        CopyOnWriteArrayList<l> copyOnWriteArrayList;
        if ((this.u1 != null || ((copyOnWriteArrayList = this.R1) != null && !copyOnWriteArrayList.isEmpty())) && this.W1 != this.n1) {
            if (this.V1 != -1) {
                l lVar = this.u1;
                if (lVar != null) {
                    lVar.c(this, this.e1, this.g1);
                }
                CopyOnWriteArrayList<l> copyOnWriteArrayList2 = this.R1;
                if (copyOnWriteArrayList2 != null) {
                    Iterator<l> it = copyOnWriteArrayList2.iterator();
                    while (it.hasNext()) {
                        it.next().c(this, this.e1, this.g1);
                    }
                }
                this.X1 = true;
            }
            this.V1 = -1;
            float f3 = this.n1;
            this.W1 = f3;
            l lVar2 = this.u1;
            if (lVar2 != null) {
                lVar2.a(this, this.e1, this.g1, f3);
            }
            CopyOnWriteArrayList<l> copyOnWriteArrayList3 = this.R1;
            if (copyOnWriteArrayList3 != null) {
                Iterator<l> it2 = copyOnWriteArrayList3.iterator();
                while (it2.hasNext()) {
                    it2.next().a(this, this.e1, this.g1, this.n1);
                }
            }
            this.X1 = true;
        }
    }

    private void V(MotionLayout motionLayout, int i3, int i4) {
        l lVar = this.u1;
        if (lVar != null) {
            lVar.c(this, i3, i4);
        }
        CopyOnWriteArrayList<l> copyOnWriteArrayList = this.R1;
        if (copyOnWriteArrayList != null) {
            Iterator<l> it = copyOnWriteArrayList.iterator();
            while (it.hasNext()) {
                it.next().c(motionLayout, i3, i4);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0039  */
    private boolean e0(float f3, float f4, View view, MotionEvent motionEvent) {
        boolean z;
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            int childCount = viewGroup.getChildCount() - 1;
            while (true) {
                if (childCount < 0) {
                    break;
                }
                View childAt = viewGroup.getChildAt(childCount);
                if (e0((((float) childAt.getLeft()) + f3) - ((float) view.getScrollX()), (((float) childAt.getTop()) + f4) - ((float) view.getScrollY()), childAt, motionEvent)) {
                    z = true;
                    break;
                }
                childCount--;
            }
            if (!z) {
                this.x2.set(f3, f4, (((float) view.getRight()) + f3) - ((float) view.getLeft()), (((float) view.getBottom()) + f4) - ((float) view.getTop()));
                if ((motionEvent.getAction() != 0 || this.x2.contains(motionEvent.getX(), motionEvent.getY())) && G(view, motionEvent, -f3, -f4)) {
                    return true;
                }
            }
            return z;
        }
        z = false;
        if (!z) {
        }
        return z;
    }

    private void f0(AttributeSet attributeSet) {
        t tVar;
        Q0 = isInEditMode();
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R.styleable.MotionLayout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            boolean z = true;
            for (int i3 = 0; i3 < indexCount; i3++) {
                int index = obtainStyledAttributes.getIndex(i3);
                if (index == R.styleable.MotionLayout_layoutDescription) {
                    this.a1 = new t(getContext(), this, obtainStyledAttributes.getResourceId(index, -1));
                } else if (index == R.styleable.MotionLayout_currentState) {
                    this.f1 = obtainStyledAttributes.getResourceId(index, -1);
                } else if (index == R.styleable.MotionLayout_motionProgress) {
                    this.q1 = obtainStyledAttributes.getFloat(index, 0.0f);
                    this.s1 = true;
                } else if (index == R.styleable.MotionLayout_applyMotionScene) {
                    z = obtainStyledAttributes.getBoolean(index, z);
                } else if (index == R.styleable.MotionLayout_showPaths) {
                    if (this.x1 == 0) {
                        this.x1 = obtainStyledAttributes.getBoolean(index, false) ? 2 : 0;
                    }
                } else if (index == R.styleable.MotionLayout_motionDebug) {
                    this.x1 = obtainStyledAttributes.getInt(index, 0);
                }
            }
            obtainStyledAttributes.recycle();
            if (this.a1 == null) {
                Log.e(O0, "WARNING NO app:layoutDescription tag");
            }
            if (!z) {
                this.a1 = null;
            }
        }
        if (this.x1 != 0) {
            H();
        }
        if (this.f1 == -1 && (tVar = this.a1) != null) {
            this.f1 = tVar.N();
            this.e1 = this.a1.N();
            this.g1 = this.a1.u();
        }
    }

    private void o0() {
        CopyOnWriteArrayList<l> copyOnWriteArrayList;
        if (this.u1 != null || ((copyOnWriteArrayList = this.R1) != null && !copyOnWriteArrayList.isEmpty())) {
            this.X1 = false;
            Iterator<Integer> it = this.A2.iterator();
            while (it.hasNext()) {
                Integer next = it.next();
                l lVar = this.u1;
                if (lVar != null) {
                    lVar.k(this, next.intValue());
                }
                CopyOnWriteArrayList<l> copyOnWriteArrayList2 = this.R1;
                if (copyOnWriteArrayList2 != null) {
                    Iterator<l> it2 = copyOnWriteArrayList2.iterator();
                    while (it2.hasNext()) {
                        it2.next().k(this, next.intValue());
                    }
                }
            }
            this.A2.clear();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void w0() {
        int childCount = getChildCount();
        this.v2.a();
        boolean z = true;
        this.s1 = true;
        SparseArray sparseArray = new SparseArray();
        int i3 = 0;
        for (int i4 = 0; i4 < childCount; i4++) {
            View childAt = getChildAt(i4);
            sparseArray.put(childAt.getId(), this.k1.get(childAt));
        }
        int width = getWidth();
        int height = getHeight();
        int m3 = this.a1.m();
        if (m3 != -1) {
            for (int i5 = 0; i5 < childCount; i5++) {
                p pVar = this.k1.get(getChildAt(i5));
                if (pVar != null) {
                    pVar.U(m3);
                }
            }
        }
        SparseBooleanArray sparseBooleanArray = new SparseBooleanArray();
        int[] iArr = new int[this.k1.size()];
        int i6 = 0;
        for (int i7 = 0; i7 < childCount; i7++) {
            p pVar2 = this.k1.get(getChildAt(i7));
            if (pVar2.k() != -1) {
                sparseBooleanArray.put(pVar2.k(), true);
                iArr[i6] = pVar2.k();
                i6++;
            }
        }
        if (this.Q1 != null) {
            for (int i8 = 0; i8 < i6; i8++) {
                p pVar3 = this.k1.get(findViewById(iArr[i8]));
                if (pVar3 != null) {
                    this.a1.z(pVar3);
                }
            }
            Iterator<MotionHelper> it = this.Q1.iterator();
            while (it.hasNext()) {
                it.next().g(this, this.k1);
            }
            for (int i9 = 0; i9 < i6; i9++) {
                p pVar4 = this.k1.get(findViewById(iArr[i9]));
                if (pVar4 != null) {
                    pVar4.a0(width, height, this.m1, getNanoTime());
                }
            }
        } else {
            for (int i10 = 0; i10 < i6; i10++) {
                p pVar5 = this.k1.get(findViewById(iArr[i10]));
                if (pVar5 != null) {
                    this.a1.z(pVar5);
                    pVar5.a0(width, height, this.m1, getNanoTime());
                }
            }
        }
        for (int i11 = 0; i11 < childCount; i11++) {
            View childAt2 = getChildAt(i11);
            p pVar6 = this.k1.get(childAt2);
            if (!sparseBooleanArray.get(childAt2.getId()) && pVar6 != null) {
                this.a1.z(pVar6);
                pVar6.a0(width, height, this.m1, getNanoTime());
            }
        }
        float M = this.a1.M();
        if (M != 0.0f) {
            boolean z3 = ((double) M) < 0.0d;
            float abs = Math.abs(M);
            float f3 = -3.4028235E38f;
            float f4 = Float.MAX_VALUE;
            int i12 = 0;
            float f5 = Float.MAX_VALUE;
            float f6 = -3.4028235E38f;
            while (true) {
                if (i12 >= childCount) {
                    z = false;
                    break;
                }
                p pVar7 = this.k1.get(getChildAt(i12));
                if (!Float.isNaN(pVar7.N)) {
                    break;
                }
                float t = pVar7.t();
                float u = pVar7.u();
                float f7 = z3 ? u - t : u + t;
                f5 = Math.min(f5, f7);
                f6 = Math.max(f6, f7);
                i12++;
            }
            if (z) {
                for (int i13 = 0; i13 < childCount; i13++) {
                    p pVar8 = this.k1.get(getChildAt(i13));
                    if (!Float.isNaN(pVar8.N)) {
                        f4 = Math.min(f4, pVar8.N);
                        f3 = Math.max(f3, pVar8.N);
                    }
                }
                while (i3 < childCount) {
                    p pVar9 = this.k1.get(getChildAt(i3));
                    if (!Float.isNaN(pVar9.N)) {
                        pVar9.P = 1.0f / (1.0f - abs);
                        if (z3) {
                            pVar9.O = abs - (((f3 - pVar9.N) / (f3 - f4)) * abs);
                        } else {
                            pVar9.O = abs - (((pVar9.N - f4) * abs) / (f3 - f4));
                        }
                    }
                    i3++;
                }
                return;
            }
            while (i3 < childCount) {
                p pVar10 = this.k1.get(getChildAt(i3));
                float t3 = pVar10.t();
                float u3 = pVar10.u();
                float f8 = z3 ? u3 - t3 : u3 + t3;
                pVar10.P = 1.0f / (1.0f - abs);
                pVar10.O = abs - (((f8 - f5) * abs) / (f6 - f5));
                i3++;
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Rect x0(ConstraintWidget constraintWidget) {
        this.s2.top = constraintWidget.p0();
        this.s2.left = constraintWidget.o0();
        Rect rect = this.s2;
        int m0 = constraintWidget.m0();
        Rect rect2 = this.s2;
        rect.right = m0 + rect2.left;
        int D = constraintWidget.D();
        Rect rect3 = this.s2;
        rect2.bottom = D + rect3.top;
        return rect3;
    }

    public void A0() {
        E(1.0f);
        this.j2 = null;
    }

    public void B0(Runnable runnable) {
        E(1.0f);
        this.j2 = runnable;
    }

    public void C0() {
        E(0.0f);
    }

    public void D(l lVar) {
        if (this.R1 == null) {
            this.R1 = new CopyOnWriteArrayList<>();
        }
        this.R1.add(lVar);
    }

    public void D0(int i3) {
        if (!isAttachedToWindow()) {
            if (this.i2 == null) {
                this.i2 = new k();
            }
            this.i2.d(i3);
            return;
        }
        F0(i3, -1, -1);
    }

    /* access modifiers changed from: package-private */
    public void E(float f3) {
        t tVar = this.a1;
        if (tVar != null) {
            float f4 = this.o1;
            float f5 = this.n1;
            if (f4 != f5 && this.r1) {
                this.o1 = f5;
            }
            float f6 = this.o1;
            if (f6 != f3) {
                this.z1 = false;
                this.q1 = f3;
                this.m1 = ((float) tVar.t()) / 1000.0f;
                setProgress(this.q1);
                this.b1 = null;
                this.c1 = this.a1.x();
                this.r1 = false;
                this.l1 = getNanoTime();
                this.s1 = true;
                this.n1 = f6;
                this.o1 = f6;
                invalidate();
            }
        }
    }

    public void E0(int i3, int i4) {
        if (!isAttachedToWindow()) {
            if (this.i2 == null) {
                this.i2 = new k();
            }
            this.i2.d(i3);
            return;
        }
        G0(i3, -1, -1, i4);
    }

    public boolean F(int i3, p pVar) {
        t tVar = this.a1;
        if (tVar != null) {
            return tVar.h(i3, pVar);
        }
        return false;
    }

    public void F0(int i3, int i4, int i5) {
        G0(i3, i4, i5, -1);
    }

    public void G0(int i3, int i4, int i5, int i6) {
        androidx.constraintlayout.widget.f fVar;
        int a3;
        t tVar = this.a1;
        if (!(tVar == null || (fVar = tVar.D) == null || (a3 = fVar.a(this.f1, i3, (float) i4, (float) i5)) == -1)) {
            i3 = a3;
        }
        int i7 = this.f1;
        if (i7 != i3) {
            if (this.e1 == i3) {
                E(0.0f);
                if (i6 > 0) {
                    this.m1 = ((float) i6) / 1000.0f;
                }
            } else if (this.g1 == i3) {
                E(1.0f);
                if (i6 > 0) {
                    this.m1 = ((float) i6) / 1000.0f;
                }
            } else {
                this.g1 = i3;
                if (i7 != -1) {
                    v0(i7, i3);
                    E(1.0f);
                    this.o1 = 0.0f;
                    A0();
                    if (i6 > 0) {
                        this.m1 = ((float) i6) / 1000.0f;
                        return;
                    }
                    return;
                }
                this.z1 = false;
                this.q1 = 1.0f;
                this.n1 = 0.0f;
                this.o1 = 0.0f;
                this.p1 = getNanoTime();
                this.l1 = getNanoTime();
                this.r1 = false;
                this.b1 = null;
                if (i6 == -1) {
                    this.m1 = ((float) this.a1.t()) / 1000.0f;
                }
                this.e1 = -1;
                this.a1.n0(-1, this.g1);
                SparseArray sparseArray = new SparseArray();
                if (i6 == 0) {
                    this.m1 = ((float) this.a1.t()) / 1000.0f;
                } else if (i6 > 0) {
                    this.m1 = ((float) i6) / 1000.0f;
                }
                int childCount = getChildCount();
                this.k1.clear();
                for (int i8 = 0; i8 < childCount; i8++) {
                    View childAt = getChildAt(i8);
                    this.k1.put(childAt, new p(childAt));
                    sparseArray.put(childAt.getId(), this.k1.get(childAt));
                }
                this.s1 = true;
                this.v2.h(this.mLayoutWidget, null, this.a1.o(i3));
                q0();
                this.v2.a();
                L();
                int width = getWidth();
                int height = getHeight();
                if (this.Q1 != null) {
                    for (int i9 = 0; i9 < childCount; i9++) {
                        p pVar = this.k1.get(getChildAt(i9));
                        if (pVar != null) {
                            this.a1.z(pVar);
                        }
                    }
                    Iterator<MotionHelper> it = this.Q1.iterator();
                    while (it.hasNext()) {
                        it.next().g(this, this.k1);
                    }
                    for (int i10 = 0; i10 < childCount; i10++) {
                        p pVar2 = this.k1.get(getChildAt(i10));
                        if (pVar2 != null) {
                            pVar2.a0(width, height, this.m1, getNanoTime());
                        }
                    }
                } else {
                    for (int i11 = 0; i11 < childCount; i11++) {
                        p pVar3 = this.k1.get(getChildAt(i11));
                        if (pVar3 != null) {
                            this.a1.z(pVar3);
                            pVar3.a0(width, height, this.m1, getNanoTime());
                        }
                    }
                }
                float M = this.a1.M();
                if (M != 0.0f) {
                    float f3 = Float.MAX_VALUE;
                    float f4 = -3.4028235E38f;
                    for (int i12 = 0; i12 < childCount; i12++) {
                        p pVar4 = this.k1.get(getChildAt(i12));
                        float u = pVar4.u() + pVar4.t();
                        f3 = Math.min(f3, u);
                        f4 = Math.max(f4, u);
                    }
                    for (int i13 = 0; i13 < childCount; i13++) {
                        p pVar5 = this.k1.get(getChildAt(i13));
                        float t = pVar5.t();
                        float u3 = pVar5.u();
                        pVar5.P = 1.0f / (1.0f - M);
                        pVar5.O = M - ((((t + u3) - f3) * M) / (f4 - f3));
                    }
                }
                this.n1 = 0.0f;
                this.o1 = 0.0f;
                this.s1 = true;
                invalidate();
            }
        }
    }

    public void H0() {
        this.v2.h(this.mLayoutWidget, this.a1.o(this.e1), this.a1.o(this.g1));
        q0();
    }

    public void I0(int i3, androidx.constraintlayout.widget.c cVar) {
        t tVar = this.a1;
        if (tVar != null) {
            tVar.j0(i3, cVar);
        }
        H0();
        if (this.f1 == i3) {
            cVar.r(this);
        }
    }

    public void J0(int i3, androidx.constraintlayout.widget.c cVar, int i4) {
        if (this.a1 != null && this.f1 == i3) {
            int i5 = R.id.view_transition;
            I0(i5, Y(i3));
            setState(i5, -1, -1);
            I0(i3, cVar);
            t.b bVar = new t.b(-1, this.a1, i5, i3);
            bVar.O(i4);
            setTransition(bVar);
            A0();
        }
    }

    public androidx.constraintlayout.widget.c K(int i3) {
        t tVar = this.a1;
        if (tVar == null) {
            return null;
        }
        androidx.constraintlayout.widget.c o = tVar.o(i3);
        androidx.constraintlayout.widget.c cVar = new androidx.constraintlayout.widget.c();
        cVar.I(o);
        return cVar;
    }

    public void K0(int i3, View... viewArr) {
        t tVar = this.a1;
        if (tVar != null) {
            tVar.t0(i3, viewArr);
        } else {
            Log.e(O0, " no motionScene");
        }
    }

    /* access modifiers changed from: package-private */
    public void N(boolean z) {
        t tVar = this.a1;
        if (tVar != null) {
            tVar.k(z);
        }
    }

    public void O(int i3, boolean z) {
        t.b c0 = c0(i3);
        if (z) {
            c0.Q(true);
            return;
        }
        t tVar = this.a1;
        if (c0 == tVar.E) {
            Iterator<t.b> it = tVar.Q(this.f1).iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                t.b next = it.next();
                if (next.K()) {
                    this.a1.E = next;
                    break;
                }
            }
        }
        c0.Q(false);
    }

    public void P(int i3, boolean z) {
        t tVar = this.a1;
        if (tVar != null) {
            tVar.l(i3, z);
        }
    }

    /* access modifiers changed from: package-private */
    public void Q(boolean z) {
        int childCount = getChildCount();
        for (int i3 = 0; i3 < childCount; i3++) {
            p pVar = this.k1.get(getChildAt(i3));
            if (pVar != null) {
                pVar.i(z);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:115:0x01c2  */
    /* JADX WARNING: Removed duplicated region for block: B:130:0x020b  */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x0115  */
    /* JADX WARNING: Removed duplicated region for block: B:72:0x011c A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:87:0x0153  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x0155  */
    /* JADX WARNING: Removed duplicated region for block: B:91:0x015d  */
    /* JADX WARNING: Removed duplicated region for block: B:94:0x0174  */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x019c  */
    public void R(boolean z) {
        boolean z3;
        char c3;
        int childCount;
        Interpolator interpolator;
        int i3;
        int i4;
        int i5;
        if (this.p1 == -1) {
            this.p1 = getNanoTime();
        }
        float f3 = this.o1;
        if (f3 > 0.0f && f3 < 1.0f) {
            this.f1 = -1;
        }
        boolean z4 = true;
        boolean z5 = false;
        if (this.N1 || (this.s1 && (z || this.q1 != f3))) {
            float signum = Math.signum(this.q1 - f3);
            long nanoTime = getNanoTime();
            Interpolator interpolator2 = this.b1;
            float f4 = !(interpolator2 instanceof r) ? ((((float) (nanoTime - this.p1)) * signum) * 1.0E-9f) / this.m1 : 0.0f;
            float f5 = this.o1 + f4;
            if (this.r1) {
                f5 = this.q1;
            }
            int i6 = (signum > 0.0f ? 1 : (signum == 0.0f ? 0 : -1));
            if ((i6 <= 0 || f5 < this.q1) && (signum > 0.0f || f5 > this.q1)) {
                z3 = false;
            } else {
                f5 = this.q1;
                this.s1 = false;
                z3 = true;
            }
            this.o1 = f5;
            this.n1 = f5;
            this.p1 = nanoTime;
            if (interpolator2 == null || z3) {
                this.d1 = f4;
            } else if (this.z1) {
                float interpolation = interpolator2.getInterpolation(((float) (nanoTime - this.l1)) * 1.0E-9f);
                Interpolator interpolator3 = this.b1;
                b.c.a.a.b bVar = this.A1;
                c3 = interpolator3 == bVar ? bVar.e() ? (char) 2 : 1 : 0;
                this.o1 = interpolation;
                this.p1 = nanoTime;
                Interpolator interpolator4 = this.b1;
                if (interpolator4 instanceof r) {
                    float a3 = ((r) interpolator4).a();
                    this.d1 = a3;
                    if (Math.abs(a3) * this.m1 <= Z0 && c3 == 2) {
                        this.s1 = false;
                    }
                    if (a3 > 0.0f && interpolation >= 1.0f) {
                        this.o1 = 1.0f;
                        this.s1 = false;
                        interpolation = 1.0f;
                    }
                    if (a3 < 0.0f && interpolation <= 0.0f) {
                        this.o1 = 0.0f;
                        this.s1 = false;
                        f5 = 0.0f;
                        if (Math.abs(this.d1) > Z0) {
                            setState(m.MOVING);
                        }
                        if (c3 != 1) {
                            if ((i6 > 0 && f5 >= this.q1) || (signum <= 0.0f && f5 <= this.q1)) {
                                f5 = this.q1;
                                this.s1 = false;
                            }
                            if (f5 >= 1.0f || f5 <= 0.0f) {
                                this.s1 = false;
                                setState(m.FINISHED);
                            }
                        }
                        childCount = getChildCount();
                        this.N1 = false;
                        long nanoTime2 = getNanoTime();
                        this.f2 = f5;
                        Interpolator interpolator5 = this.c1;
                        float interpolation2 = interpolator5 == null ? f5 : interpolator5.getInterpolation(f5);
                        interpolator = this.c1;
                        if (interpolator != null) {
                            float interpolation3 = interpolator.getInterpolation((signum / this.m1) + f5);
                            this.d1 = interpolation3;
                            this.d1 = interpolation3 - this.c1.getInterpolation(f5);
                        }
                        for (i3 = 0; i3 < childCount; i3++) {
                            View childAt = getChildAt(i3);
                            p pVar = this.k1.get(childAt);
                            if (pVar != null) {
                                this.N1 = pVar.L(childAt, interpolation2, nanoTime2, this.g2) | this.N1;
                            }
                        }
                        boolean z6 = (i6 <= 0 && f5 >= this.q1) || (signum <= 0.0f && f5 <= this.q1);
                        if (!this.N1 && !this.s1 && z6) {
                            setState(m.FINISHED);
                        }
                        if (this.Y1) {
                            requestLayout();
                        }
                        this.N1 = (!z6) | this.N1;
                        if (!(f5 > 0.0f || (i5 = this.e1) == -1 || this.f1 == i5)) {
                            this.f1 = i5;
                            this.a1.o(i5).p(this);
                            setState(m.FINISHED);
                            z5 = true;
                        }
                        if (((double) f5) >= 1.0d && this.f1 != (i4 = this.g1)) {
                            this.f1 = i4;
                            this.a1.o(i4).p(this);
                            setState(m.FINISHED);
                            z5 = true;
                        }
                        if (!this.N1 || this.s1) {
                            invalidate();
                        } else if ((i6 > 0 && f5 == 1.0f) || (signum < 0.0f && f5 == 0.0f)) {
                            setState(m.FINISHED);
                        }
                        if (!this.N1 && !this.s1 && ((i6 > 0 && f5 == 1.0f) || (signum < 0.0f && f5 == 0.0f))) {
                            n0();
                        }
                    }
                }
                f5 = interpolation;
                if (Math.abs(this.d1) > Z0) {
                }
                if (c3 != 1) {
                }
                childCount = getChildCount();
                this.N1 = false;
                long nanoTime22 = getNanoTime();
                this.f2 = f5;
                Interpolator interpolator52 = this.c1;
                if (interpolator52 == null) {
                }
                interpolator = this.c1;
                if (interpolator != null) {
                }
                while (i3 < childCount) {
                }
                if (i6 <= 0) {
                }
                setState(m.FINISHED);
                if (this.Y1) {
                }
                this.N1 = (!z6) | this.N1;
                this.f1 = i5;
                this.a1.o(i5).p(this);
                setState(m.FINISHED);
                z5 = true;
                this.f1 = i4;
                this.a1.o(i4).p(this);
                setState(m.FINISHED);
                z5 = true;
                if (!this.N1) {
                }
                invalidate();
                n0();
            } else {
                float interpolation4 = interpolator2.getInterpolation(f5);
                Interpolator interpolator6 = this.b1;
                if (interpolator6 instanceof r) {
                    this.d1 = ((r) interpolator6).a();
                } else {
                    this.d1 = ((interpolator6.getInterpolation(f5 + f4) - interpolation4) * signum) / f4;
                }
                f5 = interpolation4;
            }
            c3 = 0;
            if (Math.abs(this.d1) > Z0) {
            }
            if (c3 != 1) {
            }
            childCount = getChildCount();
            this.N1 = false;
            long nanoTime222 = getNanoTime();
            this.f2 = f5;
            Interpolator interpolator522 = this.c1;
            if (interpolator522 == null) {
            }
            interpolator = this.c1;
            if (interpolator != null) {
            }
            while (i3 < childCount) {
            }
            if (i6 <= 0) {
            }
            setState(m.FINISHED);
            if (this.Y1) {
            }
            this.N1 = (!z6) | this.N1;
            this.f1 = i5;
            this.a1.o(i5).p(this);
            setState(m.FINISHED);
            z5 = true;
            this.f1 = i4;
            this.a1.o(i4).p(this);
            setState(m.FINISHED);
            z5 = true;
            if (!this.N1) {
            }
            invalidate();
            n0();
        }
        float f6 = this.o1;
        if (f6 >= 1.0f) {
            int i7 = this.f1;
            int i8 = this.g1;
            if (i7 == i8) {
                z4 = z5;
            }
            this.f1 = i8;
        } else {
            if (f6 <= 0.0f) {
                int i9 = this.f1;
                int i10 = this.e1;
                if (i9 == i10) {
                    z4 = z5;
                }
                this.f1 = i10;
            }
            this.w2 |= z5;
            if (z5 && !this.h2) {
                requestLayout();
            }
            this.n1 = this.o1;
        }
        z5 = z4;
        this.w2 |= z5;
        requestLayout();
        this.n1 = this.o1;
    }

    /* access modifiers changed from: protected */
    public void U() {
        int i3;
        CopyOnWriteArrayList<l> copyOnWriteArrayList;
        if ((this.u1 != null || ((copyOnWriteArrayList = this.R1) != null && !copyOnWriteArrayList.isEmpty())) && this.V1 == -1) {
            this.V1 = this.f1;
            if (!this.A2.isEmpty()) {
                ArrayList<Integer> arrayList = this.A2;
                i3 = arrayList.get(arrayList.size() - 1).intValue();
            } else {
                i3 = -1;
            }
            int i4 = this.f1;
            if (!(i3 == i4 || i4 == -1)) {
                this.A2.add(Integer.valueOf(i4));
            }
        }
        o0();
        Runnable runnable = this.j2;
        if (runnable != null) {
            runnable.run();
        }
        int[] iArr = this.k2;
        if (iArr != null && this.l2 > 0) {
            D0(iArr[0]);
            int[] iArr2 = this.k2;
            System.arraycopy(iArr2, 1, iArr2, 0, iArr2.length - 1);
            this.l2--;
        }
    }

    public void W(int i3, boolean z, float f3) {
        l lVar = this.u1;
        if (lVar != null) {
            lVar.d(this, i3, z, f3);
        }
        CopyOnWriteArrayList<l> copyOnWriteArrayList = this.R1;
        if (copyOnWriteArrayList != null) {
            Iterator<l> it = copyOnWriteArrayList.iterator();
            while (it.hasNext()) {
                it.next().d(this, i3, z, f3);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void X(int i3, float f3, float f4, float f5, float[] fArr) {
        String str;
        HashMap<View, p> hashMap = this.k1;
        View viewById = getViewById(i3);
        p pVar = hashMap.get(viewById);
        if (pVar != null) {
            pVar.p(f3, f4, f5, fArr);
            float y = viewById.getY();
            int i4 = ((f3 - this.v1) > 0.0f ? 1 : ((f3 - this.v1) == 0.0f ? 0 : -1));
            this.v1 = f3;
            this.w1 = y;
            return;
        }
        if (viewById == null) {
            str = "" + i3;
        } else {
            str = viewById.getContext().getResources().getResourceName(i3);
        }
        Log.w(O0, "WARNING could not find view id " + str);
    }

    public androidx.constraintlayout.widget.c Y(int i3) {
        t tVar = this.a1;
        if (tVar == null) {
            return null;
        }
        return tVar.o(i3);
    }

    /* access modifiers changed from: package-private */
    public String Z(int i3) {
        t tVar = this.a1;
        if (tVar == null) {
            return null;
        }
        return tVar.X(i3);
    }

    public void a0(boolean z) {
        this.x1 = z ? 2 : 1;
        invalidate();
    }

    /* access modifiers changed from: package-private */
    public p b0(int i3) {
        return this.k1.get(findViewById(i3));
    }

    public t.b c0(int i3) {
        return this.a1.O(i3);
    }

    public void d0(View view, float f3, float f4, float[] fArr, int i3) {
        float f5;
        float f6 = this.d1;
        float f7 = this.o1;
        if (this.b1 != null) {
            float signum = Math.signum(this.q1 - f7);
            float interpolation = this.b1.getInterpolation(this.o1 + Z0);
            float interpolation2 = this.b1.getInterpolation(this.o1);
            f6 = (signum * ((interpolation - interpolation2) / Z0)) / this.m1;
            f5 = interpolation2;
        } else {
            f5 = f7;
        }
        Interpolator interpolator = this.b1;
        if (interpolator instanceof r) {
            f6 = ((r) interpolator).a();
        }
        p pVar = this.k1.get(view);
        if ((i3 & 1) == 0) {
            pVar.C(f5, view.getWidth(), view.getHeight(), f3, f4, fArr);
        } else {
            pVar.p(f5, f3, f4, fArr);
        }
        if (i3 < 2) {
            fArr[0] = fArr[0] * f6;
            fArr[1] = fArr[1] * f6;
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void dispatchDraw(Canvas canvas) {
        a0 a0Var;
        ArrayList<MotionHelper> arrayList = this.Q1;
        if (arrayList != null) {
            Iterator<MotionHelper> it = arrayList.iterator();
            while (it.hasNext()) {
                it.next().h(canvas);
            }
        }
        R(false);
        t tVar = this.a1;
        if (!(tVar == null || (a0Var = tVar.U) == null)) {
            a0Var.d();
        }
        super.dispatchDraw(canvas);
        if (this.a1 != null) {
            if ((this.x1 & 1) == 1 && !isInEditMode()) {
                this.S1++;
                long nanoTime = getNanoTime();
                long j3 = this.T1;
                if (j3 != -1) {
                    long j4 = nanoTime - j3;
                    if (j4 > 200000000) {
                        this.U1 = ((float) ((int) ((((float) this.S1) / (((float) j4) * 1.0E-9f)) * 100.0f))) / 100.0f;
                        this.S1 = 0;
                        this.T1 = nanoTime;
                    }
                } else {
                    this.T1 = nanoTime;
                }
                Paint paint = new Paint();
                paint.setTextSize(42.0f);
                StringBuilder sb = new StringBuilder();
                sb.append(this.U1 + " fps " + d.l(this, this.e1) + " -> ");
                sb.append(d.l(this, this.g1));
                sb.append(" (progress: ");
                sb.append(((float) ((int) (getProgress() * 1000.0f))) / 10.0f);
                sb.append(" ) state=");
                int i3 = this.f1;
                sb.append(i3 == -1 ? "undefined" : d.l(this, i3));
                String sb2 = sb.toString();
                paint.setColor(ViewCompat.MEASURED_STATE_MASK);
                canvas.drawText(sb2, 11.0f, (float) (getHeight() - 29), paint);
                paint.setColor(-7864184);
                canvas.drawText(sb2, 10.0f, (float) (getHeight() - 30), paint);
            }
            if (this.x1 > 1) {
                if (this.y1 == null) {
                    this.y1 = new g();
                }
                this.y1.a(canvas, this.k1, this.a1.t(), this.x1);
            }
            ArrayList<MotionHelper> arrayList2 = this.Q1;
            if (arrayList2 != null) {
                Iterator<MotionHelper> it2 = arrayList2.iterator();
                while (it2.hasNext()) {
                    it2.next().i(canvas);
                }
            }
        }
    }

    public boolean g0() {
        return this.t2;
    }

    public int[] getConstraintSetIds() {
        t tVar = this.a1;
        if (tVar == null) {
            return null;
        }
        return tVar.r();
    }

    public int getCurrentState() {
        return this.f1;
    }

    public ArrayList<t.b> getDefinedTransitions() {
        t tVar = this.a1;
        if (tVar == null) {
            return null;
        }
        return tVar.s();
    }

    public e getDesignTool() {
        if (this.C1 == null) {
            this.C1 = new e(this);
        }
        return this.C1;
    }

    public int getEndState() {
        return this.g1;
    }

    /* access modifiers changed from: protected */
    public long getNanoTime() {
        return System.nanoTime();
    }

    public float getProgress() {
        return this.o1;
    }

    public t getScene() {
        return this.a1;
    }

    public int getStartState() {
        return this.e1;
    }

    public float getTargetPosition() {
        return this.q1;
    }

    public Bundle getTransitionState() {
        if (this.i2 == null) {
            this.i2 = new k();
        }
        this.i2.c();
        return this.i2.b();
    }

    public long getTransitionTimeMs() {
        t tVar = this.a1;
        if (tVar != null) {
            this.m1 = ((float) tVar.t()) / 1000.0f;
        }
        return (long) (this.m1 * 1000.0f);
    }

    public float getVelocity() {
        return this.d1;
    }

    public boolean h0() {
        return this.m2;
    }

    public boolean i0() {
        return this.j1;
    }

    public boolean isAttachedToWindow() {
        if (Build.VERSION.SDK_INT >= 19) {
            return super.isAttachedToWindow();
        }
        return getWindowToken() != null;
    }

    public boolean j0(int i3) {
        t tVar = this.a1;
        if (tVar != null) {
            return tVar.U(i3);
        }
        return false;
    }

    public void k0(int i3) {
        if (!isAttachedToWindow()) {
            this.f1 = i3;
        }
        if (this.e1 == i3) {
            setProgress(0.0f);
        } else if (this.g1 == i3) {
            setProgress(1.0f);
        } else {
            v0(i3, i3);
        }
    }

    /* access modifiers changed from: package-private */
    public int l0(String str) {
        t tVar = this.a1;
        if (tVar == null) {
            return 0;
        }
        return tVar.W(str);
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void loadLayoutDescription(int i3) {
        t.b bVar;
        int i4;
        if (i3 != 0) {
            try {
                t tVar = new t(getContext(), this, i3);
                this.a1 = tVar;
                if (this.f1 == -1 && tVar != null) {
                    this.f1 = tVar.N();
                    this.e1 = this.a1.N();
                    this.g1 = this.a1.u();
                }
                int i5 = Build.VERSION.SDK_INT;
                if (i5 >= 19) {
                    if (!isAttachedToWindow()) {
                        this.a1 = null;
                        return;
                    }
                }
                if (i5 >= 17) {
                    try {
                        Display display = getDisplay();
                        if (display == null) {
                            i4 = 0;
                        } else {
                            i4 = display.getRotation();
                        }
                        this.r2 = i4;
                    } catch (Exception e3) {
                        throw new IllegalArgumentException("unable to parse MotionScene file", e3);
                    }
                }
                t tVar2 = this.a1;
                if (tVar2 != null) {
                    androidx.constraintlayout.widget.c o = tVar2.o(this.f1);
                    this.a1.h0(this);
                    ArrayList<MotionHelper> arrayList = this.Q1;
                    if (arrayList != null) {
                        Iterator<MotionHelper> it = arrayList.iterator();
                        while (it.hasNext()) {
                            it.next().b(this);
                        }
                    }
                    if (o != null) {
                        o.r(this);
                    }
                    this.e1 = this.f1;
                }
                n0();
                k kVar = this.i2;
                if (kVar == null) {
                    t tVar3 = this.a1;
                    if (tVar3 != null && (bVar = tVar3.E) != null && bVar.z() == 4) {
                        A0();
                        setState(m.SETUP);
                        setState(m.MOVING);
                    }
                } else if (this.t2) {
                    post(new a());
                } else {
                    kVar.a();
                }
            } catch (Exception e4) {
                throw new IllegalArgumentException("unable to parse MotionScene file", e4);
            }
        } else {
            this.a1 = null;
        }
    }

    /* access modifiers changed from: protected */
    public i m0() {
        return j.h();
    }

    /* access modifiers changed from: package-private */
    public void n0() {
        t tVar = this.a1;
        if (tVar != null) {
            if (tVar.i(this, this.f1)) {
                requestLayout();
                return;
            }
            int i3 = this.f1;
            if (i3 != -1) {
                this.a1.f(this, i3);
            }
            if (this.a1.r0()) {
                this.a1.p0();
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        t.b bVar;
        int i3;
        Display display;
        super.onAttachedToWindow();
        if (Build.VERSION.SDK_INT >= 17 && (display = getDisplay()) != null) {
            this.r2 = display.getRotation();
        }
        t tVar = this.a1;
        if (!(tVar == null || (i3 = this.f1) == -1)) {
            androidx.constraintlayout.widget.c o = tVar.o(i3);
            this.a1.h0(this);
            ArrayList<MotionHelper> arrayList = this.Q1;
            if (arrayList != null) {
                Iterator<MotionHelper> it = arrayList.iterator();
                while (it.hasNext()) {
                    it.next().b(this);
                }
            }
            if (o != null) {
                o.r(this);
            }
            this.e1 = this.f1;
        }
        n0();
        k kVar = this.i2;
        if (kVar == null) {
            t tVar2 = this.a1;
            if (tVar2 != null && (bVar = tVar2.E) != null && bVar.z() == 4) {
                A0();
                setState(m.SETUP);
                setState(m.MOVING);
            }
        } else if (this.t2) {
            post(new d());
        } else {
            kVar.a();
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        w J;
        int s;
        RectF r;
        t tVar = this.a1;
        if (tVar != null && this.j1) {
            a0 a0Var = tVar.U;
            if (a0Var != null) {
                a0Var.l(motionEvent);
            }
            t.b bVar = this.a1.E;
            if (bVar != null && bVar.K() && (J = bVar.J()) != null && ((motionEvent.getAction() != 0 || (r = J.r(this, new RectF())) == null || r.contains(motionEvent.getX(), motionEvent.getY())) && (s = J.s()) != -1)) {
                View view = this.y2;
                if (view == null || view.getId() != s) {
                    this.y2 = findViewById(s);
                }
                View view2 = this.y2;
                if (view2 != null) {
                    this.x2.set((float) view2.getLeft(), (float) this.y2.getTop(), (float) this.y2.getRight(), (float) this.y2.getBottom());
                    if (this.x2.contains(motionEvent.getX(), motionEvent.getY()) && !e0((float) this.y2.getLeft(), (float) this.y2.getTop(), this.y2, motionEvent)) {
                        return onTouchEvent(motionEvent);
                    }
                }
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onLayout(boolean z, int i3, int i4, int i5, int i6) {
        this.h2 = true;
        try {
            if (this.a1 == null) {
                super.onLayout(z, i3, i4, i5, i6);
                return;
            }
            int i7 = i5 - i3;
            int i8 = i6 - i4;
            if (!(this.G1 == i7 && this.H1 == i8)) {
                q0();
                R(true);
            }
            this.G1 = i7;
            this.H1 = i8;
            this.E1 = i7;
            this.F1 = i8;
            this.h2 = false;
        } finally {
            this.h2 = false;
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onMeasure(int i3, int i4) {
        if (this.a1 == null) {
            super.onMeasure(i3, i4);
            return;
        }
        boolean z = false;
        boolean z3 = (this.h1 == i3 && this.i1 == i4) ? false : true;
        if (this.w2) {
            this.w2 = false;
            n0();
            o0();
            z3 = true;
        }
        if (this.mDirtyHierarchy) {
            z3 = true;
        }
        this.h1 = i3;
        this.i1 = i4;
        int N = this.a1.N();
        int u = this.a1.u();
        if ((z3 || this.v2.i(N, u)) && this.e1 != -1) {
            super.onMeasure(i3, i4);
            this.v2.h(this.mLayoutWidget, this.a1.o(N), this.a1.o(u));
            this.v2.k();
            this.v2.l(N, u);
        } else {
            if (z3) {
                super.onMeasure(i3, i4);
            }
            z = true;
        }
        if (this.Y1 || z) {
            int paddingTop = getPaddingTop() + getPaddingBottom();
            int m0 = this.mLayoutWidget.m0() + getPaddingLeft() + getPaddingRight();
            int D = this.mLayoutWidget.D() + paddingTop;
            int i5 = this.d2;
            if (i5 == Integer.MIN_VALUE || i5 == 0) {
                int i6 = this.Z1;
                m0 = (int) (((float) i6) + (this.f2 * ((float) (this.b2 - i6))));
                requestLayout();
            }
            int i7 = this.e2;
            if (i7 == Integer.MIN_VALUE || i7 == 0) {
                int i8 = this.a2;
                D = (int) (((float) i8) + (this.f2 * ((float) (this.c2 - i8))));
                requestLayout();
            }
            setMeasuredDimension(m0, D);
        }
        S();
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedFling(@NonNull View view, float f3, float f4, boolean z) {
        return false;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedPreFling(@NonNull View view, float f3, float f4) {
        return false;
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onNestedPreScroll(@NonNull View view, int i3, int i4, @NonNull int[] iArr, int i5) {
        t.b bVar;
        w J;
        int s;
        t tVar = this.a1;
        if (tVar != null && (bVar = tVar.E) != null && bVar.K()) {
            int i6 = -1;
            if (!bVar.K() || (J = bVar.J()) == null || (s = J.s()) == -1 || view.getId() == s) {
                if (tVar.D()) {
                    w J2 = bVar.J();
                    if (!(J2 == null || (J2.f() & 4) == 0)) {
                        i6 = i4;
                    }
                    float f3 = this.n1;
                    if ((f3 == 1.0f || f3 == 0.0f) && view.canScrollVertically(i6)) {
                        return;
                    }
                }
                if (!(bVar.J() == null || (bVar.J().f() & 1) == 0)) {
                    float F = tVar.F((float) i3, (float) i4);
                    float f4 = this.o1;
                    if ((f4 <= 0.0f && F < 0.0f) || (f4 >= 1.0f && F > 0.0f)) {
                        if (Build.VERSION.SDK_INT >= 21) {
                            view.setNestedScrollingEnabled(false);
                            view.post(new c(this, view));
                            return;
                        }
                        return;
                    }
                }
                float f5 = this.n1;
                long nanoTime = getNanoTime();
                float f6 = (float) i3;
                this.J1 = f6;
                float f7 = (float) i4;
                this.K1 = f7;
                this.M1 = (float) (((double) (nanoTime - this.L1)) * 1.0E-9d);
                this.L1 = nanoTime;
                tVar.d0(f6, f7);
                if (f5 != this.n1) {
                    iArr[0] = i3;
                    iArr[1] = i4;
                }
                R(false);
                if (iArr[0] != 0 || iArr[1] != 0) {
                    this.I1 = true;
                }
            }
        }
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onNestedScroll(@NonNull View view, int i3, int i4, int i5, int i6, int i7) {
    }

    @Override // androidx.core.view.NestedScrollingParent3
    public void onNestedScroll(@NonNull View view, int i3, int i4, int i5, int i6, int i7, int[] iArr) {
        if (!(!this.I1 && i3 == 0 && i4 == 0)) {
            iArr[0] = iArr[0] + i5;
            iArr[1] = iArr[1] + i6;
        }
        this.I1 = false;
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onNestedScrollAccepted(@NonNull View view, @NonNull View view2, int i3, int i4) {
        this.L1 = getNanoTime();
        this.M1 = 0.0f;
        this.J1 = 0.0f;
        this.K1 = 0.0f;
    }

    public void onRtlPropertiesChanged(int i3) {
        t tVar = this.a1;
        if (tVar != null) {
            tVar.m0(isRtl());
        }
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public boolean onStartNestedScroll(@NonNull View view, @NonNull View view2, int i3, int i4) {
        t.b bVar;
        t tVar = this.a1;
        return (tVar == null || (bVar = tVar.E) == null || bVar.J() == null || (this.a1.E.J().f() & 2) != 0) ? false : true;
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onStopNestedScroll(@NonNull View view, int i3) {
        t tVar = this.a1;
        if (tVar != null) {
            float f3 = this.M1;
            if (f3 != 0.0f) {
                tVar.e0(this.J1 / f3, this.K1 / f3);
            }
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        t tVar = this.a1;
        if (tVar == null || !this.j1 || !tVar.r0()) {
            return super.onTouchEvent(motionEvent);
        }
        t.b bVar = this.a1.E;
        if (bVar != null && !bVar.K()) {
            return super.onTouchEvent(motionEvent);
        }
        this.a1.f0(motionEvent, getCurrentState(), this);
        if (this.a1.E.L(4)) {
            return this.a1.E.J().t();
        }
        return true;
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onViewAdded(View view) {
        super.onViewAdded(view);
        if (view instanceof MotionHelper) {
            MotionHelper motionHelper = (MotionHelper) view;
            if (this.R1 == null) {
                this.R1 = new CopyOnWriteArrayList<>();
            }
            this.R1.add(motionHelper);
            if (motionHelper.e()) {
                if (this.O1 == null) {
                    this.O1 = new ArrayList<>();
                }
                this.O1.add(motionHelper);
            }
            if (motionHelper.f()) {
                if (this.P1 == null) {
                    this.P1 = new ArrayList<>();
                }
                this.P1.add(motionHelper);
            }
            if (motionHelper.j()) {
                if (this.Q1 == null) {
                    this.Q1 = new ArrayList<>();
                }
                this.Q1.add(motionHelper);
            }
        }
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onViewRemoved(View view) {
        super.onViewRemoved(view);
        ArrayList<MotionHelper> arrayList = this.O1;
        if (arrayList != null) {
            arrayList.remove(view);
        }
        ArrayList<MotionHelper> arrayList2 = this.P1;
        if (arrayList2 != null) {
            arrayList2.remove(view);
        }
    }

    @Deprecated
    public void p0() {
        Log.e(O0, "This method is deprecated. Please call rebuildScene() instead.");
        q0();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void parseLayoutDescription(int i3) {
        this.mConstraintLayoutSpec = null;
    }

    public void q0() {
        this.v2.k();
        invalidate();
    }

    public boolean r0(l lVar) {
        CopyOnWriteArrayList<l> copyOnWriteArrayList = this.R1;
        if (copyOnWriteArrayList == null) {
            return false;
        }
        return copyOnWriteArrayList.remove(lVar);
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void requestLayout() {
        t tVar;
        t.b bVar;
        if (!this.Y1 && this.f1 == -1 && (tVar = this.a1) != null && (bVar = tVar.E) != null) {
            int E = bVar.E();
            if (E == 0) {
                return;
            }
            if (E == 2) {
                int childCount = getChildCount();
                for (int i3 = 0; i3 < childCount; i3++) {
                    this.k1.get(getChildAt(i3)).P();
                }
                return;
            }
        }
        super.requestLayout();
    }

    @RequiresApi(api = 17)
    public void s0(int i3, int i4) {
        int i5 = 1;
        this.m2 = true;
        this.p2 = getWidth();
        this.q2 = getHeight();
        int rotation = getDisplay().getRotation();
        if ((rotation + 1) % 4 <= (this.r2 + 1) % 4) {
            i5 = 2;
        }
        this.n2 = i5;
        this.r2 = rotation;
        int childCount = getChildCount();
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = getChildAt(i6);
            b.c.a.a.e eVar = this.o2.get(childAt);
            if (eVar == null) {
                eVar = new b.c.a.a.e();
                this.o2.put(childAt, eVar);
            }
            eVar.a(childAt);
        }
        this.e1 = -1;
        this.g1 = i3;
        this.a1.n0(-1, i3);
        this.v2.h(this.mLayoutWidget, null, this.a1.o(this.g1));
        this.n1 = 0.0f;
        this.o1 = 0.0f;
        invalidate();
        B0(new b());
        if (i4 > 0) {
            this.m1 = ((float) i4) / 1000.0f;
        }
    }

    public void setDebugMode(int i3) {
        this.x1 = i3;
        invalidate();
    }

    public void setDelayedApplicationOfInitialState(boolean z) {
        this.t2 = z;
    }

    public void setInteractionEnabled(boolean z) {
        this.j1 = z;
    }

    public void setInterpolatedProgress(float f3) {
        if (this.a1 != null) {
            setState(m.MOVING);
            Interpolator x = this.a1.x();
            if (x != null) {
                setProgress(x.getInterpolation(f3));
                return;
            }
        }
        setProgress(f3);
    }

    public void setOnHide(float f3) {
        ArrayList<MotionHelper> arrayList = this.P1;
        if (arrayList != null) {
            int size = arrayList.size();
            for (int i3 = 0; i3 < size; i3++) {
                this.P1.get(i3).setProgress(f3);
            }
        }
    }

    public void setOnShow(float f3) {
        ArrayList<MotionHelper> arrayList = this.O1;
        if (arrayList != null) {
            int size = arrayList.size();
            for (int i3 = 0; i3 < size; i3++) {
                this.O1.get(i3).setProgress(f3);
            }
        }
    }

    public void setProgress(float f3) {
        int i3 = (f3 > 0.0f ? 1 : (f3 == 0.0f ? 0 : -1));
        if (i3 < 0 || f3 > 1.0f) {
            Log.w(O0, "Warning! Progress is defined for values between 0.0 and 1.0 inclusive");
        }
        if (!isAttachedToWindow()) {
            if (this.i2 == null) {
                this.i2 = new k();
            }
            this.i2.e(f3);
            return;
        }
        if (i3 <= 0) {
            if (this.o1 == 1.0f && this.f1 == this.g1) {
                setState(m.MOVING);
            }
            this.f1 = this.e1;
            if (this.o1 == 0.0f) {
                setState(m.FINISHED);
            }
        } else if (f3 >= 1.0f) {
            if (this.o1 == 0.0f && this.f1 == this.e1) {
                setState(m.MOVING);
            }
            this.f1 = this.g1;
            if (this.o1 == 1.0f) {
                setState(m.FINISHED);
            }
        } else {
            this.f1 = -1;
            setState(m.MOVING);
        }
        if (this.a1 != null) {
            this.r1 = true;
            this.q1 = f3;
            this.n1 = f3;
            this.p1 = -1;
            this.l1 = -1;
            this.b1 = null;
            this.s1 = true;
            invalidate();
        }
    }

    public void setScene(t tVar) {
        this.a1 = tVar;
        tVar.m0(isRtl());
        q0();
    }

    /* access modifiers changed from: package-private */
    public void setStartState(int i3) {
        if (!isAttachedToWindow()) {
            if (this.i2 == null) {
                this.i2 = new k();
            }
            this.i2.f(i3);
            this.i2.d(i3);
            return;
        }
        this.f1 = i3;
    }

    /* access modifiers changed from: package-private */
    public void setState(m mVar) {
        m mVar2 = m.FINISHED;
        if (mVar != mVar2 || this.f1 != -1) {
            m mVar3 = this.u2;
            this.u2 = mVar;
            m mVar4 = m.MOVING;
            if (mVar3 == mVar4 && mVar == mVar4) {
                T();
            }
            int i3 = e.f1886a[mVar3.ordinal()];
            if (i3 == 1 || i3 == 2) {
                if (mVar == mVar4) {
                    T();
                }
                if (mVar == mVar2) {
                    U();
                }
            } else if (i3 == 3 && mVar == mVar2) {
                U();
            }
        }
    }

    public void setTransition(int i3) {
        if (this.a1 != null) {
            t.b c0 = c0(i3);
            this.e1 = c0.I();
            this.g1 = c0.B();
            if (!isAttachedToWindow()) {
                if (this.i2 == null) {
                    this.i2 = new k();
                }
                this.i2.f(this.e1);
                this.i2.d(this.g1);
                return;
            }
            float f3 = Float.NaN;
            int i4 = this.f1;
            float f4 = 0.0f;
            if (i4 == this.e1) {
                f3 = 0.0f;
            } else if (i4 == this.g1) {
                f3 = 1.0f;
            }
            this.a1.o0(c0);
            this.v2.h(this.mLayoutWidget, this.a1.o(this.e1), this.a1.o(this.g1));
            q0();
            if (this.o1 != f3) {
                if (f3 == 0.0f) {
                    Q(true);
                    this.a1.o(this.e1).r(this);
                } else if (f3 == 1.0f) {
                    Q(false);
                    this.a1.o(this.g1).r(this);
                }
            }
            if (!Float.isNaN(f3)) {
                f4 = f3;
            }
            this.o1 = f4;
            if (Float.isNaN(f3)) {
                Log.v(O0, d.g() + " transitionToStart ");
                C0();
                return;
            }
            setProgress(f3);
        }
    }

    public void setTransitionDuration(int i3) {
        t tVar = this.a1;
        if (tVar == null) {
            Log.e(O0, "MotionScene not defined");
        } else {
            tVar.k0(i3);
        }
    }

    public void setTransitionListener(l lVar) {
        this.u1 = lVar;
    }

    public void setTransitionState(Bundle bundle) {
        if (this.i2 == null) {
            this.i2 = new k();
        }
        this.i2.g(bundle);
        if (isAttachedToWindow()) {
            this.i2.a();
        }
    }

    public void t0(int i3) {
        if (getCurrentState() == -1) {
            D0(i3);
            return;
        }
        int[] iArr = this.k2;
        if (iArr == null) {
            this.k2 = new int[4];
        } else if (iArr.length <= this.l2) {
            this.k2 = Arrays.copyOf(iArr, iArr.length * 2);
        }
        int[] iArr2 = this.k2;
        int i4 = this.l2;
        this.l2 = i4 + 1;
        iArr2[i4] = i3;
    }

    public String toString() {
        Context context = getContext();
        return d.i(context, this.e1) + "->" + d.i(context, this.g1) + " (pos:" + this.o1 + " Dpos/Dt:" + this.d1;
    }

    public void u0(float f3, float f4) {
        if (!isAttachedToWindow()) {
            if (this.i2 == null) {
                this.i2 = new k();
            }
            this.i2.e(f3);
            this.i2.h(f4);
            return;
        }
        setProgress(f3);
        setState(m.MOVING);
        this.d1 = f4;
        float f5 = 1.0f;
        int i3 = (f4 > 0.0f ? 1 : (f4 == 0.0f ? 0 : -1));
        if (i3 != 0) {
            if (i3 <= 0) {
                f5 = 0.0f;
            }
            E(f5);
        } else if (f3 != 0.0f && f3 != 1.0f) {
            if (f3 <= 0.5f) {
                f5 = 0.0f;
            }
            E(f5);
        }
    }

    public void v0(int i3, int i4) {
        if (!isAttachedToWindow()) {
            if (this.i2 == null) {
                this.i2 = new k();
            }
            this.i2.f(i3);
            this.i2.d(i4);
            return;
        }
        t tVar = this.a1;
        if (tVar != null) {
            this.e1 = i3;
            this.g1 = i4;
            tVar.n0(i3, i4);
            this.v2.h(this.mLayoutWidget, this.a1.o(i3), this.a1.o(i4));
            q0();
            this.o1 = 0.0f;
            C0();
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0037, code lost:
        if (r10 != 7) goto L_0x00f1;
     */
    public void y0(int i3, float f3, float f4) {
        if (this.a1 != null && this.o1 != f3) {
            this.z1 = true;
            this.l1 = getNanoTime();
            this.m1 = ((float) this.a1.t()) / 1000.0f;
            this.q1 = f3;
            this.s1 = true;
            if (!(i3 == 0 || i3 == 1 || i3 == 2)) {
                if (i3 == 4) {
                    this.B1.b(f4, this.o1, this.a1.B());
                    this.b1 = this.B1;
                } else if (i3 != 5) {
                    if (i3 != 6) {
                    }
                } else if (L0(f4, this.o1, this.a1.B())) {
                    this.B1.b(f4, this.o1, this.a1.B());
                    this.b1 = this.B1;
                } else {
                    this.A1.b(this.o1, f3, f4, this.m1, this.a1.B(), this.a1.C());
                    this.d1 = 0.0f;
                    int i4 = this.f1;
                    this.q1 = f3;
                    this.f1 = i4;
                    this.b1 = this.A1;
                }
                this.r1 = false;
                this.l1 = getNanoTime();
                invalidate();
            }
            if (i3 == 1 || i3 == 7) {
                f3 = 0.0f;
            } else if (i3 == 2 || i3 == 6) {
                f3 = 1.0f;
            }
            if (this.a1.n() == 0) {
                this.A1.b(this.o1, f3, f4, this.m1, this.a1.B(), this.a1.C());
            } else {
                this.A1.f(this.o1, f3, f4, this.a1.J(), this.a1.K(), this.a1.I(), this.a1.L(), this.a1.H());
            }
            int i5 = this.f1;
            this.q1 = f3;
            this.f1 = i5;
            this.b1 = this.A1;
            this.r1 = false;
            this.l1 = getNanoTime();
            invalidate();
        }
    }

    public void z0(float f3, float f4) {
        if (this.a1 != null && this.o1 != f3) {
            this.z1 = true;
            this.l1 = getNanoTime();
            this.m1 = ((float) this.a1.t()) / 1000.0f;
            this.q1 = f3;
            this.s1 = true;
            this.A1.f(this.o1, f3, f4, this.a1.J(), this.a1.K(), this.a1.I(), this.a1.L(), this.a1.H());
            int i3 = this.f1;
            this.q1 = f3;
            this.f1 = i3;
            this.b1 = this.A1;
            this.r1 = false;
            this.l1 = getNanoTime();
            invalidate();
        }
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void setState(int i3, int i4, int i5) {
        setState(m.SETUP);
        this.f1 = i3;
        this.e1 = -1;
        this.g1 = -1;
        androidx.constraintlayout.widget.a aVar = this.mConstraintLayoutSpec;
        if (aVar != null) {
            aVar.e(i3, (float) i4, (float) i5);
            return;
        }
        t tVar = this.a1;
        if (tVar != null) {
            tVar.o(i3).r(this);
        }
    }

    /* access modifiers changed from: protected */
    public void setTransition(t.b bVar) {
        this.a1.o0(bVar);
        setState(m.SETUP);
        if (this.f1 == this.a1.u()) {
            this.o1 = 1.0f;
            this.n1 = 1.0f;
            this.q1 = 1.0f;
        } else {
            this.o1 = 0.0f;
            this.n1 = 0.0f;
            this.q1 = 0.0f;
        }
        this.p1 = bVar.L(1) ? -1 : getNanoTime();
        int N = this.a1.N();
        int u = this.a1.u();
        if (N != this.e1 || u != this.g1) {
            this.e1 = N;
            this.g1 = u;
            this.a1.n0(N, u);
            this.v2.h(this.mLayoutWidget, this.a1.o(this.e1), this.a1.o(this.g1));
            this.v2.l(this.e1, this.g1);
            this.v2.k();
            q0();
        }
    }

    public MotionLayout(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        f0(attributeSet);
    }

    public MotionLayout(@NonNull Context context, @Nullable AttributeSet attributeSet, int i3) {
        super(context, attributeSet, i3);
        f0(attributeSet);
    }
}
