package androidx.constraintlayout.motion.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import androidx.constraintlayout.core.motion.h.d;
import androidx.constraintlayout.core.motion.h.w;
import androidx.constraintlayout.widget.R;
import java.util.HashMap;

/* compiled from: KeyPosition */
public class k extends l {
    private static final String F = "KeyPosition";
    static final String G = "KeyPosition";
    public static final int H = 2;
    public static final int I = 1;
    public static final int J = 0;
    public static final String K = "transitionEasing";
    public static final String L = "drawPath";
    public static final String M = "percentWidth";
    public static final String N = "percentHeight";
    public static final String O = "sizePercent";
    public static final String P = "percentX";
    public static final String Q = "percentY";
    static final int R = 2;
    String S = null;
    int T = g.f1924a;
    int U = 0;
    float V = Float.NaN;
    float W = Float.NaN;
    float X = Float.NaN;
    float Y = Float.NaN;
    float Z = Float.NaN;
    float a0 = Float.NaN;
    int b0 = 0;
    private float c0 = Float.NaN;
    private float d0 = Float.NaN;

    /* compiled from: KeyPosition */
    private static class a {

        /* renamed from: a  reason: collision with root package name */
        private static final int f1944a = 1;

        /* renamed from: b  reason: collision with root package name */
        private static final int f1945b = 2;

        /* renamed from: c  reason: collision with root package name */
        private static final int f1946c = 3;

        /* renamed from: d  reason: collision with root package name */
        private static final int f1947d = 4;

        /* renamed from: e  reason: collision with root package name */
        private static final int f1948e = 5;
        private static final int f = 6;
        private static final int g = 7;
        private static final int h = 8;
        private static final int i = 9;
        private static final int j = 10;
        private static final int k = 11;
        private static final int l = 12;
        private static SparseIntArray m;

        static {
            SparseIntArray sparseIntArray = new SparseIntArray();
            m = sparseIntArray;
            sparseIntArray.append(R.styleable.KeyPosition_motionTarget, 1);
            m.append(R.styleable.KeyPosition_framePosition, 2);
            m.append(R.styleable.KeyPosition_transitionEasing, 3);
            m.append(R.styleable.KeyPosition_curveFit, 4);
            m.append(R.styleable.KeyPosition_drawPath, 5);
            m.append(R.styleable.KeyPosition_percentX, 6);
            m.append(R.styleable.KeyPosition_percentY, 7);
            m.append(R.styleable.KeyPosition_keyPositionType, 9);
            m.append(R.styleable.KeyPosition_sizePercent, 8);
            m.append(R.styleable.KeyPosition_percentWidth, 11);
            m.append(R.styleable.KeyPosition_percentHeight, 12);
            m.append(R.styleable.KeyPosition_pathMotionArc, 10);
        }

        private a() {
        }

        /* access modifiers changed from: private */
        public static void b(k kVar, TypedArray typedArray) {
            int indexCount = typedArray.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = typedArray.getIndex(i2);
                switch (m.get(index)) {
                    case 1:
                        if (!MotionLayout.Q0) {
                            if (typedArray.peekValue(index).type == 3) {
                                kVar.A = typedArray.getString(index);
                                break;
                            } else {
                                kVar.z = typedArray.getResourceId(index, kVar.z);
                                break;
                            }
                        } else {
                            int resourceId = typedArray.getResourceId(index, kVar.z);
                            kVar.z = resourceId;
                            if (resourceId == -1) {
                                kVar.A = typedArray.getString(index);
                                break;
                            } else {
                                break;
                            }
                        }
                    case 2:
                        kVar.y = typedArray.getInt(index, kVar.y);
                        break;
                    case 3:
                        if (typedArray.peekValue(index).type == 3) {
                            kVar.S = typedArray.getString(index);
                            break;
                        } else {
                            kVar.S = d.n[typedArray.getInteger(index, 0)];
                            break;
                        }
                    case 4:
                        kVar.E = typedArray.getInteger(index, kVar.E);
                        break;
                    case 5:
                        kVar.U = typedArray.getInt(index, kVar.U);
                        break;
                    case 6:
                        kVar.X = typedArray.getFloat(index, kVar.X);
                        break;
                    case 7:
                        kVar.Y = typedArray.getFloat(index, kVar.Y);
                        break;
                    case 8:
                        float f2 = typedArray.getFloat(index, kVar.W);
                        kVar.V = f2;
                        kVar.W = f2;
                        break;
                    case 9:
                        kVar.b0 = typedArray.getInt(index, kVar.b0);
                        break;
                    case 10:
                        kVar.T = typedArray.getInt(index, kVar.T);
                        break;
                    case 11:
                        kVar.V = typedArray.getFloat(index, kVar.V);
                        break;
                    case 12:
                        kVar.W = typedArray.getFloat(index, kVar.W);
                        break;
                    default:
                        Log.e(w.g.f1701a, "unused attribute 0x" + Integer.toHexString(index) + "   " + m.get(index));
                        break;
                }
            }
            if (kVar.y == -1) {
                Log.e(w.g.f1701a, "no frame position");
            }
        }
    }

    public k() {
        this.B = 2;
    }

    private void t(float f, float f2, float f3, float f4) {
        float f5 = f3 - f;
        float f6 = f4 - f2;
        float f7 = 0.0f;
        float f8 = Float.isNaN(this.X) ? 0.0f : this.X;
        float f9 = Float.isNaN(this.a0) ? 0.0f : this.a0;
        float f10 = Float.isNaN(this.Y) ? 0.0f : this.Y;
        if (!Float.isNaN(this.Z)) {
            f7 = this.Z;
        }
        this.c0 = (float) ((int) (f + (f8 * f5) + (f7 * f6)));
        this.d0 = (float) ((int) (f2 + (f5 * f9) + (f6 * f10)));
    }

    private void u(float f, float f2, float f3, float f4) {
        float f5 = f3 - f;
        float f6 = f4 - f2;
        float f7 = this.X;
        float f8 = this.Y;
        this.c0 = f + (f5 * f7) + ((-f6) * f8);
        this.d0 = f2 + (f6 * f7) + (f5 * f8);
    }

    private void v(int i, int i2) {
        float f = this.X;
        float f2 = (float) 0;
        this.c0 = (((float) (i - 0)) * f) + f2;
        this.d0 = (((float) (i2 - 0)) * f) + f2;
    }

    @Override // androidx.constraintlayout.motion.widget.g
    public void a(HashMap<String, b.c.a.a.d> hashMap) {
    }

    @Override // androidx.constraintlayout.motion.widget.g
    /* renamed from: b */
    public g clone() {
        return new k().c(this);
    }

    @Override // androidx.constraintlayout.motion.widget.g
    public g c(g gVar) {
        super.c(gVar);
        k kVar = (k) gVar;
        this.S = kVar.S;
        this.T = kVar.T;
        this.U = kVar.U;
        this.V = kVar.V;
        this.W = Float.NaN;
        this.X = kVar.X;
        this.Y = kVar.Y;
        this.Z = kVar.Z;
        this.a0 = kVar.a0;
        this.c0 = kVar.c0;
        this.d0 = kVar.d0;
        return this;
    }

    @Override // androidx.constraintlayout.motion.widget.g
    public void f(Context context, AttributeSet attributeSet) {
        a.b(this, context.obtainStyledAttributes(attributeSet, R.styleable.KeyPosition));
    }

    @Override // androidx.constraintlayout.motion.widget.g
    public void j(String str, Object obj) {
        str.hashCode();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1812823328:
                if (str.equals("transitionEasing")) {
                    c2 = 0;
                    break;
                }
                break;
            case -1127236479:
                if (str.equals("percentWidth")) {
                    c2 = 1;
                    break;
                }
                break;
            case -1017587252:
                if (str.equals("percentHeight")) {
                    c2 = 2;
                    break;
                }
                break;
            case -827014263:
                if (str.equals("drawPath")) {
                    c2 = 3;
                    break;
                }
                break;
            case -200259324:
                if (str.equals("sizePercent")) {
                    c2 = 4;
                    break;
                }
                break;
            case 428090547:
                if (str.equals("percentX")) {
                    c2 = 5;
                    break;
                }
                break;
            case 428090548:
                if (str.equals("percentY")) {
                    c2 = 6;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                this.S = obj.toString();
                return;
            case 1:
                this.V = m(obj);
                return;
            case 2:
                this.W = m(obj);
                return;
            case 3:
                this.U = n(obj);
                return;
            case 4:
                float m = m(obj);
                this.V = m;
                this.W = m;
                return;
            case 5:
                this.X = m(obj);
                return;
            case 6:
                this.Y = m(obj);
                return;
            default:
                return;
        }
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.constraintlayout.motion.widget.l
    public void o(int i, int i2, float f, float f2, float f3, float f4) {
        int i3 = this.b0;
        if (i3 == 1) {
            u(f, f2, f3, f4);
        } else if (i3 != 2) {
            t(f, f2, f3, f4);
        } else {
            v(i, i2);
        }
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.constraintlayout.motion.widget.l
    public float p() {
        return this.c0;
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.constraintlayout.motion.widget.l
    public float q() {
        return this.d0;
    }

    @Override // androidx.constraintlayout.motion.widget.l
    public boolean r(int i, int i2, RectF rectF, RectF rectF2, float f, float f2) {
        o(i, i2, rectF.centerX(), rectF.centerY(), rectF2.centerX(), rectF2.centerY());
        return Math.abs(f - this.c0) < 20.0f && Math.abs(f2 - this.d0) < 20.0f;
    }

    @Override // androidx.constraintlayout.motion.widget.l
    public void s(View view, RectF rectF, RectF rectF2, float f, float f2, String[] strArr, float[] fArr) {
        int i = this.b0;
        if (i == 1) {
            x(rectF, rectF2, f, f2, strArr, fArr);
        } else if (i != 2) {
            w(rectF, rectF2, f, f2, strArr, fArr);
        } else {
            y(view, rectF, rectF2, f, f2, strArr, fArr);
        }
    }

    /* access modifiers changed from: package-private */
    public void w(RectF rectF, RectF rectF2, float f, float f2, String[] strArr, float[] fArr) {
        float centerX = rectF.centerX();
        float centerY = rectF.centerY();
        float centerX2 = rectF2.centerX() - centerX;
        float centerY2 = rectF2.centerY() - centerY;
        if (strArr[0] == null) {
            strArr[0] = "percentX";
            fArr[0] = (f - centerX) / centerX2;
            strArr[1] = "percentY";
            fArr[1] = (f2 - centerY) / centerY2;
        } else if ("percentX".equals(strArr[0])) {
            fArr[0] = (f - centerX) / centerX2;
            fArr[1] = (f2 - centerY) / centerY2;
        } else {
            fArr[1] = (f - centerX) / centerX2;
            fArr[0] = (f2 - centerY) / centerY2;
        }
    }

    /* access modifiers changed from: package-private */
    public void x(RectF rectF, RectF rectF2, float f, float f2, String[] strArr, float[] fArr) {
        float centerX = rectF.centerX();
        float centerY = rectF.centerY();
        float centerX2 = rectF2.centerX() - centerX;
        float centerY2 = rectF2.centerY() - centerY;
        float hypot = (float) Math.hypot((double) centerX2, (double) centerY2);
        if (((double) hypot) < 1.0E-4d) {
            System.out.println("distance ~ 0");
            fArr[0] = 0.0f;
            fArr[1] = 0.0f;
            return;
        }
        float f3 = centerX2 / hypot;
        float f4 = centerY2 / hypot;
        float f5 = f2 - centerY;
        float f6 = f - centerX;
        float f7 = ((f3 * f5) - (f6 * f4)) / hypot;
        float f8 = ((f3 * f6) + (f4 * f5)) / hypot;
        if (strArr[0] == null) {
            strArr[0] = "percentX";
            strArr[1] = "percentY";
            fArr[0] = f8;
            fArr[1] = f7;
        } else if ("percentX".equals(strArr[0])) {
            fArr[0] = f8;
            fArr[1] = f7;
        }
    }

    /* access modifiers changed from: package-private */
    public void y(View view, RectF rectF, RectF rectF2, float f, float f2, String[] strArr, float[] fArr) {
        rectF.centerX();
        rectF.centerY();
        rectF2.centerX();
        rectF2.centerY();
        ViewGroup viewGroup = (ViewGroup) view.getParent();
        int width = viewGroup.getWidth();
        int height = viewGroup.getHeight();
        if (strArr[0] == null) {
            strArr[0] = "percentX";
            fArr[0] = f / ((float) width);
            strArr[1] = "percentY";
            fArr[1] = f2 / ((float) height);
        } else if ("percentX".equals(strArr[0])) {
            fArr[0] = f / ((float) width);
            fArr[1] = f2 / ((float) height);
        } else {
            fArr[1] = f / ((float) width);
            fArr[0] = f2 / ((float) height);
        }
    }

    public void z(int i) {
        this.b0 = i;
    }
}
