package androidx.constraintlayout.motion.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseIntArray;
import androidx.constraintlayout.widget.ConstraintAttribute;
import androidx.constraintlayout.widget.R;
import b.c.a.a.d;
import b.c.a.a.f;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;

/* compiled from: KeyTimeCycle */
public class m extends g {
    static final String D = "KeyTimeCycle";
    private static final String E = "KeyTimeCycle";
    public static final String F = "wavePeriod";
    public static final String G = "waveOffset";
    public static final String H = "waveShape";
    public static final int I = 0;
    public static final int J = 1;
    public static final int K = 2;
    public static final int L = 3;
    public static final int M = 4;
    public static final int N = 5;
    public static final int O = 6;
    public static final int P = 3;
    private String Q;
    private int R = -1;
    private float S = Float.NaN;
    private float T = Float.NaN;
    private float U = Float.NaN;
    private float V = Float.NaN;
    private float W = Float.NaN;
    private float X = Float.NaN;
    private float Y = Float.NaN;
    private float Z = Float.NaN;
    private float a0 = Float.NaN;
    private float b0 = Float.NaN;
    private float c0 = Float.NaN;
    private float d0 = Float.NaN;
    private int e0 = 0;
    private String f0 = null;
    private float g0 = Float.NaN;
    private float h0 = 0.0f;

    /* compiled from: KeyTimeCycle */
    private static class a {

        /* renamed from: a  reason: collision with root package name */
        private static final int f1949a = 1;

        /* renamed from: b  reason: collision with root package name */
        private static final int f1950b = 2;

        /* renamed from: c  reason: collision with root package name */
        private static final int f1951c = 4;

        /* renamed from: d  reason: collision with root package name */
        private static final int f1952d = 5;

        /* renamed from: e  reason: collision with root package name */
        private static final int f1953e = 6;
        private static final int f = 8;
        private static final int g = 7;
        private static final int h = 9;
        private static final int i = 10;
        private static final int j = 12;
        private static final int k = 13;
        private static final int l = 14;
        private static final int m = 15;
        private static final int n = 16;
        private static final int o = 17;
        private static final int p = 18;
        private static final int q = 19;
        private static final int r = 20;
        private static final int s = 21;
        private static SparseIntArray t;

        static {
            SparseIntArray sparseIntArray = new SparseIntArray();
            t = sparseIntArray;
            sparseIntArray.append(R.styleable.KeyTimeCycle_android_alpha, 1);
            t.append(R.styleable.KeyTimeCycle_android_elevation, 2);
            t.append(R.styleable.KeyTimeCycle_android_rotation, 4);
            t.append(R.styleable.KeyTimeCycle_android_rotationX, 5);
            t.append(R.styleable.KeyTimeCycle_android_rotationY, 6);
            t.append(R.styleable.KeyTimeCycle_android_scaleX, 7);
            t.append(R.styleable.KeyTimeCycle_transitionPathRotate, 8);
            t.append(R.styleable.KeyTimeCycle_transitionEasing, 9);
            t.append(R.styleable.KeyTimeCycle_motionTarget, 10);
            t.append(R.styleable.KeyTimeCycle_framePosition, 12);
            t.append(R.styleable.KeyTimeCycle_curveFit, 13);
            t.append(R.styleable.KeyTimeCycle_android_scaleY, 14);
            t.append(R.styleable.KeyTimeCycle_android_translationX, 15);
            t.append(R.styleable.KeyTimeCycle_android_translationY, 16);
            t.append(R.styleable.KeyTimeCycle_android_translationZ, 17);
            t.append(R.styleable.KeyTimeCycle_motionProgress, 18);
            t.append(R.styleable.KeyTimeCycle_wavePeriod, 20);
            t.append(R.styleable.KeyTimeCycle_waveOffset, 21);
            t.append(R.styleable.KeyTimeCycle_waveShape, 19);
        }

        private a() {
        }

        public static void a(m mVar, TypedArray typedArray) {
            int indexCount = typedArray.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = typedArray.getIndex(i2);
                switch (t.get(index)) {
                    case 1:
                        mVar.S = typedArray.getFloat(index, mVar.S);
                        break;
                    case 2:
                        mVar.T = typedArray.getDimension(index, mVar.T);
                        break;
                    case 3:
                    case 11:
                    default:
                        Log.e("KeyTimeCycle", "unused attribute 0x" + Integer.toHexString(index) + "   " + t.get(index));
                        break;
                    case 4:
                        mVar.U = typedArray.getFloat(index, mVar.U);
                        break;
                    case 5:
                        mVar.V = typedArray.getFloat(index, mVar.V);
                        break;
                    case 6:
                        mVar.W = typedArray.getFloat(index, mVar.W);
                        break;
                    case 7:
                        mVar.Y = typedArray.getFloat(index, mVar.Y);
                        break;
                    case 8:
                        mVar.X = typedArray.getFloat(index, mVar.X);
                        break;
                    case 9:
                        mVar.Q = typedArray.getString(index);
                        break;
                    case 10:
                        if (!MotionLayout.Q0) {
                            if (typedArray.peekValue(index).type == 3) {
                                mVar.A = typedArray.getString(index);
                                break;
                            } else {
                                mVar.z = typedArray.getResourceId(index, mVar.z);
                                break;
                            }
                        } else {
                            int resourceId = typedArray.getResourceId(index, mVar.z);
                            mVar.z = resourceId;
                            if (resourceId == -1) {
                                mVar.A = typedArray.getString(index);
                                break;
                            } else {
                                break;
                            }
                        }
                    case 12:
                        mVar.y = typedArray.getInt(index, mVar.y);
                        break;
                    case 13:
                        mVar.R = typedArray.getInteger(index, mVar.R);
                        break;
                    case 14:
                        mVar.Z = typedArray.getFloat(index, mVar.Z);
                        break;
                    case 15:
                        mVar.a0 = typedArray.getDimension(index, mVar.a0);
                        break;
                    case 16:
                        mVar.b0 = typedArray.getDimension(index, mVar.b0);
                        break;
                    case 17:
                        if (Build.VERSION.SDK_INT >= 21) {
                            mVar.c0 = typedArray.getDimension(index, mVar.c0);
                            break;
                        } else {
                            break;
                        }
                    case 18:
                        mVar.d0 = typedArray.getFloat(index, mVar.d0);
                        break;
                    case 19:
                        if (typedArray.peekValue(index).type == 3) {
                            mVar.f0 = typedArray.getString(index);
                            mVar.e0 = 7;
                            break;
                        } else {
                            mVar.e0 = typedArray.getInt(index, mVar.e0);
                            break;
                        }
                    case 20:
                        mVar.g0 = typedArray.getFloat(index, mVar.g0);
                        break;
                    case 21:
                        if (typedArray.peekValue(index).type == 5) {
                            mVar.h0 = typedArray.getDimension(index, mVar.h0);
                            break;
                        } else {
                            mVar.h0 = typedArray.getFloat(index, mVar.h0);
                            break;
                        }
                }
            }
        }
    }

    public m() {
        this.B = 3;
        this.C = new HashMap<>();
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x0089, code lost:
        if (r1.equals("scaleY") == false) goto L_0x004d;
     */
    public void W(HashMap<String, f> hashMap) {
        Iterator<String> it = hashMap.keySet().iterator();
        while (it.hasNext()) {
            String next = it.next();
            f fVar = hashMap.get(next);
            if (fVar != null) {
                char c2 = 7;
                if (next.startsWith("CUSTOM")) {
                    ConstraintAttribute constraintAttribute = this.C.get(next.substring(7));
                    if (constraintAttribute != null) {
                        ((f.b) fVar).k(this.y, constraintAttribute, this.g0, this.e0, this.h0);
                    }
                } else {
                    switch (next.hashCode()) {
                        case -1249320806:
                            if (next.equals("rotationX")) {
                                c2 = 0;
                                break;
                            }
                            c2 = 65535;
                            break;
                        case -1249320805:
                            if (next.equals("rotationY")) {
                                c2 = 1;
                                break;
                            }
                            c2 = 65535;
                            break;
                        case -1225497657:
                            if (next.equals("translationX")) {
                                c2 = 2;
                                break;
                            }
                            c2 = 65535;
                            break;
                        case -1225497656:
                            if (next.equals("translationY")) {
                                c2 = 3;
                                break;
                            }
                            c2 = 65535;
                            break;
                        case -1225497655:
                            if (next.equals("translationZ")) {
                                c2 = 4;
                                break;
                            }
                            c2 = 65535;
                            break;
                        case -1001078227:
                            if (next.equals("progress")) {
                                c2 = 5;
                                break;
                            }
                            c2 = 65535;
                            break;
                        case -908189618:
                            if (next.equals("scaleX")) {
                                c2 = 6;
                                break;
                            }
                            c2 = 65535;
                            break;
                        case -908189617:
                            break;
                        case -40300674:
                            if (next.equals(g.f1927d)) {
                                c2 = '\b';
                                break;
                            }
                            c2 = 65535;
                            break;
                        case -4379043:
                            if (next.equals("elevation")) {
                                c2 = '\t';
                                break;
                            }
                            c2 = 65535;
                            break;
                        case 37232917:
                            if (next.equals("transitionPathRotate")) {
                                c2 = '\n';
                                break;
                            }
                            c2 = 65535;
                            break;
                        case 92909918:
                            if (next.equals("alpha")) {
                                c2 = 11;
                                break;
                            }
                            c2 = 65535;
                            break;
                        default:
                            c2 = 65535;
                            break;
                    }
                    switch (c2) {
                        case 0:
                            if (!Float.isNaN(this.V)) {
                                fVar.c(this.y, this.V, this.g0, this.e0, this.h0);
                                break;
                            } else {
                                continue;
                            }
                        case 1:
                            if (!Float.isNaN(this.W)) {
                                fVar.c(this.y, this.W, this.g0, this.e0, this.h0);
                                break;
                            } else {
                                continue;
                            }
                        case 2:
                            if (!Float.isNaN(this.a0)) {
                                fVar.c(this.y, this.a0, this.g0, this.e0, this.h0);
                                break;
                            } else {
                                continue;
                            }
                        case 3:
                            if (!Float.isNaN(this.b0)) {
                                fVar.c(this.y, this.b0, this.g0, this.e0, this.h0);
                                break;
                            } else {
                                continue;
                            }
                        case 4:
                            if (!Float.isNaN(this.c0)) {
                                fVar.c(this.y, this.c0, this.g0, this.e0, this.h0);
                                break;
                            } else {
                                continue;
                            }
                        case 5:
                            if (!Float.isNaN(this.d0)) {
                                fVar.c(this.y, this.d0, this.g0, this.e0, this.h0);
                                break;
                            } else {
                                continue;
                            }
                        case 6:
                            if (!Float.isNaN(this.Y)) {
                                fVar.c(this.y, this.Y, this.g0, this.e0, this.h0);
                                break;
                            } else {
                                continue;
                            }
                        case 7:
                            if (!Float.isNaN(this.Z)) {
                                fVar.c(this.y, this.Z, this.g0, this.e0, this.h0);
                                break;
                            } else {
                                continue;
                            }
                        case '\b':
                            if (!Float.isNaN(this.U)) {
                                fVar.c(this.y, this.U, this.g0, this.e0, this.h0);
                                break;
                            } else {
                                continue;
                            }
                        case '\t':
                            if (!Float.isNaN(this.T)) {
                                fVar.c(this.y, this.T, this.g0, this.e0, this.h0);
                                break;
                            } else {
                                continue;
                            }
                        case '\n':
                            if (!Float.isNaN(this.X)) {
                                fVar.c(this.y, this.X, this.g0, this.e0, this.h0);
                                break;
                            } else {
                                continue;
                            }
                        case 11:
                            if (!Float.isNaN(this.S)) {
                                fVar.c(this.y, this.S, this.g0, this.e0, this.h0);
                                break;
                            } else {
                                continue;
                            }
                        default:
                            Log.e("KeyTimeCycles", "UNKNOWN addValues \"" + next + "\"");
                            continue;
                    }
                }
            }
        }
    }

    @Override // androidx.constraintlayout.motion.widget.g
    public void a(HashMap<String, d> hashMap) {
        throw new IllegalArgumentException(" KeyTimeCycles do not support SplineSet");
    }

    @Override // androidx.constraintlayout.motion.widget.g
    /* renamed from: b */
    public g clone() {
        return new m().c(this);
    }

    @Override // androidx.constraintlayout.motion.widget.g
    public g c(g gVar) {
        super.c(gVar);
        m mVar = (m) gVar;
        this.Q = mVar.Q;
        this.R = mVar.R;
        this.e0 = mVar.e0;
        this.g0 = mVar.g0;
        this.h0 = mVar.h0;
        this.d0 = mVar.d0;
        this.S = mVar.S;
        this.T = mVar.T;
        this.U = mVar.U;
        this.X = mVar.X;
        this.V = mVar.V;
        this.W = mVar.W;
        this.Y = mVar.Y;
        this.Z = mVar.Z;
        this.a0 = mVar.a0;
        this.b0 = mVar.b0;
        this.c0 = mVar.c0;
        return this;
    }

    @Override // androidx.constraintlayout.motion.widget.g
    public void d(HashSet<String> hashSet) {
        if (!Float.isNaN(this.S)) {
            hashSet.add("alpha");
        }
        if (!Float.isNaN(this.T)) {
            hashSet.add("elevation");
        }
        if (!Float.isNaN(this.U)) {
            hashSet.add(g.f1927d);
        }
        if (!Float.isNaN(this.V)) {
            hashSet.add("rotationX");
        }
        if (!Float.isNaN(this.W)) {
            hashSet.add("rotationY");
        }
        if (!Float.isNaN(this.a0)) {
            hashSet.add("translationX");
        }
        if (!Float.isNaN(this.b0)) {
            hashSet.add("translationY");
        }
        if (!Float.isNaN(this.c0)) {
            hashSet.add("translationZ");
        }
        if (!Float.isNaN(this.X)) {
            hashSet.add("transitionPathRotate");
        }
        if (!Float.isNaN(this.Y)) {
            hashSet.add("scaleX");
        }
        if (!Float.isNaN(this.Z)) {
            hashSet.add("scaleY");
        }
        if (!Float.isNaN(this.d0)) {
            hashSet.add("progress");
        }
        if (this.C.size() > 0) {
            Iterator<String> it = this.C.keySet().iterator();
            while (it.hasNext()) {
                hashSet.add("CUSTOM," + it.next());
            }
        }
    }

    @Override // androidx.constraintlayout.motion.widget.g
    public void f(Context context, AttributeSet attributeSet) {
        a.a(this, context.obtainStyledAttributes(attributeSet, R.styleable.KeyTimeCycle));
    }

    @Override // androidx.constraintlayout.motion.widget.g
    public void i(HashMap<String, Integer> hashMap) {
        if (this.R != -1) {
            if (!Float.isNaN(this.S)) {
                hashMap.put("alpha", Integer.valueOf(this.R));
            }
            if (!Float.isNaN(this.T)) {
                hashMap.put("elevation", Integer.valueOf(this.R));
            }
            if (!Float.isNaN(this.U)) {
                hashMap.put(g.f1927d, Integer.valueOf(this.R));
            }
            if (!Float.isNaN(this.V)) {
                hashMap.put("rotationX", Integer.valueOf(this.R));
            }
            if (!Float.isNaN(this.W)) {
                hashMap.put("rotationY", Integer.valueOf(this.R));
            }
            if (!Float.isNaN(this.a0)) {
                hashMap.put("translationX", Integer.valueOf(this.R));
            }
            if (!Float.isNaN(this.b0)) {
                hashMap.put("translationY", Integer.valueOf(this.R));
            }
            if (!Float.isNaN(this.c0)) {
                hashMap.put("translationZ", Integer.valueOf(this.R));
            }
            if (!Float.isNaN(this.X)) {
                hashMap.put("transitionPathRotate", Integer.valueOf(this.R));
            }
            if (!Float.isNaN(this.Y)) {
                hashMap.put("scaleX", Integer.valueOf(this.R));
            }
            if (!Float.isNaN(this.Y)) {
                hashMap.put("scaleY", Integer.valueOf(this.R));
            }
            if (!Float.isNaN(this.d0)) {
                hashMap.put("progress", Integer.valueOf(this.R));
            }
            if (this.C.size() > 0) {
                Iterator<String> it = this.C.keySet().iterator();
                while (it.hasNext()) {
                    hashMap.put("CUSTOM," + it.next(), Integer.valueOf(this.R));
                }
            }
        }
    }

    @Override // androidx.constraintlayout.motion.widget.g
    public void j(String str, Object obj) {
        str.hashCode();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1913008125:
                if (str.equals(g.v)) {
                    c2 = 0;
                    break;
                }
                break;
            case -1812823328:
                if (str.equals("transitionEasing")) {
                    c2 = 1;
                    break;
                }
                break;
            case -1249320806:
                if (str.equals("rotationX")) {
                    c2 = 2;
                    break;
                }
                break;
            case -1249320805:
                if (str.equals("rotationY")) {
                    c2 = 3;
                    break;
                }
                break;
            case -1225497657:
                if (str.equals("translationX")) {
                    c2 = 4;
                    break;
                }
                break;
            case -1225497656:
                if (str.equals("translationY")) {
                    c2 = 5;
                    break;
                }
                break;
            case -1225497655:
                if (str.equals("translationZ")) {
                    c2 = 6;
                    break;
                }
                break;
            case -908189618:
                if (str.equals("scaleX")) {
                    c2 = 7;
                    break;
                }
                break;
            case -908189617:
                if (str.equals("scaleY")) {
                    c2 = '\b';
                    break;
                }
                break;
            case -40300674:
                if (str.equals(g.f1927d)) {
                    c2 = '\t';
                    break;
                }
                break;
            case -4379043:
                if (str.equals("elevation")) {
                    c2 = '\n';
                    break;
                }
                break;
            case 37232917:
                if (str.equals("transitionPathRotate")) {
                    c2 = 11;
                    break;
                }
                break;
            case 92909918:
                if (str.equals("alpha")) {
                    c2 = '\f';
                    break;
                }
                break;
            case 156108012:
                if (str.equals("waveOffset")) {
                    c2 = '\r';
                    break;
                }
                break;
            case 184161818:
                if (str.equals("wavePeriod")) {
                    c2 = 14;
                    break;
                }
                break;
            case 579057826:
                if (str.equals("curveFit")) {
                    c2 = 15;
                    break;
                }
                break;
            case 1532805160:
                if (str.equals("waveShape")) {
                    c2 = 16;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                this.d0 = m(obj);
                return;
            case 1:
                this.Q = obj.toString();
                return;
            case 2:
                this.V = m(obj);
                return;
            case 3:
                this.W = m(obj);
                return;
            case 4:
                this.a0 = m(obj);
                return;
            case 5:
                this.b0 = m(obj);
                return;
            case 6:
                this.c0 = m(obj);
                return;
            case 7:
                this.Y = m(obj);
                return;
            case '\b':
                this.Z = m(obj);
                return;
            case '\t':
                this.U = m(obj);
                return;
            case '\n':
                this.T = m(obj);
                return;
            case 11:
                this.X = m(obj);
                return;
            case '\f':
                this.S = m(obj);
                return;
            case '\r':
                this.h0 = m(obj);
                return;
            case 14:
                this.g0 = m(obj);
                return;
            case 15:
                this.R = n(obj);
                return;
            case 16:
                if (obj instanceof Integer) {
                    this.e0 = n(obj);
                    return;
                }
                this.e0 = 7;
                this.f0 = obj.toString();
                return;
            default:
                return;
        }
    }
}
