package androidx.constraintlayout.motion.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import androidx.constraintlayout.core.motion.h.w;
import androidx.constraintlayout.widget.ConstraintAttribute;
import androidx.constraintlayout.widget.R;
import b.c.a.a.d;
import com.ibm.icu.impl.number.Padder;
import java.lang.reflect.Method;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Locale;

/* compiled from: KeyTrigger */
public class n extends g {
    static final String D = "KeyTrigger";
    private static final String E = "KeyTrigger";
    public static final String F = "viewTransitionOnCross";
    public static final String G = "viewTransitionOnPositiveCross";
    public static final String H = "viewTransitionOnNegativeCross";
    public static final String I = "postLayout";
    public static final String J = "triggerSlack";
    public static final String K = "triggerCollisionView";
    public static final String L = "triggerCollisionId";
    public static final String M = "triggerID";
    public static final String N = "positiveCross";
    public static final String O = "negativeCross";
    public static final String P = "triggerReceiver";
    public static final String Q = "CROSS";
    public static final int R = 5;
    private int S = -1;
    private String T = null;
    private int U;
    private String V;
    private String W;
    private int X;
    private int Y;
    private View Z;
    float a0;
    private boolean b0;
    private boolean c0;
    private boolean d0;
    private float e0;
    private float f0;
    private boolean g0;
    int h0;
    int i0;
    int j0;
    RectF k0;
    RectF l0;
    HashMap<String, Method> m0;

    /* compiled from: KeyTrigger */
    private static class a {

        /* renamed from: a  reason: collision with root package name */
        private static final int f1954a = 1;

        /* renamed from: b  reason: collision with root package name */
        private static final int f1955b = 2;

        /* renamed from: c  reason: collision with root package name */
        private static final int f1956c = 4;

        /* renamed from: d  reason: collision with root package name */
        private static final int f1957d = 5;

        /* renamed from: e  reason: collision with root package name */
        private static final int f1958e = 6;
        private static final int f = 7;
        private static final int g = 8;
        private static final int h = 9;
        private static final int i = 10;
        private static final int j = 11;
        private static final int k = 12;
        private static final int l = 13;
        private static final int m = 14;
        private static SparseIntArray n;

        static {
            SparseIntArray sparseIntArray = new SparseIntArray();
            n = sparseIntArray;
            sparseIntArray.append(R.styleable.KeyTrigger_framePosition, 8);
            n.append(R.styleable.KeyTrigger_onCross, 4);
            n.append(R.styleable.KeyTrigger_onNegativeCross, 1);
            n.append(R.styleable.KeyTrigger_onPositiveCross, 2);
            n.append(R.styleable.KeyTrigger_motionTarget, 7);
            n.append(R.styleable.KeyTrigger_triggerId, 6);
            n.append(R.styleable.KeyTrigger_triggerSlack, 5);
            n.append(R.styleable.KeyTrigger_motion_triggerOnCollision, 9);
            n.append(R.styleable.KeyTrigger_motion_postLayoutCollision, 10);
            n.append(R.styleable.KeyTrigger_triggerReceiver, 11);
            n.append(R.styleable.KeyTrigger_viewTransitionOnCross, 12);
            n.append(R.styleable.KeyTrigger_viewTransitionOnNegativeCross, 13);
            n.append(R.styleable.KeyTrigger_viewTransitionOnPositiveCross, 14);
        }

        private a() {
        }

        public static void a(n nVar, TypedArray typedArray, Context context) {
            int indexCount = typedArray.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = typedArray.getIndex(i2);
                switch (n.get(index)) {
                    case 1:
                        nVar.V = typedArray.getString(index);
                        break;
                    case 2:
                        nVar.W = typedArray.getString(index);
                        break;
                    case 3:
                    default:
                        Log.e(w.i.f1711a, "unused attribute 0x" + Integer.toHexString(index) + "   " + n.get(index));
                        break;
                    case 4:
                        nVar.T = typedArray.getString(index);
                        break;
                    case 5:
                        nVar.a0 = typedArray.getFloat(index, nVar.a0);
                        break;
                    case 6:
                        nVar.X = typedArray.getResourceId(index, nVar.X);
                        break;
                    case 7:
                        if (!MotionLayout.Q0) {
                            if (typedArray.peekValue(index).type == 3) {
                                nVar.A = typedArray.getString(index);
                                break;
                            } else {
                                nVar.z = typedArray.getResourceId(index, nVar.z);
                                break;
                            }
                        } else {
                            int resourceId = typedArray.getResourceId(index, nVar.z);
                            nVar.z = resourceId;
                            if (resourceId == -1) {
                                nVar.A = typedArray.getString(index);
                                break;
                            } else {
                                break;
                            }
                        }
                    case 8:
                        int integer = typedArray.getInteger(index, nVar.y);
                        nVar.y = integer;
                        nVar.e0 = (((float) integer) + 0.5f) / 100.0f;
                        break;
                    case 9:
                        nVar.Y = typedArray.getResourceId(index, nVar.Y);
                        break;
                    case 10:
                        nVar.g0 = typedArray.getBoolean(index, nVar.g0);
                        break;
                    case 11:
                        nVar.U = typedArray.getResourceId(index, nVar.U);
                        break;
                    case 12:
                        nVar.j0 = typedArray.getResourceId(index, nVar.j0);
                        break;
                    case 13:
                        nVar.h0 = typedArray.getResourceId(index, nVar.h0);
                        break;
                    case 14:
                        nVar.i0 = typedArray.getResourceId(index, nVar.i0);
                        break;
                }
            }
        }
    }

    public n() {
        int i = g.f1924a;
        this.U = i;
        this.V = null;
        this.W = null;
        this.X = i;
        this.Y = i;
        this.Z = null;
        this.a0 = 0.1f;
        this.b0 = true;
        this.c0 = true;
        this.d0 = true;
        this.e0 = Float.NaN;
        this.g0 = false;
        this.h0 = i;
        this.i0 = i;
        this.j0 = i;
        this.k0 = new RectF();
        this.l0 = new RectF();
        this.m0 = new HashMap<>();
        this.B = 5;
        this.C = new HashMap<>();
    }

    private void B(String str, View view) {
        Method method;
        if (str != null) {
            if (str.startsWith(".")) {
                C(str, view);
                return;
            }
            if (this.m0.containsKey(str)) {
                method = this.m0.get(str);
                if (method == null) {
                    return;
                }
            } else {
                method = null;
            }
            if (method == null) {
                try {
                    method = view.getClass().getMethod(str, new Class[0]);
                    this.m0.put(str, method);
                } catch (NoSuchMethodException unused) {
                    this.m0.put(str, null);
                    Log.e(w.i.f1711a, "Could not find method \"" + str + "\"on class " + view.getClass().getSimpleName() + Padder.f14124a + d.k(view));
                    return;
                }
            }
            try {
                method.invoke(view, new Object[0]);
            } catch (Exception unused2) {
                Log.e(w.i.f1711a, "Exception in call \"" + this.T + "\"on class " + view.getClass().getSimpleName() + Padder.f14124a + d.k(view));
            }
        }
    }

    private void C(String str, View view) {
        ConstraintAttribute constraintAttribute;
        boolean z = str.length() == 1;
        if (!z) {
            str = str.substring(1).toLowerCase(Locale.ROOT);
        }
        for (String str2 : this.C.keySet()) {
            String lowerCase = str2.toLowerCase(Locale.ROOT);
            if ((z || lowerCase.matches(str)) && (constraintAttribute = this.C.get(str2)) != null) {
                constraintAttribute.a(view);
            }
        }
    }

    private void E(RectF rectF, View view, boolean z) {
        rectF.top = (float) view.getTop();
        rectF.bottom = (float) view.getBottom();
        rectF.left = (float) view.getLeft();
        rectF.right = (float) view.getRight();
        if (z) {
            view.getMatrix().mapRect(rectF);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:36:0x008d  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x00a2  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00b7  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x00d1  */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x00fc  */
    /* JADX WARNING: Removed duplicated region for block: B:67:0x00fe  */
    /* JADX WARNING: Removed duplicated region for block: B:69:0x010c  */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x012a  */
    /* JADX WARNING: Removed duplicated region for block: B:83:0x0148  */
    /* JADX WARNING: Removed duplicated region for block: B:90:? A[RETURN, SYNTHETIC] */
    public void A(float f, View view) {
        boolean z;
        boolean z2;
        boolean z3;
        boolean z4;
        boolean z5;
        boolean z6;
        if (this.Y != g.f1924a) {
            if (this.Z == null) {
                this.Z = ((ViewGroup) view.getParent()).findViewById(this.Y);
            }
            E(this.k0, this.Z, this.g0);
            E(this.l0, view, this.g0);
            if (this.k0.intersect(this.l0)) {
                if (this.b0) {
                    this.b0 = false;
                    z3 = true;
                } else {
                    z3 = false;
                }
                if (this.d0) {
                    this.d0 = false;
                    z6 = true;
                } else {
                    z6 = false;
                }
                this.c0 = true;
                z = z6;
                z2 = false;
                this.f0 = f;
                if (z2 || z3 || z) {
                    ((MotionLayout) view.getParent()).W(this.X, z, f);
                }
                View findViewById = this.U == g.f1924a ? view : ((MotionLayout) view.getParent()).findViewById(this.U);
                if (z2) {
                    String str = this.V;
                    if (str != null) {
                        B(str, findViewById);
                    }
                    if (this.h0 != g.f1924a) {
                        ((MotionLayout) view.getParent()).K0(this.h0, findViewById);
                    }
                }
                if (z) {
                    String str2 = this.W;
                    if (str2 != null) {
                        B(str2, findViewById);
                    }
                    if (this.i0 != g.f1924a) {
                        ((MotionLayout) view.getParent()).K0(this.i0, findViewById);
                    }
                }
                if (z3) {
                    String str3 = this.T;
                    if (str3 != null) {
                        B(str3, findViewById);
                    }
                    if (this.j0 != g.f1924a) {
                        ((MotionLayout) view.getParent()).K0(this.j0, findViewById);
                        return;
                    }
                    return;
                }
                return;
            }
            if (!this.b0) {
                this.b0 = true;
                z3 = true;
            } else {
                z3 = false;
            }
            if (this.c0) {
                this.c0 = false;
                z2 = true;
            } else {
                z2 = false;
            }
            this.d0 = true;
        } else {
            if (this.b0) {
                float f2 = this.e0;
                if ((f - f2) * (this.f0 - f2) < 0.0f) {
                    this.b0 = false;
                    z3 = true;
                    if (!this.c0) {
                        float f3 = this.e0;
                        float f4 = f - f3;
                        if ((this.f0 - f3) * f4 < 0.0f && f4 < 0.0f) {
                            this.c0 = false;
                            z4 = true;
                            if (this.d0) {
                                float f5 = this.e0;
                                float f6 = f - f5;
                                if ((this.f0 - f5) * f6 >= 0.0f || f6 <= 0.0f) {
                                    z5 = false;
                                } else {
                                    this.d0 = false;
                                    z5 = true;
                                }
                                z = z5;
                                z2 = z4;
                                this.f0 = f;
                                ((MotionLayout) view.getParent()).W(this.X, z, f);
                                if (this.U == g.f1924a) {
                                }
                                if (z2) {
                                }
                                if (z) {
                                }
                                if (z3) {
                                }
                            } else {
                                if (Math.abs(f - this.e0) > this.a0) {
                                    this.d0 = true;
                                }
                                z2 = z4;
                            }
                        }
                    } else if (Math.abs(f - this.e0) > this.a0) {
                        this.c0 = true;
                    }
                    z4 = false;
                    if (this.d0) {
                    }
                }
            } else if (Math.abs(f - this.e0) > this.a0) {
                this.b0 = true;
            }
            z3 = false;
            if (!this.c0) {
            }
            z4 = false;
            if (this.d0) {
            }
        }
        z = false;
        this.f0 = f;
        ((MotionLayout) view.getParent()).W(this.X, z, f);
        if (this.U == g.f1924a) {
        }
        if (z2) {
        }
        if (z) {
        }
        if (z3) {
        }
    }

    /* access modifiers changed from: package-private */
    public int D() {
        return this.S;
    }

    @Override // androidx.constraintlayout.motion.widget.g
    public void a(HashMap<String, d> hashMap) {
    }

    @Override // androidx.constraintlayout.motion.widget.g
    /* renamed from: b */
    public g clone() {
        return new n().c(this);
    }

    @Override // androidx.constraintlayout.motion.widget.g
    public g c(g gVar) {
        super.c(gVar);
        n nVar = (n) gVar;
        this.S = nVar.S;
        this.T = nVar.T;
        this.U = nVar.U;
        this.V = nVar.V;
        this.W = nVar.W;
        this.X = nVar.X;
        this.Y = nVar.Y;
        this.Z = nVar.Z;
        this.a0 = nVar.a0;
        this.b0 = nVar.b0;
        this.c0 = nVar.c0;
        this.d0 = nVar.d0;
        this.e0 = nVar.e0;
        this.f0 = nVar.f0;
        this.g0 = nVar.g0;
        this.k0 = nVar.k0;
        this.l0 = nVar.l0;
        this.m0 = nVar.m0;
        return this;
    }

    @Override // androidx.constraintlayout.motion.widget.g
    public void d(HashSet<String> hashSet) {
    }

    @Override // androidx.constraintlayout.motion.widget.g
    public void f(Context context, AttributeSet attributeSet) {
        a.a(this, context.obtainStyledAttributes(attributeSet, R.styleable.KeyTrigger), context);
    }

    @Override // androidx.constraintlayout.motion.widget.g
    public void j(String str, Object obj) {
        str.hashCode();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1594793529:
                if (str.equals("positiveCross")) {
                    c2 = 0;
                    break;
                }
                break;
            case -966421266:
                if (str.equals("viewTransitionOnPositiveCross")) {
                    c2 = 1;
                    break;
                }
                break;
            case -786670827:
                if (str.equals("triggerCollisionId")) {
                    c2 = 2;
                    break;
                }
                break;
            case -648752941:
                if (str.equals("triggerID")) {
                    c2 = 3;
                    break;
                }
                break;
            case -638126837:
                if (str.equals("negativeCross")) {
                    c2 = 4;
                    break;
                }
                break;
            case -76025313:
                if (str.equals("triggerCollisionView")) {
                    c2 = 5;
                    break;
                }
                break;
            case -9754574:
                if (str.equals("viewTransitionOnNegativeCross")) {
                    c2 = 6;
                    break;
                }
                break;
            case 64397344:
                if (str.equals("CROSS")) {
                    c2 = 7;
                    break;
                }
                break;
            case 364489912:
                if (str.equals("triggerSlack")) {
                    c2 = '\b';
                    break;
                }
                break;
            case 1301930599:
                if (str.equals("viewTransitionOnCross")) {
                    c2 = '\t';
                    break;
                }
                break;
            case 1401391082:
                if (str.equals("postLayout")) {
                    c2 = '\n';
                    break;
                }
                break;
            case 1535404999:
                if (str.equals("triggerReceiver")) {
                    c2 = 11;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                this.W = obj.toString();
                return;
            case 1:
                this.i0 = n(obj);
                return;
            case 2:
                this.Y = n(obj);
                return;
            case 3:
                this.X = n(obj);
                return;
            case 4:
                this.V = obj.toString();
                return;
            case 5:
                this.Z = (View) obj;
                return;
            case 6:
                this.h0 = n(obj);
                return;
            case 7:
                this.T = obj.toString();
                return;
            case '\b':
                this.a0 = m(obj);
                return;
            case '\t':
                this.j0 = n(obj);
                return;
            case '\n':
                this.g0 = l(obj);
                return;
            case 11:
                this.U = n(obj);
                return;
            default:
                return;
        }
    }
}
