package androidx.constraintlayout.motion.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.util.SparseIntArray;
import android.util.Xml;
import android.view.MotionEvent;
import android.view.View;
import android.view.animation.AccelerateDecelerateInterpolator;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.AnimationUtils;
import android.view.animation.AnticipateInterpolator;
import android.view.animation.BounceInterpolator;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Interpolator;
import android.view.animation.OvershootInterpolator;
import androidx.constraintlayout.core.motion.h.d;
import androidx.constraintlayout.core.motion.h.w;
import androidx.constraintlayout.motion.widget.MotionLayout;
import androidx.constraintlayout.widget.R;
import androidx.constraintlayout.widget.c;
import androidx.constraintlayout.widget.f;
import java.io.IOException;
import java.io.PrintStream;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: MotionScene */
public class t {
    static final int A = 5;
    static final int B = 6;

    /* renamed from: a  reason: collision with root package name */
    private static final String f1969a = "MotionScene";

    /* renamed from: b  reason: collision with root package name */
    private static final boolean f1970b = false;

    /* renamed from: c  reason: collision with root package name */
    private static final int f1971c = 8;

    /* renamed from: d  reason: collision with root package name */
    static final int f1972d = 0;

    /* renamed from: e  reason: collision with root package name */
    static final int f1973e = 1;
    private static final int f = -1;
    private static final int g = -2;
    public static final int h = -1;
    public static final int i = 0;
    public static final int j = 1;
    public static final int k = 2;
    private static final String l = "MotionScene";
    private static final String m = "Transition";
    private static final String n = "OnSwipe";
    private static final String o = "OnClick";
    private static final String p = "StateSet";
    private static final String q = "Include";
    private static final String r = "include";
    private static final String s = "KeyFrameSet";
    private static final String t = "ConstraintSet";
    private static final String u = "ViewTransition";
    static final int v = 0;
    static final int w = 1;
    static final int x = 2;
    static final int y = 3;
    static final int z = 4;
    private final MotionLayout C;
    f D = null;
    b E = null;
    private boolean F = false;
    private ArrayList<b> G = new ArrayList<>();
    private b H = null;
    private ArrayList<b> I = new ArrayList<>();
    private SparseArray<c> J = new SparseArray<>();
    private HashMap<String, Integer> K = new HashMap<>();
    private SparseIntArray L = new SparseIntArray();
    private boolean M = false;
    private int N = 400;
    private int O = 0;
    private MotionEvent P;
    private boolean Q = false;
    private boolean R = false;
    private MotionLayout.i S;
    private boolean T;
    final a0 U;
    float V;
    float W;

    /* access modifiers changed from: package-private */
    /* compiled from: MotionScene */
    public class a implements Interpolator {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ d f1974a;

        a(t tVar, d dVar) {
            this.f1974a = dVar;
        }

        public float getInterpolation(float f) {
            return (float) this.f1974a.a((double) f);
        }
    }

    public t(MotionLayout motionLayout) {
        this.C = motionLayout;
        this.U = new a0(motionLayout);
    }

    static String A(Context context, int i2, XmlPullParser xmlPullParser) {
        return ".(" + d.i(context, i2) + ".xml:" + xmlPullParser.getLineNumber() + ") \"" + xmlPullParser.getName() + "\"";
    }

    private int G(int i2) {
        int e2;
        f fVar = this.D;
        return (fVar == null || (e2 = fVar.e(i2, -1, -1)) == -1) ? i2 : e2;
    }

    private boolean R(int i2) {
        int i3 = this.L.get(i2);
        int size = this.L.size();
        while (i3 > 0) {
            if (i3 == i2) {
                return true;
            }
            int i4 = size - 1;
            if (size < 0) {
                return true;
            }
            i3 = this.L.get(i3);
            size = i4;
        }
        return false;
    }

    private boolean T() {
        return this.S != null;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x0077, code lost:
        if (r2.equals(androidx.constraintlayout.motion.widget.t.m) != false) goto L_0x00a5;
     */
    private void V(Context context, int i2) {
        XmlResourceParser xml = context.getResources().getXml(i2);
        b bVar = null;
        try {
            int eventType = xml.getEventType();
            while (true) {
                char c2 = 1;
                if (eventType != 1) {
                    if (eventType == 0) {
                        xml.getName();
                    } else if (eventType == 2) {
                        String name = xml.getName();
                        if (this.M) {
                            PrintStream printStream = System.out;
                            printStream.println("parsing = " + name);
                        }
                        switch (name.hashCode()) {
                            case -1349929691:
                                if (name.equals(t)) {
                                    c2 = 5;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case -1239391468:
                                if (name.equals("KeyFrameSet")) {
                                    c2 = '\b';
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case -687739768:
                                if (name.equals(q)) {
                                    c2 = 7;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 61998586:
                                if (name.equals("ViewTransition")) {
                                    c2 = '\t';
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 269306229:
                                break;
                            case 312750793:
                                if (name.equals(o)) {
                                    c2 = 3;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 327855227:
                                if (name.equals(n)) {
                                    c2 = 2;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 793277014:
                                if (name.equals(w.d.f1686a)) {
                                    c2 = 0;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 1382829617:
                                if (name.equals(p)) {
                                    c2 = 4;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 1942574248:
                                if (name.equals(r)) {
                                    c2 = 6;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            default:
                                c2 = 65535;
                                break;
                        }
                        switch (c2) {
                            case 0:
                                c0(context, xml);
                                continue;
                            case 1:
                                ArrayList<b> arrayList = this.G;
                                b bVar2 = new b(this, context, xml);
                                arrayList.add(bVar2);
                                if (this.E == null && !bVar2.s) {
                                    this.E = bVar2;
                                    if (bVar2.C != null) {
                                        this.E.C.D(this.T);
                                    }
                                }
                                if (bVar2.s) {
                                    if (bVar2.t == -1) {
                                        this.H = bVar2;
                                    } else {
                                        this.I.add(bVar2);
                                    }
                                    this.G.remove(bVar2);
                                }
                                bVar = bVar2;
                                continue;
                            case 2:
                                if (bVar == null) {
                                    String resourceEntryName = context.getResources().getResourceEntryName(i2);
                                    int lineNumber = xml.getLineNumber();
                                    Log.v(w.d.f1686a, " OnSwipe (" + resourceEntryName + ".xml:" + lineNumber + ")");
                                }
                                if (bVar != null) {
                                    bVar.C = new w(context, this.C, xml);
                                    break;
                                } else {
                                    continue;
                                }
                            case 3:
                                if (bVar != null) {
                                    bVar.v(context, xml);
                                    break;
                                } else {
                                    continue;
                                }
                            case 4:
                                this.D = new f(context, xml);
                                continue;
                            case 5:
                                Z(context, xml);
                                continue;
                            case 6:
                            case 7:
                                b0(context, xml);
                                continue;
                            case '\b':
                                j jVar = new j(context, xml);
                                if (bVar != null) {
                                    bVar.B.add(jVar);
                                    break;
                                } else {
                                    continue;
                                }
                            case '\t':
                                this.U.b(new z(context, xml));
                                continue;
                        }
                    }
                    eventType = xml.next();
                } else {
                    return;
                }
            }
        } catch (XmlPullParserException e2) {
            e2.printStackTrace();
        } catch (IOException e3) {
            e3.printStackTrace();
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    private int Z(Context context, XmlPullParser xmlPullParser) {
        char c2;
        char c3;
        c cVar = new c();
        cVar.a1(false);
        int attributeCount = xmlPullParser.getAttributeCount();
        int i2 = -1;
        int i3 = -1;
        for (int i4 = 0; i4 < attributeCount; i4++) {
            String attributeName = xmlPullParser.getAttributeName(i4);
            String attributeValue = xmlPullParser.getAttributeValue(i4);
            if (this.M) {
                PrintStream printStream = System.out;
                printStream.println("id string = " + attributeValue);
            }
            attributeName.hashCode();
            switch (attributeName.hashCode()) {
                case -1496482599:
                    if (attributeName.equals("deriveConstraintsFrom")) {
                        c2 = 0;
                        break;
                    }
                    c2 = 65535;
                    break;
                case -1153153640:
                    if (attributeName.equals("constraintRotate")) {
                        c2 = 1;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 3355:
                    if (attributeName.equals("id")) {
                        c2 = 2;
                        break;
                    }
                    c2 = 65535;
                    break;
                default:
                    c2 = 65535;
                    break;
            }
            switch (c2) {
                case 0:
                    i3 = v(context, attributeValue);
                    break;
                case 1:
                    try {
                        cVar.S1 = Integer.parseInt(attributeValue);
                        break;
                    } catch (NumberFormatException unused) {
                        attributeValue.hashCode();
                        switch (attributeValue.hashCode()) {
                            case -768416914:
                                if (attributeValue.equals("x_left")) {
                                    c3 = 0;
                                    break;
                                }
                                c3 = 65535;
                                break;
                            case 3317767:
                                if (attributeValue.equals(com.google.android.exoplayer2.text.ttml.b.I)) {
                                    c3 = 1;
                                    break;
                                }
                                c3 = 65535;
                                break;
                            case 3387192:
                                if (attributeValue.equals("none")) {
                                    c3 = 2;
                                    break;
                                }
                                c3 = 65535;
                                break;
                            case 108511772:
                                if (attributeValue.equals(com.google.android.exoplayer2.text.ttml.b.K)) {
                                    c3 = 3;
                                    break;
                                }
                                c3 = 65535;
                                break;
                            case 1954540437:
                                if (attributeValue.equals("x_right")) {
                                    c3 = 4;
                                    break;
                                }
                                c3 = 65535;
                                break;
                            default:
                                c3 = 65535;
                                break;
                        }
                        switch (c3) {
                            case 0:
                                cVar.S1 = 4;
                                continue;
                            case 1:
                                cVar.S1 = 2;
                                continue;
                            case 2:
                                cVar.S1 = 0;
                                continue;
                            case 3:
                                cVar.S1 = 1;
                                continue;
                            case 4:
                                cVar.S1 = 3;
                                continue;
                        }
                    }
                    break;
                case 2:
                    i2 = v(context, attributeValue);
                    this.K.put(q0(attributeValue), Integer.valueOf(i2));
                    cVar.Q1 = d.i(context, i2);
                    break;
            }
        }
        if (i2 != -1) {
            if (this.C.x1 != 0) {
                cVar.z1(true);
            }
            cVar.x0(context, xmlPullParser);
            if (i3 != -1) {
                this.L.put(i2, i3);
            }
            this.J.put(i2, cVar);
        }
        return i2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int a0(Context context, int i2) {
        XmlResourceParser xml = context.getResources().getXml(i2);
        try {
            for (int eventType = xml.getEventType(); eventType != 1; eventType = xml.next()) {
                String name = xml.getName();
                if (2 == eventType && t.equals(name)) {
                    return Z(context, xml);
                }
            }
            return -1;
        } catch (XmlPullParserException e2) {
            e2.printStackTrace();
            return -1;
        } catch (IOException e3) {
            e3.printStackTrace();
            return -1;
        }
    }

    private void b0(Context context, XmlPullParser xmlPullParser) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(Xml.asAttributeSet(xmlPullParser), R.styleable.include);
        int indexCount = obtainStyledAttributes.getIndexCount();
        for (int i2 = 0; i2 < indexCount; i2++) {
            int index = obtainStyledAttributes.getIndex(i2);
            if (index == R.styleable.include_constraintSet) {
                a0(context, obtainStyledAttributes.getResourceId(index, -1));
            }
        }
        obtainStyledAttributes.recycle();
    }

    private void c0(Context context, XmlPullParser xmlPullParser) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(Xml.asAttributeSet(xmlPullParser), R.styleable.MotionScene);
        int indexCount = obtainStyledAttributes.getIndexCount();
        for (int i2 = 0; i2 < indexCount; i2++) {
            int index = obtainStyledAttributes.getIndex(i2);
            if (index == R.styleable.MotionScene_defaultDuration) {
                int i3 = obtainStyledAttributes.getInt(index, this.N);
                this.N = i3;
                if (i3 < 8) {
                    this.N = 8;
                }
            } else if (index == R.styleable.MotionScene_layoutDuringTransition) {
                this.O = obtainStyledAttributes.getInteger(index, 0);
            }
        }
        obtainStyledAttributes.recycle();
    }

    private void g0(int i2, MotionLayout motionLayout) {
        c cVar = this.J.get(i2);
        cVar.R1 = cVar.Q1;
        int i3 = this.L.get(i2);
        if (i3 > 0) {
            g0(i3, motionLayout);
            c cVar2 = this.J.get(i3);
            if (cVar2 == null) {
                Log.e(w.d.f1686a, "ERROR! invalid deriveConstraintsFrom: @id/" + d.i(this.C.getContext(), i3));
                return;
            }
            cVar.R1 += "/" + cVar2.R1;
            cVar.J0(cVar2);
        } else {
            cVar.R1 += "  layout";
            cVar.I0(motionLayout);
        }
        cVar.q(cVar);
    }

    public static String q0(String str) {
        if (str == null) {
            return "";
        }
        int indexOf = str.indexOf(47);
        if (indexOf < 0) {
            return str;
        }
        return str.substring(indexOf + 1);
    }

    private int v(Context context, String str) {
        int i2;
        if (str.contains("/")) {
            i2 = context.getResources().getIdentifier(str.substring(str.indexOf(47) + 1), "id", context.getPackageName());
            if (this.M) {
                PrintStream printStream = System.out;
                printStream.println("id getMap res = " + i2);
            }
        } else {
            i2 = -1;
        }
        if (i2 != -1) {
            return i2;
        }
        if (str.length() > 1) {
            return Integer.parseInt(str.substring(1));
        }
        Log.e(w.d.f1686a, "error in parsing id");
        return i2;
    }

    private int w(b bVar) {
        int i2 = bVar.r;
        if (i2 != -1) {
            for (int i3 = 0; i3 < this.G.size(); i3++) {
                if (this.G.get(i3).r == i2) {
                    return i3;
                }
            }
            return -1;
        }
        throw new IllegalArgumentException("The transition must have an id");
    }

    /* access modifiers changed from: package-private */
    public float B() {
        b bVar = this.E;
        if (bVar == null || bVar.C == null) {
            return 0.0f;
        }
        return this.E.C.i();
    }

    /* access modifiers changed from: package-private */
    public float C() {
        b bVar = this.E;
        if (bVar == null || bVar.C == null) {
            return 0.0f;
        }
        return this.E.C.j();
    }

    /* access modifiers changed from: package-private */
    public boolean D() {
        b bVar = this.E;
        if (bVar == null || bVar.C == null) {
            return false;
        }
        return this.E.C.k();
    }

    public float E(View view, int i2) {
        return 0.0f;
    }

    /* access modifiers changed from: package-private */
    public float F(float f2, float f3) {
        b bVar = this.E;
        if (bVar == null || bVar.C == null) {
            return 0.0f;
        }
        return this.E.C.l(f2, f3);
    }

    /* access modifiers changed from: package-private */
    public int H() {
        b bVar = this.E;
        if (bVar == null || bVar.C == null) {
            return 0;
        }
        return this.E.C.m();
    }

    /* access modifiers changed from: package-private */
    public float I() {
        b bVar = this.E;
        if (bVar == null || bVar.C == null) {
            return 0.0f;
        }
        return this.E.C.n();
    }

    /* access modifiers changed from: package-private */
    public float J() {
        b bVar = this.E;
        if (bVar == null || bVar.C == null) {
            return 0.0f;
        }
        return this.E.C.o();
    }

    /* access modifiers changed from: package-private */
    public float K() {
        b bVar = this.E;
        if (bVar == null || bVar.C == null) {
            return 0.0f;
        }
        return this.E.C.p();
    }

    /* access modifiers changed from: package-private */
    public float L() {
        b bVar = this.E;
        if (bVar == null || bVar.C == null) {
            return 0.0f;
        }
        return this.E.C.q();
    }

    public float M() {
        b bVar = this.E;
        if (bVar != null) {
            return bVar.z;
        }
        return 0.0f;
    }

    /* access modifiers changed from: package-private */
    public int N() {
        b bVar = this.E;
        if (bVar == null) {
            return -1;
        }
        return bVar.u;
    }

    public b O(int i2) {
        Iterator<b> it = this.G.iterator();
        while (it.hasNext()) {
            b next = it.next();
            if (next.r == i2) {
                return next;
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public int P(int i2) {
        Iterator<b> it = this.G.iterator();
        while (it.hasNext()) {
            if (it.next().u == i2) {
                return 0;
            }
        }
        return 1;
    }

    public List<b> Q(int i2) {
        int G2 = G(i2);
        ArrayList arrayList = new ArrayList();
        Iterator<b> it = this.G.iterator();
        while (it.hasNext()) {
            b next = it.next();
            if (next.u == G2 || next.t == G2) {
                arrayList.add(next);
            }
        }
        return arrayList;
    }

    /* access modifiers changed from: package-private */
    public boolean S(View view, int i2) {
        b bVar = this.E;
        if (bVar == null) {
            return false;
        }
        Iterator it = bVar.B.iterator();
        while (it.hasNext()) {
            Iterator<g> it2 = ((j) it.next()).d(view.getId()).iterator();
            while (true) {
                if (it2.hasNext()) {
                    if (it2.next().y == i2) {
                        return true;
                    }
                }
            }
        }
        return false;
    }

    public boolean U(int i2) {
        return this.U.h(i2);
    }

    public int W(String str) {
        Integer num = this.K.get(str);
        if (num == null) {
            return 0;
        }
        return num.intValue();
    }

    public String X(int i2) {
        for (Map.Entry<String, Integer> entry : this.K.entrySet()) {
            Integer value = entry.getValue();
            if (value != null && value.intValue() == i2) {
                return entry.getKey();
            }
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public void Y(boolean z2, int i2, int i3, int i4, int i5) {
    }

    /* access modifiers changed from: package-private */
    public void d0(float f2, float f3) {
        b bVar = this.E;
        if (bVar != null && bVar.C != null) {
            this.E.C.w(f2, f3);
        }
    }

    /* access modifiers changed from: package-private */
    public void e0(float f2, float f3) {
        b bVar = this.E;
        if (bVar != null && bVar.C != null) {
            this.E.C.x(f2, f3);
        }
    }

    public void f(MotionLayout motionLayout, int i2) {
        Iterator<b> it = this.G.iterator();
        while (it.hasNext()) {
            b next = it.next();
            if (next.D.size() > 0) {
                Iterator it2 = next.D.iterator();
                while (it2.hasNext()) {
                    ((b.a) it2.next()).c(motionLayout);
                }
            }
        }
        Iterator<b> it3 = this.I.iterator();
        while (it3.hasNext()) {
            b next2 = it3.next();
            if (next2.D.size() > 0) {
                Iterator it4 = next2.D.iterator();
                while (it4.hasNext()) {
                    ((b.a) it4.next()).c(motionLayout);
                }
            }
        }
        Iterator<b> it5 = this.G.iterator();
        while (it5.hasNext()) {
            b next3 = it5.next();
            if (next3.D.size() > 0) {
                Iterator it6 = next3.D.iterator();
                while (it6.hasNext()) {
                    ((b.a) it6.next()).a(motionLayout, i2, next3);
                }
            }
        }
        Iterator<b> it7 = this.I.iterator();
        while (it7.hasNext()) {
            b next4 = it7.next();
            if (next4.D.size() > 0) {
                Iterator it8 = next4.D.iterator();
                while (it8.hasNext()) {
                    ((b.a) it8.next()).a(motionLayout, i2, next4);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void f0(MotionEvent motionEvent, int i2, MotionLayout motionLayout) {
        MotionLayout.i iVar;
        MotionEvent motionEvent2;
        RectF rectF = new RectF();
        if (this.S == null) {
            this.S = this.C.m0();
        }
        this.S.d(motionEvent);
        if (i2 != -1) {
            int action = motionEvent.getAction();
            boolean z2 = false;
            if (action == 0) {
                this.V = motionEvent.getRawX();
                this.W = motionEvent.getRawY();
                this.P = motionEvent;
                this.Q = false;
                if (this.E.C != null) {
                    RectF g2 = this.E.C.g(this.C, rectF);
                    if (g2 == null || g2.contains(this.P.getX(), this.P.getY())) {
                        RectF r2 = this.E.C.r(this.C, rectF);
                        if (r2 == null || r2.contains(this.P.getX(), this.P.getY())) {
                            this.R = false;
                        } else {
                            this.R = true;
                        }
                        this.E.C.A(this.V, this.W);
                        return;
                    }
                    this.P = null;
                    this.Q = true;
                    return;
                }
                return;
            } else if (action == 2 && !this.Q) {
                float rawY = motionEvent.getRawY() - this.W;
                float rawX = motionEvent.getRawX() - this.V;
                if ((((double) rawX) != 0.0d || ((double) rawY) != 0.0d) && (motionEvent2 = this.P) != null) {
                    b j2 = j(i2, rawX, rawY, motionEvent2);
                    if (j2 != null) {
                        motionLayout.setTransition(j2);
                        RectF r3 = this.E.C.r(this.C, rectF);
                        if (r3 != null && !r3.contains(this.P.getX(), this.P.getY())) {
                            z2 = true;
                        }
                        this.R = z2;
                        this.E.C.G(this.V, this.W);
                    }
                } else {
                    return;
                }
            }
        }
        if (!this.Q) {
            b bVar = this.E;
            if (!(bVar == null || bVar.C == null || this.R)) {
                this.E.C.u(motionEvent, this.S, i2, this);
            }
            this.V = motionEvent.getRawX();
            this.W = motionEvent.getRawY();
            if (motionEvent.getAction() == 1 && (iVar = this.S) != null) {
                iVar.recycle();
                this.S = null;
                int i3 = motionLayout.f1;
                if (i3 != -1) {
                    i(motionLayout, i3);
                }
            }
        }
    }

    public void g(b bVar) {
        int w2 = w(bVar);
        if (w2 == -1) {
            this.G.add(bVar);
        } else {
            this.G.set(w2, bVar);
        }
    }

    public boolean h(int i2, p pVar) {
        return this.U.e(i2, pVar);
    }

    /* access modifiers changed from: package-private */
    public void h0(MotionLayout motionLayout) {
        for (int i2 = 0; i2 < this.J.size(); i2++) {
            int keyAt = this.J.keyAt(i2);
            if (R(keyAt)) {
                Log.e(w.d.f1686a, "Cannot be derived from yourself");
                return;
            } else {
                g0(keyAt, motionLayout);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public boolean i(MotionLayout motionLayout, int i2) {
        b bVar;
        if (T() || this.F) {
            return false;
        }
        Iterator<b> it = this.G.iterator();
        while (it.hasNext()) {
            b next = it.next();
            if (next.E != 0 && ((bVar = this.E) != next || !bVar.L(2))) {
                if (i2 == next.u && (next.E == 4 || next.E == 2)) {
                    MotionLayout.m mVar = MotionLayout.m.FINISHED;
                    motionLayout.setState(mVar);
                    motionLayout.setTransition(next);
                    if (next.E == 4) {
                        motionLayout.A0();
                        motionLayout.setState(MotionLayout.m.SETUP);
                        motionLayout.setState(MotionLayout.m.MOVING);
                    } else {
                        motionLayout.setProgress(1.0f);
                        motionLayout.R(true);
                        motionLayout.setState(MotionLayout.m.SETUP);
                        motionLayout.setState(MotionLayout.m.MOVING);
                        motionLayout.setState(mVar);
                        motionLayout.n0();
                    }
                    return true;
                } else if (i2 == next.t && (next.E == 3 || next.E == 1)) {
                    MotionLayout.m mVar2 = MotionLayout.m.FINISHED;
                    motionLayout.setState(mVar2);
                    motionLayout.setTransition(next);
                    if (next.E == 3) {
                        motionLayout.C0();
                        motionLayout.setState(MotionLayout.m.SETUP);
                        motionLayout.setState(MotionLayout.m.MOVING);
                    } else {
                        motionLayout.setProgress(0.0f);
                        motionLayout.R(true);
                        motionLayout.setState(MotionLayout.m.SETUP);
                        motionLayout.setState(MotionLayout.m.MOVING);
                        motionLayout.setState(mVar2);
                        motionLayout.n0();
                    }
                    return true;
                }
            }
        }
        return false;
    }

    public void i0(b bVar) {
        int w2 = w(bVar);
        if (w2 != -1) {
            this.G.remove(w2);
        }
    }

    public b j(int i2, float f2, float f3, MotionEvent motionEvent) {
        RectF g2;
        if (i2 == -1) {
            return this.E;
        }
        List<b> Q2 = Q(i2);
        float f4 = 0.0f;
        b bVar = null;
        RectF rectF = new RectF();
        for (b bVar2 : Q2) {
            if (!bVar2.F && bVar2.C != null) {
                bVar2.C.D(this.T);
                RectF r2 = bVar2.C.r(this.C, rectF);
                if ((r2 == null || motionEvent == null || r2.contains(motionEvent.getX(), motionEvent.getY())) && ((g2 = bVar2.C.g(this.C, rectF)) == null || motionEvent == null || g2.contains(motionEvent.getX(), motionEvent.getY()))) {
                    float a2 = bVar2.C.a(f2, f3);
                    if (bVar2.C.J && motionEvent != null) {
                        float x2 = motionEvent.getX() - bVar2.C.G;
                        float y2 = motionEvent.getY() - bVar2.C.H;
                        a2 = ((float) (Math.atan2((double) (f3 + y2), (double) (f2 + x2)) - Math.atan2((double) x2, (double) y2))) * 10.0f;
                    }
                    float f5 = a2 * (bVar2.t == i2 ? -1.0f : 1.1f);
                    if (f5 > f4) {
                        bVar = bVar2;
                        f4 = f5;
                    }
                }
            }
        }
        return bVar;
    }

    public void j0(int i2, c cVar) {
        this.J.put(i2, cVar);
    }

    public void k(boolean z2) {
        this.F = z2;
    }

    public void k0(int i2) {
        b bVar = this.E;
        if (bVar != null) {
            bVar.O(i2);
        } else {
            this.N = i2;
        }
    }

    public void l(int i2, boolean z2) {
        this.U.f(i2, z2);
    }

    public void l0(View view, int i2, String str, Object obj) {
        b bVar = this.E;
        if (bVar != null) {
            Iterator it = bVar.B.iterator();
            while (it.hasNext()) {
                Iterator<g> it2 = ((j) it.next()).d(view.getId()).iterator();
                while (it2.hasNext()) {
                    if (it2.next().y == i2) {
                        int i3 = ((obj != null ? ((Float) obj).floatValue() : 0.0f) > 0.0f ? 1 : ((obj != null ? ((Float) obj).floatValue() : 0.0f) == 0.0f ? 0 : -1));
                        str.equalsIgnoreCase("app:PerpendicularPath_percent");
                    }
                }
            }
        }
    }

    public int m() {
        b bVar = this.E;
        if (bVar != null) {
            return bVar.G;
        }
        return -1;
    }

    public void m0(boolean z2) {
        this.T = z2;
        b bVar = this.E;
        if (bVar != null && bVar.C != null) {
            this.E.C.D(this.T);
        }
    }

    /* access modifiers changed from: package-private */
    public int n() {
        b bVar = this.E;
        if (bVar == null || bVar.C == null) {
            return 0;
        }
        return this.E.C.e();
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Code restructure failed: missing block: B:6:0x0013, code lost:
        if (r2 != -1) goto L_0x0018;
     */
    public void n0(int i2, int i3) {
        int i4;
        int i5;
        f fVar = this.D;
        if (fVar != null) {
            i5 = fVar.e(i2, -1, -1);
            if (i5 == -1) {
                i5 = i2;
            }
            i4 = this.D.e(i3, -1, -1);
        } else {
            i5 = i2;
        }
        i4 = i3;
        b bVar = this.E;
        if (bVar == null || bVar.t != i3 || this.E.u != i2) {
            Iterator<b> it = this.G.iterator();
            while (it.hasNext()) {
                b next = it.next();
                if ((next.t == i4 && next.u == i5) || (next.t == i3 && next.u == i2)) {
                    this.E = next;
                    if (next != null && next.C != null) {
                        this.E.C.D(this.T);
                        return;
                    }
                    return;
                }
            }
            b bVar2 = this.H;
            Iterator<b> it2 = this.I.iterator();
            while (it2.hasNext()) {
                b next2 = it2.next();
                if (next2.t == i3) {
                    bVar2 = next2;
                }
            }
            b bVar3 = new b(this, bVar2);
            bVar3.u = i5;
            bVar3.t = i4;
            if (i5 != -1) {
                this.G.add(bVar3);
            }
            this.E = bVar3;
        }
    }

    /* access modifiers changed from: package-private */
    public c o(int i2) {
        return p(i2, -1, -1);
    }

    public void o0(b bVar) {
        this.E = bVar;
        if (bVar != null && bVar.C != null) {
            this.E.C.D(this.T);
        }
    }

    /* access modifiers changed from: package-private */
    public c p(int i2, int i3, int i4) {
        int e2;
        if (this.M) {
            PrintStream printStream = System.out;
            printStream.println("id " + i2);
            PrintStream printStream2 = System.out;
            printStream2.println("size " + this.J.size());
        }
        f fVar = this.D;
        if (!(fVar == null || (e2 = fVar.e(i2, i3, i4)) == -1)) {
            i2 = e2;
        }
        if (this.J.get(i2) != null) {
            return this.J.get(i2);
        }
        Log.e(w.d.f1686a, "Warning could not find ConstraintSet id/" + d.i(this.C.getContext(), i2) + " In MotionScene");
        SparseArray<c> sparseArray = this.J;
        return sparseArray.get(sparseArray.keyAt(0));
    }

    /* access modifiers changed from: package-private */
    public void p0() {
        b bVar = this.E;
        if (bVar != null && bVar.C != null) {
            this.E.C.H();
        }
    }

    public c q(Context context, String str) {
        if (this.M) {
            PrintStream printStream = System.out;
            printStream.println("id " + str);
            PrintStream printStream2 = System.out;
            printStream2.println("size " + this.J.size());
        }
        for (int i2 = 0; i2 < this.J.size(); i2++) {
            int keyAt = this.J.keyAt(i2);
            String resourceName = context.getResources().getResourceName(keyAt);
            if (this.M) {
                PrintStream printStream3 = System.out;
                printStream3.println("Id for <" + i2 + "> is <" + resourceName + "> looking for <" + str + ">");
            }
            if (str.equals(resourceName)) {
                return this.J.get(keyAt);
            }
        }
        return null;
    }

    public int[] r() {
        int size = this.J.size();
        int[] iArr = new int[size];
        for (int i2 = 0; i2 < size; i2++) {
            iArr[i2] = this.J.keyAt(i2);
        }
        return iArr;
    }

    /* access modifiers changed from: package-private */
    public boolean r0() {
        Iterator<b> it = this.G.iterator();
        while (it.hasNext()) {
            if (it.next().C != null) {
                return true;
            }
        }
        b bVar = this.E;
        if (bVar == null || bVar.C == null) {
            return false;
        }
        return true;
    }

    public ArrayList<b> s() {
        return this.G;
    }

    public boolean s0(MotionLayout motionLayout) {
        return motionLayout == this.C && motionLayout.a1 == this;
    }

    public int t() {
        b bVar = this.E;
        if (bVar != null) {
            return bVar.y;
        }
        return this.N;
    }

    public void t0(int i2, View... viewArr) {
        this.U.m(i2, viewArr);
    }

    /* access modifiers changed from: package-private */
    public int u() {
        b bVar = this.E;
        if (bVar == null) {
            return -1;
        }
        return bVar.t;
    }

    public Interpolator x() {
        int i2 = this.E.v;
        if (i2 == -2) {
            return AnimationUtils.loadInterpolator(this.C.getContext(), this.E.x);
        }
        if (i2 == -1) {
            return new a(this, d.c(this.E.w));
        }
        if (i2 == 0) {
            return new AccelerateDecelerateInterpolator();
        }
        if (i2 == 1) {
            return new AccelerateInterpolator();
        }
        if (i2 == 2) {
            return new DecelerateInterpolator();
        }
        if (i2 == 4) {
            return new BounceInterpolator();
        }
        if (i2 == 5) {
            return new OvershootInterpolator();
        }
        if (i2 != 6) {
            return null;
        }
        return new AnticipateInterpolator();
    }

    /* access modifiers changed from: package-private */
    public g y(Context context, int i2, int i3, int i4) {
        b bVar = this.E;
        if (bVar == null) {
            return null;
        }
        Iterator it = bVar.B.iterator();
        while (it.hasNext()) {
            j jVar = (j) it.next();
            Iterator<Integer> it2 = jVar.e().iterator();
            while (true) {
                if (it2.hasNext()) {
                    Integer next = it2.next();
                    if (i3 == next.intValue()) {
                        Iterator<g> it3 = jVar.d(next.intValue()).iterator();
                        while (it3.hasNext()) {
                            g next2 = it3.next();
                            if (next2.y == i4 && next2.B == i2) {
                                return next2;
                            }
                        }
                        continue;
                    }
                }
            }
        }
        return null;
    }

    public void z(p pVar) {
        b bVar = this.E;
        if (bVar == null) {
            b bVar2 = this.H;
            if (bVar2 != null) {
                Iterator it = bVar2.B.iterator();
                while (it.hasNext()) {
                    ((j) it.next()).b(pVar);
                }
                return;
            }
            return;
        }
        Iterator it2 = bVar.B.iterator();
        while (it2.hasNext()) {
            ((j) it2.next()).b(pVar);
        }
    }

    /* compiled from: MotionScene */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        public static final int f1975a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f1976b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f1977c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f1978d = 3;

        /* renamed from: e  reason: collision with root package name */
        public static final int f1979e = 4;
        static final int f = 1;
        static final int g = 2;
        static final int h = 4;
        public static final int i = -2;
        public static final int j = -1;
        public static final int k = 0;
        public static final int l = 1;
        public static final int m = 2;
        public static final int n = 3;
        public static final int o = 4;
        public static final int p = 5;
        public static final int q = 6;
        private final t A;
        private ArrayList<j> B = new ArrayList<>();
        private w C = null;
        private ArrayList<a> D = new ArrayList<>();
        private int E = 0;
        private boolean F = false;
        private int G = -1;
        private int H = 0;
        private int I = 0;
        private int r = -1;
        private boolean s = false;
        private int t = -1;
        private int u = -1;
        private int v = 0;
        private String w = null;
        private int x = -1;
        private int y = 400;
        private float z = 0.0f;

        b(t tVar, b bVar) {
            this.A = tVar;
            this.y = tVar.N;
            if (bVar != null) {
                this.G = bVar.G;
                this.v = bVar.v;
                this.w = bVar.w;
                this.x = bVar.x;
                this.y = bVar.y;
                this.B = bVar.B;
                this.z = bVar.z;
                this.H = bVar.H;
            }
        }

        private void x(t tVar, Context context, TypedArray typedArray) {
            int indexCount = typedArray.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = typedArray.getIndex(i2);
                if (index == R.styleable.Transition_constraintSetEnd) {
                    this.t = typedArray.getResourceId(index, -1);
                    String resourceTypeName = context.getResources().getResourceTypeName(this.t);
                    if (com.google.android.exoplayer2.text.ttml.b.j.equals(resourceTypeName)) {
                        c cVar = new c();
                        cVar.w0(context, this.t);
                        tVar.J.append(this.t, cVar);
                    } else if ("xml".equals(resourceTypeName)) {
                        this.t = tVar.a0(context, this.t);
                    }
                } else if (index == R.styleable.Transition_constraintSetStart) {
                    this.u = typedArray.getResourceId(index, this.u);
                    String resourceTypeName2 = context.getResources().getResourceTypeName(this.u);
                    if (com.google.android.exoplayer2.text.ttml.b.j.equals(resourceTypeName2)) {
                        c cVar2 = new c();
                        cVar2.w0(context, this.u);
                        tVar.J.append(this.u, cVar2);
                    } else if ("xml".equals(resourceTypeName2)) {
                        this.u = tVar.a0(context, this.u);
                    }
                } else if (index == R.styleable.Transition_motionInterpolator) {
                    int i3 = typedArray.peekValue(index).type;
                    if (i3 == 1) {
                        int resourceId = typedArray.getResourceId(index, -1);
                        this.x = resourceId;
                        if (resourceId != -1) {
                            this.v = -2;
                        }
                    } else if (i3 == 3) {
                        String string = typedArray.getString(index);
                        this.w = string;
                        if (string != null) {
                            if (string.indexOf("/") > 0) {
                                this.x = typedArray.getResourceId(index, -1);
                                this.v = -2;
                            } else {
                                this.v = -1;
                            }
                        }
                    } else {
                        this.v = typedArray.getInteger(index, this.v);
                    }
                } else if (index == R.styleable.Transition_duration) {
                    int i4 = typedArray.getInt(index, this.y);
                    this.y = i4;
                    if (i4 < 8) {
                        this.y = 8;
                    }
                } else if (index == R.styleable.Transition_staggered) {
                    this.z = typedArray.getFloat(index, this.z);
                } else if (index == R.styleable.Transition_autoTransition) {
                    this.E = typedArray.getInteger(index, this.E);
                } else if (index == R.styleable.Transition_android_id) {
                    this.r = typedArray.getResourceId(index, this.r);
                } else if (index == R.styleable.Transition_transitionDisable) {
                    this.F = typedArray.getBoolean(index, this.F);
                } else if (index == R.styleable.Transition_pathMotionArc) {
                    this.G = typedArray.getInteger(index, -1);
                } else if (index == R.styleable.Transition_layoutDuringTransition) {
                    this.H = typedArray.getInteger(index, 0);
                } else if (index == R.styleable.Transition_transitionFlags) {
                    this.I = typedArray.getInteger(index, 0);
                }
            }
            if (this.u == -1) {
                this.s = true;
            }
        }

        private void y(t tVar, Context context, AttributeSet attributeSet) {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.Transition);
            x(tVar, context, obtainStyledAttributes);
            obtainStyledAttributes.recycle();
        }

        public int A() {
            return this.y;
        }

        public int B() {
            return this.t;
        }

        public int C() {
            return this.r;
        }

        public List<j> D() {
            return this.B;
        }

        public int E() {
            return this.H;
        }

        public List<a> F() {
            return this.D;
        }

        public int G() {
            return this.G;
        }

        public float H() {
            return this.z;
        }

        public int I() {
            return this.u;
        }

        public w J() {
            return this.C;
        }

        public boolean K() {
            return !this.F;
        }

        public boolean L(int i2) {
            return (i2 & this.I) != 0;
        }

        public void M(int i2) {
            a aVar;
            Iterator<a> it = this.D.iterator();
            while (true) {
                if (!it.hasNext()) {
                    aVar = null;
                    break;
                }
                aVar = it.next();
                if (aVar.M0 == i2) {
                    break;
                }
            }
            if (aVar != null) {
                this.D.remove(aVar);
            }
        }

        public void N(int i2) {
            this.E = i2;
        }

        public void O(int i2) {
            this.y = Math.max(i2, 8);
        }

        public void P(boolean z2) {
            Q(z2);
        }

        public void Q(boolean z2) {
            this.F = !z2;
        }

        public void R(int i2, String str, int i3) {
            this.v = i2;
            this.w = str;
            this.x = i3;
        }

        public void S(int i2) {
            this.H = i2;
        }

        public void T(u uVar) {
            this.C = uVar == null ? null : new w(this.A.C, uVar);
        }

        public void U(int i2) {
            w J = J();
            if (J != null) {
                J.F(i2);
            }
        }

        public void V(int i2) {
            this.G = i2;
        }

        public void W(float f2) {
            this.z = f2;
        }

        public void X(int i2) {
            this.I = i2;
        }

        public void t(j jVar) {
            this.B.add(jVar);
        }

        public void u(int i2, int i3) {
            Iterator<a> it = this.D.iterator();
            while (it.hasNext()) {
                a next = it.next();
                if (next.M0 == i2) {
                    next.N0 = i3;
                    return;
                }
            }
            this.D.add(new a(this, i2, i3));
        }

        public void v(Context context, XmlPullParser xmlPullParser) {
            this.D.add(new a(context, this, xmlPullParser));
        }

        public String w(Context context) {
            String str;
            if (this.u == -1) {
                str = "null";
            } else {
                str = context.getResources().getResourceEntryName(this.u);
            }
            if (this.t == -1) {
                return str + " -> null";
            }
            return str + " -> " + context.getResources().getResourceEntryName(this.t);
        }

        public int z() {
            return this.E;
        }

        /* compiled from: MotionScene */
        public static class a implements View.OnClickListener {
            public static final int I0 = 16;
            public static final int J0 = 256;
            public static final int K0 = 4096;

            /* renamed from: a  reason: collision with root package name */
            public static final int f1980a = 1;

            /* renamed from: b  reason: collision with root package name */
            public static final int f1981b = 17;
            private final b L0;
            int M0 = -1;
            int N0 = 17;

            public a(Context context, b bVar, XmlPullParser xmlPullParser) {
                this.L0 = bVar;
                TypedArray obtainStyledAttributes = context.obtainStyledAttributes(Xml.asAttributeSet(xmlPullParser), R.styleable.OnClick);
                int indexCount = obtainStyledAttributes.getIndexCount();
                for (int i = 0; i < indexCount; i++) {
                    int index = obtainStyledAttributes.getIndex(i);
                    if (index == R.styleable.OnClick_targetId) {
                        this.M0 = obtainStyledAttributes.getResourceId(index, this.M0);
                    } else if (index == R.styleable.OnClick_clickAction) {
                        this.N0 = obtainStyledAttributes.getInt(index, this.N0);
                    }
                }
                obtainStyledAttributes.recycle();
            }

            /* JADX WARN: Multi-variable type inference failed */
            /* JADX WARN: Type inference failed for: r7v4, types: [android.view.View] */
            /* JADX WARNING: Unknown variable types count: 1 */
            public void a(MotionLayout motionLayout, int i, b bVar) {
                int i2 = this.M0;
                MotionLayout motionLayout2 = motionLayout;
                if (i2 != -1) {
                    motionLayout2 = motionLayout.findViewById(i2);
                }
                if (motionLayout2 == null) {
                    Log.e(w.d.f1686a, "OnClick could not find id " + this.M0);
                    return;
                }
                int i3 = bVar.u;
                int i4 = bVar.t;
                if (i3 == -1) {
                    motionLayout2.setOnClickListener(this);
                    return;
                }
                int i5 = this.N0;
                boolean z = false;
                boolean z2 = ((i5 & 1) != 0 && i == i3) | ((i5 & 1) != 0 && i == i3) | ((i5 & 256) != 0 && i == i3) | ((i5 & 16) != 0 && i == i4);
                if ((i5 & 4096) != 0 && i == i4) {
                    z = true;
                }
                if (z2 || z) {
                    motionLayout2.setOnClickListener(this);
                }
            }

            /* access modifiers changed from: package-private */
            public boolean b(b bVar, MotionLayout motionLayout) {
                b bVar2 = this.L0;
                if (bVar2 == bVar) {
                    return true;
                }
                int i = bVar2.t;
                int i2 = this.L0.u;
                if (i2 != -1) {
                    int i3 = motionLayout.f1;
                    if (i3 == i2 || i3 == i) {
                        return true;
                    }
                    return false;
                } else if (motionLayout.f1 != i) {
                    return true;
                } else {
                    return false;
                }
            }

            public void c(MotionLayout motionLayout) {
                int i = this.M0;
                if (i != -1) {
                    View findViewById = motionLayout.findViewById(i);
                    if (findViewById == null) {
                        Log.e(w.d.f1686a, " (*)  could not find id " + this.M0);
                        return;
                    }
                    findViewById.setOnClickListener(null);
                }
            }

            public void onClick(View view) {
                MotionLayout motionLayout = this.L0.A.C;
                if (motionLayout.i0()) {
                    if (this.L0.u == -1) {
                        int currentState = motionLayout.getCurrentState();
                        if (currentState == -1) {
                            motionLayout.D0(this.L0.t);
                            return;
                        }
                        b bVar = new b(this.L0.A, this.L0);
                        bVar.u = currentState;
                        bVar.t = this.L0.t;
                        motionLayout.setTransition(bVar);
                        motionLayout.A0();
                        return;
                    }
                    b bVar2 = this.L0.A.E;
                    int i = this.N0;
                    boolean z = false;
                    boolean z2 = ((i & 1) == 0 && (i & 256) == 0) ? false : true;
                    boolean z3 = ((i & 16) == 0 && (i & 4096) == 0) ? false : true;
                    if (z2 && z3) {
                        b bVar3 = this.L0.A.E;
                        b bVar4 = this.L0;
                        if (bVar3 != bVar4) {
                            motionLayout.setTransition(bVar4);
                        }
                        if (motionLayout.getCurrentState() != motionLayout.getEndState() && motionLayout.getProgress() <= 0.5f) {
                            z = z2;
                            z3 = false;
                        }
                    } else {
                        z = z2;
                    }
                    if (!b(bVar2, motionLayout)) {
                        return;
                    }
                    if (z && (this.N0 & 1) != 0) {
                        motionLayout.setTransition(this.L0);
                        motionLayout.A0();
                    } else if (z3 && (this.N0 & 16) != 0) {
                        motionLayout.setTransition(this.L0);
                        motionLayout.C0();
                    } else if (z && (this.N0 & 256) != 0) {
                        motionLayout.setTransition(this.L0);
                        motionLayout.setProgress(1.0f);
                    } else if (z3 && (this.N0 & 4096) != 0) {
                        motionLayout.setTransition(this.L0);
                        motionLayout.setProgress(0.0f);
                    }
                }
            }

            public a(b bVar, int i, int i2) {
                this.L0 = bVar;
                this.M0 = i;
                this.N0 = i2;
            }
        }

        public b(int i2, t tVar, int i3, int i4) {
            this.r = i2;
            this.A = tVar;
            this.u = i3;
            this.t = i4;
            this.y = tVar.N;
            this.H = tVar.O;
        }

        b(t tVar, Context context, XmlPullParser xmlPullParser) {
            this.y = tVar.N;
            this.H = tVar.O;
            this.A = tVar;
            y(tVar, context, Xml.asAttributeSet(xmlPullParser));
        }
    }

    t(Context context, MotionLayout motionLayout, int i2) {
        this.C = motionLayout;
        this.U = new a0(motionLayout);
        V(context, i2);
        SparseArray<c> sparseArray = this.J;
        int i3 = R.id.motion_base;
        sparseArray.put(i3, new c());
        this.K.put("motion_base", Integer.valueOf(i3));
    }
}
