package androidx.constraintlayout.motion.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.util.Log;
import android.util.Xml;
import android.view.View;
import android.view.animation.AccelerateDecelerateInterpolator;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.AnimationUtils;
import android.view.animation.AnticipateInterpolator;
import android.view.animation.BounceInterpolator;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Interpolator;
import android.view.animation.OvershootInterpolator;
import androidx.constraintlayout.core.motion.h.d;
import androidx.constraintlayout.core.motion.h.g;
import androidx.constraintlayout.motion.widget.t;
import androidx.constraintlayout.widget.ConstraintAttribute;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.R;
import androidx.constraintlayout.widget.c;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: ViewTransition */
public class z {

    /* renamed from: a  reason: collision with root package name */
    private static String f1993a = "ViewTransition";

    /* renamed from: b  reason: collision with root package name */
    public static final String f1994b = "ViewTransition";

    /* renamed from: c  reason: collision with root package name */
    public static final String f1995c = "KeyFrameSet";

    /* renamed from: d  reason: collision with root package name */
    public static final String f1996d = "ConstraintOverride";

    /* renamed from: e  reason: collision with root package name */
    public static final String f1997e = "CustomAttribute";
    public static final String f = "CustomMethod";
    private static final int g = -1;
    public static final int h = 1;
    public static final int i = 2;
    public static final int j = 3;
    public static final int k = 4;
    public static final int l = 5;
    static final int m = 0;
    static final int n = 1;
    static final int o = 2;
    private static final int p = -1;
    private static final int q = -2;
    static final int r = 0;
    static final int s = 1;
    static final int t = 2;
    static final int u = 3;
    static final int v = 4;
    static final int w = 5;
    static final int x = 6;
    private int A = -1;
    private boolean B = false;
    private int C = 0;
    int D;
    j E;
    c.a F;
    private int G = -1;
    private int H = -1;
    private int I;
    private String J;
    private int K = 0;
    private String L = null;
    private int M = -1;
    Context N;
    private int O = -1;
    private int P = -1;
    private int Q = -1;
    private int R = -1;
    private int S = -1;
    private int T = -1;
    private int U = -1;
    c y;
    private int z;

    /* access modifiers changed from: package-private */
    /* compiled from: ViewTransition */
    public class a implements Interpolator {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ d f1998a;

        a(z zVar, d dVar) {
            this.f1998a = dVar;
        }

        public float getInterpolation(float f) {
            return (float) this.f1998a.a((double) f);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ViewTransition */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        private final int f1999a;

        /* renamed from: b  reason: collision with root package name */
        private final int f2000b;

        /* renamed from: c  reason: collision with root package name */
        long f2001c;

        /* renamed from: d  reason: collision with root package name */
        p f2002d;

        /* renamed from: e  reason: collision with root package name */
        int f2003e;
        int f;
        g g = new g();
        a0 h;
        Interpolator i;
        boolean j = false;
        float k;
        float l;
        long m;
        Rect n = new Rect();
        boolean o = false;

        b(a0 a0Var, p pVar, int i2, int i3, int i4, Interpolator interpolator, int i5, int i6) {
            this.h = a0Var;
            this.f2002d = pVar;
            this.f2003e = i2;
            this.f = i3;
            long nanoTime = System.nanoTime();
            this.f2001c = nanoTime;
            this.m = nanoTime;
            this.h.c(this);
            this.i = interpolator;
            this.f1999a = i5;
            this.f2000b = i6;
            if (i4 == 3) {
                this.o = true;
            }
            this.l = i2 == 0 ? Float.MAX_VALUE : 1.0f / ((float) i2);
            a();
        }

        /* access modifiers changed from: package-private */
        public void a() {
            if (this.j) {
                c();
            } else {
                b();
            }
        }

        /* access modifiers changed from: package-private */
        public void b() {
            long nanoTime = System.nanoTime();
            this.m = nanoTime;
            float f2 = this.k + (((float) (((double) (nanoTime - this.m)) * 1.0E-6d)) * this.l);
            this.k = f2;
            if (f2 >= 1.0f) {
                this.k = 1.0f;
            }
            Interpolator interpolator = this.i;
            float interpolation = interpolator == null ? this.k : interpolator.getInterpolation(this.k);
            p pVar = this.f2002d;
            boolean L = pVar.L(pVar.C, interpolation, nanoTime, this.g);
            if (this.k >= 1.0f) {
                if (this.f1999a != -1) {
                    this.f2002d.J().setTag(this.f1999a, Long.valueOf(System.nanoTime()));
                }
                if (this.f2000b != -1) {
                    this.f2002d.J().setTag(this.f2000b, null);
                }
                if (!this.o) {
                    this.h.k(this);
                }
            }
            if (this.k < 1.0f || L) {
                this.h.g();
            }
        }

        /* access modifiers changed from: package-private */
        public void c() {
            long nanoTime = System.nanoTime();
            this.m = nanoTime;
            float f2 = this.k - (((float) (((double) (nanoTime - this.m)) * 1.0E-6d)) * this.l);
            this.k = f2;
            if (f2 < 0.0f) {
                this.k = 0.0f;
            }
            Interpolator interpolator = this.i;
            float interpolation = interpolator == null ? this.k : interpolator.getInterpolation(this.k);
            p pVar = this.f2002d;
            boolean L = pVar.L(pVar.C, interpolation, nanoTime, this.g);
            if (this.k <= 0.0f) {
                if (this.f1999a != -1) {
                    this.f2002d.J().setTag(this.f1999a, Long.valueOf(System.nanoTime()));
                }
                if (this.f2000b != -1) {
                    this.f2002d.J().setTag(this.f2000b, null);
                }
                this.h.k(this);
            }
            if (this.k > 0.0f || L) {
                this.h.g();
            }
        }

        public void d(int i2, float f2, float f3) {
            if (i2 != 1) {
                if (i2 == 2) {
                    this.f2002d.J().getHitRect(this.n);
                    if (!this.n.contains((int) f2, (int) f3) && !this.j) {
                        e(true);
                    }
                }
            } else if (!this.j) {
                e(true);
            }
        }

        /* access modifiers changed from: package-private */
        public void e(boolean z) {
            int i2;
            this.j = z;
            if (z && (i2 = this.f) != -1) {
                this.l = i2 == 0 ? Float.MAX_VALUE : 1.0f / ((float) i2);
            }
            this.h.g();
            this.m = System.nanoTime();
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    z(Context context, XmlPullParser xmlPullParser) {
        char c2;
        this.N = context;
        try {
            int eventType = xmlPullParser.getEventType();
            while (eventType != 1) {
                if (eventType == 2) {
                    String name = xmlPullParser.getName();
                    switch (name.hashCode()) {
                        case -1962203927:
                            if (name.equals(f1996d)) {
                                c2 = 2;
                                break;
                            }
                            c2 = 65535;
                            break;
                        case -1239391468:
                            if (name.equals(f1995c)) {
                                c2 = 1;
                                break;
                            }
                            c2 = 65535;
                            break;
                        case 61998586:
                            if (name.equals(f1994b)) {
                                c2 = 0;
                                break;
                            }
                            c2 = 65535;
                            break;
                        case 366511058:
                            if (name.equals(f)) {
                                c2 = 4;
                                break;
                            }
                            c2 = 65535;
                            break;
                        case 1791837707:
                            if (name.equals(f1997e)) {
                                c2 = 3;
                                break;
                            }
                            c2 = 65535;
                            break;
                        default:
                            c2 = 65535;
                            break;
                    }
                    if (c2 == 0) {
                        n(context, xmlPullParser);
                    } else if (c2 == 1) {
                        this.E = new j(context, xmlPullParser);
                    } else if (c2 == 2) {
                        this.F = c.w(context, xmlPullParser);
                    } else if (c2 == 3 || c2 == 4) {
                        ConstraintAttribute.q(context, xmlPullParser, this.F.g);
                    } else {
                        String str = f1993a;
                        Log.e(str, d.f() + " unknown tag " + name);
                        String str2 = f1993a;
                        Log.e(str2, ".xml:" + xmlPullParser.getLineNumber());
                    }
                } else if (eventType == 3 && f1994b.equals(xmlPullParser.getName())) {
                    return;
                }
                eventType = xmlPullParser.next();
            }
        } catch (XmlPullParserException e2) {
            e2.printStackTrace();
        } catch (IOException e3) {
            e3.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: k */
    public /* synthetic */ void l(View[] viewArr) {
        if (this.O != -1) {
            for (View view : viewArr) {
                view.setTag(this.O, Long.valueOf(System.nanoTime()));
            }
        }
        if (this.P != -1) {
            for (View view2 : viewArr) {
                view2.setTag(this.P, null);
            }
        }
    }

    private void n(Context context, XmlPullParser xmlPullParser) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(Xml.asAttributeSet(xmlPullParser), R.styleable.ViewTransition);
        int indexCount = obtainStyledAttributes.getIndexCount();
        for (int i2 = 0; i2 < indexCount; i2++) {
            int index = obtainStyledAttributes.getIndex(i2);
            if (index == R.styleable.ViewTransition_android_id) {
                this.z = obtainStyledAttributes.getResourceId(index, this.z);
            } else if (index == R.styleable.ViewTransition_motionTarget) {
                if (MotionLayout.Q0) {
                    int resourceId = obtainStyledAttributes.getResourceId(index, this.I);
                    this.I = resourceId;
                    if (resourceId == -1) {
                        this.J = obtainStyledAttributes.getString(index);
                    }
                } else if (obtainStyledAttributes.peekValue(index).type == 3) {
                    this.J = obtainStyledAttributes.getString(index);
                } else {
                    this.I = obtainStyledAttributes.getResourceId(index, this.I);
                }
            } else if (index == R.styleable.ViewTransition_onStateTransition) {
                this.A = obtainStyledAttributes.getInt(index, this.A);
            } else if (index == R.styleable.ViewTransition_transitionDisable) {
                this.B = obtainStyledAttributes.getBoolean(index, this.B);
            } else if (index == R.styleable.ViewTransition_pathMotionArc) {
                this.C = obtainStyledAttributes.getInt(index, this.C);
            } else if (index == R.styleable.ViewTransition_duration) {
                this.G = obtainStyledAttributes.getInt(index, this.G);
            } else if (index == R.styleable.ViewTransition_upDuration) {
                this.H = obtainStyledAttributes.getInt(index, this.H);
            } else if (index == R.styleable.ViewTransition_viewTransitionMode) {
                this.D = obtainStyledAttributes.getInt(index, this.D);
            } else if (index == R.styleable.ViewTransition_motionInterpolator) {
                int i3 = obtainStyledAttributes.peekValue(index).type;
                if (i3 == 1) {
                    int resourceId2 = obtainStyledAttributes.getResourceId(index, -1);
                    this.M = resourceId2;
                    if (resourceId2 != -1) {
                        this.K = -2;
                    }
                } else if (i3 == 3) {
                    String string = obtainStyledAttributes.getString(index);
                    this.L = string;
                    if (string == null || string.indexOf("/") <= 0) {
                        this.K = -1;
                    } else {
                        this.M = obtainStyledAttributes.getResourceId(index, -1);
                        this.K = -2;
                    }
                } else {
                    this.K = obtainStyledAttributes.getInteger(index, this.K);
                }
            } else if (index == R.styleable.ViewTransition_setsTag) {
                this.O = obtainStyledAttributes.getResourceId(index, this.O);
            } else if (index == R.styleable.ViewTransition_clearsTag) {
                this.P = obtainStyledAttributes.getResourceId(index, this.P);
            } else if (index == R.styleable.ViewTransition_ifTagSet) {
                this.Q = obtainStyledAttributes.getResourceId(index, this.Q);
            } else if (index == R.styleable.ViewTransition_ifTagNotSet) {
                this.R = obtainStyledAttributes.getResourceId(index, this.R);
            } else if (index == R.styleable.ViewTransition_SharedValueId) {
                this.T = obtainStyledAttributes.getResourceId(index, this.T);
            } else if (index == R.styleable.ViewTransition_SharedValue) {
                this.S = obtainStyledAttributes.getInteger(index, this.S);
            }
        }
        obtainStyledAttributes.recycle();
    }

    private void v(t.b bVar, View view) {
        int i2 = this.G;
        if (i2 != -1) {
            bVar.O(i2);
        }
        bVar.V(this.C);
        bVar.R(this.K, this.L, this.M);
        int id = view.getId();
        j jVar = this.E;
        if (jVar != null) {
            ArrayList<g> d2 = jVar.d(-1);
            j jVar2 = new j();
            Iterator<g> it = d2.iterator();
            while (it.hasNext()) {
                jVar2.c(it.next().clone().k(id));
            }
            bVar.t(jVar2);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(a0 a0Var, MotionLayout motionLayout, View view) {
        p pVar = new p(view);
        pVar.R(view);
        this.E.a(pVar);
        pVar.a0(motionLayout.getWidth(), motionLayout.getHeight(), (float) this.G, System.nanoTime());
        new b(a0Var, pVar, this.G, this.H, this.A, e(motionLayout.getContext()), this.O, this.P);
    }

    /* access modifiers changed from: package-private */
    public void b(a0 a0Var, MotionLayout motionLayout, int i2, c cVar, View... viewArr) {
        if (!this.B) {
            int i3 = this.D;
            if (i3 == 2) {
                a(a0Var, motionLayout, viewArr[0]);
                return;
            }
            if (i3 == 1) {
                int[] constraintSetIds = motionLayout.getConstraintSetIds();
                for (int i4 : constraintSetIds) {
                    if (i4 != i2) {
                        c Y = motionLayout.Y(i4);
                        for (View view : viewArr) {
                            c.a k0 = Y.k0(view.getId());
                            c.a aVar = this.F;
                            if (aVar != null) {
                                aVar.h(k0);
                                k0.g.putAll(this.F.g);
                            }
                        }
                    }
                }
            }
            c cVar2 = new c();
            cVar2.I(cVar);
            for (View view2 : viewArr) {
                c.a k02 = cVar2.k0(view2.getId());
                c.a aVar2 = this.F;
                if (aVar2 != null) {
                    aVar2.h(k02);
                    k02.g.putAll(this.F.g);
                }
            }
            motionLayout.I0(i2, cVar2);
            int i5 = R.id.view_transition;
            motionLayout.I0(i5, cVar);
            motionLayout.setState(i5, -1, -1);
            t.b bVar = new t.b(-1, motionLayout.a1, i5, i2);
            for (View view3 : viewArr) {
                v(bVar, view3);
            }
            motionLayout.setTransition(bVar);
            motionLayout.B0(new a(this, viewArr));
        }
    }

    /* access modifiers changed from: package-private */
    public boolean c(View view) {
        int i2 = this.Q;
        boolean z2 = i2 == -1 || view.getTag(i2) != null;
        int i3 = this.R;
        boolean z3 = i3 == -1 || view.getTag(i3) == null;
        if (!z2 || !z3) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    public int d() {
        return this.z;
    }

    /* access modifiers changed from: package-private */
    public Interpolator e(Context context) {
        int i2 = this.K;
        if (i2 == -2) {
            return AnimationUtils.loadInterpolator(context, this.M);
        }
        if (i2 == -1) {
            return new a(this, d.c(this.L));
        }
        if (i2 == 0) {
            return new AccelerateDecelerateInterpolator();
        }
        if (i2 == 1) {
            return new AccelerateInterpolator();
        }
        if (i2 == 2) {
            return new DecelerateInterpolator();
        }
        if (i2 == 4) {
            return new BounceInterpolator();
        }
        if (i2 == 5) {
            return new OvershootInterpolator();
        }
        if (i2 != 6) {
            return null;
        }
        return new AnticipateInterpolator();
    }

    public int f() {
        return this.S;
    }

    public int g() {
        return this.U;
    }

    public int h() {
        return this.T;
    }

    public int i() {
        return this.A;
    }

    /* access modifiers changed from: package-private */
    public boolean j() {
        return !this.B;
    }

    /* access modifiers changed from: package-private */
    public boolean m(View view) {
        String str;
        if (view == null) {
            return false;
        }
        if ((this.I == -1 && this.J == null) || !c(view)) {
            return false;
        }
        if (view.getId() == this.I) {
            return true;
        }
        if (this.J != null && (view.getLayoutParams() instanceof ConstraintLayout.LayoutParams) && (str = ((ConstraintLayout.LayoutParams) view.getLayoutParams()).A0) != null && str.matches(this.J)) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public void o(boolean z2) {
        this.B = !z2;
    }

    /* access modifiers changed from: package-private */
    public void p(int i2) {
        this.z = i2;
    }

    public void q(int i2) {
        this.S = i2;
    }

    public void r(int i2) {
        this.U = i2;
    }

    public void s(int i2) {
        this.T = i2;
    }

    public void t(int i2) {
        this.A = i2;
    }

    public String toString() {
        return "ViewTransition(" + d.i(this.N, this.z) + ")";
    }

    /* access modifiers changed from: package-private */
    public boolean u(int i2) {
        int i3 = this.A;
        return i3 == 1 ? i2 == 0 : i3 == 2 ? i2 == 1 : i3 == 3 && i2 == 0;
    }
}
