package androidx.constraintlayout.utils.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Outline;
import android.graphics.Path;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewOutlineProvider;
import android.widget.ImageView;
import androidx.annotation.RequiresApi;
import androidx.appcompat.widget.AppCompatImageButton;
import androidx.constraintlayout.utils.widget.ImageFilterView;
import androidx.constraintlayout.widget.R;

public class ImageFilterButton extends AppCompatImageButton {
    private float I0;
    private float J0;
    private Path K0;
    ViewOutlineProvider L0;
    RectF M0;
    Drawable[] N0;
    LayerDrawable O0;
    private boolean P0;
    private Drawable Q0;
    private Drawable R0;
    private float S0;
    private float T0;
    private float U0;
    private float V0;

    /* renamed from: a  reason: collision with root package name */
    private ImageFilterView.c f2004a;

    /* renamed from: b  reason: collision with root package name */
    private float f2005b;

    /* access modifiers changed from: package-private */
    public class a extends ViewOutlineProvider {
        a() {
        }

        public void getOutline(View view, Outline outline) {
            int width = ImageFilterButton.this.getWidth();
            int height = ImageFilterButton.this.getHeight();
            outline.setRoundRect(0, 0, width, height, (((float) Math.min(width, height)) * ImageFilterButton.this.I0) / 2.0f);
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends ViewOutlineProvider {
        b() {
        }

        public void getOutline(View view, Outline outline) {
            outline.setRoundRect(0, 0, ImageFilterButton.this.getWidth(), ImageFilterButton.this.getHeight(), ImageFilterButton.this.J0);
        }
    }

    public ImageFilterButton(Context context) {
        super(context);
        this.f2004a = new ImageFilterView.c();
        this.f2005b = 0.0f;
        this.I0 = 0.0f;
        this.J0 = Float.NaN;
        this.N0 = new Drawable[2];
        this.P0 = true;
        this.Q0 = null;
        this.R0 = null;
        this.S0 = Float.NaN;
        this.T0 = Float.NaN;
        this.U0 = Float.NaN;
        this.V0 = Float.NaN;
        init(context, null);
    }

    private void c() {
        if (!Float.isNaN(this.S0) || !Float.isNaN(this.T0) || !Float.isNaN(this.U0) || !Float.isNaN(this.V0)) {
            float f = 0.0f;
            float f2 = Float.isNaN(this.S0) ? 0.0f : this.S0;
            float f3 = Float.isNaN(this.T0) ? 0.0f : this.T0;
            float f4 = Float.isNaN(this.U0) ? 1.0f : this.U0;
            if (!Float.isNaN(this.V0)) {
                f = this.V0;
            }
            Matrix matrix = new Matrix();
            matrix.reset();
            float intrinsicWidth = (float) getDrawable().getIntrinsicWidth();
            float intrinsicHeight = (float) getDrawable().getIntrinsicHeight();
            float width = (float) getWidth();
            float height = (float) getHeight();
            float f5 = f4 * (intrinsicWidth * height < intrinsicHeight * width ? width / intrinsicWidth : height / intrinsicHeight);
            matrix.postScale(f5, f5);
            float f6 = intrinsicWidth * f5;
            float f7 = f5 * intrinsicHeight;
            matrix.postTranslate((((f2 * (width - f6)) + width) - f6) * 0.5f, (((f3 * (height - f7)) + height) - f7) * 0.5f);
            matrix.postRotate(f, width / 2.0f, height / 2.0f);
            setImageMatrix(matrix);
            setScaleType(ImageView.ScaleType.MATRIX);
        }
    }

    private void d() {
        if (!Float.isNaN(this.S0) || !Float.isNaN(this.T0) || !Float.isNaN(this.U0) || !Float.isNaN(this.V0)) {
            c();
        } else {
            setScaleType(ImageView.ScaleType.FIT_CENTER);
        }
    }

    private void init(Context context, AttributeSet attributeSet) {
        setPadding(0, 0, 0, 0);
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R.styleable.ImageFilterView);
            int indexCount = obtainStyledAttributes.getIndexCount();
            this.Q0 = obtainStyledAttributes.getDrawable(R.styleable.ImageFilterView_altSrc);
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.ImageFilterView_crossfade) {
                    this.f2005b = obtainStyledAttributes.getFloat(index, 0.0f);
                } else if (index == R.styleable.ImageFilterView_warmth) {
                    setWarmth(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R.styleable.ImageFilterView_saturation) {
                    setSaturation(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R.styleable.ImageFilterView_contrast) {
                    setContrast(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R.styleable.ImageFilterView_round) {
                    if (Build.VERSION.SDK_INT >= 21) {
                        setRound(obtainStyledAttributes.getDimension(index, 0.0f));
                    }
                } else if (index == R.styleable.ImageFilterView_roundPercent) {
                    if (Build.VERSION.SDK_INT >= 21) {
                        setRoundPercent(obtainStyledAttributes.getFloat(index, 0.0f));
                    }
                } else if (index == R.styleable.ImageFilterView_overlay) {
                    setOverlay(obtainStyledAttributes.getBoolean(index, this.P0));
                } else if (index == R.styleable.ImageFilterView_imagePanX) {
                    setImagePanX(obtainStyledAttributes.getFloat(index, this.S0));
                } else if (index == R.styleable.ImageFilterView_imagePanY) {
                    setImagePanY(obtainStyledAttributes.getFloat(index, this.T0));
                } else if (index == R.styleable.ImageFilterView_imageRotate) {
                    setImageRotate(obtainStyledAttributes.getFloat(index, this.V0));
                } else if (index == R.styleable.ImageFilterView_imageZoom) {
                    setImageZoom(obtainStyledAttributes.getFloat(index, this.U0));
                }
            }
            obtainStyledAttributes.recycle();
            Drawable drawable = getDrawable();
            this.R0 = drawable;
            if (this.Q0 == null || drawable == null) {
                Drawable drawable2 = getDrawable();
                this.R0 = drawable2;
                if (drawable2 != null) {
                    Drawable[] drawableArr = this.N0;
                    Drawable mutate = drawable2.mutate();
                    this.R0 = mutate;
                    drawableArr[0] = mutate;
                    return;
                }
                return;
            }
            Drawable[] drawableArr2 = this.N0;
            Drawable mutate2 = getDrawable().mutate();
            this.R0 = mutate2;
            drawableArr2[0] = mutate2;
            this.N0[1] = this.Q0.mutate();
            LayerDrawable layerDrawable = new LayerDrawable(this.N0);
            this.O0 = layerDrawable;
            layerDrawable.getDrawable(1).setAlpha((int) (this.f2005b * 255.0f));
            if (!this.P0) {
                this.O0.getDrawable(0).setAlpha((int) ((1.0f - this.f2005b) * 255.0f));
            }
            super.setImageDrawable(this.O0);
        }
    }

    private void setOverlay(boolean z) {
        this.P0 = z;
    }

    public void draw(Canvas canvas) {
        boolean z;
        if (Build.VERSION.SDK_INT >= 21 || this.J0 == 0.0f || this.K0 == null) {
            z = false;
        } else {
            z = true;
            canvas.save();
            canvas.clipPath(this.K0);
        }
        super.draw(canvas);
        if (z) {
            canvas.restore();
        }
    }

    public float getContrast() {
        return this.f2004a.f;
    }

    public float getCrossfade() {
        return this.f2005b;
    }

    public float getImagePanX() {
        return this.S0;
    }

    public float getImagePanY() {
        return this.T0;
    }

    public float getImageRotate() {
        return this.V0;
    }

    public float getImageZoom() {
        return this.U0;
    }

    public float getRound() {
        return this.J0;
    }

    public float getRoundPercent() {
        return this.I0;
    }

    public float getSaturation() {
        return this.f2004a.f2016e;
    }

    public float getWarmth() {
        return this.f2004a.g;
    }

    public void layout(int i, int i2, int i3, int i4) {
        super.layout(i, i2, i3, i4);
        c();
    }

    public void setAltImageResource(int i) {
        Drawable mutate = androidx.appcompat.a.a.a.d(getContext(), i).mutate();
        this.Q0 = mutate;
        Drawable[] drawableArr = this.N0;
        drawableArr[0] = this.R0;
        drawableArr[1] = mutate;
        LayerDrawable layerDrawable = new LayerDrawable(this.N0);
        this.O0 = layerDrawable;
        super.setImageDrawable(layerDrawable);
        setCrossfade(this.f2005b);
    }

    public void setBrightness(float f) {
        ImageFilterView.c cVar = this.f2004a;
        cVar.f2015d = f;
        cVar.c(this);
    }

    public void setContrast(float f) {
        ImageFilterView.c cVar = this.f2004a;
        cVar.f = f;
        cVar.c(this);
    }

    public void setCrossfade(float f) {
        this.f2005b = f;
        if (this.N0 != null) {
            if (!this.P0) {
                this.O0.getDrawable(0).setAlpha((int) ((1.0f - this.f2005b) * 255.0f));
            }
            this.O0.getDrawable(1).setAlpha((int) (this.f2005b * 255.0f));
            super.setImageDrawable(this.O0);
        }
    }

    @Override // androidx.appcompat.widget.AppCompatImageButton
    public void setImageDrawable(Drawable drawable) {
        if (this.Q0 == null || drawable == null) {
            super.setImageDrawable(drawable);
            return;
        }
        Drawable mutate = drawable.mutate();
        this.R0 = mutate;
        Drawable[] drawableArr = this.N0;
        drawableArr[0] = mutate;
        drawableArr[1] = this.Q0;
        LayerDrawable layerDrawable = new LayerDrawable(this.N0);
        this.O0 = layerDrawable;
        super.setImageDrawable(layerDrawable);
        setCrossfade(this.f2005b);
    }

    public void setImagePanX(float f) {
        this.S0 = f;
        d();
    }

    public void setImagePanY(float f) {
        this.T0 = f;
        d();
    }

    @Override // androidx.appcompat.widget.AppCompatImageButton
    public void setImageResource(int i) {
        if (this.Q0 != null) {
            Drawable mutate = androidx.appcompat.a.a.a.d(getContext(), i).mutate();
            this.R0 = mutate;
            Drawable[] drawableArr = this.N0;
            drawableArr[0] = mutate;
            drawableArr[1] = this.Q0;
            LayerDrawable layerDrawable = new LayerDrawable(this.N0);
            this.O0 = layerDrawable;
            super.setImageDrawable(layerDrawable);
            setCrossfade(this.f2005b);
            return;
        }
        super.setImageResource(i);
    }

    public void setImageRotate(float f) {
        this.V0 = f;
        d();
    }

    public void setImageZoom(float f) {
        this.U0 = f;
        d();
    }

    @RequiresApi(21)
    public void setRound(float f) {
        if (Float.isNaN(f)) {
            this.J0 = f;
            float f2 = this.I0;
            this.I0 = -1.0f;
            setRoundPercent(f2);
            return;
        }
        boolean z = this.J0 != f;
        this.J0 = f;
        if (f != 0.0f) {
            if (this.K0 == null) {
                this.K0 = new Path();
            }
            if (this.M0 == null) {
                this.M0 = new RectF();
            }
            if (Build.VERSION.SDK_INT >= 21) {
                if (this.L0 == null) {
                    b bVar = new b();
                    this.L0 = bVar;
                    setOutlineProvider(bVar);
                }
                setClipToOutline(true);
            }
            this.M0.set(0.0f, 0.0f, (float) getWidth(), (float) getHeight());
            this.K0.reset();
            Path path = this.K0;
            RectF rectF = this.M0;
            float f3 = this.J0;
            path.addRoundRect(rectF, f3, f3, Path.Direction.CW);
        } else if (Build.VERSION.SDK_INT >= 21) {
            setClipToOutline(false);
        }
        if (z && Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    @RequiresApi(21)
    public void setRoundPercent(float f) {
        boolean z = this.I0 != f;
        this.I0 = f;
        if (f != 0.0f) {
            if (this.K0 == null) {
                this.K0 = new Path();
            }
            if (this.M0 == null) {
                this.M0 = new RectF();
            }
            if (Build.VERSION.SDK_INT >= 21) {
                if (this.L0 == null) {
                    a aVar = new a();
                    this.L0 = aVar;
                    setOutlineProvider(aVar);
                }
                setClipToOutline(true);
            }
            int width = getWidth();
            int height = getHeight();
            float min = (((float) Math.min(width, height)) * this.I0) / 2.0f;
            this.M0.set(0.0f, 0.0f, (float) width, (float) height);
            this.K0.reset();
            this.K0.addRoundRect(this.M0, min, min, Path.Direction.CW);
        } else if (Build.VERSION.SDK_INT >= 21) {
            setClipToOutline(false);
        }
        if (z && Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    public void setSaturation(float f) {
        ImageFilterView.c cVar = this.f2004a;
        cVar.f2016e = f;
        cVar.c(this);
    }

    public void setWarmth(float f) {
        ImageFilterView.c cVar = this.f2004a;
        cVar.g = f;
        cVar.c(this);
    }

    public ImageFilterButton(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f2004a = new ImageFilterView.c();
        this.f2005b = 0.0f;
        this.I0 = 0.0f;
        this.J0 = Float.NaN;
        this.N0 = new Drawable[2];
        this.P0 = true;
        this.Q0 = null;
        this.R0 = null;
        this.S0 = Float.NaN;
        this.T0 = Float.NaN;
        this.U0 = Float.NaN;
        this.V0 = Float.NaN;
        init(context, attributeSet);
    }

    public ImageFilterButton(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f2004a = new ImageFilterView.c();
        this.f2005b = 0.0f;
        this.I0 = 0.0f;
        this.J0 = Float.NaN;
        this.N0 = new Drawable[2];
        this.P0 = true;
        this.Q0 = null;
        this.R0 = null;
        this.S0 = Float.NaN;
        this.T0 = Float.NaN;
        this.U0 = Float.NaN;
        this.V0 = Float.NaN;
        init(context, attributeSet);
    }
}
