package androidx.constraintlayout.utils.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorMatrix;
import android.graphics.ColorMatrixColorFilter;
import android.graphics.Matrix;
import android.graphics.Outline;
import android.graphics.Path;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewOutlineProvider;
import android.widget.ImageView;
import androidx.annotation.RequiresApi;
import androidx.appcompat.widget.AppCompatImageView;
import androidx.constraintlayout.widget.R;

public class ImageFilterView extends AppCompatImageView {
    private Drawable I0;
    private Drawable J0;
    private float K0;
    private float L0;
    private float M0;
    private Path N0;
    ViewOutlineProvider O0;
    RectF P0;
    Drawable[] Q0;
    LayerDrawable R0;
    float S0;
    float T0;
    float U0;
    float V0;

    /* renamed from: a  reason: collision with root package name */
    private c f2008a;

    /* renamed from: b  reason: collision with root package name */
    private boolean f2009b;

    /* access modifiers changed from: package-private */
    public class a extends ViewOutlineProvider {
        a() {
        }

        public void getOutline(View view, Outline outline) {
            int width = ImageFilterView.this.getWidth();
            int height = ImageFilterView.this.getHeight();
            outline.setRoundRect(0, 0, width, height, (((float) Math.min(width, height)) * ImageFilterView.this.L0) / 2.0f);
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends ViewOutlineProvider {
        b() {
        }

        public void getOutline(View view, Outline outline) {
            outline.setRoundRect(0, 0, ImageFilterView.this.getWidth(), ImageFilterView.this.getHeight(), ImageFilterView.this.M0);
        }
    }

    /* access modifiers changed from: package-private */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        float[] f2012a = new float[20];

        /* renamed from: b  reason: collision with root package name */
        ColorMatrix f2013b = new ColorMatrix();

        /* renamed from: c  reason: collision with root package name */
        ColorMatrix f2014c = new ColorMatrix();

        /* renamed from: d  reason: collision with root package name */
        float f2015d = 1.0f;

        /* renamed from: e  reason: collision with root package name */
        float f2016e = 1.0f;
        float f = 1.0f;
        float g = 1.0f;

        c() {
        }

        private void a(float f2) {
            float[] fArr = this.f2012a;
            fArr[0] = f2;
            fArr[1] = 0.0f;
            fArr[2] = 0.0f;
            fArr[3] = 0.0f;
            fArr[4] = 0.0f;
            fArr[5] = 0.0f;
            fArr[6] = f2;
            fArr[7] = 0.0f;
            fArr[8] = 0.0f;
            fArr[9] = 0.0f;
            fArr[10] = 0.0f;
            fArr[11] = 0.0f;
            fArr[12] = f2;
            fArr[13] = 0.0f;
            fArr[14] = 0.0f;
            fArr[15] = 0.0f;
            fArr[16] = 0.0f;
            fArr[17] = 0.0f;
            fArr[18] = 1.0f;
            fArr[19] = 0.0f;
        }

        private void b(float f2) {
            float f3 = 1.0f - f2;
            float f4 = 0.2999f * f3;
            float f5 = 0.587f * f3;
            float f6 = f3 * 0.114f;
            float[] fArr = this.f2012a;
            fArr[0] = f4 + f2;
            fArr[1] = f5;
            fArr[2] = f6;
            fArr[3] = 0.0f;
            fArr[4] = 0.0f;
            fArr[5] = f4;
            fArr[6] = f5 + f2;
            fArr[7] = f6;
            fArr[8] = 0.0f;
            fArr[9] = 0.0f;
            fArr[10] = f4;
            fArr[11] = f5;
            fArr[12] = f6 + f2;
            fArr[13] = 0.0f;
            fArr[14] = 0.0f;
            fArr[15] = 0.0f;
            fArr[16] = 0.0f;
            fArr[17] = 0.0f;
            fArr[18] = 1.0f;
            fArr[19] = 0.0f;
        }

        private void d(float f2) {
            float f3;
            float f4;
            if (f2 <= 0.0f) {
                f2 = 0.01f;
            }
            float f5 = (5000.0f / f2) / 100.0f;
            if (f5 > 66.0f) {
                double d2 = (double) (f5 - 60.0f);
                f4 = ((float) Math.pow(d2, -0.13320475816726685d)) * 329.69873f;
                f3 = ((float) Math.pow(d2, 0.07551484555006027d)) * 288.12216f;
            } else {
                f3 = (((float) Math.log((double) f5)) * 99.4708f) - 161.11957f;
                f4 = 255.0f;
            }
            float log = f5 < 66.0f ? f5 > 19.0f ? (((float) Math.log((double) (f5 - 10.0f))) * 138.51773f) - 305.0448f : 0.0f : 255.0f;
            float min = Math.min(255.0f, Math.max(f4, 0.0f));
            float min2 = Math.min(255.0f, Math.max(f3, 0.0f));
            float min3 = Math.min(255.0f, Math.max(log, 0.0f));
            float min4 = Math.min(255.0f, Math.max(255.0f, 0.0f));
            float min5 = Math.min(255.0f, Math.max((((float) Math.log((double) 50.0f)) * 99.4708f) - 161.11957f, 0.0f));
            float min6 = min3 / Math.min(255.0f, Math.max((((float) Math.log((double) 40.0f)) * 138.51773f) - 305.0448f, 0.0f));
            float[] fArr = this.f2012a;
            fArr[0] = min / min4;
            fArr[1] = 0.0f;
            fArr[2] = 0.0f;
            fArr[3] = 0.0f;
            fArr[4] = 0.0f;
            fArr[5] = 0.0f;
            fArr[6] = min2 / min5;
            fArr[7] = 0.0f;
            fArr[8] = 0.0f;
            fArr[9] = 0.0f;
            fArr[10] = 0.0f;
            fArr[11] = 0.0f;
            fArr[12] = min6;
            fArr[13] = 0.0f;
            fArr[14] = 0.0f;
            fArr[15] = 0.0f;
            fArr[16] = 0.0f;
            fArr[17] = 0.0f;
            fArr[18] = 1.0f;
            fArr[19] = 0.0f;
        }

        /* access modifiers changed from: package-private */
        public void c(ImageView imageView) {
            boolean z;
            this.f2013b.reset();
            float f2 = this.f2016e;
            boolean z2 = true;
            if (f2 != 1.0f) {
                b(f2);
                this.f2013b.set(this.f2012a);
                z = true;
            } else {
                z = false;
            }
            float f3 = this.f;
            if (f3 != 1.0f) {
                this.f2014c.setScale(f3, f3, f3, 1.0f);
                this.f2013b.postConcat(this.f2014c);
                z = true;
            }
            float f4 = this.g;
            if (f4 != 1.0f) {
                d(f4);
                this.f2014c.set(this.f2012a);
                this.f2013b.postConcat(this.f2014c);
                z = true;
            }
            float f5 = this.f2015d;
            if (f5 != 1.0f) {
                a(f5);
                this.f2014c.set(this.f2012a);
                this.f2013b.postConcat(this.f2014c);
            } else {
                z2 = z;
            }
            if (z2) {
                imageView.setColorFilter(new ColorMatrixColorFilter(this.f2013b));
            } else {
                imageView.clearColorFilter();
            }
        }
    }

    public ImageFilterView(Context context) {
        super(context);
        this.f2008a = new c();
        this.f2009b = true;
        this.I0 = null;
        this.J0 = null;
        this.K0 = 0.0f;
        this.L0 = 0.0f;
        this.M0 = Float.NaN;
        this.Q0 = new Drawable[2];
        this.S0 = Float.NaN;
        this.T0 = Float.NaN;
        this.U0 = Float.NaN;
        this.V0 = Float.NaN;
        init(context, null);
    }

    private void e() {
        if (!Float.isNaN(this.S0) || !Float.isNaN(this.T0) || !Float.isNaN(this.U0) || !Float.isNaN(this.V0)) {
            float f = 0.0f;
            float f2 = Float.isNaN(this.S0) ? 0.0f : this.S0;
            float f3 = Float.isNaN(this.T0) ? 0.0f : this.T0;
            float f4 = Float.isNaN(this.U0) ? 1.0f : this.U0;
            if (!Float.isNaN(this.V0)) {
                f = this.V0;
            }
            Matrix matrix = new Matrix();
            matrix.reset();
            float intrinsicWidth = (float) getDrawable().getIntrinsicWidth();
            float intrinsicHeight = (float) getDrawable().getIntrinsicHeight();
            float width = (float) getWidth();
            float height = (float) getHeight();
            float f5 = f4 * (intrinsicWidth * height < intrinsicHeight * width ? width / intrinsicWidth : height / intrinsicHeight);
            matrix.postScale(f5, f5);
            float f6 = intrinsicWidth * f5;
            float f7 = f5 * intrinsicHeight;
            matrix.postTranslate((((f2 * (width - f6)) + width) - f6) * 0.5f, (((f3 * (height - f7)) + height) - f7) * 0.5f);
            matrix.postRotate(f, width / 2.0f, height / 2.0f);
            setImageMatrix(matrix);
            setScaleType(ImageView.ScaleType.MATRIX);
        }
    }

    private void f() {
        if (!Float.isNaN(this.S0) || !Float.isNaN(this.T0) || !Float.isNaN(this.U0) || !Float.isNaN(this.V0)) {
            e();
        } else {
            setScaleType(ImageView.ScaleType.FIT_CENTER);
        }
    }

    private void init(Context context, AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R.styleable.ImageFilterView);
            int indexCount = obtainStyledAttributes.getIndexCount();
            this.I0 = obtainStyledAttributes.getDrawable(R.styleable.ImageFilterView_altSrc);
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.ImageFilterView_crossfade) {
                    this.K0 = obtainStyledAttributes.getFloat(index, 0.0f);
                } else if (index == R.styleable.ImageFilterView_warmth) {
                    setWarmth(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R.styleable.ImageFilterView_saturation) {
                    setSaturation(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R.styleable.ImageFilterView_contrast) {
                    setContrast(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R.styleable.ImageFilterView_brightness) {
                    setBrightness(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R.styleable.ImageFilterView_round) {
                    if (Build.VERSION.SDK_INT >= 21) {
                        setRound(obtainStyledAttributes.getDimension(index, 0.0f));
                    }
                } else if (index == R.styleable.ImageFilterView_roundPercent) {
                    if (Build.VERSION.SDK_INT >= 21) {
                        setRoundPercent(obtainStyledAttributes.getFloat(index, 0.0f));
                    }
                } else if (index == R.styleable.ImageFilterView_overlay) {
                    setOverlay(obtainStyledAttributes.getBoolean(index, this.f2009b));
                } else if (index == R.styleable.ImageFilterView_imagePanX) {
                    setImagePanX(obtainStyledAttributes.getFloat(index, this.S0));
                } else if (index == R.styleable.ImageFilterView_imagePanY) {
                    setImagePanY(obtainStyledAttributes.getFloat(index, this.T0));
                } else if (index == R.styleable.ImageFilterView_imageRotate) {
                    setImageRotate(obtainStyledAttributes.getFloat(index, this.V0));
                } else if (index == R.styleable.ImageFilterView_imageZoom) {
                    setImageZoom(obtainStyledAttributes.getFloat(index, this.U0));
                }
            }
            obtainStyledAttributes.recycle();
            Drawable drawable = getDrawable();
            this.J0 = drawable;
            if (this.I0 == null || drawable == null) {
                Drawable drawable2 = getDrawable();
                this.J0 = drawable2;
                if (drawable2 != null) {
                    Drawable[] drawableArr = this.Q0;
                    Drawable mutate = drawable2.mutate();
                    this.J0 = mutate;
                    drawableArr[0] = mutate;
                    return;
                }
                return;
            }
            Drawable[] drawableArr2 = this.Q0;
            Drawable mutate2 = getDrawable().mutate();
            this.J0 = mutate2;
            drawableArr2[0] = mutate2;
            this.Q0[1] = this.I0.mutate();
            LayerDrawable layerDrawable = new LayerDrawable(this.Q0);
            this.R0 = layerDrawable;
            layerDrawable.getDrawable(1).setAlpha((int) (this.K0 * 255.0f));
            if (!this.f2009b) {
                this.R0.getDrawable(0).setAlpha((int) ((1.0f - this.K0) * 255.0f));
            }
            super.setImageDrawable(this.R0);
        }
    }

    private void setOverlay(boolean z) {
        this.f2009b = z;
    }

    public void draw(Canvas canvas) {
        boolean z;
        if (Build.VERSION.SDK_INT >= 21 || this.L0 == 0.0f || this.N0 == null) {
            z = false;
        } else {
            z = true;
            canvas.save();
            canvas.clipPath(this.N0);
        }
        super.draw(canvas);
        if (z) {
            canvas.restore();
        }
    }

    public float getBrightness() {
        return this.f2008a.f2015d;
    }

    public float getContrast() {
        return this.f2008a.f;
    }

    public float getCrossfade() {
        return this.K0;
    }

    public float getImagePanX() {
        return this.S0;
    }

    public float getImagePanY() {
        return this.T0;
    }

    public float getImageRotate() {
        return this.V0;
    }

    public float getImageZoom() {
        return this.U0;
    }

    public float getRound() {
        return this.M0;
    }

    public float getRoundPercent() {
        return this.L0;
    }

    public float getSaturation() {
        return this.f2008a.f2016e;
    }

    public float getWarmth() {
        return this.f2008a.g;
    }

    public void layout(int i, int i2, int i3, int i4) {
        super.layout(i, i2, i3, i4);
        e();
    }

    public void setAltImageResource(int i) {
        Drawable mutate = androidx.appcompat.a.a.a.d(getContext(), i).mutate();
        this.I0 = mutate;
        Drawable[] drawableArr = this.Q0;
        drawableArr[0] = this.J0;
        drawableArr[1] = mutate;
        LayerDrawable layerDrawable = new LayerDrawable(this.Q0);
        this.R0 = layerDrawable;
        super.setImageDrawable(layerDrawable);
        setCrossfade(this.K0);
    }

    public void setBrightness(float f) {
        c cVar = this.f2008a;
        cVar.f2015d = f;
        cVar.c(this);
    }

    public void setContrast(float f) {
        c cVar = this.f2008a;
        cVar.f = f;
        cVar.c(this);
    }

    public void setCrossfade(float f) {
        this.K0 = f;
        if (this.Q0 != null) {
            if (!this.f2009b) {
                this.R0.getDrawable(0).setAlpha((int) ((1.0f - this.K0) * 255.0f));
            }
            this.R0.getDrawable(1).setAlpha((int) (this.K0 * 255.0f));
            super.setImageDrawable(this.R0);
        }
    }

    @Override // androidx.appcompat.widget.AppCompatImageView
    public void setImageDrawable(Drawable drawable) {
        if (this.I0 == null || drawable == null) {
            super.setImageDrawable(drawable);
            return;
        }
        Drawable mutate = drawable.mutate();
        this.J0 = mutate;
        Drawable[] drawableArr = this.Q0;
        drawableArr[0] = mutate;
        drawableArr[1] = this.I0;
        LayerDrawable layerDrawable = new LayerDrawable(this.Q0);
        this.R0 = layerDrawable;
        super.setImageDrawable(layerDrawable);
        setCrossfade(this.K0);
    }

    public void setImagePanX(float f) {
        this.S0 = f;
        f();
    }

    public void setImagePanY(float f) {
        this.T0 = f;
        f();
    }

    @Override // androidx.appcompat.widget.AppCompatImageView
    public void setImageResource(int i) {
        if (this.I0 != null) {
            Drawable mutate = androidx.appcompat.a.a.a.d(getContext(), i).mutate();
            this.J0 = mutate;
            Drawable[] drawableArr = this.Q0;
            drawableArr[0] = mutate;
            drawableArr[1] = this.I0;
            LayerDrawable layerDrawable = new LayerDrawable(this.Q0);
            this.R0 = layerDrawable;
            super.setImageDrawable(layerDrawable);
            setCrossfade(this.K0);
            return;
        }
        super.setImageResource(i);
    }

    public void setImageRotate(float f) {
        this.V0 = f;
        f();
    }

    public void setImageZoom(float f) {
        this.U0 = f;
        f();
    }

    @RequiresApi(21)
    public void setRound(float f) {
        if (Float.isNaN(f)) {
            this.M0 = f;
            float f2 = this.L0;
            this.L0 = -1.0f;
            setRoundPercent(f2);
            return;
        }
        boolean z = this.M0 != f;
        this.M0 = f;
        if (f != 0.0f) {
            if (this.N0 == null) {
                this.N0 = new Path();
            }
            if (this.P0 == null) {
                this.P0 = new RectF();
            }
            if (Build.VERSION.SDK_INT >= 21) {
                if (this.O0 == null) {
                    b bVar = new b();
                    this.O0 = bVar;
                    setOutlineProvider(bVar);
                }
                setClipToOutline(true);
            }
            this.P0.set(0.0f, 0.0f, (float) getWidth(), (float) getHeight());
            this.N0.reset();
            Path path = this.N0;
            RectF rectF = this.P0;
            float f3 = this.M0;
            path.addRoundRect(rectF, f3, f3, Path.Direction.CW);
        } else if (Build.VERSION.SDK_INT >= 21) {
            setClipToOutline(false);
        }
        if (z && Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    @RequiresApi(21)
    public void setRoundPercent(float f) {
        boolean z = this.L0 != f;
        this.L0 = f;
        if (f != 0.0f) {
            if (this.N0 == null) {
                this.N0 = new Path();
            }
            if (this.P0 == null) {
                this.P0 = new RectF();
            }
            if (Build.VERSION.SDK_INT >= 21) {
                if (this.O0 == null) {
                    a aVar = new a();
                    this.O0 = aVar;
                    setOutlineProvider(aVar);
                }
                setClipToOutline(true);
            }
            int width = getWidth();
            int height = getHeight();
            float min = (((float) Math.min(width, height)) * this.L0) / 2.0f;
            this.P0.set(0.0f, 0.0f, (float) width, (float) height);
            this.N0.reset();
            this.N0.addRoundRect(this.P0, min, min, Path.Direction.CW);
        } else if (Build.VERSION.SDK_INT >= 21) {
            setClipToOutline(false);
        }
        if (z && Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    public void setSaturation(float f) {
        c cVar = this.f2008a;
        cVar.f2016e = f;
        cVar.c(this);
    }

    public void setWarmth(float f) {
        c cVar = this.f2008a;
        cVar.g = f;
        cVar.c(this);
    }

    public ImageFilterView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f2008a = new c();
        this.f2009b = true;
        this.I0 = null;
        this.J0 = null;
        this.K0 = 0.0f;
        this.L0 = 0.0f;
        this.M0 = Float.NaN;
        this.Q0 = new Drawable[2];
        this.S0 = Float.NaN;
        this.T0 = Float.NaN;
        this.U0 = Float.NaN;
        this.V0 = Float.NaN;
        init(context, attributeSet);
    }

    public ImageFilterView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f2008a = new c();
        this.f2009b = true;
        this.I0 = null;
        this.J0 = null;
        this.K0 = 0.0f;
        this.L0 = 0.0f;
        this.M0 = Float.NaN;
        this.Q0 = new Drawable[2];
        this.S0 = Float.NaN;
        this.T0 = Float.NaN;
        this.U0 = Float.NaN;
        this.V0 = Float.NaN;
        init(context, attributeSet);
    }
}
