package androidx.constraintlayout.utils.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.View;
import androidx.constraintlayout.widget.R;

public class MockView extends View {
    private Paint I0 = new Paint();
    private boolean J0 = true;
    private boolean K0 = true;
    protected String L0 = null;
    private Rect M0 = new Rect();
    private int N0 = Color.argb(255, 0, 0, 0);
    private int O0 = Color.argb(255, 200, 200, 200);
    private int P0 = Color.argb(255, 50, 50, 50);
    private int Q0 = 4;

    /* renamed from: a  reason: collision with root package name */
    private Paint f2017a = new Paint();

    /* renamed from: b  reason: collision with root package name */
    private Paint f2018b = new Paint();

    public MockView(Context context) {
        super(context);
        a(context, null);
    }

    private void a(Context context, AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.MockView);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.MockView_mock_label) {
                    this.L0 = obtainStyledAttributes.getString(index);
                } else if (index == R.styleable.MockView_mock_showDiagonals) {
                    this.J0 = obtainStyledAttributes.getBoolean(index, this.J0);
                } else if (index == R.styleable.MockView_mock_diagonalsColor) {
                    this.N0 = obtainStyledAttributes.getColor(index, this.N0);
                } else if (index == R.styleable.MockView_mock_labelBackgroundColor) {
                    this.P0 = obtainStyledAttributes.getColor(index, this.P0);
                } else if (index == R.styleable.MockView_mock_labelColor) {
                    this.O0 = obtainStyledAttributes.getColor(index, this.O0);
                } else if (index == R.styleable.MockView_mock_showLabel) {
                    this.K0 = obtainStyledAttributes.getBoolean(index, this.K0);
                }
            }
            obtainStyledAttributes.recycle();
        }
        if (this.L0 == null) {
            try {
                this.L0 = context.getResources().getResourceEntryName(getId());
            } catch (Exception unused) {
            }
        }
        this.f2017a.setColor(this.N0);
        this.f2017a.setAntiAlias(true);
        this.f2018b.setColor(this.O0);
        this.f2018b.setAntiAlias(true);
        this.I0.setColor(this.P0);
        this.Q0 = Math.round(((float) this.Q0) * (getResources().getDisplayMetrics().xdpi / 160.0f));
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int width = getWidth();
        int height = getHeight();
        if (this.J0) {
            width--;
            height--;
            float f = (float) width;
            float f2 = (float) height;
            canvas.drawLine(0.0f, 0.0f, f, f2, this.f2017a);
            canvas.drawLine(0.0f, f2, f, 0.0f, this.f2017a);
            canvas.drawLine(0.0f, 0.0f, f, 0.0f, this.f2017a);
            canvas.drawLine(f, 0.0f, f, f2, this.f2017a);
            canvas.drawLine(f, f2, 0.0f, f2, this.f2017a);
            canvas.drawLine(0.0f, f2, 0.0f, 0.0f, this.f2017a);
        }
        String str = this.L0;
        if (str != null && this.K0) {
            this.f2018b.getTextBounds(str, 0, str.length(), this.M0);
            float width2 = ((float) (width - this.M0.width())) / 2.0f;
            float height2 = (((float) (height - this.M0.height())) / 2.0f) + ((float) this.M0.height());
            this.M0.offset((int) width2, (int) height2);
            Rect rect = this.M0;
            int i = rect.left;
            int i2 = this.Q0;
            rect.set(i - i2, rect.top - i2, rect.right + i2, rect.bottom + i2);
            canvas.drawRect(this.M0, this.I0);
            canvas.drawText(this.L0, width2, height2, this.f2018b);
        }
    }

    public MockView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        a(context, attributeSet);
    }

    public MockView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        a(context, attributeSet);
    }
}
