package androidx.constraintlayout.utils.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Outline;
import android.graphics.Path;
import android.graphics.RectF;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewOutlineProvider;
import androidx.annotation.RequiresApi;
import androidx.appcompat.widget.AppCompatButton;
import androidx.constraintlayout.widget.R;

public class MotionButton extends AppCompatButton {
    private Path I0;
    ViewOutlineProvider J0;
    RectF K0;

    /* renamed from: a  reason: collision with root package name */
    private float f2019a = 0.0f;

    /* renamed from: b  reason: collision with root package name */
    private float f2020b = Float.NaN;

    /* access modifiers changed from: package-private */
    public class a extends ViewOutlineProvider {
        a() {
        }

        public void getOutline(View view, Outline outline) {
            int width = MotionButton.this.getWidth();
            int height = MotionButton.this.getHeight();
            outline.setRoundRect(0, 0, width, height, (((float) Math.min(width, height)) * MotionButton.this.f2019a) / 2.0f);
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends ViewOutlineProvider {
        b() {
        }

        public void getOutline(View view, Outline outline) {
            outline.setRoundRect(0, 0, MotionButton.this.getWidth(), MotionButton.this.getHeight(), MotionButton.this.f2020b);
        }
    }

    public MotionButton(Context context) {
        super(context);
        init(context, null);
    }

    private void init(Context context, AttributeSet attributeSet) {
        setPadding(0, 0, 0, 0);
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R.styleable.ImageFilterView);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.ImageFilterView_round) {
                    if (Build.VERSION.SDK_INT >= 21) {
                        setRound(obtainStyledAttributes.getDimension(index, 0.0f));
                    }
                } else if (index == R.styleable.ImageFilterView_roundPercent && Build.VERSION.SDK_INT >= 21) {
                    setRoundPercent(obtainStyledAttributes.getFloat(index, 0.0f));
                }
            }
            obtainStyledAttributes.recycle();
        }
    }

    public void draw(Canvas canvas) {
        boolean z;
        if (Build.VERSION.SDK_INT >= 21 || this.f2020b == 0.0f || this.I0 == null) {
            z = false;
        } else {
            z = true;
            canvas.save();
            canvas.clipPath(this.I0);
        }
        super.draw(canvas);
        if (z) {
            canvas.restore();
        }
    }

    public float getRound() {
        return this.f2020b;
    }

    public float getRoundPercent() {
        return this.f2019a;
    }

    @RequiresApi(21)
    public void setRound(float f) {
        if (Float.isNaN(f)) {
            this.f2020b = f;
            float f2 = this.f2019a;
            this.f2019a = -1.0f;
            setRoundPercent(f2);
            return;
        }
        boolean z = this.f2020b != f;
        this.f2020b = f;
        if (f != 0.0f) {
            if (this.I0 == null) {
                this.I0 = new Path();
            }
            if (this.K0 == null) {
                this.K0 = new RectF();
            }
            if (Build.VERSION.SDK_INT >= 21) {
                if (this.J0 == null) {
                    b bVar = new b();
                    this.J0 = bVar;
                    setOutlineProvider(bVar);
                }
                setClipToOutline(true);
            }
            this.K0.set(0.0f, 0.0f, (float) getWidth(), (float) getHeight());
            this.I0.reset();
            Path path = this.I0;
            RectF rectF = this.K0;
            float f3 = this.f2020b;
            path.addRoundRect(rectF, f3, f3, Path.Direction.CW);
        } else if (Build.VERSION.SDK_INT >= 21) {
            setClipToOutline(false);
        }
        if (z && Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    @RequiresApi(21)
    public void setRoundPercent(float f) {
        boolean z = this.f2019a != f;
        this.f2019a = f;
        if (f != 0.0f) {
            if (this.I0 == null) {
                this.I0 = new Path();
            }
            if (this.K0 == null) {
                this.K0 = new RectF();
            }
            if (Build.VERSION.SDK_INT >= 21) {
                if (this.J0 == null) {
                    a aVar = new a();
                    this.J0 = aVar;
                    setOutlineProvider(aVar);
                }
                setClipToOutline(true);
            }
            int width = getWidth();
            int height = getHeight();
            float min = (((float) Math.min(width, height)) * this.f2019a) / 2.0f;
            this.K0.set(0.0f, 0.0f, (float) width, (float) height);
            this.I0.reset();
            this.I0.addRoundRect(this.K0, min, min, Path.Direction.CW);
        } else if (Build.VERSION.SDK_INT >= 21) {
            setClipToOutline(false);
        }
        if (z && Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    public MotionButton(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        init(context, attributeSet);
    }

    public MotionButton(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        init(context, attributeSet);
    }
}
