package androidx.constraintlayout.utils.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.Layout;
import android.text.TextPaint;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewOutlineProvider;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.constraintlayout.motion.widget.d;
import androidx.constraintlayout.motion.widget.f;
import androidx.constraintlayout.widget.R;
import androidx.core.view.GravityCompat;
import com.google.android.material.badge.BadgeDrawable;

public class MotionLabel extends View implements f {
    private static final int I0 = 2;
    private static final int J0 = 3;

    /* renamed from: a  reason: collision with root package name */
    static String f2023a = "MotionLabel";

    /* renamed from: b  reason: collision with root package name */
    private static final int f2024b = 1;
    Paint A1;
    float B1;
    float C1 = Float.NaN;
    float D1 = Float.NaN;
    float E1 = Float.NaN;
    float F1 = Float.NaN;
    TextPaint K0 = new TextPaint();
    Path L0 = new Path();
    private int M0 = 65535;
    private int N0 = 65535;
    private boolean O0 = false;
    private float P0 = 0.0f;
    private float Q0 = Float.NaN;
    ViewOutlineProvider R0;
    RectF S0;
    private float T0 = 48.0f;
    private float U0 = Float.NaN;
    private int V0;
    private int W0;
    private float X0 = 0.0f;
    private String Y0 = "Hello World";
    boolean Z0 = true;
    private Rect a1 = new Rect();
    private CharSequence b1;
    private int c1 = 1;
    private int d1 = 1;
    private int e1 = 1;
    private int f1 = 1;
    private String g1;
    private Layout h1;
    private int i1 = BadgeDrawable.f11396b;
    private int j1 = 0;
    private boolean k1 = false;
    private float l1;
    private float m1;
    private float n1;
    private Drawable o1;
    Matrix p1;
    private Bitmap q1;
    private BitmapShader r1;
    private Matrix s1;
    private float t1 = Float.NaN;
    private float u1 = Float.NaN;
    private float v1 = 0.0f;
    private float w1 = 0.0f;
    Paint x1 = new Paint();
    private int y1 = 0;
    Rect z1;

    /* access modifiers changed from: package-private */
    public class a extends ViewOutlineProvider {
        a() {
        }

        public void getOutline(View view, Outline outline) {
            int width = MotionLabel.this.getWidth();
            int height = MotionLabel.this.getHeight();
            outline.setRoundRect(0, 0, width, height, (((float) Math.min(width, height)) * MotionLabel.this.P0) / 2.0f);
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends ViewOutlineProvider {
        b() {
        }

        public void getOutline(View view, Outline outline) {
            outline.setRoundRect(0, 0, MotionLabel.this.getWidth(), MotionLabel.this.getHeight(), MotionLabel.this.Q0);
        }
    }

    public MotionLabel(Context context) {
        super(context);
        g(context, null);
    }

    private void d(float f, float f2, float f3, float f4) {
        if (this.s1 != null) {
            this.m1 = f3 - f;
            this.n1 = f4 - f2;
            l();
        }
    }

    private void g(Context context, AttributeSet attributeSet) {
        i(context, attributeSet);
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R.styleable.MotionLabel);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.MotionLabel_android_text) {
                    setText(obtainStyledAttributes.getText(index));
                } else if (index == R.styleable.MotionLabel_android_fontFamily) {
                    this.g1 = obtainStyledAttributes.getString(index);
                } else if (index == R.styleable.MotionLabel_scaleFromTextSize) {
                    this.U0 = (float) obtainStyledAttributes.getDimensionPixelSize(index, (int) this.U0);
                } else if (index == R.styleable.MotionLabel_android_textSize) {
                    this.T0 = (float) obtainStyledAttributes.getDimensionPixelSize(index, (int) this.T0);
                } else if (index == R.styleable.MotionLabel_android_textStyle) {
                    this.V0 = obtainStyledAttributes.getInt(index, this.V0);
                } else if (index == R.styleable.MotionLabel_android_typeface) {
                    this.W0 = obtainStyledAttributes.getInt(index, this.W0);
                } else if (index == R.styleable.MotionLabel_android_textColor) {
                    this.M0 = obtainStyledAttributes.getColor(index, this.M0);
                } else if (index == R.styleable.MotionLabel_borderRound) {
                    float dimension = obtainStyledAttributes.getDimension(index, this.Q0);
                    this.Q0 = dimension;
                    if (Build.VERSION.SDK_INT >= 21) {
                        setRound(dimension);
                    }
                } else if (index == R.styleable.MotionLabel_borderRoundPercent) {
                    float f = obtainStyledAttributes.getFloat(index, this.P0);
                    this.P0 = f;
                    if (Build.VERSION.SDK_INT >= 21) {
                        setRoundPercent(f);
                    }
                } else if (index == R.styleable.MotionLabel_android_gravity) {
                    setGravity(obtainStyledAttributes.getInt(index, -1));
                } else if (index == R.styleable.MotionLabel_android_autoSizeTextType) {
                    this.j1 = obtainStyledAttributes.getInt(index, 0);
                } else if (index == R.styleable.MotionLabel_textOutlineColor) {
                    this.N0 = obtainStyledAttributes.getInt(index, this.N0);
                    this.O0 = true;
                } else if (index == R.styleable.MotionLabel_textOutlineThickness) {
                    this.X0 = obtainStyledAttributes.getDimension(index, this.X0);
                    this.O0 = true;
                } else if (index == R.styleable.MotionLabel_textBackground) {
                    this.o1 = obtainStyledAttributes.getDrawable(index);
                    this.O0 = true;
                } else if (index == R.styleable.MotionLabel_textBackgroundPanX) {
                    this.C1 = obtainStyledAttributes.getFloat(index, this.C1);
                } else if (index == R.styleable.MotionLabel_textBackgroundPanY) {
                    this.D1 = obtainStyledAttributes.getFloat(index, this.D1);
                } else if (index == R.styleable.MotionLabel_textPanX) {
                    this.v1 = obtainStyledAttributes.getFloat(index, this.v1);
                } else if (index == R.styleable.MotionLabel_textPanY) {
                    this.w1 = obtainStyledAttributes.getFloat(index, this.w1);
                } else if (index == R.styleable.MotionLabel_textBackgroundRotate) {
                    this.F1 = obtainStyledAttributes.getFloat(index, this.F1);
                } else if (index == R.styleable.MotionLabel_textBackgroundZoom) {
                    this.E1 = obtainStyledAttributes.getFloat(index, this.E1);
                } else if (index == R.styleable.MotionLabel_textureHeight) {
                    this.t1 = obtainStyledAttributes.getDimension(index, this.t1);
                } else if (index == R.styleable.MotionLabel_textureWidth) {
                    this.u1 = obtainStyledAttributes.getDimension(index, this.u1);
                } else if (index == R.styleable.MotionLabel_textureEffect) {
                    this.y1 = obtainStyledAttributes.getInt(index, this.y1);
                }
            }
            obtainStyledAttributes.recycle();
        }
        k();
        j();
    }

    private float getHorizontalOffset() {
        float f = Float.isNaN(this.U0) ? 1.0f : this.T0 / this.U0;
        TextPaint textPaint = this.K0;
        String str = this.Y0;
        return (((((Float.isNaN(this.m1) ? (float) getMeasuredWidth() : this.m1) - ((float) getPaddingLeft())) - ((float) getPaddingRight())) - (f * textPaint.measureText(str, 0, str.length()))) * (this.v1 + 1.0f)) / 2.0f;
    }

    private float getVerticalOffset() {
        float f = Float.isNaN(this.U0) ? 1.0f : this.T0 / this.U0;
        Paint.FontMetrics fontMetrics = this.K0.getFontMetrics();
        float measuredHeight = ((Float.isNaN(this.n1) ? (float) getMeasuredHeight() : this.n1) - ((float) getPaddingTop())) - ((float) getPaddingBottom());
        float f2 = fontMetrics.descent;
        float f3 = fontMetrics.ascent;
        return (((measuredHeight - ((f2 - f3) * f)) * (1.0f - this.w1)) / 2.0f) - (f * f3);
    }

    private void h(String str, int i, int i2) {
        Typeface typeface;
        Typeface typeface2;
        if (str != null) {
            typeface = Typeface.create(str, i2);
            if (typeface != null) {
                setTypeface(typeface);
                return;
            }
        } else {
            typeface = null;
        }
        boolean z = true;
        if (i == 1) {
            typeface = Typeface.SANS_SERIF;
        } else if (i == 2) {
            typeface = Typeface.SERIF;
        } else if (i == 3) {
            typeface = Typeface.MONOSPACE;
        }
        float f = 0.0f;
        if (i2 > 0) {
            if (typeface == null) {
                typeface2 = Typeface.defaultFromStyle(i2);
            } else {
                typeface2 = Typeface.create(typeface, i2);
            }
            setTypeface(typeface2);
            int i3 = (~(typeface2 != null ? typeface2.getStyle() : 0)) & i2;
            TextPaint textPaint = this.K0;
            if ((i3 & 1) == 0) {
                z = false;
            }
            textPaint.setFakeBoldText(z);
            TextPaint textPaint2 = this.K0;
            if ((i3 & 2) != 0) {
                f = -0.25f;
            }
            textPaint2.setTextSkewX(f);
            return;
        }
        this.K0.setFakeBoldText(false);
        this.K0.setTextSkewX(0.0f);
        setTypeface(typeface);
    }

    private void i(Context context, @Nullable AttributeSet attributeSet) {
        TypedValue typedValue = new TypedValue();
        context.getTheme().resolveAttribute(androidx.appcompat.R.attr.colorPrimary, typedValue, true);
        TextPaint textPaint = this.K0;
        int i = typedValue.data;
        this.M0 = i;
        textPaint.setColor(i);
    }

    private void k() {
        if (this.o1 != null) {
            this.s1 = new Matrix();
            int intrinsicWidth = this.o1.getIntrinsicWidth();
            int intrinsicHeight = this.o1.getIntrinsicHeight();
            int i = 128;
            if (intrinsicWidth <= 0 && (intrinsicWidth = getWidth()) == 0) {
                intrinsicWidth = Float.isNaN(this.u1) ? 128 : (int) this.u1;
            }
            if (intrinsicHeight <= 0 && (intrinsicHeight = getHeight()) == 0) {
                if (!Float.isNaN(this.t1)) {
                    i = (int) this.t1;
                }
                intrinsicHeight = i;
            }
            if (this.y1 != 0) {
                intrinsicWidth /= 2;
                intrinsicHeight /= 2;
            }
            this.q1 = Bitmap.createBitmap(intrinsicWidth, intrinsicHeight, Bitmap.Config.ARGB_8888);
            Canvas canvas = new Canvas(this.q1);
            this.o1.setBounds(0, 0, canvas.getWidth(), canvas.getHeight());
            this.o1.setFilterBitmap(true);
            this.o1.draw(canvas);
            if (this.y1 != 0) {
                this.q1 = e(this.q1, 4);
            }
            Bitmap bitmap = this.q1;
            Shader.TileMode tileMode = Shader.TileMode.REPEAT;
            this.r1 = new BitmapShader(bitmap, tileMode, tileMode);
        }
    }

    private void l() {
        float f = 0.0f;
        float f2 = Float.isNaN(this.C1) ? 0.0f : this.C1;
        float f3 = Float.isNaN(this.D1) ? 0.0f : this.D1;
        float f4 = Float.isNaN(this.E1) ? 1.0f : this.E1;
        if (!Float.isNaN(this.F1)) {
            f = this.F1;
        }
        this.s1.reset();
        float width = (float) this.q1.getWidth();
        float height = (float) this.q1.getHeight();
        float f5 = Float.isNaN(this.u1) ? this.m1 : this.u1;
        float f6 = Float.isNaN(this.t1) ? this.n1 : this.t1;
        float f7 = f4 * (width * f6 < height * f5 ? f5 / width : f6 / height);
        this.s1.postScale(f7, f7);
        float f8 = width * f7;
        float f9 = f5 - f8;
        float f10 = f7 * height;
        float f11 = f6 - f10;
        if (!Float.isNaN(this.t1)) {
            f11 = this.t1 / 2.0f;
        }
        if (!Float.isNaN(this.u1)) {
            f9 = this.u1 / 2.0f;
        }
        this.s1.postTranslate((((f2 * f9) + f5) - f8) * 0.5f, (((f3 * f11) + f6) - f10) * 0.5f);
        this.s1.postRotate(f, f5 / 2.0f, f6 / 2.0f);
        this.r1.setLocalMatrix(this.s1);
    }

    @Override // androidx.constraintlayout.motion.widget.f
    public void a(float f, float f2, float f3, float f4) {
        int i = (int) (f + 0.5f);
        this.l1 = f - ((float) i);
        int i2 = (int) (f3 + 0.5f);
        int i3 = i2 - i;
        int i4 = (int) (f4 + 0.5f);
        int i5 = (int) (0.5f + f2);
        int i6 = i4 - i5;
        float f5 = f3 - f;
        this.m1 = f5;
        float f6 = f4 - f2;
        this.n1 = f6;
        d(f, f2, f3, f4);
        if (getMeasuredHeight() == i6 && getMeasuredWidth() == i3) {
            super.layout(i, i5, i2, i4);
        } else {
            measure(View.MeasureSpec.makeMeasureSpec(i3, 1073741824), View.MeasureSpec.makeMeasureSpec(i6, 1073741824));
            super.layout(i, i5, i2, i4);
        }
        if (this.k1) {
            if (this.z1 == null) {
                this.A1 = new Paint();
                this.z1 = new Rect();
                this.A1.set(this.K0);
                this.B1 = this.A1.getTextSize();
            }
            this.m1 = f5;
            this.n1 = f6;
            Paint paint = this.A1;
            String str = this.Y0;
            paint.getTextBounds(str, 0, str.length(), this.z1);
            int width = this.z1.width();
            float height = ((float) this.z1.height()) * 1.3f;
            float f7 = (f5 - ((float) this.d1)) - ((float) this.c1);
            float f8 = (f6 - ((float) this.f1)) - ((float) this.e1);
            float f9 = (float) width;
            if (f9 * f8 > height * f7) {
                this.K0.setTextSize((this.B1 * f7) / f9);
            } else {
                this.K0.setTextSize((this.B1 * f8) / height);
            }
            if (this.O0 || !Float.isNaN(this.U0)) {
                f(Float.isNaN(this.U0) ? 1.0f : this.T0 / this.U0);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public Bitmap e(Bitmap bitmap, int i) {
        System.nanoTime();
        int width = bitmap.getWidth() / 2;
        int height = bitmap.getHeight() / 2;
        Bitmap createScaledBitmap = Bitmap.createScaledBitmap(bitmap, width, height, true);
        for (int i2 = 0; i2 < i && width >= 32 && height >= 32; i2++) {
            width /= 2;
            height /= 2;
            createScaledBitmap = Bitmap.createScaledBitmap(createScaledBitmap, width, height, true);
        }
        return createScaledBitmap;
    }

    /* access modifiers changed from: package-private */
    public void f(float f) {
        if (this.O0 || f != 1.0f) {
            this.L0.reset();
            String str = this.Y0;
            int length = str.length();
            this.K0.getTextBounds(str, 0, length, this.a1);
            this.K0.getTextPath(str, 0, length, 0.0f, 0.0f, this.L0);
            if (f != 1.0f) {
                Log.v(f2023a, d.f() + " scale " + f);
                Matrix matrix = new Matrix();
                matrix.postScale(f, f);
                this.L0.transform(matrix);
            }
            Rect rect = this.a1;
            rect.right--;
            rect.left++;
            rect.bottom++;
            rect.top--;
            RectF rectF = new RectF();
            rectF.bottom = (float) getHeight();
            rectF.right = (float) getWidth();
            this.Z0 = false;
        }
    }

    public float getRound() {
        return this.Q0;
    }

    public float getRoundPercent() {
        return this.P0;
    }

    public float getScaleFromTextSize() {
        return this.U0;
    }

    public float getTextBackgroundPanX() {
        return this.C1;
    }

    public float getTextBackgroundPanY() {
        return this.D1;
    }

    public float getTextBackgroundRotate() {
        return this.F1;
    }

    public float getTextBackgroundZoom() {
        return this.E1;
    }

    public int getTextOutlineColor() {
        return this.N0;
    }

    public float getTextPanX() {
        return this.v1;
    }

    public float getTextPanY() {
        return this.w1;
    }

    public float getTextureHeight() {
        return this.t1;
    }

    public float getTextureWidth() {
        return this.u1;
    }

    public Typeface getTypeface() {
        return this.K0.getTypeface();
    }

    /* access modifiers changed from: package-private */
    public void j() {
        this.c1 = getPaddingLeft();
        this.d1 = getPaddingRight();
        this.e1 = getPaddingTop();
        this.f1 = getPaddingBottom();
        h(this.g1, this.W0, this.V0);
        this.K0.setColor(this.M0);
        this.K0.setStrokeWidth(this.X0);
        this.K0.setStyle(Paint.Style.FILL_AND_STROKE);
        this.K0.setFlags(128);
        setTextSize(this.T0);
        this.K0.setAntiAlias(true);
    }

    public void layout(int i, int i2, int i3, int i4) {
        float f;
        super.layout(i, i2, i3, i4);
        boolean isNaN = Float.isNaN(this.U0);
        if (isNaN) {
            f = 1.0f;
        } else {
            f = this.T0 / this.U0;
        }
        this.m1 = (float) (i3 - i);
        this.n1 = (float) (i4 - i2);
        if (this.k1) {
            if (this.z1 == null) {
                this.A1 = new Paint();
                this.z1 = new Rect();
                this.A1.set(this.K0);
                this.B1 = this.A1.getTextSize();
            }
            Paint paint = this.A1;
            String str = this.Y0;
            paint.getTextBounds(str, 0, str.length(), this.z1);
            int width = this.z1.width();
            int height = (int) (((float) this.z1.height()) * 1.3f);
            float f2 = (this.m1 - ((float) this.d1)) - ((float) this.c1);
            float f3 = (this.n1 - ((float) this.f1)) - ((float) this.e1);
            if (isNaN) {
                float f4 = (float) width;
                float f5 = (float) height;
                if (f4 * f3 > f5 * f2) {
                    this.K0.setTextSize((this.B1 * f2) / f4);
                } else {
                    this.K0.setTextSize((this.B1 * f3) / f5);
                }
            } else {
                float f6 = (float) width;
                float f7 = (float) height;
                f = f6 * f3 > f7 * f2 ? f2 / f6 : f3 / f7;
            }
        }
        if (this.O0 || !isNaN) {
            d((float) i, (float) i2, (float) i3, (float) i4);
            f(f);
        }
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        float f = Float.isNaN(this.U0) ? 1.0f : this.T0 / this.U0;
        super.onDraw(canvas);
        if (this.O0 || f != 1.0f) {
            if (this.Z0) {
                f(f);
            }
            if (this.p1 == null) {
                this.p1 = new Matrix();
            }
            if (this.O0) {
                this.x1.set(this.K0);
                this.p1.reset();
                float horizontalOffset = ((float) this.c1) + getHorizontalOffset();
                float verticalOffset = ((float) this.e1) + getVerticalOffset();
                this.p1.postTranslate(horizontalOffset, verticalOffset);
                this.p1.preScale(f, f);
                this.L0.transform(this.p1);
                if (this.r1 != null) {
                    this.K0.setFilterBitmap(true);
                    this.K0.setShader(this.r1);
                } else {
                    this.K0.setColor(this.M0);
                }
                this.K0.setStyle(Paint.Style.FILL);
                this.K0.setStrokeWidth(this.X0);
                canvas.drawPath(this.L0, this.K0);
                if (this.r1 != null) {
                    this.K0.setShader(null);
                }
                this.K0.setColor(this.N0);
                this.K0.setStyle(Paint.Style.STROKE);
                this.K0.setStrokeWidth(this.X0);
                canvas.drawPath(this.L0, this.K0);
                this.p1.reset();
                this.p1.postTranslate(-horizontalOffset, -verticalOffset);
                this.L0.transform(this.p1);
                this.K0.set(this.x1);
                return;
            }
            float horizontalOffset2 = ((float) this.c1) + getHorizontalOffset();
            float verticalOffset2 = ((float) this.e1) + getVerticalOffset();
            this.p1.reset();
            this.p1.preTranslate(horizontalOffset2, verticalOffset2);
            this.L0.transform(this.p1);
            this.K0.setColor(this.M0);
            this.K0.setStyle(Paint.Style.FILL_AND_STROKE);
            this.K0.setStrokeWidth(this.X0);
            canvas.drawPath(this.L0, this.K0);
            this.p1.reset();
            this.p1.preTranslate(-horizontalOffset2, -verticalOffset2);
            this.L0.transform(this.p1);
            return;
        }
        canvas.drawText(this.Y0, this.l1 + ((float) this.c1) + getHorizontalOffset(), ((float) this.e1) + getVerticalOffset(), this.K0);
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        int mode = View.MeasureSpec.getMode(i);
        int mode2 = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i);
        int size2 = View.MeasureSpec.getSize(i2);
        this.k1 = false;
        this.c1 = getPaddingLeft();
        this.d1 = getPaddingRight();
        this.e1 = getPaddingTop();
        this.f1 = getPaddingBottom();
        if (mode != 1073741824 || mode2 != 1073741824) {
            TextPaint textPaint = this.K0;
            String str = this.Y0;
            textPaint.getTextBounds(str, 0, str.length(), this.a1);
            if (mode != 1073741824) {
                size = (int) (((float) this.a1.width()) + 0.99999f);
            }
            size += this.c1 + this.d1;
            if (mode2 != 1073741824) {
                int fontMetricsInt = (int) (((float) this.K0.getFontMetricsInt(null)) + 0.99999f);
                if (mode2 == Integer.MIN_VALUE) {
                    fontMetricsInt = Math.min(size2, fontMetricsInt);
                }
                size2 = this.e1 + this.f1 + fontMetricsInt;
            }
        } else if (this.j1 != 0) {
            this.k1 = true;
        }
        setMeasuredDimension(size, size2);
    }

    @SuppressLint({"RtlHardcoded"})
    public void setGravity(int i) {
        if ((i & GravityCompat.RELATIVE_HORIZONTAL_GRAVITY_MASK) == 0) {
            i |= GravityCompat.START;
        }
        if ((i & 112) == 0) {
            i |= 48;
        }
        int i2 = i & GravityCompat.RELATIVE_HORIZONTAL_GRAVITY_MASK;
        int i3 = this.i1;
        int i4 = i3 & GravityCompat.RELATIVE_HORIZONTAL_GRAVITY_MASK;
        if (i != i3) {
            invalidate();
        }
        this.i1 = i;
        int i5 = i & 112;
        if (i5 == 48) {
            this.w1 = -1.0f;
        } else if (i5 != 80) {
            this.w1 = 0.0f;
        } else {
            this.w1 = 1.0f;
        }
        int i6 = i & GravityCompat.RELATIVE_HORIZONTAL_GRAVITY_MASK;
        if (i6 != 3) {
            if (i6 != 5) {
                if (i6 != 8388611) {
                    if (i6 != 8388613) {
                        this.v1 = 0.0f;
                        return;
                    }
                }
            }
            this.v1 = 1.0f;
            return;
        }
        this.v1 = -1.0f;
    }

    @RequiresApi(21)
    public void setRound(float f) {
        if (Float.isNaN(f)) {
            this.Q0 = f;
            float f2 = this.P0;
            this.P0 = -1.0f;
            setRoundPercent(f2);
            return;
        }
        boolean z = this.Q0 != f;
        this.Q0 = f;
        if (f != 0.0f) {
            if (this.L0 == null) {
                this.L0 = new Path();
            }
            if (this.S0 == null) {
                this.S0 = new RectF();
            }
            if (Build.VERSION.SDK_INT >= 21) {
                if (this.R0 == null) {
                    b bVar = new b();
                    this.R0 = bVar;
                    setOutlineProvider(bVar);
                }
                setClipToOutline(true);
            }
            this.S0.set(0.0f, 0.0f, (float) getWidth(), (float) getHeight());
            this.L0.reset();
            Path path = this.L0;
            RectF rectF = this.S0;
            float f3 = this.Q0;
            path.addRoundRect(rectF, f3, f3, Path.Direction.CW);
        } else if (Build.VERSION.SDK_INT >= 21) {
            setClipToOutline(false);
        }
        if (z && Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    @RequiresApi(21)
    public void setRoundPercent(float f) {
        boolean z = this.P0 != f;
        this.P0 = f;
        if (f != 0.0f) {
            if (this.L0 == null) {
                this.L0 = new Path();
            }
            if (this.S0 == null) {
                this.S0 = new RectF();
            }
            if (Build.VERSION.SDK_INT >= 21) {
                if (this.R0 == null) {
                    a aVar = new a();
                    this.R0 = aVar;
                    setOutlineProvider(aVar);
                }
                setClipToOutline(true);
            }
            int width = getWidth();
            int height = getHeight();
            float min = (((float) Math.min(width, height)) * this.P0) / 2.0f;
            this.S0.set(0.0f, 0.0f, (float) width, (float) height);
            this.L0.reset();
            this.L0.addRoundRect(this.S0, min, min, Path.Direction.CW);
        } else if (Build.VERSION.SDK_INT >= 21) {
            setClipToOutline(false);
        }
        if (z && Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    public void setScaleFromTextSize(float f) {
        this.U0 = f;
    }

    public void setText(CharSequence charSequence) {
        this.Y0 = charSequence.toString();
        invalidate();
    }

    public void setTextBackgroundPanX(float f) {
        this.C1 = f;
        l();
        invalidate();
    }

    public void setTextBackgroundPanY(float f) {
        this.D1 = f;
        l();
        invalidate();
    }

    public void setTextBackgroundRotate(float f) {
        this.F1 = f;
        l();
        invalidate();
    }

    public void setTextBackgroundZoom(float f) {
        this.E1 = f;
        l();
        invalidate();
    }

    public void setTextFillColor(int i) {
        this.M0 = i;
        invalidate();
    }

    public void setTextOutlineColor(int i) {
        this.N0 = i;
        this.O0 = true;
        invalidate();
    }

    public void setTextOutlineThickness(float f) {
        this.X0 = f;
        this.O0 = true;
        if (Float.isNaN(f)) {
            this.X0 = 1.0f;
            this.O0 = false;
        }
        invalidate();
    }

    public void setTextPanX(float f) {
        this.v1 = f;
        invalidate();
    }

    public void setTextPanY(float f) {
        this.w1 = f;
        invalidate();
    }

    public void setTextSize(float f) {
        this.T0 = f;
        String str = f2023a;
        Log.v(str, d.f() + "  " + f + " / " + this.U0);
        TextPaint textPaint = this.K0;
        if (!Float.isNaN(this.U0)) {
            f = this.U0;
        }
        textPaint.setTextSize(f);
        f(Float.isNaN(this.U0) ? 1.0f : this.T0 / this.U0);
        requestLayout();
        invalidate();
    }

    public void setTextureHeight(float f) {
        this.t1 = f;
        l();
        invalidate();
    }

    public void setTextureWidth(float f) {
        this.u1 = f;
        l();
        invalidate();
    }

    public void setTypeface(Typeface typeface) {
        if (this.K0.getTypeface() != typeface) {
            this.K0.setTypeface(typeface);
            if (this.h1 != null) {
                this.h1 = null;
                requestLayout();
                invalidate();
            }
        }
    }

    public MotionLabel(Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        g(context, attributeSet);
    }

    public MotionLabel(Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        g(context, attributeSet);
    }
}
