package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Color;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.util.Log;
import android.util.TypedValue;
import android.util.Xml;
import android.view.View;
import androidx.core.view.ViewCompat;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.HashMap;
import org.xmlpull.v1.XmlPullParser;

public class ConstraintAttribute {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2027a = "TransitionLayout";

    /* renamed from: b  reason: collision with root package name */
    private boolean f2028b = false;

    /* renamed from: c  reason: collision with root package name */
    String f2029c;

    /* renamed from: d  reason: collision with root package name */
    private AttributeType f2030d;

    /* renamed from: e  reason: collision with root package name */
    private int f2031e;
    private float f;
    private String g;
    boolean h;
    private int i;

    public enum AttributeType {
        INT_TYPE,
        FLOAT_TYPE,
        COLOR_TYPE,
        COLOR_DRAWABLE_TYPE,
        STRING_TYPE,
        BOOLEAN_TYPE,
        DIMENSION_TYPE,
        REFERENCE_TYPE
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f2033a;

        /* JADX WARNING: Can't wrap try/catch for region: R(18:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|18) */
        /* JADX WARNING: Code restructure failed: missing block: B:19:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0049 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0054 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[AttributeType.values().length];
            f2033a = iArr;
            iArr[AttributeType.REFERENCE_TYPE.ordinal()] = 1;
            f2033a[AttributeType.BOOLEAN_TYPE.ordinal()] = 2;
            f2033a[AttributeType.STRING_TYPE.ordinal()] = 3;
            f2033a[AttributeType.COLOR_TYPE.ordinal()] = 4;
            f2033a[AttributeType.COLOR_DRAWABLE_TYPE.ordinal()] = 5;
            f2033a[AttributeType.INT_TYPE.ordinal()] = 6;
            f2033a[AttributeType.FLOAT_TYPE.ordinal()] = 7;
            f2033a[AttributeType.DIMENSION_TYPE.ordinal()] = 8;
        }
    }

    public ConstraintAttribute(String str, AttributeType attributeType) {
        this.f2029c = str;
        this.f2030d = attributeType;
    }

    private static int b(int i2) {
        int i3 = (i2 & (~(i2 >> 31))) - 255;
        return (i3 & (i3 >> 31)) + 255;
    }

    public static HashMap<String, ConstraintAttribute> d(HashMap<String, ConstraintAttribute> hashMap, View view) {
        HashMap<String, ConstraintAttribute> hashMap2 = new HashMap<>();
        Class<?> cls = view.getClass();
        for (String str : hashMap.keySet()) {
            ConstraintAttribute constraintAttribute = hashMap.get(str);
            try {
                if (str.equals("BackgroundColor")) {
                    hashMap2.put(str, new ConstraintAttribute(constraintAttribute, Integer.valueOf(((ColorDrawable) view.getBackground()).getColor())));
                } else {
                    hashMap2.put(str, new ConstraintAttribute(constraintAttribute, cls.getMethod("getMap" + str, new Class[0]).invoke(view, new Object[0])));
                }
            } catch (NoSuchMethodException e2) {
                e2.printStackTrace();
            } catch (IllegalAccessException e3) {
                e3.printStackTrace();
            } catch (InvocationTargetException e4) {
                e4.printStackTrace();
            }
        }
        return hashMap2;
    }

    public static void q(Context context, XmlPullParser xmlPullParser, HashMap<String, ConstraintAttribute> hashMap) {
        AttributeType attributeType;
        Object valueOf;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(Xml.asAttributeSet(xmlPullParser), R.styleable.CustomAttribute);
        int indexCount = obtainStyledAttributes.getIndexCount();
        String str = null;
        Object obj = null;
        AttributeType attributeType2 = null;
        boolean z = false;
        for (int i2 = 0; i2 < indexCount; i2++) {
            int index = obtainStyledAttributes.getIndex(i2);
            if (index == R.styleable.CustomAttribute_attributeName) {
                str = obtainStyledAttributes.getString(index);
                if (str != null && str.length() > 0) {
                    str = Character.toUpperCase(str.charAt(0)) + str.substring(1);
                }
            } else if (index == R.styleable.CustomAttribute_methodName) {
                str = obtainStyledAttributes.getString(index);
                z = true;
            } else if (index == R.styleable.CustomAttribute_customBoolean) {
                obj = Boolean.valueOf(obtainStyledAttributes.getBoolean(index, false));
                attributeType2 = AttributeType.BOOLEAN_TYPE;
            } else {
                if (index == R.styleable.CustomAttribute_customColorValue) {
                    attributeType = AttributeType.COLOR_TYPE;
                    valueOf = Integer.valueOf(obtainStyledAttributes.getColor(index, 0));
                } else if (index == R.styleable.CustomAttribute_customColorDrawableValue) {
                    attributeType = AttributeType.COLOR_DRAWABLE_TYPE;
                    valueOf = Integer.valueOf(obtainStyledAttributes.getColor(index, 0));
                } else if (index == R.styleable.CustomAttribute_customPixelDimension) {
                    attributeType = AttributeType.DIMENSION_TYPE;
                    valueOf = Float.valueOf(TypedValue.applyDimension(1, obtainStyledAttributes.getDimension(index, 0.0f), context.getResources().getDisplayMetrics()));
                } else if (index == R.styleable.CustomAttribute_customDimension) {
                    attributeType = AttributeType.DIMENSION_TYPE;
                    valueOf = Float.valueOf(obtainStyledAttributes.getDimension(index, 0.0f));
                } else if (index == R.styleable.CustomAttribute_customFloatValue) {
                    attributeType = AttributeType.FLOAT_TYPE;
                    valueOf = Float.valueOf(obtainStyledAttributes.getFloat(index, Float.NaN));
                } else if (index == R.styleable.CustomAttribute_customIntegerValue) {
                    attributeType = AttributeType.INT_TYPE;
                    valueOf = Integer.valueOf(obtainStyledAttributes.getInteger(index, -1));
                } else if (index == R.styleable.CustomAttribute_customStringValue) {
                    attributeType = AttributeType.STRING_TYPE;
                    valueOf = obtainStyledAttributes.getString(index);
                } else if (index == R.styleable.CustomAttribute_customReference) {
                    attributeType = AttributeType.REFERENCE_TYPE;
                    int resourceId = obtainStyledAttributes.getResourceId(index, -1);
                    if (resourceId == -1) {
                        resourceId = obtainStyledAttributes.getInt(index, -1);
                    }
                    valueOf = Integer.valueOf(resourceId);
                }
                attributeType2 = attributeType;
                obj = valueOf;
            }
        }
        if (!(str == null || obj == null)) {
            hashMap.put(str, new ConstraintAttribute(str, attributeType2, obj, z));
        }
        obtainStyledAttributes.recycle();
    }

    public static void r(View view, HashMap<String, ConstraintAttribute> hashMap) {
        Class<?> cls = view.getClass();
        for (String str : hashMap.keySet()) {
            ConstraintAttribute constraintAttribute = hashMap.get(str);
            String str2 = !constraintAttribute.f2028b ? "set" + str : str;
            try {
                switch (a.f2033a[constraintAttribute.f2030d.ordinal()]) {
                    case 1:
                        cls.getMethod(str2, Integer.TYPE).invoke(view, Integer.valueOf(constraintAttribute.f2031e));
                        continue;
                    case 2:
                        cls.getMethod(str2, Boolean.TYPE).invoke(view, Boolean.valueOf(constraintAttribute.h));
                        continue;
                    case 3:
                        cls.getMethod(str2, CharSequence.class).invoke(view, constraintAttribute.g);
                        continue;
                    case 4:
                        cls.getMethod(str2, Integer.TYPE).invoke(view, Integer.valueOf(constraintAttribute.i));
                        continue;
                    case 5:
                        Method method = cls.getMethod(str2, Drawable.class);
                        ColorDrawable colorDrawable = new ColorDrawable();
                        colorDrawable.setColor(constraintAttribute.i);
                        method.invoke(view, colorDrawable);
                        continue;
                    case 6:
                        cls.getMethod(str2, Integer.TYPE).invoke(view, Integer.valueOf(constraintAttribute.f2031e));
                        continue;
                    case 7:
                        cls.getMethod(str2, Float.TYPE).invoke(view, Float.valueOf(constraintAttribute.f));
                        continue;
                    case 8:
                        cls.getMethod(str2, Float.TYPE).invoke(view, Float.valueOf(constraintAttribute.f));
                        continue;
                    default:
                        continue;
                }
            } catch (NoSuchMethodException e2) {
                Log.e(f2027a, e2.getMessage());
                Log.e(f2027a, " Custom Attribute \"" + str + "\" not found on " + cls.getName());
                StringBuilder sb = new StringBuilder();
                sb.append(cls.getName());
                sb.append(" must have a method ");
                sb.append(str2);
                Log.e(f2027a, sb.toString());
            } catch (IllegalAccessException e3) {
                Log.e(f2027a, " Custom Attribute \"" + str + "\" not found on " + cls.getName());
                e3.printStackTrace();
            } catch (InvocationTargetException e4) {
                Log.e(f2027a, " Custom Attribute \"" + str + "\" not found on " + cls.getName());
                e4.printStackTrace();
            }
        }
    }

    public void a(View view) {
        String str;
        Class<?> cls = view.getClass();
        String str2 = this.f2029c;
        if (!this.f2028b) {
            str = "set" + str2;
        } else {
            str = str2;
        }
        try {
            switch (a.f2033a[this.f2030d.ordinal()]) {
                case 1:
                case 6:
                    cls.getMethod(str, Integer.TYPE).invoke(view, Integer.valueOf(this.f2031e));
                    return;
                case 2:
                    cls.getMethod(str, Boolean.TYPE).invoke(view, Boolean.valueOf(this.h));
                    return;
                case 3:
                    cls.getMethod(str, CharSequence.class).invoke(view, this.g);
                    return;
                case 4:
                    cls.getMethod(str, Integer.TYPE).invoke(view, Integer.valueOf(this.i));
                    return;
                case 5:
                    Method method = cls.getMethod(str, Drawable.class);
                    ColorDrawable colorDrawable = new ColorDrawable();
                    colorDrawable.setColor(this.i);
                    method.invoke(view, colorDrawable);
                    return;
                case 7:
                    cls.getMethod(str, Float.TYPE).invoke(view, Float.valueOf(this.f));
                    return;
                case 8:
                    cls.getMethod(str, Float.TYPE).invoke(view, Float.valueOf(this.f));
                    return;
                default:
                    return;
            }
        } catch (NoSuchMethodException e2) {
            Log.e(f2027a, e2.getMessage());
            Log.e(f2027a, " Custom Attribute \"" + str2 + "\" not found on " + cls.getName());
            StringBuilder sb = new StringBuilder();
            sb.append(cls.getName());
            sb.append(" must have a method ");
            sb.append(str);
            Log.e(f2027a, sb.toString());
        } catch (IllegalAccessException e3) {
            Log.e(f2027a, " Custom Attribute \"" + str2 + "\" not found on " + cls.getName());
            e3.printStackTrace();
        } catch (InvocationTargetException e4) {
            Log.e(f2027a, " Custom Attribute \"" + str2 + "\" not found on " + cls.getName());
            e4.printStackTrace();
        }
    }

    public boolean c(ConstraintAttribute constraintAttribute) {
        AttributeType attributeType;
        if (constraintAttribute == null || (attributeType = this.f2030d) != constraintAttribute.f2030d) {
            return false;
        }
        switch (a.f2033a[attributeType.ordinal()]) {
            case 1:
            case 6:
                if (this.f2031e == constraintAttribute.f2031e) {
                    return true;
                }
                return false;
            case 2:
                if (this.h == constraintAttribute.h) {
                    return true;
                }
                return false;
            case 3:
                if (this.f2031e == constraintAttribute.f2031e) {
                    return true;
                }
                return false;
            case 4:
            case 5:
                if (this.i == constraintAttribute.i) {
                    return true;
                }
                return false;
            case 7:
                if (this.f == constraintAttribute.f) {
                    return true;
                }
                return false;
            case 8:
                if (this.f == constraintAttribute.f) {
                    return true;
                }
                return false;
            default:
                return false;
        }
    }

    public int e() {
        return this.i;
    }

    public float f() {
        return this.f;
    }

    public int g() {
        return this.f2031e;
    }

    public String h() {
        return this.f2029c;
    }

    public String i() {
        return this.g;
    }

    public AttributeType j() {
        return this.f2030d;
    }

    public float k() {
        switch (a.f2033a[this.f2030d.ordinal()]) {
            case 2:
                return this.h ? 1.0f : 0.0f;
            case 3:
                throw new RuntimeException("Cannot interpolate String");
            case 4:
            case 5:
                throw new RuntimeException("Color does not have a single color to interpolate");
            case 6:
                return (float) this.f2031e;
            case 7:
                return this.f;
            case 8:
                return this.f;
            default:
                return Float.NaN;
        }
    }

    public void l(float[] fArr) {
        switch (a.f2033a[this.f2030d.ordinal()]) {
            case 2:
                fArr[0] = this.h ? 1.0f : 0.0f;
                return;
            case 3:
                throw new RuntimeException("Color does not have a single color to interpolate");
            case 4:
            case 5:
                int i2 = this.i;
                float pow = (float) Math.pow((double) (((float) ((i2 >> 16) & 255)) / 255.0f), 2.2d);
                float pow2 = (float) Math.pow((double) (((float) ((i2 >> 8) & 255)) / 255.0f), 2.2d);
                fArr[0] = pow;
                fArr[1] = pow2;
                fArr[2] = (float) Math.pow((double) (((float) (i2 & 255)) / 255.0f), 2.2d);
                fArr[3] = ((float) ((i2 >> 24) & 255)) / 255.0f;
                return;
            case 6:
                fArr[0] = (float) this.f2031e;
                return;
            case 7:
                fArr[0] = this.f;
                return;
            case 8:
                fArr[0] = this.f;
                return;
            default:
                return;
        }
    }

    public boolean m() {
        return this.h;
    }

    public boolean n() {
        int i2 = a.f2033a[this.f2030d.ordinal()];
        return (i2 == 1 || i2 == 2 || i2 == 3) ? false : true;
    }

    public boolean o() {
        return this.f2028b;
    }

    public int p() {
        int i2 = a.f2033a[this.f2030d.ordinal()];
        return (i2 == 4 || i2 == 5) ? 4 : 1;
    }

    public void s(int i2) {
        this.i = i2;
    }

    public void t(float f2) {
        this.f = f2;
    }

    public void u(int i2) {
        this.f2031e = i2;
    }

    public void v(String str) {
        this.g = str;
    }

    public void w(Object obj) {
        switch (a.f2033a[this.f2030d.ordinal()]) {
            case 1:
            case 6:
                this.f2031e = ((Integer) obj).intValue();
                return;
            case 2:
                this.h = ((Boolean) obj).booleanValue();
                return;
            case 3:
                this.g = (String) obj;
                return;
            case 4:
            case 5:
                this.i = ((Integer) obj).intValue();
                return;
            case 7:
                this.f = ((Float) obj).floatValue();
                return;
            case 8:
                this.f = ((Float) obj).floatValue();
                return;
            default:
                return;
        }
    }

    public void x(float[] fArr) {
        boolean z = false;
        switch (a.f2033a[this.f2030d.ordinal()]) {
            case 1:
            case 6:
                this.f2031e = (int) fArr[0];
                return;
            case 2:
                if (((double) fArr[0]) > 0.5d) {
                    z = true;
                }
                this.h = z;
                return;
            case 3:
                throw new RuntimeException("Color does not have a single color to interpolate");
            case 4:
            case 5:
                int HSVToColor = Color.HSVToColor(fArr);
                this.i = HSVToColor;
                this.i = (b((int) (fArr[3] * 255.0f)) << 24) | (HSVToColor & ViewCompat.MEASURED_SIZE_MASK);
                return;
            case 7:
                this.f = fArr[0];
                return;
            case 8:
                this.f = fArr[0];
                return;
            default:
                return;
        }
    }

    public ConstraintAttribute(String str, AttributeType attributeType, Object obj, boolean z) {
        this.f2029c = str;
        this.f2030d = attributeType;
        this.f2028b = z;
        w(obj);
    }

    public ConstraintAttribute(ConstraintAttribute constraintAttribute, Object obj) {
        this.f2029c = constraintAttribute.f2029c;
        this.f2030d = constraintAttribute.f2030d;
        w(obj);
    }
}
