package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.core.widgets.d;
import androidx.constraintlayout.core.widgets.g;
import androidx.constraintlayout.core.widgets.h;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.R;
import androidx.constraintlayout.widget.c;
import java.util.Arrays;
import java.util.HashMap;

public abstract class ConstraintHelper extends View {
    protected Context I0;
    protected g J0;
    protected boolean K0;
    protected String L0;
    protected String M0;
    private View[] N0;
    protected HashMap<Integer, String> O0;

    /* renamed from: a  reason: collision with root package name */
    protected int[] f2034a;

    /* renamed from: b  reason: collision with root package name */
    protected int f2035b;

    public ConstraintHelper(Context context) {
        super(context);
        this.f2034a = new int[32];
        this.K0 = false;
        this.N0 = null;
        this.O0 = new HashMap<>();
        this.I0 = context;
        y(null);
    }

    private void l(String str) {
        if (str != null && str.length() != 0 && this.I0 != null) {
            String trim = str.trim();
            if (getParent() instanceof ConstraintLayout) {
                ConstraintLayout constraintLayout = (ConstraintLayout) getParent();
            }
            int v = v(trim);
            if (v != 0) {
                this.O0.put(Integer.valueOf(v), trim);
                m(v);
                return;
            }
            Log.w("ConstraintHelper", "Could not find id of \"" + trim + "\"");
        }
    }

    private void m(int i) {
        if (i != getId()) {
            int i2 = this.f2035b + 1;
            int[] iArr = this.f2034a;
            if (i2 > iArr.length) {
                this.f2034a = Arrays.copyOf(iArr, iArr.length * 2);
            }
            int[] iArr2 = this.f2034a;
            int i3 = this.f2035b;
            iArr2[i3] = i;
            this.f2035b = i3 + 1;
        }
    }

    private void n(String str) {
        if (!(str == null || str.length() == 0 || this.I0 == null)) {
            String trim = str.trim();
            ConstraintLayout constraintLayout = null;
            if (getParent() instanceof ConstraintLayout) {
                constraintLayout = (ConstraintLayout) getParent();
            }
            if (constraintLayout == null) {
                Log.w("ConstraintHelper", "Parent not a ConstraintLayout");
                return;
            }
            int childCount = constraintLayout.getChildCount();
            for (int i = 0; i < childCount; i++) {
                View childAt = constraintLayout.getChildAt(i);
                ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
                if ((layoutParams instanceof ConstraintLayout.LayoutParams) && trim.equals(((ConstraintLayout.LayoutParams) layoutParams).A0)) {
                    if (childAt.getId() == -1) {
                        Log.w("ConstraintHelper", "to use ConstraintTag view " + childAt.getClass().getSimpleName() + " must have an ID");
                    } else {
                        m(childAt.getId());
                    }
                }
            }
        }
    }

    private int[] t(View view, String str) {
        String[] split = str.split(",");
        view.getContext();
        int[] iArr = new int[split.length];
        int i = 0;
        for (String str2 : split) {
            int v = v(str2.trim());
            if (v != 0) {
                iArr[i] = v;
                i++;
            }
        }
        return i != split.length ? Arrays.copyOf(iArr, i) : iArr;
    }

    private int u(ConstraintLayout constraintLayout, String str) {
        Resources resources;
        if (str == null || constraintLayout == null || (resources = this.I0.getResources()) == null) {
            return 0;
        }
        int childCount = constraintLayout.getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = constraintLayout.getChildAt(i);
            if (childAt.getId() != -1) {
                String str2 = null;
                try {
                    str2 = resources.getResourceEntryName(childAt.getId());
                } catch (Resources.NotFoundException unused) {
                }
                if (str.equals(str2)) {
                    return childAt.getId();
                }
            }
        }
        return 0;
    }

    private int v(String str) {
        ConstraintLayout constraintLayout = getParent() instanceof ConstraintLayout ? (ConstraintLayout) getParent() : null;
        int i = 0;
        if (isInEditMode() && constraintLayout != null) {
            Object designInformation = constraintLayout.getDesignInformation(0, str);
            if (designInformation instanceof Integer) {
                i = ((Integer) designInformation).intValue();
            }
        }
        if (i == 0 && constraintLayout != null) {
            i = u(constraintLayout, str);
        }
        if (i == 0) {
            try {
                i = R.id.class.getField(str).getInt(null);
            } catch (Exception unused) {
            }
        }
        return i == 0 ? this.I0.getResources().getIdentifier(str, "id", this.I0.getPackageName()) : i;
    }

    public int A(View view) {
        int i;
        int id = view.getId();
        int i2 = -1;
        if (id == -1) {
            return -1;
        }
        this.L0 = null;
        int i3 = 0;
        while (true) {
            if (i3 >= this.f2035b) {
                break;
            } else if (this.f2034a[i3] == id) {
                int i4 = i3;
                while (true) {
                    i = this.f2035b;
                    if (i4 >= i - 1) {
                        break;
                    }
                    int[] iArr = this.f2034a;
                    int i5 = i4 + 1;
                    iArr[i4] = iArr[i5];
                    i4 = i5;
                }
                this.f2034a[i - 1] = 0;
                this.f2035b = i - 1;
                i2 = i3;
            } else {
                i3++;
            }
        }
        requestLayout();
        return i2;
    }

    public void B(ConstraintWidget constraintWidget, boolean z) {
    }

    public void C(ConstraintLayout constraintLayout) {
    }

    public void D(ConstraintLayout constraintLayout) {
    }

    public void E(ConstraintLayout constraintLayout) {
    }

    public void F(ConstraintLayout constraintLayout) {
    }

    public void G(d dVar, g gVar, SparseArray<ConstraintWidget> sparseArray) {
        gVar.a();
        for (int i = 0; i < this.f2035b; i++) {
            gVar.b(sparseArray.get(this.f2034a[i]));
        }
    }

    public void H(ConstraintLayout constraintLayout) {
        String str;
        int u;
        if (isInEditMode()) {
            setIds(this.L0);
        }
        g gVar = this.J0;
        if (gVar != null) {
            gVar.a();
            for (int i = 0; i < this.f2035b; i++) {
                int i2 = this.f2034a[i];
                View viewById = constraintLayout.getViewById(i2);
                if (viewById == null && (u = u(constraintLayout, (str = this.O0.get(Integer.valueOf(i2))))) != 0) {
                    this.f2034a[i] = u;
                    this.O0.put(Integer.valueOf(u), str);
                    viewById = constraintLayout.getViewById(u);
                }
                if (viewById != null) {
                    this.J0.b(constraintLayout.getViewWidget(viewById));
                }
            }
            this.J0.c(constraintLayout.mLayoutWidget);
        }
    }

    public void I() {
        if (this.J0 != null) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            if (layoutParams instanceof ConstraintLayout.LayoutParams) {
                ((ConstraintLayout.LayoutParams) layoutParams).T0 = (ConstraintWidget) this.J0;
            }
        }
    }

    public int[] getReferencedIds() {
        return Arrays.copyOf(this.f2034a, this.f2035b);
    }

    public void o(View view) {
        if (view != this) {
            if (view.getId() == -1) {
                Log.e("ConstraintHelper", "Views added to a ConstraintHelper need to have an id");
            } else if (view.getParent() == null) {
                Log.e("ConstraintHelper", "Views added to a ConstraintHelper need to have a parent");
            } else {
                this.L0 = null;
                m(view.getId());
                requestLayout();
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        String str = this.L0;
        if (str != null) {
            setIds(str);
        }
        String str2 = this.M0;
        if (str2 != null) {
            setReferenceTags(str2);
        }
    }

    public void onDraw(Canvas canvas) {
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        if (this.K0) {
            super.onMeasure(i, i2);
        } else {
            setMeasuredDimension(0, 0);
        }
    }

    /* access modifiers changed from: protected */
    public void p() {
        ViewParent parent = getParent();
        if (parent != null && (parent instanceof ConstraintLayout)) {
            q((ConstraintLayout) parent);
        }
    }

    /* access modifiers changed from: protected */
    public void q(ConstraintLayout constraintLayout) {
        int visibility = getVisibility();
        float elevation = Build.VERSION.SDK_INT >= 21 ? getElevation() : 0.0f;
        for (int i = 0; i < this.f2035b; i++) {
            View viewById = constraintLayout.getViewById(this.f2034a[i]);
            if (viewById != null) {
                viewById.setVisibility(visibility);
                if (elevation > 0.0f && Build.VERSION.SDK_INT >= 21) {
                    viewById.setTranslationZ(viewById.getTranslationZ() + elevation);
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    public void r(ConstraintLayout constraintLayout) {
    }

    public boolean s(int i) {
        for (int i2 : this.f2034a) {
            if (i2 == i) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public void setIds(String str) {
        this.L0 = str;
        if (str != null) {
            int i = 0;
            this.f2035b = 0;
            while (true) {
                int indexOf = str.indexOf(44, i);
                if (indexOf == -1) {
                    l(str.substring(i));
                    return;
                } else {
                    l(str.substring(i, indexOf));
                    i = indexOf + 1;
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    public void setReferenceTags(String str) {
        this.M0 = str;
        if (str != null) {
            int i = 0;
            this.f2035b = 0;
            while (true) {
                int indexOf = str.indexOf(44, i);
                if (indexOf == -1) {
                    n(str.substring(i));
                    return;
                } else {
                    n(str.substring(i, indexOf));
                    i = indexOf + 1;
                }
            }
        }
    }

    public void setReferencedIds(int[] iArr) {
        this.L0 = null;
        this.f2035b = 0;
        for (int i : iArr) {
            m(i);
        }
    }

    public void setTag(int i, Object obj) {
        super.setTag(i, obj);
        if (obj == null && this.L0 == null) {
            m(i);
        }
    }

    /* access modifiers changed from: protected */
    public View[] w(ConstraintLayout constraintLayout) {
        View[] viewArr = this.N0;
        if (viewArr == null || viewArr.length != this.f2035b) {
            this.N0 = new View[this.f2035b];
        }
        for (int i = 0; i < this.f2035b; i++) {
            this.N0[i] = constraintLayout.getViewById(this.f2034a[i]);
        }
        return this.N0;
    }

    public int x(int i) {
        int i2 = -1;
        for (int i3 : this.f2034a) {
            i2++;
            if (i3 == i) {
                return i2;
            }
        }
        return i2;
    }

    /* access modifiers changed from: protected */
    public void y(AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R.styleable.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.ConstraintLayout_Layout_constraint_referenced_ids) {
                    String string = obtainStyledAttributes.getString(index);
                    this.L0 = string;
                    setIds(string);
                } else if (index == R.styleable.ConstraintLayout_Layout_constraint_referenced_tags) {
                    String string2 = obtainStyledAttributes.getString(index);
                    this.M0 = string2;
                    setReferenceTags(string2);
                }
            }
            obtainStyledAttributes.recycle();
        }
    }

    public void z(c.a aVar, h hVar, ConstraintLayout.LayoutParams layoutParams, SparseArray<ConstraintWidget> sparseArray) {
        c.b bVar = aVar.f2088e;
        int[] iArr = bVar.D1;
        if (iArr != null) {
            setReferencedIds(iArr);
        } else {
            String str = bVar.E1;
            if (str != null) {
                if (str.length() > 0) {
                    c.b bVar2 = aVar.f2088e;
                    bVar2.D1 = t(this, bVar2.E1);
                } else {
                    aVar.f2088e.D1 = null;
                }
            }
        }
        if (hVar != null) {
            hVar.a();
            if (aVar.f2088e.D1 != null) {
                int i = 0;
                while (true) {
                    int[] iArr2 = aVar.f2088e.D1;
                    if (i < iArr2.length) {
                        ConstraintWidget constraintWidget = sparseArray.get(iArr2[i]);
                        if (constraintWidget != null) {
                            hVar.b(constraintWidget);
                        }
                        i++;
                    } else {
                        return;
                    }
                }
            }
        }
    }

    public ConstraintHelper(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f2034a = new int[32];
        this.K0 = false;
        this.N0 = null;
        this.O0 = new HashMap<>();
        this.I0 = context;
        y(attributeSet);
    }

    public ConstraintHelper(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f2034a = new int[32];
        this.K0 = false;
        this.N0 = null;
        this.O0 = new HashMap<>();
        this.I0 = context;
        y(attributeSet);
    }
}
