package androidx.constraintlayout.widget;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.constraintlayout.core.f;
import androidx.constraintlayout.core.widgets.ConstraintAnchor;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.core.widgets.d;
import androidx.constraintlayout.core.widgets.i;
import androidx.constraintlayout.core.widgets.l;
import androidx.constraintlayout.core.widgets.n.b;
import androidx.core.view.ViewCompat;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;

public class ConstraintLayout extends ViewGroup {
    private static final boolean DEBUG = false;
    private static final boolean DEBUG_DRAW_CONSTRAINTS = false;
    public static final int DESIGN_INFO_ID = 0;
    private static final boolean MEASURE = false;
    private static final boolean OPTIMIZE_HEIGHT_CHANGE = false;
    private static final String TAG = "ConstraintLayout";
    private static final boolean USE_CONSTRAINTS_HELPER = true;
    public static final String VERSION = "ConstraintLayout-2.1.4";
    private static e sSharedValues;
    SparseArray<View> mChildrenByIds = new SparseArray<>();
    private ArrayList<ConstraintHelper> mConstraintHelpers = new ArrayList<>(4);
    protected a mConstraintLayoutSpec = null;
    private c mConstraintSet = null;
    private int mConstraintSetId = -1;
    private d mConstraintsChangedListener;
    private HashMap<String, Integer> mDesignIds = new HashMap<>();
    protected boolean mDirtyHierarchy = true;
    private int mLastMeasureHeight = -1;
    int mLastMeasureHeightMode = 0;
    int mLastMeasureHeightSize = -1;
    private int mLastMeasureWidth = -1;
    int mLastMeasureWidthMode = 0;
    int mLastMeasureWidthSize = -1;
    protected d mLayoutWidget = new d();
    private int mMaxHeight = Integer.MAX_VALUE;
    private int mMaxWidth = Integer.MAX_VALUE;
    b mMeasurer = new b(this);
    private f mMetrics;
    private int mMinHeight = 0;
    private int mMinWidth = 0;
    private int mOnMeasureHeightMeasureSpec = 0;
    private int mOnMeasureWidthMeasureSpec = 0;
    private int mOptimizationLevel = 257;
    private SparseArray<ConstraintWidget> mTempMapIdToWidget = new SparseArray<>();

    static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f2046a;

        /* JADX WARNING: Can't wrap try/catch for region: R(8:0|1|2|3|4|5|6|(3:7|8|10)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        static {
            int[] iArr = new int[ConstraintWidget.DimensionBehaviour.values().length];
            f2046a = iArr;
            iArr[ConstraintWidget.DimensionBehaviour.FIXED.ordinal()] = 1;
            f2046a[ConstraintWidget.DimensionBehaviour.WRAP_CONTENT.ordinal()] = 2;
            f2046a[ConstraintWidget.DimensionBehaviour.MATCH_PARENT.ordinal()] = 3;
            try {
                f2046a[ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT.ordinal()] = 4;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements b.AbstractC0019b {

        /* renamed from: a  reason: collision with root package name */
        ConstraintLayout f2047a;

        /* renamed from: b  reason: collision with root package name */
        int f2048b;

        /* renamed from: c  reason: collision with root package name */
        int f2049c;

        /* renamed from: d  reason: collision with root package name */
        int f2050d;

        /* renamed from: e  reason: collision with root package name */
        int f2051e;
        int f;
        int g;

        public b(ConstraintLayout constraintLayout) {
            this.f2047a = constraintLayout;
        }

        private boolean d(int i, int i2, int i3) {
            if (i == i2) {
                return true;
            }
            int mode = View.MeasureSpec.getMode(i);
            View.MeasureSpec.getSize(i);
            int mode2 = View.MeasureSpec.getMode(i2);
            int size = View.MeasureSpec.getSize(i2);
            if (mode2 != 1073741824) {
                return false;
            }
            if ((mode == Integer.MIN_VALUE || mode == 0) && i3 == size) {
                return true;
            }
            return false;
        }

        @Override // androidx.constraintlayout.core.widgets.n.b.AbstractC0019b
        public final void a() {
            int childCount = this.f2047a.getChildCount();
            for (int i = 0; i < childCount; i++) {
                View childAt = this.f2047a.getChildAt(i);
                if (childAt instanceof Placeholder) {
                    ((Placeholder) childAt).b(this.f2047a);
                }
            }
            int size = this.f2047a.mConstraintHelpers.size();
            if (size > 0) {
                for (int i2 = 0; i2 < size; i2++) {
                    ((ConstraintHelper) this.f2047a.mConstraintHelpers.get(i2)).E(this.f2047a);
                }
            }
        }

        @Override // androidx.constraintlayout.core.widgets.n.b.AbstractC0019b
        @SuppressLint({"WrongCall"})
        public final void b(ConstraintWidget constraintWidget, b.a aVar) {
            int i;
            int i2;
            int i3;
            int i4;
            int i5;
            int i6;
            int i7;
            if (constraintWidget != null) {
                if (constraintWidget.l0() == 8 && !constraintWidget.C0()) {
                    aVar.h = 0;
                    aVar.i = 0;
                    aVar.j = 0;
                } else if (constraintWidget.U() != null) {
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour = aVar.f1830d;
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour2 = aVar.f1831e;
                    int i8 = aVar.f;
                    int i9 = aVar.g;
                    int i10 = this.f2048b + this.f2049c;
                    int i11 = this.f2050d;
                    View view = (View) constraintWidget.w();
                    int[] iArr = a.f2046a;
                    int i12 = iArr[dimensionBehaviour.ordinal()];
                    if (i12 == 1) {
                        i = View.MeasureSpec.makeMeasureSpec(i8, 1073741824);
                    } else if (i12 == 2) {
                        i = ViewGroup.getChildMeasureSpec(this.f, i11, -2);
                    } else if (i12 == 3) {
                        i = ViewGroup.getChildMeasureSpec(this.f, i11 + constraintWidget.I(), -1);
                    } else if (i12 != 4) {
                        i = 0;
                    } else {
                        i = ViewGroup.getChildMeasureSpec(this.f, i11, -2);
                        boolean z = constraintWidget.c0 == 1;
                        int i13 = aVar.m;
                        if (i13 == b.a.f1828b || i13 == b.a.f1829c) {
                            if (aVar.m == b.a.f1829c || !z || (z && (view.getMeasuredHeight() == constraintWidget.D())) || (view instanceof Placeholder) || constraintWidget.G0()) {
                                i = View.MeasureSpec.makeMeasureSpec(constraintWidget.m0(), 1073741824);
                            }
                        }
                    }
                    int i14 = iArr[dimensionBehaviour2.ordinal()];
                    if (i14 == 1) {
                        i2 = View.MeasureSpec.makeMeasureSpec(i9, 1073741824);
                    } else if (i14 == 2) {
                        i2 = ViewGroup.getChildMeasureSpec(this.g, i10, -2);
                    } else if (i14 == 3) {
                        i2 = ViewGroup.getChildMeasureSpec(this.g, i10 + constraintWidget.k0(), -1);
                    } else if (i14 != 4) {
                        i2 = 0;
                    } else {
                        i2 = ViewGroup.getChildMeasureSpec(this.g, i10, -2);
                        boolean z2 = constraintWidget.d0 == 1;
                        int i15 = aVar.m;
                        if (i15 == b.a.f1828b || i15 == b.a.f1829c) {
                            if (aVar.m == b.a.f1829c || !z2 || (z2 && (view.getMeasuredWidth() == constraintWidget.m0())) || (view instanceof Placeholder) || constraintWidget.H0()) {
                                i2 = View.MeasureSpec.makeMeasureSpec(constraintWidget.D(), 1073741824);
                            }
                        }
                    }
                    d dVar = (d) constraintWidget.U();
                    if (dVar != null && i.b(ConstraintLayout.this.mOptimizationLevel, 256) && view.getMeasuredWidth() == constraintWidget.m0() && view.getMeasuredWidth() < dVar.m0() && view.getMeasuredHeight() == constraintWidget.D() && view.getMeasuredHeight() < dVar.D() && view.getBaseline() == constraintWidget.t() && !constraintWidget.F0()) {
                        if (d(constraintWidget.J(), i, constraintWidget.m0()) && d(constraintWidget.K(), i2, constraintWidget.D())) {
                            aVar.h = constraintWidget.m0();
                            aVar.i = constraintWidget.D();
                            aVar.j = constraintWidget.t();
                            return;
                        }
                    }
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour3 = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                    boolean z3 = dimensionBehaviour == dimensionBehaviour3;
                    boolean z4 = dimensionBehaviour2 == dimensionBehaviour3;
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour4 = ConstraintWidget.DimensionBehaviour.MATCH_PARENT;
                    boolean z5 = dimensionBehaviour2 == dimensionBehaviour4 || dimensionBehaviour2 == ConstraintWidget.DimensionBehaviour.FIXED;
                    boolean z6 = dimensionBehaviour == dimensionBehaviour4 || dimensionBehaviour == ConstraintWidget.DimensionBehaviour.FIXED;
                    boolean z7 = z3 && constraintWidget.L0 > 0.0f;
                    boolean z8 = z4 && constraintWidget.L0 > 0.0f;
                    if (view != null) {
                        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
                        int i16 = aVar.m;
                        if (i16 == b.a.f1828b || i16 == b.a.f1829c || !z3 || constraintWidget.c0 != 0 || !z4 || constraintWidget.d0 != 0) {
                            if (!(view instanceof VirtualLayout) || !(constraintWidget instanceof l)) {
                                view.measure(i, i2);
                            } else {
                                ((VirtualLayout) view).J((l) constraintWidget, i, i2);
                            }
                            constraintWidget.J1(i, i2);
                            int measuredWidth = view.getMeasuredWidth();
                            int measuredHeight = view.getMeasuredHeight();
                            i4 = view.getBaseline();
                            int i17 = constraintWidget.f0;
                            i3 = i17 > 0 ? Math.max(i17, measuredWidth) : measuredWidth;
                            int i18 = constraintWidget.g0;
                            if (i18 > 0) {
                                i3 = Math.min(i18, i3);
                            }
                            int i19 = constraintWidget.i0;
                            if (i19 > 0) {
                                i5 = Math.max(i19, measuredHeight);
                                i7 = i;
                            } else {
                                i7 = i;
                                i5 = measuredHeight;
                            }
                            int i20 = constraintWidget.j0;
                            if (i20 > 0) {
                                i5 = Math.min(i20, i5);
                            }
                            if (!i.b(ConstraintLayout.this.mOptimizationLevel, 1)) {
                                if (z7 && z5) {
                                    i3 = (int) ((((float) i5) * constraintWidget.L0) + 0.5f);
                                } else if (z8 && z6) {
                                    i5 = (int) ((((float) i3) / constraintWidget.L0) + 0.5f);
                                }
                            }
                            if (!(measuredWidth == i3 && measuredHeight == i5)) {
                                int makeMeasureSpec = measuredWidth != i3 ? View.MeasureSpec.makeMeasureSpec(i3, 1073741824) : i7;
                                if (measuredHeight != i5) {
                                    i2 = View.MeasureSpec.makeMeasureSpec(i5, 1073741824);
                                }
                                view.measure(makeMeasureSpec, i2);
                                constraintWidget.J1(makeMeasureSpec, i2);
                                i3 = view.getMeasuredWidth();
                                i5 = view.getMeasuredHeight();
                                i4 = view.getBaseline();
                            }
                            i6 = -1;
                        } else {
                            i6 = -1;
                            i5 = 0;
                            i4 = 0;
                            i3 = 0;
                        }
                        boolean z9 = i4 != i6;
                        aVar.l = (i3 == aVar.f && i5 == aVar.g) ? false : true;
                        if (layoutParams.E0) {
                            z9 = true;
                        }
                        if (!(!z9 || i4 == -1 || constraintWidget.t() == i4)) {
                            aVar.l = true;
                        }
                        aVar.h = i3;
                        aVar.i = i5;
                        aVar.k = z9;
                        aVar.j = i4;
                    }
                }
            }
        }

        public void c(int i, int i2, int i3, int i4, int i5, int i6) {
            this.f2048b = i3;
            this.f2049c = i4;
            this.f2050d = i5;
            this.f2051e = i6;
            this.f = i;
            this.g = i2;
        }
    }

    public ConstraintLayout(@NonNull Context context) {
        super(context);
        init(null, 0, 0);
    }

    private int getPaddingWidth() {
        int i = 0;
        int max = Math.max(0, getPaddingLeft()) + Math.max(0, getPaddingRight());
        if (Build.VERSION.SDK_INT >= 17) {
            i = Math.max(0, getPaddingEnd()) + Math.max(0, getPaddingStart());
        }
        return i > 0 ? i : max;
    }

    public static e getSharedValues() {
        if (sSharedValues == null) {
            sSharedValues = new e();
        }
        return sSharedValues;
    }

    private final ConstraintWidget getTargetWidget(int i) {
        if (i == 0) {
            return this.mLayoutWidget;
        }
        View view = this.mChildrenByIds.get(i);
        if (view == null && (view = findViewById(i)) != null && view != this && view.getParent() == this) {
            onViewAdded(view);
        }
        if (view == this) {
            return this.mLayoutWidget;
        }
        if (view == null) {
            return null;
        }
        return ((LayoutParams) view.getLayoutParams()).T0;
    }

    private void init(AttributeSet attributeSet, int i, int i2) {
        this.mLayoutWidget.h1(this);
        this.mLayoutWidget.U2(this.mMeasurer);
        this.mChildrenByIds.put(getId(), this);
        this.mConstraintSet = null;
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R.styleable.ConstraintLayout_Layout, i, i2);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i3 = 0; i3 < indexCount; i3++) {
                int index = obtainStyledAttributes.getIndex(i3);
                if (index == R.styleable.ConstraintLayout_Layout_android_minWidth) {
                    this.mMinWidth = obtainStyledAttributes.getDimensionPixelOffset(index, this.mMinWidth);
                } else if (index == R.styleable.ConstraintLayout_Layout_android_minHeight) {
                    this.mMinHeight = obtainStyledAttributes.getDimensionPixelOffset(index, this.mMinHeight);
                } else if (index == R.styleable.ConstraintLayout_Layout_android_maxWidth) {
                    this.mMaxWidth = obtainStyledAttributes.getDimensionPixelOffset(index, this.mMaxWidth);
                } else if (index == R.styleable.ConstraintLayout_Layout_android_maxHeight) {
                    this.mMaxHeight = obtainStyledAttributes.getDimensionPixelOffset(index, this.mMaxHeight);
                } else if (index == R.styleable.ConstraintLayout_Layout_layout_optimizationLevel) {
                    this.mOptimizationLevel = obtainStyledAttributes.getInt(index, this.mOptimizationLevel);
                } else if (index == R.styleable.ConstraintLayout_Layout_layoutDescription) {
                    int resourceId = obtainStyledAttributes.getResourceId(index, 0);
                    if (resourceId != 0) {
                        try {
                            parseLayoutDescription(resourceId);
                        } catch (Resources.NotFoundException unused) {
                            this.mConstraintLayoutSpec = null;
                        }
                    }
                } else if (index == R.styleable.ConstraintLayout_Layout_constraintSet) {
                    int resourceId2 = obtainStyledAttributes.getResourceId(index, 0);
                    try {
                        c cVar = new c();
                        this.mConstraintSet = cVar;
                        cVar.w0(getContext(), resourceId2);
                    } catch (Resources.NotFoundException unused2) {
                        this.mConstraintSet = null;
                    }
                    this.mConstraintSetId = resourceId2;
                }
            }
            obtainStyledAttributes.recycle();
        }
        this.mLayoutWidget.V2(this.mOptimizationLevel);
    }

    private void markHierarchyDirty() {
        this.mDirtyHierarchy = true;
        this.mLastMeasureWidth = -1;
        this.mLastMeasureHeight = -1;
        this.mLastMeasureWidthSize = -1;
        this.mLastMeasureHeightSize = -1;
        this.mLastMeasureWidthMode = 0;
        this.mLastMeasureHeightMode = 0;
    }

    private void setChildrenConstraints() {
        boolean isInEditMode = isInEditMode();
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            ConstraintWidget viewWidget = getViewWidget(getChildAt(i));
            if (viewWidget != null) {
                viewWidget.R0();
            }
        }
        if (isInEditMode) {
            for (int i2 = 0; i2 < childCount; i2++) {
                View childAt = getChildAt(i2);
                try {
                    String resourceName = getResources().getResourceName(childAt.getId());
                    setDesignInformation(0, resourceName, Integer.valueOf(childAt.getId()));
                    int indexOf = resourceName.indexOf(47);
                    if (indexOf != -1) {
                        resourceName = resourceName.substring(indexOf + 1);
                    }
                    getTargetWidget(childAt.getId()).j1(resourceName);
                } catch (Resources.NotFoundException unused) {
                }
            }
        }
        if (this.mConstraintSetId != -1) {
            for (int i3 = 0; i3 < childCount; i3++) {
                View childAt2 = getChildAt(i3);
                if (childAt2.getId() == this.mConstraintSetId && (childAt2 instanceof Constraints)) {
                    this.mConstraintSet = ((Constraints) childAt2).getConstraintSet();
                }
            }
        }
        c cVar = this.mConstraintSet;
        if (cVar != null) {
            cVar.t(this, true);
        }
        this.mLayoutWidget.p2();
        int size = this.mConstraintHelpers.size();
        if (size > 0) {
            for (int i4 = 0; i4 < size; i4++) {
                this.mConstraintHelpers.get(i4).H(this);
            }
        }
        for (int i5 = 0; i5 < childCount; i5++) {
            View childAt3 = getChildAt(i5);
            if (childAt3 instanceof Placeholder) {
                ((Placeholder) childAt3).c(this);
            }
        }
        this.mTempMapIdToWidget.clear();
        this.mTempMapIdToWidget.put(0, this.mLayoutWidget);
        this.mTempMapIdToWidget.put(getId(), this.mLayoutWidget);
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt4 = getChildAt(i6);
            this.mTempMapIdToWidget.put(childAt4.getId(), getViewWidget(childAt4));
        }
        for (int i7 = 0; i7 < childCount; i7++) {
            View childAt5 = getChildAt(i7);
            ConstraintWidget viewWidget2 = getViewWidget(childAt5);
            if (viewWidget2 != null) {
                LayoutParams layoutParams = (LayoutParams) childAt5.getLayoutParams();
                this.mLayoutWidget.b(viewWidget2);
                applyConstraintsFromLayoutParams(isInEditMode, childAt5, viewWidget2, layoutParams, this.mTempMapIdToWidget);
            }
        }
    }

    private void setWidgetBaseline(ConstraintWidget constraintWidget, LayoutParams layoutParams, SparseArray<ConstraintWidget> sparseArray, int i, ConstraintAnchor.Type type) {
        View view = this.mChildrenByIds.get(i);
        ConstraintWidget constraintWidget2 = sparseArray.get(i);
        if (constraintWidget2 != null && view != null && (view.getLayoutParams() instanceof LayoutParams)) {
            layoutParams.E0 = true;
            ConstraintAnchor.Type type2 = ConstraintAnchor.Type.BASELINE;
            if (type == type2) {
                LayoutParams layoutParams2 = (LayoutParams) view.getLayoutParams();
                layoutParams2.E0 = true;
                layoutParams2.T0.x1(true);
            }
            constraintWidget.r(type2).b(constraintWidget2.r(type), layoutParams.b0, layoutParams.a0, true);
            constraintWidget.x1(true);
            constraintWidget.r(ConstraintAnchor.Type.TOP).x();
            constraintWidget.r(ConstraintAnchor.Type.BOTTOM).x();
        }
    }

    private boolean updateHierarchy() {
        int childCount = getChildCount();
        boolean z = false;
        int i = 0;
        while (true) {
            if (i >= childCount) {
                break;
            } else if (getChildAt(i).isLayoutRequested()) {
                z = true;
                break;
            } else {
                i++;
            }
        }
        if (z) {
            setChildrenConstraints();
        }
        return z;
    }

    /* access modifiers changed from: protected */
    public void applyConstraintsFromLayoutParams(boolean z, View view, ConstraintWidget constraintWidget, LayoutParams layoutParams, SparseArray<ConstraintWidget> sparseArray) {
        float f;
        int i;
        int i2;
        int i3;
        int i4;
        ConstraintWidget constraintWidget2;
        ConstraintWidget constraintWidget3;
        ConstraintWidget constraintWidget4;
        ConstraintWidget constraintWidget5;
        layoutParams.e();
        layoutParams.U0 = false;
        constraintWidget.b2(view.getVisibility());
        if (layoutParams.H0) {
            constraintWidget.H1(true);
            constraintWidget.b2(8);
        }
        constraintWidget.h1(view);
        if (view instanceof ConstraintHelper) {
            ((ConstraintHelper) view).B(constraintWidget, this.mLayoutWidget.O2());
        }
        if (layoutParams.F0) {
            androidx.constraintlayout.core.widgets.f fVar = (androidx.constraintlayout.core.widgets.f) constraintWidget;
            int i5 = layoutParams.Q0;
            int i6 = layoutParams.R0;
            float f2 = layoutParams.S0;
            if (Build.VERSION.SDK_INT < 17) {
                i5 = layoutParams.y;
                i6 = layoutParams.z;
                f2 = layoutParams.A;
            }
            if (f2 != -1.0f) {
                fVar.y2(f2);
            } else if (i5 != -1) {
                fVar.w2(i5);
            } else if (i6 != -1) {
                fVar.x2(i6);
            }
        } else {
            int i7 = layoutParams.J0;
            int i8 = layoutParams.K0;
            int i9 = layoutParams.L0;
            int i10 = layoutParams.M0;
            int i11 = layoutParams.N0;
            int i12 = layoutParams.O0;
            float f3 = layoutParams.P0;
            if (Build.VERSION.SDK_INT < 17) {
                i7 = layoutParams.C;
                int i13 = layoutParams.D;
                int i14 = layoutParams.E;
                int i15 = layoutParams.F;
                int i16 = layoutParams.U;
                int i17 = layoutParams.W;
                float f4 = layoutParams.e0;
                if (i7 == -1 && i13 == -1) {
                    int i18 = layoutParams.R;
                    if (i18 != -1) {
                        i7 = i18;
                    } else {
                        int i19 = layoutParams.Q;
                        if (i19 != -1) {
                            i13 = i19;
                        }
                    }
                }
                if (i14 == -1 && i15 == -1) {
                    i3 = layoutParams.S;
                    if (i3 == -1) {
                        int i20 = layoutParams.T;
                        if (i20 != -1) {
                            i = i17;
                            f = f4;
                            i11 = i16;
                            i2 = i20;
                            i8 = i13;
                            i3 = i14;
                        }
                    }
                    i = i17;
                    f = f4;
                    i11 = i16;
                    i2 = i15;
                    i8 = i13;
                }
                i3 = i14;
                i = i17;
                f = f4;
                i11 = i16;
                i2 = i15;
                i8 = i13;
            } else {
                i = i12;
                f = f3;
                i3 = i9;
                i2 = i10;
            }
            int i21 = layoutParams.N;
            if (i21 != -1) {
                ConstraintWidget constraintWidget6 = sparseArray.get(i21);
                if (constraintWidget6 != null) {
                    constraintWidget.m(constraintWidget6, layoutParams.P, layoutParams.O);
                }
            } else {
                if (i7 != -1) {
                    ConstraintWidget constraintWidget7 = sparseArray.get(i7);
                    if (constraintWidget7 != null) {
                        ConstraintAnchor.Type type = ConstraintAnchor.Type.LEFT;
                        constraintWidget.v0(type, constraintWidget7, type, ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin, i11);
                    }
                } else if (!(i8 == -1 || (constraintWidget5 = sparseArray.get(i8)) == null)) {
                    constraintWidget.v0(ConstraintAnchor.Type.LEFT, constraintWidget5, ConstraintAnchor.Type.RIGHT, ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin, i11);
                }
                if (i3 != -1) {
                    ConstraintWidget constraintWidget8 = sparseArray.get(i3);
                    if (constraintWidget8 != null) {
                        constraintWidget.v0(ConstraintAnchor.Type.RIGHT, constraintWidget8, ConstraintAnchor.Type.LEFT, ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin, i);
                    }
                } else if (!(i2 == -1 || (constraintWidget4 = sparseArray.get(i2)) == null)) {
                    ConstraintAnchor.Type type2 = ConstraintAnchor.Type.RIGHT;
                    constraintWidget.v0(type2, constraintWidget4, type2, ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin, i);
                }
                int i22 = layoutParams.G;
                if (i22 != -1) {
                    ConstraintWidget constraintWidget9 = sparseArray.get(i22);
                    if (constraintWidget9 != null) {
                        ConstraintAnchor.Type type3 = ConstraintAnchor.Type.TOP;
                        constraintWidget.v0(type3, constraintWidget9, type3, ((ViewGroup.MarginLayoutParams) layoutParams).topMargin, layoutParams.V);
                    }
                } else {
                    int i23 = layoutParams.H;
                    if (!(i23 == -1 || (constraintWidget3 = sparseArray.get(i23)) == null)) {
                        constraintWidget.v0(ConstraintAnchor.Type.TOP, constraintWidget3, ConstraintAnchor.Type.BOTTOM, ((ViewGroup.MarginLayoutParams) layoutParams).topMargin, layoutParams.V);
                    }
                }
                int i24 = layoutParams.I;
                if (i24 != -1) {
                    ConstraintWidget constraintWidget10 = sparseArray.get(i24);
                    if (constraintWidget10 != null) {
                        constraintWidget.v0(ConstraintAnchor.Type.BOTTOM, constraintWidget10, ConstraintAnchor.Type.TOP, ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin, layoutParams.X);
                    }
                } else {
                    int i25 = layoutParams.J;
                    if (!(i25 == -1 || (constraintWidget2 = sparseArray.get(i25)) == null)) {
                        ConstraintAnchor.Type type4 = ConstraintAnchor.Type.BOTTOM;
                        constraintWidget.v0(type4, constraintWidget2, type4, ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin, layoutParams.X);
                    }
                }
                int i26 = layoutParams.K;
                if (i26 != -1) {
                    setWidgetBaseline(constraintWidget, layoutParams, sparseArray, i26, ConstraintAnchor.Type.BASELINE);
                } else {
                    int i27 = layoutParams.L;
                    if (i27 != -1) {
                        setWidgetBaseline(constraintWidget, layoutParams, sparseArray, i27, ConstraintAnchor.Type.TOP);
                    } else {
                        int i28 = layoutParams.M;
                        if (i28 != -1) {
                            setWidgetBaseline(constraintWidget, layoutParams, sparseArray, i28, ConstraintAnchor.Type.BOTTOM);
                        }
                    }
                }
                if (f >= 0.0f) {
                    constraintWidget.A1(f);
                }
                float f5 = layoutParams.f0;
                if (f5 >= 0.0f) {
                    constraintWidget.V1(f5);
                }
            }
            if (z && !((i4 = layoutParams.v0) == -1 && layoutParams.w0 == -1)) {
                constraintWidget.R1(i4, layoutParams.w0);
            }
            if (layoutParams.C0) {
                constraintWidget.D1(ConstraintWidget.DimensionBehaviour.FIXED);
                constraintWidget.c2(((ViewGroup.MarginLayoutParams) layoutParams).width);
                if (((ViewGroup.MarginLayoutParams) layoutParams).width == -2) {
                    constraintWidget.D1(ConstraintWidget.DimensionBehaviour.WRAP_CONTENT);
                }
            } else if (((ViewGroup.MarginLayoutParams) layoutParams).width == -1) {
                if (layoutParams.y0) {
                    constraintWidget.D1(ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT);
                } else {
                    constraintWidget.D1(ConstraintWidget.DimensionBehaviour.MATCH_PARENT);
                }
                constraintWidget.r(ConstraintAnchor.Type.LEFT).i = ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin;
                constraintWidget.r(ConstraintAnchor.Type.RIGHT).i = ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin;
            } else {
                constraintWidget.D1(ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT);
                constraintWidget.c2(0);
            }
            if (layoutParams.D0) {
                constraintWidget.Y1(ConstraintWidget.DimensionBehaviour.FIXED);
                constraintWidget.y1(((ViewGroup.MarginLayoutParams) layoutParams).height);
                if (((ViewGroup.MarginLayoutParams) layoutParams).height == -2) {
                    constraintWidget.Y1(ConstraintWidget.DimensionBehaviour.WRAP_CONTENT);
                }
            } else if (((ViewGroup.MarginLayoutParams) layoutParams).height == -1) {
                if (layoutParams.z0) {
                    constraintWidget.Y1(ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT);
                } else {
                    constraintWidget.Y1(ConstraintWidget.DimensionBehaviour.MATCH_PARENT);
                }
                constraintWidget.r(ConstraintAnchor.Type.TOP).i = ((ViewGroup.MarginLayoutParams) layoutParams).topMargin;
                constraintWidget.r(ConstraintAnchor.Type.BOTTOM).i = ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin;
            } else {
                constraintWidget.Y1(ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT);
                constraintWidget.y1(0);
            }
            constraintWidget.n1(layoutParams.g0);
            constraintWidget.F1(layoutParams.j0);
            constraintWidget.a2(layoutParams.k0);
            constraintWidget.B1(layoutParams.l0);
            constraintWidget.W1(layoutParams.m0);
            constraintWidget.e2(layoutParams.B0);
            constraintWidget.E1(layoutParams.n0, layoutParams.p0, layoutParams.r0, layoutParams.t0);
            constraintWidget.Z1(layoutParams.o0, layoutParams.q0, layoutParams.s0, layoutParams.u0);
        }
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof LayoutParams;
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(Canvas canvas) {
        Object tag;
        int size;
        ArrayList<ConstraintHelper> arrayList = this.mConstraintHelpers;
        if (arrayList != null && (size = arrayList.size()) > 0) {
            for (int i = 0; i < size; i++) {
                this.mConstraintHelpers.get(i).F(this);
            }
        }
        super.dispatchDraw(canvas);
        if (isInEditMode()) {
            float width = (float) getWidth();
            float height = (float) getHeight();
            int childCount = getChildCount();
            for (int i2 = 0; i2 < childCount; i2++) {
                View childAt = getChildAt(i2);
                if (!(childAt.getVisibility() == 8 || (tag = childAt.getTag()) == null || !(tag instanceof String))) {
                    String[] split = ((String) tag).split(",");
                    if (split.length == 4) {
                        int parseInt = Integer.parseInt(split[0]);
                        int parseInt2 = Integer.parseInt(split[1]);
                        int parseInt3 = Integer.parseInt(split[2]);
                        int i3 = (int) ((((float) parseInt) / 1080.0f) * width);
                        int i4 = (int) ((((float) parseInt2) / 1920.0f) * height);
                        Paint paint = new Paint();
                        paint.setColor(androidx.core.d.b.a.f2500c);
                        float f = (float) i3;
                        float f2 = (float) i4;
                        float f3 = (float) (i3 + ((int) ((((float) parseInt3) / 1080.0f) * width)));
                        canvas.drawLine(f, f2, f3, f2, paint);
                        float parseInt4 = (float) (i4 + ((int) ((((float) Integer.parseInt(split[3])) / 1920.0f) * height)));
                        canvas.drawLine(f3, f2, f3, parseInt4, paint);
                        canvas.drawLine(f3, parseInt4, f, parseInt4, paint);
                        canvas.drawLine(f, parseInt4, f, f2, paint);
                        paint.setColor(-16711936);
                        canvas.drawLine(f, f2, f3, parseInt4, paint);
                        canvas.drawLine(f, parseInt4, f3, f2, paint);
                    }
                }
            }
        }
    }

    public void fillMetrics(f fVar) {
        this.mMetrics = fVar;
        this.mLayoutWidget.E2(fVar);
    }

    public void forceLayout() {
        markHierarchyDirty();
        super.forceLayout();
    }

    public Object getDesignInformation(int i, Object obj) {
        if (i != 0 || !(obj instanceof String)) {
            return null;
        }
        String str = (String) obj;
        HashMap<String, Integer> hashMap = this.mDesignIds;
        if (hashMap == null || !hashMap.containsKey(str)) {
            return null;
        }
        return this.mDesignIds.get(str);
    }

    public int getMaxHeight() {
        return this.mMaxHeight;
    }

    public int getMaxWidth() {
        return this.mMaxWidth;
    }

    public int getMinHeight() {
        return this.mMinHeight;
    }

    public int getMinWidth() {
        return this.mMinWidth;
    }

    public int getOptimizationLevel() {
        return this.mLayoutWidget.H2();
    }

    public String getSceneString() {
        int id;
        StringBuilder sb = new StringBuilder();
        if (this.mLayoutWidget.U == null) {
            int id2 = getId();
            if (id2 != -1) {
                this.mLayoutWidget.U = getContext().getResources().getResourceEntryName(id2);
            } else {
                this.mLayoutWidget.U = "parent";
            }
        }
        if (this.mLayoutWidget.y() == null) {
            d dVar = this.mLayoutWidget;
            dVar.j1(dVar.U);
            Log.v(TAG, " setDebugName " + this.mLayoutWidget.y());
        }
        Iterator<ConstraintWidget> it = this.mLayoutWidget.l2().iterator();
        while (it.hasNext()) {
            ConstraintWidget next = it.next();
            View view = (View) next.w();
            if (view != null) {
                if (next.U == null && (id = view.getId()) != -1) {
                    next.U = getContext().getResources().getResourceEntryName(id);
                }
                if (next.y() == null) {
                    next.j1(next.U);
                    Log.v(TAG, " setDebugName " + next.y());
                }
            }
        }
        this.mLayoutWidget.b0(sb);
        return sb.toString();
    }

    public View getViewById(int i) {
        return this.mChildrenByIds.get(i);
    }

    public final ConstraintWidget getViewWidget(View view) {
        if (view == this) {
            return this.mLayoutWidget;
        }
        if (view == null) {
            return null;
        }
        if (view.getLayoutParams() instanceof LayoutParams) {
            return ((LayoutParams) view.getLayoutParams()).T0;
        }
        view.setLayoutParams(generateLayoutParams(view.getLayoutParams()));
        if (view.getLayoutParams() instanceof LayoutParams) {
            return ((LayoutParams) view.getLayoutParams()).T0;
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public boolean isRtl() {
        if (Build.VERSION.SDK_INT < 17) {
            return false;
        }
        if (!((getContext().getApplicationInfo().flags & 4194304) != 0) || 1 != getLayoutDirection()) {
            return false;
        }
        return true;
    }

    public void loadLayoutDescription(int i) {
        if (i != 0) {
            try {
                this.mConstraintLayoutSpec = new a(getContext(), this, i);
            } catch (Resources.NotFoundException unused) {
                this.mConstraintLayoutSpec = null;
            }
        } else {
            this.mConstraintLayoutSpec = null;
        }
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        View content;
        int childCount = getChildCount();
        boolean isInEditMode = isInEditMode();
        for (int i5 = 0; i5 < childCount; i5++) {
            View childAt = getChildAt(i5);
            LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
            ConstraintWidget constraintWidget = layoutParams.T0;
            if ((childAt.getVisibility() != 8 || layoutParams.F0 || layoutParams.G0 || layoutParams.I0 || isInEditMode) && !layoutParams.H0) {
                int o0 = constraintWidget.o0();
                int p0 = constraintWidget.p0();
                int m0 = constraintWidget.m0() + o0;
                int D = constraintWidget.D() + p0;
                childAt.layout(o0, p0, m0, D);
                if ((childAt instanceof Placeholder) && (content = ((Placeholder) childAt).getContent()) != null) {
                    content.setVisibility(0);
                    content.layout(o0, p0, m0, D);
                }
            }
        }
        int size = this.mConstraintHelpers.size();
        if (size > 0) {
            for (int i6 = 0; i6 < size; i6++) {
                this.mConstraintHelpers.get(i6).D(this);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        if (this.mOnMeasureWidthMeasureSpec == i) {
            int i3 = this.mOnMeasureHeightMeasureSpec;
        }
        if (!this.mDirtyHierarchy) {
            int childCount = getChildCount();
            int i4 = 0;
            while (true) {
                if (i4 >= childCount) {
                    break;
                } else if (getChildAt(i4).isLayoutRequested()) {
                    this.mDirtyHierarchy = true;
                    break;
                } else {
                    i4++;
                }
            }
        }
        boolean z = this.mDirtyHierarchy;
        this.mOnMeasureWidthMeasureSpec = i;
        this.mOnMeasureHeightMeasureSpec = i2;
        this.mLayoutWidget.Y2(isRtl());
        if (this.mDirtyHierarchy) {
            this.mDirtyHierarchy = false;
            if (updateHierarchy()) {
                this.mLayoutWidget.a3();
            }
        }
        resolveSystem(this.mLayoutWidget, this.mOptimizationLevel, i, i2);
        resolveMeasuredDimension(i, i2, this.mLayoutWidget.m0(), this.mLayoutWidget.D(), this.mLayoutWidget.P2(), this.mLayoutWidget.N2());
    }

    public void onViewAdded(View view) {
        super.onViewAdded(view);
        ConstraintWidget viewWidget = getViewWidget(view);
        if ((view instanceof Guideline) && !(viewWidget instanceof androidx.constraintlayout.core.widgets.f)) {
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            androidx.constraintlayout.core.widgets.f fVar = new androidx.constraintlayout.core.widgets.f();
            layoutParams.T0 = fVar;
            layoutParams.F0 = true;
            fVar.B2(layoutParams.x0);
        }
        if (view instanceof ConstraintHelper) {
            ConstraintHelper constraintHelper = (ConstraintHelper) view;
            constraintHelper.I();
            ((LayoutParams) view.getLayoutParams()).G0 = true;
            if (!this.mConstraintHelpers.contains(constraintHelper)) {
                this.mConstraintHelpers.add(constraintHelper);
            }
        }
        this.mChildrenByIds.put(view.getId(), view);
        this.mDirtyHierarchy = true;
    }

    public void onViewRemoved(View view) {
        super.onViewRemoved(view);
        this.mChildrenByIds.remove(view.getId());
        this.mLayoutWidget.o2(getViewWidget(view));
        this.mConstraintHelpers.remove(view);
        this.mDirtyHierarchy = true;
    }

    /* access modifiers changed from: protected */
    public void parseLayoutDescription(int i) {
        this.mConstraintLayoutSpec = new a(getContext(), this, i);
    }

    public void requestLayout() {
        markHierarchyDirty();
        super.requestLayout();
    }

    /* access modifiers changed from: protected */
    public void resolveMeasuredDimension(int i, int i2, int i3, int i4, boolean z, boolean z2) {
        b bVar = this.mMeasurer;
        int i5 = bVar.f2051e;
        int resolveSizeAndState = ViewGroup.resolveSizeAndState(i3 + bVar.f2050d, i, 0);
        int resolveSizeAndState2 = ViewGroup.resolveSizeAndState(i4 + i5, i2, 0);
        int i6 = resolveSizeAndState & ViewCompat.MEASURED_SIZE_MASK;
        int i7 = resolveSizeAndState2 & ViewCompat.MEASURED_SIZE_MASK;
        int min = Math.min(this.mMaxWidth, i6);
        int min2 = Math.min(this.mMaxHeight, i7);
        if (z) {
            min |= 16777216;
        }
        if (z2) {
            min2 |= 16777216;
        }
        setMeasuredDimension(min, min2);
        this.mLastMeasureWidth = min;
        this.mLastMeasureHeight = min2;
    }

    /* access modifiers changed from: protected */
    public void resolveSystem(d dVar, int i, int i2, int i3) {
        int i4;
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        int size2 = View.MeasureSpec.getSize(i3);
        int max = Math.max(0, getPaddingTop());
        int max2 = Math.max(0, getPaddingBottom());
        int i5 = max + max2;
        int paddingWidth = getPaddingWidth();
        this.mMeasurer.c(i2, i3, max, max2, paddingWidth, i5);
        if (Build.VERSION.SDK_INT >= 17) {
            int max3 = Math.max(0, getPaddingStart());
            int max4 = Math.max(0, getPaddingEnd());
            if (max3 <= 0 && max4 <= 0) {
                max3 = Math.max(0, getPaddingLeft());
            } else if (isRtl()) {
                max3 = max4;
            }
            i4 = max3;
        } else {
            i4 = Math.max(0, getPaddingLeft());
        }
        int i6 = size - paddingWidth;
        int i7 = size2 - i5;
        setSelfDimensionBehaviour(dVar, mode, i6, mode2, i7);
        dVar.Q2(i, mode, i6, mode2, i7, this.mLastMeasureWidth, this.mLastMeasureHeight, i4, max);
    }

    public void setConstraintSet(c cVar) {
        this.mConstraintSet = cVar;
    }

    public void setDesignInformation(int i, Object obj, Object obj2) {
        if (i == 0 && (obj instanceof String) && (obj2 instanceof Integer)) {
            if (this.mDesignIds == null) {
                this.mDesignIds = new HashMap<>();
            }
            String str = (String) obj;
            int indexOf = str.indexOf("/");
            if (indexOf != -1) {
                str = str.substring(indexOf + 1);
            }
            this.mDesignIds.put(str, Integer.valueOf(((Integer) obj2).intValue()));
        }
    }

    public void setId(int i) {
        this.mChildrenByIds.remove(getId());
        super.setId(i);
        this.mChildrenByIds.put(getId(), this);
    }

    public void setMaxHeight(int i) {
        if (i != this.mMaxHeight) {
            this.mMaxHeight = i;
            requestLayout();
        }
    }

    public void setMaxWidth(int i) {
        if (i != this.mMaxWidth) {
            this.mMaxWidth = i;
            requestLayout();
        }
    }

    public void setMinHeight(int i) {
        if (i != this.mMinHeight) {
            this.mMinHeight = i;
            requestLayout();
        }
    }

    public void setMinWidth(int i) {
        if (i != this.mMinWidth) {
            this.mMinWidth = i;
            requestLayout();
        }
    }

    public void setOnConstraintsChanged(d dVar) {
        this.mConstraintsChangedListener = dVar;
        a aVar = this.mConstraintLayoutSpec;
        if (aVar != null) {
            aVar.d(dVar);
        }
    }

    public void setOptimizationLevel(int i) {
        this.mOptimizationLevel = i;
        this.mLayoutWidget.V2(i);
    }

    /* access modifiers changed from: protected */
    public void setSelfDimensionBehaviour(d dVar, int i, int i2, int i3, int i4) {
        ConstraintWidget.DimensionBehaviour dimensionBehaviour;
        b bVar = this.mMeasurer;
        int i5 = bVar.f2051e;
        int i6 = bVar.f2050d;
        ConstraintWidget.DimensionBehaviour dimensionBehaviour2 = ConstraintWidget.DimensionBehaviour.FIXED;
        int childCount = getChildCount();
        if (i != Integer.MIN_VALUE) {
            if (i == 0) {
                dimensionBehaviour = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                if (childCount == 0) {
                    i2 = Math.max(0, this.mMinWidth);
                }
            } else if (i != 1073741824) {
                dimensionBehaviour = dimensionBehaviour2;
            } else {
                i2 = Math.min(this.mMaxWidth - i6, i2);
                dimensionBehaviour = dimensionBehaviour2;
            }
            i2 = 0;
        } else {
            dimensionBehaviour = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
            if (childCount == 0) {
                i2 = Math.max(0, this.mMinWidth);
            }
        }
        if (i3 != Integer.MIN_VALUE) {
            if (i3 == 0) {
                dimensionBehaviour2 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                if (childCount == 0) {
                    i4 = Math.max(0, this.mMinHeight);
                }
            } else if (i3 == 1073741824) {
                i4 = Math.min(this.mMaxHeight - i5, i4);
            }
            i4 = 0;
        } else {
            dimensionBehaviour2 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
            if (childCount == 0) {
                i4 = Math.max(0, this.mMinHeight);
            }
        }
        if (!(i2 == dVar.m0() && i4 == dVar.D())) {
            dVar.M2();
        }
        dVar.f2(0);
        dVar.g2(0);
        dVar.M1(this.mMaxWidth - i6);
        dVar.L1(this.mMaxHeight - i5);
        dVar.P1(0);
        dVar.O1(0);
        dVar.D1(dimensionBehaviour);
        dVar.c2(i2);
        dVar.Y1(dimensionBehaviour2);
        dVar.y1(i4);
        dVar.P1(this.mMinWidth - i6);
        dVar.O1(this.mMinHeight - i5);
    }

    public void setState(int i, int i2, int i3) {
        a aVar = this.mConstraintLayoutSpec;
        if (aVar != null) {
            aVar.e(i, (float) i2, (float) i3);
        }
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }

    /* access modifiers changed from: protected */
    public LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams(-2, -2);
    }

    @Override // android.view.ViewGroup
    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new LayoutParams(layoutParams);
    }

    public ConstraintLayout(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        init(attributeSet, 0, 0);
    }

    public ConstraintLayout(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        init(attributeSet, i, 0);
    }

    @TargetApi(21)
    public ConstraintLayout(@NonNull Context context, @Nullable AttributeSet attributeSet, int i, int i2) {
        super(context, attributeSet, i, i2);
        init(attributeSet, i, i2);
    }

    public static class LayoutParams extends ViewGroup.MarginLayoutParams {

        /* renamed from: a  reason: collision with root package name */
        public static final int f2036a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f2037b = 0;

        /* renamed from: c  reason: collision with root package name */
        public static final int f2038c = -1;

        /* renamed from: d  reason: collision with root package name */
        public static final int f2039d = Integer.MIN_VALUE;

        /* renamed from: e  reason: collision with root package name */
        public static final int f2040e = 0;
        public static final int f = 1;
        public static final int g = 1;
        public static final int h = 2;
        public static final int i = 3;
        public static final int j = 4;
        public static final int k = 5;
        public static final int l = 6;
        public static final int m = 7;
        public static final int n = 8;
        public static final int o = 1;
        public static final int p = 0;
        public static final int q = 2;
        public static final int r = 0;
        public static final int s = 1;
        public static final int t = 2;
        public static final int u = 0;
        public static final int v = 1;
        public static final int w = 2;
        public static final int x = 3;
        public float A = -1.0f;
        public String A0 = null;
        public boolean B = true;
        public int B0 = 0;
        public int C = -1;
        boolean C0 = true;
        public int D = -1;
        boolean D0 = true;
        public int E = -1;
        boolean E0 = false;
        public int F = -1;
        boolean F0 = false;
        public int G = -1;
        boolean G0 = false;
        public int H = -1;
        boolean H0 = false;
        public int I = -1;
        boolean I0 = false;
        public int J = -1;
        int J0 = -1;
        public int K = -1;
        int K0 = -1;
        public int L = -1;
        int L0 = -1;
        public int M = -1;
        int M0 = -1;
        public int N = -1;
        int N0 = Integer.MIN_VALUE;
        public int O = 0;
        int O0 = Integer.MIN_VALUE;
        public float P = 0.0f;
        float P0 = 0.5f;
        public int Q = -1;
        int Q0;
        public int R = -1;
        int R0;
        public int S = -1;
        float S0;
        public int T = -1;
        ConstraintWidget T0 = new ConstraintWidget();
        public int U = Integer.MIN_VALUE;
        public boolean U0 = false;
        public int V = Integer.MIN_VALUE;
        public int W = Integer.MIN_VALUE;
        public int X = Integer.MIN_VALUE;
        public int Y = Integer.MIN_VALUE;
        public int Z = Integer.MIN_VALUE;
        public int a0 = Integer.MIN_VALUE;
        public int b0 = 0;
        boolean c0 = true;
        boolean d0 = true;
        public float e0 = 0.5f;
        public float f0 = 0.5f;
        public String g0 = null;
        float h0 = 0.0f;
        int i0 = 1;
        public float j0 = -1.0f;
        public float k0 = -1.0f;
        public int l0 = 0;
        public int m0 = 0;
        public int n0 = 0;
        public int o0 = 0;
        public int p0 = 0;
        public int q0 = 0;
        public int r0 = 0;
        public int s0 = 0;
        public float t0 = 1.0f;
        public float u0 = 1.0f;
        public int v0 = -1;
        public int w0 = -1;
        public int x0 = -1;
        public int y = -1;
        public boolean y0 = false;
        public int z = -1;
        public boolean z0 = false;

        private static class a {
            public static final int A = 26;
            public static final int B = 27;
            public static final int C = 28;
            public static final int D = 29;
            public static final int E = 30;
            public static final int F = 31;
            public static final int G = 32;
            public static final int H = 33;
            public static final int I = 34;
            public static final int J = 35;
            public static final int K = 36;
            public static final int L = 37;
            public static final int M = 38;
            public static final int N = 39;
            public static final int O = 40;
            public static final int P = 41;
            public static final int Q = 42;
            public static final int R = 43;
            public static final int S = 44;
            public static final int T = 45;
            public static final int U = 46;
            public static final int V = 47;
            public static final int W = 48;
            public static final int X = 49;
            public static final int Y = 50;
            public static final int Z = 51;

            /* renamed from: a  reason: collision with root package name */
            public static final int f2041a = 0;
            public static final int a0 = 52;

            /* renamed from: b  reason: collision with root package name */
            public static final int f2042b = 1;
            public static final int b0 = 53;

            /* renamed from: c  reason: collision with root package name */
            public static final int f2043c = 2;
            public static final int c0 = 54;

            /* renamed from: d  reason: collision with root package name */
            public static final int f2044d = 3;
            public static final int d0 = 55;

            /* renamed from: e  reason: collision with root package name */
            public static final int f2045e = 4;
            public static final int e0 = 64;
            public static final int f = 5;
            public static final int f0 = 65;
            public static final int g = 6;
            public static final int g0 = 66;
            public static final int h = 7;
            public static final int h0 = 67;
            public static final int i = 8;
            public static final SparseIntArray i0;
            public static final int j = 9;
            public static final int k = 10;
            public static final int l = 11;
            public static final int m = 12;
            public static final int n = 13;
            public static final int o = 14;
            public static final int p = 15;
            public static final int q = 16;
            public static final int r = 17;
            public static final int s = 18;
            public static final int t = 19;
            public static final int u = 20;
            public static final int v = 21;
            public static final int w = 22;
            public static final int x = 23;
            public static final int y = 24;
            public static final int z = 25;

            static {
                SparseIntArray sparseIntArray = new SparseIntArray();
                i0 = sparseIntArray;
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintWidth, 64);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintHeight, 65);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintLeft_toLeftOf, 8);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintLeft_toRightOf, 9);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintRight_toLeftOf, 10);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintRight_toRightOf, 11);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintTop_toTopOf, 12);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintTop_toBottomOf, 13);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintBottom_toTopOf, 14);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintBottom_toBottomOf, 15);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintBaseline_toBaselineOf, 16);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintBaseline_toTopOf, 52);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintBaseline_toBottomOf, 53);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintCircle, 2);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintCircleRadius, 3);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintCircleAngle, 4);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_editor_absoluteX, 49);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_editor_absoluteY, 50);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintGuide_begin, 5);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintGuide_end, 6);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintGuide_percent, 7);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_guidelineUseRtl, 67);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_android_orientation, 1);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintStart_toEndOf, 17);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintStart_toStartOf, 18);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintEnd_toStartOf, 19);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintEnd_toEndOf, 20);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_goneMarginLeft, 21);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_goneMarginTop, 22);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_goneMarginRight, 23);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_goneMarginBottom, 24);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_goneMarginStart, 25);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_goneMarginEnd, 26);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_goneMarginBaseline, 55);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_marginBaseline, 54);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintHorizontal_bias, 29);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintVertical_bias, 30);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintDimensionRatio, 44);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintHorizontal_weight, 45);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintVertical_weight, 46);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintHorizontal_chainStyle, 47);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintVertical_chainStyle, 48);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constrainedWidth, 27);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constrainedHeight, 28);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintWidth_default, 31);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintHeight_default, 32);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintWidth_min, 33);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintWidth_max, 34);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintWidth_percent, 35);
                sparseIntArray.append(R.styleable.ConstraintLayout_Layout_layout_constraintHeight_min, 36);
                SparseIntArray sparseIntArray2 = i0;
                sparseIntArray2.append(R.styleable.ConstraintLayout_Layout_layout_constraintHeight_max, 37);
                sparseIntArray2.append(R.styleable.ConstraintLayout_Layout_layout_constraintHeight_percent, 38);
                sparseIntArray2.append(R.styleable.ConstraintLayout_Layout_layout_constraintLeft_creator, 39);
                sparseIntArray2.append(R.styleable.ConstraintLayout_Layout_layout_constraintTop_creator, 40);
                sparseIntArray2.append(R.styleable.ConstraintLayout_Layout_layout_constraintRight_creator, 41);
                sparseIntArray2.append(R.styleable.ConstraintLayout_Layout_layout_constraintBottom_creator, 42);
                sparseIntArray2.append(R.styleable.ConstraintLayout_Layout_layout_constraintBaseline_creator, 43);
                sparseIntArray2.append(R.styleable.ConstraintLayout_Layout_layout_constraintTag, 51);
                sparseIntArray2.append(R.styleable.ConstraintLayout_Layout_layout_wrapBehaviorInParent, 66);
            }

            private a() {
            }
        }

        public LayoutParams(LayoutParams layoutParams) {
            super((ViewGroup.MarginLayoutParams) layoutParams);
            this.y = layoutParams.y;
            this.z = layoutParams.z;
            this.A = layoutParams.A;
            this.B = layoutParams.B;
            this.C = layoutParams.C;
            this.D = layoutParams.D;
            this.E = layoutParams.E;
            this.F = layoutParams.F;
            this.G = layoutParams.G;
            this.H = layoutParams.H;
            this.I = layoutParams.I;
            this.J = layoutParams.J;
            this.K = layoutParams.K;
            this.L = layoutParams.L;
            this.M = layoutParams.M;
            this.N = layoutParams.N;
            this.O = layoutParams.O;
            this.P = layoutParams.P;
            this.Q = layoutParams.Q;
            this.R = layoutParams.R;
            this.S = layoutParams.S;
            this.T = layoutParams.T;
            this.U = layoutParams.U;
            this.V = layoutParams.V;
            this.W = layoutParams.W;
            this.X = layoutParams.X;
            this.Y = layoutParams.Y;
            this.Z = layoutParams.Z;
            this.a0 = layoutParams.a0;
            this.b0 = layoutParams.b0;
            this.e0 = layoutParams.e0;
            this.f0 = layoutParams.f0;
            this.g0 = layoutParams.g0;
            this.h0 = layoutParams.h0;
            this.i0 = layoutParams.i0;
            this.j0 = layoutParams.j0;
            this.k0 = layoutParams.k0;
            this.l0 = layoutParams.l0;
            this.m0 = layoutParams.m0;
            this.y0 = layoutParams.y0;
            this.z0 = layoutParams.z0;
            this.n0 = layoutParams.n0;
            this.o0 = layoutParams.o0;
            this.p0 = layoutParams.p0;
            this.r0 = layoutParams.r0;
            this.q0 = layoutParams.q0;
            this.s0 = layoutParams.s0;
            this.t0 = layoutParams.t0;
            this.u0 = layoutParams.u0;
            this.v0 = layoutParams.v0;
            this.w0 = layoutParams.w0;
            this.x0 = layoutParams.x0;
            this.C0 = layoutParams.C0;
            this.D0 = layoutParams.D0;
            this.E0 = layoutParams.E0;
            this.F0 = layoutParams.F0;
            this.J0 = layoutParams.J0;
            this.K0 = layoutParams.K0;
            this.L0 = layoutParams.L0;
            this.M0 = layoutParams.M0;
            this.N0 = layoutParams.N0;
            this.O0 = layoutParams.O0;
            this.P0 = layoutParams.P0;
            this.A0 = layoutParams.A0;
            this.B0 = layoutParams.B0;
            this.T0 = layoutParams.T0;
            this.c0 = layoutParams.c0;
            this.d0 = layoutParams.d0;
        }

        public String a() {
            return this.A0;
        }

        public ConstraintWidget b() {
            return this.T0;
        }

        public void c() {
            ConstraintWidget constraintWidget = this.T0;
            if (constraintWidget != null) {
                constraintWidget.R0();
            }
        }

        public void d(String str) {
            this.T0.j1(str);
        }

        public void e() {
            this.F0 = false;
            this.C0 = true;
            this.D0 = true;
            int i2 = ((ViewGroup.MarginLayoutParams) this).width;
            if (i2 == -2 && this.y0) {
                this.C0 = false;
                if (this.n0 == 0) {
                    this.n0 = 1;
                }
            }
            int i3 = ((ViewGroup.MarginLayoutParams) this).height;
            if (i3 == -2 && this.z0) {
                this.D0 = false;
                if (this.o0 == 0) {
                    this.o0 = 1;
                }
            }
            if (i2 == 0 || i2 == -1) {
                this.C0 = false;
                if (i2 == 0 && this.n0 == 1) {
                    ((ViewGroup.MarginLayoutParams) this).width = -2;
                    this.y0 = true;
                }
            }
            if (i3 == 0 || i3 == -1) {
                this.D0 = false;
                if (i3 == 0 && this.o0 == 1) {
                    ((ViewGroup.MarginLayoutParams) this).height = -2;
                    this.z0 = true;
                }
            }
            if (this.A != -1.0f || this.y != -1 || this.z != -1) {
                this.F0 = true;
                this.C0 = true;
                this.D0 = true;
                if (!(this.T0 instanceof androidx.constraintlayout.core.widgets.f)) {
                    this.T0 = new androidx.constraintlayout.core.widgets.f();
                }
                ((androidx.constraintlayout.core.widgets.f) this.T0).B2(this.x0);
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:17:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x005b  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x0062  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0068  */
        /* JADX WARNING: Removed duplicated region for block: B:29:0x006e  */
        /* JADX WARNING: Removed duplicated region for block: B:38:0x0084  */
        /* JADX WARNING: Removed duplicated region for block: B:39:0x008c  */
        /* JADX WARNING: Removed duplicated region for block: B:43:0x009e  */
        /* JADX WARNING: Removed duplicated region for block: B:8:0x0041  */
        @TargetApi(17)
        public void resolveLayoutDirection(int i2) {
            boolean z2;
            int i3;
            int i4;
            int i5;
            int i6;
            int i7 = ((ViewGroup.MarginLayoutParams) this).leftMargin;
            int i8 = ((ViewGroup.MarginLayoutParams) this).rightMargin;
            boolean z3 = false;
            if (Build.VERSION.SDK_INT >= 17) {
                super.resolveLayoutDirection(i2);
                if (1 == getLayoutDirection()) {
                    z2 = true;
                    this.L0 = -1;
                    this.M0 = -1;
                    this.J0 = -1;
                    this.K0 = -1;
                    this.N0 = -1;
                    this.O0 = -1;
                    this.N0 = this.U;
                    this.O0 = this.W;
                    float f2 = this.e0;
                    this.P0 = f2;
                    int i9 = this.y;
                    this.Q0 = i9;
                    int i10 = this.z;
                    this.R0 = i10;
                    float f3 = this.A;
                    this.S0 = f3;
                    if (!z2) {
                        int i11 = this.Q;
                        if (i11 != -1) {
                            this.L0 = i11;
                        } else {
                            int i12 = this.R;
                            if (i12 != -1) {
                                this.M0 = i12;
                            }
                            i3 = this.S;
                            if (i3 != -1) {
                                this.K0 = i3;
                                z3 = true;
                            }
                            i4 = this.T;
                            if (i4 != -1) {
                                this.J0 = i4;
                                z3 = true;
                            }
                            i5 = this.Y;
                            if (i5 != Integer.MIN_VALUE) {
                                this.O0 = i5;
                            }
                            i6 = this.Z;
                            if (i6 != Integer.MIN_VALUE) {
                                this.N0 = i6;
                            }
                            if (z3) {
                                this.P0 = 1.0f - f2;
                            }
                            if (this.F0 && this.x0 == 1 && this.B) {
                                if (f3 == -1.0f) {
                                    this.S0 = 1.0f - f3;
                                    this.Q0 = -1;
                                    this.R0 = -1;
                                } else if (i9 != -1) {
                                    this.R0 = i9;
                                    this.Q0 = -1;
                                    this.S0 = -1.0f;
                                } else if (i10 != -1) {
                                    this.Q0 = i10;
                                    this.R0 = -1;
                                    this.S0 = -1.0f;
                                }
                            }
                        }
                        z3 = true;
                        i3 = this.S;
                        if (i3 != -1) {
                        }
                        i4 = this.T;
                        if (i4 != -1) {
                        }
                        i5 = this.Y;
                        if (i5 != Integer.MIN_VALUE) {
                        }
                        i6 = this.Z;
                        if (i6 != Integer.MIN_VALUE) {
                        }
                        if (z3) {
                        }
                        if (f3 == -1.0f) {
                        }
                    } else {
                        int i13 = this.Q;
                        if (i13 != -1) {
                            this.K0 = i13;
                        }
                        int i14 = this.R;
                        if (i14 != -1) {
                            this.J0 = i14;
                        }
                        int i15 = this.S;
                        if (i15 != -1) {
                            this.L0 = i15;
                        }
                        int i16 = this.T;
                        if (i16 != -1) {
                            this.M0 = i16;
                        }
                        int i17 = this.Y;
                        if (i17 != Integer.MIN_VALUE) {
                            this.N0 = i17;
                        }
                        int i18 = this.Z;
                        if (i18 != Integer.MIN_VALUE) {
                            this.O0 = i18;
                        }
                    }
                    if (this.S == -1 && this.T == -1 && this.R == -1 && this.Q == -1) {
                        int i19 = this.E;
                        if (i19 != -1) {
                            this.L0 = i19;
                            if (((ViewGroup.MarginLayoutParams) this).rightMargin <= 0 && i8 > 0) {
                                ((ViewGroup.MarginLayoutParams) this).rightMargin = i8;
                            }
                        } else {
                            int i20 = this.F;
                            if (i20 != -1) {
                                this.M0 = i20;
                                if (((ViewGroup.MarginLayoutParams) this).rightMargin <= 0 && i8 > 0) {
                                    ((ViewGroup.MarginLayoutParams) this).rightMargin = i8;
                                }
                            }
                        }
                        int i21 = this.C;
                        if (i21 != -1) {
                            this.J0 = i21;
                            if (((ViewGroup.MarginLayoutParams) this).leftMargin <= 0 && i7 > 0) {
                                ((ViewGroup.MarginLayoutParams) this).leftMargin = i7;
                                return;
                            }
                            return;
                        }
                        int i22 = this.D;
                        if (i22 != -1) {
                            this.K0 = i22;
                            if (((ViewGroup.MarginLayoutParams) this).leftMargin <= 0 && i7 > 0) {
                                ((ViewGroup.MarginLayoutParams) this).leftMargin = i7;
                                return;
                            }
                            return;
                        }
                        return;
                    }
                    return;
                }
            }
            z2 = false;
            this.L0 = -1;
            this.M0 = -1;
            this.J0 = -1;
            this.K0 = -1;
            this.N0 = -1;
            this.O0 = -1;
            this.N0 = this.U;
            this.O0 = this.W;
            float f22 = this.e0;
            this.P0 = f22;
            int i92 = this.y;
            this.Q0 = i92;
            int i102 = this.z;
            this.R0 = i102;
            float f32 = this.A;
            this.S0 = f32;
            if (!z2) {
            }
            if (this.S == -1) {
            }
        }

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                int i3 = a.i0.get(index);
                switch (i3) {
                    case 1:
                        this.x0 = obtainStyledAttributes.getInt(index, this.x0);
                        break;
                    case 2:
                        int resourceId = obtainStyledAttributes.getResourceId(index, this.N);
                        this.N = resourceId;
                        if (resourceId == -1) {
                            this.N = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 3:
                        this.O = obtainStyledAttributes.getDimensionPixelSize(index, this.O);
                        break;
                    case 4:
                        float f2 = obtainStyledAttributes.getFloat(index, this.P) % 360.0f;
                        this.P = f2;
                        if (f2 < 0.0f) {
                            this.P = (360.0f - f2) % 360.0f;
                            break;
                        } else {
                            break;
                        }
                    case 5:
                        this.y = obtainStyledAttributes.getDimensionPixelOffset(index, this.y);
                        break;
                    case 6:
                        this.z = obtainStyledAttributes.getDimensionPixelOffset(index, this.z);
                        break;
                    case 7:
                        this.A = obtainStyledAttributes.getFloat(index, this.A);
                        break;
                    case 8:
                        int resourceId2 = obtainStyledAttributes.getResourceId(index, this.C);
                        this.C = resourceId2;
                        if (resourceId2 == -1) {
                            this.C = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 9:
                        int resourceId3 = obtainStyledAttributes.getResourceId(index, this.D);
                        this.D = resourceId3;
                        if (resourceId3 == -1) {
                            this.D = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 10:
                        int resourceId4 = obtainStyledAttributes.getResourceId(index, this.E);
                        this.E = resourceId4;
                        if (resourceId4 == -1) {
                            this.E = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 11:
                        int resourceId5 = obtainStyledAttributes.getResourceId(index, this.F);
                        this.F = resourceId5;
                        if (resourceId5 == -1) {
                            this.F = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 12:
                        int resourceId6 = obtainStyledAttributes.getResourceId(index, this.G);
                        this.G = resourceId6;
                        if (resourceId6 == -1) {
                            this.G = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 13:
                        int resourceId7 = obtainStyledAttributes.getResourceId(index, this.H);
                        this.H = resourceId7;
                        if (resourceId7 == -1) {
                            this.H = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 14:
                        int resourceId8 = obtainStyledAttributes.getResourceId(index, this.I);
                        this.I = resourceId8;
                        if (resourceId8 == -1) {
                            this.I = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 15:
                        int resourceId9 = obtainStyledAttributes.getResourceId(index, this.J);
                        this.J = resourceId9;
                        if (resourceId9 == -1) {
                            this.J = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 16:
                        int resourceId10 = obtainStyledAttributes.getResourceId(index, this.K);
                        this.K = resourceId10;
                        if (resourceId10 == -1) {
                            this.K = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 17:
                        int resourceId11 = obtainStyledAttributes.getResourceId(index, this.Q);
                        this.Q = resourceId11;
                        if (resourceId11 == -1) {
                            this.Q = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 18:
                        int resourceId12 = obtainStyledAttributes.getResourceId(index, this.R);
                        this.R = resourceId12;
                        if (resourceId12 == -1) {
                            this.R = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 19:
                        int resourceId13 = obtainStyledAttributes.getResourceId(index, this.S);
                        this.S = resourceId13;
                        if (resourceId13 == -1) {
                            this.S = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 20:
                        int resourceId14 = obtainStyledAttributes.getResourceId(index, this.T);
                        this.T = resourceId14;
                        if (resourceId14 == -1) {
                            this.T = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 21:
                        this.U = obtainStyledAttributes.getDimensionPixelSize(index, this.U);
                        break;
                    case 22:
                        this.V = obtainStyledAttributes.getDimensionPixelSize(index, this.V);
                        break;
                    case 23:
                        this.W = obtainStyledAttributes.getDimensionPixelSize(index, this.W);
                        break;
                    case 24:
                        this.X = obtainStyledAttributes.getDimensionPixelSize(index, this.X);
                        break;
                    case 25:
                        this.Y = obtainStyledAttributes.getDimensionPixelSize(index, this.Y);
                        break;
                    case 26:
                        this.Z = obtainStyledAttributes.getDimensionPixelSize(index, this.Z);
                        break;
                    case 27:
                        this.y0 = obtainStyledAttributes.getBoolean(index, this.y0);
                        break;
                    case 28:
                        this.z0 = obtainStyledAttributes.getBoolean(index, this.z0);
                        break;
                    case 29:
                        this.e0 = obtainStyledAttributes.getFloat(index, this.e0);
                        break;
                    case 30:
                        this.f0 = obtainStyledAttributes.getFloat(index, this.f0);
                        break;
                    case 31:
                        int i4 = obtainStyledAttributes.getInt(index, 0);
                        this.n0 = i4;
                        if (i4 == 1) {
                            Log.e(ConstraintLayout.TAG, "layout_constraintWidth_default=\"wrap\" is deprecated.\nUse layout_width=\"WRAP_CONTENT\" and layout_constrainedWidth=\"true\" instead.");
                            break;
                        } else {
                            break;
                        }
                    case 32:
                        int i5 = obtainStyledAttributes.getInt(index, 0);
                        this.o0 = i5;
                        if (i5 == 1) {
                            Log.e(ConstraintLayout.TAG, "layout_constraintHeight_default=\"wrap\" is deprecated.\nUse layout_height=\"WRAP_CONTENT\" and layout_constrainedHeight=\"true\" instead.");
                            break;
                        } else {
                            break;
                        }
                    case 33:
                        try {
                            this.p0 = obtainStyledAttributes.getDimensionPixelSize(index, this.p0);
                            break;
                        } catch (Exception unused) {
                            if (obtainStyledAttributes.getInt(index, this.p0) == -2) {
                                this.p0 = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 34:
                        try {
                            this.r0 = obtainStyledAttributes.getDimensionPixelSize(index, this.r0);
                            break;
                        } catch (Exception unused2) {
                            if (obtainStyledAttributes.getInt(index, this.r0) == -2) {
                                this.r0 = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 35:
                        this.t0 = Math.max(0.0f, obtainStyledAttributes.getFloat(index, this.t0));
                        this.n0 = 2;
                        break;
                    case 36:
                        try {
                            this.q0 = obtainStyledAttributes.getDimensionPixelSize(index, this.q0);
                            break;
                        } catch (Exception unused3) {
                            if (obtainStyledAttributes.getInt(index, this.q0) == -2) {
                                this.q0 = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 37:
                        try {
                            this.s0 = obtainStyledAttributes.getDimensionPixelSize(index, this.s0);
                            break;
                        } catch (Exception unused4) {
                            if (obtainStyledAttributes.getInt(index, this.s0) == -2) {
                                this.s0 = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 38:
                        this.u0 = Math.max(0.0f, obtainStyledAttributes.getFloat(index, this.u0));
                        this.o0 = 2;
                        break;
                    default:
                        switch (i3) {
                            case 44:
                                c.C0(this, obtainStyledAttributes.getString(index));
                                continue;
                            case 45:
                                this.j0 = obtainStyledAttributes.getFloat(index, this.j0);
                                continue;
                            case 46:
                                this.k0 = obtainStyledAttributes.getFloat(index, this.k0);
                                continue;
                            case 47:
                                this.l0 = obtainStyledAttributes.getInt(index, 0);
                                continue;
                            case 48:
                                this.m0 = obtainStyledAttributes.getInt(index, 0);
                                continue;
                            case 49:
                                this.v0 = obtainStyledAttributes.getDimensionPixelOffset(index, this.v0);
                                continue;
                            case 50:
                                this.w0 = obtainStyledAttributes.getDimensionPixelOffset(index, this.w0);
                                continue;
                            case 51:
                                this.A0 = obtainStyledAttributes.getString(index);
                                continue;
                            case 52:
                                int resourceId15 = obtainStyledAttributes.getResourceId(index, this.L);
                                this.L = resourceId15;
                                if (resourceId15 == -1) {
                                    this.L = obtainStyledAttributes.getInt(index, -1);
                                    break;
                                } else {
                                    continue;
                                }
                            case 53:
                                int resourceId16 = obtainStyledAttributes.getResourceId(index, this.M);
                                this.M = resourceId16;
                                if (resourceId16 == -1) {
                                    this.M = obtainStyledAttributes.getInt(index, -1);
                                    break;
                                } else {
                                    continue;
                                }
                            case 54:
                                this.b0 = obtainStyledAttributes.getDimensionPixelSize(index, this.b0);
                                continue;
                            case 55:
                                this.a0 = obtainStyledAttributes.getDimensionPixelSize(index, this.a0);
                                continue;
                            default:
                                switch (i3) {
                                    case 64:
                                        c.A0(this, obtainStyledAttributes, index, 0);
                                        this.c0 = true;
                                        continue;
                                    case 65:
                                        c.A0(this, obtainStyledAttributes, index, 1);
                                        this.d0 = true;
                                        continue;
                                    case 66:
                                        this.B0 = obtainStyledAttributes.getInt(index, this.B0);
                                        continue;
                                    case 67:
                                        this.B = obtainStyledAttributes.getBoolean(index, this.B);
                                        continue;
                                        continue;
                                }
                        }
                }
            }
            obtainStyledAttributes.recycle();
            e();
        }

        public LayoutParams(int i2, int i3) {
            super(i2, i3);
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }
}
