package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.view.ViewGroup;
import androidx.constraintlayout.widget.ConstraintLayout;

public class Constraints extends ViewGroup {

    /* renamed from: a  reason: collision with root package name */
    public static final String f2052a = "Constraints";

    /* renamed from: b  reason: collision with root package name */
    c f2053b;

    public Constraints(Context context) {
        super(context);
        super.setVisibility(8);
    }

    private void c(AttributeSet attributeSet) {
        Log.v(f2052a, " ################# init");
    }

    /* access modifiers changed from: protected */
    /* renamed from: a */
    public LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams(-2, -2);
    }

    /* renamed from: b */
    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    public c getConstraintSet() {
        if (this.f2053b == null) {
            this.f2053b = new c();
        }
        this.f2053b.J(this);
        return this.f2053b;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new ConstraintLayout.LayoutParams(layoutParams);
    }

    public Constraints(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        c(attributeSet);
        super.setVisibility(8);
    }

    public Constraints(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        c(attributeSet);
        super.setVisibility(8);
    }

    public static class LayoutParams extends ConstraintLayout.LayoutParams {
        public float V0;
        public boolean W0;
        public float X0;
        public float Y0;
        public float Z0;
        public float a1;
        public float b1;
        public float c1;
        public float d1;
        public float e1;
        public float f1;
        public float g1;
        public float h1;

        public LayoutParams(int i, int i2) {
            super(i, i2);
            this.V0 = 1.0f;
            this.W0 = false;
            this.X0 = 0.0f;
            this.Y0 = 0.0f;
            this.Z0 = 0.0f;
            this.a1 = 0.0f;
            this.b1 = 1.0f;
            this.c1 = 1.0f;
            this.d1 = 0.0f;
            this.e1 = 0.0f;
            this.f1 = 0.0f;
            this.g1 = 0.0f;
            this.h1 = 0.0f;
        }

        public LayoutParams(LayoutParams layoutParams) {
            super((ConstraintLayout.LayoutParams) layoutParams);
            this.V0 = 1.0f;
            this.W0 = false;
            this.X0 = 0.0f;
            this.Y0 = 0.0f;
            this.Z0 = 0.0f;
            this.a1 = 0.0f;
            this.b1 = 1.0f;
            this.c1 = 1.0f;
            this.d1 = 0.0f;
            this.e1 = 0.0f;
            this.f1 = 0.0f;
            this.g1 = 0.0f;
            this.h1 = 0.0f;
        }

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            this.V0 = 1.0f;
            this.W0 = false;
            this.X0 = 0.0f;
            this.Y0 = 0.0f;
            this.Z0 = 0.0f;
            this.a1 = 0.0f;
            this.b1 = 1.0f;
            this.c1 = 1.0f;
            this.d1 = 0.0f;
            this.e1 = 0.0f;
            this.f1 = 0.0f;
            this.g1 = 0.0f;
            this.h1 = 0.0f;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ConstraintSet);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.ConstraintSet_android_alpha) {
                    this.V0 = obtainStyledAttributes.getFloat(index, this.V0);
                } else if (index == R.styleable.ConstraintSet_android_elevation) {
                    if (Build.VERSION.SDK_INT >= 21) {
                        this.X0 = obtainStyledAttributes.getFloat(index, this.X0);
                        this.W0 = true;
                    }
                } else if (index == R.styleable.ConstraintSet_android_rotationX) {
                    this.Z0 = obtainStyledAttributes.getFloat(index, this.Z0);
                } else if (index == R.styleable.ConstraintSet_android_rotationY) {
                    this.a1 = obtainStyledAttributes.getFloat(index, this.a1);
                } else if (index == R.styleable.ConstraintSet_android_rotation) {
                    this.Y0 = obtainStyledAttributes.getFloat(index, this.Y0);
                } else if (index == R.styleable.ConstraintSet_android_scaleX) {
                    this.b1 = obtainStyledAttributes.getFloat(index, this.b1);
                } else if (index == R.styleable.ConstraintSet_android_scaleY) {
                    this.c1 = obtainStyledAttributes.getFloat(index, this.c1);
                } else if (index == R.styleable.ConstraintSet_android_transformPivotX) {
                    this.d1 = obtainStyledAttributes.getFloat(index, this.d1);
                } else if (index == R.styleable.ConstraintSet_android_transformPivotY) {
                    this.e1 = obtainStyledAttributes.getFloat(index, this.e1);
                } else if (index == R.styleable.ConstraintSet_android_translationX) {
                    this.f1 = obtainStyledAttributes.getFloat(index, this.f1);
                } else if (index == R.styleable.ConstraintSet_android_translationY) {
                    this.g1 = obtainStyledAttributes.getFloat(index, this.g1);
                } else if (index == R.styleable.ConstraintSet_android_translationZ && Build.VERSION.SDK_INT >= 21) {
                    this.h1 = obtainStyledAttributes.getFloat(index, this.h1);
                }
            }
            obtainStyledAttributes.recycle();
        }
    }
}
