package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.Typeface;
import android.util.AttributeSet;
import android.view.View;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.widget.ConstraintLayout;
import com.ibm.icu.lang.c;

public class Placeholder extends View {
    private int I0 = 4;

    /* renamed from: a  reason: collision with root package name */
    private int f2055a = -1;

    /* renamed from: b  reason: collision with root package name */
    private View f2056b = null;

    public Placeholder(Context context) {
        super(context);
        a(null);
    }

    private void a(AttributeSet attributeSet) {
        super.setVisibility(this.I0);
        this.f2055a = -1;
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R.styleable.ConstraintLayout_placeholder);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.ConstraintLayout_placeholder_content) {
                    this.f2055a = obtainStyledAttributes.getResourceId(index, this.f2055a);
                } else if (index == R.styleable.ConstraintLayout_placeholder_placeholder_emptyVisibility) {
                    this.I0 = obtainStyledAttributes.getInt(index, this.I0);
                }
            }
            obtainStyledAttributes.recycle();
        }
    }

    public void b(ConstraintLayout constraintLayout) {
        if (this.f2056b != null) {
            ConstraintLayout.LayoutParams layoutParams = (ConstraintLayout.LayoutParams) getLayoutParams();
            ConstraintLayout.LayoutParams layoutParams2 = (ConstraintLayout.LayoutParams) this.f2056b.getLayoutParams();
            layoutParams2.T0.b2(0);
            ConstraintWidget.DimensionBehaviour H = layoutParams.T0.H();
            ConstraintWidget.DimensionBehaviour dimensionBehaviour = ConstraintWidget.DimensionBehaviour.FIXED;
            if (H != dimensionBehaviour) {
                layoutParams.T0.c2(layoutParams2.T0.m0());
            }
            if (layoutParams.T0.j0() != dimensionBehaviour) {
                layoutParams.T0.y1(layoutParams2.T0.D());
            }
            layoutParams2.T0.b2(8);
        }
    }

    public void c(ConstraintLayout constraintLayout) {
        if (this.f2055a == -1 && !isInEditMode()) {
            setVisibility(this.I0);
        }
        View findViewById = constraintLayout.findViewById(this.f2055a);
        this.f2056b = findViewById;
        if (findViewById != null) {
            ((ConstraintLayout.LayoutParams) findViewById.getLayoutParams()).H0 = true;
            this.f2056b.setVisibility(0);
            setVisibility(0);
        }
    }

    public View getContent() {
        return this.f2056b;
    }

    public int getEmptyVisibility() {
        return this.I0;
    }

    public void onDraw(Canvas canvas) {
        if (isInEditMode()) {
            canvas.drawRGB(c.p.r3, c.p.r3, c.p.r3);
            Paint paint = new Paint();
            paint.setARGB(255, c.p.e3, c.p.e3, c.p.e3);
            paint.setTextAlign(Paint.Align.CENTER);
            paint.setTypeface(Typeface.create(Typeface.DEFAULT, 0));
            Rect rect = new Rect();
            canvas.getClipBounds(rect);
            paint.setTextSize((float) rect.height());
            int height = rect.height();
            int width = rect.width();
            paint.setTextAlign(Paint.Align.LEFT);
            paint.getTextBounds("?", 0, 1, rect);
            canvas.drawText("?", ((((float) width) / 2.0f) - (((float) rect.width()) / 2.0f)) - ((float) rect.left), ((((float) height) / 2.0f) + (((float) rect.height()) / 2.0f)) - ((float) rect.bottom), paint);
        }
    }

    public void setContentId(int i) {
        View findViewById;
        if (this.f2055a != i) {
            View view = this.f2056b;
            if (view != null) {
                view.setVisibility(0);
                ((ConstraintLayout.LayoutParams) this.f2056b.getLayoutParams()).H0 = false;
                this.f2056b = null;
            }
            this.f2055a = i;
            if (i != -1 && (findViewById = ((View) getParent()).findViewById(i)) != null) {
                findViewById.setVisibility(8);
            }
        }
    }

    public void setEmptyVisibility(int i) {
        this.I0 = i;
    }

    public Placeholder(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        a(attributeSet);
    }

    public Placeholder(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        a(attributeSet);
    }

    public Placeholder(Context context, AttributeSet attributeSet, int i, int i2) {
        super(context, attributeSet, i);
        a(attributeSet);
    }
}
