package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.util.Log;
import android.util.SparseArray;
import android.util.Xml;
import java.io.IOException;
import java.util.ArrayList;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: ConstraintLayoutStates */
public class a {

    /* renamed from: a  reason: collision with root package name */
    public static final String f2060a = "ConstraintLayoutStates";

    /* renamed from: b  reason: collision with root package name */
    private static final boolean f2061b = false;

    /* renamed from: c  reason: collision with root package name */
    private final ConstraintLayout f2062c;

    /* renamed from: d  reason: collision with root package name */
    c f2063d;

    /* renamed from: e  reason: collision with root package name */
    int f2064e = -1;
    int f = -1;
    private SparseArray<C0021a> g = new SparseArray<>();
    private SparseArray<c> h = new SparseArray<>();
    private d i = null;

    /* access modifiers changed from: package-private */
    /* renamed from: androidx.constraintlayout.widget.a$a  reason: collision with other inner class name */
    /* compiled from: ConstraintLayoutStates */
    public static class C0021a {

        /* renamed from: a  reason: collision with root package name */
        int f2065a;

        /* renamed from: b  reason: collision with root package name */
        ArrayList<b> f2066b = new ArrayList<>();

        /* renamed from: c  reason: collision with root package name */
        int f2067c = -1;

        /* renamed from: d  reason: collision with root package name */
        c f2068d;

        public C0021a(Context context, XmlPullParser xmlPullParser) {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(Xml.asAttributeSet(xmlPullParser), R.styleable.State);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.State_android_id) {
                    this.f2065a = obtainStyledAttributes.getResourceId(index, this.f2065a);
                } else if (index == R.styleable.State_constraints) {
                    this.f2067c = obtainStyledAttributes.getResourceId(index, this.f2067c);
                    String resourceTypeName = context.getResources().getResourceTypeName(this.f2067c);
                    context.getResources().getResourceName(this.f2067c);
                    if (com.google.android.exoplayer2.text.ttml.b.j.equals(resourceTypeName)) {
                        c cVar = new c();
                        this.f2068d = cVar;
                        cVar.G(context, this.f2067c);
                    }
                }
            }
            obtainStyledAttributes.recycle();
        }

        /* access modifiers changed from: package-private */
        public void a(b bVar) {
            this.f2066b.add(bVar);
        }

        public int b(float f, float f2) {
            for (int i = 0; i < this.f2066b.size(); i++) {
                if (this.f2066b.get(i).a(f, f2)) {
                    return i;
                }
            }
            return -1;
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ConstraintLayoutStates */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        int f2069a;

        /* renamed from: b  reason: collision with root package name */
        float f2070b = Float.NaN;

        /* renamed from: c  reason: collision with root package name */
        float f2071c = Float.NaN;

        /* renamed from: d  reason: collision with root package name */
        float f2072d = Float.NaN;

        /* renamed from: e  reason: collision with root package name */
        float f2073e = Float.NaN;
        int f = -1;
        c g;

        public b(Context context, XmlPullParser xmlPullParser) {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(Xml.asAttributeSet(xmlPullParser), R.styleable.Variant);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.Variant_constraints) {
                    this.f = obtainStyledAttributes.getResourceId(index, this.f);
                    String resourceTypeName = context.getResources().getResourceTypeName(this.f);
                    context.getResources().getResourceName(this.f);
                    if (com.google.android.exoplayer2.text.ttml.b.j.equals(resourceTypeName)) {
                        c cVar = new c();
                        this.g = cVar;
                        cVar.G(context, this.f);
                    }
                } else if (index == R.styleable.Variant_region_heightLessThan) {
                    this.f2073e = obtainStyledAttributes.getDimension(index, this.f2073e);
                } else if (index == R.styleable.Variant_region_heightMoreThan) {
                    this.f2071c = obtainStyledAttributes.getDimension(index, this.f2071c);
                } else if (index == R.styleable.Variant_region_widthLessThan) {
                    this.f2072d = obtainStyledAttributes.getDimension(index, this.f2072d);
                } else if (index == R.styleable.Variant_region_widthMoreThan) {
                    this.f2070b = obtainStyledAttributes.getDimension(index, this.f2070b);
                } else {
                    Log.v("ConstraintLayoutStates", "Unknown tag");
                }
            }
            obtainStyledAttributes.recycle();
        }

        /* access modifiers changed from: package-private */
        public boolean a(float f2, float f3) {
            if (!Float.isNaN(this.f2070b) && f2 < this.f2070b) {
                return false;
            }
            if (!Float.isNaN(this.f2071c) && f3 < this.f2071c) {
                return false;
            }
            if (!Float.isNaN(this.f2072d) && f2 > this.f2072d) {
                return false;
            }
            if (Float.isNaN(this.f2073e) || f3 <= this.f2073e) {
                return true;
            }
            return false;
        }
    }

    a(Context context, ConstraintLayout constraintLayout, int i2) {
        this.f2062c = constraintLayout;
        a(context, i2);
    }

    private void a(Context context, int i2) {
        XmlResourceParser xml = context.getResources().getXml(i2);
        C0021a aVar = null;
        try {
            int eventType = xml.getEventType();
            while (true) {
                char c2 = 1;
                if (eventType != 1) {
                    if (eventType == 0) {
                        xml.getName();
                    } else if (eventType == 2) {
                        String name = xml.getName();
                        switch (name.hashCode()) {
                            case -1349929691:
                                if (name.equals("ConstraintSet")) {
                                    c2 = 4;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 80204913:
                                if (name.equals("State")) {
                                    c2 = 2;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 1382829617:
                                if (name.equals("StateSet")) {
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 1657696882:
                                if (name.equals("layoutDescription")) {
                                    c2 = 0;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 1901439077:
                                if (name.equals("Variant")) {
                                    c2 = 3;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            default:
                                c2 = 65535;
                                break;
                        }
                        if (c2 == 2) {
                            aVar = new C0021a(context, xml);
                            this.g.put(aVar.f2065a, aVar);
                        } else if (c2 == 3) {
                            b bVar = new b(context, xml);
                            if (aVar != null) {
                                aVar.a(bVar);
                            }
                        } else if (c2 == 4) {
                            c(context, xml);
                        }
                    }
                    eventType = xml.next();
                } else {
                    return;
                }
            }
        } catch (XmlPullParserException e2) {
            e2.printStackTrace();
        } catch (IOException e3) {
            e3.printStackTrace();
        }
    }

    private void c(Context context, XmlPullParser xmlPullParser) {
        c cVar = new c();
        int attributeCount = xmlPullParser.getAttributeCount();
        for (int i2 = 0; i2 < attributeCount; i2++) {
            String attributeName = xmlPullParser.getAttributeName(i2);
            String attributeValue = xmlPullParser.getAttributeValue(i2);
            if (attributeName != null && attributeValue != null && "id".equals(attributeName)) {
                int identifier = attributeValue.contains("/") ? context.getResources().getIdentifier(attributeValue.substring(attributeValue.indexOf(47) + 1), "id", context.getPackageName()) : -1;
                if (identifier == -1) {
                    if (attributeValue.length() > 1) {
                        identifier = Integer.parseInt(attributeValue.substring(1));
                    } else {
                        Log.e("ConstraintLayoutStates", "error in parsing id");
                    }
                }
                cVar.x0(context, xmlPullParser);
                this.h.put(identifier, cVar);
                return;
            }
        }
    }

    public boolean b(int i2, float f2, float f3) {
        int i3 = this.f2064e;
        if (i3 != i2) {
            return true;
        }
        C0021a valueAt = i2 == -1 ? this.g.valueAt(0) : this.g.get(i3);
        int i4 = this.f;
        return (i4 == -1 || !valueAt.f2066b.get(i4).a(f2, f3)) && this.f != valueAt.b(f2, f3);
    }

    public void d(d dVar) {
        this.i = dVar;
    }

    public void e(int i2, float f2, float f3) {
        c cVar;
        int i3;
        C0021a aVar;
        int b2;
        c cVar2;
        int i4;
        int i5 = this.f2064e;
        if (i5 == i2) {
            if (i2 == -1) {
                aVar = this.g.valueAt(0);
            } else {
                aVar = this.g.get(i5);
            }
            int i6 = this.f;
            if ((i6 == -1 || !aVar.f2066b.get(i6).a(f2, f3)) && this.f != (b2 = aVar.b(f2, f3))) {
                if (b2 == -1) {
                    cVar2 = this.f2063d;
                } else {
                    cVar2 = aVar.f2066b.get(b2).g;
                }
                if (b2 == -1) {
                    i4 = aVar.f2067c;
                } else {
                    i4 = aVar.f2066b.get(b2).f;
                }
                if (cVar2 != null) {
                    this.f = b2;
                    d dVar = this.i;
                    if (dVar != null) {
                        dVar.b(-1, i4);
                    }
                    cVar2.r(this.f2062c);
                    d dVar2 = this.i;
                    if (dVar2 != null) {
                        dVar2.a(-1, i4);
                        return;
                    }
                    return;
                }
                return;
            }
            return;
        }
        this.f2064e = i2;
        C0021a aVar2 = this.g.get(i2);
        int b3 = aVar2.b(f2, f3);
        if (b3 == -1) {
            cVar = aVar2.f2068d;
        } else {
            cVar = aVar2.f2066b.get(b3).g;
        }
        if (b3 == -1) {
            i3 = aVar2.f2067c;
        } else {
            i3 = aVar2.f2066b.get(b3).f;
        }
        if (cVar == null) {
            Log.v("ConstraintLayoutStates", "NO Constraint set found ! id=" + i2 + ", dim =" + f2 + ", " + f3);
            return;
        }
        this.f = b3;
        d dVar3 = this.i;
        if (dVar3 != null) {
            dVar3.b(i2, i3);
        }
        cVar.r(this.f2062c);
        d dVar4 = this.i;
        if (dVar4 != null) {
            dVar4.a(i2, i3);
        }
    }
}
