package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.Log;
import android.util.SparseArray;
import android.util.Xml;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: StateSet */
public class f {

    /* renamed from: a  reason: collision with root package name */
    public static final String f2127a = "ConstraintLayoutStates";

    /* renamed from: b  reason: collision with root package name */
    private static final boolean f2128b = false;

    /* renamed from: c  reason: collision with root package name */
    int f2129c = -1;

    /* renamed from: d  reason: collision with root package name */
    c f2130d;

    /* renamed from: e  reason: collision with root package name */
    int f2131e = -1;
    int f = -1;
    private SparseArray<a> g = new SparseArray<>();
    private SparseArray<c> h = new SparseArray<>();
    private d i = null;

    /* access modifiers changed from: package-private */
    /* compiled from: StateSet */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        int f2132a;

        /* renamed from: b  reason: collision with root package name */
        ArrayList<b> f2133b = new ArrayList<>();

        /* renamed from: c  reason: collision with root package name */
        int f2134c = -1;

        /* renamed from: d  reason: collision with root package name */
        boolean f2135d;

        public a(Context context, XmlPullParser xmlPullParser) {
            this.f2135d = false;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(Xml.asAttributeSet(xmlPullParser), R.styleable.State);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.State_android_id) {
                    this.f2132a = obtainStyledAttributes.getResourceId(index, this.f2132a);
                } else if (index == R.styleable.State_constraints) {
                    this.f2134c = obtainStyledAttributes.getResourceId(index, this.f2134c);
                    String resourceTypeName = context.getResources().getResourceTypeName(this.f2134c);
                    context.getResources().getResourceName(this.f2134c);
                    if (com.google.android.exoplayer2.text.ttml.b.j.equals(resourceTypeName)) {
                        this.f2135d = true;
                    }
                }
            }
            obtainStyledAttributes.recycle();
        }

        /* access modifiers changed from: package-private */
        public void a(b bVar) {
            this.f2133b.add(bVar);
        }

        public int b(float f, float f2) {
            for (int i = 0; i < this.f2133b.size(); i++) {
                if (this.f2133b.get(i).a(f, f2)) {
                    return i;
                }
            }
            return -1;
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: StateSet */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        int f2136a;

        /* renamed from: b  reason: collision with root package name */
        float f2137b = Float.NaN;

        /* renamed from: c  reason: collision with root package name */
        float f2138c = Float.NaN;

        /* renamed from: d  reason: collision with root package name */
        float f2139d = Float.NaN;

        /* renamed from: e  reason: collision with root package name */
        float f2140e = Float.NaN;
        int f = -1;
        boolean g;

        public b(Context context, XmlPullParser xmlPullParser) {
            this.g = false;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(Xml.asAttributeSet(xmlPullParser), R.styleable.Variant);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i = 0; i < indexCount; i++) {
                int index = obtainStyledAttributes.getIndex(i);
                if (index == R.styleable.Variant_constraints) {
                    this.f = obtainStyledAttributes.getResourceId(index, this.f);
                    String resourceTypeName = context.getResources().getResourceTypeName(this.f);
                    context.getResources().getResourceName(this.f);
                    if (com.google.android.exoplayer2.text.ttml.b.j.equals(resourceTypeName)) {
                        this.g = true;
                    }
                } else if (index == R.styleable.Variant_region_heightLessThan) {
                    this.f2140e = obtainStyledAttributes.getDimension(index, this.f2140e);
                } else if (index == R.styleable.Variant_region_heightMoreThan) {
                    this.f2138c = obtainStyledAttributes.getDimension(index, this.f2138c);
                } else if (index == R.styleable.Variant_region_widthLessThan) {
                    this.f2139d = obtainStyledAttributes.getDimension(index, this.f2139d);
                } else if (index == R.styleable.Variant_region_widthMoreThan) {
                    this.f2137b = obtainStyledAttributes.getDimension(index, this.f2137b);
                } else {
                    Log.v("ConstraintLayoutStates", "Unknown tag");
                }
            }
            obtainStyledAttributes.recycle();
        }

        /* access modifiers changed from: package-private */
        public boolean a(float f2, float f3) {
            if (!Float.isNaN(this.f2137b) && f2 < this.f2137b) {
                return false;
            }
            if (!Float.isNaN(this.f2138c) && f3 < this.f2138c) {
                return false;
            }
            if (!Float.isNaN(this.f2139d) && f2 > this.f2139d) {
                return false;
            }
            if (Float.isNaN(this.f2140e) || f3 <= this.f2140e) {
                return true;
            }
            return false;
        }
    }

    public f(Context context, XmlPullParser xmlPullParser) {
        b(context, xmlPullParser);
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0061, code lost:
        if (r1.equals("StateSet") != false) goto L_0x0079;
     */
    private void b(Context context, XmlPullParser xmlPullParser) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(Xml.asAttributeSet(xmlPullParser), R.styleable.StateSet);
        int indexCount = obtainStyledAttributes.getIndexCount();
        for (int i2 = 0; i2 < indexCount; i2++) {
            int index = obtainStyledAttributes.getIndex(i2);
            if (index == R.styleable.StateSet_defaultState) {
                this.f2129c = obtainStyledAttributes.getResourceId(index, this.f2129c);
            }
        }
        obtainStyledAttributes.recycle();
        a aVar = null;
        try {
            int eventType = xmlPullParser.getEventType();
            while (true) {
                char c2 = 1;
                if (eventType != 1) {
                    if (eventType == 0) {
                        xmlPullParser.getName();
                    } else if (eventType == 2) {
                        String name = xmlPullParser.getName();
                        switch (name.hashCode()) {
                            case 80204913:
                                if (name.equals("State")) {
                                    c2 = 2;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 1301459538:
                                if (name.equals("LayoutDescription")) {
                                    c2 = 0;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            case 1382829617:
                                break;
                            case 1901439077:
                                if (name.equals("Variant")) {
                                    c2 = 3;
                                    break;
                                }
                                c2 = 65535;
                                break;
                            default:
                                c2 = 65535;
                                break;
                        }
                        if (c2 == 2) {
                            aVar = new a(context, xmlPullParser);
                            this.g.put(aVar.f2132a, aVar);
                        } else if (c2 == 3) {
                            b bVar = new b(context, xmlPullParser);
                            if (aVar != null) {
                                aVar.a(bVar);
                            }
                        }
                    } else if (eventType == 3 && "StateSet".equals(xmlPullParser.getName())) {
                        return;
                    }
                    eventType = xmlPullParser.next();
                } else {
                    return;
                }
            }
        } catch (XmlPullParserException e2) {
            e2.printStackTrace();
        } catch (IOException e3) {
            e3.printStackTrace();
        }
    }

    public int a(int i2, int i3, float f2, float f3) {
        a aVar = this.g.get(i3);
        if (aVar == null) {
            return i3;
        }
        if (f2 != -1.0f && f3 != -1.0f) {
            b bVar = null;
            Iterator<b> it = aVar.f2133b.iterator();
            while (it.hasNext()) {
                b next = it.next();
                if (next.a(f2, f3)) {
                    if (i2 == next.f) {
                        return i2;
                    }
                    bVar = next;
                }
            }
            if (bVar != null) {
                return bVar.f;
            }
            return aVar.f2134c;
        } else if (aVar.f2134c == i2) {
            return i2;
        } else {
            Iterator<b> it2 = aVar.f2133b.iterator();
            while (it2.hasNext()) {
                if (i2 == it2.next().f) {
                    return i2;
                }
            }
            return aVar.f2134c;
        }
    }

    public boolean c(int i2, float f2, float f3) {
        int i3 = this.f2131e;
        if (i3 != i2) {
            return true;
        }
        a valueAt = i2 == -1 ? this.g.valueAt(0) : this.g.get(i3);
        int i4 = this.f;
        return (i4 == -1 || !valueAt.f2133b.get(i4).a(f2, f3)) && this.f != valueAt.b(f2, f3);
    }

    public void d(d dVar) {
        this.i = dVar;
    }

    public int e(int i2, int i3, int i4) {
        return f(-1, i2, (float) i3, (float) i4);
    }

    public int f(int i2, int i3, float f2, float f3) {
        a aVar;
        int b2;
        if (i2 == i3) {
            if (i3 == -1) {
                aVar = this.g.valueAt(0);
            } else {
                aVar = this.g.get(this.f2131e);
            }
            if (aVar == null) {
                return -1;
            }
            if ((this.f == -1 || !aVar.f2133b.get(i2).a(f2, f3)) && i2 != (b2 = aVar.b(f2, f3))) {
                return b2 == -1 ? aVar.f2134c : aVar.f2133b.get(b2).f;
            }
            return i2;
        }
        a aVar2 = this.g.get(i3);
        if (aVar2 == null) {
            return -1;
        }
        int b3 = aVar2.b(f2, f3);
        return b3 == -1 ? aVar2.f2134c : aVar2.f2133b.get(b3).f;
    }
}
