package androidx.coordinatorlayout.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.SystemClock;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.ViewTreeObserver;
import androidx.annotation.AttrRes;
import androidx.annotation.ColorInt;
import androidx.annotation.DrawableRes;
import androidx.annotation.FloatRange;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.VisibleForTesting;
import androidx.coordinatorlayout.R;
import androidx.core.util.h;
import androidx.core.util.l;
import androidx.core.view.GravityCompat;
import androidx.core.view.NestedScrollingParent2;
import androidx.core.view.NestedScrollingParent3;
import androidx.core.view.NestedScrollingParentHelper;
import androidx.core.view.OnApplyWindowInsetsListener;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.customview.view.AbsSavedState;
import com.google.android.material.badge.BadgeDrawable;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.reflect.Constructor;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class CoordinatorLayout extends ViewGroup implements NestedScrollingParent2, NestedScrollingParent3 {
    private static final int I0 = 0;
    private static final int J0 = 1;
    static final Class<?>[] K0 = {Context.class, AttributeSet.class};
    static final ThreadLocal<Map<String, Constructor<Behavior>>> L0 = new ThreadLocal<>();
    static final int M0 = 0;
    static final int N0 = 1;
    static final int O0 = 2;
    static final Comparator<View> P0;
    private static final l.a<Rect> Q0 = new l.c(12);

    /* renamed from: a  reason: collision with root package name */
    static final String f2142a = "CoordinatorLayout";

    /* renamed from: b  reason: collision with root package name */
    static final String f2143b;
    private final List<View> R0;
    private final a<View> S0;
    private final List<View> T0;
    private final List<View> U0;
    private Paint V0;
    private final int[] W0;
    private final int[] X0;
    private boolean Y0;
    private boolean Z0;
    private int[] a1;
    private View b1;
    private View c1;
    private e d1;
    private boolean e1;
    private WindowInsetsCompat f1;
    private boolean g1;
    private Drawable h1;
    ViewGroup.OnHierarchyChangeListener i1;
    private OnApplyWindowInsetsListener j1;
    private final NestedScrollingParentHelper k1;

    public static abstract class Behavior<V extends View> {
        public Behavior() {
        }

        public static void F(@NonNull View view, @Nullable Object obj) {
            ((d) view.getLayoutParams()).r = obj;
        }

        @Nullable
        public static Object e(@NonNull View view) {
            return ((d) view.getLayoutParams()).r;
        }

        @Deprecated
        public boolean A(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view, @NonNull View view2, int i) {
            return false;
        }

        public boolean B(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view, @NonNull View view2, int i, int i2) {
            if (i2 == 0) {
                return A(coordinatorLayout, v, view, view2, i);
            }
            return false;
        }

        @Deprecated
        public void C(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view) {
        }

        public void D(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view, int i) {
            if (i == 0) {
                C(coordinatorLayout, v, view);
            }
        }

        public boolean E(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull MotionEvent motionEvent) {
            return false;
        }

        public boolean a(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v) {
            return d(coordinatorLayout, v) > 0.0f;
        }

        public boolean b(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull Rect rect) {
            return false;
        }

        @ColorInt
        public int c(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v) {
            return ViewCompat.MEASURED_STATE_MASK;
        }

        @FloatRange(from = 0.0d, to = 1.0d)
        public float d(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v) {
            return 0.0f;
        }

        public boolean f(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view) {
            return false;
        }

        @NonNull
        public WindowInsetsCompat g(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull WindowInsetsCompat windowInsetsCompat) {
            return windowInsetsCompat;
        }

        public void h(@NonNull d dVar) {
        }

        public boolean i(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view) {
            return false;
        }

        public void j(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view) {
        }

        public void k() {
        }

        public boolean l(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull MotionEvent motionEvent) {
            return false;
        }

        public boolean m(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, int i) {
            return false;
        }

        public boolean n(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, int i, int i2, int i3, int i4) {
            return false;
        }

        public boolean o(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view, float f, float f2, boolean z) {
            return false;
        }

        public boolean p(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view, float f, float f2) {
            return false;
        }

        @Deprecated
        public void q(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view, int i, int i2, @NonNull int[] iArr) {
        }

        public void r(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view, int i, int i2, @NonNull int[] iArr, int i3) {
            if (i3 == 0) {
                q(coordinatorLayout, v, view, i, i2, iArr);
            }
        }

        @Deprecated
        public void s(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view, int i, int i2, int i3, int i4) {
        }

        @Deprecated
        public void t(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view, int i, int i2, int i3, int i4, int i5) {
            if (i5 == 0) {
                s(coordinatorLayout, v, view, i, i2, i3, i4);
            }
        }

        public void u(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view, int i, int i2, int i3, int i4, int i5, @NonNull int[] iArr) {
            iArr[0] = iArr[0] + i3;
            iArr[1] = iArr[1] + i4;
            t(coordinatorLayout, v, view, i, i2, i3, i4, i5);
        }

        @Deprecated
        public void v(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view, @NonNull View view2, int i) {
        }

        public void w(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull View view, @NonNull View view2, int i, int i2) {
            if (i2 == 0) {
                v(coordinatorLayout, v, view, view2, i);
            }
        }

        public boolean x(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull Rect rect, boolean z) {
            return false;
        }

        public void y(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v, @NonNull Parcelable parcelable) {
        }

        @Nullable
        public Parcelable z(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v) {
            return View.BaseSavedState.EMPTY_STATE;
        }

        public Behavior(Context context, AttributeSet attributeSet) {
        }
    }

    @Deprecated
    @Retention(RetentionPolicy.RUNTIME)
    public @interface DefaultBehavior {
        Class<? extends Behavior> value();
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public @interface DispatchChangeEvent {
    }

    /* access modifiers changed from: package-private */
    public class a implements OnApplyWindowInsetsListener {
        a() {
        }

        @Override // androidx.core.view.OnApplyWindowInsetsListener
        public WindowInsetsCompat onApplyWindowInsets(View view, WindowInsetsCompat windowInsetsCompat) {
            return CoordinatorLayout.this.V(windowInsetsCompat);
        }
    }

    public interface b {
        @NonNull
        Behavior getBehavior();
    }

    private class c implements ViewGroup.OnHierarchyChangeListener {
        c() {
        }

        public void onChildViewAdded(View view, View view2) {
            ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener = CoordinatorLayout.this.i1;
            if (onHierarchyChangeListener != null) {
                onHierarchyChangeListener.onChildViewAdded(view, view2);
            }
        }

        public void onChildViewRemoved(View view, View view2) {
            CoordinatorLayout.this.G(2);
            ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener = CoordinatorLayout.this.i1;
            if (onHierarchyChangeListener != null) {
                onHierarchyChangeListener.onChildViewRemoved(view, view2);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class e implements ViewTreeObserver.OnPreDrawListener {
        e() {
        }

        public boolean onPreDraw() {
            CoordinatorLayout.this.G(0);
            return true;
        }
    }

    static class f implements Comparator<View> {
        f() {
        }

        /* renamed from: a */
        public int compare(View view, View view2) {
            float z = ViewCompat.getZ(view);
            float z2 = ViewCompat.getZ(view2);
            if (z > z2) {
                return -1;
            }
            return z < z2 ? 1 : 0;
        }
    }

    static {
        Package r0 = CoordinatorLayout.class.getPackage();
        f2143b = r0 != null ? r0.getName() : null;
        if (Build.VERSION.SDK_INT >= 21) {
            P0 = new f();
        } else {
            P0 = null;
        }
    }

    public CoordinatorLayout(@NonNull Context context) {
        this(context, null);
    }

    private void B(View view, int i) {
        d dVar = (d) view.getLayoutParams();
        Rect e2 = e();
        e2.set(getPaddingLeft() + ((ViewGroup.MarginLayoutParams) dVar).leftMargin, getPaddingTop() + ((ViewGroup.MarginLayoutParams) dVar).topMargin, (getWidth() - getPaddingRight()) - ((ViewGroup.MarginLayoutParams) dVar).rightMargin, (getHeight() - getPaddingBottom()) - ((ViewGroup.MarginLayoutParams) dVar).bottomMargin);
        if (this.f1 != null && ViewCompat.getFitsSystemWindows(this) && !ViewCompat.getFitsSystemWindows(view)) {
            e2.left += this.f1.getSystemWindowInsetLeft();
            e2.top += this.f1.getSystemWindowInsetTop();
            e2.right -= this.f1.getSystemWindowInsetRight();
            e2.bottom -= this.f1.getSystemWindowInsetBottom();
        }
        Rect e3 = e();
        GravityCompat.apply(R(dVar.f2148c), view.getMeasuredWidth(), view.getMeasuredHeight(), e2, e3, i);
        view.layout(e3.left, e3.top, e3.right, e3.bottom);
        N(e2);
        N(e3);
    }

    private void C(View view, View view2, int i) {
        Rect e2 = e();
        Rect e3 = e();
        try {
            s(view2, e2);
            t(view, i, e2, e3);
            view.layout(e3.left, e3.top, e3.right, e3.bottom);
        } finally {
            N(e2);
            N(e3);
        }
    }

    private void D(View view, int i, int i2) {
        d dVar = (d) view.getLayoutParams();
        int absoluteGravity = GravityCompat.getAbsoluteGravity(S(dVar.f2148c), i2);
        int i3 = absoluteGravity & 7;
        int i4 = absoluteGravity & 112;
        int width = getWidth();
        int height = getHeight();
        int measuredWidth = view.getMeasuredWidth();
        int measuredHeight = view.getMeasuredHeight();
        if (i2 == 1) {
            i = width - i;
        }
        int v = v(i) - measuredWidth;
        int i5 = 0;
        if (i3 == 1) {
            v += measuredWidth / 2;
        } else if (i3 == 5) {
            v += measuredWidth;
        }
        if (i4 == 16) {
            i5 = 0 + (measuredHeight / 2);
        } else if (i4 == 80) {
            i5 = measuredHeight + 0;
        }
        int max = Math.max(getPaddingLeft() + ((ViewGroup.MarginLayoutParams) dVar).leftMargin, Math.min(v, ((width - getPaddingRight()) - measuredWidth) - ((ViewGroup.MarginLayoutParams) dVar).rightMargin));
        int max2 = Math.max(getPaddingTop() + ((ViewGroup.MarginLayoutParams) dVar).topMargin, Math.min(i5, ((height - getPaddingBottom()) - measuredHeight) - ((ViewGroup.MarginLayoutParams) dVar).bottomMargin));
        view.layout(max, max2, measuredWidth + max, measuredHeight + max2);
    }

    private void E(View view, Rect rect, int i) {
        boolean z;
        boolean z2;
        int width;
        int i2;
        int i3;
        int i4;
        int height;
        int i5;
        int i6;
        int i7;
        if (ViewCompat.isLaidOut(view) && view.getWidth() > 0 && view.getHeight() > 0) {
            d dVar = (d) view.getLayoutParams();
            Behavior f2 = dVar.f();
            Rect e2 = e();
            Rect e3 = e();
            e3.set(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
            if (f2 == null || !f2.b(this, view, e2)) {
                e2.set(e3);
            } else if (!e3.contains(e2)) {
                throw new IllegalArgumentException("Rect should be within the child's bounds. Rect:" + e2.toShortString() + " | Bounds:" + e3.toShortString());
            }
            N(e3);
            if (e2.isEmpty()) {
                N(e2);
                return;
            }
            int absoluteGravity = GravityCompat.getAbsoluteGravity(dVar.h, i);
            boolean z3 = true;
            if ((absoluteGravity & 48) != 48 || (i6 = (e2.top - ((ViewGroup.MarginLayoutParams) dVar).topMargin) - dVar.j) >= (i7 = rect.top)) {
                z = false;
            } else {
                U(view, i7 - i6);
                z = true;
            }
            if ((absoluteGravity & 80) == 80 && (height = ((getHeight() - e2.bottom) - ((ViewGroup.MarginLayoutParams) dVar).bottomMargin) + dVar.j) < (i5 = rect.bottom)) {
                U(view, height - i5);
                z = true;
            }
            if (!z) {
                U(view, 0);
            }
            if ((absoluteGravity & 3) != 3 || (i3 = (e2.left - ((ViewGroup.MarginLayoutParams) dVar).leftMargin) - dVar.i) >= (i4 = rect.left)) {
                z2 = false;
            } else {
                T(view, i4 - i3);
                z2 = true;
            }
            if ((absoluteGravity & 5) != 5 || (width = ((getWidth() - e2.right) - ((ViewGroup.MarginLayoutParams) dVar).rightMargin) + dVar.i) >= (i2 = rect.right)) {
                z3 = z2;
            } else {
                T(view, width - i2);
            }
            if (!z3) {
                T(view, 0);
            }
            N(e2);
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v9, resolved type: java.lang.Class<?> */
    /* JADX WARN: Multi-variable type inference failed */
    static Behavior J(Context context, AttributeSet attributeSet, String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        if (str.startsWith(".")) {
            str = context.getPackageName() + str;
        } else if (str.indexOf(46) < 0) {
            String str2 = f2143b;
            if (!TextUtils.isEmpty(str2)) {
                str = str2 + '.' + str;
            }
        }
        try {
            ThreadLocal<Map<String, Constructor<Behavior>>> threadLocal = L0;
            Map<String, Constructor<Behavior>> map = threadLocal.get();
            if (map == null) {
                map = new HashMap<>();
                threadLocal.set(map);
            }
            Constructor<Behavior> constructor = map.get(str);
            if (constructor == null) {
                constructor = Class.forName(str, false, context.getClassLoader()).getConstructor(K0);
                constructor.setAccessible(true);
                map.put(str, constructor);
            }
            return constructor.newInstance(context, attributeSet);
        } catch (Exception e2) {
            throw new RuntimeException("Could not inflate Behavior subclass " + str, e2);
        }
    }

    private boolean K(MotionEvent motionEvent, int i) {
        int actionMasked = motionEvent.getActionMasked();
        List<View> list = this.T0;
        y(list);
        int size = list.size();
        MotionEvent motionEvent2 = null;
        boolean z = false;
        boolean z2 = false;
        for (int i2 = 0; i2 < size; i2++) {
            View view = list.get(i2);
            d dVar = (d) view.getLayoutParams();
            Behavior f2 = dVar.f();
            if (!(z || z2) || actionMasked == 0) {
                if (!z && f2 != null) {
                    if (i == 0) {
                        z = f2.l(this, view, motionEvent);
                    } else if (i == 1) {
                        z = f2.E(this, view, motionEvent);
                    }
                    if (z) {
                        this.b1 = view;
                    }
                }
                boolean c2 = dVar.c();
                boolean j = dVar.j(this, view);
                z2 = j && !c2;
                if (j && !z2) {
                    break;
                }
            } else if (f2 != null) {
                if (motionEvent2 == null) {
                    long uptimeMillis = SystemClock.uptimeMillis();
                    motionEvent2 = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
                }
                if (i == 0) {
                    f2.l(this, view, motionEvent2);
                } else if (i == 1) {
                    f2.E(this, view, motionEvent2);
                }
            }
        }
        list.clear();
        return z;
    }

    private void L() {
        this.R0.clear();
        this.S0.c();
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            d x = x(childAt);
            x.d(this, childAt);
            this.S0.b(childAt);
            for (int i2 = 0; i2 < childCount; i2++) {
                if (i2 != i) {
                    View childAt2 = getChildAt(i2);
                    if (x.b(this, childAt, childAt2)) {
                        if (!this.S0.d(childAt2)) {
                            this.S0.b(childAt2);
                        }
                        this.S0.a(childAt2, childAt);
                    }
                }
            }
        }
        this.R0.addAll(this.S0.i());
        Collections.reverse(this.R0);
    }

    private static void N(@NonNull Rect rect) {
        rect.setEmpty();
        Q0.a(rect);
    }

    private void P(boolean z) {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            Behavior f2 = ((d) childAt.getLayoutParams()).f();
            if (f2 != null) {
                long uptimeMillis = SystemClock.uptimeMillis();
                MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
                if (z) {
                    f2.l(this, childAt, obtain);
                } else {
                    f2.E(this, childAt, obtain);
                }
                obtain.recycle();
            }
        }
        for (int i2 = 0; i2 < childCount; i2++) {
            ((d) getChildAt(i2).getLayoutParams()).n();
        }
        this.b1 = null;
        this.Y0 = false;
    }

    private static int Q(int i) {
        if (i == 0) {
            return 17;
        }
        return i;
    }

    private static int R(int i) {
        if ((i & 7) == 0) {
            i |= GravityCompat.START;
        }
        return (i & 112) == 0 ? i | 48 : i;
    }

    private static int S(int i) {
        return i == 0 ? BadgeDrawable.f11395a : i;
    }

    private void T(View view, int i) {
        d dVar = (d) view.getLayoutParams();
        int i2 = dVar.i;
        if (i2 != i) {
            ViewCompat.offsetLeftAndRight(view, i - i2);
            dVar.i = i;
        }
    }

    private void U(View view, int i) {
        d dVar = (d) view.getLayoutParams();
        int i2 = dVar.j;
        if (i2 != i) {
            ViewCompat.offsetTopAndBottom(view, i - i2);
            dVar.j = i;
        }
    }

    private void W() {
        if (Build.VERSION.SDK_INT >= 21) {
            if (ViewCompat.getFitsSystemWindows(this)) {
                if (this.j1 == null) {
                    this.j1 = new a();
                }
                ViewCompat.setOnApplyWindowInsetsListener(this, this.j1);
                setSystemUiVisibility(com.ibm.icu.impl.t2.b.n);
                return;
            }
            ViewCompat.setOnApplyWindowInsetsListener(this, null);
        }
    }

    @NonNull
    private static Rect e() {
        Rect b2 = Q0.b();
        return b2 == null ? new Rect() : b2;
    }

    private static int g(int i, int i2, int i3) {
        return i < i2 ? i2 : i > i3 ? i3 : i;
    }

    private void h(d dVar, Rect rect, int i, int i2) {
        int width = getWidth();
        int height = getHeight();
        int max = Math.max(getPaddingLeft() + ((ViewGroup.MarginLayoutParams) dVar).leftMargin, Math.min(rect.left, ((width - getPaddingRight()) - i) - ((ViewGroup.MarginLayoutParams) dVar).rightMargin));
        int max2 = Math.max(getPaddingTop() + ((ViewGroup.MarginLayoutParams) dVar).topMargin, Math.min(rect.top, ((height - getPaddingBottom()) - i2) - ((ViewGroup.MarginLayoutParams) dVar).bottomMargin));
        rect.set(max, max2, i + max, i2 + max2);
    }

    private WindowInsetsCompat i(WindowInsetsCompat windowInsetsCompat) {
        Behavior f2;
        if (windowInsetsCompat.isConsumed()) {
            return windowInsetsCompat;
        }
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (ViewCompat.getFitsSystemWindows(childAt) && (f2 = ((d) childAt.getLayoutParams()).f()) != null) {
                windowInsetsCompat = f2.g(this, childAt, windowInsetsCompat);
                if (windowInsetsCompat.isConsumed()) {
                    break;
                }
            }
        }
        return windowInsetsCompat;
    }

    private void u(View view, int i, Rect rect, Rect rect2, d dVar, int i2, int i3) {
        int i4;
        int i5;
        int absoluteGravity = GravityCompat.getAbsoluteGravity(Q(dVar.f2148c), i);
        int absoluteGravity2 = GravityCompat.getAbsoluteGravity(R(dVar.f2149d), i);
        int i6 = absoluteGravity & 7;
        int i7 = absoluteGravity & 112;
        int i8 = absoluteGravity2 & 7;
        int i9 = absoluteGravity2 & 112;
        if (i8 == 1) {
            i4 = rect.left + (rect.width() / 2);
        } else if (i8 != 5) {
            i4 = rect.left;
        } else {
            i4 = rect.right;
        }
        if (i9 == 16) {
            i5 = rect.top + (rect.height() / 2);
        } else if (i9 != 80) {
            i5 = rect.top;
        } else {
            i5 = rect.bottom;
        }
        if (i6 == 1) {
            i4 -= i2 / 2;
        } else if (i6 != 5) {
            i4 -= i2;
        }
        if (i7 == 16) {
            i5 -= i3 / 2;
        } else if (i7 != 80) {
            i5 -= i3;
        }
        rect2.set(i4, i5, i2 + i4, i3 + i5);
    }

    private int v(int i) {
        int[] iArr = this.a1;
        if (iArr == null) {
            Log.e(f2142a, "No keylines defined for " + this + " - attempted index lookup " + i);
            return 0;
        } else if (i >= 0 && i < iArr.length) {
            return iArr[i];
        } else {
            Log.e(f2142a, "Keyline index " + i + " out of range for " + this);
            return 0;
        }
    }

    private void y(List<View> list) {
        list.clear();
        boolean isChildrenDrawingOrderEnabled = isChildrenDrawingOrderEnabled();
        int childCount = getChildCount();
        for (int i = childCount - 1; i >= 0; i--) {
            list.add(getChildAt(isChildrenDrawingOrderEnabled ? getChildDrawingOrder(childCount, i) : i));
        }
        Comparator<View> comparator = P0;
        if (comparator != null) {
            Collections.sort(list, comparator);
        }
    }

    private boolean z(View view) {
        return this.S0.j(view);
    }

    public boolean A(@NonNull View view, int i, int i2) {
        Rect e2 = e();
        s(view, e2);
        try {
            return e2.contains(i, i2);
        } finally {
            N(e2);
        }
    }

    /* access modifiers changed from: package-private */
    public void F(View view, int i) {
        Behavior f2;
        d dVar = (d) view.getLayoutParams();
        if (dVar.k != null) {
            Rect e2 = e();
            Rect e3 = e();
            Rect e4 = e();
            s(dVar.k, e2);
            boolean z = false;
            p(view, false, e3);
            int measuredWidth = view.getMeasuredWidth();
            int measuredHeight = view.getMeasuredHeight();
            u(view, i, e2, e4, dVar, measuredWidth, measuredHeight);
            if (!(e4.left == e3.left && e4.top == e3.top)) {
                z = true;
            }
            h(dVar, e4, measuredWidth, measuredHeight);
            int i2 = e4.left - e3.left;
            int i3 = e4.top - e3.top;
            if (i2 != 0) {
                ViewCompat.offsetLeftAndRight(view, i2);
            }
            if (i3 != 0) {
                ViewCompat.offsetTopAndBottom(view, i3);
            }
            if (z && (f2 = dVar.f()) != null) {
                f2.i(this, view, dVar.k);
            }
            N(e2);
            N(e3);
            N(e4);
        }
    }

    /* access modifiers changed from: package-private */
    public final void G(int i) {
        boolean z;
        int layoutDirection = ViewCompat.getLayoutDirection(this);
        int size = this.R0.size();
        Rect e2 = e();
        Rect e3 = e();
        Rect e4 = e();
        for (int i2 = 0; i2 < size; i2++) {
            View view = this.R0.get(i2);
            d dVar = (d) view.getLayoutParams();
            if (i != 0 || view.getVisibility() != 8) {
                for (int i3 = 0; i3 < i2; i3++) {
                    if (dVar.l == this.R0.get(i3)) {
                        F(view, layoutDirection);
                    }
                }
                p(view, true, e3);
                if (dVar.g != 0 && !e3.isEmpty()) {
                    int absoluteGravity = GravityCompat.getAbsoluteGravity(dVar.g, layoutDirection);
                    int i4 = absoluteGravity & 112;
                    if (i4 == 48) {
                        e2.top = Math.max(e2.top, e3.bottom);
                    } else if (i4 == 80) {
                        e2.bottom = Math.max(e2.bottom, getHeight() - e3.top);
                    }
                    int i5 = absoluteGravity & 7;
                    if (i5 == 3) {
                        e2.left = Math.max(e2.left, e3.right);
                    } else if (i5 == 5) {
                        e2.right = Math.max(e2.right, getWidth() - e3.left);
                    }
                }
                if (dVar.h != 0 && view.getVisibility() == 0) {
                    E(view, e2, layoutDirection);
                }
                if (i != 2) {
                    w(view, e4);
                    if (!e4.equals(e3)) {
                        M(view, e3);
                    }
                }
                for (int i6 = i2 + 1; i6 < size; i6++) {
                    View view2 = this.R0.get(i6);
                    d dVar2 = (d) view2.getLayoutParams();
                    Behavior f2 = dVar2.f();
                    if (f2 != null && f2.f(this, view2, view)) {
                        if (i != 0 || !dVar2.g()) {
                            if (i != 2) {
                                z = f2.i(this, view2, view);
                            } else {
                                f2.j(this, view2, view);
                                z = true;
                            }
                            if (i == 1) {
                                dVar2.r(z);
                            }
                        } else {
                            dVar2.l();
                        }
                    }
                }
            }
        }
        N(e2);
        N(e3);
        N(e4);
    }

    public void H(@NonNull View view, int i) {
        d dVar = (d) view.getLayoutParams();
        if (!dVar.a()) {
            View view2 = dVar.k;
            if (view2 != null) {
                C(view, view2, i);
                return;
            }
            int i2 = dVar.f2150e;
            if (i2 >= 0) {
                D(view, i2, i);
            } else {
                B(view, i);
            }
        } else {
            throw new IllegalStateException("An anchor may not be changed after CoordinatorLayout measurement begins before layout is complete.");
        }
    }

    public void I(View view, int i, int i2, int i3, int i4) {
        measureChildWithMargins(view, i, i2, i3, i4);
    }

    /* access modifiers changed from: package-private */
    public void M(View view, Rect rect) {
        ((d) view.getLayoutParams()).s(rect);
    }

    /* access modifiers changed from: package-private */
    public void O() {
        if (this.Z0 && this.d1 != null) {
            getViewTreeObserver().removeOnPreDrawListener(this.d1);
        }
        this.e1 = false;
    }

    /* access modifiers changed from: package-private */
    public final WindowInsetsCompat V(WindowInsetsCompat windowInsetsCompat) {
        if (h.a(this.f1, windowInsetsCompat)) {
            return windowInsetsCompat;
        }
        this.f1 = windowInsetsCompat;
        boolean z = true;
        boolean z2 = windowInsetsCompat != null && windowInsetsCompat.getSystemWindowInsetTop() > 0;
        this.g1 = z2;
        if (z2 || getBackground() != null) {
            z = false;
        }
        setWillNotDraw(z);
        WindowInsetsCompat i = i(windowInsetsCompat);
        requestLayout();
        return i;
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return (layoutParams instanceof d) && super.checkLayoutParams(layoutParams);
    }

    /* access modifiers changed from: protected */
    public boolean drawChild(Canvas canvas, View view, long j) {
        d dVar = (d) view.getLayoutParams();
        Behavior behavior = dVar.f2146a;
        if (behavior != null) {
            float d2 = behavior.d(this, view);
            if (d2 > 0.0f) {
                if (this.V0 == null) {
                    this.V0 = new Paint();
                }
                this.V0.setColor(dVar.f2146a.c(this, view));
                this.V0.setAlpha(g(Math.round(d2 * 255.0f), 0, 255));
                int save = canvas.save();
                if (view.isOpaque()) {
                    canvas.clipRect((float) view.getLeft(), (float) view.getTop(), (float) view.getRight(), (float) view.getBottom(), Region.Op.DIFFERENCE);
                }
                canvas.drawRect((float) getPaddingLeft(), (float) getPaddingTop(), (float) (getWidth() - getPaddingRight()), (float) (getHeight() - getPaddingBottom()), this.V0);
                canvas.restoreToCount(save);
            }
        }
        return super.drawChild(canvas, view, j);
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        Drawable drawable = this.h1;
        boolean z = false;
        if (drawable != null && drawable.isStateful()) {
            z = false | drawable.setState(drawableState);
        }
        if (z) {
            invalidate();
        }
    }

    /* access modifiers changed from: package-private */
    public void f() {
        if (this.Z0) {
            if (this.d1 == null) {
                this.d1 = new e();
            }
            getViewTreeObserver().addOnPreDrawListener(this.d1);
        }
        this.e1 = true;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public final List<View> getDependencySortedChildren() {
        L();
        return Collections.unmodifiableList(this.R0);
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public final WindowInsetsCompat getLastWindowInsets() {
        return this.f1;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public int getNestedScrollAxes() {
        return this.k1.getNestedScrollAxes();
    }

    @Nullable
    public Drawable getStatusBarBackground() {
        return this.h1;
    }

    /* access modifiers changed from: protected */
    public int getSuggestedMinimumHeight() {
        return Math.max(super.getSuggestedMinimumHeight(), getPaddingTop() + getPaddingBottom());
    }

    /* access modifiers changed from: protected */
    public int getSuggestedMinimumWidth() {
        return Math.max(super.getSuggestedMinimumWidth(), getPaddingLeft() + getPaddingRight());
    }

    public void j(@NonNull View view) {
        List g = this.S0.g(view);
        if (!(g == null || g.isEmpty())) {
            for (int i = 0; i < g.size(); i++) {
                View view2 = (View) g.get(i);
                Behavior f2 = ((d) view2.getLayoutParams()).f();
                if (f2 != null) {
                    f2.i(this, view2, view);
                }
            }
        }
    }

    public boolean k(@NonNull View view, @NonNull View view2) {
        boolean z = false;
        if (view.getVisibility() != 0 || view2.getVisibility() != 0) {
            return false;
        }
        Rect e2 = e();
        p(view, view.getParent() != this, e2);
        Rect e3 = e();
        p(view2, view2.getParent() != this, e3);
        try {
            if (e2.left <= e3.right && e2.top <= e3.bottom && e2.right >= e3.left && e2.bottom >= e3.top) {
                z = true;
            }
            return z;
        } finally {
            N(e2);
            N(e3);
        }
    }

    /* access modifiers changed from: package-private */
    public void l() {
        int childCount = getChildCount();
        boolean z = false;
        int i = 0;
        while (true) {
            if (i >= childCount) {
                break;
            } else if (z(getChildAt(i))) {
                z = true;
                break;
            } else {
                i++;
            }
        }
        if (z == this.e1) {
            return;
        }
        if (z) {
            f();
        } else {
            O();
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: m */
    public d generateDefaultLayoutParams() {
        return new d(-2, -2);
    }

    /* renamed from: n */
    public d generateLayoutParams(AttributeSet attributeSet) {
        return new d(getContext(), attributeSet);
    }

    /* access modifiers changed from: protected */
    /* renamed from: o */
    public d generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof d) {
            return new d((d) layoutParams);
        }
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new d((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new d(layoutParams);
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        P(false);
        if (this.e1) {
            if (this.d1 == null) {
                this.d1 = new e();
            }
            getViewTreeObserver().addOnPreDrawListener(this.d1);
        }
        if (this.f1 == null && ViewCompat.getFitsSystemWindows(this)) {
            ViewCompat.requestApplyInsets(this);
        }
        this.Z0 = true;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        P(false);
        if (this.e1 && this.d1 != null) {
            getViewTreeObserver().removeOnPreDrawListener(this.d1);
        }
        View view = this.c1;
        if (view != null) {
            onStopNestedScroll(view);
        }
        this.Z0 = false;
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.g1 && this.h1 != null) {
            WindowInsetsCompat windowInsetsCompat = this.f1;
            int systemWindowInsetTop = windowInsetsCompat != null ? windowInsetsCompat.getSystemWindowInsetTop() : 0;
            if (systemWindowInsetTop > 0) {
                this.h1.setBounds(0, 0, getWidth(), systemWindowInsetTop);
                this.h1.draw(canvas);
            }
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            P(true);
        }
        boolean K = K(motionEvent, 0);
        if (actionMasked == 1 || actionMasked == 3) {
            P(true);
        }
        return K;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        Behavior f2;
        int layoutDirection = ViewCompat.getLayoutDirection(this);
        int size = this.R0.size();
        for (int i5 = 0; i5 < size; i5++) {
            View view = this.R0.get(i5);
            if (view.getVisibility() != 8 && ((f2 = ((d) view.getLayoutParams()).f()) == null || !f2.m(this, view, layoutDirection))) {
                H(view, layoutDirection);
            }
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:41:0x011a, code lost:
        if (r0.n(r30, r20, r11, r21, r23, 0) == false) goto L_0x012a;
     */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x00c1  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00fb  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x011d  */
    public void onMeasure(int i, int i2) {
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        Behavior f2;
        int i10;
        d dVar;
        int i11;
        int i12;
        L();
        l();
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingRight = getPaddingRight();
        int paddingBottom = getPaddingBottom();
        int layoutDirection = ViewCompat.getLayoutDirection(this);
        boolean z = layoutDirection == 1;
        int mode = View.MeasureSpec.getMode(i);
        int size = View.MeasureSpec.getSize(i);
        int mode2 = View.MeasureSpec.getMode(i2);
        int size2 = View.MeasureSpec.getSize(i2);
        int i13 = paddingLeft + paddingRight;
        int i14 = paddingTop + paddingBottom;
        int suggestedMinimumWidth = getSuggestedMinimumWidth();
        int suggestedMinimumHeight = getSuggestedMinimumHeight();
        boolean z2 = this.f1 != null && ViewCompat.getFitsSystemWindows(this);
        int size3 = this.R0.size();
        int i15 = suggestedMinimumWidth;
        int i16 = suggestedMinimumHeight;
        int i17 = 0;
        int i18 = 0;
        while (i18 < size3) {
            View view = this.R0.get(i18);
            if (view.getVisibility() == 8) {
                i5 = i18;
                i3 = size3;
                i4 = paddingLeft;
            } else {
                d dVar2 = (d) view.getLayoutParams();
                int i19 = dVar2.f2150e;
                if (i19 < 0 || mode == 0) {
                    i6 = i17;
                } else {
                    int v = v(i19);
                    int absoluteGravity = GravityCompat.getAbsoluteGravity(S(dVar2.f2148c), layoutDirection) & 7;
                    i6 = i17;
                    if ((absoluteGravity == 3 && !z) || (absoluteGravity == 5 && z)) {
                        i7 = Math.max(0, (size - paddingRight) - v);
                        if (z2) {
                        }
                        i9 = i;
                        i8 = i2;
                        f2 = dVar2.f();
                        if (f2 != null) {
                        }
                        I(view, i9, i7, i8, 0);
                        int max = Math.max(i12, i13 + view.getMeasuredWidth() + ((ViewGroup.MarginLayoutParams) dVar).leftMargin + ((ViewGroup.MarginLayoutParams) dVar).rightMargin);
                        int max2 = Math.max(i10, i14 + view.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) dVar).topMargin + ((ViewGroup.MarginLayoutParams) dVar).bottomMargin);
                        i17 = View.combineMeasuredStates(i11, view.getMeasuredState());
                        i15 = max;
                        i16 = max2;
                    } else if ((absoluteGravity == 5 && !z) || (absoluteGravity == 3 && z)) {
                        i7 = Math.max(0, v - paddingLeft);
                        if (z2 || ViewCompat.getFitsSystemWindows(view)) {
                            i9 = i;
                            i8 = i2;
                        } else {
                            i9 = View.MeasureSpec.makeMeasureSpec(size - (this.f1.getSystemWindowInsetLeft() + this.f1.getSystemWindowInsetRight()), mode);
                            i8 = View.MeasureSpec.makeMeasureSpec(size2 - (this.f1.getSystemWindowInsetTop() + this.f1.getSystemWindowInsetBottom()), mode2);
                        }
                        f2 = dVar2.f();
                        if (f2 != null) {
                            dVar = dVar2;
                            i11 = i6;
                            i5 = i18;
                            i10 = i16;
                            i4 = paddingLeft;
                            i12 = i15;
                            i3 = size3;
                        } else {
                            dVar = dVar2;
                            i10 = i16;
                            i3 = size3;
                            i4 = paddingLeft;
                            i11 = i6;
                            i5 = i18;
                            i12 = i15;
                        }
                        I(view, i9, i7, i8, 0);
                        int max3 = Math.max(i12, i13 + view.getMeasuredWidth() + ((ViewGroup.MarginLayoutParams) dVar).leftMargin + ((ViewGroup.MarginLayoutParams) dVar).rightMargin);
                        int max22 = Math.max(i10, i14 + view.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) dVar).topMargin + ((ViewGroup.MarginLayoutParams) dVar).bottomMargin);
                        i17 = View.combineMeasuredStates(i11, view.getMeasuredState());
                        i15 = max3;
                        i16 = max22;
                    }
                }
                i7 = 0;
                if (z2) {
                }
                i9 = i;
                i8 = i2;
                f2 = dVar2.f();
                if (f2 != null) {
                }
                I(view, i9, i7, i8, 0);
                int max32 = Math.max(i12, i13 + view.getMeasuredWidth() + ((ViewGroup.MarginLayoutParams) dVar).leftMargin + ((ViewGroup.MarginLayoutParams) dVar).rightMargin);
                int max222 = Math.max(i10, i14 + view.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) dVar).topMargin + ((ViewGroup.MarginLayoutParams) dVar).bottomMargin);
                i17 = View.combineMeasuredStates(i11, view.getMeasuredState());
                i15 = max32;
                i16 = max222;
            }
            i18 = i5 + 1;
            paddingLeft = i4;
            size3 = i3;
        }
        setMeasuredDimension(View.resolveSizeAndState(i15, i, -16777216 & i17), View.resolveSizeAndState(i16, i2, i17 << 16));
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedFling(View view, float f2, float f3, boolean z) {
        Behavior f4;
        int childCount = getChildCount();
        boolean z2 = false;
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (childAt.getVisibility() != 8) {
                d dVar = (d) childAt.getLayoutParams();
                if (dVar.k(0) && (f4 = dVar.f()) != null) {
                    z2 |= f4.o(this, childAt, view, f2, f3, z);
                }
            }
        }
        if (z2) {
            G(1);
        }
        return z2;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedPreFling(View view, float f2, float f3) {
        Behavior f4;
        int childCount = getChildCount();
        boolean z = false;
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (childAt.getVisibility() != 8) {
                d dVar = (d) childAt.getLayoutParams();
                if (dVar.k(0) && (f4 = dVar.f()) != null) {
                    z |= f4.p(this, childAt, view, f2, f3);
                }
            }
        }
        return z;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedPreScroll(View view, int i, int i2, int[] iArr) {
        onNestedPreScroll(view, i, i2, iArr, 0);
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScroll(View view, int i, int i2, int i3, int i4) {
        onNestedScroll(view, i, i2, i3, i4, 0);
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScrollAccepted(View view, View view2, int i) {
        onNestedScrollAccepted(view, view2, i, 0);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        Parcelable parcelable2;
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.a());
        SparseArray<Parcelable> sparseArray = savedState.I0;
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            int id = childAt.getId();
            Behavior f2 = x(childAt).f();
            if (!(id == -1 || f2 == null || (parcelable2 = sparseArray.get(id)) == null)) {
                f2.y(this, childAt, parcelable2);
            }
        }
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        Parcelable z;
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        SparseArray<Parcelable> sparseArray = new SparseArray<>();
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            int id = childAt.getId();
            Behavior f2 = ((d) childAt.getLayoutParams()).f();
            if (!(id == -1 || f2 == null || (z = f2.z(this, childAt)) == null)) {
                sparseArray.append(id, z);
            }
        }
        savedState.I0 = sparseArray;
        return savedState;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onStartNestedScroll(View view, View view2, int i) {
        return onStartNestedScroll(view, view2, i, 0);
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onStopNestedScroll(View view) {
        onStopNestedScroll(view, 0);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:3:0x0012, code lost:
        if (r3 != false) goto L_0x0016;
     */
    /* JADX WARNING: Removed duplicated region for block: B:11:0x0031  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0037  */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x004c  */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z;
        boolean z2;
        MotionEvent motionEvent2;
        int actionMasked = motionEvent.getActionMasked();
        if (this.b1 == null) {
            z2 = K(motionEvent, 1);
        } else {
            z2 = false;
        }
        Behavior f2 = ((d) this.b1.getLayoutParams()).f();
        if (f2 != null) {
            z = f2.E(this, this.b1, motionEvent);
            motionEvent2 = null;
            if (this.b1 != null) {
                z |= super.onTouchEvent(motionEvent);
            } else if (z2) {
                long uptimeMillis = SystemClock.uptimeMillis();
                motionEvent2 = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
                super.onTouchEvent(motionEvent2);
            }
            if (motionEvent2 != null) {
                motionEvent2.recycle();
            }
            if (actionMasked == 1 || actionMasked == 3) {
                P(false);
            }
            return z;
        }
        z = false;
        motionEvent2 = null;
        if (this.b1 != null) {
        }
        if (motionEvent2 != null) {
        }
        P(false);
        return z;
    }

    /* access modifiers changed from: package-private */
    public void p(View view, boolean z, Rect rect) {
        if (view.isLayoutRequested() || view.getVisibility() == 8) {
            rect.setEmpty();
        } else if (z) {
            s(view, rect);
        } else {
            rect.set(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
        }
    }

    @NonNull
    public List<View> q(@NonNull View view) {
        List<View> h = this.S0.h(view);
        this.U0.clear();
        if (h != null) {
            this.U0.addAll(h);
        }
        return this.U0;
    }

    @NonNull
    public List<View> r(@NonNull View view) {
        List g = this.S0.g(view);
        this.U0.clear();
        if (g != null) {
            this.U0.addAll(g);
        }
        return this.U0;
    }

    public boolean requestChildRectangleOnScreen(View view, Rect rect, boolean z) {
        Behavior f2 = ((d) view.getLayoutParams()).f();
        if (f2 == null || !f2.x(this, view, rect, z)) {
            return super.requestChildRectangleOnScreen(view, rect, z);
        }
        return true;
    }

    public void requestDisallowInterceptTouchEvent(boolean z) {
        super.requestDisallowInterceptTouchEvent(z);
        if (z && !this.Y0) {
            P(false);
            this.Y0 = true;
        }
    }

    /* access modifiers changed from: package-private */
    public void s(View view, Rect rect) {
        b.a(this, view, rect);
    }

    public void setFitsSystemWindows(boolean z) {
        super.setFitsSystemWindows(z);
        W();
    }

    public void setOnHierarchyChangeListener(ViewGroup.OnHierarchyChangeListener onHierarchyChangeListener) {
        this.i1 = onHierarchyChangeListener;
    }

    public void setStatusBarBackground(@Nullable Drawable drawable) {
        Drawable drawable2 = this.h1;
        if (drawable2 != drawable) {
            Drawable drawable3 = null;
            if (drawable2 != null) {
                drawable2.setCallback(null);
            }
            if (drawable != null) {
                drawable3 = drawable.mutate();
            }
            this.h1 = drawable3;
            if (drawable3 != null) {
                if (drawable3.isStateful()) {
                    this.h1.setState(getDrawableState());
                }
                androidx.core.graphics.drawable.c.m(this.h1, ViewCompat.getLayoutDirection(this));
                this.h1.setVisible(getVisibility() == 0, false);
                this.h1.setCallback(this);
            }
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    public void setStatusBarBackgroundColor(@ColorInt int i) {
        setStatusBarBackground(new ColorDrawable(i));
    }

    public void setStatusBarBackgroundResource(@DrawableRes int i) {
        setStatusBarBackground(i != 0 ? androidx.core.content.d.i(getContext(), i) : null);
    }

    public void setVisibility(int i) {
        super.setVisibility(i);
        boolean z = i == 0;
        Drawable drawable = this.h1;
        if (drawable != null && drawable.isVisible() != z) {
            this.h1.setVisible(z, false);
        }
    }

    /* access modifiers changed from: package-private */
    public void t(View view, int i, Rect rect, Rect rect2) {
        d dVar = (d) view.getLayoutParams();
        int measuredWidth = view.getMeasuredWidth();
        int measuredHeight = view.getMeasuredHeight();
        u(view, i, rect, rect2, dVar, measuredWidth, measuredHeight);
        h(dVar, rect2, measuredWidth, measuredHeight);
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.h1;
    }

    /* access modifiers changed from: package-private */
    public void w(View view, Rect rect) {
        rect.set(((d) view.getLayoutParams()).h());
    }

    /* access modifiers changed from: package-private */
    public d x(View view) {
        d dVar = (d) view.getLayoutParams();
        if (!dVar.f2147b) {
            if (view instanceof b) {
                Behavior behavior = ((b) view).getBehavior();
                if (behavior == null) {
                    Log.e(f2142a, "Attached behavior class is null");
                }
                dVar.q(behavior);
                dVar.f2147b = true;
            } else {
                DefaultBehavior defaultBehavior = null;
                for (Class<?> cls = view.getClass(); cls != null; cls = cls.getSuperclass()) {
                    defaultBehavior = (DefaultBehavior) cls.getAnnotation(DefaultBehavior.class);
                    if (defaultBehavior != null) {
                        break;
                    }
                }
                if (defaultBehavior != null) {
                    try {
                        dVar.q((Behavior) defaultBehavior.value().getDeclaredConstructor(new Class[0]).newInstance(new Object[0]));
                    } catch (Exception e2) {
                        Log.e(f2142a, "Default behavior class " + defaultBehavior.value().getName() + " could not be instantiated. Did you forget a default constructor?", e2);
                    }
                }
                dVar.f2147b = true;
            }
        }
        return dVar;
    }

    public CoordinatorLayout(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.coordinatorLayoutStyle);
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onNestedPreScroll(View view, int i, int i2, int[] iArr, int i3) {
        Behavior f2;
        int i4;
        int i5;
        int childCount = getChildCount();
        boolean z = false;
        int i6 = 0;
        int i7 = 0;
        for (int i8 = 0; i8 < childCount; i8++) {
            View childAt = getChildAt(i8);
            if (childAt.getVisibility() != 8) {
                d dVar = (d) childAt.getLayoutParams();
                if (dVar.k(i3) && (f2 = dVar.f()) != null) {
                    int[] iArr2 = this.W0;
                    iArr2[0] = 0;
                    iArr2[1] = 0;
                    f2.r(this, childAt, view, i, i2, iArr2, i3);
                    int[] iArr3 = this.W0;
                    if (i > 0) {
                        i4 = Math.max(i6, iArr3[0]);
                    } else {
                        i4 = Math.min(i6, iArr3[0]);
                    }
                    i6 = i4;
                    int[] iArr4 = this.W0;
                    if (i2 > 0) {
                        i5 = Math.max(i7, iArr4[1]);
                    } else {
                        i5 = Math.min(i7, iArr4[1]);
                    }
                    i7 = i5;
                    z = true;
                }
            }
        }
        iArr[0] = i6;
        iArr[1] = i7;
        if (z) {
            G(1);
        }
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onNestedScroll(View view, int i, int i2, int i3, int i4, int i5) {
        onNestedScroll(view, i, i2, i3, i4, 0, this.X0);
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onNestedScrollAccepted(View view, View view2, int i, int i2) {
        Behavior f2;
        this.k1.onNestedScrollAccepted(view, view2, i, i2);
        this.c1 = view2;
        int childCount = getChildCount();
        for (int i3 = 0; i3 < childCount; i3++) {
            View childAt = getChildAt(i3);
            d dVar = (d) childAt.getLayoutParams();
            if (dVar.k(i2) && (f2 = dVar.f()) != null) {
                f2.w(this, childAt, view, view2, i, i2);
            }
        }
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public boolean onStartNestedScroll(View view, View view2, int i, int i2) {
        int childCount = getChildCount();
        boolean z = false;
        for (int i3 = 0; i3 < childCount; i3++) {
            View childAt = getChildAt(i3);
            if (childAt.getVisibility() != 8) {
                d dVar = (d) childAt.getLayoutParams();
                Behavior f2 = dVar.f();
                if (f2 != null) {
                    boolean B = f2.B(this, childAt, view, view2, i, i2);
                    z |= B;
                    dVar.t(i2, B);
                } else {
                    dVar.t(i2, false);
                }
            }
        }
        return z;
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onStopNestedScroll(View view, int i) {
        this.k1.onStopNestedScroll(view, i);
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            d dVar = (d) childAt.getLayoutParams();
            if (dVar.k(i)) {
                Behavior f2 = dVar.f();
                if (f2 != null) {
                    f2.D(this, childAt, view, i);
                }
                dVar.m(i);
                dVar.l();
            }
        }
        this.c1 = null;
    }

    public CoordinatorLayout(@NonNull Context context, @Nullable AttributeSet attributeSet, @AttrRes int i) {
        super(context, attributeSet, i);
        TypedArray typedArray;
        this.R0 = new ArrayList();
        this.S0 = new a<>();
        this.T0 = new ArrayList();
        this.U0 = new ArrayList();
        this.W0 = new int[2];
        this.X0 = new int[2];
        this.k1 = new NestedScrollingParentHelper(this);
        if (i == 0) {
            typedArray = context.obtainStyledAttributes(attributeSet, R.styleable.CoordinatorLayout, 0, R.style.Widget_Support_CoordinatorLayout);
        } else {
            typedArray = context.obtainStyledAttributes(attributeSet, R.styleable.CoordinatorLayout, i, 0);
        }
        if (Build.VERSION.SDK_INT >= 29) {
            if (i == 0) {
                saveAttributeDataForStyleable(context, R.styleable.CoordinatorLayout, attributeSet, typedArray, 0, R.style.Widget_Support_CoordinatorLayout);
            } else {
                saveAttributeDataForStyleable(context, R.styleable.CoordinatorLayout, attributeSet, typedArray, i, 0);
            }
        }
        int resourceId = typedArray.getResourceId(R.styleable.CoordinatorLayout_keylines, 0);
        if (resourceId != 0) {
            Resources resources = context.getResources();
            this.a1 = resources.getIntArray(resourceId);
            float f2 = resources.getDisplayMetrics().density;
            int length = this.a1.length;
            for (int i2 = 0; i2 < length; i2++) {
                int[] iArr = this.a1;
                iArr[i2] = (int) (((float) iArr[i2]) * f2);
            }
        }
        this.h1 = typedArray.getDrawable(R.styleable.CoordinatorLayout_statusBarBackground);
        typedArray.recycle();
        W();
        super.setOnHierarchyChangeListener(new c());
        if (ViewCompat.getImportantForAccessibility(this) == 0) {
            ViewCompat.setImportantForAccessibility(this, 1);
        }
    }

    @Override // androidx.core.view.NestedScrollingParent3
    public void onNestedScroll(@NonNull View view, int i, int i2, int i3, int i4, int i5, @NonNull int[] iArr) {
        Behavior f2;
        int i6;
        int i7;
        int childCount = getChildCount();
        boolean z = false;
        int i8 = 0;
        int i9 = 0;
        for (int i10 = 0; i10 < childCount; i10++) {
            View childAt = getChildAt(i10);
            if (childAt.getVisibility() != 8) {
                d dVar = (d) childAt.getLayoutParams();
                if (dVar.k(i5) && (f2 = dVar.f()) != null) {
                    int[] iArr2 = this.W0;
                    iArr2[0] = 0;
                    iArr2[1] = 0;
                    f2.u(this, childAt, view, i, i2, i3, i4, i5, iArr2);
                    int[] iArr3 = this.W0;
                    if (i3 > 0) {
                        i6 = Math.max(i8, iArr3[0]);
                    } else {
                        i6 = Math.min(i8, iArr3[0]);
                    }
                    i8 = i6;
                    if (i4 > 0) {
                        i7 = Math.max(i9, this.W0[1]);
                    } else {
                        i7 = Math.min(i9, this.W0[1]);
                    }
                    i9 = i7;
                    z = true;
                }
            }
        }
        iArr[0] = iArr[0] + i8;
        iArr[1] = iArr[1] + i9;
        if (z) {
            G(1);
        }
    }

    /* access modifiers changed from: protected */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        SparseArray<Parcelable> I0;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            /* renamed from: a */
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }

            /* renamed from: b */
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            /* renamed from: c */
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            int readInt = parcel.readInt();
            int[] iArr = new int[readInt];
            parcel.readIntArray(iArr);
            Parcelable[] readParcelableArray = parcel.readParcelableArray(classLoader);
            this.I0 = new SparseArray<>(readInt);
            for (int i = 0; i < readInt; i++) {
                this.I0.append(iArr[i], readParcelableArray[i]);
            }
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            SparseArray<Parcelable> sparseArray = this.I0;
            int size = sparseArray != null ? sparseArray.size() : 0;
            parcel.writeInt(size);
            int[] iArr = new int[size];
            Parcelable[] parcelableArr = new Parcelable[size];
            for (int i2 = 0; i2 < size; i2++) {
                iArr[i2] = this.I0.keyAt(i2);
                parcelableArr[i2] = this.I0.valueAt(i2);
            }
            parcel.writeIntArray(iArr);
            parcel.writeParcelableArray(parcelableArr, i);
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }
    }

    public static class d extends ViewGroup.MarginLayoutParams {

        /* renamed from: a  reason: collision with root package name */
        Behavior f2146a;

        /* renamed from: b  reason: collision with root package name */
        boolean f2147b = false;

        /* renamed from: c  reason: collision with root package name */
        public int f2148c = 0;

        /* renamed from: d  reason: collision with root package name */
        public int f2149d = 0;

        /* renamed from: e  reason: collision with root package name */
        public int f2150e = -1;
        int f = -1;
        public int g = 0;
        public int h = 0;
        int i;
        int j;
        View k;
        View l;
        private boolean m;
        private boolean n;
        private boolean o;
        private boolean p;
        final Rect q = new Rect();
        Object r;

        public d(int i2, int i3) {
            super(i2, i3);
        }

        private void o(View view, CoordinatorLayout coordinatorLayout) {
            View findViewById = coordinatorLayout.findViewById(this.f);
            this.k = findViewById;
            if (findViewById != null) {
                if (findViewById != coordinatorLayout) {
                    ViewParent parent = findViewById.getParent();
                    while (parent != coordinatorLayout && parent != null) {
                        if (parent != view) {
                            if (parent instanceof View) {
                                findViewById = (View) parent;
                            }
                            parent = parent.getParent();
                        } else if (coordinatorLayout.isInEditMode()) {
                            this.l = null;
                            this.k = null;
                            return;
                        } else {
                            throw new IllegalStateException("Anchor must not be a descendant of the anchored view");
                        }
                    }
                    this.l = findViewById;
                } else if (coordinatorLayout.isInEditMode()) {
                    this.l = null;
                    this.k = null;
                } else {
                    throw new IllegalStateException("View can not be anchored to the the parent CoordinatorLayout");
                }
            } else if (coordinatorLayout.isInEditMode()) {
                this.l = null;
                this.k = null;
            } else {
                throw new IllegalStateException("Could not find CoordinatorLayout descendant view with id " + coordinatorLayout.getResources().getResourceName(this.f) + " to anchor view " + view);
            }
        }

        private boolean u(View view, int i2) {
            int absoluteGravity = GravityCompat.getAbsoluteGravity(((d) view.getLayoutParams()).g, i2);
            return absoluteGravity != 0 && (GravityCompat.getAbsoluteGravity(this.h, i2) & absoluteGravity) == absoluteGravity;
        }

        private boolean v(View view, CoordinatorLayout coordinatorLayout) {
            if (this.k.getId() != this.f) {
                return false;
            }
            View view2 = this.k;
            for (ViewParent parent = view2.getParent(); parent != coordinatorLayout; parent = parent.getParent()) {
                if (parent == null || parent == view) {
                    this.l = null;
                    this.k = null;
                    return false;
                }
                if (parent instanceof View) {
                    view2 = (View) parent;
                }
            }
            this.l = view2;
            return true;
        }

        /* access modifiers changed from: package-private */
        public boolean a() {
            return this.k == null && this.f != -1;
        }

        /* access modifiers changed from: package-private */
        public boolean b(CoordinatorLayout coordinatorLayout, View view, View view2) {
            Behavior behavior;
            return view2 == this.l || u(view2, ViewCompat.getLayoutDirection(coordinatorLayout)) || ((behavior = this.f2146a) != null && behavior.f(coordinatorLayout, view, view2));
        }

        /* access modifiers changed from: package-private */
        public boolean c() {
            if (this.f2146a == null) {
                this.m = false;
            }
            return this.m;
        }

        /* access modifiers changed from: package-private */
        public View d(CoordinatorLayout coordinatorLayout, View view) {
            if (this.f == -1) {
                this.l = null;
                this.k = null;
                return null;
            }
            if (this.k == null || !v(view, coordinatorLayout)) {
                o(view, coordinatorLayout);
            }
            return this.k;
        }

        @IdRes
        public int e() {
            return this.f;
        }

        @Nullable
        public Behavior f() {
            return this.f2146a;
        }

        /* access modifiers changed from: package-private */
        public boolean g() {
            return this.p;
        }

        /* access modifiers changed from: package-private */
        public Rect h() {
            return this.q;
        }

        /* access modifiers changed from: package-private */
        public void i() {
            this.l = null;
            this.k = null;
        }

        /* access modifiers changed from: package-private */
        public boolean j(CoordinatorLayout coordinatorLayout, View view) {
            boolean z = this.m;
            if (z) {
                return true;
            }
            Behavior behavior = this.f2146a;
            boolean a2 = (behavior != null ? behavior.a(coordinatorLayout, view) : false) | z;
            this.m = a2;
            return a2;
        }

        /* access modifiers changed from: package-private */
        public boolean k(int i2) {
            if (i2 == 0) {
                return this.n;
            }
            if (i2 != 1) {
                return false;
            }
            return this.o;
        }

        /* access modifiers changed from: package-private */
        public void l() {
            this.p = false;
        }

        /* access modifiers changed from: package-private */
        public void m(int i2) {
            t(i2, false);
        }

        /* access modifiers changed from: package-private */
        public void n() {
            this.m = false;
        }

        public void p(@IdRes int i2) {
            i();
            this.f = i2;
        }

        public void q(@Nullable Behavior behavior) {
            Behavior behavior2 = this.f2146a;
            if (behavior2 != behavior) {
                if (behavior2 != null) {
                    behavior2.k();
                }
                this.f2146a = behavior;
                this.r = null;
                this.f2147b = true;
                if (behavior != null) {
                    behavior.h(this);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void r(boolean z) {
            this.p = z;
        }

        /* access modifiers changed from: package-private */
        public void s(Rect rect) {
            this.q.set(rect);
        }

        /* access modifiers changed from: package-private */
        public void t(int i2, boolean z) {
            if (i2 == 0) {
                this.n = z;
            } else if (i2 == 1) {
                this.o = z;
            }
        }

        d(@NonNull Context context, @Nullable AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.CoordinatorLayout_Layout);
            this.f2148c = obtainStyledAttributes.getInteger(R.styleable.CoordinatorLayout_Layout_android_layout_gravity, 0);
            this.f = obtainStyledAttributes.getResourceId(R.styleable.CoordinatorLayout_Layout_layout_anchor, -1);
            this.f2149d = obtainStyledAttributes.getInteger(R.styleable.CoordinatorLayout_Layout_layout_anchorGravity, 0);
            this.f2150e = obtainStyledAttributes.getInteger(R.styleable.CoordinatorLayout_Layout_layout_keyline, -1);
            this.g = obtainStyledAttributes.getInt(R.styleable.CoordinatorLayout_Layout_layout_insetEdge, 0);
            this.h = obtainStyledAttributes.getInt(R.styleable.CoordinatorLayout_Layout_layout_dodgeInsetEdges, 0);
            int i2 = R.styleable.CoordinatorLayout_Layout_layout_behavior;
            boolean hasValue = obtainStyledAttributes.hasValue(i2);
            this.f2147b = hasValue;
            if (hasValue) {
                this.f2146a = CoordinatorLayout.J(context, attributeSet, obtainStyledAttributes.getString(i2));
            }
            obtainStyledAttributes.recycle();
            Behavior behavior = this.f2146a;
            if (behavior != null) {
                behavior.h(this);
            }
        }

        public d(d dVar) {
            super((ViewGroup.MarginLayoutParams) dVar);
        }

        public d(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        public d(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }
}
