package androidx.coordinatorlayout.widget;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.util.l;
import b.b.i;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;

@RestrictTo({RestrictTo.Scope.LIBRARY})
/* compiled from: DirectedAcyclicGraph */
public final class a<T> {

    /* renamed from: a  reason: collision with root package name */
    private final l.a<ArrayList<T>> f2152a = new l.b(10);

    /* renamed from: b  reason: collision with root package name */
    private final i<T, ArrayList<T>> f2153b = new i<>();

    /* renamed from: c  reason: collision with root package name */
    private final ArrayList<T> f2154c = new ArrayList<>();

    /* renamed from: d  reason: collision with root package name */
    private final HashSet<T> f2155d = new HashSet<>();

    private void e(T t, ArrayList<T> arrayList, HashSet<T> hashSet) {
        if (!arrayList.contains(t)) {
            if (!hashSet.contains(t)) {
                hashSet.add(t);
                ArrayList<T> arrayList2 = this.f2153b.get(t);
                if (arrayList2 != null) {
                    int size = arrayList2.size();
                    for (int i = 0; i < size; i++) {
                        e(arrayList2.get(i), arrayList, hashSet);
                    }
                }
                hashSet.remove(t);
                arrayList.add(t);
                return;
            }
            throw new RuntimeException("This graph contains cyclic dependencies");
        }
    }

    @NonNull
    private ArrayList<T> f() {
        ArrayList<T> b2 = this.f2152a.b();
        return b2 == null ? new ArrayList<>() : b2;
    }

    private void k(@NonNull ArrayList<T> arrayList) {
        arrayList.clear();
        this.f2152a.a(arrayList);
    }

    public void a(@NonNull T t, @NonNull T t2) {
        if (!this.f2153b.containsKey(t) || !this.f2153b.containsKey(t2)) {
            throw new IllegalArgumentException("All nodes must be present in the graph before being added as an edge");
        }
        ArrayList<T> arrayList = this.f2153b.get(t);
        if (arrayList == null) {
            arrayList = f();
            this.f2153b.put(t, arrayList);
        }
        arrayList.add(t2);
    }

    public void b(@NonNull T t) {
        if (!this.f2153b.containsKey(t)) {
            this.f2153b.put(t, null);
        }
    }

    public void c() {
        int size = this.f2153b.size();
        for (int i = 0; i < size; i++) {
            ArrayList<T> m = this.f2153b.m(i);
            if (m != null) {
                k(m);
            }
        }
        this.f2153b.clear();
    }

    public boolean d(@NonNull T t) {
        return this.f2153b.containsKey(t);
    }

    @Nullable
    public List g(@NonNull T t) {
        return this.f2153b.get(t);
    }

    @Nullable
    public List<T> h(@NonNull T t) {
        int size = this.f2153b.size();
        ArrayList arrayList = null;
        for (int i = 0; i < size; i++) {
            ArrayList<T> m = this.f2153b.m(i);
            if (m != null && m.contains(t)) {
                if (arrayList == null) {
                    arrayList = new ArrayList();
                }
                arrayList.add(this.f2153b.i(i));
            }
        }
        return arrayList;
    }

    @NonNull
    public ArrayList<T> i() {
        this.f2154c.clear();
        this.f2155d.clear();
        int size = this.f2153b.size();
        for (int i = 0; i < size; i++) {
            e(this.f2153b.i(i), this.f2154c, this.f2155d);
        }
        return this.f2154c;
    }

    public boolean j(@NonNull T t) {
        int size = this.f2153b.size();
        for (int i = 0; i < size; i++) {
            ArrayList<T> m = this.f2153b.m(i);
            if (m != null && m.contains(t)) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public int l() {
        return this.f2153b.size();
    }
}
