package androidx.core.app;

import android.app.Activity;
import android.os.Build;
import android.os.Handler;
import android.os.HandlerThread;
import android.util.SparseIntArray;
import android.view.FrameMetrics;
import android.view.Window;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;

public class FrameMetricsAggregator {

    /* renamed from: a  reason: collision with root package name */
    public static final int f2173a = 0;

    /* renamed from: b  reason: collision with root package name */
    public static final int f2174b = 1;

    /* renamed from: c  reason: collision with root package name */
    public static final int f2175c = 2;

    /* renamed from: d  reason: collision with root package name */
    public static final int f2176d = 3;

    /* renamed from: e  reason: collision with root package name */
    public static final int f2177e = 4;
    public static final int f = 5;
    public static final int g = 6;
    public static final int h = 7;
    public static final int i = 8;
    private static final int j = 8;
    public static final int k = 1;
    public static final int l = 2;
    public static final int m = 4;
    public static final int n = 8;
    public static final int o = 16;
    public static final int p = 32;
    public static final int q = 64;
    public static final int r = 128;
    public static final int s = 256;
    public static final int t = 511;
    private b u;

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public @interface MetricType {
    }

    @RequiresApi(24)
    private static class a extends b {

        /* renamed from: a  reason: collision with root package name */
        private static final int f2178a = 1000000;

        /* renamed from: b  reason: collision with root package name */
        private static final int f2179b = 500000;

        /* renamed from: c  reason: collision with root package name */
        private static HandlerThread f2180c;

        /* renamed from: d  reason: collision with root package name */
        private static Handler f2181d;

        /* renamed from: e  reason: collision with root package name */
        int f2182e;
        SparseIntArray[] f = new SparseIntArray[9];
        private ArrayList<WeakReference<Activity>> g = new ArrayList<>();
        Window.OnFrameMetricsAvailableListener h = new Window$OnFrameMetricsAvailableListenerC0024a();

        /* renamed from: androidx.core.app.FrameMetricsAggregator$a$a  reason: collision with other inner class name */
        class Window$OnFrameMetricsAvailableListenerC0024a implements Window.OnFrameMetricsAvailableListener {
            Window$OnFrameMetricsAvailableListenerC0024a() {
            }

            public void onFrameMetricsAvailable(Window window, FrameMetrics frameMetrics, int i) {
                a aVar = a.this;
                if ((aVar.f2182e & 1) != 0) {
                    aVar.f(aVar.f[0], frameMetrics.getMetric(8));
                }
                a aVar2 = a.this;
                if ((aVar2.f2182e & 2) != 0) {
                    aVar2.f(aVar2.f[1], frameMetrics.getMetric(1));
                }
                a aVar3 = a.this;
                if ((aVar3.f2182e & 4) != 0) {
                    aVar3.f(aVar3.f[2], frameMetrics.getMetric(3));
                }
                a aVar4 = a.this;
                if ((aVar4.f2182e & 8) != 0) {
                    aVar4.f(aVar4.f[3], frameMetrics.getMetric(4));
                }
                a aVar5 = a.this;
                if ((aVar5.f2182e & 16) != 0) {
                    aVar5.f(aVar5.f[4], frameMetrics.getMetric(5));
                }
                a aVar6 = a.this;
                if ((aVar6.f2182e & 64) != 0) {
                    aVar6.f(aVar6.f[6], frameMetrics.getMetric(7));
                }
                a aVar7 = a.this;
                if ((aVar7.f2182e & 32) != 0) {
                    aVar7.f(aVar7.f[5], frameMetrics.getMetric(6));
                }
                a aVar8 = a.this;
                if ((aVar8.f2182e & 128) != 0) {
                    aVar8.f(aVar8.f[7], frameMetrics.getMetric(0));
                }
                a aVar9 = a.this;
                if ((aVar9.f2182e & 256) != 0) {
                    aVar9.f(aVar9.f[8], frameMetrics.getMetric(2));
                }
            }
        }

        a(int i) {
            this.f2182e = i;
        }

        @Override // androidx.core.app.FrameMetricsAggregator.b
        public void a(Activity activity) {
            if (f2180c == null) {
                HandlerThread handlerThread = new HandlerThread("FrameMetricsAggregator");
                f2180c = handlerThread;
                handlerThread.start();
                f2181d = new Handler(f2180c.getLooper());
            }
            for (int i = 0; i <= 8; i++) {
                SparseIntArray[] sparseIntArrayArr = this.f;
                if (sparseIntArrayArr[i] == null && (this.f2182e & (1 << i)) != 0) {
                    sparseIntArrayArr[i] = new SparseIntArray();
                }
            }
            activity.getWindow().addOnFrameMetricsAvailableListener(this.h, f2181d);
            this.g.add(new WeakReference<>(activity));
        }

        @Override // androidx.core.app.FrameMetricsAggregator.b
        public SparseIntArray[] b() {
            return this.f;
        }

        @Override // androidx.core.app.FrameMetricsAggregator.b
        public SparseIntArray[] c(Activity activity) {
            Iterator<WeakReference<Activity>> it = this.g.iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                WeakReference<Activity> next = it.next();
                if (next.get() == activity) {
                    this.g.remove(next);
                    break;
                }
            }
            activity.getWindow().removeOnFrameMetricsAvailableListener(this.h);
            return this.f;
        }

        @Override // androidx.core.app.FrameMetricsAggregator.b
        public SparseIntArray[] d() {
            SparseIntArray[] sparseIntArrayArr = this.f;
            this.f = new SparseIntArray[9];
            return sparseIntArrayArr;
        }

        @Override // androidx.core.app.FrameMetricsAggregator.b
        public SparseIntArray[] e() {
            for (int size = this.g.size() - 1; size >= 0; size--) {
                WeakReference<Activity> weakReference = this.g.get(size);
                Activity activity = weakReference.get();
                if (weakReference.get() != null) {
                    activity.getWindow().removeOnFrameMetricsAvailableListener(this.h);
                    this.g.remove(size);
                }
            }
            return this.f;
        }

        /* access modifiers changed from: package-private */
        public void f(SparseIntArray sparseIntArray, long j) {
            if (sparseIntArray != null) {
                int i = (int) ((500000 + j) / 1000000);
                if (j >= 0) {
                    sparseIntArray.put(i, sparseIntArray.get(i) + 1);
                }
            }
        }
    }

    private static class b {
        b() {
        }

        public void a(Activity activity) {
        }

        public SparseIntArray[] b() {
            return null;
        }

        public SparseIntArray[] c(Activity activity) {
            return null;
        }

        public SparseIntArray[] d() {
            return null;
        }

        public SparseIntArray[] e() {
            return null;
        }
    }

    public FrameMetricsAggregator() {
        this(1);
    }

    public void a(@NonNull Activity activity) {
        this.u.a(activity);
    }

    @Nullable
    public SparseIntArray[] b() {
        return this.u.b();
    }

    @Nullable
    public SparseIntArray[] c(@NonNull Activity activity) {
        return this.u.c(activity);
    }

    @Nullable
    public SparseIntArray[] d() {
        return this.u.d();
    }

    @Nullable
    public SparseIntArray[] e() {
        return this.u.e();
    }

    public FrameMetricsAggregator(int i2) {
        if (Build.VERSION.SDK_INT >= 24) {
            this.u = new a(i2);
        } else {
            this.u = new b();
        }
    }
}
