package androidx.core.app;

import android.app.PendingIntent;
import android.app.RemoteAction;
import android.os.Build;
import androidx.annotation.NonNull;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.core.graphics.drawable.IconCompat;
import androidx.core.util.m;
import androidx.versionedparcelable.e;

public final class RemoteActionCompat implements e {
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})

    /* renamed from: a  reason: collision with root package name */
    public IconCompat f2274a;
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})

    /* renamed from: b  reason: collision with root package name */
    public CharSequence f2275b;
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})

    /* renamed from: c  reason: collision with root package name */
    public CharSequence f2276c;
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})

    /* renamed from: d  reason: collision with root package name */
    public PendingIntent f2277d;
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})

    /* renamed from: e  reason: collision with root package name */
    public boolean f2278e;
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public boolean f;

    public RemoteActionCompat(@NonNull IconCompat iconCompat, @NonNull CharSequence charSequence, @NonNull CharSequence charSequence2, @NonNull PendingIntent pendingIntent) {
        this.f2274a = (IconCompat) m.g(iconCompat);
        this.f2275b = (CharSequence) m.g(charSequence);
        this.f2276c = (CharSequence) m.g(charSequence2);
        this.f2277d = (PendingIntent) m.g(pendingIntent);
        this.f2278e = true;
        this.f = true;
    }

    @NonNull
    @RequiresApi(26)
    public static RemoteActionCompat h(@NonNull RemoteAction remoteAction) {
        m.g(remoteAction);
        RemoteActionCompat remoteActionCompat = new RemoteActionCompat(IconCompat.n(remoteAction.getIcon()), remoteAction.getTitle(), remoteAction.getContentDescription(), remoteAction.getActionIntent());
        remoteActionCompat.n(remoteAction.isEnabled());
        if (Build.VERSION.SDK_INT >= 28) {
            remoteActionCompat.o(remoteAction.shouldShowIcon());
        }
        return remoteActionCompat;
    }

    @NonNull
    public PendingIntent i() {
        return this.f2277d;
    }

    @NonNull
    public CharSequence j() {
        return this.f2276c;
    }

    @NonNull
    public IconCompat k() {
        return this.f2274a;
    }

    @NonNull
    public CharSequence l() {
        return this.f2275b;
    }

    public boolean m() {
        return this.f2278e;
    }

    public void n(boolean z) {
        this.f2278e = z;
    }

    public void o(boolean z) {
        this.f = z;
    }

    public boolean p() {
        return this.f;
    }

    @NonNull
    @RequiresApi(26)
    public RemoteAction q() {
        RemoteAction remoteAction = new RemoteAction(this.f2274a.P(), this.f2275b, this.f2276c, this.f2277d);
        remoteAction.setEnabled(m());
        if (Build.VERSION.SDK_INT >= 28) {
            remoteAction.setShouldShowIcon(p());
        }
        return remoteAction;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public RemoteActionCompat() {
    }

    public RemoteActionCompat(@NonNull RemoteActionCompat remoteActionCompat) {
        m.g(remoteActionCompat);
        this.f2274a = remoteActionCompat.f2274a;
        this.f2275b = remoteActionCompat.f2275b;
        this.f2276c = remoteActionCompat.f2276c;
        this.f2277d = remoteActionCompat.f2277d;
        this.f2278e = remoteActionCompat.f2278e;
        this.f = remoteActionCompat.f;
    }
}
