package androidx.core.app;

import android.app.RemoteInput;
import android.content.ClipData;
import android.content.ClipDescription;
import android.content.Intent;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

public final class RemoteInput {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2279a = "RemoteInput";

    /* renamed from: b  reason: collision with root package name */
    public static final String f2280b = "android.remoteinput.results";

    /* renamed from: c  reason: collision with root package name */
    public static final String f2281c = "android.remoteinput.resultsData";

    /* renamed from: d  reason: collision with root package name */
    private static final String f2282d = "android.remoteinput.dataTypeResultsData";

    /* renamed from: e  reason: collision with root package name */
    private static final String f2283e = "android.remoteinput.resultsSource";
    public static final int f = 0;
    public static final int g = 1;
    public static final int h = 0;
    public static final int i = 1;
    public static final int j = 2;
    private final String k;
    private final CharSequence l;
    private final CharSequence[] m;
    private final boolean n;
    private final int o;
    private final Bundle p;
    private final Set<String> q;

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public @interface EditChoicesBeforeSending {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public @interface Source {
    }

    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private final String f2284a;

        /* renamed from: b  reason: collision with root package name */
        private final Set<String> f2285b = new HashSet();

        /* renamed from: c  reason: collision with root package name */
        private final Bundle f2286c = new Bundle();

        /* renamed from: d  reason: collision with root package name */
        private CharSequence f2287d;

        /* renamed from: e  reason: collision with root package name */
        private CharSequence[] f2288e;
        private boolean f = true;
        private int g = 0;

        public a(@NonNull String str) {
            if (str != null) {
                this.f2284a = str;
                return;
            }
            throw new IllegalArgumentException("Result key can't be null");
        }

        @NonNull
        public a a(@NonNull Bundle bundle) {
            if (bundle != null) {
                this.f2286c.putAll(bundle);
            }
            return this;
        }

        @NonNull
        public RemoteInput b() {
            return new RemoteInput(this.f2284a, this.f2287d, this.f2288e, this.f, this.g, this.f2286c, this.f2285b);
        }

        @NonNull
        public Bundle c() {
            return this.f2286c;
        }

        @NonNull
        public a d(@NonNull String str, boolean z) {
            if (z) {
                this.f2285b.add(str);
            } else {
                this.f2285b.remove(str);
            }
            return this;
        }

        @NonNull
        public a e(boolean z) {
            this.f = z;
            return this;
        }

        @NonNull
        public a f(@Nullable CharSequence[] charSequenceArr) {
            this.f2288e = charSequenceArr;
            return this;
        }

        @NonNull
        public a g(int i) {
            this.g = i;
            return this;
        }

        @NonNull
        public a h(@Nullable CharSequence charSequence) {
            this.f2287d = charSequence;
            return this;
        }
    }

    RemoteInput(String str, CharSequence charSequence, CharSequence[] charSequenceArr, boolean z, int i2, Bundle bundle, Set<String> set) {
        this.k = str;
        this.l = charSequence;
        this.m = charSequenceArr;
        this.n = z;
        this.o = i2;
        this.p = bundle;
        this.q = set;
        if (k() == 2 && !f()) {
            throw new IllegalArgumentException("setEditChoicesBeforeSending requires setAllowFreeFormInput");
        }
    }

    public static void a(RemoteInput remoteInput, Intent intent, Map<String, Uri> map) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 26) {
            android.app.RemoteInput.addDataResultToIntent(c(remoteInput), intent, map);
        } else if (i2 >= 16) {
            Intent i3 = i(intent);
            if (i3 == null) {
                i3 = new Intent();
            }
            for (Map.Entry<String, Uri> entry : map.entrySet()) {
                String key = entry.getKey();
                Uri value = entry.getValue();
                if (key != null) {
                    Bundle bundleExtra = i3.getBundleExtra(l(key));
                    if (bundleExtra == null) {
                        bundleExtra = new Bundle();
                    }
                    bundleExtra.putString(remoteInput.o(), value.toString());
                    i3.putExtra(l(key), bundleExtra);
                }
            }
            intent.setClipData(ClipData.newIntent(f2280b, i3));
        }
    }

    public static void b(RemoteInput[] remoteInputArr, Intent intent, Bundle bundle) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 26) {
            android.app.RemoteInput.addResultsToIntent(d(remoteInputArr), intent, bundle);
            return;
        }
        if (i2 >= 20) {
            Bundle p2 = p(intent);
            int q2 = q(intent);
            if (p2 != null) {
                p2.putAll(bundle);
                bundle = p2;
            }
            for (RemoteInput remoteInput : remoteInputArr) {
                Map<String, Uri> j2 = j(intent, remoteInput.o());
                android.app.RemoteInput.addResultsToIntent(d(new RemoteInput[]{remoteInput}), intent, bundle);
                if (j2 != null) {
                    a(remoteInput, intent, j2);
                }
            }
            s(intent, q2);
        } else if (i2 >= 16) {
            Intent i3 = i(intent);
            if (i3 == null) {
                i3 = new Intent();
            }
            Bundle bundleExtra = i3.getBundleExtra(f2281c);
            if (bundleExtra == null) {
                bundleExtra = new Bundle();
            }
            for (RemoteInput remoteInput2 : remoteInputArr) {
                Object obj = bundle.get(remoteInput2.o());
                if (obj instanceof CharSequence) {
                    bundleExtra.putCharSequence(remoteInput2.o(), (CharSequence) obj);
                }
            }
            i3.putExtra(f2281c, bundleExtra);
            intent.setClipData(ClipData.newIntent(f2280b, i3));
        }
    }

    @RequiresApi(20)
    static android.app.RemoteInput c(RemoteInput remoteInput) {
        Set<String> g2;
        RemoteInput.Builder addExtras = new RemoteInput.Builder(remoteInput.o()).setLabel(remoteInput.n()).setChoices(remoteInput.h()).setAllowFreeFormInput(remoteInput.f()).addExtras(remoteInput.m());
        if (Build.VERSION.SDK_INT >= 26 && (g2 = remoteInput.g()) != null) {
            for (String str : g2) {
                addExtras.setAllowDataType(str, true);
            }
        }
        if (Build.VERSION.SDK_INT >= 29) {
            addExtras.setEditChoicesBeforeSending(remoteInput.k());
        }
        return addExtras.build();
    }

    @RequiresApi(20)
    static android.app.RemoteInput[] d(RemoteInput[] remoteInputArr) {
        if (remoteInputArr == null) {
            return null;
        }
        android.app.RemoteInput[] remoteInputArr2 = new android.app.RemoteInput[remoteInputArr.length];
        for (int i2 = 0; i2 < remoteInputArr.length; i2++) {
            remoteInputArr2[i2] = c(remoteInputArr[i2]);
        }
        return remoteInputArr2;
    }

    @RequiresApi(20)
    static RemoteInput e(android.app.RemoteInput remoteInput) {
        Set<String> allowedDataTypes;
        a a2 = new a(remoteInput.getResultKey()).h(remoteInput.getLabel()).f(remoteInput.getChoices()).e(remoteInput.getAllowFreeFormInput()).a(remoteInput.getExtras());
        if (Build.VERSION.SDK_INT >= 26 && (allowedDataTypes = remoteInput.getAllowedDataTypes()) != null) {
            for (String str : allowedDataTypes) {
                a2.d(str, true);
            }
        }
        if (Build.VERSION.SDK_INT >= 29) {
            a2.g(remoteInput.getEditChoicesBeforeSending());
        }
        return a2.b();
    }

    @RequiresApi(16)
    private static Intent i(Intent intent) {
        ClipData clipData = intent.getClipData();
        if (clipData == null) {
            return null;
        }
        ClipDescription description = clipData.getDescription();
        if (description.hasMimeType("text/vnd.android.intent") && description.getLabel().toString().contentEquals(f2280b)) {
            return clipData.getItemAt(0).getIntent();
        }
        return null;
    }

    public static Map<String, Uri> j(Intent intent, String str) {
        Intent i2;
        String string;
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 26) {
            return android.app.RemoteInput.getDataResultsFromIntent(intent, str);
        }
        if (i3 < 16 || (i2 = i(intent)) == null) {
            return null;
        }
        HashMap hashMap = new HashMap();
        for (String str2 : i2.getExtras().keySet()) {
            if (str2.startsWith(f2282d)) {
                String substring = str2.substring(39);
                if (!substring.isEmpty() && (string = i2.getBundleExtra(str2).getString(str)) != null && !string.isEmpty()) {
                    hashMap.put(substring, Uri.parse(string));
                }
            }
        }
        if (hashMap.isEmpty()) {
            return null;
        }
        return hashMap;
    }

    private static String l(String str) {
        return f2282d + str;
    }

    public static Bundle p(Intent intent) {
        Intent i2;
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 20) {
            return android.app.RemoteInput.getResultsFromIntent(intent);
        }
        if (i3 < 16 || (i2 = i(intent)) == null) {
            return null;
        }
        return (Bundle) i2.getExtras().getParcelable(f2281c);
    }

    public static int q(@NonNull Intent intent) {
        Intent i2;
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 28) {
            return android.app.RemoteInput.getResultsSource(intent);
        }
        if (i3 < 16 || (i2 = i(intent)) == null) {
            return 0;
        }
        return i2.getExtras().getInt(f2283e, 0);
    }

    public static void s(@NonNull Intent intent, int i2) {
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 28) {
            android.app.RemoteInput.setResultsSource(intent, i2);
        } else if (i3 >= 16) {
            Intent i4 = i(intent);
            if (i4 == null) {
                i4 = new Intent();
            }
            i4.putExtra(f2283e, i2);
            intent.setClipData(ClipData.newIntent(f2280b, i4));
        }
    }

    public boolean f() {
        return this.n;
    }

    public Set<String> g() {
        return this.q;
    }

    public CharSequence[] h() {
        return this.m;
    }

    public int k() {
        return this.o;
    }

    public Bundle m() {
        return this.p;
    }

    public CharSequence n() {
        return this.l;
    }

    public String o() {
        return this.k;
    }

    public boolean r() {
        return !f() && (h() == null || h().length == 0) && g() != null && !g().isEmpty();
    }
}
