package androidx.core.app;

import android.app.Activity;
import android.app.SharedElementCallback;
import android.content.Context;
import android.content.Intent;
import android.content.IntentSender;
import android.content.pm.PackageManager;
import android.graphics.Matrix;
import android.graphics.RectF;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Parcelable;
import android.text.TextUtils;
import android.view.DragEvent;
import android.view.View;
import androidx.annotation.IdRes;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.core.app.u;
import androidx.core.view.DragAndDropPermissionsCompat;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

/* compiled from: ActivityCompat */
public class a extends androidx.core.content.d {

    /* renamed from: e  reason: collision with root package name */
    private static e f2292e;

    /* renamed from: androidx.core.app.a$a  reason: collision with other inner class name */
    /* compiled from: ActivityCompat */
    class RunnableC0027a implements Runnable {
        final /* synthetic */ int I0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ String[] f2293a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Activity f2294b;

        RunnableC0027a(String[] strArr, Activity activity, int i) {
            this.f2293a = strArr;
            this.f2294b = activity;
            this.I0 = i;
        }

        public void run() {
            int[] iArr = new int[this.f2293a.length];
            PackageManager packageManager = this.f2294b.getPackageManager();
            String packageName = this.f2294b.getPackageName();
            int length = this.f2293a.length;
            for (int i = 0; i < length; i++) {
                iArr[i] = packageManager.checkPermission(this.f2293a[i], packageName);
            }
            ((d) this.f2294b).onRequestPermissionsResult(this.I0, this.f2293a, iArr);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ActivityCompat */
    public class b implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Activity f2295a;

        b(Activity activity) {
            this.f2295a = activity;
        }

        public void run() {
            if (!this.f2295a.isFinishing() && !d.i(this.f2295a)) {
                this.f2295a.recreate();
            }
        }
    }

    @RequiresApi(30)
    /* compiled from: ActivityCompat */
    static class c {
        private c() {
        }

        static void a(@NonNull Activity activity, @Nullable androidx.core.content.g gVar, @Nullable Bundle bundle) {
            activity.setLocusContext(gVar == null ? null : gVar.c(), bundle);
        }
    }

    /* compiled from: ActivityCompat */
    public interface d {
        void onRequestPermissionsResult(int i, @NonNull String[] strArr, @NonNull int[] iArr);
    }

    /* compiled from: ActivityCompat */
    public interface e {
        boolean a(@NonNull Activity activity, @IntRange(from = 0) int i, int i2, @Nullable Intent intent);

        boolean b(@NonNull Activity activity, @NonNull String[] strArr, @IntRange(from = 0) int i);
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    /* compiled from: ActivityCompat */
    public interface f {
        void validateRequestPermissionsRequestCode(int i);
    }

    @RequiresApi(21)
    /* compiled from: ActivityCompat */
    private static class g extends SharedElementCallback {

        /* renamed from: a  reason: collision with root package name */
        private final u f2296a;

        /* renamed from: androidx.core.app.a$g$a  reason: collision with other inner class name */
        /* compiled from: ActivityCompat */
        class C0028a implements u.a {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ SharedElementCallback.OnSharedElementsReadyListener f2297a;

            C0028a(SharedElementCallback.OnSharedElementsReadyListener onSharedElementsReadyListener) {
                this.f2297a = onSharedElementsReadyListener;
            }

            @Override // androidx.core.app.u.a
            public void a() {
                this.f2297a.onSharedElementsReady();
            }
        }

        g(u uVar) {
            this.f2296a = uVar;
        }

        public Parcelable onCaptureSharedElementSnapshot(View view, Matrix matrix, RectF rectF) {
            return this.f2296a.b(view, matrix, rectF);
        }

        public View onCreateSnapshotView(Context context, Parcelable parcelable) {
            return this.f2296a.c(context, parcelable);
        }

        @Override // android.app.SharedElementCallback
        public void onMapSharedElements(List<String> list, Map<String, View> map) {
            this.f2296a.d(list, map);
        }

        @Override // android.app.SharedElementCallback
        public void onRejectSharedElements(List<View> list) {
            this.f2296a.e(list);
        }

        @Override // android.app.SharedElementCallback
        public void onSharedElementEnd(List<String> list, List<View> list2, List<View> list3) {
            this.f2296a.f(list, list2, list3);
        }

        @Override // android.app.SharedElementCallback
        public void onSharedElementStart(List<String> list, List<View> list2, List<View> list3) {
            this.f2296a.g(list, list2, list3);
        }

        @Override // android.app.SharedElementCallback
        @RequiresApi(23)
        public void onSharedElementsArrived(List<String> list, List<View> list2, SharedElementCallback.OnSharedElementsReadyListener onSharedElementsReadyListener) {
            this.f2296a.h(list, list2, new C0028a(onSharedElementsReadyListener));
        }
    }

    protected a() {
    }

    public static void A(@NonNull Activity activity) {
        if (Build.VERSION.SDK_INT >= 21) {
            activity.postponeEnterTransition();
        }
    }

    public static void B(@NonNull Activity activity) {
        int i = Build.VERSION.SDK_INT;
        if (i >= 28) {
            activity.recreate();
        } else if (i <= 23) {
            new Handler(activity.getMainLooper()).post(new b(activity));
        } else if (!d.i(activity)) {
            activity.recreate();
        }
    }

    @Nullable
    public static DragAndDropPermissionsCompat C(Activity activity, DragEvent dragEvent) {
        return DragAndDropPermissionsCompat.request(activity, dragEvent);
    }

    public static void D(@NonNull Activity activity, @NonNull String[] strArr, @IntRange(from = 0) int i) {
        e eVar = f2292e;
        if (eVar == null || !eVar.b(activity, strArr, i)) {
            for (String str : strArr) {
                if (TextUtils.isEmpty(str)) {
                    throw new IllegalArgumentException("Permission request for permissions " + Arrays.toString(strArr) + " must not contain null or empty values");
                }
            }
            if (Build.VERSION.SDK_INT >= 23) {
                if (activity instanceof f) {
                    ((f) activity).validateRequestPermissionsRequestCode(i);
                }
                activity.requestPermissions(strArr, i);
            } else if (activity instanceof d) {
                new Handler(Looper.getMainLooper()).post(new RunnableC0027a(strArr, activity, i));
            }
        }
    }

    @NonNull
    public static <T extends View> T E(@NonNull Activity activity, @IdRes int i) {
        if (Build.VERSION.SDK_INT >= 28) {
            return (T) activity.requireViewById(i);
        }
        T t = (T) activity.findViewById(i);
        if (t != null) {
            return t;
        }
        throw new IllegalArgumentException("ID does not reference a View inside this Activity");
    }

    public static void F(@NonNull Activity activity, @Nullable u uVar) {
        if (Build.VERSION.SDK_INT >= 21) {
            activity.setEnterSharedElementCallback(uVar != null ? new g(uVar) : null);
        }
    }

    public static void G(@NonNull Activity activity, @Nullable u uVar) {
        if (Build.VERSION.SDK_INT >= 21) {
            activity.setExitSharedElementCallback(uVar != null ? new g(uVar) : null);
        }
    }

    public static void H(@NonNull Activity activity, @Nullable androidx.core.content.g gVar, @Nullable Bundle bundle) {
        if (Build.VERSION.SDK_INT >= 30) {
            c.a(activity, gVar, bundle);
        }
    }

    public static void I(@Nullable e eVar) {
        f2292e = eVar;
    }

    public static boolean J(@NonNull Activity activity, @NonNull String str) {
        if (Build.VERSION.SDK_INT >= 23) {
            return activity.shouldShowRequestPermissionRationale(str);
        }
        return false;
    }

    public static void K(@NonNull Activity activity, @NonNull Intent intent, int i, @Nullable Bundle bundle) {
        if (Build.VERSION.SDK_INT >= 16) {
            activity.startActivityForResult(intent, i, bundle);
        } else {
            activity.startActivityForResult(intent, i);
        }
    }

    public static void L(@NonNull Activity activity, @NonNull IntentSender intentSender, int i, @Nullable Intent intent, int i2, int i3, int i4, @Nullable Bundle bundle) throws IntentSender.SendIntentException {
        if (Build.VERSION.SDK_INT >= 16) {
            activity.startIntentSenderForResult(intentSender, i, intent, i2, i3, i4, bundle);
        } else {
            activity.startIntentSenderForResult(intentSender, i, intent, i2, i3, i4);
        }
    }

    public static void M(@NonNull Activity activity) {
        if (Build.VERSION.SDK_INT >= 21) {
            activity.startPostponedEnterTransition();
        }
    }

    public static void v(@NonNull Activity activity) {
        if (Build.VERSION.SDK_INT >= 16) {
            activity.finishAffinity();
        } else {
            activity.finish();
        }
    }

    public static void w(@NonNull Activity activity) {
        if (Build.VERSION.SDK_INT >= 21) {
            activity.finishAfterTransition();
        } else {
            activity.finish();
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public static e x() {
        return f2292e;
    }

    @Nullable
    public static Uri y(@NonNull Activity activity) {
        if (Build.VERSION.SDK_INT >= 22) {
            return activity.getReferrer();
        }
        Intent intent = activity.getIntent();
        Uri uri = (Uri) intent.getParcelableExtra("android.intent.extra.REFERRER");
        if (uri != null) {
            return uri;
        }
        String stringExtra = intent.getStringExtra("android.intent.extra.REFERRER_NAME");
        if (stringExtra != null) {
            return Uri.parse(stringExtra);
        }
        return null;
    }

    @Deprecated
    public static boolean z(Activity activity) {
        activity.invalidateOptionsMenu();
        return true;
    }
}
