package androidx.core.app;

import android.app.Activity;
import android.app.ActivityOptions;
import android.app.PendingIntent;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Rect;
import android.os.Build;
import android.os.Bundle;
import android.util.Pair;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.core.util.i;

/* compiled from: ActivityOptionsCompat */
public class c {

    /* renamed from: a  reason: collision with root package name */
    public static final String f2299a = "android.activity.usage_time";

    /* renamed from: b  reason: collision with root package name */
    public static final String f2300b = "android.usage_time_packages";

    @RequiresApi(16)
    /* compiled from: ActivityOptionsCompat */
    private static class a extends c {

        /* renamed from: c  reason: collision with root package name */
        private final ActivityOptions f2301c;

        a(ActivityOptions activityOptions) {
            this.f2301c = activityOptions;
        }

        @Override // androidx.core.app.c
        public Rect a() {
            if (Build.VERSION.SDK_INT < 24) {
                return null;
            }
            return this.f2301c.getLaunchBounds();
        }

        @Override // androidx.core.app.c
        public void j(@NonNull PendingIntent pendingIntent) {
            if (Build.VERSION.SDK_INT >= 23) {
                this.f2301c.requestUsageTimeReport(pendingIntent);
            }
        }

        @Override // androidx.core.app.c
        @NonNull
        public c k(@Nullable Rect rect) {
            if (Build.VERSION.SDK_INT < 24) {
                return this;
            }
            return new a(this.f2301c.setLaunchBounds(rect));
        }

        @Override // androidx.core.app.c
        public Bundle l() {
            return this.f2301c.toBundle();
        }

        @Override // androidx.core.app.c
        public void m(@NonNull c cVar) {
            if (cVar instanceof a) {
                this.f2301c.update(((a) cVar).f2301c);
            }
        }
    }

    protected c() {
    }

    @NonNull
    public static c b() {
        if (Build.VERSION.SDK_INT >= 23) {
            return new a(ActivityOptions.makeBasic());
        }
        return new c();
    }

    @NonNull
    public static c c(@NonNull View view, int i, int i2, int i3, int i4) {
        if (Build.VERSION.SDK_INT >= 23) {
            return new a(ActivityOptions.makeClipRevealAnimation(view, i, i2, i3, i4));
        }
        return new c();
    }

    @NonNull
    public static c d(@NonNull Context context, int i, int i2) {
        if (Build.VERSION.SDK_INT >= 16) {
            return new a(ActivityOptions.makeCustomAnimation(context, i, i2));
        }
        return new c();
    }

    @NonNull
    public static c e(@NonNull View view, int i, int i2, int i3, int i4) {
        if (Build.VERSION.SDK_INT >= 16) {
            return new a(ActivityOptions.makeScaleUpAnimation(view, i, i2, i3, i4));
        }
        return new c();
    }

    @NonNull
    public static c f(@NonNull Activity activity, @NonNull View view, @NonNull String str) {
        if (Build.VERSION.SDK_INT >= 21) {
            return new a(ActivityOptions.makeSceneTransitionAnimation(activity, view, str));
        }
        return new c();
    }

    @NonNull
    public static c g(@NonNull Activity activity, i<View, String>... iVarArr) {
        if (Build.VERSION.SDK_INT < 21) {
            return new c();
        }
        Pair[] pairArr = null;
        if (iVarArr != null) {
            pairArr = new Pair[iVarArr.length];
            for (int i = 0; i < iVarArr.length; i++) {
                pairArr[i] = Pair.create(iVarArr[i].f2818a, iVarArr[i].f2819b);
            }
        }
        return new a(ActivityOptions.makeSceneTransitionAnimation(activity, pairArr));
    }

    @NonNull
    public static c h() {
        if (Build.VERSION.SDK_INT >= 21) {
            return new a(ActivityOptions.makeTaskLaunchBehind());
        }
        return new c();
    }

    @NonNull
    public static c i(@NonNull View view, @NonNull Bitmap bitmap, int i, int i2) {
        if (Build.VERSION.SDK_INT >= 16) {
            return new a(ActivityOptions.makeThumbnailScaleUpAnimation(view, bitmap, i, i2));
        }
        return new c();
    }

    @Nullable
    public Rect a() {
        return null;
    }

    public void j(@NonNull PendingIntent pendingIntent) {
    }

    @NonNull
    public c k(@Nullable Rect rect) {
        return this;
    }

    @Nullable
    public Bundle l() {
        return null;
    }

    public void m(@NonNull c cVar) {
    }
}
