package androidx.core.app;

import android.os.Build;
import android.os.Bundle;
import android.os.IBinder;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

/* compiled from: BundleCompat */
public final class i {

    /* access modifiers changed from: package-private */
    /* compiled from: BundleCompat */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        private static final String f2321a = "BundleCompatBaseImpl";

        /* renamed from: b  reason: collision with root package name */
        private static Method f2322b;

        /* renamed from: c  reason: collision with root package name */
        private static boolean f2323c;

        /* renamed from: d  reason: collision with root package name */
        private static Method f2324d;

        /* renamed from: e  reason: collision with root package name */
        private static boolean f2325e;

        private a() {
        }

        public static IBinder a(Bundle bundle, String str) {
            if (!f2323c) {
                try {
                    Method method = Bundle.class.getMethod("getIBinder", String.class);
                    f2322b = method;
                    method.setAccessible(true);
                } catch (NoSuchMethodException e2) {
                    Log.i(f2321a, "Failed to retrieve getIBinder method", e2);
                }
                f2323c = true;
            }
            Method method2 = f2322b;
            if (method2 != null) {
                try {
                    return (IBinder) method2.invoke(bundle, str);
                } catch (IllegalAccessException | IllegalArgumentException | InvocationTargetException e3) {
                    Log.i(f2321a, "Failed to invoke getIBinder via reflection", e3);
                    f2322b = null;
                }
            }
            return null;
        }

        public static void b(Bundle bundle, String str, IBinder iBinder) {
            if (!f2325e) {
                try {
                    Method method = Bundle.class.getMethod("putIBinder", String.class, IBinder.class);
                    f2324d = method;
                    method.setAccessible(true);
                } catch (NoSuchMethodException e2) {
                    Log.i(f2321a, "Failed to retrieve putIBinder method", e2);
                }
                f2325e = true;
            }
            Method method2 = f2324d;
            if (method2 != null) {
                try {
                    method2.invoke(bundle, str, iBinder);
                } catch (IllegalAccessException | IllegalArgumentException | InvocationTargetException e3) {
                    Log.i(f2321a, "Failed to invoke putIBinder via reflection", e3);
                    f2324d = null;
                }
            }
        }
    }

    private i() {
    }

    @Nullable
    public static IBinder a(@NonNull Bundle bundle, @Nullable String str) {
        if (Build.VERSION.SDK_INT >= 18) {
            return bundle.getBinder(str);
        }
        return a.a(bundle, str);
    }

    public static void b(@NonNull Bundle bundle, @Nullable String str, @Nullable IBinder iBinder) {
        if (Build.VERSION.SDK_INT >= 18) {
            bundle.putBinder(str, iBinder);
        } else {
            a.b(bundle, str, iBinder);
        }
    }
}
