package androidx.core.app;

import android.app.Notification;
import android.app.NotificationChannel;
import android.media.AudioAttributes;
import android.net.Uri;
import android.os.Build;
import android.provider.Settings;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;

/* compiled from: NotificationChannelCompat */
public class m {

    /* renamed from: a  reason: collision with root package name */
    public static final String f2328a = "miscellaneous";

    /* renamed from: b  reason: collision with root package name */
    private static final boolean f2329b = true;

    /* renamed from: c  reason: collision with root package name */
    private static final int f2330c = 0;
    @NonNull

    /* renamed from: d  reason: collision with root package name */
    final String f2331d;

    /* renamed from: e  reason: collision with root package name */
    CharSequence f2332e;
    int f;
    String g;
    String h;
    boolean i;
    Uri j;
    AudioAttributes k;
    boolean l;
    int m;
    boolean n;
    long[] o;
    String p;
    String q;
    private boolean r;
    private int s;
    private boolean t;
    private boolean u;

    /* compiled from: NotificationChannelCompat */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        private final m f2333a;

        public a(@NonNull String str, int i) {
            this.f2333a = new m(str, i);
        }

        @NonNull
        public m a() {
            return this.f2333a;
        }

        @NonNull
        public a b(@NonNull String str, @NonNull String str2) {
            if (Build.VERSION.SDK_INT >= 30) {
                m mVar = this.f2333a;
                mVar.p = str;
                mVar.q = str2;
            }
            return this;
        }

        @NonNull
        public a c(@Nullable String str) {
            this.f2333a.g = str;
            return this;
        }

        @NonNull
        public a d(@Nullable String str) {
            this.f2333a.h = str;
            return this;
        }

        @NonNull
        public a e(int i) {
            this.f2333a.f = i;
            return this;
        }

        @NonNull
        public a f(int i) {
            this.f2333a.m = i;
            return this;
        }

        @NonNull
        public a g(boolean z) {
            this.f2333a.l = z;
            return this;
        }

        @NonNull
        public a h(@Nullable CharSequence charSequence) {
            this.f2333a.f2332e = charSequence;
            return this;
        }

        @NonNull
        public a i(boolean z) {
            this.f2333a.i = z;
            return this;
        }

        @NonNull
        public a j(@Nullable Uri uri, @Nullable AudioAttributes audioAttributes) {
            m mVar = this.f2333a;
            mVar.j = uri;
            mVar.k = audioAttributes;
            return this;
        }

        @NonNull
        public a k(boolean z) {
            this.f2333a.n = z;
            return this;
        }

        @NonNull
        public a l(@Nullable long[] jArr) {
            m mVar = this.f2333a;
            mVar.n = jArr != null && jArr.length > 0;
            mVar.o = jArr;
            return this;
        }
    }

    m(@NonNull String str, int i2) {
        this.i = true;
        this.j = Settings.System.DEFAULT_NOTIFICATION_URI;
        this.m = 0;
        this.f2331d = (String) androidx.core.util.m.g(str);
        this.f = i2;
        if (Build.VERSION.SDK_INT >= 21) {
            this.k = Notification.AUDIO_ATTRIBUTES_DEFAULT;
        }
    }

    public boolean a() {
        return this.t;
    }

    public boolean b() {
        return this.r;
    }

    public boolean c() {
        return this.i;
    }

    @Nullable
    public AudioAttributes d() {
        return this.k;
    }

    @Nullable
    public String e() {
        return this.q;
    }

    @Nullable
    public String f() {
        return this.g;
    }

    @Nullable
    public String g() {
        return this.h;
    }

    @NonNull
    public String h() {
        return this.f2331d;
    }

    public int i() {
        return this.f;
    }

    public int j() {
        return this.m;
    }

    public int k() {
        return this.s;
    }

    @Nullable
    public CharSequence l() {
        return this.f2332e;
    }

    /* access modifiers changed from: package-private */
    public NotificationChannel m() {
        String str;
        String str2;
        int i2 = Build.VERSION.SDK_INT;
        if (i2 < 26) {
            return null;
        }
        NotificationChannel notificationChannel = new NotificationChannel(this.f2331d, this.f2332e, this.f);
        notificationChannel.setDescription(this.g);
        notificationChannel.setGroup(this.h);
        notificationChannel.setShowBadge(this.i);
        notificationChannel.setSound(this.j, this.k);
        notificationChannel.enableLights(this.l);
        notificationChannel.setLightColor(this.m);
        notificationChannel.setVibrationPattern(this.o);
        notificationChannel.enableVibration(this.n);
        if (!(i2 < 30 || (str = this.p) == null || (str2 = this.q) == null)) {
            notificationChannel.setConversationId(str, str2);
        }
        return notificationChannel;
    }

    @Nullable
    public String n() {
        return this.p;
    }

    @Nullable
    public Uri o() {
        return this.j;
    }

    @Nullable
    public long[] p() {
        return this.o;
    }

    public boolean q() {
        return this.u;
    }

    public boolean r() {
        return this.l;
    }

    public boolean s() {
        return this.n;
    }

    @NonNull
    public a t() {
        return new a(this.f2331d, this.f).h(this.f2332e).c(this.g).d(this.h).i(this.i).j(this.j, this.k).g(this.l).f(this.m).k(this.n).l(this.o).b(this.p, this.q);
    }

    @RequiresApi(26)
    m(@NonNull NotificationChannel notificationChannel) {
        this(notificationChannel.getId(), notificationChannel.getImportance());
        this.f2332e = notificationChannel.getName();
        this.g = notificationChannel.getDescription();
        this.h = notificationChannel.getGroup();
        this.i = notificationChannel.canShowBadge();
        this.j = notificationChannel.getSound();
        this.k = notificationChannel.getAudioAttributes();
        this.l = notificationChannel.shouldShowLights();
        this.m = notificationChannel.getLightColor();
        this.n = notificationChannel.shouldVibrate();
        this.o = notificationChannel.getVibrationPattern();
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 30) {
            this.p = notificationChannel.getParentChannelId();
            this.q = notificationChannel.getConversationId();
        }
        this.r = notificationChannel.canBypassDnd();
        this.s = notificationChannel.getLockscreenVisibility();
        if (i2 >= 29) {
            this.t = notificationChannel.canBubble();
        }
        if (i2 >= 30) {
            this.u = notificationChannel.isImportantConversation();
        }
    }
}
