package androidx.core.app;

import android.app.Notification;
import android.app.RemoteInput;
import android.content.Context;
import android.graphics.drawable.Icon;
import android.os.Build;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.SparseArray;
import android.widget.RemoteViews;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.app.NotificationCompat;
import androidx.core.content.g;
import androidx.core.graphics.drawable.IconCompat;
import b.b.b;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: NotificationCompatBuilder */
class o implements l {

    /* renamed from: a  reason: collision with root package name */
    private final Context f2340a;

    /* renamed from: b  reason: collision with root package name */
    private final Notification.Builder f2341b;

    /* renamed from: c  reason: collision with root package name */
    private final NotificationCompat.e f2342c;

    /* renamed from: d  reason: collision with root package name */
    private RemoteViews f2343d;

    /* renamed from: e  reason: collision with root package name */
    private RemoteViews f2344e;
    private final List<Bundle> f = new ArrayList();
    private final Bundle g = new Bundle();
    private int h;
    private RemoteViews i;

    o(NotificationCompat.e eVar) {
        Icon icon;
        List<String> list;
        List<String> e2;
        this.f2342c = eVar;
        this.f2340a = eVar.f2237b;
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 26) {
            this.f2341b = new Notification.Builder(eVar.f2237b, eVar.M);
        } else {
            this.f2341b = new Notification.Builder(eVar.f2237b);
        }
        Notification notification = eVar.U;
        this.f2341b.setWhen(notification.when).setSmallIcon(notification.icon, notification.iconLevel).setContent(notification.contentView).setTicker(notification.tickerText, eVar.j).setVibrate(notification.vibrate).setLights(notification.ledARGB, notification.ledOnMS, notification.ledOffMS).setOngoing((notification.flags & 2) != 0).setOnlyAlertOnce((notification.flags & 8) != 0).setAutoCancel((notification.flags & 16) != 0).setDefaults(notification.defaults).setContentTitle(eVar.f).setContentText(eVar.g).setContentInfo(eVar.l).setContentIntent(eVar.h).setDeleteIntent(notification.deleteIntent).setFullScreenIntent(eVar.i, (notification.flags & 128) != 0).setLargeIcon(eVar.k).setNumber(eVar.m).setProgress(eVar.v, eVar.w, eVar.x);
        if (i2 < 21) {
            this.f2341b.setSound(notification.sound, notification.audioStreamType);
        }
        if (i2 >= 16) {
            this.f2341b.setSubText(eVar.s).setUsesChronometer(eVar.p).setPriority(eVar.n);
            Iterator<NotificationCompat.Action> it = eVar.f2238c.iterator();
            while (it.hasNext()) {
                b(it.next());
            }
            Bundle bundle = eVar.F;
            if (bundle != null) {
                this.g.putAll(bundle);
            }
            if (Build.VERSION.SDK_INT < 20) {
                if (eVar.B) {
                    this.g.putBoolean(p.f2345a, true);
                }
                String str = eVar.y;
                if (str != null) {
                    this.g.putString(p.f2346b, str);
                    if (eVar.z) {
                        this.g.putBoolean(p.f2347c, true);
                    } else {
                        this.g.putBoolean(r.f2358d, true);
                    }
                }
                String str2 = eVar.A;
                if (str2 != null) {
                    this.g.putString(p.f2348d, str2);
                }
            }
            this.f2343d = eVar.J;
            this.f2344e = eVar.K;
        }
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 17) {
            this.f2341b.setShowWhen(eVar.o);
        }
        if (i3 >= 19 && i3 < 21 && (e2 = e(g(eVar.f2239d), eVar.X)) != null && !e2.isEmpty()) {
            this.g.putStringArray(NotificationCompat.W, (String[]) e2.toArray(new String[e2.size()]));
        }
        if (i3 >= 20) {
            this.f2341b.setLocalOnly(eVar.B).setGroup(eVar.y).setGroupSummary(eVar.z).setSortKey(eVar.A);
            this.h = eVar.R;
        }
        if (i3 >= 21) {
            this.f2341b.setCategory(eVar.E).setColor(eVar.G).setVisibility(eVar.H).setPublicVersion(eVar.I).setSound(notification.sound, notification.audioAttributes);
            if (i3 < 28) {
                list = e(g(eVar.f2239d), eVar.X);
            } else {
                list = eVar.X;
            }
            if (list != null && !list.isEmpty()) {
                for (String str3 : list) {
                    this.f2341b.addPerson(str3);
                }
            }
            this.i = eVar.L;
            if (eVar.f2240e.size() > 0) {
                Bundle bundle2 = eVar.t().getBundle("android.car.EXTENSIONS");
                bundle2 = bundle2 == null ? new Bundle() : bundle2;
                Bundle bundle3 = new Bundle(bundle2);
                Bundle bundle4 = new Bundle();
                for (int i4 = 0; i4 < eVar.f2240e.size(); i4++) {
                    bundle4.putBundle(Integer.toString(i4), q.j(eVar.f2240e.get(i4)));
                }
                bundle2.putBundle("invisible_actions", bundle4);
                bundle3.putBundle("invisible_actions", bundle4);
                eVar.t().putBundle("android.car.EXTENSIONS", bundle2);
                this.g.putBundle("android.car.EXTENSIONS", bundle3);
            }
        }
        int i5 = Build.VERSION.SDK_INT;
        if (i5 >= 23 && (icon = eVar.W) != null) {
            this.f2341b.setSmallIcon(icon);
        }
        if (i5 >= 24) {
            this.f2341b.setExtras(eVar.F).setRemoteInputHistory(eVar.u);
            RemoteViews remoteViews = eVar.J;
            if (remoteViews != null) {
                this.f2341b.setCustomContentView(remoteViews);
            }
            RemoteViews remoteViews2 = eVar.K;
            if (remoteViews2 != null) {
                this.f2341b.setCustomBigContentView(remoteViews2);
            }
            RemoteViews remoteViews3 = eVar.L;
            if (remoteViews3 != null) {
                this.f2341b.setCustomHeadsUpContentView(remoteViews3);
            }
        }
        if (i5 >= 26) {
            this.f2341b.setBadgeIconType(eVar.N).setSettingsText(eVar.t).setShortcutId(eVar.O).setTimeoutAfter(eVar.Q).setGroupAlertBehavior(eVar.R);
            if (eVar.D) {
                this.f2341b.setColorized(eVar.C);
            }
            if (!TextUtils.isEmpty(eVar.M)) {
                this.f2341b.setSound(null).setDefaults(0).setLights(0, 0, 0).setVibrate(null);
            }
        }
        if (i5 >= 28) {
            Iterator<s> it2 = eVar.f2239d.iterator();
            while (it2.hasNext()) {
                this.f2341b.addPerson(it2.next().k());
            }
        }
        int i6 = Build.VERSION.SDK_INT;
        if (i6 >= 29) {
            this.f2341b.setAllowSystemGeneratedContextualActions(eVar.S);
            this.f2341b.setBubbleMetadata(NotificationCompat.d.k(eVar.T));
            g gVar = eVar.P;
            if (gVar != null) {
                this.f2341b.setLocusId(gVar.c());
            }
        }
        if (eVar.V) {
            if (this.f2342c.z) {
                this.h = 2;
            } else {
                this.h = 1;
            }
            this.f2341b.setVibrate(null);
            this.f2341b.setSound(null);
            int i7 = notification.defaults & -2;
            notification.defaults = i7;
            int i8 = i7 & -3;
            notification.defaults = i8;
            this.f2341b.setDefaults(i8);
            if (i6 >= 26) {
                if (TextUtils.isEmpty(this.f2342c.y)) {
                    this.f2341b.setGroup(NotificationCompat.N0);
                }
                this.f2341b.setGroupAlertBehavior(this.h);
            }
        }
    }

    private void b(NotificationCompat.Action action) {
        Notification.Action.Builder builder;
        Bundle bundle;
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 20) {
            IconCompat f2 = action.f();
            if (i2 >= 23) {
                builder = new Notification.Action.Builder(f2 != null ? f2.P() : null, action.j(), action.a());
            } else {
                builder = new Notification.Action.Builder(f2 != null ? f2.A() : 0, action.j(), action.a());
            }
            if (action.g() != null) {
                for (RemoteInput remoteInput : RemoteInput.d(action.g())) {
                    builder.addRemoteInput(remoteInput);
                }
            }
            if (action.d() != null) {
                bundle = new Bundle(action.d());
            } else {
                bundle = new Bundle();
            }
            bundle.putBoolean("android.support.allowGeneratedReplies", action.b());
            int i3 = Build.VERSION.SDK_INT;
            if (i3 >= 24) {
                builder.setAllowGeneratedReplies(action.b());
            }
            bundle.putInt("android.support.action.semanticAction", action.h());
            if (i3 >= 28) {
                builder.setSemanticAction(action.h());
            }
            if (i3 >= 29) {
                builder.setContextual(action.k());
            }
            bundle.putBoolean("android.support.action.showsUserInterface", action.i());
            builder.addExtras(bundle);
            this.f2341b.addAction(builder.build());
        } else if (i2 >= 16) {
            this.f.add(q.o(this.f2341b, action));
        }
    }

    @Nullable
    private static List<String> e(@Nullable List<String> list, @Nullable List<String> list2) {
        if (list == null) {
            return list2;
        }
        if (list2 == null) {
            return list;
        }
        b bVar = new b(list.size() + list2.size());
        bVar.addAll(list);
        bVar.addAll(list2);
        return new ArrayList(bVar);
    }

    @Nullable
    private static List<String> g(@Nullable List<s> list) {
        if (list == null) {
            return null;
        }
        ArrayList arrayList = new ArrayList(list.size());
        for (s sVar : list) {
            arrayList.add(sVar.j());
        }
        return arrayList;
    }

    private void h(Notification notification) {
        notification.sound = null;
        notification.vibrate = null;
        int i2 = notification.defaults & -2;
        notification.defaults = i2;
        notification.defaults = i2 & -3;
    }

    @Override // androidx.core.app.l
    public Notification.Builder a() {
        return this.f2341b;
    }

    public Notification c() {
        Bundle n;
        RemoteViews x;
        RemoteViews v;
        NotificationCompat.k kVar = this.f2342c.r;
        if (kVar != null) {
            kVar.b(this);
        }
        RemoteViews w = kVar != null ? kVar.w(this) : null;
        Notification d2 = d();
        if (w != null) {
            d2.contentView = w;
        } else {
            RemoteViews remoteViews = this.f2342c.J;
            if (remoteViews != null) {
                d2.contentView = remoteViews;
            }
        }
        int i2 = Build.VERSION.SDK_INT;
        if (!(i2 < 16 || kVar == null || (v = kVar.v(this)) == null)) {
            d2.bigContentView = v;
        }
        if (!(i2 < 21 || kVar == null || (x = this.f2342c.r.x(this)) == null)) {
            d2.headsUpContentView = x;
        }
        if (!(i2 < 16 || kVar == null || (n = NotificationCompat.n(d2)) == null)) {
            kVar.a(n);
        }
        return d2;
    }

    /* access modifiers changed from: protected */
    public Notification d() {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 26) {
            return this.f2341b.build();
        }
        if (i2 >= 24) {
            Notification build = this.f2341b.build();
            if (this.h != 0) {
                if (!(build.getGroup() == null || (build.flags & 512) == 0 || this.h != 2)) {
                    h(build);
                }
                if (build.getGroup() != null && (build.flags & 512) == 0 && this.h == 1) {
                    h(build);
                }
            }
            return build;
        } else if (i2 >= 21) {
            this.f2341b.setExtras(this.g);
            Notification build2 = this.f2341b.build();
            RemoteViews remoteViews = this.f2343d;
            if (remoteViews != null) {
                build2.contentView = remoteViews;
            }
            RemoteViews remoteViews2 = this.f2344e;
            if (remoteViews2 != null) {
                build2.bigContentView = remoteViews2;
            }
            RemoteViews remoteViews3 = this.i;
            if (remoteViews3 != null) {
                build2.headsUpContentView = remoteViews3;
            }
            if (this.h != 0) {
                if (!(build2.getGroup() == null || (build2.flags & 512) == 0 || this.h != 2)) {
                    h(build2);
                }
                if (build2.getGroup() != null && (build2.flags & 512) == 0 && this.h == 1) {
                    h(build2);
                }
            }
            return build2;
        } else if (i2 >= 20) {
            this.f2341b.setExtras(this.g);
            Notification build3 = this.f2341b.build();
            RemoteViews remoteViews4 = this.f2343d;
            if (remoteViews4 != null) {
                build3.contentView = remoteViews4;
            }
            RemoteViews remoteViews5 = this.f2344e;
            if (remoteViews5 != null) {
                build3.bigContentView = remoteViews5;
            }
            if (this.h != 0) {
                if (!(build3.getGroup() == null || (build3.flags & 512) == 0 || this.h != 2)) {
                    h(build3);
                }
                if (build3.getGroup() != null && (build3.flags & 512) == 0 && this.h == 1) {
                    h(build3);
                }
            }
            return build3;
        } else if (i2 >= 19) {
            SparseArray<Bundle> a2 = q.a(this.f);
            if (a2 != null) {
                this.g.putSparseParcelableArray(p.f2349e, a2);
            }
            this.f2341b.setExtras(this.g);
            Notification build4 = this.f2341b.build();
            RemoteViews remoteViews6 = this.f2343d;
            if (remoteViews6 != null) {
                build4.contentView = remoteViews6;
            }
            RemoteViews remoteViews7 = this.f2344e;
            if (remoteViews7 != null) {
                build4.bigContentView = remoteViews7;
            }
            return build4;
        } else if (i2 < 16) {
            return this.f2341b.getNotification();
        } else {
            Notification build5 = this.f2341b.build();
            Bundle n = NotificationCompat.n(build5);
            Bundle bundle = new Bundle(this.g);
            for (String str : this.g.keySet()) {
                if (n.containsKey(str)) {
                    bundle.remove(str);
                }
            }
            n.putAll(bundle);
            SparseArray<Bundle> a3 = q.a(this.f);
            if (a3 != null) {
                NotificationCompat.n(build5).putSparseParcelableArray(p.f2349e, a3);
            }
            RemoteViews remoteViews8 = this.f2343d;
            if (remoteViews8 != null) {
                build5.contentView = remoteViews8;
            }
            RemoteViews remoteViews9 = this.f2344e;
            if (remoteViews9 != null) {
                build5.bigContentView = remoteViews9;
            }
            return build5;
        }
    }

    /* access modifiers changed from: package-private */
    public Context f() {
        return this.f2340a;
    }
}
