package androidx.core.app;

import android.app.Notification;
import android.app.PendingIntent;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.Log;
import android.util.SparseArray;
import androidx.annotation.RequiresApi;
import androidx.core.app.NotificationCompat;
import androidx.core.graphics.drawable.IconCompat;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Set;

/* access modifiers changed from: package-private */
@RequiresApi(16)
/* compiled from: NotificationCompatJellybean */
public class q {

    /* renamed from: a  reason: collision with root package name */
    public static final String f2350a = "NotificationCompat";

    /* renamed from: b  reason: collision with root package name */
    static final String f2351b = "android.support.dataRemoteInputs";

    /* renamed from: c  reason: collision with root package name */
    static final String f2352c = "android.support.allowGeneratedReplies";

    /* renamed from: d  reason: collision with root package name */
    private static final String f2353d = "icon";

    /* renamed from: e  reason: collision with root package name */
    private static final String f2354e = "title";
    private static final String f = "actionIntent";
    private static final String g = "extras";
    private static final String h = "remoteInputs";
    private static final String i = "dataOnlyRemoteInputs";
    private static final String j = "resultKey";
    private static final String k = "label";
    private static final String l = "choices";
    private static final String m = "allowFreeFormInput";
    private static final String n = "allowedDataTypes";
    private static final String o = "semanticAction";
    private static final String p = "showsUserInterface";
    private static final Object q = new Object();
    private static Field r;
    private static boolean s;
    private static final Object t = new Object();
    private static Field u;
    private static Field v;
    private static Field w;
    private static Field x;
    private static boolean y;

    private q() {
    }

    public static SparseArray<Bundle> a(List<Bundle> list) {
        int size = list.size();
        SparseArray<Bundle> sparseArray = null;
        for (int i2 = 0; i2 < size; i2++) {
            Bundle bundle = list.get(i2);
            if (bundle != null) {
                if (sparseArray == null) {
                    sparseArray = new SparseArray<>();
                }
                sparseArray.put(i2, bundle);
            }
        }
        return sparseArray;
    }

    private static boolean b() {
        if (y) {
            return false;
        }
        try {
            if (u == null) {
                Class<?> cls = Class.forName("android.app.Notification$Action");
                v = cls.getDeclaredField(f2353d);
                w = cls.getDeclaredField("title");
                x = cls.getDeclaredField(f);
                Field declaredField = Notification.class.getDeclaredField("actions");
                u = declaredField;
                declaredField.setAccessible(true);
            }
        } catch (ClassNotFoundException e2) {
            Log.e(f2350a, "Unable to access notification actions", e2);
            y = true;
        } catch (NoSuchFieldException e3) {
            Log.e(f2350a, "Unable to access notification actions", e3);
            y = true;
        }
        return !y;
    }

    private static RemoteInput c(Bundle bundle) {
        ArrayList<String> stringArrayList = bundle.getStringArrayList(n);
        HashSet hashSet = new HashSet();
        if (stringArrayList != null) {
            Iterator<String> it = stringArrayList.iterator();
            while (it.hasNext()) {
                hashSet.add(it.next());
            }
        }
        return new RemoteInput(bundle.getString(j), bundle.getCharSequence(k), bundle.getCharSequenceArray(l), bundle.getBoolean(m), 0, bundle.getBundle(g), hashSet);
    }

    private static RemoteInput[] d(Bundle[] bundleArr) {
        if (bundleArr == null) {
            return null;
        }
        RemoteInput[] remoteInputArr = new RemoteInput[bundleArr.length];
        for (int i2 = 0; i2 < bundleArr.length; i2++) {
            remoteInputArr[i2] = c(bundleArr[i2]);
        }
        return remoteInputArr;
    }

    public static NotificationCompat.Action e(Notification notification, int i2) {
        SparseArray sparseParcelableArray;
        synchronized (t) {
            try {
                Object[] h2 = h(notification);
                if (h2 != null) {
                    Object obj = h2[i2];
                    Bundle k2 = k(notification);
                    return l(v.getInt(obj), (CharSequence) w.get(obj), (PendingIntent) x.get(obj), (k2 == null || (sparseParcelableArray = k2.getSparseParcelableArray(p.f2349e)) == null) ? null : (Bundle) sparseParcelableArray.get(i2));
                }
            } catch (IllegalAccessException e2) {
                Log.e(f2350a, "Unable to access notification actions", e2);
                y = true;
            } catch (Throwable th) {
                throw th;
            }
            return null;
        }
    }

    public static int f(Notification notification) {
        int length;
        synchronized (t) {
            Object[] h2 = h(notification);
            length = h2 != null ? h2.length : 0;
        }
        return length;
    }

    static NotificationCompat.Action g(Bundle bundle) {
        Bundle bundle2 = bundle.getBundle(g);
        return new NotificationCompat.Action(bundle.getInt(f2353d), bundle.getCharSequence("title"), (PendingIntent) bundle.getParcelable(f), bundle.getBundle(g), d(i(bundle, h)), d(i(bundle, i)), bundle2 != null ? bundle2.getBoolean(f2352c, false) : false, bundle.getInt(o), bundle.getBoolean(p), false);
    }

    private static Object[] h(Notification notification) {
        synchronized (t) {
            if (!b()) {
                return null;
            }
            try {
                return (Object[]) u.get(notification);
            } catch (IllegalAccessException e2) {
                Log.e(f2350a, "Unable to access notification actions", e2);
                y = true;
                return null;
            }
        }
    }

    private static Bundle[] i(Bundle bundle, String str) {
        Parcelable[] parcelableArray = bundle.getParcelableArray(str);
        if ((parcelableArray instanceof Bundle[]) || parcelableArray == null) {
            return (Bundle[]) parcelableArray;
        }
        Bundle[] bundleArr = (Bundle[]) Arrays.copyOf(parcelableArray, parcelableArray.length, Bundle[].class);
        bundle.putParcelableArray(str, bundleArr);
        return bundleArr;
    }

    static Bundle j(NotificationCompat.Action action) {
        Bundle bundle;
        Bundle bundle2 = new Bundle();
        IconCompat f2 = action.f();
        bundle2.putInt(f2353d, f2 != null ? f2.A() : 0);
        bundle2.putCharSequence("title", action.j());
        bundle2.putParcelable(f, action.a());
        if (action.d() != null) {
            bundle = new Bundle(action.d());
        } else {
            bundle = new Bundle();
        }
        bundle.putBoolean(f2352c, action.b());
        bundle2.putBundle(g, bundle);
        bundle2.putParcelableArray(h, n(action.g()));
        bundle2.putBoolean(p, action.i());
        bundle2.putInt(o, action.h());
        return bundle2;
    }

    public static Bundle k(Notification notification) {
        synchronized (q) {
            if (s) {
                return null;
            }
            try {
                if (r == null) {
                    Field declaredField = Notification.class.getDeclaredField(g);
                    if (!Bundle.class.isAssignableFrom(declaredField.getType())) {
                        Log.e(f2350a, "Notification.extras field is not of type Bundle");
                        s = true;
                        return null;
                    }
                    declaredField.setAccessible(true);
                    r = declaredField;
                }
                Bundle bundle = (Bundle) r.get(notification);
                if (bundle == null) {
                    bundle = new Bundle();
                    r.set(notification, bundle);
                }
                return bundle;
            } catch (IllegalAccessException e2) {
                Log.e(f2350a, "Unable to access notification extras", e2);
                s = true;
                return null;
            } catch (NoSuchFieldException e3) {
                Log.e(f2350a, "Unable to access notification extras", e3);
                s = true;
                return null;
            }
        }
    }

    public static NotificationCompat.Action l(int i2, CharSequence charSequence, PendingIntent pendingIntent, Bundle bundle) {
        boolean z;
        RemoteInput[] remoteInputArr;
        RemoteInput[] remoteInputArr2;
        if (bundle != null) {
            remoteInputArr2 = d(i(bundle, p.f));
            remoteInputArr = d(i(bundle, f2351b));
            z = bundle.getBoolean(f2352c);
        } else {
            remoteInputArr2 = null;
            remoteInputArr = null;
            z = false;
        }
        return new NotificationCompat.Action(i2, charSequence, pendingIntent, bundle, remoteInputArr2, remoteInputArr, z, 0, true, false);
    }

    private static Bundle m(RemoteInput remoteInput) {
        Bundle bundle = new Bundle();
        bundle.putString(j, remoteInput.o());
        bundle.putCharSequence(k, remoteInput.n());
        bundle.putCharSequenceArray(l, remoteInput.h());
        bundle.putBoolean(m, remoteInput.f());
        bundle.putBundle(g, remoteInput.m());
        Set<String> g2 = remoteInput.g();
        if (g2 != null && !g2.isEmpty()) {
            ArrayList<String> arrayList = new ArrayList<>(g2.size());
            for (String str : g2) {
                arrayList.add(str);
            }
            bundle.putStringArrayList(n, arrayList);
        }
        return bundle;
    }

    private static Bundle[] n(RemoteInput[] remoteInputArr) {
        if (remoteInputArr == null) {
            return null;
        }
        Bundle[] bundleArr = new Bundle[remoteInputArr.length];
        for (int i2 = 0; i2 < remoteInputArr.length; i2++) {
            bundleArr[i2] = m(remoteInputArr[i2]);
        }
        return bundleArr;
    }

    public static Bundle o(Notification.Builder builder, NotificationCompat.Action action) {
        IconCompat f2 = action.f();
        builder.addAction(f2 != null ? f2.A() : 0, action.j(), action.a());
        Bundle bundle = new Bundle(action.d());
        if (action.g() != null) {
            bundle.putParcelableArray(p.f, n(action.g()));
        }
        if (action.c() != null) {
            bundle.putParcelableArray(f2351b, n(action.c()));
        }
        bundle.putBoolean(f2352c, action.b());
        return bundle;
    }
}
