package androidx.core.app;

import android.app.AppOpsManager;
import android.app.Notification;
import android.app.NotificationChannel;
import android.app.NotificationChannelGroup;
import android.app.NotificationManager;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.content.pm.ApplicationInfo;
import android.content.pm.ResolveInfo;
import android.content.pm.ServiceInfo;
import android.os.Build;
import android.os.Bundle;
import android.os.DeadObjectException;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.IBinder;
import android.os.Message;
import android.os.RemoteException;
import android.provider.Settings;
import android.support.v4.app.INotificationSideChannel;
import android.util.Log;
import androidx.annotation.GuardedBy;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import java.lang.reflect.InvocationTargetException;
import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;

/* compiled from: NotificationManagerCompat */
public final class r {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2355a = "NotifManCompat";

    /* renamed from: b  reason: collision with root package name */
    private static final String f2356b = "checkOpNoThrow";

    /* renamed from: c  reason: collision with root package name */
    private static final String f2357c = "OP_POST_NOTIFICATION";

    /* renamed from: d  reason: collision with root package name */
    public static final String f2358d = "android.support.useSideChannel";

    /* renamed from: e  reason: collision with root package name */
    public static final String f2359e = "android.support.BIND_NOTIFICATION_SIDE_CHANNEL";
    static final int f = 19;
    private static final int g = 1000;
    private static final int h = 6;
    private static final String i = "enabled_notification_listeners";
    private static final Object j = new Object();
    @GuardedBy("sEnabledNotificationListenersLock")
    private static String k = null;
    @GuardedBy("sEnabledNotificationListenersLock")
    private static Set<String> l = new HashSet();
    private static final Object m = new Object();
    @GuardedBy("sLock")
    private static d n = null;
    public static final int o = -1000;
    public static final int p = 0;
    public static final int q = 1;
    public static final int r = 2;
    public static final int s = 3;
    public static final int t = 4;
    public static final int u = 5;
    private final Context v;
    private final NotificationManager w;

    /* access modifiers changed from: private */
    /* compiled from: NotificationManagerCompat */
    public static class b implements e {

        /* renamed from: a  reason: collision with root package name */
        final String f2364a;

        /* renamed from: b  reason: collision with root package name */
        final int f2365b;

        /* renamed from: c  reason: collision with root package name */
        final String f2366c;

        /* renamed from: d  reason: collision with root package name */
        final Notification f2367d;

        b(String str, int i, String str2, Notification notification) {
            this.f2364a = str;
            this.f2365b = i;
            this.f2366c = str2;
            this.f2367d = notification;
        }

        @Override // androidx.core.app.r.e
        public void a(INotificationSideChannel iNotificationSideChannel) throws RemoteException {
            iNotificationSideChannel.notify(this.f2364a, this.f2365b, this.f2366c, this.f2367d);
        }

        @NonNull
        public String toString() {
            return "NotifyTask[" + "packageName:" + this.f2364a + ", id:" + this.f2365b + ", tag:" + this.f2366c + "]";
        }
    }

    /* compiled from: NotificationManagerCompat */
    private static class c {

        /* renamed from: a  reason: collision with root package name */
        final ComponentName f2368a;

        /* renamed from: b  reason: collision with root package name */
        final IBinder f2369b;

        c(ComponentName componentName, IBinder iBinder) {
            this.f2368a = componentName;
            this.f2369b = iBinder;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: NotificationManagerCompat */
    public static class d implements Handler.Callback, ServiceConnection {
        private static final int I0 = 2;
        private static final int J0 = 3;

        /* renamed from: a  reason: collision with root package name */
        private static final int f2370a = 0;

        /* renamed from: b  reason: collision with root package name */
        private static final int f2371b = 1;
        private final Context K0;
        private final HandlerThread L0;
        private final Handler M0;
        private final Map<ComponentName, a> N0 = new HashMap();
        private Set<String> O0 = new HashSet();

        /* access modifiers changed from: private */
        /* compiled from: NotificationManagerCompat */
        public static class a {

            /* renamed from: a  reason: collision with root package name */
            final ComponentName f2372a;

            /* renamed from: b  reason: collision with root package name */
            boolean f2373b = false;

            /* renamed from: c  reason: collision with root package name */
            INotificationSideChannel f2374c;

            /* renamed from: d  reason: collision with root package name */
            ArrayDeque<e> f2375d = new ArrayDeque<>();

            /* renamed from: e  reason: collision with root package name */
            int f2376e = 0;

            a(ComponentName componentName) {
                this.f2372a = componentName;
            }
        }

        d(Context context) {
            this.K0 = context;
            HandlerThread handlerThread = new HandlerThread("NotificationManagerCompat");
            this.L0 = handlerThread;
            handlerThread.start();
            this.M0 = new Handler(handlerThread.getLooper(), this);
        }

        private boolean a(a aVar) {
            if (aVar.f2373b) {
                return true;
            }
            boolean bindService = this.K0.bindService(new Intent(r.f2359e).setComponent(aVar.f2372a), this, 33);
            aVar.f2373b = bindService;
            if (bindService) {
                aVar.f2376e = 0;
            } else {
                Log.w(r.f2355a, "Unable to bind to listener " + aVar.f2372a);
                this.K0.unbindService(this);
            }
            return aVar.f2373b;
        }

        private void b(a aVar) {
            if (aVar.f2373b) {
                this.K0.unbindService(this);
                aVar.f2373b = false;
            }
            aVar.f2374c = null;
        }

        private void c(e eVar) {
            j();
            for (a aVar : this.N0.values()) {
                aVar.f2375d.add(eVar);
                g(aVar);
            }
        }

        private void d(ComponentName componentName) {
            a aVar = this.N0.get(componentName);
            if (aVar != null) {
                g(aVar);
            }
        }

        private void e(ComponentName componentName, IBinder iBinder) {
            a aVar = this.N0.get(componentName);
            if (aVar != null) {
                aVar.f2374c = INotificationSideChannel.Stub.asInterface(iBinder);
                aVar.f2376e = 0;
                g(aVar);
            }
        }

        private void f(ComponentName componentName) {
            a aVar = this.N0.get(componentName);
            if (aVar != null) {
                b(aVar);
            }
        }

        private void g(a aVar) {
            if (Log.isLoggable(r.f2355a, 3)) {
                Log.d(r.f2355a, "Processing component " + aVar.f2372a + ", " + aVar.f2375d.size() + " queued tasks");
            }
            if (!aVar.f2375d.isEmpty()) {
                if (!a(aVar) || aVar.f2374c == null) {
                    i(aVar);
                    return;
                }
                while (true) {
                    e peek = aVar.f2375d.peek();
                    if (peek == null) {
                        break;
                    }
                    try {
                        if (Log.isLoggable(r.f2355a, 3)) {
                            Log.d(r.f2355a, "Sending task " + peek);
                        }
                        peek.a(aVar.f2374c);
                        aVar.f2375d.remove();
                    } catch (DeadObjectException unused) {
                        if (Log.isLoggable(r.f2355a, 3)) {
                            Log.d(r.f2355a, "Remote service has died: " + aVar.f2372a);
                        }
                    } catch (RemoteException e2) {
                        Log.w(r.f2355a, "RemoteException communicating with " + aVar.f2372a, e2);
                    }
                }
                if (!aVar.f2375d.isEmpty()) {
                    i(aVar);
                }
            }
        }

        private void i(a aVar) {
            if (!this.M0.hasMessages(3, aVar.f2372a)) {
                int i = aVar.f2376e + 1;
                aVar.f2376e = i;
                if (i > 6) {
                    Log.w(r.f2355a, "Giving up on delivering " + aVar.f2375d.size() + " tasks to " + aVar.f2372a + " after " + aVar.f2376e + " retries");
                    aVar.f2375d.clear();
                    return;
                }
                int i2 = (1 << (i - 1)) * 1000;
                if (Log.isLoggable(r.f2355a, 3)) {
                    Log.d(r.f2355a, "Scheduling retry for " + i2 + " ms");
                }
                this.M0.sendMessageDelayed(this.M0.obtainMessage(3, aVar.f2372a), (long) i2);
            }
        }

        private void j() {
            Set<String> q = r.q(this.K0);
            if (!q.equals(this.O0)) {
                this.O0 = q;
                List<ResolveInfo> queryIntentServices = this.K0.getPackageManager().queryIntentServices(new Intent().setAction(r.f2359e), 0);
                HashSet<ComponentName> hashSet = new HashSet();
                for (ResolveInfo resolveInfo : queryIntentServices) {
                    if (q.contains(resolveInfo.serviceInfo.packageName)) {
                        ServiceInfo serviceInfo = resolveInfo.serviceInfo;
                        ComponentName componentName = new ComponentName(serviceInfo.packageName, serviceInfo.name);
                        if (resolveInfo.serviceInfo.permission != null) {
                            Log.w(r.f2355a, "Permission present on component " + componentName + ", not adding listener record.");
                        } else {
                            hashSet.add(componentName);
                        }
                    }
                }
                for (ComponentName componentName2 : hashSet) {
                    if (!this.N0.containsKey(componentName2)) {
                        if (Log.isLoggable(r.f2355a, 3)) {
                            Log.d(r.f2355a, "Adding listener record for " + componentName2);
                        }
                        this.N0.put(componentName2, new a(componentName2));
                    }
                }
                Iterator<Map.Entry<ComponentName, a>> it = this.N0.entrySet().iterator();
                while (it.hasNext()) {
                    Map.Entry<ComponentName, a> next = it.next();
                    if (!hashSet.contains(next.getKey())) {
                        if (Log.isLoggable(r.f2355a, 3)) {
                            Log.d(r.f2355a, "Removing listener record for " + next.getKey());
                        }
                        b(next.getValue());
                        it.remove();
                    }
                }
            }
        }

        public void h(e eVar) {
            this.M0.obtainMessage(0, eVar).sendToTarget();
        }

        public boolean handleMessage(Message message) {
            int i = message.what;
            if (i == 0) {
                c((e) message.obj);
                return true;
            } else if (i == 1) {
                c cVar = (c) message.obj;
                e(cVar.f2368a, cVar.f2369b);
                return true;
            } else if (i == 2) {
                f((ComponentName) message.obj);
                return true;
            } else if (i != 3) {
                return false;
            } else {
                d((ComponentName) message.obj);
                return true;
            }
        }

        public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            if (Log.isLoggable(r.f2355a, 3)) {
                Log.d(r.f2355a, "Connected to service " + componentName);
            }
            this.M0.obtainMessage(1, new c(componentName, iBinder)).sendToTarget();
        }

        public void onServiceDisconnected(ComponentName componentName) {
            if (Log.isLoggable(r.f2355a, 3)) {
                Log.d(r.f2355a, "Disconnected from service " + componentName);
            }
            this.M0.obtainMessage(2, componentName).sendToTarget();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: NotificationManagerCompat */
    public interface e {
        void a(INotificationSideChannel iNotificationSideChannel) throws RemoteException;
    }

    private r(Context context) {
        this.v = context;
        this.w = (NotificationManager) context.getSystemService("notification");
    }

    private void E(e eVar) {
        synchronized (m) {
            if (n == null) {
                n = new d(this.v.getApplicationContext());
            }
            n.h(eVar);
        }
    }

    private static boolean F(Notification notification) {
        Bundle n2 = NotificationCompat.n(notification);
        return n2 != null && n2.getBoolean(f2358d);
    }

    @NonNull
    public static r p(@NonNull Context context) {
        return new r(context);
    }

    @NonNull
    public static Set<String> q(@NonNull Context context) {
        Set<String> set;
        String string = Settings.Secure.getString(context.getContentResolver(), i);
        synchronized (j) {
            if (string != null) {
                if (!string.equals(k)) {
                    String[] split = string.split(":", -1);
                    HashSet hashSet = new HashSet(split.length);
                    for (String str : split) {
                        ComponentName unflattenFromString = ComponentName.unflattenFromString(str);
                        if (unflattenFromString != null) {
                            hashSet.add(unflattenFromString.getPackageName());
                        }
                    }
                    l = hashSet;
                    k = string;
                }
            }
            set = l;
        }
        return set;
    }

    @NonNull
    public List<NotificationChannel> A() {
        if (Build.VERSION.SDK_INT >= 26) {
            return this.w.getNotificationChannels();
        }
        return Collections.emptyList();
    }

    @NonNull
    public List<m> B() {
        if (Build.VERSION.SDK_INT >= 26) {
            List<NotificationChannel> A = A();
            if (!A.isEmpty()) {
                ArrayList arrayList = new ArrayList(A.size());
                for (NotificationChannel notificationChannel : A) {
                    arrayList.add(new m(notificationChannel));
                }
                return arrayList;
            }
        }
        return Collections.emptyList();
    }

    public void C(int i2, @NonNull Notification notification) {
        D(null, i2, notification);
    }

    public void D(@Nullable String str, int i2, @NonNull Notification notification) {
        if (F(notification)) {
            E(new b(this.v.getPackageName(), i2, str, notification));
            this.w.cancel(str, i2);
            return;
        }
        this.w.notify(str, i2, notification);
    }

    public boolean a() {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 24) {
            return this.w.areNotificationsEnabled();
        }
        if (i2 < 19) {
            return true;
        }
        AppOpsManager appOpsManager = (AppOpsManager) this.v.getSystemService("appops");
        ApplicationInfo applicationInfo = this.v.getApplicationInfo();
        String packageName = this.v.getApplicationContext().getPackageName();
        int i3 = applicationInfo.uid;
        try {
            Class<?> cls = Class.forName(AppOpsManager.class.getName());
            Class<?> cls2 = Integer.TYPE;
            if (((Integer) cls.getMethod(f2356b, cls2, cls2, String.class).invoke(appOpsManager, Integer.valueOf(((Integer) cls.getDeclaredField(f2357c).get(Integer.class)).intValue()), Integer.valueOf(i3), packageName)).intValue() == 0) {
                return true;
            }
            return false;
        } catch (ClassNotFoundException | IllegalAccessException | NoSuchFieldException | NoSuchMethodException | RuntimeException | InvocationTargetException unused) {
            return true;
        }
    }

    public void b(int i2) {
        c(null, i2);
    }

    public void c(@Nullable String str, int i2) {
        this.w.cancel(str, i2);
        if (Build.VERSION.SDK_INT <= 19) {
            E(new a(this.v.getPackageName(), i2, str));
        }
    }

    public void d() {
        this.w.cancelAll();
        if (Build.VERSION.SDK_INT <= 19) {
            E(new a(this.v.getPackageName()));
        }
    }

    public void e(@NonNull NotificationChannel notificationChannel) {
        if (Build.VERSION.SDK_INT >= 26) {
            this.w.createNotificationChannel(notificationChannel);
        }
    }

    public void f(@NonNull m mVar) {
        e(mVar.m());
    }

    public void g(@NonNull NotificationChannelGroup notificationChannelGroup) {
        if (Build.VERSION.SDK_INT >= 26) {
            this.w.createNotificationChannelGroup(notificationChannelGroup);
        }
    }

    public void h(@NonNull n nVar) {
        g(nVar.f());
    }

    public void i(@NonNull List<NotificationChannelGroup> list) {
        if (Build.VERSION.SDK_INT >= 26) {
            this.w.createNotificationChannelGroups(list);
        }
    }

    public void j(@NonNull List<n> list) {
        if (Build.VERSION.SDK_INT >= 26 && !list.isEmpty()) {
            ArrayList arrayList = new ArrayList(list.size());
            for (n nVar : list) {
                arrayList.add(nVar.f());
            }
            this.w.createNotificationChannelGroups(arrayList);
        }
    }

    public void k(@NonNull List<NotificationChannel> list) {
        if (Build.VERSION.SDK_INT >= 26) {
            this.w.createNotificationChannels(list);
        }
    }

    public void l(@NonNull List<m> list) {
        if (Build.VERSION.SDK_INT >= 26 && !list.isEmpty()) {
            ArrayList arrayList = new ArrayList(list.size());
            for (m mVar : list) {
                arrayList.add(mVar.m());
            }
            this.w.createNotificationChannels(arrayList);
        }
    }

    public void m(@NonNull String str) {
        if (Build.VERSION.SDK_INT >= 26) {
            this.w.deleteNotificationChannel(str);
        }
    }

    public void n(@NonNull String str) {
        if (Build.VERSION.SDK_INT >= 26) {
            this.w.deleteNotificationChannelGroup(str);
        }
    }

    public void o(@NonNull Collection<String> collection) {
        if (Build.VERSION.SDK_INT >= 26) {
            for (NotificationChannel notificationChannel : this.w.getNotificationChannels()) {
                if (!collection.contains(notificationChannel.getId()) && (Build.VERSION.SDK_INT < 30 || !collection.contains(notificationChannel.getParentChannelId()))) {
                    this.w.deleteNotificationChannel(notificationChannel.getId());
                }
            }
        }
    }

    public int r() {
        if (Build.VERSION.SDK_INT >= 24) {
            return this.w.getImportance();
        }
        return -1000;
    }

    @Nullable
    public NotificationChannel s(@NonNull String str) {
        if (Build.VERSION.SDK_INT >= 26) {
            return this.w.getNotificationChannel(str);
        }
        return null;
    }

    @Nullable
    public NotificationChannel t(@NonNull String str, @NonNull String str2) {
        if (Build.VERSION.SDK_INT >= 30) {
            return this.w.getNotificationChannel(str, str2);
        }
        return s(str);
    }

    @Nullable
    public m u(@NonNull String str) {
        NotificationChannel s2;
        if (Build.VERSION.SDK_INT < 26 || (s2 = s(str)) == null) {
            return null;
        }
        return new m(s2);
    }

    @Nullable
    public m v(@NonNull String str, @NonNull String str2) {
        NotificationChannel t2;
        if (Build.VERSION.SDK_INT < 26 || (t2 = t(str, str2)) == null) {
            return null;
        }
        return new m(t2);
    }

    @Nullable
    public NotificationChannelGroup w(@NonNull String str) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 28) {
            return this.w.getNotificationChannelGroup(str);
        }
        if (i2 >= 26) {
            for (NotificationChannelGroup notificationChannelGroup : y()) {
                if (notificationChannelGroup.getId().equals(str)) {
                    return notificationChannelGroup;
                }
            }
        }
        return null;
    }

    @Nullable
    public n x(@NonNull String str) {
        NotificationChannelGroup w2;
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 28) {
            NotificationChannelGroup w3 = w(str);
            if (w3 != null) {
                return new n(w3);
            }
            return null;
        } else if (i2 < 26 || (w2 = w(str)) == null) {
            return null;
        } else {
            return new n(w2, A());
        }
    }

    @NonNull
    public List<NotificationChannelGroup> y() {
        if (Build.VERSION.SDK_INT >= 26) {
            return this.w.getNotificationChannelGroups();
        }
        return Collections.emptyList();
    }

    @NonNull
    public List<n> z() {
        List<NotificationChannel> list;
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 26) {
            List<NotificationChannelGroup> y = y();
            if (!y.isEmpty()) {
                if (i2 >= 28) {
                    list = Collections.emptyList();
                } else {
                    list = A();
                }
                ArrayList arrayList = new ArrayList(y.size());
                for (NotificationChannelGroup notificationChannelGroup : y) {
                    if (Build.VERSION.SDK_INT >= 28) {
                        arrayList.add(new n(notificationChannelGroup));
                    } else {
                        arrayList.add(new n(notificationChannelGroup, list));
                    }
                }
                return arrayList;
            }
        }
        return Collections.emptyList();
    }

    /* access modifiers changed from: private */
    /* compiled from: NotificationManagerCompat */
    public static class a implements e {

        /* renamed from: a  reason: collision with root package name */
        final String f2360a;

        /* renamed from: b  reason: collision with root package name */
        final int f2361b;

        /* renamed from: c  reason: collision with root package name */
        final String f2362c;

        /* renamed from: d  reason: collision with root package name */
        final boolean f2363d;

        a(String str) {
            this.f2360a = str;
            this.f2361b = 0;
            this.f2362c = null;
            this.f2363d = true;
        }

        @Override // androidx.core.app.r.e
        public void a(INotificationSideChannel iNotificationSideChannel) throws RemoteException {
            if (this.f2363d) {
                iNotificationSideChannel.cancelAll(this.f2360a);
            } else {
                iNotificationSideChannel.cancel(this.f2360a, this.f2361b, this.f2362c);
            }
        }

        @NonNull
        public String toString() {
            return "CancelTask[" + "packageName:" + this.f2360a + ", id:" + this.f2361b + ", tag:" + this.f2362c + ", all:" + this.f2363d + "]";
        }

        a(String str, int i, String str2) {
            this.f2360a = str;
            this.f2361b = i;
            this.f2362c = str2;
            this.f2363d = false;
        }
    }
}
