package androidx.core.app;

import android.app.Activity;
import android.content.ClipData;
import android.content.ComponentName;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.text.Html;
import android.text.Spanned;
import android.util.Log;
import android.view.ActionProvider;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.ShareActionProvider;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.StringRes;
import androidx.core.content.f;
import androidx.core.util.m;
import com.alipay.sdk.util.g;
import java.util.ArrayList;

/* compiled from: ShareCompat */
public final class t {

    /* renamed from: a  reason: collision with root package name */
    public static final String f2387a = "androidx.core.app.EXTRA_CALLING_PACKAGE";

    /* renamed from: b  reason: collision with root package name */
    public static final String f2388b = "android.support.v4.app.EXTRA_CALLING_PACKAGE";

    /* renamed from: c  reason: collision with root package name */
    public static final String f2389c = "androidx.core.app.EXTRA_CALLING_ACTIVITY";

    /* renamed from: d  reason: collision with root package name */
    public static final String f2390d = "android.support.v4.app.EXTRA_CALLING_ACTIVITY";

    /* renamed from: e  reason: collision with root package name */
    private static final String f2391e = ".sharecompat_";

    /* access modifiers changed from: private */
    @RequiresApi(16)
    /* compiled from: ShareCompat */
    public static class a {
        private a() {
        }

        static void a(@NonNull Intent intent, @NonNull ArrayList<Uri> arrayList) {
            CharSequence charSequenceExtra = intent.getCharSequenceExtra("android.intent.extra.TEXT");
            String stringExtra = intent.getStringExtra(f.f2431b);
            ClipData clipData = new ClipData(null, new String[]{intent.getType()}, new ClipData.Item(charSequenceExtra, stringExtra, null, arrayList.get(0)));
            int size = arrayList.size();
            for (int i = 1; i < size; i++) {
                clipData.addItem(new ClipData.Item(arrayList.get(i)));
            }
            intent.setClipData(clipData);
            intent.addFlags(1);
        }

        static void b(@NonNull Intent intent) {
            intent.setClipData(null);
            intent.setFlags(intent.getFlags() & -2);
        }
    }

    /* compiled from: ShareCompat */
    public static class b {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        private final Context f2392a;
        @NonNull

        /* renamed from: b  reason: collision with root package name */
        private final Intent f2393b;
        @Nullable

        /* renamed from: c  reason: collision with root package name */
        private CharSequence f2394c;
        @Nullable

        /* renamed from: d  reason: collision with root package name */
        private ArrayList<String> f2395d;
        @Nullable

        /* renamed from: e  reason: collision with root package name */
        private ArrayList<String> f2396e;
        @Nullable
        private ArrayList<String> f;
        @Nullable
        private ArrayList<Uri> g;

        public b(@NonNull Context context) {
            Activity activity;
            this.f2392a = (Context) m.g(context);
            Intent action = new Intent().setAction("android.intent.action.SEND");
            this.f2393b = action;
            action.putExtra(t.f2387a, context.getPackageName());
            action.putExtra(t.f2388b, context.getPackageName());
            action.addFlags(524288);
            while (true) {
                if (!(context instanceof ContextWrapper)) {
                    activity = null;
                    break;
                } else if (context instanceof Activity) {
                    activity = (Activity) context;
                    break;
                } else {
                    context = ((ContextWrapper) context).getBaseContext();
                }
            }
            if (activity != null) {
                ComponentName componentName = activity.getComponentName();
                this.f2393b.putExtra(t.f2389c, componentName);
                this.f2393b.putExtra(t.f2390d, componentName);
            }
        }

        private void h(String str, ArrayList<String> arrayList) {
            String[] stringArrayExtra = this.f2393b.getStringArrayExtra(str);
            int length = stringArrayExtra != null ? stringArrayExtra.length : 0;
            String[] strArr = new String[(arrayList.size() + length)];
            arrayList.toArray(strArr);
            if (stringArrayExtra != null) {
                System.arraycopy(stringArrayExtra, 0, strArr, arrayList.size(), length);
            }
            this.f2393b.putExtra(str, strArr);
        }

        private void i(@Nullable String str, @NonNull String[] strArr) {
            Intent m = m();
            String[] stringArrayExtra = m.getStringArrayExtra(str);
            int length = stringArrayExtra != null ? stringArrayExtra.length : 0;
            String[] strArr2 = new String[(strArr.length + length)];
            if (stringArrayExtra != null) {
                System.arraycopy(stringArrayExtra, 0, strArr2, 0, length);
            }
            System.arraycopy(strArr, 0, strArr2, length, strArr.length);
            m.putExtra(str, strArr2);
        }

        @NonNull
        @Deprecated
        public static b k(@NonNull Activity activity) {
            return new b(activity);
        }

        @NonNull
        public b a(@NonNull String str) {
            if (this.f == null) {
                this.f = new ArrayList<>();
            }
            this.f.add(str);
            return this;
        }

        @NonNull
        public b b(@NonNull String[] strArr) {
            i("android.intent.extra.BCC", strArr);
            return this;
        }

        @NonNull
        public b c(@NonNull String str) {
            if (this.f2396e == null) {
                this.f2396e = new ArrayList<>();
            }
            this.f2396e.add(str);
            return this;
        }

        @NonNull
        public b d(@NonNull String[] strArr) {
            i("android.intent.extra.CC", strArr);
            return this;
        }

        @NonNull
        public b e(@NonNull String str) {
            if (this.f2395d == null) {
                this.f2395d = new ArrayList<>();
            }
            this.f2395d.add(str);
            return this;
        }

        @NonNull
        public b f(@NonNull String[] strArr) {
            i("android.intent.extra.EMAIL", strArr);
            return this;
        }

        @NonNull
        public b g(@NonNull Uri uri) {
            if (this.g == null) {
                this.g = new ArrayList<>();
            }
            this.g.add(uri);
            return this;
        }

        @NonNull
        public Intent j() {
            return Intent.createChooser(m(), this.f2394c);
        }

        /* access modifiers changed from: package-private */
        @NonNull
        public Context l() {
            return this.f2392a;
        }

        @NonNull
        public Intent m() {
            ArrayList<String> arrayList = this.f2395d;
            if (arrayList != null) {
                h("android.intent.extra.EMAIL", arrayList);
                this.f2395d = null;
            }
            ArrayList<String> arrayList2 = this.f2396e;
            if (arrayList2 != null) {
                h("android.intent.extra.CC", arrayList2);
                this.f2396e = null;
            }
            ArrayList<String> arrayList3 = this.f;
            if (arrayList3 != null) {
                h("android.intent.extra.BCC", arrayList3);
                this.f = null;
            }
            ArrayList<Uri> arrayList4 = this.g;
            boolean z = true;
            if (arrayList4 == null || arrayList4.size() <= 1) {
                z = false;
            }
            if (!z) {
                this.f2393b.setAction("android.intent.action.SEND");
                ArrayList<Uri> arrayList5 = this.g;
                if (arrayList5 == null || arrayList5.isEmpty()) {
                    this.f2393b.removeExtra("android.intent.extra.STREAM");
                    if (Build.VERSION.SDK_INT >= 16) {
                        a.b(this.f2393b);
                    }
                } else {
                    this.f2393b.putExtra("android.intent.extra.STREAM", this.g.get(0));
                    if (Build.VERSION.SDK_INT >= 16) {
                        a.a(this.f2393b, this.g);
                    }
                }
            } else {
                this.f2393b.setAction("android.intent.action.SEND_MULTIPLE");
                this.f2393b.putParcelableArrayListExtra("android.intent.extra.STREAM", this.g);
                if (Build.VERSION.SDK_INT >= 16) {
                    a.a(this.f2393b, this.g);
                }
            }
            return this.f2393b;
        }

        @NonNull
        public b n(@StringRes int i) {
            return o(this.f2392a.getText(i));
        }

        @NonNull
        public b o(@Nullable CharSequence charSequence) {
            this.f2394c = charSequence;
            return this;
        }

        @NonNull
        public b p(@Nullable String[] strArr) {
            this.f2393b.putExtra("android.intent.extra.BCC", strArr);
            return this;
        }

        @NonNull
        public b q(@Nullable String[] strArr) {
            this.f2393b.putExtra("android.intent.extra.CC", strArr);
            return this;
        }

        @NonNull
        public b r(@Nullable String[] strArr) {
            if (this.f2395d != null) {
                this.f2395d = null;
            }
            this.f2393b.putExtra("android.intent.extra.EMAIL", strArr);
            return this;
        }

        @NonNull
        public b s(@Nullable String str) {
            this.f2393b.putExtra(f.f2431b, str);
            if (!this.f2393b.hasExtra("android.intent.extra.TEXT")) {
                v(Html.fromHtml(str));
            }
            return this;
        }

        @NonNull
        public b t(@Nullable Uri uri) {
            this.g = null;
            if (uri != null) {
                g(uri);
            }
            return this;
        }

        @NonNull
        public b u(@Nullable String str) {
            this.f2393b.putExtra("android.intent.extra.SUBJECT", str);
            return this;
        }

        @NonNull
        public b v(@Nullable CharSequence charSequence) {
            this.f2393b.putExtra("android.intent.extra.TEXT", charSequence);
            return this;
        }

        @NonNull
        public b w(@Nullable String str) {
            this.f2393b.setType(str);
            return this;
        }

        public void x() {
            this.f2392a.startActivity(j());
        }
    }

    /* compiled from: ShareCompat */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        private static final String f2397a = "IntentReader";
        @NonNull

        /* renamed from: b  reason: collision with root package name */
        private final Context f2398b;
        @NonNull

        /* renamed from: c  reason: collision with root package name */
        private final Intent f2399c;
        @Nullable

        /* renamed from: d  reason: collision with root package name */
        private final String f2400d;
        @Nullable

        /* renamed from: e  reason: collision with root package name */
        private final ComponentName f2401e;
        @Nullable
        private ArrayList<Uri> f;

        public c(@NonNull Activity activity) {
            this((Context) m.g(activity), activity.getIntent());
        }

        @NonNull
        @Deprecated
        public static c a(@NonNull Activity activity) {
            return new c(activity);
        }

        private static void t(StringBuilder sb, CharSequence charSequence, int i, int i2) {
            while (i < i2) {
                char charAt = charSequence.charAt(i);
                if (charAt == '<') {
                    sb.append("&lt;");
                } else if (charAt == '>') {
                    sb.append("&gt;");
                } else if (charAt == '&') {
                    sb.append("&amp;");
                } else if (charAt > '~' || charAt < ' ') {
                    sb.append("&#");
                    sb.append((int) charAt);
                    sb.append(g.f6031b);
                } else if (charAt == ' ') {
                    while (true) {
                        int i3 = i + 1;
                        if (i3 >= i2 || charSequence.charAt(i3) != ' ') {
                            sb.append(' ');
                        } else {
                            sb.append("&nbsp;");
                            i = i3;
                        }
                    }
                    sb.append(' ');
                } else {
                    sb.append(charAt);
                }
                i++;
            }
        }

        @Nullable
        public ComponentName b() {
            return this.f2401e;
        }

        @Nullable
        public Drawable c() {
            if (this.f2401e == null) {
                return null;
            }
            try {
                return this.f2398b.getPackageManager().getActivityIcon(this.f2401e);
            } catch (PackageManager.NameNotFoundException e2) {
                Log.e(f2397a, "Could not retrieve icon for calling activity", e2);
                return null;
            }
        }

        @Nullable
        public Drawable d() {
            if (this.f2400d == null) {
                return null;
            }
            try {
                return this.f2398b.getPackageManager().getApplicationIcon(this.f2400d);
            } catch (PackageManager.NameNotFoundException e2) {
                Log.e(f2397a, "Could not retrieve icon for calling application", e2);
                return null;
            }
        }

        @Nullable
        public CharSequence e() {
            if (this.f2400d == null) {
                return null;
            }
            PackageManager packageManager = this.f2398b.getPackageManager();
            try {
                return packageManager.getApplicationLabel(packageManager.getApplicationInfo(this.f2400d, 0));
            } catch (PackageManager.NameNotFoundException e2) {
                Log.e(f2397a, "Could not retrieve label for calling application", e2);
                return null;
            }
        }

        @Nullable
        public String f() {
            return this.f2400d;
        }

        @Nullable
        public String[] g() {
            return this.f2399c.getStringArrayExtra("android.intent.extra.BCC");
        }

        @Nullable
        public String[] h() {
            return this.f2399c.getStringArrayExtra("android.intent.extra.CC");
        }

        @Nullable
        public String[] i() {
            return this.f2399c.getStringArrayExtra("android.intent.extra.EMAIL");
        }

        @Nullable
        public String j() {
            String stringExtra = this.f2399c.getStringExtra(f.f2431b);
            if (stringExtra != null) {
                return stringExtra;
            }
            CharSequence o = o();
            if (o instanceof Spanned) {
                return Html.toHtml((Spanned) o);
            }
            if (o == null) {
                return stringExtra;
            }
            if (Build.VERSION.SDK_INT >= 16) {
                return Html.escapeHtml(o);
            }
            StringBuilder sb = new StringBuilder();
            t(sb, o, 0, o.length());
            return sb.toString();
        }

        @Nullable
        public Uri k() {
            return (Uri) this.f2399c.getParcelableExtra("android.intent.extra.STREAM");
        }

        @Nullable
        public Uri l(int i) {
            if (this.f == null && q()) {
                this.f = this.f2399c.getParcelableArrayListExtra("android.intent.extra.STREAM");
            }
            ArrayList<Uri> arrayList = this.f;
            if (arrayList != null) {
                return arrayList.get(i);
            }
            if (i == 0) {
                return (Uri) this.f2399c.getParcelableExtra("android.intent.extra.STREAM");
            }
            throw new IndexOutOfBoundsException("Stream items available: " + m() + " index requested: " + i);
        }

        public int m() {
            if (this.f == null && q()) {
                this.f = this.f2399c.getParcelableArrayListExtra("android.intent.extra.STREAM");
            }
            ArrayList<Uri> arrayList = this.f;
            if (arrayList != null) {
                return arrayList.size();
            }
            return this.f2399c.hasExtra("android.intent.extra.STREAM") ? 1 : 0;
        }

        @Nullable
        public String n() {
            return this.f2399c.getStringExtra("android.intent.extra.SUBJECT");
        }

        @Nullable
        public CharSequence o() {
            return this.f2399c.getCharSequenceExtra("android.intent.extra.TEXT");
        }

        @Nullable
        public String p() {
            return this.f2399c.getType();
        }

        public boolean q() {
            return "android.intent.action.SEND_MULTIPLE".equals(this.f2399c.getAction());
        }

        public boolean r() {
            String action = this.f2399c.getAction();
            return "android.intent.action.SEND".equals(action) || "android.intent.action.SEND_MULTIPLE".equals(action);
        }

        public boolean s() {
            return "android.intent.action.SEND".equals(this.f2399c.getAction());
        }

        public c(@NonNull Context context, @NonNull Intent intent) {
            this.f2398b = (Context) m.g(context);
            this.f2399c = (Intent) m.g(intent);
            this.f2400d = t.f(intent);
            this.f2401e = t.d(intent);
        }
    }

    private t() {
    }

    @Deprecated
    public static void a(@NonNull Menu menu, @IdRes int i, @NonNull b bVar) {
        MenuItem findItem = menu.findItem(i);
        if (findItem != null) {
            b(findItem, bVar);
            return;
        }
        throw new IllegalArgumentException("Could not find menu item with id " + i + " in the supplied menu");
    }

    @Deprecated
    public static void b(@NonNull MenuItem menuItem, @NonNull b bVar) {
        ShareActionProvider shareActionProvider;
        ActionProvider actionProvider = menuItem.getActionProvider();
        if (!(actionProvider instanceof ShareActionProvider)) {
            shareActionProvider = new ShareActionProvider(bVar.l());
        } else {
            shareActionProvider = (ShareActionProvider) actionProvider;
        }
        shareActionProvider.setShareHistoryFileName(f2391e + bVar.l().getClass().getName());
        shareActionProvider.setShareIntent(bVar.m());
        menuItem.setActionProvider(shareActionProvider);
        if (Build.VERSION.SDK_INT < 16 && !menuItem.hasSubMenu()) {
            menuItem.setIntent(bVar.j());
        }
    }

    @Nullable
    public static ComponentName c(@NonNull Activity activity) {
        Intent intent = activity.getIntent();
        ComponentName callingActivity = activity.getCallingActivity();
        return callingActivity == null ? d(intent) : callingActivity;
    }

    @Nullable
    static ComponentName d(@NonNull Intent intent) {
        ComponentName componentName = (ComponentName) intent.getParcelableExtra(f2389c);
        return componentName == null ? (ComponentName) intent.getParcelableExtra(f2390d) : componentName;
    }

    @Nullable
    public static String e(@NonNull Activity activity) {
        Intent intent = activity.getIntent();
        String callingPackage = activity.getCallingPackage();
        return (callingPackage != null || intent == null) ? callingPackage : f(intent);
    }

    @Nullable
    static String f(@NonNull Intent intent) {
        String stringExtra = intent.getStringExtra(f2387a);
        return stringExtra == null ? intent.getStringExtra(f2388b) : stringExtra;
    }
}
