package androidx.core.app;

import android.app.Activity;
import android.app.PendingIntent;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.content.d;
import java.util.ArrayList;
import java.util.Iterator;

/* compiled from: TaskStackBuilder */
public final class v implements Iterable<Intent> {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2407a = "TaskStackBuilder";
    private final Context I0;

    /* renamed from: b  reason: collision with root package name */
    private final ArrayList<Intent> f2408b = new ArrayList<>();

    /* compiled from: TaskStackBuilder */
    public interface a {
        @Nullable
        Intent getSupportParentActivityIntent();
    }

    private v(Context context) {
        this.I0 = context;
    }

    @NonNull
    public static v i(@NonNull Context context) {
        return new v(context);
    }

    @Deprecated
    public static v k(Context context) {
        return i(context);
    }

    @NonNull
    public v b(@NonNull Intent intent) {
        this.f2408b.add(intent);
        return this;
    }

    @NonNull
    public v d(@NonNull Intent intent) {
        ComponentName component = intent.getComponent();
        if (component == null) {
            component = intent.resolveActivity(this.I0.getPackageManager());
        }
        if (component != null) {
            f(component);
        }
        b(intent);
        return this;
    }

    @NonNull
    public v e(@NonNull Activity activity) {
        Intent supportParentActivityIntent = activity instanceof a ? ((a) activity).getSupportParentActivityIntent() : null;
        if (supportParentActivityIntent == null) {
            supportParentActivityIntent = k.a(activity);
        }
        if (supportParentActivityIntent != null) {
            ComponentName component = supportParentActivityIntent.getComponent();
            if (component == null) {
                component = supportParentActivityIntent.resolveActivity(this.I0.getPackageManager());
            }
            f(component);
            b(supportParentActivityIntent);
        }
        return this;
    }

    public v f(ComponentName componentName) {
        int size = this.f2408b.size();
        try {
            Intent b2 = k.b(this.I0, componentName);
            while (b2 != null) {
                this.f2408b.add(size, b2);
                b2 = k.b(this.I0, b2.getComponent());
            }
            return this;
        } catch (PackageManager.NameNotFoundException e2) {
            Log.e(f2407a, "Bad ComponentName while traversing activity parent metadata");
            throw new IllegalArgumentException(e2);
        }
    }

    @NonNull
    public v g(@NonNull Class<?> cls) {
        return f(new ComponentName(this.I0, cls));
    }

    @Override // java.lang.Iterable
    @Deprecated
    public Iterator<Intent> iterator() {
        return this.f2408b.iterator();
    }

    @Nullable
    public Intent j(int i) {
        return this.f2408b.get(i);
    }

    @Deprecated
    public Intent l(int i) {
        return j(i);
    }

    public int m() {
        return this.f2408b.size();
    }

    @NonNull
    public Intent[] n() {
        int size = this.f2408b.size();
        Intent[] intentArr = new Intent[size];
        if (size == 0) {
            return intentArr;
        }
        intentArr[0] = new Intent(this.f2408b.get(0)).addFlags(268484608);
        for (int i = 1; i < size; i++) {
            intentArr[i] = new Intent(this.f2408b.get(i));
        }
        return intentArr;
    }

    @Nullable
    public PendingIntent o(int i, int i2) {
        return p(i, i2, null);
    }

    @Nullable
    public PendingIntent p(int i, int i2, @Nullable Bundle bundle) {
        if (!this.f2408b.isEmpty()) {
            ArrayList<Intent> arrayList = this.f2408b;
            Intent[] intentArr = (Intent[]) arrayList.toArray(new Intent[arrayList.size()]);
            intentArr[0] = new Intent(intentArr[0]).addFlags(268484608);
            if (Build.VERSION.SDK_INT >= 16) {
                return PendingIntent.getActivities(this.I0, i, intentArr, i2, bundle);
            }
            return PendingIntent.getActivities(this.I0, i, intentArr, i2);
        }
        throw new IllegalStateException("No intents added to TaskStackBuilder; cannot getPendingIntent");
    }

    public void q() {
        r(null);
    }

    public void r(@Nullable Bundle bundle) {
        if (!this.f2408b.isEmpty()) {
            ArrayList<Intent> arrayList = this.f2408b;
            Intent[] intentArr = (Intent[]) arrayList.toArray(new Intent[arrayList.size()]);
            intentArr[0] = new Intent(intentArr[0]).addFlags(268484608);
            if (!d.s(this.I0, intentArr, bundle)) {
                Intent intent = new Intent(intentArr[intentArr.length - 1]);
                intent.addFlags(268435456);
                this.I0.startActivity(intent);
                return;
            }
            return;
        }
        throw new IllegalStateException("No intents added to TaskStackBuilder; cannot startActivities");
    }
}
