package androidx.core.content;

import android.accounts.AccountManager;
import android.app.ActivityManager;
import android.app.AlarmManager;
import android.app.AppOpsManager;
import android.app.DownloadManager;
import android.app.KeyguardManager;
import android.app.NotificationManager;
import android.app.SearchManager;
import android.app.UiModeManager;
import android.app.WallpaperManager;
import android.app.admin.DevicePolicyManager;
import android.app.job.JobScheduler;
import android.app.usage.UsageStatsManager;
import android.appwidget.AppWidgetManager;
import android.bluetooth.BluetoothManager;
import android.content.ClipboardManager;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.RestrictionsManager;
import android.content.pm.LauncherApps;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.hardware.ConsumerIrManager;
import android.hardware.SensorManager;
import android.hardware.camera2.CameraManager;
import android.hardware.display.DisplayManager;
import android.hardware.input.InputManager;
import android.hardware.usb.UsbManager;
import android.location.LocationManager;
import android.media.AudioManager;
import android.media.MediaRouter;
import android.media.projection.MediaProjectionManager;
import android.media.session.MediaSessionManager;
import android.media.tv.TvInputManager;
import android.net.ConnectivityManager;
import android.net.nsd.NsdManager;
import android.net.wifi.WifiManager;
import android.net.wifi.p2p.WifiP2pManager;
import android.nfc.NfcManager;
import android.os.BatteryManager;
import android.os.Build;
import android.os.Bundle;
import android.os.DropBoxManager;
import android.os.Handler;
import android.os.PowerManager;
import android.os.Process;
import android.os.UserManager;
import android.os.Vibrator;
import android.os.storage.StorageManager;
import android.print.PrintManager;
import android.telecom.TelecomManager;
import android.telephony.SubscriptionManager;
import android.telephony.TelephonyManager;
import android.util.Log;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.WindowManager;
import android.view.accessibility.AccessibilityManager;
import android.view.accessibility.CaptioningManager;
import android.view.inputmethod.InputMethodManager;
import android.view.textservice.TextServicesManager;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.DoNotInline;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.core.app.NotificationCompat;
import com.google.firebase.analytics.FirebaseAnalytics;
import java.io.File;
import java.util.HashMap;
import java.util.concurrent.Executor;

/* compiled from: ContextCompat */
public class d {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2425a = "ContextCompat";

    /* renamed from: b  reason: collision with root package name */
    private static final Object f2426b = new Object();

    /* renamed from: c  reason: collision with root package name */
    private static final Object f2427c = new Object();

    /* renamed from: d  reason: collision with root package name */
    private static TypedValue f2428d;

    /* access modifiers changed from: package-private */
    @RequiresApi(16)
    /* compiled from: ContextCompat */
    public static class a {
        private a() {
        }

        @DoNotInline
        static void a(Context context, Intent[] intentArr, Bundle bundle) {
            context.startActivities(intentArr, bundle);
        }

        @DoNotInline
        static void b(Context context, Intent intent, Bundle bundle) {
            context.startActivity(intent, bundle);
        }
    }

    @RequiresApi(19)
    /* compiled from: ContextCompat */
    static class b {
        private b() {
        }

        @DoNotInline
        static File[] a(Context context) {
            return context.getExternalCacheDirs();
        }

        @DoNotInline
        static File[] b(Context context, String str) {
            return context.getExternalFilesDirs(str);
        }

        @DoNotInline
        static File[] c(Context context) {
            return context.getObbDirs();
        }
    }

    /* access modifiers changed from: package-private */
    @RequiresApi(21)
    /* compiled from: ContextCompat */
    public static class c {
        private c() {
        }

        @DoNotInline
        static File a(Context context) {
            return context.getCodeCacheDir();
        }

        @DoNotInline
        static Drawable b(Context context, int i) {
            return context.getDrawable(i);
        }

        @DoNotInline
        static File c(Context context) {
            return context.getNoBackupFilesDir();
        }
    }

    /* access modifiers changed from: package-private */
    @RequiresApi(23)
    /* renamed from: androidx.core.content.d$d  reason: collision with other inner class name */
    /* compiled from: ContextCompat */
    public static class C0031d {
        private C0031d() {
        }

        @DoNotInline
        static int a(Context context, int i) {
            return context.getColor(i);
        }

        @DoNotInline
        static ColorStateList b(Context context, int i) {
            return context.getColorStateList(i);
        }

        @DoNotInline
        static <T> T c(Context context, Class<T> cls) {
            return (T) context.getSystemService(cls);
        }

        @DoNotInline
        static String d(Context context, Class<?> cls) {
            return context.getSystemServiceName(cls);
        }
    }

    @RequiresApi(24)
    /* compiled from: ContextCompat */
    static class e {
        private e() {
        }

        @DoNotInline
        static Context a(Context context) {
            return context.createDeviceProtectedStorageContext();
        }

        @DoNotInline
        static File b(Context context) {
            return context.getDataDir();
        }

        @DoNotInline
        static boolean c(Context context) {
            return context.isDeviceProtectedStorage();
        }
    }

    @RequiresApi(26)
    /* compiled from: ContextCompat */
    static class f {
        private f() {
        }

        @DoNotInline
        static ComponentName a(Context context, Intent intent) {
            return context.startForegroundService(intent);
        }
    }

    @RequiresApi(28)
    /* compiled from: ContextCompat */
    static class g {
        private g() {
        }

        @DoNotInline
        static Executor a(Context context) {
            return context.getMainExecutor();
        }
    }

    @RequiresApi(30)
    /* compiled from: ContextCompat */
    static class h {
        private h() {
        }

        @DoNotInline
        static String a(Context context) {
            return context.getAttributionTag();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ContextCompat */
    public static final class i {

        /* renamed from: a  reason: collision with root package name */
        static final HashMap<Class<?>, String> f2429a;

        static {
            HashMap<Class<?>, String> hashMap = new HashMap<>();
            f2429a = hashMap;
            int i = Build.VERSION.SDK_INT;
            if (i >= 22) {
                hashMap.put(SubscriptionManager.class, "telephony_subscription_service");
                hashMap.put(UsageStatsManager.class, "usagestats");
            }
            if (i >= 21) {
                hashMap.put(AppWidgetManager.class, "appwidget");
                hashMap.put(BatteryManager.class, "batterymanager");
                hashMap.put(CameraManager.class, "camera");
                hashMap.put(JobScheduler.class, "jobscheduler");
                hashMap.put(LauncherApps.class, "launcherapps");
                hashMap.put(MediaProjectionManager.class, "media_projection");
                hashMap.put(MediaSessionManager.class, "media_session");
                hashMap.put(RestrictionsManager.class, "restrictions");
                hashMap.put(TelecomManager.class, "telecom");
                hashMap.put(TvInputManager.class, "tv_input");
            }
            if (i >= 19) {
                hashMap.put(AppOpsManager.class, "appops");
                hashMap.put(CaptioningManager.class, "captioning");
                hashMap.put(ConsumerIrManager.class, "consumer_ir");
                hashMap.put(PrintManager.class, "print");
            }
            if (i >= 18) {
                hashMap.put(BluetoothManager.class, "bluetooth");
            }
            if (i >= 17) {
                hashMap.put(DisplayManager.class, "display");
                hashMap.put(UserManager.class, "user");
            }
            if (i >= 16) {
                hashMap.put(InputManager.class, "input");
                hashMap.put(MediaRouter.class, "media_router");
                hashMap.put(NsdManager.class, "servicediscovery");
            }
            hashMap.put(AccessibilityManager.class, "accessibility");
            hashMap.put(AccountManager.class, "account");
            hashMap.put(ActivityManager.class, "activity");
            hashMap.put(AlarmManager.class, NotificationCompat.t0);
            hashMap.put(AudioManager.class, "audio");
            hashMap.put(ClipboardManager.class, "clipboard");
            hashMap.put(ConnectivityManager.class, "connectivity");
            hashMap.put(DevicePolicyManager.class, "device_policy");
            hashMap.put(DownloadManager.class, "download");
            hashMap.put(DropBoxManager.class, "dropbox");
            hashMap.put(InputMethodManager.class, "input_method");
            hashMap.put(KeyguardManager.class, "keyguard");
            hashMap.put(LayoutInflater.class, "layout_inflater");
            hashMap.put(LocationManager.class, FirebaseAnalytics.b.p);
            hashMap.put(NfcManager.class, "nfc");
            hashMap.put(NotificationManager.class, "notification");
            hashMap.put(PowerManager.class, "power");
            hashMap.put(SearchManager.class, FirebaseAnalytics.a.q);
            hashMap.put(SensorManager.class, "sensor");
            hashMap.put(StorageManager.class, "storage");
            hashMap.put(TelephonyManager.class, "phone");
            hashMap.put(TextServicesManager.class, "textservices");
            hashMap.put(UiModeManager.class, "uimode");
            hashMap.put(UsbManager.class, "usb");
            hashMap.put(Vibrator.class, "vibrator");
            hashMap.put(WallpaperManager.class, "wallpaper");
            hashMap.put(WifiP2pManager.class, "wifip2p");
            hashMap.put(WifiManager.class, "wifi");
            hashMap.put(WindowManager.class, "window");
        }

        private i() {
        }
    }

    protected d() {
    }

    public static int a(@NonNull Context context, @NonNull String str) {
        if (str != null) {
            return context.checkPermission(str, Process.myPid(), Process.myUid());
        }
        throw new IllegalArgumentException("permission is null");
    }

    @Nullable
    public static Context b(@NonNull Context context) {
        if (Build.VERSION.SDK_INT >= 24) {
            return e.a(context);
        }
        return null;
    }

    private static File c(File file) {
        synchronized (f2427c) {
            if (!file.exists()) {
                if (file.mkdirs()) {
                    return file;
                }
                Log.w(f2425a, "Unable to create files subdir " + file.getPath());
            }
            return file;
        }
    }

    @Nullable
    public static String d(@NonNull Context context) {
        if (Build.VERSION.SDK_INT >= 30) {
            return h.a(context);
        }
        return null;
    }

    public static File e(@NonNull Context context) {
        if (Build.VERSION.SDK_INT >= 21) {
            return c.a(context);
        }
        return c(new File(context.getApplicationInfo().dataDir, "code_cache"));
    }

    @ColorInt
    public static int f(@NonNull Context context, @ColorRes int i2) {
        if (Build.VERSION.SDK_INT >= 23) {
            return C0031d.a(context, i2);
        }
        return context.getResources().getColor(i2);
    }

    @Nullable
    public static ColorStateList g(@NonNull Context context, @ColorRes int i2) {
        return androidx.core.content.res.f.e(context.getResources(), i2, context.getTheme());
    }

    @Nullable
    public static File h(@NonNull Context context) {
        if (Build.VERSION.SDK_INT >= 24) {
            return e.b(context);
        }
        String str = context.getApplicationInfo().dataDir;
        if (str != null) {
            return new File(str);
        }
        return null;
    }

    @Nullable
    public static Drawable i(@NonNull Context context, @DrawableRes int i2) {
        int i3;
        int i4 = Build.VERSION.SDK_INT;
        if (i4 >= 21) {
            return c.b(context, i2);
        }
        if (i4 >= 16) {
            return context.getResources().getDrawable(i2);
        }
        synchronized (f2426b) {
            if (f2428d == null) {
                f2428d = new TypedValue();
            }
            context.getResources().getValue(i2, f2428d, true);
            i3 = f2428d.resourceId;
        }
        return context.getResources().getDrawable(i3);
    }

    @NonNull
    public static File[] j(@NonNull Context context) {
        if (Build.VERSION.SDK_INT >= 19) {
            return b.a(context);
        }
        return new File[]{context.getExternalCacheDir()};
    }

    @NonNull
    public static File[] k(@NonNull Context context, @Nullable String str) {
        if (Build.VERSION.SDK_INT >= 19) {
            return b.b(context, str);
        }
        return new File[]{context.getExternalFilesDir(str)};
    }

    public static Executor l(Context context) {
        if (Build.VERSION.SDK_INT >= 28) {
            return g.a(context);
        }
        return androidx.core.os.e.a(new Handler(context.getMainLooper()));
    }

    @Nullable
    public static File m(@NonNull Context context) {
        if (Build.VERSION.SDK_INT >= 21) {
            return c.c(context);
        }
        return c(new File(context.getApplicationInfo().dataDir, "no_backup"));
    }

    @NonNull
    public static File[] n(@NonNull Context context) {
        if (Build.VERSION.SDK_INT >= 19) {
            return b.c(context);
        }
        return new File[]{context.getObbDir()};
    }

    @Nullable
    public static <T> T o(@NonNull Context context, @NonNull Class<T> cls) {
        if (Build.VERSION.SDK_INT >= 23) {
            return (T) C0031d.c(context, cls);
        }
        String p = p(context, cls);
        if (p != null) {
            return (T) context.getSystemService(p);
        }
        return null;
    }

    @Nullable
    public static String p(@NonNull Context context, @NonNull Class<?> cls) {
        if (Build.VERSION.SDK_INT >= 23) {
            return C0031d.d(context, cls);
        }
        return i.f2429a.get(cls);
    }

    public static boolean q(@NonNull Context context) {
        if (Build.VERSION.SDK_INT >= 24) {
            return e.c(context);
        }
        return false;
    }

    public static boolean r(@NonNull Context context, @NonNull Intent[] intentArr) {
        return s(context, intentArr, null);
    }

    public static boolean s(@NonNull Context context, @NonNull Intent[] intentArr, @Nullable Bundle bundle) {
        if (Build.VERSION.SDK_INT >= 16) {
            a.a(context, intentArr, bundle);
            return true;
        }
        context.startActivities(intentArr);
        return true;
    }

    public static void t(@NonNull Context context, @NonNull Intent intent, @Nullable Bundle bundle) {
        if (Build.VERSION.SDK_INT >= 16) {
            a.b(context, intent, bundle);
        } else {
            context.startActivity(intent);
        }
    }

    public static void u(@NonNull Context context, @NonNull Intent intent) {
        if (Build.VERSION.SDK_INT >= 26) {
            f.a(context, intent);
        } else {
            context.startService(intent);
        }
    }
}
