package androidx.core.content.pm;

import android.app.ActivityManager;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentSender;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.content.pm.ShortcutInfo;
import android.content.pm.ShortcutManager;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Build;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.VisibleForTesting;
import androidx.core.content.pm.d;
import androidx.core.content.pm.e;
import androidx.core.graphics.drawable.IconCompat;
import androidx.core.util.m;
import java.io.InputStream;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class ShortcutManagerCompat {

    /* renamed from: a  reason: collision with root package name */
    public static final int f2439a = 1;

    /* renamed from: b  reason: collision with root package name */
    public static final int f2440b = 2;

    /* renamed from: c  reason: collision with root package name */
    public static final int f2441c = 4;

    /* renamed from: d  reason: collision with root package name */
    public static final int f2442d = 8;
    @VisibleForTesting

    /* renamed from: e  reason: collision with root package name */
    static final String f2443e = "com.android.launcher.action.INSTALL_SHORTCUT";
    @VisibleForTesting
    static final String f = "com.android.launcher.permission.INSTALL_SHORTCUT";
    private static final int g = 96;
    private static final int h = 48;
    public static final String i = "android.intent.extra.shortcut.ID";
    private static volatile e<?> j = null;
    private static volatile List<c> k = null;
    private static final String l = "androidx.core.content.pm.SHORTCUT_LISTENER";
    private static final String m = "androidx.core.content.pm.shortcut_listener_impl";

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public @interface ShortcutMatchFlags {
    }

    class a extends BroadcastReceiver {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ IntentSender f2444a;

        a(IntentSender intentSender) {
            this.f2444a = intentSender;
        }

        public void onReceive(Context context, Intent intent) {
            try {
                this.f2444a.sendIntent(context, 0, null, null, null);
            } catch (IntentSender.SendIntentException unused) {
            }
        }
    }

    @RequiresApi(25)
    private static class b {
        private b() {
        }

        static String a(@NonNull List<ShortcutInfo> list) {
            int i = -1;
            String str = null;
            for (ShortcutInfo shortcutInfo : list) {
                if (shortcutInfo.getRank() > i) {
                    str = shortcutInfo.getId();
                    i = shortcutInfo.getRank();
                }
            }
            return str;
        }
    }

    private ShortcutManagerCompat() {
    }

    @VisibleForTesting
    static void A(e<Void> eVar) {
        j = eVar;
    }

    public static boolean B(@NonNull Context context, @NonNull List<d> list) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 <= 29) {
            c(context, list);
        }
        if (i2 >= 25) {
            ArrayList arrayList = new ArrayList();
            for (d dVar : list) {
                arrayList.add(dVar.E());
            }
            if (!((ShortcutManager) context.getSystemService(ShortcutManager.class)).updateShortcuts(arrayList)) {
                return false;
            }
        }
        o(context).a(list);
        for (c cVar : n(context)) {
            cVar.d(list);
        }
        return true;
    }

    public static boolean a(@NonNull Context context, @NonNull List<d> list) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 <= 29) {
            c(context, list);
        }
        if (i2 >= 25) {
            ArrayList arrayList = new ArrayList();
            for (d dVar : list) {
                arrayList.add(dVar.E());
            }
            if (!((ShortcutManager) context.getSystemService(ShortcutManager.class)).addDynamicShortcuts(arrayList)) {
                return false;
            }
        }
        o(context).a(list);
        for (c cVar : n(context)) {
            cVar.b(list);
        }
        return true;
    }

    @VisibleForTesting
    static boolean b(@NonNull Context context, @NonNull d dVar) {
        Bitmap decodeStream;
        IconCompat iconCompat;
        IconCompat iconCompat2 = dVar.n;
        if (iconCompat2 == null) {
            return false;
        }
        int i2 = iconCompat2.x;
        if (i2 != 6 && i2 != 4) {
            return true;
        }
        InputStream J = iconCompat2.J(context);
        if (J == null || (decodeStream = BitmapFactory.decodeStream(J)) == null) {
            return false;
        }
        if (i2 == 6) {
            iconCompat = IconCompat.q(decodeStream);
        } else {
            iconCompat = IconCompat.t(decodeStream);
        }
        dVar.n = iconCompat;
        return true;
    }

    @VisibleForTesting
    static void c(@NonNull Context context, @NonNull List<d> list) {
        for (d dVar : new ArrayList(list)) {
            if (!b(context, dVar)) {
                list.remove(dVar);
            }
        }
    }

    @NonNull
    public static Intent d(@NonNull Context context, @NonNull d dVar) {
        Intent createShortcutResultIntent = Build.VERSION.SDK_INT >= 26 ? ((ShortcutManager) context.getSystemService(ShortcutManager.class)).createShortcutResultIntent(dVar.E()) : null;
        if (createShortcutResultIntent == null) {
            createShortcutResultIntent = new Intent();
        }
        return dVar.a(createShortcutResultIntent);
    }

    public static void e(@NonNull Context context, @NonNull List<String> list, @Nullable CharSequence charSequence) {
        if (Build.VERSION.SDK_INT >= 25) {
            ((ShortcutManager) context.getSystemService(ShortcutManager.class)).disableShortcuts(list, charSequence);
        }
        o(context).d(list);
        for (c cVar : n(context)) {
            cVar.c(list);
        }
    }

    public static void f(@NonNull Context context, @NonNull List<d> list) {
        if (Build.VERSION.SDK_INT >= 25) {
            ArrayList arrayList = new ArrayList(list.size());
            for (d dVar : list) {
                arrayList.add(dVar.g);
            }
            ((ShortcutManager) context.getSystemService(ShortcutManager.class)).enableShortcuts(arrayList);
        }
        o(context).a(list);
        for (c cVar : n(context)) {
            cVar.b(list);
        }
    }

    @NonNull
    public static List<d> g(@NonNull Context context) {
        if (Build.VERSION.SDK_INT >= 25) {
            List<ShortcutInfo> dynamicShortcuts = ((ShortcutManager) context.getSystemService(ShortcutManager.class)).getDynamicShortcuts();
            ArrayList arrayList = new ArrayList(dynamicShortcuts.size());
            for (ShortcutInfo shortcutInfo : dynamicShortcuts) {
                arrayList.add(new d.a(context, shortcutInfo).c());
            }
            return arrayList;
        }
        try {
            return o(context).b();
        } catch (Exception unused) {
            return new ArrayList();
        }
    }

    private static int h(@NonNull Context context, boolean z) {
        ActivityManager activityManager = (ActivityManager) context.getSystemService("activity");
        int max = Math.max(1, Build.VERSION.SDK_INT < 19 || activityManager == null || activityManager.isLowRamDevice() ? 48 : 96);
        DisplayMetrics displayMetrics = context.getResources().getDisplayMetrics();
        return (int) (((float) max) * ((z ? displayMetrics.xdpi : displayMetrics.ydpi) / 160.0f));
    }

    public static int i(@NonNull Context context) {
        m.g(context);
        if (Build.VERSION.SDK_INT >= 25) {
            return ((ShortcutManager) context.getSystemService(ShortcutManager.class)).getIconMaxHeight();
        }
        return h(context, false);
    }

    public static int j(@NonNull Context context) {
        m.g(context);
        if (Build.VERSION.SDK_INT >= 25) {
            return ((ShortcutManager) context.getSystemService(ShortcutManager.class)).getIconMaxWidth();
        }
        return h(context, true);
    }

    public static int k(@NonNull Context context) {
        m.g(context);
        if (Build.VERSION.SDK_INT >= 25) {
            return ((ShortcutManager) context.getSystemService(ShortcutManager.class)).getMaxShortcutCountPerActivity();
        }
        return 5;
    }

    @VisibleForTesting
    static List<c> l() {
        return k;
    }

    private static String m(@NonNull List<d> list) {
        int i2 = -1;
        String str = null;
        for (d dVar : list) {
            if (dVar.u() > i2) {
                str = dVar.j();
                i2 = dVar.u();
            }
        }
        return str;
    }

    private static List<c> n(Context context) {
        Bundle bundle;
        String string;
        if (k == null) {
            ArrayList arrayList = new ArrayList();
            if (Build.VERSION.SDK_INT >= 21) {
                PackageManager packageManager = context.getPackageManager();
                Intent intent = new Intent(l);
                intent.setPackage(context.getPackageName());
                for (ResolveInfo resolveInfo : packageManager.queryIntentActivities(intent, 128)) {
                    ActivityInfo activityInfo = resolveInfo.activityInfo;
                    if (!(activityInfo == null || (bundle = activityInfo.metaData) == null || (string = bundle.getString(m)) == null)) {
                        try {
                            arrayList.add((c) Class.forName(string, false, ShortcutManagerCompat.class.getClassLoader()).getMethod("getInstance", Context.class).invoke(null, context));
                        } catch (Exception unused) {
                        }
                    }
                }
            }
            if (k == null) {
                k = arrayList;
            }
        }
        return k;
    }

    private static e<?> o(Context context) {
        if (j == null) {
            if (Build.VERSION.SDK_INT >= 23) {
                try {
                    j = (e) Class.forName("androidx.sharetarget.ShortcutInfoCompatSaverImpl", false, ShortcutManagerCompat.class.getClassLoader()).getMethod("getInstance", Context.class).invoke(null, context);
                } catch (Exception unused) {
                }
            }
            if (j == null) {
                j = new e.a();
            }
        }
        return j;
    }

    @NonNull
    public static List<d> p(@NonNull Context context, int i2) {
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 30) {
            return d.c(context, ((ShortcutManager) context.getSystemService(ShortcutManager.class)).getShortcuts(i2));
        }
        if (i3 >= 25) {
            ShortcutManager shortcutManager = (ShortcutManager) context.getSystemService(ShortcutManager.class);
            ArrayList arrayList = new ArrayList();
            if ((i2 & 1) != 0) {
                arrayList.addAll(shortcutManager.getManifestShortcuts());
            }
            if ((i2 & 2) != 0) {
                arrayList.addAll(shortcutManager.getDynamicShortcuts());
            }
            if ((i2 & 4) != 0) {
                arrayList.addAll(shortcutManager.getPinnedShortcuts());
            }
            return d.c(context, arrayList);
        }
        if ((i2 & 2) != 0) {
            try {
                return o(context).b();
            } catch (Exception unused) {
            }
        }
        return Collections.emptyList();
    }

    public static boolean q(@NonNull Context context) {
        m.g(context);
        if (Build.VERSION.SDK_INT >= 25) {
            return ((ShortcutManager) context.getSystemService(ShortcutManager.class)).isRateLimitingActive();
        }
        return p(context, 3).size() == k(context);
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0036  */
    public static boolean r(@NonNull Context context) {
        if (Build.VERSION.SDK_INT >= 26) {
            return ((ShortcutManager) context.getSystemService(ShortcutManager.class)).isRequestPinShortcutSupported();
        }
        if (androidx.core.content.d.a(context, f) != 0) {
            return false;
        }
        for (ResolveInfo resolveInfo : context.getPackageManager().queryBroadcastReceivers(new Intent(f2443e), 0)) {
            String str = resolveInfo.activityInfo.permission;
            if (TextUtils.isEmpty(str) || f.equals(str)) {
                return true;
            }
            while (r4.hasNext()) {
            }
        }
        return false;
    }

    /*  JADX ERROR: StackOverflowError in pass: MarkFinallyVisitor
        java.lang.StackOverflowError
        	at jadx.core.dex.nodes.InsnNode.isSame(InsnNode.java:303)
        	at jadx.core.dex.instructions.InvokeNode.isSame(InvokeNode.java:77)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.sameInsns(MarkFinallyVisitor.java:451)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.compareBlocks(MarkFinallyVisitor.java:436)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.checkBlocksTree(MarkFinallyVisitor.java:408)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.checkBlocksTree(MarkFinallyVisitor.java:411)
        */
    public static boolean s(@androidx.annotation.NonNull android.content.Context r6, @androidx.annotation.NonNull androidx.core.content.pm.d r7) {
        /*
        // Method dump skipped, instructions count: 252
        */
        throw new UnsupportedOperationException("Method not decompiled: androidx.core.content.pm.ShortcutManagerCompat.s(android.content.Context, androidx.core.content.pm.d):boolean");
    }

    public static void t(@NonNull Context context) {
        if (Build.VERSION.SDK_INT >= 25) {
            ((ShortcutManager) context.getSystemService(ShortcutManager.class)).removeAllDynamicShortcuts();
        }
        o(context).c();
        for (c cVar : n(context)) {
            cVar.a();
        }
    }

    public static void u(@NonNull Context context, @NonNull List<String> list) {
        if (Build.VERSION.SDK_INT >= 25) {
            ((ShortcutManager) context.getSystemService(ShortcutManager.class)).removeDynamicShortcuts(list);
        }
        o(context).d(list);
        for (c cVar : n(context)) {
            cVar.c(list);
        }
    }

    public static void v(@NonNull Context context, @NonNull List<String> list) {
        if (Build.VERSION.SDK_INT < 30) {
            u(context, list);
            return;
        }
        ((ShortcutManager) context.getSystemService(ShortcutManager.class)).removeLongLivedShortcuts(list);
        o(context).d(list);
        for (c cVar : n(context)) {
            cVar.c(list);
        }
    }

    public static void w(@NonNull Context context, @NonNull String str) {
        m.g(context);
        m.g(str);
        if (Build.VERSION.SDK_INT >= 25) {
            ((ShortcutManager) context.getSystemService(ShortcutManager.class)).reportShortcutUsed(str);
        }
        for (c cVar : n(context)) {
            cVar.e(Collections.singletonList(str));
        }
    }

    public static boolean x(@NonNull Context context, @NonNull d dVar, @Nullable IntentSender intentSender) {
        if (Build.VERSION.SDK_INT >= 26) {
            return ((ShortcutManager) context.getSystemService(ShortcutManager.class)).requestPinShortcut(dVar.E(), intentSender);
        }
        if (!r(context)) {
            return false;
        }
        Intent a2 = dVar.a(new Intent(f2443e));
        if (intentSender == null) {
            context.sendBroadcast(a2);
            return true;
        }
        context.sendOrderedBroadcast(a2, null, new a(intentSender), null, -1, null, null);
        return true;
    }

    public static boolean y(@NonNull Context context, @NonNull List<d> list) {
        m.g(context);
        m.g(list);
        if (Build.VERSION.SDK_INT >= 25) {
            ArrayList arrayList = new ArrayList(list.size());
            for (d dVar : list) {
                arrayList.add(dVar.E());
            }
            if (!((ShortcutManager) context.getSystemService(ShortcutManager.class)).setDynamicShortcuts(arrayList)) {
                return false;
            }
        }
        o(context).c();
        o(context).a(list);
        for (c cVar : n(context)) {
            cVar.a();
            cVar.b(list);
        }
        return true;
    }

    @VisibleForTesting
    static void z(List<c> list) {
        k = list;
    }
}
