package androidx.core.content.pm;

import android.annotation.SuppressLint;
import android.app.Person;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.content.pm.ShortcutInfo;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.os.PersistableBundle;
import android.os.UserHandle;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.VisibleForTesting;
import androidx.core.app.s;
import androidx.core.content.g;
import androidx.core.graphics.drawable.IconCompat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

/* compiled from: ShortcutInfoCompat */
public class d {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2446a = "extraPersonCount";

    /* renamed from: b  reason: collision with root package name */
    private static final String f2447b = "extraPerson_";

    /* renamed from: c  reason: collision with root package name */
    private static final String f2448c = "extraLocusId";

    /* renamed from: d  reason: collision with root package name */
    private static final String f2449d = "extraLongLived";

    /* renamed from: e  reason: collision with root package name */
    private static final String f2450e = "extraSliceUri";
    boolean A;
    boolean B;
    boolean C = true;
    boolean D;
    int E;
    Context f;
    String g;
    String h;
    Intent[] i;
    ComponentName j;
    CharSequence k;
    CharSequence l;
    CharSequence m;
    IconCompat n;
    boolean o;
    s[] p;
    Set<String> q;
    @Nullable
    g r;
    boolean s;
    int t;
    PersistableBundle u;
    long v;
    UserHandle w;
    boolean x;
    boolean y;
    boolean z;

    d() {
    }

    @RequiresApi(22)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    private PersistableBundle b() {
        if (this.u == null) {
            this.u = new PersistableBundle();
        }
        s[] sVarArr = this.p;
        if (sVarArr != null && sVarArr.length > 0) {
            this.u.putInt(f2446a, sVarArr.length);
            int i2 = 0;
            while (i2 < this.p.length) {
                PersistableBundle persistableBundle = this.u;
                StringBuilder sb = new StringBuilder();
                sb.append(f2447b);
                int i3 = i2 + 1;
                sb.append(i3);
                persistableBundle.putPersistableBundle(sb.toString(), this.p[i2].n());
                i2 = i3;
            }
        }
        g gVar = this.r;
        if (gVar != null) {
            this.u.putString(f2448c, gVar.a());
        }
        this.u.putBoolean(f2449d, this.s);
        return this.u;
    }

    @RequiresApi(25)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    static List<d> c(@NonNull Context context, @NonNull List<ShortcutInfo> list) {
        ArrayList arrayList = new ArrayList(list.size());
        for (ShortcutInfo shortcutInfo : list) {
            arrayList.add(new a(context, shortcutInfo).c());
        }
        return arrayList;
    }

    @Nullable
    @RequiresApi(25)
    static g o(@NonNull ShortcutInfo shortcutInfo) {
        if (Build.VERSION.SDK_INT < 29) {
            return p(shortcutInfo.getExtras());
        }
        if (shortcutInfo.getLocusId() == null) {
            return null;
        }
        return g.d(shortcutInfo.getLocusId());
    }

    @Nullable
    @RequiresApi(25)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    private static g p(@Nullable PersistableBundle persistableBundle) {
        String string;
        if (persistableBundle == null || (string = persistableBundle.getString(f2448c)) == null) {
            return null;
        }
        return new g(string);
    }

    @VisibleForTesting
    @RequiresApi(25)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    static boolean r(@Nullable PersistableBundle persistableBundle) {
        if (persistableBundle == null || !persistableBundle.containsKey(f2449d)) {
            return false;
        }
        return persistableBundle.getBoolean(f2449d);
    }

    @VisibleForTesting
    @Nullable
    @RequiresApi(25)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    static s[] t(@NonNull PersistableBundle persistableBundle) {
        if (persistableBundle == null || !persistableBundle.containsKey(f2446a)) {
            return null;
        }
        int i2 = persistableBundle.getInt(f2446a);
        s[] sVarArr = new s[i2];
        int i3 = 0;
        while (i3 < i2) {
            StringBuilder sb = new StringBuilder();
            sb.append(f2447b);
            int i4 = i3 + 1;
            sb.append(i4);
            sVarArr[i3] = s.c(persistableBundle.getPersistableBundle(sb.toString()));
            i3 = i4;
        }
        return sVarArr;
    }

    public boolean A() {
        return this.y;
    }

    public boolean B() {
        return this.C;
    }

    public boolean C() {
        return this.B;
    }

    public boolean D() {
        return this.z;
    }

    @RequiresApi(25)
    public ShortcutInfo E() {
        ShortcutInfo.Builder intents = new ShortcutInfo.Builder(this.f, this.g).setShortLabel(this.k).setIntents(this.i);
        IconCompat iconCompat = this.n;
        if (iconCompat != null) {
            intents.setIcon(iconCompat.Q(this.f));
        }
        if (!TextUtils.isEmpty(this.l)) {
            intents.setLongLabel(this.l);
        }
        if (!TextUtils.isEmpty(this.m)) {
            intents.setDisabledMessage(this.m);
        }
        ComponentName componentName = this.j;
        if (componentName != null) {
            intents.setActivity(componentName);
        }
        Set<String> set = this.q;
        if (set != null) {
            intents.setCategories(set);
        }
        intents.setRank(this.t);
        PersistableBundle persistableBundle = this.u;
        if (persistableBundle != null) {
            intents.setExtras(persistableBundle);
        }
        if (Build.VERSION.SDK_INT >= 29) {
            s[] sVarArr = this.p;
            if (sVarArr != null && sVarArr.length > 0) {
                int length = sVarArr.length;
                Person[] personArr = new Person[length];
                for (int i2 = 0; i2 < length; i2++) {
                    personArr[i2] = this.p[i2].k();
                }
                intents.setPersons(personArr);
            }
            g gVar = this.r;
            if (gVar != null) {
                intents.setLocusId(gVar.c());
            }
            intents.setLongLived(this.s);
        } else {
            intents.setExtras(b());
        }
        return intents.build();
    }

    /* access modifiers changed from: package-private */
    public Intent a(Intent intent) {
        Intent[] intentArr = this.i;
        intent.putExtra("android.intent.extra.shortcut.INTENT", intentArr[intentArr.length - 1]).putExtra("android.intent.extra.shortcut.NAME", this.k.toString());
        if (this.n != null) {
            Drawable drawable = null;
            if (this.o) {
                PackageManager packageManager = this.f.getPackageManager();
                ComponentName componentName = this.j;
                if (componentName != null) {
                    try {
                        drawable = packageManager.getActivityIcon(componentName);
                    } catch (PackageManager.NameNotFoundException unused) {
                    }
                }
                if (drawable == null) {
                    drawable = this.f.getApplicationInfo().loadIcon(packageManager);
                }
            }
            this.n.j(intent, drawable, this.f);
        }
        return intent;
    }

    @Nullable
    public ComponentName d() {
        return this.j;
    }

    @Nullable
    public Set<String> e() {
        return this.q;
    }

    @Nullable
    public CharSequence f() {
        return this.m;
    }

    public int g() {
        return this.E;
    }

    @Nullable
    public PersistableBundle h() {
        return this.u;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public IconCompat i() {
        return this.n;
    }

    @NonNull
    public String j() {
        return this.g;
    }

    @NonNull
    public Intent k() {
        Intent[] intentArr = this.i;
        return intentArr[intentArr.length - 1];
    }

    @NonNull
    public Intent[] l() {
        Intent[] intentArr = this.i;
        return (Intent[]) Arrays.copyOf(intentArr, intentArr.length);
    }

    public long m() {
        return this.v;
    }

    @Nullable
    public g n() {
        return this.r;
    }

    @Nullable
    public CharSequence q() {
        return this.l;
    }

    @NonNull
    public String s() {
        return this.h;
    }

    public int u() {
        return this.t;
    }

    @NonNull
    public CharSequence v() {
        return this.k;
    }

    @Nullable
    public UserHandle w() {
        return this.w;
    }

    public boolean x() {
        return this.D;
    }

    public boolean y() {
        return this.x;
    }

    public boolean z() {
        return this.A;
    }

    /* compiled from: ShortcutInfoCompat */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        private final d f2451a;

        /* renamed from: b  reason: collision with root package name */
        private boolean f2452b;

        /* renamed from: c  reason: collision with root package name */
        private Set<String> f2453c;

        /* renamed from: d  reason: collision with root package name */
        private Map<String, Map<String, List<String>>> f2454d;

        /* renamed from: e  reason: collision with root package name */
        private Uri f2455e;

        public a(@NonNull Context context, @NonNull String str) {
            d dVar = new d();
            this.f2451a = dVar;
            dVar.f = context;
            dVar.g = str;
        }

        @NonNull
        @SuppressLint({"MissingGetterMatchingBuilder"})
        public a a(@NonNull String str) {
            if (this.f2453c == null) {
                this.f2453c = new HashSet();
            }
            this.f2453c.add(str);
            return this;
        }

        @NonNull
        @SuppressLint({"MissingGetterMatchingBuilder"})
        public a b(@NonNull String str, @NonNull String str2, @NonNull List<String> list) {
            a(str);
            if (!list.isEmpty()) {
                if (this.f2454d == null) {
                    this.f2454d = new HashMap();
                }
                if (this.f2454d.get(str) == null) {
                    this.f2454d.put(str, new HashMap());
                }
                this.f2454d.get(str).put(str2, list);
            }
            return this;
        }

        @NonNull
        @SuppressLint({"UnsafeNewApiCall"})
        public d c() {
            String[] strArr;
            if (!TextUtils.isEmpty(this.f2451a.k)) {
                d dVar = this.f2451a;
                Intent[] intentArr = dVar.i;
                if (intentArr == null || intentArr.length == 0) {
                    throw new IllegalArgumentException("Shortcut must have an intent");
                }
                if (this.f2452b) {
                    if (dVar.r == null) {
                        dVar.r = new g(dVar.g);
                    }
                    this.f2451a.s = true;
                }
                if (this.f2453c != null) {
                    d dVar2 = this.f2451a;
                    if (dVar2.q == null) {
                        dVar2.q = new HashSet();
                    }
                    this.f2451a.q.addAll(this.f2453c);
                }
                if (Build.VERSION.SDK_INT >= 21) {
                    if (this.f2454d != null) {
                        d dVar3 = this.f2451a;
                        if (dVar3.u == null) {
                            dVar3.u = new PersistableBundle();
                        }
                        for (String str : this.f2454d.keySet()) {
                            Map<String, List<String>> map = this.f2454d.get(str);
                            this.f2451a.u.putStringArray(str, (String[]) map.keySet().toArray(new String[0]));
                            for (String str2 : map.keySet()) {
                                List<String> list = map.get(str2);
                                PersistableBundle persistableBundle = this.f2451a.u;
                                String str3 = str + "/" + str2;
                                if (list == null) {
                                    strArr = new String[0];
                                } else {
                                    strArr = (String[]) list.toArray(new String[0]);
                                }
                                persistableBundle.putStringArray(str3, strArr);
                            }
                        }
                    }
                    if (this.f2455e != null) {
                        d dVar4 = this.f2451a;
                        if (dVar4.u == null) {
                            dVar4.u = new PersistableBundle();
                        }
                        this.f2451a.u.putString(d.f2450e, androidx.core.net.d.a(this.f2455e));
                    }
                }
                return this.f2451a;
            }
            throw new IllegalArgumentException("Shortcut must have a non-empty label");
        }

        @NonNull
        public a d(@NonNull ComponentName componentName) {
            this.f2451a.j = componentName;
            return this;
        }

        @NonNull
        public a e() {
            this.f2451a.o = true;
            return this;
        }

        @NonNull
        public a f(@NonNull Set<String> set) {
            this.f2451a.q = set;
            return this;
        }

        @NonNull
        public a g(@NonNull CharSequence charSequence) {
            this.f2451a.m = charSequence;
            return this;
        }

        @NonNull
        public a h(@NonNull PersistableBundle persistableBundle) {
            this.f2451a.u = persistableBundle;
            return this;
        }

        @NonNull
        public a i(IconCompat iconCompat) {
            this.f2451a.n = iconCompat;
            return this;
        }

        @NonNull
        public a j(@NonNull Intent intent) {
            return k(new Intent[]{intent});
        }

        @NonNull
        public a k(@NonNull Intent[] intentArr) {
            this.f2451a.i = intentArr;
            return this;
        }

        @NonNull
        public a l() {
            this.f2452b = true;
            return this;
        }

        @NonNull
        public a m(@Nullable g gVar) {
            this.f2451a.r = gVar;
            return this;
        }

        @NonNull
        public a n(@NonNull CharSequence charSequence) {
            this.f2451a.l = charSequence;
            return this;
        }

        @NonNull
        @Deprecated
        public a o() {
            this.f2451a.s = true;
            return this;
        }

        @NonNull
        public a p(boolean z) {
            this.f2451a.s = z;
            return this;
        }

        @NonNull
        public a q(@NonNull s sVar) {
            return r(new s[]{sVar});
        }

        @NonNull
        public a r(@NonNull s[] sVarArr) {
            this.f2451a.p = sVarArr;
            return this;
        }

        @NonNull
        public a s(int i) {
            this.f2451a.t = i;
            return this;
        }

        @NonNull
        public a t(@NonNull CharSequence charSequence) {
            this.f2451a.k = charSequence;
            return this;
        }

        @NonNull
        @SuppressLint({"MissingGetterMatchingBuilder"})
        public a u(@NonNull Uri uri) {
            this.f2455e = uri;
            return this;
        }

        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public a(@NonNull d dVar) {
            d dVar2 = new d();
            this.f2451a = dVar2;
            dVar2.f = dVar.f;
            dVar2.g = dVar.g;
            dVar2.h = dVar.h;
            Intent[] intentArr = dVar.i;
            dVar2.i = (Intent[]) Arrays.copyOf(intentArr, intentArr.length);
            dVar2.j = dVar.j;
            dVar2.k = dVar.k;
            dVar2.l = dVar.l;
            dVar2.m = dVar.m;
            dVar2.E = dVar.E;
            dVar2.n = dVar.n;
            dVar2.o = dVar.o;
            dVar2.w = dVar.w;
            dVar2.v = dVar.v;
            dVar2.x = dVar.x;
            dVar2.y = dVar.y;
            dVar2.z = dVar.z;
            dVar2.A = dVar.A;
            dVar2.B = dVar.B;
            dVar2.C = dVar.C;
            dVar2.r = dVar.r;
            dVar2.s = dVar.s;
            dVar2.D = dVar.D;
            dVar2.t = dVar.t;
            s[] sVarArr = dVar.p;
            if (sVarArr != null) {
                dVar2.p = (s[]) Arrays.copyOf(sVarArr, sVarArr.length);
            }
            if (dVar.q != null) {
                dVar2.q = new HashSet(dVar.q);
            }
            PersistableBundle persistableBundle = dVar.u;
            if (persistableBundle != null) {
                dVar2.u = persistableBundle;
            }
        }

        @RequiresApi(25)
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public a(@NonNull Context context, @NonNull ShortcutInfo shortcutInfo) {
            d dVar = new d();
            this.f2451a = dVar;
            dVar.f = context;
            dVar.g = shortcutInfo.getId();
            dVar.h = shortcutInfo.getPackage();
            Intent[] intents = shortcutInfo.getIntents();
            dVar.i = (Intent[]) Arrays.copyOf(intents, intents.length);
            dVar.j = shortcutInfo.getActivity();
            dVar.k = shortcutInfo.getShortLabel();
            dVar.l = shortcutInfo.getLongLabel();
            dVar.m = shortcutInfo.getDisabledMessage();
            int i = Build.VERSION.SDK_INT;
            if (i >= 28) {
                dVar.E = shortcutInfo.getDisabledReason();
            } else {
                dVar.E = shortcutInfo.isEnabled() ? 0 : 3;
            }
            dVar.q = shortcutInfo.getCategories();
            dVar.p = d.t(shortcutInfo.getExtras());
            dVar.w = shortcutInfo.getUserHandle();
            dVar.v = shortcutInfo.getLastChangedTimestamp();
            if (i >= 30) {
                dVar.x = shortcutInfo.isCached();
            }
            dVar.y = shortcutInfo.isDynamic();
            dVar.z = shortcutInfo.isPinned();
            dVar.A = shortcutInfo.isDeclaredInManifest();
            dVar.B = shortcutInfo.isImmutable();
            dVar.C = shortcutInfo.isEnabled();
            dVar.D = shortcutInfo.hasKeyFieldsOnly();
            dVar.r = d.o(shortcutInfo);
            dVar.t = shortcutInfo.getRank();
            dVar.u = shortcutInfo.getExtras();
        }
    }
}
