package androidx.core.content.res;

import android.content.res.Resources;
import android.content.res.TypedArray;
import android.os.Build;
import android.util.Base64;
import android.util.TypedValue;
import android.util.Xml;
import androidx.annotation.ArrayRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.R;
import java.io.IOException;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
public class FontResourcesParserCompat {

    /* renamed from: a  reason: collision with root package name */
    private static final int f2456a = 400;

    /* renamed from: b  reason: collision with root package name */
    private static final int f2457b = 1;

    /* renamed from: c  reason: collision with root package name */
    public static final int f2458c = 0;

    /* renamed from: d  reason: collision with root package name */
    public static final int f2459d = 1;

    /* renamed from: e  reason: collision with root package name */
    public static final int f2460e = -1;
    private static final int f = 500;

    @Retention(RetentionPolicy.SOURCE)
    public @interface FetchStrategy {
    }

    public interface a {
    }

    public static final class b implements a {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        private final c[] f2461a;

        public b(@NonNull c[] cVarArr) {
            this.f2461a = cVarArr;
        }

        @NonNull
        public c[] a() {
            return this.f2461a;
        }
    }

    public static final class c {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        private final String f2462a;

        /* renamed from: b  reason: collision with root package name */
        private int f2463b;

        /* renamed from: c  reason: collision with root package name */
        private boolean f2464c;

        /* renamed from: d  reason: collision with root package name */
        private String f2465d;

        /* renamed from: e  reason: collision with root package name */
        private int f2466e;
        private int f;

        public c(@NonNull String str, int i, boolean z, @Nullable String str2, int i2, int i3) {
            this.f2462a = str;
            this.f2463b = i;
            this.f2464c = z;
            this.f2465d = str2;
            this.f2466e = i2;
            this.f = i3;
        }

        @NonNull
        public String a() {
            return this.f2462a;
        }

        public int b() {
            return this.f;
        }

        public int c() {
            return this.f2466e;
        }

        @Nullable
        public String d() {
            return this.f2465d;
        }

        public int e() {
            return this.f2463b;
        }

        public boolean f() {
            return this.f2464c;
        }
    }

    private FontResourcesParserCompat() {
    }

    private static int a(TypedArray typedArray, int i) {
        if (Build.VERSION.SDK_INT >= 21) {
            return typedArray.getType(i);
        }
        TypedValue typedValue = new TypedValue();
        typedArray.getValue(i, typedValue);
        return typedValue.type;
    }

    @Nullable
    public static a b(XmlPullParser xmlPullParser, Resources resources) throws XmlPullParserException, IOException {
        int next;
        do {
            next = xmlPullParser.next();
            if (next == 2) {
                break;
            }
        } while (next != 1);
        if (next == 2) {
            return d(xmlPullParser, resources);
        }
        throw new XmlPullParserException("No start tag found");
    }

    public static List<List<byte[]>> c(Resources resources, @ArrayRes int i) {
        if (i == 0) {
            return Collections.emptyList();
        }
        TypedArray obtainTypedArray = resources.obtainTypedArray(i);
        try {
            if (obtainTypedArray.length() == 0) {
                return Collections.emptyList();
            }
            ArrayList arrayList = new ArrayList();
            if (a(obtainTypedArray, 0) == 1) {
                for (int i2 = 0; i2 < obtainTypedArray.length(); i2++) {
                    int resourceId = obtainTypedArray.getResourceId(i2, 0);
                    if (resourceId != 0) {
                        arrayList.add(h(resources.getStringArray(resourceId)));
                    }
                }
            } else {
                arrayList.add(h(resources.getStringArray(i)));
            }
            obtainTypedArray.recycle();
            return arrayList;
        } finally {
            obtainTypedArray.recycle();
        }
    }

    @Nullable
    private static a d(XmlPullParser xmlPullParser, Resources resources) throws XmlPullParserException, IOException {
        xmlPullParser.require(2, null, "font-family");
        if (xmlPullParser.getName().equals("font-family")) {
            return e(xmlPullParser, resources);
        }
        g(xmlPullParser);
        return null;
    }

    @Nullable
    private static a e(XmlPullParser xmlPullParser, Resources resources) throws XmlPullParserException, IOException {
        TypedArray obtainAttributes = resources.obtainAttributes(Xml.asAttributeSet(xmlPullParser), R.styleable.FontFamily);
        String string = obtainAttributes.getString(R.styleable.FontFamily_fontProviderAuthority);
        String string2 = obtainAttributes.getString(R.styleable.FontFamily_fontProviderPackage);
        String string3 = obtainAttributes.getString(R.styleable.FontFamily_fontProviderQuery);
        int resourceId = obtainAttributes.getResourceId(R.styleable.FontFamily_fontProviderCerts, 0);
        int integer = obtainAttributes.getInteger(R.styleable.FontFamily_fontProviderFetchStrategy, 1);
        int integer2 = obtainAttributes.getInteger(R.styleable.FontFamily_fontProviderFetchTimeout, 500);
        String string4 = obtainAttributes.getString(R.styleable.FontFamily_fontProviderSystemFontFamily);
        obtainAttributes.recycle();
        if (string == null || string2 == null || string3 == null) {
            ArrayList arrayList = new ArrayList();
            while (xmlPullParser.next() != 3) {
                if (xmlPullParser.getEventType() == 2) {
                    if (xmlPullParser.getName().equals("font")) {
                        arrayList.add(f(xmlPullParser, resources));
                    } else {
                        g(xmlPullParser);
                    }
                }
            }
            if (arrayList.isEmpty()) {
                return null;
            }
            return new b((c[]) arrayList.toArray(new c[arrayList.size()]));
        }
        while (xmlPullParser.next() != 3) {
            g(xmlPullParser);
        }
        return new d(new androidx.core.provider.d(string, string2, string3, c(resources, resourceId)), integer, integer2, string4);
    }

    private static c f(XmlPullParser xmlPullParser, Resources resources) throws XmlPullParserException, IOException {
        TypedArray obtainAttributes = resources.obtainAttributes(Xml.asAttributeSet(xmlPullParser), R.styleable.FontFamilyFont);
        int i = R.styleable.FontFamilyFont_fontWeight;
        if (!obtainAttributes.hasValue(i)) {
            i = R.styleable.FontFamilyFont_android_fontWeight;
        }
        int i2 = obtainAttributes.getInt(i, 400);
        int i3 = R.styleable.FontFamilyFont_fontStyle;
        if (!obtainAttributes.hasValue(i3)) {
            i3 = R.styleable.FontFamilyFont_android_fontStyle;
        }
        boolean z = 1 == obtainAttributes.getInt(i3, 0);
        int i4 = R.styleable.FontFamilyFont_ttcIndex;
        if (!obtainAttributes.hasValue(i4)) {
            i4 = R.styleable.FontFamilyFont_android_ttcIndex;
        }
        int i5 = R.styleable.FontFamilyFont_fontVariationSettings;
        if (!obtainAttributes.hasValue(i5)) {
            i5 = R.styleable.FontFamilyFont_android_fontVariationSettings;
        }
        String string = obtainAttributes.getString(i5);
        int i6 = obtainAttributes.getInt(i4, 0);
        int i7 = R.styleable.FontFamilyFont_font;
        if (!obtainAttributes.hasValue(i7)) {
            i7 = R.styleable.FontFamilyFont_android_font;
        }
        int resourceId = obtainAttributes.getResourceId(i7, 0);
        String string2 = obtainAttributes.getString(i7);
        obtainAttributes.recycle();
        while (xmlPullParser.next() != 3) {
            g(xmlPullParser);
        }
        return new c(string2, i2, z, string, i6, resourceId);
    }

    private static void g(XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
        int i = 1;
        while (i > 0) {
            int next = xmlPullParser.next();
            if (next == 2) {
                i++;
            } else if (next == 3) {
                i--;
            }
        }
    }

    private static List<byte[]> h(String[] strArr) {
        ArrayList arrayList = new ArrayList();
        for (String str : strArr) {
            arrayList.add(Base64.decode(str, 0));
        }
        return arrayList;
    }

    public static final class d implements a {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        private final androidx.core.provider.d f2467a;

        /* renamed from: b  reason: collision with root package name */
        private final int f2468b;

        /* renamed from: c  reason: collision with root package name */
        private final int f2469c;
        @Nullable

        /* renamed from: d  reason: collision with root package name */
        private final String f2470d;

        @RestrictTo({RestrictTo.Scope.LIBRARY})
        public d(@NonNull androidx.core.provider.d dVar, int i, int i2, @Nullable String str) {
            this.f2467a = dVar;
            this.f2469c = i;
            this.f2468b = i2;
            this.f2470d = str;
        }

        public int a() {
            return this.f2469c;
        }

        @NonNull
        public androidx.core.provider.d b() {
            return this.f2467a;
        }

        @Nullable
        @RestrictTo({RestrictTo.Scope.LIBRARY})
        public String c() {
            return this.f2470d;
        }

        public int d() {
            return this.f2468b;
        }

        public d(@NonNull androidx.core.provider.d dVar, int i, int i2) {
            this(dVar, i, i2, null);
        }
    }
}
