package androidx.core.content.res;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.XmlResourceParser;
import android.graphics.Shader;
import android.util.AttributeSet;
import android.util.Log;
import android.util.Xml;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import java.io.IOException;
import org.xmlpull.v1.XmlPullParserException;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: ComplexColorCompat */
public final class b {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2472a = "ComplexColorCompat";

    /* renamed from: b  reason: collision with root package name */
    private final Shader f2473b;

    /* renamed from: c  reason: collision with root package name */
    private final ColorStateList f2474c;

    /* renamed from: d  reason: collision with root package name */
    private int f2475d;

    private b(Shader shader, ColorStateList colorStateList, @ColorInt int i) {
        this.f2473b = shader;
        this.f2474c = colorStateList;
        this.f2475d = i;
    }

    @NonNull
    private static b a(@NonNull Resources resources, @ColorRes int i, @Nullable Resources.Theme theme) throws IOException, XmlPullParserException {
        int next;
        XmlResourceParser xml = resources.getXml(i);
        AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
        do {
            next = xml.next();
            if (next == 2) {
                break;
            }
        } while (next != 1);
        if (next == 2) {
            String name = xml.getName();
            name.hashCode();
            if (name.equals("gradient")) {
                return d(d.c(resources, xml, asAttributeSet, theme));
            }
            if (name.equals("selector")) {
                return c(a.b(resources, xml, asAttributeSet, theme));
            }
            throw new XmlPullParserException(xml.getPositionDescription() + ": unsupported complex color tag " + name);
        }
        throw new XmlPullParserException("No start tag found");
    }

    static b b(@ColorInt int i) {
        return new b(null, null, i);
    }

    static b c(@NonNull ColorStateList colorStateList) {
        return new b(null, colorStateList, colorStateList.getDefaultColor());
    }

    static b d(@NonNull Shader shader) {
        return new b(shader, null, 0);
    }

    @Nullable
    public static b g(@NonNull Resources resources, @ColorRes int i, @Nullable Resources.Theme theme) {
        try {
            return a(resources, i, theme);
        } catch (Exception e2) {
            Log.e(f2472a, "Failed to inflate ComplexColor.", e2);
            return null;
        }
    }

    @ColorInt
    public int e() {
        return this.f2475d;
    }

    @Nullable
    public Shader f() {
        return this.f2473b;
    }

    public boolean h() {
        return this.f2473b != null;
    }

    public boolean i() {
        ColorStateList colorStateList;
        return this.f2473b == null && (colorStateList = this.f2474c) != null && colorStateList.isStateful();
    }

    public boolean j(int[] iArr) {
        if (i()) {
            ColorStateList colorStateList = this.f2474c;
            int colorForState = colorStateList.getColorForState(iArr, colorStateList.getDefaultColor());
            if (colorForState != this.f2475d) {
                this.f2475d = colorForState;
                return true;
            }
        }
        return false;
    }

    public void k(@ColorInt int i) {
        this.f2475d = i;
    }

    public boolean l() {
        return h() || this.f2475d != 0;
    }
}
