package androidx.core.content.res;

import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.LinearGradient;
import android.graphics.RadialGradient;
import android.graphics.Shader;
import android.graphics.SweepGradient;
import android.util.AttributeSet;
import android.util.Xml;
import androidx.annotation.ColorInt;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.R;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: GradientColorInflaterCompat */
final class d {

    /* renamed from: a  reason: collision with root package name */
    private static final int f2476a = 0;

    /* renamed from: b  reason: collision with root package name */
    private static final int f2477b = 1;

    /* renamed from: c  reason: collision with root package name */
    private static final int f2478c = 2;

    private d() {
    }

    private static a a(@Nullable a aVar, @ColorInt int i, @ColorInt int i2, boolean z, @ColorInt int i3) {
        if (aVar != null) {
            return aVar;
        }
        if (z) {
            return new a(i, i3, i2);
        }
        return new a(i, i2);
    }

    static Shader b(@NonNull Resources resources, @NonNull XmlPullParser xmlPullParser, @Nullable Resources.Theme theme) throws XmlPullParserException, IOException {
        int next;
        AttributeSet asAttributeSet = Xml.asAttributeSet(xmlPullParser);
        do {
            next = xmlPullParser.next();
            if (next == 2) {
                break;
            }
        } while (next != 1);
        if (next == 2) {
            return c(resources, xmlPullParser, asAttributeSet, theme);
        }
        throw new XmlPullParserException("No start tag found");
    }

    static Shader c(@NonNull Resources resources, @NonNull XmlPullParser xmlPullParser, @NonNull AttributeSet attributeSet, @Nullable Resources.Theme theme) throws IOException, XmlPullParserException {
        String name = xmlPullParser.getName();
        if (name.equals("gradient")) {
            TypedArray s = h.s(resources, theme, attributeSet, R.styleable.GradientColor);
            float j = h.j(s, xmlPullParser, "startX", R.styleable.GradientColor_android_startX, 0.0f);
            float j2 = h.j(s, xmlPullParser, "startY", R.styleable.GradientColor_android_startY, 0.0f);
            float j3 = h.j(s, xmlPullParser, "endX", R.styleable.GradientColor_android_endX, 0.0f);
            float j4 = h.j(s, xmlPullParser, "endY", R.styleable.GradientColor_android_endY, 0.0f);
            float j5 = h.j(s, xmlPullParser, "centerX", R.styleable.GradientColor_android_centerX, 0.0f);
            float j6 = h.j(s, xmlPullParser, "centerY", R.styleable.GradientColor_android_centerY, 0.0f);
            int k = h.k(s, xmlPullParser, "type", R.styleable.GradientColor_android_type, 0);
            int f = h.f(s, xmlPullParser, "startColor", R.styleable.GradientColor_android_startColor, 0);
            boolean r = h.r(xmlPullParser, "centerColor");
            int f2 = h.f(s, xmlPullParser, "centerColor", R.styleable.GradientColor_android_centerColor, 0);
            int f3 = h.f(s, xmlPullParser, "endColor", R.styleable.GradientColor_android_endColor, 0);
            int k2 = h.k(s, xmlPullParser, "tileMode", R.styleable.GradientColor_android_tileMode, 0);
            float j7 = h.j(s, xmlPullParser, "gradientRadius", R.styleable.GradientColor_android_gradientRadius, 0.0f);
            s.recycle();
            a a2 = a(d(resources, xmlPullParser, attributeSet, theme), f, f3, r, f2);
            if (k != 1) {
                if (k != 2) {
                    return new LinearGradient(j, j2, j3, j4, a2.f2479a, a2.f2480b, e(k2));
                }
                return new SweepGradient(j5, j6, a2.f2479a, a2.f2480b);
            } else if (j7 > 0.0f) {
                return new RadialGradient(j5, j6, j7, a2.f2479a, a2.f2480b, e(k2));
            } else {
                throw new XmlPullParserException("<gradient> tag requires 'gradientRadius' attribute with radial type");
            }
        } else {
            throw new XmlPullParserException(xmlPullParser.getPositionDescription() + ": invalid gradient color tag " + name);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0080, code lost:
        throw new org.xmlpull.v1.XmlPullParserException(r10.getPositionDescription() + ": <item> tag requires a 'color' attribute and a 'offset' attribute!");
     */
    private static a d(@NonNull Resources resources, @NonNull XmlPullParser xmlPullParser, @NonNull AttributeSet attributeSet, @Nullable Resources.Theme theme) throws XmlPullParserException, IOException {
        int depth;
        int depth2 = xmlPullParser.getDepth() + 1;
        ArrayList arrayList = new ArrayList(20);
        ArrayList arrayList2 = new ArrayList(20);
        while (true) {
            int next = xmlPullParser.next();
            if (next != 1 && ((depth = xmlPullParser.getDepth()) >= depth2 || next != 3)) {
                if (next == 2 && depth <= depth2 && xmlPullParser.getName().equals("item")) {
                    TypedArray s = h.s(resources, theme, attributeSet, R.styleable.GradientColorItem);
                    int i = R.styleable.GradientColorItem_android_color;
                    boolean hasValue = s.hasValue(i);
                    int i2 = R.styleable.GradientColorItem_android_offset;
                    boolean hasValue2 = s.hasValue(i2);
                    if (!hasValue || !hasValue2) {
                    } else {
                        int color = s.getColor(i, 0);
                        float f = s.getFloat(i2, 0.0f);
                        s.recycle();
                        arrayList2.add(Integer.valueOf(color));
                        arrayList.add(Float.valueOf(f));
                    }
                }
            }
        }
        if (arrayList2.size() > 0) {
            return new a(arrayList2, arrayList);
        }
        return null;
    }

    private static Shader.TileMode e(int i) {
        if (i == 1) {
            return Shader.TileMode.REPEAT;
        }
        if (i != 2) {
            return Shader.TileMode.CLAMP;
        }
        return Shader.TileMode.MIRROR;
    }

    /* access modifiers changed from: package-private */
    /* compiled from: GradientColorInflaterCompat */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        final int[] f2479a;

        /* renamed from: b  reason: collision with root package name */
        final float[] f2480b;

        a(@NonNull List<Integer> list, @NonNull List<Float> list2) {
            int size = list.size();
            this.f2479a = new int[size];
            this.f2480b = new float[size];
            for (int i = 0; i < size; i++) {
                this.f2479a[i] = list.get(i).intValue();
                this.f2480b[i] = list2.get(i).floatValue();
            }
        }

        a(@ColorInt int i, @ColorInt int i2) {
            this.f2479a = new int[]{i, i2};
            this.f2480b = new float[]{0.0f, 1.0f};
        }

        a(@ColorInt int i, @ColorInt int i2, @ColorInt int i3) {
            this.f2479a = new int[]{i, i2, i3};
            this.f2480b = new float[]{0.0f, 0.5f, 1.0f};
        }
    }
}
