package androidx.core.graphics;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.os.CancellationSignal;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.content.res.FontResourcesParserCompat;
import androidx.core.provider.FontsContractCompat;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.lang.reflect.Field;
import java.util.concurrent.ConcurrentHashMap;

/* access modifiers changed from: package-private */
@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: TypefaceCompatBaseImpl */
public class c0 {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2507a = "TypefaceCompatBaseImpl";

    /* renamed from: b  reason: collision with root package name */
    private static final int f2508b = 0;
    @SuppressLint({"BanConcurrentHashMap"})

    /* renamed from: c  reason: collision with root package name */
    private ConcurrentHashMap<Long, FontResourcesParserCompat.b> f2509c = new ConcurrentHashMap<>();

    /* access modifiers changed from: package-private */
    /* compiled from: TypefaceCompatBaseImpl */
    public class a implements c<FontsContractCompat.c> {
        a() {
        }

        /* renamed from: c */
        public int a(FontsContractCompat.c cVar) {
            return cVar.e();
        }

        /* renamed from: d */
        public boolean b(FontsContractCompat.c cVar) {
            return cVar.f();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: TypefaceCompatBaseImpl */
    public class b implements c<FontResourcesParserCompat.c> {
        b() {
        }

        /* renamed from: c */
        public int a(FontResourcesParserCompat.c cVar) {
            return cVar.e();
        }

        /* renamed from: d */
        public boolean b(FontResourcesParserCompat.c cVar) {
            return cVar.f();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: TypefaceCompatBaseImpl */
    public interface c<T> {
        int a(T t);

        boolean b(T t);
    }

    c0() {
    }

    private void a(Typeface typeface, FontResourcesParserCompat.b bVar) {
        long j = j(typeface);
        if (j != 0) {
            this.f2509c.put(Long.valueOf(j), bVar);
        }
    }

    private FontResourcesParserCompat.c f(FontResourcesParserCompat.b bVar, int i) {
        return (FontResourcesParserCompat.c) g(bVar.a(), i, new b());
    }

    private static <T> T g(T[] tArr, int i, c<T> cVar) {
        int i2 = (i & 1) == 0 ? 400 : 700;
        boolean z = (i & 2) != 0;
        T t = null;
        int i3 = Integer.MAX_VALUE;
        for (T t2 : tArr) {
            int abs = (Math.abs(cVar.a(t2) - i2) * 2) + (cVar.b(t2) == z ? 0 : 1);
            if (t == null || i3 > abs) {
                t = t2;
                i3 = abs;
            }
        }
        return t;
    }

    private static long j(@Nullable Typeface typeface) {
        if (typeface == null) {
            return 0;
        }
        try {
            Field declaredField = Typeface.class.getDeclaredField("native_instance");
            declaredField.setAccessible(true);
            return ((Number) declaredField.get(typeface)).longValue();
        } catch (NoSuchFieldException e2) {
            Log.e(f2507a, "Could not retrieve font from family.", e2);
            return 0;
        } catch (IllegalAccessException e3) {
            Log.e(f2507a, "Could not retrieve font from family.", e3);
            return 0;
        }
    }

    @Nullable
    public Typeface b(Context context, FontResourcesParserCompat.b bVar, Resources resources, int i) {
        FontResourcesParserCompat.c f = f(bVar, i);
        if (f == null) {
            return null;
        }
        Typeface e2 = w.e(context, resources, f.b(), f.a(), i);
        a(e2, bVar);
        return e2;
    }

    @Nullable
    public Typeface c(Context context, @Nullable CancellationSignal cancellationSignal, @NonNull FontsContractCompat.c[] cVarArr, int i) {
        InputStream inputStream;
        Throwable th;
        InputStream inputStream2 = null;
        if (cVarArr.length < 1) {
            return null;
        }
        try {
            inputStream = context.getContentResolver().openInputStream(h(cVarArr, i).d());
            try {
                Typeface d2 = d(context, inputStream);
                d0.a(inputStream);
                return d2;
            } catch (IOException unused) {
                d0.a(inputStream);
                return null;
            } catch (Throwable th2) {
                th = th2;
                inputStream2 = inputStream;
                d0.a(inputStream2);
                throw th;
            }
        } catch (IOException unused2) {
            inputStream = null;
            d0.a(inputStream);
            return null;
        } catch (Throwable th3) {
            th = th3;
            d0.a(inputStream2);
            throw th;
        }
    }

    /* access modifiers changed from: protected */
    public Typeface d(Context context, InputStream inputStream) {
        File e2 = d0.e(context);
        if (e2 == null) {
            return null;
        }
        try {
            if (!d0.d(e2, inputStream)) {
                return null;
            }
            Typeface createFromFile = Typeface.createFromFile(e2.getPath());
            e2.delete();
            return createFromFile;
        } catch (RuntimeException unused) {
            return null;
        } finally {
            e2.delete();
        }
    }

    @Nullable
    public Typeface e(Context context, Resources resources, int i, String str, int i2) {
        File e2 = d0.e(context);
        if (e2 == null) {
            return null;
        }
        try {
            if (!d0.c(e2, resources, i)) {
                return null;
            }
            Typeface createFromFile = Typeface.createFromFile(e2.getPath());
            e2.delete();
            return createFromFile;
        } catch (RuntimeException unused) {
            return null;
        } finally {
            e2.delete();
        }
    }

    /* access modifiers changed from: protected */
    public FontsContractCompat.c h(FontsContractCompat.c[] cVarArr, int i) {
        return (FontsContractCompat.c) g(cVarArr, i, new a());
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public FontResourcesParserCompat.b i(Typeface typeface) {
        long j = j(typeface);
        if (j == 0) {
            return null;
        }
        return this.f2509c.get(Long.valueOf(j));
    }
}
