package androidx.core.graphics.drawable;

import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.graphics.drawable.Drawable;
import android.util.DisplayMetrics;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

/* compiled from: RoundedBitmapDrawable */
public abstract class g extends Drawable {

    /* renamed from: a  reason: collision with root package name */
    private static final int f2525a = 3;

    /* renamed from: b  reason: collision with root package name */
    final Bitmap f2526b;

    /* renamed from: c  reason: collision with root package name */
    private int f2527c = 160;

    /* renamed from: d  reason: collision with root package name */
    private int f2528d = 119;

    /* renamed from: e  reason: collision with root package name */
    private final Paint f2529e = new Paint(3);
    private final BitmapShader f;
    private final Matrix g = new Matrix();
    private float h;
    final Rect i = new Rect();
    private final RectF j = new RectF();
    private boolean k = true;
    private boolean l;
    private int m;
    private int n;

    g(Resources resources, Bitmap bitmap) {
        if (resources != null) {
            this.f2527c = resources.getDisplayMetrics().densityDpi;
        }
        this.f2526b = bitmap;
        if (bitmap != null) {
            a();
            Shader.TileMode tileMode = Shader.TileMode.CLAMP;
            this.f = new BitmapShader(bitmap, tileMode, tileMode);
            return;
        }
        this.n = -1;
        this.m = -1;
        this.f = null;
    }

    private void a() {
        this.m = this.f2526b.getScaledWidth(this.f2527c);
        this.n = this.f2526b.getScaledHeight(this.f2527c);
    }

    private static boolean j(float f2) {
        return f2 > 0.05f;
    }

    private void s() {
        this.h = (float) (Math.min(this.n, this.m) / 2);
    }

    @Nullable
    public final Bitmap b() {
        return this.f2526b;
    }

    public float c() {
        return this.h;
    }

    public int d() {
        return this.f2528d;
    }

    public void draw(@NonNull Canvas canvas) {
        Bitmap bitmap = this.f2526b;
        if (bitmap != null) {
            t();
            if (this.f2529e.getShader() == null) {
                canvas.drawBitmap(bitmap, (Rect) null, this.i, this.f2529e);
                return;
            }
            RectF rectF = this.j;
            float f2 = this.h;
            canvas.drawRoundRect(rectF, f2, f2, this.f2529e);
        }
    }

    @NonNull
    public final Paint e() {
        return this.f2529e;
    }

    /* access modifiers changed from: package-private */
    public void f(int i2, int i3, int i4, Rect rect, Rect rect2) {
        throw new UnsupportedOperationException();
    }

    public boolean g() {
        return this.f2529e.isAntiAlias();
    }

    public int getAlpha() {
        return this.f2529e.getAlpha();
    }

    public ColorFilter getColorFilter() {
        return this.f2529e.getColorFilter();
    }

    public int getIntrinsicHeight() {
        return this.n;
    }

    public int getIntrinsicWidth() {
        return this.m;
    }

    public int getOpacity() {
        Bitmap bitmap;
        if (this.f2528d != 119 || this.l || (bitmap = this.f2526b) == null || bitmap.hasAlpha() || this.f2529e.getAlpha() < 255 || j(this.h)) {
            return -3;
        }
        return -1;
    }

    public boolean h() {
        throw new UnsupportedOperationException();
    }

    public boolean i() {
        return this.l;
    }

    public void k(boolean z) {
        this.f2529e.setAntiAlias(z);
        invalidateSelf();
    }

    public void l(boolean z) {
        this.l = z;
        this.k = true;
        if (z) {
            s();
            this.f2529e.setShader(this.f);
            invalidateSelf();
            return;
        }
        m(0.0f);
    }

    public void m(float f2) {
        if (this.h != f2) {
            this.l = false;
            if (j(f2)) {
                this.f2529e.setShader(this.f);
            } else {
                this.f2529e.setShader(null);
            }
            this.h = f2;
            invalidateSelf();
        }
    }

    public void n(int i2) {
        if (this.f2528d != i2) {
            this.f2528d = i2;
            this.k = true;
            invalidateSelf();
        }
    }

    public void o(boolean z) {
        throw new UnsupportedOperationException();
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        if (this.l) {
            s();
        }
        this.k = true;
    }

    public void p(int i2) {
        if (this.f2527c != i2) {
            if (i2 == 0) {
                i2 = 160;
            }
            this.f2527c = i2;
            if (this.f2526b != null) {
                a();
            }
            invalidateSelf();
        }
    }

    public void q(@NonNull Canvas canvas) {
        p(canvas.getDensity());
    }

    public void r(@NonNull DisplayMetrics displayMetrics) {
        p(displayMetrics.densityDpi);
    }

    public void setAlpha(int i2) {
        if (i2 != this.f2529e.getAlpha()) {
            this.f2529e.setAlpha(i2);
            invalidateSelf();
        }
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.f2529e.setColorFilter(colorFilter);
        invalidateSelf();
    }

    public void setDither(boolean z) {
        this.f2529e.setDither(z);
        invalidateSelf();
    }

    public void setFilterBitmap(boolean z) {
        this.f2529e.setFilterBitmap(z);
        invalidateSelf();
    }

    /* access modifiers changed from: package-private */
    public void t() {
        if (this.k) {
            if (this.l) {
                int min = Math.min(this.m, this.n);
                f(this.f2528d, min, min, getBounds(), this.i);
                int min2 = Math.min(this.i.width(), this.i.height());
                this.i.inset(Math.max(0, (this.i.width() - min2) / 2), Math.max(0, (this.i.height() - min2) / 2));
                this.h = ((float) min2) * 0.5f;
            } else {
                f(this.f2528d, this.m, this.n, getBounds(), this.i);
            }
            this.j.set(this.i);
            if (this.f != null) {
                Matrix matrix = this.g;
                RectF rectF = this.j;
                matrix.setTranslate(rectF.left, rectF.top);
                this.g.preScale(this.j.width() / ((float) this.f2526b.getWidth()), this.j.height() / ((float) this.f2526b.getHeight()));
                this.f.setLocalMatrix(this.g);
                this.f2529e.setShader(this.f);
            }
            this.k = false;
        }
    }
}
