package androidx.core.graphics.drawable;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.drawable.Drawable;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;

/* access modifiers changed from: package-private */
/* compiled from: WrappedDrawableApi14 */
public class k extends Drawable implements Drawable.Callback, j, i {

    /* renamed from: a  reason: collision with root package name */
    static final PorterDuff.Mode f2531a = PorterDuff.Mode.SRC_IN;
    private PorterDuff.Mode I0;
    private boolean J0;
    m K0;
    private boolean L0;
    Drawable M0;

    /* renamed from: b  reason: collision with root package name */
    private int f2532b;

    k(@NonNull m mVar, @Nullable Resources resources) {
        this.K0 = mVar;
        e(resources);
    }

    @NonNull
    private m d() {
        return new m(this.K0);
    }

    private void e(@Nullable Resources resources) {
        Drawable.ConstantState constantState;
        m mVar = this.K0;
        if (mVar != null && (constantState = mVar.f2534b) != null) {
            a(constantState.newDrawable(resources));
        }
    }

    private boolean f(int[] iArr) {
        if (!c()) {
            return false;
        }
        m mVar = this.K0;
        ColorStateList colorStateList = mVar.f2535c;
        PorterDuff.Mode mode = mVar.f2536d;
        if (colorStateList == null || mode == null) {
            this.J0 = false;
            clearColorFilter();
        } else {
            int colorForState = colorStateList.getColorForState(iArr, colorStateList.getDefaultColor());
            if (!(this.J0 && colorForState == this.f2532b && mode == this.I0)) {
                setColorFilter(colorForState, mode);
                this.f2532b = colorForState;
                this.I0 = mode;
                this.J0 = true;
                return true;
            }
        }
        return false;
    }

    @Override // androidx.core.graphics.drawable.j
    public final void a(Drawable drawable) {
        Drawable drawable2 = this.M0;
        if (drawable2 != null) {
            drawable2.setCallback(null);
        }
        this.M0 = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            setVisible(drawable.isVisible(), true);
            setState(drawable.getState());
            setLevel(drawable.getLevel());
            setBounds(drawable.getBounds());
            m mVar = this.K0;
            if (mVar != null) {
                mVar.f2534b = drawable.getConstantState();
            }
        }
        invalidateSelf();
    }

    @Override // androidx.core.graphics.drawable.j
    public final Drawable b() {
        return this.M0;
    }

    /* access modifiers changed from: protected */
    public boolean c() {
        return true;
    }

    public void draw(@NonNull Canvas canvas) {
        this.M0.draw(canvas);
    }

    public int getChangingConfigurations() {
        int changingConfigurations = super.getChangingConfigurations();
        m mVar = this.K0;
        return changingConfigurations | (mVar != null ? mVar.getChangingConfigurations() : 0) | this.M0.getChangingConfigurations();
    }

    @Nullable
    public Drawable.ConstantState getConstantState() {
        m mVar = this.K0;
        if (mVar == null || !mVar.a()) {
            return null;
        }
        this.K0.f2533a = getChangingConfigurations();
        return this.K0;
    }

    @NonNull
    public Drawable getCurrent() {
        return this.M0.getCurrent();
    }

    public int getIntrinsicHeight() {
        return this.M0.getIntrinsicHeight();
    }

    public int getIntrinsicWidth() {
        return this.M0.getIntrinsicWidth();
    }

    @RequiresApi(23)
    public int getLayoutDirection() {
        return c.f(this.M0);
    }

    public int getMinimumHeight() {
        return this.M0.getMinimumHeight();
    }

    public int getMinimumWidth() {
        return this.M0.getMinimumWidth();
    }

    public int getOpacity() {
        return this.M0.getOpacity();
    }

    public boolean getPadding(@NonNull Rect rect) {
        return this.M0.getPadding(rect);
    }

    @NonNull
    public int[] getState() {
        return this.M0.getState();
    }

    public Region getTransparentRegion() {
        return this.M0.getTransparentRegion();
    }

    public void invalidateDrawable(@NonNull Drawable drawable) {
        invalidateSelf();
    }

    @RequiresApi(19)
    public boolean isAutoMirrored() {
        return c.h(this.M0);
    }

    public boolean isStateful() {
        m mVar;
        ColorStateList colorStateList = (!c() || (mVar = this.K0) == null) ? null : mVar.f2535c;
        return (colorStateList != null && colorStateList.isStateful()) || this.M0.isStateful();
    }

    public void jumpToCurrentState() {
        this.M0.jumpToCurrentState();
    }

    @NonNull
    public Drawable mutate() {
        if (!this.L0 && super.mutate() == this) {
            this.K0 = d();
            Drawable drawable = this.M0;
            if (drawable != null) {
                drawable.mutate();
            }
            m mVar = this.K0;
            if (mVar != null) {
                Drawable drawable2 = this.M0;
                mVar.f2534b = drawable2 != null ? drawable2.getConstantState() : null;
            }
            this.L0 = true;
        }
        return this;
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        Drawable drawable = this.M0;
        if (drawable != null) {
            drawable.setBounds(rect);
        }
    }

    @RequiresApi(23)
    public boolean onLayoutDirectionChanged(int i) {
        return c.m(this.M0, i);
    }

    /* access modifiers changed from: protected */
    public boolean onLevelChange(int i) {
        return this.M0.setLevel(i);
    }

    public void scheduleDrawable(@NonNull Drawable drawable, @NonNull Runnable runnable, long j) {
        scheduleSelf(runnable, j);
    }

    public void setAlpha(int i) {
        this.M0.setAlpha(i);
    }

    @RequiresApi(19)
    public void setAutoMirrored(boolean z) {
        c.j(this.M0, z);
    }

    public void setChangingConfigurations(int i) {
        this.M0.setChangingConfigurations(i);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.M0.setColorFilter(colorFilter);
    }

    public void setDither(boolean z) {
        this.M0.setDither(z);
    }

    public void setFilterBitmap(boolean z) {
        this.M0.setFilterBitmap(z);
    }

    public boolean setState(@NonNull int[] iArr) {
        return f(iArr) || this.M0.setState(iArr);
    }

    @Override // androidx.core.graphics.drawable.i
    public void setTint(int i) {
        setTintList(ColorStateList.valueOf(i));
    }

    @Override // androidx.core.graphics.drawable.i
    public void setTintList(ColorStateList colorStateList) {
        this.K0.f2535c = colorStateList;
        f(getState());
    }

    @Override // androidx.core.graphics.drawable.i
    public void setTintMode(@NonNull PorterDuff.Mode mode) {
        this.K0.f2536d = mode;
        f(getState());
    }

    public boolean setVisible(boolean z, boolean z2) {
        return super.setVisible(z, z2) || this.M0.setVisible(z, z2);
    }

    public void unscheduleDrawable(@NonNull Drawable drawable, @NonNull Runnable runnable) {
        unscheduleSelf(runnable);
    }

    k(@Nullable Drawable drawable) {
        this.K0 = d();
        a(drawable);
    }
}
