package androidx.core.graphics;

import android.graphics.Color;
import androidx.annotation.ColorInt;
import androidx.annotation.FloatRange;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.RequiresApi;
import androidx.annotation.VisibleForTesting;
import androidx.core.view.ViewCompat;
import java.util.Objects;

/* compiled from: ColorUtils */
public final class g {

    /* renamed from: a  reason: collision with root package name */
    private static final double f2537a = 95.047d;

    /* renamed from: b  reason: collision with root package name */
    private static final double f2538b = 100.0d;

    /* renamed from: c  reason: collision with root package name */
    private static final double f2539c = 108.883d;

    /* renamed from: d  reason: collision with root package name */
    private static final double f2540d = 0.008856d;

    /* renamed from: e  reason: collision with root package name */
    private static final double f2541e = 903.3d;
    private static final int f = 10;
    private static final int g = 1;
    private static final ThreadLocal<double[]> h = new ThreadLocal<>();

    private g() {
    }

    private static double A(double d2) {
        return d2 > f2540d ? Math.pow(d2, 0.3333333333333333d) : ((d2 * f2541e) + 16.0d) / 116.0d;
    }

    @ColorInt
    public static int B(@ColorInt int i, @IntRange(from = 0, to = 255) int i2) {
        if (i2 >= 0 && i2 <= 255) {
            return (i & ViewCompat.MEASURED_SIZE_MASK) | (i2 << 24);
        }
        throw new IllegalArgumentException("alpha must be between 0 and 255.");
    }

    @ColorInt
    public static int a(@NonNull float[] fArr) {
        int i;
        int i2;
        int i3;
        float f2 = fArr[0];
        float f3 = fArr[1];
        float f4 = fArr[2];
        float abs = (1.0f - Math.abs((f4 * 2.0f) - 1.0f)) * f3;
        float f5 = f4 - (0.5f * abs);
        float abs2 = (1.0f - Math.abs(((f2 / 60.0f) % 2.0f) - 1.0f)) * abs;
        switch (((int) f2) / 60) {
            case 0:
                i3 = Math.round((abs + f5) * 255.0f);
                i2 = Math.round((abs2 + f5) * 255.0f);
                i = Math.round(f5 * 255.0f);
                break;
            case 1:
                i3 = Math.round((abs2 + f5) * 255.0f);
                i2 = Math.round((abs + f5) * 255.0f);
                i = Math.round(f5 * 255.0f);
                break;
            case 2:
                i3 = Math.round(f5 * 255.0f);
                i2 = Math.round((abs + f5) * 255.0f);
                i = Math.round((abs2 + f5) * 255.0f);
                break;
            case 3:
                i3 = Math.round(f5 * 255.0f);
                i2 = Math.round((abs2 + f5) * 255.0f);
                i = Math.round((abs + f5) * 255.0f);
                break;
            case 4:
                i3 = Math.round((abs2 + f5) * 255.0f);
                i2 = Math.round(f5 * 255.0f);
                i = Math.round((abs + f5) * 255.0f);
                break;
            case 5:
            case 6:
                i3 = Math.round((abs + f5) * 255.0f);
                i2 = Math.round(f5 * 255.0f);
                i = Math.round((abs2 + f5) * 255.0f);
                break;
            default:
                i = 0;
                i3 = 0;
                i2 = 0;
                break;
        }
        return Color.rgb(x(i3, 0, 255), x(i2, 0, 255), x(i, 0, 255));
    }

    @ColorInt
    public static int b(@FloatRange(from = 0.0d, to = 100.0d) double d2, @FloatRange(from = -128.0d, to = 127.0d) double d3, @FloatRange(from = -128.0d, to = 127.0d) double d4) {
        double[] z = z();
        c(d2, d3, d4, z);
        return g(z[0], z[1], z[2]);
    }

    public static void c(@FloatRange(from = 0.0d, to = 100.0d) double d2, @FloatRange(from = -128.0d, to = 127.0d) double d3, @FloatRange(from = -128.0d, to = 127.0d) double d4, @NonNull double[] dArr) {
        double d5 = (d2 + 16.0d) / 116.0d;
        double d6 = (d3 / 500.0d) + d5;
        double d7 = d5 - (d4 / 200.0d);
        double pow = Math.pow(d6, 3.0d);
        if (pow <= f2540d) {
            pow = ((d6 * 116.0d) - 16.0d) / f2541e;
        }
        double pow2 = d2 > 7.9996247999999985d ? Math.pow(d5, 3.0d) : d2 / f2541e;
        double pow3 = Math.pow(d7, 3.0d);
        if (pow3 <= f2540d) {
            pow3 = ((d7 * 116.0d) - 16.0d) / f2541e;
        }
        dArr[0] = pow * f2537a;
        dArr[1] = pow2 * f2538b;
        dArr[2] = pow3 * f2539c;
    }

    public static void d(@IntRange(from = 0, to = 255) int i, @IntRange(from = 0, to = 255) int i2, @IntRange(from = 0, to = 255) int i3, @NonNull float[] fArr) {
        float f2;
        float f3;
        float f4 = ((float) i) / 255.0f;
        float f5 = ((float) i2) / 255.0f;
        float f6 = ((float) i3) / 255.0f;
        float max = Math.max(f4, Math.max(f5, f6));
        float min = Math.min(f4, Math.min(f5, f6));
        float f7 = max - min;
        float f8 = (max + min) / 2.0f;
        if (max == min) {
            f2 = 0.0f;
            f3 = 0.0f;
        } else {
            f2 = max == f4 ? ((f5 - f6) / f7) % 6.0f : max == f5 ? ((f6 - f4) / f7) + 2.0f : 4.0f + ((f4 - f5) / f7);
            f3 = f7 / (1.0f - Math.abs((2.0f * f8) - 1.0f));
        }
        float f9 = (f2 * 60.0f) % 360.0f;
        if (f9 < 0.0f) {
            f9 += 360.0f;
        }
        fArr[0] = w(f9, 0.0f, 360.0f);
        fArr[1] = w(f3, 0.0f, 1.0f);
        fArr[2] = w(f8, 0.0f, 1.0f);
    }

    public static void e(@IntRange(from = 0, to = 255) int i, @IntRange(from = 0, to = 255) int i2, @IntRange(from = 0, to = 255) int i3, @NonNull double[] dArr) {
        f(i, i2, i3, dArr);
        h(dArr[0], dArr[1], dArr[2], dArr);
    }

    public static void f(@IntRange(from = 0, to = 255) int i, @IntRange(from = 0, to = 255) int i2, @IntRange(from = 0, to = 255) int i3, @NonNull double[] dArr) {
        double d2;
        double d3;
        double d4;
        if (dArr.length == 3) {
            double d5 = ((double) i) / 255.0d;
            if (d5 < 0.04045d) {
                d2 = d5 / 12.92d;
            } else {
                d2 = Math.pow((d5 + 0.055d) / 1.055d, 2.4d);
            }
            double d6 = ((double) i2) / 255.0d;
            if (d6 < 0.04045d) {
                d3 = d6 / 12.92d;
            } else {
                d3 = Math.pow((d6 + 0.055d) / 1.055d, 2.4d);
            }
            double d7 = ((double) i3) / 255.0d;
            if (d7 < 0.04045d) {
                d4 = d7 / 12.92d;
            } else {
                d4 = Math.pow((d7 + 0.055d) / 1.055d, 2.4d);
            }
            dArr[0] = ((0.4124d * d2) + (0.3576d * d3) + (0.1805d * d4)) * f2538b;
            dArr[1] = ((0.2126d * d2) + (0.7152d * d3) + (0.0722d * d4)) * f2538b;
            dArr[2] = ((d2 * 0.0193d) + (d3 * 0.1192d) + (d4 * 0.9505d)) * f2538b;
            return;
        }
        throw new IllegalArgumentException("outXyz must have a length of 3.");
    }

    @ColorInt
    public static int g(@FloatRange(from = 0.0d, to = 95.047d) double d2, @FloatRange(from = 0.0d, to = 100.0d) double d3, @FloatRange(from = 0.0d, to = 108.883d) double d4) {
        double d5 = (((3.2406d * d2) + (-1.5372d * d3)) + (-0.4986d * d4)) / f2538b;
        double d6 = (((-0.9689d * d2) + (1.8758d * d3)) + (0.0415d * d4)) / f2538b;
        double d7 = (((0.0557d * d2) + (-0.204d * d3)) + (1.057d * d4)) / f2538b;
        return Color.rgb(x((int) Math.round((d5 > 0.0031308d ? (Math.pow(d5, 0.4166666666666667d) * 1.055d) - 0.055d : d5 * 12.92d) * 255.0d), 0, 255), x((int) Math.round((d6 > 0.0031308d ? (Math.pow(d6, 0.4166666666666667d) * 1.055d) - 0.055d : d6 * 12.92d) * 255.0d), 0, 255), x((int) Math.round((d7 > 0.0031308d ? (Math.pow(d7, 0.4166666666666667d) * 1.055d) - 0.055d : d7 * 12.92d) * 255.0d), 0, 255));
    }

    public static void h(@FloatRange(from = 0.0d, to = 95.047d) double d2, @FloatRange(from = 0.0d, to = 100.0d) double d3, @FloatRange(from = 0.0d, to = 108.883d) double d4, @NonNull double[] dArr) {
        if (dArr.length == 3) {
            double A = A(d2 / f2537a);
            double A2 = A(d3 / f2538b);
            double A3 = A(d4 / f2539c);
            dArr[0] = Math.max(0.0d, (116.0d * A2) - 16.0d);
            dArr[1] = (A - A2) * 500.0d;
            dArr[2] = (A2 - A3) * 200.0d;
            return;
        }
        throw new IllegalArgumentException("outLab must have a length of 3.");
    }

    @ColorInt
    public static int i(@ColorInt int i, @ColorInt int i2, @FloatRange(from = 0.0d, to = 1.0d) float f2) {
        float f3 = 1.0f - f2;
        return Color.argb((int) ((((float) Color.alpha(i)) * f3) + (((float) Color.alpha(i2)) * f2)), (int) ((((float) Color.red(i)) * f3) + (((float) Color.red(i2)) * f2)), (int) ((((float) Color.green(i)) * f3) + (((float) Color.green(i2)) * f2)), (int) ((((float) Color.blue(i)) * f3) + (((float) Color.blue(i2)) * f2)));
    }

    public static void j(@NonNull float[] fArr, @NonNull float[] fArr2, @FloatRange(from = 0.0d, to = 1.0d) float f2, @NonNull float[] fArr3) {
        if (fArr3.length == 3) {
            float f3 = 1.0f - f2;
            fArr3[0] = o(fArr[0], fArr2[0], f2);
            fArr3[1] = (fArr[1] * f3) + (fArr2[1] * f2);
            fArr3[2] = (fArr[2] * f3) + (fArr2[2] * f2);
            return;
        }
        throw new IllegalArgumentException("result must have a length of 3.");
    }

    public static void k(@NonNull double[] dArr, @NonNull double[] dArr2, @FloatRange(from = 0.0d, to = 1.0d) double d2, @NonNull double[] dArr3) {
        if (dArr3.length == 3) {
            double d3 = 1.0d - d2;
            dArr3[0] = (dArr[0] * d3) + (dArr2[0] * d2);
            dArr3[1] = (dArr[1] * d3) + (dArr2[1] * d2);
            dArr3[2] = (dArr[2] * d3) + (dArr2[2] * d2);
            return;
        }
        throw new IllegalArgumentException("outResult must have a length of 3.");
    }

    public static double l(@ColorInt int i, @ColorInt int i2) {
        if (Color.alpha(i2) == 255) {
            if (Color.alpha(i) < 255) {
                i = t(i, i2);
            }
            double m = m(i) + 0.05d;
            double m2 = m(i2) + 0.05d;
            return Math.max(m, m2) / Math.min(m, m2);
        }
        throw new IllegalArgumentException("background can not be translucent: #" + Integer.toHexString(i2));
    }

    @FloatRange(from = 0.0d, to = 1.0d)
    public static double m(@ColorInt int i) {
        double[] z = z();
        r(i, z);
        return z[1] / f2538b;
    }

    public static int n(@ColorInt int i, @ColorInt int i2, float f2) {
        int i3 = 255;
        if (Color.alpha(i2) == 255) {
            double d2 = (double) f2;
            if (l(B(i, 255), i2) < d2) {
                return -1;
            }
            int i4 = 0;
            for (int i5 = 0; i5 <= 10 && i3 - i4 > 1; i5++) {
                int i6 = (i4 + i3) / 2;
                if (l(B(i, i6), i2) < d2) {
                    i4 = i6;
                } else {
                    i3 = i6;
                }
            }
            return i3;
        }
        throw new IllegalArgumentException("background can not be translucent: #" + Integer.toHexString(i2));
    }

    @VisibleForTesting
    static float o(float f2, float f3, float f4) {
        if (Math.abs(f3 - f2) > 180.0f) {
            if (f3 > f2) {
                f2 += 360.0f;
            } else {
                f3 += 360.0f;
            }
        }
        return (f2 + ((f3 - f2) * f4)) % 360.0f;
    }

    public static void p(@ColorInt int i, @NonNull float[] fArr) {
        d(Color.red(i), Color.green(i), Color.blue(i), fArr);
    }

    public static void q(@ColorInt int i, @NonNull double[] dArr) {
        e(Color.red(i), Color.green(i), Color.blue(i), dArr);
    }

    public static void r(@ColorInt int i, @NonNull double[] dArr) {
        f(Color.red(i), Color.green(i), Color.blue(i), dArr);
    }

    private static int s(int i, int i2) {
        return 255 - (((255 - i2) * (255 - i)) / 255);
    }

    public static int t(@ColorInt int i, @ColorInt int i2) {
        int alpha = Color.alpha(i2);
        int alpha2 = Color.alpha(i);
        int s = s(alpha2, alpha);
        return Color.argb(s, v(Color.red(i), alpha2, Color.red(i2), alpha, s), v(Color.green(i), alpha2, Color.green(i2), alpha, s), v(Color.blue(i), alpha2, Color.blue(i2), alpha, s));
    }

    @NonNull
    @RequiresApi(26)
    public static Color u(@NonNull Color color, @NonNull Color color2) {
        if (Objects.equals(color.getModel(), color2.getModel())) {
            if (!Objects.equals(color2.getColorSpace(), color.getColorSpace())) {
                color = color.convert(color2.getColorSpace());
            }
            float[] components = color.getComponents();
            float[] components2 = color2.getComponents();
            float alpha = color.alpha();
            float alpha2 = color2.alpha() * (1.0f - alpha);
            int componentCount = color2.getComponentCount() - 1;
            components2[componentCount] = alpha + alpha2;
            if (components2[componentCount] > 0.0f) {
                alpha /= components2[componentCount];
                alpha2 /= components2[componentCount];
            }
            for (int i = 0; i < componentCount; i++) {
                components2[i] = (components[i] * alpha) + (components2[i] * alpha2);
            }
            return Color.valueOf(components2, color2.getColorSpace());
        }
        throw new IllegalArgumentException("Color models must match (" + color.getModel() + " vs. " + color2.getModel() + ")");
    }

    private static int v(int i, int i2, int i3, int i4, int i5) {
        if (i5 == 0) {
            return 0;
        }
        return (((i * 255) * i2) + ((i3 * i4) * (255 - i2))) / (i5 * 255);
    }

    private static float w(float f2, float f3, float f4) {
        return f2 < f3 ? f3 : f2 > f4 ? f4 : f2;
    }

    private static int x(int i, int i2, int i3) {
        return i < i2 ? i2 : i > i3 ? i3 : i;
    }

    public static double y(@NonNull double[] dArr, @NonNull double[] dArr2) {
        return Math.sqrt(Math.pow(dArr[0] - dArr2[0], 2.0d) + Math.pow(dArr[1] - dArr2[1], 2.0d) + Math.pow(dArr[2] - dArr2[2], 2.0d));
    }

    private static double[] z() {
        ThreadLocal<double[]> threadLocal = h;
        double[] dArr = threadLocal.get();
        if (dArr != null) {
            return dArr;
        }
        double[] dArr2 = new double[3];
        threadLocal.set(dArr2);
        return dArr2;
    }
}
