package androidx.core.graphics;

import android.graphics.BlendMode;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.Rect;
import android.os.Build;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.util.i;

/* compiled from: PaintCompat */
public final class k {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2549a = "󟿽";

    /* renamed from: b  reason: collision with root package name */
    private static final String f2550b = "m";

    /* renamed from: c  reason: collision with root package name */
    private static final ThreadLocal<i<Rect, Rect>> f2551c = new ThreadLocal<>();

    private k() {
    }

    public static boolean a(@NonNull Paint paint, @NonNull String str) {
        if (Build.VERSION.SDK_INT >= 23) {
            return paint.hasGlyph(str);
        }
        int length = str.length();
        if (length == 1 && Character.isWhitespace(str.charAt(0))) {
            return true;
        }
        float measureText = paint.measureText(f2549a);
        float measureText2 = paint.measureText("m");
        float measureText3 = paint.measureText(str);
        float f = 0.0f;
        if (measureText3 == 0.0f) {
            return false;
        }
        if (str.codePointCount(0, str.length()) > 1) {
            if (measureText3 > measureText2 * 2.0f) {
                return false;
            }
            int i = 0;
            while (i < length) {
                int charCount = Character.charCount(str.codePointAt(i)) + i;
                f += paint.measureText(str, i, charCount);
                i = charCount;
            }
            if (measureText3 >= f) {
                return false;
            }
        }
        if (measureText3 != measureText) {
            return true;
        }
        i<Rect, Rect> b2 = b();
        paint.getTextBounds(f2549a, 0, 2, (Rect) b2.f2818a);
        paint.getTextBounds(str, 0, length, (Rect) b2.f2819b);
        return !b2.f2818a.equals(b2.f2819b);
    }

    private static i<Rect, Rect> b() {
        ThreadLocal<i<Rect, Rect>> threadLocal = f2551c;
        i<Rect, Rect> iVar = threadLocal.get();
        if (iVar == null) {
            i<Rect, Rect> iVar2 = new i<>(new Rect(), new Rect());
            threadLocal.set(iVar2);
            return iVar2;
        }
        iVar.f2818a.setEmpty();
        iVar.f2819b.setEmpty();
        return iVar;
    }

    public static boolean c(@NonNull Paint paint, @Nullable BlendModeCompat blendModeCompat) {
        PorterDuffXfermode porterDuffXfermode = null;
        BlendMode blendMode = null;
        if (Build.VERSION.SDK_INT >= 29) {
            if (blendModeCompat != null) {
                blendMode = d.a(blendModeCompat);
            }
            paint.setBlendMode(blendMode);
            return true;
        } else if (blendModeCompat != null) {
            PorterDuff.Mode b2 = d.b(blendModeCompat);
            if (b2 != null) {
                porterDuffXfermode = new PorterDuffXfermode(b2);
            }
            paint.setXfermode(porterDuffXfermode);
            if (b2 != null) {
                return true;
            }
            return false;
        } else {
            paint.setXfermode(null);
            return true;
        }
    }
}
