package androidx.core.graphics;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.os.Build;
import android.os.CancellationSignal;
import android.os.Handler;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.VisibleForTesting;
import androidx.core.content.res.FontResourcesParserCompat;
import androidx.core.content.res.f;
import androidx.core.provider.FontsContractCompat;
import b.b.g;

@SuppressLint({"NewApi"})
/* compiled from: TypefaceCompat */
public class w {

    /* renamed from: a  reason: collision with root package name */
    private static final c0 f2563a;

    /* renamed from: b  reason: collision with root package name */
    private static final g<String, Typeface> f2564b = new g<>(16);

    @RestrictTo({RestrictTo.Scope.LIBRARY})
    /* compiled from: TypefaceCompat */
    public static class a extends FontsContractCompat.FontRequestCallback {
        @Nullable
        private f.c j;

        public a(@Nullable f.c cVar) {
            this.j = cVar;
        }

        @Override // androidx.core.provider.FontsContractCompat.FontRequestCallback
        public void a(int i) {
            f.c cVar = this.j;
            if (cVar != null) {
                cVar.d(i);
            }
        }

        @Override // androidx.core.provider.FontsContractCompat.FontRequestCallback
        public void b(@NonNull Typeface typeface) {
            f.c cVar = this.j;
            if (cVar != null) {
                cVar.e(typeface);
            }
        }
    }

    static {
        int i = Build.VERSION.SDK_INT;
        if (i >= 29) {
            f2563a = new b0();
        } else if (i >= 28) {
            f2563a = new a0();
        } else if (i >= 26) {
            f2563a = new z();
        } else if (i >= 24 && y.m()) {
            f2563a = new y();
        } else if (i >= 21) {
            f2563a = new x();
        } else {
            f2563a = new c0();
        }
    }

    private w() {
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    @VisibleForTesting
    public static void a() {
        f2564b.d();
    }

    @NonNull
    public static Typeface b(@NonNull Context context, @Nullable Typeface typeface, int i) {
        Typeface h;
        if (context == null) {
            throw new IllegalArgumentException("Context cannot be null");
        } else if (Build.VERSION.SDK_INT >= 21 || (h = h(context, typeface, i)) == null) {
            return Typeface.create(typeface, i);
        } else {
            return h;
        }
    }

    @Nullable
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public static Typeface c(@NonNull Context context, @Nullable CancellationSignal cancellationSignal, @NonNull FontsContractCompat.c[] cVarArr, int i) {
        return f2563a.c(context, cancellationSignal, cVarArr, i);
    }

    @Nullable
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public static Typeface d(@NonNull Context context, @NonNull FontResourcesParserCompat.a aVar, @NonNull Resources resources, int i, int i2, @Nullable f.c cVar, @Nullable Handler handler, boolean z) {
        Typeface typeface;
        if (aVar instanceof FontResourcesParserCompat.d) {
            FontResourcesParserCompat.d dVar = (FontResourcesParserCompat.d) aVar;
            Typeface i3 = i(dVar.c());
            if (i3 != null) {
                if (cVar != null) {
                    cVar.b(i3, handler);
                }
                return i3;
            }
            typeface = FontsContractCompat.f(context, dVar.b(), i2, !z ? cVar == null : dVar.a() == 0, z ? dVar.d() : -1, f.c.c(handler), new a(cVar));
        } else {
            typeface = f2563a.b(context, (FontResourcesParserCompat.b) aVar, resources, i2);
            if (cVar != null) {
                if (typeface != null) {
                    cVar.b(typeface, handler);
                } else {
                    cVar.a(-3, handler);
                }
            }
        }
        if (typeface != null) {
            f2564b.j(f(resources, i, i2), typeface);
        }
        return typeface;
    }

    @Nullable
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public static Typeface e(@NonNull Context context, @NonNull Resources resources, int i, String str, int i2) {
        Typeface e2 = f2563a.e(context, resources, i, str, i2);
        if (e2 != null) {
            f2564b.j(f(resources, i, i2), e2);
        }
        return e2;
    }

    private static String f(Resources resources, int i, int i2) {
        return resources.getResourcePackageName(i) + com.ibm.icu.impl.locale.f.f14027b + i + com.ibm.icu.impl.locale.f.f14027b + i2;
    }

    @Nullable
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public static Typeface g(@NonNull Resources resources, int i, int i2) {
        return f2564b.f(f(resources, i, i2));
    }

    @Nullable
    private static Typeface h(Context context, Typeface typeface, int i) {
        c0 c0Var = f2563a;
        FontResourcesParserCompat.b i2 = c0Var.i(typeface);
        if (i2 == null) {
            return null;
        }
        return c0Var.b(context, i2, context.getResources(), i);
    }

    private static Typeface i(@Nullable String str) {
        if (str == null || str.isEmpty()) {
            return null;
        }
        Typeface create = Typeface.create(str, 0);
        Typeface create2 = Typeface.create(Typeface.DEFAULT, 0);
        if (create == null || create.equals(create2)) {
            return null;
        }
        return create;
    }
}
