package androidx.core.location;

import android.location.Location;
import android.os.Build;
import android.os.Bundle;
import android.os.SystemClock;
import androidx.annotation.DoNotInline;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.concurrent.TimeUnit;

/* compiled from: LocationCompat */
public final class c {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2622a = "mockLocation";
    @Nullable

    /* renamed from: b  reason: collision with root package name */
    private static Method f2623b;

    /* access modifiers changed from: private */
    @RequiresApi(17)
    /* compiled from: LocationCompat */
    public static class a {
        private a() {
        }

        @DoNotInline
        static long a(Location location) {
            return location.getElapsedRealtimeNanos();
        }
    }

    @RequiresApi(18)
    /* compiled from: LocationCompat */
    private static class b {
        private b() {
        }

        @DoNotInline
        static boolean a(Location location) {
            return location.isFromMockProvider();
        }
    }

    private c() {
    }

    public static long a(@NonNull Location location) {
        if (Build.VERSION.SDK_INT >= 17) {
            return TimeUnit.NANOSECONDS.toMillis(a.a(location));
        }
        long currentTimeMillis = System.currentTimeMillis() - location.getTime();
        long elapsedRealtime = SystemClock.elapsedRealtime();
        if (currentTimeMillis < 0) {
            return elapsedRealtime;
        }
        if (currentTimeMillis > elapsedRealtime) {
            return 0;
        }
        return elapsedRealtime - currentTimeMillis;
    }

    public static long b(@NonNull Location location) {
        if (Build.VERSION.SDK_INT >= 17) {
            return a.a(location);
        }
        return TimeUnit.MILLISECONDS.toNanos(a(location));
    }

    private static Method c() throws NoSuchMethodException {
        if (f2623b == null) {
            Method declaredMethod = Location.class.getDeclaredMethod("setIsFromMockProvider", Boolean.TYPE);
            f2623b = declaredMethod;
            declaredMethod.setAccessible(true);
        }
        return f2623b;
    }

    public static boolean d(@NonNull Location location) {
        if (Build.VERSION.SDK_INT >= 18) {
            return b.a(location);
        }
        Bundle extras = location.getExtras();
        if (extras == null) {
            return false;
        }
        return extras.getBoolean(f2622a, false);
    }

    public static void e(@NonNull Location location, boolean z) {
        if (Build.VERSION.SDK_INT >= 18) {
            try {
                c().invoke(location, Boolean.valueOf(z));
            } catch (NoSuchMethodException e2) {
                NoSuchMethodError noSuchMethodError = new NoSuchMethodError();
                noSuchMethodError.initCause(e2);
                throw noSuchMethodError;
            } catch (IllegalAccessException e3) {
                IllegalAccessError illegalAccessError = new IllegalAccessError();
                illegalAccessError.initCause(e3);
                throw illegalAccessError;
            } catch (InvocationTargetException e4) {
                throw new RuntimeException(e4);
            }
        } else {
            Bundle extras = location.getExtras();
            if (extras == null) {
                Bundle bundle = new Bundle();
                bundle.putBoolean(f2622a, true);
                location.setExtras(bundle);
                return;
            }
            extras.putBoolean(f2622a, true);
        }
    }
}
