package androidx.core.os;

import android.os.Build;
import android.os.Environment;
import android.util.Log;
import androidx.annotation.NonNull;
import java.io.File;
import java.io.IOException;

/* compiled from: EnvironmentCompat */
public final class d {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2678a = "EnvironmentCompat";

    /* renamed from: b  reason: collision with root package name */
    public static final String f2679b = "unknown";

    private d() {
    }

    @NonNull
    public static String a(@NonNull File file) {
        int i = Build.VERSION.SDK_INT;
        if (i >= 21) {
            return Environment.getExternalStorageState(file);
        }
        if (i >= 19) {
            return Environment.getStorageState(file);
        }
        try {
            if (file.getCanonicalPath().startsWith(Environment.getExternalStorageDirectory().getCanonicalPath())) {
                return Environment.getExternalStorageState();
            }
            return "unknown";
        } catch (IOException e2) {
            Log.w(f2678a, "Failed to resolve canonical path: " + e2);
            return "unknown";
        }
    }
}
