package androidx.core.os;

import android.os.Build;
import android.os.LocaleList;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.Size;
import com.ibm.icu.impl.locale.b;
import com.ibm.icu.impl.locale.f;
import java.util.Locale;

/* compiled from: LocaleListCompat */
public final class h {

    /* renamed from: a  reason: collision with root package name */
    private static final h f2684a = a(new Locale[0]);

    /* renamed from: b  reason: collision with root package name */
    private j f2685b;

    private h(j jVar) {
        this.f2685b = jVar;
    }

    @NonNull
    public static h a(@NonNull Locale... localeArr) {
        if (Build.VERSION.SDK_INT >= 24) {
            return n(new LocaleList(localeArr));
        }
        return new h(new i(localeArr));
    }

    static Locale b(String str) {
        if (str.contains(f.f14027b)) {
            String[] split = str.split(f.f14027b, -1);
            if (split.length > 2) {
                return new Locale(split[0], split[1], split[2]);
            }
            if (split.length > 1) {
                return new Locale(split[0], split[1]);
            }
            if (split.length == 1) {
                return new Locale(split[0]);
            }
        } else if (!str.contains(b.f14006b)) {
            return new Locale(str);
        } else {
            String[] split2 = str.split(b.f14006b, -1);
            if (split2.length > 2) {
                return new Locale(split2[0], split2[1], split2[2]);
            }
            if (split2.length > 1) {
                return new Locale(split2[0], split2[1]);
            }
            if (split2.length == 1) {
                return new Locale(split2[0]);
            }
        }
        throw new IllegalArgumentException("Can not parse language tag: [" + str + "]");
    }

    @NonNull
    public static h c(@Nullable String str) {
        Locale locale;
        if (str == null || str.isEmpty()) {
            return g();
        }
        String[] split = str.split(",", -1);
        int length = split.length;
        Locale[] localeArr = new Locale[length];
        for (int i = 0; i < length; i++) {
            if (Build.VERSION.SDK_INT >= 21) {
                locale = Locale.forLanguageTag(split[i]);
            } else {
                locale = b(split[i]);
            }
            localeArr[i] = locale;
        }
        return a(localeArr);
    }

    @NonNull
    @Size(min = 1)
    public static h e() {
        if (Build.VERSION.SDK_INT >= 24) {
            return n(LocaleList.getAdjustedDefault());
        }
        return a(Locale.getDefault());
    }

    @NonNull
    @Size(min = 1)
    public static h f() {
        if (Build.VERSION.SDK_INT >= 24) {
            return n(LocaleList.getDefault());
        }
        return a(Locale.getDefault());
    }

    @NonNull
    public static h g() {
        return f2684a;
    }

    @NonNull
    @RequiresApi(24)
    public static h n(@NonNull LocaleList localeList) {
        return new h(new k(localeList));
    }

    @RequiresApi(24)
    @Deprecated
    public static h o(Object obj) {
        return n((LocaleList) obj);
    }

    public Locale d(int i) {
        return this.f2685b.get(i);
    }

    public boolean equals(Object obj) {
        return (obj instanceof h) && this.f2685b.equals(((h) obj).f2685b);
    }

    @Nullable
    public Locale h(@NonNull String[] strArr) {
        return this.f2685b.d(strArr);
    }

    public int hashCode() {
        return this.f2685b.hashCode();
    }

    @IntRange(from = -1)
    public int i(Locale locale) {
        return this.f2685b.a(locale);
    }

    public boolean j() {
        return this.f2685b.isEmpty();
    }

    @IntRange(from = 0)
    public int k() {
        return this.f2685b.size();
    }

    @NonNull
    public String l() {
        return this.f2685b.b();
    }

    @Nullable
    public Object m() {
        return this.f2685b.c();
    }

    public String toString() {
        return this.f2685b.toString();
    }
}
