package androidx.core.provider;

import android.content.ContentUris;
import android.content.Context;
import android.content.pm.PackageManager;
import android.content.pm.ProviderInfo;
import android.content.pm.Signature;
import android.content.res.Resources;
import android.database.Cursor;
import android.net.Uri;
import android.os.Build;
import android.os.CancellationSignal;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import androidx.core.content.res.FontResourcesParserCompat;
import androidx.core.provider.FontsContractCompat;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.liulishuo.filedownloader.model.FileDownloadModel;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

/* access modifiers changed from: package-private */
/* compiled from: FontProvider */
public class c {

    /* renamed from: a  reason: collision with root package name */
    private static final Comparator<byte[]> f2737a = new a();

    /* compiled from: FontProvider */
    class a implements Comparator<byte[]> {
        a() {
        }

        /* renamed from: a */
        public int compare(byte[] bArr, byte[] bArr2) {
            int i;
            int i2;
            if (bArr.length != bArr2.length) {
                i2 = bArr.length;
                i = bArr2.length;
            } else {
                for (int i3 = 0; i3 < bArr.length; i3++) {
                    if (bArr[i3] != bArr2[i3]) {
                        i2 = bArr[i3];
                        i = bArr2[i3];
                    }
                }
                return 0;
            }
            return (i2 == 1 ? 1 : 0) - (i == 1 ? 1 : 0);
        }
    }

    private c() {
    }

    private static List<byte[]> a(Signature[] signatureArr) {
        ArrayList arrayList = new ArrayList();
        for (Signature signature : signatureArr) {
            arrayList.add(signature.toByteArray());
        }
        return arrayList;
    }

    private static boolean b(List<byte[]> list, List<byte[]> list2) {
        if (list.size() != list2.size()) {
            return false;
        }
        for (int i = 0; i < list.size(); i++) {
            if (!Arrays.equals(list.get(i), list2.get(i))) {
                return false;
            }
        }
        return true;
    }

    private static List<List<byte[]>> c(d dVar, Resources resources) {
        if (dVar.b() != null) {
            return dVar.b();
        }
        return FontResourcesParserCompat.c(resources, dVar.c());
    }

    @NonNull
    static FontsContractCompat.b d(@NonNull Context context, @NonNull d dVar, @Nullable CancellationSignal cancellationSignal) throws PackageManager.NameNotFoundException {
        ProviderInfo e2 = e(context.getPackageManager(), dVar, context.getResources());
        if (e2 == null) {
            return FontsContractCompat.b.a(1, null);
        }
        return FontsContractCompat.b.a(0, f(context, dVar, e2.authority, cancellationSignal));
    }

    @VisibleForTesting
    @Nullable
    static ProviderInfo e(@NonNull PackageManager packageManager, @NonNull d dVar, @Nullable Resources resources) throws PackageManager.NameNotFoundException {
        String f = dVar.f();
        ProviderInfo resolveContentProvider = packageManager.resolveContentProvider(f, 0);
        if (resolveContentProvider == null) {
            throw new PackageManager.NameNotFoundException("No package found for authority: " + f);
        } else if (resolveContentProvider.packageName.equals(dVar.g())) {
            List<byte[]> a2 = a(packageManager.getPackageInfo(resolveContentProvider.packageName, 64).signatures);
            Collections.sort(a2, f2737a);
            List<List<byte[]>> c2 = c(dVar, resources);
            for (int i = 0; i < c2.size(); i++) {
                ArrayList arrayList = new ArrayList(c2.get(i));
                Collections.sort(arrayList, f2737a);
                if (b(a2, arrayList)) {
                    return resolveContentProvider;
                }
            }
            return null;
        } else {
            throw new PackageManager.NameNotFoundException("Found content provider " + f + ", but package was not " + dVar.g());
        }
    }

    @NonNull
    @VisibleForTesting
    static FontsContractCompat.c[] f(Context context, d dVar, String str, CancellationSignal cancellationSignal) {
        int i;
        Uri uri;
        Cursor query;
        ArrayList arrayList = new ArrayList();
        Uri build = new Uri.Builder().scheme(FirebaseAnalytics.b.N).authority(str).build();
        Uri build2 = new Uri.Builder().scheme(FirebaseAnalytics.b.N).authority(str).appendPath("file").build();
        Cursor cursor = null;
        try {
            String[] strArr = {FileDownloadModel.I0, FontsContractCompat.a.f2716a, FontsContractCompat.a.f2717b, FontsContractCompat.a.f2718c, FontsContractCompat.a.f2719d, FontsContractCompat.a.f2720e, FontsContractCompat.a.f};
            if (Build.VERSION.SDK_INT > 16) {
                query = context.getContentResolver().query(build, strArr, "query = ?", new String[]{dVar.h()}, null, cancellationSignal);
            } else {
                query = context.getContentResolver().query(build, strArr, "query = ?", new String[]{dVar.h()}, null);
            }
            if (cursor != null && cursor.getCount() > 0) {
                int columnIndex = cursor.getColumnIndex(FontsContractCompat.a.f);
                ArrayList arrayList2 = new ArrayList();
                int columnIndex2 = cursor.getColumnIndex(FileDownloadModel.I0);
                int columnIndex3 = cursor.getColumnIndex(FontsContractCompat.a.f2716a);
                int columnIndex4 = cursor.getColumnIndex(FontsContractCompat.a.f2717b);
                int columnIndex5 = cursor.getColumnIndex(FontsContractCompat.a.f2719d);
                int columnIndex6 = cursor.getColumnIndex(FontsContractCompat.a.f2720e);
                while (cursor.moveToNext()) {
                    int i2 = columnIndex != -1 ? cursor.getInt(columnIndex) : 0;
                    int i3 = columnIndex4 != -1 ? cursor.getInt(columnIndex4) : 0;
                    if (columnIndex3 == -1) {
                        i = i2;
                        uri = ContentUris.withAppendedId(build, cursor.getLong(columnIndex2));
                    } else {
                        i = i2;
                        uri = ContentUris.withAppendedId(build2, cursor.getLong(columnIndex3));
                    }
                    arrayList2.add(FontsContractCompat.c.a(uri, i3, columnIndex5 != -1 ? cursor.getInt(columnIndex5) : 400, columnIndex6 != -1 && cursor.getInt(columnIndex6) == 1, i));
                }
                arrayList = arrayList2;
            }
            return (FontsContractCompat.c[]) arrayList.toArray(new FontsContractCompat.c[0]);
        } finally {
            if (cursor != null) {
                cursor.close();
            }
        }
    }
}
