package androidx.core.provider;

import android.os.Handler;
import android.os.Process;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.core.util.m;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.LinkedBlockingDeque;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;

/* access modifiers changed from: package-private */
/* compiled from: RequestExecutor */
public class f {

    /* access modifiers changed from: private */
    /* compiled from: RequestExecutor */
    public static class a implements ThreadFactory {

        /* renamed from: a  reason: collision with root package name */
        private String f2759a;

        /* renamed from: b  reason: collision with root package name */
        private int f2760b;

        /* renamed from: androidx.core.provider.f$a$a  reason: collision with other inner class name */
        /* compiled from: RequestExecutor */
        private static class C0041a extends Thread {

            /* renamed from: a  reason: collision with root package name */
            private final int f2761a;

            C0041a(Runnable runnable, String str, int i) {
                super(runnable, str);
                this.f2761a = i;
            }

            public void run() {
                Process.setThreadPriority(this.f2761a);
                super.run();
            }
        }

        a(@NonNull String str, int i) {
            this.f2759a = str;
            this.f2760b = i;
        }

        public Thread newThread(Runnable runnable) {
            return new C0041a(runnable, this.f2759a, this.f2760b);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: RequestExecutor */
    public static class b implements Executor {

        /* renamed from: a  reason: collision with root package name */
        private final Handler f2762a;

        b(@NonNull Handler handler) {
            this.f2762a = (Handler) m.g(handler);
        }

        public void execute(@NonNull Runnable runnable) {
            if (!this.f2762a.post((Runnable) m.g(runnable))) {
                throw new RejectedExecutionException(this.f2762a + " is shutting down");
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: RequestExecutor */
    public static class c<T> implements Runnable {
        @NonNull
        private Handler I0;
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        private Callable<T> f2763a;
        @NonNull

        /* renamed from: b  reason: collision with root package name */
        private androidx.core.util.c<T> f2764b;

        /* compiled from: RequestExecutor */
        class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ androidx.core.util.c f2765a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ Object f2766b;

            a(androidx.core.util.c cVar, Object obj) {
                this.f2765a = cVar;
                this.f2766b = obj;
            }

            /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: androidx.core.util.c */
            /* JADX WARN: Multi-variable type inference failed */
            public void run() {
                this.f2765a.accept(this.f2766b);
            }
        }

        c(@NonNull Handler handler, @NonNull Callable<T> callable, @NonNull androidx.core.util.c<T> cVar) {
            this.f2763a = callable;
            this.f2764b = cVar;
            this.I0 = handler;
        }

        public void run() {
            T t;
            try {
                t = this.f2763a.call();
            } catch (Exception unused) {
                t = null;
            }
            this.I0.post(new a(this.f2764b, t));
        }
    }

    private f() {
    }

    static ThreadPoolExecutor a(@NonNull String str, int i, @IntRange(from = 0) int i2) {
        ThreadPoolExecutor threadPoolExecutor = new ThreadPoolExecutor(0, 1, (long) i2, TimeUnit.MILLISECONDS, new LinkedBlockingDeque(), new a(str, i));
        threadPoolExecutor.allowCoreThreadTimeOut(true);
        return threadPoolExecutor;
    }

    static Executor b(@NonNull Handler handler) {
        return new b(handler);
    }

    static <T> void c(@NonNull Executor executor, @NonNull Callable<T> callable, @NonNull androidx.core.util.c<T> cVar) {
        executor.execute(new c(b.a(), callable, cVar));
    }

    static <T> T d(@NonNull ExecutorService executorService, @NonNull Callable<T> callable, @IntRange(from = 0) int i) throws InterruptedException {
        try {
            return executorService.submit(callable).get((long) i, TimeUnit.MILLISECONDS);
        } catch (ExecutionException e2) {
            throw new RuntimeException(e2);
        } catch (InterruptedException e3) {
            throw e3;
        } catch (TimeoutException unused) {
            throw new InterruptedException("timeout");
        }
    }
}
