package androidx.core.provider;

import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import androidx.annotation.GuardedBy;
import androidx.annotation.RestrictTo;
import androidx.annotation.VisibleForTesting;
import java.util.concurrent.Callable;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicReference;
import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.ReentrantLock;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
@Deprecated
/* compiled from: SelfDestructiveThread */
public class g {

    /* renamed from: a  reason: collision with root package name */
    private static final int f2767a = 1;

    /* renamed from: b  reason: collision with root package name */
    private static final int f2768b = 0;

    /* renamed from: c  reason: collision with root package name */
    private final Object f2769c = new Object();
    @GuardedBy("mLock")

    /* renamed from: d  reason: collision with root package name */
    private HandlerThread f2770d;
    @GuardedBy("mLock")

    /* renamed from: e  reason: collision with root package name */
    private Handler f2771e;
    @GuardedBy("mLock")
    private int f;
    private Handler.Callback g = new a();
    private final int h;
    private final int i;
    private final String j;

    /* compiled from: SelfDestructiveThread */
    class a implements Handler.Callback {
        a() {
        }

        public boolean handleMessage(Message message) {
            int i = message.what;
            if (i == 0) {
                g.this.c();
                return true;
            } else if (i != 1) {
                return true;
            } else {
                g.this.d((Runnable) message.obj);
                return true;
            }
        }
    }

    /* compiled from: SelfDestructiveThread */
    class b implements Runnable {
        final /* synthetic */ d I0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Callable f2773a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Handler f2774b;

        /* compiled from: SelfDestructiveThread */
        class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ Object f2775a;

            a(Object obj) {
                this.f2775a = obj;
            }

            public void run() {
                b.this.I0.a(this.f2775a);
            }
        }

        b(Callable callable, Handler handler, d dVar) {
            this.f2773a = callable;
            this.f2774b = handler;
            this.I0 = dVar;
        }

        public void run() {
            Object obj;
            try {
                obj = this.f2773a.call();
            } catch (Exception unused) {
                obj = null;
            }
            this.f2774b.post(new a(obj));
        }
    }

    /* compiled from: SelfDestructiveThread */
    class c implements Runnable {
        final /* synthetic */ ReentrantLock I0;
        final /* synthetic */ AtomicBoolean J0;
        final /* synthetic */ Condition K0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ AtomicReference f2777a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Callable f2778b;

        c(AtomicReference atomicReference, Callable callable, ReentrantLock reentrantLock, AtomicBoolean atomicBoolean, Condition condition) {
            this.f2777a = atomicReference;
            this.f2778b = callable;
            this.I0 = reentrantLock;
            this.J0 = atomicBoolean;
            this.K0 = condition;
        }

        public void run() {
            try {
                this.f2777a.set(this.f2778b.call());
            } catch (Exception unused) {
            }
            this.I0.lock();
            try {
                this.J0.set(false);
                this.K0.signal();
            } finally {
                this.I0.unlock();
            }
        }
    }

    /* compiled from: SelfDestructiveThread */
    public interface d<T> {
        void a(T t);
    }

    public g(String str, int i2, int i3) {
        this.j = str;
        this.i = i2;
        this.h = i3;
        this.f = 0;
    }

    private void e(Runnable runnable) {
        synchronized (this.f2769c) {
            if (this.f2770d == null) {
                HandlerThread handlerThread = new HandlerThread(this.j, this.i);
                this.f2770d = handlerThread;
                handlerThread.start();
                this.f2771e = new Handler(this.f2770d.getLooper(), this.g);
                this.f++;
            }
            this.f2771e.removeMessages(0);
            Handler handler = this.f2771e;
            handler.sendMessage(handler.obtainMessage(1, runnable));
        }
    }

    @VisibleForTesting
    public int a() {
        int i2;
        synchronized (this.f2769c) {
            i2 = this.f;
        }
        return i2;
    }

    @VisibleForTesting
    public boolean b() {
        boolean z;
        synchronized (this.f2769c) {
            z = this.f2770d != null;
        }
        return z;
    }

    /* access modifiers changed from: package-private */
    public void c() {
        synchronized (this.f2769c) {
            if (!this.f2771e.hasMessages(1)) {
                this.f2770d.quit();
                this.f2770d = null;
                this.f2771e = null;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void d(Runnable runnable) {
        runnable.run();
        synchronized (this.f2769c) {
            this.f2771e.removeMessages(0);
            Handler handler = this.f2771e;
            handler.sendMessageDelayed(handler.obtainMessage(0), (long) this.h);
        }
    }

    public <T> void f(Callable<T> callable, d<T> dVar) {
        e(new b(callable, b.a(), dVar));
    }

    public <T> T g(Callable<T> callable, int i2) throws InterruptedException {
        ReentrantLock reentrantLock = new ReentrantLock();
        Condition newCondition = reentrantLock.newCondition();
        AtomicReference atomicReference = new AtomicReference();
        AtomicBoolean atomicBoolean = new AtomicBoolean(true);
        e(new c(atomicReference, callable, reentrantLock, atomicBoolean, newCondition));
        reentrantLock.lock();
        try {
            if (!atomicBoolean.get()) {
                return (T) atomicReference.get();
            }
            long nanos = TimeUnit.MILLISECONDS.toNanos((long) i2);
            do {
                try {
                    nanos = newCondition.awaitNanos(nanos);
                } catch (InterruptedException unused) {
                }
                if (!atomicBoolean.get()) {
                    T t = (T) atomicReference.get();
                    reentrantLock.unlock();
                    return t;
                }
            } while (nanos > 0);
            throw new InterruptedException("timeout");
        } finally {
            reentrantLock.unlock();
        }
    }
}
