package androidx.core.util;

import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

/* compiled from: AtomicFile */
public class a {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2808a = "AtomicFile";

    /* renamed from: b  reason: collision with root package name */
    private final File f2809b;

    /* renamed from: c  reason: collision with root package name */
    private final File f2810c;

    /* renamed from: d  reason: collision with root package name */
    private final File f2811d;

    public a(@NonNull File file) {
        this.f2809b = file;
        this.f2810c = new File(file.getPath() + ".new");
        this.f2811d = new File(file.getPath() + ".bak");
    }

    private static void g(@NonNull File file, @NonNull File file2) {
        if (file2.isDirectory() && !file2.delete()) {
            Log.e(f2808a, "Failed to delete file which is a directory " + file2);
        }
        if (!file.renameTo(file2)) {
            Log.e(f2808a, "Failed to rename " + file + " to " + file2);
        }
    }

    private static boolean i(@NonNull FileOutputStream fileOutputStream) {
        try {
            fileOutputStream.getFD().sync();
            return true;
        } catch (IOException unused) {
            return false;
        }
    }

    public void a() {
        this.f2809b.delete();
        this.f2810c.delete();
        this.f2811d.delete();
    }

    public void b(@Nullable FileOutputStream fileOutputStream) {
        if (fileOutputStream != null) {
            if (!i(fileOutputStream)) {
                Log.e(f2808a, "Failed to sync file output stream");
            }
            try {
                fileOutputStream.close();
            } catch (IOException e2) {
                Log.e(f2808a, "Failed to close file output stream", e2);
            }
            if (!this.f2810c.delete()) {
                Log.e(f2808a, "Failed to delete new file " + this.f2810c);
            }
        }
    }

    public void c(@Nullable FileOutputStream fileOutputStream) {
        if (fileOutputStream != null) {
            if (!i(fileOutputStream)) {
                Log.e(f2808a, "Failed to sync file output stream");
            }
            try {
                fileOutputStream.close();
            } catch (IOException e2) {
                Log.e(f2808a, "Failed to close file output stream", e2);
            }
            g(this.f2810c, this.f2809b);
        }
    }

    @NonNull
    public File d() {
        return this.f2809b;
    }

    @NonNull
    public FileInputStream e() throws FileNotFoundException {
        if (this.f2811d.exists()) {
            g(this.f2811d, this.f2809b);
        }
        if (this.f2810c.exists() && this.f2809b.exists() && !this.f2810c.delete()) {
            Log.e(f2808a, "Failed to delete outdated new file " + this.f2810c);
        }
        return new FileInputStream(this.f2809b);
    }

    @NonNull
    public byte[] f() throws IOException {
        FileInputStream e2 = e();
        try {
            byte[] bArr = new byte[e2.available()];
            int i = 0;
            while (true) {
                int read = e2.read(bArr, i, bArr.length - i);
                if (read <= 0) {
                    return bArr;
                }
                i += read;
                int available = e2.available();
                if (available > bArr.length - i) {
                    byte[] bArr2 = new byte[(available + i)];
                    System.arraycopy(bArr, 0, bArr2, 0, i);
                    bArr = bArr2;
                }
            }
        } finally {
            e2.close();
        }
    }

    @NonNull
    public FileOutputStream h() throws IOException {
        if (this.f2811d.exists()) {
            g(this.f2811d, this.f2809b);
        }
        try {
            return new FileOutputStream(this.f2810c);
        } catch (FileNotFoundException unused) {
            if (this.f2810c.getParentFile().mkdirs()) {
                try {
                    return new FileOutputStream(this.f2810c);
                } catch (FileNotFoundException e2) {
                    throw new IOException("Failed to create new file " + this.f2810c, e2);
                }
            } else {
                throw new IOException("Failed to create directory for " + this.f2810c);
            }
        }
    }
}
