package androidx.core.view;

import android.content.Context;
import android.os.Build;
import android.os.Handler;
import android.os.Message;
import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.ViewConfiguration;

public final class GestureDetectorCompat {
    private final a mImpl;

    interface a {
        boolean a(MotionEvent motionEvent);

        void b(boolean z);

        boolean c();

        void setOnDoubleTapListener(GestureDetector.OnDoubleTapListener onDoubleTapListener);
    }

    static class b implements a {

        /* renamed from: a  reason: collision with root package name */
        private static final int f2853a = ViewConfiguration.getTapTimeout();

        /* renamed from: b  reason: collision with root package name */
        private static final int f2854b = ViewConfiguration.getDoubleTapTimeout();

        /* renamed from: c  reason: collision with root package name */
        private static final int f2855c = 1;

        /* renamed from: d  reason: collision with root package name */
        private static final int f2856d = 2;

        /* renamed from: e  reason: collision with root package name */
        private static final int f2857e = 3;
        private int f;
        private int g;
        private int h;
        private int i;
        private final Handler j;
        final GestureDetector.OnGestureListener k;
        GestureDetector.OnDoubleTapListener l;
        boolean m;
        boolean n;
        private boolean o;
        private boolean p;
        private boolean q;
        MotionEvent r;
        private MotionEvent s;
        private boolean t;
        private float u;
        private float v;
        private float w;
        private float x;
        private boolean y;
        private VelocityTracker z;

        b(Context context, GestureDetector.OnGestureListener onGestureListener, Handler handler) {
            if (handler != null) {
                this.j = new a(handler);
            } else {
                this.j = new a();
            }
            this.k = onGestureListener;
            if (onGestureListener instanceof GestureDetector.OnDoubleTapListener) {
                setOnDoubleTapListener((GestureDetector.OnDoubleTapListener) onGestureListener);
            }
            g(context);
        }

        private void d() {
            this.j.removeMessages(1);
            this.j.removeMessages(2);
            this.j.removeMessages(3);
            this.z.recycle();
            this.z = null;
            this.t = false;
            this.m = false;
            this.p = false;
            this.q = false;
            this.n = false;
            if (this.o) {
                this.o = false;
            }
        }

        private void e() {
            this.j.removeMessages(1);
            this.j.removeMessages(2);
            this.j.removeMessages(3);
            this.t = false;
            this.p = false;
            this.q = false;
            this.n = false;
            if (this.o) {
                this.o = false;
            }
        }

        private void g(Context context) {
            if (context == null) {
                throw new IllegalArgumentException("Context must not be null");
            } else if (this.k != null) {
                this.y = true;
                ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
                int scaledTouchSlop = viewConfiguration.getScaledTouchSlop();
                int scaledDoubleTapSlop = viewConfiguration.getScaledDoubleTapSlop();
                this.h = viewConfiguration.getScaledMinimumFlingVelocity();
                this.i = viewConfiguration.getScaledMaximumFlingVelocity();
                this.f = scaledTouchSlop * scaledTouchSlop;
                this.g = scaledDoubleTapSlop * scaledDoubleTapSlop;
            } else {
                throw new IllegalArgumentException("OnGestureListener must not be null");
            }
        }

        private boolean h(MotionEvent motionEvent, MotionEvent motionEvent2, MotionEvent motionEvent3) {
            if (!this.q || motionEvent3.getEventTime() - motionEvent2.getEventTime() > ((long) f2854b)) {
                return false;
            }
            int x2 = ((int) motionEvent.getX()) - ((int) motionEvent3.getX());
            int y2 = ((int) motionEvent.getY()) - ((int) motionEvent3.getY());
            if ((x2 * x2) + (y2 * y2) < this.g) {
                return true;
            }
            return false;
        }

        /* JADX WARNING: Removed duplicated region for block: B:100:0x0208  */
        /* JADX WARNING: Removed duplicated region for block: B:103:0x021f  */
        @Override // androidx.core.view.GestureDetectorCompat.a
        public boolean a(MotionEvent motionEvent) {
            boolean z2;
            MotionEvent motionEvent2;
            MotionEvent motionEvent3;
            boolean z3;
            GestureDetector.OnDoubleTapListener onDoubleTapListener;
            int action = motionEvent.getAction();
            if (this.z == null) {
                this.z = VelocityTracker.obtain();
            }
            this.z.addMovement(motionEvent);
            int i2 = action & 255;
            boolean z4 = i2 == 6;
            int actionIndex = z4 ? motionEvent.getActionIndex() : -1;
            int pointerCount = motionEvent.getPointerCount();
            float f2 = 0.0f;
            float f3 = 0.0f;
            for (int i3 = 0; i3 < pointerCount; i3++) {
                if (actionIndex != i3) {
                    f2 += motionEvent.getX(i3);
                    f3 += motionEvent.getY(i3);
                }
            }
            float f4 = (float) (z4 ? pointerCount - 1 : pointerCount);
            float f5 = f2 / f4;
            float f6 = f3 / f4;
            if (i2 != 0) {
                if (i2 == 1) {
                    this.m = false;
                    MotionEvent obtain = MotionEvent.obtain(motionEvent);
                    if (this.t) {
                        z3 = this.l.onDoubleTapEvent(motionEvent) | false;
                    } else {
                        if (this.o) {
                            this.j.removeMessages(3);
                            this.o = false;
                        } else if (this.p) {
                            boolean onSingleTapUp = this.k.onSingleTapUp(motionEvent);
                            if (this.n && (onDoubleTapListener = this.l) != null) {
                                onDoubleTapListener.onSingleTapConfirmed(motionEvent);
                            }
                            z3 = onSingleTapUp;
                        } else {
                            VelocityTracker velocityTracker = this.z;
                            int pointerId = motionEvent.getPointerId(0);
                            velocityTracker.computeCurrentVelocity(1000, (float) this.i);
                            float yVelocity = velocityTracker.getYVelocity(pointerId);
                            float xVelocity = velocityTracker.getXVelocity(pointerId);
                            if (Math.abs(yVelocity) > ((float) this.h) || Math.abs(xVelocity) > ((float) this.h)) {
                                z3 = this.k.onFling(this.r, motionEvent, xVelocity, yVelocity);
                            }
                        }
                        z3 = false;
                    }
                    MotionEvent motionEvent4 = this.s;
                    if (motionEvent4 != null) {
                        motionEvent4.recycle();
                    }
                    this.s = obtain;
                    VelocityTracker velocityTracker2 = this.z;
                    if (velocityTracker2 != null) {
                        velocityTracker2.recycle();
                        this.z = null;
                    }
                    this.t = false;
                    this.n = false;
                    this.j.removeMessages(1);
                    this.j.removeMessages(2);
                } else if (i2 != 2) {
                    if (i2 == 3) {
                        d();
                        return false;
                    } else if (i2 == 5) {
                        this.u = f5;
                        this.w = f5;
                        this.v = f6;
                        this.x = f6;
                        e();
                        return false;
                    } else if (i2 != 6) {
                        return false;
                    } else {
                        this.u = f5;
                        this.w = f5;
                        this.v = f6;
                        this.x = f6;
                        this.z.computeCurrentVelocity(1000, (float) this.i);
                        int actionIndex2 = motionEvent.getActionIndex();
                        int pointerId2 = motionEvent.getPointerId(actionIndex2);
                        float xVelocity2 = this.z.getXVelocity(pointerId2);
                        float yVelocity2 = this.z.getYVelocity(pointerId2);
                        for (int i4 = 0; i4 < pointerCount; i4++) {
                            if (i4 != actionIndex2) {
                                int pointerId3 = motionEvent.getPointerId(i4);
                                if ((this.z.getXVelocity(pointerId3) * xVelocity2) + (this.z.getYVelocity(pointerId3) * yVelocity2) < 0.0f) {
                                    this.z.clear();
                                    return false;
                                }
                            }
                        }
                        return false;
                    }
                } else if (this.o) {
                    return false;
                } else {
                    float f7 = this.u - f5;
                    float f8 = this.v - f6;
                    if (this.t) {
                        return false | this.l.onDoubleTapEvent(motionEvent);
                    }
                    if (this.p) {
                        int i5 = (int) (f5 - this.w);
                        int i6 = (int) (f6 - this.x);
                        int i7 = (i5 * i5) + (i6 * i6);
                        if (i7 > this.f) {
                            z3 = this.k.onScroll(this.r, motionEvent, f7, f8);
                            this.u = f5;
                            this.v = f6;
                            this.p = false;
                            this.j.removeMessages(3);
                            this.j.removeMessages(1);
                            this.j.removeMessages(2);
                        } else {
                            z3 = false;
                        }
                        if (i7 > this.f) {
                            this.q = false;
                        }
                    } else if (Math.abs(f7) < 1.0f && Math.abs(f8) < 1.0f) {
                        return false;
                    } else {
                        boolean onScroll = this.k.onScroll(this.r, motionEvent, f7, f8);
                        this.u = f5;
                        this.v = f6;
                        return onScroll;
                    }
                }
                return z3;
            }
            if (this.l != null) {
                boolean hasMessages = this.j.hasMessages(3);
                if (hasMessages) {
                    this.j.removeMessages(3);
                }
                MotionEvent motionEvent5 = this.r;
                if (motionEvent5 == null || (motionEvent3 = this.s) == null || !hasMessages || !h(motionEvent5, motionEvent3, motionEvent)) {
                    this.j.sendEmptyMessageDelayed(3, (long) f2854b);
                } else {
                    this.t = true;
                    z2 = this.l.onDoubleTap(this.r) | false | this.l.onDoubleTapEvent(motionEvent);
                    this.u = f5;
                    this.w = f5;
                    this.v = f6;
                    this.x = f6;
                    motionEvent2 = this.r;
                    if (motionEvent2 != null) {
                        motionEvent2.recycle();
                    }
                    this.r = MotionEvent.obtain(motionEvent);
                    this.p = true;
                    this.q = true;
                    this.m = true;
                    this.o = false;
                    this.n = false;
                    if (this.y) {
                        this.j.removeMessages(2);
                        this.j.sendEmptyMessageAtTime(2, this.r.getDownTime() + ((long) f2853a) + ((long) ViewConfiguration.getLongPressTimeout()));
                    }
                    this.j.sendEmptyMessageAtTime(1, this.r.getDownTime() + ((long) f2853a));
                    return z2 | this.k.onDown(motionEvent);
                }
            }
            z2 = false;
            this.u = f5;
            this.w = f5;
            this.v = f6;
            this.x = f6;
            motionEvent2 = this.r;
            if (motionEvent2 != null) {
            }
            this.r = MotionEvent.obtain(motionEvent);
            this.p = true;
            this.q = true;
            this.m = true;
            this.o = false;
            this.n = false;
            if (this.y) {
            }
            this.j.sendEmptyMessageAtTime(1, this.r.getDownTime() + ((long) f2853a));
            return z2 | this.k.onDown(motionEvent);
        }

        @Override // androidx.core.view.GestureDetectorCompat.a
        public void b(boolean z2) {
            this.y = z2;
        }

        @Override // androidx.core.view.GestureDetectorCompat.a
        public boolean c() {
            return this.y;
        }

        /* access modifiers changed from: package-private */
        public void f() {
            this.j.removeMessages(3);
            this.n = false;
            this.o = true;
            this.k.onLongPress(this.r);
        }

        @Override // androidx.core.view.GestureDetectorCompat.a
        public void setOnDoubleTapListener(GestureDetector.OnDoubleTapListener onDoubleTapListener) {
            this.l = onDoubleTapListener;
        }

        private class a extends Handler {
            a() {
            }

            public void handleMessage(Message message) {
                int i = message.what;
                if (i == 1) {
                    b bVar = b.this;
                    bVar.k.onShowPress(bVar.r);
                } else if (i == 2) {
                    b.this.f();
                } else if (i == 3) {
                    b bVar2 = b.this;
                    GestureDetector.OnDoubleTapListener onDoubleTapListener = bVar2.l;
                    if (onDoubleTapListener == null) {
                        return;
                    }
                    if (!bVar2.m) {
                        onDoubleTapListener.onSingleTapConfirmed(bVar2.r);
                    } else {
                        bVar2.n = true;
                    }
                } else {
                    throw new RuntimeException("Unknown message " + message);
                }
            }

            a(Handler handler) {
                super(handler.getLooper());
            }
        }
    }

    static class c implements a {

        /* renamed from: a  reason: collision with root package name */
        private final GestureDetector f2859a;

        c(Context context, GestureDetector.OnGestureListener onGestureListener, Handler handler) {
            this.f2859a = new GestureDetector(context, onGestureListener, handler);
        }

        @Override // androidx.core.view.GestureDetectorCompat.a
        public boolean a(MotionEvent motionEvent) {
            return this.f2859a.onTouchEvent(motionEvent);
        }

        @Override // androidx.core.view.GestureDetectorCompat.a
        public void b(boolean z) {
            this.f2859a.setIsLongpressEnabled(z);
        }

        @Override // androidx.core.view.GestureDetectorCompat.a
        public boolean c() {
            return this.f2859a.isLongpressEnabled();
        }

        @Override // androidx.core.view.GestureDetectorCompat.a
        public void setOnDoubleTapListener(GestureDetector.OnDoubleTapListener onDoubleTapListener) {
            this.f2859a.setOnDoubleTapListener(onDoubleTapListener);
        }
    }

    public GestureDetectorCompat(Context context, GestureDetector.OnGestureListener onGestureListener) {
        this(context, onGestureListener, null);
    }

    public boolean isLongpressEnabled() {
        return this.mImpl.c();
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        return this.mImpl.a(motionEvent);
    }

    public void setIsLongpressEnabled(boolean z) {
        this.mImpl.b(z);
    }

    public void setOnDoubleTapListener(GestureDetector.OnDoubleTapListener onDoubleTapListener) {
        this.mImpl.setOnDoubleTapListener(onDoubleTapListener);
    }

    public GestureDetectorCompat(Context context, GestureDetector.OnGestureListener onGestureListener, Handler handler) {
        if (Build.VERSION.SDK_INT > 17) {
            this.mImpl = new c(context, onGestureListener, handler);
        } else {
            this.mImpl = new b(context, onGestureListener, handler);
        }
    }
}
