package androidx.core.view;

import android.os.Build;
import android.view.WindowInsetsAnimationController;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.core.graphics.i;

public final class WindowInsetsAnimationControllerCompat {
    private final b mImpl;

    @RequiresApi(30)
    private static class a extends b {

        /* renamed from: a  reason: collision with root package name */
        private final WindowInsetsAnimationController f2900a;

        a(@NonNull WindowInsetsAnimationController windowInsetsAnimationController) {
            this.f2900a = windowInsetsAnimationController;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsAnimationControllerCompat.b
        public void a(boolean z) {
            this.f2900a.finish(z);
        }

        @Override // androidx.core.view.WindowInsetsAnimationControllerCompat.b
        public float b() {
            return this.f2900a.getCurrentAlpha();
        }

        @Override // androidx.core.view.WindowInsetsAnimationControllerCompat.b
        public float c() {
            return this.f2900a.getCurrentFraction();
        }

        @Override // androidx.core.view.WindowInsetsAnimationControllerCompat.b
        @NonNull
        public i d() {
            return i.g(this.f2900a.getCurrentInsets());
        }

        @Override // androidx.core.view.WindowInsetsAnimationControllerCompat.b
        @NonNull
        public i e() {
            return i.g(this.f2900a.getHiddenStateInsets());
        }

        @Override // androidx.core.view.WindowInsetsAnimationControllerCompat.b
        @NonNull
        public i f() {
            return i.g(this.f2900a.getShownStateInsets());
        }

        @Override // androidx.core.view.WindowInsetsAnimationControllerCompat.b
        public int g() {
            return this.f2900a.getTypes();
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsAnimationControllerCompat.b
        public boolean h() {
            return this.f2900a.isCancelled();
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsAnimationControllerCompat.b
        public boolean i() {
            return this.f2900a.isFinished();
        }

        @Override // androidx.core.view.WindowInsetsAnimationControllerCompat.b
        public boolean j() {
            return this.f2900a.isReady();
        }

        @Override // androidx.core.view.WindowInsetsAnimationControllerCompat.b
        public void k(@Nullable i iVar, float f, float f2) {
            this.f2900a.setInsetsAndAlpha(iVar == null ? null : iVar.h(), f, f2);
        }
    }

    /* access modifiers changed from: private */
    public static class b {
        b() {
        }

        /* access modifiers changed from: package-private */
        public void a(boolean z) {
        }

        public float b() {
            return 0.0f;
        }

        @FloatRange(from = 0.0d, to = 1.0d)
        public float c() {
            return 0.0f;
        }

        @NonNull
        public i d() {
            return i.f2544a;
        }

        @NonNull
        public i e() {
            return i.f2544a;
        }

        @NonNull
        public i f() {
            return i.f2544a;
        }

        public int g() {
            return 0;
        }

        /* access modifiers changed from: package-private */
        public boolean h() {
            return true;
        }

        /* access modifiers changed from: package-private */
        public boolean i() {
            return false;
        }

        public boolean j() {
            return false;
        }

        public void k(@Nullable i iVar, @FloatRange(from = 0.0d, to = 1.0d) float f, @FloatRange(from = 0.0d, to = 1.0d) float f2) {
        }
    }

    WindowInsetsAnimationControllerCompat() {
        if (Build.VERSION.SDK_INT < 30) {
            this.mImpl = new b();
            return;
        }
        throw new UnsupportedOperationException("On API 30+, the constructor taking a " + WindowInsetsAnimationController.class.getSimpleName() + " as parameter");
    }

    public void finish(boolean z) {
        this.mImpl.a(z);
    }

    public float getCurrentAlpha() {
        return this.mImpl.b();
    }

    @FloatRange(from = 0.0d, to = 1.0d)
    public float getCurrentFraction() {
        return this.mImpl.c();
    }

    @NonNull
    public i getCurrentInsets() {
        return this.mImpl.d();
    }

    @NonNull
    public i getHiddenStateInsets() {
        return this.mImpl.e();
    }

    @NonNull
    public i getShownStateInsets() {
        return this.mImpl.f();
    }

    public int getTypes() {
        return this.mImpl.g();
    }

    public boolean isCancelled() {
        return this.mImpl.h();
    }

    public boolean isFinished() {
        return this.mImpl.i();
    }

    public boolean isReady() {
        return !isFinished() && !isCancelled();
    }

    public void setInsetsAndAlpha(@Nullable i iVar, @FloatRange(from = 0.0d, to = 1.0d) float f, @FloatRange(from = 0.0d, to = 1.0d) float f2) {
        this.mImpl.k(iVar, f, f2);
    }

    @RequiresApi(30)
    WindowInsetsAnimationControllerCompat(@NonNull WindowInsetsAnimationController windowInsetsAnimationController) {
        this.mImpl = new a(windowInsetsAnimationController);
    }
}
