package androidx.core.view;

import android.os.Build;
import android.os.CancellationSignal;
import android.view.View;
import android.view.Window;
import android.view.WindowInsetsAnimationControlListener;
import android.view.WindowInsetsAnimationController;
import android.view.WindowInsetsController;
import android.view.animation.Interpolator;
import android.view.inputmethod.InputMethodManager;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import b.b.i;

public final class WindowInsetsControllerCompat {
    public static final int BEHAVIOR_SHOW_BARS_BY_SWIPE = 1;
    public static final int BEHAVIOR_SHOW_BARS_BY_TOUCH = 0;
    public static final int BEHAVIOR_SHOW_TRANSIENT_BARS_BY_SWIPE = 2;
    private final e mImpl;

    public interface OnControllableInsetsChangedListener {
        void onControllableInsetsChanged(@NonNull WindowInsetsControllerCompat windowInsetsControllerCompat, int i);
    }

    @RequiresApi(20)
    private static class a extends e {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        protected final Window f2916a;
        @Nullable

        /* renamed from: b  reason: collision with root package name */
        private final View f2917b;

        /* access modifiers changed from: package-private */
        /* renamed from: androidx.core.view.WindowInsetsControllerCompat$a$a  reason: collision with other inner class name */
        public class RunnableC0045a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ View f2918a;

            RunnableC0045a(View view) {
                this.f2918a = view;
            }

            public void run() {
                ((InputMethodManager) this.f2918a.getContext().getSystemService("input_method")).showSoftInput(this.f2918a, 0);
            }
        }

        a(@NonNull Window window, @Nullable View view) {
            this.f2916a = window;
            this.f2917b = view;
        }

        private void l(int i) {
            if (i == 1) {
                m(4);
            } else if (i == 2) {
                m(2);
            } else if (i == 8) {
                ((InputMethodManager) this.f2916a.getContext().getSystemService("input_method")).hideSoftInputFromWindow(this.f2916a.getDecorView().getWindowToken(), 0);
            }
        }

        private void o(int i) {
            if (i == 1) {
                p(4);
                q(1024);
            } else if (i == 2) {
                p(2);
            } else if (i == 8) {
                View view = this.f2917b;
                if (view == null || (!view.isInEditMode() && !view.onCheckIsTextEditor())) {
                    view = this.f2916a.getCurrentFocus();
                } else {
                    view.requestFocus();
                }
                if (view == null) {
                    view = this.f2916a.findViewById(16908290);
                }
                if (view != null && view.hasWindowFocus()) {
                    view.post(new RunnableC0045a(view));
                }
            }
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void a(OnControllableInsetsChangedListener onControllableInsetsChangedListener) {
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void b(int i, long j, Interpolator interpolator, CancellationSignal cancellationSignal, WindowInsetsAnimationControlListenerCompat windowInsetsAnimationControlListenerCompat) {
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public int c() {
            return 0;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void d(int i) {
            for (int i2 = 1; i2 <= 256; i2 <<= 1) {
                if ((i & i2) != 0) {
                    l(i2);
                }
            }
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void g(@NonNull OnControllableInsetsChangedListener onControllableInsetsChangedListener) {
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void j(int i) {
            if (i == 0) {
                p(6144);
            } else if (i == 1) {
                p(4096);
                m(2048);
            } else if (i == 2) {
                p(2048);
                m(4096);
            }
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void k(int i) {
            for (int i2 = 1; i2 <= 256; i2 <<= 1) {
                if ((i & i2) != 0) {
                    o(i2);
                }
            }
        }

        /* access modifiers changed from: protected */
        public void m(int i) {
            View decorView = this.f2916a.getDecorView();
            decorView.setSystemUiVisibility(i | decorView.getSystemUiVisibility());
        }

        /* access modifiers changed from: protected */
        public void n(int i) {
            this.f2916a.addFlags(i);
        }

        /* access modifiers changed from: protected */
        public void p(int i) {
            View decorView = this.f2916a.getDecorView();
            decorView.setSystemUiVisibility((~i) & decorView.getSystemUiVisibility());
        }

        /* access modifiers changed from: protected */
        public void q(int i) {
            this.f2916a.clearFlags(i);
        }
    }

    @RequiresApi(23)
    private static class b extends a {
        b(@NonNull Window window, @Nullable View view) {
            super(window, view);
        }

        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public boolean f() {
            return (this.f2916a.getDecorView().getSystemUiVisibility() & 8192) != 0;
        }

        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void i(boolean z) {
            if (z) {
                q(67108864);
                n(Integer.MIN_VALUE);
                m(8192);
                return;
            }
            p(8192);
        }
    }

    @RequiresApi(26)
    private static class c extends b {
        c(@NonNull Window window, @Nullable View view) {
            super(window, view);
        }

        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public boolean e() {
            return (this.f2916a.getDecorView().getSystemUiVisibility() & 16) != 0;
        }

        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void h(boolean z) {
            if (z) {
                q(134217728);
                n(Integer.MIN_VALUE);
                m(16);
                return;
            }
            p(16);
        }
    }

    @RequiresApi(30)
    private static class d extends e {

        /* renamed from: a  reason: collision with root package name */
        final WindowInsetsControllerCompat f2920a;

        /* renamed from: b  reason: collision with root package name */
        final WindowInsetsController f2921b;

        /* renamed from: c  reason: collision with root package name */
        private final i<OnControllableInsetsChangedListener, WindowInsetsController.OnControllableInsetsChangedListener> f2922c;

        class a implements WindowInsetsAnimationControlListener {

            /* renamed from: a  reason: collision with root package name */
            private WindowInsetsAnimationControllerCompat f2923a = null;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ WindowInsetsAnimationControlListenerCompat f2924b;

            a(WindowInsetsAnimationControlListenerCompat windowInsetsAnimationControlListenerCompat) {
                this.f2924b = windowInsetsAnimationControlListenerCompat;
            }

            public void a(@Nullable WindowInsetsAnimationController windowInsetsAnimationController) {
                this.f2924b.onCancelled(windowInsetsAnimationController == null ? null : this.f2923a);
            }

            public void b(@NonNull WindowInsetsAnimationController windowInsetsAnimationController) {
                this.f2924b.onFinished(this.f2923a);
            }

            public void c(@NonNull WindowInsetsAnimationController windowInsetsAnimationController, int i) {
                WindowInsetsAnimationControllerCompat windowInsetsAnimationControllerCompat = new WindowInsetsAnimationControllerCompat(windowInsetsAnimationController);
                this.f2923a = windowInsetsAnimationControllerCompat;
                this.f2924b.onReady(windowInsetsAnimationControllerCompat, i);
            }
        }

        class b implements WindowInsetsController.OnControllableInsetsChangedListener {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ OnControllableInsetsChangedListener f2926a;

            b(OnControllableInsetsChangedListener onControllableInsetsChangedListener) {
                this.f2926a = onControllableInsetsChangedListener;
            }

            public void a(@NonNull WindowInsetsController windowInsetsController, int i) {
                d dVar = d.this;
                if (dVar.f2921b == windowInsetsController) {
                    this.f2926a.onControllableInsetsChanged(dVar.f2920a, i);
                }
            }
        }

        d(@NonNull Window window, @NonNull WindowInsetsControllerCompat windowInsetsControllerCompat) {
            this(window.getInsetsController(), windowInsetsControllerCompat);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void a(@NonNull OnControllableInsetsChangedListener onControllableInsetsChangedListener) {
            if (!this.f2922c.containsKey(onControllableInsetsChangedListener)) {
                WindowInsetsController.OnControllableInsetsChangedListener bVar = new b(onControllableInsetsChangedListener);
                this.f2922c.put(onControllableInsetsChangedListener, bVar);
                this.f2921b.addOnControllableInsetsChangedListener(bVar);
            }
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void b(int i, long j, @Nullable Interpolator interpolator, @Nullable CancellationSignal cancellationSignal, @NonNull WindowInsetsAnimationControlListenerCompat windowInsetsAnimationControlListenerCompat) {
            this.f2921b.controlWindowInsetsAnimation(i, j, interpolator, cancellationSignal, new a(windowInsetsAnimationControlListenerCompat));
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public int c() {
            return this.f2921b.getSystemBarsBehavior();
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void d(int i) {
            this.f2921b.hide(i);
        }

        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public boolean e() {
            return (this.f2921b.getSystemBarsAppearance() & 16) != 0;
        }

        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public boolean f() {
            return (this.f2921b.getSystemBarsAppearance() & 8) != 0;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void g(@NonNull OnControllableInsetsChangedListener onControllableInsetsChangedListener) {
            WindowInsetsController.OnControllableInsetsChangedListener remove = this.f2922c.remove(onControllableInsetsChangedListener);
            if (remove != null) {
                this.f2921b.removeOnControllableInsetsChangedListener(remove);
            }
        }

        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void h(boolean z) {
            if (z) {
                this.f2921b.setSystemBarsAppearance(16, 16);
            } else {
                this.f2921b.setSystemBarsAppearance(0, 16);
            }
        }

        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void i(boolean z) {
            if (z) {
                this.f2921b.setSystemBarsAppearance(8, 8);
            } else {
                this.f2921b.setSystemBarsAppearance(0, 8);
            }
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void j(int i) {
            this.f2921b.setSystemBarsBehavior(i);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.WindowInsetsControllerCompat.e
        public void k(int i) {
            this.f2921b.show(i);
        }

        d(@NonNull WindowInsetsController windowInsetsController, @NonNull WindowInsetsControllerCompat windowInsetsControllerCompat) {
            this.f2922c = new i<>();
            this.f2921b = windowInsetsController;
            this.f2920a = windowInsetsControllerCompat;
        }
    }

    private static class e {
        e() {
        }

        /* access modifiers changed from: package-private */
        public void a(OnControllableInsetsChangedListener onControllableInsetsChangedListener) {
        }

        /* access modifiers changed from: package-private */
        public void b(int i, long j, Interpolator interpolator, CancellationSignal cancellationSignal, WindowInsetsAnimationControlListenerCompat windowInsetsAnimationControlListenerCompat) {
        }

        /* access modifiers changed from: package-private */
        public int c() {
            return 0;
        }

        /* access modifiers changed from: package-private */
        public void d(int i) {
        }

        public boolean e() {
            return false;
        }

        public boolean f() {
            return false;
        }

        /* access modifiers changed from: package-private */
        public void g(@NonNull OnControllableInsetsChangedListener onControllableInsetsChangedListener) {
        }

        public void h(boolean z) {
        }

        public void i(boolean z) {
        }

        /* access modifiers changed from: package-private */
        public void j(int i) {
        }

        /* access modifiers changed from: package-private */
        public void k(int i) {
        }
    }

    @RequiresApi(30)
    private WindowInsetsControllerCompat(@NonNull WindowInsetsController windowInsetsController) {
        if (Build.VERSION.SDK_INT >= 30) {
            this.mImpl = new d(windowInsetsController, this);
        } else {
            this.mImpl = new e();
        }
    }

    @NonNull
    @RequiresApi(30)
    public static WindowInsetsControllerCompat toWindowInsetsControllerCompat(@NonNull WindowInsetsController windowInsetsController) {
        return new WindowInsetsControllerCompat(windowInsetsController);
    }

    public void addOnControllableInsetsChangedListener(@NonNull OnControllableInsetsChangedListener onControllableInsetsChangedListener) {
        this.mImpl.a(onControllableInsetsChangedListener);
    }

    public void controlWindowInsetsAnimation(int i, long j, @Nullable Interpolator interpolator, @Nullable CancellationSignal cancellationSignal, @NonNull WindowInsetsAnimationControlListenerCompat windowInsetsAnimationControlListenerCompat) {
        this.mImpl.b(i, j, interpolator, cancellationSignal, windowInsetsAnimationControlListenerCompat);
    }

    public int getSystemBarsBehavior() {
        return this.mImpl.c();
    }

    public void hide(int i) {
        this.mImpl.d(i);
    }

    public boolean isAppearanceLightNavigationBars() {
        return this.mImpl.e();
    }

    public boolean isAppearanceLightStatusBars() {
        return this.mImpl.f();
    }

    public void removeOnControllableInsetsChangedListener(@NonNull OnControllableInsetsChangedListener onControllableInsetsChangedListener) {
        this.mImpl.g(onControllableInsetsChangedListener);
    }

    public void setAppearanceLightNavigationBars(boolean z) {
        this.mImpl.h(z);
    }

    public void setAppearanceLightStatusBars(boolean z) {
        this.mImpl.i(z);
    }

    public void setSystemBarsBehavior(int i) {
        this.mImpl.j(i);
    }

    public void show(int i) {
        this.mImpl.k(i);
    }

    public WindowInsetsControllerCompat(@NonNull Window window, @NonNull View view) {
        int i = Build.VERSION.SDK_INT;
        if (i >= 30) {
            this.mImpl = new d(window, this);
        } else if (i >= 26) {
            this.mImpl = new c(window, view);
        } else if (i >= 23) {
            this.mImpl = new b(window, view);
        } else if (i >= 20) {
            this.mImpl = new a(window, view);
        } else {
            this.mImpl = new e();
        }
    }
}
