package androidx.core.view.animation;

import android.graphics.Path;
import android.graphics.PathMeasure;
import android.view.animation.Interpolator;

/* compiled from: PathInterpolatorApi14 */
class a implements Interpolator {

    /* renamed from: a  reason: collision with root package name */
    private static final float f2931a = 0.002f;

    /* renamed from: b  reason: collision with root package name */
    private final float[] f2932b;

    /* renamed from: c  reason: collision with root package name */
    private final float[] f2933c;

    a(Path path) {
        PathMeasure pathMeasure = new PathMeasure(path, false);
        float length = pathMeasure.getLength();
        int i = ((int) (length / 0.002f)) + 1;
        this.f2932b = new float[i];
        this.f2933c = new float[i];
        float[] fArr = new float[2];
        for (int i2 = 0; i2 < i; i2++) {
            pathMeasure.getPosTan((((float) i2) * length) / ((float) (i - 1)), fArr, null);
            this.f2932b[i2] = fArr[0];
            this.f2933c[i2] = fArr[1];
        }
    }

    private static Path a(float f, float f2, float f3, float f4) {
        Path path = new Path();
        path.moveTo(0.0f, 0.0f);
        path.cubicTo(f, f2, f3, f4, 1.0f, 1.0f);
        return path;
    }

    private static Path b(float f, float f2) {
        Path path = new Path();
        path.moveTo(0.0f, 0.0f);
        path.quadTo(f, f2, 1.0f, 1.0f);
        return path;
    }

    public float getInterpolation(float f) {
        if (f <= 0.0f) {
            return 0.0f;
        }
        if (f >= 1.0f) {
            return 1.0f;
        }
        int i = 0;
        int length = this.f2932b.length - 1;
        while (length - i > 1) {
            int i2 = (i + length) / 2;
            if (f < this.f2932b[i2]) {
                length = i2;
            } else {
                i = i2;
            }
        }
        float[] fArr = this.f2932b;
        float f2 = fArr[length] - fArr[i];
        if (f2 == 0.0f) {
            return this.f2933c[i];
        }
        float[] fArr2 = this.f2933c;
        float f3 = fArr2[i];
        return f3 + (((f - fArr[i]) / f2) * (fArr2[length] - f3));
    }

    a(float f, float f2) {
        this(b(f, f2));
    }

    a(float f, float f2, float f3, float f4) {
        this(a(f, f2, f3, f4));
    }
}
