package androidx.core.widget;

import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.widget.CheckedTextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import java.lang.reflect.Field;

/* compiled from: CheckedTextViewCompat */
public final class g {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2973a = "CheckedTextViewCompat";

    /* compiled from: CheckedTextViewCompat */
    private static class a {

        /* renamed from: a  reason: collision with root package name */
        private static Field f2974a;

        /* renamed from: b  reason: collision with root package name */
        private static boolean f2975b;

        private a() {
        }

        @Nullable
        static Drawable a(@NonNull CheckedTextView checkedTextView) {
            if (!f2975b) {
                try {
                    Field declaredField = CheckedTextView.class.getDeclaredField("mCheckMarkDrawable");
                    f2974a = declaredField;
                    declaredField.setAccessible(true);
                } catch (NoSuchFieldException e2) {
                    Log.i(g.f2973a, "Failed to retrieve mCheckMarkDrawable field", e2);
                }
                f2975b = true;
            }
            Field field = f2974a;
            if (field != null) {
                try {
                    return (Drawable) field.get(checkedTextView);
                } catch (IllegalAccessException e3) {
                    Log.i(g.f2973a, "Failed to get check mark drawable via reflection", e3);
                    f2974a = null;
                }
            }
            return null;
        }
    }

    @RequiresApi(16)
    /* compiled from: CheckedTextViewCompat */
    private static class b {
        private b() {
        }

        @Nullable
        static Drawable a(@NonNull CheckedTextView checkedTextView) {
            return checkedTextView.getCheckMarkDrawable();
        }
    }

    @RequiresApi(21)
    /* compiled from: CheckedTextViewCompat */
    private static class c {
        private c() {
        }

        @Nullable
        static ColorStateList a(@NonNull CheckedTextView checkedTextView) {
            return checkedTextView.getCheckMarkTintList();
        }

        @Nullable
        static PorterDuff.Mode b(@NonNull CheckedTextView checkedTextView) {
            return checkedTextView.getCheckMarkTintMode();
        }

        static void c(@NonNull CheckedTextView checkedTextView, @Nullable ColorStateList colorStateList) {
            checkedTextView.setCheckMarkTintList(colorStateList);
        }

        static void d(@NonNull CheckedTextView checkedTextView, @Nullable PorterDuff.Mode mode) {
            checkedTextView.setCheckMarkTintMode(mode);
        }
    }

    private g() {
    }

    @Nullable
    public static Drawable a(@NonNull CheckedTextView checkedTextView) {
        if (Build.VERSION.SDK_INT >= 16) {
            return b.a(checkedTextView);
        }
        return a.a(checkedTextView);
    }

    @Nullable
    public static ColorStateList b(@NonNull CheckedTextView checkedTextView) {
        if (Build.VERSION.SDK_INT >= 21) {
            return c.a(checkedTextView);
        }
        if (checkedTextView instanceof r) {
            return ((r) checkedTextView).c();
        }
        return null;
    }

    @Nullable
    public static PorterDuff.Mode c(@NonNull CheckedTextView checkedTextView) {
        if (Build.VERSION.SDK_INT >= 21) {
            return c.b(checkedTextView);
        }
        if (checkedTextView instanceof r) {
            return ((r) checkedTextView).b();
        }
        return null;
    }

    public static void d(@NonNull CheckedTextView checkedTextView, @Nullable ColorStateList colorStateList) {
        if (Build.VERSION.SDK_INT >= 21) {
            c.c(checkedTextView, colorStateList);
        } else if (checkedTextView instanceof r) {
            ((r) checkedTextView).d(colorStateList);
        }
    }

    public static void e(@NonNull CheckedTextView checkedTextView, @Nullable PorterDuff.Mode mode) {
        if (Build.VERSION.SDK_INT >= 21) {
            c.d(checkedTextView, mode);
        } else if (checkedTextView instanceof r) {
            ((r) checkedTextView).a(mode);
        }
    }
}
