package androidx.core.widget;

import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.widget.CompoundButton;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import java.lang.reflect.Field;

/* compiled from: CompoundButtonCompat */
public final class h {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2976a = "CompoundButtonCompat";

    /* renamed from: b  reason: collision with root package name */
    private static Field f2977b;

    /* renamed from: c  reason: collision with root package name */
    private static boolean f2978c;

    private h() {
    }

    @Nullable
    public static Drawable a(@NonNull CompoundButton compoundButton) {
        if (Build.VERSION.SDK_INT >= 23) {
            return compoundButton.getButtonDrawable();
        }
        if (!f2978c) {
            try {
                Field declaredField = CompoundButton.class.getDeclaredField("mButtonDrawable");
                f2977b = declaredField;
                declaredField.setAccessible(true);
            } catch (NoSuchFieldException e2) {
                Log.i(f2976a, "Failed to retrieve mButtonDrawable field", e2);
            }
            f2978c = true;
        }
        Field field = f2977b;
        if (field != null) {
            try {
                return (Drawable) field.get(compoundButton);
            } catch (IllegalAccessException e3) {
                Log.i(f2976a, "Failed to get button drawable via reflection", e3);
                f2977b = null;
            }
        }
        return null;
    }

    @Nullable
    public static ColorStateList b(@NonNull CompoundButton compoundButton) {
        if (Build.VERSION.SDK_INT >= 21) {
            return compoundButton.getButtonTintList();
        }
        if (compoundButton instanceof s) {
            return ((s) compoundButton).getSupportButtonTintList();
        }
        return null;
    }

    @Nullable
    public static PorterDuff.Mode c(@NonNull CompoundButton compoundButton) {
        if (Build.VERSION.SDK_INT >= 21) {
            return compoundButton.getButtonTintMode();
        }
        if (compoundButton instanceof s) {
            return ((s) compoundButton).getSupportButtonTintMode();
        }
        return null;
    }

    public static void d(@NonNull CompoundButton compoundButton, @Nullable ColorStateList colorStateList) {
        if (Build.VERSION.SDK_INT >= 21) {
            compoundButton.setButtonTintList(colorStateList);
        } else if (compoundButton instanceof s) {
            ((s) compoundButton).setSupportButtonTintList(colorStateList);
        }
    }

    public static void e(@NonNull CompoundButton compoundButton, @Nullable PorterDuff.Mode mode) {
        if (Build.VERSION.SDK_INT >= 21) {
            compoundButton.setButtonTintMode(mode);
        } else if (compoundButton instanceof s) {
            ((s) compoundButton).setSupportButtonTintMode(mode);
        }
    }
}
