package androidx.customview.a;

import android.graphics.Rect;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.ViewParentCompat;
import androidx.core.view.accessibility.AccessibilityEventCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.core.view.accessibility.AccessibilityNodeProviderCompat;
import androidx.core.view.accessibility.AccessibilityRecordCompat;
import androidx.customview.a.b;
import b.b.j;
import java.util.ArrayList;
import java.util.List;

/* compiled from: ExploreByTouchHelper */
public abstract class a extends AccessibilityDelegateCompat {

    /* renamed from: a  reason: collision with root package name */
    public static final int f2987a = Integer.MIN_VALUE;

    /* renamed from: b  reason: collision with root package name */
    public static final int f2988b = -1;

    /* renamed from: c  reason: collision with root package name */
    private static final String f2989c = "android.view.View";

    /* renamed from: d  reason: collision with root package name */
    private static final Rect f2990d = new Rect(Integer.MAX_VALUE, Integer.MAX_VALUE, Integer.MIN_VALUE, Integer.MIN_VALUE);

    /* renamed from: e  reason: collision with root package name */
    private static final b.a<AccessibilityNodeInfoCompat> f2991e = new C0046a();
    private static final b.AbstractC0047b<j<AccessibilityNodeInfoCompat>, AccessibilityNodeInfoCompat> f = new b();
    private final Rect g = new Rect();
    private final Rect h = new Rect();
    private final Rect i = new Rect();
    private final int[] j = new int[2];
    private final AccessibilityManager k;
    private final View l;
    private c m;
    int n = Integer.MIN_VALUE;
    int o = Integer.MIN_VALUE;
    private int p = Integer.MIN_VALUE;

    /* renamed from: androidx.customview.a.a$a  reason: collision with other inner class name */
    /* compiled from: ExploreByTouchHelper */
    static class C0046a implements b.a<AccessibilityNodeInfoCompat> {
        C0046a() {
        }

        /* renamed from: b */
        public void a(AccessibilityNodeInfoCompat accessibilityNodeInfoCompat, Rect rect) {
            accessibilityNodeInfoCompat.getBoundsInParent(rect);
        }
    }

    /* compiled from: ExploreByTouchHelper */
    static class b implements b.AbstractC0047b<j<AccessibilityNodeInfoCompat>, AccessibilityNodeInfoCompat> {
        b() {
        }

        /* renamed from: c */
        public AccessibilityNodeInfoCompat a(j<AccessibilityNodeInfoCompat> jVar, int i) {
            return jVar.E(i);
        }

        /* renamed from: d */
        public int b(j<AccessibilityNodeInfoCompat> jVar) {
            return jVar.D();
        }
    }

    /* compiled from: ExploreByTouchHelper */
    private class c extends AccessibilityNodeProviderCompat {
        c() {
        }

        @Override // androidx.core.view.accessibility.AccessibilityNodeProviderCompat
        public AccessibilityNodeInfoCompat createAccessibilityNodeInfo(int i) {
            return AccessibilityNodeInfoCompat.obtain(a.this.y(i));
        }

        @Override // androidx.core.view.accessibility.AccessibilityNodeProviderCompat
        public AccessibilityNodeInfoCompat findFocus(int i) {
            int i2 = i == 2 ? a.this.n : a.this.o;
            if (i2 == Integer.MIN_VALUE) {
                return null;
            }
            return createAccessibilityNodeInfo(i2);
        }

        @Override // androidx.core.view.accessibility.AccessibilityNodeProviderCompat
        public boolean performAction(int i, int i2, Bundle bundle) {
            return a.this.G(i, i2, bundle);
        }
    }

    public a(@NonNull View view) {
        if (view != null) {
            this.l = view;
            this.k = (AccessibilityManager) view.getContext().getSystemService("accessibility");
            view.setFocusable(true);
            if (ViewCompat.getImportantForAccessibility(view) == 0) {
                ViewCompat.setImportantForAccessibility(view, 1);
                return;
            }
            return;
        }
        throw new IllegalArgumentException("View may not be null");
    }

    private boolean H(int i2, int i3, Bundle bundle) {
        if (i3 == 1) {
            return K(i2);
        }
        if (i3 == 2) {
            return b(i2);
        }
        if (i3 == 64) {
            return J(i2);
        }
        if (i3 != 128) {
            return A(i2, i3, bundle);
        }
        return a(i2);
    }

    private boolean I(int i2, Bundle bundle) {
        return ViewCompat.performAccessibilityAction(this.l, i2, bundle);
    }

    private boolean J(int i2) {
        int i3;
        if (!this.k.isEnabled() || !this.k.isTouchExplorationEnabled() || (i3 = this.n) == i2) {
            return false;
        }
        if (i3 != Integer.MIN_VALUE) {
            a(i3);
        }
        this.n = i2;
        this.l.invalidate();
        L(i2, 32768);
        return true;
    }

    private void M(int i2) {
        int i3 = this.p;
        if (i3 != i2) {
            this.p = i2;
            L(i2, 128);
            L(i3, 256);
        }
    }

    private boolean a(int i2) {
        if (this.n != i2) {
            return false;
        }
        this.n = Integer.MIN_VALUE;
        this.l.invalidate();
        L(i2, 65536);
        return true;
    }

    private boolean c() {
        int i2 = this.o;
        return i2 != Integer.MIN_VALUE && A(i2, 16, null);
    }

    private AccessibilityEvent d(int i2, int i3) {
        if (i2 != -1) {
            return e(i2, i3);
        }
        return f(i3);
    }

    private AccessibilityEvent e(int i2, int i3) {
        AccessibilityEvent obtain = AccessibilityEvent.obtain(i3);
        AccessibilityNodeInfoCompat y = y(i2);
        obtain.getText().add(y.getText());
        obtain.setContentDescription(y.getContentDescription());
        obtain.setScrollable(y.isScrollable());
        obtain.setPassword(y.isPassword());
        obtain.setEnabled(y.isEnabled());
        obtain.setChecked(y.isChecked());
        C(i2, obtain);
        if (!obtain.getText().isEmpty() || obtain.getContentDescription() != null) {
            obtain.setClassName(y.getClassName());
            AccessibilityRecordCompat.setSource(obtain, this.l, i2);
            obtain.setPackageName(this.l.getContext().getPackageName());
            return obtain;
        }
        throw new RuntimeException("Callbacks must add text or a content description in populateEventForVirtualViewId()");
    }

    private AccessibilityEvent f(int i2) {
        AccessibilityEvent obtain = AccessibilityEvent.obtain(i2);
        this.l.onInitializeAccessibilityEvent(obtain);
        return obtain;
    }

    @NonNull
    private AccessibilityNodeInfoCompat g(int i2) {
        AccessibilityNodeInfoCompat obtain = AccessibilityNodeInfoCompat.obtain();
        obtain.setEnabled(true);
        obtain.setFocusable(true);
        obtain.setClassName(f2989c);
        Rect rect = f2990d;
        obtain.setBoundsInParent(rect);
        obtain.setBoundsInScreen(rect);
        obtain.setParent(this.l);
        E(i2, obtain);
        if (obtain.getText() == null && obtain.getContentDescription() == null) {
            throw new RuntimeException("Callbacks must add text or a content description in populateNodeForVirtualViewId()");
        }
        obtain.getBoundsInParent(this.h);
        if (!this.h.equals(rect)) {
            int actions = obtain.getActions();
            if ((actions & 64) != 0) {
                throw new RuntimeException("Callbacks must not add ACTION_ACCESSIBILITY_FOCUS in populateNodeForVirtualViewId()");
            } else if ((actions & 128) == 0) {
                obtain.setPackageName(this.l.getContext().getPackageName());
                obtain.setSource(this.l, i2);
                if (this.n == i2) {
                    obtain.setAccessibilityFocused(true);
                    obtain.addAction(128);
                } else {
                    obtain.setAccessibilityFocused(false);
                    obtain.addAction(64);
                }
                boolean z = this.o == i2;
                if (z) {
                    obtain.addAction(2);
                } else if (obtain.isFocusable()) {
                    obtain.addAction(1);
                }
                obtain.setFocused(z);
                this.l.getLocationOnScreen(this.j);
                obtain.getBoundsInScreen(this.g);
                if (this.g.equals(rect)) {
                    obtain.getBoundsInParent(this.g);
                    if (obtain.mParentVirtualDescendantId != -1) {
                        AccessibilityNodeInfoCompat obtain2 = AccessibilityNodeInfoCompat.obtain();
                        for (int i3 = obtain.mParentVirtualDescendantId; i3 != -1; i3 = obtain2.mParentVirtualDescendantId) {
                            obtain2.setParent(this.l, -1);
                            obtain2.setBoundsInParent(f2990d);
                            E(i3, obtain2);
                            obtain2.getBoundsInParent(this.h);
                            Rect rect2 = this.g;
                            Rect rect3 = this.h;
                            rect2.offset(rect3.left, rect3.top);
                        }
                        obtain2.recycle();
                    }
                    this.g.offset(this.j[0] - this.l.getScrollX(), this.j[1] - this.l.getScrollY());
                }
                if (this.l.getLocalVisibleRect(this.i)) {
                    this.i.offset(this.j[0] - this.l.getScrollX(), this.j[1] - this.l.getScrollY());
                    if (this.g.intersect(this.i)) {
                        obtain.setBoundsInScreen(this.g);
                        if (v(this.g)) {
                            obtain.setVisibleToUser(true);
                        }
                    }
                }
                return obtain;
            } else {
                throw new RuntimeException("Callbacks must not add ACTION_CLEAR_ACCESSIBILITY_FOCUS in populateNodeForVirtualViewId()");
            }
        } else {
            throw new RuntimeException("Callbacks must set parent bounds in populateNodeForVirtualViewId()");
        }
    }

    @NonNull
    private AccessibilityNodeInfoCompat h() {
        AccessibilityNodeInfoCompat obtain = AccessibilityNodeInfoCompat.obtain(this.l);
        ViewCompat.onInitializeAccessibilityNodeInfo(this.l, obtain);
        ArrayList arrayList = new ArrayList();
        q(arrayList);
        if (obtain.getChildCount() <= 0 || arrayList.size() <= 0) {
            int size = arrayList.size();
            for (int i2 = 0; i2 < size; i2++) {
                obtain.addChild(this.l, ((Integer) arrayList.get(i2)).intValue());
            }
            return obtain;
        }
        throw new RuntimeException("Views cannot have both real and virtual children");
    }

    private j<AccessibilityNodeInfoCompat> l() {
        ArrayList arrayList = new ArrayList();
        q(arrayList);
        j<AccessibilityNodeInfoCompat> jVar = new j<>();
        for (int i2 = 0; i2 < arrayList.size(); i2++) {
            jVar.t(i2, g(i2));
        }
        return jVar;
    }

    private void m(int i2, Rect rect) {
        y(i2).getBoundsInParent(rect);
    }

    private static Rect r(@NonNull View view, int i2, @NonNull Rect rect) {
        int width = view.getWidth();
        int height = view.getHeight();
        if (i2 == 17) {
            rect.set(width, 0, width, height);
        } else if (i2 == 33) {
            rect.set(0, height, width, height);
        } else if (i2 == 66) {
            rect.set(-1, 0, -1, height);
        } else if (i2 == 130) {
            rect.set(0, -1, width, -1);
        } else {
            throw new IllegalArgumentException("direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
        }
        return rect;
    }

    private boolean v(Rect rect) {
        if (rect == null || rect.isEmpty() || this.l.getWindowVisibility() != 0) {
            return false;
        }
        ViewParent parent = this.l.getParent();
        while (parent instanceof View) {
            View view = (View) parent;
            if (view.getAlpha() <= 0.0f || view.getVisibility() != 0) {
                return false;
            }
            parent = view.getParent();
        }
        if (parent != null) {
            return true;
        }
        return false;
    }

    private static int w(int i2) {
        if (i2 == 19) {
            return 33;
        }
        if (i2 != 21) {
            return i2 != 22 ? 130 : 66;
        }
        return 17;
    }

    private boolean x(int i2, @Nullable Rect rect) {
        AccessibilityNodeInfoCompat accessibilityNodeInfoCompat;
        AccessibilityNodeInfoCompat accessibilityNodeInfoCompat2;
        j<AccessibilityNodeInfoCompat> l2 = l();
        int i3 = this.o;
        int i4 = Integer.MIN_VALUE;
        if (i3 == Integer.MIN_VALUE) {
            accessibilityNodeInfoCompat = null;
        } else {
            accessibilityNodeInfoCompat = l2.m(i3);
        }
        if (i2 == 1 || i2 == 2) {
            accessibilityNodeInfoCompat2 = (AccessibilityNodeInfoCompat) b.d(l2, f, f2991e, accessibilityNodeInfoCompat, i2, ViewCompat.getLayoutDirection(this.l) == 1, false);
        } else if (i2 == 17 || i2 == 33 || i2 == 66 || i2 == 130) {
            Rect rect2 = new Rect();
            int i5 = this.o;
            if (i5 != Integer.MIN_VALUE) {
                m(i5, rect2);
            } else if (rect != null) {
                rect2.set(rect);
            } else {
                r(this.l, i2, rect2);
            }
            accessibilityNodeInfoCompat2 = (AccessibilityNodeInfoCompat) b.c(l2, f, f2991e, accessibilityNodeInfoCompat, rect2, i2);
        } else {
            throw new IllegalArgumentException("direction must be one of {FOCUS_FORWARD, FOCUS_BACKWARD, FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
        }
        if (accessibilityNodeInfoCompat2 != null) {
            i4 = l2.s(l2.q(accessibilityNodeInfoCompat2));
        }
        return K(i4);
    }

    /* access modifiers changed from: protected */
    public abstract boolean A(int i2, int i3, @Nullable Bundle bundle);

    /* access modifiers changed from: protected */
    public void B(@NonNull AccessibilityEvent accessibilityEvent) {
    }

    /* access modifiers changed from: protected */
    public void C(int i2, @NonNull AccessibilityEvent accessibilityEvent) {
    }

    /* access modifiers changed from: protected */
    public void D(@NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
    }

    /* access modifiers changed from: protected */
    public abstract void E(int i2, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat);

    /* access modifiers changed from: protected */
    public void F(int i2, boolean z) {
    }

    /* access modifiers changed from: package-private */
    public boolean G(int i2, int i3, Bundle bundle) {
        if (i2 != -1) {
            return H(i2, i3, bundle);
        }
        return I(i3, bundle);
    }

    public final boolean K(int i2) {
        int i3;
        if ((!this.l.isFocused() && !this.l.requestFocus()) || (i3 = this.o) == i2) {
            return false;
        }
        if (i3 != Integer.MIN_VALUE) {
            b(i3);
        }
        this.o = i2;
        F(i2, true);
        L(i2, 8);
        return true;
    }

    public final boolean L(int i2, int i3) {
        ViewParent parent;
        if (i2 == Integer.MIN_VALUE || !this.k.isEnabled() || (parent = this.l.getParent()) == null) {
            return false;
        }
        return ViewParentCompat.requestSendAccessibilityEvent(parent, this.l, d(i2, i3));
    }

    public final boolean b(int i2) {
        if (this.o != i2) {
            return false;
        }
        this.o = Integer.MIN_VALUE;
        F(i2, false);
        L(i2, 8);
        return true;
    }

    @Override // androidx.core.view.AccessibilityDelegateCompat
    public AccessibilityNodeProviderCompat getAccessibilityNodeProvider(View view) {
        if (this.m == null) {
            this.m = new c();
        }
        return this.m;
    }

    public final boolean i(@NonNull MotionEvent motionEvent) {
        if (!this.k.isEnabled() || !this.k.isTouchExplorationEnabled()) {
            return false;
        }
        int action = motionEvent.getAction();
        if (action == 7 || action == 9) {
            int p2 = p(motionEvent.getX(), motionEvent.getY());
            M(p2);
            if (p2 != Integer.MIN_VALUE) {
                return true;
            }
            return false;
        } else if (action != 10 || this.p == Integer.MIN_VALUE) {
            return false;
        } else {
            M(Integer.MIN_VALUE);
            return true;
        }
    }

    public final boolean j(@NonNull KeyEvent keyEvent) {
        int i2 = 0;
        if (keyEvent.getAction() == 1) {
            return false;
        }
        int keyCode = keyEvent.getKeyCode();
        if (keyCode != 61) {
            if (keyCode != 66) {
                switch (keyCode) {
                    case 19:
                    case 20:
                    case 21:
                    case 22:
                        if (!keyEvent.hasNoModifiers()) {
                            return false;
                        }
                        int w = w(keyCode);
                        int repeatCount = keyEvent.getRepeatCount() + 1;
                        boolean z = false;
                        while (i2 < repeatCount && x(w, null)) {
                            i2++;
                            z = true;
                        }
                        return z;
                    case 23:
                        break;
                    default:
                        return false;
                }
            }
            if (!keyEvent.hasNoModifiers() || keyEvent.getRepeatCount() != 0) {
                return false;
            }
            c();
            return true;
        } else if (keyEvent.hasNoModifiers()) {
            return x(2, null);
        } else {
            if (keyEvent.hasModifiers(1)) {
                return x(1, null);
            }
            return false;
        }
    }

    public final int k() {
        return this.n;
    }

    @Deprecated
    public int n() {
        return k();
    }

    public final int o() {
        return this.o;
    }

    @Override // androidx.core.view.AccessibilityDelegateCompat
    public void onInitializeAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(view, accessibilityEvent);
        B(accessibilityEvent);
    }

    @Override // androidx.core.view.AccessibilityDelegateCompat
    public void onInitializeAccessibilityNodeInfo(View view, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
        super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
        D(accessibilityNodeInfoCompat);
    }

    /* access modifiers changed from: protected */
    public abstract int p(float f2, float f3);

    /* access modifiers changed from: protected */
    public abstract void q(List<Integer> list);

    public final void s() {
        u(-1, 1);
    }

    public final void t(int i2) {
        u(i2, 0);
    }

    public final void u(int i2, int i3) {
        ViewParent parent;
        if (i2 != Integer.MIN_VALUE && this.k.isEnabled() && (parent = this.l.getParent()) != null) {
            AccessibilityEvent d2 = d(i2, 2048);
            AccessibilityEventCompat.setContentChangeTypes(d2, i3);
            ViewParentCompat.requestSendAccessibilityEvent(parent, this.l, d2);
        }
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public AccessibilityNodeInfoCompat y(int i2) {
        if (i2 == -1) {
            return h();
        }
        return g(i2);
    }

    public final void z(boolean z, int i2, @Nullable Rect rect) {
        int i3 = this.o;
        if (i3 != Integer.MIN_VALUE) {
            b(i3);
        }
        if (z) {
            x(i2, rect);
        }
    }
}
