package androidx.drawerlayout.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.SystemClock;
import android.util.AttributeSet;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.WindowInsets;
import android.view.accessibility.AccessibilityEvent;
import androidx.annotation.ColorInt;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.GravityCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.customview.a.c;
import androidx.customview.view.AbsSavedState;
import java.util.ArrayList;
import java.util.List;

public class DrawerLayout extends ViewGroup {
    public static final int I0 = 0;
    public static final int J0 = 1;
    public static final int K0 = 2;
    public static final int L0 = 0;
    public static final int M0 = 1;
    public static final int N0 = 2;
    public static final int O0 = 3;
    private static final int P0 = 64;
    private static final int Q0 = 10;
    private static final int R0 = -1728053248;
    private static final int S0 = 160;
    private static final int T0 = 400;
    private static final boolean U0 = false;
    private static final boolean V0 = true;
    private static final float W0 = 1.0f;
    static final int[] X0 = {16842931};
    static final boolean Y0;
    private static final boolean Z0;

    /* renamed from: a  reason: collision with root package name */
    private static final String f3003a = "DrawerLayout";

    /* renamed from: b  reason: collision with root package name */
    private static final int[] f3004b = {16843828};
    private CharSequence A1;
    private CharSequence B1;
    private Object C1;
    private boolean D1;
    private Drawable E1;
    private Drawable F1;
    private Drawable G1;
    private Drawable H1;
    private final ArrayList<View> I1;
    private Rect J1;
    private Matrix K1;
    private final c a1;
    private float b1;
    private int c1;
    private int d1;
    private float e1;
    private Paint f1;
    private final androidx.customview.a.c g1;
    private final androidx.customview.a.c h1;
    private final f i1;
    private final f j1;
    private int k1;
    private boolean l1;
    private boolean m1;
    private int n1;
    private int o1;
    private int p1;
    private int q1;
    private boolean r1;
    private boolean s1;
    @Nullable
    private d t1;
    private List<d> u1;
    private float v1;
    private float w1;
    private Drawable x1;
    private Drawable y1;
    private Drawable z1;

    class a implements View.OnApplyWindowInsetsListener {
        a() {
        }

        public WindowInsets onApplyWindowInsets(View view, WindowInsets windowInsets) {
            ((DrawerLayout) view).S(windowInsets, windowInsets.getSystemWindowInsetTop() > 0);
            return windowInsets.consumeSystemWindowInsets();
        }
    }

    class b extends AccessibilityDelegateCompat {

        /* renamed from: a  reason: collision with root package name */
        private final Rect f3011a = new Rect();

        b() {
        }

        private void a(AccessibilityNodeInfoCompat accessibilityNodeInfoCompat, ViewGroup viewGroup) {
            int childCount = viewGroup.getChildCount();
            for (int i = 0; i < childCount; i++) {
                View childAt = viewGroup.getChildAt(i);
                if (DrawerLayout.A(childAt)) {
                    accessibilityNodeInfoCompat.addChild(childAt);
                }
            }
        }

        private void b(AccessibilityNodeInfoCompat accessibilityNodeInfoCompat, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat2) {
            Rect rect = this.f3011a;
            accessibilityNodeInfoCompat2.getBoundsInParent(rect);
            accessibilityNodeInfoCompat.setBoundsInParent(rect);
            accessibilityNodeInfoCompat2.getBoundsInScreen(rect);
            accessibilityNodeInfoCompat.setBoundsInScreen(rect);
            accessibilityNodeInfoCompat.setVisibleToUser(accessibilityNodeInfoCompat2.isVisibleToUser());
            accessibilityNodeInfoCompat.setPackageName(accessibilityNodeInfoCompat2.getPackageName());
            accessibilityNodeInfoCompat.setClassName(accessibilityNodeInfoCompat2.getClassName());
            accessibilityNodeInfoCompat.setContentDescription(accessibilityNodeInfoCompat2.getContentDescription());
            accessibilityNodeInfoCompat.setEnabled(accessibilityNodeInfoCompat2.isEnabled());
            accessibilityNodeInfoCompat.setClickable(accessibilityNodeInfoCompat2.isClickable());
            accessibilityNodeInfoCompat.setFocusable(accessibilityNodeInfoCompat2.isFocusable());
            accessibilityNodeInfoCompat.setFocused(accessibilityNodeInfoCompat2.isFocused());
            accessibilityNodeInfoCompat.setAccessibilityFocused(accessibilityNodeInfoCompat2.isAccessibilityFocused());
            accessibilityNodeInfoCompat.setSelected(accessibilityNodeInfoCompat2.isSelected());
            accessibilityNodeInfoCompat.setLongClickable(accessibilityNodeInfoCompat2.isLongClickable());
            accessibilityNodeInfoCompat.addAction(accessibilityNodeInfoCompat2.getActions());
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public boolean dispatchPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            CharSequence s;
            if (accessibilityEvent.getEventType() != 32) {
                return super.dispatchPopulateAccessibilityEvent(view, accessibilityEvent);
            }
            List<CharSequence> text = accessibilityEvent.getText();
            View p = DrawerLayout.this.p();
            if (p == null || (s = DrawerLayout.this.s(DrawerLayout.this.t(p))) == null) {
                return true;
            }
            text.add(s);
            return true;
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            super.onInitializeAccessibilityEvent(view, accessibilityEvent);
            accessibilityEvent.setClassName(DrawerLayout.class.getName());
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            if (DrawerLayout.Y0) {
                super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            } else {
                AccessibilityNodeInfoCompat obtain = AccessibilityNodeInfoCompat.obtain(accessibilityNodeInfoCompat);
                super.onInitializeAccessibilityNodeInfo(view, obtain);
                accessibilityNodeInfoCompat.setSource(view);
                ViewParent parentForAccessibility = ViewCompat.getParentForAccessibility(view);
                if (parentForAccessibility instanceof View) {
                    accessibilityNodeInfoCompat.setParent((View) parentForAccessibility);
                }
                b(accessibilityNodeInfoCompat, obtain);
                obtain.recycle();
                a(accessibilityNodeInfoCompat, (ViewGroup) view);
            }
            accessibilityNodeInfoCompat.setClassName(DrawerLayout.class.getName());
            accessibilityNodeInfoCompat.setFocusable(false);
            accessibilityNodeInfoCompat.setFocused(false);
            accessibilityNodeInfoCompat.removeAction(AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_FOCUS);
            accessibilityNodeInfoCompat.removeAction(AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_CLEAR_FOCUS);
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public boolean onRequestSendAccessibilityEvent(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
            if (DrawerLayout.Y0 || DrawerLayout.A(view)) {
                return super.onRequestSendAccessibilityEvent(viewGroup, view, accessibilityEvent);
            }
            return false;
        }
    }

    static final class c extends AccessibilityDelegateCompat {
        c() {
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            if (!DrawerLayout.A(view)) {
                accessibilityNodeInfoCompat.setParent(null);
            }
        }
    }

    public interface d {
        void a(@NonNull View view);

        void b(@NonNull View view);

        void c(int i);

        void d(@NonNull View view, float f);
    }

    public static abstract class e implements d {
        @Override // androidx.drawerlayout.widget.DrawerLayout.d
        public void a(View view) {
        }

        @Override // androidx.drawerlayout.widget.DrawerLayout.d
        public void b(View view) {
        }

        @Override // androidx.drawerlayout.widget.DrawerLayout.d
        public void c(int i) {
        }

        @Override // androidx.drawerlayout.widget.DrawerLayout.d
        public void d(View view, float f) {
        }
    }

    /* access modifiers changed from: private */
    public class f extends c.AbstractC0048c {

        /* renamed from: a  reason: collision with root package name */
        private final int f3013a;

        /* renamed from: b  reason: collision with root package name */
        private androidx.customview.a.c f3014b;

        /* renamed from: c  reason: collision with root package name */
        private final Runnable f3015c = new a();

        class a implements Runnable {
            a() {
            }

            public void run() {
                f.this.o();
            }
        }

        f(int i) {
            this.f3013a = i;
        }

        private void n() {
            int i = 3;
            if (this.f3013a == 3) {
                i = 5;
            }
            View n = DrawerLayout.this.n(i);
            if (n != null) {
                DrawerLayout.this.f(n);
            }
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public int a(View view, int i, int i2) {
            if (DrawerLayout.this.c(view, 3)) {
                return Math.max(-view.getWidth(), Math.min(i, 0));
            }
            int width = DrawerLayout.this.getWidth();
            return Math.max(width - view.getWidth(), Math.min(i, width));
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public int b(View view, int i, int i2) {
            return view.getTop();
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public int d(View view) {
            if (DrawerLayout.this.E(view)) {
                return view.getWidth();
            }
            return 0;
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public void f(int i, int i2) {
            View view;
            if ((i & 1) == 1) {
                view = DrawerLayout.this.n(3);
            } else {
                view = DrawerLayout.this.n(5);
            }
            if (view != null && DrawerLayout.this.r(view) == 0) {
                this.f3014b.d(view, i2);
            }
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public boolean g(int i) {
            return false;
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public void h(int i, int i2) {
            DrawerLayout.this.postDelayed(this.f3015c, 160);
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public void i(View view, int i) {
            ((LayoutParams) view.getLayoutParams()).f = false;
            n();
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public void j(int i) {
            DrawerLayout.this.a0(this.f3013a, i, this.f3014b.z());
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public void k(View view, int i, int i2, int i3, int i4) {
            float f;
            int width = view.getWidth();
            if (DrawerLayout.this.c(view, 3)) {
                f = (float) (i + width);
            } else {
                f = (float) (DrawerLayout.this.getWidth() - i);
            }
            float f2 = f / ((float) width);
            DrawerLayout.this.Y(view, f2);
            view.setVisibility(f2 == 0.0f ? 4 : 0);
            DrawerLayout.this.invalidate();
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public void l(View view, float f, float f2) {
            int i;
            float u = DrawerLayout.this.u(view);
            int width = view.getWidth();
            if (DrawerLayout.this.c(view, 3)) {
                int i2 = (f > 0.0f ? 1 : (f == 0.0f ? 0 : -1));
                i = (i2 > 0 || (i2 == 0 && u > 0.5f)) ? 0 : -width;
            } else {
                int width2 = DrawerLayout.this.getWidth();
                if (f < 0.0f || (f == 0.0f && u > 0.5f)) {
                    width2 -= width;
                }
                i = width2;
            }
            this.f3014b.T(i, view.getTop());
            DrawerLayout.this.invalidate();
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public boolean m(View view, int i) {
            return DrawerLayout.this.E(view) && DrawerLayout.this.c(view, this.f3013a) && DrawerLayout.this.r(view) == 0;
        }

        /* access modifiers changed from: package-private */
        public void o() {
            View view;
            int i;
            int A = this.f3014b.A();
            int i2 = 0;
            boolean z = this.f3013a == 3;
            if (z) {
                view = DrawerLayout.this.n(3);
                if (view != null) {
                    i2 = -view.getWidth();
                }
                i = i2 + A;
            } else {
                view = DrawerLayout.this.n(5);
                i = DrawerLayout.this.getWidth() - A;
            }
            if (view == null) {
                return;
            }
            if (((z && view.getLeft() < i) || (!z && view.getLeft() > i)) && DrawerLayout.this.r(view) == 0) {
                this.f3014b.V(view, i, view.getTop());
                ((LayoutParams) view.getLayoutParams()).f = true;
                DrawerLayout.this.invalidate();
                n();
                DrawerLayout.this.b();
            }
        }

        public void p() {
            DrawerLayout.this.removeCallbacks(this.f3015c);
        }

        public void q(androidx.customview.a.c cVar) {
            this.f3014b = cVar;
        }
    }

    static {
        boolean z = true;
        int i = Build.VERSION.SDK_INT;
        Y0 = i >= 19;
        if (i < 21) {
            z = false;
        }
        Z0 = z;
    }

    public DrawerLayout(@NonNull Context context) {
        this(context, null);
    }

    static boolean A(View view) {
        return (ViewCompat.getImportantForAccessibility(view) == 4 || ViewCompat.getImportantForAccessibility(view) == 2) ? false : true;
    }

    private boolean H(float f2, float f3, View view) {
        if (this.J1 == null) {
            this.J1 = new Rect();
        }
        view.getHitRect(this.J1);
        return this.J1.contains((int) f2, (int) f3);
    }

    private boolean I(Drawable drawable, int i) {
        if (drawable == null || !androidx.core.graphics.drawable.c.h(drawable)) {
            return false;
        }
        androidx.core.graphics.drawable.c.m(drawable, i);
        return true;
    }

    private Drawable P() {
        int layoutDirection = ViewCompat.getLayoutDirection(this);
        if (layoutDirection == 0) {
            Drawable drawable = this.E1;
            if (drawable != null) {
                I(drawable, layoutDirection);
                return this.E1;
            }
        } else {
            Drawable drawable2 = this.F1;
            if (drawable2 != null) {
                I(drawable2, layoutDirection);
                return this.F1;
            }
        }
        return this.G1;
    }

    private Drawable Q() {
        int layoutDirection = ViewCompat.getLayoutDirection(this);
        if (layoutDirection == 0) {
            Drawable drawable = this.F1;
            if (drawable != null) {
                I(drawable, layoutDirection);
                return this.F1;
            }
        } else {
            Drawable drawable2 = this.E1;
            if (drawable2 != null) {
                I(drawable2, layoutDirection);
                return this.E1;
            }
        }
        return this.H1;
    }

    private void R() {
        if (!Z0) {
            this.y1 = P();
            this.z1 = Q();
        }
    }

    private void Z(View view, boolean z) {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if ((z || E(childAt)) && (!z || childAt != view)) {
                ViewCompat.setImportantForAccessibility(childAt, 4);
            } else {
                ViewCompat.setImportantForAccessibility(childAt, 1);
            }
        }
    }

    private boolean m(MotionEvent motionEvent, View view) {
        if (!view.getMatrix().isIdentity()) {
            MotionEvent v = v(motionEvent, view);
            boolean dispatchGenericMotionEvent = view.dispatchGenericMotionEvent(v);
            v.recycle();
            return dispatchGenericMotionEvent;
        }
        float scrollX = (float) (getScrollX() - view.getLeft());
        float scrollY = (float) (getScrollY() - view.getTop());
        motionEvent.offsetLocation(scrollX, scrollY);
        boolean dispatchGenericMotionEvent2 = view.dispatchGenericMotionEvent(motionEvent);
        motionEvent.offsetLocation(-scrollX, -scrollY);
        return dispatchGenericMotionEvent2;
    }

    private MotionEvent v(MotionEvent motionEvent, View view) {
        MotionEvent obtain = MotionEvent.obtain(motionEvent);
        obtain.offsetLocation((float) (getScrollX() - view.getLeft()), (float) (getScrollY() - view.getTop()));
        Matrix matrix = view.getMatrix();
        if (!matrix.isIdentity()) {
            if (this.K1 == null) {
                this.K1 = new Matrix();
            }
            matrix.invert(this.K1);
            obtain.transform(this.K1);
        }
        return obtain;
    }

    static String w(int i) {
        if ((i & 3) == 3) {
            return "LEFT";
        }
        return (i & 5) == 5 ? "RIGHT" : Integer.toHexString(i);
    }

    private static boolean x(View view) {
        Drawable background = view.getBackground();
        if (background == null || background.getOpacity() != -1) {
            return false;
        }
        return true;
    }

    private boolean y() {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            if (((LayoutParams) getChildAt(i).getLayoutParams()).f) {
                return true;
            }
        }
        return false;
    }

    private boolean z() {
        return p() != null;
    }

    /* access modifiers changed from: package-private */
    public boolean B(View view) {
        return ((LayoutParams) view.getLayoutParams()).f3008d == 0;
    }

    public boolean C(int i) {
        View n = n(i);
        if (n != null) {
            return D(n);
        }
        return false;
    }

    public boolean D(@NonNull View view) {
        if (E(view)) {
            return (((LayoutParams) view.getLayoutParams()).g & 1) == 1;
        }
        throw new IllegalArgumentException("View " + view + " is not a drawer");
    }

    /* access modifiers changed from: package-private */
    public boolean E(View view) {
        int absoluteGravity = GravityCompat.getAbsoluteGravity(((LayoutParams) view.getLayoutParams()).f3008d, ViewCompat.getLayoutDirection(view));
        return ((absoluteGravity & 3) == 0 && (absoluteGravity & 5) == 0) ? false : true;
    }

    public boolean F(int i) {
        View n = n(i);
        if (n != null) {
            return G(n);
        }
        return false;
    }

    public boolean G(@NonNull View view) {
        if (E(view)) {
            return ((LayoutParams) view.getLayoutParams()).f3009e > 0.0f;
        }
        throw new IllegalArgumentException("View " + view + " is not a drawer");
    }

    /* access modifiers changed from: package-private */
    public void J(View view, float f2) {
        float u = u(view);
        float width = (float) view.getWidth();
        int i = ((int) (width * f2)) - ((int) (u * width));
        if (!c(view, 3)) {
            i = -i;
        }
        view.offsetLeftAndRight(i);
        Y(view, f2);
    }

    public void K(int i) {
        L(i, true);
    }

    public void L(int i, boolean z) {
        View n = n(i);
        if (n != null) {
            N(n, z);
            return;
        }
        throw new IllegalArgumentException("No drawer view found with gravity " + w(i));
    }

    public void M(@NonNull View view) {
        N(view, true);
    }

    public void N(@NonNull View view, boolean z) {
        if (E(view)) {
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            if (this.m1) {
                layoutParams.f3009e = 1.0f;
                layoutParams.g = 1;
                Z(view, true);
            } else if (z) {
                layoutParams.g |= 2;
                if (c(view, 3)) {
                    this.g1.V(view, 0, view.getTop());
                } else {
                    this.h1.V(view, getWidth() - view.getWidth(), view.getTop());
                }
            } else {
                J(view, 1.0f);
                a0(layoutParams.f3008d, 0, view);
                view.setVisibility(0);
            }
            invalidate();
            return;
        }
        throw new IllegalArgumentException("View " + view + " is not a sliding drawer");
    }

    public void O(@NonNull d dVar) {
        List<d> list;
        if (dVar != null && (list = this.u1) != null) {
            list.remove(dVar);
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void S(Object obj, boolean z) {
        this.C1 = obj;
        this.D1 = z;
        setWillNotDraw(!z && getBackground() == null);
        requestLayout();
    }

    public void T(int i, int i2) {
        View n;
        int absoluteGravity = GravityCompat.getAbsoluteGravity(i2, ViewCompat.getLayoutDirection(this));
        if (i2 == 3) {
            this.n1 = i;
        } else if (i2 == 5) {
            this.o1 = i;
        } else if (i2 == 8388611) {
            this.p1 = i;
        } else if (i2 == 8388613) {
            this.q1 = i;
        }
        if (i != 0) {
            (absoluteGravity == 3 ? this.g1 : this.h1).c();
        }
        if (i == 1) {
            View n2 = n(absoluteGravity);
            if (n2 != null) {
                f(n2);
            }
        } else if (i == 2 && (n = n(absoluteGravity)) != null) {
            M(n);
        }
    }

    public void U(int i, @NonNull View view) {
        if (E(view)) {
            T(i, ((LayoutParams) view.getLayoutParams()).f3008d);
            return;
        }
        throw new IllegalArgumentException("View " + view + " is not a " + "drawer with appropriate layout_gravity");
    }

    public void V(@DrawableRes int i, int i2) {
        W(androidx.core.content.d.i(getContext(), i), i2);
    }

    public void W(Drawable drawable, int i) {
        if (!Z0) {
            if ((i & GravityCompat.START) == 8388611) {
                this.E1 = drawable;
            } else if ((i & GravityCompat.END) == 8388613) {
                this.F1 = drawable;
            } else if ((i & 3) == 3) {
                this.G1 = drawable;
            } else if ((i & 5) == 5) {
                this.H1 = drawable;
            } else {
                return;
            }
            R();
            invalidate();
        }
    }

    public void X(int i, @Nullable CharSequence charSequence) {
        int absoluteGravity = GravityCompat.getAbsoluteGravity(i, ViewCompat.getLayoutDirection(this));
        if (absoluteGravity == 3) {
            this.A1 = charSequence;
        } else if (absoluteGravity == 5) {
            this.B1 = charSequence;
        }
    }

    /* access modifiers changed from: package-private */
    public void Y(View view, float f2) {
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        if (f2 != layoutParams.f3009e) {
            layoutParams.f3009e = f2;
            l(view, f2);
        }
    }

    public void a(@NonNull d dVar) {
        if (dVar != null) {
            if (this.u1 == null) {
                this.u1 = new ArrayList();
            }
            this.u1.add(dVar);
        }
    }

    /* access modifiers changed from: package-private */
    public void a0(int i, int i2, View view) {
        int E = this.g1.E();
        int E2 = this.h1.E();
        int i3 = 2;
        if (E == 1 || E2 == 1) {
            i3 = 1;
        } else if (!(E == 2 || E2 == 2)) {
            i3 = 0;
        }
        if (view != null && i2 == 0) {
            float f2 = ((LayoutParams) view.getLayoutParams()).f3009e;
            if (f2 == 0.0f) {
                j(view);
            } else if (f2 == 1.0f) {
                k(view);
            }
        }
        if (i3 != this.k1) {
            this.k1 = i3;
            List<d> list = this.u1;
            if (list != null) {
                for (int size = list.size() - 1; size >= 0; size--) {
                    this.u1.get(size).c(i3);
                }
            }
        }
    }

    @Override // android.view.View, android.view.ViewGroup
    public void addFocusables(ArrayList<View> arrayList, int i, int i2) {
        if (getDescendantFocusability() != 393216) {
            int childCount = getChildCount();
            boolean z = false;
            for (int i3 = 0; i3 < childCount; i3++) {
                View childAt = getChildAt(i3);
                if (!E(childAt)) {
                    this.I1.add(childAt);
                } else if (D(childAt)) {
                    childAt.addFocusables(arrayList, i, i2);
                    z = true;
                }
            }
            if (!z) {
                int size = this.I1.size();
                for (int i4 = 0; i4 < size; i4++) {
                    View view = this.I1.get(i4);
                    if (view.getVisibility() == 0) {
                        view.addFocusables(arrayList, i, i2);
                    }
                }
            }
            this.I1.clear();
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        super.addView(view, i, layoutParams);
        if (o() != null || E(view)) {
            ViewCompat.setImportantForAccessibility(view, 4);
        } else {
            ViewCompat.setImportantForAccessibility(view, 1);
        }
        if (!Y0) {
            ViewCompat.setAccessibilityDelegate(view, this.a1);
        }
    }

    /* access modifiers changed from: package-private */
    public void b() {
        if (!this.s1) {
            long uptimeMillis = SystemClock.uptimeMillis();
            MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
            int childCount = getChildCount();
            for (int i = 0; i < childCount; i++) {
                getChildAt(i).dispatchTouchEvent(obtain);
            }
            obtain.recycle();
            this.s1 = true;
        }
    }

    /* access modifiers changed from: package-private */
    public boolean c(View view, int i) {
        return (t(view) & i) == i;
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return (layoutParams instanceof LayoutParams) && super.checkLayoutParams(layoutParams);
    }

    public void computeScroll() {
        int childCount = getChildCount();
        float f2 = 0.0f;
        for (int i = 0; i < childCount; i++) {
            f2 = Math.max(f2, ((LayoutParams) getChildAt(i).getLayoutParams()).f3009e);
        }
        this.e1 = f2;
        boolean o = this.g1.o(true);
        boolean o2 = this.h1.o(true);
        if (o || o2) {
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    public void d(int i) {
        e(i, true);
    }

    public boolean dispatchGenericMotionEvent(MotionEvent motionEvent) {
        if ((motionEvent.getSource() & 2) == 0 || motionEvent.getAction() == 10 || this.e1 <= 0.0f) {
            return super.dispatchGenericMotionEvent(motionEvent);
        }
        int childCount = getChildCount();
        if (childCount == 0) {
            return false;
        }
        float x = motionEvent.getX();
        float y = motionEvent.getY();
        for (int i = childCount - 1; i >= 0; i--) {
            View childAt = getChildAt(i);
            if (H(x, y, childAt) && !B(childAt) && m(motionEvent, childAt)) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public boolean drawChild(Canvas canvas, View view, long j) {
        int height = getHeight();
        boolean B = B(view);
        int width = getWidth();
        int save = canvas.save();
        int i = 0;
        if (B) {
            int childCount = getChildCount();
            int i2 = 0;
            for (int i3 = 0; i3 < childCount; i3++) {
                View childAt = getChildAt(i3);
                if (childAt != view && childAt.getVisibility() == 0 && x(childAt) && E(childAt) && childAt.getHeight() >= height) {
                    if (c(childAt, 3)) {
                        int right = childAt.getRight();
                        if (right > i2) {
                            i2 = right;
                        }
                    } else {
                        int left = childAt.getLeft();
                        if (left < width) {
                            width = left;
                        }
                    }
                }
            }
            canvas.clipRect(i2, 0, width, getHeight());
            i = i2;
        }
        boolean drawChild = super.drawChild(canvas, view, j);
        canvas.restoreToCount(save);
        float f2 = this.e1;
        if (f2 > 0.0f && B) {
            int i4 = this.d1;
            this.f1.setColor((i4 & ViewCompat.MEASURED_SIZE_MASK) | (((int) (((float) ((-16777216 & i4) >>> 24)) * f2)) << 24));
            canvas.drawRect((float) i, 0.0f, (float) width, (float) getHeight(), this.f1);
        } else if (this.y1 != null && c(view, 3)) {
            int intrinsicWidth = this.y1.getIntrinsicWidth();
            int right2 = view.getRight();
            float max = Math.max(0.0f, Math.min(((float) right2) / ((float) this.g1.A()), 1.0f));
            this.y1.setBounds(right2, view.getTop(), intrinsicWidth + right2, view.getBottom());
            this.y1.setAlpha((int) (max * 255.0f));
            this.y1.draw(canvas);
        } else if (this.z1 != null && c(view, 5)) {
            int intrinsicWidth2 = this.z1.getIntrinsicWidth();
            int left2 = view.getLeft();
            float max2 = Math.max(0.0f, Math.min(((float) (getWidth() - left2)) / ((float) this.h1.A()), 1.0f));
            this.z1.setBounds(left2 - intrinsicWidth2, view.getTop(), left2, view.getBottom());
            this.z1.setAlpha((int) (max2 * 255.0f));
            this.z1.draw(canvas);
        }
        return drawChild;
    }

    public void e(int i, boolean z) {
        View n = n(i);
        if (n != null) {
            g(n, z);
            return;
        }
        throw new IllegalArgumentException("No drawer view found with gravity " + w(i));
    }

    public void f(@NonNull View view) {
        g(view, true);
    }

    public void g(@NonNull View view, boolean z) {
        if (E(view)) {
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            if (this.m1) {
                layoutParams.f3009e = 0.0f;
                layoutParams.g = 0;
            } else if (z) {
                layoutParams.g |= 4;
                if (c(view, 3)) {
                    this.g1.V(view, -view.getWidth(), view.getTop());
                } else {
                    this.h1.V(view, getWidth(), view.getTop());
                }
            } else {
                J(view, 0.0f);
                a0(layoutParams.f3008d, 0, view);
                view.setVisibility(4);
            }
            invalidate();
            return;
        }
        throw new IllegalArgumentException("View " + view + " is not a sliding drawer");
    }

    /* access modifiers changed from: protected */
    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams(-1, -1);
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof LayoutParams) {
            return new LayoutParams((LayoutParams) layoutParams);
        }
        return layoutParams instanceof ViewGroup.MarginLayoutParams ? new LayoutParams((ViewGroup.MarginLayoutParams) layoutParams) : new LayoutParams(layoutParams);
    }

    public float getDrawerElevation() {
        if (Z0) {
            return this.b1;
        }
        return 0.0f;
    }

    @Nullable
    public Drawable getStatusBarBackgroundDrawable() {
        return this.x1;
    }

    public void h() {
        i(false);
    }

    /* access modifiers changed from: package-private */
    public void i(boolean z) {
        boolean z2;
        int childCount = getChildCount();
        boolean z3 = false;
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
            if (E(childAt) && (!z || layoutParams.f)) {
                int width = childAt.getWidth();
                if (c(childAt, 3)) {
                    z2 = this.g1.V(childAt, -width, childAt.getTop());
                } else {
                    z2 = this.h1.V(childAt, getWidth(), childAt.getTop());
                }
                z3 |= z2;
                layoutParams.f = false;
            }
        }
        this.i1.p();
        this.j1.p();
        if (z3) {
            invalidate();
        }
    }

    /* access modifiers changed from: package-private */
    public void j(View view) {
        View rootView;
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        if ((layoutParams.g & 1) == 1) {
            layoutParams.g = 0;
            List<d> list = this.u1;
            if (list != null) {
                for (int size = list.size() - 1; size >= 0; size--) {
                    this.u1.get(size).b(view);
                }
            }
            Z(view, false);
            if (hasWindowFocus() && (rootView = getRootView()) != null) {
                rootView.sendAccessibilityEvent(32);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void k(View view) {
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        if ((layoutParams.g & 1) == 0) {
            layoutParams.g = 1;
            List<d> list = this.u1;
            if (list != null) {
                for (int size = list.size() - 1; size >= 0; size--) {
                    this.u1.get(size).a(view);
                }
            }
            Z(view, true);
            if (hasWindowFocus()) {
                sendAccessibilityEvent(32);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void l(View view, float f2) {
        List<d> list = this.u1;
        if (list != null) {
            for (int size = list.size() - 1; size >= 0; size--) {
                this.u1.get(size).d(view, f2);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public View n(int i) {
        int absoluteGravity = GravityCompat.getAbsoluteGravity(i, ViewCompat.getLayoutDirection(this)) & 7;
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            if ((t(childAt) & 7) == absoluteGravity) {
                return childAt;
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public View o() {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if ((((LayoutParams) childAt.getLayoutParams()).g & 1) == 1) {
                return childAt;
            }
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.m1 = true;
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.m1 = true;
    }

    public void onDraw(Canvas canvas) {
        Object obj;
        super.onDraw(canvas);
        if (this.D1 && this.x1 != null) {
            int systemWindowInsetTop = (Build.VERSION.SDK_INT < 21 || (obj = this.C1) == null) ? 0 : ((WindowInsets) obj).getSystemWindowInsetTop();
            if (systemWindowInsetTop > 0) {
                this.x1.setBounds(0, 0, getWidth(), systemWindowInsetTop);
                this.x1.draw(canvas);
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:5:0x001b, code lost:
        if (r0 != 3) goto L_0x0038;
     */
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        boolean z;
        View v;
        int actionMasked = motionEvent.getActionMasked();
        boolean U = this.g1.U(motionEvent) | this.h1.U(motionEvent);
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked == 2) {
                    if (this.g1.f(3)) {
                        this.i1.p();
                        this.j1.p();
                    }
                }
                z = false;
            }
            i(true);
            this.r1 = false;
            this.s1 = false;
            z = false;
        } else {
            float x = motionEvent.getX();
            float y = motionEvent.getY();
            this.v1 = x;
            this.w1 = y;
            z = this.e1 > 0.0f && (v = this.g1.v((int) x, (int) y)) != null && B(v);
            this.r1 = false;
            this.s1 = false;
        }
        if (U || z || y() || this.s1) {
            return true;
        }
        return false;
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (i != 4 || !z()) {
            return super.onKeyDown(i, keyEvent);
        }
        keyEvent.startTracking();
        return true;
    }

    public boolean onKeyUp(int i, KeyEvent keyEvent) {
        if (i != 4) {
            return super.onKeyUp(i, keyEvent);
        }
        View p = p();
        if (p != null && r(p) == 0) {
            h();
        }
        return p != null;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        float f2;
        int i5;
        this.l1 = true;
        int i6 = i3 - i;
        int childCount = getChildCount();
        for (int i7 = 0; i7 < childCount; i7++) {
            View childAt = getChildAt(i7);
            if (childAt.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (B(childAt)) {
                    int i8 = ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin;
                    childAt.layout(i8, ((ViewGroup.MarginLayoutParams) layoutParams).topMargin, childAt.getMeasuredWidth() + i8, ((ViewGroup.MarginLayoutParams) layoutParams).topMargin + childAt.getMeasuredHeight());
                } else {
                    int measuredWidth = childAt.getMeasuredWidth();
                    int measuredHeight = childAt.getMeasuredHeight();
                    if (c(childAt, 3)) {
                        float f3 = (float) measuredWidth;
                        i5 = (-measuredWidth) + ((int) (layoutParams.f3009e * f3));
                        f2 = ((float) (measuredWidth + i5)) / f3;
                    } else {
                        float f4 = (float) measuredWidth;
                        int i9 = i6 - ((int) (layoutParams.f3009e * f4));
                        f2 = ((float) (i6 - i9)) / f4;
                        i5 = i9;
                    }
                    boolean z2 = f2 != layoutParams.f3009e;
                    int i10 = layoutParams.f3008d & 112;
                    if (i10 == 16) {
                        int i11 = i4 - i2;
                        int i12 = (i11 - measuredHeight) / 2;
                        int i13 = ((ViewGroup.MarginLayoutParams) layoutParams).topMargin;
                        if (i12 < i13) {
                            i12 = i13;
                        } else {
                            int i14 = i12 + measuredHeight;
                            int i15 = ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin;
                            if (i14 > i11 - i15) {
                                i12 = (i11 - i15) - measuredHeight;
                            }
                        }
                        childAt.layout(i5, i12, measuredWidth + i5, measuredHeight + i12);
                    } else if (i10 != 80) {
                        int i16 = ((ViewGroup.MarginLayoutParams) layoutParams).topMargin;
                        childAt.layout(i5, i16, measuredWidth + i5, measuredHeight + i16);
                    } else {
                        int i17 = i4 - i2;
                        childAt.layout(i5, (i17 - ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin) - childAt.getMeasuredHeight(), measuredWidth + i5, i17 - ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin);
                    }
                    if (z2) {
                        Y(childAt, f2);
                    }
                    int i18 = layoutParams.f3009e > 0.0f ? 0 : 4;
                    if (childAt.getVisibility() != i18) {
                        childAt.setVisibility(i18);
                    }
                }
            }
        }
        this.l1 = false;
        this.m1 = false;
    }

    /* access modifiers changed from: protected */
    @SuppressLint({"WrongConstant"})
    public void onMeasure(int i, int i2) {
        int mode = View.MeasureSpec.getMode(i);
        int mode2 = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i);
        int size2 = View.MeasureSpec.getSize(i2);
        if (!(mode == 1073741824 && mode2 == 1073741824)) {
            if (isInEditMode()) {
                if (mode != Integer.MIN_VALUE && mode == 0) {
                    size = 300;
                }
                if (mode2 != Integer.MIN_VALUE && mode2 == 0) {
                    size2 = 300;
                }
            } else {
                throw new IllegalArgumentException("DrawerLayout must be measured with MeasureSpec.EXACTLY.");
            }
        }
        setMeasuredDimension(size, size2);
        int i3 = 0;
        boolean z = this.C1 != null && ViewCompat.getFitsSystemWindows(this);
        int layoutDirection = ViewCompat.getLayoutDirection(this);
        int childCount = getChildCount();
        int i4 = 0;
        boolean z2 = false;
        boolean z3 = false;
        while (i4 < childCount) {
            View childAt = getChildAt(i4);
            if (childAt.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (z) {
                    int absoluteGravity = GravityCompat.getAbsoluteGravity(layoutParams.f3008d, layoutDirection);
                    if (ViewCompat.getFitsSystemWindows(childAt)) {
                        if (Build.VERSION.SDK_INT >= 21) {
                            WindowInsets windowInsets = (WindowInsets) this.C1;
                            if (absoluteGravity == 3) {
                                windowInsets = windowInsets.replaceSystemWindowInsets(windowInsets.getSystemWindowInsetLeft(), windowInsets.getSystemWindowInsetTop(), i3, windowInsets.getSystemWindowInsetBottom());
                            } else if (absoluteGravity == 5) {
                                windowInsets = windowInsets.replaceSystemWindowInsets(i3, windowInsets.getSystemWindowInsetTop(), windowInsets.getSystemWindowInsetRight(), windowInsets.getSystemWindowInsetBottom());
                            }
                            childAt.dispatchApplyWindowInsets(windowInsets);
                        }
                    } else if (Build.VERSION.SDK_INT >= 21) {
                        WindowInsets windowInsets2 = (WindowInsets) this.C1;
                        if (absoluteGravity == 3) {
                            windowInsets2 = windowInsets2.replaceSystemWindowInsets(windowInsets2.getSystemWindowInsetLeft(), windowInsets2.getSystemWindowInsetTop(), i3, windowInsets2.getSystemWindowInsetBottom());
                        } else if (absoluteGravity == 5) {
                            windowInsets2 = windowInsets2.replaceSystemWindowInsets(i3, windowInsets2.getSystemWindowInsetTop(), windowInsets2.getSystemWindowInsetRight(), windowInsets2.getSystemWindowInsetBottom());
                        }
                        ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin = windowInsets2.getSystemWindowInsetLeft();
                        ((ViewGroup.MarginLayoutParams) layoutParams).topMargin = windowInsets2.getSystemWindowInsetTop();
                        ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin = windowInsets2.getSystemWindowInsetRight();
                        ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin = windowInsets2.getSystemWindowInsetBottom();
                    }
                }
                if (B(childAt)) {
                    childAt.measure(View.MeasureSpec.makeMeasureSpec((size - ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin) - ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin, 1073741824), View.MeasureSpec.makeMeasureSpec((size2 - ((ViewGroup.MarginLayoutParams) layoutParams).topMargin) - ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin, 1073741824));
                } else if (E(childAt)) {
                    if (Z0) {
                        float elevation = ViewCompat.getElevation(childAt);
                        float f2 = this.b1;
                        if (elevation != f2) {
                            ViewCompat.setElevation(childAt, f2);
                        }
                    }
                    int t = t(childAt) & 7;
                    boolean z4 = t == 3;
                    if ((!z4 || !z2) && (z4 || !z3)) {
                        if (z4) {
                            z2 = true;
                        } else {
                            z3 = true;
                        }
                        childAt.measure(ViewGroup.getChildMeasureSpec(i, this.c1 + ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin + ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin, ((ViewGroup.MarginLayoutParams) layoutParams).width), ViewGroup.getChildMeasureSpec(i2, ((ViewGroup.MarginLayoutParams) layoutParams).topMargin + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin, ((ViewGroup.MarginLayoutParams) layoutParams).height));
                        i4++;
                        i3 = 0;
                    } else {
                        throw new IllegalStateException("Child drawer has absolute gravity " + w(t) + " but this " + f3003a + " already has a " + "drawer view along that edge");
                    }
                } else {
                    throw new IllegalStateException("Child " + childAt + " at index " + i4 + " does not have a valid layout_gravity - must be Gravity.LEFT, " + "Gravity.RIGHT or Gravity.NO_GRAVITY");
                }
            }
            i4++;
            i3 = 0;
        }
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        View n;
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.a());
        int i = savedState.I0;
        if (!(i == 0 || (n = n(i)) == null)) {
            M(n);
        }
        int i2 = savedState.J0;
        if (i2 != 3) {
            T(i2, 3);
        }
        int i3 = savedState.K0;
        if (i3 != 3) {
            T(i3, 5);
        }
        int i4 = savedState.L0;
        if (i4 != 3) {
            T(i4, GravityCompat.START);
        }
        int i5 = savedState.M0;
        if (i5 != 3) {
            T(i5, GravityCompat.END);
        }
    }

    public void onRtlPropertiesChanged(int i) {
        R();
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        int childCount = getChildCount();
        int i = 0;
        while (true) {
            if (i >= childCount) {
                break;
            }
            LayoutParams layoutParams = (LayoutParams) getChildAt(i).getLayoutParams();
            int i2 = layoutParams.g;
            boolean z = true;
            boolean z2 = i2 == 1;
            if (i2 != 2) {
                z = false;
            }
            if (z2 || z) {
                savedState.I0 = layoutParams.f3008d;
            } else {
                i++;
            }
        }
        savedState.J0 = this.n1;
        savedState.K0 = this.o1;
        savedState.L0 = this.p1;
        savedState.M0 = this.q1;
        return savedState;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z;
        View o;
        this.g1.L(motionEvent);
        this.h1.L(motionEvent);
        int action = motionEvent.getAction() & 255;
        if (action == 0) {
            float x = motionEvent.getX();
            float y = motionEvent.getY();
            this.v1 = x;
            this.w1 = y;
            this.r1 = false;
            this.s1 = false;
        } else if (action == 1) {
            float x2 = motionEvent.getX();
            float y2 = motionEvent.getY();
            View v = this.g1.v((int) x2, (int) y2);
            if (v != null && B(v)) {
                float f2 = x2 - this.v1;
                float f3 = y2 - this.w1;
                int D = this.g1.D();
                if (!((f2 * f2) + (f3 * f3) >= ((float) (D * D)) || (o = o()) == null || r(o) == 2)) {
                    z = false;
                    i(z);
                    this.r1 = false;
                }
            }
            z = true;
            i(z);
            this.r1 = false;
        } else if (action == 3) {
            i(true);
            this.r1 = false;
            this.s1 = false;
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    public View p() {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = getChildAt(i);
            if (E(childAt) && G(childAt)) {
                return childAt;
            }
        }
        return null;
    }

    public int q(int i) {
        int layoutDirection = ViewCompat.getLayoutDirection(this);
        if (i == 3) {
            int i2 = this.n1;
            if (i2 != 3) {
                return i2;
            }
            int i3 = layoutDirection == 0 ? this.p1 : this.q1;
            if (i3 != 3) {
                return i3;
            }
            return 0;
        } else if (i == 5) {
            int i4 = this.o1;
            if (i4 != 3) {
                return i4;
            }
            int i5 = layoutDirection == 0 ? this.q1 : this.p1;
            if (i5 != 3) {
                return i5;
            }
            return 0;
        } else if (i == 8388611) {
            int i6 = this.p1;
            if (i6 != 3) {
                return i6;
            }
            int i7 = layoutDirection == 0 ? this.n1 : this.o1;
            if (i7 != 3) {
                return i7;
            }
            return 0;
        } else if (i != 8388613) {
            return 0;
        } else {
            int i8 = this.q1;
            if (i8 != 3) {
                return i8;
            }
            int i9 = layoutDirection == 0 ? this.o1 : this.n1;
            if (i9 != 3) {
                return i9;
            }
            return 0;
        }
    }

    public int r(@NonNull View view) {
        if (E(view)) {
            return q(((LayoutParams) view.getLayoutParams()).f3008d);
        }
        throw new IllegalArgumentException("View " + view + " is not a drawer");
    }

    public void requestDisallowInterceptTouchEvent(boolean z) {
        super.requestDisallowInterceptTouchEvent(z);
        this.r1 = z;
        if (z) {
            i(true);
        }
    }

    public void requestLayout() {
        if (!this.l1) {
            super.requestLayout();
        }
    }

    @Nullable
    public CharSequence s(int i) {
        int absoluteGravity = GravityCompat.getAbsoluteGravity(i, ViewCompat.getLayoutDirection(this));
        if (absoluteGravity == 3) {
            return this.A1;
        }
        if (absoluteGravity == 5) {
            return this.B1;
        }
        return null;
    }

    public void setDrawerElevation(float f2) {
        this.b1 = f2;
        for (int i = 0; i < getChildCount(); i++) {
            View childAt = getChildAt(i);
            if (E(childAt)) {
                ViewCompat.setElevation(childAt, this.b1);
            }
        }
    }

    @Deprecated
    public void setDrawerListener(d dVar) {
        d dVar2 = this.t1;
        if (dVar2 != null) {
            O(dVar2);
        }
        if (dVar != null) {
            a(dVar);
        }
        this.t1 = dVar;
    }

    public void setDrawerLockMode(int i) {
        T(i, 3);
        T(i, 5);
    }

    public void setScrimColor(@ColorInt int i) {
        this.d1 = i;
        invalidate();
    }

    public void setStatusBarBackground(@Nullable Drawable drawable) {
        this.x1 = drawable;
        invalidate();
    }

    public void setStatusBarBackgroundColor(@ColorInt int i) {
        this.x1 = new ColorDrawable(i);
        invalidate();
    }

    /* access modifiers changed from: package-private */
    public int t(View view) {
        return GravityCompat.getAbsoluteGravity(((LayoutParams) view.getLayoutParams()).f3008d, ViewCompat.getLayoutDirection(this));
    }

    /* access modifiers changed from: package-private */
    public float u(View view) {
        return ((LayoutParams) view.getLayoutParams()).f3009e;
    }

    public DrawerLayout(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    public DrawerLayout(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.a1 = new c();
        this.d1 = R0;
        this.f1 = new Paint();
        this.m1 = true;
        this.n1 = 3;
        this.o1 = 3;
        this.p1 = 3;
        this.q1 = 3;
        this.E1 = null;
        this.F1 = null;
        this.G1 = null;
        this.H1 = null;
        setDescendantFocusability(262144);
        float f2 = getResources().getDisplayMetrics().density;
        this.c1 = (int) ((64.0f * f2) + 0.5f);
        float f3 = 400.0f * f2;
        f fVar = new f(3);
        this.i1 = fVar;
        f fVar2 = new f(5);
        this.j1 = fVar2;
        androidx.customview.a.c p = androidx.customview.a.c.p(this, 1.0f, fVar);
        this.g1 = p;
        p.R(1);
        p.S(f3);
        fVar.q(p);
        androidx.customview.a.c p2 = androidx.customview.a.c.p(this, 1.0f, fVar2);
        this.h1 = p2;
        p2.R(2);
        p2.S(f3);
        fVar2.q(p2);
        setFocusableInTouchMode(true);
        ViewCompat.setImportantForAccessibility(this, 1);
        ViewCompat.setAccessibilityDelegate(this, new b());
        setMotionEventSplittingEnabled(false);
        if (ViewCompat.getFitsSystemWindows(this)) {
            if (Build.VERSION.SDK_INT >= 21) {
                setOnApplyWindowInsetsListener(new a());
                setSystemUiVisibility(com.ibm.icu.impl.t2.b.n);
                TypedArray obtainStyledAttributes = context.obtainStyledAttributes(f3004b);
                try {
                    this.x1 = obtainStyledAttributes.getDrawable(0);
                } finally {
                    obtainStyledAttributes.recycle();
                }
            } else {
                this.x1 = null;
            }
        }
        this.b1 = f2 * 10.0f;
        this.I1 = new ArrayList<>();
    }

    public void setStatusBarBackground(int i) {
        this.x1 = i != 0 ? androidx.core.content.d.i(getContext(), i) : null;
        invalidate();
    }

    public static class LayoutParams extends ViewGroup.MarginLayoutParams {

        /* renamed from: a  reason: collision with root package name */
        private static final int f3005a = 1;

        /* renamed from: b  reason: collision with root package name */
        private static final int f3006b = 2;

        /* renamed from: c  reason: collision with root package name */
        private static final int f3007c = 4;

        /* renamed from: d  reason: collision with root package name */
        public int f3008d;

        /* renamed from: e  reason: collision with root package name */
        float f3009e;
        boolean f;
        int g;

        public LayoutParams(@NonNull Context context, @Nullable AttributeSet attributeSet) {
            super(context, attributeSet);
            this.f3008d = 0;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, DrawerLayout.X0);
            this.f3008d = obtainStyledAttributes.getInt(0, 0);
            obtainStyledAttributes.recycle();
        }

        public LayoutParams(int i, int i2) {
            super(i, i2);
            this.f3008d = 0;
        }

        public LayoutParams(int i, int i2, int i3) {
            this(i, i2);
            this.f3008d = i3;
        }

        public LayoutParams(@NonNull LayoutParams layoutParams) {
            super((ViewGroup.MarginLayoutParams) layoutParams);
            this.f3008d = 0;
            this.f3008d = layoutParams.f3008d;
        }

        public LayoutParams(@NonNull ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
            this.f3008d = 0;
        }

        public LayoutParams(@NonNull ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
            this.f3008d = 0;
        }
    }

    /* access modifiers changed from: protected */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        int I0 = 0;
        int J0;
        int K0;
        int L0;
        int M0;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            /* renamed from: a */
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }

            /* renamed from: b */
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            /* renamed from: c */
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        }

        public SavedState(@NonNull Parcel parcel, @Nullable ClassLoader classLoader) {
            super(parcel, classLoader);
            this.I0 = parcel.readInt();
            this.J0 = parcel.readInt();
            this.K0 = parcel.readInt();
            this.L0 = parcel.readInt();
            this.M0 = parcel.readInt();
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.I0);
            parcel.writeInt(this.J0);
            parcel.writeInt(this.K0);
            parcel.writeInt(this.L0);
            parcel.writeInt(this.M0);
        }

        public SavedState(@NonNull Parcelable parcelable) {
            super(parcelable);
        }
    }
}
