package androidx.fragment.app;

import android.annotation.SuppressLint;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.lifecycle.Lifecycle;

/* access modifiers changed from: package-private */
@SuppressLint({"BanParcelableUsage"})
public final class FragmentState implements Parcelable {
    public static final Parcelable.Creator<FragmentState> CREATOR = new a();
    final boolean I0;
    final int J0;
    final int K0;
    final String L0;
    final boolean M0;
    final boolean N0;
    final boolean O0;
    final Bundle P0;
    final boolean Q0;
    final int R0;
    Bundle S0;
    Fragment T0;

    /* renamed from: a  reason: collision with root package name */
    final String f3091a;

    /* renamed from: b  reason: collision with root package name */
    final String f3092b;

    static class a implements Parcelable.Creator<FragmentState> {
        a() {
        }

        /* renamed from: a */
        public FragmentState createFromParcel(Parcel parcel) {
            return new FragmentState(parcel);
        }

        /* renamed from: b */
        public FragmentState[] newArray(int i) {
            return new FragmentState[i];
        }
    }

    FragmentState(Fragment fragment) {
        this.f3091a = fragment.getClass().getName();
        this.f3092b = fragment.mWho;
        this.I0 = fragment.mFromLayout;
        this.J0 = fragment.mFragmentId;
        this.K0 = fragment.mContainerId;
        this.L0 = fragment.mTag;
        this.M0 = fragment.mRetainInstance;
        this.N0 = fragment.mRemoving;
        this.O0 = fragment.mDetached;
        this.P0 = fragment.mArguments;
        this.Q0 = fragment.mHidden;
        this.R0 = fragment.mMaxState.ordinal();
    }

    public Fragment a(@NonNull ClassLoader classLoader, @NonNull e eVar) {
        if (this.T0 == null) {
            Bundle bundle = this.P0;
            if (bundle != null) {
                bundle.setClassLoader(classLoader);
            }
            Fragment a2 = eVar.a(classLoader, this.f3091a);
            this.T0 = a2;
            a2.setArguments(this.P0);
            Bundle bundle2 = this.S0;
            if (bundle2 != null) {
                bundle2.setClassLoader(classLoader);
                this.T0.mSavedFragmentState = this.S0;
            } else {
                this.T0.mSavedFragmentState = new Bundle();
            }
            Fragment fragment = this.T0;
            fragment.mWho = this.f3092b;
            fragment.mFromLayout = this.I0;
            fragment.mRestored = true;
            fragment.mFragmentId = this.J0;
            fragment.mContainerId = this.K0;
            fragment.mTag = this.L0;
            fragment.mRetainInstance = this.M0;
            fragment.mRemoving = this.N0;
            fragment.mDetached = this.O0;
            fragment.mHidden = this.Q0;
            fragment.mMaxState = Lifecycle.State.values()[this.R0];
            if (h.J0) {
                Log.v("FragmentManager", "Instantiated fragment " + this.T0);
            }
        }
        return this.T0;
    }

    public int describeContents() {
        return 0;
    }

    @NonNull
    public String toString() {
        StringBuilder sb = new StringBuilder(128);
        sb.append("FragmentState{");
        sb.append(this.f3091a);
        sb.append(" (");
        sb.append(this.f3092b);
        sb.append(")}:");
        if (this.I0) {
            sb.append(" fromLayout");
        }
        if (this.K0 != 0) {
            sb.append(" id=0x");
            sb.append(Integer.toHexString(this.K0));
        }
        String str = this.L0;
        if (str != null && !str.isEmpty()) {
            sb.append(" tag=");
            sb.append(this.L0);
        }
        if (this.M0) {
            sb.append(" retainInstance");
        }
        if (this.N0) {
            sb.append(" removing");
        }
        if (this.O0) {
            sb.append(" detached");
        }
        if (this.Q0) {
            sb.append(" hidden");
        }
        return sb.toString();
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.f3091a);
        parcel.writeString(this.f3092b);
        parcel.writeInt(this.I0 ? 1 : 0);
        parcel.writeInt(this.J0);
        parcel.writeInt(this.K0);
        parcel.writeString(this.L0);
        parcel.writeInt(this.M0 ? 1 : 0);
        parcel.writeInt(this.N0 ? 1 : 0);
        parcel.writeInt(this.O0 ? 1 : 0);
        parcel.writeBundle(this.P0);
        parcel.writeInt(this.Q0 ? 1 : 0);
        parcel.writeBundle(this.S0);
        parcel.writeInt(this.R0);
    }

    FragmentState(Parcel parcel) {
        this.f3091a = parcel.readString();
        this.f3092b = parcel.readString();
        boolean z = true;
        this.I0 = parcel.readInt() != 0;
        this.J0 = parcel.readInt();
        this.K0 = parcel.readInt();
        this.L0 = parcel.readString();
        this.M0 = parcel.readInt() != 0;
        this.N0 = parcel.readInt() != 0;
        this.O0 = parcel.readInt() != 0;
        this.P0 = parcel.readBundle();
        this.Q0 = parcel.readInt() == 0 ? false : z;
        this.S0 = parcel.readBundle();
        this.R0 = parcel.readInt();
    }
}
