package androidx.fragment.app;

import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.lifecycle.a0;
import androidx.lifecycle.y;
import androidx.lifecycle.z;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Map;

/* access modifiers changed from: package-private */
/* compiled from: FragmentManagerViewModel */
public class j extends y {

    /* renamed from: c  reason: collision with root package name */
    private static final z.b f3139c = new a();

    /* renamed from: d  reason: collision with root package name */
    private final HashSet<Fragment> f3140d = new HashSet<>();

    /* renamed from: e  reason: collision with root package name */
    private final HashMap<String, j> f3141e = new HashMap<>();
    private final HashMap<String, a0> f = new HashMap<>();
    private final boolean g;
    private boolean h = false;
    private boolean i = false;

    /* compiled from: FragmentManagerViewModel */
    static class a implements z.b {
        a() {
        }

        @Override // androidx.lifecycle.z.b
        @NonNull
        public <T extends y> T a(@NonNull Class<T> cls) {
            return new j(true);
        }
    }

    j(boolean z) {
        this.g = z;
    }

    @NonNull
    static j i(a0 a0Var) {
        return (j) new z(a0Var, f3139c).a(j.class);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.lifecycle.y
    public void d() {
        if (h.J0) {
            Log.d("FragmentManager", "onCleared called for " + this);
        }
        this.h = true;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        j jVar = (j) obj;
        if (!this.f3140d.equals(jVar.f3140d) || !this.f3141e.equals(jVar.f3141e) || !this.f.equals(jVar.f)) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    public boolean f(@NonNull Fragment fragment) {
        return this.f3140d.add(fragment);
    }

    /* access modifiers changed from: package-private */
    public void g(@NonNull Fragment fragment) {
        if (h.J0) {
            Log.d("FragmentManager", "Clearing non-config state for " + fragment);
        }
        j jVar = this.f3141e.get(fragment.mWho);
        if (jVar != null) {
            jVar.d();
            this.f3141e.remove(fragment.mWho);
        }
        a0 a0Var = this.f.get(fragment.mWho);
        if (a0Var != null) {
            a0Var.a();
            this.f.remove(fragment.mWho);
        }
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public j h(@NonNull Fragment fragment) {
        j jVar = this.f3141e.get(fragment.mWho);
        if (jVar != null) {
            return jVar;
        }
        j jVar2 = new j(this.g);
        this.f3141e.put(fragment.mWho, jVar2);
        return jVar2;
    }

    public int hashCode() {
        return (((this.f3140d.hashCode() * 31) + this.f3141e.hashCode()) * 31) + this.f.hashCode();
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public Collection<Fragment> j() {
        return this.f3140d;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    @Deprecated
    public i k() {
        if (this.f3140d.isEmpty() && this.f3141e.isEmpty() && this.f.isEmpty()) {
            return null;
        }
        HashMap hashMap = new HashMap();
        for (Map.Entry<String, j> entry : this.f3141e.entrySet()) {
            i k = entry.getValue().k();
            if (k != null) {
                hashMap.put(entry.getKey(), k);
            }
        }
        this.i = true;
        if (!this.f3140d.isEmpty() || !hashMap.isEmpty() || !this.f.isEmpty()) {
            return new i(new ArrayList(this.f3140d), hashMap, new HashMap(this.f));
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public a0 l(@NonNull Fragment fragment) {
        a0 a0Var = this.f.get(fragment.mWho);
        if (a0Var != null) {
            return a0Var;
        }
        a0 a0Var2 = new a0();
        this.f.put(fragment.mWho, a0Var2);
        return a0Var2;
    }

    /* access modifiers changed from: package-private */
    public boolean m() {
        return this.h;
    }

    /* access modifiers changed from: package-private */
    public boolean n(@NonNull Fragment fragment) {
        return this.f3140d.remove(fragment);
    }

    /* access modifiers changed from: package-private */
    @Deprecated
    public void o(@Nullable i iVar) {
        this.f3140d.clear();
        this.f3141e.clear();
        this.f.clear();
        if (iVar != null) {
            Collection<Fragment> b2 = iVar.b();
            if (b2 != null) {
                this.f3140d.addAll(b2);
            }
            Map<String, i> a2 = iVar.a();
            if (a2 != null) {
                for (Map.Entry<String, i> entry : a2.entrySet()) {
                    j jVar = new j(this.g);
                    jVar.o(entry.getValue());
                    this.f3141e.put(entry.getKey(), jVar);
                }
            }
            Map<String, a0> c2 = iVar.c();
            if (c2 != null) {
                this.f.putAll(c2);
            }
        }
        this.i = false;
    }

    /* access modifiers changed from: package-private */
    public boolean p(@NonNull Fragment fragment) {
        if (!this.f3140d.contains(fragment)) {
            return true;
        }
        if (this.g) {
            return this.h;
        }
        return !this.i;
    }

    @NonNull
    public String toString() {
        StringBuilder sb = new StringBuilder("FragmentManagerViewModel{");
        sb.append(Integer.toHexString(System.identityHashCode(this)));
        sb.append("} Fragments (");
        Iterator<Fragment> it = this.f3140d.iterator();
        while (it.hasNext()) {
            sb.append(it.next());
            if (it.hasNext()) {
                sb.append(", ");
            }
        }
        sb.append(") Child Non Config (");
        Iterator<String> it2 = this.f3141e.keySet().iterator();
        while (it2.hasNext()) {
            sb.append(it2.next());
            if (it2.hasNext()) {
                sb.append(", ");
            }
        }
        sb.append(") ViewModelStores (");
        Iterator<String> it3 = this.f.keySet().iterator();
        while (it3.hasNext()) {
            sb.append(it3.next());
            if (it3.hasNext()) {
                sb.append(", ");
            }
        }
        sb.append(')');
        return sb.toString();
    }
}
