package androidx.legacy.content;

import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.os.PowerManager;
import android.util.Log;
import android.util.SparseArray;

@Deprecated
public abstract class WakefulBroadcastReceiver extends BroadcastReceiver {

    /* renamed from: a  reason: collision with root package name */
    private static final String f3231a = "androidx.contentpager.content.wakelockid";

    /* renamed from: b  reason: collision with root package name */
    private static final SparseArray<PowerManager.WakeLock> f3232b = new SparseArray<>();

    /* renamed from: c  reason: collision with root package name */
    private static int f3233c = 1;

    public static boolean c(Intent intent) {
        int intExtra = intent.getIntExtra(f3231a, 0);
        if (intExtra == 0) {
            return false;
        }
        SparseArray<PowerManager.WakeLock> sparseArray = f3232b;
        synchronized (sparseArray) {
            PowerManager.WakeLock wakeLock = sparseArray.get(intExtra);
            if (wakeLock != null) {
                wakeLock.release();
                sparseArray.remove(intExtra);
                return true;
            }
            Log.w("WakefulBroadcastReceiv.", "No active wake lock id #" + intExtra);
            return true;
        }
    }

    public static ComponentName d(Context context, Intent intent) {
        SparseArray<PowerManager.WakeLock> sparseArray = f3232b;
        synchronized (sparseArray) {
            int i = f3233c;
            int i2 = i + 1;
            f3233c = i2;
            if (i2 <= 0) {
                f3233c = 1;
            }
            intent.putExtra(f3231a, i);
            ComponentName startService = context.startService(intent);
            if (startService == null) {
                return null;
            }
            PowerManager.WakeLock newWakeLock = ((PowerManager) context.getSystemService("power")).newWakeLock(1, "androidx.core:wake:" + startService.flattenToShortString());
            newWakeLock.setReferenceCounted(false);
            newWakeLock.acquire(60000);
            sparseArray.put(i, newWakeLock);
            return startService;
        }
    }
}
