package androidx.lifecycle;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.lifecycle.Lifecycle;
import com.ibm.icu.impl.locale.b;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
public class Lifecycling {

    /* renamed from: a  reason: collision with root package name */
    private static final int f3251a = 1;

    /* renamed from: b  reason: collision with root package name */
    private static final int f3252b = 2;

    /* renamed from: c  reason: collision with root package name */
    private static Map<Class<?>, Integer> f3253c = new HashMap();

    /* renamed from: d  reason: collision with root package name */
    private static Map<Class<?>, List<Constructor<? extends f>>> f3254d = new HashMap();

    private Lifecycling() {
    }

    private static f a(Constructor<? extends f> constructor, Object obj) {
        try {
            return (f) constructor.newInstance(obj);
        } catch (IllegalAccessException e2) {
            throw new RuntimeException(e2);
        } catch (InstantiationException e3) {
            throw new RuntimeException(e3);
        } catch (InvocationTargetException e4) {
            throw new RuntimeException(e4);
        }
    }

    @Nullable
    private static Constructor<? extends f> b(Class<?> cls) {
        try {
            Package r0 = cls.getPackage();
            String canonicalName = cls.getCanonicalName();
            String name = r0 != null ? r0.getName() : "";
            if (!name.isEmpty()) {
                canonicalName = canonicalName.substring(name.length() + 1);
            }
            String c2 = c(canonicalName);
            if (!name.isEmpty()) {
                c2 = name + "." + c2;
            }
            Constructor declaredConstructor = Class.forName(c2).getDeclaredConstructor(cls);
            if (!declaredConstructor.isAccessible()) {
                declaredConstructor.setAccessible(true);
            }
            return declaredConstructor;
        } catch (ClassNotFoundException unused) {
            return null;
        } catch (NoSuchMethodException e2) {
            throw new RuntimeException(e2);
        }
    }

    public static String c(String str) {
        return str.replace(".", b.f14006b) + "_LifecycleAdapter";
    }

    @NonNull
    @Deprecated
    static g d(Object obj) {
        final i g = g(obj);
        return new g() {
            /* class androidx.lifecycle.Lifecycling.AnonymousClass1 */

            @Override // androidx.lifecycle.i
            public void onStateChanged(@NonNull l lVar, @NonNull Lifecycle.Event event) {
                g.onStateChanged(lVar, event);
            }
        };
    }

    private static int e(Class<?> cls) {
        Integer num = f3253c.get(cls);
        if (num != null) {
            return num.intValue();
        }
        int h = h(cls);
        f3253c.put(cls, Integer.valueOf(h));
        return h;
    }

    private static boolean f(Class<?> cls) {
        return cls != null && k.class.isAssignableFrom(cls);
    }

    @NonNull
    static i g(Object obj) {
        boolean z = obj instanceof i;
        boolean z2 = obj instanceof e;
        if (z && z2) {
            return new FullLifecycleObserverAdapter((e) obj, (i) obj);
        }
        if (z2) {
            return new FullLifecycleObserverAdapter((e) obj, null);
        }
        if (z) {
            return (i) obj;
        }
        Class<?> cls = obj.getClass();
        if (e(cls) != 2) {
            return new ReflectiveGenericLifecycleObserver(obj);
        }
        List<Constructor<? extends f>> list = f3254d.get(cls);
        if (list.size() == 1) {
            return new SingleGeneratedAdapterObserver(a(list.get(0), obj));
        }
        f[] fVarArr = new f[list.size()];
        for (int i = 0; i < list.size(); i++) {
            fVarArr[i] = a(list.get(i), obj);
        }
        return new CompositeGeneratedAdaptersObserver(fVarArr);
    }

    private static int h(Class<?> cls) {
        if (cls.getCanonicalName() == null) {
            return 1;
        }
        Constructor<? extends f> b2 = b(cls);
        if (b2 != null) {
            f3254d.put(cls, Collections.singletonList(b2));
            return 2;
        } else if (b.f3271a.d(cls)) {
            return 1;
        } else {
            Class<? super Object> superclass = cls.getSuperclass();
            ArrayList arrayList = null;
            if (f(superclass)) {
                if (e(superclass) == 1) {
                    return 1;
                }
                arrayList = new ArrayList(f3254d.get(superclass));
            }
            Class<?>[] interfaces = cls.getInterfaces();
            for (Class<?> cls2 : interfaces) {
                if (f(cls2)) {
                    if (e(cls2) == 1) {
                        return 1;
                    }
                    if (arrayList == null) {
                        arrayList = new ArrayList();
                    }
                    arrayList.addAll(f3254d.get(cls2));
                }
            }
            if (arrayList == null) {
                return 1;
            }
            f3254d.put(cls, arrayList);
            return 2;
        }
    }
}
