package androidx.lifecycle;

import androidx.annotation.MainThread;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.lifecycle.Lifecycle;
import java.util.Iterator;
import java.util.Map;

public abstract class LiveData<T> {

    /* renamed from: a  reason: collision with root package name */
    static final int f3256a = -1;

    /* renamed from: b  reason: collision with root package name */
    static final Object f3257b = new Object();

    /* renamed from: c  reason: collision with root package name */
    final Object f3258c;

    /* renamed from: d  reason: collision with root package name */
    private b.a.a.c.b<s<? super T>, LiveData<T>.c> f3259d;

    /* renamed from: e  reason: collision with root package name */
    int f3260e;
    private volatile Object f;
    volatile Object g;
    private int h;
    private boolean i;
    private boolean j;
    private final Runnable k;

    class LifecycleBoundObserver extends LiveData<T>.c implements i {
        @NonNull
        final l K0;

        LifecycleBoundObserver(@NonNull l lVar, s<? super T> sVar) {
            super(sVar);
            this.K0 = lVar;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.lifecycle.LiveData.c
        public void b() {
            this.K0.getLifecycle().c(this);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.lifecycle.LiveData.c
        public boolean c(l lVar) {
            return this.K0 == lVar;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.lifecycle.LiveData.c
        public boolean d() {
            return this.K0.getLifecycle().b().isAtLeast(Lifecycle.State.STARTED);
        }

        @Override // androidx.lifecycle.i
        public void onStateChanged(l lVar, Lifecycle.Event event) {
            if (this.K0.getLifecycle().b() == Lifecycle.State.DESTROYED) {
                LiveData.this.n(this.f3262a);
            } else {
                a(d());
            }
        }
    }

    class a implements Runnable {
        a() {
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v2, resolved type: androidx.lifecycle.LiveData */
        /* JADX WARN: Multi-variable type inference failed */
        public void run() {
            Object obj;
            synchronized (LiveData.this.f3258c) {
                obj = LiveData.this.g;
                LiveData.this.g = LiveData.f3257b;
            }
            LiveData.this.p(obj);
        }
    }

    private class b extends LiveData<T>.c {
        b(s<? super T> sVar) {
            super(sVar);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.lifecycle.LiveData.c
        public boolean d() {
            return true;
        }
    }

    /* access modifiers changed from: private */
    public abstract class c {
        int I0 = -1;

        /* renamed from: a  reason: collision with root package name */
        final s<? super T> f3262a;

        /* renamed from: b  reason: collision with root package name */
        boolean f3263b;

        c(s<? super T> sVar) {
            this.f3262a = sVar;
        }

        /* access modifiers changed from: package-private */
        public void a(boolean z) {
            if (z != this.f3263b) {
                this.f3263b = z;
                LiveData liveData = LiveData.this;
                int i = liveData.f3260e;
                int i2 = 1;
                boolean z2 = i == 0;
                if (!z) {
                    i2 = -1;
                }
                liveData.f3260e = i + i2;
                if (z2 && z) {
                    liveData.k();
                }
                LiveData liveData2 = LiveData.this;
                if (liveData2.f3260e == 0 && !this.f3263b) {
                    liveData2.l();
                }
                if (this.f3263b) {
                    LiveData.this.d(this);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void b() {
        }

        /* access modifiers changed from: package-private */
        public boolean c(l lVar) {
            return false;
        }

        /* access modifiers changed from: package-private */
        public abstract boolean d();
    }

    public LiveData(T t) {
        this.f3258c = new Object();
        this.f3259d = new b.a.a.c.b<>();
        this.f3260e = 0;
        this.g = f3257b;
        this.k = new a();
        this.f = t;
        this.h = 0;
    }

    static void b(String str) {
        if (!b.a.a.b.a.f().c()) {
            throw new IllegalStateException("Cannot invoke " + str + " on a background thread");
        }
    }

    private void c(LiveData<T>.c cVar) {
        if (cVar.f3263b) {
            if (!cVar.d()) {
                cVar.a(false);
                return;
            }
            int i2 = cVar.I0;
            int i3 = this.h;
            if (i2 < i3) {
                cVar.I0 = i3;
                cVar.f3262a.a((Object) this.f);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void d(@Nullable LiveData<T>.c cVar) {
        if (this.i) {
            this.j = true;
            return;
        }
        this.i = true;
        do {
            this.j = false;
            if (cVar == null) {
                b.a.a.c.b<K, V>.d f2 = this.f3259d.f();
                while (f2.hasNext()) {
                    c((c) ((Map.Entry) f2.next()).getValue());
                    if (this.j) {
                        break;
                    }
                }
            } else {
                c(cVar);
                cVar = null;
            }
        } while (this.j);
        this.i = false;
    }

    @Nullable
    public T e() {
        T t = (T) this.f;
        if (t != f3257b) {
            return t;
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public int f() {
        return this.h;
    }

    public boolean g() {
        return this.f3260e > 0;
    }

    public boolean h() {
        return this.f3259d.size() > 0;
    }

    @MainThread
    public void i(@NonNull l lVar, @NonNull s<? super T> sVar) {
        b("observe");
        if (lVar.getLifecycle().b() != Lifecycle.State.DESTROYED) {
            LifecycleBoundObserver lifecycleBoundObserver = new LifecycleBoundObserver(lVar, sVar);
            LiveData<T>.c j2 = this.f3259d.j(sVar, lifecycleBoundObserver);
            if (j2 != null && !j2.c(lVar)) {
                throw new IllegalArgumentException("Cannot add the same observer with different lifecycles");
            } else if (j2 == null) {
                lVar.getLifecycle().a(lifecycleBoundObserver);
            }
        }
    }

    @MainThread
    public void j(@NonNull s<? super T> sVar) {
        b("observeForever");
        b bVar = new b(sVar);
        LiveData<T>.c j2 = this.f3259d.j(sVar, bVar);
        if (j2 instanceof LifecycleBoundObserver) {
            throw new IllegalArgumentException("Cannot add the same observer with different lifecycles");
        } else if (j2 == null) {
            bVar.a(true);
        }
    }

    /* access modifiers changed from: protected */
    public void k() {
    }

    /* access modifiers changed from: protected */
    public void l() {
    }

    /* access modifiers changed from: protected */
    public void m(T t) {
        boolean z;
        synchronized (this.f3258c) {
            z = this.g == f3257b;
            this.g = t;
        }
        if (z) {
            b.a.a.b.a.f().d(this.k);
        }
    }

    @MainThread
    public void n(@NonNull s<? super T> sVar) {
        b("removeObserver");
        LiveData<T>.c k2 = this.f3259d.k(sVar);
        if (k2 != null) {
            k2.b();
            k2.a(false);
        }
    }

    @MainThread
    public void o(@NonNull l lVar) {
        b("removeObservers");
        Iterator<Map.Entry<s<? super T>, LiveData<T>.c>> it = this.f3259d.iterator();
        while (it.hasNext()) {
            Map.Entry<s<? super T>, LiveData<T>.c> next = it.next();
            if (next.getValue().c(lVar)) {
                n(next.getKey());
            }
        }
    }

    /* access modifiers changed from: protected */
    @MainThread
    public void p(T t) {
        b("setValue");
        this.h++;
        this.f = t;
        d(null);
    }

    public LiveData() {
        this.f3258c = new Object();
        this.f3259d = new b.a.a.c.b<>();
        this.f3260e = 0;
        Object obj = f3257b;
        this.g = obj;
        this.k = new a();
        this.f = obj;
        this.h = -1;
    }
}
