package androidx.lifecycle;

import android.app.Activity;
import android.app.Application;
import android.app.Fragment;
import android.app.FragmentManager;
import android.os.Build;
import android.os.Bundle;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.lifecycle.Lifecycle;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
public class ReportFragment extends Fragment {

    /* renamed from: a  reason: collision with root package name */
    private static final String f3266a = "androidx.lifecycle.LifecycleDispatcher.report_fragment_tag";

    /* renamed from: b  reason: collision with root package name */
    private a f3267b;

    /* access modifiers changed from: package-private */
    public interface a {
        void a();

        void b();

        void c();
    }

    /* access modifiers changed from: package-private */
    public static class b implements Application.ActivityLifecycleCallbacks {
        b() {
        }

        public void onActivityCreated(@NonNull Activity activity, @Nullable Bundle bundle) {
        }

        public void onActivityDestroyed(@NonNull Activity activity) {
        }

        public void onActivityPaused(@NonNull Activity activity) {
        }

        public void onActivityPostCreated(@NonNull Activity activity, @Nullable Bundle bundle) {
            ReportFragment.a(activity, Lifecycle.Event.ON_CREATE);
        }

        public void onActivityPostResumed(@NonNull Activity activity) {
            ReportFragment.a(activity, Lifecycle.Event.ON_RESUME);
        }

        public void onActivityPostStarted(@NonNull Activity activity) {
            ReportFragment.a(activity, Lifecycle.Event.ON_START);
        }

        public void onActivityPreDestroyed(@NonNull Activity activity) {
            ReportFragment.a(activity, Lifecycle.Event.ON_DESTROY);
        }

        public void onActivityPrePaused(@NonNull Activity activity) {
            ReportFragment.a(activity, Lifecycle.Event.ON_PAUSE);
        }

        public void onActivityPreStopped(@NonNull Activity activity) {
            ReportFragment.a(activity, Lifecycle.Event.ON_STOP);
        }

        public void onActivityResumed(@NonNull Activity activity) {
        }

        public void onActivitySaveInstanceState(@NonNull Activity activity, @NonNull Bundle bundle) {
        }

        public void onActivityStarted(@NonNull Activity activity) {
        }

        public void onActivityStopped(@NonNull Activity activity) {
        }
    }

    static void a(@NonNull Activity activity, @NonNull Lifecycle.Event event) {
        if (activity instanceof o) {
            ((o) activity).getLifecycle().j(event);
        } else if (activity instanceof l) {
            Lifecycle lifecycle = ((l) activity).getLifecycle();
            if (lifecycle instanceof n) {
                ((n) lifecycle).j(event);
            }
        }
    }

    private void b(@NonNull Lifecycle.Event event) {
        if (Build.VERSION.SDK_INT < 29) {
            a(getActivity(), event);
        }
    }

    private void c(a aVar) {
        if (aVar != null) {
            aVar.b();
        }
    }

    private void d(a aVar) {
        if (aVar != null) {
            aVar.c();
        }
    }

    private void e(a aVar) {
        if (aVar != null) {
            aVar.a();
        }
    }

    static ReportFragment f(Activity activity) {
        return (ReportFragment) activity.getFragmentManager().findFragmentByTag(f3266a);
    }

    public static void g(Activity activity) {
        if (Build.VERSION.SDK_INT >= 29) {
            activity.registerActivityLifecycleCallbacks(new b());
        }
        FragmentManager fragmentManager = activity.getFragmentManager();
        if (fragmentManager.findFragmentByTag(f3266a) == null) {
            fragmentManager.beginTransaction().add(new ReportFragment(), f3266a).commit();
            fragmentManager.executePendingTransactions();
        }
    }

    /* access modifiers changed from: package-private */
    public void h(a aVar) {
        this.f3267b = aVar;
    }

    public void onActivityCreated(Bundle bundle) {
        super.onActivityCreated(bundle);
        c(this.f3267b);
        b(Lifecycle.Event.ON_CREATE);
    }

    public void onDestroy() {
        super.onDestroy();
        b(Lifecycle.Event.ON_DESTROY);
        this.f3267b = null;
    }

    public void onPause() {
        super.onPause();
        b(Lifecycle.Event.ON_PAUSE);
    }

    public void onResume() {
        super.onResume();
        d(this.f3267b);
        b(Lifecycle.Event.ON_RESUME);
    }

    public void onStart() {
        super.onStart();
        e(this.f3267b);
        b(Lifecycle.Event.ON_START);
    }

    public void onStop() {
        super.onStop();
        b(Lifecycle.Event.ON_STOP);
    }
}
