package androidx.lifecycle;

import androidx.annotation.Nullable;
import androidx.lifecycle.Lifecycle;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/* access modifiers changed from: package-private */
/* compiled from: ClassesInfoCache */
public class b {

    /* renamed from: a  reason: collision with root package name */
    static b f3271a = new b();

    /* renamed from: b  reason: collision with root package name */
    private static final int f3272b = 0;

    /* renamed from: c  reason: collision with root package name */
    private static final int f3273c = 1;

    /* renamed from: d  reason: collision with root package name */
    private static final int f3274d = 2;

    /* renamed from: e  reason: collision with root package name */
    private final Map<Class<?>, a> f3275e = new HashMap();
    private final Map<Class<?>, Boolean> f = new HashMap();

    /* access modifiers changed from: package-private */
    /* compiled from: ClassesInfoCache */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        final Map<Lifecycle.Event, List<C0055b>> f3276a = new HashMap();

        /* renamed from: b  reason: collision with root package name */
        final Map<C0055b, Lifecycle.Event> f3277b;

        a(Map<C0055b, Lifecycle.Event> map) {
            this.f3277b = map;
            for (Map.Entry<C0055b, Lifecycle.Event> entry : map.entrySet()) {
                Lifecycle.Event value = entry.getValue();
                List<C0055b> list = this.f3276a.get(value);
                if (list == null) {
                    list = new ArrayList<>();
                    this.f3276a.put(value, list);
                }
                list.add(entry.getKey());
            }
        }

        private static void b(List<C0055b> list, l lVar, Lifecycle.Event event, Object obj) {
            if (list != null) {
                for (int size = list.size() - 1; size >= 0; size--) {
                    list.get(size).a(lVar, event, obj);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void a(l lVar, Lifecycle.Event event, Object obj) {
            b(this.f3276a.get(event), lVar, event, obj);
            b(this.f3276a.get(Lifecycle.Event.ON_ANY), lVar, event, obj);
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: androidx.lifecycle.b$b  reason: collision with other inner class name */
    /* compiled from: ClassesInfoCache */
    public static class C0055b {

        /* renamed from: a  reason: collision with root package name */
        final int f3278a;

        /* renamed from: b  reason: collision with root package name */
        final Method f3279b;

        C0055b(int i, Method method) {
            this.f3278a = i;
            this.f3279b = method;
            method.setAccessible(true);
        }

        /* access modifiers changed from: package-private */
        public void a(l lVar, Lifecycle.Event event, Object obj) {
            try {
                int i = this.f3278a;
                if (i == 0) {
                    this.f3279b.invoke(obj, new Object[0]);
                } else if (i == 1) {
                    this.f3279b.invoke(obj, lVar);
                } else if (i == 2) {
                    this.f3279b.invoke(obj, lVar, event);
                }
            } catch (InvocationTargetException e2) {
                throw new RuntimeException("Failed to call observer method", e2.getCause());
            } catch (IllegalAccessException e3) {
                throw new RuntimeException(e3);
            }
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || getClass() != obj.getClass()) {
                return false;
            }
            C0055b bVar = (C0055b) obj;
            if (this.f3278a != bVar.f3278a || !this.f3279b.getName().equals(bVar.f3279b.getName())) {
                return false;
            }
            return true;
        }

        public int hashCode() {
            return (this.f3278a * 31) + this.f3279b.getName().hashCode();
        }
    }

    b() {
    }

    private a a(Class<?> cls, @Nullable Method[] methodArr) {
        int i;
        a c2;
        Class<? super Object> superclass = cls.getSuperclass();
        HashMap hashMap = new HashMap();
        if (!(superclass == null || (c2 = c(superclass)) == null)) {
            hashMap.putAll(c2.f3277b);
        }
        for (Class<?> cls2 : cls.getInterfaces()) {
            for (Map.Entry<C0055b, Lifecycle.Event> entry : c(cls2).f3277b.entrySet()) {
                e(hashMap, entry.getKey(), entry.getValue(), cls);
            }
        }
        if (methodArr == null) {
            methodArr = b(cls);
        }
        boolean z = false;
        for (Method method : methodArr) {
            OnLifecycleEvent onLifecycleEvent = (OnLifecycleEvent) method.getAnnotation(OnLifecycleEvent.class);
            if (onLifecycleEvent != null) {
                Class<?>[] parameterTypes = method.getParameterTypes();
                if (parameterTypes.length <= 0) {
                    i = 0;
                } else if (parameterTypes[0].isAssignableFrom(l.class)) {
                    i = 1;
                } else {
                    throw new IllegalArgumentException("invalid parameter type. Must be one and instanceof LifecycleOwner");
                }
                Lifecycle.Event value = onLifecycleEvent.value();
                if (parameterTypes.length > 1) {
                    if (!parameterTypes[1].isAssignableFrom(Lifecycle.Event.class)) {
                        throw new IllegalArgumentException("invalid parameter type. second arg must be an event");
                    } else if (value == Lifecycle.Event.ON_ANY) {
                        i = 2;
                    } else {
                        throw new IllegalArgumentException("Second arg is supported only for ON_ANY value");
                    }
                }
                if (parameterTypes.length <= 2) {
                    e(hashMap, new C0055b(i, method), value, cls);
                    z = true;
                } else {
                    throw new IllegalArgumentException("cannot have more than 2 params");
                }
            }
        }
        a aVar = new a(hashMap);
        this.f3275e.put(cls, aVar);
        this.f.put(cls, Boolean.valueOf(z));
        return aVar;
    }

    private Method[] b(Class<?> cls) {
        try {
            return cls.getDeclaredMethods();
        } catch (NoClassDefFoundError e2) {
            throw new IllegalArgumentException("The observer class has some methods that use newer APIs which are not available in the current OS version. Lifecycles cannot access even other methods so you should make sure that your observer classes only access framework classes that are available in your min API level OR use lifecycle:compiler annotation processor.", e2);
        }
    }

    private void e(Map<C0055b, Lifecycle.Event> map, C0055b bVar, Lifecycle.Event event, Class<?> cls) {
        Lifecycle.Event event2 = map.get(bVar);
        if (event2 != null && event != event2) {
            Method method = bVar.f3279b;
            throw new IllegalArgumentException("Method " + method.getName() + " in " + cls.getName() + " already declared with different @OnLifecycleEvent value: previous value " + event2 + ", new value " + event);
        } else if (event2 == null) {
            map.put(bVar, event);
        }
    }

    /* access modifiers changed from: package-private */
    public a c(Class<?> cls) {
        a aVar = this.f3275e.get(cls);
        if (aVar != null) {
            return aVar;
        }
        return a(cls, null);
    }

    /* access modifiers changed from: package-private */
    public boolean d(Class<?> cls) {
        Boolean bool = this.f.get(cls);
        if (bool != null) {
            return bool.booleanValue();
        }
        Method[] b2 = b(cls);
        for (Method method : b2) {
            if (((OnLifecycleEvent) method.getAnnotation(OnLifecycleEvent.class)) != null) {
                a(cls, b2);
                return true;
            }
        }
        this.f.put(cls, Boolean.FALSE);
        return false;
    }
}
