package androidx.lifecycle;

import android.annotation.SuppressLint;
import androidx.annotation.AnyThread;
import androidx.annotation.MainThread;
import com.ibm.icu.text.DateFormat;
import com.niming.weipa.utils.x0.b;
import java.util.ArrayDeque;
import java.util.Queue;
import kotlin.Metadata;
import kotlin.coroutines.EmptyCoroutineContext;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.ExperimentalCoroutinesApi;
import kotlinx.coroutines.f1;
import kotlinx.coroutines.o2;
import org.jetbrains.annotations.NotNull;

@Metadata(bv = {1, 0, 3}, d1 = {"\u0000&\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\u0010\u000b\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\r\n\u0002\u0018\u0002\n\u0002\b\u0004\b\u0000\u0018\u00002\u00020\u0001B\u0007¢\u0006\u0004\b\u0018\u0010\u000bJ\u000f\u0010\u0003\u001a\u00020\u0002H\u0003¢\u0006\u0004\b\u0003\u0010\u0004J\u0017\u0010\b\u001a\u00020\u00072\u0006\u0010\u0006\u001a\u00020\u0005H\u0003¢\u0006\u0004\b\b\u0010\tJ\u000f\u0010\n\u001a\u00020\u0007H\u0007¢\u0006\u0004\b\n\u0010\u000bJ\u000f\u0010\f\u001a\u00020\u0007H\u0007¢\u0006\u0004\b\f\u0010\u000bJ\u000f\u0010\r\u001a\u00020\u0007H\u0007¢\u0006\u0004\b\r\u0010\u000bJ\u000f\u0010\u000e\u001a\u00020\u0007H\u0007¢\u0006\u0004\b\u000e\u0010\u000bJ\u0017\u0010\u000f\u001a\u00020\u00072\u0006\u0010\u0006\u001a\u00020\u0005H\u0007¢\u0006\u0004\b\u000f\u0010\tR\u0016\u0010\u0012\u001a\u00020\u00028\u0002@\u0002X\u000e¢\u0006\u0006\n\u0004\b\u0010\u0010\u0011R\u0016\u0010\u0013\u001a\u00020\u00028\u0002@\u0002X\u000e¢\u0006\u0006\n\u0004\b\u0003\u0010\u0011R\u0016\u0010\u0014\u001a\u00020\u00028\u0002@\u0002X\u000e¢\u0006\u0006\n\u0004\b\u000e\u0010\u0011R\u001c\u0010\u0017\u001a\b\u0012\u0004\u0012\u00020\u00050\u00158\u0002@\u0002X\u0004¢\u0006\u0006\n\u0004\b\b\u0010\u0016¨\u0006\u0019"}, d2 = {"Landroidx/lifecycle/d;", "", "", b.f20637a, "()Z", "Ljava/lang/Runnable;", "runnable", "", DateFormat.DAY, "(Ljava/lang/Runnable;)V", "f", "()V", "g", "e", "c", "h", "a", "Z", "paused", "finished", "isDraining", "Ljava/util/Queue;", "Ljava/util/Queue;", "queue", "<init>", "lifecycle-runtime-ktx_release"}, k = 1, mv = {1, 4, 0})
/* compiled from: DispatchQueue.kt */
public final class d {

    /* renamed from: a  reason: collision with root package name */
    private boolean f3287a = true;

    /* renamed from: b  reason: collision with root package name */
    private boolean f3288b;

    /* renamed from: c  reason: collision with root package name */
    private boolean f3289c;

    /* renamed from: d  reason: collision with root package name */
    private final Queue<Runnable> f3290d = new ArrayDeque();

    @Metadata(bv = {1, 0, 3}, d1 = {"\u0000\b\n\u0002\u0010\u0002\n\u0002\b\u0004\u0010\u0004\u001a\u00020\u0000H\n¢\u0006\u0004\b\u0001\u0010\u0002¨\u0006\u0003"}, d2 = {"", "run", "()V", "androidx/lifecycle/DispatchQueue$runOrEnqueue$1$1", "<anonymous>"}, k = 3, mv = {1, 4, 0})
    /* compiled from: DispatchQueue.kt */
    static final class a implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ d f3291a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Runnable f3292b;

        a(d dVar, Runnable runnable) {
            this.f3291a = dVar;
            this.f3292b = runnable;
        }

        public final void run() {
            this.f3291a.d(this.f3292b);
        }
    }

    @MainThread
    private final boolean b() {
        return this.f3288b || !this.f3287a;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @MainThread
    private final void d(Runnable runnable) {
        if (this.f3290d.offer(runnable)) {
            c();
            return;
        }
        throw new IllegalStateException("cannot enqueue any more runnables".toString());
    }

    @MainThread
    public final void c() {
        if (!this.f3289c) {
            boolean z = false;
            z = true;
            try {
                while (true) {
                    if (!(this.f3290d.isEmpty() ^ z)) {
                        break;
                    } else if (!b()) {
                        break;
                    } else {
                        Runnable poll = this.f3290d.poll();
                        if (poll != null) {
                            poll.run();
                        }
                    }
                }
                this.f3289c = z;
            } finally {
                this.f3289c = z;
            }
        }
    }

    @MainThread
    public final void e() {
        this.f3288b = true;
        c();
    }

    @MainThread
    public final void f() {
        this.f3287a = true;
    }

    @MainThread
    public final void g() {
        if (this.f3287a) {
            if (!this.f3288b) {
                this.f3287a = false;
                c();
                return;
            }
            throw new IllegalStateException("Cannot resume a finished dispatcher".toString());
        }
    }

    @AnyThread
    @SuppressLint({"WrongThread"})
    @ExperimentalCoroutinesApi
    public final void h(@NotNull Runnable runnable) {
        Intrinsics.checkParameterIsNotNull(runnable, "runnable");
        o2 c1 = f1.g().c1();
        EmptyCoroutineContext emptyCoroutineContext = EmptyCoroutineContext.INSTANCE;
        if (c1.Z0(emptyCoroutineContext)) {
            c1.V0(emptyCoroutineContext, new a(this, runnable));
        } else {
            d(runnable);
        }
    }
}
