package androidx.lifecycle;

import android.app.Application;
import androidx.annotation.MainThread;
import androidx.annotation.NonNull;
import java.lang.reflect.InvocationTargetException;

/* compiled from: ViewModelProvider */
public class z {

    /* renamed from: a  reason: collision with root package name */
    private static final String f3321a = "androidx.lifecycle.ViewModelProvider.DefaultKey";

    /* renamed from: b  reason: collision with root package name */
    private final b f3322b;

    /* renamed from: c  reason: collision with root package name */
    private final a0 f3323c;

    /* compiled from: ViewModelProvider */
    public static class a extends d {

        /* renamed from: a  reason: collision with root package name */
        private static a f3324a;

        /* renamed from: b  reason: collision with root package name */
        private Application f3325b;

        public a(@NonNull Application application) {
            this.f3325b = application;
        }

        @NonNull
        public static a b(@NonNull Application application) {
            if (f3324a == null) {
                f3324a = new a(application);
            }
            return f3324a;
        }

        @Override // androidx.lifecycle.z.d, androidx.lifecycle.z.b
        @NonNull
        public <T extends y> T a(@NonNull Class<T> cls) {
            if (!a.class.isAssignableFrom(cls)) {
                return (T) super.a(cls);
            }
            try {
                return cls.getConstructor(Application.class).newInstance(this.f3325b);
            } catch (NoSuchMethodException e2) {
                throw new RuntimeException("Cannot create an instance of " + cls, e2);
            } catch (IllegalAccessException e3) {
                throw new RuntimeException("Cannot create an instance of " + cls, e3);
            } catch (InstantiationException e4) {
                throw new RuntimeException("Cannot create an instance of " + cls, e4);
            } catch (InvocationTargetException e5) {
                throw new RuntimeException("Cannot create an instance of " + cls, e5);
            }
        }
    }

    /* compiled from: ViewModelProvider */
    public interface b {
        @NonNull
        <T extends y> T a(@NonNull Class<T> cls);
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ViewModelProvider */
    public static abstract class c implements b {
        c() {
        }

        @Override // androidx.lifecycle.z.b
        @NonNull
        public <T extends y> T a(@NonNull Class<T> cls) {
            throw new UnsupportedOperationException("create(String, Class<?>) must be called on implementaions of KeyedFactory");
        }

        @NonNull
        public abstract <T extends y> T b(@NonNull String str, @NonNull Class<T> cls);
    }

    /* compiled from: ViewModelProvider */
    public static class d implements b {
        @Override // androidx.lifecycle.z.b
        @NonNull
        public <T extends y> T a(@NonNull Class<T> cls) {
            try {
                return cls.newInstance();
            } catch (InstantiationException e2) {
                throw new RuntimeException("Cannot create an instance of " + cls, e2);
            } catch (IllegalAccessException e3) {
                throw new RuntimeException("Cannot create an instance of " + cls, e3);
            }
        }
    }

    public z(@NonNull b0 b0Var, @NonNull b bVar) {
        this(b0Var.getViewModelStore(), bVar);
    }

    @NonNull
    @MainThread
    public <T extends y> T a(@NonNull Class<T> cls) {
        String canonicalName = cls.getCanonicalName();
        if (canonicalName != null) {
            return (T) b("androidx.lifecycle.ViewModelProvider.DefaultKey:" + canonicalName, cls);
        }
        throw new IllegalArgumentException("Local and anonymous classes can not be ViewModels");
    }

    @NonNull
    @MainThread
    public <T extends y> T b(@NonNull String str, @NonNull Class<T> cls) {
        T t = (T) this.f3323c.b(str);
        if (cls.isInstance(t)) {
            return t;
        }
        b bVar = this.f3322b;
        T t2 = bVar instanceof c ? (T) ((c) bVar).b(str, cls) : (T) bVar.a(cls);
        this.f3323c.d(str, t2);
        return t2;
    }

    public z(@NonNull a0 a0Var, @NonNull b bVar) {
        this.f3322b = bVar;
        this.f3323c = a0Var;
    }
}
