package androidx.loader.content;

import android.os.Binder;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.Process;
import android.util.Log;
import androidx.annotation.RestrictTo;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.Callable;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.FutureTask;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;

/* access modifiers changed from: package-private */
public abstract class ModernAsyncTask<Params, Progress, Result> {
    private static final int I0 = 128;
    private static final int J0 = 1;
    private static final ThreadFactory K0;
    private static final BlockingQueue<Runnable> L0;
    public static final Executor M0;
    private static final int N0 = 1;
    private static final int O0 = 2;
    private static f P0 = null;
    private static volatile Executor Q0 = null;

    /* renamed from: a  reason: collision with root package name */
    private static final String f3336a = "AsyncTask";

    /* renamed from: b  reason: collision with root package name */
    private static final int f3337b = 5;
    private final g<Params, Result> R0;
    private final FutureTask<Result> S0;
    private volatile Status T0 = Status.PENDING;
    final AtomicBoolean U0 = new AtomicBoolean();
    final AtomicBoolean V0 = new AtomicBoolean();

    public enum Status {
        PENDING,
        RUNNING,
        FINISHED
    }

    static class a implements ThreadFactory {

        /* renamed from: a  reason: collision with root package name */
        private final AtomicInteger f3339a = new AtomicInteger(1);

        a() {
        }

        public Thread newThread(Runnable runnable) {
            return new Thread(runnable, "ModernAsyncTask #" + this.f3339a.getAndIncrement());
        }
    }

    class b extends g<Params, Result> {
        b() {
        }

        @Override // java.util.concurrent.Callable
        public Result call() throws Exception {
            ModernAsyncTask.this.V0.set(true);
            Result result = null;
            try {
                Process.setThreadPriority(10);
                result = (Result) ModernAsyncTask.this.b(this.f3345a);
                Binder.flushPendingCommands();
                ModernAsyncTask.this.q(result);
                return result;
            } catch (Throwable th) {
                ModernAsyncTask.this.q(result);
                throw th;
            }
        }
    }

    class c extends FutureTask<Result> {
        c(Callable callable) {
            super(callable);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v2, resolved type: androidx.loader.content.ModernAsyncTask */
        /* JADX WARN: Multi-variable type inference failed */
        /* access modifiers changed from: protected */
        public void done() {
            try {
                ModernAsyncTask.this.r(get());
            } catch (InterruptedException e2) {
                Log.w(ModernAsyncTask.f3336a, e2);
            } catch (ExecutionException e3) {
                throw new RuntimeException("An error occurred while executing doInBackground()", e3.getCause());
            } catch (CancellationException unused) {
                ModernAsyncTask.this.r(null);
            } catch (Throwable th) {
                throw new RuntimeException("An error occurred while executing doInBackground()", th);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class d {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f3342a;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|6) */
        /* JADX WARNING: Code restructure failed: missing block: B:7:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        static {
            int[] iArr = new int[Status.values().length];
            f3342a = iArr;
            iArr[Status.RUNNING.ordinal()] = 1;
            f3342a[Status.FINISHED.ordinal()] = 2;
        }
    }

    /* access modifiers changed from: private */
    public static class e<Data> {

        /* renamed from: a  reason: collision with root package name */
        final ModernAsyncTask f3343a;

        /* renamed from: b  reason: collision with root package name */
        final Data[] f3344b;

        e(ModernAsyncTask modernAsyncTask, Data... dataArr) {
            this.f3343a = modernAsyncTask;
            this.f3344b = dataArr;
        }
    }

    /* access modifiers changed from: private */
    public static class f extends Handler {
        f() {
            super(Looper.getMainLooper());
        }

        public void handleMessage(Message message) {
            e eVar = (e) message.obj;
            int i = message.what;
            if (i == 1) {
                eVar.f3343a.f(eVar.f3344b[0]);
            } else if (i == 2) {
                eVar.f3343a.p(eVar.f3344b);
            }
        }
    }

    /* access modifiers changed from: private */
    public static abstract class g<Params, Result> implements Callable<Result> {

        /* renamed from: a  reason: collision with root package name */
        Params[] f3345a;

        g() {
        }
    }

    static {
        a aVar = new a();
        K0 = aVar;
        LinkedBlockingQueue linkedBlockingQueue = new LinkedBlockingQueue(10);
        L0 = linkedBlockingQueue;
        ThreadPoolExecutor threadPoolExecutor = new ThreadPoolExecutor(5, 128, 1, TimeUnit.SECONDS, linkedBlockingQueue, aVar);
        M0 = threadPoolExecutor;
        Q0 = threadPoolExecutor;
    }

    ModernAsyncTask() {
        b bVar = new b();
        this.R0 = bVar;
        this.S0 = new c(bVar);
    }

    public static void d(Runnable runnable) {
        Q0.execute(runnable);
    }

    private static Handler i() {
        f fVar;
        synchronized (ModernAsyncTask.class) {
            if (P0 == null) {
                P0 = new f();
            }
            fVar = P0;
        }
        return fVar;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static void t(Executor executor) {
        Q0 = executor;
    }

    public final boolean a(boolean z) {
        this.U0.set(true);
        return this.S0.cancel(z);
    }

    /* access modifiers changed from: protected */
    public abstract Result b(Params... paramsArr);

    public final ModernAsyncTask<Params, Progress, Result> c(Params... paramsArr) {
        return e(Q0, paramsArr);
    }

    public final ModernAsyncTask<Params, Progress, Result> e(Executor executor, Params... paramsArr) {
        if (this.T0 != Status.PENDING) {
            int i = d.f3342a[this.T0.ordinal()];
            if (i == 1) {
                throw new IllegalStateException("Cannot execute task: the task is already running.");
            } else if (i != 2) {
                throw new IllegalStateException("We should never reach this state");
            } else {
                throw new IllegalStateException("Cannot execute task: the task has already been executed (a task can be executed only once)");
            }
        } else {
            this.T0 = Status.RUNNING;
            o();
            this.R0.f3345a = paramsArr;
            executor.execute(this.S0);
            return this;
        }
    }

    /* access modifiers changed from: package-private */
    public void f(Result result) {
        if (k()) {
            m(result);
        } else {
            n(result);
        }
        this.T0 = Status.FINISHED;
    }

    public final Result g() throws InterruptedException, ExecutionException {
        return this.S0.get();
    }

    public final Result h(long j, TimeUnit timeUnit) throws InterruptedException, ExecutionException, TimeoutException {
        return this.S0.get(j, timeUnit);
    }

    public final Status j() {
        return this.T0;
    }

    public final boolean k() {
        return this.U0.get();
    }

    /* access modifiers changed from: protected */
    public void l() {
    }

    /* access modifiers changed from: protected */
    public void m(Result result) {
        l();
    }

    /* access modifiers changed from: protected */
    public void n(Result result) {
    }

    /* access modifiers changed from: protected */
    public void o() {
    }

    /* access modifiers changed from: protected */
    public void p(Progress... progressArr) {
    }

    /* access modifiers changed from: package-private */
    public Result q(Result result) {
        i().obtainMessage(1, new e(this, result)).sendToTarget();
        return result;
    }

    /* access modifiers changed from: package-private */
    public void r(Result result) {
        if (!this.V0.get()) {
            q(result);
        }
    }

    /* access modifiers changed from: protected */
    public final void s(Progress... progressArr) {
        if (!k()) {
            i().obtainMessage(2, new e(this, progressArr)).sendToTarget();
        }
    }
}
