package androidx.media;

import android.annotation.TargetApi;
import android.media.AudioAttributes;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import androidx.annotation.NonNull;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

@TargetApi(21)
class AudioAttributesImplApi21 implements AudioAttributesImpl {

    /* renamed from: a  reason: collision with root package name */
    private static final String f3365a = "AudioAttributesCompat21";

    /* renamed from: b  reason: collision with root package name */
    static Method f3366b;

    /* renamed from: c  reason: collision with root package name */
    AudioAttributes f3367c;

    /* renamed from: d  reason: collision with root package name */
    int f3368d;

    AudioAttributesImplApi21() {
        this.f3368d = -1;
    }

    public static AudioAttributesImpl h(Bundle bundle) {
        AudioAttributes audioAttributes;
        if (bundle == null || (audioAttributes = (AudioAttributes) bundle.getParcelable("androidx.media.audio_attrs.FRAMEWORKS")) == null) {
            return null;
        }
        return new AudioAttributesImplApi21(audioAttributes, bundle.getInt("androidx.media.audio_attrs.LEGACY_STREAM_TYPE", -1));
    }

    static Method i() {
        try {
            if (f3366b == null) {
                f3366b = AudioAttributes.class.getMethod("toLegacyStreamType", AudioAttributes.class);
            }
            return f3366b;
        } catch (NoSuchMethodException unused) {
            return null;
        }
    }

    @Override // androidx.media.AudioAttributesImpl
    @NonNull
    public Bundle a() {
        Bundle bundle = new Bundle();
        bundle.putParcelable("androidx.media.audio_attrs.FRAMEWORKS", this.f3367c);
        int i = this.f3368d;
        if (i != -1) {
            bundle.putInt("androidx.media.audio_attrs.LEGACY_STREAM_TYPE", i);
        }
        return bundle;
    }

    @Override // androidx.media.AudioAttributesImpl
    public int b() {
        int i = this.f3368d;
        if (i != -1) {
            return i;
        }
        Method i2 = i();
        if (i2 == null) {
            Log.w(f3365a, "No AudioAttributes#toLegacyStreamType() on API: " + Build.VERSION.SDK_INT);
            return -1;
        }
        try {
            return ((Integer) i2.invoke(null, this.f3367c)).intValue();
        } catch (IllegalAccessException | InvocationTargetException e2) {
            Log.w(f3365a, "getLegacyStreamType() failed on API: " + Build.VERSION.SDK_INT, e2);
            return -1;
        }
    }

    @Override // androidx.media.AudioAttributesImpl
    public int c() {
        return this.f3368d;
    }

    @Override // androidx.media.AudioAttributesImpl
    public int d() {
        return this.f3367c.getUsage();
    }

    @Override // androidx.media.AudioAttributesImpl
    public Object e() {
        return this.f3367c;
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof AudioAttributesImplApi21)) {
            return false;
        }
        return this.f3367c.equals(((AudioAttributesImplApi21) obj).f3367c);
    }

    @Override // androidx.media.AudioAttributesImpl
    public int f() {
        return this.f3367c.getContentType();
    }

    @Override // androidx.media.AudioAttributesImpl
    public int g() {
        if (Build.VERSION.SDK_INT >= 26) {
            return this.f3367c.getVolumeControlStream();
        }
        return AudioAttributesCompat.j(true, getFlags(), d());
    }

    @Override // androidx.media.AudioAttributesImpl
    public int getFlags() {
        return this.f3367c.getFlags();
    }

    public int hashCode() {
        return this.f3367c.hashCode();
    }

    public String toString() {
        return "AudioAttributesCompat: audioattributes=" + this.f3367c;
    }

    AudioAttributesImplApi21(AudioAttributes audioAttributes) {
        this(audioAttributes, -1);
    }

    AudioAttributesImplApi21(AudioAttributes audioAttributes, int i) {
        this.f3368d = -1;
        this.f3367c = audioAttributes;
        this.f3368d = i;
    }
}
