package androidx.media;

import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.Binder;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.Messenger;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.RemoteException;
import android.service.media.MediaBrowserService;
import android.support.v4.media.MediaBrowserCompat;
import android.support.v4.media.session.IMediaSession;
import android.support.v4.media.session.MediaSessionCompat;
import android.support.v4.os.ResultReceiver;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.media.c;
import androidx.media.d;
import androidx.media.e;
import androidx.media.f;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;

public abstract class MediaBrowserServiceCompat extends Service {
    private static final float I0 = 1.0E-5f;
    public static final String J0 = "android.media.browse.MediaBrowserService";
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public static final String K0 = "media_item";
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public static final String L0 = "search_results";
    static final int M0 = 1;
    static final int N0 = 2;
    static final int O0 = 4;
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public static final int P0 = -1;
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public static final int Q0 = 0;
    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public static final int R0 = 1;

    /* renamed from: a  reason: collision with root package name */
    static final String f3373a = "MBServiceCompat";

    /* renamed from: b  reason: collision with root package name */
    static final boolean f3374b = Log.isLoggable(f3373a, 3);
    private g S0;
    final b.b.a<IBinder, f> T0 = new b.b.a<>();
    f U0;
    final q V0 = new q();
    MediaSessionCompat.Token W0;

    /* access modifiers changed from: package-private */
    public class a extends m<List<MediaBrowserCompat.MediaItem>> {
        final /* synthetic */ f g;
        final /* synthetic */ String h;
        final /* synthetic */ Bundle i;
        final /* synthetic */ Bundle j;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        a(Object obj, f fVar, String str, Bundle bundle, Bundle bundle2) {
            super(obj);
            this.g = fVar;
            this.h = str;
            this.i = bundle;
            this.j = bundle2;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: l */
        public void g(List<MediaBrowserCompat.MediaItem> list) {
            if (MediaBrowserServiceCompat.this.T0.get(this.g.f.asBinder()) == this.g) {
                if ((c() & 1) != 0) {
                    list = MediaBrowserServiceCompat.this.b(list, this.i);
                }
                try {
                    this.g.f.a(this.h, list, this.i, this.j);
                } catch (RemoteException unused) {
                    Log.w(MediaBrowserServiceCompat.f3373a, "Calling onLoadChildren() failed for id=" + this.h + " package=" + this.g.f3380a);
                }
            } else if (MediaBrowserServiceCompat.f3374b) {
                Log.d(MediaBrowserServiceCompat.f3373a, "Not sending onLoadChildren result for connection that has been disconnected. pkg=" + this.g.f3380a + " id=" + this.h);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends m<MediaBrowserCompat.MediaItem> {
        final /* synthetic */ ResultReceiver g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(Object obj, ResultReceiver resultReceiver) {
            super(obj);
            this.g = resultReceiver;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: l */
        public void g(MediaBrowserCompat.MediaItem mediaItem) {
            if ((c() & 2) != 0) {
                this.g.send(-1, null);
                return;
            }
            Bundle bundle = new Bundle();
            bundle.putParcelable(MediaBrowserServiceCompat.K0, mediaItem);
            this.g.send(0, bundle);
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends m<List<MediaBrowserCompat.MediaItem>> {
        final /* synthetic */ ResultReceiver g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(Object obj, ResultReceiver resultReceiver) {
            super(obj);
            this.g = resultReceiver;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: l */
        public void g(List<MediaBrowserCompat.MediaItem> list) {
            if ((c() & 4) != 0 || list == null) {
                this.g.send(-1, null);
                return;
            }
            Bundle bundle = new Bundle();
            bundle.putParcelableArray(MediaBrowserServiceCompat.L0, (Parcelable[]) list.toArray(new MediaBrowserCompat.MediaItem[0]));
            this.g.send(0, bundle);
        }
    }

    /* access modifiers changed from: package-private */
    public class d extends m<Bundle> {
        final /* synthetic */ ResultReceiver g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        d(Object obj, ResultReceiver resultReceiver) {
            super(obj);
            this.g = resultReceiver;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.media.MediaBrowserServiceCompat.m
        public void e(Bundle bundle) {
            this.g.send(-1, bundle);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.media.MediaBrowserServiceCompat.m
        public void f(Bundle bundle) {
            this.g.send(1, bundle);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: l */
        public void g(Bundle bundle) {
            this.g.send(0, bundle);
        }
    }

    public static final class e {

        /* renamed from: a  reason: collision with root package name */
        public static final String f3375a = "android.service.media.extra.RECENT";

        /* renamed from: b  reason: collision with root package name */
        public static final String f3376b = "android.service.media.extra.OFFLINE";

        /* renamed from: c  reason: collision with root package name */
        public static final String f3377c = "android.service.media.extra.SUGGESTED";
        @Deprecated

        /* renamed from: d  reason: collision with root package name */
        public static final String f3378d = "android.service.media.extra.SUGGESTION_KEYWORDS";

        /* renamed from: e  reason: collision with root package name */
        private final String f3379e;
        private final Bundle f;

        public e(@NonNull String str, @Nullable Bundle bundle) {
            if (str != null) {
                this.f3379e = str;
                this.f = bundle;
                return;
            }
            throw new IllegalArgumentException("The root id in BrowserRoot cannot be null. Use null for BrowserRoot instead.");
        }

        public Bundle a() {
            return this.f;
        }

        public String b() {
            return this.f3379e;
        }
    }

    /* access modifiers changed from: private */
    public class f implements IBinder.DeathRecipient {

        /* renamed from: a  reason: collision with root package name */
        public final String f3380a;

        /* renamed from: b  reason: collision with root package name */
        public final int f3381b;

        /* renamed from: c  reason: collision with root package name */
        public final int f3382c;

        /* renamed from: d  reason: collision with root package name */
        public final f.b f3383d;

        /* renamed from: e  reason: collision with root package name */
        public final Bundle f3384e;
        public final o f;
        public final HashMap<String, List<androidx.core.util.i<IBinder, Bundle>>> g = new HashMap<>();
        public e h;

        class a implements Runnable {
            a() {
            }

            public void run() {
                f fVar = f.this;
                MediaBrowserServiceCompat.this.T0.remove(fVar.f.asBinder());
            }
        }

        f(String str, int i2, int i3, Bundle bundle, o oVar) {
            this.f3380a = str;
            this.f3381b = i2;
            this.f3382c = i3;
            this.f3383d = new f.b(str, i2, i3);
            this.f3384e = bundle;
            this.f = oVar;
        }

        public void binderDied() {
            MediaBrowserServiceCompat.this.V0.post(new a());
        }
    }

    interface g {
        void b();

        IBinder e(Intent intent);

        Bundle f();

        void g(f.b bVar, String str, Bundle bundle);

        f.b h();

        void j(String str, Bundle bundle);

        void k(MediaSessionCompat.Token token);
    }

    @RequiresApi(21)
    class h implements g, c.d {

        /* renamed from: a  reason: collision with root package name */
        final List<Bundle> f3386a = new ArrayList();

        /* renamed from: b  reason: collision with root package name */
        Object f3387b;

        /* renamed from: c  reason: collision with root package name */
        Messenger f3388c;

        class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ MediaSessionCompat.Token f3390a;

            a(MediaSessionCompat.Token token) {
                this.f3390a = token;
            }

            public void run() {
                if (!h.this.f3386a.isEmpty()) {
                    IMediaSession extraBinder = this.f3390a.getExtraBinder();
                    if (extraBinder != null) {
                        for (Bundle bundle : h.this.f3386a) {
                            androidx.core.app.i.b(bundle, b.s, extraBinder.asBinder());
                        }
                    }
                    h.this.f3386a.clear();
                }
                c.e(h.this.f3387b, this.f3390a.getToken());
            }
        }

        class b extends m<List<MediaBrowserCompat.MediaItem>> {
            final /* synthetic */ c.C0061c g;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            b(Object obj, c.C0061c cVar) {
                super(obj);
                this.g = cVar;
            }

            @Override // androidx.media.MediaBrowserServiceCompat.m
            public void b() {
                this.g.a();
            }

            /* access modifiers changed from: package-private */
            /* renamed from: l */
            public void g(List<MediaBrowserCompat.MediaItem> list) {
                ArrayList arrayList;
                if (list != null) {
                    arrayList = new ArrayList();
                    for (MediaBrowserCompat.MediaItem mediaItem : list) {
                        Parcel obtain = Parcel.obtain();
                        mediaItem.writeToParcel(obtain, 0);
                        arrayList.add(obtain);
                    }
                } else {
                    arrayList = null;
                }
                this.g.c(arrayList);
            }
        }

        /* access modifiers changed from: package-private */
        public class c implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ String f3392a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ Bundle f3393b;

            c(String str, Bundle bundle) {
                this.f3392a = str;
                this.f3393b = bundle;
            }

            public void run() {
                for (IBinder iBinder : MediaBrowserServiceCompat.this.T0.keySet()) {
                    b.b.a<IBinder, f> aVar = MediaBrowserServiceCompat.this.T0;
                    h.this.n(aVar.get(iBinder), this.f3392a, this.f3393b);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public class d implements Runnable {
            final /* synthetic */ Bundle I0;

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ f.b f3394a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ String f3395b;

            d(f.b bVar, String str, Bundle bundle) {
                this.f3394a = bVar;
                this.f3395b = str;
                this.I0 = bundle;
            }

            public void run() {
                for (int i = 0; i < MediaBrowserServiceCompat.this.T0.size(); i++) {
                    f m = MediaBrowserServiceCompat.this.T0.m(i);
                    if (m.f3383d.equals(this.f3394a)) {
                        h.this.n(m, this.f3395b, this.I0);
                    }
                }
            }
        }

        h() {
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g
        public void b() {
            Object a2 = c.a(MediaBrowserServiceCompat.this, this);
            this.f3387b = a2;
            c.d(a2);
        }

        @Override // androidx.media.c.d
        public void c(String str, c.C0061c<List<Parcel>> cVar) {
            MediaBrowserServiceCompat.this.m(str, new b(str, cVar));
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g
        public IBinder e(Intent intent) {
            return c.c(this.f3387b, intent);
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g
        public Bundle f() {
            if (this.f3388c == null) {
                return null;
            }
            f fVar = MediaBrowserServiceCompat.this.U0;
            if (fVar == null) {
                throw new IllegalStateException("This should be called inside of onGetRoot, onLoadChildren, onLoadItem, onSearch, or onCustomAction methods");
            } else if (fVar.f3384e == null) {
                return null;
            } else {
                return new Bundle(MediaBrowserServiceCompat.this.U0.f3384e);
            }
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g
        public void g(f.b bVar, String str, Bundle bundle) {
            l(bVar, str, bundle);
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g
        public f.b h() {
            f fVar = MediaBrowserServiceCompat.this.U0;
            if (fVar != null) {
                return fVar.f3383d;
            }
            throw new IllegalStateException("This should be called inside of onGetRoot, onLoadChildren, onLoadItem, onSearch, or onCustomAction methods");
        }

        @Override // androidx.media.c.d
        public c.a i(String str, int i, Bundle bundle) {
            Bundle bundle2;
            IBinder iBinder;
            if (bundle == null || bundle.getInt(b.p, 0) == 0) {
                bundle2 = null;
            } else {
                bundle.remove(b.p);
                this.f3388c = new Messenger(MediaBrowserServiceCompat.this.V0);
                bundle2 = new Bundle();
                bundle2.putInt(b.q, 2);
                androidx.core.app.i.b(bundle2, b.r, this.f3388c.getBinder());
                MediaSessionCompat.Token token = MediaBrowserServiceCompat.this.W0;
                if (token != null) {
                    IMediaSession extraBinder = token.getExtraBinder();
                    if (extraBinder == null) {
                        iBinder = null;
                    } else {
                        iBinder = extraBinder.asBinder();
                    }
                    androidx.core.app.i.b(bundle2, b.s, iBinder);
                } else {
                    this.f3386a.add(bundle2);
                }
            }
            MediaBrowserServiceCompat mediaBrowserServiceCompat = MediaBrowserServiceCompat.this;
            mediaBrowserServiceCompat.U0 = new f(str, -1, i, bundle, null);
            e l = MediaBrowserServiceCompat.this.l(str, i, bundle);
            MediaBrowserServiceCompat.this.U0 = null;
            if (l == null) {
                return null;
            }
            if (bundle2 == null) {
                bundle2 = l.a();
            } else if (l.a() != null) {
                bundle2.putAll(l.a());
            }
            return new c.a(l.b(), bundle2);
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g
        public void j(String str, Bundle bundle) {
            o(str, bundle);
            m(str, bundle);
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g
        public void k(MediaSessionCompat.Token token) {
            MediaBrowserServiceCompat.this.V0.a(new a(token));
        }

        /* access modifiers changed from: package-private */
        public void l(f.b bVar, String str, Bundle bundle) {
            MediaBrowserServiceCompat.this.V0.post(new d(bVar, str, bundle));
        }

        /* access modifiers changed from: package-private */
        public void m(String str, Bundle bundle) {
            MediaBrowserServiceCompat.this.V0.post(new c(str, bundle));
        }

        /* access modifiers changed from: package-private */
        public void n(f fVar, String str, Bundle bundle) {
            List<androidx.core.util.i<IBinder, Bundle>> list = fVar.g.get(str);
            if (list != null) {
                for (androidx.core.util.i<IBinder, Bundle> iVar : list) {
                    if (a.b(bundle, iVar.f2819b)) {
                        MediaBrowserServiceCompat.this.t(str, fVar, iVar.f2819b, bundle);
                    }
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void o(String str, Bundle bundle) {
            c.b(this.f3387b, str);
        }
    }

    @RequiresApi(23)
    class i extends h implements d.b {

        class a extends m<MediaBrowserCompat.MediaItem> {
            final /* synthetic */ c.C0061c g;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(Object obj, c.C0061c cVar) {
                super(obj);
                this.g = cVar;
            }

            @Override // androidx.media.MediaBrowserServiceCompat.m
            public void b() {
                this.g.a();
            }

            /* access modifiers changed from: package-private */
            /* renamed from: l */
            public void g(MediaBrowserCompat.MediaItem mediaItem) {
                if (mediaItem == null) {
                    this.g.c(null);
                    return;
                }
                Parcel obtain = Parcel.obtain();
                mediaItem.writeToParcel(obtain, 0);
                this.g.c(obtain);
            }
        }

        i() {
            super();
        }

        @Override // androidx.media.d.b
        public void a(String str, c.C0061c<Parcel> cVar) {
            MediaBrowserServiceCompat.this.o(str, new a(str, cVar));
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g, androidx.media.MediaBrowserServiceCompat.h
        public void b() {
            Object a2 = d.a(MediaBrowserServiceCompat.this, this);
            this.f3387b = a2;
            c.d(a2);
        }
    }

    @RequiresApi(26)
    class j extends i implements e.c {

        class a extends m<List<MediaBrowserCompat.MediaItem>> {
            final /* synthetic */ e.b g;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            a(Object obj, e.b bVar) {
                super(obj);
                this.g = bVar;
            }

            @Override // androidx.media.MediaBrowserServiceCompat.m
            public void b() {
                this.g.a();
            }

            /* access modifiers changed from: package-private */
            /* renamed from: l */
            public void g(List<MediaBrowserCompat.MediaItem> list) {
                ArrayList arrayList;
                if (list != null) {
                    arrayList = new ArrayList();
                    for (MediaBrowserCompat.MediaItem mediaItem : list) {
                        Parcel obtain = Parcel.obtain();
                        mediaItem.writeToParcel(obtain, 0);
                        arrayList.add(obtain);
                    }
                } else {
                    arrayList = null;
                }
                this.g.c(arrayList, c());
            }
        }

        j() {
            super();
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g, androidx.media.MediaBrowserServiceCompat.i, androidx.media.MediaBrowserServiceCompat.h
        public void b() {
            Object a2 = e.a(MediaBrowserServiceCompat.this, this);
            this.f3387b = a2;
            c.d(a2);
        }

        @Override // androidx.media.e.c
        public void d(String str, e.b bVar, Bundle bundle) {
            MediaBrowserServiceCompat.this.n(str, new a(str, bVar), bundle);
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g, androidx.media.MediaBrowserServiceCompat.h
        public Bundle f() {
            f fVar = MediaBrowserServiceCompat.this.U0;
            if (fVar == null) {
                return e.b(this.f3387b);
            }
            if (fVar.f3384e == null) {
                return null;
            }
            return new Bundle(MediaBrowserServiceCompat.this.U0.f3384e);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.media.MediaBrowserServiceCompat.h
        public void o(String str, Bundle bundle) {
            if (bundle != null) {
                e.c(this.f3387b, str, bundle);
            } else {
                super.o(str, bundle);
            }
        }
    }

    @RequiresApi(28)
    class k extends j {
        k() {
            super();
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g, androidx.media.MediaBrowserServiceCompat.h
        public f.b h() {
            f fVar = MediaBrowserServiceCompat.this.U0;
            if (fVar != null) {
                return fVar.f3383d;
            }
            return new f.b(((MediaBrowserService) this.f3387b).getCurrentBrowserInfo());
        }
    }

    class l implements g {

        /* renamed from: a  reason: collision with root package name */
        private Messenger f3397a;

        class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ MediaSessionCompat.Token f3399a;

            a(MediaSessionCompat.Token token) {
                this.f3399a = token;
            }

            public void run() {
                Iterator<f> it = MediaBrowserServiceCompat.this.T0.values().iterator();
                while (it.hasNext()) {
                    f next = it.next();
                    try {
                        next.f.c(next.h.b(), this.f3399a, next.h.a());
                    } catch (RemoteException unused) {
                        Log.w(MediaBrowserServiceCompat.f3373a, "Connection for " + next.f3380a + " is no longer valid.");
                        it.remove();
                    }
                }
            }
        }

        class b implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ String f3401a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ Bundle f3402b;

            b(String str, Bundle bundle) {
                this.f3401a = str;
                this.f3402b = bundle;
            }

            public void run() {
                for (IBinder iBinder : MediaBrowserServiceCompat.this.T0.keySet()) {
                    b.b.a<IBinder, f> aVar = MediaBrowserServiceCompat.this.T0;
                    l.this.a(aVar.get(iBinder), this.f3401a, this.f3402b);
                }
            }
        }

        class c implements Runnable {
            final /* synthetic */ Bundle I0;

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ f.b f3403a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ String f3404b;

            c(f.b bVar, String str, Bundle bundle) {
                this.f3403a = bVar;
                this.f3404b = str;
                this.I0 = bundle;
            }

            public void run() {
                for (int i = 0; i < MediaBrowserServiceCompat.this.T0.size(); i++) {
                    f m = MediaBrowserServiceCompat.this.T0.m(i);
                    if (m.f3383d.equals(this.f3403a)) {
                        l.this.a(m, this.f3404b, this.I0);
                        return;
                    }
                }
            }
        }

        l() {
        }

        /* access modifiers changed from: package-private */
        public void a(f fVar, String str, Bundle bundle) {
            List<androidx.core.util.i<IBinder, Bundle>> list = fVar.g.get(str);
            if (list != null) {
                for (androidx.core.util.i<IBinder, Bundle> iVar : list) {
                    if (a.b(bundle, iVar.f2819b)) {
                        MediaBrowserServiceCompat.this.t(str, fVar, iVar.f2819b, bundle);
                    }
                }
            }
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g
        public void b() {
            this.f3397a = new Messenger(MediaBrowserServiceCompat.this.V0);
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g
        public IBinder e(Intent intent) {
            if (MediaBrowserServiceCompat.J0.equals(intent.getAction())) {
                return this.f3397a.getBinder();
            }
            return null;
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g
        public Bundle f() {
            f fVar = MediaBrowserServiceCompat.this.U0;
            if (fVar == null) {
                throw new IllegalStateException("This should be called inside of onLoadChildren, onLoadItem, onSearch, or onCustomAction methods");
            } else if (fVar.f3384e == null) {
                return null;
            } else {
                return new Bundle(MediaBrowserServiceCompat.this.U0.f3384e);
            }
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g
        public void g(@NonNull f.b bVar, @NonNull String str, Bundle bundle) {
            MediaBrowserServiceCompat.this.V0.post(new c(bVar, str, bundle));
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g
        public f.b h() {
            f fVar = MediaBrowserServiceCompat.this.U0;
            if (fVar != null) {
                return fVar.f3383d;
            }
            throw new IllegalStateException("This should be called inside of onLoadChildren, onLoadItem, onSearch, or onCustomAction methods");
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g
        public void j(@NonNull String str, Bundle bundle) {
            MediaBrowserServiceCompat.this.V0.post(new b(str, bundle));
        }

        @Override // androidx.media.MediaBrowserServiceCompat.g
        public void k(MediaSessionCompat.Token token) {
            MediaBrowserServiceCompat.this.V0.post(new a(token));
        }
    }

    public static class m<T> {

        /* renamed from: a  reason: collision with root package name */
        private final Object f3405a;

        /* renamed from: b  reason: collision with root package name */
        private boolean f3406b;

        /* renamed from: c  reason: collision with root package name */
        private boolean f3407c;

        /* renamed from: d  reason: collision with root package name */
        private boolean f3408d;

        /* renamed from: e  reason: collision with root package name */
        private boolean f3409e;
        private int f;

        m(Object obj) {
            this.f3405a = obj;
        }

        private void a(Bundle bundle) {
            if (bundle != null && bundle.containsKey(MediaBrowserCompat.EXTRA_DOWNLOAD_PROGRESS)) {
                float f2 = bundle.getFloat(MediaBrowserCompat.EXTRA_DOWNLOAD_PROGRESS);
                if (f2 < -1.0E-5f || f2 > 1.00001f) {
                    throw new IllegalArgumentException("The value of the EXTRA_DOWNLOAD_PROGRESS field must be a float number within [0.0, 1.0].");
                }
            }
        }

        public void b() {
            if (this.f3406b) {
                throw new IllegalStateException("detach() called when detach() had already been called for: " + this.f3405a);
            } else if (this.f3407c) {
                throw new IllegalStateException("detach() called when sendResult() had already been called for: " + this.f3405a);
            } else if (!this.f3409e) {
                this.f3406b = true;
            } else {
                throw new IllegalStateException("detach() called when sendError() had already been called for: " + this.f3405a);
            }
        }

        /* access modifiers changed from: package-private */
        public int c() {
            return this.f;
        }

        /* access modifiers changed from: package-private */
        public boolean d() {
            return this.f3406b || this.f3407c || this.f3409e;
        }

        /* access modifiers changed from: package-private */
        public void e(Bundle bundle) {
            throw new UnsupportedOperationException("It is not supported to send an error for " + this.f3405a);
        }

        /* access modifiers changed from: package-private */
        public void f(Bundle bundle) {
            throw new UnsupportedOperationException("It is not supported to send an interim update for " + this.f3405a);
        }

        /* access modifiers changed from: package-private */
        public void g(T t) {
        }

        public void h(Bundle bundle) {
            if (this.f3407c || this.f3409e) {
                throw new IllegalStateException("sendError() called when either sendResult() or sendError() had already been called for: " + this.f3405a);
            }
            this.f3409e = true;
            e(bundle);
        }

        public void i(Bundle bundle) {
            if (this.f3407c || this.f3409e) {
                throw new IllegalStateException("sendProgressUpdate() called when either sendResult() or sendError() had already been called for: " + this.f3405a);
            }
            a(bundle);
            this.f3408d = true;
            f(bundle);
        }

        public void j(T t) {
            if (this.f3407c || this.f3409e) {
                throw new IllegalStateException("sendResult() called when either sendResult() or sendError() had already been called for: " + this.f3405a);
            }
            this.f3407c = true;
            g(t);
        }

        /* access modifiers changed from: package-private */
        public void k(int i) {
            this.f = i;
        }
    }

    private class n {

        /* access modifiers changed from: package-private */
        public class a implements Runnable {
            final /* synthetic */ int I0;
            final /* synthetic */ int J0;
            final /* synthetic */ Bundle K0;

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ o f3411a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ String f3412b;

            a(o oVar, String str, int i, int i2, Bundle bundle) {
                this.f3411a = oVar;
                this.f3412b = str;
                this.I0 = i;
                this.J0 = i2;
                this.K0 = bundle;
            }

            public void run() {
                IBinder asBinder = this.f3411a.asBinder();
                MediaBrowserServiceCompat.this.T0.remove(asBinder);
                f fVar = new f(this.f3412b, this.I0, this.J0, this.K0, this.f3411a);
                MediaBrowserServiceCompat mediaBrowserServiceCompat = MediaBrowserServiceCompat.this;
                mediaBrowserServiceCompat.U0 = fVar;
                e l = mediaBrowserServiceCompat.l(this.f3412b, this.J0, this.K0);
                fVar.h = l;
                MediaBrowserServiceCompat mediaBrowserServiceCompat2 = MediaBrowserServiceCompat.this;
                mediaBrowserServiceCompat2.U0 = null;
                if (l == null) {
                    Log.i(MediaBrowserServiceCompat.f3373a, "No root for client " + this.f3412b + " from service " + getClass().getName());
                    try {
                        this.f3411a.b();
                    } catch (RemoteException unused) {
                        Log.w(MediaBrowserServiceCompat.f3373a, "Calling onConnectFailed() failed. Ignoring. pkg=" + this.f3412b);
                    }
                } else {
                    try {
                        mediaBrowserServiceCompat2.T0.put(asBinder, fVar);
                        asBinder.linkToDeath(fVar, 0);
                        if (MediaBrowserServiceCompat.this.W0 != null) {
                            this.f3411a.c(fVar.h.b(), MediaBrowserServiceCompat.this.W0, fVar.h.a());
                        }
                    } catch (RemoteException unused2) {
                        Log.w(MediaBrowserServiceCompat.f3373a, "Calling onConnect() failed. Dropping client. pkg=" + this.f3412b);
                        MediaBrowserServiceCompat.this.T0.remove(asBinder);
                    }
                }
            }
        }

        /* access modifiers changed from: package-private */
        public class b implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ o f3413a;

            b(o oVar) {
                this.f3413a = oVar;
            }

            public void run() {
                f remove = MediaBrowserServiceCompat.this.T0.remove(this.f3413a.asBinder());
                if (remove != null) {
                    remove.f.asBinder().unlinkToDeath(remove, 0);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public class c implements Runnable {
            final /* synthetic */ IBinder I0;
            final /* synthetic */ Bundle J0;

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ o f3415a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ String f3416b;

            c(o oVar, String str, IBinder iBinder, Bundle bundle) {
                this.f3415a = oVar;
                this.f3416b = str;
                this.I0 = iBinder;
                this.J0 = bundle;
            }

            public void run() {
                f fVar = MediaBrowserServiceCompat.this.T0.get(this.f3415a.asBinder());
                if (fVar == null) {
                    Log.w(MediaBrowserServiceCompat.f3373a, "addSubscription for callback that isn't registered id=" + this.f3416b);
                    return;
                }
                MediaBrowserServiceCompat.this.a(this.f3416b, fVar, this.I0, this.J0);
            }
        }

        /* access modifiers changed from: package-private */
        public class d implements Runnable {
            final /* synthetic */ IBinder I0;

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ o f3417a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ String f3418b;

            d(o oVar, String str, IBinder iBinder) {
                this.f3417a = oVar;
                this.f3418b = str;
                this.I0 = iBinder;
            }

            public void run() {
                f fVar = MediaBrowserServiceCompat.this.T0.get(this.f3417a.asBinder());
                if (fVar == null) {
                    Log.w(MediaBrowserServiceCompat.f3373a, "removeSubscription for callback that isn't registered id=" + this.f3418b);
                } else if (!MediaBrowserServiceCompat.this.w(this.f3418b, fVar, this.I0)) {
                    Log.w(MediaBrowserServiceCompat.f3373a, "removeSubscription called for " + this.f3418b + " which is not subscribed");
                }
            }
        }

        /* access modifiers changed from: package-private */
        public class e implements Runnable {
            final /* synthetic */ ResultReceiver I0;

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ o f3419a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ String f3420b;

            e(o oVar, String str, ResultReceiver resultReceiver) {
                this.f3419a = oVar;
                this.f3420b = str;
                this.I0 = resultReceiver;
            }

            public void run() {
                f fVar = MediaBrowserServiceCompat.this.T0.get(this.f3419a.asBinder());
                if (fVar == null) {
                    Log.w(MediaBrowserServiceCompat.f3373a, "getMediaItem for callback that isn't registered id=" + this.f3420b);
                    return;
                }
                MediaBrowserServiceCompat.this.u(this.f3420b, fVar, this.I0);
            }
        }

        /* access modifiers changed from: package-private */
        public class f implements Runnable {
            final /* synthetic */ int I0;
            final /* synthetic */ int J0;
            final /* synthetic */ Bundle K0;

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ o f3421a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ String f3422b;

            f(o oVar, String str, int i, int i2, Bundle bundle) {
                this.f3421a = oVar;
                this.f3422b = str;
                this.I0 = i;
                this.J0 = i2;
                this.K0 = bundle;
            }

            public void run() {
                IBinder asBinder = this.f3421a.asBinder();
                MediaBrowserServiceCompat.this.T0.remove(asBinder);
                f fVar = new f(this.f3422b, this.I0, this.J0, this.K0, this.f3421a);
                MediaBrowserServiceCompat.this.T0.put(asBinder, fVar);
                try {
                    asBinder.linkToDeath(fVar, 0);
                } catch (RemoteException unused) {
                    Log.w(MediaBrowserServiceCompat.f3373a, "IBinder is already dead.");
                }
            }
        }

        /* access modifiers changed from: package-private */
        public class g implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ o f3423a;

            g(o oVar) {
                this.f3423a = oVar;
            }

            public void run() {
                IBinder asBinder = this.f3423a.asBinder();
                f remove = MediaBrowserServiceCompat.this.T0.remove(asBinder);
                if (remove != null) {
                    asBinder.unlinkToDeath(remove, 0);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public class h implements Runnable {
            final /* synthetic */ Bundle I0;
            final /* synthetic */ ResultReceiver J0;

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ o f3425a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ String f3426b;

            h(o oVar, String str, Bundle bundle, ResultReceiver resultReceiver) {
                this.f3425a = oVar;
                this.f3426b = str;
                this.I0 = bundle;
                this.J0 = resultReceiver;
            }

            public void run() {
                f fVar = MediaBrowserServiceCompat.this.T0.get(this.f3425a.asBinder());
                if (fVar == null) {
                    Log.w(MediaBrowserServiceCompat.f3373a, "search for callback that isn't registered query=" + this.f3426b);
                    return;
                }
                MediaBrowserServiceCompat.this.v(this.f3426b, this.I0, fVar, this.J0);
            }
        }

        /* access modifiers changed from: package-private */
        public class i implements Runnable {
            final /* synthetic */ Bundle I0;
            final /* synthetic */ ResultReceiver J0;

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ o f3427a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ String f3428b;

            i(o oVar, String str, Bundle bundle, ResultReceiver resultReceiver) {
                this.f3427a = oVar;
                this.f3428b = str;
                this.I0 = bundle;
                this.J0 = resultReceiver;
            }

            public void run() {
                f fVar = MediaBrowserServiceCompat.this.T0.get(this.f3427a.asBinder());
                if (fVar == null) {
                    Log.w(MediaBrowserServiceCompat.f3373a, "sendCustomAction for callback that isn't registered action=" + this.f3428b + ", extras=" + this.I0);
                    return;
                }
                MediaBrowserServiceCompat.this.s(this.f3428b, this.I0, fVar, this.J0);
            }
        }

        n() {
        }

        public void a(String str, IBinder iBinder, Bundle bundle, o oVar) {
            MediaBrowserServiceCompat.this.V0.a(new c(oVar, str, iBinder, bundle));
        }

        public void b(String str, int i2, int i3, Bundle bundle, o oVar) {
            if (MediaBrowserServiceCompat.this.g(str, i3)) {
                MediaBrowserServiceCompat.this.V0.a(new a(oVar, str, i2, i3, bundle));
                return;
            }
            throw new IllegalArgumentException("Package/uid mismatch: uid=" + i3 + " package=" + str);
        }

        public void c(o oVar) {
            MediaBrowserServiceCompat.this.V0.a(new b(oVar));
        }

        public void d(String str, ResultReceiver resultReceiver, o oVar) {
            if (!TextUtils.isEmpty(str) && resultReceiver != null) {
                MediaBrowserServiceCompat.this.V0.a(new e(oVar, str, resultReceiver));
            }
        }

        public void e(o oVar, String str, int i2, int i3, Bundle bundle) {
            MediaBrowserServiceCompat.this.V0.a(new f(oVar, str, i2, i3, bundle));
        }

        public void f(String str, IBinder iBinder, o oVar) {
            MediaBrowserServiceCompat.this.V0.a(new d(oVar, str, iBinder));
        }

        public void g(String str, Bundle bundle, ResultReceiver resultReceiver, o oVar) {
            if (!TextUtils.isEmpty(str) && resultReceiver != null) {
                MediaBrowserServiceCompat.this.V0.a(new h(oVar, str, bundle, resultReceiver));
            }
        }

        public void h(String str, Bundle bundle, ResultReceiver resultReceiver, o oVar) {
            if (!TextUtils.isEmpty(str) && resultReceiver != null) {
                MediaBrowserServiceCompat.this.V0.a(new i(oVar, str, bundle, resultReceiver));
            }
        }

        public void i(o oVar) {
            MediaBrowserServiceCompat.this.V0.a(new g(oVar));
        }
    }

    /* access modifiers changed from: private */
    public interface o {
        void a(String str, List<MediaBrowserCompat.MediaItem> list, Bundle bundle, Bundle bundle2) throws RemoteException;

        IBinder asBinder();

        void b() throws RemoteException;

        void c(String str, MediaSessionCompat.Token token, Bundle bundle) throws RemoteException;
    }

    private static class p implements o {

        /* renamed from: a  reason: collision with root package name */
        final Messenger f3429a;

        p(Messenger messenger) {
            this.f3429a = messenger;
        }

        private void d(int i, Bundle bundle) throws RemoteException {
            Message obtain = Message.obtain();
            obtain.what = i;
            obtain.arg1 = 2;
            obtain.setData(bundle);
            this.f3429a.send(obtain);
        }

        @Override // androidx.media.MediaBrowserServiceCompat.o
        public void a(String str, List<MediaBrowserCompat.MediaItem> list, Bundle bundle, Bundle bundle2) throws RemoteException {
            Bundle bundle3 = new Bundle();
            bundle3.putString(b.f3441d, str);
            bundle3.putBundle(b.g, bundle);
            bundle3.putBundle(b.h, bundle2);
            if (list != null) {
                bundle3.putParcelableArrayList(b.f3442e, list instanceof ArrayList ? (ArrayList) list : new ArrayList<>(list));
            }
            d(3, bundle3);
        }

        @Override // androidx.media.MediaBrowserServiceCompat.o
        public IBinder asBinder() {
            return this.f3429a.getBinder();
        }

        @Override // androidx.media.MediaBrowserServiceCompat.o
        public void b() throws RemoteException {
            d(2, null);
        }

        @Override // androidx.media.MediaBrowserServiceCompat.o
        public void c(String str, MediaSessionCompat.Token token, Bundle bundle) throws RemoteException {
            if (bundle == null) {
                bundle = new Bundle();
            }
            bundle.putInt(b.q, 2);
            Bundle bundle2 = new Bundle();
            bundle2.putString(b.f3441d, str);
            bundle2.putParcelable(b.f, token);
            bundle2.putBundle(b.k, bundle);
            d(1, bundle2);
        }
    }

    /* access modifiers changed from: private */
    public final class q extends Handler {

        /* renamed from: a  reason: collision with root package name */
        private final n f3430a;

        q() {
            this.f3430a = new n();
        }

        public void a(Runnable runnable) {
            if (Thread.currentThread() == getLooper().getThread()) {
                runnable.run();
            } else {
                post(runnable);
            }
        }

        public void handleMessage(Message message) {
            Bundle data = message.getData();
            switch (message.what) {
                case 1:
                    Bundle bundle = data.getBundle(b.k);
                    MediaSessionCompat.ensureClassLoader(bundle);
                    this.f3430a.b(data.getString(b.i), data.getInt(b.f3440c), data.getInt(b.f3439b), bundle, new p(message.replyTo));
                    return;
                case 2:
                    this.f3430a.c(new p(message.replyTo));
                    return;
                case 3:
                    Bundle bundle2 = data.getBundle(b.g);
                    MediaSessionCompat.ensureClassLoader(bundle2);
                    this.f3430a.a(data.getString(b.f3441d), androidx.core.app.i.a(data, b.f3438a), bundle2, new p(message.replyTo));
                    return;
                case 4:
                    this.f3430a.f(data.getString(b.f3441d), androidx.core.app.i.a(data, b.f3438a), new p(message.replyTo));
                    return;
                case 5:
                    this.f3430a.d(data.getString(b.f3441d), (ResultReceiver) data.getParcelable(b.j), new p(message.replyTo));
                    return;
                case 6:
                    Bundle bundle3 = data.getBundle(b.k);
                    MediaSessionCompat.ensureClassLoader(bundle3);
                    this.f3430a.e(new p(message.replyTo), data.getString(b.i), data.getInt(b.f3440c), data.getInt(b.f3439b), bundle3);
                    return;
                case 7:
                    this.f3430a.i(new p(message.replyTo));
                    return;
                case 8:
                    Bundle bundle4 = data.getBundle(b.l);
                    MediaSessionCompat.ensureClassLoader(bundle4);
                    this.f3430a.g(data.getString(b.m), bundle4, (ResultReceiver) data.getParcelable(b.j), new p(message.replyTo));
                    return;
                case 9:
                    Bundle bundle5 = data.getBundle(b.o);
                    MediaSessionCompat.ensureClassLoader(bundle5);
                    this.f3430a.h(data.getString(b.n), bundle5, (ResultReceiver) data.getParcelable(b.j), new p(message.replyTo));
                    return;
                default:
                    Log.w(MediaBrowserServiceCompat.f3373a, "Unhandled message: " + message + "\n  Service version: " + 2 + "\n  Client version: " + message.arg1);
                    return;
            }
        }

        public boolean sendMessageAtTime(Message message, long j) {
            Bundle data = message.getData();
            data.setClassLoader(MediaBrowserCompat.class.getClassLoader());
            data.putInt(b.f3439b, Binder.getCallingUid());
            data.putInt(b.f3440c, Binder.getCallingPid());
            return super.sendMessageAtTime(message, j);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(String str, f fVar, IBinder iBinder, Bundle bundle) {
        List<androidx.core.util.i<IBinder, Bundle>> list = fVar.g.get(str);
        if (list == null) {
            list = new ArrayList<>();
        }
        for (androidx.core.util.i<IBinder, Bundle> iVar : list) {
            if (iBinder == iVar.f2818a && a.a(bundle, iVar.f2819b)) {
                return;
            }
        }
        list.add(new androidx.core.util.i<>(iBinder, bundle));
        fVar.g.put(str, list);
        t(str, fVar, bundle, null);
        this.U0 = fVar;
        q(str, bundle);
        this.U0 = null;
    }

    /* access modifiers changed from: package-private */
    public List<MediaBrowserCompat.MediaItem> b(List<MediaBrowserCompat.MediaItem> list, Bundle bundle) {
        if (list == null) {
            return null;
        }
        int i2 = bundle.getInt(MediaBrowserCompat.EXTRA_PAGE, -1);
        int i3 = bundle.getInt(MediaBrowserCompat.EXTRA_PAGE_SIZE, -1);
        if (i2 == -1 && i3 == -1) {
            return list;
        }
        int i4 = i3 * i2;
        int i5 = i4 + i3;
        if (i2 < 0 || i3 < 1 || i4 >= list.size()) {
            return Collections.emptyList();
        }
        if (i5 > list.size()) {
            i5 = list.size();
        }
        return list.subList(i4, i5);
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY})
    public void c(Context context) {
        attachBaseContext(context);
    }

    public final Bundle d() {
        return this.S0.f();
    }

    public void dump(FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
    }

    @NonNull
    public final f.b e() {
        return this.S0.h();
    }

    @Nullable
    public MediaSessionCompat.Token f() {
        return this.W0;
    }

    /* access modifiers changed from: package-private */
    public boolean g(String str, int i2) {
        if (str == null) {
            return false;
        }
        for (String str2 : getPackageManager().getPackagesForUid(i2)) {
            if (str2.equals(str)) {
                return true;
            }
        }
        return false;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void h(@NonNull f.b bVar, @NonNull String str, @NonNull Bundle bundle) {
        if (bVar == null) {
            throw new IllegalArgumentException("remoteUserInfo cannot be null in notifyChildrenChanged");
        } else if (str == null) {
            throw new IllegalArgumentException("parentId cannot be null in notifyChildrenChanged");
        } else if (bundle != null) {
            this.S0.g(bVar, str, bundle);
        } else {
            throw new IllegalArgumentException("options cannot be null in notifyChildrenChanged");
        }
    }

    public void i(@NonNull String str) {
        if (str != null) {
            this.S0.j(str, null);
            return;
        }
        throw new IllegalArgumentException("parentId cannot be null in notifyChildrenChanged");
    }

    public void j(@NonNull String str, @NonNull Bundle bundle) {
        if (str == null) {
            throw new IllegalArgumentException("parentId cannot be null in notifyChildrenChanged");
        } else if (bundle != null) {
            this.S0.j(str, bundle);
        } else {
            throw new IllegalArgumentException("options cannot be null in notifyChildrenChanged");
        }
    }

    public void k(@NonNull String str, Bundle bundle, @NonNull m<Bundle> mVar) {
        mVar.h(null);
    }

    @Nullable
    public abstract e l(@NonNull String str, int i2, @Nullable Bundle bundle);

    public abstract void m(@NonNull String str, @NonNull m<List<MediaBrowserCompat.MediaItem>> mVar);

    public void n(@NonNull String str, @NonNull m<List<MediaBrowserCompat.MediaItem>> mVar, @NonNull Bundle bundle) {
        mVar.k(1);
        m(str, mVar);
    }

    public void o(String str, @NonNull m<MediaBrowserCompat.MediaItem> mVar) {
        mVar.k(2);
        mVar.j(null);
    }

    public IBinder onBind(Intent intent) {
        return this.S0.e(intent);
    }

    public void onCreate() {
        super.onCreate();
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 28) {
            this.S0 = new k();
        } else if (i2 >= 26) {
            this.S0 = new j();
        } else if (i2 >= 23) {
            this.S0 = new i();
        } else if (i2 >= 21) {
            this.S0 = new h();
        } else {
            this.S0 = new l();
        }
        this.S0.b();
    }

    public void p(@NonNull String str, Bundle bundle, @NonNull m<List<MediaBrowserCompat.MediaItem>> mVar) {
        mVar.k(4);
        mVar.j(null);
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void q(String str, Bundle bundle) {
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void r(String str) {
    }

    /* access modifiers changed from: package-private */
    public void s(String str, Bundle bundle, f fVar, ResultReceiver resultReceiver) {
        d dVar = new d(str, resultReceiver);
        this.U0 = fVar;
        k(str, bundle, dVar);
        this.U0 = null;
        if (!dVar.d()) {
            throw new IllegalStateException("onCustomAction must call detach() or sendResult() or sendError() before returning for action=" + str + " extras=" + bundle);
        }
    }

    /* access modifiers changed from: package-private */
    public void t(String str, f fVar, Bundle bundle, Bundle bundle2) {
        a aVar = new a(str, fVar, str, bundle, bundle2);
        this.U0 = fVar;
        if (bundle == null) {
            m(str, aVar);
        } else {
            n(str, aVar, bundle);
        }
        this.U0 = null;
        if (!aVar.d()) {
            throw new IllegalStateException("onLoadChildren must call detach() or sendResult() before returning for package=" + fVar.f3380a + " id=" + str);
        }
    }

    /* access modifiers changed from: package-private */
    public void u(String str, f fVar, ResultReceiver resultReceiver) {
        b bVar = new b(str, resultReceiver);
        this.U0 = fVar;
        o(str, bVar);
        this.U0 = null;
        if (!bVar.d()) {
            throw new IllegalStateException("onLoadItem must call detach() or sendResult() before returning for id=" + str);
        }
    }

    /* access modifiers changed from: package-private */
    public void v(String str, Bundle bundle, f fVar, ResultReceiver resultReceiver) {
        c cVar = new c(str, resultReceiver);
        this.U0 = fVar;
        p(str, bundle, cVar);
        this.U0 = null;
        if (!cVar.d()) {
            throw new IllegalStateException("onSearch must call detach() or sendResult() before returning for query=" + str);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean w(String str, f fVar, IBinder iBinder) {
        boolean z = true;
        boolean z2 = false;
        if (iBinder == null) {
            try {
                if (fVar.g.remove(str) == null) {
                    z = false;
                }
                return z;
            } finally {
                this.U0 = fVar;
                r(str);
                this.U0 = null;
            }
        } else {
            List<androidx.core.util.i<IBinder, Bundle>> list = fVar.g.get(str);
            if (list != null) {
                Iterator<androidx.core.util.i<IBinder, Bundle>> it = list.iterator();
                while (it.hasNext()) {
                    if (iBinder == it.next().f2818a) {
                        it.remove();
                        z2 = true;
                    }
                }
                if (list.size() == 0) {
                    fVar.g.remove(str);
                }
            }
            this.U0 = fVar;
            r(str);
            this.U0 = null;
            return z2;
        }
    }

    public void x(MediaSessionCompat.Token token) {
        if (token == null) {
            throw new IllegalArgumentException("Session token may not be null.");
        } else if (this.W0 == null) {
            this.W0 = token;
            this.S0.k(token);
        } else {
            throw new IllegalStateException("The session token has already been set.");
        }
    }
}
