package androidx.media;

import android.content.Context;
import android.content.Intent;
import android.media.browse.MediaBrowser;
import android.media.session.MediaSession;
import android.os.Bundle;
import android.os.IBinder;
import android.os.Parcel;
import android.service.media.MediaBrowserService;
import android.support.v4.media.session.MediaSessionCompat;
import androidx.annotation.RequiresApi;
import java.util.ArrayList;
import java.util.List;

@RequiresApi(21)
/* compiled from: MediaBrowserServiceCompatApi21 */
class c {

    /* compiled from: MediaBrowserServiceCompatApi21 */
    static class a {

        /* renamed from: a  reason: collision with root package name */
        final String f3443a;

        /* renamed from: b  reason: collision with root package name */
        final Bundle f3444b;

        a(String str, Bundle bundle) {
            this.f3443a = str;
            this.f3444b = bundle;
        }
    }

    /* compiled from: MediaBrowserServiceCompatApi21 */
    static class b extends MediaBrowserService {

        /* renamed from: a  reason: collision with root package name */
        final d f3445a;

        b(Context context, d dVar) {
            attachBaseContext(context);
            this.f3445a = dVar;
        }

        public MediaBrowserService.BrowserRoot onGetRoot(String str, int i, Bundle bundle) {
            MediaSessionCompat.ensureClassLoader(bundle);
            a i2 = this.f3445a.i(str, i, bundle == null ? null : new Bundle(bundle));
            if (i2 == null) {
                return null;
            }
            return new MediaBrowserService.BrowserRoot(i2.f3443a, i2.f3444b);
        }

        @Override // android.service.media.MediaBrowserService
        public void onLoadChildren(String str, MediaBrowserService.Result<List<MediaBrowser.MediaItem>> result) {
            this.f3445a.c(str, new C0061c<>(result));
        }
    }

    /* renamed from: androidx.media.c$c  reason: collision with other inner class name */
    /* compiled from: MediaBrowserServiceCompatApi21 */
    static class C0061c<T> {

        /* renamed from: a  reason: collision with root package name */
        MediaBrowserService.Result f3446a;

        C0061c(MediaBrowserService.Result result) {
            this.f3446a = result;
        }

        public void a() {
            this.f3446a.detach();
        }

        /* access modifiers changed from: package-private */
        public List<MediaBrowser.MediaItem> b(List<Parcel> list) {
            if (list == null) {
                return null;
            }
            ArrayList arrayList = new ArrayList();
            for (Parcel parcel : list) {
                parcel.setDataPosition(0);
                arrayList.add(MediaBrowser.MediaItem.CREATOR.createFromParcel(parcel));
                parcel.recycle();
            }
            return arrayList;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v4, resolved type: android.service.media.MediaBrowserService$Result */
        /* JADX DEBUG: Multi-variable search result rejected for r0v5, resolved type: android.service.media.MediaBrowserService$Result */
        /* JADX WARN: Multi-variable type inference failed */
        public void c(T t) {
            if (t instanceof List) {
                this.f3446a.sendResult(b(t));
            } else if (t instanceof Parcel) {
                T t2 = t;
                t2.setDataPosition(0);
                this.f3446a.sendResult(MediaBrowser.MediaItem.CREATOR.createFromParcel(t2));
                t2.recycle();
            } else {
                this.f3446a.sendResult(null);
            }
        }
    }

    /* compiled from: MediaBrowserServiceCompatApi21 */
    public interface d {
        void c(String str, C0061c<List<Parcel>> cVar);

        a i(String str, int i, Bundle bundle);
    }

    private c() {
    }

    public static Object a(Context context, d dVar) {
        return new b(context, dVar);
    }

    public static void b(Object obj, String str) {
        ((MediaBrowserService) obj).notifyChildrenChanged(str);
    }

    public static IBinder c(Object obj, Intent intent) {
        return ((MediaBrowserService) obj).onBind(intent);
    }

    public static void d(Object obj) {
        ((MediaBrowserService) obj).onCreate();
    }

    public static void e(Object obj, Object obj2) {
        ((MediaBrowserService) obj).setSessionToken((MediaSession.Token) obj2);
    }
}
