package androidx.media;

import android.content.ComponentName;
import android.content.ContentResolver;
import android.content.Context;
import android.content.pm.PackageManager;
import android.provider.Settings;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.core.util.h;
import androidx.media.f;

/* access modifiers changed from: package-private */
/* compiled from: MediaSessionManagerImplBase */
public class i implements f.a {

    /* renamed from: a  reason: collision with root package name */
    private static final String f3458a = "MediaSessionManager";

    /* renamed from: b  reason: collision with root package name */
    private static final boolean f3459b = f.f3451b;

    /* renamed from: c  reason: collision with root package name */
    private static final String f3460c = "android.permission.STATUS_BAR_SERVICE";

    /* renamed from: d  reason: collision with root package name */
    private static final String f3461d = "android.permission.MEDIA_CONTENT_CONTROL";

    /* renamed from: e  reason: collision with root package name */
    private static final String f3462e = "enabled_notification_listeners";
    Context f;
    ContentResolver g;

    /* access modifiers changed from: package-private */
    /* compiled from: MediaSessionManagerImplBase */
    public static class a implements f.c {

        /* renamed from: a  reason: collision with root package name */
        private String f3463a;

        /* renamed from: b  reason: collision with root package name */
        private int f3464b;

        /* renamed from: c  reason: collision with root package name */
        private int f3465c;

        a(String str, int i, int i2) {
            this.f3463a = str;
            this.f3464b = i;
            this.f3465c = i2;
        }

        @Override // androidx.media.f.c
        public int a() {
            return this.f3465c;
        }

        @Override // androidx.media.f.c
        public int b() {
            return this.f3464b;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (!(obj instanceof a)) {
                return false;
            }
            a aVar = (a) obj;
            if (TextUtils.equals(this.f3463a, aVar.f3463a) && this.f3464b == aVar.f3464b && this.f3465c == aVar.f3465c) {
                return true;
            }
            return false;
        }

        @Override // androidx.media.f.c
        public String getPackageName() {
            return this.f3463a;
        }

        public int hashCode() {
            return h.b(this.f3463a, Integer.valueOf(this.f3464b), Integer.valueOf(this.f3465c));
        }
    }

    i(Context context) {
        this.f = context;
        this.g = context.getContentResolver();
    }

    private boolean c(f.c cVar, String str) {
        if (cVar.b() < 0) {
            if (this.f.getPackageManager().checkPermission(str, cVar.getPackageName()) == 0) {
                return true;
            }
            return false;
        } else if (this.f.checkPermission(str, cVar.b(), cVar.a()) == 0) {
            return true;
        } else {
            return false;
        }
    }

    @Override // androidx.media.f.a
    public boolean a(@NonNull f.c cVar) {
        try {
            if (this.f.getPackageManager().getApplicationInfo(cVar.getPackageName(), 0).uid != cVar.a()) {
                if (f3459b) {
                    Log.d(f3458a, "Package name " + cVar.getPackageName() + " doesn't match with the uid " + cVar.a());
                }
                return false;
            } else if (c(cVar, f3460c) || c(cVar, f3461d) || cVar.a() == 1000 || b(cVar)) {
                return true;
            } else {
                return false;
            }
        } catch (PackageManager.NameNotFoundException unused) {
            if (f3459b) {
                Log.d(f3458a, "Package " + cVar.getPackageName() + " doesn't exist");
            }
            return false;
        }
    }

    /* access modifiers changed from: package-private */
    public boolean b(@NonNull f.c cVar) {
        String[] split;
        String string = Settings.Secure.getString(this.g, f3462e);
        if (string != null) {
            for (String str : string.split(":")) {
                ComponentName unflattenFromString = ComponentName.unflattenFromString(str);
                if (unflattenFromString != null && unflattenFromString.getPackageName().equals(cVar.getPackageName())) {
                    return true;
                }
            }
        }
        return false;
    }

    @Override // androidx.media.f.a
    public Context getContext() {
        return this.f;
    }
}
