package androidx.recyclerview.widget;

import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

public final class ConcatAdapter extends RecyclerView.Adapter<RecyclerView.z> {

    /* renamed from: a  reason: collision with root package name */
    static final String f3473a = "ConcatAdapter";

    /* renamed from: b  reason: collision with root package name */
    private final h f3474b;

    public static final class Config {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        public static final Config f3475a = new Config(true, StableIdMode.NO_STABLE_IDS);

        /* renamed from: b  reason: collision with root package name */
        public final boolean f3476b;
        @NonNull

        /* renamed from: c  reason: collision with root package name */
        public final StableIdMode f3477c;

        public enum StableIdMode {
            NO_STABLE_IDS,
            ISOLATED_STABLE_IDS,
            SHARED_STABLE_IDS
        }

        public static final class a {

            /* renamed from: a  reason: collision with root package name */
            private boolean f3479a;

            /* renamed from: b  reason: collision with root package name */
            private StableIdMode f3480b;

            public a() {
                Config config = Config.f3475a;
                this.f3479a = config.f3476b;
                this.f3480b = config.f3477c;
            }

            @NonNull
            public Config a() {
                return new Config(this.f3479a, this.f3480b);
            }

            @NonNull
            public a b(boolean z) {
                this.f3479a = z;
                return this;
            }

            @NonNull
            public a c(@NonNull StableIdMode stableIdMode) {
                this.f3480b = stableIdMode;
                return this;
            }
        }

        Config(boolean z, @NonNull StableIdMode stableIdMode) {
            this.f3476b = z;
            this.f3477c = stableIdMode;
        }
    }

    @SafeVarargs
    public ConcatAdapter(@NonNull RecyclerView.Adapter<? extends RecyclerView.z>... adapterArr) {
        this(Config.f3475a, adapterArr);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int findRelativeAdapterPositionIn(@NonNull RecyclerView.Adapter<? extends RecyclerView.z> adapter, @NonNull RecyclerView.z zVar, int i) {
        return this.f3474b.t(adapter, zVar, i);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        return this.f3474b.u();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public long getItemId(int i) {
        return this.f3474b.r(i);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemViewType(int i) {
        return this.f3474b.s(i);
    }

    public boolean n(int i, @NonNull RecyclerView.Adapter<? extends RecyclerView.z> adapter) {
        return this.f3474b.h(i, adapter);
    }

    public boolean o(@NonNull RecyclerView.Adapter<? extends RecyclerView.z> adapter) {
        return this.f3474b.i(adapter);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onAttachedToRecyclerView(@NonNull RecyclerView recyclerView) {
        this.f3474b.z(recyclerView);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(@NonNull RecyclerView.z zVar, int i) {
        this.f3474b.A(zVar, i);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    @NonNull
    public RecyclerView.z onCreateViewHolder(@NonNull ViewGroup viewGroup, int i) {
        return this.f3474b.B(viewGroup, i);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onDetachedFromRecyclerView(@NonNull RecyclerView recyclerView) {
        this.f3474b.C(recyclerView);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public boolean onFailedToRecycleView(@NonNull RecyclerView.z zVar) {
        return this.f3474b.D(zVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onViewAttachedToWindow(@NonNull RecyclerView.z zVar) {
        this.f3474b.E(zVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onViewDetachedFromWindow(@NonNull RecyclerView.z zVar) {
        this.f3474b.F(zVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onViewRecycled(@NonNull RecyclerView.z zVar) {
        this.f3474b.G(zVar);
    }

    @NonNull
    public List<? extends RecyclerView.Adapter<? extends RecyclerView.z>> p() {
        return Collections.unmodifiableList(this.f3474b.q());
    }

    /* access modifiers changed from: package-private */
    public void q(@NonNull RecyclerView.Adapter.StateRestorationPolicy stateRestorationPolicy) {
        super.setStateRestorationPolicy(stateRestorationPolicy);
    }

    public boolean r(@NonNull RecyclerView.Adapter<? extends RecyclerView.z> adapter) {
        return this.f3474b.I(adapter);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void setHasStableIds(boolean z) {
        throw new UnsupportedOperationException("Calling setHasStableIds is not allowed on the ConcatAdapter. Use the Config object passed in the constructor to control this behavior");
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void setStateRestorationPolicy(@NonNull RecyclerView.Adapter.StateRestorationPolicy stateRestorationPolicy) {
        throw new UnsupportedOperationException("Calling setStateRestorationPolicy is not allowed on the ConcatAdapter. This value is inferred from added adapters");
    }

    @SafeVarargs
    public ConcatAdapter(@NonNull Config config, @NonNull RecyclerView.Adapter<? extends RecyclerView.z>... adapterArr) {
        this(config, Arrays.asList(adapterArr));
    }

    public ConcatAdapter(@NonNull List<? extends RecyclerView.Adapter<? extends RecyclerView.z>> list) {
        this(Config.f3475a, list);
    }

    public ConcatAdapter(@NonNull Config config, @NonNull List<? extends RecyclerView.Adapter<? extends RecyclerView.z>> list) {
        this.f3474b = new h(this, config);
        for (RecyclerView.Adapter<? extends RecyclerView.z> adapter : list) {
            o(adapter);
        }
        super.setHasStableIds(this.f3474b.w());
    }
}
