package androidx.recyclerview.widget;

import android.content.Context;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import java.util.Arrays;

public class GridLayoutManager extends LinearLayoutManager {

    /* renamed from: a  reason: collision with root package name */
    private static final boolean f3481a = false;

    /* renamed from: b  reason: collision with root package name */
    private static final String f3482b = "GridLayoutManager";

    /* renamed from: c  reason: collision with root package name */
    public static final int f3483c = -1;

    /* renamed from: d  reason: collision with root package name */
    boolean f3484d = false;

    /* renamed from: e  reason: collision with root package name */
    int f3485e = -1;
    int[] f;
    View[] g;
    final SparseIntArray h = new SparseIntArray();
    final SparseIntArray i = new SparseIntArray();
    b j = new a();
    final Rect k = new Rect();
    private boolean l;

    public static final class a extends b {
        @Override // androidx.recyclerview.widget.GridLayoutManager.b
        public int e(int i, int i2) {
            return i % i2;
        }

        @Override // androidx.recyclerview.widget.GridLayoutManager.b
        public int f(int i) {
            return 1;
        }
    }

    public static abstract class b {

        /* renamed from: a  reason: collision with root package name */
        final SparseIntArray f3487a = new SparseIntArray();

        /* renamed from: b  reason: collision with root package name */
        final SparseIntArray f3488b = new SparseIntArray();

        /* renamed from: c  reason: collision with root package name */
        private boolean f3489c = false;

        /* renamed from: d  reason: collision with root package name */
        private boolean f3490d = false;

        static int a(SparseIntArray sparseIntArray, int i) {
            int size = sparseIntArray.size() - 1;
            int i2 = 0;
            while (i2 <= size) {
                int i3 = (i2 + size) >>> 1;
                if (sparseIntArray.keyAt(i3) < i) {
                    i2 = i3 + 1;
                } else {
                    size = i3 - 1;
                }
            }
            int i4 = i2 - 1;
            if (i4 < 0 || i4 >= sparseIntArray.size()) {
                return -1;
            }
            return sparseIntArray.keyAt(i4);
        }

        /* access modifiers changed from: package-private */
        public int b(int i, int i2) {
            if (!this.f3490d) {
                return d(i, i2);
            }
            int i3 = this.f3488b.get(i, -1);
            if (i3 != -1) {
                return i3;
            }
            int d2 = d(i, i2);
            this.f3488b.put(i, d2);
            return d2;
        }

        /* access modifiers changed from: package-private */
        public int c(int i, int i2) {
            if (!this.f3489c) {
                return e(i, i2);
            }
            int i3 = this.f3487a.get(i, -1);
            if (i3 != -1) {
                return i3;
            }
            int e2 = e(i, i2);
            this.f3487a.put(i, e2);
            return e2;
        }

        /* JADX WARNING: Removed duplicated region for block: B:11:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:19:0x0043  */
        /* JADX WARNING: Removed duplicated region for block: B:25:? A[RETURN, SYNTHETIC] */
        public int d(int i, int i2) {
            int i3;
            int i4;
            int i5;
            int a2;
            if (!this.f3490d || (a2 = a(this.f3488b, i)) == -1) {
                i5 = 0;
                i4 = 0;
            } else {
                i5 = this.f3488b.get(a2);
                i4 = a2 + 1;
                i3 = c(a2, i2) + f(a2);
                if (i3 == i2) {
                    i5++;
                }
                int f = f(i);
                while (i4 < i) {
                    int f2 = f(i4);
                    i3 += f2;
                    if (i3 == i2) {
                        i5++;
                        i3 = 0;
                    } else if (i3 > i2) {
                        i5++;
                        i3 = f2;
                    }
                    i4++;
                }
                return i3 + f <= i2 ? i5 + 1 : i5;
            }
            i3 = 0;
            int f3 = f(i);
            while (i4 < i) {
            }
            if (i3 + f3 <= i2) {
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:10:0x0024  */
        public int e(int i, int i2) {
            int i3;
            int i4;
            int f = f(i);
            if (f == i2) {
                return 0;
            }
            if (!this.f3489c || (i4 = a(this.f3487a, i)) < 0) {
                i4 = 0;
                i3 = 0;
            } else {
                i3 = this.f3487a.get(i4) + f(i4);
                i4++;
            }
            if (i4 < i) {
                int f2 = f(i4);
                i3 += f2;
                if (i3 == i2) {
                    i3 = 0;
                } else if (i3 > i2) {
                    i3 = f2;
                }
                i4++;
                if (i4 < i) {
                }
            }
            if (f + i3 <= i2) {
                return i3;
            }
            return 0;
        }

        public abstract int f(int i);

        public void g() {
            this.f3488b.clear();
        }

        public void h() {
            this.f3487a.clear();
        }

        public boolean i() {
            return this.f3490d;
        }

        public boolean j() {
            return this.f3489c;
        }

        public void k(boolean z) {
            if (!z) {
                this.f3488b.clear();
            }
            this.f3490d = z;
        }

        public void l(boolean z) {
            if (!z) {
                this.f3488b.clear();
            }
            this.f3489c = z;
        }
    }

    public GridLayoutManager(Context context, AttributeSet attributeSet, int i2, int i3) {
        super(context, attributeSet, i2, i3);
        B(RecyclerView.LayoutManager.getProperties(context, attributeSet, i2, i3).spanCount);
    }

    private void A(View view, int i2, int i3, boolean z) {
        boolean z2;
        RecyclerView.LayoutParams layoutParams = (RecyclerView.LayoutParams) view.getLayoutParams();
        if (z) {
            z2 = shouldReMeasureChild(view, i2, i3, layoutParams);
        } else {
            z2 = shouldMeasureChild(view, i2, i3, layoutParams);
        }
        if (z2) {
            view.measure(i2, i3);
        }
    }

    private void E() {
        int i2;
        int i3;
        if (getOrientation() == 1) {
            i3 = getWidth() - getPaddingRight();
            i2 = getPaddingLeft();
        } else {
            i3 = getHeight() - getPaddingBottom();
            i2 = getPaddingTop();
        }
        k(i3 - i2);
    }

    private void i(RecyclerView.r rVar, RecyclerView.w wVar, int i2, boolean z) {
        int i3;
        int i4;
        int i5 = 0;
        int i6 = -1;
        if (z) {
            i6 = i2;
            i4 = 0;
            i3 = 1;
        } else {
            i4 = i2 - 1;
            i3 = -1;
        }
        while (i4 != i6) {
            View view = this.g[i4];
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            int v = v(rVar, wVar, getPosition(view));
            layoutParams.g = v;
            layoutParams.f = i5;
            i5 += v;
            i4 += i3;
        }
    }

    private void j() {
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            LayoutParams layoutParams = (LayoutParams) getChildAt(i2).getLayoutParams();
            int d2 = layoutParams.d();
            this.h.put(d2, layoutParams.k());
            this.i.put(d2, layoutParams.j());
        }
    }

    private void k(int i2) {
        this.f = l(this.f, this.f3485e, i2);
    }

    static int[] l(int[] iArr, int i2, int i3) {
        int i4;
        if (!(iArr != null && iArr.length == i2 + 1 && iArr[iArr.length - 1] == i3)) {
            iArr = new int[(i2 + 1)];
        }
        int i5 = 0;
        iArr[0] = 0;
        int i6 = i3 / i2;
        int i7 = i3 % i2;
        int i8 = 0;
        for (int i9 = 1; i9 <= i2; i9++) {
            i5 += i7;
            if (i5 <= 0 || i2 - i5 >= i7) {
                i4 = i6;
            } else {
                i4 = i6 + 1;
                i5 -= i2;
            }
            i8 += i4;
            iArr[i9] = i8;
        }
        return iArr;
    }

    private void m() {
        this.h.clear();
        this.i.clear();
    }

    private int n(RecyclerView.w wVar) {
        int i2;
        if (!(getChildCount() == 0 || wVar.d() == 0)) {
            ensureLayoutState();
            boolean isSmoothScrollbarEnabled = isSmoothScrollbarEnabled();
            View findFirstVisibleChildClosestToStart = findFirstVisibleChildClosestToStart(!isSmoothScrollbarEnabled, true);
            View findFirstVisibleChildClosestToEnd = findFirstVisibleChildClosestToEnd(!isSmoothScrollbarEnabled, true);
            if (!(findFirstVisibleChildClosestToStart == null || findFirstVisibleChildClosestToEnd == null)) {
                int b2 = this.j.b(getPosition(findFirstVisibleChildClosestToStart), this.f3485e);
                int b3 = this.j.b(getPosition(findFirstVisibleChildClosestToEnd), this.f3485e);
                int min = Math.min(b2, b3);
                int max = Math.max(b2, b3);
                int b4 = this.j.b(wVar.d() - 1, this.f3485e) + 1;
                if (this.mShouldReverseLayout) {
                    i2 = Math.max(0, (b4 - max) - 1);
                } else {
                    i2 = Math.max(0, min);
                }
                if (!isSmoothScrollbarEnabled) {
                    return i2;
                }
                return Math.round((((float) i2) * (((float) Math.abs(this.mOrientationHelper.d(findFirstVisibleChildClosestToEnd) - this.mOrientationHelper.g(findFirstVisibleChildClosestToStart))) / ((float) ((this.j.b(getPosition(findFirstVisibleChildClosestToEnd), this.f3485e) - this.j.b(getPosition(findFirstVisibleChildClosestToStart), this.f3485e)) + 1)))) + ((float) (this.mOrientationHelper.n() - this.mOrientationHelper.g(findFirstVisibleChildClosestToStart))));
            }
        }
        return 0;
    }

    private int o(RecyclerView.w wVar) {
        if (!(getChildCount() == 0 || wVar.d() == 0)) {
            ensureLayoutState();
            View findFirstVisibleChildClosestToStart = findFirstVisibleChildClosestToStart(!isSmoothScrollbarEnabled(), true);
            View findFirstVisibleChildClosestToEnd = findFirstVisibleChildClosestToEnd(!isSmoothScrollbarEnabled(), true);
            if (!(findFirstVisibleChildClosestToStart == null || findFirstVisibleChildClosestToEnd == null)) {
                if (!isSmoothScrollbarEnabled()) {
                    return this.j.b(wVar.d() - 1, this.f3485e) + 1;
                }
                int d2 = this.mOrientationHelper.d(findFirstVisibleChildClosestToEnd) - this.mOrientationHelper.g(findFirstVisibleChildClosestToStart);
                int b2 = this.j.b(getPosition(findFirstVisibleChildClosestToStart), this.f3485e);
                return (int) ((((float) d2) / ((float) ((this.j.b(getPosition(findFirstVisibleChildClosestToEnd), this.f3485e) - b2) + 1))) * ((float) (this.j.b(wVar.d() - 1, this.f3485e) + 1)));
            }
        }
        return 0;
    }

    private void p(RecyclerView.r rVar, RecyclerView.w wVar, LinearLayoutManager.a aVar, int i2) {
        boolean z = i2 == 1;
        int u = u(rVar, wVar, aVar.f3494b);
        if (z) {
            while (u > 0) {
                int i3 = aVar.f3494b;
                if (i3 > 0) {
                    int i4 = i3 - 1;
                    aVar.f3494b = i4;
                    u = u(rVar, wVar, i4);
                } else {
                    return;
                }
            }
            return;
        }
        int d2 = wVar.d() - 1;
        int i5 = aVar.f3494b;
        while (i5 < d2) {
            int i6 = i5 + 1;
            int u2 = u(rVar, wVar, i6);
            if (u2 <= u) {
                break;
            }
            i5 = i6;
            u = u2;
        }
        aVar.f3494b = i5;
    }

    private void q() {
        View[] viewArr = this.g;
        if (viewArr == null || viewArr.length != this.f3485e) {
            this.g = new View[this.f3485e];
        }
    }

    private int t(RecyclerView.r rVar, RecyclerView.w wVar, int i2) {
        if (!wVar.j()) {
            return this.j.b(i2, this.f3485e);
        }
        int g2 = rVar.g(i2);
        if (g2 != -1) {
            return this.j.b(g2, this.f3485e);
        }
        Log.w(f3482b, "Cannot find span size for pre layout position. " + i2);
        return 0;
    }

    private int u(RecyclerView.r rVar, RecyclerView.w wVar, int i2) {
        if (!wVar.j()) {
            return this.j.c(i2, this.f3485e);
        }
        int i3 = this.i.get(i2, -1);
        if (i3 != -1) {
            return i3;
        }
        int g2 = rVar.g(i2);
        if (g2 != -1) {
            return this.j.c(g2, this.f3485e);
        }
        Log.w(f3482b, "Cannot find span size for pre layout position. It is not cached, not in the adapter. Pos:" + i2);
        return 0;
    }

    private int v(RecyclerView.r rVar, RecyclerView.w wVar, int i2) {
        if (!wVar.j()) {
            return this.j.f(i2);
        }
        int i3 = this.h.get(i2, -1);
        if (i3 != -1) {
            return i3;
        }
        int g2 = rVar.g(i2);
        if (g2 != -1) {
            return this.j.f(g2);
        }
        Log.w(f3482b, "Cannot find span size for pre layout position. It is not cached, not in the adapter. Pos:" + i2);
        return 1;
    }

    private void x(float f2, int i2) {
        k(Math.max(Math.round(f2 * ((float) this.f3485e)), i2));
    }

    private void z(View view, int i2, boolean z) {
        int i3;
        int i4;
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        Rect rect = layoutParams.f3525b;
        int i5 = rect.top + rect.bottom + ((ViewGroup.MarginLayoutParams) layoutParams).topMargin + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin;
        int i6 = rect.left + rect.right + ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin + ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin;
        int r = r(layoutParams.f, layoutParams.g);
        if (this.mOrientation == 1) {
            i3 = RecyclerView.LayoutManager.getChildMeasureSpec(r, i2, i6, ((ViewGroup.MarginLayoutParams) layoutParams).width, false);
            i4 = RecyclerView.LayoutManager.getChildMeasureSpec(this.mOrientationHelper.o(), getHeightMode(), i5, ((ViewGroup.MarginLayoutParams) layoutParams).height, true);
        } else {
            int childMeasureSpec = RecyclerView.LayoutManager.getChildMeasureSpec(r, i2, i5, ((ViewGroup.MarginLayoutParams) layoutParams).height, false);
            int childMeasureSpec2 = RecyclerView.LayoutManager.getChildMeasureSpec(this.mOrientationHelper.o(), getWidthMode(), i6, ((ViewGroup.MarginLayoutParams) layoutParams).width, true);
            i4 = childMeasureSpec;
            i3 = childMeasureSpec2;
        }
        A(view, i3, i4, z);
    }

    public void B(int i2) {
        if (i2 != this.f3485e) {
            this.f3484d = true;
            if (i2 >= 1) {
                this.f3485e = i2;
                this.j.h();
                requestLayout();
                return;
            }
            throw new IllegalArgumentException("Span count should be at least 1. Provided " + i2);
        }
    }

    public void C(b bVar) {
        this.j = bVar;
    }

    public void D(boolean z) {
        this.l = z;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean checkLayoutParams(RecyclerView.LayoutParams layoutParams) {
        return layoutParams instanceof LayoutParams;
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public void collectPrefetchPositionsForLayoutState(RecyclerView.w wVar, LinearLayoutManager.c cVar, RecyclerView.LayoutManager.c cVar2) {
        int i2 = this.f3485e;
        for (int i3 = 0; i3 < this.f3485e && cVar.c(wVar) && i2 > 0; i3++) {
            int i4 = cVar.k;
            cVar2.a(i4, Math.max(0, cVar.n));
            i2 -= this.j.f(i4);
            cVar.k += cVar.l;
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public int computeHorizontalScrollOffset(RecyclerView.w wVar) {
        if (this.l) {
            return n(wVar);
        }
        return super.computeHorizontalScrollOffset(wVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public int computeHorizontalScrollRange(RecyclerView.w wVar) {
        if (this.l) {
            return o(wVar);
        }
        return super.computeHorizontalScrollRange(wVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public int computeVerticalScrollOffset(RecyclerView.w wVar) {
        if (this.l) {
            return n(wVar);
        }
        return super.computeVerticalScrollOffset(wVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public int computeVerticalScrollRange(RecyclerView.w wVar) {
        if (this.l) {
            return o(wVar);
        }
        return super.computeVerticalScrollRange(wVar);
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public View findReferenceChild(RecyclerView.r rVar, RecyclerView.w wVar, boolean z, boolean z2) {
        int i2;
        int childCount = getChildCount();
        int i3 = -1;
        int i4 = 1;
        if (z2) {
            i2 = getChildCount() - 1;
            i4 = -1;
        } else {
            i3 = childCount;
            i2 = 0;
        }
        int d2 = wVar.d();
        ensureLayoutState();
        int n = this.mOrientationHelper.n();
        int i5 = this.mOrientationHelper.i();
        View view = null;
        View view2 = null;
        while (i2 != i3) {
            View childAt = getChildAt(i2);
            int position = getPosition(childAt);
            if (position >= 0 && position < d2 && u(rVar, wVar, position) == 0) {
                if (((RecyclerView.LayoutParams) childAt.getLayoutParams()).g()) {
                    if (view2 == null) {
                        view2 = childAt;
                    }
                } else if (this.mOrientationHelper.g(childAt) < i5 && this.mOrientationHelper.d(childAt) >= n) {
                    return childAt;
                } else {
                    if (view == null) {
                        view = childAt;
                    }
                }
            }
            i2 += i4;
        }
        return view != null ? view : view2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public RecyclerView.LayoutParams generateDefaultLayoutParams() {
        if (this.mOrientation == 0) {
            return new LayoutParams(-2, -1);
        }
        return new LayoutParams(-1, -2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public RecyclerView.LayoutParams generateLayoutParams(Context context, AttributeSet attributeSet) {
        return new LayoutParams(context, attributeSet);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int getColumnCountForAccessibility(RecyclerView.r rVar, RecyclerView.w wVar) {
        if (this.mOrientation == 1) {
            return this.f3485e;
        }
        if (wVar.d() < 1) {
            return 0;
        }
        return t(rVar, wVar, wVar.d() - 1) + 1;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int getRowCountForAccessibility(RecyclerView.r rVar, RecyclerView.w wVar) {
        if (this.mOrientation == 0) {
            return this.f3485e;
        }
        if (wVar.d() < 1) {
            return 0;
        }
        return t(rVar, wVar, wVar.d() - 1) + 1;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r17v0, resolved type: androidx.recyclerview.widget.GridLayoutManager */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r5v0 */
    /* JADX WARN: Type inference failed for: r5v1, types: [boolean, int] */
    /* JADX WARN: Type inference failed for: r5v19 */
    /* access modifiers changed from: package-private */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public void layoutChunk(RecyclerView.r rVar, RecyclerView.w wVar, LinearLayoutManager.c cVar, LinearLayoutManager.b bVar) {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        View e2;
        int m = this.mOrientationHelper.m();
        ?? r5 = 0;
        boolean z = m != 1073741824;
        int i12 = getChildCount() > 0 ? this.f[this.f3485e] : 0;
        if (z) {
            E();
        }
        boolean z2 = cVar.l == 1;
        int i13 = this.f3485e;
        if (!z2) {
            i13 = u(rVar, wVar, cVar.k) + v(rVar, wVar, cVar.k);
        }
        int i14 = 0;
        while (i14 < this.f3485e && cVar.c(wVar) && i13 > 0) {
            int i15 = cVar.k;
            int v = v(rVar, wVar, i15);
            if (v <= this.f3485e) {
                i13 -= v;
                if (i13 < 0 || (e2 = cVar.e(rVar)) == null) {
                    break;
                }
                this.g[i14] = e2;
                i14++;
            } else {
                throw new IllegalArgumentException("Item at position " + i15 + " requires " + v + " spans but GridLayoutManager has only " + this.f3485e + " spans.");
            }
        }
        if (i14 == 0) {
            bVar.f3499b = true;
            return;
        }
        float f2 = 0.0f;
        i(rVar, wVar, i14, z2);
        int i16 = 0;
        int i17 = 0;
        while (i16 < i14) {
            View view = this.g[i16];
            if (cVar.s == null) {
                if (z2) {
                    addView(view);
                } else {
                    addView(view, r5);
                }
            } else if (z2) {
                addDisappearingView(view);
            } else {
                int i18 = r5 == true ? 1 : 0;
                int i19 = r5 == true ? 1 : 0;
                int i20 = r5 == true ? 1 : 0;
                addDisappearingView(view, i18);
            }
            calculateItemDecorationsForChild(view, this.k);
            z(view, m, r5);
            int e3 = this.mOrientationHelper.e(view);
            if (e3 > i17) {
                i17 = e3;
            }
            float f3 = (((float) this.mOrientationHelper.f(view)) * 1.0f) / ((float) ((LayoutParams) view.getLayoutParams()).g);
            if (f3 > f2) {
                f2 = f3;
            }
            i16++;
            r5 = 0;
        }
        if (z) {
            x(f2, i12);
            i17 = 0;
            for (int i21 = 0; i21 < i14; i21++) {
                View view2 = this.g[i21];
                z(view2, 1073741824, true);
                int e4 = this.mOrientationHelper.e(view2);
                if (e4 > i17) {
                    i17 = e4;
                }
            }
        }
        for (int i22 = 0; i22 < i14; i22++) {
            View view3 = this.g[i22];
            if (this.mOrientationHelper.e(view3) != i17) {
                LayoutParams layoutParams = (LayoutParams) view3.getLayoutParams();
                Rect rect = layoutParams.f3525b;
                int i23 = rect.top + rect.bottom + ((ViewGroup.MarginLayoutParams) layoutParams).topMargin + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin;
                int i24 = rect.left + rect.right + ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin + ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin;
                int r = r(layoutParams.f, layoutParams.g);
                if (this.mOrientation == 1) {
                    i11 = RecyclerView.LayoutManager.getChildMeasureSpec(r, 1073741824, i24, ((ViewGroup.MarginLayoutParams) layoutParams).width, false);
                    i10 = View.MeasureSpec.makeMeasureSpec(i17 - i23, 1073741824);
                } else {
                    int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(i17 - i24, 1073741824);
                    i10 = RecyclerView.LayoutManager.getChildMeasureSpec(r, 1073741824, i23, ((ViewGroup.MarginLayoutParams) layoutParams).height, false);
                    i11 = makeMeasureSpec;
                }
                A(view3, i11, i10, true);
            }
        }
        int i25 = 0;
        bVar.f3498a = i17;
        if (this.mOrientation == 1) {
            if (cVar.m == -1) {
                i5 = cVar.i;
                i2 = i5 - i17;
            } else {
                int i26 = cVar.i;
                i2 = i26;
                i5 = i17 + i26;
            }
            i4 = 0;
            i3 = 0;
        } else if (cVar.m == -1) {
            int i27 = cVar.i;
            i3 = i27 - i17;
            i2 = 0;
            i4 = i27;
            i5 = 0;
        } else {
            int i28 = cVar.i;
            i4 = i17 + i28;
            i3 = i28;
            i5 = 0;
            i2 = 0;
        }
        while (i25 < i14) {
            View view4 = this.g[i25];
            LayoutParams layoutParams2 = (LayoutParams) view4.getLayoutParams();
            if (this.mOrientation == 1) {
                if (isLayoutRTL()) {
                    int paddingLeft = getPaddingLeft() + this.f[this.f3485e - layoutParams2.f];
                    i9 = i5;
                    i8 = paddingLeft;
                    i7 = paddingLeft - this.mOrientationHelper.f(view4);
                } else {
                    int paddingLeft2 = getPaddingLeft() + this.f[layoutParams2.f];
                    i9 = i5;
                    i7 = paddingLeft2;
                    i8 = this.mOrientationHelper.f(view4) + paddingLeft2;
                }
                i6 = i2;
            } else {
                int paddingTop = getPaddingTop() + this.f[layoutParams2.f];
                i6 = paddingTop;
                i8 = i4;
                i7 = i3;
                i9 = this.mOrientationHelper.f(view4) + paddingTop;
            }
            layoutDecoratedWithMargins(view4, i7, i6, i8, i9);
            if (layoutParams2.g() || layoutParams2.f()) {
                bVar.f3500c = true;
            }
            bVar.f3501d |= view4.hasFocusable();
            i25++;
            i5 = i9;
            i4 = i8;
            i3 = i7;
            i2 = i6;
        }
        Arrays.fill(this.g, (Object) null);
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public void onAnchorReady(RecyclerView.r rVar, RecyclerView.w wVar, LinearLayoutManager.a aVar, int i2) {
        super.onAnchorReady(rVar, wVar, aVar, i2);
        E();
        if (wVar.d() > 0 && !wVar.j()) {
            p(rVar, wVar, aVar, i2);
        }
        q();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:54:0x00d6, code lost:
        if (r13 == (r2 > r15)) goto L_0x00b0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:65:0x00f6, code lost:
        if (r13 == r11) goto L_0x00b8;
     */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x0107  */
    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public View onFocusSearchFailed(View view, int i2, RecyclerView.r rVar, RecyclerView.w wVar) {
        int i3;
        int i4;
        int i5;
        int i6;
        View view2;
        View view3;
        int i7;
        int i8;
        int i9;
        boolean z;
        RecyclerView.r rVar2 = rVar;
        RecyclerView.w wVar2 = wVar;
        View findContainingItemView = findContainingItemView(view);
        View view4 = null;
        if (findContainingItemView == null) {
            return null;
        }
        LayoutParams layoutParams = (LayoutParams) findContainingItemView.getLayoutParams();
        int i10 = layoutParams.f;
        int i11 = layoutParams.g + i10;
        if (super.onFocusSearchFailed(view, i2, rVar, wVar) == null) {
            return null;
        }
        if ((convertFocusDirectionToLayoutDirection(i2) == 1) != this.mShouldReverseLayout) {
            i5 = getChildCount() - 1;
            i4 = -1;
            i3 = -1;
        } else {
            i4 = getChildCount();
            i5 = 0;
            i3 = 1;
        }
        boolean z2 = this.mOrientation == 1 && isLayoutRTL();
        int t = t(rVar2, wVar2, i5);
        int i12 = i5;
        int i13 = 0;
        int i14 = -1;
        int i15 = -1;
        int i16 = 0;
        View view5 = null;
        while (i12 != i4) {
            int t2 = t(rVar2, wVar2, i12);
            View childAt = getChildAt(i12);
            if (childAt == findContainingItemView) {
                break;
            }
            if (!childAt.hasFocusable() || t2 == t) {
                LayoutParams layoutParams2 = (LayoutParams) childAt.getLayoutParams();
                int i17 = layoutParams2.f;
                view2 = findContainingItemView;
                int i18 = layoutParams2.g + i17;
                if (childAt.hasFocusable() && i17 == i10 && i18 == i11) {
                    return childAt;
                }
                if ((!childAt.hasFocusable() || view4 != null) && (childAt.hasFocusable() || view5 != null)) {
                    view3 = view5;
                    int min = Math.min(i18, i11) - Math.max(i17, i10);
                    if (childAt.hasFocusable()) {
                        if (min <= i13) {
                            if (min == i13) {
                            }
                        }
                    } else if (view4 == null) {
                        i7 = i13;
                        i6 = i4;
                        z = true;
                        if (isViewPartiallyVisible(childAt, false, true)) {
                            i8 = i16;
                            if (min > i8) {
                                i9 = i15;
                                if (z) {
                                    if (childAt.hasFocusable()) {
                                        i14 = layoutParams2.f;
                                        i15 = i9;
                                        i16 = i8;
                                        view5 = view3;
                                        view4 = childAt;
                                        i13 = Math.min(i18, i11) - Math.max(i17, i10);
                                    } else {
                                        int i19 = layoutParams2.f;
                                        i16 = Math.min(i18, i11) - Math.max(i17, i10);
                                        i15 = i19;
                                        i13 = i7;
                                        view5 = childAt;
                                    }
                                    i12 += i3;
                                    rVar2 = rVar;
                                    wVar2 = wVar;
                                    findContainingItemView = view2;
                                    i4 = i6;
                                }
                            } else {
                                if (min == i8) {
                                    i9 = i15;
                                    if (i17 <= i9) {
                                        z = false;
                                    }
                                } else {
                                    i9 = i15;
                                }
                                z = false;
                                if (z) {
                                }
                            }
                        }
                        i9 = i15;
                        i8 = i16;
                        z = false;
                        if (z) {
                        }
                    }
                    i7 = i13;
                    i6 = i4;
                    i9 = i15;
                    i8 = i16;
                    z = false;
                    if (z) {
                    }
                } else {
                    view3 = view5;
                }
                i7 = i13;
                i6 = i4;
                i9 = i15;
                i8 = i16;
                z = true;
                if (z) {
                }
            } else if (view4 != null) {
                break;
            } else {
                view2 = findContainingItemView;
                view3 = view5;
                i7 = i13;
                i6 = i4;
                i9 = i15;
                i8 = i16;
            }
            i15 = i9;
            i16 = i8;
            i13 = i7;
            view5 = view3;
            i12 += i3;
            rVar2 = rVar;
            wVar2 = wVar;
            findContainingItemView = view2;
            i4 = i6;
        }
        return view4 != null ? view4 : view5;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onInitializeAccessibilityNodeInfoForItem(RecyclerView.r rVar, RecyclerView.w wVar, View view, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (!(layoutParams instanceof LayoutParams)) {
            super.onInitializeAccessibilityNodeInfoForItem(view, accessibilityNodeInfoCompat);
            return;
        }
        LayoutParams layoutParams2 = (LayoutParams) layoutParams;
        int t = t(rVar, wVar, layoutParams2.d());
        if (this.mOrientation == 0) {
            accessibilityNodeInfoCompat.setCollectionItemInfo(AccessibilityNodeInfoCompat.CollectionItemInfoCompat.obtain(layoutParams2.j(), layoutParams2.k(), t, 1, false, false));
        } else {
            accessibilityNodeInfoCompat.setCollectionItemInfo(AccessibilityNodeInfoCompat.CollectionItemInfoCompat.obtain(t, 1, layoutParams2.j(), layoutParams2.k(), false, false));
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsAdded(RecyclerView recyclerView, int i2, int i3) {
        this.j.h();
        this.j.g();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsChanged(RecyclerView recyclerView) {
        this.j.h();
        this.j.g();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsMoved(RecyclerView recyclerView, int i2, int i3, int i4) {
        this.j.h();
        this.j.g();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsRemoved(RecyclerView recyclerView, int i2, int i3) {
        this.j.h();
        this.j.g();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsUpdated(RecyclerView recyclerView, int i2, int i3, Object obj) {
        this.j.h();
        this.j.g();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public void onLayoutChildren(RecyclerView.r rVar, RecyclerView.w wVar) {
        if (wVar.j()) {
            j();
        }
        super.onLayoutChildren(rVar, wVar);
        m();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public void onLayoutCompleted(RecyclerView.w wVar) {
        super.onLayoutCompleted(wVar);
        this.f3484d = false;
    }

    /* access modifiers changed from: package-private */
    public int r(int i2, int i3) {
        if (this.mOrientation != 1 || !isLayoutRTL()) {
            int[] iArr = this.f;
            return iArr[i3 + i2] - iArr[i2];
        }
        int[] iArr2 = this.f;
        int i4 = this.f3485e;
        return iArr2[i4 - i2] - iArr2[(i4 - i2) - i3];
    }

    public int s() {
        return this.f3485e;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public int scrollHorizontallyBy(int i2, RecyclerView.r rVar, RecyclerView.w wVar) {
        E();
        q();
        return super.scrollHorizontallyBy(i2, rVar, wVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public int scrollVerticallyBy(int i2, RecyclerView.r rVar, RecyclerView.w wVar) {
        E();
        q();
        return super.scrollVerticallyBy(i2, rVar, wVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void setMeasuredDimension(Rect rect, int i2, int i3) {
        int i4;
        int i5;
        if (this.f == null) {
            super.setMeasuredDimension(rect, i2, i3);
        }
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        int paddingTop = getPaddingTop() + getPaddingBottom();
        if (this.mOrientation == 1) {
            i5 = RecyclerView.LayoutManager.chooseSize(i3, rect.height() + paddingTop, getMinimumHeight());
            int[] iArr = this.f;
            i4 = RecyclerView.LayoutManager.chooseSize(i2, iArr[iArr.length - 1] + paddingLeft, getMinimumWidth());
        } else {
            i4 = RecyclerView.LayoutManager.chooseSize(i2, rect.width() + paddingLeft, getMinimumWidth());
            int[] iArr2 = this.f;
            i5 = RecyclerView.LayoutManager.chooseSize(i3, iArr2[iArr2.length - 1] + paddingTop, getMinimumHeight());
        }
        setMeasuredDimension(i4, i5);
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public void setStackFromEnd(boolean z) {
        if (!z) {
            super.setStackFromEnd(false);
            return;
        }
        throw new UnsupportedOperationException("GridLayoutManager does not support stack from end. Consider using reverse layout");
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public boolean supportsPredictiveItemAnimations() {
        return this.mPendingSavedState == null && !this.f3484d;
    }

    public b w() {
        return this.j;
    }

    public boolean y() {
        return this.l;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public RecyclerView.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new LayoutParams((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new LayoutParams(layoutParams);
    }

    public static class LayoutParams extends RecyclerView.LayoutParams {

        /* renamed from: e  reason: collision with root package name */
        public static final int f3486e = -1;
        int f = -1;
        int g = 0;

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public int j() {
            return this.f;
        }

        public int k() {
            return this.g;
        }

        public LayoutParams(int i, int i2) {
            super(i, i2);
        }

        public LayoutParams(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public LayoutParams(RecyclerView.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    public GridLayoutManager(Context context, int i2) {
        super(context);
        B(i2);
    }

    public GridLayoutManager(Context context, int i2, int i3, boolean z) {
        super(context, i3, z);
        B(i2);
    }
}
