package androidx.recyclerview.widget;

import android.util.Log;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.util.m;
import androidx.recyclerview.widget.ConcatAdapter;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.g0;
import androidx.recyclerview.widget.k0;
import androidx.recyclerview.widget.w;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Collections;
import java.util.IdentityHashMap;
import java.util.Iterator;
import java.util.List;

/* compiled from: ConcatAdapterController */
class h implements w.b {

    /* renamed from: a  reason: collision with root package name */
    private final ConcatAdapter f3671a;

    /* renamed from: b  reason: collision with root package name */
    private final k0 f3672b;

    /* renamed from: c  reason: collision with root package name */
    private List<WeakReference<RecyclerView>> f3673c = new ArrayList();

    /* renamed from: d  reason: collision with root package name */
    private final IdentityHashMap<RecyclerView.z, w> f3674d = new IdentityHashMap<>();

    /* renamed from: e  reason: collision with root package name */
    private List<w> f3675e = new ArrayList();
    private a f = new a();
    @NonNull
    private final ConcatAdapter.Config.StableIdMode g;
    private final g0 h;

    /* access modifiers changed from: package-private */
    /* compiled from: ConcatAdapterController */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        w f3676a;

        /* renamed from: b  reason: collision with root package name */
        int f3677b;

        /* renamed from: c  reason: collision with root package name */
        boolean f3678c;

        a() {
        }
    }

    h(ConcatAdapter concatAdapter, ConcatAdapter.Config config) {
        this.f3671a = concatAdapter;
        if (config.f3476b) {
            this.f3672b = new k0.a();
        } else {
            this.f3672b = new k0.b();
        }
        ConcatAdapter.Config.StableIdMode stableIdMode = config.f3477c;
        this.g = stableIdMode;
        if (stableIdMode == ConcatAdapter.Config.StableIdMode.NO_STABLE_IDS) {
            this.h = new g0.b();
        } else if (stableIdMode == ConcatAdapter.Config.StableIdMode.ISOLATED_STABLE_IDS) {
            this.h = new g0.a();
        } else if (stableIdMode == ConcatAdapter.Config.StableIdMode.SHARED_STABLE_IDS) {
            this.h = new g0.c();
        } else {
            throw new IllegalArgumentException("unknown stable id mode");
        }
    }

    private void H(a aVar) {
        aVar.f3678c = false;
        aVar.f3676a = null;
        aVar.f3677b = -1;
        this.f = aVar;
    }

    private void j() {
        RecyclerView.Adapter.StateRestorationPolicy l = l();
        if (l != this.f3671a.getStateRestorationPolicy()) {
            this.f3671a.q(l);
        }
    }

    private RecyclerView.Adapter.StateRestorationPolicy l() {
        for (w wVar : this.f3675e) {
            RecyclerView.Adapter.StateRestorationPolicy stateRestorationPolicy = wVar.f3830c.getStateRestorationPolicy();
            RecyclerView.Adapter.StateRestorationPolicy stateRestorationPolicy2 = RecyclerView.Adapter.StateRestorationPolicy.PREVENT;
            if (stateRestorationPolicy == stateRestorationPolicy2) {
                return stateRestorationPolicy2;
            }
            if (stateRestorationPolicy == RecyclerView.Adapter.StateRestorationPolicy.PREVENT_WHEN_EMPTY && wVar.b() == 0) {
                return stateRestorationPolicy2;
            }
        }
        return RecyclerView.Adapter.StateRestorationPolicy.ALLOW;
    }

    private int m(w wVar) {
        w next;
        Iterator<w> it = this.f3675e.iterator();
        int i = 0;
        while (it.hasNext() && (next = it.next()) != wVar) {
            i += next.b();
        }
        return i;
    }

    @NonNull
    private a n(int i) {
        a aVar = this.f;
        if (aVar.f3678c) {
            aVar = new a();
        } else {
            aVar.f3678c = true;
        }
        Iterator<w> it = this.f3675e.iterator();
        int i2 = i;
        while (true) {
            if (!it.hasNext()) {
                break;
            }
            w next = it.next();
            if (next.b() > i2) {
                aVar.f3676a = next;
                aVar.f3677b = i2;
                break;
            }
            i2 -= next.b();
        }
        if (aVar.f3676a != null) {
            return aVar;
        }
        throw new IllegalArgumentException("Cannot find wrapper for " + i);
    }

    @Nullable
    private w o(RecyclerView.Adapter<RecyclerView.z> adapter) {
        int x = x(adapter);
        if (x == -1) {
            return null;
        }
        return this.f3675e.get(x);
    }

    @NonNull
    private w v(RecyclerView.z zVar) {
        w wVar = this.f3674d.get(zVar);
        if (wVar != null) {
            return wVar;
        }
        throw new IllegalStateException("Cannot find wrapper for " + zVar + ", seems like it is not bound by this adapter: " + this);
    }

    private int x(RecyclerView.Adapter<RecyclerView.z> adapter) {
        int size = this.f3675e.size();
        for (int i = 0; i < size; i++) {
            if (this.f3675e.get(i).f3830c == adapter) {
                return i;
            }
        }
        return -1;
    }

    private boolean y(RecyclerView recyclerView) {
        for (WeakReference<RecyclerView> weakReference : this.f3673c) {
            if (weakReference.get() == recyclerView) {
                return true;
            }
        }
        return false;
    }

    public void A(RecyclerView.z zVar, int i) {
        a n = n(i);
        this.f3674d.put(zVar, n.f3676a);
        n.f3676a.e(zVar, n.f3677b);
        H(n);
    }

    public RecyclerView.z B(ViewGroup viewGroup, int i) {
        return this.f3672b.a(i).f(viewGroup, i);
    }

    public void C(RecyclerView recyclerView) {
        int size = this.f3673c.size() - 1;
        while (true) {
            if (size < 0) {
                break;
            }
            WeakReference<RecyclerView> weakReference = this.f3673c.get(size);
            if (weakReference.get() == null) {
                this.f3673c.remove(size);
            } else if (weakReference.get() == recyclerView) {
                this.f3673c.remove(size);
                break;
            }
            size--;
        }
        for (w wVar : this.f3675e) {
            wVar.f3830c.onDetachedFromRecyclerView(recyclerView);
        }
    }

    public boolean D(RecyclerView.z zVar) {
        w wVar = this.f3674d.get(zVar);
        if (wVar != null) {
            boolean onFailedToRecycleView = wVar.f3830c.onFailedToRecycleView(zVar);
            this.f3674d.remove(zVar);
            return onFailedToRecycleView;
        }
        throw new IllegalStateException("Cannot find wrapper for " + zVar + ", seems like it is not bound by this adapter: " + this);
    }

    public void E(RecyclerView.z zVar) {
        v(zVar).f3830c.onViewAttachedToWindow(zVar);
    }

    public void F(RecyclerView.z zVar) {
        v(zVar).f3830c.onViewDetachedFromWindow(zVar);
    }

    public void G(RecyclerView.z zVar) {
        w wVar = this.f3674d.get(zVar);
        if (wVar != null) {
            wVar.f3830c.onViewRecycled(zVar);
            this.f3674d.remove(zVar);
            return;
        }
        throw new IllegalStateException("Cannot find wrapper for " + zVar + ", seems like it is not bound by this adapter: " + this);
    }

    /* access modifiers changed from: package-private */
    public boolean I(RecyclerView.Adapter<RecyclerView.z> adapter) {
        int x = x(adapter);
        if (x == -1) {
            return false;
        }
        w wVar = this.f3675e.get(x);
        int m = m(wVar);
        this.f3675e.remove(x);
        this.f3671a.notifyItemRangeRemoved(m, wVar.b());
        for (WeakReference<RecyclerView> weakReference : this.f3673c) {
            RecyclerView recyclerView = weakReference.get();
            if (recyclerView != null) {
                adapter.onDetachedFromRecyclerView(recyclerView);
            }
        }
        wVar.a();
        j();
        return true;
    }

    @Override // androidx.recyclerview.widget.w.b
    public void a(w wVar) {
        j();
    }

    @Override // androidx.recyclerview.widget.w.b
    public void b(@NonNull w wVar, int i, int i2, @Nullable Object obj) {
        this.f3671a.notifyItemRangeChanged(i + m(wVar), i2, obj);
    }

    @Override // androidx.recyclerview.widget.w.b
    public void c(@NonNull w wVar, int i, int i2) {
        this.f3671a.notifyItemRangeChanged(i + m(wVar), i2);
    }

    @Override // androidx.recyclerview.widget.w.b
    public void d(@NonNull w wVar, int i, int i2) {
        this.f3671a.notifyItemRangeInserted(i + m(wVar), i2);
    }

    @Override // androidx.recyclerview.widget.w.b
    public void e(@NonNull w wVar, int i, int i2) {
        int m = m(wVar);
        this.f3671a.notifyItemMoved(i + m, i2 + m);
    }

    @Override // androidx.recyclerview.widget.w.b
    public void f(@NonNull w wVar) {
        this.f3671a.notifyDataSetChanged();
        j();
    }

    @Override // androidx.recyclerview.widget.w.b
    public void g(@NonNull w wVar, int i, int i2) {
        this.f3671a.notifyItemRangeRemoved(i + m(wVar), i2);
    }

    /* access modifiers changed from: package-private */
    public boolean h(int i, RecyclerView.Adapter<RecyclerView.z> adapter) {
        if (i < 0 || i > this.f3675e.size()) {
            throw new IndexOutOfBoundsException("Index must be between 0 and " + this.f3675e.size() + ". Given:" + i);
        }
        if (w()) {
            m.b(adapter.hasStableIds(), "All sub adapters must have stable ids when stable id mode is ISOLATED_STABLE_IDS or SHARED_STABLE_IDS");
        } else if (adapter.hasStableIds()) {
            Log.w("ConcatAdapter", "Stable ids in the adapter will be ignored as the ConcatAdapter is configured not to have stable ids");
        }
        if (o(adapter) != null) {
            return false;
        }
        w wVar = new w(adapter, this, this.f3672b, this.h.a());
        this.f3675e.add(i, wVar);
        for (WeakReference<RecyclerView> weakReference : this.f3673c) {
            RecyclerView recyclerView = weakReference.get();
            if (recyclerView != null) {
                adapter.onAttachedToRecyclerView(recyclerView);
            }
        }
        if (wVar.b() > 0) {
            this.f3671a.notifyItemRangeInserted(m(wVar), wVar.b());
        }
        j();
        return true;
    }

    /* access modifiers changed from: package-private */
    public boolean i(RecyclerView.Adapter<RecyclerView.z> adapter) {
        return h(this.f3675e.size(), adapter);
    }

    public boolean k() {
        for (w wVar : this.f3675e) {
            if (!wVar.f3830c.canRestoreState()) {
                return false;
            }
        }
        return true;
    }

    @Nullable
    public RecyclerView.Adapter<? extends RecyclerView.z> p(RecyclerView.z zVar) {
        w wVar = this.f3674d.get(zVar);
        if (wVar == null) {
            return null;
        }
        return wVar.f3830c;
    }

    public List<RecyclerView.Adapter<? extends RecyclerView.z>> q() {
        if (this.f3675e.isEmpty()) {
            return Collections.emptyList();
        }
        ArrayList arrayList = new ArrayList(this.f3675e.size());
        for (w wVar : this.f3675e) {
            arrayList.add(wVar.f3830c);
        }
        return arrayList;
    }

    public long r(int i) {
        a n = n(i);
        long c2 = n.f3676a.c(n.f3677b);
        H(n);
        return c2;
    }

    public int s(int i) {
        a n = n(i);
        int d2 = n.f3676a.d(n.f3677b);
        H(n);
        return d2;
    }

    public int t(RecyclerView.Adapter<? extends RecyclerView.z> adapter, RecyclerView.z zVar, int i) {
        w wVar = this.f3674d.get(zVar);
        if (wVar == null) {
            return -1;
        }
        int m = i - m(wVar);
        int itemCount = wVar.f3830c.getItemCount();
        if (m >= 0 && m < itemCount) {
            return wVar.f3830c.findRelativeAdapterPositionIn(adapter, zVar, m);
        }
        throw new IllegalStateException("Detected inconsistent adapter updates. The local position of the view holder maps to " + m + " which is out of bounds for the adapter with size " + itemCount + ".Make sure to immediately call notify methods in your adapter when you change the backing dataviewHolder:" + zVar + "adapter:" + adapter);
    }

    public int u() {
        int i = 0;
        for (w wVar : this.f3675e) {
            i += wVar.b();
        }
        return i;
    }

    public boolean w() {
        return this.g != ConcatAdapter.Config.StableIdMode.NO_STABLE_IDS;
    }

    public void z(RecyclerView recyclerView) {
        if (!y(recyclerView)) {
            this.f3673c.add(new WeakReference<>(recyclerView));
            for (w wVar : this.f3675e) {
                wVar.f3830c.onAttachedToRecyclerView(recyclerView);
            }
        }
    }
}
