package androidx.recyclerview.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.Log;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.recyclerview.widget.RecyclerView;

/* compiled from: DividerItemDecoration */
public class k extends RecyclerView.l {

    /* renamed from: a  reason: collision with root package name */
    public static final int f3743a = 0;

    /* renamed from: b  reason: collision with root package name */
    public static final int f3744b = 1;

    /* renamed from: c  reason: collision with root package name */
    private static final String f3745c = "DividerItem";

    /* renamed from: d  reason: collision with root package name */
    private static final int[] f3746d = {16843284};

    /* renamed from: e  reason: collision with root package name */
    private Drawable f3747e;
    private int f;
    private final Rect g = new Rect();

    public k(Context context, int i) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(f3746d);
        Drawable drawable = obtainStyledAttributes.getDrawable(0);
        this.f3747e = drawable;
        if (drawable == null) {
            Log.w(f3745c, "@android:attr/listDivider was not set in the theme used for this DividerItemDecoration. Please set that attribute all call setDrawable()");
        }
        obtainStyledAttributes.recycle();
        h(i);
    }

    private void d(Canvas canvas, RecyclerView recyclerView) {
        int i;
        int i2;
        canvas.save();
        if (recyclerView.getClipToPadding()) {
            i2 = recyclerView.getPaddingTop();
            i = recyclerView.getHeight() - recyclerView.getPaddingBottom();
            canvas.clipRect(recyclerView.getPaddingLeft(), i2, recyclerView.getWidth() - recyclerView.getPaddingRight(), i);
        } else {
            i = recyclerView.getHeight();
            i2 = 0;
        }
        int childCount = recyclerView.getChildCount();
        for (int i3 = 0; i3 < childCount; i3++) {
            View childAt = recyclerView.getChildAt(i3);
            recyclerView.getLayoutManager().getDecoratedBoundsWithMargins(childAt, this.g);
            int round = this.g.right + Math.round(childAt.getTranslationX());
            this.f3747e.setBounds(round - this.f3747e.getIntrinsicWidth(), i2, round, i);
            this.f3747e.draw(canvas);
        }
        canvas.restore();
    }

    private void e(Canvas canvas, RecyclerView recyclerView) {
        int i;
        int i2;
        canvas.save();
        if (recyclerView.getClipToPadding()) {
            i2 = recyclerView.getPaddingLeft();
            i = recyclerView.getWidth() - recyclerView.getPaddingRight();
            canvas.clipRect(i2, recyclerView.getPaddingTop(), i, recyclerView.getHeight() - recyclerView.getPaddingBottom());
        } else {
            i = recyclerView.getWidth();
            i2 = 0;
        }
        int childCount = recyclerView.getChildCount();
        for (int i3 = 0; i3 < childCount; i3++) {
            View childAt = recyclerView.getChildAt(i3);
            recyclerView.getDecoratedBoundsWithMargins(childAt, this.g);
            int round = this.g.bottom + Math.round(childAt.getTranslationY());
            this.f3747e.setBounds(i2, round - this.f3747e.getIntrinsicHeight(), i, round);
            this.f3747e.draw(canvas);
        }
        canvas.restore();
    }

    @Nullable
    public Drawable f() {
        return this.f3747e;
    }

    public void g(@NonNull Drawable drawable) {
        if (drawable != null) {
            this.f3747e = drawable;
            return;
        }
        throw new IllegalArgumentException("Drawable cannot be null.");
    }

    @Override // androidx.recyclerview.widget.RecyclerView.l
    public void getItemOffsets(Rect rect, View view, RecyclerView recyclerView, RecyclerView.w wVar) {
        Drawable drawable = this.f3747e;
        if (drawable == null) {
            rect.set(0, 0, 0, 0);
        } else if (this.f == 1) {
            rect.set(0, 0, 0, drawable.getIntrinsicHeight());
        } else {
            rect.set(0, 0, drawable.getIntrinsicWidth(), 0);
        }
    }

    public void h(int i) {
        if (i == 0 || i == 1) {
            this.f = i;
            return;
        }
        throw new IllegalArgumentException("Invalid orientation. It should be either HORIZONTAL or VERTICAL");
    }

    @Override // androidx.recyclerview.widget.RecyclerView.l
    public void onDraw(Canvas canvas, RecyclerView recyclerView, RecyclerView.w wVar) {
        if (recyclerView.getLayoutManager() != null && this.f3747e != null) {
            if (this.f == 1) {
                e(canvas, recyclerView);
            } else {
                d(canvas, recyclerView);
            }
        }
    }
}
