package androidx.recyclerview.widget;

import android.animation.Animator;
import android.animation.ValueAnimator;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.os.Build;
import android.util.Log;
import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewParent;
import android.view.animation.Interpolator;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import androidx.core.view.GestureDetectorCompat;
import androidx.core.view.ViewCompat;
import androidx.recyclerview.R;
import androidx.recyclerview.widget.RecyclerView;
import java.util.ArrayList;
import java.util.List;

/* compiled from: ItemTouchHelper */
public class n extends RecyclerView.l implements RecyclerView.m {

    /* renamed from: a  reason: collision with root package name */
    public static final int f3778a = 1;

    /* renamed from: b  reason: collision with root package name */
    public static final int f3779b = 2;

    /* renamed from: c  reason: collision with root package name */
    public static final int f3780c = 4;

    /* renamed from: d  reason: collision with root package name */
    public static final int f3781d = 8;

    /* renamed from: e  reason: collision with root package name */
    public static final int f3782e = 16;
    public static final int f = 32;
    public static final int g = 0;
    public static final int h = 1;
    public static final int i = 2;
    public static final int j = 2;
    public static final int k = 4;
    public static final int l = 8;
    private static final String m = "ItemTouchHelper";
    private static final boolean n = false;
    private static final int o = -1;
    static final int p = 8;
    private static final int q = 255;
    static final int r = 65280;
    static final int s = 16711680;
    private static final int t = 1000;
    private float A;
    float B;
    float C;
    private float D;
    private float E;
    int F = -1;
    @NonNull
    f G;
    private int H = 0;
    int I;
    @VisibleForTesting
    List<h> J = new ArrayList();
    private int K;
    RecyclerView L;
    final Runnable M = new a();
    VelocityTracker N;
    private List<RecyclerView.z> O;
    private List<Integer> P;
    private RecyclerView.j Q = null;
    View R = null;
    int S = -1;
    GestureDetectorCompat T;
    private g U;
    private final RecyclerView.o V = new b();
    private Rect W;
    private long X;
    final List<View> u = new ArrayList();
    private final float[] v = new float[2];
    RecyclerView.z w = null;
    float x;
    float y;
    private float z;

    /* compiled from: ItemTouchHelper */
    class a implements Runnable {
        a() {
        }

        public void run() {
            n nVar = n.this;
            if (nVar.w != null && nVar.w()) {
                n nVar2 = n.this;
                RecyclerView.z zVar = nVar2.w;
                if (zVar != null) {
                    nVar2.r(zVar);
                }
                n nVar3 = n.this;
                nVar3.L.removeCallbacks(nVar3.M);
                ViewCompat.postOnAnimation(n.this.L, this);
            }
        }
    }

    /* compiled from: ItemTouchHelper */
    class b implements RecyclerView.o {
        b() {
        }

        @Override // androidx.recyclerview.widget.RecyclerView.o
        public void a(@NonNull RecyclerView recyclerView, @NonNull MotionEvent motionEvent) {
            n.this.T.onTouchEvent(motionEvent);
            VelocityTracker velocityTracker = n.this.N;
            if (velocityTracker != null) {
                velocityTracker.addMovement(motionEvent);
            }
            if (n.this.F != -1) {
                int actionMasked = motionEvent.getActionMasked();
                int findPointerIndex = motionEvent.findPointerIndex(n.this.F);
                if (findPointerIndex >= 0) {
                    n.this.g(actionMasked, motionEvent, findPointerIndex);
                }
                n nVar = n.this;
                RecyclerView.z zVar = nVar.w;
                if (zVar != null) {
                    int i = 0;
                    if (actionMasked != 1) {
                        if (actionMasked != 2) {
                            if (actionMasked == 3) {
                                VelocityTracker velocityTracker2 = nVar.N;
                                if (velocityTracker2 != null) {
                                    velocityTracker2.clear();
                                }
                            } else if (actionMasked == 6) {
                                int actionIndex = motionEvent.getActionIndex();
                                int pointerId = motionEvent.getPointerId(actionIndex);
                                n nVar2 = n.this;
                                if (pointerId == nVar2.F) {
                                    if (actionIndex == 0) {
                                        i = 1;
                                    }
                                    nVar2.F = motionEvent.getPointerId(i);
                                    n nVar3 = n.this;
                                    nVar3.E(motionEvent, nVar3.I, actionIndex);
                                    return;
                                }
                                return;
                            } else {
                                return;
                            }
                        } else if (findPointerIndex >= 0) {
                            nVar.E(motionEvent, nVar.I, findPointerIndex);
                            n.this.r(zVar);
                            n nVar4 = n.this;
                            nVar4.L.removeCallbacks(nVar4.M);
                            n.this.M.run();
                            n.this.L.invalidate();
                            return;
                        } else {
                            return;
                        }
                    }
                    n.this.x(null, 0);
                    n.this.F = -1;
                }
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.o
        public boolean b(@NonNull RecyclerView recyclerView, @NonNull MotionEvent motionEvent) {
            int findPointerIndex;
            h k;
            n.this.T.onTouchEvent(motionEvent);
            int actionMasked = motionEvent.getActionMasked();
            if (actionMasked == 0) {
                n.this.F = motionEvent.getPointerId(0);
                n.this.x = motionEvent.getX();
                n.this.y = motionEvent.getY();
                n.this.s();
                n nVar = n.this;
                if (nVar.w == null && (k = nVar.k(motionEvent)) != null) {
                    n nVar2 = n.this;
                    nVar2.x -= k.P0;
                    nVar2.y -= k.Q0;
                    nVar2.j(k.K0, true);
                    if (n.this.u.remove(k.K0.itemView)) {
                        n nVar3 = n.this;
                        nVar3.G.c(nVar3.L, k.K0);
                    }
                    n.this.x(k.K0, k.L0);
                    n nVar4 = n.this;
                    nVar4.E(motionEvent, nVar4.I, 0);
                }
            } else if (actionMasked == 3 || actionMasked == 1) {
                n nVar5 = n.this;
                nVar5.F = -1;
                nVar5.x(null, 0);
            } else {
                int i = n.this.F;
                if (i != -1 && (findPointerIndex = motionEvent.findPointerIndex(i)) >= 0) {
                    n.this.g(actionMasked, motionEvent, findPointerIndex);
                }
            }
            VelocityTracker velocityTracker = n.this.N;
            if (velocityTracker != null) {
                velocityTracker.addMovement(motionEvent);
            }
            if (n.this.w != null) {
                return true;
            }
            return false;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.o
        public void c(boolean z) {
            if (z) {
                n.this.x(null, 0);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ItemTouchHelper */
    public class c extends h {
        final /* synthetic */ int U0;
        final /* synthetic */ RecyclerView.z V0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(RecyclerView.z zVar, int i, int i2, float f, float f2, float f3, float f4, int i3, RecyclerView.z zVar2) {
            super(zVar, i, i2, f, f2, f3, f4);
            this.U0 = i3;
            this.V0 = zVar2;
        }

        @Override // androidx.recyclerview.widget.n.h
        public void onAnimationEnd(Animator animator) {
            super.onAnimationEnd(animator);
            if (!this.R0) {
                if (this.U0 <= 0) {
                    n nVar = n.this;
                    nVar.G.c(nVar.L, this.V0);
                } else {
                    n.this.u.add(this.V0.itemView);
                    this.O0 = true;
                    int i = this.U0;
                    if (i > 0) {
                        n.this.t(this, i);
                    }
                }
                n nVar2 = n.this;
                View view = nVar2.R;
                View view2 = this.V0.itemView;
                if (view == view2) {
                    nVar2.v(view2);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ItemTouchHelper */
    public class d implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ h f3785a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f3786b;

        d(h hVar, int i) {
            this.f3785a = hVar;
            this.f3786b = i;
        }

        public void run() {
            RecyclerView recyclerView = n.this.L;
            if (recyclerView != null && recyclerView.isAttachedToWindow()) {
                h hVar = this.f3785a;
                if (!hVar.R0 && hVar.K0.getAbsoluteAdapterPosition() != -1) {
                    RecyclerView.ItemAnimator itemAnimator = n.this.L.getItemAnimator();
                    if ((itemAnimator == null || !itemAnimator.r(null)) && !n.this.p()) {
                        n.this.G.D(this.f3785a.K0, this.f3786b);
                    } else {
                        n.this.L.post(this);
                    }
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ItemTouchHelper */
    public class e implements RecyclerView.j {
        e() {
        }

        @Override // androidx.recyclerview.widget.RecyclerView.j
        public int a(int i, int i2) {
            n nVar = n.this;
            View view = nVar.R;
            if (view == null) {
                return i2;
            }
            int i3 = nVar.S;
            if (i3 == -1) {
                i3 = nVar.L.indexOfChild(view);
                n.this.S = i3;
            }
            if (i2 == i - 1) {
                return i3;
            }
            return i2 < i3 ? i2 : i2 + 1;
        }
    }

    /* compiled from: ItemTouchHelper */
    public static abstract class f {

        /* renamed from: a  reason: collision with root package name */
        public static final int f3788a = 200;

        /* renamed from: b  reason: collision with root package name */
        public static final int f3789b = 250;

        /* renamed from: c  reason: collision with root package name */
        static final int f3790c = 3158064;

        /* renamed from: d  reason: collision with root package name */
        private static final int f3791d = 789516;

        /* renamed from: e  reason: collision with root package name */
        private static final Interpolator f3792e = new a();
        private static final Interpolator f = new b();
        private static final long g = 2000;
        private int h = -1;

        /* compiled from: ItemTouchHelper */
        class a implements Interpolator {
            a() {
            }

            public float getInterpolation(float f) {
                return f * f * f * f * f;
            }
        }

        /* compiled from: ItemTouchHelper */
        class b implements Interpolator {
            b() {
            }

            public float getInterpolation(float f) {
                float f2 = f - 1.0f;
                return (f2 * f2 * f2 * f2 * f2) + 1.0f;
            }
        }

        public static int e(int i, int i2) {
            int i3;
            int i4 = i & f3791d;
            if (i4 == 0) {
                return i;
            }
            int i5 = i & (~i4);
            if (i2 == 0) {
                i3 = i4 << 2;
            } else {
                int i6 = i4 << 1;
                i5 |= -789517 & i6;
                i3 = (i6 & f3791d) << 2;
            }
            return i5 | i3;
        }

        @NonNull
        public static o i() {
            return p.f3798a;
        }

        private int j(RecyclerView recyclerView) {
            if (this.h == -1) {
                this.h = recyclerView.getResources().getDimensionPixelSize(R.dimen.item_touch_helper_max_drag_scroll_per_frame);
            }
            return this.h;
        }

        public static int u(int i, int i2) {
            return i2 << (i * 8);
        }

        public static int v(int i, int i2) {
            int u = u(0, i2 | i);
            return u(2, i) | u(1, i2) | u;
        }

        public abstract boolean A(@NonNull RecyclerView recyclerView, @NonNull RecyclerView.z zVar, @NonNull RecyclerView.z zVar2);

        public void B(@NonNull RecyclerView recyclerView, @NonNull RecyclerView.z zVar, int i, @NonNull RecyclerView.z zVar2, int i2, int i3, int i4) {
            RecyclerView.LayoutManager layoutManager = recyclerView.getLayoutManager();
            if (layoutManager instanceof j) {
                ((j) layoutManager).prepareForDrop(zVar.itemView, zVar2.itemView, i3, i4);
                return;
            }
            if (layoutManager.canScrollHorizontally()) {
                if (layoutManager.getDecoratedLeft(zVar2.itemView) <= recyclerView.getPaddingLeft()) {
                    recyclerView.scrollToPosition(i2);
                }
                if (layoutManager.getDecoratedRight(zVar2.itemView) >= recyclerView.getWidth() - recyclerView.getPaddingRight()) {
                    recyclerView.scrollToPosition(i2);
                }
            }
            if (layoutManager.canScrollVertically()) {
                if (layoutManager.getDecoratedTop(zVar2.itemView) <= recyclerView.getPaddingTop()) {
                    recyclerView.scrollToPosition(i2);
                }
                if (layoutManager.getDecoratedBottom(zVar2.itemView) >= recyclerView.getHeight() - recyclerView.getPaddingBottom()) {
                    recyclerView.scrollToPosition(i2);
                }
            }
        }

        public void C(@Nullable RecyclerView.z zVar, int i) {
            if (zVar != null) {
                p.f3798a.b(zVar.itemView);
            }
        }

        public abstract void D(@NonNull RecyclerView.z zVar, int i);

        public boolean a(@NonNull RecyclerView recyclerView, @NonNull RecyclerView.z zVar, @NonNull RecyclerView.z zVar2) {
            return true;
        }

        public RecyclerView.z b(@NonNull RecyclerView.z zVar, @NonNull List<RecyclerView.z> list, int i, int i2) {
            int bottom;
            int abs;
            int top2;
            int abs2;
            int left;
            int abs3;
            int right;
            int abs4;
            int width = i + zVar.itemView.getWidth();
            int height = i2 + zVar.itemView.getHeight();
            int left2 = i - zVar.itemView.getLeft();
            int top3 = i2 - zVar.itemView.getTop();
            int size = list.size();
            RecyclerView.z zVar2 = null;
            int i3 = -1;
            for (int i4 = 0; i4 < size; i4++) {
                RecyclerView.z zVar3 = list.get(i4);
                if (left2 > 0 && (right = zVar3.itemView.getRight() - width) < 0 && zVar3.itemView.getRight() > zVar.itemView.getRight() && (abs4 = Math.abs(right)) > i3) {
                    zVar2 = zVar3;
                    i3 = abs4;
                }
                if (left2 < 0 && (left = zVar3.itemView.getLeft() - i) > 0 && zVar3.itemView.getLeft() < zVar.itemView.getLeft() && (abs3 = Math.abs(left)) > i3) {
                    zVar2 = zVar3;
                    i3 = abs3;
                }
                if (top3 < 0 && (top2 = zVar3.itemView.getTop() - i2) > 0 && zVar3.itemView.getTop() < zVar.itemView.getTop() && (abs2 = Math.abs(top2)) > i3) {
                    zVar2 = zVar3;
                    i3 = abs2;
                }
                if (top3 > 0 && (bottom = zVar3.itemView.getBottom() - height) < 0 && zVar3.itemView.getBottom() > zVar.itemView.getBottom() && (abs = Math.abs(bottom)) > i3) {
                    zVar2 = zVar3;
                    i3 = abs;
                }
            }
            return zVar2;
        }

        public void c(@NonNull RecyclerView recyclerView, @NonNull RecyclerView.z zVar) {
            p.f3798a.a(zVar.itemView);
        }

        public int d(int i, int i2) {
            int i3;
            int i4 = i & f3790c;
            if (i4 == 0) {
                return i;
            }
            int i5 = i & (~i4);
            if (i2 == 0) {
                i3 = i4 >> 2;
            } else {
                int i6 = i4 >> 1;
                i5 |= -3158065 & i6;
                i3 = (i6 & f3790c) >> 2;
            }
            return i5 | i3;
        }

        /* access modifiers changed from: package-private */
        public final int f(RecyclerView recyclerView, RecyclerView.z zVar) {
            return d(l(recyclerView, zVar), ViewCompat.getLayoutDirection(recyclerView));
        }

        public long g(@NonNull RecyclerView recyclerView, int i, float f2, float f3) {
            RecyclerView.ItemAnimator itemAnimator = recyclerView.getItemAnimator();
            if (itemAnimator == null) {
                return i == 8 ? 200 : 250;
            }
            if (i == 8) {
                return itemAnimator.o();
            }
            return itemAnimator.p();
        }

        public int h() {
            return 0;
        }

        public float k(@NonNull RecyclerView.z zVar) {
            return 0.5f;
        }

        public abstract int l(@NonNull RecyclerView recyclerView, @NonNull RecyclerView.z zVar);

        public float m(float f2) {
            return f2;
        }

        public float n(@NonNull RecyclerView.z zVar) {
            return 0.5f;
        }

        public float o(float f2) {
            return f2;
        }

        /* access modifiers changed from: package-private */
        public boolean p(RecyclerView recyclerView, RecyclerView.z zVar) {
            return (f(recyclerView, zVar) & n.s) != 0;
        }

        /* access modifiers changed from: package-private */
        public boolean q(RecyclerView recyclerView, RecyclerView.z zVar) {
            return (f(recyclerView, zVar) & 65280) != 0;
        }

        public int r(@NonNull RecyclerView recyclerView, int i, int i2, int i3, long j) {
            float f2 = 1.0f;
            int signum = (int) (((float) (((int) Math.signum((float) i2)) * j(recyclerView))) * f.getInterpolation(Math.min(1.0f, (((float) Math.abs(i2)) * 1.0f) / ((float) i))));
            if (j <= 2000) {
                f2 = ((float) j) / 2000.0f;
            }
            int interpolation = (int) (((float) signum) * f3792e.getInterpolation(f2));
            if (interpolation == 0) {
                return i2 > 0 ? 1 : -1;
            }
            return interpolation;
        }

        public boolean s() {
            return true;
        }

        public boolean t() {
            return true;
        }

        public void w(@NonNull Canvas canvas, @NonNull RecyclerView recyclerView, @NonNull RecyclerView.z zVar, float f2, float f3, int i, boolean z) {
            p.f3798a.d(canvas, recyclerView, zVar.itemView, f2, f3, i, z);
        }

        public void x(@NonNull Canvas canvas, @NonNull RecyclerView recyclerView, RecyclerView.z zVar, float f2, float f3, int i, boolean z) {
            p.f3798a.c(canvas, recyclerView, zVar.itemView, f2, f3, i, z);
        }

        /* access modifiers changed from: package-private */
        public void y(Canvas canvas, RecyclerView recyclerView, RecyclerView.z zVar, List<h> list, int i, float f2, float f3) {
            int size = list.size();
            for (int i2 = 0; i2 < size; i2++) {
                h hVar = list.get(i2);
                hVar.e();
                int save = canvas.save();
                w(canvas, recyclerView, hVar.K0, hVar.P0, hVar.Q0, hVar.L0, false);
                canvas.restoreToCount(save);
            }
            if (zVar != null) {
                int save2 = canvas.save();
                w(canvas, recyclerView, zVar, f2, f3, i, true);
                canvas.restoreToCount(save2);
            }
        }

        /* access modifiers changed from: package-private */
        public void z(Canvas canvas, RecyclerView recyclerView, RecyclerView.z zVar, List<h> list, int i, float f2, float f3) {
            int size = list.size();
            boolean z = false;
            for (int i2 = 0; i2 < size; i2++) {
                h hVar = list.get(i2);
                int save = canvas.save();
                x(canvas, recyclerView, hVar.K0, hVar.P0, hVar.Q0, hVar.L0, false);
                canvas.restoreToCount(save);
            }
            if (zVar != null) {
                int save2 = canvas.save();
                x(canvas, recyclerView, zVar, f2, f3, i, true);
                canvas.restoreToCount(save2);
            }
            for (int i3 = size - 1; i3 >= 0; i3--) {
                h hVar2 = list.get(i3);
                boolean z2 = hVar2.S0;
                if (z2 && !hVar2.O0) {
                    list.remove(i3);
                } else if (!z2) {
                    z = true;
                }
            }
            if (z) {
                recyclerView.invalidate();
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ItemTouchHelper */
    public class g extends GestureDetector.SimpleOnGestureListener {

        /* renamed from: a  reason: collision with root package name */
        private boolean f3793a = true;

        g() {
        }

        /* access modifiers changed from: package-private */
        public void a() {
            this.f3793a = false;
        }

        public boolean onDown(MotionEvent motionEvent) {
            return true;
        }

        public void onLongPress(MotionEvent motionEvent) {
            View l;
            RecyclerView.z childViewHolder;
            int i;
            if (this.f3793a && (l = n.this.l(motionEvent)) != null && (childViewHolder = n.this.L.getChildViewHolder(l)) != null) {
                n nVar = n.this;
                if (nVar.G.p(nVar.L, childViewHolder) && motionEvent.getPointerId(0) == (i = n.this.F)) {
                    int findPointerIndex = motionEvent.findPointerIndex(i);
                    float x = motionEvent.getX(findPointerIndex);
                    float y = motionEvent.getY(findPointerIndex);
                    n nVar2 = n.this;
                    nVar2.x = x;
                    nVar2.y = y;
                    nVar2.C = 0.0f;
                    nVar2.B = 0.0f;
                    if (nVar2.G.t()) {
                        n.this.x(childViewHolder, 2);
                    }
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    /* compiled from: ItemTouchHelper */
    public static class h implements Animator.AnimatorListener {
        final float I0;
        final float J0;
        final RecyclerView.z K0;
        final int L0;
        @VisibleForTesting
        final ValueAnimator M0;
        final int N0;
        boolean O0;
        float P0;
        float Q0;
        boolean R0 = false;
        boolean S0 = false;
        private float T0;

        /* renamed from: a  reason: collision with root package name */
        final float f3795a;

        /* renamed from: b  reason: collision with root package name */
        final float f3796b;

        /* compiled from: ItemTouchHelper */
        class a implements ValueAnimator.AnimatorUpdateListener {
            a() {
            }

            public void onAnimationUpdate(ValueAnimator valueAnimator) {
                h.this.c(valueAnimator.getAnimatedFraction());
            }
        }

        h(RecyclerView.z zVar, int i, int i2, float f, float f2, float f3, float f4) {
            this.L0 = i2;
            this.N0 = i;
            this.K0 = zVar;
            this.f3795a = f;
            this.f3796b = f2;
            this.I0 = f3;
            this.J0 = f4;
            ValueAnimator ofFloat = ValueAnimator.ofFloat(0.0f, 1.0f);
            this.M0 = ofFloat;
            ofFloat.addUpdateListener(new a());
            ofFloat.setTarget(zVar.itemView);
            ofFloat.addListener(this);
            c(0.0f);
        }

        public void a() {
            this.M0.cancel();
        }

        public void b(long j) {
            this.M0.setDuration(j);
        }

        public void c(float f) {
            this.T0 = f;
        }

        public void d() {
            this.K0.setIsRecyclable(false);
            this.M0.start();
        }

        public void e() {
            float f = this.f3795a;
            float f2 = this.I0;
            if (f == f2) {
                this.P0 = this.K0.itemView.getTranslationX();
            } else {
                this.P0 = f + (this.T0 * (f2 - f));
            }
            float f3 = this.f3796b;
            float f4 = this.J0;
            if (f3 == f4) {
                this.Q0 = this.K0.itemView.getTranslationY();
            } else {
                this.Q0 = f3 + (this.T0 * (f4 - f3));
            }
        }

        public void onAnimationCancel(Animator animator) {
            c(1.0f);
        }

        public void onAnimationEnd(Animator animator) {
            if (!this.S0) {
                this.K0.setIsRecyclable(true);
            }
            this.S0 = true;
        }

        public void onAnimationRepeat(Animator animator) {
        }

        public void onAnimationStart(Animator animator) {
        }
    }

    /* compiled from: ItemTouchHelper */
    public static abstract class i extends f {
        private int i;
        private int j;

        public i(int i2, int i3) {
            this.i = i3;
            this.j = i2;
        }

        public int E(@NonNull RecyclerView recyclerView, @NonNull RecyclerView.z zVar) {
            return this.j;
        }

        public int F(@NonNull RecyclerView recyclerView, @NonNull RecyclerView.z zVar) {
            return this.i;
        }

        public void G(int i2) {
            this.j = i2;
        }

        public void H(int i2) {
            this.i = i2;
        }

        @Override // androidx.recyclerview.widget.n.f
        public int l(@NonNull RecyclerView recyclerView, @NonNull RecyclerView.z zVar) {
            return f.v(E(recyclerView, zVar), F(recyclerView, zVar));
        }
    }

    /* compiled from: ItemTouchHelper */
    public interface j {
        void prepareForDrop(@NonNull View view, @NonNull View view2, int i, int i2);
    }

    public n(@NonNull f fVar) {
        this.G = fVar;
    }

    private void A() {
        this.U = new g();
        this.T = new GestureDetectorCompat(this.L.getContext(), this.U);
    }

    private void C() {
        g gVar = this.U;
        if (gVar != null) {
            gVar.a();
            this.U = null;
        }
        if (this.T != null) {
            this.T = null;
        }
    }

    private int D(RecyclerView.z zVar) {
        if (this.H == 2) {
            return 0;
        }
        int l2 = this.G.l(this.L, zVar);
        int d2 = (this.G.d(l2, ViewCompat.getLayoutDirection(this.L)) & 65280) >> 8;
        if (d2 == 0) {
            return 0;
        }
        int i2 = (l2 & 65280) >> 8;
        if (Math.abs(this.B) > Math.abs(this.C)) {
            int f2 = f(zVar, d2);
            if (f2 > 0) {
                return (i2 & f2) == 0 ? f.e(f2, ViewCompat.getLayoutDirection(this.L)) : f2;
            }
            int h2 = h(zVar, d2);
            if (h2 > 0) {
                return h2;
            }
        } else {
            int h3 = h(zVar, d2);
            if (h3 > 0) {
                return h3;
            }
            int f3 = f(zVar, d2);
            if (f3 > 0) {
                return (i2 & f3) == 0 ? f.e(f3, ViewCompat.getLayoutDirection(this.L)) : f3;
            }
        }
        return 0;
    }

    private void d() {
        if (Build.VERSION.SDK_INT < 21) {
            if (this.Q == null) {
                this.Q = new e();
            }
            this.L.setChildDrawingOrderCallback(this.Q);
        }
    }

    private int f(RecyclerView.z zVar, int i2) {
        if ((i2 & 12) == 0) {
            return 0;
        }
        int i3 = 8;
        int i4 = this.B > 0.0f ? 8 : 4;
        VelocityTracker velocityTracker = this.N;
        if (velocityTracker != null && this.F > -1) {
            velocityTracker.computeCurrentVelocity(1000, this.G.o(this.A));
            float xVelocity = this.N.getXVelocity(this.F);
            float yVelocity = this.N.getYVelocity(this.F);
            if (xVelocity <= 0.0f) {
                i3 = 4;
            }
            float abs = Math.abs(xVelocity);
            if ((i3 & i2) != 0 && i4 == i3 && abs >= this.G.m(this.z) && abs > Math.abs(yVelocity)) {
                return i3;
            }
        }
        float width = ((float) this.L.getWidth()) * this.G.n(zVar);
        if ((i2 & i4) == 0 || Math.abs(this.B) <= width) {
            return 0;
        }
        return i4;
    }

    private int h(RecyclerView.z zVar, int i2) {
        if ((i2 & 3) == 0) {
            return 0;
        }
        int i3 = 2;
        int i4 = this.C > 0.0f ? 2 : 1;
        VelocityTracker velocityTracker = this.N;
        if (velocityTracker != null && this.F > -1) {
            velocityTracker.computeCurrentVelocity(1000, this.G.o(this.A));
            float xVelocity = this.N.getXVelocity(this.F);
            float yVelocity = this.N.getYVelocity(this.F);
            if (yVelocity <= 0.0f) {
                i3 = 1;
            }
            float abs = Math.abs(yVelocity);
            if ((i3 & i2) != 0 && i3 == i4 && abs >= this.G.m(this.z) && abs > Math.abs(xVelocity)) {
                return i3;
            }
        }
        float height = ((float) this.L.getHeight()) * this.G.n(zVar);
        if ((i2 & i4) == 0 || Math.abs(this.C) <= height) {
            return 0;
        }
        return i4;
    }

    private void i() {
        this.L.removeItemDecoration(this);
        this.L.removeOnItemTouchListener(this.V);
        this.L.removeOnChildAttachStateChangeListener(this);
        for (int size = this.J.size() - 1; size >= 0; size--) {
            h hVar = this.J.get(0);
            hVar.a();
            this.G.c(this.L, hVar.K0);
        }
        this.J.clear();
        this.R = null;
        this.S = -1;
        u();
        C();
    }

    private List<RecyclerView.z> m(RecyclerView.z zVar) {
        RecyclerView.z zVar2 = zVar;
        List<RecyclerView.z> list = this.O;
        if (list == null) {
            this.O = new ArrayList();
            this.P = new ArrayList();
        } else {
            list.clear();
            this.P.clear();
        }
        int h2 = this.G.h();
        int round = Math.round(this.D + this.B) - h2;
        int round2 = Math.round(this.E + this.C) - h2;
        int i2 = h2 * 2;
        int width = zVar2.itemView.getWidth() + round + i2;
        int height = zVar2.itemView.getHeight() + round2 + i2;
        int i3 = (round + width) / 2;
        int i4 = (round2 + height) / 2;
        RecyclerView.LayoutManager layoutManager = this.L.getLayoutManager();
        int childCount = layoutManager.getChildCount();
        int i5 = 0;
        while (i5 < childCount) {
            View childAt = layoutManager.getChildAt(i5);
            if (childAt != zVar2.itemView && childAt.getBottom() >= round2 && childAt.getTop() <= height && childAt.getRight() >= round && childAt.getLeft() <= width) {
                RecyclerView.z childViewHolder = this.L.getChildViewHolder(childAt);
                if (this.G.a(this.L, this.w, childViewHolder)) {
                    int abs = Math.abs(i3 - ((childAt.getLeft() + childAt.getRight()) / 2));
                    int abs2 = Math.abs(i4 - ((childAt.getTop() + childAt.getBottom()) / 2));
                    int i6 = (abs * abs) + (abs2 * abs2);
                    int size = this.O.size();
                    int i7 = 0;
                    int i8 = 0;
                    while (i7 < size && i6 > this.P.get(i7).intValue()) {
                        i8++;
                        i7++;
                    }
                    this.O.add(i8, childViewHolder);
                    this.P.add(i8, Integer.valueOf(i6));
                }
            }
            i5++;
            zVar2 = zVar;
        }
        return this.O;
    }

    private RecyclerView.z n(MotionEvent motionEvent) {
        View l2;
        RecyclerView.LayoutManager layoutManager = this.L.getLayoutManager();
        int i2 = this.F;
        if (i2 == -1) {
            return null;
        }
        int findPointerIndex = motionEvent.findPointerIndex(i2);
        float abs = Math.abs(motionEvent.getX(findPointerIndex) - this.x);
        float abs2 = Math.abs(motionEvent.getY(findPointerIndex) - this.y);
        int i3 = this.K;
        if (abs < ((float) i3) && abs2 < ((float) i3)) {
            return null;
        }
        if (abs > abs2 && layoutManager.canScrollHorizontally()) {
            return null;
        }
        if ((abs2 <= abs || !layoutManager.canScrollVertically()) && (l2 = l(motionEvent)) != null) {
            return this.L.getChildViewHolder(l2);
        }
        return null;
    }

    private void o(float[] fArr) {
        if ((this.I & 12) != 0) {
            fArr[0] = (this.D + this.B) - ((float) this.w.itemView.getLeft());
        } else {
            fArr[0] = this.w.itemView.getTranslationX();
        }
        if ((this.I & 3) != 0) {
            fArr[1] = (this.E + this.C) - ((float) this.w.itemView.getTop());
        } else {
            fArr[1] = this.w.itemView.getTranslationY();
        }
    }

    private static boolean q(View view, float f2, float f3, float f4, float f5) {
        return f2 >= f4 && f2 <= f4 + ((float) view.getWidth()) && f3 >= f5 && f3 <= f5 + ((float) view.getHeight());
    }

    private void u() {
        VelocityTracker velocityTracker = this.N;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.N = null;
        }
    }

    private void y() {
        this.K = ViewConfiguration.get(this.L.getContext()).getScaledTouchSlop();
        this.L.addItemDecoration(this);
        this.L.addOnItemTouchListener(this.V);
        this.L.addOnChildAttachStateChangeListener(this);
        A();
    }

    public void B(@NonNull RecyclerView.z zVar) {
        if (!this.G.q(this.L, zVar)) {
            Log.e(m, "Start swipe has been called but swiping is not enabled");
        } else if (zVar.itemView.getParent() != this.L) {
            Log.e(m, "Start swipe has been called with a view holder which is not a child of the RecyclerView controlled by this ItemTouchHelper.");
        } else {
            s();
            this.C = 0.0f;
            this.B = 0.0f;
            x(zVar, 1);
        }
    }

    /* access modifiers changed from: package-private */
    public void E(MotionEvent motionEvent, int i2, int i3) {
        float x2 = motionEvent.getX(i3);
        float y2 = motionEvent.getY(i3);
        float f2 = x2 - this.x;
        this.B = f2;
        this.C = y2 - this.y;
        if ((i2 & 4) == 0) {
            this.B = Math.max(0.0f, f2);
        }
        if ((i2 & 8) == 0) {
            this.B = Math.min(0.0f, this.B);
        }
        if ((i2 & 1) == 0) {
            this.C = Math.max(0.0f, this.C);
        }
        if ((i2 & 2) == 0) {
            this.C = Math.min(0.0f, this.C);
        }
    }

    public void e(@Nullable RecyclerView recyclerView) {
        RecyclerView recyclerView2 = this.L;
        if (recyclerView2 != recyclerView) {
            if (recyclerView2 != null) {
                i();
            }
            this.L = recyclerView;
            if (recyclerView != null) {
                Resources resources = recyclerView.getResources();
                this.z = resources.getDimension(R.dimen.item_touch_helper_swipe_escape_velocity);
                this.A = resources.getDimension(R.dimen.item_touch_helper_swipe_escape_max_velocity);
                y();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void g(int i2, MotionEvent motionEvent, int i3) {
        RecyclerView.z n2;
        int f2;
        if (this.w == null && i2 == 2 && this.H != 2 && this.G.s() && this.L.getScrollState() != 1 && (n2 = n(motionEvent)) != null && (f2 = (this.G.f(this.L, n2) & 65280) >> 8) != 0) {
            float x2 = motionEvent.getX(i3);
            float y2 = motionEvent.getY(i3);
            float f3 = x2 - this.x;
            float f4 = y2 - this.y;
            float abs = Math.abs(f3);
            float abs2 = Math.abs(f4);
            int i4 = this.K;
            if (abs >= ((float) i4) || abs2 >= ((float) i4)) {
                if (abs > abs2) {
                    if (f3 < 0.0f && (f2 & 4) == 0) {
                        return;
                    }
                    if (f3 > 0.0f && (f2 & 8) == 0) {
                        return;
                    }
                } else if (f4 < 0.0f && (f2 & 1) == 0) {
                    return;
                } else {
                    if (f4 > 0.0f && (f2 & 2) == 0) {
                        return;
                    }
                }
                this.C = 0.0f;
                this.B = 0.0f;
                this.F = motionEvent.getPointerId(0);
                x(n2, 1);
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.l
    public void getItemOffsets(Rect rect, View view, RecyclerView recyclerView, RecyclerView.w wVar) {
        rect.setEmpty();
    }

    /* access modifiers changed from: package-private */
    public void j(RecyclerView.z zVar, boolean z2) {
        for (int size = this.J.size() - 1; size >= 0; size--) {
            h hVar = this.J.get(size);
            if (hVar.K0 == zVar) {
                hVar.R0 |= z2;
                if (!hVar.S0) {
                    hVar.a();
                }
                this.J.remove(size);
                return;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public h k(MotionEvent motionEvent) {
        if (this.J.isEmpty()) {
            return null;
        }
        View l2 = l(motionEvent);
        for (int size = this.J.size() - 1; size >= 0; size--) {
            h hVar = this.J.get(size);
            if (hVar.K0.itemView == l2) {
                return hVar;
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public View l(MotionEvent motionEvent) {
        float x2 = motionEvent.getX();
        float y2 = motionEvent.getY();
        RecyclerView.z zVar = this.w;
        if (zVar != null) {
            View view = zVar.itemView;
            if (q(view, x2, y2, this.D + this.B, this.E + this.C)) {
                return view;
            }
        }
        for (int size = this.J.size() - 1; size >= 0; size--) {
            h hVar = this.J.get(size);
            View view2 = hVar.K0.itemView;
            if (q(view2, x2, y2, hVar.P0, hVar.Q0)) {
                return view2;
            }
        }
        return this.L.findChildViewUnder(x2, y2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.m
    public void onChildViewAttachedToWindow(@NonNull View view) {
    }

    @Override // androidx.recyclerview.widget.RecyclerView.m
    public void onChildViewDetachedFromWindow(@NonNull View view) {
        v(view);
        RecyclerView.z childViewHolder = this.L.getChildViewHolder(view);
        if (childViewHolder != null) {
            RecyclerView.z zVar = this.w;
            if (zVar == null || childViewHolder != zVar) {
                j(childViewHolder, false);
                if (this.u.remove(childViewHolder.itemView)) {
                    this.G.c(this.L, childViewHolder);
                    return;
                }
                return;
            }
            x(null, 0);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.l
    public void onDraw(Canvas canvas, RecyclerView recyclerView, RecyclerView.w wVar) {
        float f2;
        float f3;
        this.S = -1;
        if (this.w != null) {
            o(this.v);
            float[] fArr = this.v;
            float f4 = fArr[0];
            f2 = fArr[1];
            f3 = f4;
        } else {
            f3 = 0.0f;
            f2 = 0.0f;
        }
        this.G.y(canvas, recyclerView, this.w, this.J, this.H, f3, f2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.l
    public void onDrawOver(Canvas canvas, RecyclerView recyclerView, RecyclerView.w wVar) {
        float f2;
        float f3;
        if (this.w != null) {
            o(this.v);
            float[] fArr = this.v;
            float f4 = fArr[0];
            f2 = fArr[1];
            f3 = f4;
        } else {
            f3 = 0.0f;
            f2 = 0.0f;
        }
        this.G.z(canvas, recyclerView, this.w, this.J, this.H, f3, f2);
    }

    /* access modifiers changed from: package-private */
    public boolean p() {
        int size = this.J.size();
        for (int i2 = 0; i2 < size; i2++) {
            if (!this.J.get(i2).S0) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public void r(RecyclerView.z zVar) {
        if (!this.L.isLayoutRequested() && this.H == 2) {
            float k2 = this.G.k(zVar);
            int i2 = (int) (this.D + this.B);
            int i3 = (int) (this.E + this.C);
            if (((float) Math.abs(i3 - zVar.itemView.getTop())) >= ((float) zVar.itemView.getHeight()) * k2 || ((float) Math.abs(i2 - zVar.itemView.getLeft())) >= ((float) zVar.itemView.getWidth()) * k2) {
                List<RecyclerView.z> m2 = m(zVar);
                if (m2.size() != 0) {
                    RecyclerView.z b2 = this.G.b(zVar, m2, i2, i3);
                    if (b2 == null) {
                        this.O.clear();
                        this.P.clear();
                        return;
                    }
                    int absoluteAdapterPosition = b2.getAbsoluteAdapterPosition();
                    int absoluteAdapterPosition2 = zVar.getAbsoluteAdapterPosition();
                    if (this.G.A(this.L, zVar, b2)) {
                        this.G.B(this.L, zVar, absoluteAdapterPosition2, b2, absoluteAdapterPosition, i2, i3);
                    }
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void s() {
        VelocityTracker velocityTracker = this.N;
        if (velocityTracker != null) {
            velocityTracker.recycle();
        }
        this.N = VelocityTracker.obtain();
    }

    /* access modifiers changed from: package-private */
    public void t(h hVar, int i2) {
        this.L.post(new d(hVar, i2));
    }

    /* access modifiers changed from: package-private */
    public void v(View view) {
        if (view == this.R) {
            this.R = null;
            if (this.Q != null) {
                this.L.setChildDrawingOrderCallback(null);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x00c1, code lost:
        if (r1 > 0) goto L_0x00c5;
     */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0084  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00c7  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x00e1  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x00fd  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x0100 A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x010c  */
    public boolean w() {
        int i2;
        int i3;
        int i4;
        int width;
        if (this.w == null) {
            this.X = Long.MIN_VALUE;
            return false;
        }
        long currentTimeMillis = System.currentTimeMillis();
        long j2 = this.X;
        long j3 = j2 == Long.MIN_VALUE ? 0 : currentTimeMillis - j2;
        RecyclerView.LayoutManager layoutManager = this.L.getLayoutManager();
        if (this.W == null) {
            this.W = new Rect();
        }
        layoutManager.calculateItemDecorationsForChild(this.w.itemView, this.W);
        if (layoutManager.canScrollHorizontally()) {
            int i5 = (int) (this.D + this.B);
            int paddingLeft = (i5 - this.W.left) - this.L.getPaddingLeft();
            float f2 = this.B;
            if (f2 < 0.0f && paddingLeft < 0) {
                i2 = paddingLeft;
                if (layoutManager.canScrollVertically()) {
                }
                i3 = 0;
                if (i2 != 0) {
                }
                if (i3 == 0) {
                }
                if (i4 == 0) {
                }
                if (this.X == Long.MIN_VALUE) {
                }
                this.L.scrollBy(i4, i3);
                return true;
            } else if (f2 > 0.0f && (width = ((i5 + this.w.itemView.getWidth()) + this.W.right) - (this.L.getWidth() - this.L.getPaddingRight())) > 0) {
                i2 = width;
                if (layoutManager.canScrollVertically()) {
                    int i6 = (int) (this.E + this.C);
                    int paddingTop = (i6 - this.W.top) - this.L.getPaddingTop();
                    float f3 = this.C;
                    if (f3 < 0.0f && paddingTop < 0) {
                        i3 = paddingTop;
                        if (i2 != 0) {
                            i2 = this.G.r(this.L, this.w.itemView.getWidth(), i2, this.L.getWidth(), j3);
                        }
                        if (i3 == 0) {
                            i4 = i2;
                            i3 = this.G.r(this.L, this.w.itemView.getHeight(), i3, this.L.getHeight(), j3);
                        } else {
                            i4 = i2;
                        }
                        if (i4 == 0 || i3 != 0) {
                            if (this.X == Long.MIN_VALUE) {
                                this.X = currentTimeMillis;
                            }
                            this.L.scrollBy(i4, i3);
                            return true;
                        }
                        this.X = Long.MIN_VALUE;
                        return false;
                    } else if (f3 > 0.0f) {
                        i3 = ((i6 + this.w.itemView.getHeight()) + this.W.bottom) - (this.L.getHeight() - this.L.getPaddingBottom());
                    }
                }
                i3 = 0;
                if (i2 != 0) {
                }
                if (i3 == 0) {
                }
                if (i4 == 0) {
                }
                if (this.X == Long.MIN_VALUE) {
                }
                this.L.scrollBy(i4, i3);
                return true;
            }
        }
        i2 = 0;
        if (layoutManager.canScrollVertically()) {
        }
        i3 = 0;
        if (i2 != 0) {
        }
        if (i3 == 0) {
        }
        if (i4 == 0) {
        }
        if (this.X == Long.MIN_VALUE) {
        }
        this.L.scrollBy(i4, i3);
        return true;
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x012b  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x0137  */
    public void x(@Nullable RecyclerView.z zVar, int i2) {
        boolean z2;
        ViewParent parent;
        int i3;
        float f2;
        float f3;
        if (zVar != this.w || i2 != this.H) {
            this.X = Long.MIN_VALUE;
            int i4 = this.H;
            j(zVar, true);
            this.H = i2;
            if (i2 == 2) {
                if (zVar != null) {
                    this.R = zVar.itemView;
                    d();
                } else {
                    throw new IllegalArgumentException("Must pass a ViewHolder when dragging");
                }
            }
            int i5 = (1 << ((i2 * 8) + 8)) - 1;
            RecyclerView.z zVar2 = this.w;
            if (zVar2 != null) {
                if (zVar2.itemView.getParent() != null) {
                    if (i4 == 2) {
                        i3 = 0;
                    } else {
                        i3 = D(zVar2);
                    }
                    u();
                    if (i3 == 1 || i3 == 2) {
                        f2 = Math.signum(this.C) * ((float) this.L.getHeight());
                        f3 = 0.0f;
                    } else {
                        if (i3 == 4 || i3 == 8 || i3 == 16 || i3 == 32) {
                            f3 = Math.signum(this.B) * ((float) this.L.getWidth());
                        } else {
                            f3 = 0.0f;
                        }
                        f2 = 0.0f;
                    }
                    int i6 = i4 == 2 ? 8 : i3 > 0 ? 2 : 4;
                    o(this.v);
                    float[] fArr = this.v;
                    float f4 = fArr[0];
                    float f5 = fArr[1];
                    c cVar = new c(zVar2, i6, i4, f4, f5, f3, f2, i3, zVar2);
                    cVar.b(this.G.g(this.L, i6, f3 - f4, f2 - f5));
                    this.J.add(cVar);
                    cVar.d();
                    z2 = true;
                } else {
                    v(zVar2.itemView);
                    this.G.c(this.L, zVar2);
                    z2 = false;
                }
                this.w = null;
            } else {
                z2 = false;
            }
            if (zVar != null) {
                this.I = (this.G.f(this.L, zVar) & i5) >> (this.H * 8);
                this.D = (float) zVar.itemView.getLeft();
                this.E = (float) zVar.itemView.getTop();
                this.w = zVar;
                if (i2 == 2) {
                    zVar.itemView.performHapticFeedback(0);
                    parent = this.L.getParent();
                    if (parent != null) {
                        parent.requestDisallowInterceptTouchEvent(this.w != null);
                    }
                    if (!z2) {
                        this.L.getLayoutManager().requestSimpleAnimationsInNextLayout();
                    }
                    this.G.C(this.w, this.H);
                    this.L.invalidate();
                }
            }
            parent = this.L.getParent();
            if (parent != null) {
            }
            if (!z2) {
            }
            this.G.C(this.w, this.H);
            this.L.invalidate();
        }
    }

    public void z(@NonNull RecyclerView.z zVar) {
        if (!this.G.p(this.L, zVar)) {
            Log.e(m, "Start drag has been called but dragging is not enabled");
        } else if (zVar.itemView.getParent() != this.L) {
            Log.e(m, "Start drag has been called with a view holder which is not a child of the RecyclerView which is controlled by this ItemTouchHelper.");
        } else {
            s();
            this.C = 0.0f;
            this.B = 0.0f;
            x(zVar, 2);
        }
    }
}
