package androidx.savedstate;

import android.annotation.SuppressLint;
import android.os.Bundle;
import androidx.annotation.NonNull;
import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.g;
import androidx.lifecycle.l;
import androidx.savedstate.SavedStateRegistry;
import java.lang.reflect.Constructor;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

/* access modifiers changed from: package-private */
@SuppressLint({"RestrictedApi"})
public final class Recreator implements g {

    /* renamed from: a  reason: collision with root package name */
    static final String f4071a = "classes_to_restore";

    /* renamed from: b  reason: collision with root package name */
    static final String f4072b = "androidx.savedstate.Restarter";
    private final c I0;

    static final class a implements SavedStateRegistry.b {

        /* renamed from: a  reason: collision with root package name */
        final Set<String> f4073a = new HashSet();

        a(SavedStateRegistry savedStateRegistry) {
            savedStateRegistry.e(Recreator.f4072b, this);
        }

        /* access modifiers changed from: package-private */
        public void a(String str) {
            this.f4073a.add(str);
        }

        @Override // androidx.savedstate.SavedStateRegistry.b
        @NonNull
        public Bundle saveState() {
            Bundle bundle = new Bundle();
            bundle.putStringArrayList(Recreator.f4071a, new ArrayList<>(this.f4073a));
            return bundle;
        }
    }

    Recreator(c cVar) {
        this.I0 = cVar;
    }

    private void a(String str) {
        Class cls;
        try {
            try {
                Constructor<? extends U> declaredConstructor = Class.forName(str, false, Recreator.class.getClassLoader()).asSubclass(SavedStateRegistry.a.class).getDeclaredConstructor(new Class[0]);
                declaredConstructor.setAccessible(true);
                try {
                    ((SavedStateRegistry.a) declaredConstructor.newInstance(new Object[0])).a(this.I0);
                } catch (Exception e2) {
                    throw new RuntimeException("Failed to instantiate " + str, e2);
                }
            } catch (NoSuchMethodException e3) {
                throw new IllegalStateException("Class" + cls.getSimpleName() + " must have default constructor in order to be automatically recreated", e3);
            }
        } catch (ClassNotFoundException e4) {
            throw new RuntimeException("Class " + str + " wasn't found", e4);
        }
    }

    @Override // androidx.lifecycle.i
    public void onStateChanged(l lVar, Lifecycle.Event event) {
        if (event == Lifecycle.Event.ON_CREATE) {
            lVar.getLifecycle().c(this);
            Bundle a2 = this.I0.getSavedStateRegistry().a(f4072b);
            if (a2 != null) {
                ArrayList<String> stringArrayList = a2.getStringArrayList(f4071a);
                if (stringArrayList != null) {
                    Iterator<String> it = stringArrayList.iterator();
                    while (it.hasNext()) {
                        a(it.next());
                    }
                    return;
                }
                throw new IllegalStateException("Bundle with restored state for the component \"androidx.savedstate.Restarter\" must contain list of strings by the key \"classes_to_restore\"");
            }
            return;
        }
        throw new AssertionError("Next event must be ON_CREATE");
    }
}
