package androidx.savedstate;

import android.annotation.SuppressLint;
import android.os.Bundle;
import androidx.annotation.MainThread;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.g;
import androidx.lifecycle.l;
import androidx.savedstate.Recreator;
import java.util.Map;

@SuppressLint({"RestrictedApi"})
public final class SavedStateRegistry {

    /* renamed from: a  reason: collision with root package name */
    private static final String f4074a = "androidx.lifecycle.BundlableSavedStateRegistry.key";

    /* renamed from: b  reason: collision with root package name */
    private b.a.a.c.b<String, b> f4075b = new b.a.a.c.b<>();
    @Nullable

    /* renamed from: c  reason: collision with root package name */
    private Bundle f4076c;

    /* renamed from: d  reason: collision with root package name */
    private boolean f4077d;

    /* renamed from: e  reason: collision with root package name */
    private Recreator.a f4078e;
    boolean f = true;

    public interface a {
        void a(@NonNull c cVar);
    }

    public interface b {
        @NonNull
        Bundle saveState();
    }

    SavedStateRegistry() {
    }

    @Nullable
    @MainThread
    public Bundle a(@NonNull String str) {
        if (this.f4077d) {
            Bundle bundle = this.f4076c;
            if (bundle == null) {
                return null;
            }
            Bundle bundle2 = bundle.getBundle(str);
            this.f4076c.remove(str);
            if (this.f4076c.isEmpty()) {
                this.f4076c = null;
            }
            return bundle2;
        }
        throw new IllegalStateException("You can consumeRestoredStateForKey only after super.onCreate of corresponding component");
    }

    @MainThread
    public boolean b() {
        return this.f4077d;
    }

    /* access modifiers changed from: package-private */
    @MainThread
    public void c(@NonNull Lifecycle lifecycle, @Nullable Bundle bundle) {
        if (!this.f4077d) {
            if (bundle != null) {
                this.f4076c = bundle.getBundle(f4074a);
            }
            lifecycle.a(new g() {
                /* class androidx.savedstate.SavedStateRegistry.AnonymousClass1 */

                @Override // androidx.lifecycle.i
                public void onStateChanged(l lVar, Lifecycle.Event event) {
                    if (event == Lifecycle.Event.ON_START) {
                        SavedStateRegistry.this.f = true;
                    } else if (event == Lifecycle.Event.ON_STOP) {
                        SavedStateRegistry.this.f = false;
                    }
                }
            });
            this.f4077d = true;
            return;
        }
        throw new IllegalStateException("SavedStateRegistry was already restored.");
    }

    /* access modifiers changed from: package-private */
    @MainThread
    public void d(@NonNull Bundle bundle) {
        Bundle bundle2 = new Bundle();
        Bundle bundle3 = this.f4076c;
        if (bundle3 != null) {
            bundle2.putAll(bundle3);
        }
        b.a.a.c.b<K, V>.d f2 = this.f4075b.f();
        while (f2.hasNext()) {
            Map.Entry entry = (Map.Entry) f2.next();
            bundle2.putBundle((String) entry.getKey(), ((b) entry.getValue()).saveState());
        }
        bundle.putBundle(f4074a, bundle2);
    }

    @MainThread
    public void e(@NonNull String str, @NonNull b bVar) {
        if (this.f4075b.j(str, bVar) != null) {
            throw new IllegalArgumentException("SavedStateProvider with the given key is already registered");
        }
    }

    @MainThread
    public void f(@NonNull Class<? extends a> cls) {
        if (this.f) {
            if (this.f4078e == null) {
                this.f4078e = new Recreator.a(this);
            }
            try {
                cls.getDeclaredConstructor(new Class[0]);
                this.f4078e.a(cls.getName());
            } catch (NoSuchMethodException e2) {
                throw new IllegalArgumentException("Class" + cls.getSimpleName() + " must have default constructor in order to be automatically recreated", e2);
            }
        } else {
            throw new IllegalStateException("Can not perform this action after onSaveInstanceState");
        }
    }

    @MainThread
    public void g(@NonNull String str) {
        this.f4075b.k(str);
    }
}
