package androidx.swiperefreshlayout.widget;

import android.animation.Animator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.Drawable;
import android.view.animation.Interpolator;
import android.view.animation.LinearInterpolator;
import androidx.annotation.NonNull;
import androidx.annotation.RestrictTo;
import androidx.core.util.m;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public class CircularProgressDrawable extends Drawable implements Animatable {
    public static final int I0 = 0;
    private static final float J0 = 11.0f;
    private static final float K0 = 3.0f;
    private static final int L0 = 12;
    private static final int M0 = 6;
    public static final int N0 = 1;
    private static final float O0 = 7.5f;
    private static final float P0 = 2.5f;
    private static final int Q0 = 10;
    private static final int R0 = 5;
    private static final int[] S0 = {-16777216};
    private static final float T0 = 0.75f;
    private static final float U0 = 0.5f;
    private static final int V0 = 1332;
    private static final float W0 = 216.0f;
    private static final float X0 = 0.8f;
    private static final float Y0 = 0.01f;
    private static final float Z0 = 0.20999998f;

    /* renamed from: a  reason: collision with root package name */
    private static final Interpolator f4094a = new LinearInterpolator();

    /* renamed from: b  reason: collision with root package name */
    private static final Interpolator f4095b = new b.g.b.a.b();
    private final c a1;
    private float b1;
    private Resources c1;
    private Animator d1;
    float e1;
    boolean f1;

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface ProgressDrawableSize {
    }

    /* access modifiers changed from: package-private */
    public class a implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ c f4096a;

        a(c cVar) {
            this.f4096a = cVar;
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            CircularProgressDrawable.this.H(floatValue, this.f4096a);
            CircularProgressDrawable.this.e(floatValue, this.f4096a, false);
            CircularProgressDrawable.this.invalidateSelf();
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements Animator.AnimatorListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ c f4098a;

        b(c cVar) {
            this.f4098a = cVar;
        }

        public void onAnimationCancel(Animator animator) {
        }

        public void onAnimationEnd(Animator animator) {
        }

        public void onAnimationRepeat(Animator animator) {
            CircularProgressDrawable.this.e(1.0f, this.f4098a, true);
            this.f4098a.M();
            this.f4098a.v();
            CircularProgressDrawable circularProgressDrawable = CircularProgressDrawable.this;
            if (circularProgressDrawable.f1) {
                circularProgressDrawable.f1 = false;
                animator.cancel();
                animator.setDuration(1332);
                animator.start();
                this.f4098a.I(false);
                return;
            }
            circularProgressDrawable.e1 += 1.0f;
        }

        public void onAnimationStart(Animator animator) {
            CircularProgressDrawable.this.e1 = 0.0f;
        }
    }

    /* access modifiers changed from: private */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        final RectF f4100a = new RectF();

        /* renamed from: b  reason: collision with root package name */
        final Paint f4101b;

        /* renamed from: c  reason: collision with root package name */
        final Paint f4102c;

        /* renamed from: d  reason: collision with root package name */
        final Paint f4103d;

        /* renamed from: e  reason: collision with root package name */
        float f4104e;
        float f;
        float g;
        float h;
        int[] i;
        int j;
        float k;
        float l;
        float m;
        boolean n;
        Path o;
        float p;
        float q;
        int r;
        int s;
        int t;
        int u;

        c() {
            Paint paint = new Paint();
            this.f4101b = paint;
            Paint paint2 = new Paint();
            this.f4102c = paint2;
            Paint paint3 = new Paint();
            this.f4103d = paint3;
            this.f4104e = 0.0f;
            this.f = 0.0f;
            this.g = 0.0f;
            this.h = 5.0f;
            this.p = 1.0f;
            this.t = 255;
            paint.setStrokeCap(Paint.Cap.SQUARE);
            paint.setAntiAlias(true);
            paint.setStyle(Paint.Style.STROKE);
            paint2.setStyle(Paint.Style.FILL);
            paint2.setAntiAlias(true);
            paint3.setColor(0);
        }

        /* access modifiers changed from: package-private */
        public void A(int i2) {
            this.f4103d.setColor(i2);
        }

        /* access modifiers changed from: package-private */
        public void B(float f2) {
            this.q = f2;
        }

        /* access modifiers changed from: package-private */
        public void C(int i2) {
            this.u = i2;
        }

        /* access modifiers changed from: package-private */
        public void D(ColorFilter colorFilter) {
            this.f4101b.setColorFilter(colorFilter);
        }

        /* access modifiers changed from: package-private */
        public void E(int i2) {
            this.j = i2;
            this.u = this.i[i2];
        }

        /* access modifiers changed from: package-private */
        public void F(@NonNull int[] iArr) {
            this.i = iArr;
            E(0);
        }

        /* access modifiers changed from: package-private */
        public void G(float f2) {
            this.f = f2;
        }

        /* access modifiers changed from: package-private */
        public void H(float f2) {
            this.g = f2;
        }

        /* access modifiers changed from: package-private */
        public void I(boolean z) {
            if (this.n != z) {
                this.n = z;
            }
        }

        /* access modifiers changed from: package-private */
        public void J(float f2) {
            this.f4104e = f2;
        }

        /* access modifiers changed from: package-private */
        public void K(Paint.Cap cap) {
            this.f4101b.setStrokeCap(cap);
        }

        /* access modifiers changed from: package-private */
        public void L(float f2) {
            this.h = f2;
            this.f4101b.setStrokeWidth(f2);
        }

        /* access modifiers changed from: package-private */
        public void M() {
            this.k = this.f4104e;
            this.l = this.f;
            this.m = this.g;
        }

        /* access modifiers changed from: package-private */
        public void a(Canvas canvas, Rect rect) {
            RectF rectF = this.f4100a;
            float f2 = this.q;
            float f3 = (this.h / 2.0f) + f2;
            if (f2 <= 0.0f) {
                f3 = (((float) Math.min(rect.width(), rect.height())) / 2.0f) - Math.max((((float) this.r) * this.p) / 2.0f, this.h / 2.0f);
            }
            rectF.set(((float) rect.centerX()) - f3, ((float) rect.centerY()) - f3, ((float) rect.centerX()) + f3, ((float) rect.centerY()) + f3);
            float f4 = this.f4104e;
            float f5 = this.g;
            float f6 = (f4 + f5) * 360.0f;
            float f7 = ((this.f + f5) * 360.0f) - f6;
            this.f4101b.setColor(this.u);
            this.f4101b.setAlpha(this.t);
            float f8 = this.h / 2.0f;
            rectF.inset(f8, f8);
            canvas.drawCircle(rectF.centerX(), rectF.centerY(), rectF.width() / 2.0f, this.f4103d);
            float f9 = -f8;
            rectF.inset(f9, f9);
            canvas.drawArc(rectF, f6, f7, false, this.f4101b);
            b(canvas, f6, f7, rectF);
        }

        /* access modifiers changed from: package-private */
        public void b(Canvas canvas, float f2, float f3, RectF rectF) {
            if (this.n) {
                Path path = this.o;
                if (path == null) {
                    Path path2 = new Path();
                    this.o = path2;
                    path2.setFillType(Path.FillType.EVEN_ODD);
                } else {
                    path.reset();
                }
                this.o.moveTo(0.0f, 0.0f);
                this.o.lineTo(((float) this.r) * this.p, 0.0f);
                Path path3 = this.o;
                float f4 = this.p;
                path3.lineTo((((float) this.r) * f4) / 2.0f, ((float) this.s) * f4);
                this.o.offset(((Math.min(rectF.width(), rectF.height()) / 2.0f) + rectF.centerX()) - ((((float) this.r) * this.p) / 2.0f), rectF.centerY() + (this.h / 2.0f));
                this.o.close();
                this.f4102c.setColor(this.u);
                this.f4102c.setAlpha(this.t);
                canvas.save();
                canvas.rotate(f2 + f3, rectF.centerX(), rectF.centerY());
                canvas.drawPath(this.o, this.f4102c);
                canvas.restore();
            }
        }

        /* access modifiers changed from: package-private */
        public int c() {
            return this.t;
        }

        /* access modifiers changed from: package-private */
        public float d() {
            return (float) this.s;
        }

        /* access modifiers changed from: package-private */
        public float e() {
            return this.p;
        }

        /* access modifiers changed from: package-private */
        public float f() {
            return (float) this.r;
        }

        /* access modifiers changed from: package-private */
        public int g() {
            return this.f4103d.getColor();
        }

        /* access modifiers changed from: package-private */
        public float h() {
            return this.q;
        }

        /* access modifiers changed from: package-private */
        public int[] i() {
            return this.i;
        }

        /* access modifiers changed from: package-private */
        public float j() {
            return this.f;
        }

        /* access modifiers changed from: package-private */
        public int k() {
            return this.i[l()];
        }

        /* access modifiers changed from: package-private */
        public int l() {
            return (this.j + 1) % this.i.length;
        }

        /* access modifiers changed from: package-private */
        public float m() {
            return this.g;
        }

        /* access modifiers changed from: package-private */
        public boolean n() {
            return this.n;
        }

        /* access modifiers changed from: package-private */
        public float o() {
            return this.f4104e;
        }

        /* access modifiers changed from: package-private */
        public int p() {
            return this.i[this.j];
        }

        /* access modifiers changed from: package-private */
        public float q() {
            return this.l;
        }

        /* access modifiers changed from: package-private */
        public float r() {
            return this.m;
        }

        /* access modifiers changed from: package-private */
        public float s() {
            return this.k;
        }

        /* access modifiers changed from: package-private */
        public Paint.Cap t() {
            return this.f4101b.getStrokeCap();
        }

        /* access modifiers changed from: package-private */
        public float u() {
            return this.h;
        }

        /* access modifiers changed from: package-private */
        public void v() {
            E(l());
        }

        /* access modifiers changed from: package-private */
        public void w() {
            this.k = 0.0f;
            this.l = 0.0f;
            this.m = 0.0f;
            J(0.0f);
            G(0.0f);
            H(0.0f);
        }

        /* access modifiers changed from: package-private */
        public void x(int i2) {
            this.t = i2;
        }

        /* access modifiers changed from: package-private */
        public void y(float f2, float f3) {
            this.r = (int) f2;
            this.s = (int) f3;
        }

        /* access modifiers changed from: package-private */
        public void z(float f2) {
            if (f2 != this.p) {
                this.p = f2;
            }
        }
    }

    public CircularProgressDrawable(@NonNull Context context) {
        this.c1 = ((Context) m.g(context)).getResources();
        c cVar = new c();
        this.a1 = cVar;
        cVar.F(S0);
        E(P0);
        G();
    }

    private void A(float f) {
        this.b1 = f;
    }

    private void B(float f, float f2, float f3, float f4) {
        c cVar = this.a1;
        float f5 = this.c1.getDisplayMetrics().density;
        cVar.L(f2 * f5);
        cVar.B(f * f5);
        cVar.E(0);
        cVar.y(f3 * f5, f4 * f5);
    }

    private void G() {
        c cVar = this.a1;
        ValueAnimator ofFloat = ValueAnimator.ofFloat(0.0f, 1.0f);
        ofFloat.addUpdateListener(new a(cVar));
        ofFloat.setRepeatCount(-1);
        ofFloat.setRepeatMode(1);
        ofFloat.setInterpolator(f4094a);
        ofFloat.addListener(new b(cVar));
        this.d1 = ofFloat;
    }

    private void a(float f, c cVar) {
        H(f, cVar);
        cVar.J(cVar.s() + (((cVar.q() - Y0) - cVar.s()) * f));
        cVar.G(cVar.q());
        cVar.H(cVar.r() + ((((float) (Math.floor((double) (cVar.r() / X0)) + 1.0d)) - cVar.r()) * f));
    }

    private int f(float f, int i, int i2) {
        int i3 = (i >> 24) & 255;
        int i4 = (i >> 16) & 255;
        int i5 = (i >> 8) & 255;
        int i6 = i & 255;
        return ((i3 + ((int) (((float) (((i2 >> 24) & 255) - i3)) * f))) << 24) | ((i4 + ((int) (((float) (((i2 >> 16) & 255) - i4)) * f))) << 16) | ((i5 + ((int) (((float) (((i2 >> 8) & 255) - i5)) * f))) << 8) | (i6 + ((int) (f * ((float) ((i2 & 255) - i6)))));
    }

    private float p() {
        return this.b1;
    }

    public void C(float f, float f2) {
        this.a1.J(f);
        this.a1.G(f2);
        invalidateSelf();
    }

    public void D(@NonNull Paint.Cap cap) {
        this.a1.K(cap);
        invalidateSelf();
    }

    public void E(float f) {
        this.a1.L(f);
        invalidateSelf();
    }

    public void F(int i) {
        if (i == 0) {
            B(J0, 3.0f, 12.0f, 6.0f);
        } else {
            B(O0, P0, 10.0f, 5.0f);
        }
        invalidateSelf();
    }

    /* access modifiers changed from: package-private */
    public void H(float f, c cVar) {
        if (f > 0.75f) {
            cVar.C(f((f - 0.75f) / 0.25f, cVar.p(), cVar.k()));
        } else {
            cVar.C(cVar.p());
        }
    }

    public void draw(Canvas canvas) {
        Rect bounds = getBounds();
        canvas.save();
        canvas.rotate(this.b1, bounds.exactCenterX(), bounds.exactCenterY());
        this.a1.a(canvas, bounds);
        canvas.restore();
    }

    /* access modifiers changed from: package-private */
    public void e(float f, c cVar, boolean z) {
        float f2;
        float f3;
        if (this.f1) {
            a(f, cVar);
        } else if (f != 1.0f || z) {
            float r = cVar.r();
            if (f < 0.5f) {
                f2 = cVar.s();
                f3 = (f4095b.getInterpolation(f / 0.5f) * 0.79f) + Y0 + f2;
            } else {
                float s = cVar.s() + 0.79f;
                f2 = s - (((1.0f - f4095b.getInterpolation((f - 0.5f) / 0.5f)) * 0.79f) + Y0);
                f3 = s;
            }
            float f4 = (f + this.e1) * W0;
            cVar.J(f2);
            cVar.G(f3);
            cVar.H(r + (Z0 * f));
            A(f4);
        }
    }

    public boolean g() {
        return this.a1.n();
    }

    public int getAlpha() {
        return this.a1.c();
    }

    public int getOpacity() {
        return -3;
    }

    public float h() {
        return this.a1.d();
    }

    public float i() {
        return this.a1.e();
    }

    public boolean isRunning() {
        return this.d1.isRunning();
    }

    public float j() {
        return this.a1.f();
    }

    public int k() {
        return this.a1.g();
    }

    public float l() {
        return this.a1.h();
    }

    @NonNull
    public int[] m() {
        return this.a1.i();
    }

    public float n() {
        return this.a1.j();
    }

    public float o() {
        return this.a1.m();
    }

    public float q() {
        return this.a1.o();
    }

    @NonNull
    public Paint.Cap r() {
        return this.a1.t();
    }

    public float s() {
        return this.a1.u();
    }

    public void setAlpha(int i) {
        this.a1.x(i);
        invalidateSelf();
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.a1.D(colorFilter);
        invalidateSelf();
    }

    public void start() {
        this.d1.cancel();
        this.a1.M();
        if (this.a1.j() != this.a1.o()) {
            this.f1 = true;
            this.d1.setDuration(666);
            this.d1.start();
            return;
        }
        this.a1.E(0);
        this.a1.w();
        this.d1.setDuration(1332);
        this.d1.start();
    }

    public void stop() {
        this.d1.cancel();
        A(0.0f);
        this.a1.I(false);
        this.a1.E(0);
        this.a1.w();
        invalidateSelf();
    }

    public void t(float f, float f2) {
        this.a1.y(f, f2);
        invalidateSelf();
    }

    public void u(boolean z) {
        this.a1.I(z);
        invalidateSelf();
    }

    public void v(float f) {
        this.a1.z(f);
        invalidateSelf();
    }

    public void w(int i) {
        this.a1.A(i);
        invalidateSelf();
    }

    public void x(float f) {
        this.a1.B(f);
        invalidateSelf();
    }

    public void y(@NonNull int... iArr) {
        this.a1.F(iArr);
        this.a1.E(0);
        invalidateSelf();
    }

    public void z(float f) {
        this.a1.H(f);
        invalidateSelf();
    }
}
