package androidx.swiperefreshlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.os.Build;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Transformation;
import android.widget.AbsListView;
import android.widget.ListView;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.VisibleForTesting;
import androidx.core.view.NestedScrollingChild;
import androidx.core.view.NestedScrollingChildHelper;
import androidx.core.view.NestedScrollingParent;
import androidx.core.view.NestedScrollingParentHelper;
import androidx.core.view.ViewCompat;
import androidx.core.widget.m;

public class SwipeRefreshLayout extends ViewGroup implements NestedScrollingParent, NestedScrollingChild {
    public static final int I0 = -1;
    @VisibleForTesting
    static final int J0 = 40;
    @VisibleForTesting
    static final int K0 = 56;
    private static final String L0 = SwipeRefreshLayout.class.getSimpleName();
    private static final int M0 = 255;
    private static final int N0 = 76;
    private static final float O0 = 2.0f;
    private static final int P0 = -1;
    private static final float Q0 = 0.5f;
    private static final float R0 = 0.8f;
    private static final int S0 = 150;
    private static final int T0 = 300;
    private static final int U0 = 200;
    private static final int V0 = 200;
    private static final int W0 = -328966;
    private static final int X0 = 64;
    private static final int[] Y0 = {16842766};

    /* renamed from: a  reason: collision with root package name */
    public static final int f4105a = 0;

    /* renamed from: b  reason: collision with root package name */
    public static final int f4106b = 1;
    CircularProgressDrawable A1;
    private Animation B1;
    private Animation C1;
    private Animation D1;
    private Animation E1;
    private Animation F1;
    boolean G1;
    private int H1;
    boolean I1;
    private i J1;
    private Animation.AnimationListener K1;
    private final Animation L1;
    private final Animation M1;
    private View Z0;
    j a1;
    boolean b1;
    private int c1;
    private float d1;
    private float e1;
    private final NestedScrollingParentHelper f1;
    private final NestedScrollingChildHelper g1;
    private final int[] h1;
    private final int[] i1;
    private boolean j1;
    private int k1;
    int l1;
    private float m1;
    private float n1;
    private boolean o1;
    private int p1;
    boolean q1;
    private boolean r1;
    private final DecelerateInterpolator s1;
    a t1;
    private int u1;
    protected int v1;
    float w1;
    protected int x1;
    int y1;
    int z1;

    class a implements Animation.AnimationListener {
        a() {
        }

        public void onAnimationEnd(Animation animation) {
            j jVar;
            SwipeRefreshLayout swipeRefreshLayout = SwipeRefreshLayout.this;
            if (swipeRefreshLayout.b1) {
                swipeRefreshLayout.A1.setAlpha(255);
                SwipeRefreshLayout.this.A1.start();
                SwipeRefreshLayout swipeRefreshLayout2 = SwipeRefreshLayout.this;
                if (swipeRefreshLayout2.G1 && (jVar = swipeRefreshLayout2.a1) != null) {
                    jVar.a();
                }
                SwipeRefreshLayout swipeRefreshLayout3 = SwipeRefreshLayout.this;
                swipeRefreshLayout3.l1 = swipeRefreshLayout3.t1.getTop();
                return;
            }
            swipeRefreshLayout.l();
        }

        public void onAnimationRepeat(Animation animation) {
        }

        public void onAnimationStart(Animation animation) {
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends Animation {
        b() {
        }

        public void applyTransformation(float f, Transformation transformation) {
            SwipeRefreshLayout.this.setAnimationProgress(f);
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends Animation {
        c() {
        }

        public void applyTransformation(float f, Transformation transformation) {
            SwipeRefreshLayout.this.setAnimationProgress(1.0f - f);
        }
    }

    /* access modifiers changed from: package-private */
    public class d extends Animation {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f4110a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f4111b;

        d(int i, int i2) {
            this.f4110a = i;
            this.f4111b = i2;
        }

        public void applyTransformation(float f, Transformation transformation) {
            CircularProgressDrawable circularProgressDrawable = SwipeRefreshLayout.this.A1;
            int i = this.f4110a;
            circularProgressDrawable.setAlpha((int) (((float) i) + (((float) (this.f4111b - i)) * f)));
        }
    }

    /* access modifiers changed from: package-private */
    public class e implements Animation.AnimationListener {
        e() {
        }

        public void onAnimationEnd(Animation animation) {
            SwipeRefreshLayout swipeRefreshLayout = SwipeRefreshLayout.this;
            if (!swipeRefreshLayout.q1) {
                swipeRefreshLayout.t(null);
            }
        }

        public void onAnimationRepeat(Animation animation) {
        }

        public void onAnimationStart(Animation animation) {
        }
    }

    class f extends Animation {
        f() {
        }

        public void applyTransformation(float f, Transformation transformation) {
            int i;
            SwipeRefreshLayout swipeRefreshLayout = SwipeRefreshLayout.this;
            if (!swipeRefreshLayout.I1) {
                i = swipeRefreshLayout.y1 - Math.abs(swipeRefreshLayout.x1);
            } else {
                i = swipeRefreshLayout.y1;
            }
            SwipeRefreshLayout swipeRefreshLayout2 = SwipeRefreshLayout.this;
            int i2 = swipeRefreshLayout2.v1;
            SwipeRefreshLayout.this.setTargetOffsetTopAndBottom((i2 + ((int) (((float) (i - i2)) * f))) - swipeRefreshLayout2.t1.getTop());
            SwipeRefreshLayout.this.A1.v(1.0f - f);
        }
    }

    class g extends Animation {
        g() {
        }

        public void applyTransformation(float f, Transformation transformation) {
            SwipeRefreshLayout.this.j(f);
        }
    }

    /* access modifiers changed from: package-private */
    public class h extends Animation {
        h() {
        }

        public void applyTransformation(float f, Transformation transformation) {
            SwipeRefreshLayout swipeRefreshLayout = SwipeRefreshLayout.this;
            float f2 = swipeRefreshLayout.w1;
            swipeRefreshLayout.setAnimationProgress(f2 + ((-f2) * f));
            SwipeRefreshLayout.this.j(f);
        }
    }

    public interface i {
        boolean a(@NonNull SwipeRefreshLayout swipeRefreshLayout, @Nullable View view);
    }

    public interface j {
        void a();
    }

    public SwipeRefreshLayout(@NonNull Context context) {
        this(context, null);
    }

    private void a(int i2, Animation.AnimationListener animationListener) {
        this.v1 = i2;
        this.L1.reset();
        this.L1.setDuration(200);
        this.L1.setInterpolator(this.s1);
        if (animationListener != null) {
            this.t1.b(animationListener);
        }
        this.t1.clearAnimation();
        this.t1.startAnimation(this.L1);
    }

    private void b(int i2, Animation.AnimationListener animationListener) {
        if (this.q1) {
            u(i2, animationListener);
            return;
        }
        this.v1 = i2;
        this.M1.reset();
        this.M1.setDuration(200);
        this.M1.setInterpolator(this.s1);
        if (animationListener != null) {
            this.t1.b(animationListener);
        }
        this.t1.clearAnimation();
        this.t1.startAnimation(this.M1);
    }

    private void d() {
        this.t1 = new a(getContext(), W0);
        CircularProgressDrawable circularProgressDrawable = new CircularProgressDrawable(getContext());
        this.A1 = circularProgressDrawable;
        circularProgressDrawable.F(1);
        this.t1.setImageDrawable(this.A1);
        this.t1.setVisibility(8);
        addView(this.t1);
    }

    private void e() {
        if (this.Z0 == null) {
            for (int i2 = 0; i2 < getChildCount(); i2++) {
                View childAt = getChildAt(i2);
                if (!childAt.equals(this.t1)) {
                    this.Z0 = childAt;
                    return;
                }
            }
        }
    }

    private void f(float f2) {
        if (f2 > this.d1) {
            o(true, true);
            return;
        }
        this.b1 = false;
        this.A1.C(0.0f, 0.0f);
        e eVar = null;
        if (!this.q1) {
            eVar = new e();
        }
        b(this.l1, eVar);
        this.A1.u(false);
    }

    private boolean g(Animation animation) {
        return animation != null && animation.hasStarted() && !animation.hasEnded();
    }

    private void i(float f2) {
        this.A1.u(true);
        float min = Math.min(1.0f, Math.abs(f2 / this.d1));
        float max = (((float) Math.max(((double) min) - 0.4d, 0.0d)) * 5.0f) / 3.0f;
        float abs = Math.abs(f2) - this.d1;
        int i2 = this.z1;
        if (i2 <= 0) {
            i2 = this.I1 ? this.y1 - this.x1 : this.y1;
        }
        float f3 = (float) i2;
        double max2 = (double) (Math.max(0.0f, Math.min(abs, f3 * O0) / f3) / 4.0f);
        float pow = ((float) (max2 - Math.pow(max2, 2.0d))) * O0;
        int i3 = this.x1 + ((int) ((f3 * min) + (f3 * pow * O0)));
        if (this.t1.getVisibility() != 0) {
            this.t1.setVisibility(0);
        }
        if (!this.q1) {
            this.t1.setScaleX(1.0f);
            this.t1.setScaleY(1.0f);
        }
        if (this.q1) {
            setAnimationProgress(Math.min(1.0f, f2 / this.d1));
        }
        if (f2 < this.d1) {
            if (this.A1.getAlpha() > 76 && !g(this.D1)) {
                s();
            }
        } else if (this.A1.getAlpha() < 255 && !g(this.E1)) {
            r();
        }
        this.A1.C(0.0f, Math.min((float) R0, max * R0));
        this.A1.v(Math.min(1.0f, max));
        this.A1.z((((max * 0.4f) - 16.0f) + (pow * O0)) * 0.5f);
        setTargetOffsetTopAndBottom(i3 - this.l1);
    }

    private void k(MotionEvent motionEvent) {
        int actionIndex = motionEvent.getActionIndex();
        if (motionEvent.getPointerId(actionIndex) == this.p1) {
            this.p1 = motionEvent.getPointerId(actionIndex == 0 ? 1 : 0);
        }
    }

    private void o(boolean z, boolean z2) {
        if (this.b1 != z) {
            this.G1 = z2;
            e();
            this.b1 = z;
            if (z) {
                a(this.l1, this.K1);
            } else {
                t(this.K1);
            }
        }
    }

    private Animation p(int i2, int i3) {
        d dVar = new d(i2, i3);
        dVar.setDuration(300);
        this.t1.b(null);
        this.t1.clearAnimation();
        this.t1.startAnimation(dVar);
        return dVar;
    }

    private void q(float f2) {
        float f3 = this.n1;
        int i2 = this.c1;
        if (f2 - f3 > ((float) i2) && !this.o1) {
            this.m1 = f3 + ((float) i2);
            this.o1 = true;
            this.A1.setAlpha(76);
        }
    }

    private void r() {
        this.E1 = p(this.A1.getAlpha(), 255);
    }

    private void s() {
        this.D1 = p(this.A1.getAlpha(), 76);
    }

    private void setColorViewAlpha(int i2) {
        this.t1.getBackground().setAlpha(i2);
        this.A1.setAlpha(i2);
    }

    private void u(int i2, Animation.AnimationListener animationListener) {
        this.v1 = i2;
        this.w1 = this.t1.getScaleX();
        h hVar = new h();
        this.F1 = hVar;
        hVar.setDuration(150);
        if (animationListener != null) {
            this.t1.b(animationListener);
        }
        this.t1.clearAnimation();
        this.t1.startAnimation(this.F1);
    }

    private void v(Animation.AnimationListener animationListener) {
        this.t1.setVisibility(0);
        this.A1.setAlpha(255);
        b bVar = new b();
        this.B1 = bVar;
        bVar.setDuration((long) this.k1);
        if (animationListener != null) {
            this.t1.b(animationListener);
        }
        this.t1.clearAnimation();
        this.t1.startAnimation(this.B1);
    }

    public boolean c() {
        i iVar = this.J1;
        if (iVar != null) {
            return iVar.a(this, this.Z0);
        }
        View view = this.Z0;
        if (view instanceof ListView) {
            return m.a((ListView) view, -1);
        }
        return view.canScrollVertically(-1);
    }

    @Override // androidx.core.view.NestedScrollingChild
    public boolean dispatchNestedFling(float f2, float f3, boolean z) {
        return this.g1.dispatchNestedFling(f2, f3, z);
    }

    @Override // androidx.core.view.NestedScrollingChild
    public boolean dispatchNestedPreFling(float f2, float f3) {
        return this.g1.dispatchNestedPreFling(f2, f3);
    }

    @Override // androidx.core.view.NestedScrollingChild
    public boolean dispatchNestedPreScroll(int i2, int i3, int[] iArr, int[] iArr2) {
        return this.g1.dispatchNestedPreScroll(i2, i3, iArr, iArr2);
    }

    @Override // androidx.core.view.NestedScrollingChild
    public boolean dispatchNestedScroll(int i2, int i3, int i4, int i5, int[] iArr) {
        return this.g1.dispatchNestedScroll(i2, i3, i4, i5, iArr);
    }

    /* access modifiers changed from: protected */
    public int getChildDrawingOrder(int i2, int i3) {
        int i4 = this.u1;
        if (i4 < 0) {
            return i3;
        }
        if (i3 == i2 - 1) {
            return i4;
        }
        return i3 >= i4 ? i3 + 1 : i3;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public int getNestedScrollAxes() {
        return this.f1.getNestedScrollAxes();
    }

    public int getProgressCircleDiameter() {
        return this.H1;
    }

    public int getProgressViewEndOffset() {
        return this.y1;
    }

    public int getProgressViewStartOffset() {
        return this.x1;
    }

    public boolean h() {
        return this.b1;
    }

    @Override // androidx.core.view.NestedScrollingChild
    public boolean hasNestedScrollingParent() {
        return this.g1.hasNestedScrollingParent();
    }

    @Override // androidx.core.view.NestedScrollingChild
    public boolean isNestedScrollingEnabled() {
        return this.g1.isNestedScrollingEnabled();
    }

    /* access modifiers changed from: package-private */
    public void j(float f2) {
        int i2 = this.v1;
        setTargetOffsetTopAndBottom((i2 + ((int) (((float) (this.x1 - i2)) * f2))) - this.t1.getTop());
    }

    /* access modifiers changed from: package-private */
    public void l() {
        this.t1.clearAnimation();
        this.A1.stop();
        this.t1.setVisibility(8);
        setColorViewAlpha(255);
        if (this.q1) {
            setAnimationProgress(0.0f);
        } else {
            setTargetOffsetTopAndBottom(this.x1 - this.l1);
        }
        this.l1 = this.t1.getTop();
    }

    public void m(boolean z, int i2) {
        this.y1 = i2;
        this.q1 = z;
        this.t1.invalidate();
    }

    public void n(boolean z, int i2, int i3) {
        this.q1 = z;
        this.x1 = i2;
        this.y1 = i3;
        this.I1 = true;
        l();
        this.b1 = false;
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        l();
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        e();
        int actionMasked = motionEvent.getActionMasked();
        if (this.r1 && actionMasked == 0) {
            this.r1 = false;
        }
        if (!isEnabled() || this.r1 || c() || this.b1 || this.j1) {
            return false;
        }
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked == 2) {
                    int i2 = this.p1;
                    if (i2 == -1) {
                        Log.e(L0, "Got ACTION_MOVE event but don't have an active pointer id.");
                        return false;
                    }
                    int findPointerIndex = motionEvent.findPointerIndex(i2);
                    if (findPointerIndex < 0) {
                        return false;
                    }
                    q(motionEvent.getY(findPointerIndex));
                } else if (actionMasked != 3) {
                    if (actionMasked == 6) {
                        k(motionEvent);
                    }
                }
            }
            this.o1 = false;
            this.p1 = -1;
        } else {
            setTargetOffsetTopAndBottom(this.x1 - this.t1.getTop());
            int pointerId = motionEvent.getPointerId(0);
            this.p1 = pointerId;
            this.o1 = false;
            int findPointerIndex2 = motionEvent.findPointerIndex(pointerId);
            if (findPointerIndex2 < 0) {
                return false;
            }
            this.n1 = motionEvent.getY(findPointerIndex2);
        }
        return this.o1;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        int measuredWidth = getMeasuredWidth();
        int measuredHeight = getMeasuredHeight();
        if (getChildCount() != 0) {
            if (this.Z0 == null) {
                e();
            }
            View view = this.Z0;
            if (view != null) {
                int paddingLeft = getPaddingLeft();
                int paddingTop = getPaddingTop();
                view.layout(paddingLeft, paddingTop, ((measuredWidth - getPaddingLeft()) - getPaddingRight()) + paddingLeft, ((measuredHeight - getPaddingTop()) - getPaddingBottom()) + paddingTop);
                int measuredWidth2 = this.t1.getMeasuredWidth();
                int measuredHeight2 = this.t1.getMeasuredHeight();
                int i6 = measuredWidth / 2;
                int i7 = measuredWidth2 / 2;
                int i8 = this.l1;
                this.t1.layout(i6 - i7, i8, i6 + i7, measuredHeight2 + i8);
            }
        }
    }

    public void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
        if (this.Z0 == null) {
            e();
        }
        View view = this.Z0;
        if (view != null) {
            view.measure(View.MeasureSpec.makeMeasureSpec((getMeasuredWidth() - getPaddingLeft()) - getPaddingRight(), 1073741824), View.MeasureSpec.makeMeasureSpec((getMeasuredHeight() - getPaddingTop()) - getPaddingBottom(), 1073741824));
            this.t1.measure(View.MeasureSpec.makeMeasureSpec(this.H1, 1073741824), View.MeasureSpec.makeMeasureSpec(this.H1, 1073741824));
            this.u1 = -1;
            for (int i4 = 0; i4 < getChildCount(); i4++) {
                if (getChildAt(i4) == this.t1) {
                    this.u1 = i4;
                    return;
                }
            }
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedFling(View view, float f2, float f3, boolean z) {
        return dispatchNestedFling(f2, f3, z);
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedPreFling(View view, float f2, float f3) {
        return dispatchNestedPreFling(f2, f3);
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedPreScroll(View view, int i2, int i3, int[] iArr) {
        if (i3 > 0) {
            float f2 = this.e1;
            if (f2 > 0.0f) {
                float f3 = (float) i3;
                if (f3 > f2) {
                    iArr[1] = i3 - ((int) f2);
                    this.e1 = 0.0f;
                } else {
                    this.e1 = f2 - f3;
                    iArr[1] = i3;
                }
                i(this.e1);
            }
        }
        if (this.I1 && i3 > 0 && this.e1 == 0.0f && Math.abs(i3 - iArr[1]) > 0) {
            this.t1.setVisibility(8);
        }
        int[] iArr2 = this.h1;
        if (dispatchNestedPreScroll(i2 - iArr[0], i3 - iArr[1], iArr2, null)) {
            iArr[0] = iArr[0] + iArr2[0];
            iArr[1] = iArr[1] + iArr2[1];
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScroll(View view, int i2, int i3, int i4, int i5) {
        dispatchNestedScroll(i2, i3, i4, i5, this.i1);
        int i6 = i5 + this.i1[1];
        if (i6 < 0 && !c()) {
            float abs = this.e1 + ((float) Math.abs(i6));
            this.e1 = abs;
            i(abs);
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScrollAccepted(View view, View view2, int i2) {
        this.f1.onNestedScrollAccepted(view, view2, i2);
        startNestedScroll(i2 & 2);
        this.e1 = 0.0f;
        this.j1 = true;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onStartNestedScroll(View view, View view2, int i2) {
        return isEnabled() && !this.r1 && !this.b1 && (i2 & 2) != 0;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onStopNestedScroll(View view) {
        this.f1.onStopNestedScroll(view);
        this.j1 = false;
        float f2 = this.e1;
        if (f2 > 0.0f) {
            f(f2);
            this.e1 = 0.0f;
        }
        stopNestedScroll();
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (this.r1 && actionMasked == 0) {
            this.r1 = false;
        }
        if (!isEnabled() || this.r1 || c() || this.b1 || this.j1) {
            return false;
        }
        if (actionMasked == 0) {
            this.p1 = motionEvent.getPointerId(0);
            this.o1 = false;
        } else if (actionMasked == 1) {
            int findPointerIndex = motionEvent.findPointerIndex(this.p1);
            if (findPointerIndex < 0) {
                Log.e(L0, "Got ACTION_UP event but don't have an active pointer id.");
                return false;
            }
            if (this.o1) {
                this.o1 = false;
                f((motionEvent.getY(findPointerIndex) - this.m1) * 0.5f);
            }
            this.p1 = -1;
            return false;
        } else if (actionMasked == 2) {
            int findPointerIndex2 = motionEvent.findPointerIndex(this.p1);
            if (findPointerIndex2 < 0) {
                Log.e(L0, "Got ACTION_MOVE event but have an invalid active pointer id.");
                return false;
            }
            float y = motionEvent.getY(findPointerIndex2);
            q(y);
            if (this.o1) {
                float f2 = (y - this.m1) * 0.5f;
                if (f2 <= 0.0f) {
                    return false;
                }
                i(f2);
            }
        } else if (actionMasked == 3) {
            return false;
        } else {
            if (actionMasked == 5) {
                int actionIndex = motionEvent.getActionIndex();
                if (actionIndex < 0) {
                    Log.e(L0, "Got ACTION_POINTER_DOWN event but have an invalid action index.");
                    return false;
                }
                this.p1 = motionEvent.getPointerId(actionIndex);
            } else if (actionMasked == 6) {
                k(motionEvent);
            }
        }
        return true;
    }

    public void requestDisallowInterceptTouchEvent(boolean z) {
        if (Build.VERSION.SDK_INT >= 21 || !(this.Z0 instanceof AbsListView)) {
            View view = this.Z0;
            if (view == null || ViewCompat.isNestedScrollingEnabled(view)) {
                super.requestDisallowInterceptTouchEvent(z);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void setAnimationProgress(float f2) {
        this.t1.setScaleX(f2);
        this.t1.setScaleY(f2);
    }

    @Deprecated
    public void setColorScheme(@ColorRes int... iArr) {
        setColorSchemeResources(iArr);
    }

    public void setColorSchemeColors(@ColorInt int... iArr) {
        e();
        this.A1.y(iArr);
    }

    public void setColorSchemeResources(@ColorRes int... iArr) {
        Context context = getContext();
        int[] iArr2 = new int[iArr.length];
        for (int i2 = 0; i2 < iArr.length; i2++) {
            iArr2[i2] = androidx.core.content.d.f(context, iArr[i2]);
        }
        setColorSchemeColors(iArr2);
    }

    public void setDistanceToTriggerSync(int i2) {
        this.d1 = (float) i2;
    }

    public void setEnabled(boolean z) {
        super.setEnabled(z);
        if (!z) {
            l();
        }
    }

    @Override // androidx.core.view.NestedScrollingChild
    public void setNestedScrollingEnabled(boolean z) {
        this.g1.setNestedScrollingEnabled(z);
    }

    public void setOnChildScrollUpCallback(@Nullable i iVar) {
        this.J1 = iVar;
    }

    public void setOnRefreshListener(@Nullable j jVar) {
        this.a1 = jVar;
    }

    @Deprecated
    public void setProgressBackgroundColor(int i2) {
        setProgressBackgroundColorSchemeResource(i2);
    }

    public void setProgressBackgroundColorSchemeColor(@ColorInt int i2) {
        this.t1.setBackgroundColor(i2);
    }

    public void setProgressBackgroundColorSchemeResource(@ColorRes int i2) {
        setProgressBackgroundColorSchemeColor(androidx.core.content.d.f(getContext(), i2));
    }

    public void setRefreshing(boolean z) {
        int i2;
        if (!z || this.b1 == z) {
            o(z, false);
            return;
        }
        this.b1 = z;
        if (!this.I1) {
            i2 = this.y1 + this.x1;
        } else {
            i2 = this.y1;
        }
        setTargetOffsetTopAndBottom(i2 - this.l1);
        this.G1 = false;
        v(this.K1);
    }

    public void setSize(int i2) {
        if (i2 == 0 || i2 == 1) {
            DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
            if (i2 == 0) {
                this.H1 = (int) (displayMetrics.density * 56.0f);
            } else {
                this.H1 = (int) (displayMetrics.density * 40.0f);
            }
            this.t1.setImageDrawable(null);
            this.A1.F(i2);
            this.t1.setImageDrawable(this.A1);
        }
    }

    public void setSlingshotDistance(@Px int i2) {
        this.z1 = i2;
    }

    /* access modifiers changed from: package-private */
    public void setTargetOffsetTopAndBottom(int i2) {
        this.t1.bringToFront();
        ViewCompat.offsetTopAndBottom(this.t1, i2);
        this.l1 = this.t1.getTop();
    }

    @Override // androidx.core.view.NestedScrollingChild
    public boolean startNestedScroll(int i2) {
        return this.g1.startNestedScroll(i2);
    }

    @Override // androidx.core.view.NestedScrollingChild
    public void stopNestedScroll() {
        this.g1.stopNestedScroll();
    }

    /* access modifiers changed from: package-private */
    public void t(Animation.AnimationListener animationListener) {
        c cVar = new c();
        this.C1 = cVar;
        cVar.setDuration(150);
        this.t1.b(animationListener);
        this.t1.clearAnimation();
        this.t1.startAnimation(this.C1);
    }

    public SwipeRefreshLayout(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        this.b1 = false;
        this.d1 = -1.0f;
        this.h1 = new int[2];
        this.i1 = new int[2];
        this.p1 = -1;
        this.u1 = -1;
        this.K1 = new a();
        this.L1 = new f();
        this.M1 = new g();
        this.c1 = ViewConfiguration.get(context).getScaledTouchSlop();
        this.k1 = getResources().getInteger(17694721);
        setWillNotDraw(false);
        this.s1 = new DecelerateInterpolator(O0);
        DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
        this.H1 = (int) (displayMetrics.density * 40.0f);
        d();
        setChildrenDrawingOrderEnabled(true);
        int i2 = (int) (displayMetrics.density * 64.0f);
        this.y1 = i2;
        this.d1 = (float) i2;
        this.f1 = new NestedScrollingParentHelper(this);
        this.g1 = new NestedScrollingChildHelper(this);
        setNestedScrollingEnabled(true);
        int i3 = -this.H1;
        this.l1 = i3;
        this.x1 = i3;
        j(1.0f);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, Y0);
        setEnabled(obtainStyledAttributes.getBoolean(0, true));
        obtainStyledAttributes.recycle();
    }
}
