package androidx.transition;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Path;
import android.util.AttributeSet;
import androidx.annotation.NonNull;
import androidx.core.content.res.h;
import org.xmlpull.v1.XmlPullParser;

public class ArcMotion extends PathMotion {

    /* renamed from: a  reason: collision with root package name */
    private static final float f4120a = 0.0f;

    /* renamed from: b  reason: collision with root package name */
    private static final float f4121b = 70.0f;

    /* renamed from: c  reason: collision with root package name */
    private static final float f4122c = ((float) Math.tan(Math.toRadians(35.0d)));

    /* renamed from: d  reason: collision with root package name */
    private float f4123d = 0.0f;

    /* renamed from: e  reason: collision with root package name */
    private float f4124e = 0.0f;
    private float f = f4121b;
    private float g = 0.0f;
    private float h = 0.0f;
    private float i = f4122c;

    public ArcMotion() {
    }

    private static float h(float f2) {
        if (f2 >= 0.0f && f2 <= 90.0f) {
            return (float) Math.tan(Math.toRadians((double) (f2 / 2.0f)));
        }
        throw new IllegalArgumentException("Arc must be between 0 and 90 degrees");
    }

    @Override // androidx.transition.PathMotion
    @NonNull
    public Path a(float f2, float f3, float f4, float f5) {
        float f6;
        float f7;
        float f8;
        Path path = new Path();
        path.moveTo(f2, f3);
        float f9 = f4 - f2;
        float f10 = f5 - f3;
        float f11 = (f9 * f9) + (f10 * f10);
        float f12 = (f2 + f4) / 2.0f;
        float f13 = (f3 + f5) / 2.0f;
        float f14 = 0.25f * f11;
        boolean z = f3 > f5;
        if (Math.abs(f9) < Math.abs(f10)) {
            float abs = Math.abs(f11 / (f10 * 2.0f));
            if (z) {
                f8 = abs + f5;
                f7 = f4;
            } else {
                f8 = abs + f3;
                f7 = f2;
            }
            f6 = this.h;
        } else {
            float f15 = f11 / (f9 * 2.0f);
            if (z) {
                f8 = f3;
                f7 = f15 + f2;
            } else {
                f7 = f4 - f15;
                f8 = f5;
            }
            f6 = this.g;
        }
        float f16 = f14 * f6 * f6;
        float f17 = f12 - f7;
        float f18 = f13 - f8;
        float f19 = (f17 * f17) + (f18 * f18);
        float f20 = this.i;
        float f21 = f14 * f20 * f20;
        if (f19 >= f16) {
            f16 = f19 > f21 ? f21 : 0.0f;
        }
        if (f16 != 0.0f) {
            float sqrt = (float) Math.sqrt((double) (f16 / f19));
            f7 = ((f7 - f12) * sqrt) + f12;
            f8 = f13 + (sqrt * (f8 - f13));
        }
        path.cubicTo((f2 + f7) / 2.0f, (f3 + f8) / 2.0f, (f7 + f4) / 2.0f, (f8 + f5) / 2.0f, f4, f5);
        return path;
    }

    public float b() {
        return this.f;
    }

    public float c() {
        return this.f4123d;
    }

    public float d() {
        return this.f4124e;
    }

    public void e(float f2) {
        this.f = f2;
        this.i = h(f2);
    }

    public void f(float f2) {
        this.f4123d = f2;
        this.g = h(f2);
    }

    public void g(float f2) {
        this.f4124e = f2;
        this.h = h(f2);
    }

    @SuppressLint({"RestrictedApi"})
    public ArcMotion(@NonNull Context context, @NonNull AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, t.j);
        XmlPullParser xmlPullParser = (XmlPullParser) attributeSet;
        g(h.j(obtainStyledAttributes, xmlPullParser, "minimumVerticalAngle", 1, 0.0f));
        f(h.j(obtainStyledAttributes, xmlPullParser, "minimumHorizontalAngle", 0, 0.0f));
        e(h.j(obtainStyledAttributes, xmlPullParser, "maximumAngle", 2, f4121b));
        obtainStyledAttributes.recycle();
    }
}
