package androidx.transition;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.view.ViewCompat;
import java.util.Map;

public class ChangeBounds extends Transition {
    private static final String B1 = "android:changeBounds:bounds";
    private static final String C1 = "android:changeBounds:clip";
    private static final String D1 = "android:changeBounds:parent";
    private static final String E1 = "android:changeBounds:windowX";
    private static final String F1 = "android:changeBounds:windowY";
    private static final String[] G1 = {B1, C1, D1, E1, F1};
    private static final Property<Drawable, PointF> H1 = new b(PointF.class, "boundsOrigin");
    private static final Property<k, PointF> I1 = new c(PointF.class, "topLeft");
    private static final Property<k, PointF> J1 = new d(PointF.class, "bottomRight");
    private static final Property<View, PointF> K1 = new e(PointF.class, "bottomRight");
    private static final Property<View, PointF> L1 = new f(PointF.class, "topLeft");
    private static final Property<View, PointF> M1 = new g(PointF.class, "position");
    private static p N1 = new p();
    private int[] O1;
    private boolean P1;
    private boolean Q1;

    class a extends AnimatorListenerAdapter {
        final /* synthetic */ View I0;
        final /* synthetic */ float J0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ViewGroup f4125a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ BitmapDrawable f4126b;

        a(ViewGroup viewGroup, BitmapDrawable bitmapDrawable, View view, float f) {
            this.f4125a = viewGroup;
            this.f4126b = bitmapDrawable;
            this.I0 = view;
            this.J0 = f;
        }

        public void onAnimationEnd(Animator animator) {
            k0.b(this.f4125a).b(this.f4126b);
            k0.h(this.I0, this.J0);
        }
    }

    class b extends Property<Drawable, PointF> {

        /* renamed from: a  reason: collision with root package name */
        private Rect f4127a = new Rect();

        b(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public PointF get(Drawable drawable) {
            drawable.copyBounds(this.f4127a);
            Rect rect = this.f4127a;
            return new PointF((float) rect.left, (float) rect.top);
        }

        /* renamed from: b */
        public void set(Drawable drawable, PointF pointF) {
            drawable.copyBounds(this.f4127a);
            this.f4127a.offsetTo(Math.round(pointF.x), Math.round(pointF.y));
            drawable.setBounds(this.f4127a);
        }
    }

    class c extends Property<k, PointF> {
        c(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public PointF get(k kVar) {
            return null;
        }

        /* renamed from: b */
        public void set(k kVar, PointF pointF) {
            kVar.c(pointF);
        }
    }

    class d extends Property<k, PointF> {
        d(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public PointF get(k kVar) {
            return null;
        }

        /* renamed from: b */
        public void set(k kVar, PointF pointF) {
            kVar.a(pointF);
        }
    }

    class e extends Property<View, PointF> {
        e(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public PointF get(View view) {
            return null;
        }

        /* renamed from: b */
        public void set(View view, PointF pointF) {
            k0.g(view, view.getLeft(), view.getTop(), Math.round(pointF.x), Math.round(pointF.y));
        }
    }

    class f extends Property<View, PointF> {
        f(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public PointF get(View view) {
            return null;
        }

        /* renamed from: b */
        public void set(View view, PointF pointF) {
            k0.g(view, Math.round(pointF.x), Math.round(pointF.y), view.getRight(), view.getBottom());
        }
    }

    class g extends Property<View, PointF> {
        g(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public PointF get(View view) {
            return null;
        }

        /* renamed from: b */
        public void set(View view, PointF pointF) {
            int round = Math.round(pointF.x);
            int round2 = Math.round(pointF.y);
            k0.g(view, round, round2, view.getWidth() + round, view.getHeight() + round2);
        }
    }

    class h extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ k f4128a;
        private k mViewBounds;

        h(k kVar) {
            this.f4128a = kVar;
            this.mViewBounds = kVar;
        }
    }

    class i extends AnimatorListenerAdapter {
        final /* synthetic */ Rect I0;
        final /* synthetic */ int J0;
        final /* synthetic */ int K0;
        final /* synthetic */ int L0;
        final /* synthetic */ int M0;

        /* renamed from: a  reason: collision with root package name */
        private boolean f4130a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ View f4131b;

        i(View view, Rect rect, int i, int i2, int i3, int i4) {
            this.f4131b = view;
            this.I0 = rect;
            this.J0 = i;
            this.K0 = i2;
            this.L0 = i3;
            this.M0 = i4;
        }

        public void onAnimationCancel(Animator animator) {
            this.f4130a = true;
        }

        public void onAnimationEnd(Animator animator) {
            if (!this.f4130a) {
                ViewCompat.setClipBounds(this.f4131b, this.I0);
                k0.g(this.f4131b, this.J0, this.K0, this.L0, this.M0);
            }
        }
    }

    class j extends v {

        /* renamed from: a  reason: collision with root package name */
        boolean f4132a = false;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ ViewGroup f4133b;

        j(ViewGroup viewGroup) {
            this.f4133b = viewGroup;
        }

        @Override // androidx.transition.Transition.g, androidx.transition.v
        public void b(@NonNull Transition transition) {
            f0.d(this.f4133b, false);
        }

        @Override // androidx.transition.Transition.g, androidx.transition.v
        public void c(@NonNull Transition transition) {
            if (!this.f4132a) {
                f0.d(this.f4133b, false);
            }
            transition.q0(this);
        }

        @Override // androidx.transition.Transition.g, androidx.transition.v
        public void d(@NonNull Transition transition) {
            f0.d(this.f4133b, false);
            this.f4132a = true;
        }

        @Override // androidx.transition.Transition.g, androidx.transition.v
        public void e(@NonNull Transition transition) {
            f0.d(this.f4133b, true);
        }
    }

    /* access modifiers changed from: private */
    public static class k {

        /* renamed from: a  reason: collision with root package name */
        private int f4134a;

        /* renamed from: b  reason: collision with root package name */
        private int f4135b;

        /* renamed from: c  reason: collision with root package name */
        private int f4136c;

        /* renamed from: d  reason: collision with root package name */
        private int f4137d;

        /* renamed from: e  reason: collision with root package name */
        private View f4138e;
        private int f;
        private int g;

        k(View view) {
            this.f4138e = view;
        }

        private void b() {
            k0.g(this.f4138e, this.f4134a, this.f4135b, this.f4136c, this.f4137d);
            this.f = 0;
            this.g = 0;
        }

        /* access modifiers changed from: package-private */
        public void a(PointF pointF) {
            this.f4136c = Math.round(pointF.x);
            this.f4137d = Math.round(pointF.y);
            int i = this.g + 1;
            this.g = i;
            if (this.f == i) {
                b();
            }
        }

        /* access modifiers changed from: package-private */
        public void c(PointF pointF) {
            this.f4134a = Math.round(pointF.x);
            this.f4135b = Math.round(pointF.y);
            int i = this.f + 1;
            this.f = i;
            if (i == this.g) {
                b();
            }
        }
    }

    public ChangeBounds() {
        this.O1 = new int[2];
        this.P1 = false;
        this.Q1 = false;
    }

    private void J0(z zVar) {
        View view = zVar.f4308b;
        if (ViewCompat.isLaidOut(view) || view.getWidth() != 0 || view.getHeight() != 0) {
            zVar.f4307a.put(B1, new Rect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom()));
            zVar.f4307a.put(D1, zVar.f4308b.getParent());
            if (this.Q1) {
                zVar.f4308b.getLocationInWindow(this.O1);
                zVar.f4307a.put(E1, Integer.valueOf(this.O1[0]));
                zVar.f4307a.put(F1, Integer.valueOf(this.O1[1]));
            }
            if (this.P1) {
                zVar.f4307a.put(C1, ViewCompat.getClipBounds(view));
            }
        }
    }

    private boolean L0(View view, View view2) {
        if (!this.Q1) {
            return true;
        }
        z P = P(view, true);
        if (P == null) {
            if (view == view2) {
                return true;
            }
        } else if (view2 == P.f4308b) {
            return true;
        }
        return false;
    }

    public boolean K0() {
        return this.P1;
    }

    public void M0(boolean z) {
        this.P1 = z;
    }

    @Override // androidx.transition.Transition
    @NonNull
    public String[] a0() {
        return G1;
    }

    @Override // androidx.transition.Transition
    public void p(@NonNull z zVar) {
        J0(zVar);
    }

    @Override // androidx.transition.Transition
    public void s(@NonNull z zVar) {
        J0(zVar);
    }

    @Override // androidx.transition.Transition
    @Nullable
    public Animator w(@NonNull ViewGroup viewGroup, @Nullable z zVar, @Nullable z zVar2) {
        int i2;
        View view;
        Animator animator;
        ObjectAnimator objectAnimator;
        int i3;
        Rect rect;
        ObjectAnimator objectAnimator2;
        if (zVar == null || zVar2 == null) {
            return null;
        }
        Map<String, Object> map = zVar.f4307a;
        Map<String, Object> map2 = zVar2.f4307a;
        ViewGroup viewGroup2 = (ViewGroup) map.get(D1);
        ViewGroup viewGroup3 = (ViewGroup) map2.get(D1);
        if (viewGroup2 == null || viewGroup3 == null) {
            return null;
        }
        View view2 = zVar2.f4308b;
        if (L0(viewGroup2, viewGroup3)) {
            Rect rect2 = (Rect) zVar.f4307a.get(B1);
            Rect rect3 = (Rect) zVar2.f4307a.get(B1);
            int i4 = rect2.left;
            int i5 = rect3.left;
            int i6 = rect2.top;
            int i7 = rect3.top;
            int i8 = rect2.right;
            int i9 = rect3.right;
            int i10 = rect2.bottom;
            int i11 = rect3.bottom;
            int i12 = i8 - i4;
            int i13 = i10 - i6;
            int i14 = i9 - i5;
            int i15 = i11 - i7;
            Rect rect4 = (Rect) zVar.f4307a.get(C1);
            Rect rect5 = (Rect) zVar2.f4307a.get(C1);
            if ((i12 == 0 || i13 == 0) && (i14 == 0 || i15 == 0)) {
                i2 = 0;
            } else {
                i2 = (i4 == i5 && i6 == i7) ? 0 : 1;
                if (!(i8 == i9 && i10 == i11)) {
                    i2++;
                }
            }
            if ((rect4 != null && !rect4.equals(rect5)) || (rect4 == null && rect5 != null)) {
                i2++;
            }
            if (i2 <= 0) {
                return null;
            }
            if (!this.P1) {
                view = view2;
                k0.g(view, i4, i6, i8, i10);
                if (i2 == 2) {
                    if (i12 == i14 && i13 == i15) {
                        animator = m.a(view, M1, S().a((float) i4, (float) i6, (float) i5, (float) i7));
                    } else {
                        k kVar = new k(view);
                        ObjectAnimator a2 = m.a(kVar, I1, S().a((float) i4, (float) i6, (float) i5, (float) i7));
                        ObjectAnimator a3 = m.a(kVar, J1, S().a((float) i8, (float) i10, (float) i9, (float) i11));
                        AnimatorSet animatorSet = new AnimatorSet();
                        animatorSet.playTogether(a2, a3);
                        animatorSet.addListener(new h(kVar));
                        animator = animatorSet;
                    }
                } else if (i4 == i5 && i6 == i7) {
                    animator = m.a(view, K1, S().a((float) i8, (float) i10, (float) i9, (float) i11));
                } else {
                    animator = m.a(view, L1, S().a((float) i4, (float) i6, (float) i5, (float) i7));
                }
            } else {
                view = view2;
                k0.g(view, i4, i6, Math.max(i12, i14) + i4, Math.max(i13, i15) + i6);
                if (i4 == i5 && i6 == i7) {
                    objectAnimator = null;
                } else {
                    objectAnimator = m.a(view, M1, S().a((float) i4, (float) i6, (float) i5, (float) i7));
                }
                if (rect4 == null) {
                    i3 = 0;
                    rect = new Rect(0, 0, i12, i13);
                } else {
                    i3 = 0;
                    rect = rect4;
                }
                Rect rect6 = rect5 == null ? new Rect(i3, i3, i14, i15) : rect5;
                if (!rect.equals(rect6)) {
                    ViewCompat.setClipBounds(view, rect);
                    p pVar = N1;
                    Object[] objArr = new Object[2];
                    objArr[i3] = rect;
                    objArr[1] = rect6;
                    ObjectAnimator ofObject = ObjectAnimator.ofObject(view, "clipBounds", pVar, objArr);
                    ofObject.addListener(new i(view, rect5, i5, i7, i9, i11));
                    objectAnimator2 = ofObject;
                } else {
                    objectAnimator2 = null;
                }
                animator = y.c(objectAnimator, objectAnimator2);
            }
            if (view.getParent() instanceof ViewGroup) {
                ViewGroup viewGroup4 = (ViewGroup) view.getParent();
                f0.d(viewGroup4, true);
                a(new j(viewGroup4));
            }
            return animator;
        }
        int intValue = ((Integer) zVar.f4307a.get(E1)).intValue();
        int intValue2 = ((Integer) zVar.f4307a.get(F1)).intValue();
        int intValue3 = ((Integer) zVar2.f4307a.get(E1)).intValue();
        int intValue4 = ((Integer) zVar2.f4307a.get(F1)).intValue();
        if (intValue == intValue3 && intValue2 == intValue4) {
            return null;
        }
        viewGroup.getLocationInWindow(this.O1);
        Bitmap createBitmap = Bitmap.createBitmap(view2.getWidth(), view2.getHeight(), Bitmap.Config.ARGB_8888);
        view2.draw(new Canvas(createBitmap));
        BitmapDrawable bitmapDrawable = new BitmapDrawable(createBitmap);
        float c2 = k0.c(view2);
        k0.h(view2, 0.0f);
        k0.b(viewGroup).a(bitmapDrawable);
        PathMotion S = S();
        int[] iArr = this.O1;
        ObjectAnimator ofPropertyValuesHolder = ObjectAnimator.ofPropertyValuesHolder(bitmapDrawable, o.a(H1, S.a((float) (intValue - iArr[0]), (float) (intValue2 - iArr[1]), (float) (intValue3 - iArr[0]), (float) (intValue4 - iArr[1]))));
        ofPropertyValuesHolder.addListener(new a(viewGroup, bitmapDrawable, view2, c2));
        return ofPropertyValuesHolder;
    }

    @SuppressLint({"RestrictedApi"})
    public ChangeBounds(@NonNull Context context, @NonNull AttributeSet attributeSet) {
        super(context, attributeSet);
        this.O1 = new int[2];
        this.P1 = false;
        this.Q1 = false;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, t.f4262d);
        boolean e2 = androidx.core.content.res.h.e(obtainStyledAttributes, (XmlResourceParser) attributeSet, "resizeClip", 0, false);
        obtainStyledAttributes.recycle();
        M0(e2);
    }
}
