package androidx.transition;

import android.animation.Animator;
import android.animation.ObjectAnimator;
import android.animation.TypeEvaluator;
import android.content.Context;
import android.graphics.Matrix;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.transition.y;
import java.util.Map;

public class ChangeImageTransform extends Transition {
    private static final String B1 = "android:changeImageTransform:matrix";
    private static final String C1 = "android:changeImageTransform:bounds";
    private static final String[] D1 = {B1, C1};
    private static final TypeEvaluator<Matrix> E1 = new a();
    private static final Property<ImageView, Matrix> F1 = new b(Matrix.class, "animatedTransform");

    class a implements TypeEvaluator<Matrix> {
        a() {
        }

        /* renamed from: a */
        public Matrix evaluate(float f, Matrix matrix, Matrix matrix2) {
            return null;
        }
    }

    class b extends Property<ImageView, Matrix> {
        b(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public Matrix get(ImageView imageView) {
            return null;
        }

        /* renamed from: b */
        public void set(ImageView imageView, Matrix matrix) {
            k.a(imageView, matrix);
        }
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class c {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f4141a;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|6) */
        /* JADX WARNING: Code restructure failed: missing block: B:7:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        static {
            int[] iArr = new int[ImageView.ScaleType.values().length];
            f4141a = iArr;
            iArr[ImageView.ScaleType.FIT_XY.ordinal()] = 1;
            f4141a[ImageView.ScaleType.CENTER_CROP.ordinal()] = 2;
        }
    }

    public ChangeImageTransform() {
    }

    private void J0(z zVar) {
        View view = zVar.f4308b;
        if ((view instanceof ImageView) && view.getVisibility() == 0) {
            ImageView imageView = (ImageView) view;
            if (imageView.getDrawable() != null) {
                Map<String, Object> map = zVar.f4307a;
                map.put(C1, new Rect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom()));
                map.put(B1, L0(imageView));
            }
        }
    }

    private static Matrix K0(ImageView imageView) {
        Drawable drawable = imageView.getDrawable();
        int intrinsicWidth = drawable.getIntrinsicWidth();
        float width = (float) imageView.getWidth();
        float f = (float) intrinsicWidth;
        int intrinsicHeight = drawable.getIntrinsicHeight();
        float height = (float) imageView.getHeight();
        float f2 = (float) intrinsicHeight;
        float max = Math.max(width / f, height / f2);
        int round = Math.round((width - (f * max)) / 2.0f);
        int round2 = Math.round((height - (f2 * max)) / 2.0f);
        Matrix matrix = new Matrix();
        matrix.postScale(max, max);
        matrix.postTranslate((float) round, (float) round2);
        return matrix;
    }

    @NonNull
    private static Matrix L0(@NonNull ImageView imageView) {
        Drawable drawable = imageView.getDrawable();
        if (drawable.getIntrinsicWidth() <= 0 || drawable.getIntrinsicHeight() <= 0) {
            return new Matrix(imageView.getImageMatrix());
        }
        int i = c.f4141a[imageView.getScaleType().ordinal()];
        if (i == 1) {
            return O0(imageView);
        }
        if (i != 2) {
            return new Matrix(imageView.getImageMatrix());
        }
        return K0(imageView);
    }

    private ObjectAnimator M0(ImageView imageView, Matrix matrix, Matrix matrix2) {
        return ObjectAnimator.ofObject(imageView, F1, new y.a(), matrix, matrix2);
    }

    @NonNull
    private ObjectAnimator N0(@NonNull ImageView imageView) {
        Property<ImageView, Matrix> property = F1;
        TypeEvaluator<Matrix> typeEvaluator = E1;
        Matrix matrix = l.f4236a;
        return ObjectAnimator.ofObject(imageView, property, typeEvaluator, matrix, matrix);
    }

    private static Matrix O0(ImageView imageView) {
        Drawable drawable = imageView.getDrawable();
        Matrix matrix = new Matrix();
        matrix.postScale(((float) imageView.getWidth()) / ((float) drawable.getIntrinsicWidth()), ((float) imageView.getHeight()) / ((float) drawable.getIntrinsicHeight()));
        return matrix;
    }

    @Override // androidx.transition.Transition
    @NonNull
    public String[] a0() {
        return D1;
    }

    @Override // androidx.transition.Transition
    public void p(@NonNull z zVar) {
        J0(zVar);
    }

    @Override // androidx.transition.Transition
    public void s(@NonNull z zVar) {
        J0(zVar);
    }

    @Override // androidx.transition.Transition
    @Nullable
    public Animator w(@NonNull ViewGroup viewGroup, @Nullable z zVar, @Nullable z zVar2) {
        if (zVar == null || zVar2 == null) {
            return null;
        }
        Rect rect = (Rect) zVar.f4307a.get(C1);
        Rect rect2 = (Rect) zVar2.f4307a.get(C1);
        if (rect == null || rect2 == null) {
            return null;
        }
        Matrix matrix = (Matrix) zVar.f4307a.get(B1);
        Matrix matrix2 = (Matrix) zVar2.f4307a.get(B1);
        boolean z = (matrix == null && matrix2 == null) || (matrix != null && matrix.equals(matrix2));
        if (rect.equals(rect2) && z) {
            return null;
        }
        ImageView imageView = (ImageView) zVar2.f4308b;
        Drawable drawable = imageView.getDrawable();
        int intrinsicWidth = drawable.getIntrinsicWidth();
        int intrinsicHeight = drawable.getIntrinsicHeight();
        if (intrinsicWidth <= 0 || intrinsicHeight <= 0) {
            return N0(imageView);
        }
        if (matrix == null) {
            matrix = l.f4236a;
        }
        if (matrix2 == null) {
            matrix2 = l.f4236a;
        }
        F1.set(imageView, matrix);
        return M0(imageView, matrix, matrix2);
    }

    public ChangeImageTransform(@NonNull Context context, @NonNull AttributeSet attributeSet) {
        super(context, attributeSet);
    }
}
