package androidx.transition;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ObjectAnimator;
import android.animation.PropertyValuesHolder;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Matrix;
import android.graphics.PointF;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.content.res.h;
import androidx.core.view.ViewCompat;
import org.xmlpull.v1.XmlPullParser;

public class ChangeTransform extends Transition {
    private static final String B1 = "android:changeTransform:matrix";
    private static final String C1 = "android:changeTransform:transforms";
    private static final String D1 = "android:changeTransform:parent";
    private static final String E1 = "android:changeTransform:parentMatrix";
    private static final String F1 = "android:changeTransform:intermediateParentMatrix";
    private static final String G1 = "android:changeTransform:intermediateMatrix";
    private static final String[] H1 = {B1, C1, E1};
    private static final Property<e, float[]> I1 = new a(float[].class, "nonTranslations");
    private static final Property<e, PointF> J1 = new b(PointF.class, "translations");
    private static final boolean K1 = (Build.VERSION.SDK_INT >= 21);
    boolean L1 = true;
    private boolean M1 = true;
    private Matrix N1 = new Matrix();

    class a extends Property<e, float[]> {
        a(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public float[] get(e eVar) {
            return null;
        }

        /* renamed from: b */
        public void set(e eVar, float[] fArr) {
            eVar.d(fArr);
        }
    }

    class b extends Property<e, PointF> {
        b(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public PointF get(e eVar) {
            return null;
        }

        /* renamed from: b */
        public void set(e eVar, PointF pointF) {
            eVar.c(pointF);
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends AnimatorListenerAdapter {
        final /* synthetic */ boolean I0;
        final /* synthetic */ Matrix J0;
        final /* synthetic */ View K0;
        final /* synthetic */ f L0;
        final /* synthetic */ e M0;

        /* renamed from: a  reason: collision with root package name */
        private boolean f4142a;

        /* renamed from: b  reason: collision with root package name */
        private Matrix f4143b = new Matrix();

        c(boolean z, Matrix matrix, View view, f fVar, e eVar) {
            this.I0 = z;
            this.J0 = matrix;
            this.K0 = view;
            this.L0 = fVar;
            this.M0 = eVar;
        }

        private void a(Matrix matrix) {
            this.f4143b.set(matrix);
            this.K0.setTag(R.id.transition_transform, this.f4143b);
            this.L0.a(this.K0);
        }

        public void onAnimationCancel(Animator animator) {
            this.f4142a = true;
        }

        public void onAnimationEnd(Animator animator) {
            if (!this.f4142a) {
                if (!this.I0 || !ChangeTransform.this.L1) {
                    this.K0.setTag(R.id.transition_transform, null);
                    this.K0.setTag(R.id.parent_matrix, null);
                } else {
                    a(this.J0);
                }
            }
            k0.f(this.K0, null);
            this.L0.a(this.K0);
        }

        public void onAnimationPause(Animator animator) {
            a(this.M0.a());
        }

        public void onAnimationResume(Animator animator) {
            ChangeTransform.P0(this.K0);
        }
    }

    /* access modifiers changed from: private */
    public static class d extends v {

        /* renamed from: a  reason: collision with root package name */
        private View f4144a;

        /* renamed from: b  reason: collision with root package name */
        private f f4145b;

        d(View view, f fVar) {
            this.f4144a = view;
            this.f4145b = fVar;
        }

        @Override // androidx.transition.Transition.g, androidx.transition.v
        public void b(@NonNull Transition transition) {
            this.f4145b.setVisibility(4);
        }

        @Override // androidx.transition.Transition.g, androidx.transition.v
        public void c(@NonNull Transition transition) {
            transition.q0(this);
            j.b(this.f4144a);
            this.f4144a.setTag(R.id.transition_transform, null);
            this.f4144a.setTag(R.id.parent_matrix, null);
        }

        @Override // androidx.transition.Transition.g, androidx.transition.v
        public void e(@NonNull Transition transition) {
            this.f4145b.setVisibility(0);
        }
    }

    /* access modifiers changed from: private */
    public static class e {

        /* renamed from: a  reason: collision with root package name */
        private final Matrix f4146a = new Matrix();

        /* renamed from: b  reason: collision with root package name */
        private final View f4147b;

        /* renamed from: c  reason: collision with root package name */
        private final float[] f4148c;

        /* renamed from: d  reason: collision with root package name */
        private float f4149d;

        /* renamed from: e  reason: collision with root package name */
        private float f4150e;

        e(View view, float[] fArr) {
            this.f4147b = view;
            float[] fArr2 = (float[]) fArr.clone();
            this.f4148c = fArr2;
            this.f4149d = fArr2[2];
            this.f4150e = fArr2[5];
            b();
        }

        private void b() {
            float[] fArr = this.f4148c;
            fArr[2] = this.f4149d;
            fArr[5] = this.f4150e;
            this.f4146a.setValues(fArr);
            k0.f(this.f4147b, this.f4146a);
        }

        /* access modifiers changed from: package-private */
        public Matrix a() {
            return this.f4146a;
        }

        /* access modifiers changed from: package-private */
        public void c(PointF pointF) {
            this.f4149d = pointF.x;
            this.f4150e = pointF.y;
            b();
        }

        /* access modifiers changed from: package-private */
        public void d(float[] fArr) {
            System.arraycopy(fArr, 0, this.f4148c, 0, fArr.length);
            b();
        }
    }

    /* access modifiers changed from: private */
    public static class f {

        /* renamed from: a  reason: collision with root package name */
        final float f4151a;

        /* renamed from: b  reason: collision with root package name */
        final float f4152b;

        /* renamed from: c  reason: collision with root package name */
        final float f4153c;

        /* renamed from: d  reason: collision with root package name */
        final float f4154d;

        /* renamed from: e  reason: collision with root package name */
        final float f4155e;
        final float f;
        final float g;
        final float h;

        f(View view) {
            this.f4151a = view.getTranslationX();
            this.f4152b = view.getTranslationY();
            this.f4153c = ViewCompat.getTranslationZ(view);
            this.f4154d = view.getScaleX();
            this.f4155e = view.getScaleY();
            this.f = view.getRotationX();
            this.g = view.getRotationY();
            this.h = view.getRotation();
        }

        public void a(View view) {
            ChangeTransform.T0(view, this.f4151a, this.f4152b, this.f4153c, this.f4154d, this.f4155e, this.f, this.g, this.h);
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof f)) {
                return false;
            }
            f fVar = (f) obj;
            if (fVar.f4151a == this.f4151a && fVar.f4152b == this.f4152b && fVar.f4153c == this.f4153c && fVar.f4154d == this.f4154d && fVar.f4155e == this.f4155e && fVar.f == this.f && fVar.g == this.g && fVar.h == this.h) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            float f2 = this.f4151a;
            int i = 0;
            int floatToIntBits = (f2 != 0.0f ? Float.floatToIntBits(f2) : 0) * 31;
            float f3 = this.f4152b;
            int floatToIntBits2 = (floatToIntBits + (f3 != 0.0f ? Float.floatToIntBits(f3) : 0)) * 31;
            float f4 = this.f4153c;
            int floatToIntBits3 = (floatToIntBits2 + (f4 != 0.0f ? Float.floatToIntBits(f4) : 0)) * 31;
            float f5 = this.f4154d;
            int floatToIntBits4 = (floatToIntBits3 + (f5 != 0.0f ? Float.floatToIntBits(f5) : 0)) * 31;
            float f6 = this.f4155e;
            int floatToIntBits5 = (floatToIntBits4 + (f6 != 0.0f ? Float.floatToIntBits(f6) : 0)) * 31;
            float f7 = this.f;
            int floatToIntBits6 = (floatToIntBits5 + (f7 != 0.0f ? Float.floatToIntBits(f7) : 0)) * 31;
            float f8 = this.g;
            int floatToIntBits7 = (floatToIntBits6 + (f8 != 0.0f ? Float.floatToIntBits(f8) : 0)) * 31;
            float f9 = this.h;
            if (f9 != 0.0f) {
                i = Float.floatToIntBits(f9);
            }
            return floatToIntBits7 + i;
        }
    }

    public ChangeTransform() {
    }

    private void J0(z zVar) {
        View view = zVar.f4308b;
        if (view.getVisibility() != 8) {
            zVar.f4307a.put(D1, view.getParent());
            zVar.f4307a.put(C1, new f(view));
            Matrix matrix = view.getMatrix();
            zVar.f4307a.put(B1, (matrix == null || matrix.isIdentity()) ? null : new Matrix(matrix));
            if (this.M1) {
                Matrix matrix2 = new Matrix();
                ViewGroup viewGroup = (ViewGroup) view.getParent();
                k0.j(viewGroup, matrix2);
                matrix2.preTranslate((float) (-viewGroup.getScrollX()), (float) (-viewGroup.getScrollY()));
                zVar.f4307a.put(E1, matrix2);
                zVar.f4307a.put(G1, view.getTag(R.id.transition_transform));
                zVar.f4307a.put(F1, view.getTag(R.id.parent_matrix));
            }
        }
    }

    private void K0(ViewGroup viewGroup, z zVar, z zVar2) {
        View view = zVar2.f4308b;
        Matrix matrix = new Matrix((Matrix) zVar2.f4307a.get(E1));
        k0.k(viewGroup, matrix);
        f a2 = j.a(view, viewGroup, matrix);
        if (a2 != null) {
            a2.a((ViewGroup) zVar.f4307a.get(D1), zVar.f4308b);
            Transition transition = this;
            while (true) {
                Transition transition2 = transition.m1;
                if (transition2 == null) {
                    break;
                }
                transition = transition2;
            }
            transition.a(new d(view, a2));
            if (K1) {
                View view2 = zVar.f4308b;
                if (view2 != zVar2.f4308b) {
                    k0.h(view2, 0.0f);
                }
                k0.h(view, 1.0f);
            }
        }
    }

    private ObjectAnimator L0(z zVar, z zVar2, boolean z) {
        Matrix matrix = (Matrix) zVar.f4307a.get(B1);
        Matrix matrix2 = (Matrix) zVar2.f4307a.get(B1);
        if (matrix == null) {
            matrix = l.f4236a;
        }
        if (matrix2 == null) {
            matrix2 = l.f4236a;
        }
        if (matrix.equals(matrix2)) {
            return null;
        }
        f fVar = (f) zVar2.f4307a.get(C1);
        View view = zVar2.f4308b;
        P0(view);
        float[] fArr = new float[9];
        matrix.getValues(fArr);
        float[] fArr2 = new float[9];
        matrix2.getValues(fArr2);
        e eVar = new e(view, fArr);
        ObjectAnimator ofPropertyValuesHolder = ObjectAnimator.ofPropertyValuesHolder(eVar, PropertyValuesHolder.ofObject(I1, new d(new float[9]), fArr, fArr2), o.a(J1, S().a(fArr[2], fArr[5], fArr2[2], fArr2[5])));
        c cVar = new c(z, matrix2, view, fVar, eVar);
        ofPropertyValuesHolder.addListener(cVar);
        a.a(ofPropertyValuesHolder, cVar);
        return ofPropertyValuesHolder;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:7:0x0017, code lost:
        if (r5 == r4.f4308b) goto L_0x001e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x001a, code lost:
        if (r4 == r5) goto L_0x001e;
     */
    private boolean O0(ViewGroup viewGroup, ViewGroup viewGroup2) {
        boolean z = true;
        if (f0(viewGroup) && f0(viewGroup2)) {
            z P = P(viewGroup, true);
            if (P == null) {
                return false;
            }
        }
        z = false;
        return z;
    }

    static void P0(View view) {
        T0(view, 0.0f, 0.0f, 0.0f, 1.0f, 1.0f, 0.0f, 0.0f, 0.0f);
    }

    private void Q0(z zVar, z zVar2) {
        Matrix matrix = (Matrix) zVar2.f4307a.get(E1);
        zVar2.f4308b.setTag(R.id.parent_matrix, matrix);
        Matrix matrix2 = this.N1;
        matrix2.reset();
        matrix.invert(matrix2);
        Matrix matrix3 = (Matrix) zVar.f4307a.get(B1);
        if (matrix3 == null) {
            matrix3 = new Matrix();
            zVar.f4307a.put(B1, matrix3);
        }
        matrix3.postConcat((Matrix) zVar.f4307a.get(E1));
        matrix3.postConcat(matrix2);
    }

    static void T0(View view, float f2, float f3, float f4, float f5, float f6, float f7, float f8, float f9) {
        view.setTranslationX(f2);
        view.setTranslationY(f3);
        ViewCompat.setTranslationZ(view, f4);
        view.setScaleX(f5);
        view.setScaleY(f6);
        view.setRotationX(f7);
        view.setRotationY(f8);
        view.setRotation(f9);
    }

    public boolean M0() {
        return this.M1;
    }

    public boolean N0() {
        return this.L1;
    }

    public void R0(boolean z) {
        this.M1 = z;
    }

    public void S0(boolean z) {
        this.L1 = z;
    }

    @Override // androidx.transition.Transition
    @NonNull
    public String[] a0() {
        return H1;
    }

    @Override // androidx.transition.Transition
    public void p(@NonNull z zVar) {
        J0(zVar);
    }

    @Override // androidx.transition.Transition
    public void s(@NonNull z zVar) {
        J0(zVar);
        if (!K1) {
            ((ViewGroup) zVar.f4308b.getParent()).startViewTransition(zVar.f4308b);
        }
    }

    @Override // androidx.transition.Transition
    @Nullable
    public Animator w(@NonNull ViewGroup viewGroup, @Nullable z zVar, @Nullable z zVar2) {
        if (zVar == null || zVar2 == null || !zVar.f4307a.containsKey(D1) || !zVar2.f4307a.containsKey(D1)) {
            return null;
        }
        ViewGroup viewGroup2 = (ViewGroup) zVar.f4307a.get(D1);
        boolean z = this.M1 && !O0(viewGroup2, (ViewGroup) zVar2.f4307a.get(D1));
        Matrix matrix = (Matrix) zVar.f4307a.get(G1);
        if (matrix != null) {
            zVar.f4307a.put(B1, matrix);
        }
        Matrix matrix2 = (Matrix) zVar.f4307a.get(F1);
        if (matrix2 != null) {
            zVar.f4307a.put(E1, matrix2);
        }
        if (z) {
            Q0(zVar, zVar2);
        }
        ObjectAnimator L0 = L0(zVar, zVar2, z);
        if (z && L0 != null && this.L1) {
            K0(viewGroup, zVar, zVar2);
        } else if (!K1) {
            viewGroup2.endViewTransition(zVar.f4308b);
        }
        return L0;
    }

    @SuppressLint({"RestrictedApi"})
    public ChangeTransform(@NonNull Context context, @NonNull AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, t.g);
        XmlPullParser xmlPullParser = (XmlPullParser) attributeSet;
        this.L1 = h.e(obtainStyledAttributes, xmlPullParser, "reparentWithOverlay", 1, true);
        this.M1 = h.e(obtainStyledAttributes, xmlPullParser, "reparent", 0, true);
        obtainStyledAttributes.recycle();
    }
}
