package androidx.transition;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Matrix;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.util.AttributeSet;
import androidx.annotation.NonNull;
import androidx.core.content.res.h;
import androidx.core.graphics.n;
import org.xmlpull.v1.XmlPullParser;

public class PatternPathMotion extends PathMotion {

    /* renamed from: a  reason: collision with root package name */
    private Path f4160a;

    /* renamed from: b  reason: collision with root package name */
    private final Path f4161b;

    /* renamed from: c  reason: collision with root package name */
    private final Matrix f4162c;

    public PatternPathMotion() {
        Path path = new Path();
        this.f4161b = path;
        this.f4162c = new Matrix();
        path.lineTo(1.0f, 0.0f);
        this.f4160a = path;
    }

    private static float b(float f, float f2) {
        return (float) Math.sqrt((double) ((f * f) + (f2 * f2)));
    }

    @Override // androidx.transition.PathMotion
    @NonNull
    public Path a(float f, float f2, float f3, float f4) {
        float f5 = f3 - f;
        float f6 = f4 - f2;
        float b2 = b(f5, f6);
        double atan2 = Math.atan2((double) f6, (double) f5);
        this.f4162c.setScale(b2, b2);
        this.f4162c.postRotate((float) Math.toDegrees(atan2));
        this.f4162c.postTranslate(f, f2);
        Path path = new Path();
        this.f4161b.transform(this.f4162c, path);
        return path;
    }

    public Path c() {
        return this.f4160a;
    }

    public void d(Path path) {
        PathMeasure pathMeasure = new PathMeasure(path, false);
        float[] fArr = new float[2];
        pathMeasure.getPosTan(pathMeasure.getLength(), fArr, null);
        float f = fArr[0];
        float f2 = fArr[1];
        pathMeasure.getPosTan(0.0f, fArr, null);
        float f3 = fArr[0];
        float f4 = fArr[1];
        if (f3 == f && f4 == f2) {
            throw new IllegalArgumentException("pattern must not end at the starting point");
        }
        this.f4162c.setTranslate(-f3, -f4);
        float f5 = f - f3;
        float f6 = f2 - f4;
        float b2 = 1.0f / b(f5, f6);
        this.f4162c.postScale(b2, b2);
        this.f4162c.postRotate((float) Math.toDegrees(-Math.atan2((double) f6, (double) f5)));
        path.transform(this.f4162c, this.f4161b);
        this.f4160a = path;
    }

    @SuppressLint({"RestrictedApi"})
    public PatternPathMotion(@NonNull Context context, @NonNull AttributeSet attributeSet) {
        this.f4161b = new Path();
        this.f4162c = new Matrix();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, t.k);
        try {
            String m = h.m(obtainStyledAttributes, (XmlPullParser) attributeSet, "patternPathData", 0);
            if (m != null) {
                d(n.e(m));
                return;
            }
            throw new RuntimeException("pathData must be supplied for patternPathMotion");
        } finally {
            obtainStyledAttributes.recycle();
        }
    }

    public PatternPathMotion(Path path) {
        this.f4161b = new Path();
        this.f4162c = new Matrix();
        d(path);
    }
}
