package androidx.transition;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.TimeInterpolator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Path;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.util.SparseIntArray;
import android.view.InflateException;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AnimationUtils;
import android.widget.ListView;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.constraintlayout.core.motion.h.w;
import androidx.core.content.res.h;
import androidx.core.view.ViewCompat;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.StringTokenizer;

public abstract class Transition implements Cloneable {
    public static final int I0 = 1;
    private static final int J0 = 1;
    public static final int K0 = 2;
    public static final int L0 = 3;
    public static final int M0 = 4;
    private static final int N0 = 4;
    private static final String O0 = "instance";
    private static final String P0 = "name";
    private static final String Q0 = "id";
    private static final String R0 = "itemId";
    private static final int[] S0 = {2, 1, 3, 4};
    private static final PathMotion T0 = new a();
    private static ThreadLocal<b.b.a<Animator, d>> U0 = new ThreadLocal<>();

    /* renamed from: a  reason: collision with root package name */
    private static final String f4164a = "Transition";

    /* renamed from: b  reason: collision with root package name */
    static final boolean f4165b = false;
    private PathMotion A1 = T0;
    private String V0 = getClass().getName();
    private long W0 = -1;
    long X0 = -1;
    private TimeInterpolator Y0 = null;
    ArrayList<Integer> Z0 = new ArrayList<>();
    ArrayList<View> a1 = new ArrayList<>();
    private ArrayList<String> b1 = null;
    private ArrayList<Class<?>> c1 = null;
    private ArrayList<Integer> d1 = null;
    private ArrayList<View> e1 = null;
    private ArrayList<Class<?>> f1 = null;
    private ArrayList<String> g1 = null;
    private ArrayList<Integer> h1 = null;
    private ArrayList<View> i1 = null;
    private ArrayList<Class<?>> j1 = null;
    private a0 k1 = new a0();
    private a0 l1 = new a0();
    TransitionSet m1 = null;
    private int[] n1 = S0;
    private ArrayList<z> o1;
    private ArrayList<z> p1;
    boolean q1 = false;
    ArrayList<Animator> r1 = new ArrayList<>();
    private int s1 = 0;
    private boolean t1 = false;
    private boolean u1 = false;
    private ArrayList<g> v1 = null;
    private ArrayList<Animator> w1 = new ArrayList<>();
    x x1;
    private f y1;
    private b.b.a<String, String> z1;

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public @interface MatchOrder {
    }

    class a extends PathMotion {
        a() {
        }

        @Override // androidx.transition.PathMotion
        public Path a(float f, float f2, float f3, float f4) {
            Path path = new Path();
            path.moveTo(f, f2);
            path.lineTo(f3, f4);
            return path;
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ b.b.a f4166a;

        b(b.b.a aVar) {
            this.f4166a = aVar;
        }

        public void onAnimationEnd(Animator animator) {
            this.f4166a.remove(animator);
            Transition.this.r1.remove(animator);
        }

        public void onAnimationStart(Animator animator) {
            Transition.this.r1.add(animator);
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends AnimatorListenerAdapter {
        c() {
        }

        public void onAnimationEnd(Animator animator) {
            Transition.this.y();
            animator.removeListener(this);
        }
    }

    /* access modifiers changed from: private */
    public static class d {

        /* renamed from: a  reason: collision with root package name */
        View f4169a;

        /* renamed from: b  reason: collision with root package name */
        String f4170b;

        /* renamed from: c  reason: collision with root package name */
        z f4171c;

        /* renamed from: d  reason: collision with root package name */
        u0 f4172d;

        /* renamed from: e  reason: collision with root package name */
        Transition f4173e;

        d(View view, String str, Transition transition, u0 u0Var, z zVar) {
            this.f4169a = view;
            this.f4170b = str;
            this.f4171c = zVar;
            this.f4172d = u0Var;
            this.f4173e = transition;
        }
    }

    /* access modifiers changed from: private */
    public static class e {
        private e() {
        }

        static <T> ArrayList<T> a(ArrayList<T> arrayList, T t) {
            if (arrayList == null) {
                arrayList = new ArrayList<>();
            }
            if (!arrayList.contains(t)) {
                arrayList.add(t);
            }
            return arrayList;
        }

        static <T> ArrayList<T> b(ArrayList<T> arrayList, T t) {
            if (arrayList == null) {
                return arrayList;
            }
            arrayList.remove(t);
            if (arrayList.isEmpty()) {
                return null;
            }
            return arrayList;
        }
    }

    public static abstract class f {
        public abstract Rect a(@NonNull Transition transition);
    }

    public interface g {
        void a(@NonNull Transition transition);

        void b(@NonNull Transition transition);

        void c(@NonNull Transition transition);

        void d(@NonNull Transition transition);

        void e(@NonNull Transition transition);
    }

    public Transition() {
    }

    private ArrayList<Integer> C(ArrayList<Integer> arrayList, int i, boolean z) {
        if (i <= 0) {
            return arrayList;
        }
        if (z) {
            return e.a(arrayList, Integer.valueOf(i));
        }
        return e.b(arrayList, Integer.valueOf(i));
    }

    private static <T> ArrayList<T> D(ArrayList<T> arrayList, T t, boolean z) {
        if (t == null) {
            return arrayList;
        }
        if (z) {
            return e.a(arrayList, t);
        }
        return e.b(arrayList, t);
    }

    private ArrayList<Class<?>> I(ArrayList<Class<?>> arrayList, Class<?> cls, boolean z) {
        if (cls == null) {
            return arrayList;
        }
        if (z) {
            return e.a(arrayList, cls);
        }
        return e.b(arrayList, cls);
    }

    private ArrayList<View> J(ArrayList<View> arrayList, View view, boolean z) {
        if (view == null) {
            return arrayList;
        }
        if (z) {
            return e.a(arrayList, view);
        }
        return e.b(arrayList, view);
    }

    private static b.b.a<Animator, d> U() {
        b.b.a<Animator, d> aVar = U0.get();
        if (aVar != null) {
            return aVar;
        }
        b.b.a<Animator, d> aVar2 = new b.b.a<>();
        U0.set(aVar2);
        return aVar2;
    }

    private static boolean d0(int i) {
        return i >= 1 && i <= 4;
    }

    private void f(b.b.a<View, z> aVar, b.b.a<View, z> aVar2) {
        for (int i = 0; i < aVar.size(); i++) {
            z m = aVar.m(i);
            if (f0(m.f4308b)) {
                this.o1.add(m);
                this.p1.add(null);
            }
        }
        for (int i2 = 0; i2 < aVar2.size(); i2++) {
            z m2 = aVar2.m(i2);
            if (f0(m2.f4308b)) {
                this.p1.add(m2);
                this.o1.add(null);
            }
        }
    }

    private static boolean g0(z zVar, z zVar2, String str) {
        Object obj = zVar.f4307a.get(str);
        Object obj2 = zVar2.f4307a.get(str);
        if (obj == null && obj2 == null) {
            return false;
        }
        if (obj == null || obj2 == null) {
            return true;
        }
        return true ^ obj.equals(obj2);
    }

    private static void h(a0 a0Var, View view, z zVar) {
        a0Var.f4186a.put(view, zVar);
        int id = view.getId();
        if (id >= 0) {
            if (a0Var.f4187b.indexOfKey(id) >= 0) {
                a0Var.f4187b.put(id, null);
            } else {
                a0Var.f4187b.put(id, view);
            }
        }
        String transitionName = ViewCompat.getTransitionName(view);
        if (transitionName != null) {
            if (a0Var.f4189d.containsKey(transitionName)) {
                a0Var.f4189d.put(transitionName, null);
            } else {
                a0Var.f4189d.put(transitionName, view);
            }
        }
        if (view.getParent() instanceof ListView) {
            ListView listView = (ListView) view.getParent();
            if (listView.getAdapter().hasStableIds()) {
                long itemIdAtPosition = listView.getItemIdAtPosition(listView.getPositionForView(view));
                if (a0Var.f4188c.p(itemIdAtPosition) >= 0) {
                    View m = a0Var.f4188c.m(itemIdAtPosition);
                    if (m != null) {
                        ViewCompat.setHasTransientState(m, false);
                        a0Var.f4188c.t(itemIdAtPosition, null);
                        return;
                    }
                    return;
                }
                ViewCompat.setHasTransientState(view, true);
                a0Var.f4188c.t(itemIdAtPosition, view);
            }
        }
    }

    private void h0(b.b.a<View, z> aVar, b.b.a<View, z> aVar2, SparseArray<View> sparseArray, SparseArray<View> sparseArray2) {
        View view;
        int size = sparseArray.size();
        for (int i = 0; i < size; i++) {
            View valueAt = sparseArray.valueAt(i);
            if (valueAt != null && f0(valueAt) && (view = sparseArray2.get(sparseArray.keyAt(i))) != null && f0(view)) {
                z zVar = aVar.get(valueAt);
                z zVar2 = aVar2.get(view);
                if (!(zVar == null || zVar2 == null)) {
                    this.o1.add(zVar);
                    this.p1.add(zVar2);
                    aVar.remove(valueAt);
                    aVar2.remove(view);
                }
            }
        }
    }

    private void i0(b.b.a<View, z> aVar, b.b.a<View, z> aVar2) {
        z remove;
        for (int size = aVar.size() - 1; size >= 0; size--) {
            View i = aVar.i(size);
            if (i != null && f0(i) && (remove = aVar2.remove(i)) != null && f0(remove.f4308b)) {
                this.o1.add(aVar.k(size));
                this.p1.add(remove);
            }
        }
    }

    private void j0(b.b.a<View, z> aVar, b.b.a<View, z> aVar2, b.b.f<View> fVar, b.b.f<View> fVar2) {
        View m;
        int C = fVar.C();
        for (int i = 0; i < C; i++) {
            View D = fVar.D(i);
            if (D != null && f0(D) && (m = fVar2.m(fVar.s(i))) != null && f0(m)) {
                z zVar = aVar.get(D);
                z zVar2 = aVar2.get(m);
                if (!(zVar == null || zVar2 == null)) {
                    this.o1.add(zVar);
                    this.p1.add(zVar2);
                    aVar.remove(D);
                    aVar2.remove(m);
                }
            }
        }
    }

    private void k0(b.b.a<View, z> aVar, b.b.a<View, z> aVar2, b.b.a<String, View> aVar3, b.b.a<String, View> aVar4) {
        View view;
        int size = aVar3.size();
        for (int i = 0; i < size; i++) {
            View m = aVar3.m(i);
            if (m != null && f0(m) && (view = aVar4.get(aVar3.i(i))) != null && f0(view)) {
                z zVar = aVar.get(m);
                z zVar2 = aVar2.get(view);
                if (!(zVar == null || zVar2 == null)) {
                    this.o1.add(zVar);
                    this.p1.add(zVar2);
                    aVar.remove(m);
                    aVar2.remove(view);
                }
            }
        }
    }

    private void l0(a0 a0Var, a0 a0Var2) {
        b.b.a<View, z> aVar = new b.b.a<>(a0Var.f4186a);
        b.b.a<View, z> aVar2 = new b.b.a<>(a0Var2.f4186a);
        int i = 0;
        while (true) {
            int[] iArr = this.n1;
            if (i < iArr.length) {
                int i2 = iArr[i];
                if (i2 == 1) {
                    i0(aVar, aVar2);
                } else if (i2 == 2) {
                    k0(aVar, aVar2, a0Var.f4189d, a0Var2.f4189d);
                } else if (i2 == 3) {
                    h0(aVar, aVar2, a0Var.f4187b, a0Var2.f4187b);
                } else if (i2 == 4) {
                    j0(aVar, aVar2, a0Var.f4188c, a0Var2.f4188c);
                }
                i++;
            } else {
                f(aVar, aVar2);
                return;
            }
        }
    }

    private static boolean m(int[] iArr, int i) {
        int i2 = iArr[i];
        for (int i3 = 0; i3 < i; i3++) {
            if (iArr[i3] == i2) {
                return true;
            }
        }
        return false;
    }

    private static int[] m0(String str) {
        StringTokenizer stringTokenizer = new StringTokenizer(str, ",");
        int[] iArr = new int[stringTokenizer.countTokens()];
        int i = 0;
        while (stringTokenizer.hasMoreTokens()) {
            String trim = stringTokenizer.nextToken().trim();
            if ("id".equalsIgnoreCase(trim)) {
                iArr[i] = 3;
            } else if (O0.equalsIgnoreCase(trim)) {
                iArr[i] = 1;
            } else if ("name".equalsIgnoreCase(trim)) {
                iArr[i] = 2;
            } else if (R0.equalsIgnoreCase(trim)) {
                iArr[i] = 4;
            } else if (trim.isEmpty()) {
                int[] iArr2 = new int[(iArr.length - 1)];
                System.arraycopy(iArr, 0, iArr2, 0, i);
                i--;
                iArr = iArr2;
            } else {
                throw new InflateException("Unknown match type in matchOrder: '" + trim + "'");
            }
            i++;
        }
        return iArr;
    }

    private void q(View view, boolean z) {
        if (view != null) {
            int id = view.getId();
            ArrayList<Integer> arrayList = this.d1;
            if (arrayList == null || !arrayList.contains(Integer.valueOf(id))) {
                ArrayList<View> arrayList2 = this.e1;
                if (arrayList2 == null || !arrayList2.contains(view)) {
                    ArrayList<Class<?>> arrayList3 = this.f1;
                    if (arrayList3 != null) {
                        int size = arrayList3.size();
                        for (int i = 0; i < size; i++) {
                            if (this.f1.get(i).isInstance(view)) {
                                return;
                            }
                        }
                    }
                    if (view.getParent() instanceof ViewGroup) {
                        z zVar = new z(view);
                        if (z) {
                            s(zVar);
                        } else {
                            p(zVar);
                        }
                        zVar.f4309c.add(this);
                        r(zVar);
                        if (z) {
                            h(this.k1, view, zVar);
                        } else {
                            h(this.l1, view, zVar);
                        }
                    }
                    if (view instanceof ViewGroup) {
                        ArrayList<Integer> arrayList4 = this.h1;
                        if (arrayList4 == null || !arrayList4.contains(Integer.valueOf(id))) {
                            ArrayList<View> arrayList5 = this.i1;
                            if (arrayList5 == null || !arrayList5.contains(view)) {
                                ArrayList<Class<?>> arrayList6 = this.j1;
                                if (arrayList6 != null) {
                                    int size2 = arrayList6.size();
                                    for (int i2 = 0; i2 < size2; i2++) {
                                        if (this.j1.get(i2).isInstance(view)) {
                                            return;
                                        }
                                    }
                                }
                                ViewGroup viewGroup = (ViewGroup) view;
                                for (int i3 = 0; i3 < viewGroup.getChildCount(); i3++) {
                                    q(viewGroup.getChildAt(i3), z);
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    private void w0(Animator animator, b.b.a<Animator, d> aVar) {
        if (animator != null) {
            animator.addListener(new b(aVar));
            n(animator);
        }
    }

    @NonNull
    public Transition A(@NonNull View view, boolean z) {
        this.i1 = J(this.i1, view, z);
        return this;
    }

    @NonNull
    public Transition A0(long j) {
        this.X0 = j;
        return this;
    }

    @NonNull
    public Transition B(@NonNull Class<?> cls, boolean z) {
        this.j1 = I(this.j1, cls, z);
        return this;
    }

    public void B0(@Nullable f fVar) {
        this.y1 = fVar;
    }

    @NonNull
    public Transition C0(@Nullable TimeInterpolator timeInterpolator) {
        this.Y0 = timeInterpolator;
        return this;
    }

    public void D0(int... iArr) {
        if (iArr == null || iArr.length == 0) {
            this.n1 = S0;
            return;
        }
        for (int i = 0; i < iArr.length; i++) {
            if (!d0(iArr[i])) {
                throw new IllegalArgumentException("matches contains invalid value");
            } else if (m(iArr, i)) {
                throw new IllegalArgumentException("matches contains a duplicate value");
            }
        }
        this.n1 = (int[]) iArr.clone();
    }

    @NonNull
    public Transition E(@IdRes int i, boolean z) {
        this.d1 = C(this.d1, i, z);
        return this;
    }

    public void E0(@Nullable PathMotion pathMotion) {
        if (pathMotion == null) {
            this.A1 = T0;
        } else {
            this.A1 = pathMotion;
        }
    }

    @NonNull
    public Transition F(@NonNull View view, boolean z) {
        this.e1 = J(this.e1, view, z);
        return this;
    }

    public void F0(@Nullable x xVar) {
        this.x1 = xVar;
    }

    @NonNull
    public Transition G(@NonNull Class<?> cls, boolean z) {
        this.f1 = I(this.f1, cls, z);
        return this;
    }

    @NonNull
    public Transition G0(long j) {
        this.W0 = j;
        return this;
    }

    @NonNull
    public Transition H(@NonNull String str, boolean z) {
        this.g1 = D(this.g1, str, z);
        return this;
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void H0() {
        if (this.s1 == 0) {
            ArrayList<g> arrayList = this.v1;
            if (arrayList != null && arrayList.size() > 0) {
                ArrayList arrayList2 = (ArrayList) this.v1.clone();
                int size = arrayList2.size();
                for (int i = 0; i < size; i++) {
                    ((g) arrayList2.get(i)).a(this);
                }
            }
            this.u1 = false;
        }
        this.s1++;
    }

    /* access modifiers changed from: package-private */
    public String I0(String str) {
        String str2 = str + getClass().getSimpleName() + "@" + Integer.toHexString(hashCode()) + ": ";
        if (this.X0 != -1) {
            str2 = str2 + "dur(" + this.X0 + ") ";
        }
        if (this.W0 != -1) {
            str2 = str2 + "dly(" + this.W0 + ") ";
        }
        if (this.Y0 != null) {
            str2 = str2 + "interp(" + this.Y0 + ") ";
        }
        if (this.Z0.size() <= 0 && this.a1.size() <= 0) {
            return str2;
        }
        String str3 = str2 + "tgts(";
        if (this.Z0.size() > 0) {
            for (int i = 0; i < this.Z0.size(); i++) {
                if (i > 0) {
                    str3 = str3 + ", ";
                }
                str3 = str3 + this.Z0.get(i);
            }
        }
        if (this.a1.size() > 0) {
            for (int i2 = 0; i2 < this.a1.size(); i2++) {
                if (i2 > 0) {
                    str3 = str3 + ", ";
                }
                str3 = str3 + this.a1.get(i2);
            }
        }
        return str3 + ")";
    }

    /* access modifiers changed from: package-private */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void K(ViewGroup viewGroup) {
        b.b.a<Animator, d> U = U();
        int size = U.size();
        if (!(viewGroup == null || size == 0)) {
            u0 d2 = k0.d(viewGroup);
            b.b.a aVar = new b.b.a(U);
            U.clear();
            for (int i = size - 1; i >= 0; i--) {
                d dVar = (d) aVar.m(i);
                if (!(dVar.f4169a == null || d2 == null || !d2.equals(dVar.f4172d))) {
                    ((Animator) aVar.i(i)).end();
                }
            }
        }
    }

    public long L() {
        return this.X0;
    }

    @Nullable
    public Rect M() {
        f fVar = this.y1;
        if (fVar == null) {
            return null;
        }
        return fVar.a(this);
    }

    @Nullable
    public f N() {
        return this.y1;
    }

    @Nullable
    public TimeInterpolator O() {
        return this.Y0;
    }

    /* access modifiers changed from: package-private */
    public z P(View view, boolean z) {
        TransitionSet transitionSet = this.m1;
        if (transitionSet != null) {
            return transitionSet.P(view, z);
        }
        ArrayList<z> arrayList = z ? this.o1 : this.p1;
        if (arrayList == null) {
            return null;
        }
        int size = arrayList.size();
        int i = -1;
        int i2 = 0;
        while (true) {
            if (i2 >= size) {
                break;
            }
            z zVar = arrayList.get(i2);
            if (zVar == null) {
                return null;
            }
            if (zVar.f4308b == view) {
                i = i2;
                break;
            }
            i2++;
        }
        if (i < 0) {
            return null;
        }
        return (z ? this.p1 : this.o1).get(i);
    }

    @NonNull
    public String R() {
        return this.V0;
    }

    @NonNull
    public PathMotion S() {
        return this.A1;
    }

    @Nullable
    public x T() {
        return this.x1;
    }

    public long V() {
        return this.W0;
    }

    @NonNull
    public List<Integer> W() {
        return this.Z0;
    }

    @Nullable
    public List<String> X() {
        return this.b1;
    }

    @Nullable
    public List<Class<?>> Y() {
        return this.c1;
    }

    @NonNull
    public List<View> Z() {
        return this.a1;
    }

    @NonNull
    public Transition a(@NonNull g gVar) {
        if (this.v1 == null) {
            this.v1 = new ArrayList<>();
        }
        this.v1.add(gVar);
        return this;
    }

    @Nullable
    public String[] a0() {
        return null;
    }

    @NonNull
    public Transition b(@IdRes int i) {
        if (i != 0) {
            this.Z0.add(Integer.valueOf(i));
        }
        return this;
    }

    @Nullable
    public z b0(@NonNull View view, boolean z) {
        TransitionSet transitionSet = this.m1;
        if (transitionSet != null) {
            return transitionSet.b0(view, z);
        }
        return (z ? this.k1 : this.l1).f4186a.get(view);
    }

    @NonNull
    public Transition c(@NonNull View view) {
        this.a1.add(view);
        return this;
    }

    public boolean c0(@Nullable z zVar, @Nullable z zVar2) {
        if (zVar == null || zVar2 == null) {
            return false;
        }
        String[] a0 = a0();
        if (a0 != null) {
            for (String str : a0) {
                if (!g0(zVar, zVar2, str)) {
                }
            }
            return false;
        }
        for (String str2 : zVar.f4307a.keySet()) {
            if (g0(zVar, zVar2, str2)) {
            }
        }
        return false;
        return true;
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void cancel() {
        for (int size = this.r1.size() - 1; size >= 0; size--) {
            this.r1.get(size).cancel();
        }
        ArrayList<g> arrayList = this.v1;
        if (arrayList != null && arrayList.size() > 0) {
            ArrayList arrayList2 = (ArrayList) this.v1.clone();
            int size2 = arrayList2.size();
            for (int i = 0; i < size2; i++) {
                ((g) arrayList2.get(i)).d(this);
            }
        }
    }

    @NonNull
    public Transition d(@NonNull Class<?> cls) {
        if (this.c1 == null) {
            this.c1 = new ArrayList<>();
        }
        this.c1.add(cls);
        return this;
    }

    @NonNull
    public Transition e(@NonNull String str) {
        if (this.b1 == null) {
            this.b1 = new ArrayList<>();
        }
        this.b1.add(str);
        return this;
    }

    /* access modifiers changed from: package-private */
    public boolean f0(View view) {
        ArrayList<Class<?>> arrayList;
        ArrayList<String> arrayList2;
        int id = view.getId();
        ArrayList<Integer> arrayList3 = this.d1;
        if (arrayList3 != null && arrayList3.contains(Integer.valueOf(id))) {
            return false;
        }
        ArrayList<View> arrayList4 = this.e1;
        if (arrayList4 != null && arrayList4.contains(view)) {
            return false;
        }
        ArrayList<Class<?>> arrayList5 = this.f1;
        if (arrayList5 != null) {
            int size = arrayList5.size();
            for (int i = 0; i < size; i++) {
                if (this.f1.get(i).isInstance(view)) {
                    return false;
                }
            }
        }
        if (!(this.g1 == null || ViewCompat.getTransitionName(view) == null || !this.g1.contains(ViewCompat.getTransitionName(view)))) {
            return false;
        }
        if ((this.Z0.size() == 0 && this.a1.size() == 0 && (((arrayList = this.c1) == null || arrayList.isEmpty()) && ((arrayList2 = this.b1) == null || arrayList2.isEmpty()))) || this.Z0.contains(Integer.valueOf(id)) || this.a1.contains(view)) {
            return true;
        }
        ArrayList<String> arrayList6 = this.b1;
        if (arrayList6 != null && arrayList6.contains(ViewCompat.getTransitionName(view))) {
            return true;
        }
        if (this.c1 != null) {
            for (int i2 = 0; i2 < this.c1.size(); i2++) {
                if (this.c1.get(i2).isInstance(view)) {
                    return true;
                }
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void n(Animator animator) {
        if (animator == null) {
            y();
            return;
        }
        if (L() >= 0) {
            animator.setDuration(L());
        }
        if (V() >= 0) {
            animator.setStartDelay(V() + animator.getStartDelay());
        }
        if (O() != null) {
            animator.setInterpolator(O());
        }
        animator.addListener(new c());
        animator.start();
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void n0(View view) {
        if (!this.u1) {
            for (int size = this.r1.size() - 1; size >= 0; size--) {
                a.b(this.r1.get(size));
            }
            ArrayList<g> arrayList = this.v1;
            if (arrayList != null && arrayList.size() > 0) {
                ArrayList arrayList2 = (ArrayList) this.v1.clone();
                int size2 = arrayList2.size();
                for (int i = 0; i < size2; i++) {
                    ((g) arrayList2.get(i)).b(this);
                }
            }
            this.t1 = true;
        }
    }

    public abstract void p(@NonNull z zVar);

    /* access modifiers changed from: package-private */
    public void p0(ViewGroup viewGroup) {
        d dVar;
        this.o1 = new ArrayList<>();
        this.p1 = new ArrayList<>();
        l0(this.k1, this.l1);
        b.b.a<Animator, d> U = U();
        int size = U.size();
        u0 d2 = k0.d(viewGroup);
        for (int i = size - 1; i >= 0; i--) {
            Animator i2 = U.i(i);
            if (!(i2 == null || (dVar = U.get(i2)) == null || dVar.f4169a == null || !d2.equals(dVar.f4172d))) {
                z zVar = dVar.f4171c;
                View view = dVar.f4169a;
                z b0 = b0(view, true);
                z P = P(view, true);
                if (b0 == null && P == null) {
                    P = this.l1.f4186a.get(view);
                }
                if (!(b0 == null && P == null) && dVar.f4173e.c0(zVar, P)) {
                    if (i2.isRunning() || i2.isStarted()) {
                        i2.cancel();
                    } else {
                        U.remove(i2);
                    }
                }
            }
        }
        x(viewGroup, this.k1, this.l1, this.o1, this.p1);
        y0();
    }

    @NonNull
    public Transition q0(@NonNull g gVar) {
        ArrayList<g> arrayList = this.v1;
        if (arrayList == null) {
            return this;
        }
        arrayList.remove(gVar);
        if (this.v1.size() == 0) {
            this.v1 = null;
        }
        return this;
    }

    /* access modifiers changed from: package-private */
    public void r(z zVar) {
        String[] b2;
        if (this.x1 != null && !zVar.f4307a.isEmpty() && (b2 = this.x1.b()) != null) {
            boolean z = false;
            int i = 0;
            while (true) {
                if (i >= b2.length) {
                    z = true;
                    break;
                } else if (!zVar.f4307a.containsKey(b2[i])) {
                    break;
                } else {
                    i++;
                }
            }
            if (!z) {
                this.x1.a(zVar);
            }
        }
    }

    @NonNull
    public Transition r0(@IdRes int i) {
        if (i != 0) {
            this.Z0.remove(Integer.valueOf(i));
        }
        return this;
    }

    public abstract void s(@NonNull z zVar);

    @NonNull
    public Transition s0(@NonNull View view) {
        this.a1.remove(view);
        return this;
    }

    /* access modifiers changed from: package-private */
    public void t(ViewGroup viewGroup, boolean z) {
        b.b.a<String, String> aVar;
        ArrayList<String> arrayList;
        ArrayList<Class<?>> arrayList2;
        u(z);
        if ((this.Z0.size() > 0 || this.a1.size() > 0) && (((arrayList = this.b1) == null || arrayList.isEmpty()) && ((arrayList2 = this.c1) == null || arrayList2.isEmpty()))) {
            for (int i = 0; i < this.Z0.size(); i++) {
                View findViewById = viewGroup.findViewById(this.Z0.get(i).intValue());
                if (findViewById != null) {
                    z zVar = new z(findViewById);
                    if (z) {
                        s(zVar);
                    } else {
                        p(zVar);
                    }
                    zVar.f4309c.add(this);
                    r(zVar);
                    if (z) {
                        h(this.k1, findViewById, zVar);
                    } else {
                        h(this.l1, findViewById, zVar);
                    }
                }
            }
            for (int i2 = 0; i2 < this.a1.size(); i2++) {
                View view = this.a1.get(i2);
                z zVar2 = new z(view);
                if (z) {
                    s(zVar2);
                } else {
                    p(zVar2);
                }
                zVar2.f4309c.add(this);
                r(zVar2);
                if (z) {
                    h(this.k1, view, zVar2);
                } else {
                    h(this.l1, view, zVar2);
                }
            }
        } else {
            q(viewGroup, z);
        }
        if (!(z || (aVar = this.z1) == null)) {
            int size = aVar.size();
            ArrayList arrayList3 = new ArrayList(size);
            for (int i3 = 0; i3 < size; i3++) {
                arrayList3.add(this.k1.f4189d.remove(this.z1.i(i3)));
            }
            for (int i4 = 0; i4 < size; i4++) {
                View view2 = (View) arrayList3.get(i4);
                if (view2 != null) {
                    this.k1.f4189d.put(this.z1.m(i4), view2);
                }
            }
        }
    }

    @NonNull
    public Transition t0(@NonNull Class<?> cls) {
        ArrayList<Class<?>> arrayList = this.c1;
        if (arrayList != null) {
            arrayList.remove(cls);
        }
        return this;
    }

    public String toString() {
        return I0("");
    }

    /* access modifiers changed from: package-private */
    public void u(boolean z) {
        if (z) {
            this.k1.f4186a.clear();
            this.k1.f4187b.clear();
            this.k1.f4188c.b();
            return;
        }
        this.l1.f4186a.clear();
        this.l1.f4187b.clear();
        this.l1.f4188c.b();
    }

    @NonNull
    public Transition u0(@NonNull String str) {
        ArrayList<String> arrayList = this.b1;
        if (arrayList != null) {
            arrayList.remove(str);
        }
        return this;
    }

    /* renamed from: v */
    public Transition clone() {
        try {
            Transition transition = (Transition) super.clone();
            transition.w1 = new ArrayList<>();
            transition.k1 = new a0();
            transition.l1 = new a0();
            transition.o1 = null;
            transition.p1 = null;
            return transition;
        } catch (CloneNotSupportedException unused) {
            return null;
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void v0(View view) {
        if (this.t1) {
            if (!this.u1) {
                for (int size = this.r1.size() - 1; size >= 0; size--) {
                    a.c(this.r1.get(size));
                }
                ArrayList<g> arrayList = this.v1;
                if (arrayList != null && arrayList.size() > 0) {
                    ArrayList arrayList2 = (ArrayList) this.v1.clone();
                    int size2 = arrayList2.size();
                    for (int i = 0; i < size2; i++) {
                        ((g) arrayList2.get(i)).e(this);
                    }
                }
            }
            this.t1 = false;
        }
    }

    @Nullable
    public Animator w(@NonNull ViewGroup viewGroup, @Nullable z zVar, @Nullable z zVar2) {
        return null;
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void x(ViewGroup viewGroup, a0 a0Var, a0 a0Var2, ArrayList<z> arrayList, ArrayList<z> arrayList2) {
        int i;
        int i2;
        Animator w;
        View view;
        Animator animator;
        z zVar;
        z zVar2;
        Animator animator2;
        b.b.a<Animator, d> U = U();
        SparseIntArray sparseIntArray = new SparseIntArray();
        int size = arrayList.size();
        long j = Long.MAX_VALUE;
        int i3 = 0;
        while (i3 < size) {
            z zVar3 = arrayList.get(i3);
            z zVar4 = arrayList2.get(i3);
            if (zVar3 != null && !zVar3.f4309c.contains(this)) {
                zVar3 = null;
            }
            if (zVar4 != null && !zVar4.f4309c.contains(this)) {
                zVar4 = null;
            }
            if (!(zVar3 == null && zVar4 == null)) {
                if ((zVar3 == null || zVar4 == null || c0(zVar3, zVar4)) && (w = w(viewGroup, zVar3, zVar4)) != null) {
                    if (zVar4 != null) {
                        view = zVar4.f4308b;
                        String[] a0 = a0();
                        if (a0 != null && a0.length > 0) {
                            zVar2 = new z(view);
                            i2 = size;
                            z zVar5 = a0Var2.f4186a.get(view);
                            if (zVar5 != null) {
                                int i4 = 0;
                                while (i4 < a0.length) {
                                    zVar2.f4307a.put(a0[i4], zVar5.f4307a.get(a0[i4]));
                                    i4++;
                                    i3 = i3;
                                    zVar5 = zVar5;
                                }
                            }
                            i = i3;
                            int size2 = U.size();
                            int i5 = 0;
                            while (true) {
                                if (i5 >= size2) {
                                    animator2 = w;
                                    break;
                                }
                                d dVar = U.get(U.i(i5));
                                if (dVar.f4171c != null && dVar.f4169a == view && dVar.f4170b.equals(R()) && dVar.f4171c.equals(zVar2)) {
                                    animator2 = null;
                                    break;
                                }
                                i5++;
                            }
                        } else {
                            i2 = size;
                            i = i3;
                            animator2 = w;
                            zVar2 = null;
                        }
                        animator = animator2;
                        zVar = zVar2;
                    } else {
                        i2 = size;
                        i = i3;
                        view = zVar3.f4308b;
                        animator = w;
                        zVar = null;
                    }
                    if (animator != null) {
                        x xVar = this.x1;
                        if (xVar != null) {
                            long c2 = xVar.c(viewGroup, this, zVar3, zVar4);
                            sparseIntArray.put(this.w1.size(), (int) c2);
                            j = Math.min(c2, j);
                        }
                        U.put(animator, new d(view, R(), this, k0.d(viewGroup), zVar));
                        this.w1.add(animator);
                        j = j;
                    }
                    i3 = i + 1;
                    size = i2;
                }
            }
            i2 = size;
            i = i3;
            i3 = i + 1;
            size = i2;
        }
        if (sparseIntArray.size() != 0) {
            for (int i6 = 0; i6 < sparseIntArray.size(); i6++) {
                Animator animator3 = this.w1.get(sparseIntArray.keyAt(i6));
                animator3.setStartDelay((((long) sparseIntArray.valueAt(i6)) - j) + animator3.getStartDelay());
            }
        }
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void y() {
        int i = this.s1 - 1;
        this.s1 = i;
        if (i == 0) {
            ArrayList<g> arrayList = this.v1;
            if (arrayList != null && arrayList.size() > 0) {
                ArrayList arrayList2 = (ArrayList) this.v1.clone();
                int size = arrayList2.size();
                for (int i2 = 0; i2 < size; i2++) {
                    ((g) arrayList2.get(i2)).c(this);
                }
            }
            for (int i3 = 0; i3 < this.k1.f4188c.C(); i3++) {
                View D = this.k1.f4188c.D(i3);
                if (D != null) {
                    ViewCompat.setHasTransientState(D, false);
                }
            }
            for (int i4 = 0; i4 < this.l1.f4188c.C(); i4++) {
                View D2 = this.l1.f4188c.D(i4);
                if (D2 != null) {
                    ViewCompat.setHasTransientState(D2, false);
                }
            }
            this.u1 = true;
        }
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public void y0() {
        H0();
        b.b.a<Animator, d> U = U();
        Iterator<Animator> it = this.w1.iterator();
        while (it.hasNext()) {
            Animator next = it.next();
            if (U.containsKey(next)) {
                H0();
                w0(next, U);
            }
        }
        this.w1.clear();
        y();
    }

    @NonNull
    public Transition z(@IdRes int i, boolean z) {
        this.h1 = C(this.h1, i, z);
        return this;
    }

    /* access modifiers changed from: package-private */
    public void z0(boolean z) {
        this.q1 = z;
    }

    @SuppressLint({"RestrictedApi"})
    public Transition(@NonNull Context context, @NonNull AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, t.f4261c);
        XmlResourceParser xmlResourceParser = (XmlResourceParser) attributeSet;
        long k = (long) h.k(obtainStyledAttributes, xmlResourceParser, w.h.f1707b, 1, -1);
        if (k >= 0) {
            A0(k);
        }
        long k2 = (long) h.k(obtainStyledAttributes, xmlResourceParser, "startDelay", 2, -1);
        if (k2 > 0) {
            G0(k2);
        }
        int l = h.l(obtainStyledAttributes, xmlResourceParser, "interpolator", 0, 0);
        if (l > 0) {
            C0(AnimationUtils.loadInterpolator(context, l));
        }
        String m = h.m(obtainStyledAttributes, xmlResourceParser, "matchOrder", 3);
        if (m != null) {
            D0(m0(m));
        }
        obtainStyledAttributes.recycle();
    }
}
