package androidx.transition;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.content.res.h;
import androidx.transition.Transition;
import androidx.transition.a;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public abstract class Visibility extends Transition {
    static final String B1 = "android:visibility:visibility";
    private static final String C1 = "android:visibility:parent";
    private static final String D1 = "android:visibility:screenLocation";
    public static final int E1 = 1;
    public static final int F1 = 2;
    private static final String[] G1 = {B1, C1};
    private int H1 = 3;

    @SuppressLint({"UniqueConstants"})
    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public @interface Mode {
    }

    /* access modifiers changed from: package-private */
    public class a extends v {
        final /* synthetic */ View I0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ViewGroup f4177a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ View f4178b;

        a(ViewGroup viewGroup, View view, View view2) {
            this.f4177a = viewGroup;
            this.f4178b = view;
            this.I0 = view2;
        }

        @Override // androidx.transition.Transition.g, androidx.transition.v
        public void b(@NonNull Transition transition) {
            f0.b(this.f4177a).d(this.f4178b);
        }

        @Override // androidx.transition.Transition.g, androidx.transition.v
        public void c(@NonNull Transition transition) {
            this.I0.setTag(R.id.save_overlay_view, null);
            f0.b(this.f4177a).d(this.f4178b);
            transition.q0(this);
        }

        @Override // androidx.transition.Transition.g, androidx.transition.v
        public void e(@NonNull Transition transition) {
            if (this.f4178b.getParent() == null) {
                f0.b(this.f4177a).c(this.f4178b);
            } else {
                Visibility.this.cancel();
            }
        }
    }

    /* access modifiers changed from: private */
    public static class b extends AnimatorListenerAdapter implements Transition.g, a.AbstractC0072a {
        private final ViewGroup I0;
        private final boolean J0;
        private boolean K0;
        boolean L0 = false;

        /* renamed from: a  reason: collision with root package name */
        private final View f4179a;

        /* renamed from: b  reason: collision with root package name */
        private final int f4180b;

        b(View view, int i, boolean z) {
            this.f4179a = view;
            this.f4180b = i;
            this.I0 = (ViewGroup) view.getParent();
            this.J0 = z;
            g(true);
        }

        private void f() {
            if (!this.L0) {
                k0.i(this.f4179a, this.f4180b);
                ViewGroup viewGroup = this.I0;
                if (viewGroup != null) {
                    viewGroup.invalidate();
                }
            }
            g(false);
        }

        private void g(boolean z) {
            ViewGroup viewGroup;
            if (this.J0 && this.K0 != z && (viewGroup = this.I0) != null) {
                this.K0 = z;
                f0.d(viewGroup, z);
            }
        }

        @Override // androidx.transition.Transition.g
        public void a(@NonNull Transition transition) {
        }

        @Override // androidx.transition.Transition.g
        public void b(@NonNull Transition transition) {
            g(false);
        }

        @Override // androidx.transition.Transition.g
        public void c(@NonNull Transition transition) {
            f();
            transition.q0(this);
        }

        @Override // androidx.transition.Transition.g
        public void d(@NonNull Transition transition) {
        }

        @Override // androidx.transition.Transition.g
        public void e(@NonNull Transition transition) {
            g(true);
        }

        public void onAnimationCancel(Animator animator) {
            this.L0 = true;
        }

        public void onAnimationEnd(Animator animator) {
            f();
        }

        @Override // androidx.transition.a.AbstractC0072a
        public void onAnimationPause(Animator animator) {
            if (!this.L0) {
                k0.i(this.f4179a, this.f4180b);
            }
        }

        public void onAnimationRepeat(Animator animator) {
        }

        @Override // androidx.transition.a.AbstractC0072a
        public void onAnimationResume(Animator animator) {
            if (!this.L0) {
                k0.i(this.f4179a, 0);
            }
        }

        public void onAnimationStart(Animator animator) {
        }
    }

    /* access modifiers changed from: private */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        boolean f4181a;

        /* renamed from: b  reason: collision with root package name */
        boolean f4182b;

        /* renamed from: c  reason: collision with root package name */
        int f4183c;

        /* renamed from: d  reason: collision with root package name */
        int f4184d;

        /* renamed from: e  reason: collision with root package name */
        ViewGroup f4185e;
        ViewGroup f;

        c() {
        }
    }

    public Visibility() {
    }

    private void J0(z zVar) {
        zVar.f4307a.put(B1, Integer.valueOf(zVar.f4308b.getVisibility()));
        zVar.f4307a.put(C1, zVar.f4308b.getParent());
        int[] iArr = new int[2];
        zVar.f4308b.getLocationOnScreen(iArr);
        zVar.f4307a.put(D1, iArr);
    }

    private c L0(z zVar, z zVar2) {
        c cVar = new c();
        cVar.f4181a = false;
        cVar.f4182b = false;
        if (zVar == null || !zVar.f4307a.containsKey(B1)) {
            cVar.f4183c = -1;
            cVar.f4185e = null;
        } else {
            cVar.f4183c = ((Integer) zVar.f4307a.get(B1)).intValue();
            cVar.f4185e = (ViewGroup) zVar.f4307a.get(C1);
        }
        if (zVar2 == null || !zVar2.f4307a.containsKey(B1)) {
            cVar.f4184d = -1;
            cVar.f = null;
        } else {
            cVar.f4184d = ((Integer) zVar2.f4307a.get(B1)).intValue();
            cVar.f = (ViewGroup) zVar2.f4307a.get(C1);
        }
        if (zVar != null && zVar2 != null) {
            int i = cVar.f4183c;
            int i2 = cVar.f4184d;
            if (i == i2 && cVar.f4185e == cVar.f) {
                return cVar;
            }
            if (i != i2) {
                if (i == 0) {
                    cVar.f4182b = false;
                    cVar.f4181a = true;
                } else if (i2 == 0) {
                    cVar.f4182b = true;
                    cVar.f4181a = true;
                }
            } else if (cVar.f == null) {
                cVar.f4182b = false;
                cVar.f4181a = true;
            } else if (cVar.f4185e == null) {
                cVar.f4182b = true;
                cVar.f4181a = true;
            }
        } else if (zVar == null && cVar.f4184d == 0) {
            cVar.f4182b = true;
            cVar.f4181a = true;
        } else if (zVar2 == null && cVar.f4183c == 0) {
            cVar.f4182b = false;
            cVar.f4181a = true;
        }
        return cVar;
    }

    public int K0() {
        return this.H1;
    }

    public boolean M0(z zVar) {
        if (zVar == null) {
            return false;
        }
        int intValue = ((Integer) zVar.f4307a.get(B1)).intValue();
        View view = (View) zVar.f4307a.get(C1);
        if (intValue != 0 || view == null) {
            return false;
        }
        return true;
    }

    @Nullable
    public Animator N0(ViewGroup viewGroup, View view, z zVar, z zVar2) {
        return null;
    }

    @Nullable
    public Animator O0(ViewGroup viewGroup, z zVar, int i, z zVar2, int i2) {
        if ((this.H1 & 1) != 1 || zVar2 == null) {
            return null;
        }
        if (zVar == null) {
            View view = (View) zVar2.f4308b.getParent();
            if (L0(P(view, false), b0(view, false)).f4181a) {
                return null;
            }
        }
        return N0(viewGroup, zVar2.f4308b, zVar, zVar2);
    }

    @Nullable
    public Animator P0(ViewGroup viewGroup, View view, z zVar, z zVar2) {
        return null;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:37:0x0089, code lost:
        if (r17.q1 != false) goto L_0x008b;
     */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x004a  */
    @Nullable
    public Animator Q0(ViewGroup viewGroup, z zVar, int i, z zVar2, int i2) {
        boolean z;
        View view;
        boolean z2;
        View view2;
        if ((this.H1 & 2) != 2 || zVar == null) {
            return null;
        }
        View view3 = zVar.f4308b;
        View view4 = zVar2 != null ? zVar2.f4308b : null;
        int i3 = R.id.save_overlay_view;
        View view5 = (View) view3.getTag(i3);
        if (view5 != null) {
            view = null;
            z = true;
        } else {
            if (view4 == null || view4.getParent() == null) {
                if (view4 != null) {
                    view2 = null;
                    z2 = false;
                    if (z2) {
                        if (view3.getParent() != null) {
                            if (view3.getParent() instanceof View) {
                                View view6 = (View) view3.getParent();
                                if (!L0(b0(view6, true), P(view6, true)).f4181a) {
                                    view4 = y.a(viewGroup, view3, view6);
                                } else {
                                    int id = view6.getId();
                                    if (view6.getParent() == null) {
                                        if (id != -1) {
                                            if (viewGroup.findViewById(id) != null) {
                                            }
                                        }
                                    }
                                }
                            }
                        }
                        view = view2;
                        z = false;
                        view5 = view3;
                    }
                    z = false;
                    view5 = view4;
                    view = view2;
                }
            } else if (i2 == 4 || view3 == view4) {
                view2 = view4;
                z2 = false;
                view4 = null;
                if (z2) {
                }
                z = false;
                view5 = view4;
                view = view2;
            }
            view4 = null;
            view2 = null;
            z2 = true;
            if (z2) {
            }
            z = false;
            view5 = view4;
            view = view2;
        }
        if (view5 != null) {
            if (!z) {
                int[] iArr = (int[]) zVar.f4307a.get(D1);
                int i4 = iArr[0];
                int i5 = iArr[1];
                int[] iArr2 = new int[2];
                viewGroup.getLocationOnScreen(iArr2);
                view5.offsetLeftAndRight((i4 - iArr2[0]) - view5.getLeft());
                view5.offsetTopAndBottom((i5 - iArr2[1]) - view5.getTop());
                f0.b(viewGroup).c(view5);
            }
            Animator P0 = P0(viewGroup, view5, zVar, zVar2);
            if (!z) {
                if (P0 == null) {
                    f0.b(viewGroup).d(view5);
                } else {
                    view3.setTag(i3, view5);
                    a(new a(viewGroup, view5, view3));
                }
            }
            return P0;
        } else if (view == null) {
            return null;
        } else {
            int visibility = view.getVisibility();
            k0.i(view, 0);
            Animator P02 = P0(viewGroup, view, zVar, zVar2);
            if (P02 != null) {
                b bVar = new b(view, i2, true);
                P02.addListener(bVar);
                a.a(P02, bVar);
                a(bVar);
            } else {
                k0.i(view, visibility);
            }
            return P02;
        }
    }

    public void R0(int i) {
        if ((i & -4) == 0) {
            this.H1 = i;
            return;
        }
        throw new IllegalArgumentException("Only MODE_IN and MODE_OUT flags are allowed");
    }

    @Override // androidx.transition.Transition
    @Nullable
    public String[] a0() {
        return G1;
    }

    @Override // androidx.transition.Transition
    public boolean c0(@Nullable z zVar, @Nullable z zVar2) {
        if (zVar == null && zVar2 == null) {
            return false;
        }
        if (zVar != null && zVar2 != null && zVar2.f4307a.containsKey(B1) != zVar.f4307a.containsKey(B1)) {
            return false;
        }
        c L0 = L0(zVar, zVar2);
        if (!L0.f4181a) {
            return false;
        }
        if (L0.f4183c == 0 || L0.f4184d == 0) {
            return true;
        }
        return false;
    }

    @Override // androidx.transition.Transition
    public void p(@NonNull z zVar) {
        J0(zVar);
    }

    @Override // androidx.transition.Transition
    public void s(@NonNull z zVar) {
        J0(zVar);
    }

    @Override // androidx.transition.Transition
    @Nullable
    public Animator w(@NonNull ViewGroup viewGroup, @Nullable z zVar, @Nullable z zVar2) {
        c L0 = L0(zVar, zVar2);
        if (!L0.f4181a) {
            return null;
        }
        if (L0.f4185e == null && L0.f == null) {
            return null;
        }
        if (L0.f4182b) {
            return O0(viewGroup, zVar, L0.f4183c, zVar2, L0.f4184d);
        }
        return Q0(viewGroup, zVar, L0.f4183c, zVar2, L0.f4184d);
    }

    @SuppressLint({"RestrictedApi"})
    public Visibility(@NonNull Context context, @NonNull AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, t.f4263e);
        int k = h.k(obtainStyledAttributes, (XmlResourceParser) attributeSet, "transitionVisibilityMode", 0, 0);
        obtainStyledAttributes.recycle();
        if (k != 0) {
            R0(k);
        }
    }
}
