package androidx.transition;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ObjectAnimator;
import android.animation.PropertyValuesHolder;
import android.animation.TimeInterpolator;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.transition.Transition;

/* compiled from: TranslationAnimationCreator */
class b0 {

    /* compiled from: TranslationAnimationCreator */
    private static class a extends AnimatorListenerAdapter implements Transition.g {
        private final int I0;
        private final int J0;
        private int[] K0;
        private float L0;
        private float M0;
        private final float N0;
        private final float O0;

        /* renamed from: a  reason: collision with root package name */
        private final View f4193a;

        /* renamed from: b  reason: collision with root package name */
        private final View f4194b;

        a(View view, View view2, int i, int i2, float f, float f2) {
            this.f4194b = view;
            this.f4193a = view2;
            this.I0 = i - Math.round(view.getTranslationX());
            this.J0 = i2 - Math.round(view.getTranslationY());
            this.N0 = f;
            this.O0 = f2;
            int i3 = R.id.transition_position;
            int[] iArr = (int[]) view2.getTag(i3);
            this.K0 = iArr;
            if (iArr != null) {
                view2.setTag(i3, null);
            }
        }

        @Override // androidx.transition.Transition.g
        public void a(@NonNull Transition transition) {
        }

        @Override // androidx.transition.Transition.g
        public void b(@NonNull Transition transition) {
        }

        @Override // androidx.transition.Transition.g
        public void c(@NonNull Transition transition) {
            this.f4194b.setTranslationX(this.N0);
            this.f4194b.setTranslationY(this.O0);
            transition.q0(this);
        }

        @Override // androidx.transition.Transition.g
        public void d(@NonNull Transition transition) {
        }

        @Override // androidx.transition.Transition.g
        public void e(@NonNull Transition transition) {
        }

        public void onAnimationCancel(Animator animator) {
            if (this.K0 == null) {
                this.K0 = new int[2];
            }
            this.K0[0] = Math.round(((float) this.I0) + this.f4194b.getTranslationX());
            this.K0[1] = Math.round(((float) this.J0) + this.f4194b.getTranslationY());
            this.f4193a.setTag(R.id.transition_position, this.K0);
        }

        public void onAnimationPause(Animator animator) {
            this.L0 = this.f4194b.getTranslationX();
            this.M0 = this.f4194b.getTranslationY();
            this.f4194b.setTranslationX(this.N0);
            this.f4194b.setTranslationY(this.O0);
        }

        public void onAnimationResume(Animator animator) {
            this.f4194b.setTranslationX(this.L0);
            this.f4194b.setTranslationY(this.M0);
        }
    }

    private b0() {
    }

    @Nullable
    static Animator a(@NonNull View view, @NonNull z zVar, int i, int i2, float f, float f2, float f3, float f4, @Nullable TimeInterpolator timeInterpolator, @NonNull Transition transition) {
        float f5;
        float f6;
        float translationX = view.getTranslationX();
        float translationY = view.getTranslationY();
        int[] iArr = (int[]) zVar.f4308b.getTag(R.id.transition_position);
        if (iArr != null) {
            f5 = ((float) (iArr[0] - i)) + translationX;
            f6 = ((float) (iArr[1] - i2)) + translationY;
        } else {
            f5 = f;
            f6 = f2;
        }
        int round = i + Math.round(f5 - translationX);
        int round2 = i2 + Math.round(f6 - translationY);
        view.setTranslationX(f5);
        view.setTranslationY(f6);
        if (f5 == f3 && f6 == f4) {
            return null;
        }
        ObjectAnimator ofPropertyValuesHolder = ObjectAnimator.ofPropertyValuesHolder(view, PropertyValuesHolder.ofFloat(View.TRANSLATION_X, f5, f3), PropertyValuesHolder.ofFloat(View.TRANSLATION_Y, f6, f4));
        a aVar = new a(view, zVar.f4308b, round, round2, translationX, translationY);
        transition.a(aVar);
        ofPropertyValuesHolder.addListener(aVar);
        a.a(ofPropertyValuesHolder, aVar);
        ofPropertyValuesHolder.setInterpolator(timeInterpolator);
        return ofPropertyValuesHolder;
    }
}
