package androidx.transition;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.util.AttributeSet;
import android.util.Xml;
import android.view.InflateException;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.constraintlayout.core.motion.h.w;
import androidx.core.content.res.h;
import b.b.a;
import java.io.IOException;
import java.lang.reflect.Constructor;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: TransitionInflater */
public class u {

    /* renamed from: a  reason: collision with root package name */
    private static final Class<?>[] f4288a = {Context.class, AttributeSet.class};

    /* renamed from: b  reason: collision with root package name */
    private static final a<String, Constructor<?>> f4289b = new a<>();

    /* renamed from: c  reason: collision with root package name */
    private final Context f4290c;

    private u(@NonNull Context context) {
        this.f4290c = context;
    }

    private Object a(AttributeSet attributeSet, Class<?> cls, String str) {
        Object newInstance;
        Class<? extends U> asSubclass;
        String attributeValue = attributeSet.getAttributeValue(null, "class");
        if (attributeValue != null) {
            try {
                a<String, Constructor<?>> aVar = f4289b;
                synchronized (aVar) {
                    Constructor<?> constructor = aVar.get(attributeValue);
                    if (constructor == null && (asSubclass = Class.forName(attributeValue, false, this.f4290c.getClassLoader()).asSubclass(cls)) != null) {
                        constructor = asSubclass.getConstructor(f4288a);
                        constructor.setAccessible(true);
                        aVar.put(attributeValue, constructor);
                    }
                    newInstance = constructor.newInstance(this.f4290c, attributeSet);
                }
                return newInstance;
            } catch (Exception e2) {
                throw new InflateException("Could not instantiate " + cls + " class " + attributeValue, e2);
            }
        } else {
            throw new InflateException(str + " tag must have a 'class' attribute");
        }
    }

    private Transition b(XmlPullParser xmlPullParser, AttributeSet attributeSet, Transition transition) throws XmlPullParserException, IOException {
        Transition transition2;
        int depth = xmlPullParser.getDepth();
        TransitionSet transitionSet = transition instanceof TransitionSet ? (TransitionSet) transition : null;
        loop0:
        while (true) {
            transition2 = null;
            while (true) {
                int next = xmlPullParser.next();
                if ((next != 3 || xmlPullParser.getDepth() > depth) && next != 1) {
                    if (next == 2) {
                        String name = xmlPullParser.getName();
                        if ("fade".equals(name)) {
                            transition2 = new Fade(this.f4290c, attributeSet);
                        } else if ("changeBounds".equals(name)) {
                            transition2 = new ChangeBounds(this.f4290c, attributeSet);
                        } else if ("slide".equals(name)) {
                            transition2 = new Slide(this.f4290c, attributeSet);
                        } else if ("explode".equals(name)) {
                            transition2 = new Explode(this.f4290c, attributeSet);
                        } else if ("changeImageTransform".equals(name)) {
                            transition2 = new ChangeImageTransform(this.f4290c, attributeSet);
                        } else if ("changeTransform".equals(name)) {
                            transition2 = new ChangeTransform(this.f4290c, attributeSet);
                        } else if ("changeClipBounds".equals(name)) {
                            transition2 = new ChangeClipBounds(this.f4290c, attributeSet);
                        } else if (w.h.f.equals(name)) {
                            transition2 = new AutoTransition(this.f4290c, attributeSet);
                        } else if ("changeScroll".equals(name)) {
                            transition2 = new ChangeScroll(this.f4290c, attributeSet);
                        } else if ("transitionSet".equals(name)) {
                            transition2 = new TransitionSet(this.f4290c, attributeSet);
                        } else if ("transition".equals(name)) {
                            transition2 = (Transition) a(attributeSet, Transition.class, "transition");
                        } else if ("targets".equals(name)) {
                            e(xmlPullParser, attributeSet, transition);
                        } else if ("arcMotion".equals(name)) {
                            if (transition != null) {
                                transition.E0(new ArcMotion(this.f4290c, attributeSet));
                            } else {
                                throw new RuntimeException("Invalid use of arcMotion element");
                            }
                        } else if ("pathMotion".equals(name)) {
                            if (transition != null) {
                                transition.E0((PathMotion) a(attributeSet, PathMotion.class, "pathMotion"));
                            } else {
                                throw new RuntimeException("Invalid use of pathMotion element");
                            }
                        } else if (!"patternPathMotion".equals(name)) {
                            throw new RuntimeException("Unknown scene name: " + xmlPullParser.getName());
                        } else if (transition != null) {
                            transition.E0(new PatternPathMotion(this.f4290c, attributeSet));
                        } else {
                            throw new RuntimeException("Invalid use of patternPathMotion element");
                        }
                        if (transition2 == null) {
                            continue;
                        } else {
                            if (!xmlPullParser.isEmptyElementTag()) {
                                b(xmlPullParser, attributeSet, transition2);
                            }
                            if (transitionSet != null) {
                                break;
                            } else if (transition != null) {
                                throw new InflateException("Could not add transition to another transition.");
                            }
                        }
                    }
                }
            }
            transitionSet.O0(transition2);
        }
        return transition2;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0054, code lost:
        return r1;
     */
    private w c(XmlPullParser xmlPullParser, AttributeSet attributeSet, ViewGroup viewGroup) throws XmlPullParserException, IOException {
        int depth = xmlPullParser.getDepth();
        w wVar = null;
        while (true) {
            int next = xmlPullParser.next();
            if ((next != 3 || xmlPullParser.getDepth() > depth) && next != 1) {
                if (next == 2) {
                    String name = xmlPullParser.getName();
                    if (name.equals("transitionManager")) {
                        wVar = new w();
                    } else if (!name.equals("transition") || wVar == null) {
                    } else {
                        h(attributeSet, xmlPullParser, viewGroup, wVar);
                    }
                }
            }
        }
        throw new RuntimeException("Unknown scene name: " + xmlPullParser.getName());
    }

    @NonNull
    public static u d(@NonNull Context context) {
        return new u(context);
    }

    @SuppressLint({"RestrictedApi"})
    private void e(XmlPullParser xmlPullParser, AttributeSet attributeSet, Transition transition) throws XmlPullParserException, IOException {
        int depth = xmlPullParser.getDepth();
        while (true) {
            int next = xmlPullParser.next();
            if ((next == 3 && xmlPullParser.getDepth() <= depth) || next == 1) {
                return;
            }
            if (next == 2) {
                if (xmlPullParser.getName().equals(w.a.M)) {
                    TypedArray obtainStyledAttributes = this.f4290c.obtainStyledAttributes(attributeSet, t.f4259a);
                    int l = h.l(obtainStyledAttributes, xmlPullParser, "targetId", 1, 0);
                    if (l != 0) {
                        transition.b(l);
                    } else {
                        int l2 = h.l(obtainStyledAttributes, xmlPullParser, "excludeId", 2, 0);
                        if (l2 != 0) {
                            transition.E(l2, true);
                        } else {
                            String m = h.m(obtainStyledAttributes, xmlPullParser, "targetName", 4);
                            if (m != null) {
                                transition.e(m);
                            } else {
                                String m2 = h.m(obtainStyledAttributes, xmlPullParser, "excludeName", 5);
                                if (m2 != null) {
                                    transition.H(m2, true);
                                } else {
                                    String m3 = h.m(obtainStyledAttributes, xmlPullParser, "excludeClass", 3);
                                    if (m3 != null) {
                                        try {
                                            transition.G(Class.forName(m3), true);
                                        } catch (ClassNotFoundException e2) {
                                            obtainStyledAttributes.recycle();
                                            throw new RuntimeException("Could not create " + m3, e2);
                                        }
                                    } else {
                                        String m4 = h.m(obtainStyledAttributes, xmlPullParser, "targetClass", 0);
                                        if (m4 != null) {
                                            transition.d(Class.forName(m4));
                                        }
                                    }
                                }
                            }
                        }
                    }
                    obtainStyledAttributes.recycle();
                } else {
                    throw new RuntimeException("Unknown scene name: " + xmlPullParser.getName());
                }
            }
        }
    }

    @SuppressLint({"RestrictedApi"})
    private void h(AttributeSet attributeSet, XmlPullParser xmlPullParser, ViewGroup viewGroup, w wVar) throws Resources.NotFoundException {
        q qVar;
        Transition f;
        TypedArray obtainStyledAttributes = this.f4290c.obtainStyledAttributes(attributeSet, t.f4260b);
        int l = h.l(obtainStyledAttributes, xmlPullParser, "transition", 2, -1);
        int l2 = h.l(obtainStyledAttributes, xmlPullParser, "fromScene", 0, -1);
        q qVar2 = null;
        if (l2 < 0) {
            qVar = null;
        } else {
            qVar = q.d(viewGroup, l2, this.f4290c);
        }
        int l3 = h.l(obtainStyledAttributes, xmlPullParser, "toScene", 1, -1);
        if (l3 >= 0) {
            qVar2 = q.d(viewGroup, l3, this.f4290c);
        }
        if (l >= 0 && (f = f(l)) != null) {
            if (qVar2 == null) {
                throw new RuntimeException("No toScene for transition ID " + l);
            } else if (qVar == null) {
                wVar.l(qVar2, f);
            } else {
                wVar.k(qVar, qVar2, f);
            }
        }
        obtainStyledAttributes.recycle();
    }

    public Transition f(int i) {
        XmlResourceParser xml = this.f4290c.getResources().getXml(i);
        try {
            Transition b2 = b(xml, Xml.asAttributeSet(xml), null);
            xml.close();
            return b2;
        } catch (XmlPullParserException e2) {
            throw new InflateException(e2.getMessage(), e2);
        } catch (IOException e3) {
            throw new InflateException(xml.getPositionDescription() + ": " + e3.getMessage(), e3);
        } catch (Throwable th) {
            xml.close();
            throw th;
        }
    }

    public w g(int i, ViewGroup viewGroup) {
        XmlResourceParser xml = this.f4290c.getResources().getXml(i);
        try {
            w c2 = c(xml, Xml.asAttributeSet(xml), viewGroup);
            xml.close();
            return c2;
        } catch (XmlPullParserException e2) {
            InflateException inflateException = new InflateException(e2.getMessage());
            inflateException.initCause(e2);
            throw inflateException;
        } catch (IOException e3) {
            InflateException inflateException2 = new InflateException(xml.getPositionDescription() + ": " + e3.getMessage());
            inflateException2.initCause(e3);
            throw inflateException2;
        } catch (Throwable th) {
            xml.close();
            throw th;
        }
    }
}
