package androidx.transition;

import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.view.ViewCompat;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;

/* compiled from: TransitionManager */
public class w {

    /* renamed from: a  reason: collision with root package name */
    private static final String f4291a = "TransitionManager";

    /* renamed from: b  reason: collision with root package name */
    private static Transition f4292b = new AutoTransition();

    /* renamed from: c  reason: collision with root package name */
    private static ThreadLocal<WeakReference<b.b.a<ViewGroup, ArrayList<Transition>>>> f4293c = new ThreadLocal<>();

    /* renamed from: d  reason: collision with root package name */
    static ArrayList<ViewGroup> f4294d = new ArrayList<>();

    /* renamed from: e  reason: collision with root package name */
    private b.b.a<q, Transition> f4295e = new b.b.a<>();
    private b.b.a<q, b.b.a<q, Transition>> f = new b.b.a<>();

    /* access modifiers changed from: private */
    /* compiled from: TransitionManager */
    public static class a implements ViewTreeObserver.OnPreDrawListener, View.OnAttachStateChangeListener {

        /* renamed from: a  reason: collision with root package name */
        Transition f4296a;

        /* renamed from: b  reason: collision with root package name */
        ViewGroup f4297b;

        /* renamed from: androidx.transition.w$a$a  reason: collision with other inner class name */
        /* compiled from: TransitionManager */
        class C0074a extends v {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ b.b.a f4298a;

            C0074a(b.b.a aVar) {
                this.f4298a = aVar;
            }

            @Override // androidx.transition.Transition.g, androidx.transition.v
            public void c(@NonNull Transition transition) {
                ((ArrayList) this.f4298a.get(a.this.f4297b)).remove(transition);
                transition.q0(this);
            }
        }

        a(Transition transition, ViewGroup viewGroup) {
            this.f4296a = transition;
            this.f4297b = viewGroup;
        }

        private void a() {
            this.f4297b.getViewTreeObserver().removeOnPreDrawListener(this);
            this.f4297b.removeOnAttachStateChangeListener(this);
        }

        public boolean onPreDraw() {
            a();
            if (!w.f4294d.remove(this.f4297b)) {
                return true;
            }
            b.b.a<ViewGroup, ArrayList<Transition>> e2 = w.e();
            ArrayList<Transition> arrayList = e2.get(this.f4297b);
            ArrayList arrayList2 = null;
            if (arrayList == null) {
                arrayList = new ArrayList<>();
                e2.put(this.f4297b, arrayList);
            } else if (arrayList.size() > 0) {
                arrayList2 = new ArrayList(arrayList);
            }
            arrayList.add(this.f4296a);
            this.f4296a.a(new C0074a(e2));
            this.f4296a.t(this.f4297b, false);
            if (arrayList2 != null) {
                Iterator it = arrayList2.iterator();
                while (it.hasNext()) {
                    ((Transition) it.next()).v0(this.f4297b);
                }
            }
            this.f4296a.p0(this.f4297b);
            return true;
        }

        public void onViewAttachedToWindow(View view) {
        }

        public void onViewDetachedFromWindow(View view) {
            a();
            w.f4294d.remove(this.f4297b);
            ArrayList<Transition> arrayList = w.e().get(this.f4297b);
            if (arrayList != null && arrayList.size() > 0) {
                Iterator<Transition> it = arrayList.iterator();
                while (it.hasNext()) {
                    it.next().v0(this.f4297b);
                }
            }
            this.f4296a.u(true);
        }
    }

    public static void a(@NonNull ViewGroup viewGroup) {
        b(viewGroup, null);
    }

    public static void b(@NonNull ViewGroup viewGroup, @Nullable Transition transition) {
        if (!f4294d.contains(viewGroup) && ViewCompat.isLaidOut(viewGroup)) {
            f4294d.add(viewGroup);
            if (transition == null) {
                transition = f4292b;
            }
            Transition v = transition.clone();
            j(viewGroup, v);
            q.g(viewGroup, null);
            i(viewGroup, v);
        }
    }

    private static void c(q qVar, Transition transition) {
        ViewGroup e2 = qVar.e();
        if (!f4294d.contains(e2)) {
            q c2 = q.c(e2);
            if (transition == null) {
                if (c2 != null) {
                    c2.b();
                }
                qVar.a();
                return;
            }
            f4294d.add(e2);
            Transition v = transition.clone();
            if (c2 != null && c2.f()) {
                v.z0(true);
            }
            j(e2, v);
            qVar.a();
            i(e2, v);
        }
    }

    public static void d(ViewGroup viewGroup) {
        f4294d.remove(viewGroup);
        ArrayList<Transition> arrayList = e().get(viewGroup);
        if (!(arrayList == null || arrayList.isEmpty())) {
            ArrayList arrayList2 = new ArrayList(arrayList);
            for (int size = arrayList2.size() - 1; size >= 0; size--) {
                ((Transition) arrayList2.get(size)).K(viewGroup);
            }
        }
    }

    static b.b.a<ViewGroup, ArrayList<Transition>> e() {
        b.b.a<ViewGroup, ArrayList<Transition>> aVar;
        WeakReference<b.b.a<ViewGroup, ArrayList<Transition>>> weakReference = f4293c.get();
        if (weakReference != null && (aVar = weakReference.get()) != null) {
            return aVar;
        }
        b.b.a<ViewGroup, ArrayList<Transition>> aVar2 = new b.b.a<>();
        f4293c.set(new WeakReference<>(aVar2));
        return aVar2;
    }

    private Transition f(q qVar) {
        q c2;
        b.b.a<q, Transition> aVar;
        Transition transition;
        ViewGroup e2 = qVar.e();
        if (e2 != null && (c2 = q.c(e2)) != null && (aVar = this.f.get(qVar)) != null && (transition = aVar.get(c2)) != null) {
            return transition;
        }
        Transition transition2 = this.f4295e.get(qVar);
        return transition2 != null ? transition2 : f4292b;
    }

    public static void g(@NonNull q qVar) {
        c(qVar, f4292b);
    }

    public static void h(@NonNull q qVar, @Nullable Transition transition) {
        c(qVar, transition);
    }

    private static void i(ViewGroup viewGroup, Transition transition) {
        if (transition != null && viewGroup != null) {
            a aVar = new a(transition, viewGroup);
            viewGroup.addOnAttachStateChangeListener(aVar);
            viewGroup.getViewTreeObserver().addOnPreDrawListener(aVar);
        }
    }

    private static void j(ViewGroup viewGroup, Transition transition) {
        ArrayList<Transition> arrayList = e().get(viewGroup);
        if (arrayList != null && arrayList.size() > 0) {
            Iterator<Transition> it = arrayList.iterator();
            while (it.hasNext()) {
                it.next().n0(viewGroup);
            }
        }
        if (transition != null) {
            transition.t(viewGroup, true);
        }
        q c2 = q.c(viewGroup);
        if (c2 != null) {
            c2.b();
        }
    }

    public void k(@NonNull q qVar, @NonNull q qVar2, @Nullable Transition transition) {
        b.b.a<q, Transition> aVar = this.f.get(qVar2);
        if (aVar == null) {
            aVar = new b.b.a<>();
            this.f.put(qVar2, aVar);
        }
        aVar.put(qVar, transition);
    }

    public void l(@NonNull q qVar, @Nullable Transition transition) {
        this.f4295e.put(qVar, transition);
    }

    public void m(@NonNull q qVar) {
        c(qVar, f(qVar));
    }
}
