package androidx.vectordrawable.a.a;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ArgbEvaluator;
import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.AnimatedVectorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.Xml;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.core.content.res.f;
import androidx.core.content.res.h;
import androidx.vectordrawable.a.a.b;
import java.io.IOException;
import java.util.ArrayList;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: AnimatedVectorDrawableCompat */
public class c extends h implements b {
    private static final String I0 = "animated-vector";
    private static final String J0 = "target";
    private static final boolean K0 = false;

    /* renamed from: b  reason: collision with root package name */
    private static final String f4317b = "AnimatedVDCompat";
    private C0076c L0;
    private Context M0;
    private ArgbEvaluator N0;
    d O0;
    private Animator.AnimatorListener P0;
    ArrayList<b.a> Q0;
    final Drawable.Callback R0;

    /* compiled from: AnimatedVectorDrawableCompat */
    class a implements Drawable.Callback {
        a() {
        }

        public void invalidateDrawable(Drawable drawable) {
            c.this.invalidateSelf();
        }

        public void scheduleDrawable(Drawable drawable, Runnable runnable, long j) {
            c.this.scheduleSelf(runnable, j);
        }

        public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
            c.this.unscheduleSelf(runnable);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: AnimatedVectorDrawableCompat */
    public class b extends AnimatorListenerAdapter {
        b() {
        }

        public void onAnimationEnd(Animator animator) {
            ArrayList arrayList = new ArrayList(c.this.Q0);
            int size = arrayList.size();
            for (int i = 0; i < size; i++) {
                ((b.a) arrayList.get(i)).b(c.this);
            }
        }

        public void onAnimationStart(Animator animator) {
            ArrayList arrayList = new ArrayList(c.this.Q0);
            int size = arrayList.size();
            for (int i = 0; i < size; i++) {
                ((b.a) arrayList.get(i)).c(c.this);
            }
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: androidx.vectordrawable.a.a.c$c  reason: collision with other inner class name */
    /* compiled from: AnimatedVectorDrawableCompat */
    public static class C0076c extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        int f4320a;

        /* renamed from: b  reason: collision with root package name */
        i f4321b;

        /* renamed from: c  reason: collision with root package name */
        AnimatorSet f4322c;

        /* renamed from: d  reason: collision with root package name */
        ArrayList<Animator> f4323d;

        /* renamed from: e  reason: collision with root package name */
        b.b.a<Animator, String> f4324e;

        public C0076c(Context context, C0076c cVar, Drawable.Callback callback, Resources resources) {
            if (cVar != null) {
                this.f4320a = cVar.f4320a;
                i iVar = cVar.f4321b;
                if (iVar != null) {
                    Drawable.ConstantState constantState = iVar.getConstantState();
                    if (resources != null) {
                        this.f4321b = (i) constantState.newDrawable(resources);
                    } else {
                        this.f4321b = (i) constantState.newDrawable();
                    }
                    i iVar2 = (i) this.f4321b.mutate();
                    this.f4321b = iVar2;
                    iVar2.setCallback(callback);
                    this.f4321b.setBounds(cVar.f4321b.getBounds());
                    this.f4321b.m(false);
                }
                ArrayList<Animator> arrayList = cVar.f4323d;
                if (arrayList != null) {
                    int size = arrayList.size();
                    this.f4323d = new ArrayList<>(size);
                    this.f4324e = new b.b.a<>(size);
                    for (int i = 0; i < size; i++) {
                        Animator animator = cVar.f4323d.get(i);
                        Animator clone = animator.clone();
                        String str = cVar.f4324e.get(animator);
                        clone.setTarget(this.f4321b.h(str));
                        this.f4323d.add(clone);
                        this.f4324e.put(clone, str);
                    }
                    a();
                }
            }
        }

        public void a() {
            if (this.f4322c == null) {
                this.f4322c = new AnimatorSet();
            }
            this.f4322c.playTogether(this.f4323d);
        }

        public int getChangingConfigurations() {
            return this.f4320a;
        }

        public Drawable newDrawable() {
            throw new IllegalStateException("No constant state support for SDK < 24.");
        }

        public Drawable newDrawable(Resources resources) {
            throw new IllegalStateException("No constant state support for SDK < 24.");
        }
    }

    c() {
        this(null, null, null);
    }

    public static void a(Drawable drawable) {
        if (drawable instanceof Animatable) {
            if (Build.VERSION.SDK_INT >= 24) {
                ((AnimatedVectorDrawable) drawable).clearAnimationCallbacks();
            } else {
                ((c) drawable).c();
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x0049 A[Catch:{ XmlPullParserException -> 0x0063, IOException -> 0x005e }] */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x0056 A[Catch:{ XmlPullParserException -> 0x0063, IOException -> 0x005e }] */
    @Nullable
    public static c e(@NonNull Context context, @DrawableRes int i) {
        int next;
        if (Build.VERSION.SDK_INT >= 24) {
            c cVar = new c(context);
            Drawable f = f.f(context.getResources(), i, context.getTheme());
            cVar.f4338a = f;
            f.setCallback(cVar.R0);
            cVar.O0 = new d(cVar.f4338a.getConstantState());
            return cVar;
        }
        try {
            XmlResourceParser xml = context.getResources().getXml(i);
            AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
            while (true) {
                next = xml.next();
                if (next == 2 || next == 1) {
                    if (next != 2) {
                        return f(context, context.getResources(), xml, asAttributeSet, context.getTheme());
                    }
                    throw new XmlPullParserException("No start tag found");
                }
            }
            if (next != 2) {
            }
        } catch (XmlPullParserException e2) {
            Log.e(f4317b, "parser error", e2);
            return null;
        } catch (IOException e3) {
            Log.e(f4317b, "parser error", e3);
            return null;
        }
    }

    public static c f(Context context, Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        c cVar = new c(context);
        cVar.inflate(resources, xmlPullParser, attributeSet, theme);
        return cVar;
    }

    public static void g(Drawable drawable, b.a aVar) {
        if (drawable != null && aVar != null && (drawable instanceof Animatable)) {
            if (Build.VERSION.SDK_INT >= 24) {
                h((AnimatedVectorDrawable) drawable, aVar);
            } else {
                ((c) drawable).b(aVar);
            }
        }
    }

    @RequiresApi(23)
    private static void h(@NonNull AnimatedVectorDrawable animatedVectorDrawable, @NonNull b.a aVar) {
        animatedVectorDrawable.registerAnimationCallback(aVar.a());
    }

    private void i() {
        Animator.AnimatorListener animatorListener = this.P0;
        if (animatorListener != null) {
            this.L0.f4322c.removeListener(animatorListener);
            this.P0 = null;
        }
    }

    private void j(String str, Animator animator) {
        animator.setTarget(this.L0.f4321b.h(str));
        if (Build.VERSION.SDK_INT < 21) {
            k(animator);
        }
        C0076c cVar = this.L0;
        if (cVar.f4323d == null) {
            cVar.f4323d = new ArrayList<>();
            this.L0.f4324e = new b.b.a<>();
        }
        this.L0.f4323d.add(animator);
        this.L0.f4324e.put(animator, str);
    }

    private void k(Animator animator) {
        ArrayList<Animator> childAnimations;
        if ((animator instanceof AnimatorSet) && (childAnimations = ((AnimatorSet) animator).getChildAnimations()) != null) {
            for (int i = 0; i < childAnimations.size(); i++) {
                k(childAnimations.get(i));
            }
        }
        if (animator instanceof ObjectAnimator) {
            ObjectAnimator objectAnimator = (ObjectAnimator) animator;
            String propertyName = objectAnimator.getPropertyName();
            if ("fillColor".equals(propertyName) || "strokeColor".equals(propertyName)) {
                if (this.N0 == null) {
                    this.N0 = new ArgbEvaluator();
                }
                objectAnimator.setEvaluator(this.N0);
            }
        }
    }

    public static boolean l(Drawable drawable, b.a aVar) {
        if (drawable == null || aVar == null || !(drawable instanceof Animatable)) {
            return false;
        }
        if (Build.VERSION.SDK_INT >= 24) {
            return m((AnimatedVectorDrawable) drawable, aVar);
        }
        return ((c) drawable).d(aVar);
    }

    @RequiresApi(23)
    private static boolean m(AnimatedVectorDrawable animatedVectorDrawable, b.a aVar) {
        return animatedVectorDrawable.unregisterAnimationCallback(aVar.a());
    }

    @Override // androidx.vectordrawable.a.a.h
    public void applyTheme(Resources.Theme theme) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            androidx.core.graphics.drawable.c.a(drawable, theme);
        }
    }

    @Override // androidx.vectordrawable.a.a.b
    public void b(@NonNull b.a aVar) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            h((AnimatedVectorDrawable) drawable, aVar);
        } else if (aVar != null) {
            if (this.Q0 == null) {
                this.Q0 = new ArrayList<>();
            }
            if (!this.Q0.contains(aVar)) {
                this.Q0.add(aVar);
                if (this.P0 == null) {
                    this.P0 = new b();
                }
                this.L0.f4322c.addListener(this.P0);
            }
        }
    }

    @Override // androidx.vectordrawable.a.a.b
    public void c() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            ((AnimatedVectorDrawable) drawable).clearAnimationCallbacks();
            return;
        }
        i();
        ArrayList<b.a> arrayList = this.Q0;
        if (arrayList != null) {
            arrayList.clear();
        }
    }

    public boolean canApplyTheme() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return androidx.core.graphics.drawable.c.b(drawable);
        }
        return false;
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ void clearColorFilter() {
        super.clearColorFilter();
    }

    @Override // androidx.vectordrawable.a.a.b
    public boolean d(@NonNull b.a aVar) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            m((AnimatedVectorDrawable) drawable, aVar);
        }
        ArrayList<b.a> arrayList = this.Q0;
        if (arrayList == null || aVar == null) {
            return false;
        }
        boolean remove = arrayList.remove(aVar);
        if (this.Q0.size() == 0) {
            i();
        }
        return remove;
    }

    public void draw(Canvas canvas) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            drawable.draw(canvas);
            return;
        }
        this.L0.f4321b.draw(canvas);
        if (this.L0.f4322c.isStarted()) {
            invalidateSelf();
        }
    }

    public int getAlpha() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return androidx.core.graphics.drawable.c.d(drawable);
        }
        return this.L0.f4321b.getAlpha();
    }

    public int getChangingConfigurations() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return drawable.getChangingConfigurations();
        }
        return super.getChangingConfigurations() | this.L0.f4320a;
    }

    public ColorFilter getColorFilter() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return androidx.core.graphics.drawable.c.e(drawable);
        }
        return this.L0.f4321b.getColorFilter();
    }

    public Drawable.ConstantState getConstantState() {
        if (this.f4338a == null || Build.VERSION.SDK_INT < 24) {
            return null;
        }
        return new d(this.f4338a.getConstantState());
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ Drawable getCurrent() {
        return super.getCurrent();
    }

    public int getIntrinsicHeight() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return drawable.getIntrinsicHeight();
        }
        return this.L0.f4321b.getIntrinsicHeight();
    }

    public int getIntrinsicWidth() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return drawable.getIntrinsicWidth();
        }
        return this.L0.f4321b.getIntrinsicWidth();
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ int getMinimumHeight() {
        return super.getMinimumHeight();
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ int getMinimumWidth() {
        return super.getMinimumWidth();
    }

    public int getOpacity() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return drawable.getOpacity();
        }
        return this.L0.f4321b.getOpacity();
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ boolean getPadding(Rect rect) {
        return super.getPadding(rect);
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ int[] getState() {
        return super.getState();
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ Region getTransparentRegion() {
        return super.getTransparentRegion();
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            androidx.core.graphics.drawable.c.g(drawable, resources, xmlPullParser, attributeSet, theme);
            return;
        }
        int eventType = xmlPullParser.getEventType();
        int depth = xmlPullParser.getDepth() + 1;
        while (eventType != 1 && (xmlPullParser.getDepth() >= depth || eventType != 3)) {
            if (eventType == 2) {
                String name = xmlPullParser.getName();
                if (I0.equals(name)) {
                    TypedArray s = h.s(resources, theme, attributeSet, a.M);
                    int resourceId = s.getResourceId(0, 0);
                    if (resourceId != 0) {
                        i e2 = i.e(resources, resourceId, theme);
                        e2.m(false);
                        e2.setCallback(this.R0);
                        i iVar = this.L0.f4321b;
                        if (iVar != null) {
                            iVar.setCallback(null);
                        }
                        this.L0.f4321b = e2;
                    }
                    s.recycle();
                } else if ("target".equals(name)) {
                    TypedArray obtainAttributes = resources.obtainAttributes(attributeSet, a.O);
                    String string = obtainAttributes.getString(0);
                    int resourceId2 = obtainAttributes.getResourceId(1, 0);
                    if (resourceId2 != 0) {
                        Context context = this.M0;
                        if (context != null) {
                            j(string, e.j(context, resourceId2));
                        } else {
                            obtainAttributes.recycle();
                            throw new IllegalStateException("Context can't be null when inflating animators");
                        }
                    }
                    obtainAttributes.recycle();
                } else {
                    continue;
                }
            }
            eventType = xmlPullParser.next();
        }
        this.L0.a();
    }

    public boolean isAutoMirrored() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return androidx.core.graphics.drawable.c.h(drawable);
        }
        return this.L0.f4321b.isAutoMirrored();
    }

    public boolean isRunning() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return ((AnimatedVectorDrawable) drawable).isRunning();
        }
        return this.L0.f4322c.isRunning();
    }

    public boolean isStateful() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return drawable.isStateful();
        }
        return this.L0.f4321b.isStateful();
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ void jumpToCurrentState() {
        super.jumpToCurrentState();
    }

    public Drawable mutate() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            drawable.mutate();
        }
        return this;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.vectordrawable.a.a.h
    public void onBoundsChange(Rect rect) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            drawable.setBounds(rect);
        } else {
            this.L0.f4321b.setBounds(rect);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.vectordrawable.a.a.h
    public boolean onLevelChange(int i) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return drawable.setLevel(i);
        }
        return this.L0.f4321b.setLevel(i);
    }

    /* access modifiers changed from: protected */
    public boolean onStateChange(int[] iArr) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return drawable.setState(iArr);
        }
        return this.L0.f4321b.setState(iArr);
    }

    public void setAlpha(int i) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            drawable.setAlpha(i);
        } else {
            this.L0.f4321b.setAlpha(i);
        }
    }

    public void setAutoMirrored(boolean z) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            androidx.core.graphics.drawable.c.j(drawable, z);
        } else {
            this.L0.f4321b.setAutoMirrored(z);
        }
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ void setChangingConfigurations(int i) {
        super.setChangingConfigurations(i);
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ void setColorFilter(int i, PorterDuff.Mode mode) {
        super.setColorFilter(i, mode);
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ void setFilterBitmap(boolean z) {
        super.setFilterBitmap(z);
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ void setHotspot(float f, float f2) {
        super.setHotspot(f, f2);
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ void setHotspotBounds(int i, int i2, int i3, int i4) {
        super.setHotspotBounds(i, i2, i3, i4);
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ boolean setState(int[] iArr) {
        return super.setState(iArr);
    }

    @Override // androidx.core.graphics.drawable.i
    public void setTint(int i) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            androidx.core.graphics.drawable.c.n(drawable, i);
        } else {
            this.L0.f4321b.setTint(i);
        }
    }

    @Override // androidx.core.graphics.drawable.i
    public void setTintList(ColorStateList colorStateList) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            androidx.core.graphics.drawable.c.o(drawable, colorStateList);
        } else {
            this.L0.f4321b.setTintList(colorStateList);
        }
    }

    @Override // androidx.core.graphics.drawable.i
    public void setTintMode(PorterDuff.Mode mode) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            androidx.core.graphics.drawable.c.p(drawable, mode);
        } else {
            this.L0.f4321b.setTintMode(mode);
        }
    }

    public boolean setVisible(boolean z, boolean z2) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return drawable.setVisible(z, z2);
        }
        this.L0.f4321b.setVisible(z, z2);
        return super.setVisible(z, z2);
    }

    public void start() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            ((AnimatedVectorDrawable) drawable).start();
        } else if (!this.L0.f4322c.isStarted()) {
            this.L0.f4322c.start();
            invalidateSelf();
        }
    }

    public void stop() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            ((AnimatedVectorDrawable) drawable).stop();
        } else {
            this.L0.f4322c.end();
        }
    }

    private c(@Nullable Context context) {
        this(context, null, null);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            drawable.setColorFilter(colorFilter);
        } else {
            this.L0.f4321b.setColorFilter(colorFilter);
        }
    }

    @RequiresApi(24)
    /* compiled from: AnimatedVectorDrawableCompat */
    private static class d extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        private final Drawable.ConstantState f4325a;

        public d(Drawable.ConstantState constantState) {
            this.f4325a = constantState;
        }

        public boolean canApplyTheme() {
            return this.f4325a.canApplyTheme();
        }

        public int getChangingConfigurations() {
            return this.f4325a.getChangingConfigurations();
        }

        public Drawable newDrawable() {
            c cVar = new c();
            Drawable newDrawable = this.f4325a.newDrawable();
            cVar.f4338a = newDrawable;
            newDrawable.setCallback(cVar.R0);
            return cVar;
        }

        public Drawable newDrawable(Resources resources) {
            c cVar = new c();
            Drawable newDrawable = this.f4325a.newDrawable(resources);
            cVar.f4338a = newDrawable;
            newDrawable.setCallback(cVar.R0);
            return cVar;
        }

        public Drawable newDrawable(Resources resources, Resources.Theme theme) {
            c cVar = new c();
            Drawable newDrawable = this.f4325a.newDrawable(resources, theme);
            cVar.f4338a = newDrawable;
            newDrawable.setCallback(cVar.R0);
            return cVar;
        }
    }

    private c(@Nullable Context context, @Nullable C0076c cVar, @Nullable Resources resources) {
        this.N0 = null;
        this.P0 = null;
        this.Q0 = null;
        a aVar = new a();
        this.R0 = aVar;
        this.M0 = context;
        if (cVar != null) {
            this.L0 = cVar;
        } else {
            this.L0 = new C0076c(context, cVar, aVar, resources);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet) throws XmlPullParserException, IOException {
        inflate(resources, xmlPullParser, attributeSet, null);
    }
}
