package androidx.vectordrawable.a.a;

import android.animation.Animator;
import android.animation.AnimatorInflater;
import android.animation.AnimatorSet;
import android.animation.Keyframe;
import android.animation.ObjectAnimator;
import android.animation.PropertyValuesHolder;
import android.animation.TypeEvaluator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.util.Xml;
import android.view.InflateException;
import androidx.annotation.AnimatorRes;
import androidx.annotation.RestrictTo;
import androidx.constraintlayout.core.motion.h.w;
import androidx.core.content.res.h;
import androidx.core.graphics.n;
import com.lzy.okgo.model.Progress;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: AnimatorInflaterCompat */
public class e {

    /* renamed from: a  reason: collision with root package name */
    private static final String f4326a = "AnimatorInflater";

    /* renamed from: b  reason: collision with root package name */
    private static final int f4327b = 0;

    /* renamed from: c  reason: collision with root package name */
    private static final int f4328c = 100;

    /* renamed from: d  reason: collision with root package name */
    private static final int f4329d = 0;

    /* renamed from: e  reason: collision with root package name */
    private static final int f4330e = 1;
    private static final int f = 2;
    private static final int g = 3;
    private static final int h = 4;
    private static final boolean i = false;

    /* access modifiers changed from: private */
    /* compiled from: AnimatorInflaterCompat */
    public static class a implements TypeEvaluator<n.b[]> {

        /* renamed from: a  reason: collision with root package name */
        private n.b[] f4331a;

        a() {
        }

        /* renamed from: a */
        public n.b[] evaluate(float f, n.b[] bVarArr, n.b[] bVarArr2) {
            if (n.b(bVarArr, bVarArr2)) {
                if (!n.b(this.f4331a, bVarArr)) {
                    this.f4331a = n.f(bVarArr);
                }
                for (int i = 0; i < bVarArr.length; i++) {
                    this.f4331a[i].d(bVarArr[i], bVarArr2[i], f);
                }
                return this.f4331a;
            }
            throw new IllegalArgumentException("Can't interpolate between two incompatible pathData");
        }

        a(n.b[] bVarArr) {
            this.f4331a = bVarArr;
        }
    }

    private e() {
    }

    private static Animator a(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, float f2) throws XmlPullParserException, IOException {
        return b(context, resources, theme, xmlPullParser, Xml.asAttributeSet(xmlPullParser), null, 0, f2);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r15v0, resolved type: android.animation.AnimatorSet */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00b8  */
    private static Animator b(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, AttributeSet attributeSet, AnimatorSet animatorSet, int i2, float f2) throws XmlPullParserException, IOException {
        int i3;
        int depth = xmlPullParser.getDepth();
        ValueAnimator valueAnimator = null;
        ArrayList arrayList = null;
        while (true) {
            int next = xmlPullParser.next();
            i3 = 0;
            if ((next != 3 || xmlPullParser.getDepth() > depth) && next != 1) {
                if (next == 2) {
                    String name = xmlPullParser.getName();
                    if (name.equals("objectAnimator")) {
                        valueAnimator = o(context, resources, theme, attributeSet, f2, xmlPullParser);
                    } else if (name.equals("animator")) {
                        valueAnimator = m(context, resources, theme, attributeSet, null, f2, xmlPullParser);
                    } else {
                        if (name.equals("set")) {
                            AnimatorSet animatorSet2 = new AnimatorSet();
                            TypedArray s = h.s(resources, theme, attributeSet, a.a0);
                            b(context, resources, theme, xmlPullParser, attributeSet, animatorSet2, h.k(s, xmlPullParser, "ordering", 0, 0), f2);
                            s.recycle();
                            valueAnimator = animatorSet2;
                        } else if (name.equals("propertyValuesHolder")) {
                            PropertyValuesHolder[] q = q(context, resources, theme, xmlPullParser, Xml.asAttributeSet(xmlPullParser));
                            if (q != null && (valueAnimator instanceof ValueAnimator)) {
                                valueAnimator.setValues(q);
                            }
                            i3 = 1;
                        } else {
                            throw new RuntimeException("Unknown animator name: " + xmlPullParser.getName());
                        }
                        if (animatorSet != null && i3 == 0) {
                            if (arrayList == null) {
                                arrayList = new ArrayList();
                            }
                            arrayList.add(valueAnimator);
                        }
                    }
                    if (arrayList == null) {
                    }
                    arrayList.add(valueAnimator);
                }
            }
        }
        if (!(animatorSet == null || arrayList == null)) {
            Animator[] animatorArr = new Animator[arrayList.size()];
            Iterator it = arrayList.iterator();
            while (it.hasNext()) {
                animatorArr[i3] = (Animator) it.next();
                i3++;
            }
            if (i2 == 0) {
                animatorSet.playTogether(animatorArr);
            } else {
                animatorSet.playSequentially(animatorArr);
            }
        }
        return valueAnimator;
    }

    private static Keyframe c(Keyframe keyframe, float f2) {
        if (keyframe.getType() == Float.TYPE) {
            return Keyframe.ofFloat(f2);
        }
        if (keyframe.getType() == Integer.TYPE) {
            return Keyframe.ofInt(f2);
        }
        return Keyframe.ofObject(f2);
    }

    private static void d(Keyframe[] keyframeArr, float f2, int i2, int i3) {
        float f3 = f2 / ((float) ((i3 - i2) + 2));
        while (i2 <= i3) {
            keyframeArr[i2].setFraction(keyframeArr[i2 - 1].getFraction() + f3);
            i2++;
        }
    }

    private static void e(Object[] objArr, String str) {
        if (!(objArr == null || objArr.length == 0)) {
            Log.d(f4326a, str);
            int length = objArr.length;
            for (int i2 = 0; i2 < length; i2++) {
                Keyframe keyframe = (Keyframe) objArr[i2];
                StringBuilder sb = new StringBuilder();
                sb.append("Keyframe ");
                sb.append(i2);
                sb.append(": fraction ");
                Object obj = "null";
                sb.append(keyframe.getFraction() < 0.0f ? obj : Float.valueOf(keyframe.getFraction()));
                sb.append(", , value : ");
                if (keyframe.hasValue()) {
                    obj = keyframe.getValue();
                }
                sb.append(obj);
                Log.d(f4326a, sb.toString());
            }
        }
    }

    private static PropertyValuesHolder f(TypedArray typedArray, int i2, int i3, int i4, String str) {
        int i5;
        int i6;
        int i7;
        PropertyValuesHolder propertyValuesHolder;
        float f2;
        float f3;
        float f4;
        PropertyValuesHolder propertyValuesHolder2;
        TypedValue peekValue = typedArray.peekValue(i3);
        boolean z = peekValue != null;
        int i8 = z ? peekValue.type : 0;
        TypedValue peekValue2 = typedArray.peekValue(i4);
        boolean z2 = peekValue2 != null;
        int i9 = z2 ? peekValue2.type : 0;
        if (i2 == 4) {
            i2 = ((!z || !i(i8)) && (!z2 || !i(i9))) ? 0 : 3;
        }
        boolean z3 = i2 == 0;
        PropertyValuesHolder propertyValuesHolder3 = null;
        if (i2 == 2) {
            String string = typedArray.getString(i3);
            String string2 = typedArray.getString(i4);
            n.b[] d2 = n.d(string);
            n.b[] d3 = n.d(string2);
            if (d2 == null && d3 == null) {
                return null;
            }
            if (d2 != null) {
                a aVar = new a();
                if (d3 == null) {
                    propertyValuesHolder2 = PropertyValuesHolder.ofObject(str, aVar, d2);
                } else if (n.b(d2, d3)) {
                    propertyValuesHolder2 = PropertyValuesHolder.ofObject(str, aVar, d2, d3);
                } else {
                    throw new InflateException(" Can't morph from " + string + " to " + string2);
                }
                return propertyValuesHolder2;
            } else if (d3 == null) {
                return null;
            } else {
                return PropertyValuesHolder.ofObject(str, new a(), d3);
            }
        } else {
            f a2 = i2 == 3 ? f.a() : null;
            if (z3) {
                if (z) {
                    if (i8 == 5) {
                        f3 = typedArray.getDimension(i3, 0.0f);
                    } else {
                        f3 = typedArray.getFloat(i3, 0.0f);
                    }
                    if (z2) {
                        if (i9 == 5) {
                            f4 = typedArray.getDimension(i4, 0.0f);
                        } else {
                            f4 = typedArray.getFloat(i4, 0.0f);
                        }
                        propertyValuesHolder = PropertyValuesHolder.ofFloat(str, f3, f4);
                    } else {
                        propertyValuesHolder = PropertyValuesHolder.ofFloat(str, f3);
                    }
                } else {
                    if (i9 == 5) {
                        f2 = typedArray.getDimension(i4, 0.0f);
                    } else {
                        f2 = typedArray.getFloat(i4, 0.0f);
                    }
                    propertyValuesHolder = PropertyValuesHolder.ofFloat(str, f2);
                }
                propertyValuesHolder3 = propertyValuesHolder;
            } else if (z) {
                if (i8 == 5) {
                    i6 = (int) typedArray.getDimension(i3, 0.0f);
                } else if (i(i8)) {
                    i6 = typedArray.getColor(i3, 0);
                } else {
                    i6 = typedArray.getInt(i3, 0);
                }
                if (z2) {
                    if (i9 == 5) {
                        i7 = (int) typedArray.getDimension(i4, 0.0f);
                    } else if (i(i9)) {
                        i7 = typedArray.getColor(i4, 0);
                    } else {
                        i7 = typedArray.getInt(i4, 0);
                    }
                    propertyValuesHolder3 = PropertyValuesHolder.ofInt(str, i6, i7);
                } else {
                    propertyValuesHolder3 = PropertyValuesHolder.ofInt(str, i6);
                }
            } else if (z2) {
                if (i9 == 5) {
                    i5 = (int) typedArray.getDimension(i4, 0.0f);
                } else if (i(i9)) {
                    i5 = typedArray.getColor(i4, 0);
                } else {
                    i5 = typedArray.getInt(i4, 0);
                }
                propertyValuesHolder3 = PropertyValuesHolder.ofInt(str, i5);
            }
            if (propertyValuesHolder3 == null || a2 == null) {
                return propertyValuesHolder3;
            }
            propertyValuesHolder3.setEvaluator(a2);
            return propertyValuesHolder3;
        }
    }

    private static int g(TypedArray typedArray, int i2, int i3) {
        TypedValue peekValue = typedArray.peekValue(i2);
        boolean z = true;
        boolean z2 = peekValue != null;
        int i4 = z2 ? peekValue.type : 0;
        TypedValue peekValue2 = typedArray.peekValue(i3);
        if (peekValue2 == null) {
            z = false;
        }
        int i5 = z ? peekValue2.type : 0;
        if ((!z2 || !i(i4)) && (!z || !i(i5))) {
            return 0;
        }
        return 3;
    }

    private static int h(Resources resources, Resources.Theme theme, AttributeSet attributeSet, XmlPullParser xmlPullParser) {
        TypedArray s = h.s(resources, theme, attributeSet, a.h0);
        int i2 = 0;
        TypedValue t = h.t(s, xmlPullParser, "value", 0);
        if ((t != null) && i(t.type)) {
            i2 = 3;
        }
        s.recycle();
        return i2;
    }

    private static boolean i(int i2) {
        return i2 >= 28 && i2 <= 31;
    }

    public static Animator j(Context context, @AnimatorRes int i2) throws Resources.NotFoundException {
        if (Build.VERSION.SDK_INT >= 24) {
            return AnimatorInflater.loadAnimator(context, i2);
        }
        return k(context, context.getResources(), context.getTheme(), i2);
    }

    public static Animator k(Context context, Resources resources, Resources.Theme theme, @AnimatorRes int i2) throws Resources.NotFoundException {
        return l(context, resources, theme, i2, 1.0f);
    }

    public static Animator l(Context context, Resources resources, Resources.Theme theme, @AnimatorRes int i2, float f2) throws Resources.NotFoundException {
        XmlResourceParser xmlResourceParser = null;
        try {
            xmlResourceParser = resources.getAnimation(i2);
            Animator a2 = a(context, resources, theme, xmlResourceParser, f2);
            if (xmlResourceParser != null) {
                xmlResourceParser.close();
            }
            return a2;
        } catch (XmlPullParserException e2) {
            Resources.NotFoundException notFoundException = new Resources.NotFoundException("Can't load animation resource ID #0x" + Integer.toHexString(i2));
            notFoundException.initCause(e2);
            throw notFoundException;
        } catch (IOException e3) {
            Resources.NotFoundException notFoundException2 = new Resources.NotFoundException("Can't load animation resource ID #0x" + Integer.toHexString(i2));
            notFoundException2.initCause(e3);
            throw notFoundException2;
        } catch (Throwable th) {
            if (xmlResourceParser != null) {
                xmlResourceParser.close();
            }
            throw th;
        }
    }

    private static ValueAnimator m(Context context, Resources resources, Resources.Theme theme, AttributeSet attributeSet, ValueAnimator valueAnimator, float f2, XmlPullParser xmlPullParser) throws Resources.NotFoundException {
        TypedArray s = h.s(resources, theme, attributeSet, a.R);
        TypedArray s2 = h.s(resources, theme, attributeSet, a.m0);
        if (valueAnimator == null) {
            valueAnimator = new ValueAnimator();
        }
        r(valueAnimator, s, s2, f2, xmlPullParser);
        int l = h.l(s, xmlPullParser, "interpolator", 0, 0);
        if (l > 0) {
            valueAnimator.setInterpolator(d.b(context, l));
        }
        s.recycle();
        if (s2 != null) {
            s2.recycle();
        }
        return valueAnimator;
    }

    private static Keyframe n(Context context, Resources resources, Resources.Theme theme, AttributeSet attributeSet, int i2, XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
        Keyframe keyframe;
        TypedArray s = h.s(resources, theme, attributeSet, a.h0);
        float j = h.j(s, xmlPullParser, Progress.FRACTION, 3, -1.0f);
        TypedValue t = h.t(s, xmlPullParser, "value", 0);
        boolean z = t != null;
        if (i2 == 4) {
            i2 = (!z || !i(t.type)) ? 0 : 3;
        }
        if (z) {
            if (i2 == 0) {
                keyframe = Keyframe.ofFloat(j, h.j(s, xmlPullParser, "value", 0, 0.0f));
            } else if (i2 == 1 || i2 == 3) {
                keyframe = Keyframe.ofInt(j, h.k(s, xmlPullParser, "value", 0, 0));
            } else {
                keyframe = null;
            }
        } else if (i2 == 0) {
            keyframe = Keyframe.ofFloat(j);
        } else {
            keyframe = Keyframe.ofInt(j);
        }
        int l = h.l(s, xmlPullParser, "interpolator", 1, 0);
        if (l > 0) {
            keyframe.setInterpolator(d.b(context, l));
        }
        s.recycle();
        return keyframe;
    }

    private static ObjectAnimator o(Context context, Resources resources, Resources.Theme theme, AttributeSet attributeSet, float f2, XmlPullParser xmlPullParser) throws Resources.NotFoundException {
        ObjectAnimator objectAnimator = new ObjectAnimator();
        m(context, resources, theme, attributeSet, objectAnimator, f2, xmlPullParser);
        return objectAnimator;
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x0062  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x007f  */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0097  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x00e2  */
    private static PropertyValuesHolder p(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, String str, int i2) throws XmlPullParserException, IOException {
        int size;
        int i3;
        float fraction;
        float fraction2;
        PropertyValuesHolder propertyValuesHolder = null;
        ArrayList arrayList = null;
        while (true) {
            int next = xmlPullParser.next();
            if (next == 3 || next == 1) {
                if (arrayList != null && (size = arrayList.size()) > 0) {
                    Keyframe keyframe = (Keyframe) arrayList.get(0);
                    Keyframe keyframe2 = (Keyframe) arrayList.get(size - 1);
                    fraction = keyframe2.getFraction();
                    if (fraction < 1.0f) {
                        if (fraction < 0.0f) {
                            keyframe2.setFraction(1.0f);
                        } else {
                            arrayList.add(arrayList.size(), c(keyframe2, 1.0f));
                            size++;
                        }
                    }
                    fraction2 = keyframe.getFraction();
                    if (fraction2 != 0.0f) {
                        if (fraction2 < 0.0f) {
                            keyframe.setFraction(0.0f);
                        } else {
                            arrayList.add(0, c(keyframe, 0.0f));
                            size++;
                        }
                    }
                    Keyframe[] keyframeArr = new Keyframe[size];
                    arrayList.toArray(keyframeArr);
                    for (i3 = 0; i3 < size; i3++) {
                        Keyframe keyframe3 = keyframeArr[i3];
                        if (keyframe3.getFraction() < 0.0f) {
                            if (i3 == 0) {
                                keyframe3.setFraction(0.0f);
                            } else {
                                int i4 = size - 1;
                                if (i3 == i4) {
                                    keyframe3.setFraction(1.0f);
                                } else {
                                    int i5 = i3 + 1;
                                    int i6 = i3;
                                    while (i5 < i4 && keyframeArr[i5].getFraction() < 0.0f) {
                                        i6 = i5;
                                        i5++;
                                    }
                                    d(keyframeArr, keyframeArr[i6 + 1].getFraction() - keyframeArr[i3 - 1].getFraction(), i3, i6);
                                }
                            }
                        }
                    }
                    propertyValuesHolder = PropertyValuesHolder.ofKeyframe(str, keyframeArr);
                    if (i2 == 3) {
                        propertyValuesHolder.setEvaluator(f.a());
                    }
                }
            } else if (xmlPullParser.getName().equals("keyframe")) {
                if (i2 == 4) {
                    i2 = h(resources, theme, Xml.asAttributeSet(xmlPullParser), xmlPullParser);
                }
                Keyframe n = n(context, resources, theme, Xml.asAttributeSet(xmlPullParser), i2, xmlPullParser);
                if (n != null) {
                    if (arrayList == null) {
                        arrayList = new ArrayList();
                    }
                    arrayList.add(n);
                }
                xmlPullParser.next();
            }
        }
        Keyframe keyframe4 = (Keyframe) arrayList.get(0);
        Keyframe keyframe22 = (Keyframe) arrayList.get(size - 1);
        fraction = keyframe22.getFraction();
        if (fraction < 1.0f) {
        }
        fraction2 = keyframe4.getFraction();
        if (fraction2 != 0.0f) {
        }
        Keyframe[] keyframeArr2 = new Keyframe[size];
        arrayList.toArray(keyframeArr2);
        while (i3 < size) {
        }
        propertyValuesHolder = PropertyValuesHolder.ofKeyframe(str, keyframeArr2);
        if (i2 == 3) {
        }
        return propertyValuesHolder;
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x006f  */
    private static PropertyValuesHolder[] q(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, AttributeSet attributeSet) throws XmlPullParserException, IOException {
        PropertyValuesHolder[] propertyValuesHolderArr = null;
        ArrayList arrayList = null;
        while (true) {
            int eventType = xmlPullParser.getEventType();
            if (eventType == 3 || eventType == 1) {
                if (arrayList != null) {
                    int size = arrayList.size();
                    propertyValuesHolderArr = new PropertyValuesHolder[size];
                    for (int i2 = 0; i2 < size; i2++) {
                        propertyValuesHolderArr[i2] = (PropertyValuesHolder) arrayList.get(i2);
                    }
                }
            } else if (eventType != 2) {
                xmlPullParser.next();
            } else {
                if (xmlPullParser.getName().equals("propertyValuesHolder")) {
                    TypedArray s = h.s(resources, theme, attributeSet, a.c0);
                    String m = h.m(s, xmlPullParser, "propertyName", 3);
                    int k = h.k(s, xmlPullParser, "valueType", 2, 4);
                    PropertyValuesHolder p = p(context, resources, theme, xmlPullParser, m, k);
                    if (p == null) {
                        p = f(s, k, 0, 1, m);
                    }
                    if (p != null) {
                        if (arrayList == null) {
                            arrayList = new ArrayList();
                        }
                        arrayList.add(p);
                    }
                    s.recycle();
                }
                xmlPullParser.next();
            }
        }
        if (arrayList != null) {
        }
        return propertyValuesHolderArr;
    }

    private static void r(ValueAnimator valueAnimator, TypedArray typedArray, TypedArray typedArray2, float f2, XmlPullParser xmlPullParser) {
        long k = (long) h.k(typedArray, xmlPullParser, w.h.f1707b, 1, 300);
        long k2 = (long) h.k(typedArray, xmlPullParser, com.liulishuo.filedownloader.model.a.f16492c, 2, 0);
        int k3 = h.k(typedArray, xmlPullParser, "valueType", 7, 4);
        if (h.r(xmlPullParser, "valueFrom") && h.r(xmlPullParser, "valueTo")) {
            if (k3 == 4) {
                k3 = g(typedArray, 5, 6);
            }
            PropertyValuesHolder f3 = f(typedArray, k3, 5, 6, "");
            if (f3 != null) {
                valueAnimator.setValues(f3);
            }
        }
        valueAnimator.setDuration(k);
        valueAnimator.setStartDelay(k2);
        valueAnimator.setRepeatCount(h.k(typedArray, xmlPullParser, "repeatCount", 3, 0));
        valueAnimator.setRepeatMode(h.k(typedArray, xmlPullParser, "repeatMode", 4, 1));
        if (typedArray2 != null) {
            s(valueAnimator, typedArray2, k3, f2, xmlPullParser);
        }
    }

    private static void s(ValueAnimator valueAnimator, TypedArray typedArray, int i2, float f2, XmlPullParser xmlPullParser) {
        ObjectAnimator objectAnimator = (ObjectAnimator) valueAnimator;
        String m = h.m(typedArray, xmlPullParser, "pathData", 1);
        if (m != null) {
            String m2 = h.m(typedArray, xmlPullParser, "propertyXName", 2);
            String m3 = h.m(typedArray, xmlPullParser, "propertyYName", 3);
            if (i2 != 2) {
            }
            if (m2 == null && m3 == null) {
                throw new InflateException(typedArray.getPositionDescription() + " propertyXName or propertyYName is needed for PathData");
            }
            t(n.e(m), objectAnimator, f2 * 0.5f, m2, m3);
            return;
        }
        objectAnimator.setPropertyName(h.m(typedArray, xmlPullParser, "propertyName", 0));
    }

    private static void t(Path path, ObjectAnimator objectAnimator, float f2, String str, String str2) {
        PropertyValuesHolder propertyValuesHolder;
        PathMeasure pathMeasure = new PathMeasure(path, false);
        ArrayList arrayList = new ArrayList();
        float f3 = 0.0f;
        arrayList.add(Float.valueOf(0.0f));
        float f4 = 0.0f;
        do {
            f4 += pathMeasure.getLength();
            arrayList.add(Float.valueOf(f4));
        } while (pathMeasure.nextContour());
        PathMeasure pathMeasure2 = new PathMeasure(path, false);
        int min = Math.min(100, ((int) (f4 / f2)) + 1);
        float[] fArr = new float[min];
        float[] fArr2 = new float[min];
        float[] fArr3 = new float[2];
        float f5 = f4 / ((float) (min - 1));
        int i2 = 0;
        int i3 = 0;
        while (true) {
            propertyValuesHolder = null;
            if (i2 >= min) {
                break;
            }
            pathMeasure2.getPosTan(f3 - ((Float) arrayList.get(i3)).floatValue(), fArr3, null);
            fArr[i2] = fArr3[0];
            fArr2[i2] = fArr3[1];
            f3 += f5;
            int i4 = i3 + 1;
            if (i4 < arrayList.size() && f3 > ((Float) arrayList.get(i4)).floatValue()) {
                pathMeasure2.nextContour();
                i3 = i4;
            }
            i2++;
        }
        PropertyValuesHolder ofFloat = str != null ? PropertyValuesHolder.ofFloat(str, fArr) : null;
        if (str2 != null) {
            propertyValuesHolder = PropertyValuesHolder.ofFloat(str2, fArr2);
        }
        if (ofFloat == null) {
            objectAnimator.setValues(propertyValuesHolder);
        } else if (propertyValuesHolder == null) {
            objectAnimator.setValues(ofFloat);
        } else {
            objectAnimator.setValues(ofFloat, propertyValuesHolder);
        }
    }
}
