package androidx.vectordrawable.a.a;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.util.AttributeSet;
import android.view.InflateException;
import android.view.animation.Interpolator;
import androidx.annotation.RestrictTo;
import androidx.core.content.res.h;
import androidx.core.graphics.n;
import org.xmlpull.v1.XmlPullParser;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
/* compiled from: PathInterpolatorCompat */
public class g implements Interpolator {

    /* renamed from: a  reason: collision with root package name */
    private static final float f4333a = 0.002f;

    /* renamed from: b  reason: collision with root package name */
    public static final int f4334b = 3000;

    /* renamed from: c  reason: collision with root package name */
    public static final double f4335c = 1.0E-5d;

    /* renamed from: d  reason: collision with root package name */
    private float[] f4336d;

    /* renamed from: e  reason: collision with root package name */
    private float[] f4337e;

    public g(Context context, AttributeSet attributeSet, XmlPullParser xmlPullParser) {
        this(context.getResources(), context.getTheme(), attributeSet, xmlPullParser);
    }

    private void a(float f, float f2, float f3, float f4) {
        Path path = new Path();
        path.moveTo(0.0f, 0.0f);
        path.cubicTo(f, f2, f3, f4, 1.0f, 1.0f);
        b(path);
    }

    private void b(Path path) {
        int i = 0;
        PathMeasure pathMeasure = new PathMeasure(path, false);
        float length = pathMeasure.getLength();
        int min = Math.min(3000, ((int) (length / 0.002f)) + 1);
        if (min > 0) {
            this.f4336d = new float[min];
            this.f4337e = new float[min];
            float[] fArr = new float[2];
            for (int i2 = 0; i2 < min; i2++) {
                pathMeasure.getPosTan((((float) i2) * length) / ((float) (min - 1)), fArr, null);
                this.f4336d[i2] = fArr[0];
                this.f4337e[i2] = fArr[1];
            }
            if (((double) Math.abs(this.f4336d[0])) <= 1.0E-5d && ((double) Math.abs(this.f4337e[0])) <= 1.0E-5d) {
                int i3 = min - 1;
                if (((double) Math.abs(this.f4336d[i3] - 1.0f)) <= 1.0E-5d && ((double) Math.abs(this.f4337e[i3] - 1.0f)) <= 1.0E-5d) {
                    float f = 0.0f;
                    int i4 = 0;
                    while (i < min) {
                        float[] fArr2 = this.f4336d;
                        int i5 = i4 + 1;
                        float f2 = fArr2[i4];
                        if (f2 >= f) {
                            fArr2[i] = f2;
                            i++;
                            f = f2;
                            i4 = i5;
                        } else {
                            throw new IllegalArgumentException("The Path cannot loop back on itself, x :" + f2);
                        }
                    }
                    if (pathMeasure.nextContour()) {
                        throw new IllegalArgumentException("The Path should be continuous, can't have 2+ contours");
                    }
                    return;
                }
            }
            StringBuilder sb = new StringBuilder();
            sb.append("The Path must start at (0,0) and end at (1,1) start: ");
            sb.append(this.f4336d[0]);
            sb.append(",");
            sb.append(this.f4337e[0]);
            sb.append(" end:");
            int i6 = min - 1;
            sb.append(this.f4336d[i6]);
            sb.append(",");
            sb.append(this.f4337e[i6]);
            throw new IllegalArgumentException(sb.toString());
        }
        throw new IllegalArgumentException("The Path has a invalid length " + length);
    }

    private void c(float f, float f2) {
        Path path = new Path();
        path.moveTo(0.0f, 0.0f);
        path.quadTo(f, f2, 1.0f, 1.0f);
        b(path);
    }

    private void d(TypedArray typedArray, XmlPullParser xmlPullParser) {
        if (h.r(xmlPullParser, "pathData")) {
            String m = h.m(typedArray, xmlPullParser, "pathData", 4);
            Path e2 = n.e(m);
            if (e2 != null) {
                b(e2);
                return;
            }
            throw new InflateException("The path is null, which is created from " + m);
        } else if (!h.r(xmlPullParser, "controlX1")) {
            throw new InflateException("pathInterpolator requires the controlX1 attribute");
        } else if (h.r(xmlPullParser, "controlY1")) {
            float j = h.j(typedArray, xmlPullParser, "controlX1", 0, 0.0f);
            float j2 = h.j(typedArray, xmlPullParser, "controlY1", 1, 0.0f);
            boolean r = h.r(xmlPullParser, "controlX2");
            if (r != h.r(xmlPullParser, "controlY2")) {
                throw new InflateException("pathInterpolator requires both controlX2 and controlY2 for cubic Beziers.");
            } else if (!r) {
                c(j, j2);
            } else {
                a(j, j2, h.j(typedArray, xmlPullParser, "controlX2", 2, 0.0f), h.j(typedArray, xmlPullParser, "controlY2", 3, 0.0f));
            }
        } else {
            throw new InflateException("pathInterpolator requires the controlY1 attribute");
        }
    }

    public float getInterpolation(float f) {
        if (f <= 0.0f) {
            return 0.0f;
        }
        if (f >= 1.0f) {
            return 1.0f;
        }
        int i = 0;
        int length = this.f4336d.length - 1;
        while (length - i > 1) {
            int i2 = (i + length) / 2;
            if (f < this.f4336d[i2]) {
                length = i2;
            } else {
                i = i2;
            }
        }
        float[] fArr = this.f4336d;
        float f2 = fArr[length] - fArr[i];
        if (f2 == 0.0f) {
            return this.f4337e[i];
        }
        float[] fArr2 = this.f4337e;
        float f3 = fArr2[i];
        return f3 + (((f - fArr[i]) / f2) * (fArr2[length] - f3));
    }

    public g(Resources resources, Resources.Theme theme, AttributeSet attributeSet, XmlPullParser xmlPullParser) {
        TypedArray s = h.s(resources, theme, attributeSet, a.r0);
        d(s, xmlPullParser);
        s.recycle();
    }
}
