package androidx.vectordrawable.a.a;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.Shader;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.VectorDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.Xml;
import androidx.annotation.ColorInt;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.core.graphics.n;
import androidx.core.view.ViewCompat;
import com.ibm.icu.impl.number.Padder;
import java.io.IOException;
import java.util.ArrayDeque;
import java.util.ArrayList;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: VectorDrawableCompat */
public class i extends h {
    static final PorterDuff.Mode I0 = PorterDuff.Mode.SRC_IN;
    private static final String J0 = "clip-path";
    private static final String K0 = "group";
    private static final String L0 = "path";
    private static final String M0 = "vector";
    private static final int N0 = 0;
    private static final int O0 = 1;
    private static final int P0 = 2;
    private static final int Q0 = 0;
    private static final int R0 = 1;
    private static final int S0 = 2;
    private static final int T0 = 2048;
    private static final boolean U0 = false;

    /* renamed from: b  reason: collision with root package name */
    static final String f4339b = "VectorDrawableCompat";
    private h V0;
    private PorterDuffColorFilter W0;
    private ColorFilter X0;
    private boolean Y0;
    private boolean Z0;
    private Drawable.ConstantState a1;
    private final float[] b1;
    private final Matrix c1;
    private final Rect d1;

    /* access modifiers changed from: private */
    /* compiled from: VectorDrawableCompat */
    public static class b extends f {
        b() {
        }

        private void j(TypedArray typedArray, XmlPullParser xmlPullParser) {
            String string = typedArray.getString(0);
            if (string != null) {
                this.f4347c = string;
            }
            String string2 = typedArray.getString(1);
            if (string2 != null) {
                this.f4346b = n.d(string2);
            }
            this.f4348d = androidx.core.content.res.h.k(typedArray, xmlPullParser, "fillType", 2, 0);
        }

        @Override // androidx.vectordrawable.a.a.i.f
        public boolean e() {
            return true;
        }

        public void i(Resources resources, AttributeSet attributeSet, Resources.Theme theme, XmlPullParser xmlPullParser) {
            if (androidx.core.content.res.h.r(xmlPullParser, "pathData")) {
                TypedArray s = androidx.core.content.res.h.s(resources, theme, attributeSet, a.I);
                j(s, xmlPullParser);
                s.recycle();
            }
        }

        b(b bVar) {
            super(bVar);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: VectorDrawableCompat */
    public static abstract class e {
        private e() {
        }

        public boolean a() {
            return false;
        }

        public boolean b(int[] iArr) {
            return false;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: VectorDrawableCompat */
    public static class h extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        int f4355a;

        /* renamed from: b  reason: collision with root package name */
        g f4356b;

        /* renamed from: c  reason: collision with root package name */
        ColorStateList f4357c;

        /* renamed from: d  reason: collision with root package name */
        PorterDuff.Mode f4358d;

        /* renamed from: e  reason: collision with root package name */
        boolean f4359e;
        Bitmap f;
        int[] g;
        ColorStateList h;
        PorterDuff.Mode i;
        int j;
        boolean k;
        boolean l;
        Paint m;

        public h(h hVar) {
            this.f4357c = null;
            this.f4358d = i.I0;
            if (hVar != null) {
                this.f4355a = hVar.f4355a;
                g gVar = new g(hVar.f4356b);
                this.f4356b = gVar;
                if (hVar.f4356b.f != null) {
                    gVar.f = new Paint(hVar.f4356b.f);
                }
                if (hVar.f4356b.f4354e != null) {
                    this.f4356b.f4354e = new Paint(hVar.f4356b.f4354e);
                }
                this.f4357c = hVar.f4357c;
                this.f4358d = hVar.f4358d;
                this.f4359e = hVar.f4359e;
            }
        }

        public boolean a(int i2, int i3) {
            return i2 == this.f.getWidth() && i3 == this.f.getHeight();
        }

        public boolean b() {
            return !this.l && this.h == this.f4357c && this.i == this.f4358d && this.k == this.f4359e && this.j == this.f4356b.getRootAlpha();
        }

        public void c(int i2, int i3) {
            if (this.f == null || !a(i2, i3)) {
                this.f = Bitmap.createBitmap(i2, i3, Bitmap.Config.ARGB_8888);
                this.l = true;
            }
        }

        public void d(Canvas canvas, ColorFilter colorFilter, Rect rect) {
            canvas.drawBitmap(this.f, (Rect) null, rect, e(colorFilter));
        }

        public Paint e(ColorFilter colorFilter) {
            if (!f() && colorFilter == null) {
                return null;
            }
            if (this.m == null) {
                Paint paint = new Paint();
                this.m = paint;
                paint.setFilterBitmap(true);
            }
            this.m.setAlpha(this.f4356b.getRootAlpha());
            this.m.setColorFilter(colorFilter);
            return this.m;
        }

        public boolean f() {
            return this.f4356b.getRootAlpha() < 255;
        }

        public boolean g() {
            return this.f4356b.f();
        }

        public int getChangingConfigurations() {
            return this.f4355a;
        }

        public boolean h(int[] iArr) {
            boolean g2 = this.f4356b.g(iArr);
            this.l |= g2;
            return g2;
        }

        public void i() {
            this.h = this.f4357c;
            this.i = this.f4358d;
            this.j = this.f4356b.getRootAlpha();
            this.k = this.f4359e;
            this.l = false;
        }

        public void j(int i2, int i3) {
            this.f.eraseColor(0);
            this.f4356b.b(new Canvas(this.f), i2, i3, null);
        }

        @NonNull
        public Drawable newDrawable() {
            return new i(this);
        }

        @NonNull
        public Drawable newDrawable(Resources resources) {
            return new i(this);
        }

        public h() {
            this.f4357c = null;
            this.f4358d = i.I0;
            this.f4356b = new g();
        }
    }

    i() {
        this.Z0 = true;
        this.b1 = new float[9];
        this.c1 = new Matrix();
        this.d1 = new Rect();
        this.V0 = new h();
    }

    static int a(int i, float f2) {
        return (i & ViewCompat.MEASURED_SIZE_MASK) | (((int) (((float) Color.alpha(i)) * f2)) << 24);
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0038 A[Catch:{ XmlPullParserException -> 0x004a, IOException -> 0x0045 }] */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x003d A[Catch:{ XmlPullParserException -> 0x004a, IOException -> 0x0045 }] */
    @Nullable
    public static i e(@NonNull Resources resources, @DrawableRes int i, @Nullable Resources.Theme theme) {
        int next;
        if (Build.VERSION.SDK_INT >= 24) {
            i iVar = new i();
            iVar.f4338a = androidx.core.content.res.f.f(resources, i, theme);
            iVar.a1 = new C0077i(iVar.f4338a.getConstantState());
            return iVar;
        }
        try {
            XmlResourceParser xml = resources.getXml(i);
            AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
            while (true) {
                next = xml.next();
                if (next == 2 || next == 1) {
                    if (next != 2) {
                        return f(resources, xml, asAttributeSet, theme);
                    }
                    throw new XmlPullParserException("No start tag found");
                }
            }
            if (next != 2) {
            }
        } catch (XmlPullParserException e2) {
            Log.e(f4339b, "parser error", e2);
            return null;
        } catch (IOException e3) {
            Log.e(f4339b, "parser error", e3);
            return null;
        }
    }

    public static i f(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        i iVar = new i();
        iVar.inflate(resources, xmlPullParser, attributeSet, theme);
        return iVar;
    }

    private void i(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        h hVar = this.V0;
        g gVar = hVar.f4356b;
        ArrayDeque arrayDeque = new ArrayDeque();
        arrayDeque.push(gVar.i);
        int eventType = xmlPullParser.getEventType();
        int depth = xmlPullParser.getDepth() + 1;
        boolean z = true;
        while (eventType != 1 && (xmlPullParser.getDepth() >= depth || eventType != 3)) {
            if (eventType == 2) {
                String name = xmlPullParser.getName();
                d dVar = (d) arrayDeque.peek();
                if ("path".equals(name)) {
                    c cVar = new c();
                    cVar.k(resources, attributeSet, theme, xmlPullParser);
                    dVar.f4341b.add(cVar);
                    if (cVar.getPathName() != null) {
                        gVar.q.put(cVar.getPathName(), cVar);
                    }
                    z = false;
                    hVar.f4355a = cVar.f4349e | hVar.f4355a;
                } else if (J0.equals(name)) {
                    b bVar = new b();
                    bVar.i(resources, attributeSet, theme, xmlPullParser);
                    dVar.f4341b.add(bVar);
                    if (bVar.getPathName() != null) {
                        gVar.q.put(bVar.getPathName(), bVar);
                    }
                    hVar.f4355a = bVar.f4349e | hVar.f4355a;
                } else if (K0.equals(name)) {
                    d dVar2 = new d();
                    dVar2.c(resources, attributeSet, theme, xmlPullParser);
                    dVar.f4341b.add(dVar2);
                    arrayDeque.push(dVar2);
                    if (dVar2.getGroupName() != null) {
                        gVar.q.put(dVar2.getGroupName(), dVar2);
                    }
                    hVar.f4355a = dVar2.k | hVar.f4355a;
                }
            } else if (eventType == 3 && K0.equals(xmlPullParser.getName())) {
                arrayDeque.pop();
            }
            eventType = xmlPullParser.next();
        }
        if (z) {
            throw new XmlPullParserException("no path defined");
        }
    }

    private boolean j() {
        if (Build.VERSION.SDK_INT < 17 || !isAutoMirrored() || androidx.core.graphics.drawable.c.f(this) != 1) {
            return false;
        }
        return true;
    }

    private static PorterDuff.Mode k(int i, PorterDuff.Mode mode) {
        if (i == 3) {
            return PorterDuff.Mode.SRC_OVER;
        }
        if (i == 5) {
            return PorterDuff.Mode.SRC_IN;
        }
        if (i == 9) {
            return PorterDuff.Mode.SRC_ATOP;
        }
        switch (i) {
            case 14:
                return PorterDuff.Mode.MULTIPLY;
            case 15:
                return PorterDuff.Mode.SCREEN;
            case 16:
                return PorterDuff.Mode.ADD;
            default:
                return mode;
        }
    }

    private void l(d dVar, int i) {
        String str = "";
        for (int i2 = 0; i2 < i; i2++) {
            str = str + "    ";
        }
        Log.v(f4339b, str + "current group is :" + dVar.getGroupName() + " rotation is " + dVar.f4342c);
        StringBuilder sb = new StringBuilder();
        sb.append(str);
        sb.append("matrix is :");
        sb.append(dVar.getLocalMatrix().toString());
        Log.v(f4339b, sb.toString());
        for (int i3 = 0; i3 < dVar.f4341b.size(); i3++) {
            e eVar = dVar.f4341b.get(i3);
            if (eVar instanceof d) {
                l((d) eVar, i + 1);
            } else {
                ((f) eVar).g(i + 1);
            }
        }
    }

    private void n(TypedArray typedArray, XmlPullParser xmlPullParser, Resources.Theme theme) throws XmlPullParserException {
        h hVar = this.V0;
        g gVar = hVar.f4356b;
        hVar.f4358d = k(androidx.core.content.res.h.k(typedArray, xmlPullParser, "tintMode", 6, -1), PorterDuff.Mode.SRC_IN);
        ColorStateList g2 = androidx.core.content.res.h.g(typedArray, xmlPullParser, theme, "tint", 1);
        if (g2 != null) {
            hVar.f4357c = g2;
        }
        hVar.f4359e = androidx.core.content.res.h.e(typedArray, xmlPullParser, "autoMirrored", 5, hVar.f4359e);
        gVar.l = androidx.core.content.res.h.j(typedArray, xmlPullParser, "viewportWidth", 7, gVar.l);
        float j = androidx.core.content.res.h.j(typedArray, xmlPullParser, "viewportHeight", 8, gVar.m);
        gVar.m = j;
        if (gVar.l <= 0.0f) {
            throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires viewportWidth > 0");
        } else if (j > 0.0f) {
            gVar.j = typedArray.getDimension(3, gVar.j);
            float dimension = typedArray.getDimension(2, gVar.k);
            gVar.k = dimension;
            if (gVar.j <= 0.0f) {
                throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires width > 0");
            } else if (dimension > 0.0f) {
                gVar.setAlpha(androidx.core.content.res.h.j(typedArray, xmlPullParser, "alpha", 4, gVar.getAlpha()));
                String string = typedArray.getString(0);
                if (string != null) {
                    gVar.o = string;
                    gVar.q.put(string, gVar);
                }
            } else {
                throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires height > 0");
            }
        } else {
            throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires viewportHeight > 0");
        }
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ void applyTheme(Resources.Theme theme) {
        super.applyTheme(theme);
    }

    public boolean canApplyTheme() {
        Drawable drawable = this.f4338a;
        if (drawable == null) {
            return false;
        }
        androidx.core.graphics.drawable.c.b(drawable);
        return false;
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ void clearColorFilter() {
        super.clearColorFilter();
    }

    public void draw(Canvas canvas) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            drawable.draw(canvas);
            return;
        }
        copyBounds(this.d1);
        if (this.d1.width() > 0 && this.d1.height() > 0) {
            ColorFilter colorFilter = this.X0;
            if (colorFilter == null) {
                colorFilter = this.W0;
            }
            canvas.getMatrix(this.c1);
            this.c1.getValues(this.b1);
            float abs = Math.abs(this.b1[0]);
            float abs2 = Math.abs(this.b1[4]);
            float abs3 = Math.abs(this.b1[1]);
            float abs4 = Math.abs(this.b1[3]);
            if (!(abs3 == 0.0f && abs4 == 0.0f)) {
                abs = 1.0f;
                abs2 = 1.0f;
            }
            int min = Math.min(2048, (int) (((float) this.d1.width()) * abs));
            int min2 = Math.min(2048, (int) (((float) this.d1.height()) * abs2));
            if (min > 0 && min2 > 0) {
                int save = canvas.save();
                Rect rect = this.d1;
                canvas.translate((float) rect.left, (float) rect.top);
                if (j()) {
                    canvas.translate((float) this.d1.width(), 0.0f);
                    canvas.scale(-1.0f, 1.0f);
                }
                this.d1.offsetTo(0, 0);
                this.V0.c(min, min2);
                if (!this.Z0) {
                    this.V0.j(min, min2);
                } else if (!this.V0.b()) {
                    this.V0.j(min, min2);
                    this.V0.i();
                }
                this.V0.d(canvas, colorFilter, this.d1);
                canvas.restoreToCount(save);
            }
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public float g() {
        g gVar;
        h hVar = this.V0;
        if (hVar == null || (gVar = hVar.f4356b) == null) {
            return 1.0f;
        }
        float f2 = gVar.j;
        if (f2 == 0.0f) {
            return 1.0f;
        }
        float f3 = gVar.k;
        if (f3 == 0.0f) {
            return 1.0f;
        }
        float f4 = gVar.m;
        if (f4 == 0.0f) {
            return 1.0f;
        }
        float f5 = gVar.l;
        if (f5 == 0.0f) {
            return 1.0f;
        }
        return Math.min(f5 / f2, f4 / f3);
    }

    public int getAlpha() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return androidx.core.graphics.drawable.c.d(drawable);
        }
        return this.V0.f4356b.getRootAlpha();
    }

    public int getChangingConfigurations() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return drawable.getChangingConfigurations();
        }
        return super.getChangingConfigurations() | this.V0.getChangingConfigurations();
    }

    public ColorFilter getColorFilter() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return androidx.core.graphics.drawable.c.e(drawable);
        }
        return this.X0;
    }

    public Drawable.ConstantState getConstantState() {
        if (this.f4338a != null && Build.VERSION.SDK_INT >= 24) {
            return new C0077i(this.f4338a.getConstantState());
        }
        this.V0.f4355a = getChangingConfigurations();
        return this.V0;
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ Drawable getCurrent() {
        return super.getCurrent();
    }

    public int getIntrinsicHeight() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return drawable.getIntrinsicHeight();
        }
        return (int) this.V0.f4356b.k;
    }

    public int getIntrinsicWidth() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return drawable.getIntrinsicWidth();
        }
        return (int) this.V0.f4356b.j;
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ int getMinimumHeight() {
        return super.getMinimumHeight();
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ int getMinimumWidth() {
        return super.getMinimumWidth();
    }

    public int getOpacity() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return drawable.getOpacity();
        }
        return -3;
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ boolean getPadding(Rect rect) {
        return super.getPadding(rect);
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ int[] getState() {
        return super.getState();
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ Region getTransparentRegion() {
        return super.getTransparentRegion();
    }

    /* access modifiers changed from: package-private */
    public Object h(String str) {
        return this.V0.f4356b.q.get(str);
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet) throws XmlPullParserException, IOException {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            drawable.inflate(resources, xmlPullParser, attributeSet);
        } else {
            inflate(resources, xmlPullParser, attributeSet, null);
        }
    }

    public void invalidateSelf() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            drawable.invalidateSelf();
        } else {
            super.invalidateSelf();
        }
    }

    public boolean isAutoMirrored() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return androidx.core.graphics.drawable.c.h(drawable);
        }
        return this.V0.f4359e;
    }

    public boolean isStateful() {
        h hVar;
        ColorStateList colorStateList;
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return drawable.isStateful();
        }
        return super.isStateful() || ((hVar = this.V0) != null && (hVar.g() || ((colorStateList = this.V0.f4357c) != null && colorStateList.isStateful())));
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ void jumpToCurrentState() {
        super.jumpToCurrentState();
    }

    /* access modifiers changed from: package-private */
    public void m(boolean z) {
        this.Z0 = z;
    }

    public Drawable mutate() {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            drawable.mutate();
            return this;
        }
        if (!this.Y0 && super.mutate() == this) {
            this.V0 = new h(this.V0);
            this.Y0 = true;
        }
        return this;
    }

    /* access modifiers changed from: package-private */
    public PorterDuffColorFilter o(PorterDuffColorFilter porterDuffColorFilter, ColorStateList colorStateList, PorterDuff.Mode mode) {
        if (colorStateList == null || mode == null) {
            return null;
        }
        return new PorterDuffColorFilter(colorStateList.getColorForState(getState(), 0), mode);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.vectordrawable.a.a.h
    public void onBoundsChange(Rect rect) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            drawable.setBounds(rect);
        }
    }

    /* access modifiers changed from: protected */
    public boolean onStateChange(int[] iArr) {
        PorterDuff.Mode mode;
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return drawable.setState(iArr);
        }
        boolean z = false;
        h hVar = this.V0;
        ColorStateList colorStateList = hVar.f4357c;
        if (!(colorStateList == null || (mode = hVar.f4358d) == null)) {
            this.W0 = o(this.W0, colorStateList, mode);
            invalidateSelf();
            z = true;
        }
        if (!hVar.g() || !hVar.h(iArr)) {
            return z;
        }
        invalidateSelf();
        return true;
    }

    public void scheduleSelf(Runnable runnable, long j) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            drawable.scheduleSelf(runnable, j);
        } else {
            super.scheduleSelf(runnable, j);
        }
    }

    public void setAlpha(int i) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            drawable.setAlpha(i);
        } else if (this.V0.f4356b.getRootAlpha() != i) {
            this.V0.f4356b.setRootAlpha(i);
            invalidateSelf();
        }
    }

    public void setAutoMirrored(boolean z) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            androidx.core.graphics.drawable.c.j(drawable, z);
        } else {
            this.V0.f4359e = z;
        }
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ void setChangingConfigurations(int i) {
        super.setChangingConfigurations(i);
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ void setColorFilter(int i, PorterDuff.Mode mode) {
        super.setColorFilter(i, mode);
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ void setFilterBitmap(boolean z) {
        super.setFilterBitmap(z);
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ void setHotspot(float f2, float f3) {
        super.setHotspot(f2, f3);
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ void setHotspotBounds(int i, int i2, int i3, int i4) {
        super.setHotspotBounds(i, i2, i3, i4);
    }

    @Override // androidx.vectordrawable.a.a.h
    public /* bridge */ /* synthetic */ boolean setState(int[] iArr) {
        return super.setState(iArr);
    }

    @Override // androidx.core.graphics.drawable.i
    public void setTint(int i) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            androidx.core.graphics.drawable.c.n(drawable, i);
        } else {
            setTintList(ColorStateList.valueOf(i));
        }
    }

    @Override // androidx.core.graphics.drawable.i
    public void setTintList(ColorStateList colorStateList) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            androidx.core.graphics.drawable.c.o(drawable, colorStateList);
            return;
        }
        h hVar = this.V0;
        if (hVar.f4357c != colorStateList) {
            hVar.f4357c = colorStateList;
            this.W0 = o(this.W0, colorStateList, hVar.f4358d);
            invalidateSelf();
        }
    }

    @Override // androidx.core.graphics.drawable.i
    public void setTintMode(PorterDuff.Mode mode) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            androidx.core.graphics.drawable.c.p(drawable, mode);
            return;
        }
        h hVar = this.V0;
        if (hVar.f4358d != mode) {
            hVar.f4358d = mode;
            this.W0 = o(this.W0, hVar.f4357c, mode);
            invalidateSelf();
        }
    }

    public boolean setVisible(boolean z, boolean z2) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            return drawable.setVisible(z, z2);
        }
        return super.setVisible(z, z2);
    }

    public void unscheduleSelf(Runnable runnable) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            drawable.unscheduleSelf(runnable);
        } else {
            super.unscheduleSelf(runnable);
        }
    }

    /* access modifiers changed from: private */
    @RequiresApi(24)
    /* renamed from: androidx.vectordrawable.a.a.i$i  reason: collision with other inner class name */
    /* compiled from: VectorDrawableCompat */
    public static class C0077i extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        private final Drawable.ConstantState f4360a;

        public C0077i(Drawable.ConstantState constantState) {
            this.f4360a = constantState;
        }

        public boolean canApplyTheme() {
            return this.f4360a.canApplyTheme();
        }

        public int getChangingConfigurations() {
            return this.f4360a.getChangingConfigurations();
        }

        public Drawable newDrawable() {
            i iVar = new i();
            iVar.f4338a = (VectorDrawable) this.f4360a.newDrawable();
            return iVar;
        }

        public Drawable newDrawable(Resources resources) {
            i iVar = new i();
            iVar.f4338a = (VectorDrawable) this.f4360a.newDrawable(resources);
            return iVar;
        }

        public Drawable newDrawable(Resources resources, Resources.Theme theme) {
            i iVar = new i();
            iVar.f4338a = (VectorDrawable) this.f4360a.newDrawable(resources, theme);
            return iVar;
        }
    }

    public void setColorFilter(ColorFilter colorFilter) {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            drawable.setColorFilter(colorFilter);
            return;
        }
        this.X0 = colorFilter;
        invalidateSelf();
    }

    /* access modifiers changed from: private */
    /* compiled from: VectorDrawableCompat */
    public static abstract class f extends e {

        /* renamed from: a  reason: collision with root package name */
        protected static final int f4345a = 0;

        /* renamed from: b  reason: collision with root package name */
        protected n.b[] f4346b = null;

        /* renamed from: c  reason: collision with root package name */
        String f4347c;

        /* renamed from: d  reason: collision with root package name */
        int f4348d = 0;

        /* renamed from: e  reason: collision with root package name */
        int f4349e;

        public f() {
            super();
        }

        public void c(Resources.Theme theme) {
        }

        public boolean d() {
            return false;
        }

        public boolean e() {
            return false;
        }

        public String f(n.b[] bVarArr) {
            String str = Padder.f14124a;
            for (int i = 0; i < bVarArr.length; i++) {
                str = str + bVarArr[i].f2555a + ":";
                float[] fArr = bVarArr[i].f2556b;
                for (int i2 = 0; i2 < fArr.length; i2++) {
                    str = str + fArr[i2] + ",";
                }
            }
            return str;
        }

        public void g(int i) {
            String str = "";
            for (int i2 = 0; i2 < i; i2++) {
                str = str + "    ";
            }
            Log.v(i.f4339b, str + "current path is :" + this.f4347c + " pathData is " + f(this.f4346b));
        }

        public n.b[] getPathData() {
            return this.f4346b;
        }

        public String getPathName() {
            return this.f4347c;
        }

        public void h(Path path) {
            path.reset();
            n.b[] bVarArr = this.f4346b;
            if (bVarArr != null) {
                n.b.e(bVarArr, path);
            }
        }

        public void setPathData(n.b[] bVarArr) {
            if (!n.b(this.f4346b, bVarArr)) {
                this.f4346b = n.f(bVarArr);
            } else {
                n.k(this.f4346b, bVarArr);
            }
        }

        public f(f fVar) {
            super();
            this.f4347c = fVar.f4347c;
            this.f4349e = fVar.f4349e;
            this.f4346b = n.f(fVar.f4346b);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        Drawable drawable = this.f4338a;
        if (drawable != null) {
            androidx.core.graphics.drawable.c.g(drawable, resources, xmlPullParser, attributeSet, theme);
            return;
        }
        h hVar = this.V0;
        hVar.f4356b = new g();
        TypedArray s = androidx.core.content.res.h.s(resources, theme, attributeSet, a.f4310a);
        n(s, xmlPullParser, theme);
        s.recycle();
        hVar.f4355a = getChangingConfigurations();
        hVar.l = true;
        i(resources, xmlPullParser, attributeSet, theme);
        this.W0 = o(this.W0, hVar.f4357c, hVar.f4358d);
    }

    i(@NonNull h hVar) {
        this.Z0 = true;
        this.b1 = new float[9];
        this.c1 = new Matrix();
        this.d1 = new Rect();
        this.V0 = hVar;
        this.W0 = o(this.W0, hVar.f4357c, hVar.f4358d);
    }

    /* access modifiers changed from: private */
    /* compiled from: VectorDrawableCompat */
    public static class c extends f {
        private int[] f;
        androidx.core.content.res.b g;
        float h = 0.0f;
        androidx.core.content.res.b i;
        float j = 1.0f;
        float k = 1.0f;
        float l = 0.0f;
        float m = 1.0f;
        float n = 0.0f;
        Paint.Cap o = Paint.Cap.BUTT;
        Paint.Join p = Paint.Join.MITER;
        float q = 4.0f;

        c() {
        }

        private Paint.Cap i(int i2, Paint.Cap cap) {
            if (i2 == 0) {
                return Paint.Cap.BUTT;
            }
            if (i2 != 1) {
                return i2 != 2 ? cap : Paint.Cap.SQUARE;
            }
            return Paint.Cap.ROUND;
        }

        private Paint.Join j(int i2, Paint.Join join) {
            if (i2 == 0) {
                return Paint.Join.MITER;
            }
            if (i2 != 1) {
                return i2 != 2 ? join : Paint.Join.BEVEL;
            }
            return Paint.Join.ROUND;
        }

        private void l(TypedArray typedArray, XmlPullParser xmlPullParser, Resources.Theme theme) {
            this.f = null;
            if (androidx.core.content.res.h.r(xmlPullParser, "pathData")) {
                String string = typedArray.getString(0);
                if (string != null) {
                    this.f4347c = string;
                }
                String string2 = typedArray.getString(2);
                if (string2 != null) {
                    this.f4346b = n.d(string2);
                }
                this.i = androidx.core.content.res.h.i(typedArray, xmlPullParser, theme, "fillColor", 1, 0);
                this.k = androidx.core.content.res.h.j(typedArray, xmlPullParser, "fillAlpha", 12, this.k);
                this.o = i(androidx.core.content.res.h.k(typedArray, xmlPullParser, "strokeLineCap", 8, -1), this.o);
                this.p = j(androidx.core.content.res.h.k(typedArray, xmlPullParser, "strokeLineJoin", 9, -1), this.p);
                this.q = androidx.core.content.res.h.j(typedArray, xmlPullParser, "strokeMiterLimit", 10, this.q);
                this.g = androidx.core.content.res.h.i(typedArray, xmlPullParser, theme, "strokeColor", 3, 0);
                this.j = androidx.core.content.res.h.j(typedArray, xmlPullParser, "strokeAlpha", 11, this.j);
                this.h = androidx.core.content.res.h.j(typedArray, xmlPullParser, "strokeWidth", 4, this.h);
                this.m = androidx.core.content.res.h.j(typedArray, xmlPullParser, "trimPathEnd", 6, this.m);
                this.n = androidx.core.content.res.h.j(typedArray, xmlPullParser, "trimPathOffset", 7, this.n);
                this.l = androidx.core.content.res.h.j(typedArray, xmlPullParser, "trimPathStart", 5, this.l);
                this.f4348d = androidx.core.content.res.h.k(typedArray, xmlPullParser, "fillType", 13, this.f4348d);
            }
        }

        @Override // androidx.vectordrawable.a.a.i.e
        public boolean a() {
            return this.i.i() || this.g.i();
        }

        @Override // androidx.vectordrawable.a.a.i.e
        public boolean b(int[] iArr) {
            return this.g.j(iArr) | this.i.j(iArr);
        }

        @Override // androidx.vectordrawable.a.a.i.f
        public void c(Resources.Theme theme) {
            if (this.f == null) {
            }
        }

        @Override // androidx.vectordrawable.a.a.i.f
        public boolean d() {
            return this.f != null;
        }

        /* access modifiers changed from: package-private */
        public float getFillAlpha() {
            return this.k;
        }

        /* access modifiers changed from: package-private */
        @ColorInt
        public int getFillColor() {
            return this.i.e();
        }

        /* access modifiers changed from: package-private */
        public float getStrokeAlpha() {
            return this.j;
        }

        /* access modifiers changed from: package-private */
        @ColorInt
        public int getStrokeColor() {
            return this.g.e();
        }

        /* access modifiers changed from: package-private */
        public float getStrokeWidth() {
            return this.h;
        }

        /* access modifiers changed from: package-private */
        public float getTrimPathEnd() {
            return this.m;
        }

        /* access modifiers changed from: package-private */
        public float getTrimPathOffset() {
            return this.n;
        }

        /* access modifiers changed from: package-private */
        public float getTrimPathStart() {
            return this.l;
        }

        public void k(Resources resources, AttributeSet attributeSet, Resources.Theme theme, XmlPullParser xmlPullParser) {
            TypedArray s = androidx.core.content.res.h.s(resources, theme, attributeSet, a.t);
            l(s, xmlPullParser, theme);
            s.recycle();
        }

        /* access modifiers changed from: package-private */
        public void setFillAlpha(float f2) {
            this.k = f2;
        }

        /* access modifiers changed from: package-private */
        public void setFillColor(int i2) {
            this.i.k(i2);
        }

        /* access modifiers changed from: package-private */
        public void setStrokeAlpha(float f2) {
            this.j = f2;
        }

        /* access modifiers changed from: package-private */
        public void setStrokeColor(int i2) {
            this.g.k(i2);
        }

        /* access modifiers changed from: package-private */
        public void setStrokeWidth(float f2) {
            this.h = f2;
        }

        /* access modifiers changed from: package-private */
        public void setTrimPathEnd(float f2) {
            this.m = f2;
        }

        /* access modifiers changed from: package-private */
        public void setTrimPathOffset(float f2) {
            this.n = f2;
        }

        /* access modifiers changed from: package-private */
        public void setTrimPathStart(float f2) {
            this.l = f2;
        }

        c(c cVar) {
            super(cVar);
            this.f = cVar.f;
            this.g = cVar.g;
            this.h = cVar.h;
            this.j = cVar.j;
            this.i = cVar.i;
            this.f4348d = cVar.f4348d;
            this.k = cVar.k;
            this.l = cVar.l;
            this.m = cVar.m;
            this.n = cVar.n;
            this.o = cVar.o;
            this.p = cVar.p;
            this.q = cVar.q;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: VectorDrawableCompat */
    public static class g {

        /* renamed from: a  reason: collision with root package name */
        private static final Matrix f4350a = new Matrix();

        /* renamed from: b  reason: collision with root package name */
        private final Path f4351b;

        /* renamed from: c  reason: collision with root package name */
        private final Path f4352c;

        /* renamed from: d  reason: collision with root package name */
        private final Matrix f4353d;

        /* renamed from: e  reason: collision with root package name */
        Paint f4354e;
        Paint f;
        private PathMeasure g;
        private int h;
        final d i;
        float j;
        float k;
        float l;
        float m;
        int n;
        String o;
        Boolean p;
        final b.b.a<String, Object> q;

        public g() {
            this.f4353d = new Matrix();
            this.j = 0.0f;
            this.k = 0.0f;
            this.l = 0.0f;
            this.m = 0.0f;
            this.n = 255;
            this.o = null;
            this.p = null;
            this.q = new b.b.a<>();
            this.i = new d();
            this.f4351b = new Path();
            this.f4352c = new Path();
        }

        private static float a(float f2, float f3, float f4, float f5) {
            return (f2 * f5) - (f3 * f4);
        }

        private void c(d dVar, Matrix matrix, Canvas canvas, int i2, int i3, ColorFilter colorFilter) {
            dVar.f4340a.set(matrix);
            dVar.f4340a.preConcat(dVar.j);
            canvas.save();
            for (int i4 = 0; i4 < dVar.f4341b.size(); i4++) {
                e eVar = dVar.f4341b.get(i4);
                if (eVar instanceof d) {
                    c((d) eVar, dVar.f4340a, canvas, i2, i3, colorFilter);
                } else if (eVar instanceof f) {
                    d(dVar, (f) eVar, canvas, i2, i3, colorFilter);
                }
            }
            canvas.restore();
        }

        private void d(d dVar, f fVar, Canvas canvas, int i2, int i3, ColorFilter colorFilter) {
            float f2 = ((float) i2) / this.l;
            float f3 = ((float) i3) / this.m;
            float min = Math.min(f2, f3);
            Matrix matrix = dVar.f4340a;
            this.f4353d.set(matrix);
            this.f4353d.postScale(f2, f3);
            float e2 = e(matrix);
            if (e2 != 0.0f) {
                fVar.h(this.f4351b);
                Path path = this.f4351b;
                this.f4352c.reset();
                if (fVar.e()) {
                    this.f4352c.setFillType(fVar.f4348d == 0 ? Path.FillType.WINDING : Path.FillType.EVEN_ODD);
                    this.f4352c.addPath(path, this.f4353d);
                    canvas.clipPath(this.f4352c);
                    return;
                }
                c cVar = (c) fVar;
                float f4 = cVar.l;
                if (!(f4 == 0.0f && cVar.m == 1.0f)) {
                    float f5 = cVar.n;
                    float f6 = (f4 + f5) % 1.0f;
                    float f7 = (cVar.m + f5) % 1.0f;
                    if (this.g == null) {
                        this.g = new PathMeasure();
                    }
                    this.g.setPath(this.f4351b, false);
                    float length = this.g.getLength();
                    float f8 = f6 * length;
                    float f9 = f7 * length;
                    path.reset();
                    if (f8 > f9) {
                        this.g.getSegment(f8, length, path, true);
                        this.g.getSegment(0.0f, f9, path, true);
                    } else {
                        this.g.getSegment(f8, f9, path, true);
                    }
                    path.rLineTo(0.0f, 0.0f);
                }
                this.f4352c.addPath(path, this.f4353d);
                if (cVar.i.l()) {
                    androidx.core.content.res.b bVar = cVar.i;
                    if (this.f == null) {
                        Paint paint = new Paint(1);
                        this.f = paint;
                        paint.setStyle(Paint.Style.FILL);
                    }
                    Paint paint2 = this.f;
                    if (bVar.h()) {
                        Shader f10 = bVar.f();
                        f10.setLocalMatrix(this.f4353d);
                        paint2.setShader(f10);
                        paint2.setAlpha(Math.round(cVar.k * 255.0f));
                    } else {
                        paint2.setShader(null);
                        paint2.setAlpha(255);
                        paint2.setColor(i.a(bVar.e(), cVar.k));
                    }
                    paint2.setColorFilter(colorFilter);
                    this.f4352c.setFillType(cVar.f4348d == 0 ? Path.FillType.WINDING : Path.FillType.EVEN_ODD);
                    canvas.drawPath(this.f4352c, paint2);
                }
                if (cVar.g.l()) {
                    androidx.core.content.res.b bVar2 = cVar.g;
                    if (this.f4354e == null) {
                        Paint paint3 = new Paint(1);
                        this.f4354e = paint3;
                        paint3.setStyle(Paint.Style.STROKE);
                    }
                    Paint paint4 = this.f4354e;
                    Paint.Join join = cVar.p;
                    if (join != null) {
                        paint4.setStrokeJoin(join);
                    }
                    Paint.Cap cap = cVar.o;
                    if (cap != null) {
                        paint4.setStrokeCap(cap);
                    }
                    paint4.setStrokeMiter(cVar.q);
                    if (bVar2.h()) {
                        Shader f11 = bVar2.f();
                        f11.setLocalMatrix(this.f4353d);
                        paint4.setShader(f11);
                        paint4.setAlpha(Math.round(cVar.j * 255.0f));
                    } else {
                        paint4.setShader(null);
                        paint4.setAlpha(255);
                        paint4.setColor(i.a(bVar2.e(), cVar.j));
                    }
                    paint4.setColorFilter(colorFilter);
                    paint4.setStrokeWidth(cVar.h * min * e2);
                    canvas.drawPath(this.f4352c, paint4);
                }
            }
        }

        private float e(Matrix matrix) {
            float[] fArr = {0.0f, 1.0f, 1.0f, 0.0f};
            matrix.mapVectors(fArr);
            float a2 = a(fArr[0], fArr[1], fArr[2], fArr[3]);
            float max = Math.max((float) Math.hypot((double) fArr[0], (double) fArr[1]), (float) Math.hypot((double) fArr[2], (double) fArr[3]));
            if (max > 0.0f) {
                return Math.abs(a2) / max;
            }
            return 0.0f;
        }

        public void b(Canvas canvas, int i2, int i3, ColorFilter colorFilter) {
            c(this.i, f4350a, canvas, i2, i3, colorFilter);
        }

        public boolean f() {
            if (this.p == null) {
                this.p = Boolean.valueOf(this.i.a());
            }
            return this.p.booleanValue();
        }

        public boolean g(int[] iArr) {
            return this.i.b(iArr);
        }

        public float getAlpha() {
            return ((float) getRootAlpha()) / 255.0f;
        }

        public int getRootAlpha() {
            return this.n;
        }

        public void setAlpha(float f2) {
            setRootAlpha((int) (f2 * 255.0f));
        }

        public void setRootAlpha(int i2) {
            this.n = i2;
        }

        public g(g gVar) {
            this.f4353d = new Matrix();
            this.j = 0.0f;
            this.k = 0.0f;
            this.l = 0.0f;
            this.m = 0.0f;
            this.n = 255;
            this.o = null;
            this.p = null;
            b.b.a<String, Object> aVar = new b.b.a<>();
            this.q = aVar;
            this.i = new d(gVar.i, aVar);
            this.f4351b = new Path(gVar.f4351b);
            this.f4352c = new Path(gVar.f4352c);
            this.j = gVar.j;
            this.k = gVar.k;
            this.l = gVar.l;
            this.m = gVar.m;
            this.h = gVar.h;
            this.n = gVar.n;
            this.o = gVar.o;
            String str = gVar.o;
            if (str != null) {
                aVar.put(str, this);
            }
            this.p = gVar.p;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: VectorDrawableCompat */
    public static class d extends e {

        /* renamed from: a  reason: collision with root package name */
        final Matrix f4340a;

        /* renamed from: b  reason: collision with root package name */
        final ArrayList<e> f4341b;

        /* renamed from: c  reason: collision with root package name */
        float f4342c;

        /* renamed from: d  reason: collision with root package name */
        private float f4343d;

        /* renamed from: e  reason: collision with root package name */
        private float f4344e;
        private float f;
        private float g;
        private float h;
        private float i;
        final Matrix j;
        int k;
        private int[] l;
        private String m;

        public d(d dVar, b.b.a<String, Object> aVar) {
            super();
            f fVar;
            this.f4340a = new Matrix();
            this.f4341b = new ArrayList<>();
            this.f4342c = 0.0f;
            this.f4343d = 0.0f;
            this.f4344e = 0.0f;
            this.f = 1.0f;
            this.g = 1.0f;
            this.h = 0.0f;
            this.i = 0.0f;
            Matrix matrix = new Matrix();
            this.j = matrix;
            this.m = null;
            this.f4342c = dVar.f4342c;
            this.f4343d = dVar.f4343d;
            this.f4344e = dVar.f4344e;
            this.f = dVar.f;
            this.g = dVar.g;
            this.h = dVar.h;
            this.i = dVar.i;
            this.l = dVar.l;
            String str = dVar.m;
            this.m = str;
            this.k = dVar.k;
            if (str != null) {
                aVar.put(str, this);
            }
            matrix.set(dVar.j);
            ArrayList<e> arrayList = dVar.f4341b;
            for (int i2 = 0; i2 < arrayList.size(); i2++) {
                e eVar = arrayList.get(i2);
                if (eVar instanceof d) {
                    this.f4341b.add(new d((d) eVar, aVar));
                } else {
                    if (eVar instanceof c) {
                        fVar = new c((c) eVar);
                    } else if (eVar instanceof b) {
                        fVar = new b((b) eVar);
                    } else {
                        throw new IllegalStateException("Unknown object in the tree!");
                    }
                    this.f4341b.add(fVar);
                    String str2 = fVar.f4347c;
                    if (str2 != null) {
                        aVar.put(str2, fVar);
                    }
                }
            }
        }

        private void d() {
            this.j.reset();
            this.j.postTranslate(-this.f4343d, -this.f4344e);
            this.j.postScale(this.f, this.g);
            this.j.postRotate(this.f4342c, 0.0f, 0.0f);
            this.j.postTranslate(this.h + this.f4343d, this.i + this.f4344e);
        }

        private void e(TypedArray typedArray, XmlPullParser xmlPullParser) {
            this.l = null;
            this.f4342c = androidx.core.content.res.h.j(typedArray, xmlPullParser, androidx.constraintlayout.motion.widget.g.f1927d, 5, this.f4342c);
            this.f4343d = typedArray.getFloat(1, this.f4343d);
            this.f4344e = typedArray.getFloat(2, this.f4344e);
            this.f = androidx.core.content.res.h.j(typedArray, xmlPullParser, "scaleX", 3, this.f);
            this.g = androidx.core.content.res.h.j(typedArray, xmlPullParser, "scaleY", 4, this.g);
            this.h = androidx.core.content.res.h.j(typedArray, xmlPullParser, "translateX", 6, this.h);
            this.i = androidx.core.content.res.h.j(typedArray, xmlPullParser, "translateY", 7, this.i);
            String string = typedArray.getString(0);
            if (string != null) {
                this.m = string;
            }
            d();
        }

        @Override // androidx.vectordrawable.a.a.i.e
        public boolean a() {
            for (int i2 = 0; i2 < this.f4341b.size(); i2++) {
                if (this.f4341b.get(i2).a()) {
                    return true;
                }
            }
            return false;
        }

        @Override // androidx.vectordrawable.a.a.i.e
        public boolean b(int[] iArr) {
            boolean z = false;
            for (int i2 = 0; i2 < this.f4341b.size(); i2++) {
                z |= this.f4341b.get(i2).b(iArr);
            }
            return z;
        }

        public void c(Resources resources, AttributeSet attributeSet, Resources.Theme theme, XmlPullParser xmlPullParser) {
            TypedArray s = androidx.core.content.res.h.s(resources, theme, attributeSet, a.k);
            e(s, xmlPullParser);
            s.recycle();
        }

        public String getGroupName() {
            return this.m;
        }

        public Matrix getLocalMatrix() {
            return this.j;
        }

        public float getPivotX() {
            return this.f4343d;
        }

        public float getPivotY() {
            return this.f4344e;
        }

        public float getRotation() {
            return this.f4342c;
        }

        public float getScaleX() {
            return this.f;
        }

        public float getScaleY() {
            return this.g;
        }

        public float getTranslateX() {
            return this.h;
        }

        public float getTranslateY() {
            return this.i;
        }

        public void setPivotX(float f2) {
            if (f2 != this.f4343d) {
                this.f4343d = f2;
                d();
            }
        }

        public void setPivotY(float f2) {
            if (f2 != this.f4344e) {
                this.f4344e = f2;
                d();
            }
        }

        public void setRotation(float f2) {
            if (f2 != this.f4342c) {
                this.f4342c = f2;
                d();
            }
        }

        public void setScaleX(float f2) {
            if (f2 != this.f) {
                this.f = f2;
                d();
            }
        }

        public void setScaleY(float f2) {
            if (f2 != this.g) {
                this.g = f2;
                d();
            }
        }

        public void setTranslateX(float f2) {
            if (f2 != this.h) {
                this.h = f2;
                d();
            }
        }

        public void setTranslateY(float f2) {
            if (f2 != this.i) {
                this.i = f2;
                d();
            }
        }

        public d() {
            super();
            this.f4340a = new Matrix();
            this.f4341b = new ArrayList<>();
            this.f4342c = 0.0f;
            this.f4343d = 0.0f;
            this.f4344e = 0.0f;
            this.f = 1.0f;
            this.g = 1.0f;
            this.h = 0.0f;
            this.i = 0.0f;
            this.j = new Matrix();
            this.m = null;
        }
    }
}
