package androidx.versionedparcelable;

import android.os.Bundle;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcelable;
import androidx.annotation.RestrictTo;
import androidx.versionedparcelable.VersionedParcel;
import com.google.android.exoplayer2.C;
import java.io.ByteArrayOutputStream;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.lang.reflect.Method;
import java.nio.charset.Charset;
import java.util.Set;

@RestrictTo({RestrictTo.Scope.LIBRARY})
/* compiled from: VersionedParcelStream */
class d extends VersionedParcel {
    private static final int A = 6;
    private static final int B = 7;
    private static final int C = 8;
    private static final int D = 9;
    private static final int E = 10;
    private static final int F = 11;
    private static final int G = 12;
    private static final int H = 13;
    private static final int I = 14;
    private static final Charset t = Charset.forName(C.k);
    private static final int u = 0;
    private static final int v = 1;
    private static final int w = 2;
    private static final int x = 3;
    private static final int y = 4;
    private static final int z = 5;
    private final DataInputStream J;
    private final DataOutputStream K;
    private DataInputStream L;
    private DataOutputStream M;
    private b N;
    private boolean O;
    int P;
    private int Q;
    int R;

    /* access modifiers changed from: private */
    /* compiled from: VersionedParcelStream */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        final ByteArrayOutputStream f4370a;

        /* renamed from: b  reason: collision with root package name */
        final DataOutputStream f4371b;

        /* renamed from: c  reason: collision with root package name */
        private final int f4372c;

        /* renamed from: d  reason: collision with root package name */
        private final DataOutputStream f4373d;

        b(int i, DataOutputStream dataOutputStream) {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            this.f4370a = byteArrayOutputStream;
            this.f4371b = new DataOutputStream(byteArrayOutputStream);
            this.f4372c = i;
            this.f4373d = dataOutputStream;
        }

        /* access modifiers changed from: package-private */
        public void a() throws IOException {
            this.f4371b.flush();
            int size = this.f4370a.size();
            this.f4373d.writeInt((this.f4372c << 16) | (size >= 65535 ? 65535 : size));
            if (size >= 65535) {
                this.f4373d.writeInt(size);
            }
            this.f4370a.writeTo(this.f4373d);
        }
    }

    public d(InputStream inputStream, OutputStream outputStream) {
        this(inputStream, outputStream, new b.b.a(), new b.b.a(), new b.b.a());
    }

    private void o1(int i, String str, Bundle bundle) {
        switch (i) {
            case 0:
                bundle.putParcelable(str, null);
                return;
            case 1:
                bundle.putBundle(str, p());
                return;
            case 2:
                bundle.putBundle(str, p());
                return;
            case 3:
                bundle.putString(str, c0());
                return;
            case 4:
                bundle.putStringArray(str, (String[]) j(new String[0]));
                return;
            case 5:
                bundle.putBoolean(str, l());
                return;
            case 6:
                bundle.putBooleanArray(str, n());
                return;
            case 7:
                bundle.putDouble(str, y());
                return;
            case 8:
                bundle.putDoubleArray(str, A());
                return;
            case 9:
                bundle.putInt(str, L());
                return;
            case 10:
                bundle.putIntArray(str, N());
                return;
            case 11:
                bundle.putLong(str, Q());
                return;
            case 12:
                bundle.putLongArray(str, S());
                return;
            case 13:
                bundle.putFloat(str, G());
                return;
            case 14:
                bundle.putFloatArray(str, I());
                return;
            default:
                throw new RuntimeException("Unknown type " + i);
        }
    }

    private void p1(Object obj) {
        if (obj == null) {
            L0(0);
        } else if (obj instanceof Bundle) {
            L0(1);
            q0((Bundle) obj);
        } else if (obj instanceof String) {
            L0(3);
            e1((String) obj);
        } else if (obj instanceof String[]) {
            L0(4);
            k0((String[]) obj);
        } else if (obj instanceof Boolean) {
            L0(5);
            m0(((Boolean) obj).booleanValue());
        } else if (obj instanceof boolean[]) {
            L0(6);
            o0((boolean[]) obj);
        } else if (obj instanceof Double) {
            L0(7);
            C0(((Double) obj).doubleValue());
        } else if (obj instanceof double[]) {
            L0(8);
            E0((double[]) obj);
        } else if (obj instanceof Integer) {
            L0(9);
            L0(((Integer) obj).intValue());
        } else if (obj instanceof int[]) {
            L0(10);
            N0((int[]) obj);
        } else if (obj instanceof Long) {
            L0(11);
            Q0(((Long) obj).longValue());
        } else if (obj instanceof long[]) {
            L0(12);
            S0((long[]) obj);
        } else if (obj instanceof Float) {
            L0(13);
            H0(((Float) obj).floatValue());
        } else if (obj instanceof float[]) {
            L0(14);
            J0((float[]) obj);
        } else {
            throw new IllegalArgumentException("Unsupported type " + obj.getClass());
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void C0(double d2) {
        try {
            this.M.writeDouble(d2);
        } catch (IOException e2) {
            throw new VersionedParcel.ParcelException(e2);
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public boolean F(int i) {
        while (true) {
            try {
                int i2 = this.Q;
                if (i2 == i) {
                    return true;
                }
                if (String.valueOf(i2).compareTo(String.valueOf(i)) > 0) {
                    return false;
                }
                int i3 = this.P;
                int i4 = this.R;
                if (i3 < i4) {
                    this.J.skip((long) (i4 - i3));
                }
                this.R = -1;
                int readInt = this.J.readInt();
                this.P = 0;
                int i5 = readInt & 65535;
                if (i5 == 65535) {
                    i5 = this.J.readInt();
                }
                this.Q = (readInt >> 16) & 65535;
                this.R = i5;
            } catch (IOException unused) {
                return false;
            }
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public float G() {
        try {
            return this.L.readFloat();
        } catch (IOException e2) {
            throw new VersionedParcel.ParcelException(e2);
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void H0(float f) {
        try {
            this.M.writeFloat(f);
        } catch (IOException e2) {
            throw new VersionedParcel.ParcelException(e2);
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public int L() {
        try {
            return this.L.readInt();
        } catch (IOException e2) {
            throw new VersionedParcel.ParcelException(e2);
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void L0(int i) {
        try {
            this.M.writeInt(i);
        } catch (IOException e2) {
            throw new VersionedParcel.ParcelException(e2);
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public long Q() {
        try {
            return this.L.readLong();
        } catch (IOException e2) {
            throw new VersionedParcel.ParcelException(e2);
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void Q0(long j) {
        try {
            this.M.writeLong(j);
        } catch (IOException e2) {
            throw new VersionedParcel.ParcelException(e2);
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public <T extends Parcelable> T V() {
        return null;
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void W0(Parcelable parcelable) {
        if (!this.O) {
            throw new RuntimeException("Parcelables cannot be written to an OutputStream");
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void a() {
        b bVar = this.N;
        if (bVar != null) {
            try {
                if (bVar.f4370a.size() != 0) {
                    this.N.a();
                }
                this.N = null;
            } catch (IOException e2) {
                throw new VersionedParcel.ParcelException(e2);
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.versionedparcelable.VersionedParcel
    public VersionedParcel c() {
        return new d(this.L, this.M, this.q, this.r, this.s);
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public String c0() {
        try {
            int readInt = this.L.readInt();
            if (readInt <= 0) {
                return null;
            }
            byte[] bArr = new byte[readInt];
            this.L.readFully(bArr);
            return new String(bArr, t);
        } catch (IOException e2) {
            throw new VersionedParcel.ParcelException(e2);
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public IBinder e0() {
        return null;
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void e1(String str) {
        if (str != null) {
            try {
                byte[] bytes = str.getBytes(t);
                this.M.writeInt(bytes.length);
                this.M.write(bytes);
            } catch (IOException e2) {
                throw new VersionedParcel.ParcelException(e2);
            }
        } else {
            this.M.writeInt(-1);
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void g1(IBinder iBinder) {
        if (!this.O) {
            throw new RuntimeException("Binders cannot be written to an OutputStream");
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public boolean i() {
        return true;
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void i0(int i) {
        a();
        b bVar = new b(i, this.K);
        this.N = bVar;
        this.M = bVar.f4371b;
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void i1(IInterface iInterface) {
        if (!this.O) {
            throw new RuntimeException("Binders cannot be written to an OutputStream");
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void j0(boolean z2, boolean z3) {
        if (z2) {
            this.O = z3;
            return;
        }
        throw new RuntimeException("Serialization of this object is not allowed");
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public boolean l() {
        try {
            return this.L.readBoolean();
        } catch (IOException e2) {
            throw new VersionedParcel.ParcelException(e2);
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void m0(boolean z2) {
        try {
            this.M.writeBoolean(z2);
        } catch (IOException e2) {
            throw new VersionedParcel.ParcelException(e2);
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public Bundle p() {
        int L2 = L();
        if (L2 < 0) {
            return null;
        }
        Bundle bundle = new Bundle();
        for (int i = 0; i < L2; i++) {
            o1(L(), c0(), bundle);
        }
        return bundle;
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void q0(Bundle bundle) {
        if (bundle != null) {
            try {
                Set<String> keySet = bundle.keySet();
                this.M.writeInt(keySet.size());
                for (String str : keySet) {
                    e1(str);
                    p1(bundle.get(str));
                }
            } catch (IOException e2) {
                throw new VersionedParcel.ParcelException(e2);
            }
        } else {
            this.M.writeInt(-1);
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public byte[] s() {
        try {
            int readInt = this.L.readInt();
            if (readInt <= 0) {
                return null;
            }
            byte[] bArr = new byte[readInt];
            this.L.readFully(bArr);
            return bArr;
        } catch (IOException e2) {
            throw new VersionedParcel.ParcelException(e2);
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void t0(byte[] bArr) {
        if (bArr != null) {
            try {
                this.M.writeInt(bArr.length);
                this.M.write(bArr);
            } catch (IOException e2) {
                throw new VersionedParcel.ParcelException(e2);
            }
        } else {
            this.M.writeInt(-1);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.versionedparcelable.VersionedParcel
    public CharSequence v() {
        return null;
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public void v0(byte[] bArr, int i, int i2) {
        if (bArr != null) {
            try {
                this.M.writeInt(i2);
                this.M.write(bArr, i, i2);
            } catch (IOException e2) {
                throw new VersionedParcel.ParcelException(e2);
            }
        } else {
            this.M.writeInt(-1);
        }
    }

    @Override // androidx.versionedparcelable.VersionedParcel
    public double y() {
        try {
            return this.L.readDouble();
        } catch (IOException e2) {
            throw new VersionedParcel.ParcelException(e2);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.versionedparcelable.VersionedParcel
    public void y0(CharSequence charSequence) {
        if (!this.O) {
            throw new RuntimeException("CharSequence cannot be written to an OutputStream");
        }
    }

    private d(InputStream inputStream, OutputStream outputStream, b.b.a<String, Method> aVar, b.b.a<String, Method> aVar2, b.b.a<String, Class> aVar3) {
        super(aVar, aVar2, aVar3);
        this.P = 0;
        this.Q = -1;
        this.R = -1;
        DataOutputStream dataOutputStream = null;
        DataInputStream dataInputStream = inputStream != null ? new DataInputStream(new a(inputStream)) : null;
        this.J = dataInputStream;
        dataOutputStream = outputStream != null ? new DataOutputStream(outputStream) : dataOutputStream;
        this.K = dataOutputStream;
        this.L = dataInputStream;
        this.M = dataOutputStream;
    }

    /* compiled from: VersionedParcelStream */
    class a extends FilterInputStream {
        a(InputStream inputStream) {
            super(inputStream);
        }

        @Override // java.io.FilterInputStream, java.io.InputStream
        public int read() throws IOException {
            d dVar = d.this;
            int i = dVar.R;
            if (i == -1 || dVar.P < i) {
                int read = super.read();
                d.this.P++;
                return read;
            }
            throw new IOException();
        }

        @Override // java.io.FilterInputStream, java.io.InputStream
        public long skip(long j) throws IOException {
            d dVar = d.this;
            int i = dVar.R;
            if (i == -1 || dVar.P < i) {
                long skip = super.skip(j);
                if (skip > 0) {
                    d.this.P += (int) skip;
                }
                return skip;
            }
            throw new IOException();
        }

        @Override // java.io.FilterInputStream, java.io.InputStream
        public int read(byte[] bArr, int i, int i2) throws IOException {
            d dVar = d.this;
            int i3 = dVar.R;
            if (i3 == -1 || dVar.P < i3) {
                int read = super.read(bArr, i, i2);
                if (read > 0) {
                    d.this.P += read;
                }
                return read;
            }
            throw new IOException();
        }
    }
}
