package androidx.viewpager.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.text.method.SingleLineTransformationMethod;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.TextView;
import androidx.annotation.ColorInt;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.view.ViewCompat;
import androidx.core.widget.TextViewCompat;
import androidx.viewpager.widget.ViewPager;
import java.lang.ref.WeakReference;
import java.util.Locale;

@ViewPager.DecorView
public class PagerTitleStrip extends ViewGroup {
    private static final float I0 = 0.6f;
    private static final int J0 = 16;

    /* renamed from: a  reason: collision with root package name */
    private static final int[] f4376a = {16842804, 16842901, 16842904, 16842927};

    /* renamed from: b  reason: collision with root package name */
    private static final int[] f4377b = {16843660};
    ViewPager K0;
    TextView L0;
    TextView M0;
    TextView N0;
    private int O0;
    float P0;
    private int Q0;
    private int R0;
    private boolean S0;
    private boolean T0;
    private final a U0;
    private WeakReference<a> V0;
    private int W0;
    int X0;

    /* access modifiers changed from: private */
    public class a extends DataSetObserver implements ViewPager.h, ViewPager.g {

        /* renamed from: a  reason: collision with root package name */
        private int f4378a;

        a() {
        }

        @Override // androidx.viewpager.widget.ViewPager.g
        public void a(ViewPager viewPager, a aVar, a aVar2) {
            PagerTitleStrip.this.b(aVar, aVar2);
        }

        public void onChanged() {
            PagerTitleStrip pagerTitleStrip = PagerTitleStrip.this;
            pagerTitleStrip.c(pagerTitleStrip.K0.getCurrentItem(), PagerTitleStrip.this.K0.getAdapter());
            PagerTitleStrip pagerTitleStrip2 = PagerTitleStrip.this;
            float f = pagerTitleStrip2.P0;
            if (f < 0.0f) {
                f = 0.0f;
            }
            pagerTitleStrip2.d(pagerTitleStrip2.K0.getCurrentItem(), f, true);
        }

        @Override // androidx.viewpager.widget.ViewPager.h
        public void onPageScrollStateChanged(int i) {
            this.f4378a = i;
        }

        @Override // androidx.viewpager.widget.ViewPager.h
        public void onPageScrolled(int i, float f, int i2) {
            if (f > 0.5f) {
                i++;
            }
            PagerTitleStrip.this.d(i, f, false);
        }

        @Override // androidx.viewpager.widget.ViewPager.h
        public void onPageSelected(int i) {
            if (this.f4378a == 0) {
                PagerTitleStrip pagerTitleStrip = PagerTitleStrip.this;
                pagerTitleStrip.c(pagerTitleStrip.K0.getCurrentItem(), PagerTitleStrip.this.K0.getAdapter());
                PagerTitleStrip pagerTitleStrip2 = PagerTitleStrip.this;
                float f = pagerTitleStrip2.P0;
                if (f < 0.0f) {
                    f = 0.0f;
                }
                pagerTitleStrip2.d(pagerTitleStrip2.K0.getCurrentItem(), f, true);
            }
        }
    }

    /* access modifiers changed from: private */
    public static class b extends SingleLineTransformationMethod {

        /* renamed from: a  reason: collision with root package name */
        private Locale f4380a;

        b(Context context) {
            this.f4380a = context.getResources().getConfiguration().locale;
        }

        public CharSequence getTransformation(CharSequence charSequence, View view) {
            CharSequence transformation = super.getTransformation(charSequence, view);
            if (transformation != null) {
                return transformation.toString().toUpperCase(this.f4380a);
            }
            return null;
        }
    }

    public PagerTitleStrip(@NonNull Context context) {
        this(context, null);
    }

    private static void setSingleLineAllCaps(TextView textView) {
        textView.setTransformationMethod(new b(textView.getContext()));
    }

    public void a(int i, float f) {
        this.L0.setTextSize(i, f);
        this.M0.setTextSize(i, f);
        this.N0.setTextSize(i, f);
    }

    /* access modifiers changed from: package-private */
    public void b(a aVar, a aVar2) {
        if (aVar != null) {
            aVar.u(this.U0);
            this.V0 = null;
        }
        if (aVar2 != null) {
            aVar2.m(this.U0);
            this.V0 = new WeakReference<>(aVar2);
        }
        ViewPager viewPager = this.K0;
        if (viewPager != null) {
            this.O0 = -1;
            this.P0 = -1.0f;
            c(viewPager.getCurrentItem(), aVar2);
            requestLayout();
        }
    }

    /* access modifiers changed from: package-private */
    public void c(int i, a aVar) {
        int e2 = aVar != null ? aVar.e() : 0;
        this.S0 = true;
        CharSequence charSequence = null;
        this.L0.setText((i < 1 || aVar == null) ? null : aVar.g(i - 1));
        this.M0.setText((aVar == null || i >= e2) ? null : aVar.g(i));
        int i2 = i + 1;
        if (i2 < e2 && aVar != null) {
            charSequence = aVar.g(i2);
        }
        this.N0.setText(charSequence);
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(Math.max(0, (int) (((float) ((getWidth() - getPaddingLeft()) - getPaddingRight())) * 0.8f)), Integer.MIN_VALUE);
        int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(Math.max(0, (getHeight() - getPaddingTop()) - getPaddingBottom()), Integer.MIN_VALUE);
        this.L0.measure(makeMeasureSpec, makeMeasureSpec2);
        this.M0.measure(makeMeasureSpec, makeMeasureSpec2);
        this.N0.measure(makeMeasureSpec, makeMeasureSpec2);
        this.O0 = i;
        if (!this.T0) {
            d(i, this.P0, false);
        }
        this.S0 = false;
    }

    /* access modifiers changed from: package-private */
    public void d(int i, float f, boolean z) {
        int i2;
        int i3;
        int i4;
        int i5;
        if (i != this.O0) {
            c(i, this.K0.getAdapter());
        } else if (!z && f == this.P0) {
            return;
        }
        this.T0 = true;
        int measuredWidth = this.L0.getMeasuredWidth();
        int measuredWidth2 = this.M0.getMeasuredWidth();
        int measuredWidth3 = this.N0.getMeasuredWidth();
        int i6 = measuredWidth2 / 2;
        int width = getWidth();
        int height = getHeight();
        int paddingLeft = getPaddingLeft();
        int paddingRight = getPaddingRight();
        int paddingTop = getPaddingTop();
        int paddingBottom = getPaddingBottom();
        int i7 = paddingRight + i6;
        int i8 = (width - (paddingLeft + i6)) - i7;
        float f2 = 0.5f + f;
        if (f2 > 1.0f) {
            f2 -= 1.0f;
        }
        int i9 = ((width - i7) - ((int) (((float) i8) * f2))) - i6;
        int i10 = measuredWidth2 + i9;
        int baseline = this.L0.getBaseline();
        int baseline2 = this.M0.getBaseline();
        int baseline3 = this.N0.getBaseline();
        int max = Math.max(Math.max(baseline, baseline2), baseline3);
        int i11 = max - baseline;
        int i12 = max - baseline2;
        int i13 = max - baseline3;
        int max2 = Math.max(Math.max(this.L0.getMeasuredHeight() + i11, this.M0.getMeasuredHeight() + i12), this.N0.getMeasuredHeight() + i13);
        int i14 = this.R0 & 112;
        if (i14 == 16) {
            i5 = (((height - paddingTop) - paddingBottom) - max2) / 2;
        } else if (i14 != 80) {
            i4 = i11 + paddingTop;
            i2 = i12 + paddingTop;
            i3 = paddingTop + i13;
            TextView textView = this.M0;
            textView.layout(i9, i2, i10, textView.getMeasuredHeight() + i2);
            int min = Math.min(paddingLeft, (i9 - this.Q0) - measuredWidth);
            TextView textView2 = this.L0;
            textView2.layout(min, i4, measuredWidth + min, textView2.getMeasuredHeight() + i4);
            int max3 = Math.max((width - paddingRight) - measuredWidth3, i10 + this.Q0);
            TextView textView3 = this.N0;
            textView3.layout(max3, i3, max3 + measuredWidth3, textView3.getMeasuredHeight() + i3);
            this.P0 = f;
            this.T0 = false;
        } else {
            i5 = (height - paddingBottom) - max2;
        }
        i4 = i11 + i5;
        i2 = i12 + i5;
        i3 = i5 + i13;
        TextView textView4 = this.M0;
        textView4.layout(i9, i2, i10, textView4.getMeasuredHeight() + i2);
        int min2 = Math.min(paddingLeft, (i9 - this.Q0) - measuredWidth);
        TextView textView22 = this.L0;
        textView22.layout(min2, i4, measuredWidth + min2, textView22.getMeasuredHeight() + i4);
        int max32 = Math.max((width - paddingRight) - measuredWidth3, i10 + this.Q0);
        TextView textView32 = this.N0;
        textView32.layout(max32, i3, max32 + measuredWidth3, textView32.getMeasuredHeight() + i3);
        this.P0 = f;
        this.T0 = false;
    }

    /* access modifiers changed from: package-private */
    public int getMinHeight() {
        Drawable background = getBackground();
        if (background != null) {
            return background.getIntrinsicHeight();
        }
        return 0;
    }

    public int getTextSpacing() {
        return this.Q0;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        ViewParent parent = getParent();
        if (parent instanceof ViewPager) {
            ViewPager viewPager = (ViewPager) parent;
            a adapter = viewPager.getAdapter();
            viewPager.V(this.U0);
            viewPager.b(this.U0);
            this.K0 = viewPager;
            WeakReference<a> weakReference = this.V0;
            b(weakReference != null ? weakReference.get() : null, adapter);
            return;
        }
        throw new IllegalStateException("PagerTitleStrip must be a direct child of a ViewPager.");
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        ViewPager viewPager = this.K0;
        if (viewPager != null) {
            b(viewPager.getAdapter(), null);
            this.K0.V(null);
            this.K0.N(this.U0);
            this.K0 = null;
        }
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        if (this.K0 != null) {
            float f = this.P0;
            if (f < 0.0f) {
                f = 0.0f;
            }
            d(this.O0, f, true);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        int i3;
        if (View.MeasureSpec.getMode(i) == 1073741824) {
            int paddingTop = getPaddingTop() + getPaddingBottom();
            int childMeasureSpec = ViewGroup.getChildMeasureSpec(i2, paddingTop, -2);
            int size = View.MeasureSpec.getSize(i);
            int childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i, (int) (((float) size) * 0.2f), -2);
            this.L0.measure(childMeasureSpec2, childMeasureSpec);
            this.M0.measure(childMeasureSpec2, childMeasureSpec);
            this.N0.measure(childMeasureSpec2, childMeasureSpec);
            if (View.MeasureSpec.getMode(i2) == 1073741824) {
                i3 = View.MeasureSpec.getSize(i2);
            } else {
                i3 = Math.max(getMinHeight(), this.M0.getMeasuredHeight() + paddingTop);
            }
            setMeasuredDimension(size, View.resolveSizeAndState(i3, i2, this.M0.getMeasuredState() << 16));
            return;
        }
        throw new IllegalStateException("Must measure with an exact width");
    }

    public void requestLayout() {
        if (!this.S0) {
            super.requestLayout();
        }
    }

    public void setGravity(int i) {
        this.R0 = i;
        requestLayout();
    }

    public void setNonPrimaryAlpha(@FloatRange(from = 0.0d, to = 1.0d) float f) {
        int i = ((int) (f * 255.0f)) & 255;
        this.W0 = i;
        int i2 = (i << 24) | (this.X0 & ViewCompat.MEASURED_SIZE_MASK);
        this.L0.setTextColor(i2);
        this.N0.setTextColor(i2);
    }

    public void setTextColor(@ColorInt int i) {
        this.X0 = i;
        this.M0.setTextColor(i);
        int i2 = (this.W0 << 24) | (this.X0 & ViewCompat.MEASURED_SIZE_MASK);
        this.L0.setTextColor(i2);
        this.N0.setTextColor(i2);
    }

    public void setTextSpacing(int i) {
        this.Q0 = i;
        requestLayout();
    }

    public PagerTitleStrip(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        this.O0 = -1;
        this.P0 = -1.0f;
        this.U0 = new a();
        TextView textView = new TextView(context);
        this.L0 = textView;
        addView(textView);
        TextView textView2 = new TextView(context);
        this.M0 = textView2;
        addView(textView2);
        TextView textView3 = new TextView(context);
        this.N0 = textView3;
        addView(textView3);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f4376a);
        boolean z = false;
        int resourceId = obtainStyledAttributes.getResourceId(0, 0);
        if (resourceId != 0) {
            TextViewCompat.E(this.L0, resourceId);
            TextViewCompat.E(this.M0, resourceId);
            TextViewCompat.E(this.N0, resourceId);
        }
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(1, 0);
        if (dimensionPixelSize != 0) {
            a(0, (float) dimensionPixelSize);
        }
        if (obtainStyledAttributes.hasValue(2)) {
            int color = obtainStyledAttributes.getColor(2, 0);
            this.L0.setTextColor(color);
            this.M0.setTextColor(color);
            this.N0.setTextColor(color);
        }
        this.R0 = obtainStyledAttributes.getInteger(3, 80);
        obtainStyledAttributes.recycle();
        this.X0 = this.M0.getTextColors().getDefaultColor();
        setNonPrimaryAlpha(I0);
        this.L0.setEllipsize(TextUtils.TruncateAt.END);
        this.M0.setEllipsize(TextUtils.TruncateAt.END);
        this.N0.setEllipsize(TextUtils.TruncateAt.END);
        if (resourceId != 0) {
            TypedArray obtainStyledAttributes2 = context.obtainStyledAttributes(resourceId, f4377b);
            z = obtainStyledAttributes2.getBoolean(0, false);
            obtainStyledAttributes2.recycle();
        }
        if (z) {
            setSingleLineAllCaps(this.L0);
            setSingleLineAllCaps(this.M0);
            setSingleLineAllCaps(this.N0);
        } else {
            this.L0.setSingleLine();
            this.M0.setSingleLine();
            this.N0.setSingleLine();
        }
        this.Q0 = (int) (context.getResources().getDisplayMetrics().density * 16.0f);
    }
}
