package androidx.viewpager.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.SystemClock;
import android.util.AttributeSet;
import android.util.Log;
import android.view.FocusFinder;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.SoundEffectConstants;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.animation.Interpolator;
import android.widget.EdgeEffect;
import android.widget.Scroller;
import androidx.annotation.CallSuper;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.OnApplyWindowInsetsListener;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.customview.view.AbsSavedState;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

public class ViewPager extends ViewGroup {
    private static final boolean I0 = false;
    private static final int J0 = 1;
    private static final int K0 = 600;
    private static final int L0 = 25;
    private static final int M0 = 16;
    private static final int N0 = 400;
    static final int[] O0 = {16842931};
    private static final Comparator<e> P0 = new a();
    private static final Interpolator Q0 = new b();
    private static final int R0 = -1;
    private static final int S0 = 2;
    private static final int T0 = 0;
    private static final int U0 = 1;
    private static final int V0 = 2;
    private static final l W0 = new l();
    public static final int X0 = 0;
    public static final int Y0 = 1;
    public static final int Z0 = 2;

    /* renamed from: a  reason: collision with root package name */
    private static final String f4381a = "ViewPager";

    /* renamed from: b  reason: collision with root package name */
    private static final boolean f4382b = false;
    private int A1;
    private int B1;
    private int C1;
    private float D1;
    private float E1;
    private float F1;
    private float G1;
    private int H1 = -1;
    private VelocityTracker I1;
    private int J1;
    private int K1;
    private int L1;
    private int M1;
    private boolean N1;
    private long O1;
    private EdgeEffect P1;
    private EdgeEffect Q1;
    private boolean R1 = true;
    private boolean S1 = false;
    private boolean T1;
    private int U1;
    private List<h> V1;
    private h W1;
    private h X1;
    private List<g> Y1;
    private i Z1;
    private int a1;
    private int a2;
    private final ArrayList<e> b1 = new ArrayList<>();
    private int b2;
    private final e c1 = new e();
    private ArrayList<View> c2;
    private final Rect d1 = new Rect();
    private final Runnable d2 = new c();
    a e1;
    private int e2 = 0;
    int f1;
    private int g1 = -1;
    private Parcelable h1 = null;
    private ClassLoader i1 = null;
    private Scroller j1;
    private boolean k1;
    private j l1;
    private int m1;
    private Drawable n1;
    private int o1;
    private int p1;
    private float q1 = -3.4028235E38f;
    private float r1 = Float.MAX_VALUE;
    private int s1;
    private int t1;
    private boolean u1;
    private boolean v1;
    private boolean w1;
    private int x1 = 1;
    private boolean y1;
    private boolean z1;

    @Target({ElementType.TYPE})
    @Inherited
    @Retention(RetentionPolicy.RUNTIME)
    public @interface DecorView {
    }

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        int I0;
        Parcelable J0;
        ClassLoader K0;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            /* renamed from: a */
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }

            /* renamed from: b */
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            /* renamed from: c */
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        }

        public SavedState(@NonNull Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "FragmentPager.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " position=" + this.I0 + com.alipay.sdk.util.g.f6033d;
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.I0);
            parcel.writeParcelable(this.J0, i);
        }

        SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            classLoader = classLoader == null ? getClass().getClassLoader() : classLoader;
            this.I0 = parcel.readInt();
            this.J0 = parcel.readParcelable(classLoader);
            this.K0 = classLoader;
        }
    }

    static class a implements Comparator<e> {
        a() {
        }

        /* renamed from: a */
        public int compare(e eVar, e eVar2) {
            return eVar.f4392b - eVar2.f4392b;
        }
    }

    static class b implements Interpolator {
        b() {
        }

        public float getInterpolation(float f) {
            float f2 = f - 1.0f;
            return (f2 * f2 * f2 * f2 * f2) + 1.0f;
        }
    }

    class c implements Runnable {
        c() {
        }

        public void run() {
            ViewPager.this.setScrollState(0);
            ViewPager.this.J();
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements OnApplyWindowInsetsListener {

        /* renamed from: a  reason: collision with root package name */
        private final Rect f4389a = new Rect();

        d() {
        }

        @Override // androidx.core.view.OnApplyWindowInsetsListener
        public WindowInsetsCompat onApplyWindowInsets(View view, WindowInsetsCompat windowInsetsCompat) {
            WindowInsetsCompat onApplyWindowInsets = ViewCompat.onApplyWindowInsets(view, windowInsetsCompat);
            if (onApplyWindowInsets.isConsumed()) {
                return onApplyWindowInsets;
            }
            Rect rect = this.f4389a;
            rect.left = onApplyWindowInsets.getSystemWindowInsetLeft();
            rect.top = onApplyWindowInsets.getSystemWindowInsetTop();
            rect.right = onApplyWindowInsets.getSystemWindowInsetRight();
            rect.bottom = onApplyWindowInsets.getSystemWindowInsetBottom();
            int childCount = ViewPager.this.getChildCount();
            for (int i = 0; i < childCount; i++) {
                WindowInsetsCompat dispatchApplyWindowInsets = ViewCompat.dispatchApplyWindowInsets(ViewPager.this.getChildAt(i), onApplyWindowInsets);
                rect.left = Math.min(dispatchApplyWindowInsets.getSystemWindowInsetLeft(), rect.left);
                rect.top = Math.min(dispatchApplyWindowInsets.getSystemWindowInsetTop(), rect.top);
                rect.right = Math.min(dispatchApplyWindowInsets.getSystemWindowInsetRight(), rect.right);
                rect.bottom = Math.min(dispatchApplyWindowInsets.getSystemWindowInsetBottom(), rect.bottom);
            }
            return onApplyWindowInsets.replaceSystemWindowInsets(rect.left, rect.top, rect.right, rect.bottom);
        }
    }

    /* access modifiers changed from: package-private */
    public static class e {

        /* renamed from: a  reason: collision with root package name */
        Object f4391a;

        /* renamed from: b  reason: collision with root package name */
        int f4392b;

        /* renamed from: c  reason: collision with root package name */
        boolean f4393c;

        /* renamed from: d  reason: collision with root package name */
        float f4394d;

        /* renamed from: e  reason: collision with root package name */
        float f4395e;

        e() {
        }
    }

    /* access modifiers changed from: package-private */
    public class f extends AccessibilityDelegateCompat {
        f() {
        }

        private boolean a() {
            a aVar = ViewPager.this.e1;
            return aVar != null && aVar.e() > 1;
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            a aVar;
            super.onInitializeAccessibilityEvent(view, accessibilityEvent);
            accessibilityEvent.setClassName(ViewPager.class.getName());
            accessibilityEvent.setScrollable(a());
            if (accessibilityEvent.getEventType() == 4096 && (aVar = ViewPager.this.e1) != null) {
                accessibilityEvent.setItemCount(aVar.e());
                accessibilityEvent.setFromIndex(ViewPager.this.f1);
                accessibilityEvent.setToIndex(ViewPager.this.f1);
            }
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            accessibilityNodeInfoCompat.setClassName(ViewPager.class.getName());
            accessibilityNodeInfoCompat.setScrollable(a());
            if (ViewPager.this.canScrollHorizontally(1)) {
                accessibilityNodeInfoCompat.addAction(4096);
            }
            if (ViewPager.this.canScrollHorizontally(-1)) {
                accessibilityNodeInfoCompat.addAction(8192);
            }
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public boolean performAccessibilityAction(View view, int i, Bundle bundle) {
            if (super.performAccessibilityAction(view, i, bundle)) {
                return true;
            }
            if (i != 4096) {
                if (i != 8192 || !ViewPager.this.canScrollHorizontally(-1)) {
                    return false;
                }
                ViewPager viewPager = ViewPager.this;
                viewPager.setCurrentItem(viewPager.f1 - 1);
                return true;
            } else if (!ViewPager.this.canScrollHorizontally(1)) {
                return false;
            } else {
                ViewPager viewPager2 = ViewPager.this;
                viewPager2.setCurrentItem(viewPager2.f1 + 1);
                return true;
            }
        }
    }

    public interface g {
        void a(@NonNull ViewPager viewPager, @Nullable a aVar, @Nullable a aVar2);
    }

    public interface h {
        void onPageScrollStateChanged(int i);

        void onPageScrolled(int i, float f, @Px int i2);

        void onPageSelected(int i);
    }

    public interface i {
        void transformPage(@NonNull View view, float f);
    }

    private class j extends DataSetObserver {
        j() {
        }

        public void onChanged() {
            ViewPager.this.j();
        }

        public void onInvalidated() {
            ViewPager.this.j();
        }
    }

    public static class k implements h {
        @Override // androidx.viewpager.widget.ViewPager.h
        public void onPageScrollStateChanged(int i) {
        }

        @Override // androidx.viewpager.widget.ViewPager.h
        public void onPageScrolled(int i, float f, int i2) {
        }

        @Override // androidx.viewpager.widget.ViewPager.h
        public void onPageSelected(int i) {
        }
    }

    /* access modifiers changed from: package-private */
    public static class l implements Comparator<View> {
        l() {
        }

        /* renamed from: a */
        public int compare(View view, View view2) {
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            LayoutParams layoutParams2 = (LayoutParams) view2.getLayoutParams();
            boolean z = layoutParams.f4383a;
            if (z != layoutParams2.f4383a) {
                return z ? 1 : -1;
            }
            return layoutParams.f4387e - layoutParams2.f4387e;
        }
    }

    public ViewPager(@NonNull Context context) {
        super(context);
        z();
    }

    private static boolean A(@NonNull View view) {
        return view.getClass().getAnnotation(DecorView.class) != null;
    }

    private boolean C(float f2, float f3) {
        return (f2 < ((float) this.B1) && f3 > 0.0f) || (f2 > ((float) (getWidth() - this.B1)) && f3 < 0.0f);
    }

    private void E(MotionEvent motionEvent) {
        int actionIndex = motionEvent.getActionIndex();
        if (motionEvent.getPointerId(actionIndex) == this.H1) {
            int i2 = actionIndex == 0 ? 1 : 0;
            this.D1 = motionEvent.getX(i2);
            this.H1 = motionEvent.getPointerId(i2);
            VelocityTracker velocityTracker = this.I1;
            if (velocityTracker != null) {
                velocityTracker.clear();
            }
        }
    }

    private boolean H(int i2) {
        if (this.b1.size() != 0) {
            e x = x();
            int clientWidth = getClientWidth();
            int i3 = this.m1;
            int i4 = clientWidth + i3;
            float f2 = (float) clientWidth;
            int i5 = x.f4392b;
            float f3 = ((((float) i2) / f2) - x.f4395e) / (x.f4394d + (((float) i3) / f2));
            this.T1 = false;
            D(i5, f3, (int) (((float) i4) * f3));
            if (this.T1) {
                return true;
            }
            throw new IllegalStateException("onPageScrolled did not call superclass implementation");
        } else if (this.R1) {
            return false;
        } else {
            this.T1 = false;
            D(0, 0.0f, 0);
            if (this.T1) {
                return false;
            }
            throw new IllegalStateException("onPageScrolled did not call superclass implementation");
        }
    }

    private boolean I(float f2) {
        boolean z;
        boolean z2;
        float f3 = this.D1 - f2;
        this.D1 = f2;
        float scrollX = ((float) getScrollX()) + f3;
        float clientWidth = (float) getClientWidth();
        float f4 = this.q1 * clientWidth;
        float f5 = this.r1 * clientWidth;
        boolean z3 = false;
        e eVar = this.b1.get(0);
        ArrayList<e> arrayList = this.b1;
        e eVar2 = arrayList.get(arrayList.size() - 1);
        if (eVar.f4392b != 0) {
            f4 = eVar.f4395e * clientWidth;
            z = false;
        } else {
            z = true;
        }
        if (eVar2.f4392b != this.e1.e() - 1) {
            f5 = eVar2.f4395e * clientWidth;
            z2 = false;
        } else {
            z2 = true;
        }
        if (scrollX < f4) {
            if (z) {
                this.P1.onPull(Math.abs(f4 - scrollX) / clientWidth);
                z3 = true;
            }
            scrollX = f4;
        } else if (scrollX > f5) {
            if (z2) {
                this.Q1.onPull(Math.abs(scrollX - f5) / clientWidth);
                z3 = true;
            }
            scrollX = f5;
        }
        int i2 = (int) scrollX;
        this.D1 += scrollX - ((float) i2);
        scrollTo(i2, getScrollY());
        H(i2);
        return z3;
    }

    private void L(int i2, int i3, int i4, int i5) {
        if (i3 <= 0 || this.b1.isEmpty()) {
            e y = y(this.f1);
            int min = (int) ((y != null ? Math.min(y.f4395e, this.r1) : 0.0f) * ((float) ((i2 - getPaddingLeft()) - getPaddingRight())));
            if (min != getScrollX()) {
                i(false);
                scrollTo(min, getScrollY());
            }
        } else if (!this.j1.isFinished()) {
            this.j1.setFinalX(getCurrentItem() * getClientWidth());
        } else {
            scrollTo((int) ((((float) getScrollX()) / ((float) (((i3 - getPaddingLeft()) - getPaddingRight()) + i5))) * ((float) (((i2 - getPaddingLeft()) - getPaddingRight()) + i4))), getScrollY());
        }
    }

    private void M() {
        int i2 = 0;
        while (i2 < getChildCount()) {
            if (!((LayoutParams) getChildAt(i2).getLayoutParams()).f4383a) {
                removeViewAt(i2);
                i2--;
            }
            i2++;
        }
    }

    private void P(boolean z) {
        ViewParent parent = getParent();
        if (parent != null) {
            parent.requestDisallowInterceptTouchEvent(z);
        }
    }

    private boolean Q() {
        this.H1 = -1;
        q();
        this.P1.onRelease();
        this.Q1.onRelease();
        return this.P1.isFinished() || this.Q1.isFinished();
    }

    private void R(int i2, boolean z, int i3, boolean z2) {
        e y = y(i2);
        int clientWidth = y != null ? (int) (((float) getClientWidth()) * Math.max(this.q1, Math.min(y.f4395e, this.r1))) : 0;
        if (z) {
            Z(clientWidth, 0, i3);
            if (z2) {
                m(i2);
                return;
            }
            return;
        }
        if (z2) {
            m(i2);
        }
        i(false);
        scrollTo(clientWidth, 0);
        H(clientWidth);
    }

    private void a0() {
        if (this.b2 != 0) {
            ArrayList<View> arrayList = this.c2;
            if (arrayList == null) {
                this.c2 = new ArrayList<>();
            } else {
                arrayList.clear();
            }
            int childCount = getChildCount();
            for (int i2 = 0; i2 < childCount; i2++) {
                this.c2.add(getChildAt(i2));
            }
            Collections.sort(this.c2, W0);
        }
    }

    private void f(e eVar, int i2, e eVar2) {
        int i3;
        int i4;
        e eVar3;
        e eVar4;
        int e3 = this.e1.e();
        int clientWidth = getClientWidth();
        float f2 = clientWidth > 0 ? ((float) this.m1) / ((float) clientWidth) : 0.0f;
        if (eVar2 != null) {
            int i5 = eVar2.f4392b;
            int i6 = eVar.f4392b;
            if (i5 < i6) {
                float f3 = eVar2.f4395e + eVar2.f4394d + f2;
                int i7 = i5 + 1;
                int i8 = 0;
                while (i7 <= eVar.f4392b && i8 < this.b1.size()) {
                    e eVar5 = this.b1.get(i8);
                    while (true) {
                        eVar4 = eVar5;
                        if (i7 > eVar4.f4392b && i8 < this.b1.size() - 1) {
                            i8++;
                            eVar5 = this.b1.get(i8);
                        }
                    }
                    while (i7 < eVar4.f4392b) {
                        f3 += this.e1.h(i7) + f2;
                        i7++;
                    }
                    eVar4.f4395e = f3;
                    f3 += eVar4.f4394d + f2;
                    i7++;
                }
            } else if (i5 > i6) {
                int size = this.b1.size() - 1;
                float f4 = eVar2.f4395e;
                while (true) {
                    i5--;
                    if (i5 < eVar.f4392b || size < 0) {
                        break;
                    }
                    e eVar6 = this.b1.get(size);
                    while (true) {
                        eVar3 = eVar6;
                        if (i5 < eVar3.f4392b && size > 0) {
                            size--;
                            eVar6 = this.b1.get(size);
                        }
                    }
                    while (i5 > eVar3.f4392b) {
                        f4 -= this.e1.h(i5) + f2;
                        i5--;
                    }
                    f4 -= eVar3.f4394d + f2;
                    eVar3.f4395e = f4;
                }
            }
        }
        int size2 = this.b1.size();
        float f5 = eVar.f4395e;
        int i9 = eVar.f4392b;
        int i10 = i9 - 1;
        this.q1 = i9 == 0 ? f5 : -3.4028235E38f;
        int i11 = e3 - 1;
        this.r1 = i9 == i11 ? (eVar.f4394d + f5) - 1.0f : Float.MAX_VALUE;
        int i12 = i2 - 1;
        while (i12 >= 0) {
            e eVar7 = this.b1.get(i12);
            while (true) {
                i4 = eVar7.f4392b;
                if (i10 <= i4) {
                    break;
                }
                f5 -= this.e1.h(i10) + f2;
                i10--;
            }
            f5 -= eVar7.f4394d + f2;
            eVar7.f4395e = f5;
            if (i4 == 0) {
                this.q1 = f5;
            }
            i12--;
            i10--;
        }
        float f6 = eVar.f4395e + eVar.f4394d + f2;
        int i13 = eVar.f4392b + 1;
        int i14 = i2 + 1;
        while (i14 < size2) {
            e eVar8 = this.b1.get(i14);
            while (true) {
                i3 = eVar8.f4392b;
                if (i13 >= i3) {
                    break;
                }
                f6 += this.e1.h(i13) + f2;
                i13++;
            }
            if (i3 == i11) {
                this.r1 = (eVar8.f4394d + f6) - 1.0f;
            }
            eVar8.f4395e = f6;
            f6 += eVar8.f4394d + f2;
            i14++;
            i13++;
        }
        this.S1 = false;
    }

    private int getClientWidth() {
        return (getMeasuredWidth() - getPaddingLeft()) - getPaddingRight();
    }

    private void i(boolean z) {
        boolean z2 = this.e2 == 2;
        if (z2) {
            setScrollingCacheEnabled(false);
            if (!this.j1.isFinished()) {
                this.j1.abortAnimation();
                int scrollX = getScrollX();
                int scrollY = getScrollY();
                int currX = this.j1.getCurrX();
                int currY = this.j1.getCurrY();
                if (!(scrollX == currX && scrollY == currY)) {
                    scrollTo(currX, currY);
                    if (currX != scrollX) {
                        H(currX);
                    }
                }
            }
        }
        this.w1 = false;
        for (int i2 = 0; i2 < this.b1.size(); i2++) {
            e eVar = this.b1.get(i2);
            if (eVar.f4393c) {
                eVar.f4393c = false;
                z2 = true;
            }
        }
        if (!z2) {
            return;
        }
        if (z) {
            ViewCompat.postOnAnimation(this, this.d2);
        } else {
            this.d2.run();
        }
    }

    private int k(int i2, float f2, int i3, int i4) {
        if (Math.abs(i4) <= this.L1 || Math.abs(i3) <= this.J1) {
            i2 += (int) (f2 + (i2 >= this.f1 ? 0.4f : 0.6f));
        } else if (i3 <= 0) {
            i2++;
        }
        if (this.b1.size() <= 0) {
            return i2;
        }
        ArrayList<e> arrayList = this.b1;
        return Math.max(this.b1.get(0).f4392b, Math.min(i2, arrayList.get(arrayList.size() - 1).f4392b));
    }

    private void l(int i2, float f2, int i3) {
        h hVar = this.W1;
        if (hVar != null) {
            hVar.onPageScrolled(i2, f2, i3);
        }
        List<h> list = this.V1;
        if (list != null) {
            int size = list.size();
            for (int i4 = 0; i4 < size; i4++) {
                h hVar2 = this.V1.get(i4);
                if (hVar2 != null) {
                    hVar2.onPageScrolled(i2, f2, i3);
                }
            }
        }
        h hVar3 = this.X1;
        if (hVar3 != null) {
            hVar3.onPageScrolled(i2, f2, i3);
        }
    }

    private void m(int i2) {
        h hVar = this.W1;
        if (hVar != null) {
            hVar.onPageSelected(i2);
        }
        List<h> list = this.V1;
        if (list != null) {
            int size = list.size();
            for (int i3 = 0; i3 < size; i3++) {
                h hVar2 = this.V1.get(i3);
                if (hVar2 != null) {
                    hVar2.onPageSelected(i2);
                }
            }
        }
        h hVar3 = this.X1;
        if (hVar3 != null) {
            hVar3.onPageSelected(i2);
        }
    }

    private void n(int i2) {
        h hVar = this.W1;
        if (hVar != null) {
            hVar.onPageScrollStateChanged(i2);
        }
        List<h> list = this.V1;
        if (list != null) {
            int size = list.size();
            for (int i3 = 0; i3 < size; i3++) {
                h hVar2 = this.V1.get(i3);
                if (hVar2 != null) {
                    hVar2.onPageScrollStateChanged(i2);
                }
            }
        }
        h hVar3 = this.X1;
        if (hVar3 != null) {
            hVar3.onPageScrollStateChanged(i2);
        }
    }

    private void p(boolean z) {
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            getChildAt(i2).setLayerType(z ? this.a2 : 0, null);
        }
    }

    private void q() {
        this.y1 = false;
        this.z1 = false;
        VelocityTracker velocityTracker = this.I1;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.I1 = null;
        }
    }

    private void setScrollingCacheEnabled(boolean z) {
        if (this.v1 != z) {
            this.v1 = z;
        }
    }

    private Rect u(Rect rect, View view) {
        if (rect == null) {
            rect = new Rect();
        }
        if (view == null) {
            rect.set(0, 0, 0, 0);
            return rect;
        }
        rect.left = view.getLeft();
        rect.right = view.getRight();
        rect.top = view.getTop();
        rect.bottom = view.getBottom();
        ViewParent parent = view.getParent();
        while ((parent instanceof ViewGroup) && parent != this) {
            ViewGroup viewGroup = (ViewGroup) parent;
            rect.left += viewGroup.getLeft();
            rect.right += viewGroup.getRight();
            rect.top += viewGroup.getTop();
            rect.bottom += viewGroup.getBottom();
            parent = viewGroup.getParent();
        }
        return rect;
    }

    private e x() {
        int i2;
        int clientWidth = getClientWidth();
        float f2 = 0.0f;
        float scrollX = clientWidth > 0 ? ((float) getScrollX()) / ((float) clientWidth) : 0.0f;
        float f3 = clientWidth > 0 ? ((float) this.m1) / ((float) clientWidth) : 0.0f;
        e eVar = null;
        float f4 = 0.0f;
        int i3 = -1;
        int i4 = 0;
        boolean z = true;
        while (i4 < this.b1.size()) {
            e eVar2 = this.b1.get(i4);
            if (!z && eVar2.f4392b != (i2 = i3 + 1)) {
                eVar2 = this.c1;
                eVar2.f4395e = f2 + f4 + f3;
                eVar2.f4392b = i2;
                eVar2.f4394d = this.e1.h(i2);
                i4--;
            }
            f2 = eVar2.f4395e;
            float f5 = eVar2.f4394d + f2 + f3;
            if (!z && scrollX < f2) {
                return eVar;
            }
            if (scrollX < f5 || i4 == this.b1.size() - 1) {
                return eVar2;
            }
            i3 = eVar2.f4392b;
            f4 = eVar2.f4394d;
            i4++;
            eVar = eVar2;
            z = false;
        }
        return eVar;
    }

    public boolean B() {
        return this.N1;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0064  */
    @CallSuper
    public void D(int i2, float f2, int i3) {
        int i4;
        int left;
        int i5;
        if (this.U1 > 0) {
            int scrollX = getScrollX();
            int paddingLeft = getPaddingLeft();
            int paddingRight = getPaddingRight();
            int width = getWidth();
            int childCount = getChildCount();
            for (int i6 = 0; i6 < childCount; i6++) {
                View childAt = getChildAt(i6);
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.f4383a) {
                    int i7 = layoutParams.f4384b & 7;
                    if (i7 != 1) {
                        if (i7 == 3) {
                            i4 = childAt.getWidth() + paddingLeft;
                        } else if (i7 != 5) {
                            i4 = paddingLeft;
                        } else {
                            i5 = (width - paddingRight) - childAt.getMeasuredWidth();
                            paddingRight += childAt.getMeasuredWidth();
                        }
                        left = (paddingLeft + scrollX) - childAt.getLeft();
                        if (left != 0) {
                            childAt.offsetLeftAndRight(left);
                        }
                        paddingLeft = i4;
                    } else {
                        i5 = Math.max((width - childAt.getMeasuredWidth()) / 2, paddingLeft);
                    }
                    i4 = paddingLeft;
                    paddingLeft = i5;
                    left = (paddingLeft + scrollX) - childAt.getLeft();
                    if (left != 0) {
                    }
                    paddingLeft = i4;
                }
            }
        }
        l(i2, f2, i3);
        if (this.Z1 != null) {
            int scrollX2 = getScrollX();
            int childCount2 = getChildCount();
            for (int i8 = 0; i8 < childCount2; i8++) {
                View childAt2 = getChildAt(i8);
                if (!((LayoutParams) childAt2.getLayoutParams()).f4383a) {
                    this.Z1.transformPage(childAt2, ((float) (childAt2.getLeft() - scrollX2)) / ((float) getClientWidth()));
                }
            }
        }
        this.T1 = true;
    }

    /* access modifiers changed from: package-private */
    public boolean F() {
        int i2 = this.f1;
        if (i2 <= 0) {
            return false;
        }
        S(i2 - 1, true);
        return true;
    }

    /* access modifiers changed from: package-private */
    public boolean G() {
        a aVar = this.e1;
        if (aVar == null || this.f1 >= aVar.e() - 1) {
            return false;
        }
        S(this.f1 + 1, true);
        return true;
    }

    /* access modifiers changed from: package-private */
    public void J() {
        K(this.f1);
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0060, code lost:
        if (r9 == r10) goto L_0x0067;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0066, code lost:
        r8 = null;
     */
    public void K(int i2) {
        e eVar;
        String str;
        e eVar2;
        e w;
        float f2;
        float f3;
        e eVar3;
        int i3 = this.f1;
        if (i3 != i2) {
            eVar = y(i3);
            this.f1 = i2;
        } else {
            eVar = null;
        }
        if (this.e1 == null) {
            a0();
        } else if (this.w1) {
            a0();
        } else if (getWindowToken() != null) {
            this.e1.t(this);
            int i4 = this.x1;
            int max = Math.max(0, this.f1 - i4);
            int e3 = this.e1.e();
            int min = Math.min(e3 - 1, this.f1 + i4);
            if (e3 == this.a1) {
                int i5 = 0;
                while (true) {
                    if (i5 >= this.b1.size()) {
                        break;
                    }
                    eVar2 = this.b1.get(i5);
                    int i6 = eVar2.f4392b;
                    int i7 = this.f1;
                    if (i6 < i7) {
                        i5++;
                    }
                }
                if (eVar2 == null && e3 > 0) {
                    eVar2 = a(this.f1, i5);
                }
                if (eVar2 != null) {
                    int i8 = i5 - 1;
                    e eVar4 = i8 >= 0 ? this.b1.get(i8) : null;
                    int clientWidth = getClientWidth();
                    if (clientWidth <= 0) {
                        f2 = 0.0f;
                    } else {
                        f2 = (2.0f - eVar2.f4394d) + (((float) getPaddingLeft()) / ((float) clientWidth));
                    }
                    float f4 = 0.0f;
                    for (int i9 = this.f1 - 1; i9 >= 0; i9--) {
                        if (f4 < f2 || i9 >= max) {
                            if (eVar4 == null || i9 != eVar4.f4392b) {
                                f4 += a(i9, i8 + 1).f4394d;
                                i5++;
                                if (i8 >= 0) {
                                    eVar3 = this.b1.get(i8);
                                    eVar4 = eVar3;
                                }
                            } else {
                                f4 += eVar4.f4394d;
                                i8--;
                                if (i8 >= 0) {
                                    eVar3 = this.b1.get(i8);
                                    eVar4 = eVar3;
                                }
                            }
                        } else if (eVar4 == null) {
                            break;
                        } else {
                            if (i9 == eVar4.f4392b && !eVar4.f4393c) {
                                this.b1.remove(i8);
                                this.e1.b(this, i9, eVar4.f4391a);
                                i8--;
                                i5--;
                                if (i8 >= 0) {
                                    eVar3 = this.b1.get(i8);
                                    eVar4 = eVar3;
                                }
                            }
                        }
                        eVar3 = null;
                        eVar4 = eVar3;
                    }
                    float f5 = eVar2.f4394d;
                    int i10 = i5 + 1;
                    if (f5 < 2.0f) {
                        e eVar5 = i10 < this.b1.size() ? this.b1.get(i10) : null;
                        if (clientWidth <= 0) {
                            f3 = 0.0f;
                        } else {
                            f3 = (((float) getPaddingRight()) / ((float) clientWidth)) + 2.0f;
                        }
                        int i11 = this.f1;
                        while (true) {
                            i11++;
                            if (i11 >= e3) {
                                break;
                            }
                            if (f5 < f3 || i11 <= min) {
                                if (eVar5 == null || i11 != eVar5.f4392b) {
                                    e a3 = a(i11, i10);
                                    i10++;
                                    f5 += a3.f4394d;
                                    if (i10 < this.b1.size()) {
                                        eVar5 = this.b1.get(i10);
                                    }
                                } else {
                                    f5 += eVar5.f4394d;
                                    i10++;
                                    if (i10 < this.b1.size()) {
                                        eVar5 = this.b1.get(i10);
                                    }
                                }
                            } else if (eVar5 == null) {
                                break;
                            } else if (i11 == eVar5.f4392b && !eVar5.f4393c) {
                                this.b1.remove(i10);
                                this.e1.b(this, i11, eVar5.f4391a);
                                if (i10 < this.b1.size()) {
                                    eVar5 = this.b1.get(i10);
                                }
                            }
                            eVar5 = null;
                        }
                    }
                    f(eVar2, i5, eVar);
                    this.e1.q(this, this.f1, eVar2.f4391a);
                }
                this.e1.d(this);
                int childCount = getChildCount();
                for (int i12 = 0; i12 < childCount; i12++) {
                    View childAt = getChildAt(i12);
                    LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                    layoutParams.f = i12;
                    if (!layoutParams.f4383a && layoutParams.f4385c == 0.0f && (w = w(childAt)) != null) {
                        layoutParams.f4385c = w.f4394d;
                        layoutParams.f4387e = w.f4392b;
                    }
                }
                a0();
                if (hasFocus()) {
                    View findFocus = findFocus();
                    e v = findFocus != null ? v(findFocus) : null;
                    if (v == null || v.f4392b != this.f1) {
                        for (int i13 = 0; i13 < getChildCount(); i13++) {
                            View childAt2 = getChildAt(i13);
                            e w2 = w(childAt2);
                            if (w2 != null && w2.f4392b == this.f1 && childAt2.requestFocus(2)) {
                                return;
                            }
                        }
                        return;
                    }
                    return;
                }
                return;
            }
            try {
                str = getResources().getResourceName(getId());
            } catch (Resources.NotFoundException unused) {
                str = Integer.toHexString(getId());
            }
            throw new IllegalStateException("The application's PagerAdapter changed the adapter's contents without calling PagerAdapter#notifyDataSetChanged! Expected adapter item count: " + this.a1 + ", found: " + e3 + " Pager id: " + str + " Pager class: " + getClass() + " Problematic adapter: " + this.e1.getClass());
        }
    }

    public void N(@NonNull g gVar) {
        List<g> list = this.Y1;
        if (list != null) {
            list.remove(gVar);
        }
    }

    public void O(@NonNull h hVar) {
        List<h> list = this.V1;
        if (list != null) {
            list.remove(hVar);
        }
    }

    public void S(int i2, boolean z) {
        this.w1 = false;
        T(i2, z, false);
    }

    /* access modifiers changed from: package-private */
    public void T(int i2, boolean z, boolean z2) {
        U(i2, z, z2, 0);
    }

    /* access modifiers changed from: package-private */
    public void U(int i2, boolean z, boolean z2, int i3) {
        a aVar = this.e1;
        boolean z3 = false;
        if (aVar == null || aVar.e() <= 0) {
            setScrollingCacheEnabled(false);
        } else if (z2 || this.f1 != i2 || this.b1.size() == 0) {
            if (i2 < 0) {
                i2 = 0;
            } else if (i2 >= this.e1.e()) {
                i2 = this.e1.e() - 1;
            }
            int i4 = this.x1;
            int i5 = this.f1;
            if (i2 > i5 + i4 || i2 < i5 - i4) {
                for (int i6 = 0; i6 < this.b1.size(); i6++) {
                    this.b1.get(i6).f4393c = true;
                }
            }
            if (this.f1 != i2) {
                z3 = true;
            }
            if (this.R1) {
                this.f1 = i2;
                if (z3) {
                    m(i2);
                }
                requestLayout();
                return;
            }
            K(i2);
            R(i2, z, i3, z3);
        } else {
            setScrollingCacheEnabled(false);
        }
    }

    /* access modifiers changed from: package-private */
    public h V(h hVar) {
        h hVar2 = this.X1;
        this.X1 = hVar;
        return hVar2;
    }

    public void W(boolean z, @Nullable i iVar) {
        X(z, iVar, 2);
    }

    public void X(boolean z, @Nullable i iVar, int i2) {
        int i3 = 1;
        boolean z2 = iVar != null;
        boolean z3 = z2 != (this.Z1 != null);
        this.Z1 = iVar;
        setChildrenDrawingOrderEnabled(z2);
        if (z2) {
            if (z) {
                i3 = 2;
            }
            this.b2 = i3;
            this.a2 = i2;
        } else {
            this.b2 = 0;
        }
        if (z3) {
            J();
        }
    }

    /* access modifiers changed from: package-private */
    public void Y(int i2, int i3) {
        Z(i2, i3, 0);
    }

    /* access modifiers changed from: package-private */
    public void Z(int i2, int i3, int i4) {
        int i5;
        int i6;
        if (getChildCount() == 0) {
            setScrollingCacheEnabled(false);
            return;
        }
        Scroller scroller = this.j1;
        if (scroller != null && !scroller.isFinished()) {
            i5 = this.k1 ? this.j1.getCurrX() : this.j1.getStartX();
            this.j1.abortAnimation();
            setScrollingCacheEnabled(false);
        } else {
            i5 = getScrollX();
        }
        int scrollY = getScrollY();
        int i7 = i2 - i5;
        int i8 = i3 - scrollY;
        if (i7 == 0 && i8 == 0) {
            i(false);
            J();
            setScrollState(0);
            return;
        }
        setScrollingCacheEnabled(true);
        setScrollState(2);
        int clientWidth = getClientWidth();
        int i9 = clientWidth / 2;
        float f2 = (float) clientWidth;
        float f3 = (float) i9;
        float o = f3 + (o(Math.min(1.0f, (((float) Math.abs(i7)) * 1.0f) / f2)) * f3);
        int abs = Math.abs(i4);
        if (abs > 0) {
            i6 = Math.round(Math.abs(o / ((float) abs)) * 1000.0f) * 4;
        } else {
            i6 = (int) (((((float) Math.abs(i7)) / ((f2 * this.e1.h(this.f1)) + ((float) this.m1))) + 1.0f) * 100.0f);
        }
        int min = Math.min(i6, 600);
        this.k1 = false;
        this.j1.startScroll(i5, scrollY, i7, i8, min);
        ViewCompat.postInvalidateOnAnimation(this);
    }

    /* access modifiers changed from: package-private */
    public e a(int i2, int i3) {
        e eVar = new e();
        eVar.f4392b = i2;
        eVar.f4391a = this.e1.j(this, i2);
        eVar.f4394d = this.e1.h(i2);
        if (i3 < 0 || i3 >= this.b1.size()) {
            this.b1.add(eVar);
        } else {
            this.b1.add(i3, eVar);
        }
        return eVar;
    }

    @Override // android.view.View, android.view.ViewGroup
    public void addFocusables(ArrayList<View> arrayList, int i2, int i3) {
        e w;
        int size = arrayList.size();
        int descendantFocusability = getDescendantFocusability();
        if (descendantFocusability != 393216) {
            for (int i4 = 0; i4 < getChildCount(); i4++) {
                View childAt = getChildAt(i4);
                if (childAt.getVisibility() == 0 && (w = w(childAt)) != null && w.f4392b == this.f1) {
                    childAt.addFocusables(arrayList, i2, i3);
                }
            }
        }
        if ((descendantFocusability == 262144 && size != arrayList.size()) || !isFocusable()) {
            return;
        }
        if ((i3 & 1) != 1 || !isInTouchMode() || isFocusableInTouchMode()) {
            arrayList.add(this);
        }
    }

    @Override // android.view.View, android.view.ViewGroup
    public void addTouchables(ArrayList<View> arrayList) {
        e w;
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            View childAt = getChildAt(i2);
            if (childAt.getVisibility() == 0 && (w = w(childAt)) != null && w.f4392b == this.f1) {
                childAt.addTouchables(arrayList);
            }
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        if (!checkLayoutParams(layoutParams)) {
            layoutParams = generateLayoutParams(layoutParams);
        }
        LayoutParams layoutParams2 = (LayoutParams) layoutParams;
        boolean A = layoutParams2.f4383a | A(view);
        layoutParams2.f4383a = A;
        if (!this.u1) {
            super.addView(view, i2, layoutParams);
        } else if (!A) {
            layoutParams2.f4386d = true;
            addViewInLayout(view, i2, layoutParams);
        } else {
            throw new IllegalStateException("Cannot add pager decor view during layout");
        }
    }

    public void b(@NonNull g gVar) {
        if (this.Y1 == null) {
            this.Y1 = new ArrayList();
        }
        this.Y1.add(gVar);
    }

    public void c(@NonNull h hVar) {
        if (this.V1 == null) {
            this.V1 = new ArrayList();
        }
        this.V1.add(hVar);
    }

    public boolean canScrollHorizontally(int i2) {
        if (this.e1 == null) {
            return false;
        }
        int clientWidth = getClientWidth();
        int scrollX = getScrollX();
        if (i2 < 0) {
            if (scrollX > ((int) (((float) clientWidth) * this.q1))) {
                return true;
            }
            return false;
        } else if (i2 <= 0 || scrollX >= ((int) (((float) clientWidth) * this.r1))) {
            return false;
        } else {
            return true;
        }
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return (layoutParams instanceof LayoutParams) && super.checkLayoutParams(layoutParams);
    }

    public void computeScroll() {
        this.k1 = true;
        if (this.j1.isFinished() || !this.j1.computeScrollOffset()) {
            i(true);
            return;
        }
        int scrollX = getScrollX();
        int scrollY = getScrollY();
        int currX = this.j1.getCurrX();
        int currY = this.j1.getCurrY();
        if (!(scrollX == currX && scrollY == currY)) {
            scrollTo(currX, currY);
            if (!H(currX)) {
                this.j1.abortAnimation();
                scrollTo(0, currY);
            }
        }
        ViewCompat.postInvalidateOnAnimation(this);
    }

    /* JADX WARNING: Removed duplicated region for block: B:41:0x00cf  */
    public boolean d(int i2) {
        View findNextFocus;
        boolean requestFocus;
        boolean z;
        View findFocus = findFocus();
        boolean z2 = false;
        if (findFocus != this) {
            if (findFocus != null) {
                ViewParent parent = findFocus.getParent();
                while (true) {
                    if (!(parent instanceof ViewGroup)) {
                        z = false;
                        break;
                    } else if (parent == this) {
                        z = true;
                        break;
                    } else {
                        parent = parent.getParent();
                    }
                }
                if (!z) {
                    StringBuilder sb = new StringBuilder();
                    sb.append(findFocus.getClass().getSimpleName());
                    for (ViewParent parent2 = findFocus.getParent(); parent2 instanceof ViewGroup; parent2 = parent2.getParent()) {
                        sb.append(" => ");
                        sb.append(parent2.getClass().getSimpleName());
                    }
                    Log.e(f4381a, "arrowScroll tried to find focus based on non-child current focused view " + sb.toString());
                }
            }
            findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i2);
            if (findNextFocus == null && findNextFocus != findFocus) {
                if (i2 == 17) {
                    int i3 = u(this.d1, findNextFocus).left;
                    int i4 = u(this.d1, findFocus).left;
                    if (findFocus == null || i3 < i4) {
                        requestFocus = findNextFocus.requestFocus();
                    } else {
                        requestFocus = F();
                    }
                } else if (i2 == 66) {
                    int i5 = u(this.d1, findNextFocus).left;
                    int i6 = u(this.d1, findFocus).left;
                    if (findFocus == null || i5 > i6) {
                        requestFocus = findNextFocus.requestFocus();
                    } else {
                        requestFocus = G();
                    }
                }
                z2 = requestFocus;
            } else if (i2 != 17 || i2 == 1) {
                z2 = F();
            } else if (i2 == 66 || i2 == 2) {
                z2 = G();
            }
            if (z2) {
                playSoundEffect(SoundEffectConstants.getContantForFocusDirection(i2));
            }
            return z2;
        }
        findFocus = null;
        findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i2);
        if (findNextFocus == null) {
        }
        if (i2 != 17) {
        }
        z2 = F();
        if (z2) {
        }
        return z2;
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        return super.dispatchKeyEvent(keyEvent) || s(keyEvent);
    }

    public boolean dispatchPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        e w;
        if (accessibilityEvent.getEventType() == 4096) {
            return super.dispatchPopulateAccessibilityEvent(accessibilityEvent);
        }
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            if (childAt.getVisibility() == 0 && (w = w(childAt)) != null && w.f4392b == this.f1 && childAt.dispatchPopulateAccessibilityEvent(accessibilityEvent)) {
                return true;
            }
        }
        return false;
    }

    public void draw(Canvas canvas) {
        a aVar;
        super.draw(canvas);
        int overScrollMode = getOverScrollMode();
        boolean z = false;
        if (overScrollMode == 0 || (overScrollMode == 1 && (aVar = this.e1) != null && aVar.e() > 1)) {
            if (!this.P1.isFinished()) {
                int save = canvas.save();
                int height = (getHeight() - getPaddingTop()) - getPaddingBottom();
                int width = getWidth();
                canvas.rotate(270.0f);
                canvas.translate((float) ((-height) + getPaddingTop()), this.q1 * ((float) width));
                this.P1.setSize(height, width);
                z = false | this.P1.draw(canvas);
                canvas.restoreToCount(save);
            }
            if (!this.Q1.isFinished()) {
                int save2 = canvas.save();
                int width2 = getWidth();
                int height2 = (getHeight() - getPaddingTop()) - getPaddingBottom();
                canvas.rotate(90.0f);
                canvas.translate((float) (-getPaddingTop()), (-(this.r1 + 1.0f)) * ((float) width2));
                this.Q1.setSize(height2, width2);
                z |= this.Q1.draw(canvas);
                canvas.restoreToCount(save2);
            }
        } else {
            this.P1.finish();
            this.Q1.finish();
        }
        if (z) {
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.n1;
        if (drawable != null && drawable.isStateful()) {
            drawable.setState(getDrawableState());
        }
    }

    public boolean e() {
        if (this.y1) {
            return false;
        }
        this.N1 = true;
        setScrollState(1);
        this.D1 = 0.0f;
        this.F1 = 0.0f;
        VelocityTracker velocityTracker = this.I1;
        if (velocityTracker == null) {
            this.I1 = VelocityTracker.obtain();
        } else {
            velocityTracker.clear();
        }
        long uptimeMillis = SystemClock.uptimeMillis();
        MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 0, 0.0f, 0.0f, 0);
        this.I1.addMovement(obtain);
        obtain.recycle();
        this.O1 = uptimeMillis;
        return true;
    }

    /* access modifiers changed from: protected */
    public boolean g(View view, boolean z, int i2, int i3, int i4) {
        int i5;
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            int scrollX = view.getScrollX();
            int scrollY = view.getScrollY();
            for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
                View childAt = viewGroup.getChildAt(childCount);
                int i6 = i3 + scrollX;
                if (i6 >= childAt.getLeft() && i6 < childAt.getRight() && (i5 = i4 + scrollY) >= childAt.getTop() && i5 < childAt.getBottom() && g(childAt, true, i2, i6 - childAt.getLeft(), i5 - childAt.getTop())) {
                    return true;
                }
            }
        }
        if (!z || !view.canScrollHorizontally(-i2)) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: protected */
    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams();
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return generateDefaultLayoutParams();
    }

    @Nullable
    public a getAdapter() {
        return this.e1;
    }

    /* access modifiers changed from: protected */
    public int getChildDrawingOrder(int i2, int i3) {
        if (this.b2 == 2) {
            i3 = (i2 - 1) - i3;
        }
        return ((LayoutParams) this.c2.get(i3).getLayoutParams()).f;
    }

    public int getCurrentItem() {
        return this.f1;
    }

    public int getOffscreenPageLimit() {
        return this.x1;
    }

    public int getPageMargin() {
        return this.m1;
    }

    public void h() {
        List<h> list = this.V1;
        if (list != null) {
            list.clear();
        }
    }

    /* access modifiers changed from: package-private */
    public void j() {
        int e3 = this.e1.e();
        this.a1 = e3;
        boolean z = this.b1.size() < (this.x1 * 2) + 1 && this.b1.size() < e3;
        int i2 = this.f1;
        int i3 = 0;
        boolean z2 = false;
        while (i3 < this.b1.size()) {
            e eVar = this.b1.get(i3);
            int f2 = this.e1.f(eVar.f4391a);
            if (f2 != -1) {
                if (f2 == -2) {
                    this.b1.remove(i3);
                    i3--;
                    if (!z2) {
                        this.e1.t(this);
                        z2 = true;
                    }
                    this.e1.b(this, eVar.f4392b, eVar.f4391a);
                    int i4 = this.f1;
                    if (i4 == eVar.f4392b) {
                        i2 = Math.max(0, Math.min(i4, e3 - 1));
                    }
                } else {
                    int i5 = eVar.f4392b;
                    if (i5 != f2) {
                        if (i5 == this.f1) {
                            i2 = f2;
                        }
                        eVar.f4392b = f2;
                    }
                }
                z = true;
            }
            i3++;
        }
        if (z2) {
            this.e1.d(this);
        }
        Collections.sort(this.b1, P0);
        if (z) {
            int childCount = getChildCount();
            for (int i6 = 0; i6 < childCount; i6++) {
                LayoutParams layoutParams = (LayoutParams) getChildAt(i6).getLayoutParams();
                if (!layoutParams.f4383a) {
                    layoutParams.f4385c = 0.0f;
                }
            }
            T(i2, false, true);
            requestLayout();
        }
    }

    /* access modifiers changed from: package-private */
    public float o(float f2) {
        return (float) Math.sin((double) ((f2 - 0.5f) * 0.47123894f));
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.R1 = true;
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        removeCallbacks(this.d2);
        Scroller scroller = this.j1;
        if (scroller != null && !scroller.isFinished()) {
            this.j1.abortAnimation();
        }
        super.onDetachedFromWindow();
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x005a  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0065  */
    public void onDraw(Canvas canvas) {
        int i2;
        float f2;
        float f3;
        super.onDraw(canvas);
        if (this.m1 > 0 && this.n1 != null && this.b1.size() > 0 && this.e1 != null) {
            int scrollX = getScrollX();
            int width = getWidth();
            float f4 = (float) width;
            float f5 = ((float) this.m1) / f4;
            int i3 = 0;
            e eVar = this.b1.get(0);
            float f6 = eVar.f4395e;
            int size = this.b1.size();
            int i4 = eVar.f4392b;
            int i5 = this.b1.get(size - 1).f4392b;
            while (i4 < i5) {
                while (true) {
                    i2 = eVar.f4392b;
                    if (i4 > i2 && i3 < size) {
                        i3++;
                        eVar = this.b1.get(i3);
                    } else if (i4 != i2) {
                        float f7 = eVar.f4395e;
                        float f8 = eVar.f4394d;
                        f2 = (f7 + f8) * f4;
                        f6 = f7 + f8 + f5;
                    } else {
                        float h2 = this.e1.h(i4);
                        f2 = (f6 + h2) * f4;
                        f6 += h2 + f5;
                    }
                }
                if (i4 != i2) {
                }
                if (((float) this.m1) + f2 > ((float) scrollX)) {
                    f3 = f5;
                    this.n1.setBounds(Math.round(f2), this.o1, Math.round(((float) this.m1) + f2), this.p1);
                    this.n1.draw(canvas);
                } else {
                    f3 = f5;
                }
                if (f2 <= ((float) (scrollX + width))) {
                    i4++;
                    f5 = f3;
                } else {
                    return;
                }
            }
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction() & 255;
        if (action == 3 || action == 1) {
            Q();
            return false;
        }
        if (action != 0) {
            if (this.y1) {
                return true;
            }
            if (this.z1) {
                return false;
            }
        }
        if (action == 0) {
            float x = motionEvent.getX();
            this.F1 = x;
            this.D1 = x;
            float y = motionEvent.getY();
            this.G1 = y;
            this.E1 = y;
            this.H1 = motionEvent.getPointerId(0);
            this.z1 = false;
            this.k1 = true;
            this.j1.computeScrollOffset();
            if (this.e2 != 2 || Math.abs(this.j1.getFinalX() - this.j1.getCurrX()) <= this.M1) {
                i(false);
                this.y1 = false;
            } else {
                this.j1.abortAnimation();
                this.w1 = false;
                J();
                this.y1 = true;
                P(true);
                setScrollState(1);
            }
        } else if (action == 2) {
            int i2 = this.H1;
            if (i2 != -1) {
                int findPointerIndex = motionEvent.findPointerIndex(i2);
                float x2 = motionEvent.getX(findPointerIndex);
                float f2 = x2 - this.D1;
                float abs = Math.abs(f2);
                float y2 = motionEvent.getY(findPointerIndex);
                float abs2 = Math.abs(y2 - this.G1);
                int i3 = (f2 > 0.0f ? 1 : (f2 == 0.0f ? 0 : -1));
                if (i3 == 0 || C(this.D1, f2) || !g(this, false, (int) f2, (int) x2, (int) y2)) {
                    int i4 = this.C1;
                    if (abs > ((float) i4) && abs * 0.5f > abs2) {
                        this.y1 = true;
                        P(true);
                        setScrollState(1);
                        float f3 = this.F1;
                        float f4 = (float) this.C1;
                        this.D1 = i3 > 0 ? f3 + f4 : f3 - f4;
                        this.E1 = y2;
                        setScrollingCacheEnabled(true);
                    } else if (abs2 > ((float) i4)) {
                        this.z1 = true;
                    }
                    if (this.y1 && I(x2)) {
                        ViewCompat.postInvalidateOnAnimation(this);
                    }
                } else {
                    this.D1 = x2;
                    this.E1 = y2;
                    this.z1 = true;
                    return false;
                }
            }
        } else if (action == 6) {
            E(motionEvent);
        }
        if (this.I1 == null) {
            this.I1 = VelocityTracker.obtain();
        }
        this.I1.addMovement(motionEvent);
        return this.y1;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0071  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x008e  */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        boolean z2;
        e w;
        int i6;
        int i7;
        int i8;
        int i9;
        int childCount = getChildCount();
        int i10 = i4 - i2;
        int i11 = i5 - i3;
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingRight = getPaddingRight();
        int paddingBottom = getPaddingBottom();
        int scrollX = getScrollX();
        int i12 = 0;
        for (int i13 = 0; i13 < childCount; i13++) {
            View childAt = getChildAt(i13);
            if (childAt.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.f4383a) {
                    int i14 = layoutParams.f4384b;
                    int i15 = i14 & 7;
                    int i16 = i14 & 112;
                    if (i15 != 1) {
                        if (i15 == 3) {
                            i6 = childAt.getMeasuredWidth() + paddingLeft;
                        } else if (i15 != 5) {
                            i6 = paddingLeft;
                        } else {
                            i9 = (i10 - paddingRight) - childAt.getMeasuredWidth();
                            paddingRight += childAt.getMeasuredWidth();
                        }
                        if (i16 == 16) {
                            if (i16 == 48) {
                                i7 = childAt.getMeasuredHeight() + paddingTop;
                            } else if (i16 != 80) {
                                i7 = paddingTop;
                            } else {
                                i8 = (i11 - paddingBottom) - childAt.getMeasuredHeight();
                                paddingBottom += childAt.getMeasuredHeight();
                            }
                            int i17 = paddingLeft + scrollX;
                            childAt.layout(i17, paddingTop, childAt.getMeasuredWidth() + i17, paddingTop + childAt.getMeasuredHeight());
                            i12++;
                            paddingTop = i7;
                            paddingLeft = i6;
                        } else {
                            i8 = Math.max((i11 - childAt.getMeasuredHeight()) / 2, paddingTop);
                        }
                        i7 = paddingTop;
                        paddingTop = i8;
                        int i172 = paddingLeft + scrollX;
                        childAt.layout(i172, paddingTop, childAt.getMeasuredWidth() + i172, paddingTop + childAt.getMeasuredHeight());
                        i12++;
                        paddingTop = i7;
                        paddingLeft = i6;
                    } else {
                        i9 = Math.max((i10 - childAt.getMeasuredWidth()) / 2, paddingLeft);
                    }
                    i6 = paddingLeft;
                    paddingLeft = i9;
                    if (i16 == 16) {
                    }
                    i7 = paddingTop;
                    paddingTop = i8;
                    int i1722 = paddingLeft + scrollX;
                    childAt.layout(i1722, paddingTop, childAt.getMeasuredWidth() + i1722, paddingTop + childAt.getMeasuredHeight());
                    i12++;
                    paddingTop = i7;
                    paddingLeft = i6;
                }
            }
        }
        int i18 = (i10 - paddingLeft) - paddingRight;
        for (int i19 = 0; i19 < childCount; i19++) {
            View childAt2 = getChildAt(i19);
            if (childAt2.getVisibility() != 8) {
                LayoutParams layoutParams2 = (LayoutParams) childAt2.getLayoutParams();
                if (!layoutParams2.f4383a && (w = w(childAt2)) != null) {
                    float f2 = (float) i18;
                    int i20 = ((int) (w.f4395e * f2)) + paddingLeft;
                    if (layoutParams2.f4386d) {
                        layoutParams2.f4386d = false;
                        childAt2.measure(View.MeasureSpec.makeMeasureSpec((int) (f2 * layoutParams2.f4385c), 1073741824), View.MeasureSpec.makeMeasureSpec((i11 - paddingTop) - paddingBottom, 1073741824));
                    }
                    childAt2.layout(i20, paddingTop, childAt2.getMeasuredWidth() + i20, childAt2.getMeasuredHeight() + paddingTop);
                }
            }
        }
        this.o1 = paddingTop;
        this.p1 = i11 - paddingBottom;
        this.U1 = i12;
        if (this.R1) {
            z2 = false;
            R(this.f1, false, 0, false);
        } else {
            z2 = false;
        }
        this.R1 = z2;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0082  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x0089  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x008e  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x0093  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x00a2  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00a8  */
    public void onMeasure(int i2, int i3) {
        LayoutParams layoutParams;
        LayoutParams layoutParams2;
        int i4;
        int i5;
        int i6;
        setMeasuredDimension(ViewGroup.getDefaultSize(0, i2), ViewGroup.getDefaultSize(0, i3));
        int measuredWidth = getMeasuredWidth();
        this.B1 = Math.min(measuredWidth / 10, this.A1);
        int paddingLeft = (measuredWidth - getPaddingLeft()) - getPaddingRight();
        int measuredHeight = (getMeasuredHeight() - getPaddingTop()) - getPaddingBottom();
        int childCount = getChildCount();
        int i7 = 0;
        while (true) {
            boolean z = true;
            int i8 = 1073741824;
            if (i7 >= childCount) {
                break;
            }
            View childAt = getChildAt(i7);
            if (!(childAt.getVisibility() == 8 || (layoutParams2 = (LayoutParams) childAt.getLayoutParams()) == null || !layoutParams2.f4383a)) {
                int i9 = layoutParams2.f4384b;
                int i10 = i9 & 7;
                int i11 = i9 & 112;
                boolean z2 = i11 == 48 || i11 == 80;
                if (!(i10 == 3 || i10 == 5)) {
                    z = false;
                }
                int i12 = Integer.MIN_VALUE;
                if (z2) {
                    i12 = 1073741824;
                } else if (z) {
                    i4 = 1073741824;
                    i5 = ((ViewGroup.LayoutParams) layoutParams2).width;
                    if (i5 == -2) {
                        if (i5 == -1) {
                            i5 = paddingLeft;
                        }
                        i12 = 1073741824;
                    } else {
                        i5 = paddingLeft;
                    }
                    i6 = ((ViewGroup.LayoutParams) layoutParams2).height;
                    if (i6 != -2) {
                        i6 = measuredHeight;
                        i8 = i4;
                    } else if (i6 == -1) {
                        i6 = measuredHeight;
                    }
                    childAt.measure(View.MeasureSpec.makeMeasureSpec(i5, i12), View.MeasureSpec.makeMeasureSpec(i6, i8));
                    if (!z2) {
                        measuredHeight -= childAt.getMeasuredHeight();
                    } else if (z) {
                        paddingLeft -= childAt.getMeasuredWidth();
                    }
                }
                i4 = Integer.MIN_VALUE;
                i5 = ((ViewGroup.LayoutParams) layoutParams2).width;
                if (i5 == -2) {
                }
                i6 = ((ViewGroup.LayoutParams) layoutParams2).height;
                if (i6 != -2) {
                }
                childAt.measure(View.MeasureSpec.makeMeasureSpec(i5, i12), View.MeasureSpec.makeMeasureSpec(i6, i8));
                if (!z2) {
                }
            }
            i7++;
        }
        this.s1 = View.MeasureSpec.makeMeasureSpec(paddingLeft, 1073741824);
        this.t1 = View.MeasureSpec.makeMeasureSpec(measuredHeight, 1073741824);
        this.u1 = true;
        J();
        this.u1 = false;
        int childCount2 = getChildCount();
        for (int i13 = 0; i13 < childCount2; i13++) {
            View childAt2 = getChildAt(i13);
            if (childAt2.getVisibility() != 8 && ((layoutParams = (LayoutParams) childAt2.getLayoutParams()) == null || !layoutParams.f4383a)) {
                childAt2.measure(View.MeasureSpec.makeMeasureSpec((int) (((float) paddingLeft) * layoutParams.f4385c), 1073741824), this.t1);
            }
        }
    }

    /* access modifiers changed from: protected */
    public boolean onRequestFocusInDescendants(int i2, Rect rect) {
        int i3;
        int i4;
        e w;
        int childCount = getChildCount();
        int i5 = -1;
        if ((i2 & 2) != 0) {
            i5 = childCount;
            i4 = 0;
            i3 = 1;
        } else {
            i4 = childCount - 1;
            i3 = -1;
        }
        while (i4 != i5) {
            View childAt = getChildAt(i4);
            if (childAt.getVisibility() == 0 && (w = w(childAt)) != null && w.f4392b == this.f1 && childAt.requestFocus(i2, rect)) {
                return true;
            }
            i4 += i3;
        }
        return false;
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.a());
        a aVar = this.e1;
        if (aVar != null) {
            aVar.n(savedState.J0, savedState.K0);
            T(savedState.I0, false, true);
            return;
        }
        this.g1 = savedState.I0;
        this.h1 = savedState.J0;
        this.i1 = savedState.K0;
    }

    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.I0 = this.f1;
        a aVar = this.e1;
        if (aVar != null) {
            savedState.J0 = aVar.o();
        }
        return savedState;
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        if (i2 != i4) {
            int i6 = this.m1;
            L(i2, i4, i6, i6);
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        a aVar;
        if (this.N1) {
            return true;
        }
        boolean z = false;
        if ((motionEvent.getAction() == 0 && motionEvent.getEdgeFlags() != 0) || (aVar = this.e1) == null || aVar.e() == 0) {
            return false;
        }
        if (this.I1 == null) {
            this.I1 = VelocityTracker.obtain();
        }
        this.I1.addMovement(motionEvent);
        int action = motionEvent.getAction() & 255;
        if (action == 0) {
            this.j1.abortAnimation();
            this.w1 = false;
            J();
            float x = motionEvent.getX();
            this.F1 = x;
            this.D1 = x;
            float y = motionEvent.getY();
            this.G1 = y;
            this.E1 = y;
            this.H1 = motionEvent.getPointerId(0);
        } else if (action != 1) {
            if (action == 2) {
                if (!this.y1) {
                    int findPointerIndex = motionEvent.findPointerIndex(this.H1);
                    if (findPointerIndex == -1) {
                        z = Q();
                    } else {
                        float x2 = motionEvent.getX(findPointerIndex);
                        float abs = Math.abs(x2 - this.D1);
                        float y2 = motionEvent.getY(findPointerIndex);
                        float abs2 = Math.abs(y2 - this.E1);
                        if (abs > ((float) this.C1) && abs > abs2) {
                            this.y1 = true;
                            P(true);
                            float f2 = this.F1;
                            this.D1 = x2 - f2 > 0.0f ? f2 + ((float) this.C1) : f2 - ((float) this.C1);
                            this.E1 = y2;
                            setScrollState(1);
                            setScrollingCacheEnabled(true);
                            ViewParent parent = getParent();
                            if (parent != null) {
                                parent.requestDisallowInterceptTouchEvent(true);
                            }
                        }
                    }
                }
                if (this.y1) {
                    z = false | I(motionEvent.getX(motionEvent.findPointerIndex(this.H1)));
                }
            } else if (action != 3) {
                if (action == 5) {
                    int actionIndex = motionEvent.getActionIndex();
                    this.D1 = motionEvent.getX(actionIndex);
                    this.H1 = motionEvent.getPointerId(actionIndex);
                } else if (action == 6) {
                    E(motionEvent);
                    this.D1 = motionEvent.getX(motionEvent.findPointerIndex(this.H1));
                }
            } else if (this.y1) {
                R(this.f1, true, 0, false);
                z = Q();
            }
        } else if (this.y1) {
            VelocityTracker velocityTracker = this.I1;
            velocityTracker.computeCurrentVelocity(1000, (float) this.K1);
            int xVelocity = (int) velocityTracker.getXVelocity(this.H1);
            this.w1 = true;
            int clientWidth = getClientWidth();
            int scrollX = getScrollX();
            e x3 = x();
            float f3 = (float) clientWidth;
            U(k(x3.f4392b, ((((float) scrollX) / f3) - x3.f4395e) / (x3.f4394d + (((float) this.m1) / f3)), xVelocity, (int) (motionEvent.getX(motionEvent.findPointerIndex(this.H1)) - this.F1)), true, true, xVelocity);
            z = Q();
        }
        if (z) {
            ViewCompat.postInvalidateOnAnimation(this);
        }
        return true;
    }

    public void r() {
        if (this.N1) {
            if (this.e1 != null) {
                VelocityTracker velocityTracker = this.I1;
                velocityTracker.computeCurrentVelocity(1000, (float) this.K1);
                int xVelocity = (int) velocityTracker.getXVelocity(this.H1);
                this.w1 = true;
                int clientWidth = getClientWidth();
                int scrollX = getScrollX();
                e x = x();
                U(k(x.f4392b, ((((float) scrollX) / ((float) clientWidth)) - x.f4395e) / x.f4394d, xVelocity, (int) (this.D1 - this.F1)), true, true, xVelocity);
            }
            q();
            this.N1 = false;
            return;
        }
        throw new IllegalStateException("No fake drag in progress. Call beginFakeDrag first.");
    }

    public void removeView(View view) {
        if (this.u1) {
            removeViewInLayout(view);
        } else {
            super.removeView(view);
        }
    }

    public boolean s(@NonNull KeyEvent keyEvent) {
        if (keyEvent.getAction() == 0) {
            int keyCode = keyEvent.getKeyCode();
            if (keyCode != 21) {
                if (keyCode != 22) {
                    if (keyCode == 61) {
                        if (keyEvent.hasNoModifiers()) {
                            return d(2);
                        }
                        if (keyEvent.hasModifiers(1)) {
                            return d(1);
                        }
                    }
                } else if (keyEvent.hasModifiers(2)) {
                    return G();
                } else {
                    return d(66);
                }
            } else if (keyEvent.hasModifiers(2)) {
                return F();
            } else {
                return d(17);
            }
        }
        return false;
    }

    public void setAdapter(@Nullable a aVar) {
        a aVar2 = this.e1;
        if (aVar2 != null) {
            aVar2.r(null);
            this.e1.t(this);
            for (int i2 = 0; i2 < this.b1.size(); i2++) {
                e eVar = this.b1.get(i2);
                this.e1.b(this, eVar.f4392b, eVar.f4391a);
            }
            this.e1.d(this);
            this.b1.clear();
            M();
            this.f1 = 0;
            scrollTo(0, 0);
        }
        a aVar3 = this.e1;
        this.e1 = aVar;
        this.a1 = 0;
        if (aVar != null) {
            if (this.l1 == null) {
                this.l1 = new j();
            }
            this.e1.r(this.l1);
            this.w1 = false;
            boolean z = this.R1;
            this.R1 = true;
            this.a1 = this.e1.e();
            if (this.g1 >= 0) {
                this.e1.n(this.h1, this.i1);
                T(this.g1, false, true);
                this.g1 = -1;
                this.h1 = null;
                this.i1 = null;
            } else if (!z) {
                J();
            } else {
                requestLayout();
            }
        }
        List<g> list = this.Y1;
        if (!(list == null || list.isEmpty())) {
            int size = this.Y1.size();
            for (int i3 = 0; i3 < size; i3++) {
                this.Y1.get(i3).a(this, aVar3, aVar);
            }
        }
    }

    public void setCurrentItem(int i2) {
        this.w1 = false;
        T(i2, !this.R1, false);
    }

    public void setOffscreenPageLimit(int i2) {
        if (i2 < 1) {
            Log.w(f4381a, "Requested offscreen page limit " + i2 + " too small; defaulting to " + 1);
            i2 = 1;
        }
        if (i2 != this.x1) {
            this.x1 = i2;
            J();
        }
    }

    @Deprecated
    public void setOnPageChangeListener(h hVar) {
        this.W1 = hVar;
    }

    public void setPageMargin(int i2) {
        int i3 = this.m1;
        this.m1 = i2;
        int width = getWidth();
        L(width, width, i2, i3);
        requestLayout();
    }

    public void setPageMarginDrawable(@Nullable Drawable drawable) {
        this.n1 = drawable;
        if (drawable != null) {
            refreshDrawableState();
        }
        setWillNotDraw(drawable == null);
        invalidate();
    }

    /* access modifiers changed from: package-private */
    public void setScrollState(int i2) {
        if (this.e2 != i2) {
            this.e2 = i2;
            if (this.Z1 != null) {
                p(i2 != 0);
            }
            n(i2);
        }
    }

    public void t(float f2) {
        if (!this.N1) {
            throw new IllegalStateException("No fake drag in progress. Call beginFakeDrag first.");
        } else if (this.e1 != null) {
            this.D1 += f2;
            float scrollX = ((float) getScrollX()) - f2;
            float clientWidth = (float) getClientWidth();
            float f3 = this.q1 * clientWidth;
            float f4 = this.r1 * clientWidth;
            e eVar = this.b1.get(0);
            ArrayList<e> arrayList = this.b1;
            e eVar2 = arrayList.get(arrayList.size() - 1);
            if (eVar.f4392b != 0) {
                f3 = eVar.f4395e * clientWidth;
            }
            if (eVar2.f4392b != this.e1.e() - 1) {
                f4 = eVar2.f4395e * clientWidth;
            }
            if (scrollX < f3) {
                scrollX = f3;
            } else if (scrollX > f4) {
                scrollX = f4;
            }
            int i2 = (int) scrollX;
            this.D1 += scrollX - ((float) i2);
            scrollTo(i2, getScrollY());
            H(i2);
            MotionEvent obtain = MotionEvent.obtain(this.O1, SystemClock.uptimeMillis(), 2, this.D1, 0.0f, 0);
            this.I1.addMovement(obtain);
            obtain.recycle();
        }
    }

    /* access modifiers changed from: package-private */
    public e v(View view) {
        while (true) {
            ViewParent parent = view.getParent();
            if (parent == this) {
                return w(view);
            }
            if (parent == null || !(parent instanceof View)) {
                return null;
            }
            view = (View) parent;
        }
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.n1;
    }

    /* access modifiers changed from: package-private */
    public e w(View view) {
        for (int i2 = 0; i2 < this.b1.size(); i2++) {
            e eVar = this.b1.get(i2);
            if (this.e1.k(view, eVar.f4391a)) {
                return eVar;
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public e y(int i2) {
        for (int i3 = 0; i3 < this.b1.size(); i3++) {
            e eVar = this.b1.get(i3);
            if (eVar.f4392b == i2) {
                return eVar;
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public void z() {
        setWillNotDraw(false);
        setDescendantFocusability(262144);
        setFocusable(true);
        Context context = getContext();
        this.j1 = new Scroller(context, Q0);
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        float f2 = context.getResources().getDisplayMetrics().density;
        this.C1 = viewConfiguration.getScaledPagingTouchSlop();
        this.J1 = (int) (400.0f * f2);
        this.K1 = viewConfiguration.getScaledMaximumFlingVelocity();
        this.P1 = new EdgeEffect(context);
        this.Q1 = new EdgeEffect(context);
        this.L1 = (int) (25.0f * f2);
        this.M1 = (int) (2.0f * f2);
        this.A1 = (int) (f2 * 16.0f);
        ViewCompat.setAccessibilityDelegate(this, new f());
        if (ViewCompat.getImportantForAccessibility(this) == 0) {
            ViewCompat.setImportantForAccessibility(this, 1);
        }
        ViewCompat.setOnApplyWindowInsetsListener(this, new d());
    }

    public static class LayoutParams extends ViewGroup.LayoutParams {

        /* renamed from: a  reason: collision with root package name */
        public boolean f4383a;

        /* renamed from: b  reason: collision with root package name */
        public int f4384b;

        /* renamed from: c  reason: collision with root package name */
        float f4385c = 0.0f;

        /* renamed from: d  reason: collision with root package name */
        boolean f4386d;

        /* renamed from: e  reason: collision with root package name */
        int f4387e;
        int f;

        public LayoutParams() {
            super(-1, -1);
        }

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, ViewPager.O0);
            this.f4384b = obtainStyledAttributes.getInteger(0, 48);
            obtainStyledAttributes.recycle();
        }
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    public void setPageMarginDrawable(@DrawableRes int i2) {
        setPageMarginDrawable(androidx.core.content.d.i(getContext(), i2));
    }

    public ViewPager(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        z();
    }
}
