package com.alibaba.fastjson;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.parser.Feature;
import com.alibaba.fastjson.parser.i;
import com.alibaba.fastjson.util.n;
import java.io.IOException;
import java.io.NotActiveException;
import java.io.ObjectInputStream;
import java.io.Serializable;
import java.lang.reflect.Type;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.Map;
import java.util.RandomAccess;

public class JSONArray extends a implements List<Object>, Cloneable, RandomAccess, Serializable {
    private static final long serialVersionUID = 1;
    protected transient Object K0;
    protected transient Type L0;
    private final List<Object> list;

    public JSONArray() {
        this.list = new ArrayList();
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        JSONObject.a.a();
        if (JSONObject.a.f5413a != null && !JSONObject.a.f5414b) {
            try {
                new JSONObject.a(objectInputStream).defaultReadObject();
                return;
            } catch (NotActiveException unused) {
            }
        }
        objectInputStream.defaultReadObject();
        for (Object obj : this.list) {
            if (obj != null) {
                String name = obj.getClass().getName();
                if (n.U(name) == null) {
                    i.l.i(name, null);
                }
            }
        }
    }

    @Override // java.util.List, java.util.Collection
    public boolean add(Object obj) {
        return this.list.add(obj);
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.util.Collection<?>] */
    @Override // java.util.List, java.util.Collection
    public boolean addAll(Collection<? extends Object> collection) {
        return this.list.addAll(collection);
    }

    public void clear() {
        this.list.clear();
    }

    @Override // java.lang.Object
    public Object clone() {
        return new JSONArray(new ArrayList(this.list));
    }

    public boolean contains(Object obj) {
        return this.list.contains(obj);
    }

    @Override // java.util.List, java.util.Collection
    public boolean containsAll(Collection<?> collection) {
        return this.list.containsAll(collection);
    }

    public boolean equals(Object obj) {
        return this.list.equals(obj);
    }

    public JSONArray fluentAdd(Object obj) {
        this.list.add(obj);
        return this;
    }

    public JSONArray fluentAddAll(Collection<?> collection) {
        this.list.addAll(collection);
        return this;
    }

    public JSONArray fluentClear() {
        this.list.clear();
        return this;
    }

    public JSONArray fluentRemove(Object obj) {
        this.list.remove(obj);
        return this;
    }

    public JSONArray fluentRemoveAll(Collection<?> collection) {
        this.list.removeAll(collection);
        return this;
    }

    public JSONArray fluentRetainAll(Collection<?> collection) {
        this.list.retainAll(collection);
        return this;
    }

    public JSONArray fluentSet(int i, Object obj) {
        set(i, obj);
        return this;
    }

    @Override // java.util.List
    public Object get(int i) {
        return this.list.get(i);
    }

    public BigDecimal getBigDecimal(int i) {
        return n.i(get(i));
    }

    public BigInteger getBigInteger(int i) {
        return n.j(get(i));
    }

    public Boolean getBoolean(int i) {
        Object obj = get(i);
        if (obj == null) {
            return null;
        }
        return n.k(obj);
    }

    public boolean getBooleanValue(int i) {
        Object obj = get(i);
        if (obj == null) {
            return false;
        }
        return n.k(obj).booleanValue();
    }

    public Byte getByte(int i) {
        return n.l(get(i));
    }

    public byte getByteValue(int i) {
        Byte l = n.l(get(i));
        if (l == null) {
            return 0;
        }
        return l.byteValue();
    }

    public Type getComponentType() {
        return this.L0;
    }

    public Date getDate(int i) {
        return n.o(get(i));
    }

    public Double getDouble(int i) {
        return n.q(get(i));
    }

    public double getDoubleValue(int i) {
        Double q = n.q(get(i));
        if (q == null) {
            return 0.0d;
        }
        return q.doubleValue();
    }

    public Float getFloat(int i) {
        return n.s(get(i));
    }

    public float getFloatValue(int i) {
        Float s = n.s(get(i));
        if (s == null) {
            return 0.0f;
        }
        return s.floatValue();
    }

    public int getIntValue(int i) {
        Integer t = n.t(get(i));
        if (t == null) {
            return 0;
        }
        return t.intValue();
    }

    public Integer getInteger(int i) {
        return n.t(get(i));
    }

    public JSONArray getJSONArray(int i) {
        Object obj = this.list.get(i);
        if (obj instanceof JSONArray) {
            return (JSONArray) obj;
        }
        if (obj instanceof List) {
            return new JSONArray((List) obj);
        }
        return (JSONArray) a.toJSON(obj);
    }

    public JSONObject getJSONObject(int i) {
        Object obj = this.list.get(i);
        if (obj instanceof JSONObject) {
            return (JSONObject) obj;
        }
        if (obj instanceof Map) {
            return new JSONObject((Map) obj);
        }
        return (JSONObject) a.toJSON(obj);
    }

    public Long getLong(int i) {
        return n.w(get(i));
    }

    public long getLongValue(int i) {
        Long w = n.w(get(i));
        if (w == null) {
            return 0;
        }
        return w.longValue();
    }

    public <T> T getObject(int i, Class<T> cls) {
        return (T) n.u(this.list.get(i), cls);
    }

    public Object getRelatedArray() {
        return this.K0;
    }

    public Short getShort(int i) {
        return n.x(get(i));
    }

    public short getShortValue(int i) {
        Short x = n.x(get(i));
        if (x == null) {
            return 0;
        }
        return x.shortValue();
    }

    public java.sql.Date getSqlDate(int i) {
        return n.y(get(i));
    }

    public String getString(int i) {
        return n.A(get(i));
    }

    public Timestamp getTimestamp(int i) {
        return n.B(get(i));
    }

    public int hashCode() {
        return this.list.hashCode();
    }

    public int indexOf(Object obj) {
        return this.list.indexOf(obj);
    }

    public boolean isEmpty() {
        return this.list.isEmpty();
    }

    @Override // java.util.List, java.util.Collection, java.lang.Iterable
    public Iterator<Object> iterator() {
        return this.list.iterator();
    }

    public int lastIndexOf(Object obj) {
        return this.list.lastIndexOf(obj);
    }

    @Override // java.util.List
    public ListIterator<Object> listIterator() {
        return this.list.listIterator();
    }

    @Override // java.util.List
    public boolean remove(Object obj) {
        return this.list.remove(obj);
    }

    @Override // java.util.List, java.util.Collection
    public boolean removeAll(Collection<?> collection) {
        return this.list.removeAll(collection);
    }

    @Override // java.util.List, java.util.Collection
    public boolean retainAll(Collection<?> collection) {
        return this.list.retainAll(collection);
    }

    @Override // java.util.List
    public Object set(int i, Object obj) {
        if (i == -1) {
            this.list.add(obj);
            return null;
        } else if (this.list.size() > i) {
            return this.list.set(i, obj);
        } else {
            for (int size = this.list.size(); size < i; size++) {
                this.list.add(null);
            }
            this.list.add(obj);
            return null;
        }
    }

    public void setComponentType(Type type) {
        this.L0 = type;
    }

    public void setRelatedArray(Object obj) {
        this.K0 = obj;
    }

    public int size() {
        return this.list.size();
    }

    @Override // java.util.List
    public List<Object> subList(int i, int i2) {
        return this.list.subList(i, i2);
    }

    public Object[] toArray() {
        return this.list.toArray();
    }

    public <T> List<T> toJavaList(Class<T> cls) {
        ArrayList arrayList = new ArrayList(size());
        i y = i.y();
        Iterator<Object> it = iterator();
        while (it.hasNext()) {
            arrayList.add(n.f(it.next(), cls, y));
        }
        return arrayList;
    }

    @Override // java.util.List
    public void add(int i, Object obj) {
        this.list.add(i, obj);
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [int, java.util.Collection<?>] */
    @Override // java.util.List
    public boolean addAll(int i, Collection<? extends Object> collection) {
        return this.list.addAll(i, collection);
    }

    public JSONArray fluentAdd(int i, Object obj) {
        this.list.add(i, obj);
        return this;
    }

    public JSONArray fluentAddAll(int i, Collection<?> collection) {
        this.list.addAll(i, collection);
        return this;
    }

    public JSONArray fluentRemove(int i) {
        this.list.remove(i);
        return this;
    }

    @Override // java.util.List
    public ListIterator<Object> listIterator(int i) {
        return this.list.listIterator(i);
    }

    @Override // java.util.List
    public Object remove(int i) {
        return this.list.remove(i);
    }

    @Override // java.util.List, java.util.Collection
    public <T> T[] toArray(T[] tArr) {
        return (T[]) this.list.toArray(tArr);
    }

    public JSONArray(List<Object> list2) {
        if (list2 != null) {
            this.list = list2;
            return;
        }
        throw new IllegalArgumentException("list is null.");
    }

    public <T> T getObject(int i, Type type) {
        Object obj = this.list.get(i);
        return type instanceof Class ? (T) n.u(obj, (Class) type) : (T) a.parseObject(a.toJSONString(obj), type, new Feature[0]);
    }

    public JSONArray(int i) {
        this.list = new ArrayList(i);
    }
}
