package com.alibaba.fastjson;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.parser.Feature;
import com.alibaba.fastjson.parser.i;
import com.alibaba.fastjson.util.n;
import java.io.IOException;
import java.io.NotActiveException;
import java.io.ObjectInputStream;
import java.io.ObjectStreamClass;
import java.io.Serializable;
import java.io.StreamCorruptedException;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationHandler;
import java.lang.reflect.Method;
import java.lang.reflect.Type;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.Collection;
import java.util.Date;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.UUID;

public class JSONObject extends a implements Map<String, Object>, Cloneable, Serializable, InvocationHandler {
    private static final int K0 = 16;
    private static final long serialVersionUID = 1;
    private final Map<String, Object> map;

    static class a extends ObjectInputStream {

        /* renamed from: a  reason: collision with root package name */
        static Field[] f5413a;

        /* renamed from: b  reason: collision with root package name */
        static volatile boolean f5414b;

        public a(ObjectInputStream objectInputStream) throws IOException {
            super(objectInputStream);
            int i = 0;
            while (true) {
                try {
                    Field[] fieldArr = f5413a;
                    if (i < fieldArr.length) {
                        Field field = fieldArr[i];
                        field.set(this, field.get(objectInputStream));
                        i++;
                    } else {
                        return;
                    }
                } catch (IllegalAccessException unused) {
                    f5414b = true;
                    return;
                }
            }
        }

        static void a() {
            if (f5413a == null && !f5414b) {
                try {
                    Field[] declaredFields = ObjectInputStream.class.getDeclaredFields();
                    String[] strArr = {"bin", "passHandle", "handles", "curContext"};
                    Field[] fieldArr = new Field[4];
                    for (int i = 0; i < 4; i++) {
                        Field a0 = n.a0(ObjectInputStream.class, strArr[i], declaredFields);
                        a0.setAccessible(true);
                        fieldArr[i] = a0;
                    }
                    f5413a = fieldArr;
                } catch (Throwable unused) {
                    f5414b = true;
                }
            }
        }

        /* access modifiers changed from: protected */
        @Override // java.io.ObjectInputStream
        public void readStreamHeader() throws IOException, StreamCorruptedException {
        }

        /* access modifiers changed from: protected */
        @Override // java.io.ObjectInputStream
        public Class<?> resolveClass(ObjectStreamClass objectStreamClass) throws IOException, ClassNotFoundException {
            String name = objectStreamClass.getName();
            if (name.length() > 2) {
                int lastIndexOf = name.lastIndexOf(91);
                if (lastIndexOf != -1) {
                    name = name.substring(lastIndexOf + 1);
                }
                if (name.length() > 2 && name.charAt(0) == 'L' && name.charAt(name.length() - 1) == ';') {
                    name = name.substring(1, name.length() - 1);
                }
                if (n.U(name) == null) {
                    i.l.j(name, null, Feature.SupportAutoType.mask);
                }
            }
            return super.resolveClass(objectStreamClass);
        }

        /* access modifiers changed from: protected */
        @Override // java.io.ObjectInputStream
        public Class<?> resolveProxyClass(String[] strArr) throws IOException, ClassNotFoundException {
            for (String str : strArr) {
                if (n.U(str) == null) {
                    i.l.i(str, null);
                }
            }
            return super.resolveProxyClass(strArr);
        }
    }

    public JSONObject() {
        this(16, false);
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        a.a();
        if (a.f5413a != null && !a.f5414b) {
            try {
                new a(objectInputStream).defaultReadObject();
                return;
            } catch (NotActiveException unused) {
            }
        }
        objectInputStream.defaultReadObject();
        for (Map.Entry<String, Object> entry : this.map.entrySet()) {
            String key = entry.getKey();
            if (key != null) {
                i.l.h(key.getClass());
            }
            Object value = entry.getValue();
            if (value != null) {
                i.l.h(value.getClass());
            }
        }
    }

    public void clear() {
        this.map.clear();
    }

    @Override // java.lang.Object
    public Object clone() {
        return new JSONObject(this.map instanceof LinkedHashMap ? new LinkedHashMap(this.map) : new HashMap(this.map));
    }

    public boolean containsKey(Object obj) {
        boolean containsKey = this.map.containsKey(obj);
        if (!containsKey) {
            return ((obj instanceof Number) || (obj instanceof Character) || (obj instanceof Boolean) || (obj instanceof UUID)) ? this.map.containsKey(obj.toString()) : containsKey;
        }
        return containsKey;
    }

    public boolean containsValue(Object obj) {
        return this.map.containsValue(obj);
    }

    @Override // java.util.Map
    public Set<Map.Entry<String, Object>> entrySet() {
        return this.map.entrySet();
    }

    public boolean equals(Object obj) {
        return this.map.equals(obj);
    }

    public JSONObject fluentClear() {
        this.map.clear();
        return this;
    }

    public JSONObject fluentPut(String str, Object obj) {
        this.map.put(str, obj);
        return this;
    }

    public JSONObject fluentPutAll(Map<? extends String, ?> map2) {
        this.map.putAll(map2);
        return this;
    }

    public JSONObject fluentRemove(Object obj) {
        this.map.remove(obj);
        return this;
    }

    @Override // java.util.Map
    public Object get(Object obj) {
        Object obj2 = this.map.get(obj);
        if (obj2 == null) {
            return ((obj instanceof Number) || (obj instanceof Character) || (obj instanceof Boolean) || (obj instanceof UUID)) ? this.map.get(obj.toString()) : obj2;
        }
        return obj2;
    }

    public BigDecimal getBigDecimal(String str) {
        return n.i(get(str));
    }

    public BigInteger getBigInteger(String str) {
        return n.j(get(str));
    }

    public Boolean getBoolean(String str) {
        Object obj = get(str);
        if (obj == null) {
            return null;
        }
        return n.k(obj);
    }

    public boolean getBooleanValue(String str) {
        Boolean k = n.k(get(str));
        if (k == null) {
            return false;
        }
        return k.booleanValue();
    }

    public Byte getByte(String str) {
        return n.l(get(str));
    }

    public byte getByteValue(String str) {
        Byte l = n.l(get(str));
        if (l == null) {
            return 0;
        }
        return l.byteValue();
    }

    public byte[] getBytes(String str) {
        Object obj = get(str);
        if (obj == null) {
            return null;
        }
        return n.m(obj);
    }

    public Date getDate(String str) {
        return n.o(get(str));
    }

    public Double getDouble(String str) {
        return n.q(get(str));
    }

    public double getDoubleValue(String str) {
        Double q = n.q(get(str));
        if (q == null) {
            return 0.0d;
        }
        return q.doubleValue();
    }

    public Float getFloat(String str) {
        return n.s(get(str));
    }

    public float getFloatValue(String str) {
        Float s = n.s(get(str));
        if (s == null) {
            return 0.0f;
        }
        return s.floatValue();
    }

    public Map<String, Object> getInnerMap() {
        return this.map;
    }

    public int getIntValue(String str) {
        Integer t = n.t(get(str));
        if (t == null) {
            return 0;
        }
        return t.intValue();
    }

    public Integer getInteger(String str) {
        return n.t(get(str));
    }

    public JSONArray getJSONArray(String str) {
        Object obj = this.map.get(str);
        if (obj instanceof JSONArray) {
            return (JSONArray) obj;
        }
        if (obj instanceof List) {
            return new JSONArray((List) obj);
        }
        if (obj instanceof String) {
            return (JSONArray) a.parse((String) obj);
        }
        return (JSONArray) a.toJSON(obj);
    }

    public JSONObject getJSONObject(String str) {
        Object obj = this.map.get(str);
        if (obj instanceof JSONObject) {
            return (JSONObject) obj;
        }
        if (obj instanceof Map) {
            return new JSONObject((Map) obj);
        }
        if (obj instanceof String) {
            return a.parseObject((String) obj);
        }
        return (JSONObject) a.toJSON(obj);
    }

    public Long getLong(String str) {
        return n.w(get(str));
    }

    public long getLongValue(String str) {
        Long w = n.w(get(str));
        if (w == null) {
            return 0;
        }
        return w.longValue();
    }

    public <T> T getObject(String str, Class<T> cls) {
        return (T) n.u(this.map.get(str), cls);
    }

    public Short getShort(String str) {
        return n.x(get(str));
    }

    public short getShortValue(String str) {
        Short x = n.x(get(str));
        if (x == null) {
            return 0;
        }
        return x.shortValue();
    }

    public java.sql.Date getSqlDate(String str) {
        return n.y(get(str));
    }

    public String getString(String str) {
        Object obj = get(str);
        if (obj == null) {
            return null;
        }
        return obj.toString();
    }

    public Timestamp getTimestamp(String str) {
        return n.B(get(str));
    }

    public int hashCode() {
        return this.map.hashCode();
    }

    @Override // java.lang.reflect.InvocationHandler
    public Object invoke(Object obj, Method method, Object[] objArr) throws Throwable {
        Class<?>[] parameterTypes = method.getParameterTypes();
        String str = null;
        if (parameterTypes.length == 1) {
            if (method.getName().equals("equals")) {
                return Boolean.valueOf(equals(objArr[0]));
            }
            if (method.getReturnType() == Void.TYPE) {
                JSONField jSONField = (JSONField) n.S(method, JSONField.class);
                String name = (jSONField == null || jSONField.name().length() == 0) ? null : jSONField.name();
                if (name == null) {
                    String name2 = method.getName();
                    if (name2.startsWith("set")) {
                        String substring = name2.substring(3);
                        if (substring.length() != 0) {
                            name = Character.toLowerCase(substring.charAt(0)) + substring.substring(1);
                        } else {
                            throw new JSONException("illegal setter");
                        }
                    } else {
                        throw new JSONException("illegal setter");
                    }
                }
                this.map.put(name, objArr[0]);
                return null;
            }
            throw new JSONException("illegal setter");
        } else if (parameterTypes.length != 0) {
            throw new UnsupportedOperationException(method.toGenericString());
        } else if (method.getReturnType() != Void.TYPE) {
            JSONField jSONField2 = (JSONField) n.S(method, JSONField.class);
            if (!(jSONField2 == null || jSONField2.name().length() == 0)) {
                str = jSONField2.name();
            }
            if (str == null) {
                String name3 = method.getName();
                if (name3.startsWith("get")) {
                    String substring2 = name3.substring(3);
                    if (substring2.length() != 0) {
                        str = Character.toLowerCase(substring2.charAt(0)) + substring2.substring(1);
                    } else {
                        throw new JSONException("illegal getter");
                    }
                } else if (name3.startsWith("is")) {
                    String substring3 = name3.substring(2);
                    if (substring3.length() != 0) {
                        str = Character.toLowerCase(substring3.charAt(0)) + substring3.substring(1);
                    } else {
                        throw new JSONException("illegal getter");
                    }
                } else if (name3.startsWith("hashCode")) {
                    return Integer.valueOf(hashCode());
                } else {
                    if (name3.startsWith("toString")) {
                        return toString();
                    }
                    throw new JSONException("illegal getter");
                }
            }
            return n.h(this.map.get(str), method.getGenericReturnType(), i.y());
        } else {
            throw new JSONException("illegal getter");
        }
    }

    public boolean isEmpty() {
        return this.map.isEmpty();
    }

    @Override // java.util.Map
    public Set<String> keySet() {
        return this.map.keySet();
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.util.Map<? extends java.lang.String, ?>] */
    @Override // java.util.Map
    public void putAll(Map<? extends String, ? extends Object> map2) {
        this.map.putAll(map2);
    }

    @Override // java.util.Map
    public Object remove(Object obj) {
        return this.map.remove(obj);
    }

    public int size() {
        return this.map.size();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.alibaba.fastjson.JSONObject */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.alibaba.fastjson.a
    public <T> T toJavaObject(Class<T> cls) {
        if (cls == Map.class || cls == JSONObject.class || cls == a.class) {
            return this;
        }
        return (cls != Object.class || containsKey(a.DEFAULT_TYPE_KEY)) ? (T) n.v(this, cls, i.y()) : this;
    }

    @Override // java.util.Map
    public Collection<Object> values() {
        return this.map.values();
    }

    public JSONObject(Map<String, Object> map2) {
        if (map2 != null) {
            this.map = map2;
            return;
        }
        throw new IllegalArgumentException("map is null.");
    }

    public Object put(String str, Object obj) {
        return this.map.put(str, obj);
    }

    public <T> T getObject(String str, Type type) {
        return (T) n.h(this.map.get(str), type, i.y());
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.alibaba.fastjson.JSONObject */
    /* JADX WARN: Multi-variable type inference failed */
    public <T> T toJavaObject(Class<T> cls, i iVar, int i) {
        if (cls == Map.class) {
            return this;
        }
        return (cls != Object.class || containsKey(a.DEFAULT_TYPE_KEY)) ? (T) n.v(this, cls, iVar) : this;
    }

    public JSONObject(boolean z) {
        this(16, z);
    }

    public <T> T getObject(String str, i iVar) {
        T t = (T) this.map.get(str);
        return iVar == null ? t : (T) n.h(t, iVar.a(), i.y());
    }

    public JSONObject(int i) {
        this(i, false);
    }

    public JSONObject(int i, boolean z) {
        if (z) {
            this.map = new LinkedHashMap(i);
        } else {
            this.map = new HashMap(i);
        }
    }
}
