package com.alibaba.fastjson;

import java.io.Closeable;
import java.io.IOException;
import java.io.InputStream;
import java.io.Reader;

public abstract class JSONValidator implements Cloneable, Closeable {
    protected char I0;
    protected Type J0;
    private Boolean K0;
    protected int L0 = 0;
    protected boolean M0 = false;

    /* renamed from: a  reason: collision with root package name */
    protected boolean f5421a;

    /* renamed from: b  reason: collision with root package name */
    protected int f5422b = -1;

    public enum Type {
        Object,
        Array,
        Value
    }

    static class a extends JSONValidator {
        private static final ThreadLocal<char[]> N0 = new ThreadLocal<>();
        final Reader O0;
        private char[] P0;
        private int Q0 = -1;
        private int R0 = 0;

        a(Reader reader) {
            this.O0 = reader;
            ThreadLocal<char[]> threadLocal = N0;
            char[] cArr = threadLocal.get();
            this.P0 = cArr;
            if (cArr != null) {
                threadLocal.set(null);
            } else {
                this.P0 = new char[8192];
            }
            Z();
            m0();
        }

        /* access modifiers changed from: package-private */
        @Override // com.alibaba.fastjson.JSONValidator
        public void Z() {
            int i = this.f5422b;
            if (i < this.Q0) {
                char[] cArr = this.P0;
                int i2 = i + 1;
                this.f5422b = i2;
                this.I0 = cArr[i2];
            } else if (!this.f5421a) {
                try {
                    Reader reader = this.O0;
                    char[] cArr2 = this.P0;
                    int read = reader.read(cArr2, 0, cArr2.length);
                    this.R0++;
                    if (read > 0) {
                        this.I0 = this.P0[0];
                        this.f5422b = 0;
                        this.Q0 = read - 1;
                    } else if (read == -1) {
                        this.f5422b = 0;
                        this.Q0 = 0;
                        this.P0 = null;
                        this.I0 = 0;
                        this.f5421a = true;
                    } else {
                        this.f5422b = 0;
                        this.Q0 = 0;
                        this.P0 = null;
                        this.I0 = 0;
                        this.f5421a = true;
                        throw new JSONException("read error");
                    }
                } catch (IOException unused) {
                    throw new JSONException("read error");
                }
            }
        }

        @Override // java.io.Closeable, com.alibaba.fastjson.JSONValidator, java.lang.AutoCloseable
        public void close() throws IOException {
            N0.set(this.P0);
            this.O0.close();
        }
    }

    static class b extends JSONValidator {
        private final String N0;

        public b(String str) {
            this.N0 = str;
            Z();
            m0();
        }

        /* access modifiers changed from: package-private */
        @Override // com.alibaba.fastjson.JSONValidator
        public void Z() {
            int i = this.f5422b + 1;
            this.f5422b = i;
            if (i >= this.N0.length()) {
                this.I0 = 0;
                this.f5421a = true;
                return;
            }
            this.I0 = this.N0.charAt(this.f5422b);
        }

        /* access modifiers changed from: protected */
        @Override // com.alibaba.fastjson.JSONValidator
        public final void c() {
            char charAt;
            int i = this.f5422b;
            do {
                i++;
                if (i >= this.N0.length() || (charAt = this.N0.charAt(i)) == '\\') {
                    Z();
                    while (true) {
                        char c2 = this.I0;
                        if (c2 == '\\') {
                            Z();
                            if (this.I0 == 'u') {
                                Z();
                                Z();
                                Z();
                                Z();
                                Z();
                            } else {
                                Z();
                            }
                        } else if (c2 == '\"') {
                            Z();
                            return;
                        } else {
                            Z();
                        }
                    }
                }
            } while (charAt != '\"');
            int i2 = i + 1;
            this.I0 = this.N0.charAt(i2);
            this.f5422b = i2;
        }
    }

    static class c extends JSONValidator {
        private static final ThreadLocal<byte[]> N0 = new ThreadLocal<>();
        private final InputStream O0;
        private byte[] P0;
        private int Q0 = -1;
        private int R0 = 0;

        public c(InputStream inputStream) {
            this.O0 = inputStream;
            ThreadLocal<byte[]> threadLocal = N0;
            byte[] bArr = threadLocal.get();
            this.P0 = bArr;
            if (bArr != null) {
                threadLocal.set(null);
            } else {
                this.P0 = new byte[8192];
            }
            Z();
            m0();
        }

        /* access modifiers changed from: package-private */
        @Override // com.alibaba.fastjson.JSONValidator
        public void Z() {
            int i = this.f5422b;
            if (i < this.Q0) {
                byte[] bArr = this.P0;
                int i2 = i + 1;
                this.f5422b = i2;
                this.I0 = (char) bArr[i2];
            } else if (!this.f5421a) {
                try {
                    InputStream inputStream = this.O0;
                    byte[] bArr2 = this.P0;
                    int read = inputStream.read(bArr2, 0, bArr2.length);
                    this.R0++;
                    if (read > 0) {
                        this.I0 = (char) this.P0[0];
                        this.f5422b = 0;
                        this.Q0 = read - 1;
                    } else if (read == -1) {
                        this.f5422b = 0;
                        this.Q0 = 0;
                        this.P0 = null;
                        this.I0 = 0;
                        this.f5421a = true;
                    } else {
                        this.f5422b = 0;
                        this.Q0 = 0;
                        this.P0 = null;
                        this.I0 = 0;
                        this.f5421a = true;
                        throw new JSONException("read error");
                    }
                } catch (IOException unused) {
                    throw new JSONException("read error");
                }
            }
        }

        @Override // java.io.Closeable, com.alibaba.fastjson.JSONValidator, java.lang.AutoCloseable
        public void close() throws IOException {
            N0.set(this.P0);
            this.O0.close();
        }
    }

    static class d extends JSONValidator {
        private final byte[] N0;

        public d(byte[] bArr) {
            this.N0 = bArr;
            Z();
            m0();
        }

        /* access modifiers changed from: package-private */
        @Override // com.alibaba.fastjson.JSONValidator
        public void Z() {
            int i = this.f5422b + 1;
            this.f5422b = i;
            byte[] bArr = this.N0;
            if (i >= bArr.length) {
                this.I0 = 0;
                this.f5421a = true;
                return;
            }
            this.I0 = (char) bArr[i];
        }
    }

    public static JSONValidator D(InputStream inputStream) {
        return new c(inputStream);
    }

    public static JSONValidator I(byte[] bArr) {
        return new d(bArr);
    }

    static final boolean P(char c2) {
        return c2 == ' ' || c2 == '\t' || c2 == '\r' || c2 == '\n' || c2 == '\f' || c2 == '\b';
    }

    /* JADX WARNING: Code restructure failed: missing block: B:118:0x0173, code lost:
        if (r0 <= '9') goto L_0x0176;
     */
    /* JADX WARNING: Removed duplicated region for block: B:124:0x0183  */
    private boolean a() {
        char c2;
        char c3;
        char c4;
        char c5;
        char c6 = this.I0;
        if (c6 != '\"') {
            if (!(c6 == '+' || c6 == '-')) {
                if (c6 == '[') {
                    Z();
                    m0();
                    if (this.I0 == ']') {
                        Z();
                        this.J0 = Type.Array;
                        return true;
                    }
                    while (a()) {
                        m0();
                        char c7 = this.I0;
                        if (c7 == ',') {
                            Z();
                            m0();
                        } else if (c7 != ']') {
                            return false;
                        } else {
                            Z();
                            this.J0 = Type.Array;
                            return true;
                        }
                    }
                    return false;
                } else if (c6 == 'f') {
                    Z();
                    if (this.I0 != 'a') {
                        return false;
                    }
                    Z();
                    if (this.I0 != 'l') {
                        return false;
                    }
                    Z();
                    if (this.I0 != 's') {
                        return false;
                    }
                    Z();
                    if (this.I0 != 'e') {
                        return false;
                    }
                    Z();
                    if (!P(this.I0) && (c3 = this.I0) != ',' && c3 != ']' && c3 != '}' && c3 != 0) {
                        return false;
                    }
                    this.J0 = Type.Value;
                    return true;
                } else if (c6 == 'n') {
                    Z();
                    if (this.I0 != 'u') {
                        return false;
                    }
                    Z();
                    if (this.I0 != 'l') {
                        return false;
                    }
                    Z();
                    if (this.I0 != 'l') {
                        return false;
                    }
                    Z();
                    if (!P(this.I0) && (c4 = this.I0) != ',' && c4 != ']' && c4 != '}' && c4 != 0) {
                        return false;
                    }
                    this.J0 = Type.Value;
                    return true;
                } else if (c6 == 't') {
                    Z();
                    if (this.I0 != 'r') {
                        return false;
                    }
                    Z();
                    if (this.I0 != 'u') {
                        return false;
                    }
                    Z();
                    if (this.I0 != 'e') {
                        return false;
                    }
                    Z();
                    if (!P(this.I0) && (c5 = this.I0) != ',' && c5 != ']' && c5 != '}' && c5 != 0) {
                        return false;
                    }
                    this.J0 = Type.Value;
                    return true;
                } else if (c6 != '{') {
                    switch (c6) {
                        case '0':
                        case '1':
                        case '2':
                        case '3':
                        case '4':
                        case '5':
                        case '6':
                        case '7':
                        case '8':
                        case '9':
                            break;
                        default:
                            return false;
                    }
                } else {
                    Z();
                    while (P(this.I0)) {
                        Z();
                    }
                    if (this.I0 == '}') {
                        Z();
                        this.J0 = Type.Object;
                        return true;
                    }
                    while (this.I0 == '\"') {
                        c();
                        m0();
                        if (this.I0 != ':') {
                            break;
                        }
                        Z();
                        m0();
                        if (!a()) {
                            return false;
                        }
                        m0();
                        char c8 = this.I0;
                        if (c8 == ',') {
                            Z();
                            m0();
                        } else if (c8 == '}') {
                            Z();
                            this.J0 = Type.Object;
                            return true;
                        }
                    }
                    return false;
                }
            }
            if (c6 == '-' || c6 == '+') {
                Z();
                m0();
                char c9 = this.I0;
                if (c9 >= '0') {
                }
                return false;
            }
            do {
                Z();
                c2 = this.I0;
                if (c2 >= '0') {
                }
                if (c2 == '.') {
                    Z();
                    char c10 = this.I0;
                    if (c10 < '0' || c10 > '9') {
                        return false;
                    }
                    while (true) {
                        char c11 = this.I0;
                        if (c11 >= '0' && c11 <= '9') {
                            Z();
                        }
                    }
                }
                char c12 = this.I0;
                if (c12 == 'e' || c12 == 'E') {
                    Z();
                    char c13 = this.I0;
                    if (c13 == '-' || c13 == '+') {
                        Z();
                    }
                    char c14 = this.I0;
                    if (c14 >= '0' && c14 <= '9') {
                        Z();
                        while (true) {
                            char c15 = this.I0;
                            if (c15 >= '0' && c15 <= '9') {
                                Z();
                            }
                        }
                    }
                    return false;
                }
                this.J0 = Type.Value;
                return true;
            } while (c2 <= '9');
            if (c2 == '.') {
            }
            char c122 = this.I0;
            Z();
            char c132 = this.I0;
            Z();
            char c142 = this.I0;
            Z();
            while (true) {
                char c152 = this.I0;
                Z();
            }
            this.J0 = Type.Value;
            return true;
        }
        Z();
        while (!this.f5421a) {
            char c16 = this.I0;
            if (c16 == '\\') {
                Z();
                if (this.I0 == 'u') {
                    Z();
                    Z();
                    Z();
                    Z();
                    Z();
                } else {
                    Z();
                }
            } else if (c16 == '\"') {
                Z();
                this.J0 = Type.Value;
                return true;
            } else {
                Z();
            }
        }
        return false;
    }

    public static JSONValidator d(Reader reader) {
        return new a(reader);
    }

    public static JSONValidator h(String str) {
        return new b(str);
    }

    public Type M() {
        if (this.J0 == null) {
            z0();
        }
        return this.J0;
    }

    public boolean O() {
        return this.M0;
    }

    /* access modifiers changed from: package-private */
    public abstract void Z();

    public JSONValidator b0(boolean z) {
        this.M0 = z;
        return this;
    }

    /* access modifiers changed from: protected */
    public void c() {
        Z();
        while (true) {
            char c2 = this.I0;
            if (c2 == '\\') {
                Z();
                if (this.I0 == 'u') {
                    Z();
                    Z();
                    Z();
                    Z();
                    Z();
                } else {
                    Z();
                }
            } else if (c2 == '\"') {
                Z();
                return;
            } else {
                Z();
            }
        }
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() throws IOException {
    }

    /* access modifiers changed from: package-private */
    public void m0() {
        while (P(this.I0)) {
            Z();
        }
    }

    /* access modifiers changed from: protected */
    public boolean w0() {
        Z();
        while (!this.f5421a) {
            char c2 = this.I0;
            if (c2 == '\\') {
                Z();
                if (this.I0 == 'u') {
                    Z();
                    Z();
                    Z();
                    Z();
                    Z();
                } else {
                    Z();
                }
            } else if (c2 == '\"') {
                Z();
                return true;
            } else {
                Z();
            }
        }
        return false;
    }

    public boolean z0() {
        Boolean bool = this.K0;
        if (bool != null) {
            return bool.booleanValue();
        }
        while (a()) {
            this.L0++;
            if (this.f5421a) {
                this.K0 = Boolean.TRUE;
                return true;
            } else if (this.M0) {
                m0();
                if (this.f5421a) {
                    this.K0 = Boolean.TRUE;
                    return true;
                }
            } else {
                this.K0 = Boolean.FALSE;
                return false;
            }
        }
        this.K0 = Boolean.FALSE;
        return false;
    }
}
