package com.alibaba.fastjson;

import com.alibaba.fastjson.parser.Feature;
import com.alibaba.fastjson.parser.b;
import com.alibaba.fastjson.parser.c;
import com.alibaba.fastjson.parser.i;
import com.alibaba.fastjson.parser.k.j;
import com.alibaba.fastjson.parser.k.k;
import com.alibaba.fastjson.parser.k.m;
import com.alibaba.fastjson.parser.k.v;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.alibaba.fastjson.serializer.d1;
import com.alibaba.fastjson.serializer.e1;
import com.alibaba.fastjson.serializer.g1;
import com.alibaba.fastjson.serializer.h0;
import com.alibaba.fastjson.serializer.j0;
import com.alibaba.fastjson.serializer.l0;
import com.alibaba.fastjson.serializer.v0;
import com.alibaba.fastjson.util.f;
import com.alibaba.fastjson.util.n;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.Writer;
import java.lang.reflect.Array;
import java.lang.reflect.Type;
import java.nio.ByteBuffer;
import java.nio.CharBuffer;
import java.nio.charset.Charset;
import java.nio.charset.CharsetDecoder;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Properties;
import java.util.TimeZone;
import java.util.TreeMap;
import java.util.concurrent.ConcurrentHashMap;

/* compiled from: JSON */
public abstract class a implements f, b {
    public static int DEFAULT_GENERATE_FEATURE = ((((0 | SerializerFeature.QuoteFieldNames.getMask()) | SerializerFeature.SkipTransientField.getMask()) | SerializerFeature.WriteEnumUsingName.getMask()) | SerializerFeature.SortField.getMask());
    public static int DEFAULT_PARSER_FEATURE = ((((((((Feature.AutoCloseSource.getMask() | 0) | Feature.InternFieldNames.getMask()) | Feature.UseBigDecimal.getMask()) | Feature.AllowUnQuotedFieldNames.getMask()) | Feature.AllowSingleQuotes.getMask()) | Feature.AllowArbitraryCommas.getMask()) | Feature.SortFeidFastMatch.getMask()) | Feature.IgnoreNotMatch.getMask());
    public static String DEFAULT_TYPE_KEY = "@type";
    public static String DEFFAULT_DATE_FORMAT = "yyyy-MM-dd HH:mm:ss";
    private static final ThreadLocal<byte[]> I0 = new ThreadLocal<>();
    private static final ThreadLocal<char[]> J0 = new ThreadLocal<>();
    public static final String VERSION = "1.2.75";

    /* renamed from: a  reason: collision with root package name */
    static final e1[] f5426a = new e1[0];

    /* renamed from: b  reason: collision with root package name */
    private static final ConcurrentHashMap<Type, Type> f5427b = new ConcurrentHashMap<>(16);
    public static Locale defaultLocale = Locale.getDefault();
    public static TimeZone defaultTimeZone = TimeZone.getDefault();

    static {
        e(f.f5795d);
    }

    public static void addMixInAnnotations(Type type, Type type2) {
        if (type != null && type2 != null) {
            f5427b.put(type, type2);
        }
    }

    private static byte[] b(int i) {
        ThreadLocal<byte[]> threadLocal = I0;
        byte[] bArr = threadLocal.get();
        if (bArr != null) {
            return bArr.length < i ? new byte[i] : bArr;
        }
        if (i > 65536) {
            return new byte[i];
        }
        byte[] bArr2 = new byte[65536];
        threadLocal.set(bArr2);
        return bArr2;
    }

    public static void clearMixInAnnotations() {
        f5427b.clear();
    }

    private static char[] d(int i) {
        ThreadLocal<char[]> threadLocal = J0;
        char[] cArr = threadLocal.get();
        if (cArr != null) {
            return cArr.length < i ? new char[i] : cArr;
        }
        if (i > 65536) {
            return new char[i];
        }
        char[] cArr2 = new char[65536];
        threadLocal.set(cArr2);
        return cArr2;
    }

    private static void e(Properties properties) {
        String property = properties.getProperty("fastjson.serializerFeatures.MapSortField");
        int mask = SerializerFeature.MapSortField.getMask();
        if ("true".equals(property)) {
            DEFAULT_GENERATE_FEATURE |= mask;
        } else if ("false".equals(property)) {
            DEFAULT_GENERATE_FEATURE &= ~mask;
        }
        if ("true".equals(properties.getProperty("parser.features.NonStringKeyAsString"))) {
            DEFAULT_PARSER_FEATURE |= Feature.NonStringKeyAsString.getMask();
        }
        if ("true".equals(properties.getProperty("parser.features.ErrorOnEnumNotMatch")) || "true".equals(properties.getProperty("fastjson.parser.features.ErrorOnEnumNotMatch"))) {
            DEFAULT_PARSER_FEATURE |= Feature.ErrorOnEnumNotMatch.getMask();
        }
        if ("false".equals(properties.getProperty("fastjson.asmEnable"))) {
            i.l.L(false);
            d1.f5703a.t(false);
        }
    }

    public static Type getMixInAnnotations(Type type) {
        if (type != null) {
            return f5427b.get(type);
        }
        return null;
    }

    public static <T> void handleResovleTask(b bVar, T t) {
        bVar.E0(t);
    }

    public static boolean isValid(String str) {
        boolean z = false;
        if (!(str == null || str.length() == 0)) {
            com.alibaba.fastjson.parser.f fVar = new com.alibaba.fastjson.parser.f(str);
            try {
                fVar.I();
                int Z0 = fVar.Z0();
                if (Z0 != 12) {
                    if (Z0 != 14) {
                        switch (Z0) {
                            default:
                                return false;
                            case 2:
                            case 3:
                            case 4:
                            case 5:
                            case 6:
                            case 7:
                            case 8:
                                fVar.I();
                                break;
                        }
                    } else {
                        fVar.l3(true);
                    }
                } else if (fVar.j1() == 26) {
                    fVar.close();
                    return false;
                } else {
                    fVar.X2(true);
                }
                if (fVar.Z0() == 20) {
                    z = true;
                }
                fVar.close();
                return z;
            } catch (Exception unused) {
            } finally {
                fVar.close();
            }
        }
        return false;
    }

    public static boolean isValidArray(String str) {
        boolean z = false;
        if (!(str == null || str.length() == 0)) {
            com.alibaba.fastjson.parser.f fVar = new com.alibaba.fastjson.parser.f(str);
            try {
                fVar.I();
                if (fVar.Z0() == 14) {
                    fVar.l3(true);
                    if (fVar.Z0() == 20) {
                        z = true;
                    }
                    return z;
                }
                fVar.close();
                return false;
            } catch (Exception unused) {
            } finally {
                fVar.close();
            }
        }
        return false;
    }

    public static boolean isValidObject(String str) {
        boolean z = false;
        if (!(str == null || str.length() == 0)) {
            com.alibaba.fastjson.parser.f fVar = new com.alibaba.fastjson.parser.f(str);
            try {
                fVar.I();
                if (fVar.Z0() != 12) {
                    fVar.close();
                    return false;
                } else if (fVar.j1() == 26) {
                    return false;
                } else {
                    fVar.X2(true);
                    if (fVar.Z0() == 20) {
                        z = true;
                    }
                    fVar.close();
                    return z;
                }
            } catch (Exception unused) {
            } finally {
                fVar.close();
            }
        }
        return false;
    }

    public static Object parse(String str) {
        return parse(str, DEFAULT_PARSER_FEATURE);
    }

    public static JSONArray parseArray(String str) {
        return parseArray(str, i.l);
    }

    public static JSONObject parseObject(String str, Feature... featureArr) {
        return (JSONObject) parse(str, featureArr);
    }

    public static void removeMixInAnnotations(Type type) {
        if (type != null) {
            f5427b.remove(type);
        }
    }

    public static void setDefaultTypeKey(String str) {
        DEFAULT_TYPE_KEY = str;
        i.l.u.b(str, 0, str.length(), str.hashCode(), true);
    }

    public static Object toJSON(Object obj) {
        return toJSON(obj, d1.f5703a);
    }

    public static byte[] toJSONBytes(Object obj, SerializerFeature... serializerFeatureArr) {
        return toJSONBytes(obj, DEFAULT_GENERATE_FEATURE, serializerFeatureArr);
    }

    public static byte[] toJSONBytesWithFastJsonConfig(Charset charset, Object obj, d1 d1Var, e1[] e1VarArr, String str, int i, SerializerFeature... serializerFeatureArr) {
        g1 g1Var = new g1(null, i, serializerFeatureArr);
        try {
            j0 j0Var = new j0(g1Var, d1Var);
            if (!(str == null || str.length() == 0)) {
                j0Var.T(str);
                j0Var.u(SerializerFeature.WriteDateUseDateFormat, true);
            }
            if (e1VarArr != null) {
                for (e1 e1Var : e1VarArr) {
                    j0Var.b(e1Var);
                }
            }
            j0Var.W(obj);
            return g1Var.m0(charset);
        } finally {
            g1Var.close();
        }
    }

    public static String toJSONString(Object obj) {
        return toJSONString(obj, f5426a, new SerializerFeature[0]);
    }

    public static String toJSONStringWithDateFormat(Object obj, String str, SerializerFeature... serializerFeatureArr) {
        return toJSONString(obj, d1.f5703a, null, str, DEFAULT_GENERATE_FEATURE, serializerFeatureArr);
    }

    public static String toJSONStringZ(Object obj, d1 d1Var, SerializerFeature... serializerFeatureArr) {
        return toJSONString(obj, d1Var, f5426a, null, 0, serializerFeatureArr);
    }

    public static <T> T toJavaObject(a aVar, Class<T> cls) {
        return (T) n.f(aVar, cls, i.y());
    }

    public static void writeJSONString(Writer writer, Object obj, SerializerFeature... serializerFeatureArr) {
        writeJSONString(writer, obj, DEFAULT_GENERATE_FEATURE, serializerFeatureArr);
    }

    public static void writeJSONStringTo(Object obj, Writer writer, SerializerFeature... serializerFeatureArr) {
        writeJSONString(writer, obj, serializerFeatureArr);
    }

    public static final int writeJSONStringWithFastJsonConfig(OutputStream outputStream, Charset charset, Object obj, d1 d1Var, e1[] e1VarArr, String str, int i, SerializerFeature... serializerFeatureArr) throws IOException {
        g1 g1Var = new g1(null, i, serializerFeatureArr);
        try {
            j0 j0Var = new j0(g1Var, d1Var);
            if (!(str == null || str.length() == 0)) {
                j0Var.T(str);
                j0Var.u(SerializerFeature.WriteDateUseDateFormat, true);
            }
            if (e1VarArr != null) {
                for (e1 e1Var : e1VarArr) {
                    j0Var.b(e1Var);
                }
            }
            j0Var.W(obj);
            return g1Var.i2(outputStream, charset);
        } finally {
            g1Var.close();
        }
    }

    public String toString() {
        return toJSONString();
    }

    public static Object parse(String str, i iVar) {
        return parse(str, iVar, DEFAULT_PARSER_FEATURE);
    }

    public static JSONArray parseArray(String str, i iVar) {
        JSONArray jSONArray = null;
        if (str == null) {
            return null;
        }
        b bVar = new b(str, iVar);
        c cVar = bVar.P0;
        if (cVar.Z0() == 8) {
            cVar.I();
        } else if (cVar.Z0() != 20) {
            jSONArray = new JSONArray();
            bVar.d1(jSONArray);
            bVar.E0(jSONArray);
        }
        bVar.close();
        return jSONArray;
    }

    public static JSONObject parseObject(String str) {
        Object parse = parse(str);
        if (parse instanceof JSONObject) {
            return (JSONObject) parse;
        }
        try {
            return (JSONObject) toJSON(parse);
        } catch (RuntimeException e2) {
            throw new JSONException("can not cast to JSONObject.", e2);
        }
    }

    public static Object toJSON(Object obj, i iVar) {
        return toJSON(obj, d1.f5703a);
    }

    public static byte[] toJSONBytes(Object obj, e1 e1Var, SerializerFeature... serializerFeatureArr) {
        return toJSONBytes(obj, d1.f5703a, new e1[]{e1Var}, DEFAULT_GENERATE_FEATURE, serializerFeatureArr);
    }

    public static String toJSONString(Object obj, SerializerFeature... serializerFeatureArr) {
        return toJSONString(obj, DEFAULT_GENERATE_FEATURE, serializerFeatureArr);
    }

    public static void writeJSONString(Writer writer, Object obj, int i, SerializerFeature... serializerFeatureArr) {
        g1 g1Var = new g1(writer, i, serializerFeatureArr);
        try {
            new j0(g1Var).W(obj);
        } finally {
            g1Var.close();
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.alibaba.fastjson.a */
    /* JADX WARN: Multi-variable type inference failed */
    public <T> T toJavaObject(Class<T> cls) {
        return (cls == JSONArray.class || cls == a.class || cls == Collection.class || cls == List.class) ? this : (T) n.f(this, cls, i.y());
    }

    public String toString(SerializerFeature... serializerFeatureArr) {
        g1 g1Var = new g1(null, DEFAULT_GENERATE_FEATURE, serializerFeatureArr);
        try {
            new j0(g1Var).W(this);
            return g1Var.toString();
        } finally {
            g1Var.close();
        }
    }

    public static Object parse(String str, i iVar, Feature... featureArr) {
        int i = DEFAULT_PARSER_FEATURE;
        for (Feature feature : featureArr) {
            i = Feature.config(i, feature, true);
        }
        return parse(str, iVar, i);
    }

    public static Object toJSON(Object obj, d1 d1Var) {
        Map map;
        if (obj == null) {
            return null;
        }
        if (obj instanceof a) {
            return obj;
        }
        if (obj instanceof Map) {
            Map map2 = (Map) obj;
            int size = map2.size();
            if (map2 instanceof LinkedHashMap) {
                map = new LinkedHashMap(size);
            } else if (map2 instanceof TreeMap) {
                map = new TreeMap();
            } else {
                map = new HashMap(size);
            }
            JSONObject jSONObject = new JSONObject(map);
            for (Map.Entry entry : map2.entrySet()) {
                jSONObject.put(n.A(entry.getKey()), toJSON(entry.getValue(), d1Var));
            }
            return jSONObject;
        } else if (obj instanceof Collection) {
            Collection<Object> collection = (Collection) obj;
            JSONArray jSONArray = new JSONArray(collection.size());
            for (Object obj2 : collection) {
                jSONArray.add(toJSON(obj2, d1Var));
            }
            return jSONArray;
        } else if (obj instanceof h0) {
            return parse(toJSONString(obj));
        } else {
            Class<?> cls = obj.getClass();
            if (cls.isEnum()) {
                return ((Enum) obj).name();
            }
            if (cls.isArray()) {
                int length = Array.getLength(obj);
                JSONArray jSONArray2 = new JSONArray(length);
                for (int i = 0; i < length; i++) {
                    jSONArray2.add(toJSON(Array.get(obj, i)));
                }
                return jSONArray2;
            } else if (i.F(cls)) {
                return obj;
            } else {
                v0 l = d1Var.l(cls);
                if (!(l instanceof l0)) {
                    return parse(toJSONString(obj, d1Var, new SerializerFeature[0]));
                }
                l0 l0Var = (l0) l;
                JSONObject jSONObject2 = new JSONObject();
                try {
                    for (Map.Entry<String, Object> entry2 : l0Var.C(obj).entrySet()) {
                        jSONObject2.put(entry2.getKey(), toJSON(entry2.getValue(), d1Var));
                    }
                    return jSONObject2;
                } catch (Exception e2) {
                    throw new JSONException("toJSON error", e2);
                }
            }
        }
    }

    public static byte[] toJSONBytes(Object obj, int i, SerializerFeature... serializerFeatureArr) {
        return toJSONBytes(obj, d1.f5703a, i, serializerFeatureArr);
    }

    public static String toJSONString(Object obj, int i, SerializerFeature... serializerFeatureArr) {
        g1 g1Var = new g1(null, i, serializerFeatureArr);
        try {
            new j0(g1Var).W(obj);
            return g1Var.toString();
        } finally {
            g1Var.close();
        }
    }

    public static byte[] toJSONBytes(Object obj, d1 d1Var, SerializerFeature... serializerFeatureArr) {
        return toJSONBytes(obj, d1Var, f5426a, DEFAULT_GENERATE_FEATURE, serializerFeatureArr);
    }

    public <T> T toJavaObject(Type type) {
        return (T) n.h(this, type, i.y());
    }

    public static byte[] toJSONBytes(Object obj, d1 d1Var, int i, SerializerFeature... serializerFeatureArr) {
        return toJSONBytes(obj, d1Var, f5426a, i, serializerFeatureArr);
    }

    public <T> T toJavaObject(i iVar) {
        return (T) n.h(this, iVar != null ? iVar.a() : null, i.y());
    }

    public static byte[] toJSONBytes(Object obj, e1[] e1VarArr, SerializerFeature... serializerFeatureArr) {
        return toJSONBytes(obj, d1.f5703a, e1VarArr, DEFAULT_GENERATE_FEATURE, serializerFeatureArr);
    }

    public static Object parse(String str, i iVar, int i) {
        if (str == null) {
            return null;
        }
        b bVar = new b(str, iVar, i);
        Object K0 = bVar.K0();
        bVar.E0(K0);
        bVar.close();
        return K0;
    }

    public static <T> T parseObject(String str, i<T> iVar, Feature... featureArr) {
        return (T) parseObject(str, iVar.f5482c, i.l, DEFAULT_PARSER_FEATURE, featureArr);
    }

    public static byte[] toJSONBytes(Object obj, d1 d1Var, e1 e1Var, SerializerFeature... serializerFeatureArr) {
        return toJSONBytes(obj, d1Var, new e1[]{e1Var}, DEFAULT_GENERATE_FEATURE, serializerFeatureArr);
    }

    public static final int writeJSONString(OutputStream outputStream, Object obj, SerializerFeature... serializerFeatureArr) throws IOException {
        return writeJSONString(outputStream, obj, DEFAULT_GENERATE_FEATURE, serializerFeatureArr);
    }

    public static <T> T parseObject(String str, Class<T> cls, Feature... featureArr) {
        return (T) parseObject(str, cls, i.l, (v) null, DEFAULT_PARSER_FEATURE, featureArr);
    }

    public static byte[] toJSONBytes(Object obj, d1 d1Var, e1[] e1VarArr, int i, SerializerFeature... serializerFeatureArr) {
        return toJSONBytes(obj, d1Var, e1VarArr, null, i, serializerFeatureArr);
    }

    public static final int writeJSONString(OutputStream outputStream, Object obj, int i, SerializerFeature... serializerFeatureArr) throws IOException {
        return writeJSONString(outputStream, f.f5796e, obj, d1.f5703a, null, null, i, serializerFeatureArr);
    }

    public static <T> T parseObject(String str, Class<T> cls, v vVar, Feature... featureArr) {
        return (T) parseObject(str, cls, i.l, vVar, DEFAULT_PARSER_FEATURE, featureArr);
    }

    public static byte[] toJSONBytes(Object obj, d1 d1Var, e1[] e1VarArr, String str, int i, SerializerFeature... serializerFeatureArr) {
        return toJSONBytes(f.f5796e, obj, d1Var, e1VarArr, str, i, serializerFeatureArr);
    }

    public static String toJSONString(Object obj, e1 e1Var, SerializerFeature... serializerFeatureArr) {
        return toJSONString(obj, d1.f5703a, new e1[]{e1Var}, null, DEFAULT_GENERATE_FEATURE, serializerFeatureArr);
    }

    public static final int writeJSONString(OutputStream outputStream, Charset charset, Object obj, SerializerFeature... serializerFeatureArr) throws IOException {
        return writeJSONString(outputStream, charset, obj, d1.f5703a, null, null, DEFAULT_GENERATE_FEATURE, serializerFeatureArr);
    }

    public static <T> T parseObject(String str, Type type, Feature... featureArr) {
        return (T) parseObject(str, type, i.l, DEFAULT_PARSER_FEATURE, featureArr);
    }

    public static byte[] toJSONBytes(Charset charset, Object obj, d1 d1Var, e1[] e1VarArr, String str, int i, SerializerFeature... serializerFeatureArr) {
        g1 g1Var = new g1(null, i, serializerFeatureArr);
        try {
            j0 j0Var = new j0(g1Var, d1Var);
            if (!(str == null || str.length() == 0)) {
                j0Var.R(str);
                j0Var.u(SerializerFeature.WriteDateUseDateFormat, true);
            }
            if (e1VarArr != null) {
                for (e1 e1Var : e1VarArr) {
                    j0Var.b(e1Var);
                }
            }
            j0Var.W(obj);
            return g1Var.m0(charset);
        } finally {
            g1Var.close();
        }
    }

    public static String toJSONString(Object obj, e1[] e1VarArr, SerializerFeature... serializerFeatureArr) {
        return toJSONString(obj, d1.f5703a, e1VarArr, null, DEFAULT_GENERATE_FEATURE, serializerFeatureArr);
    }

    public static final int writeJSONString(OutputStream outputStream, Charset charset, Object obj, d1 d1Var, e1[] e1VarArr, String str, int i, SerializerFeature... serializerFeatureArr) throws IOException {
        g1 g1Var = new g1(null, i, serializerFeatureArr);
        try {
            j0 j0Var = new j0(g1Var, d1Var);
            if (!(str == null || str.length() == 0)) {
                j0Var.R(str);
                j0Var.u(SerializerFeature.WriteDateUseDateFormat, true);
            }
            if (e1VarArr != null) {
                for (e1 e1Var : e1VarArr) {
                    j0Var.b(e1Var);
                }
            }
            j0Var.W(obj);
            return g1Var.i2(outputStream, charset);
        } finally {
            g1Var.close();
        }
    }

    public static Object parse(String str, int i) {
        return parse(str, i.y(), i);
    }

    public static <T> List<T> parseArray(String str, Class<T> cls) {
        return parseArray(str, cls, i.l);
    }

    public static <T> T parseObject(String str, Type type, v vVar, Feature... featureArr) {
        return (T) parseObject(str, type, i.l, vVar, DEFAULT_PARSER_FEATURE, featureArr);
    }

    public static String toJSONString(Object obj, d1 d1Var, SerializerFeature... serializerFeatureArr) {
        return toJSONString(obj, d1Var, (e1) null, serializerFeatureArr);
    }

    public static Object parse(byte[] bArr, Feature... featureArr) {
        char[] d2 = d(bArr.length);
        int f = f.f(bArr, 0, bArr.length, d2);
        if (f < 0) {
            return null;
        }
        return parse(new String(d2, 0, f), featureArr);
    }

    public static <T> List<T> parseArray(String str, Class<T> cls, i iVar) {
        ArrayList arrayList = null;
        if (str == null) {
            return null;
        }
        b bVar = new b(str, iVar);
        c cVar = bVar.P0;
        int Z0 = cVar.Z0();
        if (Z0 == 8) {
            cVar.I();
        } else if (Z0 != 20 || !cVar.k()) {
            arrayList = new ArrayList();
            bVar.Z0(cls, arrayList);
            bVar.E0(arrayList);
        }
        bVar.close();
        return arrayList;
    }

    public static <T> T parseObject(String str, Type type, int i, Feature... featureArr) {
        if (str == null) {
            return null;
        }
        for (Feature feature : featureArr) {
            i = Feature.config(i, feature, true);
        }
        b bVar = new b(str, i.y(), i);
        T t = (T) bVar.D1(type);
        bVar.E0(t);
        bVar.close();
        return t;
    }

    public static String toJSONString(Object obj, d1 d1Var, e1 e1Var, SerializerFeature... serializerFeatureArr) {
        return toJSONString(obj, d1Var, new e1[]{e1Var}, null, DEFAULT_GENERATE_FEATURE, serializerFeatureArr);
    }

    public static String toJSONString(Object obj, d1 d1Var, e1[] e1VarArr, SerializerFeature... serializerFeatureArr) {
        return toJSONString(obj, d1Var, e1VarArr, null, DEFAULT_GENERATE_FEATURE, serializerFeatureArr);
    }

    public static String toJSONString(Object obj, d1 d1Var, e1[] e1VarArr, String str, int i, SerializerFeature... serializerFeatureArr) {
        g1 g1Var = new g1(null, i, serializerFeatureArr);
        try {
            j0 j0Var = new j0(g1Var, d1Var);
            if (!(str == null || str.length() == 0)) {
                j0Var.R(str);
                j0Var.u(SerializerFeature.WriteDateUseDateFormat, true);
            }
            if (e1VarArr != null) {
                for (e1 e1Var : e1VarArr) {
                    j0Var.b(e1Var);
                }
            }
            j0Var.W(obj);
            return g1Var.toString();
        } finally {
            g1Var.close();
        }
    }

    public static Object parse(byte[] bArr, int i, int i2, CharsetDecoder charsetDecoder, Feature... featureArr) {
        if (bArr == null || bArr.length == 0) {
            return null;
        }
        int i3 = DEFAULT_PARSER_FEATURE;
        for (Feature feature : featureArr) {
            i3 = Feature.config(i3, feature, true);
        }
        return parse(bArr, i, i2, charsetDecoder, i3);
    }

    public static <T> T parseObject(String str, Type type, i iVar, Feature... featureArr) {
        return (T) parseObject(str, type, iVar, (v) null, DEFAULT_PARSER_FEATURE, featureArr);
    }

    public static <T> T parseObject(String str, Type type, i iVar, int i, Feature... featureArr) {
        return (T) parseObject(str, type, iVar, (v) null, i, featureArr);
    }

    public static Object parse(byte[] bArr, int i, int i2, CharsetDecoder charsetDecoder, int i3) {
        charsetDecoder.reset();
        char[] d2 = d((int) (((double) i2) * ((double) charsetDecoder.maxCharsPerByte())));
        ByteBuffer wrap = ByteBuffer.wrap(bArr, i, i2);
        CharBuffer wrap2 = CharBuffer.wrap(d2);
        f.b(charsetDecoder, wrap, wrap2);
        b bVar = new b(d2, wrap2.position(), i.y(), i3);
        Object K0 = bVar.K0();
        bVar.E0(K0);
        bVar.close();
        return K0;
    }

    public static <T> T parseObject(String str, Type type, i iVar, v vVar, int i, Feature... featureArr) {
        if (str == null || str.length() == 0) {
            return null;
        }
        if (featureArr != null) {
            for (Feature feature : featureArr) {
                i |= feature.mask;
            }
        }
        b bVar = new b(str, iVar, i);
        if (vVar != null) {
            if (vVar instanceof k) {
                bVar.P().add((k) vVar);
            }
            if (vVar instanceof j) {
                bVar.O().add((j) vVar);
            }
            if (vVar instanceof m) {
                bVar.c2((m) vVar);
            }
        }
        T t = (T) bVar.E1(type, null);
        bVar.E0(t);
        bVar.close();
        return t;
    }

    public static List<Object> parseArray(String str, Type[] typeArr) {
        return parseArray(str, typeArr, i.l);
    }

    @Override // com.alibaba.fastjson.f
    public void writeJSONString(Appendable appendable) {
        g1 g1Var = new g1();
        try {
            new j0(g1Var).W(this);
            appendable.append(g1Var.toString());
            g1Var.close();
        } catch (IOException e2) {
            throw new JSONException(e2.getMessage(), e2);
        } catch (Throwable th) {
            g1Var.close();
            throw th;
        }
    }

    public static List<Object> parseArray(String str, Type[] typeArr, i iVar) {
        List<Object> list = null;
        if (str == null) {
            return null;
        }
        b bVar = new b(str, iVar);
        Object[] j1 = bVar.j1(typeArr);
        if (j1 != null) {
            list = Arrays.asList(j1);
        }
        bVar.E0(list);
        bVar.close();
        return list;
    }

    public static String toJSONString(Object obj, boolean z) {
        if (!z) {
            return toJSONString(obj);
        }
        return toJSONString(obj, SerializerFeature.PrettyFormat);
    }

    @Override // com.alibaba.fastjson.b
    public String toJSONString() {
        g1 g1Var = new g1();
        try {
            new j0(g1Var).W(this);
            return g1Var.toString();
        } finally {
            g1Var.close();
        }
    }

    public static Object parse(String str, Feature... featureArr) {
        int i = DEFAULT_PARSER_FEATURE;
        for (Feature feature : featureArr) {
            i = Feature.config(i, feature, true);
        }
        return parse(str, i);
    }

    public static <T> T parseObject(byte[] bArr, Type type, Feature... featureArr) {
        return (T) parseObject(bArr, 0, bArr.length, f.f5796e, type, featureArr);
    }

    public static <T> T parseObject(byte[] bArr, int i, int i2, Charset charset, Type type, Feature... featureArr) {
        return (T) parseObject(bArr, i, i2, charset, type, i.l, null, DEFAULT_PARSER_FEATURE, featureArr);
    }

    public static <T> T parseObject(byte[] bArr, Charset charset, Type type, i iVar, v vVar, int i, Feature... featureArr) {
        return (T) parseObject(bArr, 0, bArr.length, charset, type, iVar, vVar, i, featureArr);
    }

    public static <T> T parseObject(byte[] bArr, int i, int i2, Charset charset, Type type, i iVar, v vVar, int i3, Feature... featureArr) {
        String str;
        if (charset == null) {
            charset = f.f5796e;
        }
        if (charset == f.f5796e) {
            char[] d2 = d(bArr.length);
            int f = f.f(bArr, i, i2, d2);
            if (f < 0) {
                return null;
            }
            str = new String(d2, 0, f);
        } else if (i2 < 0) {
            return null;
        } else {
            str = new String(bArr, i, i2, charset);
        }
        return (T) parseObject(str, type, iVar, vVar, i3, featureArr);
    }

    public static <T> T parseObject(byte[] bArr, int i, int i2, CharsetDecoder charsetDecoder, Type type, Feature... featureArr) {
        charsetDecoder.reset();
        char[] d2 = d((int) (((double) i2) * ((double) charsetDecoder.maxCharsPerByte())));
        ByteBuffer wrap = ByteBuffer.wrap(bArr, i, i2);
        CharBuffer wrap2 = CharBuffer.wrap(d2);
        f.b(charsetDecoder, wrap, wrap2);
        return (T) parseObject(d2, wrap2.position(), type, featureArr);
    }

    public static <T> T parseObject(char[] cArr, int i, Type type, Feature... featureArr) {
        if (cArr == null || cArr.length == 0) {
            return null;
        }
        int i2 = DEFAULT_PARSER_FEATURE;
        for (Feature feature : featureArr) {
            i2 = Feature.config(i2, feature, true);
        }
        b bVar = new b(cArr, i, i.y(), i2);
        T t = (T) bVar.D1(type);
        bVar.E0(t);
        bVar.close();
        return t;
    }

    public static <T> T parseObject(InputStream inputStream, Type type, Feature... featureArr) throws IOException {
        return (T) parseObject(inputStream, f.f5796e, type, featureArr);
    }

    public static <T> T parseObject(InputStream inputStream, Charset charset, Type type, Feature... featureArr) throws IOException {
        return (T) parseObject(inputStream, charset, type, i.l, featureArr);
    }

    public static <T> T parseObject(InputStream inputStream, Charset charset, Type type, i iVar, Feature... featureArr) throws IOException {
        return (T) parseObject(inputStream, charset, type, iVar, (v) null, DEFAULT_PARSER_FEATURE, featureArr);
    }

    public static <T> T parseObject(InputStream inputStream, Charset charset, Type type, i iVar, v vVar, int i, Feature... featureArr) throws IOException {
        if (charset == null) {
            charset = f.f5796e;
        }
        byte[] b2 = b(65536);
        int i2 = 0;
        while (true) {
            int read = inputStream.read(b2, i2, b2.length - i2);
            if (read == -1) {
                return (T) parseObject(b2, 0, i2, charset, type, iVar, vVar, i, featureArr);
            }
            i2 += read;
            if (i2 == b2.length) {
                byte[] bArr = new byte[((b2.length * 3) / 2)];
                System.arraycopy(b2, 0, bArr, 0, b2.length);
                b2 = bArr;
            }
        }
    }

    public static <T> T parseObject(String str, Class<T> cls) {
        return (T) parseObject(str, (Class) cls, new Feature[0]);
    }
}
