package com.alibaba.fastjson.l.d;

import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.l.a.a;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.alibaba.fastjson.serializer.e1;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.Reader;
import java.io.Writer;
import java.lang.annotation.Annotation;
import java.lang.reflect.Type;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.Arrays;
import javax.ws.rs.Consumes;
import javax.ws.rs.Produces;
import javax.ws.rs.WebApplicationException;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.MultivaluedMap;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.StreamingOutput;
import javax.ws.rs.ext.ContextResolver;
import javax.ws.rs.ext.MessageBodyReader;
import javax.ws.rs.ext.MessageBodyWriter;
import javax.ws.rs.ext.Provider;
import javax.ws.rs.ext.Providers;

@Consumes({"*/*"})
@Produces({"*/*"})
@Provider
/* compiled from: FastJsonProvider */
public class c implements MessageBodyReader<Object>, MessageBodyWriter<Object> {

    /* renamed from: a  reason: collision with root package name */
    public static final Class<?>[] f5560a = {InputStream.class, Reader.class};

    /* renamed from: b  reason: collision with root package name */
    public static final Class<?>[] f5561b = {InputStream.class, OutputStream.class, Writer.class, StreamingOutput.class, Response.class};
    @Deprecated

    /* renamed from: c  reason: collision with root package name */
    protected Charset f5562c;
    @Deprecated

    /* renamed from: d  reason: collision with root package name */
    protected SerializerFeature[] f5563d;
    @Deprecated

    /* renamed from: e  reason: collision with root package name */
    protected e1[] f5564e;
    @Deprecated
    protected String f;
    @Context
    protected Providers g;
    private a h;
    private Class<?>[] i;
    private boolean j;

    public c() {
        this.f5562c = Charset.forName("UTF-8");
        this.f5563d = new SerializerFeature[0];
        this.f5564e = new e1[0];
        this.h = new a();
        this.i = null;
    }

    @Deprecated
    public Charset a() {
        return this.h.a();
    }

    @Deprecated
    public String b() {
        return this.h.c();
    }

    public a c() {
        return this.h;
    }

    @Deprecated
    public SerializerFeature[] d() {
        return this.h.i();
    }

    @Deprecated
    public e1[] e() {
        return this.h.h();
    }

    public long f(Object obj, Class<?> cls, Type type, Annotation[] annotationArr, MediaType mediaType) {
        return -1;
    }

    /* access modifiers changed from: protected */
    public boolean g(MediaType mediaType) {
        if (mediaType == null) {
            return true;
        }
        String subtype = mediaType.getSubtype();
        if ("json".equalsIgnoreCase(subtype) || subtype.endsWith("+json") || "javascript".equals(subtype) || "x-javascript".equals(subtype) || "x-json".equals(subtype) || "x-www-form-urlencoded".equalsIgnoreCase(subtype) || subtype.endsWith("x-www-form-urlencoded")) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public boolean h(Class<?> cls, Class<?>[] clsArr) {
        if (cls == null) {
            return false;
        }
        for (Class<?> cls2 : clsArr) {
            if (cls2.isAssignableFrom(cls)) {
                return false;
            }
        }
        return true;
    }

    public boolean i(Class<?> cls, Type type, Annotation[] annotationArr, MediaType mediaType) {
        if (g(mediaType) && h(cls, f5560a)) {
            return j(cls, annotationArr);
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public boolean j(Class<?> cls, Annotation[] annotationArr) {
        if (cls == null) {
            return false;
        }
        Class<?>[] clsArr = this.i;
        if (clsArr == null) {
            return true;
        }
        for (Class<?> cls2 : clsArr) {
            if (cls2 == cls) {
                return true;
            }
        }
        return false;
    }

    public boolean k(Class<?> cls, Type type, Annotation[] annotationArr, MediaType mediaType) {
        if (g(mediaType) && h(cls, f5561b)) {
            return j(cls, annotationArr);
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public a l(Class<?> cls, MediaType mediaType) {
        Providers providers = this.g;
        if (providers != null) {
            ContextResolver contextResolver = providers.getContextResolver(a.class, mediaType);
            if (contextResolver == null) {
                contextResolver = this.g.getContextResolver(a.class, (MediaType) null);
            }
            if (contextResolver != null) {
                return (a) contextResolver.getContext(cls);
            }
        }
        return this.h;
    }

    public Object m(Class<Object> cls, Type type, Annotation[] annotationArr, MediaType mediaType, MultivaluedMap<String, String> multivaluedMap, InputStream inputStream) throws IOException, WebApplicationException {
        try {
            a l = l(cls, mediaType);
            return com.alibaba.fastjson.a.parseObject(inputStream, l.a(), type, l.f(), l.e(), com.alibaba.fastjson.a.DEFAULT_PARSER_FEATURE, l.d());
        } catch (JSONException e2) {
            throw new WebApplicationException(e2);
        }
    }

    @Deprecated
    public void n(Charset charset) {
        this.h.k(charset);
    }

    @Deprecated
    public void o(String str) {
        this.h.m(str);
    }

    public void p(a aVar) {
        this.h = aVar;
    }

    @Deprecated
    public void q(SerializerFeature... serializerFeatureArr) {
        this.h.s(serializerFeatureArr);
    }

    @Deprecated
    public void r(e1... e1VarArr) {
        this.h.r(e1VarArr);
    }

    public c s(boolean z) {
        this.j = z;
        return this;
    }

    public void t(Object obj, Class<?> cls, Type type, Annotation[] annotationArr, MediaType mediaType, MultivaluedMap<String, Object> multivaluedMap, OutputStream outputStream) throws IOException, WebApplicationException {
        SerializerFeature[] serializerFeatureArr;
        a l = l(cls, mediaType);
        SerializerFeature[] i2 = l.i();
        if (this.j) {
            if (i2 == null) {
                serializerFeatureArr = new SerializerFeature[]{SerializerFeature.PrettyFormat};
            } else {
                ArrayList arrayList = new ArrayList(Arrays.asList(i2));
                arrayList.add(SerializerFeature.PrettyFormat);
                serializerFeatureArr = (SerializerFeature[]) arrayList.toArray(i2);
            }
            l.s(serializerFeatureArr);
        }
        try {
            com.alibaba.fastjson.a.writeJSONStringWithFastJsonConfig(outputStream, l.a(), obj, l.g(), l.h(), l.c(), com.alibaba.fastjson.a.DEFAULT_GENERATE_FEATURE, l.i());
            outputStream.flush();
        } catch (JSONException e2) {
            throw new WebApplicationException(e2);
        }
    }

    public c(Class<?>[] clsArr) {
        this.f5562c = Charset.forName("UTF-8");
        this.f5563d = new SerializerFeature[0];
        this.f5564e = new e1[0];
        this.h = new a();
        this.i = null;
        this.i = clsArr;
    }

    @Deprecated
    public c(String str) {
        this.f5562c = Charset.forName("UTF-8");
        this.f5563d = new SerializerFeature[0];
        this.f5564e = new e1[0];
        a aVar = new a();
        this.h = aVar;
        this.i = null;
        aVar.k(Charset.forName(str));
    }
}
