package com.alibaba.fastjson.l.g;

import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.alibaba.fastjson.serializer.e1;
import com.google.android.exoplayer2.util.n;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.lang.reflect.TypeVariable;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.Arrays;
import org.springframework.core.ResolvableType;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpInputMessage;
import org.springframework.http.HttpOutputMessage;
import org.springframework.http.MediaType;
import org.springframework.http.converter.AbstractHttpMessageConverter;
import org.springframework.http.converter.GenericHttpMessageConverter;
import org.springframework.http.converter.HttpMessageNotReadableException;
import org.springframework.http.converter.HttpMessageNotWritableException;
import org.springframework.util.StringUtils;

/* compiled from: FastJsonHttpMessageConverter */
public class b extends AbstractHttpMessageConverter<Object> implements GenericHttpMessageConverter<Object> {

    /* renamed from: a  reason: collision with root package name */
    public static final MediaType f5576a = new MediaType(n.f9605d, "javascript");
    @Deprecated

    /* renamed from: b  reason: collision with root package name */
    protected SerializerFeature[] f5577b = new SerializerFeature[0];
    @Deprecated

    /* renamed from: c  reason: collision with root package name */
    protected e1[] f5578c = new e1[0];
    @Deprecated

    /* renamed from: d  reason: collision with root package name */
    protected String f5579d;

    /* renamed from: e  reason: collision with root package name */
    private com.alibaba.fastjson.l.a.a f5580e = new com.alibaba.fastjson.l.a.a();

    /* access modifiers changed from: private */
    /* compiled from: FastJsonHttpMessageConverter */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        private static boolean f5581a;

        static {
            try {
                Class.forName("org.springframework.core.ResolvableType");
                f5581a = true;
            } catch (ClassNotFoundException unused) {
                f5581a = false;
            }
        }

        private a() {
        }

        /* access modifiers changed from: private */
        public static Type c(Type type, Class<?> cls) {
            if (cls == null) {
                return type;
            }
            ResolvableType forType = ResolvableType.forType(type);
            if (type instanceof TypeVariable) {
                ResolvableType e2 = e((TypeVariable) type, ResolvableType.forClass(cls));
                if (e2 != ResolvableType.NONE) {
                    return e2.resolve();
                }
                return type;
            } else if (!(type instanceof ParameterizedType) || !forType.hasUnresolvableGenerics()) {
                return type;
            } else {
                ParameterizedType parameterizedType = (ParameterizedType) type;
                Class[] clsArr = new Class[parameterizedType.getActualTypeArguments().length];
                Type[] actualTypeArguments = parameterizedType.getActualTypeArguments();
                for (int i = 0; i < actualTypeArguments.length; i++) {
                    Type type2 = actualTypeArguments[i];
                    if (type2 instanceof TypeVariable) {
                        ResolvableType e3 = e((TypeVariable) type2, ResolvableType.forClass(cls));
                        if (e3 != ResolvableType.NONE) {
                            clsArr[i] = e3.resolve();
                        } else {
                            clsArr[i] = ResolvableType.forType(type2).resolve();
                        }
                    } else {
                        clsArr[i] = ResolvableType.forType(type2).resolve();
                    }
                }
                return ResolvableType.forClassWithGenerics(forType.getRawClass(), clsArr).getType();
            }
        }

        /* access modifiers changed from: private */
        public static boolean d() {
            return f5581a;
        }

        private static ResolvableType e(TypeVariable<?> typeVariable, ResolvableType resolvableType) {
            if (resolvableType.hasGenerics()) {
                ResolvableType forType = ResolvableType.forType(typeVariable, resolvableType);
                if (forType.resolve() != null) {
                    return forType;
                }
            }
            ResolvableType superType = resolvableType.getSuperType();
            if (superType != ResolvableType.NONE) {
                ResolvableType e2 = e(typeVariable, superType);
                if (e2.resolve() != null) {
                    return e2;
                }
            }
            for (ResolvableType resolvableType2 : resolvableType.getInterfaces()) {
                ResolvableType e3 = e(typeVariable, resolvableType2);
                if (e3.resolve() != null) {
                    return e3;
                }
            }
            return ResolvableType.NONE;
        }
    }

    public b() {
        super(MediaType.ALL);
    }

    private Object l(Type type, HttpInputMessage httpInputMessage) {
        try {
            return com.alibaba.fastjson.a.parseObject(httpInputMessage.getBody(), this.f5580e.a(), type, this.f5580e.f(), this.f5580e.e(), com.alibaba.fastjson.a.DEFAULT_PARSER_FEATURE, this.f5580e.d());
        } catch (JSONException e2) {
            throw new HttpMessageNotReadableException("JSON parse error: " + e2.getMessage(), e2);
        } catch (IOException e3) {
            throw new HttpMessageNotReadableException("I/O error while reading input message", e3);
        }
    }

    private Object r(Object obj) {
        return (obj == null || !"com.fasterxml.jackson.databind.node.ObjectNode".equals(obj.getClass().getName())) ? obj : obj.toString();
    }

    @Deprecated
    public void a(e1 e1Var) {
        if (e1Var != null) {
            int length = this.f5580e.h().length;
            int i = length + 1;
            e1[] e1VarArr = new e1[i];
            System.arraycopy(this.f5580e.h(), 0, e1VarArr, 0, length);
            e1VarArr[i - 1] = e1Var;
            this.f5580e.r(e1VarArr);
        }
    }

    public boolean b(Type type, Class<?> cls, MediaType mediaType) {
        return b.super.canRead(cls, mediaType);
    }

    public boolean c(Type type, Class<?> cls, MediaType mediaType) {
        return b.super.canWrite(cls, mediaType);
    }

    @Deprecated
    public Charset d() {
        return this.f5580e.a();
    }

    @Deprecated
    public String e() {
        return this.f5580e.c();
    }

    public com.alibaba.fastjson.l.a.a f() {
        return this.f5580e;
    }

    @Deprecated
    public SerializerFeature[] g() {
        return this.f5580e.i();
    }

    @Deprecated
    public e1[] h() {
        return this.f5580e.h();
    }

    /* access modifiers changed from: protected */
    public Type i(Type type, Class<?> cls) {
        return a.d() ? a.c(type, cls) : type;
    }

    public Object j(Type type, Class<?> cls, HttpInputMessage httpInputMessage) throws IOException, HttpMessageNotReadableException {
        return l(i(type, cls), httpInputMessage);
    }

    /* access modifiers changed from: protected */
    public Object k(Class<?> cls, HttpInputMessage httpInputMessage) throws IOException, HttpMessageNotReadableException {
        return l(i(cls, null), httpInputMessage);
    }

    @Deprecated
    public void m(Charset charset) {
        this.f5580e.k(charset);
    }

    @Deprecated
    public void n(String str) {
        this.f5580e.m(str);
    }

    public void o(com.alibaba.fastjson.l.a.a aVar) {
        this.f5580e = aVar;
    }

    @Deprecated
    public void p(SerializerFeature... serializerFeatureArr) {
        this.f5580e.s(serializerFeatureArr);
    }

    @Deprecated
    public void q(e1... e1VarArr) {
        this.f5580e.r(e1VarArr);
    }

    /* access modifiers changed from: protected */
    public boolean s(Class<?> cls) {
        return true;
    }

    public void t(Object obj, Type type, MediaType mediaType, HttpOutputMessage httpOutputMessage) throws IOException, HttpMessageNotWritableException {
        b.super.write(obj, mediaType, httpOutputMessage);
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0049, code lost:
        if ((r12 instanceof com.alibaba.fastjson.c) != false) goto L_0x004b;
     */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0082 A[Catch:{ JSONException -> 0x00a0, all -> 0x009e }] */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x008f A[Catch:{ JSONException -> 0x00a0, all -> 0x009e }] */
    public void u(Object obj, HttpOutputMessage httpOutputMessage) throws IOException, HttpMessageNotWritableException {
        boolean z;
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        try {
            HttpHeaders headers = httpOutputMessage.getHeaders();
            ArrayList arrayList = new ArrayList(Arrays.asList(this.f5580e.h()));
            Object r = r(obj);
            if (r instanceof a) {
                a aVar = (a) r;
                arrayList.addAll(aVar.a().d());
                r = aVar.b();
            }
            if (r instanceof l) {
                if (!StringUtils.isEmpty(((l) r).b())) {
                }
                z = false;
                int writeJSONStringWithFastJsonConfig = com.alibaba.fastjson.a.writeJSONStringWithFastJsonConfig(byteArrayOutputStream, this.f5580e.a(), r, this.f5580e.g(), (e1[]) arrayList.toArray(new e1[arrayList.size()]), this.f5580e.c(), com.alibaba.fastjson.a.DEFAULT_GENERATE_FEATURE, this.f5580e.i());
                if (z) {
                    headers.setContentType(f5576a);
                }
                if (this.f5580e.j()) {
                    headers.setContentLength((long) writeJSONStringWithFastJsonConfig);
                }
                byteArrayOutputStream.writeTo(httpOutputMessage.getBody());
                byteArrayOutputStream.close();
            }
            z = true;
            int writeJSONStringWithFastJsonConfig2 = com.alibaba.fastjson.a.writeJSONStringWithFastJsonConfig(byteArrayOutputStream, this.f5580e.a(), r, this.f5580e.g(), (e1[]) arrayList.toArray(new e1[arrayList.size()]), this.f5580e.c(), com.alibaba.fastjson.a.DEFAULT_GENERATE_FEATURE, this.f5580e.i());
            if (z) {
            }
            if (this.f5580e.j()) {
            }
            byteArrayOutputStream.writeTo(httpOutputMessage.getBody());
            byteArrayOutputStream.close();
        } catch (JSONException e2) {
            throw new HttpMessageNotWritableException("Could not write JSON: " + e2.getMessage(), e2);
        } catch (Throwable th) {
            byteArrayOutputStream.close();
            throw th;
        }
    }
}
