package com.alibaba.fastjson.l.g;

import com.alibaba.fastjson.c;
import com.alibaba.fastjson.l.a.a;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.alibaba.fastjson.serializer.e1;
import com.alibaba.fastjson.util.f;
import com.lzy.okgo.model.HttpHeaders;
import java.io.ByteArrayOutputStream;
import java.nio.charset.Charset;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import java.util.regex.Pattern;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.util.Assert;
import org.springframework.util.CollectionUtils;
import org.springframework.validation.BindingResult;
import org.springframework.web.servlet.view.AbstractView;

/* compiled from: FastJsonJsonView */
public class d extends AbstractView {

    /* renamed from: a  reason: collision with root package name */
    public static final String f5582a = "application/json;charset=UTF-8";

    /* renamed from: b  reason: collision with root package name */
    public static final String f5583b = "application/javascript";

    /* renamed from: c  reason: collision with root package name */
    private static final Pattern f5584c = Pattern.compile("[0-9A-Za-z_\\.]*");
    @Deprecated

    /* renamed from: d  reason: collision with root package name */
    protected Charset f5585d = Charset.forName("UTF-8");
    @Deprecated

    /* renamed from: e  reason: collision with root package name */
    protected SerializerFeature[] f5586e = new SerializerFeature[0];
    @Deprecated
    protected e1[] f = new e1[0];
    @Deprecated
    protected String g;
    private Set<String> h;
    private boolean i = true;
    private boolean j = true;
    private boolean k = false;
    private a l = new a();
    private String[] m = {"jsonp", "callback"};

    public d() {
        setContentType(f5582a);
        setExposePathVariables(false);
    }

    private String g(HttpServletRequest httpServletRequest) {
        String[] strArr = this.m;
        if (strArr == null) {
            return null;
        }
        for (String str : strArr) {
            String parameter = httpServletRequest.getParameter(str);
            if (f.n(parameter)) {
                return parameter;
            }
            if (this.logger.isDebugEnabled()) {
                this.logger.debug("Ignoring invalid jsonp parameter value: " + parameter);
            }
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public Object a(Map<String, Object> map) {
        Set<String> set;
        HashMap hashMap = new HashMap(map.size());
        if (!CollectionUtils.isEmpty(this.h)) {
            set = this.h;
        } else {
            set = map.keySet();
        }
        for (Map.Entry<String, Object> entry : map.entrySet()) {
            if (!(entry.getValue() instanceof BindingResult) && set.contains(entry.getKey())) {
                hashMap.put(entry.getKey(), entry.getValue());
            }
        }
        if (this.k && hashMap.size() == 1) {
            Iterator it = hashMap.entrySet().iterator();
            if (it.hasNext()) {
                return ((Map.Entry) it.next()).getValue();
            }
        }
        return hashMap;
    }

    @Deprecated
    public Charset b() {
        return this.l.a();
    }

    @Deprecated
    public String c() {
        return this.l.c();
    }

    public a d() {
        return this.l;
    }

    @Deprecated
    public SerializerFeature[] e() {
        return this.l.i();
    }

    @Deprecated
    public e1[] f() {
        return this.l.h();
    }

    public boolean h() {
        return this.k;
    }

    /* access modifiers changed from: protected */
    public void i(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse) {
        t(httpServletRequest, httpServletResponse);
        httpServletResponse.setCharacterEncoding(this.l.a().name());
        if (this.i) {
            httpServletResponse.addHeader(HttpHeaders.HEAD_KEY_PRAGMA, "no-cache");
            httpServletResponse.addHeader(HttpHeaders.HEAD_KEY_CACHE_CONTROL, "no-cache, no-store, max-age=0");
            httpServletResponse.addDateHeader(HttpHeaders.HEAD_KEY_EXPIRES, 1);
        }
    }

    /* access modifiers changed from: protected */
    public void j(Map<String, Object> map, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse) throws Exception {
        c cVar;
        Object a2 = a(map);
        String g2 = g(httpServletRequest);
        if (g2 != null) {
            c cVar2 = new c(g2);
            cVar2.b(a2);
            cVar = cVar2;
        } else {
            cVar = a2;
        }
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        int writeJSONStringWithFastJsonConfig = com.alibaba.fastjson.a.writeJSONStringWithFastJsonConfig(byteArrayOutputStream, this.l.a(), cVar, this.l.g(), this.l.h(), this.l.c(), com.alibaba.fastjson.a.DEFAULT_GENERATE_FEATURE, this.l.i());
        if (this.j) {
            httpServletResponse.setContentLength(writeJSONStringWithFastJsonConfig);
        }
        ServletOutputStream outputStream = httpServletResponse.getOutputStream();
        byteArrayOutputStream.writeTo(outputStream);
        byteArrayOutputStream.close();
        outputStream.flush();
    }

    @Deprecated
    public void k(Charset charset) {
        this.l.k(charset);
    }

    @Deprecated
    public void l(String str) {
        this.l.m(str);
    }

    public void m(boolean z) {
        this.i = z;
    }

    public void n(boolean z) {
        this.k = z;
    }

    public void o(a aVar) {
        this.l = aVar;
    }

    @Deprecated
    public void p(SerializerFeature... serializerFeatureArr) {
        this.l.s(serializerFeatureArr);
    }

    @Deprecated
    public void q(e1... e1VarArr) {
        this.l.r(e1VarArr);
    }

    public void r(Set<String> set) {
        Assert.notEmpty(set, "jsonpParameterName cannot be empty");
        this.m = (String[]) set.toArray(new String[set.size()]);
    }

    public void s(Set<String> set) {
        this.h = set;
    }

    /* access modifiers changed from: protected */
    public void t(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse) {
        if (g(httpServletRequest) != null) {
            httpServletResponse.setContentType(f5583b);
        } else {
            d.super.setResponseContentType(httpServletRequest, httpServletResponse);
        }
    }

    @Deprecated
    public void u(SerializerFeature... serializerFeatureArr) {
        this.l.s(serializerFeatureArr);
    }

    public void v(boolean z) {
        this.j = z;
    }
}
