package com.alibaba.fastjson.parser;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.JSONPathException;
import com.alibaba.fastjson.parser.k.b0;
import com.alibaba.fastjson.parser.k.i;
import com.alibaba.fastjson.parser.k.j;
import com.alibaba.fastjson.parser.k.k;
import com.alibaba.fastjson.parser.k.l;
import com.alibaba.fastjson.parser.k.m;
import com.alibaba.fastjson.parser.k.o;
import com.alibaba.fastjson.parser.k.r;
import com.alibaba.fastjson.parser.k.t;
import com.alibaba.fastjson.parser.k.w;
import com.alibaba.fastjson.parser.k.y;
import com.alibaba.fastjson.serializer.d0;
import com.alibaba.fastjson.serializer.j1;
import com.alibaba.fastjson.serializer.q0;
import com.alibaba.fastjson.util.d;
import com.alibaba.fastjson.util.n;
import com.ibm.icu.impl.z0;
import java.io.Closeable;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.lang.reflect.TypeVariable;
import java.lang.reflect.WildcardType;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.TreeSet;
import kotlin.text.Typography;

/* compiled from: DefaultJSONParser */
public class b implements Closeable {
    public static final int I0 = 1;
    public static final int J0 = 2;

    /* renamed from: a  reason: collision with root package name */
    private static final Set<Class<?>> f5603a;

    /* renamed from: b  reason: collision with root package name */
    public static final int f5604b = 0;
    public final Object K0;
    public final j L0;
    protected i M0;
    private String N0;
    private DateFormat O0;
    public final c P0;
    protected h Q0;
    private h[] R0;
    private int S0;
    private List<a> T0;
    public int U0;
    private List<k> V0;
    private List<j> W0;
    protected m X0;
    private int Y0;
    private boolean Z0;
    private String[] a1;
    protected transient com.alibaba.fastjson.serializer.j b1;

    /* compiled from: DefaultJSONParser */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        public final h f5605a;

        /* renamed from: b  reason: collision with root package name */
        public final String f5606b;

        /* renamed from: c  reason: collision with root package name */
        public l f5607c;

        /* renamed from: d  reason: collision with root package name */
        public h f5608d;

        public a(h hVar, String str) {
            this.f5605a = hVar;
            this.f5606b = str;
        }
    }

    static {
        HashSet hashSet = new HashSet();
        f5603a = hashSet;
        hashSet.addAll(Arrays.asList(Boolean.TYPE, Byte.TYPE, Short.TYPE, Integer.TYPE, Long.TYPE, Float.TYPE, Double.TYPE, Boolean.class, Byte.class, Short.class, Integer.class, Long.class, Float.class, Double.class, BigInteger.class, BigDecimal.class, String.class));
    }

    public b(String str) {
        this(str, i.y(), com.alibaba.fastjson.a.DEFAULT_PARSER_FEATURE);
    }

    private void h(h hVar) {
        int i = this.S0;
        this.S0 = i + 1;
        h[] hVarArr = this.R0;
        if (hVarArr == null) {
            this.R0 = new h[8];
        } else if (i >= hVarArr.length) {
            h[] hVarArr2 = new h[((hVarArr.length * 3) / 2)];
            System.arraycopy(hVarArr, 0, hVarArr2, 0, hVarArr.length);
            this.R0 = hVarArr2;
        }
        this.R0[i] = hVar;
    }

    public <T> T C1(Class<T> cls) {
        return (T) E1(cls, null);
    }

    public h D() {
        return this.Q0;
    }

    public <T> T D1(Type type) {
        return (T) E1(type, null);
    }

    public void E0(Object obj) {
        Object obj2;
        d dVar;
        List<a> list = this.T0;
        if (list != null) {
            int size = list.size();
            for (int i = 0; i < size; i++) {
                a aVar = this.T0.get(i);
                String str = aVar.f5606b;
                Object obj3 = null;
                h hVar = aVar.f5608d;
                if (hVar != null) {
                    obj3 = hVar.f5617a;
                }
                if (str.startsWith("$")) {
                    obj2 = m0(str);
                    if (obj2 == null) {
                        try {
                            com.alibaba.fastjson.d d2 = com.alibaba.fastjson.d.d(str);
                            if (d2.D()) {
                                obj2 = d2.n(obj);
                            }
                        } catch (JSONPathException unused) {
                        }
                    }
                } else {
                    obj2 = aVar.f5605a.f5617a;
                }
                l lVar = aVar.f5607c;
                if (lVar != null) {
                    if (obj2 != null && obj2.getClass() == JSONObject.class && (dVar = lVar.f5646a) != null && !Map.class.isAssignableFrom(dVar.K0)) {
                        Object obj4 = this.R0[0].f5617a;
                        com.alibaba.fastjson.d d3 = com.alibaba.fastjson.d.d(str);
                        if (d3.D()) {
                            obj2 = d3.n(obj4);
                        }
                    }
                    if (lVar.c() != null && !lVar.c().isInstance(obj3) && aVar.f5608d.f5618b != null && lVar.c().isInstance(aVar.f5608d.f5618b.f5617a)) {
                        obj3 = aVar.f5608d.f5618b.f5617a;
                    }
                    lVar.h(obj3, obj2);
                }
            }
        }
    }

    public <T> T E1(Type type, Object obj) {
        int Z02 = this.P0.Z0();
        if (Z02 == 8) {
            this.P0.I();
            return null;
        }
        if (Z02 == 4) {
            if (type == byte[].class) {
                T t = (T) this.P0.o0();
                this.P0.I();
                return t;
            } else if (type == char[].class) {
                String J02 = this.P0.J0();
                this.P0.I();
                return (T) J02.toCharArray();
            }
        }
        t t2 = this.M0.t(type);
        try {
            if (t2.getClass() != o.class) {
                return (T) t2.b(this, type, obj);
            }
            if (this.P0.Z0() != 12) {
                if (this.P0.Z0() != 14) {
                    throw new JSONException("syntax error,except start with { or [,but actually start with " + this.P0.E1());
                }
            }
            return (T) ((o) t2).h(this, type, obj, 0);
        } catch (JSONException e2) {
            throw e2;
        } catch (Throwable th) {
            throw new JSONException(th.getMessage(), th);
        }
    }

    public Object F1(Map map) {
        return L1(map, null);
    }

    public String I() {
        return this.N0;
    }

    public boolean J0(Feature feature) {
        return this.P0.O(feature);
    }

    public Object K0() {
        return V0(null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:109:0x0212  */
    /* JADX WARNING: Removed duplicated region for block: B:231:0x03ff  */
    /* JADX WARNING: Removed duplicated region for block: B:233:0x0408  */
    /* JADX WARNING: Removed duplicated region for block: B:239:0x0445  */
    /* JADX WARNING: Removed duplicated region for block: B:256:0x046b  */
    /* JADX WARNING: Removed duplicated region for block: B:263:0x0494  */
    /* JADX WARNING: Removed duplicated region for block: B:276:0x04c7  */
    /* JADX WARNING: Removed duplicated region for block: B:330:0x05cb  */
    /* JADX WARNING: Removed duplicated region for block: B:335:0x05d7  */
    /* JADX WARNING: Removed duplicated region for block: B:338:0x05e3  */
    /* JADX WARNING: Removed duplicated region for block: B:343:0x05f8  */
    /* JADX WARNING: Removed duplicated region for block: B:374:0x04d0 A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:384:0x0183 A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:387:0x05ee A[SYNTHETIC] */
    public final Object L1(Map map, Object obj) {
        Object obj2;
        boolean z;
        char j1;
        Object obj3;
        Object obj4;
        char j12;
        Number number;
        Map map2;
        Object obj5;
        boolean z2;
        Object obj6;
        Object obj7;
        Object obj8;
        Class<?> cls;
        Object obj9;
        c cVar = this.P0;
        if (cVar.Z0() == 8) {
            cVar.I();
            return null;
        } else if (cVar.Z0() == 13) {
            cVar.I();
            return map;
        } else if (cVar.Z0() == 4 && cVar.J0().length() == 0) {
            cVar.I();
            return map;
        } else if (cVar.Z0() == 12 || cVar.Z0() == 16) {
            h hVar = this.Q0;
            try {
                boolean z3 = map instanceof JSONObject;
                Map<String, Object> innerMap = z3 ? ((JSONObject) map).getInnerMap() : map;
                boolean z4 = false;
                while (true) {
                    cVar.s1();
                    char j13 = cVar.j1();
                    if (cVar.O(Feature.AllowArbitraryCommas)) {
                        while (j13 == ',') {
                            cVar.next();
                            cVar.s1();
                            j13 = cVar.j1();
                        }
                    }
                    boolean z5 = true;
                    if (j13 == '\"') {
                        Object b0 = cVar.b0(this.L0, Typography.quote);
                        cVar.s1();
                        obj2 = b0;
                        if (cVar.j1() != ':') {
                            throw new JSONException("expect ':' at " + cVar.d() + ", name " + b0);
                        }
                    } else if (j13 == '}') {
                        cVar.next();
                        cVar.u1();
                        cVar.I();
                        if (!z4) {
                            h hVar2 = this.Q0;
                            if (hVar2 != null && obj == hVar2.f5619c && map == hVar2.f5617a) {
                                hVar = hVar2;
                            } else {
                                h X1 = X1(map, obj);
                                if (hVar == null) {
                                    hVar = X1;
                                }
                            }
                        }
                        Y1(hVar);
                        return map;
                    } else if (j13 == '\'') {
                        if (cVar.O(Feature.AllowSingleQuotes)) {
                            Object b02 = cVar.b0(this.L0, z0.f14782a);
                            cVar.s1();
                            obj2 = b02;
                            if (cVar.j1() != ':') {
                                throw new JSONException("expect ':' at " + cVar.d());
                            }
                        } else {
                            throw new JSONException("syntax error");
                        }
                    } else if (j13 == 26) {
                        throw new JSONException("syntax error");
                    } else if (j13 == ',') {
                        throw new JSONException("syntax error");
                    } else if ((j13 >= '0' && j13 <= '9') || j13 == '-') {
                        cVar.u1();
                        cVar.Q();
                        try {
                            if (cVar.Z0() == 2) {
                                obj9 = cVar.T0();
                            } else {
                                obj9 = cVar.F1(true);
                            }
                            if (!cVar.O(Feature.NonStringKeyAsString)) {
                                if (z3) {
                                }
                                obj2 = obj9;
                                if (cVar.j1() != ':') {
                                    throw new JSONException("parse number key error" + cVar.h());
                                }
                            }
                            obj9 = obj9.toString();
                            obj2 = obj9;
                            if (cVar.j1() != ':') {
                            }
                        } catch (NumberFormatException unused) {
                            throw new JSONException("parse number key error" + cVar.h());
                        }
                    } else if (j13 == '{' || j13 == '[') {
                        int i = this.Y0;
                        this.Y0 = i + 1;
                        if (i <= 512) {
                            cVar.I();
                            obj2 = K0();
                            z = true;
                            if (!z) {
                                cVar.next();
                                cVar.s1();
                            }
                            j1 = cVar.j1();
                            cVar.u1();
                            if (obj2 != com.alibaba.fastjson.a.DEFAULT_TYPE_KEY && !cVar.O(Feature.DisableSpecialKeyDetect)) {
                                String b03 = cVar.b0(this.L0, Typography.quote);
                                if (!cVar.O(Feature.IgnoreAutoType)) {
                                    if (map == null || !map.getClass().getName().equals(b03)) {
                                        int i2 = 0;
                                        while (true) {
                                            if (i2 >= b03.length()) {
                                                break;
                                            }
                                            char charAt = b03.charAt(i2);
                                            if (charAt < '0' || charAt > '9') {
                                                z5 = false;
                                            } else {
                                                i2++;
                                            }
                                        }
                                        if (!z5) {
                                            obj8 = null;
                                            cls = this.M0.j(b03, null, cVar.d1());
                                        } else {
                                            obj8 = null;
                                            cls = null;
                                        }
                                    } else {
                                        cls = map.getClass();
                                        obj8 = null;
                                    }
                                    if (cls == null) {
                                        innerMap.put(com.alibaba.fastjson.a.DEFAULT_TYPE_KEY, b03);
                                    } else {
                                        cVar.Z(16);
                                        if (cVar.Z0() == 13) {
                                            cVar.Z(16);
                                            try {
                                                Object f = this.M0.t(cls) instanceof o ? n.f(map, cls, this.M0) : obj8;
                                                if (f == null) {
                                                    if (cls == Cloneable.class) {
                                                        f = new HashMap();
                                                    } else if ("java.util.Collections$EmptyMap".equals(b03)) {
                                                        f = Collections.emptyMap();
                                                    } else if ("java.util.Collections$UnmodifiableMap".equals(b03)) {
                                                        f = Collections.unmodifiableMap(new HashMap());
                                                    } else {
                                                        f = cls.newInstance();
                                                    }
                                                }
                                                return f;
                                            } catch (Exception e2) {
                                                throw new JSONException("create instance error", e2);
                                            }
                                        } else {
                                            d2(2);
                                            h hVar3 = this.Q0;
                                            if (hVar3 != null && obj != null && !(obj instanceof Integer) && !(hVar3.f5619c instanceof Integer)) {
                                                Q1();
                                            }
                                            if (map.size() > 0) {
                                                Object f2 = n.f(map, cls, this.M0);
                                                d2(0);
                                                O1(f2);
                                                Y1(hVar);
                                                return f2;
                                            }
                                            t t = this.M0.t(cls);
                                            Class<?> cls2 = t.getClass();
                                            if (o.class.isAssignableFrom(cls2) && cls2 != o.class && cls2 != b0.class) {
                                                d2(0);
                                            } else if (t instanceof r) {
                                                d2(0);
                                            }
                                            Object b2 = t.b(this, cls, obj);
                                            Y1(hVar);
                                            return b2;
                                        }
                                    }
                                }
                            } else if (obj2 == "$ref" || hVar == null || (!(map == null || map.size() == 0) || cVar.O(Feature.DisableSpecialKeyDetect))) {
                                if (!z4) {
                                    h hVar4 = this.Q0;
                                    if (hVar4 != null && obj == hVar4.f5619c && map == hVar4.f5617a) {
                                        hVar = hVar4;
                                    } else {
                                        h X12 = X1(map, obj);
                                        if (hVar == null) {
                                            hVar = X12;
                                        }
                                        z4 = true;
                                    }
                                }
                                obj3 = obj2;
                                obj3 = obj2;
                                if (map.getClass() == JSONObject.class && obj2 == null) {
                                    obj3 = "null";
                                }
                                if (j1 != '\"') {
                                    cVar.M();
                                    String J02 = cVar.J0();
                                    Number number2 = J02;
                                    if (cVar.O(Feature.AllowISO8601DateFormat)) {
                                        f fVar = new f(J02);
                                        Date date = J02;
                                        if (fVar.e3()) {
                                            date = fVar.Z1().getTime();
                                        }
                                        fVar.close();
                                        number2 = date;
                                    }
                                    innerMap.put(obj3, number2);
                                    obj4 = number2;
                                } else if ((j1 >= '0' && j1 <= '9') || j1 == '-') {
                                    cVar.Q();
                                    if (cVar.Z0() == 2) {
                                        number = cVar.T0();
                                    } else {
                                        number = cVar.F1(cVar.O(Feature.UseBigDecimal));
                                    }
                                    innerMap.put(obj3, number);
                                    obj4 = number;
                                } else if (j1 == '[') {
                                    cVar.I();
                                    JSONArray jSONArray = new JSONArray();
                                    if (obj != null) {
                                        obj.getClass();
                                    }
                                    if (obj == null) {
                                        Y1(hVar);
                                    }
                                    g1(jSONArray, obj3);
                                    Object[] objArr = jSONArray;
                                    if (cVar.O(Feature.UseObjectArray)) {
                                        objArr = jSONArray.toArray();
                                    }
                                    innerMap.put(obj3, objArr == 1 ? 1 : 0);
                                    if (cVar.Z0() == 13) {
                                        cVar.I();
                                        Y1(hVar);
                                        return map;
                                    } else if (cVar.Z0() != 16) {
                                        throw new JSONException("syntax error");
                                    }
                                } else if (j1 == '{') {
                                    cVar.I();
                                    boolean z6 = obj != null && obj.getClass() == Integer.class;
                                    if (cVar.O(Feature.CustomMapDeserializer)) {
                                        r rVar = (r) this.M0.t(Map.class);
                                        if ((cVar.d1() & Feature.OrderedField.mask) != 0) {
                                            map2 = rVar.h(Map.class, cVar.d1());
                                        } else {
                                            map2 = rVar.g(Map.class);
                                        }
                                    } else {
                                        map2 = new JSONObject(cVar.O(Feature.OrderedField));
                                    }
                                    h W1 = !z6 ? W1(this.Q0, map2, obj3) : null;
                                    if (this.X0 != null) {
                                        Type e3 = this.X0.e(map, obj3 != null ? obj3.toString() : null);
                                        if (e3 != null) {
                                            obj5 = this.M0.t(e3).b(this, e3, obj3);
                                            z2 = true;
                                            if (!z2) {
                                                obj5 = L1(map2, obj3);
                                            }
                                            if (!(W1 == null || map2 == obj5)) {
                                                W1.f5617a = map;
                                            }
                                            if (obj3 != null) {
                                                k(map, obj3.toString());
                                            }
                                            innerMap.put(obj3, obj5);
                                            if (z6) {
                                                X1(obj5, obj3);
                                            }
                                            if (cVar.Z0() != 13) {
                                                cVar.I();
                                                Y1(hVar);
                                                Y1(hVar);
                                                return map;
                                            } else if (cVar.Z0() != 16) {
                                                throw new JSONException("syntax error, " + cVar.E1());
                                            } else if (z6) {
                                                Q1();
                                            } else {
                                                Y1(hVar);
                                            }
                                        }
                                    }
                                    z2 = false;
                                    obj5 = null;
                                    if (!z2) {
                                    }
                                    W1.f5617a = map;
                                    if (obj3 != null) {
                                    }
                                    innerMap.put(obj3, obj5);
                                    if (z6) {
                                    }
                                    if (cVar.Z0() != 13) {
                                    }
                                } else {
                                    cVar.I();
                                    innerMap.put(obj3, K0());
                                    if (cVar.Z0() == 13) {
                                        cVar.I();
                                        Y1(hVar);
                                        return map;
                                    } else if (cVar.Z0() != 16) {
                                        throw new JSONException("syntax error, position at " + cVar.d() + ", name " + obj3);
                                    }
                                }
                                cVar.s1();
                                j12 = cVar.j1();
                                if (j12 != ',') {
                                    cVar.next();
                                } else if (j12 == '}') {
                                    cVar.next();
                                    cVar.u1();
                                    cVar.I();
                                    X1(obj4, obj3);
                                    Y1(hVar);
                                    return map;
                                } else {
                                    throw new JSONException("syntax error, position at " + cVar.d() + ", name " + obj3);
                                }
                            } else {
                                cVar.Z(4);
                                if (cVar.Z0() == 4) {
                                    String J03 = cVar.J0();
                                    cVar.Z(13);
                                    if (cVar.Z0() == 16) {
                                        innerMap.put(obj2, J03);
                                    } else {
                                        if ("@".equals(J03)) {
                                            h hVar5 = this.Q0;
                                            if (hVar5 != null) {
                                                obj7 = hVar5.f5617a;
                                                if (!(obj7 instanceof Object[]) && !(obj7 instanceof Collection)) {
                                                    h hVar6 = hVar5.f5618b;
                                                    if (hVar6 != null) {
                                                        obj6 = hVar6.f5617a;
                                                        if (cVar.Z0() == 13) {
                                                            cVar.Z(16);
                                                            Y1(hVar);
                                                            return obj6;
                                                        }
                                                        throw new JSONException("syntax error, " + cVar.h());
                                                    }
                                                }
                                            }
                                            obj6 = null;
                                            if (cVar.Z0() == 13) {
                                            }
                                        } else if ("..".equals(J03)) {
                                            Object obj10 = hVar.f5617a;
                                            if (obj10 != null) {
                                                obj6 = obj10;
                                                if (cVar.Z0() == 13) {
                                                }
                                            } else {
                                                i(new a(hVar, J03));
                                                d2(1);
                                                obj6 = null;
                                                if (cVar.Z0() == 13) {
                                                }
                                            }
                                        } else {
                                            if ("$".equals(J03)) {
                                                h hVar7 = hVar;
                                                while (true) {
                                                    h hVar8 = hVar7.f5618b;
                                                    if (hVar8 == null) {
                                                        break;
                                                    }
                                                    hVar7 = hVar8;
                                                }
                                                obj7 = hVar7.f5617a;
                                                if (obj7 == null) {
                                                    i(new a(hVar7, J03));
                                                    d2(1);
                                                }
                                            } else if (com.alibaba.fastjson.d.d(J03).D()) {
                                                i(new a(hVar, J03));
                                                d2(1);
                                            } else {
                                                obj6 = new JSONObject().fluentPut("$ref", J03);
                                                if (cVar.Z0() == 13) {
                                                }
                                            }
                                            obj6 = null;
                                            if (cVar.Z0() == 13) {
                                            }
                                        }
                                        obj6 = obj7;
                                        if (cVar.Z0() == 13) {
                                        }
                                    }
                                } else {
                                    throw new JSONException("illegal ref, " + g.a(cVar.Z0()));
                                }
                            }
                        } else {
                            throw new JSONException("object key level > 512");
                        }
                    } else if (cVar.O(Feature.AllowUnQuotedFieldNames)) {
                        Object z0 = cVar.z0(this.L0);
                        cVar.s1();
                        char j14 = cVar.j1();
                        obj2 = z0;
                        if (j14 != ':') {
                            throw new JSONException("expect ':' at " + cVar.d() + ", actual " + j14);
                        }
                    } else {
                        throw new JSONException("syntax error");
                    }
                    z = false;
                    if (!z) {
                    }
                    j1 = cVar.j1();
                    cVar.u1();
                    if (obj2 != com.alibaba.fastjson.a.DEFAULT_TYPE_KEY) {
                    }
                    if (obj2 == "$ref") {
                    }
                    if (!z4) {
                    }
                    obj3 = obj2;
                    obj3 = obj2;
                    obj3 = "null";
                    if (j1 != '\"') {
                    }
                    cVar.s1();
                    j12 = cVar.j1();
                    if (j12 != ',') {
                    }
                }
            } finally {
                Y1(hVar);
            }
        } else {
            throw new JSONException("syntax error, expect {, actual " + cVar.E1() + ", " + cVar.h());
        }
    }

    public DateFormat M() {
        if (this.O0 == null) {
            SimpleDateFormat simpleDateFormat = new SimpleDateFormat(this.N0, this.P0.L1());
            this.O0 = simpleDateFormat;
            simpleDateFormat.setTimeZone(this.P0.K0());
        }
        return this.O0;
    }

    public List<j> O() {
        if (this.W0 == null) {
            this.W0 = new ArrayList(2);
        }
        return this.W0;
    }

    public void O1(Object obj) {
        Object obj2;
        Class<?> cls = obj.getClass();
        t t = this.M0.t(cls);
        o oVar = t instanceof o ? (o) t : null;
        if (this.P0.Z0() == 12 || this.P0.Z0() == 16) {
            while (true) {
                String c1 = this.P0.c1(this.L0);
                if (c1 == null) {
                    if (this.P0.Z0() == 13) {
                        this.P0.Z(16);
                        return;
                    } else if (this.P0.Z0() == 16 && this.P0.O(Feature.AllowArbitraryCommas)) {
                    }
                }
                l l = oVar != null ? oVar.l(c1) : null;
                if (l != null) {
                    d dVar = l.f5646a;
                    Class<?> cls2 = dVar.K0;
                    Type type = dVar.L0;
                    if (cls2 == Integer.TYPE) {
                        this.P0.E0(2);
                        obj2 = d0.f5702a.b(this, type, null);
                    } else if (cls2 == String.class) {
                        this.P0.E0(4);
                        obj2 = j1.f(this);
                    } else if (cls2 == Long.TYPE) {
                        this.P0.E0(2);
                        obj2 = q0.f5757a.b(this, type, null);
                    } else {
                        t s = this.M0.s(cls2, type);
                        this.P0.E0(s.e());
                        obj2 = s.b(this, type, null);
                    }
                    l.h(obj, obj2);
                    if (this.P0.Z0() != 16 && this.P0.Z0() == 13) {
                        this.P0.Z(16);
                        return;
                    }
                } else if (this.P0.O(Feature.IgnoreNotMatch)) {
                    this.P0.C1();
                    K0();
                    if (this.P0.Z0() == 13) {
                        this.P0.I();
                        return;
                    }
                } else {
                    throw new JSONException("setter not found, class " + cls.getName() + ", property " + c1);
                }
            }
        } else {
            throw new JSONException("syntax error, expect {, actual " + this.P0.E1());
        }
    }

    public List<k> P() {
        if (this.V0 == null) {
            this.V0 = new ArrayList(2);
        }
        return this.V0;
    }

    public m Q() {
        return this.X0;
    }

    public void Q1() {
        if (!this.P0.O(Feature.DisableCircularReferenceDetect)) {
            this.Q0 = this.Q0.f5618b;
            int i = this.S0;
            if (i > 0) {
                int i2 = i - 1;
                this.S0 = i2;
                this.R0[i2] = null;
            }
        }
    }

    public Object T0(w wVar, Object obj) {
        String str;
        int i = 0;
        if (this.P0.Z0() != 12) {
            String str2 = "syntax error, expect {, actual " + this.P0.E1();
            if (obj instanceof String) {
                str2 = (str2 + ", fieldName ") + obj;
            }
            String str3 = (str2 + ", ") + this.P0.h();
            JSONArray jSONArray = new JSONArray();
            g1(jSONArray, obj);
            if (jSONArray.size() == 1) {
                Object obj2 = jSONArray.get(0);
                if (obj2 instanceof JSONObject) {
                    return (JSONObject) obj2;
                }
            }
            throw new JSONException(str3);
        }
        h hVar = this.Q0;
        while (true) {
            try {
                this.P0.s1();
                char j1 = this.P0.j1();
                if (this.P0.O(Feature.AllowArbitraryCommas)) {
                    while (j1 == ',') {
                        this.P0.next();
                        this.P0.s1();
                        j1 = this.P0.j1();
                    }
                }
                if (j1 == '\"') {
                    str = this.P0.b0(this.L0, Typography.quote);
                    this.P0.s1();
                    if (this.P0.j1() != ':') {
                        throw new JSONException("expect ':' at " + this.P0.d());
                    }
                } else if (j1 == '}') {
                    this.P0.next();
                    this.P0.u1();
                    this.P0.Z(16);
                    Y1(hVar);
                    return wVar;
                } else if (j1 == '\'') {
                    if (this.P0.O(Feature.AllowSingleQuotes)) {
                        str = this.P0.b0(this.L0, z0.f14782a);
                        this.P0.s1();
                        if (this.P0.j1() != ':') {
                            throw new JSONException("expect ':' at " + this.P0.d());
                        }
                    } else {
                        throw new JSONException("syntax error");
                    }
                } else if (this.P0.O(Feature.AllowUnQuotedFieldNames)) {
                    str = this.P0.z0(this.L0);
                    this.P0.s1();
                    char j12 = this.P0.j1();
                    if (j12 != ':') {
                        throw new JSONException("expect ':' at " + this.P0.d() + ", actual " + j12);
                    }
                } else {
                    throw new JSONException("syntax error");
                }
                this.P0.next();
                this.P0.s1();
                this.P0.j1();
                this.P0.u1();
                Object obj3 = null;
                if (str != com.alibaba.fastjson.a.DEFAULT_TYPE_KEY || this.P0.O(Feature.DisableSpecialKeyDetect)) {
                    this.P0.I();
                    if (i != 0) {
                        Y1(hVar);
                    }
                    Type c2 = wVar.c(str);
                    if (this.P0.Z0() == 8) {
                        this.P0.I();
                    } else {
                        obj3 = E1(c2, str);
                    }
                    wVar.b(str, obj3);
                    W1(hVar, obj3, str);
                    Y1(hVar);
                    int Z02 = this.P0.Z0();
                    if (Z02 == 20 || Z02 == 15) {
                        Y1(hVar);
                    } else if (Z02 == 13) {
                        this.P0.I();
                        Y1(hVar);
                        return wVar;
                    }
                } else {
                    Class<?> j = this.M0.j(this.P0.b0(this.L0, Typography.quote), null, this.P0.d1());
                    if (Map.class.isAssignableFrom(j)) {
                        this.P0.Z(16);
                        if (this.P0.Z0() == 13) {
                            this.P0.Z(16);
                            return wVar;
                        }
                    } else {
                        t t = this.M0.t(j);
                        this.P0.Z(16);
                        d2(2);
                        if (hVar != null && !(obj instanceof Integer)) {
                            Q1();
                        }
                        Map map = (Map) t.b(this, j, obj);
                        Y1(hVar);
                        return map;
                    }
                }
                i++;
            } finally {
                Y1(hVar);
            }
        }
        Y1(hVar);
        return wVar;
    }

    public Object U1(String str) {
        if (this.R0 == null) {
            return null;
        }
        int i = 0;
        while (true) {
            h[] hVarArr = this.R0;
            if (i >= hVarArr.length || i >= this.S0) {
                return null;
            }
            h hVar = hVarArr[i];
            if (hVar.toString().equals(str)) {
                return hVar.f5617a;
            }
            i++;
        }
        return null;
    }

    public Object V0(Object obj) {
        c cVar = this.P0;
        int Z02 = cVar.Z0();
        if (Z02 == 2) {
            Number T02 = cVar.T0();
            cVar.I();
            return T02;
        } else if (Z02 == 3) {
            Number F1 = cVar.F1(cVar.O(Feature.UseBigDecimal));
            cVar.I();
            return F1;
        } else if (Z02 == 4) {
            String J02 = cVar.J0();
            cVar.Z(16);
            if (cVar.O(Feature.AllowISO8601DateFormat)) {
                f fVar = new f(J02);
                try {
                    if (fVar.e3()) {
                        return fVar.Z1().getTime();
                    }
                    fVar.close();
                } finally {
                    fVar.close();
                }
            }
            return J02;
        } else if (Z02 == 12) {
            return L1(new JSONObject(cVar.O(Feature.OrderedField)), obj);
        } else {
            if (Z02 == 14) {
                JSONArray jSONArray = new JSONArray();
                g1(jSONArray, obj);
                return cVar.O(Feature.UseObjectArray) ? jSONArray.toArray() : jSONArray;
            } else if (Z02 != 18) {
                if (Z02 != 26) {
                    switch (Z02) {
                        case 6:
                            cVar.I();
                            return Boolean.TRUE;
                        case 7:
                            cVar.I();
                            return Boolean.FALSE;
                        case 8:
                            cVar.I();
                            return null;
                        case 9:
                            cVar.Z(18);
                            if (cVar.Z0() == 18) {
                                cVar.Z(10);
                                a(10);
                                long longValue = cVar.T0().longValue();
                                a(2);
                                a(11);
                                return new Date(longValue);
                            }
                            throw new JSONException("syntax error");
                        default:
                            switch (Z02) {
                                case 20:
                                    if (cVar.k()) {
                                        return null;
                                    }
                                    throw new JSONException("unterminated json string, " + cVar.h());
                                case 21:
                                    cVar.I();
                                    Collection hashSet = new HashSet();
                                    g1(hashSet, obj);
                                    return hashSet;
                                case 22:
                                    cVar.I();
                                    Collection treeSet = new TreeSet();
                                    g1(treeSet, obj);
                                    return treeSet;
                                case 23:
                                    cVar.I();
                                    return null;
                                default:
                                    throw new JSONException("syntax error, " + cVar.h());
                            }
                    }
                } else {
                    byte[] o0 = cVar.o0();
                    cVar.I();
                    return o0;
                }
            } else if ("NaN".equals(cVar.J0())) {
                cVar.I();
                return null;
            } else {
                throw new JSONException("syntax error, " + cVar.h());
            }
        }
    }

    public void V1(i iVar) {
        this.M0 = iVar;
    }

    public h W1(h hVar, Object obj, Object obj2) {
        if (this.P0.O(Feature.DisableCircularReferenceDetect)) {
            return null;
        }
        h hVar2 = new h(hVar, obj, obj2);
        this.Q0 = hVar2;
        h(hVar2);
        return this.Q0;
    }

    public <T> List<T> X0(Class<T> cls) {
        ArrayList arrayList = new ArrayList();
        Z0(cls, arrayList);
        return arrayList;
    }

    public h X1(Object obj, Object obj2) {
        if (this.P0.O(Feature.DisableCircularReferenceDetect)) {
            return null;
        }
        return W1(this.Q0, obj, obj2);
    }

    public void Y1(h hVar) {
        if (!this.P0.O(Feature.DisableCircularReferenceDetect)) {
            this.Q0 = hVar;
        }
    }

    public String Z() {
        Object obj = this.K0;
        if (obj instanceof char[]) {
            return new String((char[]) this.K0);
        }
        return obj.toString();
    }

    public void Z0(Class<?> cls, Collection collection) {
        b1(cls, collection);
    }

    public void Z1(DateFormat dateFormat) {
        b2(dateFormat);
    }

    public final void a(int i) {
        c cVar = this.P0;
        if (cVar.Z0() == i) {
            cVar.I();
            return;
        }
        throw new JSONException("syntax error, expect " + g.a(i) + ", actual " + g.a(cVar.Z0()));
    }

    public void a2(String str) {
        this.N0 = str;
        this.O0 = null;
    }

    public a b0() {
        List<a> list = this.T0;
        return list.get(list.size() - 1);
    }

    public void b1(Type type, Collection collection) {
        c1(type, collection, null);
    }

    public void b2(DateFormat dateFormat) {
        this.O0 = dateFormat;
    }

    public final void c(int i, int i2) {
        c cVar = this.P0;
        if (cVar.Z0() == i) {
            cVar.Z(i2);
        } else {
            e2(i);
        }
    }

    /* JADX INFO: finally extract failed */
    public void c1(Type type, Collection collection, Object obj) {
        t tVar;
        int Z02 = this.P0.Z0();
        if (Z02 == 21 || Z02 == 22) {
            this.P0.I();
            Z02 = this.P0.Z0();
        }
        if (Z02 == 14) {
            if (Integer.TYPE == type) {
                tVar = d0.f5702a;
                this.P0.Z(2);
            } else if (String.class == type) {
                tVar = j1.f5731a;
                this.P0.Z(4);
            } else {
                tVar = this.M0.t(type);
                this.P0.Z(tVar.e());
            }
            h hVar = this.Q0;
            X1(collection, obj);
            int i = 0;
            while (true) {
                try {
                    if (this.P0.O(Feature.AllowArbitraryCommas)) {
                        while (this.P0.Z0() == 16) {
                            this.P0.I();
                        }
                    }
                    if (this.P0.Z0() == 15) {
                        Y1(hVar);
                        this.P0.Z(16);
                        return;
                    }
                    Object obj2 = null;
                    if (Integer.TYPE == type) {
                        collection.add(d0.f5702a.b(this, null, null));
                    } else if (String.class == type) {
                        if (this.P0.Z0() == 4) {
                            obj2 = this.P0.J0();
                            this.P0.Z(16);
                        } else {
                            Object K02 = K0();
                            if (K02 != null) {
                                obj2 = K02.toString();
                            }
                        }
                        collection.add(obj2);
                    } else {
                        if (this.P0.Z0() == 8) {
                            this.P0.I();
                        } else {
                            obj2 = tVar.b(this, type, Integer.valueOf(i));
                        }
                        collection.add(obj2);
                        j(collection);
                    }
                    if (this.P0.Z0() == 16) {
                        this.P0.Z(tVar.e());
                    }
                    i++;
                } catch (Throwable th) {
                    Y1(hVar);
                    throw th;
                }
            }
        } else {
            throw new JSONException("expect '[', but " + g.a(Z02) + ", " + this.P0.h());
        }
    }

    public void c2(m mVar) {
        this.X0 = mVar;
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        c cVar = this.P0;
        try {
            if (cVar.O(Feature.AutoCloseSource)) {
                if (cVar.Z0() != 20) {
                    throw new JSONException("not close json text, token : " + g.a(cVar.Z0()));
                }
            }
        } finally {
            cVar.close();
        }
    }

    public void d(String str) {
        c cVar = this.P0;
        cVar.C1();
        if (cVar.Z0() != 4) {
            throw new JSONException("type not match error");
        } else if (str.equals(cVar.J0())) {
            cVar.I();
            if (cVar.Z0() == 16) {
                cVar.I();
            }
        } else {
            throw new JSONException("type not match error");
        }
    }

    public final void d1(Collection collection) {
        g1(collection, null);
    }

    public void d2(int i) {
        this.U0 = i;
    }

    public c e0() {
        return this.P0;
    }

    public void e2(int i) {
        throw new JSONException("syntax error, expect " + g.a(i) + ", actual " + g.a(this.P0.Z0()));
    }

    public final void g1(Collection collection, Object obj) {
        Number number;
        c cVar = this.P0;
        if (cVar.Z0() == 21 || cVar.Z0() == 22) {
            cVar.I();
        }
        if (cVar.Z0() == 14) {
            cVar.Z(4);
            h hVar = this.Q0;
            if (hVar == null || hVar.f5620d <= 512) {
                X1(collection, obj);
                int i = 0;
                while (true) {
                    try {
                        if (cVar.O(Feature.AllowArbitraryCommas)) {
                            while (cVar.Z0() == 16) {
                                cVar.I();
                            }
                        }
                        int Z02 = cVar.Z0();
                        JSONArray jSONArray = null;
                        jSONArray = null;
                        if (Z02 == 2) {
                            Number T02 = cVar.T0();
                            cVar.Z(16);
                            jSONArray = T02;
                        } else if (Z02 == 3) {
                            if (cVar.O(Feature.UseBigDecimal)) {
                                number = cVar.F1(true);
                            } else {
                                number = cVar.F1(false);
                            }
                            jSONArray = number;
                            cVar.Z(16);
                        } else if (Z02 == 4) {
                            String J02 = cVar.J0();
                            cVar.Z(16);
                            jSONArray = J02;
                            if (cVar.O(Feature.AllowISO8601DateFormat)) {
                                f fVar = new f(J02);
                                Date date = J02;
                                if (fVar.e3()) {
                                    date = fVar.Z1().getTime();
                                }
                                fVar.close();
                                jSONArray = date;
                            }
                        } else if (Z02 == 6) {
                            Boolean bool = Boolean.TRUE;
                            cVar.Z(16);
                            jSONArray = bool;
                        } else if (Z02 == 7) {
                            Boolean bool2 = Boolean.FALSE;
                            cVar.Z(16);
                            jSONArray = bool2;
                        } else if (Z02 == 8) {
                            cVar.Z(4);
                        } else if (Z02 == 12) {
                            jSONArray = L1(new JSONObject(cVar.O(Feature.OrderedField)), Integer.valueOf(i));
                        } else if (Z02 == 20) {
                            throw new JSONException("unclosed jsonArray");
                        } else if (Z02 == 23) {
                            cVar.Z(4);
                        } else if (Z02 == 14) {
                            JSONArray jSONArray2 = new JSONArray();
                            g1(jSONArray2, Integer.valueOf(i));
                            jSONArray = jSONArray2;
                            if (cVar.O(Feature.UseObjectArray)) {
                                jSONArray = jSONArray2.toArray();
                            }
                        } else if (Z02 != 15) {
                            jSONArray = K0();
                        } else {
                            cVar.Z(16);
                            return;
                        }
                        collection.add(jSONArray == 1 ? 1 : 0);
                        j(collection);
                        if (cVar.Z0() == 16) {
                            cVar.Z(4);
                        }
                        i++;
                    } finally {
                        Y1(hVar);
                    }
                }
            } else {
                throw new JSONException("array level > 512");
            }
        } else {
            throw new JSONException("syntax error, expect [, actual " + g.a(cVar.Z0()) + ", pos " + cVar.d() + ", fieldName " + obj);
        }
    }

    public void i(a aVar) {
        if (this.T0 == null) {
            this.T0 = new ArrayList(2);
        }
        this.T0.add(aVar);
    }

    public void j(Collection collection) {
        if (this.U0 != 1) {
            return;
        }
        if (collection instanceof List) {
            a b0 = b0();
            b0.f5607c = new y(this, (List) collection, collection.size() - 1);
            b0.f5608d = this.Q0;
            d2(0);
            return;
        }
        a b02 = b0();
        b02.f5607c = new y(collection);
        b02.f5608d = this.Q0;
        d2(0);
    }

    public Object[] j1(Type[] typeArr) {
        Object obj;
        Class<?> cls;
        boolean z;
        Class cls2;
        int i = 8;
        if (this.P0.Z0() == 8) {
            this.P0.Z(16);
            return null;
        }
        int i2 = 14;
        if (this.P0.Z0() == 14) {
            Object[] objArr = new Object[typeArr.length];
            if (typeArr.length == 0) {
                this.P0.Z(15);
                if (this.P0.Z0() == 15) {
                    this.P0.Z(16);
                    return new Object[0];
                }
                throw new JSONException("syntax error");
            }
            this.P0.Z(2);
            int i3 = 0;
            while (i3 < typeArr.length) {
                if (this.P0.Z0() == i) {
                    this.P0.Z(16);
                    obj = null;
                } else {
                    Type type = typeArr[i3];
                    if (type == Integer.TYPE || type == Integer.class) {
                        if (this.P0.Z0() == 2) {
                            obj = Integer.valueOf(this.P0.P());
                            this.P0.Z(16);
                        } else {
                            obj = n.h(K0(), type, this.M0);
                        }
                    } else if (type != String.class) {
                        if (i3 != typeArr.length - 1 || !(type instanceof Class) || (((cls2 = (Class) type) == byte[].class || cls2 == char[].class) && this.P0.Z0() == 4)) {
                            cls = null;
                            z = false;
                        } else {
                            z = cls2.isArray();
                            cls = cls2.getComponentType();
                        }
                        if (!z || this.P0.Z0() == i2) {
                            obj = this.M0.t(type).b(this, type, Integer.valueOf(i3));
                        } else {
                            ArrayList arrayList = new ArrayList();
                            t t = this.M0.t(cls);
                            int e2 = t.e();
                            if (this.P0.Z0() != 15) {
                                while (true) {
                                    arrayList.add(t.b(this, type, null));
                                    if (this.P0.Z0() != 16) {
                                        break;
                                    }
                                    this.P0.Z(e2);
                                }
                                if (this.P0.Z0() != 15) {
                                    throw new JSONException("syntax error :" + g.a(this.P0.Z0()));
                                }
                            }
                            obj = n.h(arrayList, type, this.M0);
                        }
                    } else if (this.P0.Z0() == 4) {
                        obj = this.P0.J0();
                        this.P0.Z(16);
                    } else {
                        obj = n.h(K0(), type, this.M0);
                    }
                }
                objArr[i3] = obj;
                if (this.P0.Z0() == 15) {
                    break;
                } else if (this.P0.Z0() == 16) {
                    if (i3 == typeArr.length - 1) {
                        this.P0.Z(15);
                    } else {
                        this.P0.Z(2);
                    }
                    i3++;
                    i = 8;
                    i2 = 14;
                } else {
                    throw new JSONException("syntax error :" + g.a(this.P0.Z0()));
                }
            }
            if (this.P0.Z0() == 15) {
                this.P0.Z(16);
                return objArr;
            }
            throw new JSONException("syntax error");
        }
        throw new JSONException("syntax error : " + this.P0.E1());
    }

    public void k(Map map, Object obj) {
        if (this.U0 == 1) {
            y yVar = new y(map, obj);
            a b0 = b0();
            b0.f5607c = yVar;
            b0.f5608d = this.Q0;
            d2(0);
        }
    }

    public void l(Feature feature, boolean z) {
        this.P0.x0(feature, z);
    }

    public Object m0(String str) {
        for (int i = 0; i < this.S0; i++) {
            if (str.equals(this.R0[i].toString())) {
                return this.R0[i].f5617a;
            }
        }
        return null;
    }

    public Object m1(Type type) {
        if (this.P0.Z0() == 8) {
            this.P0.I();
            return null;
        }
        Type[] actualTypeArguments = ((ParameterizedType) type).getActualTypeArguments();
        if (actualTypeArguments.length == 1) {
            Type type2 = actualTypeArguments[0];
            if (type2 instanceof Class) {
                ArrayList arrayList = new ArrayList();
                Z0((Class) type2, arrayList);
                return arrayList;
            } else if (type2 instanceof WildcardType) {
                WildcardType wildcardType = (WildcardType) type2;
                Type type3 = wildcardType.getUpperBounds()[0];
                if (!Object.class.equals(type3)) {
                    ArrayList arrayList2 = new ArrayList();
                    Z0((Class) type3, arrayList2);
                    return arrayList2;
                } else if (wildcardType.getLowerBounds().length == 0) {
                    return K0();
                } else {
                    throw new JSONException("not support type : " + type);
                }
            } else {
                if (type2 instanceof TypeVariable) {
                    TypeVariable typeVariable = (TypeVariable) type2;
                    Type[] bounds = typeVariable.getBounds();
                    if (bounds.length == 1) {
                        Type type4 = bounds[0];
                        if (type4 instanceof Class) {
                            ArrayList arrayList3 = new ArrayList();
                            Z0((Class) type4, arrayList3);
                            return arrayList3;
                        }
                    } else {
                        throw new JSONException("not support : " + typeVariable);
                    }
                }
                if (type2 instanceof ParameterizedType) {
                    ArrayList arrayList4 = new ArrayList();
                    b1((ParameterizedType) type2, arrayList4);
                    return arrayList4;
                }
                throw new JSONException("TODO : " + type);
            }
        } else {
            throw new JSONException("not support type " + type);
        }
    }

    public i o() {
        return this.M0;
    }

    public h o0() {
        return this.Q0.f5618b;
    }

    public void s1(Object obj, String str) {
        Object obj2;
        this.P0.C1();
        List<k> list = this.V0;
        Type type = null;
        if (list != null) {
            for (k kVar : list) {
                type = kVar.d(obj, str);
            }
        }
        if (type == null) {
            obj2 = K0();
        } else {
            obj2 = D1(type);
        }
        if (obj instanceof i) {
            ((i) obj).a(str, obj2);
            return;
        }
        List<j> list2 = this.W0;
        if (list2 != null) {
            for (j jVar : list2) {
                jVar.a(obj, str, obj2);
            }
        }
        if (this.U0 == 1) {
            this.U0 = 0;
        }
    }

    public Object u1() {
        if (this.P0.Z0() != 18) {
            return V0(null);
        }
        String J02 = this.P0.J0();
        this.P0.Z(16);
        return J02;
    }

    public int w0() {
        return this.U0;
    }

    public List<a> x0() {
        if (this.T0 == null) {
            this.T0 = new ArrayList(2);
        }
        return this.T0;
    }

    public j z0() {
        return this.L0;
    }

    public JSONObject z1() {
        Object F1 = F1(new JSONObject(this.P0.O(Feature.OrderedField)));
        if (F1 instanceof JSONObject) {
            return (JSONObject) F1;
        }
        if (F1 == null) {
            return null;
        }
        return new JSONObject((Map) F1);
    }

    public b(String str, i iVar) {
        this(str, new f(str, com.alibaba.fastjson.a.DEFAULT_PARSER_FEATURE), iVar);
    }

    public b(String str, i iVar, int i) {
        this(str, new f(str, i), iVar);
    }

    public b(char[] cArr, int i, i iVar, int i2) {
        this(cArr, new f(cArr, i, i2), iVar);
    }

    public b(c cVar) {
        this(cVar, i.y());
    }

    public b(c cVar, i iVar) {
        this((Object) null, cVar, iVar);
    }

    public b(Object obj, c cVar, i iVar) {
        this.N0 = com.alibaba.fastjson.a.DEFFAULT_DATE_FORMAT;
        this.S0 = 0;
        this.U0 = 0;
        this.V0 = null;
        this.W0 = null;
        this.X0 = null;
        this.Y0 = 0;
        this.a1 = null;
        this.P0 = cVar;
        this.K0 = obj;
        this.M0 = iVar;
        this.L0 = iVar.u;
        char j1 = cVar.j1();
        if (j1 == '{') {
            cVar.next();
            ((d) cVar).L0 = 12;
        } else if (j1 == '[') {
            cVar.next();
            ((d) cVar).L0 = 14;
        } else {
            cVar.I();
        }
    }
}
