package com.alibaba.fastjson.parser;

import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.a;
import com.alibaba.fastjson.util.f;
import com.google.android.exoplayer2.C;
import com.ibm.icu.impl.z0;
import java.io.Closeable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Collection;
import java.util.Date;
import java.util.HashSet;
import java.util.LinkedList;
import java.util.Locale;
import java.util.TimeZone;
import java.util.UUID;
import kotlin.text.Typography;

/* compiled from: JSONLexerBase */
public abstract class d implements c, Closeable {
    protected static final long I0 = -922337203685477580L;
    protected static final int J0 = -214748364;
    protected static final int[] K0 = new int[103];

    /* renamed from: a  reason: collision with root package name */
    private static final ThreadLocal<char[]> f5610a = new ThreadLocal<>();

    /* renamed from: b  reason: collision with root package name */
    protected static final char[] f5611b = ("\"" + a.DEFAULT_TYPE_KEY + "\":\"").toCharArray();
    protected int L0;
    protected int M0;
    protected int N0;
    protected char O0;
    protected int P0;
    protected int Q0;
    protected char[] R0;
    protected int S0;
    protected int T0;
    protected boolean U0;
    protected Calendar V0 = null;
    protected TimeZone W0 = a.defaultTimeZone;
    protected Locale X0 = a.defaultLocale;
    public int Y0 = 0;
    protected String Z0 = null;
    protected int a1 = 0;

    static {
        for (int i = 48; i <= 57; i++) {
            K0[i] = i - 48;
        }
        for (int i2 = 97; i2 <= 102; i2++) {
            K0[i2] = (i2 - 97) + 10;
        }
        for (int i3 = 65; i3 <= 70; i3++) {
            K0[i3] = (i3 - 65) + 10;
        }
    }

    public d(int i) {
        this.N0 = i;
        if ((i & Feature.InitStringFieldAsEmpty.mask) != 0) {
            this.Z0 = "";
        }
        char[] cArr = f5610a.get();
        this.R0 = cArr;
        if (cArr == null) {
            this.R0 = new char[512];
        }
    }

    private void L2() {
        char next;
        char next2;
        this.T0 = this.P0;
        this.U0 = false;
        while (true) {
            char next3 = next();
            if (next3 == '\'') {
                this.L0 = 4;
                next();
                return;
            } else if (next3 != 26) {
                boolean z = true;
                if (next3 == '\\') {
                    if (!this.U0) {
                        this.U0 = true;
                        int i = this.S0;
                        char[] cArr = this.R0;
                        if (i > cArr.length) {
                            char[] cArr2 = new char[(i * 2)];
                            System.arraycopy(cArr, 0, cArr2, 0, cArr.length);
                            this.R0 = cArr2;
                        }
                        X1(this.T0 + 1, this.S0, this.R0);
                    }
                    char next4 = next();
                    if (next4 == '\"') {
                        m2(Typography.quote);
                    } else if (next4 != '\'') {
                        if (next4 != 'F') {
                            if (next4 == '\\') {
                                m2(z0.f14783b);
                            } else if (next4 == 'b') {
                                m2('\b');
                            } else if (next4 != 'f') {
                                if (next4 == 'n') {
                                    m2('\n');
                                } else if (next4 == 'r') {
                                    m2('\r');
                                } else if (next4 != 'x') {
                                    switch (next4) {
                                        case '/':
                                            m2('/');
                                            continue;
                                        case '0':
                                            m2(0);
                                            continue;
                                        case '1':
                                            m2(1);
                                            continue;
                                        case '2':
                                            m2(2);
                                            continue;
                                        case '3':
                                            m2(3);
                                            continue;
                                        case '4':
                                            m2(4);
                                            continue;
                                        case '5':
                                            m2(5);
                                            continue;
                                        case '6':
                                            m2(6);
                                            continue;
                                        case '7':
                                            m2(7);
                                            continue;
                                        default:
                                            switch (next4) {
                                                case 't':
                                                    m2('\t');
                                                    continue;
                                                case 'u':
                                                    m2((char) Integer.parseInt(new String(new char[]{next(), next(), next(), next()}), 16));
                                                    continue;
                                                case 'v':
                                                    m2(11);
                                                    continue;
                                                    continue;
                                                default:
                                                    this.O0 = next4;
                                                    throw new JSONException("unclosed single-quote string");
                                            }
                                    }
                                } else {
                                    next = next();
                                    next2 = next();
                                    boolean z2 = (next >= '0' && next <= '9') || (next >= 'a' && next <= 'f') || (next >= 'A' && next <= 'F');
                                    if ((next2 < '0' || next2 > '9') && ((next2 < 'a' || next2 > 'f') && (next2 < 'A' || next2 > 'F'))) {
                                        z = false;
                                    }
                                    if (!z2 || !z) {
                                    } else {
                                        int[] iArr = K0;
                                        m2((char) ((iArr[next] * 16) + iArr[next2]));
                                    }
                                }
                            }
                        }
                        m2('\f');
                    } else {
                        m2(z0.f14782a);
                    }
                } else if (!this.U0) {
                    this.S0++;
                } else {
                    int i2 = this.S0;
                    char[] cArr3 = this.R0;
                    if (i2 == cArr3.length) {
                        m2(next3);
                    } else {
                        this.S0 = i2 + 1;
                        cArr3[i2] = next3;
                    }
                }
            } else if (!b2()) {
                m2(c.f5609e);
            } else {
                throw new JSONException("unclosed single-quote string");
            }
        }
        throw new JSONException("invalid escape character \\x" + next + next2);
    }

    public static boolean d2(char c2) {
        return c2 <= ' ' && (c2 == ' ' || c2 == '\n' || c2 == '\r' || c2 == '\t' || c2 == '\f' || c2 == '\b');
    }

    public static String n2(char[] cArr, int i) {
        int i2;
        char[] cArr2 = new char[i];
        int i3 = 0;
        int i4 = 0;
        while (i3 < i) {
            char c2 = cArr[i3];
            if (c2 != '\\') {
                cArr2[i4] = c2;
                i4++;
            } else {
                i3++;
                char c3 = cArr[i3];
                if (c3 == '\"') {
                    i2 = i4 + 1;
                    cArr2[i4] = Typography.quote;
                } else if (c3 != '\'') {
                    if (c3 != 'F') {
                        if (c3 == '\\') {
                            i2 = i4 + 1;
                            cArr2[i4] = z0.f14783b;
                        } else if (c3 == 'b') {
                            i2 = i4 + 1;
                            cArr2[i4] = '\b';
                        } else if (c3 != 'f') {
                            if (c3 == 'n') {
                                i2 = i4 + 1;
                                cArr2[i4] = '\n';
                            } else if (c3 == 'r') {
                                i2 = i4 + 1;
                                cArr2[i4] = '\r';
                            } else if (c3 != 'x') {
                                switch (c3) {
                                    case '/':
                                        i2 = i4 + 1;
                                        cArr2[i4] = '/';
                                        break;
                                    case '0':
                                        i2 = i4 + 1;
                                        cArr2[i4] = 0;
                                        break;
                                    case '1':
                                        i2 = i4 + 1;
                                        cArr2[i4] = 1;
                                        break;
                                    case '2':
                                        i2 = i4 + 1;
                                        cArr2[i4] = 2;
                                        break;
                                    case '3':
                                        i2 = i4 + 1;
                                        cArr2[i4] = 3;
                                        break;
                                    case '4':
                                        i2 = i4 + 1;
                                        cArr2[i4] = 4;
                                        break;
                                    case '5':
                                        i2 = i4 + 1;
                                        cArr2[i4] = 5;
                                        break;
                                    case '6':
                                        i2 = i4 + 1;
                                        cArr2[i4] = 6;
                                        break;
                                    case '7':
                                        i2 = i4 + 1;
                                        cArr2[i4] = 7;
                                        break;
                                    default:
                                        switch (c3) {
                                            case 't':
                                                i2 = i4 + 1;
                                                cArr2[i4] = '\t';
                                                break;
                                            case 'u':
                                                i2 = i4 + 1;
                                                int i5 = i3 + 1;
                                                int i6 = i5 + 1;
                                                int i7 = i6 + 1;
                                                i3 = i7 + 1;
                                                cArr2[i4] = (char) Integer.parseInt(new String(new char[]{cArr[i5], cArr[i6], cArr[i7], cArr[i3]}), 16);
                                                break;
                                            case 'v':
                                                i2 = i4 + 1;
                                                cArr2[i4] = 11;
                                                break;
                                            default:
                                                throw new JSONException("unclosed.str.lit");
                                        }
                                }
                            } else {
                                i2 = i4 + 1;
                                int[] iArr = K0;
                                int i8 = i3 + 1;
                                i3 = i8 + 1;
                                cArr2[i4] = (char) ((iArr[cArr[i8]] * 16) + iArr[cArr[i3]]);
                            }
                        }
                    }
                    i2 = i4 + 1;
                    cArr2[i4] = '\f';
                } else {
                    i2 = i4 + 1;
                    cArr2[i4] = z0.f14782a;
                }
                i4 = i2;
            }
            i3++;
        }
        return new String(cArr2, 0, i4);
    }

    public final int[] A2(char[] cArr) {
        int i;
        int i2;
        char c2;
        boolean z;
        int i3;
        char W1;
        this.Y0 = 0;
        int[] iArr = null;
        if (!V1(cArr)) {
            this.Y0 = -2;
            return null;
        }
        int length = cArr.length;
        int i4 = length + 1;
        if (W1(this.P0 + length) != '[') {
            this.Y0 = -2;
            return null;
        }
        int i5 = i4 + 1;
        char W12 = W1(this.P0 + i4);
        int[] iArr2 = new int[16];
        if (W12 == ']') {
            i = i5 + 1;
            c2 = W1(this.P0 + i5);
            i2 = 0;
        } else {
            int i6 = 0;
            while (true) {
                if (W12 == '-') {
                    W12 = W1(this.P0 + i5);
                    i5++;
                    z = true;
                } else {
                    z = false;
                }
                if (W12 < '0' || W12 > '9') {
                    this.Y0 = -1;
                } else {
                    int i7 = W12 - '0';
                    while (true) {
                        i3 = i5 + 1;
                        W1 = W1(this.P0 + i5);
                        if (W1 >= '0' && W1 <= '9') {
                            i7 = (i7 * 10) + (W1 - '0');
                            i5 = i3;
                        }
                    }
                    if (i6 >= iArr2.length) {
                        int[] iArr3 = new int[((iArr2.length * 3) / 2)];
                        System.arraycopy(iArr2, 0, iArr3, 0, i6);
                        iArr2 = iArr3;
                    }
                    i2 = i6 + 1;
                    if (z) {
                        i7 = -i7;
                    }
                    iArr2[i6] = i7;
                    if (W1 == ',') {
                        i3++;
                        W1 = W1(this.P0 + i3);
                    } else if (W1 == ']') {
                        i = i3 + 1;
                        c2 = W1(this.P0 + i3);
                        break;
                    }
                    i6 = i2;
                    iArr = null;
                    W12 = W1;
                    i5 = i3;
                }
            }
            this.Y0 = -1;
            return iArr;
        }
        if (i2 != iArr2.length) {
            int[] iArr4 = new int[i2];
            System.arraycopy(iArr2, 0, iArr4, 0, i2);
            iArr2 = iArr4;
        }
        if (c2 == ',') {
            this.P0 += i - 1;
            next();
            this.Y0 = 3;
            this.L0 = 16;
            return iArr2;
        } else if (c2 == '}') {
            int i8 = i + 1;
            char W13 = W1(this.P0 + i);
            if (W13 == ',') {
                this.L0 = 16;
                this.P0 += i8 - 1;
                next();
            } else if (W13 == ']') {
                this.L0 = 15;
                this.P0 += i8 - 1;
                next();
            } else if (W13 == '}') {
                this.L0 = 13;
                this.P0 += i8 - 1;
                next();
            } else if (W13 == 26) {
                this.P0 += i8 - 1;
                this.L0 = 20;
                this.O0 = c.f5609e;
            } else {
                this.Y0 = -1;
                return null;
            }
            this.Y0 = 4;
            return iArr2;
        } else {
            this.Y0 = -1;
            return null;
        }
    }

    public long B2(char[] cArr) {
        boolean z;
        int i;
        char W1;
        this.Y0 = 0;
        if (!V1(cArr)) {
            this.Y0 = -2;
            return 0;
        }
        int length = cArr.length;
        int i2 = length + 1;
        char W12 = W1(this.P0 + length);
        if (W12 == '-') {
            W12 = W1(this.P0 + i2);
            i2++;
            z = true;
        } else {
            z = false;
        }
        if (W12 < '0' || W12 > '9') {
            this.Y0 = -1;
            return 0;
        }
        long j = (long) (W12 - '0');
        while (true) {
            i = i2 + 1;
            W1 = W1(this.P0 + i2);
            if (W1 >= '0' && W1 <= '9') {
                j = (j * 10) + ((long) (W1 - '0'));
                i2 = i;
            }
        }
        if (W1 == '.') {
            this.Y0 = -1;
            return 0;
        }
        if (!(i - cArr.length < 21 && (j >= 0 || (j == Long.MIN_VALUE && z)))) {
            this.Y0 = -1;
            return 0;
        } else if (W1 == ',') {
            int i3 = this.P0 + i;
            this.P0 = i3;
            this.O0 = W1(i3);
            this.Y0 = 3;
            this.L0 = 16;
            return z ? -j : j;
        } else if (W1 == '}') {
            int i4 = i + 1;
            char W13 = W1(this.P0 + i);
            if (W13 == ',') {
                this.L0 = 16;
                int i5 = this.P0 + i4;
                this.P0 = i5;
                this.O0 = W1(i5);
            } else if (W13 == ']') {
                this.L0 = 15;
                int i6 = this.P0 + i4;
                this.P0 = i6;
                this.O0 = W1(i6);
            } else if (W13 == '}') {
                this.L0 = 13;
                int i7 = this.P0 + i4;
                this.P0 = i7;
                this.O0 = W1(i7);
            } else if (W13 == 26) {
                this.L0 = 20;
                this.P0 += i4 - 1;
                this.O0 = c.f5609e;
            } else {
                this.Y0 = -1;
                return 0;
            }
            this.Y0 = 4;
            return z ? -j : j;
        } else {
            this.Y0 = -1;
            return 0;
        }
    }

    @Override // com.alibaba.fastjson.parser.c
    public final void C1() {
        l2(':');
    }

    public String C2(char[] cArr) {
        this.Y0 = 0;
        if (!V1(cArr)) {
            this.Y0 = -2;
            return Y2();
        }
        int length = cArr.length;
        int i = length + 1;
        if (W1(this.P0 + length) != '\"') {
            this.Y0 = -1;
            return Y2();
        }
        int a2 = a2(Typography.quote, this.P0 + cArr.length + 1);
        if (a2 != -1) {
            int length2 = this.P0 + cArr.length + 1;
            String Z2 = Z2(length2, a2 - length2);
            if (Z2.indexOf(92) != -1) {
                while (true) {
                    int i2 = a2 - 1;
                    int i3 = 0;
                    while (i2 >= 0 && W1(i2) == '\\') {
                        i3++;
                        i2--;
                    }
                    if (i3 % 2 == 0) {
                        break;
                    }
                    a2 = a2(Typography.quote, a2 + 1);
                }
                int i4 = this.P0;
                int length3 = a2 - ((cArr.length + i4) + 1);
                Z2 = n2(a3(i4 + cArr.length + 1, length3), length3);
            }
            int i5 = this.P0;
            int length4 = i + (a2 - ((cArr.length + i5) + 1)) + 1;
            int i6 = length4 + 1;
            char W1 = W1(i5 + length4);
            if (W1 == ',') {
                int i7 = this.P0 + i6;
                this.P0 = i7;
                this.O0 = W1(i7);
                this.Y0 = 3;
                return Z2;
            } else if (W1 == '}') {
                int i8 = i6 + 1;
                char W12 = W1(this.P0 + i6);
                if (W12 == ',') {
                    this.L0 = 16;
                    int i9 = this.P0 + i8;
                    this.P0 = i9;
                    this.O0 = W1(i9);
                } else if (W12 == ']') {
                    this.L0 = 15;
                    int i10 = this.P0 + i8;
                    this.P0 = i10;
                    this.O0 = W1(i10);
                } else if (W12 == '}') {
                    this.L0 = 13;
                    int i11 = this.P0 + i8;
                    this.P0 = i11;
                    this.O0 = W1(i11);
                } else if (W12 == 26) {
                    this.L0 = 20;
                    this.P0 += i8 - 1;
                    this.O0 = c.f5609e;
                } else {
                    this.Y0 = -1;
                    return Y2();
                }
                this.Y0 = 4;
                return Z2;
            } else {
                this.Y0 = -1;
                return Y2();
            }
        } else {
            throw new JSONException("unclosed str");
        }
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:57)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:15)
        */
    @Override // com.alibaba.fastjson.parser.c
    public final float D(char r23) {
        /*
        // Method dump skipped, instructions count: 432
        */
        throw new UnsupportedOperationException("Method not decompiled: com.alibaba.fastjson.parser.d.D(char):float");
    }

    @Override // com.alibaba.fastjson.parser.c
    public void D1(int i) {
        this.N0 = i;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:46:0x00fa, code lost:
        if (r12 != ',') goto L_0x010b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:47:0x00fc, code lost:
        r12 = r11.P0 + r1;
        r11.P0 = r12;
        r11.O0 = W1(r12);
        r11.Y0 = 3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:48:0x010a, code lost:
        return r13;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:50:0x010d, code lost:
        if (r12 != '}') goto L_0x0166;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:51:0x010f, code lost:
        r6 = r1 + 1;
        r12 = W1(r11.P0 + r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:52:0x0118, code lost:
        if (r12 != ',') goto L_0x012a;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:53:0x011a, code lost:
        r11.L0 = 16;
        r12 = r11.P0 + r6;
        r11.P0 = r12;
        r11.O0 = W1(r12);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:54:0x012a, code lost:
        if (r12 != ']') goto L_0x013c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:55:0x012c, code lost:
        r11.L0 = 15;
        r12 = r11.P0 + r6;
        r11.P0 = r12;
        r11.O0 = W1(r12);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:56:0x013c, code lost:
        if (r12 != '}') goto L_0x014e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:57:0x013e, code lost:
        r11.L0 = 13;
        r12 = r11.P0 + r6;
        r11.P0 = r12;
        r11.O0 = W1(r12);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:59:0x0150, code lost:
        if (r12 != 26) goto L_0x0163;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:60:0x0152, code lost:
        r11.P0 += r6 - 1;
        r11.L0 = 20;
        r11.O0 = com.alibaba.fastjson.parser.c.f5609e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:61:0x015f, code lost:
        r11.Y0 = 4;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:62:0x0162, code lost:
        return r13;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:63:0x0163, code lost:
        r11.Y0 = -1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:64:0x0165, code lost:
        return null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:65:0x0166, code lost:
        r11.Y0 = -1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:66:0x0168, code lost:
        return null;
     */
    public Collection<String> D2(char[] cArr, Class<?> cls) {
        char c2;
        int i;
        int i2;
        char c3;
        this.Y0 = 0;
        if (!V1(cArr)) {
            this.Y0 = -2;
            return null;
        }
        Collection<String> j2 = j2(cls);
        int length = cArr.length;
        int i3 = length + 1;
        if (W1(this.P0 + length) != '[') {
            this.Y0 = -1;
            return null;
        }
        int i4 = i3 + 1;
        char W1 = W1(this.P0 + i3);
        while (true) {
            if (W1 == '\"') {
                int a2 = a2(Typography.quote, this.P0 + i4);
                if (a2 != -1) {
                    int i5 = this.P0 + i4;
                    String Z2 = Z2(i5, a2 - i5);
                    if (Z2.indexOf(92) != -1) {
                        while (true) {
                            int i6 = a2 - 1;
                            int i7 = 0;
                            while (i6 >= 0 && W1(i6) == '\\') {
                                i7++;
                                i6--;
                            }
                            if (i7 % 2 == 0) {
                                break;
                            }
                            a2 = a2(Typography.quote, a2 + 1);
                        }
                        int i8 = this.P0;
                        int i9 = a2 - (i8 + i4);
                        Z2 = n2(a3(i8 + i4, i9), i9);
                    }
                    int i10 = this.P0;
                    int i11 = i4 + (a2 - (i10 + i4)) + 1;
                    i2 = i11 + 1;
                    c3 = W1(i10 + i11);
                    j2.add(Z2);
                } else {
                    throw new JSONException("unclosed str");
                }
            } else if (W1 == 'n' && W1(this.P0 + i4) == 'u' && W1(this.P0 + i4 + 1) == 'l' && W1(this.P0 + i4 + 2) == 'l') {
                int i12 = i4 + 3;
                int i13 = i12 + 1;
                c3 = W1(this.P0 + i12);
                j2.add(null);
                i2 = i13;
            } else if (W1 == ']' || j2.size() != 0) {
                throw new JSONException("illega str");
            } else {
                c2 = W1(this.P0 + i4);
                i = i4 + 1;
            }
            if (c3 == ',') {
                int i14 = i2 + 1;
                W1 = W1(this.P0 + i2);
                i4 = i14;
            } else if (c3 == ']') {
                i = i2 + 1;
                c2 = W1(this.P0 + i2);
            } else {
                this.Y0 = -1;
                return null;
            }
        }
        if (W1 == ']') {
        }
        throw new JSONException("illega str");
    }

    @Override // com.alibaba.fastjson.parser.c
    public final void E0(int i) {
        l2(':');
    }

    @Override // com.alibaba.fastjson.parser.c
    public final String E1() {
        return g.a(this.L0);
    }

    public String[] E2(char[] cArr, int i, j jVar) {
        throw new UnsupportedOperationException();
    }

    @Override // com.alibaba.fastjson.parser.c
    public final Number F1(boolean z) {
        char W1 = W1((this.T0 + this.S0) - 1);
        if (W1 == 'F') {
            try {
                return Float.valueOf(Float.parseFloat(Q1()));
            } catch (NumberFormatException e2) {
                throw new JSONException(e2.getMessage() + ", " + h());
            }
        } else if (W1 == 'D') {
            return Double.valueOf(Double.parseDouble(Q1()));
        } else {
            if (z) {
                return e0();
            }
            return Double.valueOf(Y1());
        }
    }

    public long F2(char[] cArr) {
        this.Y0 = 0;
        if (!V1(cArr)) {
            this.Y0 = -2;
            return 0;
        }
        int length = cArr.length;
        int i = length + 1;
        if (W1(this.P0 + length) != '\"') {
            this.Y0 = -1;
            return 0;
        }
        long j = -3750763034362895579L;
        while (true) {
            int i2 = i + 1;
            char W1 = W1(this.P0 + i);
            if (W1 == '\"') {
                int i3 = i2 + 1;
                char W12 = W1(this.P0 + i2);
                if (W12 == ',') {
                    int i4 = this.P0 + i3;
                    this.P0 = i4;
                    this.O0 = W1(i4);
                    this.Y0 = 3;
                    return j;
                } else if (W12 == '}') {
                    int i5 = i3 + 1;
                    char W13 = W1(this.P0 + i3);
                    if (W13 == ',') {
                        this.L0 = 16;
                        int i6 = this.P0 + i5;
                        this.P0 = i6;
                        this.O0 = W1(i6);
                    } else if (W13 == ']') {
                        this.L0 = 15;
                        int i7 = this.P0 + i5;
                        this.P0 = i7;
                        this.O0 = W1(i7);
                    } else if (W13 == '}') {
                        this.L0 = 13;
                        int i8 = this.P0 + i5;
                        this.P0 = i8;
                        this.O0 = W1(i8);
                    } else if (W13 == 26) {
                        this.L0 = 20;
                        this.P0 += i5 - 1;
                        this.O0 = c.f5609e;
                    } else {
                        this.Y0 = -1;
                        return 0;
                    }
                    this.Y0 = 4;
                    return j;
                } else {
                    this.Y0 = -1;
                    return 0;
                }
            } else {
                j = (j ^ ((long) W1)) * 1099511628211L;
                if (W1 == '\\') {
                    this.Y0 = -1;
                    return 0;
                }
                i = i2;
            }
        }
    }

    public UUID G2(char[] cArr) {
        char c2;
        UUID uuid;
        int i;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        int i14;
        this.Y0 = 0;
        if (!V1(cArr)) {
            this.Y0 = -2;
            return null;
        }
        int length = cArr.length;
        int i15 = length + 1;
        char W1 = W1(this.P0 + length);
        char c3 = 4;
        if (W1 == '\"') {
            int a2 = a2(Typography.quote, this.P0 + cArr.length + 1);
            if (a2 != -1) {
                int length2 = this.P0 + cArr.length + 1;
                int i16 = a2 - length2;
                char c4 = 'F';
                char c5 = 'f';
                char c6 = 'A';
                char c7 = '0';
                if (i16 == 36) {
                    int i17 = 0;
                    long j = 0;
                    while (i17 < 8) {
                        char W12 = W1(length2 + i17);
                        if (W12 < '0' || W12 > '9') {
                            if (W12 >= 'a' && W12 <= 'f') {
                                i14 = W12 - 'a';
                            } else if (W12 < 'A' || W12 > c4) {
                                this.Y0 = -2;
                                return null;
                            } else {
                                i14 = W12 - 'A';
                            }
                            i13 = i14 + 10;
                        } else {
                            i13 = W12 - '0';
                        }
                        j = (j << 4) | ((long) i13);
                        i17++;
                        a2 = a2;
                        c4 = 'F';
                    }
                    int i18 = 9;
                    int i19 = 13;
                    while (i18 < i19) {
                        char W13 = W1(length2 + i18);
                        if (W13 < '0' || W13 > '9') {
                            if (W13 >= 'a' && W13 <= 'f') {
                                i12 = W13 - 'a';
                            } else if (W13 < c6 || W13 > 'F') {
                                this.Y0 = -2;
                                return null;
                            } else {
                                i12 = W13 - 'A';
                            }
                            i11 = i12 + 10;
                        } else {
                            i11 = W13 - '0';
                        }
                        j = (j << c3) | ((long) i11);
                        i18++;
                        i19 = 13;
                        c6 = 'A';
                        c3 = 4;
                    }
                    long j2 = j;
                    for (int i20 = 14; i20 < 18; i20++) {
                        char W14 = W1(length2 + i20);
                        if (W14 < '0' || W14 > '9') {
                            if (W14 >= 'a' && W14 <= 'f') {
                                i9 = W14 - 'a';
                            } else if (W14 < 'A' || W14 > 'F') {
                                this.Y0 = -2;
                                return null;
                            } else {
                                i9 = W14 - 'A';
                            }
                            i10 = i9 + 10;
                        } else {
                            i10 = W14 - '0';
                        }
                        j2 = (j2 << 4) | ((long) i10);
                    }
                    long j3 = 0;
                    for (int i21 = 19; i21 < 23; i21++) {
                        char W15 = W1(length2 + i21);
                        if (W15 < '0' || W15 > '9') {
                            if (W15 >= 'a' && W15 <= 'f') {
                                i7 = W15 - 'a';
                            } else if (W15 < 'A' || W15 > 'F') {
                                this.Y0 = -2;
                                return null;
                            } else {
                                i7 = W15 - 'A';
                            }
                            i8 = i7 + 10;
                        } else {
                            i8 = W15 - '0';
                        }
                        j3 = (j3 << 4) | ((long) i8);
                    }
                    int i22 = 24;
                    long j4 = j3;
                    int i23 = 36;
                    while (i22 < i23) {
                        char W16 = W1(length2 + i22);
                        if (W16 < c7 || W16 > '9') {
                            if (W16 >= 'a' && W16 <= c5) {
                                i5 = W16 - 'a';
                            } else if (W16 < 'A' || W16 > 'F') {
                                this.Y0 = -2;
                                return null;
                            } else {
                                i5 = W16 - 'A';
                            }
                            i6 = i5 + 10;
                        } else {
                            i6 = W16 - '0';
                        }
                        j4 = (j4 << 4) | ((long) i6);
                        i22++;
                        i15 = i15;
                        i23 = 36;
                        c7 = '0';
                        c5 = 'f';
                    }
                    uuid = new UUID(j2, j4);
                    int i24 = this.P0;
                    int length3 = i15 + (a2 - ((cArr.length + i24) + 1)) + 1;
                    i = length3 + 1;
                    c2 = W1(i24 + length3);
                } else {
                    if (i16 == 32) {
                        long j5 = 0;
                        for (int i25 = 0; i25 < 16; i25++) {
                            char W17 = W1(length2 + i25);
                            if (W17 < '0' || W17 > '9') {
                                if (W17 >= 'a' && W17 <= 'f') {
                                    i3 = W17 - 'a';
                                } else if (W17 < 'A' || W17 > 'F') {
                                    this.Y0 = -2;
                                    return null;
                                } else {
                                    i3 = W17 - 'A';
                                }
                                i4 = i3 + 10;
                            } else {
                                i4 = W17 - '0';
                            }
                            j5 = (j5 << 4) | ((long) i4);
                        }
                        int i26 = 16;
                        long j6 = 0;
                        for (int i27 = 32; i26 < i27; i27 = 32) {
                            char W18 = W1(length2 + i26);
                            if (W18 >= '0' && W18 <= '9') {
                                i2 = W18 - '0';
                            } else if (W18 >= 'a' && W18 <= 'f') {
                                i2 = (W18 - 'a') + 10;
                            } else if (W18 < 'A' || W18 > 'F') {
                                this.Y0 = -2;
                                return null;
                            } else {
                                i2 = (W18 - 'A') + 10;
                                j6 = (j6 << 4) | ((long) i2);
                                i26++;
                            }
                            j6 = (j6 << 4) | ((long) i2);
                            i26++;
                        }
                        uuid = new UUID(j5, j6);
                        int i28 = this.P0;
                        int length4 = i15 + (a2 - ((cArr.length + i28) + 1)) + 1;
                        i = length4 + 1;
                        c2 = W1(i28 + length4);
                    } else {
                        this.Y0 = -1;
                        return null;
                    }
                }
            } else {
                throw new JSONException("unclosed str");
            }
        } else {
            if (W1 == 'n') {
                int i29 = i15 + 1;
                if (W1(this.P0 + i15) == 'u') {
                    int i30 = i29 + 1;
                    if (W1(this.P0 + i29) == 'l') {
                        int i31 = i30 + 1;
                        if (W1(this.P0 + i30) == 'l') {
                            c2 = W1(this.P0 + i31);
                            i = i31 + 1;
                            uuid = null;
                        }
                    }
                }
            }
            this.Y0 = -1;
            return null;
        }
        if (c2 == ',') {
            int i32 = this.P0 + i;
            this.P0 = i32;
            this.O0 = W1(i32);
            this.Y0 = 3;
            return uuid;
        } else if (c2 == '}') {
            int i33 = i + 1;
            char W19 = W1(this.P0 + i);
            if (W19 == ',') {
                this.L0 = 16;
                int i34 = this.P0 + i33;
                this.P0 = i34;
                this.O0 = W1(i34);
            } else if (W19 == ']') {
                this.L0 = 15;
                int i35 = this.P0 + i33;
                this.P0 = i35;
                this.O0 = W1(i35);
            } else if (W19 == '}') {
                this.L0 = 13;
                int i36 = this.P0 + i33;
                this.P0 = i36;
                this.O0 = W1(i36);
            } else if (W19 == 26) {
                this.L0 = 20;
                this.P0 += i33 - 1;
                this.O0 = c.f5609e;
            } else {
                this.Y0 = -1;
                return null;
            }
            this.Y0 = 4;
            return uuid;
        } else {
            this.Y0 = -1;
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:18:0x0041  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x004d  */
    public final void H2() {
        char next;
        if (this.O0 == 'x') {
            next();
            if (this.O0 == '\'') {
                this.T0 = this.P0;
                next();
                if (this.O0 == '\'') {
                    next();
                    this.L0 = 26;
                    return;
                }
                while (true) {
                    next = next();
                    if ((next >= '0' && next <= '9') || (next >= 'A' && next <= 'F')) {
                        this.S0++;
                    } else if (next != '\'') {
                        this.S0++;
                        next();
                        this.L0 = 26;
                        return;
                    } else {
                        throw new JSONException("illegal state. " + next);
                    }
                }
                if (next != '\'') {
                }
            } else {
                throw new JSONException("illegal state. " + this.O0);
            }
        } else {
            throw new JSONException("illegal state. " + this.O0);
        }
    }

    @Override // com.alibaba.fastjson.parser.c
    public final void I() {
        this.S0 = 0;
        while (true) {
            this.M0 = this.P0;
            char c2 = this.O0;
            if (c2 == '/') {
                V2();
            } else if (c2 == '\"') {
                M();
                return;
            } else if (c2 == ',') {
                next();
                this.L0 = 16;
                return;
            } else if (c2 >= '0' && c2 <= '9') {
                Q();
                return;
            } else if (c2 == '-') {
                Q();
                return;
            } else {
                switch (c2) {
                    case '\b':
                    case '\t':
                    case '\n':
                    case '\f':
                    case '\r':
                    case ' ':
                        next();
                        continue;
                    case '\'':
                        if (O(Feature.AllowSingleQuotes)) {
                            L2();
                            return;
                        }
                        throw new JSONException("Feature.AllowSingleQuotes is false");
                    case '(':
                        next();
                        this.L0 = 10;
                        return;
                    case ')':
                        next();
                        this.L0 = 11;
                        return;
                    case '+':
                        next();
                        Q();
                        return;
                    case '.':
                        next();
                        this.L0 = 25;
                        return;
                    case ':':
                        next();
                        this.L0 = 17;
                        return;
                    case ';':
                        next();
                        this.L0 = 24;
                        return;
                    case 'N':
                    case 'S':
                    case 'T':
                    case 'u':
                        I2();
                        return;
                    case '[':
                        next();
                        this.L0 = 14;
                        return;
                    case ']':
                        next();
                        this.L0 = 15;
                        return;
                    case 'f':
                        q2();
                        return;
                    case 'n':
                        J2();
                        return;
                    case 't':
                        M2();
                        return;
                    case 'x':
                        H2();
                        return;
                    case '{':
                        next();
                        this.L0 = 12;
                        return;
                    case '}':
                        next();
                        this.L0 = 13;
                        return;
                    default:
                        if (!b2()) {
                            char c3 = this.O0;
                            if (c3 <= 31 || c3 == 127) {
                                next();
                                continue;
                            } else {
                                e2("illegal.char", String.valueOf((int) c3));
                                next();
                                return;
                            }
                        } else if (this.L0 != 20) {
                            this.L0 = 20;
                            int i = this.P0;
                            this.M0 = i;
                            this.Q0 = i;
                            return;
                        } else {
                            throw new JSONException("EOF error");
                        }
                }
            }
        }
    }

    public final void I2() {
        this.T0 = this.P0 - 1;
        this.U0 = false;
        do {
            this.S0++;
            next();
        } while (Character.isLetterOrDigit(this.O0));
        String J02 = J0();
        if ("null".equalsIgnoreCase(J02)) {
            this.L0 = 8;
        } else if ("new".equals(J02)) {
            this.L0 = 9;
        } else if ("true".equals(J02)) {
            this.L0 = 6;
        } else if ("false".equals(J02)) {
            this.L0 = 7;
        } else if ("undefined".equals(J02)) {
            this.L0 = 23;
        } else if ("Set".equals(J02)) {
            this.L0 = 21;
        } else if ("TreeSet".equals(J02)) {
            this.L0 = 22;
        } else {
            this.L0 = 18;
        }
    }

    @Override // com.alibaba.fastjson.parser.c
    public abstract String J0();

    public final void J2() {
        K2(true);
    }

    @Override // com.alibaba.fastjson.parser.c
    public TimeZone K0() {
        return this.W0;
    }

    public final void K2(boolean z) {
        if (this.O0 == 'n') {
            next();
            char c2 = this.O0;
            if (c2 == 'u') {
                next();
                if (this.O0 == 'l') {
                    next();
                    if (this.O0 == 'l') {
                        next();
                        char c3 = this.O0;
                        if (c3 == ' ' || c3 == ',' || c3 == '}' || c3 == ']' || c3 == '\n' || c3 == '\r' || c3 == '\t' || c3 == 26 || ((c3 == ':' && z) || c3 == '\f' || c3 == '\b')) {
                            this.L0 = 8;
                            return;
                        }
                        throw new JSONException("scan null error");
                    }
                    throw new JSONException("error parse null");
                }
                throw new JSONException("error parse null");
            } else if (c2 == 'e') {
                next();
                if (this.O0 == 'w') {
                    next();
                    char c4 = this.O0;
                    if (c4 == ' ' || c4 == ',' || c4 == '}' || c4 == ']' || c4 == '\n' || c4 == '\r' || c4 == '\t' || c4 == 26 || c4 == '\f' || c4 == '\b') {
                        this.L0 = 9;
                        return;
                    }
                    throw new JSONException("scan new error");
                }
                throw new JSONException("error parse new");
            } else {
                throw new JSONException("error parse new");
            }
        } else {
            throw new JSONException("error parse null or new");
        }
    }

    @Override // com.alibaba.fastjson.parser.c
    public Locale L1() {
        return this.X0;
    }

    @Override // com.alibaba.fastjson.parser.c
    public final void M() {
        char next;
        char next2;
        this.T0 = this.P0;
        this.U0 = false;
        while (true) {
            char next3 = next();
            if (next3 == '\"') {
                this.L0 = 4;
                this.O0 = next();
                return;
            } else if (next3 != 26) {
                boolean z = true;
                if (next3 == '\\') {
                    if (!this.U0) {
                        this.U0 = true;
                        int i = this.S0;
                        char[] cArr = this.R0;
                        if (i >= cArr.length) {
                            int length = cArr.length * 2;
                            if (i <= length) {
                                i = length;
                            }
                            char[] cArr2 = new char[i];
                            System.arraycopy(cArr, 0, cArr2, 0, cArr.length);
                            this.R0 = cArr2;
                        }
                        X1(this.T0 + 1, this.S0, this.R0);
                    }
                    char next4 = next();
                    if (next4 == '\"') {
                        m2(Typography.quote);
                    } else if (next4 != '\'') {
                        if (next4 != 'F') {
                            if (next4 == '\\') {
                                m2(z0.f14783b);
                            } else if (next4 == 'b') {
                                m2('\b');
                            } else if (next4 != 'f') {
                                if (next4 == 'n') {
                                    m2('\n');
                                } else if (next4 == 'r') {
                                    m2('\r');
                                } else if (next4 != 'x') {
                                    switch (next4) {
                                        case '/':
                                            m2('/');
                                            continue;
                                        case '0':
                                            m2(0);
                                            continue;
                                        case '1':
                                            m2(1);
                                            continue;
                                        case '2':
                                            m2(2);
                                            continue;
                                        case '3':
                                            m2(3);
                                            continue;
                                        case '4':
                                            m2(4);
                                            continue;
                                        case '5':
                                            m2(5);
                                            continue;
                                        case '6':
                                            m2(6);
                                            continue;
                                        case '7':
                                            m2(7);
                                            continue;
                                        default:
                                            switch (next4) {
                                                case 't':
                                                    m2('\t');
                                                    continue;
                                                case 'u':
                                                    m2((char) Integer.parseInt(new String(new char[]{next(), next(), next(), next()}), 16));
                                                    continue;
                                                case 'v':
                                                    m2(11);
                                                    continue;
                                                    continue;
                                                default:
                                                    this.O0 = next4;
                                                    throw new JSONException("unclosed string : " + next4);
                                            }
                                    }
                                } else {
                                    next = next();
                                    next2 = next();
                                    boolean z2 = (next >= '0' && next <= '9') || (next >= 'a' && next <= 'f') || (next >= 'A' && next <= 'F');
                                    if ((next2 < '0' || next2 > '9') && ((next2 < 'a' || next2 > 'f') && (next2 < 'A' || next2 > 'F'))) {
                                        z = false;
                                    }
                                    if (!z2 || !z) {
                                    } else {
                                        int[] iArr = K0;
                                        m2((char) ((iArr[next] * 16) + iArr[next2]));
                                    }
                                }
                            }
                        }
                        m2('\f');
                    } else {
                        m2(z0.f14782a);
                    }
                } else if (!this.U0) {
                    this.S0++;
                } else {
                    int i2 = this.S0;
                    char[] cArr3 = this.R0;
                    if (i2 == cArr3.length) {
                        m2(next3);
                    } else {
                        this.S0 = i2 + 1;
                        cArr3[i2] = next3;
                    }
                }
            } else if (!b2()) {
                m2(c.f5609e);
            } else {
                throw new JSONException("unclosed string : " + next3);
            }
        }
        throw new JSONException("invalid escape character \\x" + next + next2);
    }

    public final void M2() {
        if (this.O0 == 't') {
            next();
            if (this.O0 == 'r') {
                next();
                if (this.O0 == 'u') {
                    next();
                    if (this.O0 == 'e') {
                        next();
                        char c2 = this.O0;
                        if (c2 == ' ' || c2 == ',' || c2 == '}' || c2 == ']' || c2 == '\n' || c2 == '\r' || c2 == '\t' || c2 == 26 || c2 == '\f' || c2 == '\b' || c2 == ':' || c2 == '/') {
                            this.L0 = 6;
                            return;
                        }
                        throw new JSONException("scan true error");
                    }
                    throw new JSONException("error parse true");
                }
                throw new JSONException("error parse true");
            }
            throw new JSONException("error parse true");
        }
        throw new JSONException("error parse true");
    }

    public final int N2(String str) {
        this.Y0 = 0;
        char[] cArr = f5611b;
        if (!V1(cArr)) {
            return -2;
        }
        int length = this.P0 + cArr.length;
        int length2 = str.length();
        for (int i = 0; i < length2; i++) {
            if (str.charAt(i) != W1(length + i)) {
                return -1;
            }
        }
        int i2 = length + length2;
        if (W1(i2) != '\"') {
            return -1;
        }
        int i3 = i2 + 1;
        char W1 = W1(i3);
        this.O0 = W1;
        if (W1 == ',') {
            int i4 = i3 + 1;
            this.O0 = W1(i4);
            this.P0 = i4;
            this.L0 = 16;
            return 3;
        }
        if (W1 == '}') {
            i3++;
            char W12 = W1(i3);
            this.O0 = W12;
            if (W12 == ',') {
                this.L0 = 16;
                i3++;
                this.O0 = W1(i3);
            } else if (W12 == ']') {
                this.L0 = 15;
                i3++;
                this.O0 = W1(i3);
            } else if (W12 == '}') {
                this.L0 = 13;
                i3++;
                this.O0 = W1(i3);
            } else if (W12 != 26) {
                return -1;
            } else {
                this.L0 = 20;
            }
            this.Y0 = 4;
        }
        this.P0 = i3;
        return this.Y0;
    }

    @Override // com.alibaba.fastjson.parser.c
    public final boolean O(Feature feature) {
        return isEnabled(feature.mask);
    }

    @Override // com.alibaba.fastjson.parser.c
    public final boolean O1() {
        if (this.S0 == 4 && W1(this.T0 + 1) == '$' && W1(this.T0 + 2) == 'r' && W1(this.T0 + 3) == 'e' && W1(this.T0 + 4) == 'f') {
            return true;
        }
        return false;
    }

    public UUID O2(char c2) {
        char c3;
        int i;
        UUID uuid;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        int i14;
        this.Y0 = 0;
        char W1 = W1(this.P0 + 0);
        int i15 = 13;
        char c4 = 4;
        if (W1 == '\"') {
            int a2 = a2(Typography.quote, this.P0 + 1);
            if (a2 != -1) {
                int i16 = this.P0 + 1;
                int i17 = a2 - i16;
                char c5 = 'f';
                char c6 = 'A';
                char c7 = 'a';
                if (i17 == 36) {
                    int i18 = 0;
                    long j = 0;
                    while (i18 < 8) {
                        char W12 = W1(i16 + i18);
                        if (W12 < '0' || W12 > '9') {
                            if (W12 >= 'a' && W12 <= c5) {
                                i14 = W12 - 'a';
                            } else if (W12 < 'A' || W12 > 'F') {
                                this.Y0 = -2;
                                return null;
                            } else {
                                i14 = W12 - 'A';
                            }
                            i13 = i14 + 10;
                        } else {
                            i13 = W12 - '0';
                        }
                        j = (j << 4) | ((long) i13);
                        i18++;
                        c5 = 'f';
                    }
                    int i19 = 9;
                    while (i19 < i15) {
                        char W13 = W1(i16 + i19);
                        if (W13 < '0' || W13 > '9') {
                            if (W13 >= 'a' && W13 <= 'f') {
                                i12 = W13 - 'a';
                            } else if (W13 < c6 || W13 > 'F') {
                                this.Y0 = -2;
                                return null;
                            } else {
                                i12 = W13 - 'A';
                            }
                            i11 = i12 + 10;
                        } else {
                            i11 = W13 - '0';
                        }
                        j = (j << 4) | ((long) i11);
                        i19++;
                        i15 = 13;
                        c6 = 'A';
                    }
                    long j2 = j;
                    for (int i20 = 14; i20 < 18; i20++) {
                        char W14 = W1(i16 + i20);
                        if (W14 < '0' || W14 > '9') {
                            if (W14 >= 'a' && W14 <= 'f') {
                                i10 = W14 - 'a';
                            } else if (W14 < 'A' || W14 > 'F') {
                                this.Y0 = -2;
                                return null;
                            } else {
                                i10 = W14 - 'A';
                            }
                            i9 = i10 + 10;
                        } else {
                            i9 = W14 - '0';
                        }
                        j2 = (j2 << 4) | ((long) i9);
                    }
                    int i21 = 19;
                    long j3 = 0;
                    while (i21 < 23) {
                        char W15 = W1(i16 + i21);
                        if (W15 < '0' || W15 > '9') {
                            if (W15 >= c7 && W15 <= 'f') {
                                i8 = W15 - 'a';
                            } else if (W15 < 'A' || W15 > 'F') {
                                this.Y0 = -2;
                                return null;
                            } else {
                                i8 = W15 - 'A';
                            }
                            i7 = i8 + 10;
                        } else {
                            i7 = W15 - '0';
                        }
                        j3 = (j3 << c4) | ((long) i7);
                        i21++;
                        c7 = 'a';
                        c4 = 4;
                    }
                    long j4 = j3;
                    for (int i22 = 24; i22 < 36; i22++) {
                        char W16 = W1(i16 + i22);
                        if (W16 < '0' || W16 > '9') {
                            if (W16 >= 'a' && W16 <= 'f') {
                                i5 = W16 - 'a';
                            } else if (W16 < 'A' || W16 > 'F') {
                                this.Y0 = -2;
                                return null;
                            } else {
                                i5 = W16 - 'A';
                            }
                            i6 = i5 + 10;
                        } else {
                            i6 = W16 - '0';
                        }
                        j4 = (j4 << 4) | ((long) i6);
                    }
                    uuid = new UUID(j2, j4);
                    int i23 = this.P0;
                    int i24 = 1 + (a2 - (i23 + 1)) + 1;
                    i = i24 + 1;
                    c3 = W1(i23 + i24);
                } else {
                    if (i17 == 32) {
                        long j5 = 0;
                        for (int i25 = 0; i25 < 16; i25++) {
                            char W17 = W1(i16 + i25);
                            if (W17 < '0' || W17 > '9') {
                                if (W17 >= 'a' && W17 <= 'f') {
                                    i3 = W17 - 'a';
                                } else if (W17 < 'A' || W17 > 'F') {
                                    this.Y0 = -2;
                                    return null;
                                } else {
                                    i3 = W17 - 'A';
                                }
                                i4 = i3 + 10;
                            } else {
                                i4 = W17 - '0';
                            }
                            j5 = (j5 << 4) | ((long) i4);
                        }
                        int i26 = 16;
                        long j6 = 0;
                        for (int i27 = 32; i26 < i27; i27 = 32) {
                            char W18 = W1(i16 + i26);
                            if (W18 >= '0' && W18 <= '9') {
                                i2 = W18 - '0';
                            } else if (W18 >= 'a' && W18 <= 'f') {
                                i2 = (W18 - 'a') + 10;
                            } else if (W18 < 'A' || W18 > 'F') {
                                this.Y0 = -2;
                                return null;
                            } else {
                                i2 = (W18 - 'A') + 10;
                            }
                            j6 = (j6 << 4) | ((long) i2);
                            i26++;
                        }
                        uuid = new UUID(j5, j6);
                        int i28 = this.P0;
                        int i29 = 1 + (a2 - (i28 + 1)) + 1;
                        i = i29 + 1;
                        c3 = W1(i28 + i29);
                    } else {
                        this.Y0 = -1;
                        return null;
                    }
                }
            } else {
                throw new JSONException("unclosed str");
            }
        } else if (W1 == 'n' && W1(this.P0 + 1) == 'u' && W1(this.P0 + 2) == 'l' && W1(this.P0 + 3) == 'l') {
            i = 5;
            c3 = W1(this.P0 + 4);
            uuid = null;
        } else {
            this.Y0 = -1;
            return null;
        }
        if (c3 == ',') {
            int i30 = this.P0 + i;
            this.P0 = i30;
            this.O0 = W1(i30);
            this.Y0 = 3;
            return uuid;
        } else if (c3 == ']') {
            int i31 = i + 1;
            char W19 = W1(this.P0 + i);
            if (W19 == ',') {
                this.L0 = 16;
                int i32 = this.P0 + i31;
                this.P0 = i32;
                this.O0 = W1(i32);
            } else if (W19 == ']') {
                this.L0 = 15;
                int i33 = this.P0 + i31;
                this.P0 = i33;
                this.O0 = W1(i33);
            } else if (W19 == '}') {
                this.L0 = 13;
                int i34 = this.P0 + i31;
                this.P0 = i34;
                this.O0 = W1(i34);
            } else if (W19 == 26) {
                this.L0 = 20;
                this.P0 += i31 - 1;
                this.O0 = c.f5609e;
            } else {
                this.Y0 = -1;
                return null;
            }
            this.Y0 = 4;
            return uuid;
        } else {
            this.Y0 = -1;
            return null;
        }
    }

    @Override // com.alibaba.fastjson.parser.c
    public final int P() {
        boolean z;
        int i;
        int i2;
        int i3 = 0;
        if (this.T0 == -1) {
            this.T0 = 0;
        }
        int i4 = this.T0;
        int i5 = this.S0 + i4;
        if (W1(i4) == '-') {
            i = Integer.MIN_VALUE;
            i4++;
            z = true;
        } else {
            i = -2147483647;
            z = false;
        }
        if (i4 < i5) {
            i3 = -(W1(i4) - '0');
            i4++;
        }
        while (true) {
            if (i4 >= i5) {
                break;
            }
            i2 = i4 + 1;
            char W1 = W1(i4);
            if (W1 == 'L' || W1 == 'S' || W1 == 'B') {
                i4 = i2;
            } else {
                int i6 = W1 - '0';
                if (((long) i3) >= -214748364) {
                    int i7 = i3 * 10;
                    if (i7 >= i + i6) {
                        i3 = i7 - i6;
                        i4 = i2;
                    } else {
                        throw new NumberFormatException(Q1());
                    }
                } else {
                    throw new NumberFormatException(Q1());
                }
            }
        }
        i4 = i2;
        if (!z) {
            return -i3;
        }
        if (i4 > this.T0 + 1) {
            return i3;
        }
        throw new NumberFormatException(Q1());
    }

    public boolean P2(int i) {
        throw new UnsupportedOperationException();
    }

    /* JADX WARNING: Removed duplicated region for block: B:49:0x00c1  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00c5  */
    @Override // com.alibaba.fastjson.parser.c
    public final void Q() {
        char c2;
        this.T0 = this.P0;
        boolean z = true;
        if (this.O0 == '-') {
            this.S0++;
            next();
        }
        while (true) {
            c2 = this.O0;
            if (c2 < '0' || c2 > '9') {
                boolean z2 = false;
            } else {
                this.S0++;
                next();
            }
        }
        boolean z22 = false;
        if (c2 == '.') {
            this.S0++;
            next();
            while (true) {
                char c3 = this.O0;
                if (c3 < '0' || c3 > '9') {
                    z22 = true;
                } else {
                    this.S0++;
                    next();
                }
            }
            z22 = true;
        }
        int i = this.S0;
        if (i <= 65535) {
            char c4 = this.O0;
            if (c4 == 'L') {
                this.S0 = i + 1;
                next();
            } else if (c4 == 'S') {
                this.S0 = i + 1;
                next();
            } else if (c4 == 'B') {
                this.S0 = i + 1;
                next();
            } else {
                if (c4 == 'F') {
                    this.S0 = i + 1;
                    next();
                } else if (c4 == 'D') {
                    this.S0 = i + 1;
                    next();
                } else if (c4 == 'e' || c4 == 'E') {
                    this.S0 = i + 1;
                    next();
                    char c5 = this.O0;
                    if (c5 == '+' || c5 == '-') {
                        this.S0++;
                        next();
                    }
                    while (true) {
                        char c6 = this.O0;
                        if (c6 >= '0' && c6 <= '9') {
                            this.S0++;
                            next();
                        } else if (c6 == 'D' || c6 == 'F') {
                            this.S0++;
                            next();
                        }
                    }
                    this.S0++;
                    next();
                }
                if (!z) {
                    this.L0 = 3;
                    return;
                } else {
                    this.L0 = 2;
                    return;
                }
            }
            z = z22;
            if (!z) {
            }
        } else {
            throw new JSONException("scanNumber overflow");
        }
    }

    @Override // com.alibaba.fastjson.parser.c
    public abstract String Q1();

    public int Q2(long j, boolean z) {
        throw new UnsupportedOperationException();
    }

    public int R2(long[] jArr) {
        throw new UnsupportedOperationException();
    }

    public int S2(long j) {
        throw new UnsupportedOperationException();
    }

    @Override // com.alibaba.fastjson.parser.c
    public final Number T0() throws NumberFormatException {
        long j;
        long j2;
        boolean z = false;
        if (this.T0 == -1) {
            this.T0 = 0;
        }
        int i = this.T0;
        int i2 = this.S0 + i;
        char c2 = ' ';
        char W1 = W1(i2 - 1);
        if (W1 == 'B') {
            i2--;
            c2 = 'B';
        } else if (W1 == 'L') {
            i2--;
            c2 = 'L';
        } else if (W1 == 'S') {
            i2--;
            c2 = 'S';
        }
        if (W1(this.T0) == '-') {
            j = Long.MIN_VALUE;
            i++;
            z = true;
        } else {
            j = C.f7870b;
        }
        long j3 = -922337203685477580L;
        if (i < i2) {
            j2 = (long) (-(W1(i) - '0'));
            i++;
        } else {
            j2 = 0;
        }
        while (i < i2) {
            int i3 = i + 1;
            int W12 = W1(i) - '0';
            if (j2 < j3) {
                return new BigInteger(Q1(), 10);
            }
            long j4 = j2 * 10;
            long j5 = (long) W12;
            if (j4 < j + j5) {
                return new BigInteger(Q1(), 10);
            }
            j2 = j4 - j5;
            i = i3;
            j3 = -922337203685477580L;
        }
        if (!z) {
            long j6 = -j2;
            if (j6 > 2147483647L || c2 == 'L') {
                return Long.valueOf(j6);
            }
            if (c2 == 'S') {
                return Short.valueOf((short) ((int) j6));
            }
            if (c2 == 'B') {
                return Byte.valueOf((byte) ((int) j6));
            }
            return Integer.valueOf((int) j6);
        } else if (i <= this.T0 + 1) {
            throw new NumberFormatException(Q1());
        } else if (j2 < -2147483648L || c2 == 'L') {
            return Long.valueOf(j2);
        } else {
            if (c2 == 'S') {
                return Short.valueOf((short) ((int) j2));
            }
            if (c2 == 'B') {
                return Byte.valueOf((byte) ((int) j2));
            }
            return Integer.valueOf((int) j2);
        }
    }

    public void T2(int i) {
        this.L0 = i;
    }

    /* access modifiers changed from: protected */
    public abstract void U1(int i, char[] cArr, int i2, int i3);

    public void U2() {
        throw new UnsupportedOperationException();
    }

    @Override // com.alibaba.fastjson.parser.c
    public float V0() {
        char charAt;
        String Q1 = Q1();
        float parseFloat = Float.parseFloat(Q1);
        if ((parseFloat != 0.0f && parseFloat != Float.POSITIVE_INFINITY) || (charAt = Q1.charAt(0)) <= '0' || charAt > '9') {
            return parseFloat;
        }
        throw new JSONException("float overflow : " + Q1);
    }

    /* access modifiers changed from: protected */
    public abstract boolean V1(char[] cArr);

    /* access modifiers changed from: protected */
    public void V2() {
        char c2;
        next();
        char c3 = this.O0;
        if (c3 == '/') {
            do {
                next();
                c2 = this.O0;
                if (c2 == '\n') {
                    next();
                    return;
                }
            } while (c2 != 26);
        } else if (c3 == '*') {
            next();
            while (true) {
                char c4 = this.O0;
                if (c4 == 26) {
                    return;
                }
                if (c4 == '*') {
                    next();
                    if (this.O0 == '/') {
                        next();
                        return;
                    }
                } else {
                    next();
                }
            }
        } else {
            throw new JSONException("invalid comment");
        }
    }

    public abstract char W1(int i);

    public void W2() {
        throw new UnsupportedOperationException();
    }

    @Override // com.alibaba.fastjson.parser.c
    public void X0(Collection<String> collection, char c2) {
        int i;
        char c3;
        int i2;
        char c4;
        this.Y0 = 0;
        char W1 = W1(this.P0 + 0);
        char c5 = 'u';
        char c6 = 'n';
        if (W1 == 'n' && W1(this.P0 + 1) == 'u' && W1(this.P0 + 1 + 1) == 'l' && W1(this.P0 + 1 + 2) == 'l' && W1(this.P0 + 1 + 3) == c2) {
            int i3 = this.P0 + 5;
            this.P0 = i3;
            this.O0 = W1(i3);
            this.Y0 = 5;
        } else if (W1 != '[') {
            this.Y0 = -1;
        } else {
            char W12 = W1(this.P0 + 1);
            int i4 = 2;
            while (true) {
                if (W12 != c6 || W1(this.P0 + i4) != c5 || W1(this.P0 + i4 + 1) != 'l' || W1(this.P0 + i4 + 2) != 'l') {
                    if (W12 == ']' && collection.size() == 0) {
                        i = i4 + 1;
                        c3 = W1(this.P0 + i4);
                        break;
                    } else if (W12 != '\"') {
                        this.Y0 = -1;
                        return;
                    } else {
                        int i5 = this.P0 + i4;
                        int a2 = a2(Typography.quote, i5);
                        if (a2 != -1) {
                            String Z2 = Z2(this.P0 + i4, a2 - i5);
                            if (Z2.indexOf(92) != -1) {
                                while (true) {
                                    int i6 = a2 - 1;
                                    int i7 = 0;
                                    while (i6 >= 0 && W1(i6) == '\\') {
                                        i7++;
                                        i6--;
                                    }
                                    if (i7 % 2 == 0) {
                                        break;
                                    }
                                    a2 = a2(Typography.quote, a2 + 1);
                                }
                                int i8 = a2 - i5;
                                Z2 = n2(a3(this.P0 + i4, i8), i8);
                            }
                            int i9 = this.P0;
                            int i10 = i4 + (a2 - (i9 + i4)) + 1;
                            i2 = i10 + 1;
                            c4 = W1(i9 + i10);
                            collection.add(Z2);
                        } else {
                            throw new JSONException("unclosed str");
                        }
                    }
                } else {
                    int i11 = i4 + 3;
                    i2 = i11 + 1;
                    c4 = W1(this.P0 + i11);
                    collection.add(null);
                }
                if (c4 == ',') {
                    i4 = i2 + 1;
                    W12 = W1(this.P0 + i2);
                    c5 = 'u';
                    c6 = 'n';
                } else if (c4 == ']') {
                    i = i2 + 1;
                    c3 = W1(this.P0 + i2);
                } else {
                    this.Y0 = -1;
                    return;
                }
            }
            if (c3 == c2) {
                int i12 = this.P0 + i;
                this.P0 = i12;
                this.O0 = W1(i12);
                this.Y0 = 3;
                return;
            }
            this.Y0 = -1;
        }
    }

    /* access modifiers changed from: protected */
    public abstract void X1(int i, int i2, char[] cArr);

    public void X2(boolean z) {
        throw new UnsupportedOperationException();
    }

    public double Y1() {
        return Double.parseDouble(Q1());
    }

    public final String Y2() {
        return this.Z0;
    }

    @Override // com.alibaba.fastjson.parser.c
    public final void Z(int i) {
        this.S0 = 0;
        while (true) {
            if (i == 2) {
                char c2 = this.O0;
                if (c2 >= '0' && c2 <= '9') {
                    this.M0 = this.P0;
                    Q();
                    return;
                } else if (c2 == '\"') {
                    this.M0 = this.P0;
                    M();
                    return;
                } else if (c2 == '[') {
                    this.L0 = 14;
                    next();
                    return;
                } else if (c2 == '{') {
                    this.L0 = 12;
                    next();
                    return;
                }
            } else if (i == 4) {
                char c3 = this.O0;
                if (c3 == '\"') {
                    this.M0 = this.P0;
                    M();
                    return;
                } else if (c3 >= '0' && c3 <= '9') {
                    this.M0 = this.P0;
                    Q();
                    return;
                } else if (c3 == '[') {
                    this.L0 = 14;
                    next();
                    return;
                } else if (c3 == '{') {
                    this.L0 = 12;
                    next();
                    return;
                }
            } else if (i == 12) {
                char c4 = this.O0;
                if (c4 == '{') {
                    this.L0 = 12;
                    next();
                    return;
                } else if (c4 == '[') {
                    this.L0 = 14;
                    next();
                    return;
                }
            } else if (i != 18) {
                if (i != 20) {
                    switch (i) {
                        case 14:
                            char c5 = this.O0;
                            if (c5 == '[') {
                                this.L0 = 14;
                                next();
                                return;
                            } else if (c5 == '{') {
                                this.L0 = 12;
                                next();
                                return;
                            }
                            break;
                        case 15:
                            if (this.O0 == ']') {
                                this.L0 = 15;
                                next();
                                return;
                            }
                            break;
                        case 16:
                            char c6 = this.O0;
                            if (c6 == ',') {
                                this.L0 = 16;
                                next();
                                return;
                            } else if (c6 == '}') {
                                this.L0 = 13;
                                next();
                                return;
                            } else if (c6 == ']') {
                                this.L0 = 15;
                                next();
                                return;
                            } else if (c6 == 26) {
                                this.L0 = 20;
                                return;
                            } else if (c6 == 'n') {
                                K2(false);
                                return;
                            }
                            break;
                    }
                }
                if (this.O0 == 26) {
                    this.L0 = 20;
                    return;
                }
            } else {
                k2();
                return;
            }
            char c7 = this.O0;
            if (c7 == ' ' || c7 == '\n' || c7 == '\r' || c7 == '\t' || c7 == '\f' || c7 == '\b') {
                next();
            } else {
                I();
                return;
            }
        }
    }

    @Override // com.alibaba.fastjson.parser.c
    public final int Z0() {
        return this.L0;
    }

    public Calendar Z1() {
        return this.V0;
    }

    public abstract String Z2(int i, int i2);

    public abstract String a(int i, int i2, int i3, j jVar);

    public abstract int a2(char c2, int i);

    /* access modifiers changed from: protected */
    public abstract char[] a3(int i, int i2);

    @Override // com.alibaba.fastjson.parser.c
    public final String b0(j jVar, char c2) {
        String str;
        this.T0 = this.P0;
        this.S0 = 0;
        boolean z = false;
        int i = 0;
        while (true) {
            char next = next();
            if (next == c2) {
                this.L0 = 4;
                if (!z) {
                    int i2 = this.T0;
                    str = a(i2 == -1 ? 0 : i2 + 1, this.S0, i, jVar);
                } else {
                    str = jVar.d(this.R0, 0, this.S0, i);
                }
                this.S0 = 0;
                next();
                return str;
            } else if (next == 26) {
                throw new JSONException("unclosed.str");
            } else if (next == '\\') {
                if (!z) {
                    int i3 = this.S0;
                    char[] cArr = this.R0;
                    if (i3 >= cArr.length) {
                        int length = cArr.length * 2;
                        if (i3 <= length) {
                            i3 = length;
                        }
                        char[] cArr2 = new char[i3];
                        System.arraycopy(cArr, 0, cArr2, 0, cArr.length);
                        this.R0 = cArr2;
                    }
                    U1(this.T0 + 1, this.R0, 0, this.S0);
                    z = true;
                }
                char next2 = next();
                if (next2 == '\"') {
                    i = (i * 31) + 34;
                    m2(Typography.quote);
                } else if (next2 != '\'') {
                    if (next2 != 'F') {
                        if (next2 == '\\') {
                            i = (i * 31) + 92;
                            m2(z0.f14783b);
                        } else if (next2 == 'b') {
                            i = (i * 31) + 8;
                            m2('\b');
                        } else if (next2 != 'f') {
                            if (next2 == 'n') {
                                i = (i * 31) + 10;
                                m2('\n');
                            } else if (next2 == 'r') {
                                i = (i * 31) + 13;
                                m2('\r');
                            } else if (next2 != 'x') {
                                switch (next2) {
                                    case '/':
                                        i = (i * 31) + 47;
                                        m2('/');
                                        continue;
                                    case '0':
                                        i = (i * 31) + next2;
                                        m2(0);
                                        continue;
                                    case '1':
                                        i = (i * 31) + next2;
                                        m2(1);
                                        continue;
                                    case '2':
                                        i = (i * 31) + next2;
                                        m2(2);
                                        continue;
                                    case '3':
                                        i = (i * 31) + next2;
                                        m2(3);
                                        continue;
                                    case '4':
                                        i = (i * 31) + next2;
                                        m2(4);
                                        continue;
                                    case '5':
                                        i = (i * 31) + next2;
                                        m2(5);
                                        continue;
                                    case '6':
                                        i = (i * 31) + next2;
                                        m2(6);
                                        continue;
                                    case '7':
                                        i = (i * 31) + next2;
                                        m2(7);
                                        continue;
                                    default:
                                        switch (next2) {
                                            case 't':
                                                i = (i * 31) + 9;
                                                m2('\t');
                                                continue;
                                            case 'u':
                                                int parseInt = Integer.parseInt(new String(new char[]{next(), next(), next(), next()}), 16);
                                                i = (i * 31) + parseInt;
                                                m2((char) parseInt);
                                                continue;
                                            case 'v':
                                                i = (i * 31) + 11;
                                                m2(11);
                                                continue;
                                                continue;
                                            default:
                                                this.O0 = next2;
                                                throw new JSONException("unclosed.str.lit");
                                        }
                                }
                            } else {
                                char next3 = next();
                                this.O0 = next3;
                                char next4 = next();
                                this.O0 = next4;
                                int[] iArr = K0;
                                char c3 = (char) ((iArr[next3] * 16) + iArr[next4]);
                                i = (i * 31) + c3;
                                m2(c3);
                            }
                        }
                    }
                    i = (i * 31) + 12;
                    m2('\f');
                } else {
                    i = (i * 31) + 39;
                    m2(z0.f14782a);
                }
            } else {
                i = (i * 31) + next;
                if (!z) {
                    this.S0++;
                } else {
                    int i4 = this.S0;
                    char[] cArr3 = this.R0;
                    if (i4 == cArr3.length) {
                        m2(next);
                    } else {
                        this.S0 = i4 + 1;
                        cArr3[i4] = next;
                    }
                }
            }
        }
    }

    @Override // com.alibaba.fastjson.parser.c
    public String b1(char c2) {
        this.Y0 = 0;
        char W1 = W1(this.P0 + 0);
        if (W1 != 'n') {
            int i = 1;
            while (W1 != '\"') {
                if (d2(W1)) {
                    W1 = W1(this.P0 + i);
                    i++;
                } else {
                    this.Y0 = -1;
                    return Y2();
                }
            }
            int i2 = this.P0 + i;
            int a2 = a2(Typography.quote, i2);
            if (a2 != -1) {
                String Z2 = Z2(this.P0 + i, a2 - i2);
                if (Z2.indexOf(92) != -1) {
                    while (true) {
                        int i3 = a2 - 1;
                        int i4 = 0;
                        while (i3 >= 0 && W1(i3) == '\\') {
                            i4++;
                            i3--;
                        }
                        if (i4 % 2 == 0) {
                            break;
                        }
                        a2 = a2(Typography.quote, a2 + 1);
                    }
                    int i5 = a2 - i2;
                    Z2 = n2(a3(this.P0 + 1, i5), i5);
                }
                int i6 = i + (a2 - i2) + 1;
                int i7 = i6 + 1;
                char W12 = W1(this.P0 + i6);
                while (W12 != c2) {
                    if (d2(W12)) {
                        W12 = W1(this.P0 + i7);
                        i7++;
                    } else {
                        if (W12 == ']') {
                            int i8 = this.P0 + i7;
                            this.P0 = i8;
                            this.O0 = W1(i8);
                            this.Y0 = -1;
                        }
                        return Z2;
                    }
                }
                int i9 = this.P0 + i7;
                this.P0 = i9;
                this.O0 = W1(i9);
                this.Y0 = 3;
                this.L0 = 16;
                return Z2;
            }
            throw new JSONException("unclosed str");
        } else if (W1(this.P0 + 1) != 'u' || W1(this.P0 + 1 + 1) != 'l' || W1(this.P0 + 1 + 2) != 'l') {
            this.Y0 = -1;
            return null;
        } else if (W1(this.P0 + 4) == c2) {
            int i10 = this.P0 + 5;
            this.P0 = i10;
            this.O0 = W1(i10);
            this.Y0 = 3;
            return null;
        } else {
            this.Y0 = -1;
            return null;
        }
    }

    public abstract boolean b2();

    @Override // com.alibaba.fastjson.parser.c
    public void c(TimeZone timeZone) {
        this.W0 = timeZone;
    }

    @Override // com.alibaba.fastjson.parser.c
    public final String c1(j jVar) {
        s1();
        char c2 = this.O0;
        if (c2 == '\"') {
            return b0(jVar, Typography.quote);
        }
        if (c2 == '\'') {
            if (O(Feature.AllowSingleQuotes)) {
                return b0(jVar, z0.f14782a);
            }
            throw new JSONException("syntax error");
        } else if (c2 == '}') {
            next();
            this.L0 = 13;
            return null;
        } else if (c2 == ',') {
            next();
            this.L0 = 16;
            return null;
        } else if (c2 == 26) {
            this.L0 = 20;
            return null;
        } else if (O(Feature.AllowUnQuotedFieldNames)) {
            return z0(jVar);
        } else {
            throw new JSONException("syntax error");
        }
    }

    public final boolean c2(int i, int i2) {
        return ((this.N0 & i2) == 0 && (i & i2) == 0) ? false : true;
    }

    @Override // com.alibaba.fastjson.parser.c, java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        char[] cArr = this.R0;
        if (cArr.length <= 8192) {
            f5610a.set(cArr);
        }
        this.R0 = null;
    }

    @Override // com.alibaba.fastjson.parser.c
    public final int d() {
        return this.M0;
    }

    @Override // com.alibaba.fastjson.parser.c
    public int d1() {
        return this.N0;
    }

    @Override // com.alibaba.fastjson.parser.c
    public abstract BigDecimal e0();

    /* access modifiers changed from: protected */
    public void e2(String str, Object... objArr) {
        this.L0 = 1;
    }

    public int f2(long j) {
        throw new UnsupportedOperationException();
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:57)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:15)
        */
    @Override // com.alibaba.fastjson.parser.c
    public double g1(char r21) {
        /*
        // Method dump skipped, instructions count: 437
        */
        throw new UnsupportedOperationException("Method not decompiled: com.alibaba.fastjson.parser.d.g1(char):double");
    }

    public final boolean g2(char[] cArr) {
        while (!V1(cArr)) {
            if (!d2(this.O0)) {
                return false;
            }
            next();
        }
        int length = this.P0 + cArr.length;
        this.P0 = length;
        char W1 = W1(length);
        this.O0 = W1;
        if (W1 == '{') {
            next();
            this.L0 = 12;
        } else if (W1 == '[') {
            next();
            this.L0 = 14;
        } else if (W1 == 'S' && W1(this.P0 + 1) == 'e' && W1(this.P0 + 2) == 't' && W1(this.P0 + 3) == '[') {
            int i = this.P0 + 3;
            this.P0 = i;
            this.O0 = W1(i);
            this.L0 = 21;
        } else {
            I();
        }
        return true;
    }

    @Override // com.alibaba.fastjson.parser.c
    public String h() {
        return "";
    }

    public boolean h2(char[] cArr) {
        throw new UnsupportedOperationException();
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x0038  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0075  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0085  */
    @Override // com.alibaba.fastjson.parser.c
    public final long i() throws NumberFormatException {
        long j;
        long j2;
        int i;
        boolean z = false;
        if (this.T0 == -1) {
            this.T0 = 0;
        }
        int i2 = this.T0;
        int i3 = this.S0 + i2;
        if (W1(i2) == '-') {
            j = Long.MIN_VALUE;
            i2++;
            z = true;
        } else {
            j = C.f7870b;
        }
        if (i2 < i3) {
            i = i2 + 1;
            j2 = (long) (-(W1(i2) - '0'));
        } else {
            j2 = 0;
            if (i2 < i3) {
                i = i2 + 1;
                char W1 = W1(i2);
                if (W1 == 'L' || W1 == 'S' || W1 == 'B') {
                    i2 = i;
                } else {
                    int i4 = W1 - '0';
                    if (j2 >= -922337203685477580L) {
                        long j3 = j2 * 10;
                        long j4 = (long) i4;
                        if (j3 >= j + j4) {
                            j2 = j3 - j4;
                        }
                        throw new NumberFormatException(Q1());
                    }
                    throw new NumberFormatException(Q1());
                }
            }
            if (z) {
                return -j2;
            }
            if (i2 > this.T0 + 1) {
                return j2;
            }
            throw new NumberFormatException(Q1());
        }
        i2 = i;
        if (i2 < i3) {
        }
        if (z) {
        }
    }

    public final int i2() {
        return this.Y0;
    }

    @Override // com.alibaba.fastjson.parser.c
    public final boolean isEnabled(int i) {
        return (i & this.N0) != 0;
    }

    @Override // com.alibaba.fastjson.parser.c
    public Enum<?> j(Class<?> cls, j jVar, char c2) {
        String w0 = w0(jVar, c2);
        if (w0 == null) {
            return null;
        }
        return Enum.valueOf(cls, w0);
    }

    @Override // com.alibaba.fastjson.parser.c
    public final char j1() {
        return this.O0;
    }

    public Collection<String> j2(Class<?> cls) {
        if (cls.isAssignableFrom(HashSet.class)) {
            return new HashSet();
        }
        if (cls.isAssignableFrom(ArrayList.class)) {
            return new ArrayList();
        }
        if (cls.isAssignableFrom(LinkedList.class)) {
            return new LinkedList();
        }
        try {
            return (Collection) cls.newInstance();
        } catch (Exception e2) {
            throw new JSONException(e2.getMessage(), e2);
        }
    }

    @Override // com.alibaba.fastjson.parser.c
    public boolean k() {
        int i = 0;
        while (true) {
            char W1 = W1(i);
            if (W1 == 26) {
                this.L0 = 20;
                return true;
            } else if (!d2(W1)) {
                return false;
            } else {
                i++;
            }
        }
    }

    public final void k2() {
        while (d2(this.O0)) {
            next();
        }
        char c2 = this.O0;
        if (c2 == '_' || c2 == '$' || Character.isLetter(c2)) {
            I2();
        } else {
            I();
        }
    }

    @Override // com.alibaba.fastjson.parser.c
    public boolean l(char c2) {
        boolean z = false;
        this.Y0 = 0;
        char W1 = W1(this.P0 + 0);
        int i = 5;
        if (W1 == 't') {
            if (W1(this.P0 + 1) == 'r' && W1(this.P0 + 1 + 1) == 'u' && W1(this.P0 + 1 + 2) == 'e') {
                W1 = W1(this.P0 + 4);
                z = true;
            } else {
                this.Y0 = -1;
                return false;
            }
        } else if (W1 != 'f') {
            if (W1 == '1') {
                W1 = W1(this.P0 + 1);
                z = true;
            } else if (W1 == '0') {
                W1 = W1(this.P0 + 1);
            } else {
                i = 1;
            }
            i = 2;
        } else if (W1(this.P0 + 1) == 'a' && W1(this.P0 + 1 + 1) == 'l' && W1(this.P0 + 1 + 2) == 's' && W1(this.P0 + 1 + 3) == 'e') {
            W1 = W1(this.P0 + 5);
            i = 6;
        } else {
            this.Y0 = -1;
            return false;
        }
        while (W1 != c2) {
            if (d2(W1)) {
                W1 = W1(this.P0 + i);
                i++;
            } else {
                this.Y0 = -1;
                return z;
            }
        }
        int i2 = this.P0 + i;
        this.P0 = i2;
        this.O0 = W1(i2);
        this.Y0 = 3;
        return z;
    }

    public final void l2(char c2) {
        this.S0 = 0;
        while (true) {
            char c3 = this.O0;
            if (c3 == c2) {
                next();
                I();
                return;
            } else if (c3 == ' ' || c3 == '\n' || c3 == '\r' || c3 == '\t' || c3 == '\f' || c3 == '\b') {
                next();
            } else {
                throw new JSONException("not match " + c2 + " - " + this.O0 + ", info : " + h());
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:57:0x00e0  */
    @Override // com.alibaba.fastjson.parser.c
    public int m0(char c2) {
        int i;
        int i2;
        int i3;
        char W1;
        this.Y0 = 0;
        char W12 = W1(this.P0 + 0);
        boolean z = W12 == '\"';
        if (z) {
            W12 = W1(this.P0 + 1);
            i = 2;
        } else {
            i = 1;
        }
        boolean z2 = W12 == '-';
        if (z2) {
            W12 = W1(this.P0 + i);
            i++;
        }
        if (W12 >= '0' && W12 <= '9') {
            int i4 = W12 - '0';
            while (true) {
                i3 = i + 1;
                W1 = W1(this.P0 + i);
                if (W1 >= '0' && W1 <= '9') {
                    i4 = (i4 * 10) + (W1 - '0');
                    i = i3;
                }
            }
            if (W1 == '.') {
                this.Y0 = -1;
                return 0;
            } else if (i4 < 0) {
                this.Y0 = -1;
                return 0;
            } else {
                while (W1 != c2) {
                    if (d2(W1)) {
                        i3++;
                        W1 = W1(this.P0 + i3);
                    } else {
                        this.Y0 = -1;
                        return z2 ? -i4 : i4;
                    }
                }
                int i5 = this.P0 + i3;
                this.P0 = i5;
                this.O0 = W1(i5);
                this.Y0 = 3;
                this.L0 = 16;
                return z2 ? -i4 : i4;
            }
        } else if (W12 == 'n' && W1(this.P0 + i) == 'u' && W1(this.P0 + i + 1) == 'l' && W1(this.P0 + i + 2) == 'l') {
            this.Y0 = 5;
            int i6 = i + 3;
            int i7 = i6 + 1;
            char W13 = W1(this.P0 + i6);
            if (z && W13 == '\"') {
                i2 = i7 + 1;
                W13 = W1(this.P0 + i7);
                i7 = i2;
            }
            if (W13 != ',') {
                if (W13 != ']') {
                    if (d2(W13)) {
                        i2 = i7 + 1;
                        W13 = W1(this.P0 + i7);
                        i7 = i2;
                        if (W13 != ',') {
                        }
                    }
                    this.Y0 = -1;
                    return 0;
                }
                int i8 = this.P0 + i7;
                this.P0 = i8;
                this.O0 = W1(i8);
                this.Y0 = 5;
                this.L0 = 15;
                return 0;
            }
            int i9 = this.P0 + i7;
            this.P0 = i9;
            this.O0 = W1(i9);
            this.Y0 = 5;
            this.L0 = 16;
            return 0;
        } else {
            this.Y0 = -1;
            return 0;
        }
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:57)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:15)
        */
    @Override // com.alibaba.fastjson.parser.c
    public java.math.BigDecimal m1(char r19) {
        /*
        // Method dump skipped, instructions count: 487
        */
        throw new UnsupportedOperationException("Method not decompiled: com.alibaba.fastjson.parser.d.m1(char):java.math.BigDecimal");
    }

    /* access modifiers changed from: protected */
    public final void m2(char c2) {
        int i = this.S0;
        char[] cArr = this.R0;
        if (i == cArr.length) {
            char[] cArr2 = new char[(cArr.length * 2)];
            System.arraycopy(cArr, 0, cArr2, 0, cArr.length);
            this.R0 = cArr2;
        }
        char[] cArr3 = this.R0;
        int i2 = this.S0;
        this.S0 = i2 + 1;
        cArr3[i2] = c2;
    }

    @Override // com.alibaba.fastjson.parser.c
    public abstract char next();

    @Override // com.alibaba.fastjson.parser.c
    public String o(j jVar) {
        return null;
    }

    @Override // com.alibaba.fastjson.parser.c
    public abstract byte[] o0();

    /* JADX INFO: finally extract failed */
    public Date o2(char c2) {
        Date date;
        int i;
        long j;
        boolean z = false;
        this.Y0 = 0;
        char W1 = W1(this.P0 + 0);
        int i2 = 5;
        if (W1 == '\"') {
            int a2 = a2(Typography.quote, this.P0 + 1);
            if (a2 != -1) {
                int i3 = this.P0 + 1;
                String Z2 = Z2(i3, a2 - i3);
                if (Z2.indexOf(92) != -1) {
                    while (true) {
                        int i4 = a2 - 1;
                        int i5 = 0;
                        while (i4 >= 0 && W1(i4) == '\\') {
                            i5++;
                            i4--;
                        }
                        if (i5 % 2 == 0) {
                            break;
                        }
                        a2 = a2(Typography.quote, a2 + 1);
                    }
                    int i6 = this.P0;
                    int i7 = a2 - (i6 + 1);
                    Z2 = n2(a3(i6 + 1, i7), i7);
                }
                int i8 = this.P0;
                int i9 = (a2 - (i8 + 1)) + 1 + 1;
                int i10 = i9 + 1;
                W1 = W1(i8 + i9);
                f fVar = new f(Z2);
                try {
                    if (fVar.f3(false)) {
                        date = fVar.Z1().getTime();
                        fVar.close();
                        i2 = i10;
                    } else {
                        this.Y0 = -1;
                        fVar.close();
                        return null;
                    }
                } catch (Throwable th) {
                    fVar.close();
                    throw th;
                }
            } else {
                throw new JSONException("unclosed str");
            }
        } else {
            char c3 = '9';
            int i11 = 2;
            if (W1 == '-' || (W1 >= '0' && W1 <= '9')) {
                if (W1 == '-') {
                    W1 = W1(this.P0 + 1);
                    z = true;
                } else {
                    i11 = 1;
                }
                if (W1 >= '0' && W1 <= '9') {
                    j = (long) (W1 - '0');
                    while (true) {
                        i = i11 + 1;
                        W1 = W1(this.P0 + i11);
                        if (W1 < '0' || W1 > c3) {
                            break;
                        }
                        j = (j * 10) + ((long) (W1 - '0'));
                        i11 = i;
                        c3 = '9';
                    }
                } else {
                    j = 0;
                    i = i11;
                }
                if (j < 0) {
                    this.Y0 = -1;
                    return null;
                }
                if (z) {
                    j = -j;
                }
                date = new Date(j);
                i2 = i;
            } else if (W1 == 'n' && W1(this.P0 + 1) == 'u' && W1(this.P0 + 1 + 1) == 'l' && W1(this.P0 + 1 + 2) == 'l') {
                this.Y0 = 5;
                W1 = W1(this.P0 + 4);
                date = null;
            } else {
                this.Y0 = -1;
                return null;
            }
        }
        if (W1 == ',') {
            int i12 = this.P0 + i2;
            this.P0 = i12;
            this.O0 = W1(i12);
            this.Y0 = 3;
            this.L0 = 16;
            return date;
        } else if (W1 == ']') {
            int i13 = i2 + 1;
            char W12 = W1(this.P0 + i2);
            if (W12 == ',') {
                this.L0 = 16;
                int i14 = this.P0 + i13;
                this.P0 = i14;
                this.O0 = W1(i14);
            } else if (W12 == ']') {
                this.L0 = 15;
                int i15 = this.P0 + i13;
                this.P0 = i15;
                this.O0 = W1(i15);
            } else if (W12 == '}') {
                this.L0 = 13;
                int i16 = this.P0 + i13;
                this.P0 = i16;
                this.O0 = W1(i16);
            } else if (W12 == 26) {
                this.L0 = 20;
                this.P0 += i13 - 1;
                this.O0 = c.f5609e;
            } else {
                this.Y0 = -1;
                return null;
            }
            this.Y0 = 4;
            return date;
        } else {
            this.Y0 = -1;
            return null;
        }
    }

    public long p2(char[] cArr) {
        this.Y0 = 0;
        if (!V1(cArr)) {
            this.Y0 = -2;
            return 0;
        }
        int length = cArr.length;
        int i = length + 1;
        if (W1(this.P0 + length) != '\"') {
            this.Y0 = -1;
            return 0;
        }
        long j = -3750763034362895579L;
        while (true) {
            int i2 = i + 1;
            char W1 = W1(this.P0 + i);
            if (W1 == '\"') {
                int i3 = i2 + 1;
                char W12 = W1(this.P0 + i2);
                if (W12 == ',') {
                    int i4 = this.P0 + i3;
                    this.P0 = i4;
                    this.O0 = W1(i4);
                    this.Y0 = 3;
                    return j;
                } else if (W12 == '}') {
                    int i5 = i3 + 1;
                    char W13 = W1(this.P0 + i3);
                    if (W13 == ',') {
                        this.L0 = 16;
                        int i6 = this.P0 + i5;
                        this.P0 = i6;
                        this.O0 = W1(i6);
                    } else if (W13 == ']') {
                        this.L0 = 15;
                        int i7 = this.P0 + i5;
                        this.P0 = i7;
                        this.O0 = W1(i7);
                    } else if (W13 == '}') {
                        this.L0 = 13;
                        int i8 = this.P0 + i5;
                        this.P0 = i8;
                        this.O0 = W1(i8);
                    } else if (W13 == 26) {
                        this.L0 = 20;
                        this.P0 += i5 - 1;
                        this.O0 = c.f5609e;
                    } else {
                        this.Y0 = -1;
                        return 0;
                    }
                    this.Y0 = 4;
                    return j;
                } else {
                    this.Y0 = -1;
                    return 0;
                }
            } else {
                j = (j ^ ((long) ((W1 < 'A' || W1 > 'Z') ? W1 : W1 + ' '))) * 1099511628211L;
                if (W1 == '\\') {
                    this.Y0 = -1;
                    return 0;
                }
                i = i2;
            }
        }
    }

    public final void q2() {
        if (this.O0 == 'f') {
            next();
            if (this.O0 == 'a') {
                next();
                if (this.O0 == 'l') {
                    next();
                    if (this.O0 == 's') {
                        next();
                        if (this.O0 == 'e') {
                            next();
                            char c2 = this.O0;
                            if (c2 == ' ' || c2 == ',' || c2 == '}' || c2 == ']' || c2 == '\n' || c2 == '\r' || c2 == '\t' || c2 == 26 || c2 == '\f' || c2 == '\b' || c2 == ':' || c2 == '/') {
                                this.L0 = 7;
                                return;
                            }
                            throw new JSONException("scan false error");
                        }
                        throw new JSONException("error parse false");
                    }
                    throw new JSONException("error parse false");
                }
                throw new JSONException("error parse false");
            }
            throw new JSONException("error parse false");
        }
        throw new JSONException("error parse false");
    }

    @Override // com.alibaba.fastjson.parser.c
    public void r(Locale locale) {
        this.X0 = locale;
    }

    public BigInteger r2(char[] cArr) {
        int i;
        char W1;
        boolean z;
        int i2;
        int i3;
        BigInteger bigInteger;
        this.Y0 = 0;
        if (!V1(cArr)) {
            this.Y0 = -2;
            return null;
        }
        int length = cArr.length;
        int i4 = length + 1;
        char W12 = W1(this.P0 + length);
        boolean z2 = W12 == '\"';
        if (z2) {
            W12 = W1(this.P0 + i4);
            i4++;
        }
        boolean z3 = W12 == '-';
        if (z3) {
            W12 = W1(this.P0 + i4);
            i4++;
        }
        if (W12 >= '0') {
            char c2 = '9';
            if (W12 <= '9') {
                long j = (long) (W12 - '0');
                while (true) {
                    i = i4 + 1;
                    W1 = W1(this.P0 + i4);
                    if (W1 < '0' || W1 > c2) {
                        z = false;
                    } else {
                        long j2 = (10 * j) + ((long) (W1 - '0'));
                        if (j2 < j) {
                            z = true;
                            break;
                        }
                        j = j2;
                        i4 = i;
                        c2 = '9';
                    }
                }
                z = false;
                if (!z2) {
                    int i5 = this.P0;
                    i3 = cArr.length + i5;
                    i2 = ((i5 + i) - i3) - 1;
                } else if (W1 != '\"') {
                    this.Y0 = -1;
                    return null;
                } else {
                    int i6 = i + 1;
                    W1 = W1(this.P0 + i);
                    int i7 = this.P0;
                    i3 = cArr.length + i7 + 1;
                    i2 = ((i7 + i6) - i3) - 2;
                    i = i6;
                }
                if (!z && (i2 < 20 || (z3 && i2 < 21))) {
                    if (z3) {
                        j = -j;
                    }
                    bigInteger = BigInteger.valueOf(j);
                } else if (i2 <= 65535) {
                    bigInteger = new BigInteger(Z2(i3, i2), 10);
                } else {
                    throw new JSONException("scanInteger overflow");
                }
                if (W1 == ',') {
                    int i8 = this.P0 + i;
                    this.P0 = i8;
                    this.O0 = W1(i8);
                    this.Y0 = 3;
                    this.L0 = 16;
                    return bigInteger;
                } else if (W1 == '}') {
                    int i9 = i + 1;
                    char W13 = W1(this.P0 + i);
                    if (W13 == ',') {
                        this.L0 = 16;
                        int i10 = this.P0 + i9;
                        this.P0 = i10;
                        this.O0 = W1(i10);
                    } else if (W13 == ']') {
                        this.L0 = 15;
                        int i11 = this.P0 + i9;
                        this.P0 = i11;
                        this.O0 = W1(i11);
                    } else if (W13 == '}') {
                        this.L0 = 13;
                        int i12 = this.P0 + i9;
                        this.P0 = i12;
                        this.O0 = W1(i12);
                    } else if (W13 == 26) {
                        this.L0 = 20;
                        this.P0 += i9 - 1;
                        this.O0 = c.f5609e;
                    } else {
                        this.Y0 = -1;
                        return null;
                    }
                    this.Y0 = 4;
                    return bigInteger;
                } else {
                    this.Y0 = -1;
                    return null;
                }
            }
        }
        if (W12 == 'n' && W1(this.P0 + i4) == 'u' && W1(this.P0 + i4 + 1) == 'l' && W1(this.P0 + i4 + 2) == 'l') {
            this.Y0 = 5;
            int i13 = i4 + 3;
            int i14 = i13 + 1;
            char W14 = W1(this.P0 + i13);
            if (z2 && W14 == '\"') {
                W14 = W1(this.P0 + i14);
                i14++;
            }
            while (W14 != ',') {
                if (W14 == '}') {
                    int i15 = this.P0 + i14;
                    this.P0 = i15;
                    this.O0 = W1(i15);
                    this.Y0 = 5;
                    this.L0 = 13;
                    return null;
                } else if (d2(W14)) {
                    W14 = W1(this.P0 + i14);
                    i14++;
                } else {
                    this.Y0 = -1;
                    return null;
                }
            }
            int i16 = this.P0 + i14;
            this.P0 = i16;
            this.O0 = W1(i16);
            this.Y0 = 5;
            this.L0 = 16;
            return null;
        }
        this.Y0 = -1;
        return null;
    }

    @Override // com.alibaba.fastjson.parser.c
    public final void s1() {
        while (true) {
            char c2 = this.O0;
            if (c2 > '/') {
                return;
            }
            if (c2 == ' ' || c2 == '\r' || c2 == '\n' || c2 == '\t' || c2 == '\f' || c2 == '\b') {
                next();
            } else if (c2 == '/') {
                V2();
            } else {
                return;
            }
        }
    }

    public boolean s2(char[] cArr) {
        boolean z;
        int i;
        this.Y0 = 0;
        if (!V1(cArr)) {
            this.Y0 = -2;
            return false;
        }
        int length = cArr.length;
        int i2 = length + 1;
        char W1 = W1(this.P0 + length);
        if (W1 == 't') {
            int i3 = i2 + 1;
            if (W1(this.P0 + i2) != 'r') {
                this.Y0 = -1;
                return false;
            }
            int i4 = i3 + 1;
            if (W1(this.P0 + i3) != 'u') {
                this.Y0 = -1;
                return false;
            }
            i = i4 + 1;
            if (W1(this.P0 + i4) != 'e') {
                this.Y0 = -1;
                return false;
            }
            z = true;
        } else if (W1 == 'f') {
            int i5 = i2 + 1;
            if (W1(this.P0 + i2) != 'a') {
                this.Y0 = -1;
                return false;
            }
            int i6 = i5 + 1;
            if (W1(this.P0 + i5) != 'l') {
                this.Y0 = -1;
                return false;
            }
            int i7 = i6 + 1;
            if (W1(this.P0 + i6) != 's') {
                this.Y0 = -1;
                return false;
            }
            int i8 = i7 + 1;
            if (W1(this.P0 + i7) != 'e') {
                this.Y0 = -1;
                return false;
            }
            i = i8;
            z = false;
        } else {
            this.Y0 = -1;
            return false;
        }
        int i9 = i + 1;
        char W12 = W1(this.P0 + i);
        if (W12 == ',') {
            int i10 = this.P0 + i9;
            this.P0 = i10;
            this.O0 = W1(i10);
            this.Y0 = 3;
            this.L0 = 16;
            return z;
        } else if (W12 == '}') {
            int i11 = i9 + 1;
            char W13 = W1(this.P0 + i9);
            if (W13 == ',') {
                this.L0 = 16;
                int i12 = this.P0 + i11;
                this.P0 = i12;
                this.O0 = W1(i12);
            } else if (W13 == ']') {
                this.L0 = 15;
                int i13 = this.P0 + i11;
                this.P0 = i13;
                this.O0 = W1(i13);
            } else if (W13 == '}') {
                this.L0 = 13;
                int i14 = this.P0 + i11;
                this.P0 = i14;
                this.O0 = W1(i14);
            } else if (W13 == 26) {
                this.L0 = 20;
                this.P0 += i11 - 1;
                this.O0 = c.f5609e;
            } else {
                this.Y0 = -1;
                return false;
            }
            this.Y0 = 4;
            return z;
        } else {
            this.Y0 = -1;
            return false;
        }
    }

    public Date t2(char[] cArr) {
        Date date;
        int i;
        long j;
        int i2;
        char W1;
        boolean z = false;
        this.Y0 = 0;
        if (!V1(cArr)) {
            this.Y0 = -2;
            return null;
        }
        int length = cArr.length;
        int i3 = length + 1;
        char W12 = W1(this.P0 + length);
        if (W12 == '\"') {
            int a2 = a2(Typography.quote, this.P0 + cArr.length + 1);
            if (a2 != -1) {
                int length2 = this.P0 + cArr.length + 1;
                String Z2 = Z2(length2, a2 - length2);
                if (Z2.indexOf(92) != -1) {
                    while (true) {
                        int i4 = a2 - 1;
                        int i5 = 0;
                        while (i4 >= 0 && W1(i4) == '\\') {
                            i5++;
                            i4--;
                        }
                        if (i5 % 2 == 0) {
                            break;
                        }
                        a2 = a2(Typography.quote, a2 + 1);
                    }
                    int i6 = this.P0;
                    int length3 = a2 - ((cArr.length + i6) + 1);
                    Z2 = n2(a3(i6 + cArr.length + 1, length3), length3);
                }
                int i7 = this.P0;
                int length4 = i3 + (a2 - ((cArr.length + i7) + 1)) + 1;
                i = length4 + 1;
                W12 = W1(i7 + length4);
                f fVar = new f(Z2);
                try {
                    if (fVar.f3(false)) {
                        date = fVar.Z1().getTime();
                    } else {
                        this.Y0 = -1;
                        fVar.close();
                        return null;
                    }
                } finally {
                    fVar.close();
                }
            } else {
                throw new JSONException("unclosed str");
            }
        } else if (W12 == '-' || (W12 >= '0' && W12 <= '9')) {
            if (W12 == '-') {
                W12 = W1(this.P0 + i3);
                i3++;
                z = true;
            }
            if (W12 < '0' || W12 > '9') {
                i = i3;
                j = 0;
            } else {
                j = (long) (W12 - '0');
                while (true) {
                    i2 = i3 + 1;
                    W1 = W1(this.P0 + i3);
                    if (W1 < '0' || W1 > '9') {
                        W12 = W1;
                        i = i2;
                    } else {
                        j = (j * 10) + ((long) (W1 - '0'));
                        i3 = i2;
                    }
                }
                W12 = W1;
                i = i2;
            }
            if (j < 0) {
                this.Y0 = -1;
                return null;
            }
            if (z) {
                j = -j;
            }
            date = new Date(j);
        } else {
            this.Y0 = -1;
            return null;
        }
        if (W12 == ',') {
            int i8 = this.P0 + i;
            this.P0 = i8;
            this.O0 = W1(i8);
            this.Y0 = 3;
            return date;
        } else if (W12 == '}') {
            int i9 = i + 1;
            char W13 = W1(this.P0 + i);
            if (W13 == ',') {
                this.L0 = 16;
                int i10 = this.P0 + i9;
                this.P0 = i10;
                this.O0 = W1(i10);
            } else if (W13 == ']') {
                this.L0 = 15;
                int i11 = this.P0 + i9;
                this.P0 = i11;
                this.O0 = W1(i11);
            } else if (W13 == '}') {
                this.L0 = 13;
                int i12 = this.P0 + i9;
                this.P0 = i12;
                this.O0 = W1(i12);
            } else if (W13 == 26) {
                this.L0 = 20;
                this.P0 += i9 - 1;
                this.O0 = c.f5609e;
            } else {
                this.Y0 = -1;
                return null;
            }
            this.Y0 = 4;
            return date;
        } else {
            this.Y0 = -1;
            return null;
        }
    }

    @Override // com.alibaba.fastjson.parser.c
    public final void u1() {
        this.S0 = 0;
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:57)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:15)
        */
    public java.math.BigDecimal u2(char[] r18) {
        /*
        // Method dump skipped, instructions count: 513
        */
        throw new UnsupportedOperationException("Method not decompiled: com.alibaba.fastjson.parser.d.u2(char[]):java.math.BigDecimal");
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:57)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:15)
        */
    public final double v2(char[] r24) {
        /*
        // Method dump skipped, instructions count: 564
        */
        throw new UnsupportedOperationException("Method not decompiled: com.alibaba.fastjson.parser.d.v2(char[]):double");
    }

    @Override // com.alibaba.fastjson.parser.c
    public String w0(j jVar, char c2) {
        int i = 0;
        this.Y0 = 0;
        char W1 = W1(this.P0 + 0);
        if (W1 == 'n') {
            if (W1(this.P0 + 1) != 'u' || W1(this.P0 + 1 + 1) != 'l' || W1(this.P0 + 1 + 2) != 'l') {
                this.Y0 = -1;
                return null;
            } else if (W1(this.P0 + 4) == c2) {
                int i2 = this.P0 + 5;
                this.P0 = i2;
                this.O0 = W1(i2);
                this.Y0 = 3;
                return null;
            } else {
                this.Y0 = -1;
                return null;
            }
        } else if (W1 != '\"') {
            this.Y0 = -1;
            return null;
        } else {
            int i3 = 1;
            while (true) {
                int i4 = i3 + 1;
                char W12 = W1(this.P0 + i3);
                if (W12 == '\"') {
                    int i5 = this.P0;
                    int i6 = i5 + 0 + 1;
                    String a2 = a(i6, ((i5 + i4) - i6) - 1, i, jVar);
                    int i7 = i4 + 1;
                    char W13 = W1(this.P0 + i4);
                    while (W13 != c2) {
                        if (d2(W13)) {
                            W13 = W1(this.P0 + i7);
                            i7++;
                        } else {
                            this.Y0 = -1;
                            return a2;
                        }
                    }
                    int i8 = this.P0 + i7;
                    this.P0 = i8;
                    this.O0 = W1(i8);
                    this.Y0 = 3;
                    return a2;
                }
                i = (i * 31) + W12;
                if (W12 == '\\') {
                    this.Y0 = -1;
                    return null;
                }
                i3 = i4;
            }
        }
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:57)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:15)
        */
    public final float w2(char[] r22) {
        /*
        // Method dump skipped, instructions count: 563
        */
        throw new UnsupportedOperationException("Method not decompiled: com.alibaba.fastjson.parser.d.w2(char[]):float");
    }

    @Override // com.alibaba.fastjson.parser.c
    public void x0(Feature feature, boolean z) {
        int config = Feature.config(this.N0, feature, z);
        this.N0 = config;
        if ((config & Feature.InitStringFieldAsEmpty.mask) != 0) {
            this.Z0 = "";
        }
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:57)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:15)
        */
    public final float[] x2(char[] r20) {
        /*
        // Method dump skipped, instructions count: 450
        */
        throw new UnsupportedOperationException("Method not decompiled: com.alibaba.fastjson.parser.d.x2(char[]):float[]");
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:57)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:15)
        */
    public final float[][] y2(char[] r22) {
        /*
        // Method dump skipped, instructions count: 531
        */
        throw new UnsupportedOperationException("Method not decompiled: com.alibaba.fastjson.parser.d.y2(char[]):float[][]");
    }

    @Override // com.alibaba.fastjson.parser.c
    public final String z0(j jVar) {
        boolean z = false;
        if (this.L0 == 1 && this.M0 == 0 && this.P0 == 1) {
            this.P0 = 0;
        }
        boolean[] zArr = f.g;
        int i = this.O0;
        if (i >= zArr.length || zArr[i]) {
            z = true;
        }
        if (z) {
            boolean[] zArr2 = f.h;
            this.T0 = this.P0;
            this.S0 = 1;
            while (true) {
                char next = next();
                if (next < zArr2.length && !zArr2[next]) {
                    break;
                }
                i = (i * 31) + next;
                this.S0++;
            }
            this.O0 = W1(this.P0);
            this.L0 = 18;
            if (this.S0 == 4 && i == 3392903 && W1(this.T0) == 'n' && W1(this.T0 + 1) == 'u' && W1(this.T0 + 2) == 'l' && W1(this.T0 + 3) == 'l') {
                return null;
            }
            if (jVar == null) {
                return Z2(this.T0, this.S0);
            }
            return a(this.T0, this.S0, i, jVar);
        }
        throw new JSONException("illegal identifier : " + this.O0 + h());
    }

    /* JADX WARNING: Removed duplicated region for block: B:69:0x011d  */
    @Override // com.alibaba.fastjson.parser.c
    public long z1(char c2) {
        int i;
        int i2;
        int i3;
        char W1;
        char c3;
        this.Y0 = 0;
        char W12 = W1(this.P0 + 0);
        boolean z = W12 == '\"';
        if (z) {
            W12 = W1(this.P0 + 1);
            i = 2;
        } else {
            i = 1;
        }
        boolean z2 = W12 == '-';
        if (z2) {
            W12 = W1(this.P0 + i);
            i++;
        }
        if (W12 >= '0' && W12 <= '9') {
            long j = (long) (W12 - '0');
            while (true) {
                i3 = i + 1;
                W1 = W1(this.P0 + i);
                if (W1 >= '0' && W1 <= '9') {
                    j = (j * 10) + ((long) (W1 - '0'));
                    i = i3;
                }
            }
            if (W1 == '.') {
                this.Y0 = -1;
                return 0;
            }
            if (j >= 0 || (j == Long.MIN_VALUE && z2)) {
                if (!z) {
                    c3 = c2;
                } else if (W1 != '\"') {
                    this.Y0 = -1;
                    return 0;
                } else {
                    W1 = W1(this.P0 + i3);
                    c3 = c2;
                    i3++;
                }
                while (W1 != c3) {
                    if (d2(W1)) {
                        W1 = W1(this.P0 + i3);
                        i3++;
                    } else {
                        this.Y0 = -1;
                        return j;
                    }
                }
                int i4 = this.P0 + i3;
                this.P0 = i4;
                this.O0 = W1(i4);
                this.Y0 = 3;
                this.L0 = 16;
                return z2 ? -j : j;
            }
            throw new NumberFormatException(Z2(this.P0, i3 - 1));
        } else if (W12 == 'n' && W1(this.P0 + i) == 'u' && W1(this.P0 + i + 1) == 'l' && W1(this.P0 + i + 2) == 'l') {
            this.Y0 = 5;
            int i5 = i + 3;
            int i6 = i5 + 1;
            char W13 = W1(this.P0 + i5);
            if (z && W13 == '\"') {
                i2 = i6 + 1;
                W13 = W1(this.P0 + i6);
                i6 = i2;
            }
            if (W13 != ',') {
                if (W13 != ']') {
                    if (d2(W13)) {
                        i2 = i6 + 1;
                        W13 = W1(this.P0 + i6);
                        i6 = i2;
                        if (W13 != ',') {
                        }
                    }
                    this.Y0 = -1;
                    return 0;
                }
                int i7 = this.P0 + i6;
                this.P0 = i7;
                this.O0 = W1(i7);
                this.Y0 = 5;
                this.L0 = 15;
                return 0;
            }
            int i8 = this.P0 + i6;
            this.P0 = i8;
            this.O0 = W1(i8);
            this.Y0 = 5;
            this.L0 = 16;
            return 0;
        } else {
            this.Y0 = -1;
            return 0;
        }
    }

    public int z2(char[] cArr) {
        int i;
        char W1;
        this.Y0 = 0;
        if (!V1(cArr)) {
            this.Y0 = -2;
            return 0;
        }
        int length = cArr.length;
        int i2 = length + 1;
        char W12 = W1(this.P0 + length);
        boolean z = W12 == '-';
        if (z) {
            W12 = W1(this.P0 + i2);
            i2++;
        }
        if (W12 < '0' || W12 > '9') {
            this.Y0 = -1;
            return 0;
        }
        int i3 = W12 - '0';
        while (true) {
            i = i2 + 1;
            W1 = W1(this.P0 + i2);
            if (W1 >= '0' && W1 <= '9') {
                i3 = (i3 * 10) + (W1 - '0');
                i2 = i;
            }
        }
        if (W1 == '.') {
            this.Y0 = -1;
            return 0;
        } else if ((i3 < 0 || i > cArr.length + 14) && !(i3 == Integer.MIN_VALUE && i == 17 && z)) {
            this.Y0 = -1;
            return 0;
        } else if (W1 == ',') {
            int i4 = this.P0 + i;
            this.P0 = i4;
            this.O0 = W1(i4);
            this.Y0 = 3;
            this.L0 = 16;
            return z ? -i3 : i3;
        } else if (W1 == '}') {
            int i5 = i + 1;
            char W13 = W1(this.P0 + i);
            if (W13 == ',') {
                this.L0 = 16;
                int i6 = this.P0 + i5;
                this.P0 = i6;
                this.O0 = W1(i6);
            } else if (W13 == ']') {
                this.L0 = 15;
                int i7 = this.P0 + i5;
                this.P0 = i7;
                this.O0 = W1(i7);
            } else if (W13 == '}') {
                this.L0 = 13;
                int i8 = this.P0 + i5;
                this.P0 = i8;
                this.O0 = W1(i8);
            } else if (W13 == 26) {
                this.L0 = 20;
                this.P0 += i5 - 1;
                this.O0 = c.f5609e;
            } else {
                this.Y0 = -1;
                return 0;
            }
            this.Y0 = 4;
            return z ? -i3 : i3;
        } else {
            this.Y0 = -1;
            return 0;
        }
    }
}
