package com.alibaba.fastjson.parser;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.PropertyNamingStrategy;
import com.alibaba.fastjson.annotation.JSONCreator;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;
import com.alibaba.fastjson.c;
import com.alibaba.fastjson.d;
import com.alibaba.fastjson.parser.k.a0;
import com.alibaba.fastjson.parser.k.c0;
import com.alibaba.fastjson.parser.k.o;
import com.alibaba.fastjson.parser.k.r;
import com.alibaba.fastjson.parser.k.s;
import com.alibaba.fastjson.parser.k.t;
import com.alibaba.fastjson.parser.k.u;
import com.alibaba.fastjson.parser.k.x;
import com.alibaba.fastjson.parser.k.z;
import com.alibaba.fastjson.serializer.a1;
import com.alibaba.fastjson.serializer.b0;
import com.alibaba.fastjson.serializer.d0;
import com.alibaba.fastjson.serializer.j1;
import com.alibaba.fastjson.serializer.l;
import com.alibaba.fastjson.serializer.m;
import com.alibaba.fastjson.serializer.m0;
import com.alibaba.fastjson.serializer.n;
import com.alibaba.fastjson.serializer.p;
import com.alibaba.fastjson.serializer.q;
import com.alibaba.fastjson.serializer.q0;
import com.alibaba.fastjson.serializer.s0;
import com.alibaba.fastjson.serializer.u0;
import com.alibaba.fastjson.serializer.w;
import com.alibaba.fastjson.util.f;
import com.alibaba.fastjson.util.g;
import com.alibaba.fastjson.util.h;
import com.ibm.icu.impl.locale.b;
import java.io.Closeable;
import java.io.File;
import java.io.InputStream;
import java.io.Serializable;
import java.lang.ref.SoftReference;
import java.lang.ref.WeakReference;
import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.lang.reflect.TypeVariable;
import java.lang.reflect.WildcardType;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.net.Inet4Address;
import java.net.Inet6Address;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.URI;
import java.net.URL;
import java.nio.charset.Charset;
import java.security.AccessControlException;
import java.sql.Time;
import java.sql.Timestamp;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Calendar;
import java.util.Collection;
import java.util.Currency;
import java.util.Date;
import java.util.HashMap;
import java.util.HashSet;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Properties;
import java.util.Set;
import java.util.TimeZone;
import java.util.TreeMap;
import java.util.UUID;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.CopyOnWriteArrayList;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicIntegerArray;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicLongArray;
import java.util.concurrent.atomic.AtomicReference;
import java.util.regex.Pattern;
import javax.sql.DataSource;
import javax.sql.RowSet;
import javax.xml.datatype.XMLGregorianCalendar;

/* compiled from: ParserConfig */
public class i {

    /* renamed from: a  reason: collision with root package name */
    public static final String f5622a = "fastjson.parser.deny.internal";

    /* renamed from: b  reason: collision with root package name */
    public static final String f5623b = "fastjson.parser.deny";

    /* renamed from: c  reason: collision with root package name */
    public static final String f5624c = "fastjson.parser.autoTypeAccept";

    /* renamed from: d  reason: collision with root package name */
    public static final String f5625d = "fastjson.parser.autoTypeSupport";

    /* renamed from: e  reason: collision with root package name */
    public static final String f5626e = "fastjson.parser.safeMode";
    public static final String[] f = Q(f.l(f5622a));
    public static final String[] g = Q(f.l(f5623b));
    private static final String[] h;
    public static final boolean i = "true".equals(f.l(f5625d));
    public static final boolean j = "true".equals(f.l(f5626e));
    private static final long[] k = {-9013707057526259810L, -8773806119481270567L, -8421588593326113468L, -8070393259084821111L, -7858127399773263546L, -7043543676283957292L, -6976602508726000783L, -6293031534589903644L, -6081111809668363619L, -5779433778261875721L, -5399450433995651784L, -4540135604787511831L, -4207865850564917696L, -3950343444501679205L, -3714900953609113456L, -3393714734093696063L, -3378497329992063044L, -2631228350337215662L, -2551988546877734201L, -2473987886800209058L, -2265617974881722705L, -1759511109484434299L, -1477946458560579955L, -816725787720647462L, -520183782617964618L, 59775428743665658L, 484499585846206473L, 532945107123976213L, 711449177569584898L, 829148494126372070L, 956883420092542580L, 1233162291719202522L, 1696465274354442213L, 1863557081881630420L, 2238472697200138595L, 2380202963256720577L, 2643099543618286743L, 2793877891138577121L, 3804572268889088203L, 4567982875926242015L, 4784070066737926537L, 4960004821520561233L, 5348524593377618456L, 5454920836284873808L, 5695987590363189151L, 6073645722991901167L, 6114875255374330593L, 6137737446243999215L, 6160752908990493848L, 6939315124833099497L, 7048426940343117278L, 7267793227937552092L, 8331868837379820532L, 8357451534615459155L, 8890227807433646566L, 9166532985682478006L, 9215131087512669423L};
    public static i l = new i();
    private static boolean m = false;
    private static boolean n = false;
    private static boolean o = false;
    private static boolean p = false;
    private long[] A;
    private long[] B;
    public final boolean C;
    private boolean D;
    public boolean E;
    private List<com.alibaba.fastjson.k.a> F;
    private volatile List<a> G;
    private boolean H;
    private final g<Type, t> q;
    private final g<Type, g<Type, t>> r;
    private final ConcurrentMap<String, Class<?>> s;
    private boolean t;
    public final j u;
    public PropertyNamingStrategy v;
    protected ClassLoader w;
    protected com.alibaba.fastjson.parser.k.a x;
    private boolean y;
    private long[] z;

    /* compiled from: ParserConfig */
    public interface a {
        Class<?> a(String str, Class<?> cls, int i);
    }

    static {
        String[] Q = Q(f.l(f5624c));
        if (Q == null) {
            Q = new String[0];
        }
        h = Q;
    }

    public i() {
        this(false);
    }

    public static boolean F(Class<?> cls) {
        return cls.isPrimitive() || cls == Boolean.class || cls == Character.class || cls == Byte.class || cls == Short.class || cls == Integer.class || cls == Long.class || cls == Float.class || cls == Double.class || cls == BigInteger.class || cls == BigDecimal.class || cls == String.class || cls == Date.class || cls == java.sql.Date.class || cls == Time.class || cls == Timestamp.class || cls.isEnum();
    }

    public static void H(Class<?> cls, Map<String, Field> map) {
        Field[] declaredFields = cls.getDeclaredFields();
        for (Field field : declaredFields) {
            String name = field.getName();
            if (!map.containsKey(name)) {
                map.put(name, field);
            }
        }
        if (!(cls.getSuperclass() == null || cls.getSuperclass() == Object.class)) {
            H(cls.getSuperclass(), map);
        }
    }

    private static String[] Q(String str) {
        if (str == null || str.length() <= 0) {
            return null;
        }
        return str.split(",");
    }

    private void e(String[] strArr) {
        if (strArr != null) {
            for (String str : strArr) {
                a(str);
            }
        }
    }

    private void f(String[] strArr) {
        if (strArr != null) {
            for (String str : strArr) {
                c(str);
            }
        }
    }

    private void g(String[] strArr) {
        if (strArr != null) {
            for (String str : strArr) {
                d(str);
            }
        }
    }

    private static Method v(Class cls, Class cls2) {
        Method[] methods = cls.getMethods();
        for (Method method : methods) {
            if (Modifier.isStatic(method.getModifiers()) && method.getReturnType() == cls2 && method.getParameterTypes().length == 1 && ((JSONCreator) method.getAnnotation(JSONCreator.class)) != null) {
                return method;
            }
        }
        return null;
    }

    public static Field x(String str, Map<String, Field> map) {
        Field field = map.get(str);
        if (field == null) {
            field = map.get(b.f14006b + str);
        }
        if (field == null) {
            field = map.get("m_" + str);
        }
        if (field != null) {
            return field;
        }
        char charAt = str.charAt(0);
        if (charAt >= 'a' && charAt <= 'z') {
            char[] charArray = str.toCharArray();
            charArray[0] = (char) (charArray[0] - ' ');
            field = map.get(new String(charArray));
        }
        if (str.length() <= 2) {
            return field;
        }
        char charAt2 = str.charAt(1);
        if (str.length() <= 2 || charAt < 'a' || charAt > 'z' || charAt2 < 'A' || charAt2 > 'Z') {
            return field;
        }
        for (Map.Entry<String, Field> entry : map.entrySet()) {
            if (str.equalsIgnoreCase(entry.getKey())) {
                return entry.getValue();
            }
        }
        return field;
    }

    public static i y() {
        return l;
    }

    private void z() {
        g<Type, t> gVar = this.q;
        s0 s0Var = s0.f5761b;
        gVar.d(SimpleDateFormat.class, s0Var);
        this.q.d(Timestamp.class, z.f5668b);
        this.q.d(java.sql.Date.class, z.f5667a);
        this.q.d(Time.class, c0.f5637a);
        this.q.d(Date.class, w.f5766a);
        g<Type, t> gVar2 = this.q;
        p pVar = p.f5754a;
        gVar2.d(Calendar.class, pVar);
        this.q.d(XMLGregorianCalendar.class, pVar);
        this.q.d(JSONObject.class, r.f5661a);
        g<Type, t> gVar3 = this.q;
        com.alibaba.fastjson.serializer.t tVar = com.alibaba.fastjson.serializer.t.f5764a;
        gVar3.d(JSONArray.class, tVar);
        this.q.d(Map.class, r.f5661a);
        this.q.d(HashMap.class, r.f5661a);
        this.q.d(LinkedHashMap.class, r.f5661a);
        this.q.d(TreeMap.class, r.f5661a);
        this.q.d(ConcurrentMap.class, r.f5661a);
        this.q.d(ConcurrentHashMap.class, r.f5661a);
        this.q.d(Collection.class, tVar);
        this.q.d(List.class, tVar);
        this.q.d(ArrayList.class, tVar);
        g<Type, t> gVar4 = this.q;
        com.alibaba.fastjson.parser.k.p pVar2 = com.alibaba.fastjson.parser.k.p.f5655a;
        gVar4.d(Object.class, pVar2);
        this.q.d(String.class, j1.f5731a);
        this.q.d(StringBuffer.class, j1.f5731a);
        this.q.d(StringBuilder.class, j1.f5731a);
        g<Type, t> gVar5 = this.q;
        Class cls = Character.TYPE;
        com.alibaba.fastjson.serializer.r rVar = com.alibaba.fastjson.serializer.r.f5758a;
        gVar5.d(cls, rVar);
        this.q.d(Character.class, rVar);
        g<Type, t> gVar6 = this.q;
        Class cls2 = Byte.TYPE;
        s sVar = s.f5662a;
        gVar6.d(cls2, sVar);
        this.q.d(Byte.class, sVar);
        this.q.d(Short.TYPE, sVar);
        this.q.d(Short.class, sVar);
        this.q.d(Integer.TYPE, d0.f5702a);
        this.q.d(Integer.class, d0.f5702a);
        this.q.d(Long.TYPE, q0.f5757a);
        this.q.d(Long.class, q0.f5757a);
        this.q.d(BigInteger.class, m.f5741c);
        this.q.d(BigDecimal.class, l.f5738c);
        this.q.d(Float.TYPE, b0.f5682a);
        this.q.d(Float.class, b0.f5682a);
        this.q.d(Double.TYPE, sVar);
        this.q.d(Double.class, sVar);
        g<Type, t> gVar7 = this.q;
        Class cls3 = Boolean.TYPE;
        n nVar = n.f5747a;
        gVar7.d(cls3, nVar);
        this.q.d(Boolean.class, nVar);
        this.q.d(Class.class, s0Var);
        this.q.d(char[].class, new q());
        this.q.d(AtomicBoolean.class, nVar);
        this.q.d(AtomicInteger.class, d0.f5702a);
        this.q.d(AtomicLong.class, q0.f5757a);
        g<Type, t> gVar8 = this.q;
        a1 a1Var = a1.f5680a;
        gVar8.d(AtomicReference.class, a1Var);
        this.q.d(WeakReference.class, a1Var);
        this.q.d(SoftReference.class, a1Var);
        this.q.d(UUID.class, s0Var);
        this.q.d(TimeZone.class, s0Var);
        this.q.d(Locale.class, s0Var);
        this.q.d(Currency.class, s0Var);
        this.q.d(Inet4Address.class, s0Var);
        this.q.d(Inet6Address.class, s0Var);
        this.q.d(InetSocketAddress.class, s0Var);
        this.q.d(File.class, s0Var);
        this.q.d(URI.class, s0Var);
        this.q.d(URL.class, s0Var);
        this.q.d(Pattern.class, s0Var);
        this.q.d(Charset.class, s0Var);
        this.q.d(d.class, s0Var);
        this.q.d(Number.class, sVar);
        g<Type, t> gVar9 = this.q;
        com.alibaba.fastjson.serializer.g gVar10 = com.alibaba.fastjson.serializer.g.f5717a;
        gVar9.d(AtomicIntegerArray.class, gVar10);
        this.q.d(AtomicLongArray.class, gVar10);
        this.q.d(StackTraceElement.class, a0.f5634a);
        this.q.d(Serializable.class, pVar2);
        this.q.d(Cloneable.class, pVar2);
        this.q.d(Comparable.class, pVar2);
        this.q.d(Closeable.class, pVar2);
        this.q.d(c.class, new com.alibaba.fastjson.parser.k.n());
    }

    public void A(Class<?>... clsArr) {
        if (clsArr != null) {
            for (Class<?> cls : clsArr) {
                if (cls != null) {
                    I(cls, n(cls, cls));
                }
            }
        }
    }

    public boolean B() {
        return this.t;
    }

    public boolean C() {
        return this.y;
    }

    public boolean D() {
        return this.D;
    }

    public boolean E(Class<?> cls) {
        return F(cls);
    }

    public boolean G() {
        return this.H;
    }

    public void I(Type type, t tVar) {
        Type mixInAnnotations = com.alibaba.fastjson.a.getMixInAnnotations(type);
        if (mixInAnnotations != null) {
            g<Type, t> c2 = this.r.c(type);
            if (c2 == null) {
                c2 = new g<>(4);
                this.r.d(type, c2);
            }
            c2.d(mixInAnnotations, tVar);
            return;
        }
        this.q.d(type, tVar);
    }

    public void J(com.alibaba.fastjson.k.a aVar) {
        this.F.add(aVar);
    }

    public void K(String str, Class cls) {
        this.s.putIfAbsent(str, cls);
    }

    public void L(boolean z2) {
        this.t = z2;
    }

    public void M(boolean z2) {
        this.y = z2;
    }

    public void N(ClassLoader classLoader) {
        this.w = classLoader;
    }

    public void O(boolean z2) {
        this.D = z2;
    }

    public void P(boolean z2) {
        this.H = z2;
    }

    public void a(String str) {
        if (str != null && str.length() != 0) {
            long M = com.alibaba.fastjson.util.n.M(str);
            if (Arrays.binarySearch(this.B, M) < 0) {
                long[] jArr = this.B;
                int length = jArr.length + 1;
                long[] jArr2 = new long[length];
                jArr2[length - 1] = M;
                System.arraycopy(jArr, 0, jArr2, 0, jArr.length);
                Arrays.sort(jArr2);
                this.B = jArr2;
            }
        }
    }

    public void b(a aVar) {
        List list = this.G;
        if (list == null) {
            list = new CopyOnWriteArrayList();
            this.G = list;
        }
        list.add(aVar);
    }

    public void c(String str) {
        if (str != null && str.length() != 0) {
            long M = com.alibaba.fastjson.util.n.M(str);
            if (Arrays.binarySearch(this.A, M) < 0) {
                long[] jArr = this.A;
                int length = jArr.length + 1;
                long[] jArr2 = new long[length];
                jArr2[length - 1] = M;
                System.arraycopy(jArr, 0, jArr2, 0, jArr.length);
                Arrays.sort(jArr2);
                this.A = jArr2;
            }
        }
    }

    public void d(String str) {
        if (str != null && str.length() != 0) {
            long M = com.alibaba.fastjson.util.n.M(str);
            long[] jArr = this.z;
            if (jArr == null) {
                this.z = new long[]{M};
            } else if (Arrays.binarySearch(jArr, M) < 0) {
                long[] jArr2 = this.z;
                int length = jArr2.length + 1;
                long[] jArr3 = new long[length];
                jArr3[length - 1] = M;
                System.arraycopy(jArr2, 0, jArr3, 0, jArr2.length);
                Arrays.sort(jArr3);
                this.z = jArr3;
            }
        }
    }

    public Class<?> h(Class cls) {
        if (o(cls) != null) {
            return cls;
        }
        return j(cls.getName(), null, com.alibaba.fastjson.a.DEFAULT_PARSER_FEATURE);
    }

    public Class<?> i(String str, Class<?> cls) {
        return j(str, cls, com.alibaba.fastjson.a.DEFAULT_PARSER_FEATURE);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:139:0x02c7, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:140:0x02c8, code lost:
        r4 = r9;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:139:0x02c7 A[ExcHandler: all (th java.lang.Throwable), Splitter:B:131:0x02af] */
    /* JADX WARNING: Removed duplicated region for block: B:158:0x02ec  */
    /* JADX WARNING: Removed duplicated region for block: B:168:0x0300 A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:173:0x030e  */
    /* JADX WARNING: Removed duplicated region for block: B:197:0x0390  */
    /* JADX WARNING: Removed duplicated region for block: B:200:0x0396  */
    /* JADX WARNING: Removed duplicated region for block: B:204:0x03c2  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x00de  */
    public Class<?> j(String str, Class<?> cls, int i2) {
        boolean z2;
        long charAt;
        boolean z3;
        boolean z4;
        InputStream inputStream;
        InputStream inputStream2;
        Class<?> H0;
        if (str == null) {
            return null;
        }
        if (this.G != null) {
            for (a aVar : this.G) {
                Class<?> a2 = aVar.a(str, cls, i2);
                if (a2 != null) {
                    return a2;
                }
            }
        }
        int i3 = Feature.SafeMode.mask;
        if ((!this.H && (i2 & i3) == 0 && (i3 & com.alibaba.fastjson.a.DEFAULT_PARSER_FEATURE) == 0) ? false : true) {
            throw new JSONException("safeMode not support autoType : " + str);
        } else if (str.length() >= 192 || str.length() < 3) {
            throw new JSONException("autoType is not support. " + str);
        } else {
            if (cls != null) {
                long M = com.alibaba.fastjson.util.n.M(cls.getName());
                if (!(M == -8024746738719829346L || M == 3247277300971823414L || M == -5811778396720452501L || M == -1368967840069965882L || M == 2980334044947851925L || M == 5183404141909004468L || M == 7222019943667248779L || M == -2027296626235911549L || M == -2114196234051346931L || M == -2939497380989775398L)) {
                    z2 = true;
                    String replace = str.replace('$', '.');
                    charAt = (((long) replace.charAt(0)) ^ -3750763034362895579L) * 1099511628211L;
                    if (charAt != -5808493101479473382L) {
                        throw new JSONException("autoType is not support. " + str);
                    } else if ((((long) replace.charAt(replace.length() - 1)) ^ charAt) * 1099511628211L != 655701488918567152L) {
                        long charAt2 = (((((((long) replace.charAt(0)) ^ -3750763034362895579L) * 1099511628211L) ^ ((long) replace.charAt(1))) * 1099511628211L) ^ ((long) replace.charAt(2))) * 1099511628211L;
                        long M2 = com.alibaba.fastjson.util.n.M(replace);
                        boolean z5 = Arrays.binarySearch(k, M2) >= 0;
                        if (this.z != null) {
                            long j2 = charAt2;
                            int i4 = 3;
                            while (i4 < replace.length()) {
                                long charAt3 = (j2 ^ ((long) replace.charAt(i4))) * 1099511628211L;
                                if (Arrays.binarySearch(this.z, charAt3) < 0) {
                                    i4++;
                                    j2 = charAt3;
                                } else {
                                    throw new JSONException("autoType is not support. " + str);
                                }
                            }
                        }
                        if (!z5 && (this.y || z2)) {
                            long j3 = charAt2;
                            int i5 = 3;
                            while (i5 < replace.length()) {
                                j3 = (((long) replace.charAt(i5)) ^ j3) * 1099511628211L;
                                if (Arrays.binarySearch(this.B, j3) >= 0 && (H0 = com.alibaba.fastjson.util.n.H0(str, this.w, true)) != null) {
                                    return H0;
                                }
                                if (Arrays.binarySearch(this.A, j3) < 0 || com.alibaba.fastjson.util.n.U(str) != null || Arrays.binarySearch(this.B, M2) >= 0) {
                                    i5++;
                                    charAt2 = charAt2;
                                } else {
                                    throw new JSONException("autoType is not support. " + str);
                                }
                            }
                        }
                        long j4 = charAt2;
                        Class<?> U = com.alibaba.fastjson.util.n.U(str);
                        if (U == null) {
                            U = this.q.b(str);
                        }
                        if (U == null) {
                            U = this.s.get(str);
                        }
                        if (z5) {
                            U = com.alibaba.fastjson.util.n.H0(str, this.w, true);
                        }
                        if (U == null) {
                            if (!this.y) {
                                int i6 = 3;
                                while (i6 < replace.length()) {
                                    long charAt4 = (j4 ^ ((long) replace.charAt(i6))) * 1099511628211L;
                                    if (Arrays.binarySearch(this.A, charAt4) >= 0) {
                                        throw new JSONException("autoType is not support. " + str);
                                    } else if (Arrays.binarySearch(this.B, charAt4) >= 0) {
                                        Class<?> H02 = com.alibaba.fastjson.util.n.H0(str, this.w, true);
                                        if (H02 == null) {
                                            return cls;
                                        }
                                        if (cls == null || !cls.isAssignableFrom(H02)) {
                                            return H02;
                                        }
                                        throw new JSONException("type not match. " + str + " -> " + cls.getName());
                                    } else {
                                        i6++;
                                        j4 = charAt4;
                                    }
                                }
                            }
                            try {
                                String str2 = str.replace('.', '/') + ".class";
                                ClassLoader classLoader = this.w;
                                if (classLoader != null) {
                                    inputStream2 = classLoader.getResourceAsStream(str2);
                                } else {
                                    inputStream2 = i.class.getClassLoader().getResourceAsStream(str2);
                                }
                                if (inputStream2 != null) {
                                    try {
                                        com.alibaba.fastjson.j.b bVar = new com.alibaba.fastjson.j.b(inputStream2, true);
                                        com.alibaba.fastjson.j.l lVar = new com.alibaba.fastjson.j.l("<clinit>", new Class[0]);
                                        bVar.a(lVar);
                                        z3 = lVar.c();
                                    } catch (Exception unused) {
                                        inputStream = inputStream2;
                                        f.a(inputStream);
                                        z3 = false;
                                        int i7 = Feature.SupportAutoType.mask;
                                        if (this.y) {
                                        }
                                        U = com.alibaba.fastjson.util.n.H0(str, this.w, !z4 || z3);
                                        if (U != null) {
                                        }
                                        if (!z4) {
                                        }
                                    } catch (Throwable th) {
                                    }
                                } else {
                                    z3 = false;
                                }
                                f.a(inputStream2);
                            } catch (Exception unused2) {
                                inputStream = null;
                                f.a(inputStream);
                                z3 = false;
                                int i72 = Feature.SupportAutoType.mask;
                                if (this.y) {
                                }
                                U = com.alibaba.fastjson.util.n.H0(str, this.w, !z4 || z3);
                                if (U != null) {
                                }
                                if (!z4) {
                                }
                            } catch (Throwable th2) {
                                Throwable th3 = th2;
                                InputStream inputStream3 = null;
                                f.a(inputStream3);
                                throw th3;
                            }
                            int i722 = Feature.SupportAutoType.mask;
                            z4 = (this.y && (i2 & i722) == 0 && (com.alibaba.fastjson.a.DEFAULT_PARSER_FEATURE & i722) == 0) ? false : true;
                            if (z4 || z3 || z2) {
                                U = com.alibaba.fastjson.util.n.H0(str, this.w, !z4 || z3);
                            }
                            if (U != null) {
                                if (z3) {
                                    com.alibaba.fastjson.util.n.b(str, U);
                                    return U;
                                } else if (ClassLoader.class.isAssignableFrom(U) || DataSource.class.isAssignableFrom(U) || RowSet.class.isAssignableFrom(U)) {
                                    throw new JSONException("autoType is not support. " + str);
                                } else if (cls != null) {
                                    if (cls.isAssignableFrom(U)) {
                                        com.alibaba.fastjson.util.n.b(str, U);
                                        return U;
                                    }
                                    throw new JSONException("type not match. " + str + " -> " + cls.getName());
                                } else if (h.b(U, U, this.v).f5807d != null && z4) {
                                    throw new JSONException("autoType is not support. " + str);
                                }
                            }
                            if (!z4) {
                                if (U != null) {
                                    com.alibaba.fastjson.util.n.b(str, U);
                                }
                                return U;
                            }
                            throw new JSONException("autoType is not support. " + str);
                        } else if (cls == null || U == HashMap.class || cls.isAssignableFrom(U)) {
                            return U;
                        } else {
                            throw new JSONException("type not match. " + str + " -> " + cls.getName());
                        }
                    } else {
                        throw new JSONException("autoType is not support. " + str);
                    }
                }
            }
            z2 = false;
            String replace2 = str.replace('$', '.');
            charAt = (((long) replace2.charAt(0)) ^ -3750763034362895579L) * 1099511628211L;
            if (charAt != -5808493101479473382L) {
            }
        }
    }

    public void k() {
        this.q.a();
        z();
    }

    public void l(Properties properties) {
        f(Q(properties.getProperty(f5623b)));
        e(Q(properties.getProperty(f5624c)));
        String property = properties.getProperty(f5625d);
        if ("true".equals(property)) {
            this.y = true;
        } else if ("false".equals(property)) {
            this.y = false;
        }
    }

    public com.alibaba.fastjson.parser.k.l m(i iVar, h hVar, com.alibaba.fastjson.util.d dVar) {
        Class<?> deserializeUsing;
        Class<?> cls = hVar.f5804a;
        Class<?> cls2 = dVar.K0;
        JSONField i2 = dVar.i();
        Class<?> cls3 = null;
        if (!(i2 == null || (deserializeUsing = i2.deserializeUsing()) == Void.class)) {
            cls3 = deserializeUsing;
        }
        if (cls3 == null && (cls2 == List.class || cls2 == ArrayList.class)) {
            return new com.alibaba.fastjson.parser.k.c(iVar, cls, dVar);
        }
        return new com.alibaba.fastjson.parser.k.f(iVar, cls, dVar);
    }

    public t n(Class<?> cls, Type type) {
        JSONField i2;
        Method method;
        com.alibaba.fastjson.parser.k.a aVar;
        boolean z2 = this.t & (!this.C);
        boolean z3 = false;
        if (z2) {
            JSONType jSONType = (JSONType) com.alibaba.fastjson.util.n.Q(cls, JSONType.class);
            if (jSONType != null) {
                Class<?> deserializer = jSONType.deserializer();
                if (deserializer != Void.class) {
                    try {
                        Object newInstance = deserializer.newInstance();
                        if (newInstance instanceof t) {
                            return (t) newInstance;
                        }
                    } catch (Throwable unused) {
                    }
                }
                z2 = jSONType.asm() && jSONType.parseFeatures().length == 0;
            }
            if (z2) {
                Class<?> h2 = h.h(cls, jSONType);
                if (h2 == null) {
                    h2 = cls;
                }
                while (true) {
                    if (Modifier.isPublic(h2.getModifiers())) {
                        h2 = h2.getSuperclass();
                        if (h2 != Object.class) {
                            if (h2 == null) {
                                break;
                            }
                        } else {
                            break;
                        }
                    } else {
                        z2 = false;
                        break;
                    }
                }
            }
        }
        if (cls.getTypeParameters().length != 0) {
            z2 = false;
        }
        if (z2 && (aVar = this.x) != null && aVar.j0.c(cls)) {
            z2 = false;
        }
        if (z2) {
            z2 = com.alibaba.fastjson.util.b.a(cls.getSimpleName());
        }
        if (z2) {
            if (cls.isInterface()) {
                z2 = false;
            }
            h d2 = h.d(cls, type, this.v, false, com.alibaba.fastjson.util.n.f5823b, this.D);
            if (z2 && d2.h.length > 200) {
                z2 = false;
            }
            Constructor<?> constructor = d2.f5806c;
            if (z2 && constructor == null && !cls.isInterface()) {
                z2 = false;
            }
            com.alibaba.fastjson.util.d[] dVarArr = d2.h;
            int length = dVarArr.length;
            int i3 = 0;
            while (true) {
                if (i3 >= length) {
                    break;
                }
                com.alibaba.fastjson.util.d dVar = dVarArr[i3];
                if (!dVar.N0) {
                    Class<?> cls2 = dVar.K0;
                    if (!Modifier.isPublic(cls2.getModifiers()) || ((cls2.isMemberClass() && !Modifier.isStatic(cls2.getModifiers())) || ((dVar.r() != null && !com.alibaba.fastjson.util.b.a(dVar.r().getName())) || (((i2 = dVar.i()) != null && (!com.alibaba.fastjson.util.b.a(i2.name()) || i2.format().length() != 0 || i2.deserializeUsing() != Void.class || i2.parseFeatures().length != 0 || i2.unwrapped())) || (((method = dVar.f5789b) != null && method.getParameterTypes().length > 1) || (cls2.isEnum() && !(t(cls2) instanceof com.alibaba.fastjson.parser.k.h))))))) {
                        break;
                    }
                    i3++;
                } else {
                    break;
                }
            }
            z2 = false;
        }
        if (z2 && cls.isMemberClass() && !Modifier.isStatic(cls.getModifiers())) {
            z2 = false;
        }
        if (!z2 || !com.alibaba.fastjson.util.n.E0(cls)) {
            z3 = z2;
        }
        if (!z3) {
            return new o(this, cls, type);
        }
        h b2 = h.b(cls, type, this.v);
        try {
            return this.x.v(this, b2);
        } catch (NoSuchMethodException unused2) {
            return new o(this, cls, type);
        } catch (JSONException unused3) {
            return new o(this, b2);
        } catch (Exception e2) {
            throw new JSONException("create asm deserializer error, " + cls.getName(), e2);
        }
    }

    public t o(Type type) {
        Type mixInAnnotations = com.alibaba.fastjson.a.getMixInAnnotations(type);
        if (mixInAnnotations == null) {
            return this.q.c(type);
        }
        g<Type, t> c2 = this.r.c(type);
        if (c2 == null) {
            return null;
        }
        return c2.c(mixInAnnotations);
    }

    public ClassLoader p() {
        return this.w;
    }

    public g<Type, t> q() {
        return this.q;
    }

    public t r(com.alibaba.fastjson.util.d dVar) {
        return s(dVar.K0, dVar.L0);
    }

    public t s(Class<?> cls, Type type) {
        t tVar;
        t xVar;
        Class<?> mappingTo;
        Type type2 = type;
        t o2 = o(type2);
        if (o2 == null && (type2 instanceof com.alibaba.fastjson.util.i)) {
            o2 = o(com.alibaba.fastjson.i.c((com.alibaba.fastjson.util.i) type2));
        }
        if (o2 != null) {
            return o2;
        }
        if (type2 == null) {
            type2 = cls;
        }
        t o3 = o(type2);
        if (o3 != null) {
            return o3;
        }
        JSONType jSONType = (JSONType) com.alibaba.fastjson.util.n.Q(cls, JSONType.class);
        if (!(jSONType == null || (mappingTo = jSONType.mappingTo()) == Void.class)) {
            return s(mappingTo, mappingTo);
        }
        if ((type2 instanceof WildcardType) || (type2 instanceof TypeVariable) || (type2 instanceof ParameterizedType)) {
            o3 = o(cls);
        }
        if (o3 != null) {
            return o3;
        }
        for (com.alibaba.fastjson.k.a aVar : this.F) {
            o3 = aVar.a(this, cls);
            if (o3 != null) {
                I(type2, o3);
                return o3;
            }
        }
        String replace = cls.getName().replace('$', '.');
        if (replace.startsWith("java.awt.") && com.alibaba.fastjson.serializer.i.k(cls) && !m) {
            String[] strArr = {"java.awt.Point", "java.awt.Font", "java.awt.Rectangle", "java.awt.Color"};
            for (int i2 = 0; i2 < 4; i2++) {
                try {
                    String str = strArr[i2];
                    if (str.equals(replace)) {
                        Type cls2 = Class.forName(str);
                        t tVar2 = com.alibaba.fastjson.serializer.i.f5722a;
                        I(cls2, tVar2);
                        return tVar2;
                    }
                } catch (Throwable unused) {
                    m = true;
                }
            }
            o3 = com.alibaba.fastjson.serializer.i.f5722a;
        }
        if (!n) {
            try {
                if (replace.startsWith("java.time.")) {
                    String[] strArr2 = {"java.time.LocalDateTime", "java.time.LocalDate", "java.time.LocalTime", "java.time.ZonedDateTime", "java.time.OffsetDateTime", "java.time.OffsetTime", "java.time.ZoneOffset", "java.time.ZoneRegion", "java.time.ZoneId", "java.time.Period", "java.time.Duration", "java.time.Instant"};
                    for (int i3 = 0; i3 < 12; i3++) {
                        String str2 = strArr2[i3];
                        if (str2.equals(replace)) {
                            Type cls3 = Class.forName(str2);
                            t tVar3 = com.alibaba.fastjson.parser.k.q.f5656a;
                            I(cls3, tVar3);
                            return tVar3;
                        }
                    }
                } else if (replace.startsWith("java.util.Optional")) {
                    String[] strArr3 = {"java.util.Optional", "java.util.OptionalDouble", "java.util.OptionalInt", "java.util.OptionalLong"};
                    for (int i4 = 0; i4 < 4; i4++) {
                        String str3 = strArr3[i4];
                        if (str3.equals(replace)) {
                            Type cls4 = Class.forName(str3);
                            t tVar4 = u.f5663a;
                            I(cls4, tVar4);
                            return tVar4;
                        }
                    }
                }
            } catch (Throwable unused2) {
                n = true;
            }
        }
        if (!o) {
            try {
                if (replace.startsWith("org.joda.time.")) {
                    String[] strArr4 = {"org.joda.time.DateTime", "org.joda.time.LocalDate", "org.joda.time.LocalDateTime", "org.joda.time.LocalTime", "org.joda.time.Instant", "org.joda.time.Period", "org.joda.time.Duration", "org.joda.time.DateTimeZone", "org.joda.time.format.DateTimeFormatter"};
                    for (int i5 = 0; i5 < 9; i5++) {
                        String str4 = strArr4[i5];
                        if (str4.equals(replace)) {
                            Type cls5 = Class.forName(str4);
                            t tVar5 = m0.f5742a;
                            I(cls5, tVar5);
                            return tVar5;
                        }
                    }
                }
            } catch (Throwable unused3) {
                o = true;
            }
        }
        if (!p && replace.startsWith("com.google.common.collect.")) {
            try {
                String[] strArr5 = {"com.google.common.collect.HashMultimap", "com.google.common.collect.LinkedListMultimap", "com.google.common.collect.LinkedHashMultimap", "com.google.common.collect.ArrayListMultimap", "com.google.common.collect.TreeMultimap"};
                for (int i6 = 0; i6 < 5; i6++) {
                    String str5 = strArr5[i6];
                    if (str5.equals(replace)) {
                        Type cls6 = Class.forName(str5);
                        t tVar6 = com.alibaba.fastjson.serializer.c0.f5691a;
                        I(cls6, tVar6);
                        return tVar6;
                    }
                }
            } catch (ClassNotFoundException unused4) {
                p = true;
            }
        }
        if (replace.equals("java.nio.ByteBuffer")) {
            o3 = com.alibaba.fastjson.serializer.o.f5748a;
            I(cls, o3);
        }
        if (replace.equals("java.nio.file.Path")) {
            o3 = s0.f5761b;
            I(cls, o3);
        }
        if (cls == Map.Entry.class) {
            o3 = s0.f5761b;
            I(cls, o3);
        }
        if (replace.equals("org.javamoney.moneta.Money")) {
            o3 = com.alibaba.fastjson.l.e.a.f5565a;
            I(cls, o3);
        }
        try {
            for (com.alibaba.fastjson.parser.k.d dVar : com.alibaba.fastjson.util.l.a(com.alibaba.fastjson.parser.k.d.class, Thread.currentThread().getContextClassLoader())) {
                for (Type type3 : dVar.a()) {
                    I(type3, dVar);
                }
            }
        } catch (Exception unused5) {
        }
        if (o3 == null) {
            o3 = o(type2);
        }
        if (o3 != null) {
            return o3;
        }
        if (cls.isEnum()) {
            if (this.D) {
                for (Method method : cls.getMethods()) {
                    if (com.alibaba.fastjson.util.n.x0(method)) {
                        t n2 = n(cls, type2);
                        I(type2, n2);
                        return n2;
                    }
                }
            }
            Class<?> cls7 = (Class) com.alibaba.fastjson.a.getMixInAnnotations(cls);
            JSONType jSONType2 = (JSONType) com.alibaba.fastjson.util.n.Q(cls7 != null ? cls7 : cls, JSONType.class);
            if (jSONType2 != null) {
                try {
                    t tVar7 = (t) jSONType2.deserializer().newInstance();
                    I(cls, tVar7);
                    return tVar7;
                } catch (Throwable unused6) {
                }
            }
            Method method2 = null;
            if (cls7 != null) {
                Method v2 = v(cls7, cls);
                if (v2 != null) {
                    try {
                        method2 = cls.getMethod(v2.getName(), v2.getParameterTypes());
                    } catch (Exception unused7) {
                    }
                }
            } else {
                method2 = v(cls, cls);
            }
            if (method2 != null) {
                t gVar = new com.alibaba.fastjson.parser.k.g(method2);
                I(cls, gVar);
                return gVar;
            }
            tVar = w(cls);
        } else if (cls.isArray()) {
            tVar = u0.f5765a;
        } else if (cls == Set.class || cls == HashSet.class || cls == Collection.class || cls == List.class || cls == ArrayList.class) {
            tVar = com.alibaba.fastjson.serializer.t.f5764a;
        } else if (Collection.class.isAssignableFrom(cls)) {
            tVar = com.alibaba.fastjson.serializer.t.f5764a;
        } else if (Map.class.isAssignableFrom(cls)) {
            tVar = r.f5661a;
        } else {
            if (Throwable.class.isAssignableFrom(cls)) {
                xVar = new com.alibaba.fastjson.parser.k.b0(this, cls);
            } else if (com.alibaba.fastjson.parser.k.w.class.isAssignableFrom(cls)) {
                xVar = new x(cls);
            } else if (cls == InetAddress.class) {
                tVar = s0.f5761b;
            } else {
                tVar = n(cls, type2);
            }
            tVar = xVar;
        }
        I(type2, tVar);
        return tVar;
    }

    public t t(Type type) {
        t o2 = o(type);
        if (o2 != null) {
            return o2;
        }
        if (type instanceof Class) {
            return s((Class) type, type);
        }
        if (type instanceof ParameterizedType) {
            Type rawType = ((ParameterizedType) type).getRawType();
            if (rawType instanceof Class) {
                return s((Class) rawType, type);
            }
            return t(rawType);
        }
        if (type instanceof WildcardType) {
            Type[] upperBounds = ((WildcardType) type).getUpperBounds();
            if (upperBounds.length == 1) {
                return t(upperBounds[0]);
            }
        }
        return com.alibaba.fastjson.parser.k.p.f5655a;
    }

    public g<Type, t> u() {
        return this.q;
    }

    /* access modifiers changed from: protected */
    public t w(Class<?> cls) {
        return new com.alibaba.fastjson.parser.k.h(cls);
    }

    public i(boolean z2) {
        this(null, null, z2);
    }

    public i(ClassLoader classLoader) {
        this(null, classLoader, false);
    }

    public i(com.alibaba.fastjson.parser.k.a aVar) {
        this(aVar, null, false);
    }

    private i(com.alibaba.fastjson.parser.k.a aVar, ClassLoader classLoader, boolean z2) {
        this.q = new g<>();
        this.r = new g<>(16);
        this.s = new ConcurrentHashMap(16, 0.75f, 1);
        this.t = !com.alibaba.fastjson.util.b.f5785b;
        this.u = new j(4096);
        this.y = i;
        this.D = false;
        this.E = com.alibaba.fastjson.util.n.f5823b;
        this.F = new ArrayList();
        this.H = j;
        this.A = new long[]{-9164606388214699518L, -8720046426850100497L, -8649961213709896794L, -8165637398350707645L, -8109300701639721088L, -7966123100503199569L, -7921218830998286408L, -7775351613326101303L, -7768608037458185275L, -7766605818834748097L, -6835437086156813536L, -6316154655839304624L, -6179589609550493385L, -6149093380703242441L, -6025144546313590215L, -5939269048541779808L, -5885964883385605994L, -5764804792063216819L, -5472097725414717105L, -5194641081268104286L, -5076846148177416215L, -4837536971810737970L, -4703320437989596122L, -4608341446948126581L, -4537258998789938600L, -4438775680185074100L, -4314457471973557243L, -4150995715611818742L, -4082057040235125754L, -3975378478825053783L, -3935185854875733362L, -3319207949486691020L, -3077205613010077203L, -3053747177772160511L, -2995060141064716555L, -2825378362173150292L, -2533039401923731906L, -2439930098895578154L, -2378990704010641148L, -2364987994247679115L, -2262244760619952081L, -2192804397019347313L, -2095516571388852610L, -1872417015366588117L, -1650485814983027158L, -1589194880214235129L, -965955008570215305L, -905177026366752536L, -831789045734283466L, -582813228520337988L, -254670111376247151L, -219577392946377768L, -190281065685395680L, -26639035867733124L, -9822483067882491L, 4750336058574309L, 33238344207745342L, 156405680656087946L, 218512992947536312L, 313864100207897507L, 386461436234701831L, 823641066473609950L, 1073634739308289776L, 1153291637701043748L, 1203232727967308606L, 1214780596910349029L, 1459860845934817624L, 1502845958873959152L, 1534439610567445754L, 1698504441317515818L, 1818089308493370394L, 2078113382421334967L, 2164696723069287854L, 2622551729063269307L, 2653453629929770569L, 2660670623866180977L, 2731823439467737506L, 2836431254737891113L, 2930861374593775110L, 3085473968517218653L, 3089451460101527857L, 3114862868117605599L, 3129395579983849527L, 3256258368248066264L, 3452379460455804429L, 3547627781654598988L, 3637939656440441093L, 3688179072722109200L, 3718352661124136681L, 3730752432285826863L, 3794316665763266033L, 4000049462512838776L, 4046190361520671643L, 4147696707147271408L, 4193204392725694463L, 4241163808635564644L, 4254584350247334433L, 4814658433570175913L, 4841947709850912914L, 4904007817188630457L, 5100336081510080343L, 5274044858141538265L, 5347909877633654828L, 5450448828334921485L, 5474268165959054640L, 5545425291794704408L, 5596129856135573697L, 5688200883751798389L, 5751393439502795295L, 5944107969236155580L, 6007332606592876737L, 6280357960959217660L, 6456855723474196908L, 6511035576063254270L, 6534946468240507089L, 6584624952928234050L, 6734240326434096246L, 6742705432718011780L, 6854854816081053523L, 7045245923763966215L, 7123326897294507060L, 7179336928365889465L, 7240293012336844478L, 7347653049056829645L, 7375862386996623731L, 7442624256860549330L, 7617522210483516279L, 7658177784286215602L, 8055461369741094911L, 8389032537095247355L, 8409640769019589119L, 8488266005336625107L, 8537233257283452655L, 8838294710098435315L, 9140390920032557669L, 9140416208800006522L};
        long[] jArr = new long[h.length];
        int i2 = 0;
        while (true) {
            String[] strArr = h;
            if (i2 >= strArr.length) {
                break;
            }
            jArr[i2] = com.alibaba.fastjson.util.n.M(strArr[i2]);
            i2++;
        }
        Arrays.sort(jArr);
        this.B = jArr;
        this.C = z2;
        if (aVar == null && !com.alibaba.fastjson.util.b.f5785b) {
            if (classLoader == null) {
                try {
                    aVar = new com.alibaba.fastjson.parser.k.a(new com.alibaba.fastjson.util.a());
                } catch (ExceptionInInitializerError | NoClassDefFoundError | AccessControlException unused) {
                }
            } else {
                aVar = new com.alibaba.fastjson.parser.k.a(classLoader);
            }
        }
        this.x = aVar;
        if (aVar == null) {
            this.t = false;
        }
        z();
        f(g);
        g(f);
        e(h);
    }
}
