package com.alibaba.fastjson.parser.k;

import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.parser.b;
import com.alibaba.fastjson.serializer.j;
import com.alibaba.fastjson.util.d;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import java.lang.reflect.Type;
import java.util.Collection;
import java.util.Collections;
import java.util.Map;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;

/* compiled from: FieldDeserializer */
public abstract class l {

    /* renamed from: a  reason: collision with root package name */
    public final d f5646a;

    /* renamed from: b  reason: collision with root package name */
    protected final Class<?> f5647b;

    /* renamed from: c  reason: collision with root package name */
    protected j f5648c;

    public l(Class<?> cls, d dVar) {
        this.f5647b = cls;
        this.f5646a = dVar;
    }

    private static void a(Field field, Method method, Object obj, Object obj2) throws NoSuchMethodException, InvocationTargetException, IllegalAccessException {
        if (!e(field, obj, obj2)) {
            Class<?> cls = obj.getClass();
            cls.getDeclaredMethod("set" + method.getName().substring(3), method.getReturnType()).invoke(obj, obj2);
        }
    }

    private static boolean e(Field field, Object obj, Object obj2) throws IllegalAccessException {
        if (field == null || Modifier.isFinal(field.getModifiers())) {
            return false;
        }
        field.set(obj, obj2);
        return true;
    }

    public int b() {
        return 0;
    }

    public Class<?> c() {
        return this.f5647b;
    }

    public abstract void d(b bVar, Object obj, Type type, Map<String, Object> map);

    public void f(Object obj, int i) {
        h(obj, Integer.valueOf(i));
    }

    public void g(Object obj, long j) {
        h(obj, Long.valueOf(j));
    }

    public void h(Object obj, Object obj2) {
        String str;
        if (obj2 != null || !this.f5646a.K0.isPrimitive()) {
            d dVar = this.f5646a;
            if (dVar.K0 == String.class && (str = dVar.Z0) != null && str.equals("trim")) {
                obj2 = ((String) obj2).trim();
            }
            try {
                d dVar2 = this.f5646a;
                Method method = dVar2.f5789b;
                if (method == null) {
                    Field field = dVar2.I0;
                    if (dVar2.N0) {
                        Class<?> cls = dVar2.K0;
                        if (cls == AtomicInteger.class) {
                            AtomicInteger atomicInteger = (AtomicInteger) field.get(obj);
                            if (atomicInteger != null) {
                                atomicInteger.set(((AtomicInteger) obj2).get());
                            }
                        } else if (cls == AtomicLong.class) {
                            AtomicLong atomicLong = (AtomicLong) field.get(obj);
                            if (atomicLong != null) {
                                atomicLong.set(((AtomicLong) obj2).get());
                            }
                        } else if (cls == AtomicBoolean.class) {
                            AtomicBoolean atomicBoolean = (AtomicBoolean) field.get(obj);
                            if (atomicBoolean != null) {
                                atomicBoolean.set(((AtomicBoolean) obj2).get());
                            }
                        } else if (Map.class.isAssignableFrom(cls)) {
                            Map map = (Map) field.get(obj);
                            if (map != null && map != Collections.emptyMap() && !map.getClass().getName().startsWith("java.util.Collections$Unmodifiable")) {
                                map.putAll((Map) obj2);
                            }
                        } else {
                            Collection collection = (Collection) field.get(obj);
                            if (collection != null && obj2 != null && collection != Collections.emptySet() && collection != Collections.emptyList() && !collection.getClass().getName().startsWith("java.util.Collections$Unmodifiable")) {
                                collection.clear();
                                collection.addAll((Collection) obj2);
                            }
                        }
                    } else if (field != null) {
                        field.set(obj, obj2);
                    }
                } else if (dVar2.N0) {
                    Class<?> cls2 = dVar2.K0;
                    if (cls2 == AtomicInteger.class) {
                        AtomicInteger atomicInteger2 = (AtomicInteger) method.invoke(obj, new Object[0]);
                        if (atomicInteger2 != null) {
                            atomicInteger2.set(((AtomicInteger) obj2).get());
                        } else {
                            a(this.f5646a.I0, method, obj, obj2);
                        }
                    } else if (cls2 == AtomicLong.class) {
                        AtomicLong atomicLong2 = (AtomicLong) method.invoke(obj, new Object[0]);
                        if (atomicLong2 != null) {
                            atomicLong2.set(((AtomicLong) obj2).get());
                        } else {
                            a(this.f5646a.I0, method, obj, obj2);
                        }
                    } else if (cls2 == AtomicBoolean.class) {
                        AtomicBoolean atomicBoolean2 = (AtomicBoolean) method.invoke(obj, new Object[0]);
                        if (atomicBoolean2 != null) {
                            atomicBoolean2.set(((AtomicBoolean) obj2).get());
                        } else {
                            a(this.f5646a.I0, method, obj, obj2);
                        }
                    } else if (Map.class.isAssignableFrom(method.getReturnType())) {
                        try {
                            Map map2 = (Map) method.invoke(obj, new Object[0]);
                            if (map2 != null) {
                                if (map2 != Collections.emptyMap()) {
                                    if (!map2.isEmpty() || !((Map) obj2).isEmpty()) {
                                        String name = map2.getClass().getName();
                                        if (!name.equals("java.util.ImmutableCollections$Map1") && !name.equals("java.util.ImmutableCollections$MapN") && !name.startsWith("java.util.Collections$Unmodifiable")) {
                                            if (map2.getClass().getName().equals("kotlin.collections.EmptyMap")) {
                                                a(this.f5646a.I0, method, obj, obj2);
                                            } else {
                                                map2.putAll((Map) obj2);
                                            }
                                        }
                                    }
                                }
                            } else if (obj2 != null) {
                                a(this.f5646a.I0, method, obj, obj2);
                            }
                        } catch (InvocationTargetException unused) {
                            a(this.f5646a.I0, method, obj, obj2);
                        }
                    } else {
                        try {
                            Collection collection2 = (Collection) method.invoke(obj, new Object[0]);
                            if (collection2 != null && obj2 != null) {
                                String name2 = collection2.getClass().getName();
                                if (collection2 != Collections.emptySet() && collection2 != Collections.emptyList() && name2 != "java.util.ImmutableCollections$ListN" && name2 != "java.util.ImmutableCollections$List12" && !name2.startsWith("java.util.Collections$Unmodifiable")) {
                                    if (!collection2.isEmpty()) {
                                        collection2.clear();
                                    } else if (((Collection) obj2).isEmpty()) {
                                        return;
                                    }
                                    if (name2.equals("kotlin.collections.EmptyList") || name2.equals("kotlin.collections.EmptySet")) {
                                        a(this.f5646a.I0, method, obj, obj2);
                                    } else {
                                        collection2.addAll((Collection) obj2);
                                    }
                                }
                            } else if (collection2 == null && obj2 != null) {
                                a(this.f5646a.I0, method, obj, obj2);
                            }
                        } catch (InvocationTargetException unused2) {
                            a(this.f5646a.I0, method, obj, obj2);
                        }
                    }
                } else {
                    method.invoke(obj, obj2);
                }
            } catch (Exception e2) {
                throw new JSONException("set property error, " + this.f5647b.getName() + "#" + this.f5646a.f5788a, e2);
            }
        }
    }

    public void i(Object obj, String str) {
        h(obj, str);
    }

    public void j(Object obj, boolean z) {
        h(obj, Boolean.valueOf(z));
    }

    public void k(String str, Object obj) {
        throw new JSONException("TODO");
    }
}
