package com.alibaba.fastjson.parser.k;

import androidx.work.t;
import com.alibaba.fastjson.a;
import com.alibaba.fastjson.parser.b;
import com.alibaba.fastjson.parser.c;
import com.alibaba.fastjson.parser.f;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.alibaba.fastjson.serializer.g1;
import com.alibaba.fastjson.serializer.j;
import com.alibaba.fastjson.serializer.j0;
import com.alibaba.fastjson.serializer.u;
import com.alibaba.fastjson.serializer.v0;
import java.io.IOException;
import java.lang.reflect.Type;
import java.time.Duration;
import java.time.Instant;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;
import java.time.OffsetDateTime;
import java.time.OffsetTime;
import java.time.Period;
import java.time.ZoneId;
import java.time.ZonedDateTime;
import java.time.chrono.ChronoZonedDateTime;
import java.time.format.DateTimeFormatter;
import java.time.temporal.TemporalAccessor;
import java.util.Locale;
import java.util.TimeZone;
import kotlin.time.DurationKt;

/* compiled from: Jdk8DateCodec */
public class q extends e implements v0, u, t {

    /* renamed from: a  reason: collision with root package name */
    public static final q f5656a = new q();

    /* renamed from: b  reason: collision with root package name */
    private static final String f5657b = "yyyy-MM-dd HH:mm:ss";

    /* renamed from: c  reason: collision with root package name */
    private static final DateTimeFormatter f5658c = DateTimeFormatter.ofPattern(f5657b);

    /* renamed from: d  reason: collision with root package name */
    private static final DateTimeFormatter f5659d = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss.SSS");

    /* renamed from: e  reason: collision with root package name */
    private static final DateTimeFormatter f5660e = DateTimeFormatter.ofPattern("yyyy/MM/dd HH:mm:ss");
    private static final DateTimeFormatter f = DateTimeFormatter.ofPattern("yyyy年M月d日 HH:mm:ss");
    private static final DateTimeFormatter g = DateTimeFormatter.ofPattern("yyyy年M月d日 H时m分s秒");
    private static final DateTimeFormatter h = DateTimeFormatter.ofPattern("yyyy년M월d일 HH:mm:ss");
    private static final DateTimeFormatter i = DateTimeFormatter.ofPattern("MM/dd/yyyy HH:mm:ss");
    private static final DateTimeFormatter j = DateTimeFormatter.ofPattern("dd/MM/yyyy HH:mm:ss");
    private static final DateTimeFormatter k = DateTimeFormatter.ofPattern("dd.MM.yyyy HH:mm:ss");
    private static final DateTimeFormatter l = DateTimeFormatter.ofPattern("dd-MM-yyyy HH:mm:ss");
    private static final DateTimeFormatter m = DateTimeFormatter.ofPattern("yyyyMMdd");
    private static final DateTimeFormatter n = DateTimeFormatter.ofPattern("yyyy/MM/dd");
    private static final DateTimeFormatter o = DateTimeFormatter.ofPattern("yyyy年M月d日");
    private static final DateTimeFormatter p = DateTimeFormatter.ofPattern("yyyy년M월d일");
    private static final DateTimeFormatter q = DateTimeFormatter.ofPattern("MM/dd/yyyy");
    private static final DateTimeFormatter r = DateTimeFormatter.ofPattern("dd/MM/yyyy");
    private static final DateTimeFormatter s = DateTimeFormatter.ofPattern("dd.MM.yyyy");
    private static final DateTimeFormatter t = DateTimeFormatter.ofPattern("dd-MM-yyyy");
    private static final DateTimeFormatter u = DateTimeFormatter.ofPattern(f5657b).withZone(ZoneId.systemDefault());
    private static final String v = "yyyy-MM-dd'T'HH:mm:ss";
    private static final String w = "yyyy-MM-dd'T'HH:mm:ss.SSS";
    private static final String x = "yyyy-MM-dd'T'HH:mm:ss.SSSSSSSSS";
    private static final DateTimeFormatter y = DateTimeFormatter.ofPattern(v);

    public static Object g(Object obj, String str) {
        if (obj == null) {
            return null;
        }
        if (str == null) {
            str = f5657b;
        }
        return LocalDateTime.parse(obj.toString(), DateTimeFormatter.ofPattern(str));
    }

    private void k(g1 g1Var, TemporalAccessor temporalAccessor, String str) {
        DateTimeFormatter dateTimeFormatter;
        if ("unixtime".equals(str)) {
            if (temporalAccessor instanceof ChronoZonedDateTime) {
                g1Var.L1((int) ((ChronoZonedDateTime) temporalAccessor).toEpochSecond());
                return;
            } else if (temporalAccessor instanceof LocalDateTime) {
                g1Var.L1((int) ((LocalDateTime) temporalAccessor).atZone(a.defaultTimeZone.toZoneId()).toEpochSecond());
                return;
            }
        }
        if ("millis".equals(str)) {
            Instant instant = null;
            if (temporalAccessor instanceof ChronoZonedDateTime) {
                instant = ((ChronoZonedDateTime) temporalAccessor).toInstant();
            } else if (temporalAccessor instanceof LocalDateTime) {
                instant = ((LocalDateTime) temporalAccessor).atZone(a.defaultTimeZone.toZoneId()).toInstant();
            }
            if (instant != null) {
                g1Var.Q1(instant.toEpochMilli());
                return;
            }
        }
        if (str == v) {
            dateTimeFormatter = y;
        } else {
            dateTimeFormatter = DateTimeFormatter.ofPattern(str);
        }
        g1Var.Y1(dateTimeFormatter.format(temporalAccessor));
    }

    @Override // com.alibaba.fastjson.serializer.v0
    public void c(j0 j0Var, Object obj, Object obj2, Type type, int i2) throws IOException {
        g1 g1Var = j0Var.k;
        if (obj == null) {
            g1Var.V1();
            return;
        }
        if (type == null) {
            type = obj.getClass();
        }
        if (type == LocalDateTime.class) {
            SerializerFeature serializerFeature = SerializerFeature.UseISO8601DateFormat;
            int mask = serializerFeature.getMask();
            LocalDateTime localDateTime = (LocalDateTime) obj;
            String A = j0Var.A();
            if (A == null) {
                if ((i2 & mask) == 0 && !j0Var.J(serializerFeature)) {
                    if (j0Var.J(SerializerFeature.WriteDateUseDateFormat)) {
                        A = a.DEFFAULT_DATE_FORMAT;
                    } else {
                        int nano = localDateTime.getNano();
                        if (nano != 0) {
                            A = nano % DurationKt.NANOS_IN_MILLIS == 0 ? w : x;
                        }
                    }
                }
                A = v;
            }
            if (A != null) {
                k(g1Var, localDateTime, A);
            } else {
                g1Var.Q1(localDateTime.atZone(a.defaultTimeZone.toZoneId()).toInstant().toEpochMilli());
            }
        } else {
            g1Var.Y1(obj.toString());
        }
    }

    @Override // com.alibaba.fastjson.serializer.u
    public void d(j0 j0Var, Object obj, j jVar) throws IOException {
        k(j0Var.k, (TemporalAccessor) obj, jVar.g());
    }

    @Override // com.alibaba.fastjson.parser.k.t
    public int e() {
        return 4;
    }

    @Override // com.alibaba.fastjson.parser.k.e
    public <T> T f(b bVar, Type type, Object obj, String str, int i2) {
        DateTimeFormatter dateTimeFormatter;
        c cVar = bVar.P0;
        if (cVar.Z0() == 8) {
            cVar.I();
            return null;
        } else if (cVar.Z0() == 4) {
            String J0 = cVar.J0();
            cVar.I();
            if (str != null) {
                dateTimeFormatter = f5657b.equals(str) ? f5658c : DateTimeFormatter.ofPattern(str);
            } else {
                dateTimeFormatter = null;
            }
            if ("".equals(J0)) {
                return null;
            }
            if (type == LocalDateTime.class) {
                return (J0.length() == 10 || J0.length() == 8) ? (T) LocalDateTime.of(i(J0, str, dateTimeFormatter), LocalTime.MIN) : (T) h(J0, dateTimeFormatter);
            }
            if (type != LocalDate.class) {
                boolean z = true;
                if (type == LocalTime.class) {
                    if (J0.length() == 23) {
                        LocalDateTime parse = LocalDateTime.parse(J0);
                        return (T) LocalTime.of(parse.getHour(), parse.getMinute(), parse.getSecond(), parse.getNano());
                    }
                    int i3 = 0;
                    while (true) {
                        if (i3 >= J0.length()) {
                            break;
                        }
                        char charAt = J0.charAt(i3);
                        if (charAt < '0' || charAt > '9') {
                            z = false;
                        } else {
                            i3++;
                        }
                    }
                    z = false;
                    return (!z || J0.length() <= 8 || J0.length() >= 19) ? (T) LocalTime.parse(J0) : (T) LocalDateTime.ofInstant(Instant.ofEpochMilli(Long.parseLong(J0)), a.defaultTimeZone.toZoneId()).toLocalTime();
                } else if (type == ZonedDateTime.class) {
                    if (dateTimeFormatter == f5658c) {
                        dateTimeFormatter = u;
                    }
                    if (dateTimeFormatter == null && J0.length() <= 19) {
                        f fVar = new f(J0);
                        TimeZone K0 = bVar.P0.K0();
                        fVar.c(K0);
                        if (fVar.f3(false)) {
                            return (T) ZonedDateTime.ofInstant(fVar.Z1().getTime().toInstant(), K0.toZoneId());
                        }
                    }
                    return (T) j(J0, dateTimeFormatter);
                } else if (type == OffsetDateTime.class) {
                    return (T) OffsetDateTime.parse(J0);
                } else {
                    if (type == OffsetTime.class) {
                        return (T) OffsetTime.parse(J0);
                    }
                    if (type == ZoneId.class) {
                        return (T) ZoneId.of(J0);
                    }
                    if (type == Period.class) {
                        return (T) Period.parse(J0);
                    }
                    if (type == Duration.class) {
                        return (T) Duration.parse(J0);
                    }
                    if (type != Instant.class) {
                        return null;
                    }
                    int i4 = 0;
                    while (true) {
                        if (i4 >= J0.length()) {
                            break;
                        }
                        char charAt2 = J0.charAt(i4);
                        if (charAt2 < '0' || charAt2 > '9') {
                            z = false;
                        } else {
                            i4++;
                        }
                    }
                    z = false;
                    return (!z || J0.length() <= 8 || J0.length() >= 19) ? (T) Instant.parse(J0) : (T) Instant.ofEpochMilli(Long.parseLong(J0));
                }
            } else if (J0.length() != 23) {
                return (T) i(J0, str, dateTimeFormatter);
            } else {
                LocalDateTime parse2 = LocalDateTime.parse(J0);
                return (T) LocalDate.of(parse2.getYear(), parse2.getMonthValue(), parse2.getDayOfMonth());
            }
        } else if (cVar.Z0() == 2) {
            long i5 = cVar.i();
            cVar.I();
            if ("unixtime".equals(str)) {
                i5 *= 1000;
            } else if ("yyyyMMddHHmmss".equals(str)) {
                int i6 = (int) (i5 / 10000000000L);
                int i7 = (int) ((i5 / 100000000) % 100);
                int i8 = (int) ((i5 / 1000000) % 100);
                int i9 = (int) ((i5 / t.f4799c) % 100);
                int i10 = (int) ((i5 / 100) % 100);
                int i11 = (int) (i5 % 100);
                if (type == LocalDateTime.class) {
                    return (T) LocalDateTime.of(i6, i7, i8, i9, i10, i11);
                }
            }
            if (type == LocalDateTime.class) {
                return (T) LocalDateTime.ofInstant(Instant.ofEpochMilli(i5), a.defaultTimeZone.toZoneId());
            }
            if (type == LocalDate.class) {
                return (T) LocalDateTime.ofInstant(Instant.ofEpochMilli(i5), a.defaultTimeZone.toZoneId()).toLocalDate();
            }
            if (type == LocalTime.class) {
                return (T) LocalDateTime.ofInstant(Instant.ofEpochMilli(i5), a.defaultTimeZone.toZoneId()).toLocalTime();
            }
            if (type == ZonedDateTime.class) {
                return (T) ZonedDateTime.ofInstant(Instant.ofEpochMilli(i5), a.defaultTimeZone.toZoneId());
            }
            if (type == Instant.class) {
                return (T) Instant.ofEpochMilli(i5);
            }
            throw new UnsupportedOperationException();
        } else {
            throw new UnsupportedOperationException();
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x00f4  */
    public LocalDateTime h(String str, DateTimeFormatter dateTimeFormatter) {
        DateTimeFormatter dateTimeFormatter2;
        boolean z = true;
        if (dateTimeFormatter == null) {
            if (str.length() == 19) {
                char charAt = str.charAt(4);
                char charAt2 = str.charAt(7);
                char charAt3 = str.charAt(10);
                char charAt4 = str.charAt(13);
                char charAt5 = str.charAt(16);
                if (charAt4 == ':' && charAt5 == ':') {
                    if (charAt == '-' && charAt2 == '-') {
                        if (charAt3 == 'T') {
                            dateTimeFormatter2 = DateTimeFormatter.ISO_LOCAL_DATE_TIME;
                        } else if (charAt3 == ' ') {
                            dateTimeFormatter2 = f5658c;
                        }
                        if (str.length() >= 17) {
                        }
                    } else if (charAt == '/' && charAt2 == '/') {
                        dateTimeFormatter2 = f5660e;
                        if (str.length() >= 17) {
                        }
                    } else {
                        char charAt6 = str.charAt(0);
                        char charAt7 = str.charAt(1);
                        char charAt8 = str.charAt(2);
                        char charAt9 = str.charAt(3);
                        char charAt10 = str.charAt(5);
                        if (charAt8 == '/' && charAt10 == '/') {
                            int i2 = ((charAt9 - '0') * 10) + (charAt - '0');
                            if (((charAt6 - '0') * 10) + (charAt7 - '0') > 12) {
                                dateTimeFormatter2 = j;
                            } else if (i2 > 12) {
                                dateTimeFormatter2 = i;
                            } else {
                                String country = Locale.getDefault().getCountry();
                                if (country.equals("US")) {
                                    dateTimeFormatter2 = i;
                                } else if (country.equals("BR") || country.equals("AU")) {
                                    dateTimeFormatter2 = j;
                                }
                            }
                            if (str.length() >= 17) {
                            }
                        } else if (charAt8 == '.' && charAt10 == '.') {
                            dateTimeFormatter2 = k;
                            if (str.length() >= 17) {
                            }
                        } else if (charAt8 == '-' && charAt10 == '-') {
                            dateTimeFormatter2 = l;
                            if (str.length() >= 17) {
                                char charAt11 = str.charAt(4);
                                if (charAt11 == 24180) {
                                    dateTimeFormatter2 = str.charAt(str.length() - 1) == 31186 ? g : f;
                                } else if (charAt11 == 45380) {
                                    dateTimeFormatter2 = h;
                                }
                            }
                        }
                    }
                }
            } else if (str.length() == 23) {
                char charAt12 = str.charAt(4);
                char charAt13 = str.charAt(7);
                char charAt14 = str.charAt(10);
                char charAt15 = str.charAt(13);
                char charAt16 = str.charAt(16);
                char charAt17 = str.charAt(19);
                if (charAt15 == ':' && charAt16 == ':' && charAt12 == '-' && charAt13 == '-' && charAt14 == ' ' && charAt17 == '.') {
                    dateTimeFormatter2 = f5659d;
                    if (str.length() >= 17) {
                    }
                }
            }
            dateTimeFormatter2 = dateTimeFormatter;
            if (str.length() >= 17) {
            }
        } else {
            dateTimeFormatter2 = dateTimeFormatter;
        }
        if (dateTimeFormatter2 == null) {
            f fVar = new f(str);
            if (fVar.f3(false)) {
                return LocalDateTime.ofInstant(fVar.Z1().toInstant(), ZoneId.systemDefault());
            }
            int i3 = 0;
            while (true) {
                if (i3 >= str.length()) {
                    break;
                }
                char charAt18 = str.charAt(i3);
                if (charAt18 < '0' || charAt18 > '9') {
                    z = false;
                } else {
                    i3++;
                }
            }
            if (z && str.length() > 8 && str.length() < 19) {
                return LocalDateTime.ofInstant(Instant.ofEpochMilli(Long.parseLong(str)), a.defaultTimeZone.toZoneId());
            }
        }
        if (dateTimeFormatter2 == null) {
            return LocalDateTime.parse(str);
        }
        return LocalDateTime.parse(str, dateTimeFormatter2);
    }

    /* access modifiers changed from: protected */
    public LocalDate i(String str, String str2, DateTimeFormatter dateTimeFormatter) {
        DateTimeFormatter dateTimeFormatter2;
        DateTimeFormatter dateTimeFormatter3;
        if (dateTimeFormatter == null) {
            if (str.length() == 8) {
                dateTimeFormatter = m;
            }
            boolean z = false;
            if (str.length() == 10) {
                char charAt = str.charAt(4);
                char charAt2 = str.charAt(7);
                if (charAt == '/' && charAt2 == '/') {
                    dateTimeFormatter = n;
                }
                char charAt3 = str.charAt(0);
                char charAt4 = str.charAt(1);
                char charAt5 = str.charAt(2);
                char charAt6 = str.charAt(3);
                char charAt7 = str.charAt(5);
                if (charAt5 == '/' && charAt7 == '/') {
                    int i2 = ((charAt6 - '0') * 10) + (charAt - '0');
                    if (((charAt3 - '0') * 10) + (charAt4 - '0') > 12) {
                        dateTimeFormatter3 = r;
                    } else if (i2 > 12) {
                        dateTimeFormatter3 = q;
                    } else {
                        String country = Locale.getDefault().getCountry();
                        if (country.equals("US")) {
                            dateTimeFormatter3 = q;
                        } else if (country.equals("BR") || country.equals("AU")) {
                            dateTimeFormatter3 = r;
                        }
                    }
                    dateTimeFormatter = dateTimeFormatter3;
                } else if (charAt5 == '.' && charAt7 == '.') {
                    dateTimeFormatter = s;
                } else if (charAt5 == '-' && charAt7 == '-') {
                    dateTimeFormatter = t;
                }
            }
            if (str.length() >= 9) {
                char charAt8 = str.charAt(4);
                if (charAt8 == 24180) {
                    dateTimeFormatter2 = o;
                } else if (charAt8 == 45380) {
                    dateTimeFormatter2 = p;
                }
                dateTimeFormatter = dateTimeFormatter2;
            }
            int i3 = 0;
            while (true) {
                if (i3 >= str.length()) {
                    z = true;
                    break;
                }
                char charAt9 = str.charAt(i3);
                if (charAt9 < '0' || charAt9 > '9') {
                    break;
                }
                i3++;
            }
            if (z && str.length() > 8 && str.length() < 19) {
                return LocalDateTime.ofInstant(Instant.ofEpochMilli(Long.parseLong(str)), a.defaultTimeZone.toZoneId()).toLocalDate();
            }
        }
        if (dateTimeFormatter == null) {
            return LocalDate.parse(str);
        }
        return LocalDate.parse(str, dateTimeFormatter);
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00c3  */
    /* JADX WARNING: Removed duplicated region for block: B:58:0x00ec  */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x00fa A[SYNTHETIC] */
    public ZonedDateTime j(String str, DateTimeFormatter dateTimeFormatter) {
        DateTimeFormatter dateTimeFormatter2;
        int i2;
        if (dateTimeFormatter == null) {
            boolean z = false;
            if (str.length() == 19) {
                char charAt = str.charAt(4);
                char charAt2 = str.charAt(7);
                char charAt3 = str.charAt(10);
                char charAt4 = str.charAt(13);
                char charAt5 = str.charAt(16);
                if (charAt4 == ':' && charAt5 == ':') {
                    if (charAt == '-' && charAt2 == '-') {
                        if (charAt3 == 'T') {
                            dateTimeFormatter2 = DateTimeFormatter.ISO_LOCAL_DATE_TIME;
                        } else if (charAt3 == ' ') {
                            dateTimeFormatter2 = f5658c;
                        }
                        if (str.length() >= 17) {
                        }
                        i2 = 0;
                        while (true) {
                            if (i2 < str.length()) {
                            }
                            i2++;
                        }
                        return ZonedDateTime.ofInstant(Instant.ofEpochMilli(Long.parseLong(str)), a.defaultTimeZone.toZoneId());
                    } else if (charAt == '/' && charAt2 == '/') {
                        dateTimeFormatter2 = f5660e;
                        if (str.length() >= 17) {
                        }
                        i2 = 0;
                        while (true) {
                            if (i2 < str.length()) {
                            }
                            i2++;
                        }
                        return ZonedDateTime.ofInstant(Instant.ofEpochMilli(Long.parseLong(str)), a.defaultTimeZone.toZoneId());
                    } else {
                        char charAt6 = str.charAt(0);
                        char charAt7 = str.charAt(1);
                        char charAt8 = str.charAt(2);
                        char charAt9 = str.charAt(3);
                        char charAt10 = str.charAt(5);
                        if (charAt8 == '/' && charAt10 == '/') {
                            int i3 = ((charAt9 - '0') * 10) + (charAt - '0');
                            if (((charAt6 - '0') * 10) + (charAt7 - '0') > 12) {
                                dateTimeFormatter2 = j;
                            } else if (i3 > 12) {
                                dateTimeFormatter2 = i;
                            } else {
                                String country = Locale.getDefault().getCountry();
                                if (country.equals("US")) {
                                    dateTimeFormatter2 = i;
                                } else if (country.equals("BR") || country.equals("AU")) {
                                    dateTimeFormatter2 = j;
                                }
                            }
                            if (str.length() >= 17) {
                            }
                            i2 = 0;
                            while (true) {
                                if (i2 < str.length()) {
                                }
                                i2++;
                            }
                            return ZonedDateTime.ofInstant(Instant.ofEpochMilli(Long.parseLong(str)), a.defaultTimeZone.toZoneId());
                        } else if (charAt8 == '.' && charAt10 == '.') {
                            dateTimeFormatter2 = k;
                            if (str.length() >= 17) {
                            }
                            i2 = 0;
                            while (true) {
                                if (i2 < str.length()) {
                                }
                                i2++;
                            }
                            return ZonedDateTime.ofInstant(Instant.ofEpochMilli(Long.parseLong(str)), a.defaultTimeZone.toZoneId());
                        } else if (charAt8 == '-' && charAt10 == '-') {
                            dateTimeFormatter2 = l;
                            if (str.length() >= 17) {
                                char charAt11 = str.charAt(4);
                                if (charAt11 == 24180) {
                                    if (str.charAt(str.length() - 1) == 31186) {
                                        dateTimeFormatter2 = g;
                                    } else {
                                        dateTimeFormatter2 = f;
                                    }
                                } else if (charAt11 == 45380) {
                                    dateTimeFormatter2 = h;
                                }
                            }
                            i2 = 0;
                            while (true) {
                                if (i2 < str.length()) {
                                    z = true;
                                    break;
                                }
                                char charAt12 = str.charAt(i2);
                                if (charAt12 < '0' || charAt12 > '9') {
                                    break;
                                }
                                i2++;
                            }
                            if (z && str.length() > 8 && str.length() < 19) {
                                return ZonedDateTime.ofInstant(Instant.ofEpochMilli(Long.parseLong(str)), a.defaultTimeZone.toZoneId());
                            }
                        }
                    }
                }
            }
            dateTimeFormatter2 = dateTimeFormatter;
            if (str.length() >= 17) {
            }
            i2 = 0;
            while (true) {
                if (i2 < str.length()) {
                }
                i2++;
            }
            return ZonedDateTime.ofInstant(Instant.ofEpochMilli(Long.parseLong(str)), a.defaultTimeZone.toZoneId());
        }
        dateTimeFormatter2 = dateTimeFormatter;
        if (dateTimeFormatter2 == null) {
            return ZonedDateTime.parse(str);
        }
        return ZonedDateTime.parse(str, dateTimeFormatter2);
    }
}
