package com.alibaba.fastjson.serializer;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;
import com.alibaba.fastjson.util.d;
import com.alibaba.fastjson.util.n;
import com.ibm.icu.impl.z0;
import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.text.SimpleDateFormat;
import java.util.Collection;
import java.util.Date;
import kotlin.text.Typography;

/* compiled from: FieldSerializer */
public class a0 implements Comparable<a0> {
    protected int I0;
    private final String J0;
    private String K0;
    private String L0;
    protected j M0;
    private String N0;
    protected boolean O0 = false;
    protected boolean P0 = false;
    protected boolean Q0 = false;
    protected boolean R0 = false;
    protected boolean S0 = false;
    protected boolean T0;
    private a U0;

    /* renamed from: a  reason: collision with root package name */
    public final d f5676a;

    /* renamed from: b  reason: collision with root package name */
    protected final boolean f5677b;

    /* access modifiers changed from: package-private */
    /* compiled from: FieldSerializer */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        final v0 f5678a;

        /* renamed from: b  reason: collision with root package name */
        final Class<?> f5679b;

        public a(v0 v0Var, Class<?> cls) {
            this.f5678a = v0Var;
            this.f5679b = cls;
        }
    }

    public a0(Class<?> cls, d dVar) {
        boolean z;
        JSONType jSONType;
        boolean z2 = false;
        this.f5676a = dVar;
        this.M0 = new j(cls, dVar);
        if (!(cls == null || (jSONType = (JSONType) n.Q(cls, JSONType.class)) == null)) {
            SerializerFeature[] serialzeFeatures = jSONType.serialzeFeatures();
            for (SerializerFeature serializerFeature : serialzeFeatures) {
                if (serializerFeature == SerializerFeature.WriteEnumUsingToString) {
                    this.O0 = true;
                } else if (serializerFeature == SerializerFeature.WriteEnumUsingName) {
                    this.P0 = true;
                } else if (serializerFeature == SerializerFeature.DisableCircularReferenceDetect) {
                    this.Q0 = true;
                } else {
                    SerializerFeature serializerFeature2 = SerializerFeature.BrowserCompatible;
                    if (serializerFeature == serializerFeature2) {
                        this.I0 |= serializerFeature2.mask;
                        this.T0 = true;
                    } else {
                        SerializerFeature serializerFeature3 = SerializerFeature.WriteMapNullValue;
                        if (serializerFeature == serializerFeature3) {
                            this.I0 |= serializerFeature3.mask;
                        }
                    }
                }
            }
        }
        dVar.u();
        this.J0 = Typography.quote + dVar.f5788a + "\":";
        JSONField i = dVar.i();
        if (i != null) {
            SerializerFeature[] serialzeFeatures2 = i.serialzeFeatures();
            int length = serialzeFeatures2.length;
            int i2 = 0;
            while (true) {
                if (i2 >= length) {
                    z = false;
                    break;
                } else if ((serialzeFeatures2[i2].getMask() & SerializerFeature.WRITE_MAP_NULL_FEATURES) != 0) {
                    z = true;
                    break;
                } else {
                    i2++;
                }
            }
            String format = i.format();
            this.N0 = format;
            if (format.trim().length() == 0) {
                this.N0 = null;
            }
            SerializerFeature[] serialzeFeatures3 = i.serialzeFeatures();
            for (SerializerFeature serializerFeature4 : serialzeFeatures3) {
                if (serializerFeature4 == SerializerFeature.WriteEnumUsingToString) {
                    this.O0 = true;
                } else if (serializerFeature4 == SerializerFeature.WriteEnumUsingName) {
                    this.P0 = true;
                } else if (serializerFeature4 == SerializerFeature.DisableCircularReferenceDetect) {
                    this.Q0 = true;
                } else if (serializerFeature4 == SerializerFeature.BrowserCompatible) {
                    this.T0 = true;
                }
            }
            this.I0 = SerializerFeature.of(i.serialzeFeatures()) | this.I0;
        } else {
            z = false;
        }
        this.f5677b = z;
        this.S0 = (n.s0(dVar.f5789b) || n.r0(dVar.f5789b)) ? true : z2;
    }

    /* renamed from: a */
    public int compareTo(a0 a0Var) {
        return this.f5676a.compareTo(a0Var.f5676a);
    }

    public Object b(Object obj) throws InvocationTargetException, IllegalAccessException {
        Object g = this.f5676a.g(obj);
        if (this.N0 == null || g == null) {
            return g;
        }
        Class<?> cls = this.f5676a.K0;
        if (cls != Date.class && cls != java.sql.Date.class) {
            return g;
        }
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat(this.N0, com.alibaba.fastjson.a.defaultLocale);
        simpleDateFormat.setTimeZone(com.alibaba.fastjson.a.defaultTimeZone);
        return simpleDateFormat.format(g);
    }

    public Object g(Object obj) throws InvocationTargetException, IllegalAccessException {
        Object g = this.f5676a.g(obj);
        if (!this.S0 || n.v0(g)) {
            return g;
        }
        return null;
    }

    public void h(j0 j0Var) throws IOException {
        g1 g1Var = j0Var.k;
        if (!g1Var.R0) {
            if (this.L0 == null) {
                this.L0 = this.f5676a.f5788a + ":";
            }
            g1Var.write(this.L0);
        } else if (SerializerFeature.isEnabled(g1Var.O0, this.f5676a.O0, SerializerFeature.UseSingleQuotes)) {
            if (this.K0 == null) {
                this.K0 = z0.f14782a + this.f5676a.f5788a + "':";
            }
            g1Var.write(this.K0);
        } else {
            g1Var.write(this.J0);
        }
    }

    public void i(j0 j0Var, Object obj) throws Exception {
        v0 v0Var;
        Class<?> cls;
        Class<?> cls2;
        v0 v0Var2;
        if (this.U0 == null) {
            if (obj == null) {
                cls2 = this.f5676a.K0;
                if (cls2 == Byte.TYPE) {
                    cls2 = Byte.class;
                } else if (cls2 == Short.TYPE) {
                    cls2 = Short.class;
                } else if (cls2 == Integer.TYPE) {
                    cls2 = Integer.class;
                } else if (cls2 == Long.TYPE) {
                    cls2 = Long.class;
                } else if (cls2 == Float.TYPE) {
                    cls2 = Float.class;
                } else if (cls2 == Double.TYPE) {
                    cls2 = Double.class;
                } else if (cls2 == Boolean.TYPE) {
                    cls2 = Boolean.class;
                }
            } else {
                cls2 = obj.getClass();
            }
            v0 v0Var3 = null;
            JSONField i = this.f5676a.i();
            if (i == null || i.serializeUsing() == Void.class) {
                if (this.N0 != null) {
                    if (cls2 == Double.TYPE || cls2 == Double.class) {
                        v0Var3 = new x(this.N0);
                    } else if (cls2 == Float.TYPE || cls2 == Float.class) {
                        v0Var3 = new b0(this.N0);
                    }
                }
                v0Var2 = v0Var3 == null ? j0Var.E(cls2) : v0Var3;
            } else {
                v0Var2 = (v0) i.serializeUsing().newInstance();
                this.R0 = true;
            }
            this.U0 = new a(v0Var2, cls2);
        }
        a aVar = this.U0;
        int i2 = (this.Q0 ? this.f5676a.O0 | SerializerFeature.DisableCircularReferenceDetect.mask : this.f5676a.O0) | this.I0;
        if (obj == null) {
            g1 g1Var = j0Var.k;
            if (this.f5676a.K0 != Object.class || !g1Var.I(SerializerFeature.WRITE_MAP_NULL_FEATURES)) {
                Class<?> cls3 = aVar.f5679b;
                if (Number.class.isAssignableFrom(cls3)) {
                    g1Var.W1(this.I0, SerializerFeature.WriteNullNumberAsZero.mask);
                } else if (String.class == cls3) {
                    g1Var.W1(this.I0, SerializerFeature.WriteNullStringAsEmpty.mask);
                } else if (Boolean.class == cls3) {
                    g1Var.W1(this.I0, SerializerFeature.WriteNullBooleanAsFalse.mask);
                } else if (Collection.class.isAssignableFrom(cls3) || cls3.isArray()) {
                    g1Var.W1(this.I0, SerializerFeature.WriteNullListAsEmpty.mask);
                } else {
                    v0 v0Var4 = aVar.f5678a;
                    if (!g1Var.I(SerializerFeature.WRITE_MAP_NULL_FEATURES) || !(v0Var4 instanceof l0)) {
                        d dVar = this.f5676a;
                        v0Var4.c(j0Var, null, dVar.f5788a, dVar.L0, i2);
                        return;
                    }
                    g1Var.V1();
                }
            } else {
                g1Var.V1();
            }
        } else {
            if (this.f5676a.W0) {
                if (this.P0) {
                    j0Var.k.Y1(((Enum) obj).name());
                    return;
                } else if (this.O0) {
                    j0Var.k.Y1(((Enum) obj).toString());
                    return;
                }
            }
            Class<?> cls4 = obj.getClass();
            if (cls4 == aVar.f5679b || this.R0) {
                v0Var = aVar.f5678a;
            } else {
                v0Var = j0Var.E(cls4);
            }
            String str = this.N0;
            if (str == null || (v0Var instanceof x) || (v0Var instanceof b0)) {
                d dVar2 = this.f5676a;
                if (dVar2.Y0) {
                    if (v0Var instanceof l0) {
                        ((l0) v0Var).I(j0Var, obj, dVar2.f5788a, dVar2.L0, i2, true);
                        return;
                    } else if (v0Var instanceof r0) {
                        ((r0) v0Var).s(j0Var, obj, dVar2.f5788a, dVar2.L0, i2, true);
                        return;
                    }
                }
                if ((this.I0 & SerializerFeature.WriteClassName.mask) == 0 || cls4 == dVar2.K0 || !(v0Var instanceof l0)) {
                    if (this.T0 && ((cls = dVar2.K0) == Long.TYPE || cls == Long.class)) {
                        long longValue = ((Long) obj).longValue();
                        if (longValue > 9007199254740991L || longValue < -9007199254740991L) {
                            j0Var.F().Y1(Long.toString(longValue));
                            return;
                        }
                    }
                    d dVar3 = this.f5676a;
                    v0Var.c(j0Var, obj, dVar3.f5788a, dVar3.L0, i2);
                    return;
                }
                ((l0) v0Var).I(j0Var, obj, dVar2.f5788a, dVar2.L0, i2, false);
            } else if (v0Var instanceof u) {
                ((u) v0Var).d(j0Var, obj, this.M0);
            } else {
                j0Var.e0(obj, str);
            }
        }
    }
}
