package com.alibaba.fastjson.serializer;

import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.PropertyNamingStrategy;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;
import com.alibaba.fastjson.f;
import com.alibaba.fastjson.k.a;
import com.alibaba.fastjson.parser.k.q;
import com.alibaba.fastjson.parser.k.u;
import com.alibaba.fastjson.util.b;
import com.alibaba.fastjson.util.d;
import com.alibaba.fastjson.util.g;
import com.alibaba.fastjson.util.l;
import com.alibaba.fastjson.util.n;
import java.io.File;
import java.io.Serializable;
import java.lang.ref.SoftReference;
import java.lang.ref.WeakReference;
import java.lang.reflect.Field;
import java.lang.reflect.Member;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import java.lang.reflect.Proxy;
import java.lang.reflect.Type;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.net.Inet4Address;
import java.net.Inet6Address;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.URI;
import java.net.URL;
import java.nio.charset.Charset;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Calendar;
import java.util.Collection;
import java.util.Currency;
import java.util.Date;
import java.util.Enumeration;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.TimeZone;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicIntegerArray;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicLongArray;
import java.util.concurrent.atomic.AtomicReference;
import java.util.regex.Pattern;
import javax.xml.datatype.XMLGregorianCalendar;
import org.w3c.dom.Node;

/* compiled from: SerializeConfig */
public class d1 {

    /* renamed from: a  reason: collision with root package name */
    public static final d1 f5703a = new d1();

    /* renamed from: b  reason: collision with root package name */
    private static boolean f5704b = false;

    /* renamed from: c  reason: collision with root package name */
    private static boolean f5705c = false;

    /* renamed from: d  reason: collision with root package name */
    private static boolean f5706d = false;

    /* renamed from: e  reason: collision with root package name */
    private static boolean f5707e = false;
    private static boolean f = false;
    private static boolean g = false;
    private boolean h;
    private a i;
    protected String j;
    public PropertyNamingStrategy k;
    private final g<Type, v0> l;
    private final g<Type, g<Type, v0>> m;
    private final boolean n;
    private long[] o;
    private List<a> p;

    public d1() {
        this(8192);
    }

    private final l0 e(c1 c1Var) throws Exception {
        l0 z = this.i.z(c1Var);
        int i2 = 0;
        while (true) {
            a0[] a0VarArr = z.k;
            if (i2 >= a0VarArr.length) {
                return z;
            }
            Class<?> cls = a0VarArr[i2].f5676a.K0;
            if (cls.isEnum() && !(l(cls) instanceof y)) {
                z.i = false;
            }
            i2++;
        }
    }

    private static Member j(Class cls) {
        Method[] methods = cls.getMethods();
        Method method = null;
        for (Method method2 : methods) {
            if (!(method2.getReturnType() == Void.class || ((JSONField) method2.getAnnotation(JSONField.class)) == null)) {
                if (method != null) {
                    return null;
                }
                method = method2;
            }
        }
        Field[] fields = cls.getFields();
        for (Field field : fields) {
            if (((JSONField) field.getAnnotation(JSONField.class)) != null) {
                if (method != null) {
                    return null;
                }
                method = field;
            }
        }
        return method;
    }

    public static d1 k() {
        return f5703a;
    }

    private void o() {
        r(Boolean.class, n.f5747a);
        r(Character.class, r.f5758a);
        r(Byte.class, d0.f5702a);
        r(Short.class, d0.f5702a);
        r(Integer.class, d0.f5702a);
        r(Long.class, q0.f5757a);
        r(Float.class, b0.f5682a);
        r(Double.class, x.f5767a);
        r(BigDecimal.class, l.f5738c);
        r(BigInteger.class, m.f5741c);
        r(String.class, j1.f5731a);
        r(byte[].class, x0.f5769a);
        r(short[].class, x0.f5769a);
        r(int[].class, x0.f5769a);
        r(long[].class, x0.f5769a);
        r(float[].class, x0.f5769a);
        r(double[].class, x0.f5769a);
        r(boolean[].class, x0.f5769a);
        r(char[].class, x0.f5769a);
        r(Object[].class, u0.f5765a);
        s0 s0Var = s0.f5761b;
        r(Class.class, s0Var);
        r(SimpleDateFormat.class, s0Var);
        r(Currency.class, new s0());
        r(TimeZone.class, s0Var);
        r(InetAddress.class, s0Var);
        r(Inet4Address.class, s0Var);
        r(Inet6Address.class, s0Var);
        r(InetSocketAddress.class, s0Var);
        r(File.class, s0Var);
        e eVar = e.f5708a;
        r(Appendable.class, eVar);
        r(StringBuffer.class, eVar);
        r(StringBuilder.class, eVar);
        k1 k1Var = k1.f5735a;
        r(Charset.class, k1Var);
        r(Pattern.class, k1Var);
        r(Locale.class, k1Var);
        r(URI.class, k1Var);
        r(URL.class, k1Var);
        r(UUID.class, k1Var);
        g gVar = g.f5717a;
        r(AtomicBoolean.class, gVar);
        r(AtomicInteger.class, gVar);
        r(AtomicLong.class, gVar);
        a1 a1Var = a1.f5680a;
        r(AtomicReference.class, a1Var);
        r(AtomicIntegerArray.class, gVar);
        r(AtomicLongArray.class, gVar);
        r(WeakReference.class, a1Var);
        r(SoftReference.class, a1Var);
        r(LinkedList.class, t.f5764a);
    }

    public void a(Class<?> cls, e1 e1Var) {
        v0 l2 = l(cls);
        if (l2 instanceof f1) {
            f1 f1Var = (f1) l2;
            if (this == f5703a || f1Var != r0.j) {
                f1Var.b(e1Var);
                return;
            }
            r0 r0Var = new r0();
            r(cls, r0Var);
            r0Var.b(e1Var);
        }
    }

    public void b() {
        this.l.a();
        o();
    }

    public void c(Class<?> cls, SerializerFeature serializerFeature, boolean z) {
        v0 m2 = m(cls, false);
        if (m2 == null) {
            c1 c2 = n.c(cls, null, this.k);
            if (z) {
                c2.g = serializerFeature.mask | c2.g;
            } else {
                c2.g = (~serializerFeature.mask) & c2.g;
            }
            r(cls, f(c2));
        } else if (m2 instanceof l0) {
            c1 c1Var = ((l0) m2).l;
            int i2 = c1Var.g;
            if (z) {
                c1Var.g = serializerFeature.mask | i2;
            } else {
                c1Var.g = (~serializerFeature.mask) & i2;
            }
            if (i2 != c1Var.g && m2.getClass() != l0.class) {
                r(cls, f(c1Var));
            }
        }
    }

    public void d(Class<? extends Enum>... clsArr) {
        for (Class<? extends Enum> cls : clsArr) {
            r(cls, g(cls));
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:111:0x0160 A[SYNTHETIC, Splitter:B:111:0x0160] */
    public v0 f(c1 c1Var) {
        Method method;
        JSONType jSONType = c1Var.f5695d;
        boolean z = false;
        boolean z2 = this.h && !this.n;
        if (jSONType != null) {
            Class<?> serializer = jSONType.serializer();
            if (serializer != Void.class) {
                try {
                    Object newInstance = serializer.newInstance();
                    if (newInstance instanceof v0) {
                        return (v0) newInstance;
                    }
                } catch (Throwable unused) {
                }
            }
            if (!jSONType.asm()) {
                z2 = false;
            }
            if (z2) {
                SerializerFeature[] serialzeFeatures = jSONType.serialzeFeatures();
                int length = serialzeFeatures.length;
                int i2 = 0;
                while (true) {
                    if (i2 >= length) {
                        break;
                    }
                    SerializerFeature serializerFeature = serialzeFeatures[i2];
                    if (SerializerFeature.WriteNonStringValueAsString == serializerFeature || SerializerFeature.WriteEnumUsingToString == serializerFeature || SerializerFeature.NotWriteDefaultValue == serializerFeature || SerializerFeature.BrowserCompatible == serializerFeature) {
                        z2 = false;
                    } else {
                        i2++;
                    }
                }
                z2 = false;
            }
            if (z2 && jSONType.serialzeFilters().length != 0) {
                z2 = false;
            }
        }
        Class<?> cls = c1Var.f5692a;
        if (!Modifier.isPublic(cls.getModifiers())) {
            return new l0(c1Var);
        }
        if ((z2 && this.i.q0.c(cls)) || cls == Serializable.class || cls == Object.class) {
            z2 = false;
        }
        if (z2 && !b.a(cls.getSimpleName())) {
            z2 = false;
        }
        if (z2 && c1Var.f5692a.isInterface()) {
            z2 = false;
        }
        if (z2) {
            d[] dVarArr = c1Var.f5696e;
            int length2 = dVarArr.length;
            int i3 = 0;
            while (true) {
                if (i3 < length2) {
                    d dVar = dVarArr[i3];
                    Field field = dVar.I0;
                    if ((field != null && !field.getType().equals(dVar.K0)) || (((method = dVar.f5789b) != null && !method.getReturnType().equals(dVar.K0)) || (dVar.K0.isEnum() && h(dVar.K0) != y.f5770a))) {
                        break;
                    }
                    JSONField i4 = dVar.i();
                    if (i4 != null) {
                        String format = i4.format();
                        if ((format.length() != 0 && (dVar.K0 != String.class || !"trim".equals(format))) || !b.a(i4.name()) || i4.jsonDirect() || i4.serializeUsing() != Void.class || i4.unwrapped()) {
                            break;
                        }
                        SerializerFeature[] serialzeFeatures2 = i4.serialzeFeatures();
                        int length3 = serialzeFeatures2.length;
                        int i5 = 0;
                        while (true) {
                            if (i5 >= length3) {
                                break;
                            }
                            SerializerFeature serializerFeature2 = serialzeFeatures2[i5];
                            if (SerializerFeature.WriteNonStringValueAsString == serializerFeature2 || SerializerFeature.WriteEnumUsingToString == serializerFeature2 || SerializerFeature.NotWriteDefaultValue == serializerFeature2 || SerializerFeature.BrowserCompatible == serializerFeature2 || SerializerFeature.WriteClassName == serializerFeature2) {
                                z2 = false;
                            } else {
                                i5++;
                            }
                        }
                        z2 = false;
                        if (!n.s0(method)) {
                            if (!n.r0(method)) {
                                if (i4.defaultValue() != null && !"".equals(i4.defaultValue())) {
                                    break;
                                }
                            } else {
                                break;
                            }
                        } else {
                            break;
                        }
                    }
                    i3++;
                } else {
                    break;
                }
            }
            if (z) {
                try {
                    l0 e2 = e(c1Var);
                    if (e2 != null) {
                        return e2;
                    }
                } catch (ClassCastException | ClassFormatError | ClassNotFoundException unused2) {
                } catch (OutOfMemoryError e3) {
                    if (e3.getMessage().indexOf("Metaspace") != -1) {
                        throw e3;
                    }
                } catch (Throwable th) {
                    throw new JSONException("create asm serializer error, verson 1.2.75, class " + cls, th);
                }
            }
            return new l0(c1Var);
        }
        z = z2;
        if (z) {
        }
        return new l0(c1Var);
    }

    public final v0 g(Class<?> cls) {
        String name = cls.getName();
        if (Arrays.binarySearch(this.o, n.M(name)) < 0) {
            c1 d2 = n.d(cls, null, this.k, this.n);
            if (d2.f5696e.length != 0 || !Iterable.class.isAssignableFrom(cls)) {
                return f(d2);
            }
            return s0.f5761b;
        }
        throw new JSONException("not support class : " + name);
    }

    public final v0 h(Type type) {
        Type mixInAnnotations = com.alibaba.fastjson.a.getMixInAnnotations(type);
        if (mixInAnnotations == null) {
            return this.l.c(type);
        }
        g<Type, v0> c2 = this.m.c(type);
        if (c2 == null) {
            return null;
        }
        return c2.c(mixInAnnotations);
    }

    /* access modifiers changed from: protected */
    public v0 i() {
        return y.f5770a;
    }

    public v0 l(Class<?> cls) {
        return m(cls, true);
    }

    /* JADX WARNING: Removed duplicated region for block: B:287:0x04bf  */
    /* JADX WARNING: Removed duplicated region for block: B:318:? A[RETURN, SYNTHETIC] */
    public v0 m(Class<?> cls, boolean z) {
        v0 v0Var;
        JSONType jSONType;
        ClassLoader classLoader;
        v0 h2 = h(cls);
        if (h2 != null) {
            return h2;
        }
        try {
            for (Object obj : l.a(h.class, Thread.currentThread().getContextClassLoader())) {
                if (obj instanceof h) {
                    h hVar = (h) obj;
                    for (Type type : hVar.a()) {
                        r(type, hVar);
                    }
                }
            }
        } catch (ClassCastException unused) {
        }
        v0 h3 = h(cls);
        if (h3 == null && (classLoader = com.alibaba.fastjson.a.class.getClassLoader()) != Thread.currentThread().getContextClassLoader()) {
            try {
                for (Object obj2 : l.a(h.class, classLoader)) {
                    if (obj2 instanceof h) {
                        h hVar2 = (h) obj2;
                        for (Type type2 : hVar2.a()) {
                            r(type2, hVar2);
                        }
                    }
                }
            } catch (ClassCastException unused2) {
            }
            h3 = h(cls);
        }
        for (a aVar : this.p) {
            h3 = aVar.b(this, cls);
            if (h3 != null) {
                r(cls, h3);
                return h3;
            }
        }
        if (h3 != null) {
            return h3;
        }
        String name = cls.getName();
        if (Map.class.isAssignableFrom(cls)) {
            v0Var = r0.j;
            r(cls, v0Var);
        } else if (List.class.isAssignableFrom(cls)) {
            v0Var = p0.f5756a;
            r(cls, v0Var);
        } else if (Collection.class.isAssignableFrom(cls)) {
            v0Var = t.f5764a;
            r(cls, v0Var);
        } else if (Date.class.isAssignableFrom(cls)) {
            v0Var = w.f5766a;
            r(cls, v0Var);
        } else if (com.alibaba.fastjson.b.class.isAssignableFrom(cls)) {
            v0Var = e0.f5709a;
            r(cls, v0Var);
        } else if (h0.class.isAssignableFrom(cls)) {
            v0Var = i0.f5723a;
            r(cls, v0Var);
        } else if (f.class.isAssignableFrom(cls)) {
            v0Var = s0.f5761b;
            r(cls, v0Var);
        } else {
            Class<?> cls2 = null;
            r6 = null;
            r6 = null;
            Member member = null;
            if (cls.isEnum()) {
                Class cls3 = (Class) com.alibaba.fastjson.a.getMixInAnnotations(cls);
                if (cls3 != null) {
                    jSONType = (JSONType) n.Q(cls3, JSONType.class);
                } else {
                    jSONType = (JSONType) n.Q(cls, JSONType.class);
                }
                if (jSONType == null || !jSONType.serializeEnumAsJavaBean()) {
                    if (cls3 != null) {
                        Member j2 = j(cls3);
                        if (j2 != null) {
                            try {
                                if (j2 instanceof Method) {
                                    Method method = (Method) j2;
                                    member = cls.getMethod(method.getName(), method.getParameterTypes());
                                }
                            } catch (Exception unused3) {
                            }
                        }
                    } else {
                        member = j(cls);
                    }
                    if (member != null) {
                        v0Var = new y(member);
                        r(cls, v0Var);
                    } else {
                        v0Var = i();
                        r(cls, v0Var);
                    }
                } else {
                    v0Var = g(cls);
                    r(cls, v0Var);
                }
            } else {
                Class<? super Object> superclass = cls.getSuperclass();
                if (superclass == null || !superclass.isEnum()) {
                    if (cls.isArray()) {
                        Class<?> componentType = cls.getComponentType();
                        h3 = new f(componentType, l(componentType));
                        r(cls, h3);
                    } else if (Throwable.class.isAssignableFrom(cls)) {
                        c1 c2 = n.c(cls, null, this.k);
                        c2.g |= SerializerFeature.WriteClassName.mask;
                        v0 l0Var = new l0(c2);
                        r(cls, l0Var);
                        h3 = l0Var;
                    } else if (TimeZone.class.isAssignableFrom(cls) || Map.Entry.class.isAssignableFrom(cls)) {
                        v0Var = s0.f5761b;
                        r(cls, v0Var);
                    } else if (Appendable.class.isAssignableFrom(cls)) {
                        v0Var = e.f5708a;
                        r(cls, v0Var);
                    } else if (Charset.class.isAssignableFrom(cls)) {
                        v0Var = k1.f5735a;
                        r(cls, v0Var);
                    } else if (Enumeration.class.isAssignableFrom(cls)) {
                        v0Var = z.f5772a;
                        r(cls, v0Var);
                    } else if (Calendar.class.isAssignableFrom(cls) || XMLGregorianCalendar.class.isAssignableFrom(cls)) {
                        v0Var = p.f5754a;
                        r(cls, v0Var);
                    } else if (n.t0(cls)) {
                        v0Var = s.f5759a;
                        r(cls, v0Var);
                    } else if (n.B0(cls)) {
                        v0Var = k1.f5735a;
                        r(cls, v0Var);
                    } else if (Iterator.class.isAssignableFrom(cls)) {
                        v0Var = s0.f5761b;
                        r(cls, v0Var);
                    } else if (Node.class.isAssignableFrom(cls)) {
                        v0Var = s0.f5761b;
                        r(cls, v0Var);
                    } else {
                        int i2 = 0;
                        if (name.startsWith("java.awt.") && i.k(cls) && !f5704b) {
                            try {
                                String[] strArr = {"java.awt.Color", "java.awt.Font", "java.awt.Point", "java.awt.Rectangle"};
                                for (int i3 = 0; i3 < 4; i3++) {
                                    String str = strArr[i3];
                                    if (str.equals(name)) {
                                        Type cls4 = Class.forName(str);
                                        v0 v0Var2 = i.f5722a;
                                        r(cls4, v0Var2);
                                        return v0Var2;
                                    }
                                }
                            } catch (Throwable unused4) {
                                f5704b = true;
                            }
                        }
                        if (!f5705c && (name.startsWith("java.time.") || name.startsWith("java.util.Optional") || name.equals("java.util.concurrent.atomic.LongAdder") || name.equals("java.util.concurrent.atomic.DoubleAdder"))) {
                            try {
                                String[] strArr2 = {"java.time.LocalDateTime", "java.time.LocalDate", "java.time.LocalTime", "java.time.ZonedDateTime", "java.time.OffsetDateTime", "java.time.OffsetTime", "java.time.ZoneOffset", "java.time.ZoneRegion", "java.time.Period", "java.time.Duration", "java.time.Instant"};
                                for (int i4 = 0; i4 < 11; i4++) {
                                    String str2 = strArr2[i4];
                                    if (str2.equals(name)) {
                                        Type cls5 = Class.forName(str2);
                                        v0 v0Var3 = q.f5656a;
                                        r(cls5, v0Var3);
                                        return v0Var3;
                                    }
                                }
                                String[] strArr3 = {"java.util.Optional", "java.util.OptionalDouble", "java.util.OptionalInt", "java.util.OptionalLong"};
                                for (int i5 = 0; i5 < 4; i5++) {
                                    String str3 = strArr3[i5];
                                    if (str3.equals(name)) {
                                        Type cls6 = Class.forName(str3);
                                        v0 v0Var4 = u.f5663a;
                                        r(cls6, v0Var4);
                                        return v0Var4;
                                    }
                                }
                                String[] strArr4 = {"java.util.concurrent.atomic.LongAdder", "java.util.concurrent.atomic.DoubleAdder"};
                                for (int i6 = 0; i6 < 2; i6++) {
                                    String str4 = strArr4[i6];
                                    if (str4.equals(name)) {
                                        Type cls7 = Class.forName(str4);
                                        v0 v0Var5 = b.f5681a;
                                        r(cls7, v0Var5);
                                        return v0Var5;
                                    }
                                }
                            } catch (Throwable unused5) {
                                f5705c = true;
                            }
                        }
                        if (!f5706d && name.startsWith("oracle.sql.")) {
                            try {
                                String[] strArr5 = {"oracle.sql.DATE", "oracle.sql.TIMESTAMP"};
                                for (int i7 = 0; i7 < 2; i7++) {
                                    String str5 = strArr5[i7];
                                    if (str5.equals(name)) {
                                        Type cls8 = Class.forName(str5);
                                        v0 v0Var6 = w.f5766a;
                                        r(cls8, v0Var6);
                                        return v0Var6;
                                    }
                                }
                            } catch (Throwable unused6) {
                                f5706d = true;
                            }
                        }
                        if (!f5707e && name.equals("springfox.documentation.spring.web.json.Json")) {
                            try {
                                Type cls9 = Class.forName("springfox.documentation.spring.web.json.Json");
                                h3 = com.alibaba.fastjson.l.h.a.f5601a;
                                r(cls9, h3);
                                return h3;
                            } catch (ClassNotFoundException unused7) {
                                f5707e = true;
                            }
                        }
                        if (!f && name.startsWith("com.google.common.collect.")) {
                            try {
                                String[] strArr6 = {"com.google.common.collect.HashMultimap", "com.google.common.collect.LinkedListMultimap", "com.google.common.collect.LinkedHashMultimap", "com.google.common.collect.ArrayListMultimap", "com.google.common.collect.TreeMultimap"};
                                for (int i8 = 0; i8 < 5; i8++) {
                                    String str6 = strArr6[i8];
                                    if (str6.equals(name)) {
                                        Type cls10 = Class.forName(str6);
                                        v0 v0Var7 = c0.f5691a;
                                        r(cls10, v0Var7);
                                        return v0Var7;
                                    }
                                }
                            } catch (ClassNotFoundException unused8) {
                                f = true;
                            }
                        }
                        if (name.equals("net.sf.json.JSONNull")) {
                            v0 v0Var8 = s0.f5761b;
                            r(cls, v0Var8);
                            return v0Var8;
                        } else if (name.equals("org.json.JSONObject")) {
                            v0 v0Var9 = g0.f5718a;
                            r(cls, v0Var9);
                            return v0Var9;
                        } else {
                            if (!g && name.startsWith("org.joda.")) {
                                try {
                                    String[] strArr7 = {"org.joda.time.LocalDate", "org.joda.time.LocalDateTime", "org.joda.time.LocalTime", "org.joda.time.Instant", "org.joda.time.DateTime", "org.joda.time.Period", "org.joda.time.Duration", "org.joda.time.DateTimeZone", "org.joda.time.UTCDateTimeZone", "org.joda.time.tz.CachedDateTimeZone", "org.joda.time.tz.FixedDateTimeZone"};
                                    for (int i9 = 0; i9 < 11; i9++) {
                                        String str7 = strArr7[i9];
                                        if (str7.equals(name)) {
                                            Type cls11 = Class.forName(str7);
                                            v0 v0Var10 = m0.f5742a;
                                            r(cls11, v0Var10);
                                            return v0Var10;
                                        }
                                    }
                                } catch (ClassNotFoundException unused9) {
                                    g = true;
                                }
                            }
                            if ("java.nio.HeapByteBuffer".equals(name)) {
                                v0 v0Var11 = o.f5748a;
                                r(cls, v0Var11);
                                return v0Var11;
                            } else if ("org.javamoney.moneta.Money".equals(name)) {
                                v0 v0Var12 = com.alibaba.fastjson.l.e.a.f5565a;
                                r(cls, v0Var12);
                                return v0Var12;
                            } else if ("com.google.protobuf.Descriptors$FieldDescriptor".equals(name)) {
                                v0 v0Var13 = k1.f5735a;
                                r(cls, v0Var13);
                                return v0Var13;
                            } else {
                                Class<?>[] interfaces = cls.getInterfaces();
                                if (interfaces.length == 1 && interfaces[0].isAnnotation()) {
                                    r(cls, d.f5701e);
                                    return d.f5701e;
                                } else if (n.C0(cls)) {
                                    v0 l2 = l(cls.getSuperclass());
                                    r(cls, l2);
                                    return l2;
                                } else {
                                    if (Proxy.isProxyClass(cls)) {
                                        if (interfaces.length != 2) {
                                            int length = interfaces.length;
                                            Class<?> cls12 = null;
                                            while (true) {
                                                if (i2 >= length) {
                                                    cls2 = cls12;
                                                    break;
                                                }
                                                Class<?> cls13 = interfaces[i2];
                                                if (!cls13.getName().startsWith("org.springframework.aop.")) {
                                                    if (cls12 != null) {
                                                        break;
                                                    }
                                                    cls12 = cls13;
                                                }
                                                i2++;
                                            }
                                        } else {
                                            cls2 = interfaces[1];
                                        }
                                        if (cls2 != null) {
                                            v0 l3 = l(cls2);
                                            r(cls, l3);
                                            return l3;
                                        }
                                    }
                                    if (z) {
                                        v0Var = g(cls);
                                        r(cls, v0Var);
                                    }
                                }
                            }
                        }
                    }
                    return h3 != null ? h(cls) : h3;
                }
                JSONType jSONType2 = (JSONType) n.Q(superclass, JSONType.class);
                if (jSONType2 == null || !jSONType2.serializeEnumAsJavaBean()) {
                    v0Var = i();
                    r(cls, v0Var);
                } else {
                    v0Var = g(cls);
                    r(cls, v0Var);
                }
            }
        }
        h3 = v0Var;
        if (h3 != null) {
        }
    }

    public String n() {
        return this.j;
    }

    public boolean p() {
        return this.h;
    }

    public boolean q(Object obj, Object obj2) {
        return r((Type) obj, (v0) obj2);
    }

    public boolean r(Type type, v0 v0Var) {
        Type mixInAnnotations = com.alibaba.fastjson.a.getMixInAnnotations(type);
        if (mixInAnnotations == null) {
            return this.l.d(type, v0Var);
        }
        g<Type, v0> c2 = this.m.c(type);
        if (c2 == null) {
            c2 = new g<>(4);
            this.m.d(type, c2);
        }
        return c2.d(mixInAnnotations, v0Var);
    }

    public void s(a aVar) {
        this.p.add(aVar);
    }

    public void t(boolean z) {
        if (!b.f5785b) {
            this.h = z;
        }
    }

    public void u(PropertyNamingStrategy propertyNamingStrategy) {
        this.k = propertyNamingStrategy;
    }

    public void v(String str) {
        this.j = str;
    }

    public d1(boolean z) {
        this(8192, z);
    }

    public d1(int i2) {
        this(i2, false);
    }

    public d1(int i2, boolean z) {
        this.h = !b.f5785b;
        this.j = com.alibaba.fastjson.a.DEFAULT_TYPE_KEY;
        this.o = new long[]{4165360493669296979L, 4446674157046724083L};
        this.p = new ArrayList();
        this.n = z;
        this.l = new g<>(i2);
        this.m = new g<>(16);
        try {
            if (this.h) {
                this.i = new a();
            }
        } catch (Throwable unused) {
            this.h = false;
        }
        o();
    }
}
