package com.alibaba.fastjson.serializer;

import com.alibaba.fastjson.a;
import com.alibaba.fastjson.parser.b;
import com.alibaba.fastjson.parser.c;
import com.alibaba.fastjson.parser.k.t;
import java.io.IOException;
import java.lang.reflect.Type;
import java.util.Locale;
import java.util.TimeZone;
import org.joda.time.DateTime;
import org.joda.time.DateTimeZone;
import org.joda.time.Duration;
import org.joda.time.Instant;
import org.joda.time.LocalDate;
import org.joda.time.LocalDateTime;
import org.joda.time.LocalTime;
import org.joda.time.Period;
import org.joda.time.ReadablePartial;
import org.joda.time.format.DateTimeFormat;
import org.joda.time.format.DateTimeFormatter;

/* compiled from: JodaCodec */
public class m0 implements v0, u, t {

    /* renamed from: a  reason: collision with root package name */
    public static final m0 f5742a = new m0();

    /* renamed from: b  reason: collision with root package name */
    private static final String f5743b = "yyyy-MM-dd HH:mm:ss";

    /* renamed from: c  reason: collision with root package name */
    private static final DateTimeFormatter f5744c = DateTimeFormat.forPattern(f5743b);

    /* renamed from: d  reason: collision with root package name */
    private static final DateTimeFormatter f5745d = DateTimeFormat.forPattern("yyyy-MM-dd HH:mm:ss.SSS");

    /* renamed from: e  reason: collision with root package name */
    private static final DateTimeFormatter f5746e = DateTimeFormat.forPattern("yyyy/MM/dd HH:mm:ss");
    private static final DateTimeFormatter f = DateTimeFormat.forPattern("yyyy年M月d日 HH:mm:ss");
    private static final DateTimeFormatter g = DateTimeFormat.forPattern("yyyy年M月d日 H时m分s秒");
    private static final DateTimeFormatter h = DateTimeFormat.forPattern("yyyy년M월d일 HH:mm:ss");
    private static final DateTimeFormatter i = DateTimeFormat.forPattern("MM/dd/yyyy HH:mm:ss");
    private static final DateTimeFormatter j = DateTimeFormat.forPattern("dd/MM/yyyy HH:mm:ss");
    private static final DateTimeFormatter k = DateTimeFormat.forPattern("dd.MM.yyyy HH:mm:ss");
    private static final DateTimeFormatter l = DateTimeFormat.forPattern("dd-MM-yyyy HH:mm:ss");
    private static final DateTimeFormatter m = DateTimeFormat.forPattern("yyyyMMdd");
    private static final DateTimeFormatter n = DateTimeFormat.forPattern("yyyy/MM/dd");
    private static final DateTimeFormatter o = DateTimeFormat.forPattern("yyyy年M月d日");
    private static final DateTimeFormatter p = DateTimeFormat.forPattern("yyyy년M월d일");
    private static final DateTimeFormatter q = DateTimeFormat.forPattern("MM/dd/yyyy");
    private static final DateTimeFormatter r = DateTimeFormat.forPattern("dd/MM/yyyy");
    private static final DateTimeFormatter s = DateTimeFormat.forPattern("dd.MM.yyyy");
    private static final DateTimeFormatter t = DateTimeFormat.forPattern("dd-MM-yyyy");
    private static final DateTimeFormatter u = DateTimeFormat.forPattern(f5743b).withZone(DateTimeZone.getDefault());
    private static final String v = "yyyy-MM-dd'T'HH:mm:ss";
    private static final String w = "yyyy-MM-dd'T'HH:mm:ss.SSS";
    private static final String x = "yyyy-MM-dd'T'HH:mm:ss.SSSSSSSSS";
    private static final DateTimeFormatter y = DateTimeFormat.forPattern(v);

    private void j(g1 g1Var, ReadablePartial readablePartial, String str) {
        DateTimeFormatter dateTimeFormatter;
        if (str.equals(v)) {
            dateTimeFormatter = y;
        } else {
            dateTimeFormatter = DateTimeFormat.forPattern(str);
        }
        g1Var.Y1(dateTimeFormatter.print(readablePartial));
    }

    @Override // com.alibaba.fastjson.parser.k.t
    public <T> T b(b bVar, Type type, Object obj) {
        return (T) f(bVar, type, obj, null, 0);
    }

    @Override // com.alibaba.fastjson.serializer.v0
    public void c(j0 j0Var, Object obj, Object obj2, Type type, int i2) throws IOException {
        g1 g1Var = j0Var.k;
        if (obj == null) {
            g1Var.V1();
            return;
        }
        if (type == null) {
            type = obj.getClass();
        }
        if (type == LocalDateTime.class) {
            SerializerFeature serializerFeature = SerializerFeature.UseISO8601DateFormat;
            int mask = serializerFeature.getMask();
            LocalDateTime localDateTime = (LocalDateTime) obj;
            String A = j0Var.A();
            if (A == null) {
                if ((i2 & mask) != 0 || j0Var.J(serializerFeature)) {
                    A = v;
                } else {
                    A = j0Var.J(SerializerFeature.WriteDateUseDateFormat) ? a.DEFFAULT_DATE_FORMAT : localDateTime.getMillisOfSecond() == 0 ? w : x;
                }
            }
            if (A != null) {
                j(g1Var, localDateTime, A);
            } else {
                g1Var.Q1(localDateTime.toDateTime(DateTimeZone.forTimeZone(a.defaultTimeZone)).toInstant().getMillis());
            }
        } else {
            g1Var.Y1(obj.toString());
        }
    }

    @Override // com.alibaba.fastjson.serializer.u
    public void d(j0 j0Var, Object obj, j jVar) throws IOException {
        j(j0Var.k, (ReadablePartial) obj, jVar.g());
    }

    @Override // com.alibaba.fastjson.parser.k.t
    public int e() {
        return 4;
    }

    public <T> T f(b bVar, Type type, Object obj, String str, int i2) {
        DateTimeFormatter dateTimeFormatter;
        c cVar = bVar.P0;
        if (cVar.Z0() == 8) {
            cVar.I();
            return null;
        } else if (cVar.Z0() == 4) {
            String J0 = cVar.J0();
            cVar.I();
            if (str != null) {
                dateTimeFormatter = f5743b.equals(str) ? f5744c : DateTimeFormat.forPattern(str);
            } else {
                dateTimeFormatter = null;
            }
            if ("".equals(J0)) {
                return null;
            }
            if (type == LocalDateTime.class) {
                return (J0.length() == 10 || J0.length() == 8) ? (T) h(J0, str, dateTimeFormatter).toLocalDateTime(LocalTime.MIDNIGHT) : (T) g(J0, dateTimeFormatter);
            }
            if (type == LocalDate.class) {
                return J0.length() == 23 ? (T) LocalDateTime.parse(J0).toLocalDate() : (T) h(J0, str, dateTimeFormatter);
            }
            if (type == LocalTime.class) {
                return J0.length() == 23 ? (T) LocalDateTime.parse(J0).toLocalTime() : (T) LocalTime.parse(J0);
            }
            if (type == DateTime.class) {
                if (dateTimeFormatter == f5744c) {
                    dateTimeFormatter = u;
                }
                return (T) i(J0, dateTimeFormatter);
            } else if (type == DateTimeZone.class) {
                return (T) DateTimeZone.forID(J0);
            } else {
                if (type == Period.class) {
                    return (T) Period.parse(J0);
                }
                if (type == Duration.class) {
                    return (T) Duration.parse(J0);
                }
                if (type == Instant.class) {
                    boolean z = false;
                    int i3 = 0;
                    while (true) {
                        if (i3 >= J0.length()) {
                            z = true;
                            break;
                        }
                        char charAt = J0.charAt(i3);
                        if (charAt < '0' || charAt > '9') {
                            break;
                        }
                        i3++;
                    }
                    return (!z || J0.length() <= 8 || J0.length() >= 19) ? (T) Instant.parse(J0) : (T) new Instant(Long.parseLong(J0));
                } else if (type == DateTimeFormatter.class) {
                    return (T) DateTimeFormat.forPattern(J0);
                } else {
                    return null;
                }
            }
        } else if (cVar.Z0() == 2) {
            long i4 = cVar.i();
            cVar.I();
            TimeZone timeZone = a.defaultTimeZone;
            if (timeZone == null) {
                timeZone = TimeZone.getDefault();
            }
            if (type == DateTime.class) {
                return (T) new DateTime(i4, DateTimeZone.forTimeZone(timeZone));
            }
            T t2 = (T) new LocalDateTime(i4, DateTimeZone.forTimeZone(timeZone));
            if (type == LocalDateTime.class) {
                return t2;
            }
            if (type == LocalDate.class) {
                return (T) t2.toLocalDate();
            }
            if (type == LocalTime.class) {
                return (T) t2.toLocalTime();
            }
            if (type == Instant.class) {
                return (T) new Instant(i4);
            }
            throw new UnsupportedOperationException();
        } else {
            throw new UnsupportedOperationException();
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x00f4  */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x011d  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x012b A[SYNTHETIC] */
    public LocalDateTime g(String str, DateTimeFormatter dateTimeFormatter) {
        DateTimeFormatter dateTimeFormatter2;
        int i2;
        if (dateTimeFormatter == null) {
            boolean z = false;
            if (str.length() == 19) {
                char charAt = str.charAt(4);
                char charAt2 = str.charAt(7);
                char charAt3 = str.charAt(10);
                char charAt4 = str.charAt(13);
                char charAt5 = str.charAt(16);
                if (charAt4 == ':' && charAt5 == ':') {
                    if (charAt == '-' && charAt2 == '-') {
                        if (charAt3 == 'T') {
                            dateTimeFormatter2 = y;
                        } else if (charAt3 == ' ') {
                            dateTimeFormatter2 = f5744c;
                        }
                        if (str.length() >= 17) {
                        }
                        i2 = 0;
                        while (true) {
                            if (i2 >= str.length()) {
                            }
                            i2++;
                        }
                        return new LocalDateTime(Long.parseLong(str), DateTimeZone.forTimeZone(a.defaultTimeZone));
                    } else if (charAt == '/' && charAt2 == '/') {
                        dateTimeFormatter2 = f5746e;
                        if (str.length() >= 17) {
                        }
                        i2 = 0;
                        while (true) {
                            if (i2 >= str.length()) {
                            }
                            i2++;
                        }
                        return new LocalDateTime(Long.parseLong(str), DateTimeZone.forTimeZone(a.defaultTimeZone));
                    } else {
                        char charAt6 = str.charAt(0);
                        char charAt7 = str.charAt(1);
                        char charAt8 = str.charAt(2);
                        char charAt9 = str.charAt(3);
                        char charAt10 = str.charAt(5);
                        if (charAt8 == '/' && charAt10 == '/') {
                            int i3 = ((charAt9 - '0') * 10) + (charAt - '0');
                            if (((charAt6 - '0') * 10) + (charAt7 - '0') > 12) {
                                dateTimeFormatter2 = j;
                            } else if (i3 > 12) {
                                dateTimeFormatter2 = i;
                            } else {
                                String country = Locale.getDefault().getCountry();
                                if (country.equals("US")) {
                                    dateTimeFormatter2 = i;
                                } else if (country.equals("BR") || country.equals("AU")) {
                                    dateTimeFormatter2 = j;
                                }
                            }
                            if (str.length() >= 17) {
                            }
                            i2 = 0;
                            while (true) {
                                if (i2 >= str.length()) {
                                }
                                i2++;
                            }
                            return new LocalDateTime(Long.parseLong(str), DateTimeZone.forTimeZone(a.defaultTimeZone));
                        } else if (charAt8 == '.' && charAt10 == '.') {
                            dateTimeFormatter2 = k;
                            if (str.length() >= 17) {
                            }
                            i2 = 0;
                            while (true) {
                                if (i2 >= str.length()) {
                                }
                                i2++;
                            }
                            return new LocalDateTime(Long.parseLong(str), DateTimeZone.forTimeZone(a.defaultTimeZone));
                        } else if (charAt8 == '-' && charAt10 == '-') {
                            dateTimeFormatter2 = l;
                            if (str.length() >= 17) {
                                char charAt11 = str.charAt(4);
                                if (charAt11 == 24180) {
                                    if (str.charAt(str.length() - 1) == 31186) {
                                        dateTimeFormatter2 = g;
                                    } else {
                                        dateTimeFormatter2 = f;
                                    }
                                } else if (charAt11 == 45380) {
                                    dateTimeFormatter2 = h;
                                }
                            }
                            i2 = 0;
                            while (true) {
                                if (i2 >= str.length()) {
                                    z = true;
                                    break;
                                }
                                char charAt12 = str.charAt(i2);
                                if (charAt12 < '0' || charAt12 > '9') {
                                    break;
                                }
                                i2++;
                            }
                            if (z && str.length() > 8 && str.length() < 19) {
                                return new LocalDateTime(Long.parseLong(str), DateTimeZone.forTimeZone(a.defaultTimeZone));
                            }
                        }
                    }
                }
            } else if (str.length() == 23) {
                char charAt13 = str.charAt(4);
                char charAt14 = str.charAt(7);
                char charAt15 = str.charAt(10);
                char charAt16 = str.charAt(13);
                char charAt17 = str.charAt(16);
                char charAt18 = str.charAt(19);
                if (charAt16 == ':' && charAt17 == ':' && charAt13 == '-' && charAt14 == '-' && charAt15 == ' ' && charAt18 == '.') {
                    dateTimeFormatter2 = f5745d;
                    if (str.length() >= 17) {
                    }
                    i2 = 0;
                    while (true) {
                        if (i2 >= str.length()) {
                        }
                        i2++;
                    }
                    return new LocalDateTime(Long.parseLong(str), DateTimeZone.forTimeZone(a.defaultTimeZone));
                }
            }
            dateTimeFormatter2 = dateTimeFormatter;
            if (str.length() >= 17) {
            }
            i2 = 0;
            while (true) {
                if (i2 >= str.length()) {
                }
                i2++;
            }
            return new LocalDateTime(Long.parseLong(str), DateTimeZone.forTimeZone(a.defaultTimeZone));
        }
        dateTimeFormatter2 = dateTimeFormatter;
        if (dateTimeFormatter2 == null) {
            return LocalDateTime.parse(str);
        }
        return LocalDateTime.parse(str, dateTimeFormatter2);
    }

    /* access modifiers changed from: protected */
    public LocalDate h(String str, String str2, DateTimeFormatter dateTimeFormatter) {
        DateTimeFormatter dateTimeFormatter2;
        DateTimeFormatter dateTimeFormatter3;
        if (dateTimeFormatter == null) {
            if (str.length() == 8) {
                dateTimeFormatter = m;
            }
            boolean z = false;
            if (str.length() == 10) {
                char charAt = str.charAt(4);
                char charAt2 = str.charAt(7);
                if (charAt == '/' && charAt2 == '/') {
                    dateTimeFormatter = n;
                }
                char charAt3 = str.charAt(0);
                char charAt4 = str.charAt(1);
                char charAt5 = str.charAt(2);
                char charAt6 = str.charAt(3);
                char charAt7 = str.charAt(5);
                if (charAt5 == '/' && charAt7 == '/') {
                    int i2 = ((charAt6 - '0') * 10) + (charAt - '0');
                    if (((charAt3 - '0') * 10) + (charAt4 - '0') > 12) {
                        dateTimeFormatter3 = r;
                    } else if (i2 > 12) {
                        dateTimeFormatter3 = q;
                    } else {
                        String country = Locale.getDefault().getCountry();
                        if (country.equals("US")) {
                            dateTimeFormatter3 = q;
                        } else if (country.equals("BR") || country.equals("AU")) {
                            dateTimeFormatter3 = r;
                        }
                    }
                    dateTimeFormatter = dateTimeFormatter3;
                } else if (charAt5 == '.' && charAt7 == '.') {
                    dateTimeFormatter = s;
                } else if (charAt5 == '-' && charAt7 == '-') {
                    dateTimeFormatter = t;
                }
            }
            if (str.length() >= 9) {
                char charAt8 = str.charAt(4);
                if (charAt8 == 24180) {
                    dateTimeFormatter2 = o;
                } else if (charAt8 == 45380) {
                    dateTimeFormatter2 = p;
                }
                dateTimeFormatter = dateTimeFormatter2;
            }
            int i3 = 0;
            while (true) {
                if (i3 >= str.length()) {
                    z = true;
                    break;
                }
                char charAt9 = str.charAt(i3);
                if (charAt9 < '0' || charAt9 > '9') {
                    break;
                }
                i3++;
            }
            if (z && str.length() > 8 && str.length() < 19) {
                return new LocalDateTime(Long.parseLong(str), DateTimeZone.forTimeZone(a.defaultTimeZone)).toLocalDate();
            }
        }
        if (dateTimeFormatter == null) {
            return LocalDate.parse(str);
        }
        return LocalDate.parse(str, dateTimeFormatter);
    }

    /* access modifiers changed from: protected */
    public DateTime i(String str, DateTimeFormatter dateTimeFormatter) {
        if (dateTimeFormatter == null) {
            if (str.length() == 19) {
                char charAt = str.charAt(4);
                char charAt2 = str.charAt(7);
                char charAt3 = str.charAt(10);
                char charAt4 = str.charAt(13);
                char charAt5 = str.charAt(16);
                if (charAt4 == ':' && charAt5 == ':') {
                    if (charAt == '-' && charAt2 == '-') {
                        if (charAt3 == 'T') {
                            dateTimeFormatter = y;
                        } else if (charAt3 == ' ') {
                            dateTimeFormatter = f5744c;
                        }
                    } else if (charAt == '/' && charAt2 == '/') {
                        dateTimeFormatter = f5746e;
                    } else {
                        char charAt6 = str.charAt(0);
                        char charAt7 = str.charAt(1);
                        char charAt8 = str.charAt(2);
                        char charAt9 = str.charAt(3);
                        char charAt10 = str.charAt(5);
                        if (charAt8 == '/' && charAt10 == '/') {
                            int i2 = ((charAt9 - '0') * 10) + (charAt - '0');
                            if (((charAt6 - '0') * 10) + (charAt7 - '0') > 12) {
                                dateTimeFormatter = j;
                            } else if (i2 > 12) {
                                dateTimeFormatter = i;
                            } else {
                                String country = Locale.getDefault().getCountry();
                                if (country.equals("US")) {
                                    dateTimeFormatter = i;
                                } else if (country.equals("BR") || country.equals("AU")) {
                                    dateTimeFormatter = j;
                                }
                            }
                        } else if (charAt8 == '.' && charAt10 == '.') {
                            dateTimeFormatter = k;
                        } else if (charAt8 == '-' && charAt10 == '-') {
                            dateTimeFormatter = l;
                        }
                    }
                }
            }
            if (str.length() >= 17) {
                char charAt11 = str.charAt(4);
                if (charAt11 == 24180) {
                    if (str.charAt(str.length() - 1) == 31186) {
                        dateTimeFormatter = g;
                    } else {
                        dateTimeFormatter = f;
                    }
                } else if (charAt11 == 45380) {
                    dateTimeFormatter = h;
                }
            }
        }
        if (dateTimeFormatter == null) {
            return DateTime.parse(str);
        }
        return DateTime.parse(str, dateTimeFormatter);
    }
}
