package com.alibaba.fastjson.serializer;

import com.alibaba.fastjson.parser.b;
import com.alibaba.fastjson.parser.c;
import com.alibaba.fastjson.parser.k.e;
import com.alibaba.fastjson.parser.k.t;
import com.alibaba.fastjson.util.f;
import com.google.android.material.timepicker.TimeModel;
import com.ibm.icu.impl.z0;
import java.io.IOException;
import java.lang.reflect.Type;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.GregorianCalendar;
import javax.xml.datatype.DatatypeConfigurationException;
import javax.xml.datatype.DatatypeFactory;
import javax.xml.datatype.XMLGregorianCalendar;
import kotlin.text.Typography;

/* compiled from: CalendarCodec */
public class p extends e implements v0, t, u {

    /* renamed from: a  reason: collision with root package name */
    public static final p f5754a = new p();

    /* renamed from: b  reason: collision with root package name */
    private DatatypeFactory f5755b;

    @Override // com.alibaba.fastjson.parser.k.e, com.alibaba.fastjson.parser.k.t
    public <T> T b(b bVar, Type type, Object obj) {
        return (T) f(bVar, type, obj, null, 0);
    }

    @Override // com.alibaba.fastjson.serializer.v0
    public void c(j0 j0Var, Object obj, Object obj2, Type type, int i) throws IOException {
        Calendar calendar;
        char[] cArr;
        g1 g1Var = j0Var.k;
        if (obj == null) {
            g1Var.V1();
            return;
        }
        if (obj instanceof XMLGregorianCalendar) {
            calendar = ((XMLGregorianCalendar) obj).toGregorianCalendar();
        } else {
            calendar = (Calendar) obj;
        }
        if (g1Var.M(SerializerFeature.UseISO8601DateFormat)) {
            char c2 = g1Var.M(SerializerFeature.UseSingleQuotes) ? z0.f14782a : Typography.quote;
            g1Var.append(c2);
            int i2 = calendar.get(1);
            int i3 = calendar.get(2) + 1;
            int i4 = calendar.get(5);
            int i5 = calendar.get(11);
            int i6 = calendar.get(12);
            int i7 = calendar.get(13);
            int i8 = calendar.get(14);
            if (i8 != 0) {
                cArr = "0000-00-00T00:00:00.000".toCharArray();
                f.j(i8, 23, cArr);
                f.j(i7, 19, cArr);
                f.j(i6, 16, cArr);
                f.j(i5, 13, cArr);
                f.j(i4, 10, cArr);
                f.j(i3, 7, cArr);
                f.j(i2, 4, cArr);
            } else if (i7 == 0 && i6 == 0 && i5 == 0) {
                cArr = "0000-00-00".toCharArray();
                f.j(i4, 10, cArr);
                f.j(i3, 7, cArr);
                f.j(i2, 4, cArr);
            } else {
                cArr = "0000-00-00T00:00:00".toCharArray();
                f.j(i7, 19, cArr);
                f.j(i6, 16, cArr);
                f.j(i5, 13, cArr);
                f.j(i4, 10, cArr);
                f.j(i3, 7, cArr);
                f.j(i2, 4, cArr);
            }
            g1Var.write(cArr);
            float offset = ((float) calendar.getTimeZone().getOffset(calendar.getTimeInMillis())) / 3600000.0f;
            int i9 = (int) offset;
            if (((double) i9) == 0.0d) {
                g1Var.write(90);
            } else {
                if (i9 > 9) {
                    g1Var.write(43);
                    g1Var.L1(i9);
                } else if (i9 > 0) {
                    g1Var.write(43);
                    g1Var.write(48);
                    g1Var.L1(i9);
                } else if (i9 < -9) {
                    g1Var.write(45);
                    g1Var.L1(i9);
                } else if (i9 < 0) {
                    g1Var.write(45);
                    g1Var.write(48);
                    g1Var.L1(-i9);
                }
                g1Var.write(58);
                g1Var.append(String.format(TimeModel.f12093a, Integer.valueOf((int) ((offset - ((float) i9)) * 60.0f))));
            }
            g1Var.append(c2);
            return;
        }
        j0Var.W(calendar.getTime());
    }

    @Override // com.alibaba.fastjson.serializer.u
    public void d(j0 j0Var, Object obj, j jVar) throws IOException {
        g1 g1Var = j0Var.k;
        String g = jVar.g();
        Calendar calendar = (Calendar) obj;
        if (g.equals("unixtime")) {
            g1Var.L1((int) (calendar.getTimeInMillis() / 1000));
            return;
        }
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat(g);
        simpleDateFormat.setTimeZone(j0Var.s);
        g1Var.Y1(simpleDateFormat.format(calendar.getTime()));
    }

    @Override // com.alibaba.fastjson.parser.k.t
    public int e() {
        return 2;
    }

    @Override // com.alibaba.fastjson.parser.k.e
    public <T> T f(b bVar, Type type, Object obj, String str, int i) {
        T t = (T) w.f5766a.f(bVar, type, obj, str, i);
        if (t instanceof Calendar) {
            return t;
        }
        T t2 = t;
        if (t2 == null) {
            return null;
        }
        c cVar = bVar.P0;
        T t3 = (T) Calendar.getInstance(cVar.K0(), cVar.L1());
        t3.setTime(t2);
        return type == XMLGregorianCalendar.class ? (T) g(t3) : t3;
    }

    public XMLGregorianCalendar g(Calendar calendar) {
        if (this.f5755b == null) {
            try {
                this.f5755b = DatatypeFactory.newInstance();
            } catch (DatatypeConfigurationException e2) {
                throw new IllegalStateException("Could not obtain an instance of DatatypeFactory.", e2);
            }
        }
        return this.f5755b.newXMLGregorianCalendar((GregorianCalendar) calendar);
    }
}
