package com.alibaba.fastjson.serializer;

import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.a;
import com.alibaba.fastjson.d;
import com.alibaba.fastjson.parser.b;
import com.alibaba.fastjson.parser.c;
import com.alibaba.fastjson.parser.k.t;
import com.alibaba.fastjson.util.f;
import com.alibaba.fastjson.util.n;
import com.google.firebase.analytics.FirebaseAnalytics;
import java.io.File;
import java.io.IOException;
import java.io.StringWriter;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.net.Inet4Address;
import java.net.Inet6Address;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.MalformedURLException;
import java.net.URI;
import java.net.URL;
import java.net.UnknownHostException;
import java.nio.charset.Charset;
import java.text.SimpleDateFormat;
import java.util.Currency;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;
import java.util.TimeZone;
import java.util.UUID;
import java.util.regex.Pattern;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
import org.w3c.dom.Node;
import tv.danmaku.ijk.media.player.IjkMediaPlayer;

/* compiled from: MiscCodec */
public class s0 implements v0, t {

    /* renamed from: a  reason: collision with root package name */
    private static boolean f5760a = "true".equals(f.l("fastjson.deserializer.fileRelativePathSupport"));

    /* renamed from: b  reason: collision with root package name */
    public static final s0 f5761b = new s0();

    /* renamed from: c  reason: collision with root package name */
    private static Method f5762c;

    /* renamed from: d  reason: collision with root package name */
    private static boolean f5763d = false;

    private static String f(Node node) {
        try {
            Transformer newTransformer = TransformerFactory.newInstance().newTransformer();
            DOMSource dOMSource = new DOMSource(node);
            StringWriter stringWriter = new StringWriter();
            newTransformer.transform(dOMSource, new StreamResult(stringWriter));
            return stringWriter.toString();
        } catch (TransformerException e2) {
            throw new JSONException("xml node to string error", e2);
        }
    }

    @Override // com.alibaba.fastjson.parser.k.t
    public <T> T b(b bVar, Type type, Object obj) {
        Object obj2;
        String str;
        c cVar = bVar.P0;
        InetAddress inetAddress = null;
        int i = 0;
        if (type != InetSocketAddress.class) {
            if (bVar.U0 == 2) {
                bVar.U0 = 0;
                bVar.a(16);
                if (cVar.Z0() != 4) {
                    throw new JSONException("syntax error");
                } else if ("val".equals(cVar.J0())) {
                    cVar.I();
                    bVar.a(17);
                    obj2 = bVar.K0();
                    bVar.a(13);
                } else {
                    throw new JSONException("syntax error");
                }
            } else {
                obj2 = bVar.K0();
            }
            if (obj2 == null) {
                str = null;
            } else if (obj2 instanceof String) {
                str = (String) obj2;
            } else if (obj2 instanceof JSONObject) {
                JSONObject jSONObject = (JSONObject) obj2;
                if (type == Currency.class) {
                    String string = jSONObject.getString(FirebaseAnalytics.b.f12316e);
                    if (string != null) {
                        return (T) Currency.getInstance(string);
                    }
                    String string2 = jSONObject.getString("currencyCode");
                    if (string2 != null) {
                        return (T) Currency.getInstance(string2);
                    }
                }
                return type == Map.Entry.class ? (T) jSONObject.entrySet().iterator().next() : (T) jSONObject.toJavaObject(type);
            } else {
                throw new JSONException("expect string");
            }
            if (str == null || str.length() == 0) {
                return null;
            }
            if (type == UUID.class) {
                return (T) UUID.fromString(str);
            }
            if (type == URI.class) {
                return (T) URI.create(str);
            }
            if (type == URL.class) {
                try {
                    return (T) new URL(str);
                } catch (MalformedURLException e2) {
                    throw new JSONException("create url error", e2);
                }
            } else if (type == Pattern.class) {
                return (T) Pattern.compile(str);
            } else {
                if (type == Locale.class) {
                    return (T) n.S0(str);
                }
                if (type == SimpleDateFormat.class) {
                    T t = (T) new SimpleDateFormat(str, cVar.L1());
                    t.setTimeZone(cVar.K0());
                    return t;
                } else if (type == InetAddress.class || type == Inet4Address.class || type == Inet6Address.class) {
                    try {
                        return (T) InetAddress.getByName(str);
                    } catch (UnknownHostException e3) {
                        throw new JSONException("deserialize inet adress error", e3);
                    }
                } else if (type == File.class) {
                    if (str.indexOf("..") < 0 || f5760a) {
                        return (T) new File(str);
                    }
                    throw new JSONException("file relative path not support.");
                } else if (type == TimeZone.class) {
                    return (T) TimeZone.getTimeZone(str);
                } else {
                    if (type instanceof ParameterizedType) {
                        type = ((ParameterizedType) type).getRawType();
                    }
                    if (type == Class.class) {
                        return (T) n.H0(str, bVar.o().p(), false);
                    }
                    if (type == Charset.class) {
                        return (T) Charset.forName(str);
                    }
                    if (type == Currency.class) {
                        return (T) Currency.getInstance(str);
                    }
                    if (type == d.class) {
                        return (T) new d(str);
                    }
                    if (type instanceof Class) {
                        String name = ((Class) type).getName();
                        if (name.equals("java.nio.file.Path")) {
                            try {
                                if (f5762c == null && !f5763d) {
                                    f5762c = n.F0("java.nio.file.Paths").getMethod("get", String.class, String[].class);
                                }
                                Method method = f5762c;
                                if (method != null) {
                                    return (T) method.invoke(null, str, new String[0]);
                                }
                                throw new JSONException("Path deserialize erorr");
                            } catch (NoSuchMethodException unused) {
                                f5763d = true;
                            } catch (IllegalAccessException e4) {
                                throw new JSONException("Path deserialize erorr", e4);
                            } catch (InvocationTargetException e5) {
                                throw new JSONException("Path deserialize erorr", e5);
                            }
                        }
                        throw new JSONException("MiscCodec not support " + name);
                    }
                    throw new JSONException("MiscCodec not support " + type.toString());
                }
            }
        } else if (cVar.Z0() == 8) {
            cVar.I();
            return null;
        } else {
            bVar.a(12);
            while (true) {
                String J0 = cVar.J0();
                cVar.Z(17);
                if (J0.equals("address")) {
                    bVar.a(17);
                    inetAddress = (InetAddress) bVar.C1(InetAddress.class);
                } else if (J0.equals(IjkMediaPlayer.f.p)) {
                    bVar.a(17);
                    if (cVar.Z0() == 2) {
                        int P = cVar.P();
                        cVar.I();
                        i = P;
                    } else {
                        throw new JSONException("port is not int");
                    }
                } else {
                    bVar.a(17);
                    bVar.K0();
                }
                if (cVar.Z0() == 16) {
                    cVar.I();
                } else {
                    bVar.a(13);
                    return (T) new InetSocketAddress(inetAddress, i);
                }
            }
        }
    }

    @Override // com.alibaba.fastjson.serializer.v0
    public void c(j0 j0Var, Object obj, Object obj2, Type type, int i) throws IOException {
        String str;
        g1 g1Var = j0Var.k;
        if (obj == null) {
            g1Var.V1();
            return;
        }
        Class<?> cls = obj.getClass();
        if (cls == SimpleDateFormat.class) {
            str = ((SimpleDateFormat) obj).toPattern();
            if (g1Var.M(SerializerFeature.WriteClassName) && obj.getClass() != type) {
                g1Var.write(123);
                g1Var.V0(a.DEFAULT_TYPE_KEY);
                j0Var.X(obj.getClass().getName());
                g1Var.s1(',', "val", str);
                g1Var.write(125);
                return;
            }
        } else if (cls == Class.class) {
            str = ((Class) obj).getName();
        } else if (cls == InetSocketAddress.class) {
            InetSocketAddress inetSocketAddress = (InetSocketAddress) obj;
            InetAddress address = inetSocketAddress.getAddress();
            g1Var.write(123);
            if (address != null) {
                g1Var.V0("address");
                j0Var.W(address);
                g1Var.write(44);
            }
            g1Var.V0(IjkMediaPlayer.f.p);
            g1Var.L1(inetSocketAddress.getPort());
            g1Var.write(125);
            return;
        } else if (obj instanceof File) {
            str = ((File) obj).getPath();
        } else if (obj instanceof InetAddress) {
            str = ((InetAddress) obj).getHostAddress();
        } else if (obj instanceof TimeZone) {
            str = ((TimeZone) obj).getID();
        } else if (obj instanceof Currency) {
            str = ((Currency) obj).getCurrencyCode();
        } else if (obj instanceof com.alibaba.fastjson.f) {
            ((com.alibaba.fastjson.f) obj).writeJSONString(g1Var);
            return;
        } else if (obj instanceof Iterator) {
            g(j0Var, g1Var, (Iterator) obj);
            return;
        } else if (obj instanceof Iterable) {
            g(j0Var, g1Var, ((Iterable) obj).iterator());
            return;
        } else if (obj instanceof Map.Entry) {
            Map.Entry entry = (Map.Entry) obj;
            Object key = entry.getKey();
            Object value = entry.getValue();
            if (key instanceof String) {
                String str2 = (String) key;
                if (value instanceof String) {
                    g1Var.D1('{', str2, (String) value);
                } else {
                    g1Var.write(123);
                    g1Var.V0(str2);
                    j0Var.W(value);
                }
            } else {
                g1Var.write(123);
                j0Var.W(key);
                g1Var.write(58);
                j0Var.W(value);
            }
            g1Var.write(125);
            return;
        } else if (obj.getClass().getName().equals("net.sf.json.JSONNull")) {
            g1Var.V1();
            return;
        } else if (obj instanceof Node) {
            str = f((Node) obj);
        } else {
            throw new JSONException("not support class : " + cls);
        }
        g1Var.Y1(str);
    }

    @Override // com.alibaba.fastjson.parser.k.t
    public int e() {
        return 4;
    }

    /* access modifiers changed from: protected */
    public void g(j0 j0Var, g1 g1Var, Iterator<?> it) {
        g1Var.write(91);
        int i = 0;
        while (it.hasNext()) {
            if (i != 0) {
                g1Var.write(44);
            }
            j0Var.W(it.next());
            i++;
        }
        g1Var.write(93);
    }
}
