package com.alibaba.fastjson.serializer;

import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.a;
import com.alibaba.fastjson.parser.k.b;
import com.alibaba.fastjson.parser.k.t;
import com.alibaba.fastjson.util.f;
import com.alibaba.fastjson.util.n;
import com.google.android.material.timepicker.TimeModel;
import com.ibm.icu.impl.e;
import java.io.IOException;
import java.lang.reflect.Type;
import java.math.BigDecimal;
import java.sql.Time;
import java.sql.Timestamp;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.TimeZone;

/* compiled from: DateCodec */
public class w extends b implements v0, t {

    /* renamed from: a  reason: collision with root package name */
    public static final w f5766a = new w();

    @Override // com.alibaba.fastjson.serializer.v0
    public void c(j0 j0Var, Object obj, Object obj2, Type type, int i) throws IOException {
        Date date;
        char[] cArr;
        g1 g1Var = j0Var.k;
        if (obj == null) {
            g1Var.V1();
            return;
        }
        Class<?> cls = obj.getClass();
        if (cls == java.sql.Date.class && !g1Var.M(SerializerFeature.WriteDateUseDateFormat)) {
            long time = ((java.sql.Date) obj).getTime();
            if ((time + ((long) j0Var.s.getOffset(time))) % e.j == 0 && !SerializerFeature.isEnabled(g1Var.O0, i, SerializerFeature.WriteClassName)) {
                g1Var.Y1(obj.toString());
                return;
            }
        }
        if (cls == Time.class) {
            long time2 = ((Time) obj).getTime();
            if ("unixtime".equals(j0Var.A())) {
                g1Var.Q1(time2 / 1000);
                return;
            } else if ("millis".equals(j0Var.A())) {
                g1Var.Q1(time2);
                return;
            } else if (time2 < e.j) {
                g1Var.Y1(obj.toString());
                return;
            }
        }
        int nanos = cls == Timestamp.class ? ((Timestamp) obj).getNanos() : 0;
        if (obj instanceof Date) {
            date = (Date) obj;
        } else {
            date = n.o(obj);
        }
        if ("unixtime".equals(j0Var.A())) {
            g1Var.Q1(date.getTime() / 1000);
        } else if ("millis".equals(j0Var.A())) {
            g1Var.Q1(date.getTime());
        } else if (g1Var.M(SerializerFeature.WriteDateUseDateFormat)) {
            DateFormat z = j0Var.z();
            if (z == null) {
                String B = j0Var.B();
                if (B == null) {
                    B = a.DEFFAULT_DATE_FORMAT;
                }
                SimpleDateFormat simpleDateFormat = new SimpleDateFormat(B, j0Var.t);
                simpleDateFormat.setTimeZone(j0Var.s);
                z = simpleDateFormat;
            }
            g1Var.Y1(z.format(date));
        } else if (!g1Var.M(SerializerFeature.WriteClassName) || cls == type) {
            long time3 = date.getTime();
            if (g1Var.M(SerializerFeature.UseISO8601DateFormat)) {
                int i2 = g1Var.M(SerializerFeature.UseSingleQuotes) ? 39 : 34;
                g1Var.write(i2);
                Calendar instance = Calendar.getInstance(j0Var.s, j0Var.t);
                instance.setTimeInMillis(time3);
                int i3 = instance.get(1);
                int i4 = instance.get(2) + 1;
                int i5 = instance.get(5);
                int i6 = instance.get(11);
                int i7 = instance.get(12);
                int i8 = instance.get(13);
                int i9 = instance.get(14);
                if (nanos > 0) {
                    cArr = "0000-00-00 00:00:00.000000000".toCharArray();
                    f.j(nanos, 29, cArr);
                    f.j(i8, 19, cArr);
                    f.j(i7, 16, cArr);
                    f.j(i6, 13, cArr);
                    f.j(i5, 10, cArr);
                    f.j(i4, 7, cArr);
                    f.j(i3, 4, cArr);
                } else if (i9 != 0) {
                    char[] charArray = "0000-00-00T00:00:00.000".toCharArray();
                    f.j(i9, 23, charArray);
                    f.j(i8, 19, charArray);
                    f.j(i7, 16, charArray);
                    f.j(i6, 13, charArray);
                    f.j(i5, 10, charArray);
                    f.j(i4, 7, charArray);
                    f.j(i3, 4, charArray);
                    cArr = charArray;
                } else if (i8 == 0 && i7 == 0 && i6 == 0) {
                    char[] charArray2 = "0000-00-00".toCharArray();
                    f.j(i5, 10, charArray2);
                    f.j(i4, 7, charArray2);
                    f.j(i3, 4, charArray2);
                    cArr = charArray2;
                } else {
                    cArr = "0000-00-00T00:00:00".toCharArray();
                    f.j(i8, 19, cArr);
                    f.j(i7, 16, cArr);
                    f.j(i6, 13, cArr);
                    f.j(i5, 10, cArr);
                    f.j(i4, 7, cArr);
                    f.j(i3, 4, cArr);
                }
                if (nanos > 0) {
                    int i10 = 0;
                    while (i10 < 9 && cArr[(cArr.length - i10) - 1] == '0') {
                        i10++;
                    }
                    g1Var.write(cArr, 0, cArr.length - i10);
                    g1Var.write(i2);
                    return;
                }
                g1Var.write(cArr);
                float offset = ((float) instance.getTimeZone().getOffset(instance.getTimeInMillis())) / 3600000.0f;
                int i11 = (int) offset;
                if (((double) i11) == 0.0d) {
                    g1Var.write(90);
                } else {
                    if (i11 > 9) {
                        g1Var.write(43);
                        g1Var.L1(i11);
                    } else if (i11 > 0) {
                        g1Var.write(43);
                        g1Var.write(48);
                        g1Var.L1(i11);
                    } else if (i11 < -9) {
                        g1Var.write(45);
                        g1Var.L1(-i11);
                    } else if (i11 < 0) {
                        g1Var.write(45);
                        g1Var.write(48);
                        g1Var.L1(-i11);
                    }
                    g1Var.write(58);
                    g1Var.append(String.format(TimeModel.f12093a, Integer.valueOf((int) (Math.abs(offset - ((float) i11)) * 60.0f))));
                }
                g1Var.write(i2);
                return;
            }
            g1Var.Q1(time3);
        } else if (cls == Date.class) {
            g1Var.write("new Date(");
            g1Var.Q1(((Date) obj).getTime());
            g1Var.write(41);
        } else {
            g1Var.write(123);
            g1Var.V0(a.DEFAULT_TYPE_KEY);
            j0Var.X(cls.getName());
            g1Var.j1(',', "val", ((Date) obj).getTime());
            g1Var.write(125);
        }
    }

    @Override // com.alibaba.fastjson.parser.k.t
    public int e() {
        return 2;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r8v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.alibaba.fastjson.parser.k.b
    public <T> T g(com.alibaba.fastjson.parser.b bVar, Type type, Object obj, Object obj2) {
        if (obj2 == 0) {
            return null;
        }
        if (obj2 instanceof Date) {
            return obj2;
        }
        if (obj2 instanceof BigDecimal) {
            return (T) new Date(n.J0((BigDecimal) obj2));
        }
        if (obj2 instanceof Number) {
            return (T) new Date(((Number) obj2).longValue());
        }
        if (obj2 instanceof String) {
            String str = (String) obj2;
            if (str.length() == 0) {
                return null;
            }
            if (str.length() == 23 && str.endsWith(" 000")) {
                str = str.substring(0, 19);
            }
            com.alibaba.fastjson.parser.f fVar = new com.alibaba.fastjson.parser.f(str);
            try {
                if (fVar.f3(false)) {
                    T t = (T) fVar.Z1();
                    if (type == Calendar.class) {
                        return t;
                    }
                    T t2 = (T) t.getTime();
                    fVar.close();
                    return t2;
                }
                fVar.close();
                String I = bVar.I();
                if (str.length() == I.length() || (str.length() == 22 && I.equals("yyyyMMddHHmmssSSSZ")) || (str.indexOf(84) != -1 && I.contains("'T'") && str.length() + 2 == I.length())) {
                    try {
                        return (T) bVar.M().parse(str);
                    } catch (ParseException unused) {
                    }
                }
                if (str.startsWith("/Date(") && str.endsWith(")/")) {
                    str = str.substring(6, str.length() - 2);
                }
                if ("0000-00-00".equals(str) || "0000-00-00T00:00:00".equalsIgnoreCase(str) || "0001-01-01T00:00:00+08:00".equalsIgnoreCase(str)) {
                    return null;
                }
                int lastIndexOf = str.lastIndexOf(124);
                if (lastIndexOf > 20) {
                    TimeZone timeZone = TimeZone.getTimeZone(str.substring(lastIndexOf + 1));
                    if (!"GMT".equals(timeZone.getID())) {
                        com.alibaba.fastjson.parser.f fVar2 = new com.alibaba.fastjson.parser.f(str.substring(0, lastIndexOf));
                        try {
                            if (fVar2.f3(false)) {
                                T t3 = (T) fVar2.Z1();
                                t3.setTimeZone(timeZone);
                                if (type == Calendar.class) {
                                    return t3;
                                }
                                T t4 = (T) t3.getTime();
                                fVar2.close();
                                return t4;
                            }
                            fVar2.close();
                        } finally {
                            fVar2.close();
                        }
                    }
                }
                return (T) new Date(Long.parseLong(str));
            } finally {
                fVar.close();
            }
        } else {
            throw new JSONException("parse error");
        }
    }
}
