package com.alibaba.fastjson.util;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.AbstractCollection;
import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.Collection;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Random;
import java.util.Set;

public class AntiCollisionHashMap<K, V> extends AbstractMap<K, V> implements Map<K, V>, Cloneable, Serializable {
    static final float I0 = 0.75f;
    static final int J0 = -2023358765;
    static final int K0 = -2128831035;
    static final int L0 = 16777619;

    /* renamed from: a  reason: collision with root package name */
    static final int f5773a = 16;

    /* renamed from: b  reason: collision with root package name */
    static final int f5774b = 1073741824;
    private static final long serialVersionUID = 362498820763181265L;
    volatile transient Set<K> M0;
    volatile transient Collection<V> N0;
    transient b<K, V>[] O0;
    transient int P0;
    volatile transient int Q0;
    private transient Set<Map.Entry<K, V>> R0;
    final float loadFactor;
    final int random;
    int threshold;

    /* access modifiers changed from: package-private */
    public static class b<K, V> implements Map.Entry<K, V> {
        b<K, V> I0;
        final int J0;

        /* renamed from: a  reason: collision with root package name */
        final K f5775a;

        /* renamed from: b  reason: collision with root package name */
        V f5776b;

        b(int i, K k, V v, b<K, V> bVar) {
            this.f5776b = v;
            this.I0 = bVar;
            this.f5775a = k;
            this.J0 = i;
        }

        public final boolean equals(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            K key = getKey();
            Object key2 = entry.getKey();
            if (key == key2 || (key != null && key.equals(key2))) {
                V value = getValue();
                Object value2 = entry.getValue();
                if (value == value2) {
                    return true;
                }
                if (value == null || !value.equals(value2)) {
                    return false;
                }
                return true;
            }
            return false;
        }

        @Override // java.util.Map.Entry
        public final K getKey() {
            return this.f5775a;
        }

        @Override // java.util.Map.Entry
        public final V getValue() {
            return this.f5776b;
        }

        public final int hashCode() {
            K k = this.f5775a;
            int i = 0;
            int hashCode = k == null ? 0 : k.hashCode();
            V v = this.f5776b;
            if (v != null) {
                i = v.hashCode();
            }
            return hashCode ^ i;
        }

        @Override // java.util.Map.Entry
        public final V setValue(V v) {
            V v2 = this.f5776b;
            this.f5776b = v;
            return v2;
        }

        public final String toString() {
            return ((Object) getKey()) + "=" + ((Object) getValue());
        }
    }

    /* access modifiers changed from: private */
    public final class c extends AntiCollisionHashMap<K, V>.e {
        private c() {
            super();
        }

        /* renamed from: b */
        public Map.Entry<K, V> next() {
            return a();
        }
    }

    /* access modifiers changed from: private */
    public final class d extends AbstractSet<Map.Entry<K, V>> {
        private d() {
        }

        public void clear() {
            AntiCollisionHashMap.this.clear();
        }

        public boolean contains(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            b<K, V> e2 = AntiCollisionHashMap.this.e(entry.getKey());
            if (e2 == null || !e2.equals(entry)) {
                return false;
            }
            return true;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<Map.Entry<K, V>> iterator() {
            return AntiCollisionHashMap.this.q();
        }

        public boolean remove(Object obj) {
            return AntiCollisionHashMap.this.z(obj) != null;
        }

        public int size() {
            return AntiCollisionHashMap.this.P0;
        }
    }

    /* access modifiers changed from: private */
    public abstract class e<E> implements Iterator<E> {
        int I0;
        b<K, V> J0;

        /* renamed from: a  reason: collision with root package name */
        b<K, V> f5778a;

        /* renamed from: b  reason: collision with root package name */
        int f5779b;

        e() {
            b<K, V> bVar;
            this.f5779b = AntiCollisionHashMap.this.Q0;
            if (AntiCollisionHashMap.this.P0 > 0) {
                b<K, V>[] bVarArr = AntiCollisionHashMap.this.O0;
                do {
                    int i = this.I0;
                    if (i < bVarArr.length) {
                        this.I0 = i + 1;
                        bVar = bVarArr[i];
                        this.f5778a = bVar;
                    } else {
                        return;
                    }
                } while (bVar == null);
            }
        }

        /* access modifiers changed from: package-private */
        public final b<K, V> a() {
            b<K, V> bVar;
            if (AntiCollisionHashMap.this.Q0 == this.f5779b) {
                b<K, V> bVar2 = this.f5778a;
                if (bVar2 != null) {
                    b<K, V> bVar3 = bVar2.I0;
                    this.f5778a = bVar3;
                    if (bVar3 == null) {
                        b<K, V>[] bVarArr = AntiCollisionHashMap.this.O0;
                        do {
                            int i = this.I0;
                            if (i >= bVarArr.length) {
                                break;
                            }
                            this.I0 = i + 1;
                            bVar = bVarArr[i];
                            this.f5778a = bVar;
                        } while (bVar == null);
                    }
                    this.J0 = bVar2;
                    return bVar2;
                }
                throw new NoSuchElementException();
            }
            throw new ConcurrentModificationException();
        }

        public final boolean hasNext() {
            return this.f5778a != null;
        }

        public void remove() {
            if (this.J0 == null) {
                throw new IllegalStateException();
            } else if (AntiCollisionHashMap.this.Q0 == this.f5779b) {
                K k = this.J0.f5775a;
                this.J0 = null;
                AntiCollisionHashMap.this.y(k);
                this.f5779b = AntiCollisionHashMap.this.Q0;
            } else {
                throw new ConcurrentModificationException();
            }
        }
    }

    /* access modifiers changed from: private */
    public final class f extends AntiCollisionHashMap<K, V>.e {
        private f() {
            super();
        }

        @Override // java.util.Iterator
        public K next() {
            return a().getKey();
        }
    }

    private final class g extends AbstractSet<K> {
        private g() {
        }

        public void clear() {
            AntiCollisionHashMap.this.clear();
        }

        public boolean contains(Object obj) {
            return AntiCollisionHashMap.this.containsKey(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<K> iterator() {
            return AntiCollisionHashMap.this.s();
        }

        public boolean remove(Object obj) {
            return AntiCollisionHashMap.this.y(obj) != null;
        }

        public int size() {
            return AntiCollisionHashMap.this.P0;
        }
    }

    /* access modifiers changed from: private */
    public final class h extends AntiCollisionHashMap<K, V>.e {
        private h() {
            super();
        }

        @Override // java.util.Iterator
        public V next() {
            return a().f5776b;
        }
    }

    private final class i extends AbstractCollection<V> {
        private i() {
        }

        public void clear() {
            AntiCollisionHashMap.this.clear();
        }

        public boolean contains(Object obj) {
            return AntiCollisionHashMap.this.containsValue(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<V> iterator() {
            return AntiCollisionHashMap.this.t();
        }

        public int size() {
            return AntiCollisionHashMap.this.P0;
        }
    }

    public AntiCollisionHashMap(int i2, float f2) {
        this.M0 = null;
        this.N0 = null;
        this.random = new Random().nextInt(99999);
        this.R0 = null;
        if (i2 >= 0) {
            i2 = i2 > 1073741824 ? 1073741824 : i2;
            if (f2 <= 0.0f || Float.isNaN(f2)) {
                throw new IllegalArgumentException("Illegal load factor: " + f2);
            }
            int i3 = 1;
            while (i3 < i2) {
                i3 <<= 1;
            }
            this.loadFactor = f2;
            this.threshold = (int) (((float) i3) * f2);
            this.O0 = new b[i3];
            p();
            return;
        }
        throw new IllegalArgumentException("Illegal initial capacity: " + i2);
    }

    private boolean b() {
        b<K, V>[] bVarArr = this.O0;
        for (b<K, V> bVar : bVarArr) {
            for (; bVar != null; bVar = bVar.I0) {
                if (bVar.f5776b == null) {
                    return true;
                }
            }
        }
        return false;
    }

    private Set<Map.Entry<K, V>> d() {
        Set<Map.Entry<K, V>> set = this.R0;
        if (set != null) {
            return set;
        }
        d dVar = new d();
        this.R0 = dVar;
        return dVar;
    }

    private V f() {
        for (b<K, V> bVar = this.O0[0]; bVar != null; bVar = bVar.I0) {
            if (bVar.f5775a == null) {
                return bVar.f5776b;
            }
        }
        return null;
    }

    static int h(int i2) {
        int i3 = i2 * i2;
        int i4 = i3 ^ ((i3 >>> 20) ^ (i3 >>> 12));
        return (i4 >>> 4) ^ ((i4 >>> 7) ^ i4);
    }

    private int m(String str) {
        int i2 = this.random * K0;
        for (int i3 = 0; i3 < str.length(); i3++) {
            i2 = (i2 * L0) ^ str.charAt(i3);
        }
        return ((i2 >> 1) ^ i2) & J0;
    }

    static int n(int i2, int i3) {
        return i2 & (i3 - 1);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: com.alibaba.fastjson.util.AntiCollisionHashMap<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        this.O0 = new b[objectInputStream.readInt()];
        p();
        int readInt = objectInputStream.readInt();
        for (int i2 = 0; i2 < readInt; i2++) {
            v(objectInputStream.readObject(), objectInputStream.readObject());
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.alibaba.fastjson.util.AntiCollisionHashMap<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    private void u(Map<? extends K, ? extends V> map) {
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            v(entry.getKey(), entry.getValue());
        }
    }

    private void v(K k, V v) {
        int i2;
        K k2;
        if (k == null) {
            i2 = 0;
        } else if (k instanceof String) {
            i2 = h(m(k));
        } else {
            i2 = h(k.hashCode());
        }
        int n = n(i2, this.O0.length);
        for (b<K, V> bVar = this.O0[n]; bVar != null; bVar = bVar.I0) {
            if (bVar.J0 == i2 && ((k2 = bVar.f5775a) == k || (k != null && k.equals(k2)))) {
                bVar.f5776b = v;
                return;
            }
        }
        c(i2, k, v, n);
    }

    private void writeObject(ObjectOutputStream objectOutputStream) throws IOException {
        Iterator<Map.Entry<K, V>> it = this.P0 > 0 ? d().iterator() : null;
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeInt(this.O0.length);
        objectOutputStream.writeInt(this.P0);
        if (it != null) {
            while (it.hasNext()) {
                Map.Entry<K, V> next = it.next();
                objectOutputStream.writeObject(next.getKey());
                objectOutputStream.writeObject(next.getValue());
            }
        }
    }

    private V x(V v) {
        for (b<K, V> bVar = this.O0[0]; bVar != null; bVar = bVar.I0) {
            if (bVar.f5775a == null) {
                V v2 = bVar.f5776b;
                bVar.f5776b = v;
                return v2;
            }
        }
        this.Q0++;
        a(0, null, v, 0);
        return null;
    }

    /* access modifiers changed from: package-private */
    public void A(int i2) {
        if (this.O0.length == 1073741824) {
            this.threshold = Integer.MAX_VALUE;
            return;
        }
        b<K, V>[] bVarArr = new b[i2];
        B(bVarArr);
        this.O0 = bVarArr;
        this.threshold = (int) (((float) i2) * this.loadFactor);
    }

    /* access modifiers changed from: package-private */
    public void B(b[] bVarArr) {
        b<K, V>[] bVarArr2 = this.O0;
        int length = bVarArr.length;
        for (int i2 = 0; i2 < bVarArr2.length; i2++) {
            b<K, V> bVar = bVarArr2[i2];
            if (bVar != null) {
                bVarArr2[i2] = null;
                while (true) {
                    b<K, V> bVar2 = bVar.I0;
                    int n = n(bVar.J0, length);
                    bVar.I0 = bVarArr[n];
                    bVarArr[n] = bVar;
                    if (bVar2 == null) {
                        break;
                    }
                    bVar = bVar2;
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, K k, V v, int i3) {
        b<K, V>[] bVarArr = this.O0;
        bVarArr[i3] = new b<>(i2, k, v, bVarArr[i3]);
        int i4 = this.P0;
        this.P0 = i4 + 1;
        if (i4 >= this.threshold) {
            A(this.O0.length * 2);
        }
    }

    /* access modifiers changed from: package-private */
    public void c(int i2, K k, V v, int i3) {
        b<K, V>[] bVarArr = this.O0;
        bVarArr[i3] = new b<>(i2, k, v, bVarArr[i3]);
        this.P0++;
    }

    public void clear() {
        this.Q0++;
        b<K, V>[] bVarArr = this.O0;
        for (int i2 = 0; i2 < bVarArr.length; i2++) {
            bVarArr[i2] = null;
        }
        this.P0 = 0;
    }

    @Override // java.util.AbstractMap, java.lang.Object
    public Object clone() {
        AntiCollisionHashMap antiCollisionHashMap;
        try {
            antiCollisionHashMap = (AntiCollisionHashMap) super.clone();
        } catch (CloneNotSupportedException unused) {
            antiCollisionHashMap = null;
        }
        antiCollisionHashMap.O0 = new b[this.O0.length];
        antiCollisionHashMap.R0 = null;
        antiCollisionHashMap.Q0 = 0;
        antiCollisionHashMap.P0 = 0;
        antiCollisionHashMap.p();
        antiCollisionHashMap.u(this);
        return antiCollisionHashMap;
    }

    public boolean containsKey(Object obj) {
        return e(obj) != null;
    }

    public boolean containsValue(Object obj) {
        if (obj == null) {
            return b();
        }
        b<K, V>[] bVarArr = this.O0;
        for (b<K, V> bVar : bVarArr) {
            for (; bVar != null; bVar = bVar.I0) {
                if (obj.equals(bVar.f5776b)) {
                    return true;
                }
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public final b<K, V> e(Object obj) {
        int i2;
        K k;
        if (obj == null) {
            i2 = 0;
        } else if (obj instanceof String) {
            i2 = h(m((String) obj));
        } else {
            i2 = h(obj.hashCode());
        }
        b<K, V>[] bVarArr = this.O0;
        for (b<K, V> bVar = bVarArr[n(i2, bVarArr.length)]; bVar != null; bVar = bVar.I0) {
            if (bVar.J0 == i2 && ((k = bVar.f5775a) == obj || (obj != null && obj.equals(k)))) {
                return bVar;
            }
        }
        return null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        return d();
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        int i2;
        K k;
        if (obj == null) {
            return f();
        }
        if (obj instanceof String) {
            i2 = h(m((String) obj));
        } else {
            i2 = h(obj.hashCode());
        }
        b<K, V>[] bVarArr = this.O0;
        for (b<K, V> bVar = bVarArr[n(i2, bVarArr.length)]; bVar != null; bVar = bVar.I0) {
            if (bVar.J0 == i2 && ((k = bVar.f5775a) == obj || obj.equals(k))) {
                return bVar.f5776b;
            }
        }
        return null;
    }

    public boolean isEmpty() {
        return this.P0 == 0;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<K> keySet() {
        Set<K> set = this.M0;
        if (set != null) {
            return set;
        }
        g gVar = new g();
        this.M0 = gVar;
        return gVar;
    }

    /* access modifiers changed from: package-private */
    public void p() {
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V put(K k, V v) {
        int i2;
        K k2;
        if (k == null) {
            return x(v);
        }
        if (k instanceof String) {
            i2 = h(m(k));
        } else {
            i2 = h(k.hashCode());
        }
        int n = n(i2, this.O0.length);
        for (b<K, V> bVar = this.O0[n]; bVar != null; bVar = bVar.I0) {
            if (bVar.J0 == i2 && ((k2 = bVar.f5775a) == k || k.equals(k2))) {
                V v2 = bVar.f5776b;
                bVar.f5776b = v;
                return v2;
            }
        }
        this.Q0++;
        a(i2, k, v, n);
        return null;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.alibaba.fastjson.util.AntiCollisionHashMap<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // java.util.AbstractMap, java.util.Map
    public void putAll(Map<? extends K, ? extends V> map) {
        int size = map.size();
        if (size != 0) {
            if (size > this.threshold) {
                int i2 = (int) ((((float) size) / this.loadFactor) + 1.0f);
                if (i2 > 1073741824) {
                    i2 = 1073741824;
                }
                int length = this.O0.length;
                while (length < i2) {
                    length <<= 1;
                }
                if (length > this.O0.length) {
                    A(length);
                }
            }
            for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
                put(entry.getKey(), entry.getValue());
            }
        }
    }

    /* access modifiers changed from: package-private */
    public Iterator<Map.Entry<K, V>> q() {
        return new c();
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V remove(Object obj) {
        b<K, V> y = y(obj);
        if (y == null) {
            return null;
        }
        return y.f5776b;
    }

    /* access modifiers changed from: package-private */
    public Iterator<K> s() {
        return new f();
    }

    public int size() {
        return this.P0;
    }

    /* access modifiers changed from: package-private */
    public Iterator<V> t() {
        return new h();
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Collection<V> values() {
        Collection<V> collection = this.N0;
        if (collection != null) {
            return collection;
        }
        i iVar = new i();
        this.N0 = iVar;
        return iVar;
    }

    /* access modifiers changed from: package-private */
    public final b<K, V> y(Object obj) {
        int i2;
        K k;
        if (obj == null) {
            i2 = 0;
        } else if (obj instanceof String) {
            i2 = h(m((String) obj));
        } else {
            i2 = h(obj.hashCode());
        }
        int n = n(i2, this.O0.length);
        b<K, V> bVar = this.O0[n];
        b<K, V> bVar2 = bVar;
        while (bVar != null) {
            b<K, V> bVar3 = bVar.I0;
            if (bVar.J0 != i2 || ((k = bVar.f5775a) != obj && (obj == null || !obj.equals(k)))) {
                bVar2 = bVar;
                bVar = bVar3;
            } else {
                this.Q0++;
                this.P0--;
                if (bVar2 == bVar) {
                    this.O0[n] = bVar3;
                } else {
                    bVar2.I0 = bVar3;
                }
                return bVar;
            }
        }
        return bVar;
    }

    /* access modifiers changed from: package-private */
    public final b<K, V> z(Object obj) {
        int i2;
        if (!(obj instanceof Map.Entry)) {
            return null;
        }
        Map.Entry entry = (Map.Entry) obj;
        Object key = entry.getKey();
        if (key == null) {
            i2 = 0;
        } else if (key instanceof String) {
            i2 = h(m((String) key));
        } else {
            i2 = h(key.hashCode());
        }
        int n = n(i2, this.O0.length);
        b<K, V> bVar = this.O0[n];
        b<K, V> bVar2 = bVar;
        while (bVar != null) {
            b<K, V> bVar3 = bVar.I0;
            if (bVar.J0 != i2 || !bVar.equals(entry)) {
                bVar2 = bVar;
                bVar = bVar3;
            } else {
                this.Q0++;
                this.P0--;
                if (bVar2 == bVar) {
                    this.O0[n] = bVar3;
                } else {
                    bVar2.I0 = bVar3;
                }
                return bVar;
            }
        }
        return bVar;
    }

    public AntiCollisionHashMap(int i2) {
        this(i2, 0.75f);
    }

    public AntiCollisionHashMap() {
        this.M0 = null;
        this.N0 = null;
        this.random = new Random().nextInt(99999);
        this.R0 = null;
        this.loadFactor = 0.75f;
        this.threshold = 12;
        this.O0 = new b[16];
        p();
    }

    public AntiCollisionHashMap(Map<? extends K, ? extends V> map) {
        this(Math.max(((int) (((float) map.size()) / 0.75f)) + 1, 16), 0.75f);
        u(map);
    }
}
