package com.alibaba.fastjson.util;

import androidx.exifinterface.media.ExifInterface;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.j.l;
import com.alipay.sdk.util.g;
import java.io.InputStream;
import java.lang.annotation.Annotation;
import java.lang.reflect.AccessibleObject;
import java.lang.reflect.Constructor;
import java.lang.reflect.Method;
import java.lang.reflect.Type;

/* compiled from: ASMUtils */
public class b {

    /* renamed from: a  reason: collision with root package name */
    public static final String f5784a;

    /* renamed from: b  reason: collision with root package name */
    public static final boolean f5785b;

    static {
        String property = System.getProperty("java.vm.name");
        f5784a = property;
        f5785b = f(property);
    }

    public static boolean a(String str) {
        for (int i = 0; i < str.length(); i++) {
            char charAt = str.charAt(i);
            if (charAt < 1 || charAt > 127 || charAt == '.') {
                return false;
            }
        }
        return true;
    }

    public static String b(Class<?> cls) {
        if (cls.isPrimitive()) {
            return e(cls);
        }
        if (cls.isArray()) {
            return "[" + b(cls.getComponentType());
        }
        return "L" + h(cls) + g.f6031b;
    }

    public static String c(Method method) {
        Class<?>[] parameterTypes = method.getParameterTypes();
        StringBuilder sb = new StringBuilder((parameterTypes.length + 1) << 4);
        sb.append('(');
        for (Class<?> cls : parameterTypes) {
            sb.append(b(cls));
        }
        sb.append(')');
        sb.append(b(method.getReturnType()));
        return sb.toString();
    }

    public static Type d(Class<?> cls, String str) {
        try {
            return cls.getMethod(str, new Class[0]).getGenericReturnType();
        } catch (Exception unused) {
            return null;
        }
    }

    public static String e(Class<?> cls) {
        if (Integer.TYPE == cls) {
            return "I";
        }
        if (Void.TYPE == cls) {
            return ExifInterface.C4;
        }
        if (Boolean.TYPE == cls) {
            return "Z";
        }
        if (Character.TYPE == cls) {
            return "C";
        }
        if (Byte.TYPE == cls) {
            return "B";
        }
        if (Short.TYPE == cls) {
            return ExifInterface.w4;
        }
        if (Float.TYPE == cls) {
            return "F";
        }
        if (Long.TYPE == cls) {
            return "J";
        }
        if (Double.TYPE == cls) {
            return "D";
        }
        throw new IllegalStateException("Type: " + cls.getCanonicalName() + " is not a primitive type");
    }

    public static boolean f(String str) {
        if (str == null) {
            return false;
        }
        String lowerCase = str.toLowerCase();
        if (lowerCase.contains("dalvik") || lowerCase.contains("lemur")) {
            return true;
        }
        return false;
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(4:40|41|42|43) */
    /* JADX WARNING: Code restructure failed: missing block: B:39:0x00a4, code lost:
        r8 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:43:0x00ab, code lost:
        return new java.lang.String[0];
     */
    /* JADX WARNING: Code restructure failed: missing block: B:44:0x00ac, code lost:
        com.alibaba.fastjson.util.f.a(r3);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:45:0x00af, code lost:
        throw r8;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:40:0x00a6 */
    public static String[] g(AccessibleObject accessibleObject) {
        Annotation[][] annotationArr;
        Class<?> cls;
        String str;
        Class<?>[] clsArr;
        String name;
        if (f5785b) {
            return new String[0];
        }
        if (accessibleObject instanceof Method) {
            Method method = (Method) accessibleObject;
            clsArr = method.getParameterTypes();
            str = method.getName();
            cls = method.getDeclaringClass();
            annotationArr = n.h0(method);
        } else {
            Constructor constructor = (Constructor) accessibleObject;
            clsArr = constructor.getParameterTypes();
            cls = constructor.getDeclaringClass();
            annotationArr = n.g0(constructor);
            str = "<init>";
        }
        if (clsArr.length == 0) {
            return new String[0];
        }
        ClassLoader classLoader = cls.getClassLoader();
        if (classLoader == null) {
            classLoader = ClassLoader.getSystemClassLoader();
        }
        String name2 = cls.getName();
        InputStream resourceAsStream = classLoader.getResourceAsStream(name2.replace('.', '/') + ".class");
        if (resourceAsStream == null) {
            return new String[0];
        }
        com.alibaba.fastjson.j.b bVar = new com.alibaba.fastjson.j.b(resourceAsStream, false);
        l lVar = new l(str, clsArr);
        bVar.a(lVar);
        String[] b2 = lVar.b();
        for (int i = 0; i < b2.length; i++) {
            Annotation[] annotationArr2 = annotationArr[i];
            if (annotationArr2 != null) {
                for (int i2 = 0; i2 < annotationArr2.length; i2++) {
                    if ((annotationArr2[i2] instanceof JSONField) && (name = ((JSONField) annotationArr2[i2]).name()) != null && name.length() > 0) {
                        b2[i] = name;
                    }
                }
            }
        }
        f.a(resourceAsStream);
        return b2;
    }

    public static String h(Class<?> cls) {
        if (cls.isArray()) {
            return "[" + b(cls.getComponentType());
        } else if (!cls.isPrimitive()) {
            return cls.getName().replace('.', '/');
        } else {
            return e(cls);
        }
    }
}
