package com.alibaba.fastjson.util;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.i;
import java.lang.annotation.Annotation;
import java.lang.reflect.Array;
import java.lang.reflect.Field;
import java.lang.reflect.GenericArrayType;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Member;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.lang.reflect.TypeVariable;
import java.util.Map;
import kotlin.text.Typography;

/* compiled from: FieldInfo */
public class d implements Comparable<d> {
    public final Field I0;
    private int J0;
    public final Class<?> K0;
    public final Type L0;
    public final Class<?> M0;
    public final boolean N0;
    public final int O0;
    public final int P0;
    public final String Q0;
    private final JSONField R0;
    private final JSONField S0;
    public final boolean T0;
    public final boolean U0;
    public final char[] V0;
    public final boolean W0;
    public final boolean X0;
    public final boolean Y0;
    public final String Z0;

    /* renamed from: a  reason: collision with root package name */
    public final String f5788a;
    public final String[] a1;

    /* renamed from: b  reason: collision with root package name */
    public final Method f5789b;
    public final long b1;

    public d(String str, Class<?> cls, Class<?> cls2, Type type, Field field, int i, int i2, int i3) {
        JSONField jSONField;
        this.J0 = 0;
        i = i < 0 ? 0 : i;
        this.f5788a = str;
        this.M0 = cls;
        this.K0 = cls2;
        this.L0 = type;
        this.f5789b = null;
        this.I0 = field;
        this.J0 = i;
        this.O0 = i2;
        this.P0 = i3;
        this.W0 = cls2.isEnum();
        if (field != null) {
            int modifiers = field.getModifiers();
            int i4 = modifiers & 1;
            this.T0 = true;
            this.U0 = Modifier.isTransient(modifiers);
        } else {
            this.U0 = false;
            this.T0 = false;
        }
        this.V0 = b();
        if (field != null) {
            n.Q0(field);
        }
        this.Q0 = "";
        if (field == null) {
            jSONField = null;
        } else {
            jSONField = (JSONField) n.R(field, JSONField.class);
        }
        this.R0 = jSONField;
        this.S0 = null;
        this.N0 = false;
        this.X0 = false;
        this.Y0 = false;
        this.Z0 = null;
        this.a1 = new String[0];
        this.b1 = s(str, jSONField);
    }

    private static boolean j(Type[] typeArr, Map<TypeVariable, Type> map) {
        if (map == null || map.size() == 0) {
            return false;
        }
        boolean z = false;
        for (int i = 0; i < typeArr.length; i++) {
            Type type = typeArr[i];
            if (type instanceof ParameterizedType) {
                ParameterizedType parameterizedType = (ParameterizedType) type;
                Type[] actualTypeArguments = parameterizedType.getActualTypeArguments();
                if (j(actualTypeArguments, map)) {
                    typeArr[i] = i.c(new i(actualTypeArguments, parameterizedType.getOwnerType(), parameterizedType.getRawType()));
                }
            } else {
                if ((type instanceof TypeVariable) && map.containsKey(type)) {
                    typeArr[i] = map.get(type);
                }
            }
            z = true;
        }
        return z;
    }

    private static boolean k(Type[] typeArr, TypeVariable[] typeVariableArr, Type[] typeArr2) {
        if (typeArr2 == null || typeVariableArr.length == 0) {
            return false;
        }
        boolean z = false;
        for (int i = 0; i < typeArr.length; i++) {
            Type type = typeArr[i];
            if (type instanceof ParameterizedType) {
                ParameterizedType parameterizedType = (ParameterizedType) type;
                Type[] actualTypeArguments = parameterizedType.getActualTypeArguments();
                if (k(actualTypeArguments, typeVariableArr, typeArr2)) {
                    typeArr[i] = i.c(new i(actualTypeArguments, parameterizedType.getOwnerType(), parameterizedType.getRawType()));
                    z = true;
                }
            } else if (type instanceof TypeVariable) {
                for (int i2 = 0; i2 < typeVariableArr.length; i2++) {
                    if (type.equals(typeVariableArr[i2])) {
                        typeArr[i] = typeArr2[i2];
                        z = true;
                    }
                }
            }
        }
        return z;
    }

    public static Type n(Class<?> cls, Type type, Type type2) {
        return o(cls, type, type2, null);
    }

    public static Type o(Class<?> cls, Type type, Type type2, Map<TypeVariable, Type> map) {
        ParameterizedType parameterizedType;
        TypeVariable<Class<?>>[] typeVariableArr;
        if (!(cls == null || type == null)) {
            if (type2 instanceof GenericArrayType) {
                Type genericComponentType = ((GenericArrayType) type2).getGenericComponentType();
                Type o = o(cls, type, genericComponentType, map);
                return genericComponentType != o ? Array.newInstance(n.T(o), 0).getClass() : type2;
            } else if (!n.u0(type)) {
                return type2;
            } else {
                if (type2 instanceof TypeVariable) {
                    ParameterizedType parameterizedType2 = (ParameterizedType) n.c0(type);
                    TypeVariable typeVariable = (TypeVariable) type2;
                    TypeVariable<Class<?>>[] typeParameters = n.T(parameterizedType2).getTypeParameters();
                    for (int i = 0; i < typeParameters.length; i++) {
                        if (typeParameters[i].getName().equals(typeVariable.getName())) {
                            return parameterizedType2.getActualTypeArguments()[i];
                        }
                    }
                }
                if (type2 instanceof ParameterizedType) {
                    ParameterizedType parameterizedType3 = (ParameterizedType) type2;
                    Type[] actualTypeArguments = parameterizedType3.getActualTypeArguments();
                    boolean j = j(actualTypeArguments, map);
                    if (!j) {
                        if (type instanceof ParameterizedType) {
                            parameterizedType = (ParameterizedType) type;
                            typeVariableArr = cls.getTypeParameters();
                        } else if (cls.getGenericSuperclass() instanceof ParameterizedType) {
                            parameterizedType = (ParameterizedType) cls.getGenericSuperclass();
                            typeVariableArr = cls.getSuperclass().getTypeParameters();
                        } else {
                            typeVariableArr = type.getClass().getTypeParameters();
                            parameterizedType = parameterizedType3;
                        }
                        j = k(actualTypeArguments, typeVariableArr, parameterizedType.getActualTypeArguments());
                    }
                    if (j) {
                        return i.c(new i(actualTypeArguments, parameterizedType3.getOwnerType(), parameterizedType3.getRawType()));
                    }
                }
            }
        }
        return type2;
    }

    private static Type q(Class<?> cls, Type type, TypeVariable<?> typeVariable) {
        Type[] typeArr;
        Class<?> cls2 = typeVariable.getGenericDeclaration() instanceof Class ? (Class) typeVariable.getGenericDeclaration() : null;
        if (cls2 == cls) {
            typeArr = type instanceof ParameterizedType ? ((ParameterizedType) type).getActualTypeArguments() : null;
        } else {
            Type[] typeArr2 = null;
            while (cls != null && cls != Object.class && cls != cls2) {
                Type genericSuperclass = cls.getGenericSuperclass();
                if (genericSuperclass instanceof ParameterizedType) {
                    Type[] actualTypeArguments = ((ParameterizedType) genericSuperclass).getActualTypeArguments();
                    k(actualTypeArguments, cls.getTypeParameters(), typeArr2);
                    typeArr2 = actualTypeArguments;
                }
                cls = cls.getSuperclass();
            }
            typeArr = typeArr2;
        }
        if (typeArr == null || cls2 == null) {
            return null;
        }
        TypeVariable<Class<?>>[] typeParameters = cls2.getTypeParameters();
        for (int i = 0; i < typeParameters.length; i++) {
            if (typeVariable.equals(typeParameters[i])) {
                return typeArr[i];
            }
        }
        return null;
    }

    private long s(String str, JSONField jSONField) {
        if (jSONField == null || jSONField.name().length() == 0) {
            return n.N(str);
        }
        return n.O(str);
    }

    /* renamed from: a */
    public int compareTo(d dVar) {
        Method method = dVar.f5789b;
        if (method != null && this.f5789b != null && method.isBridge() && !this.f5789b.isBridge() && dVar.f5789b.getName().equals(this.f5789b.getName())) {
            return 1;
        }
        int i = this.J0;
        int i2 = dVar.J0;
        if (i < i2) {
            return -1;
        }
        if (i > i2) {
            return 1;
        }
        int compareTo = this.f5788a.compareTo(dVar.f5788a);
        if (compareTo != 0) {
            return compareTo;
        }
        Class<?> l = l();
        Class<?> l2 = dVar.l();
        if (!(l == null || l2 == null || l == l2)) {
            if (l.isAssignableFrom(l2)) {
                return -1;
            }
            if (l2.isAssignableFrom(l)) {
                return 1;
            }
        }
        Field field = this.I0;
        boolean z = false;
        boolean z2 = field != null && field.getType() == this.K0;
        Field field2 = dVar.I0;
        if (field2 != null && field2.getType() == dVar.K0) {
            z = true;
        }
        if (z2 && !z) {
            return 1;
        }
        if (z && !z2) {
            return -1;
        }
        if (dVar.K0.isPrimitive() && !this.K0.isPrimitive()) {
            return 1;
        }
        if (this.K0.isPrimitive() && !dVar.K0.isPrimitive()) {
            return -1;
        }
        if (dVar.K0.getName().startsWith("java.") && !this.K0.getName().startsWith("java.")) {
            return 1;
        }
        if (!this.K0.getName().startsWith("java.") || dVar.K0.getName().startsWith("java.")) {
            return this.K0.getName().compareTo(dVar.K0.getName());
        }
        return -1;
    }

    /* access modifiers changed from: protected */
    public char[] b() {
        int length = this.f5788a.length();
        char[] cArr = new char[(length + 3)];
        String str = this.f5788a;
        str.getChars(0, str.length(), cArr, 1);
        cArr[0] = Typography.quote;
        cArr[length + 1] = Typography.quote;
        cArr[length + 2] = ':';
        return cArr;
    }

    public Object g(Object obj) throws IllegalAccessException, InvocationTargetException {
        Method method = this.f5789b;
        if (method != null) {
            return method.invoke(obj, new Object[0]);
        }
        return this.I0.get(obj);
    }

    public <T extends Annotation> T h(Class<T> cls) {
        Field field;
        if (cls == JSONField.class) {
            return i();
        }
        T t = null;
        Method method = this.f5789b;
        if (method != null) {
            t = (T) n.S(method, cls);
        }
        return (t != null || (field = this.I0) == null) ? t : (T) n.R(field, cls);
    }

    public JSONField i() {
        JSONField jSONField = this.R0;
        if (jSONField != null) {
            return jSONField;
        }
        return this.S0;
    }

    /* access modifiers changed from: protected */
    public Class<?> l() {
        Method method = this.f5789b;
        if (method != null) {
            return method.getDeclaringClass();
        }
        Field field = this.I0;
        if (field != null) {
            return field.getDeclaringClass();
        }
        return null;
    }

    public String p() {
        return this.Z0;
    }

    public Member r() {
        Method method = this.f5789b;
        if (method != null) {
            return method;
        }
        return this.I0;
    }

    public void t(Object obj, Object obj2) throws IllegalAccessException, InvocationTargetException {
        Method method = this.f5789b;
        if (method != null) {
            method.invoke(obj, obj2);
            return;
        }
        this.I0.set(obj, obj2);
    }

    public String toString() {
        return this.f5788a;
    }

    public void u() throws SecurityException {
        Method method = this.f5789b;
        if (method != null) {
            n.Q0(method);
        } else {
            n.Q0(this.I0);
        }
    }

    public d(String str, Method method, Field field, Class<?> cls, Type type, int i, int i2, int i3, JSONField jSONField, JSONField jSONField2, String str2) {
        this(str, method, field, cls, type, i, i2, i3, jSONField, jSONField2, str2, null);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:3:0x001f, code lost:
        if (r9.equals(r14) != false) goto L_0x0024;
     */
    public d(String str, Method method, Field field, Class<?> cls, Type type, int i, int i2, int i3, JSONField jSONField, JSONField jSONField2, String str2, Map<TypeVariable, Type> map) {
        String str3;
        boolean z;
        boolean z2;
        Type type2;
        Class<?> cls2;
        Type q;
        String str4;
        Type type3 = type;
        boolean z3 = false;
        this.J0 = 0;
        if (field != null) {
            str3 = field.getName();
            str4 = str;
        } else {
            str4 = str;
        }
        str3 = str4;
        int i4 = i < 0 ? 0 : i;
        this.f5788a = str3;
        this.f5789b = method;
        this.I0 = field;
        this.J0 = i4;
        this.O0 = i2;
        this.P0 = i3;
        this.R0 = jSONField;
        this.S0 = jSONField2;
        if (field != null) {
            int modifiers = field.getModifiers();
            this.T0 = (modifiers & 1) != 0 || method == null;
            this.U0 = Modifier.isTransient(modifiers) || n.D0(method);
        } else {
            this.T0 = false;
            this.U0 = n.D0(method);
        }
        if (str2 == null || str2.length() <= 0) {
            this.Q0 = "";
        } else {
            this.Q0 = str2;
        }
        JSONField i5 = i();
        this.b1 = s(str3, i5);
        String str5 = null;
        if (i5 != null) {
            String format = i5.format();
            str5 = format.trim().length() != 0 ? format : str5;
            z = i5.jsonDirect();
            this.Y0 = i5.unwrapped();
            this.a1 = i5.alternateNames();
        } else {
            this.Y0 = false;
            this.a1 = new String[0];
            z = false;
        }
        this.Z0 = str5;
        this.V0 = b();
        if (method != null) {
            n.Q0(method);
        }
        if (field != null) {
            n.Q0(field);
        }
        if (method != null) {
            Class<?>[] parameterTypes = method.getParameterTypes();
            if (parameterTypes.length == 1) {
                cls2 = parameterTypes[0];
                type2 = method.getGenericParameterTypes()[0];
            } else if (parameterTypes.length == 2 && parameterTypes[0] == String.class && parameterTypes[1] == Object.class) {
                cls2 = parameterTypes[0];
                type2 = cls2;
            } else {
                cls2 = method.getReturnType();
                type2 = method.getGenericReturnType();
                z2 = true;
                this.M0 = method.getDeclaringClass();
            }
            z2 = false;
            this.M0 = method.getDeclaringClass();
        } else {
            Class<?> type4 = field.getType();
            type2 = field.getGenericType();
            this.M0 = field.getDeclaringClass();
            z2 = Modifier.isFinal(field.getModifiers());
            cls2 = type4;
        }
        this.N0 = z2;
        if (z && cls2 == String.class) {
            z3 = true;
        }
        this.X0 = z3;
        if (cls == null || cls2 != Object.class || !(type2 instanceof TypeVariable) || (q = q(cls, type3, (TypeVariable) type2)) == null) {
            if (!(type2 instanceof Class)) {
                Type o = o(cls, type3 == null ? cls : type3, type2, map);
                if (o != type2) {
                    if (o instanceof ParameterizedType) {
                        cls2 = n.T(o);
                    } else if (o instanceof Class) {
                        cls2 = n.T(o);
                    }
                }
                type2 = o;
            }
            this.L0 = type2;
            this.K0 = cls2;
            this.W0 = cls2.isEnum();
            return;
        }
        this.K0 = n.T(q);
        this.L0 = q;
        this.W0 = cls2.isEnum();
    }
}
