package com.alibaba.fastjson.util;

import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.PropertyNamingStrategy;
import com.alibaba.fastjson.a;
import com.alibaba.fastjson.annotation.JSONCreator;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONPOJOBuilder;
import com.alibaba.fastjson.annotation.JSONType;
import com.alibaba.fastjson.parser.Feature;
import com.alibaba.fastjson.serializer.SerializerFeature;
import java.lang.annotation.Annotation;
import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.lang.reflect.TypeVariable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;

/* compiled from: JavaBeanInfo */
public class h {

    /* renamed from: a  reason: collision with root package name */
    public final Class<?> f5804a;

    /* renamed from: b  reason: collision with root package name */
    public final Class<?> f5805b;

    /* renamed from: c  reason: collision with root package name */
    public final Constructor<?> f5806c;

    /* renamed from: d  reason: collision with root package name */
    public final Constructor<?> f5807d;

    /* renamed from: e  reason: collision with root package name */
    public final Method f5808e;
    public final Method f;
    public final int g;
    public final d[] h;
    public final d[] i;
    public final int j;
    public final JSONType k;
    public final String l;
    public final String m;
    public String[] n;
    public Type[] o;
    public String[] p;
    public boolean q;
    public Constructor<?> r;

    public h(Class<?> cls, Class<?> cls2, Constructor<?> constructor, Constructor<?> constructor2, Method method, Method method2, JSONType jSONType, List<d> list) {
        JSONField jSONField;
        this.f5804a = cls;
        this.f5805b = cls2;
        this.f5806c = constructor;
        this.f5807d = constructor2;
        this.f5808e = method;
        this.j = n.i0(cls);
        this.f = method2;
        this.k = jSONType;
        if (jSONType != null) {
            String typeName = jSONType.typeName();
            String typeKey = jSONType.typeKey();
            this.m = typeKey.length() <= 0 ? null : typeKey;
            if (typeName.length() != 0) {
                this.l = typeName;
            } else {
                this.l = cls.getName();
            }
            String[] orders = jSONType.orders();
            this.n = orders.length == 0 ? null : orders;
        } else {
            this.l = cls.getName();
            this.m = null;
            this.n = null;
        }
        d[] dVarArr = new d[list.size()];
        this.h = dVarArr;
        list.toArray(dVarArr);
        d[] dVarArr2 = new d[dVarArr.length];
        boolean z = false;
        if (this.n != null) {
            LinkedHashMap linkedHashMap = new LinkedHashMap(list.size());
            for (d dVar : dVarArr) {
                linkedHashMap.put(dVar.f5788a, dVar);
            }
            String[] strArr = this.n;
            int i2 = 0;
            for (String str : strArr) {
                d dVar2 = (d) linkedHashMap.get(str);
                if (dVar2 != null) {
                    dVarArr2[i2] = dVar2;
                    linkedHashMap.remove(str);
                    i2++;
                }
            }
            for (d dVar3 : linkedHashMap.values()) {
                dVarArr2[i2] = dVar3;
                i2++;
            }
        } else {
            System.arraycopy(dVarArr, 0, dVarArr2, 0, dVarArr.length);
            Arrays.sort(dVarArr2);
        }
        this.i = Arrays.equals(this.h, dVarArr2) ? this.h : dVarArr2;
        if (constructor != null) {
            this.g = constructor.getParameterTypes().length;
        } else if (method != null) {
            this.g = method.getParameterTypes().length;
        } else {
            this.g = 0;
        }
        if (constructor2 != null) {
            this.o = constructor2.getParameterTypes();
            boolean y0 = n.y0(cls);
            this.q = y0;
            if (y0) {
                this.p = n.d0(cls);
                try {
                    this.r = cls.getConstructor(new Class[0]);
                } catch (Throwable unused) {
                }
                Annotation[][] g0 = n.g0(constructor2);
                int i3 = 0;
                while (i3 < this.p.length && i3 < g0.length) {
                    Annotation[] annotationArr = g0[i3];
                    int length = annotationArr.length;
                    int i4 = 0;
                    while (true) {
                        if (i4 >= length) {
                            jSONField = null;
                            break;
                        }
                        Annotation annotation = annotationArr[i4];
                        if (annotation instanceof JSONField) {
                            jSONField = (JSONField) annotation;
                            break;
                        }
                        i4++;
                    }
                    if (jSONField != null) {
                        String name = jSONField.name();
                        if (name.length() > 0) {
                            this.p[i3] = name;
                        }
                    }
                    i3++;
                }
                return;
            }
            if (this.o.length == this.h.length) {
                int i5 = 0;
                while (true) {
                    Type[] typeArr = this.o;
                    if (i5 >= typeArr.length) {
                        z = true;
                        break;
                    } else if (typeArr[i5] != this.h[i5].K0) {
                        break;
                    } else {
                        i5++;
                    }
                }
            }
            if (!z) {
                this.p = b.g(constructor2);
            }
        }
    }

    static boolean a(List<d> list, d dVar) {
        for (int size = list.size() - 1; size >= 0; size--) {
            d dVar2 = list.get(size);
            if (dVar2.f5788a.equals(dVar.f5788a) && (!dVar2.N0 || dVar.N0)) {
                if (dVar2.K0.isAssignableFrom(dVar.K0)) {
                    list.set(size, dVar);
                    return true;
                } else if (dVar2.compareTo(dVar) >= 0) {
                    return false;
                } else {
                    list.set(size, dVar);
                    return true;
                }
            }
        }
        list.add(dVar);
        return true;
    }

    public static h b(Class<?> cls, Type type, PropertyNamingStrategy propertyNamingStrategy) {
        return d(cls, type, propertyNamingStrategy, false, n.f5823b, false);
    }

    public static h c(Class<?> cls, Type type, PropertyNamingStrategy propertyNamingStrategy, boolean z, boolean z2) {
        return d(cls, type, propertyNamingStrategy, z, z2, false);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:379:0x0882, code lost:
        if (r3 == null) goto L_0x0884;
     */
    /* JADX WARNING: Removed duplicated region for block: B:120:0x0272  */
    /* JADX WARNING: Removed duplicated region for block: B:175:0x0339  */
    /* JADX WARNING: Removed duplicated region for block: B:176:0x033f  */
    /* JADX WARNING: Removed duplicated region for block: B:247:0x0563  */
    /* JADX WARNING: Removed duplicated region for block: B:250:0x0574  */
    /* JADX WARNING: Removed duplicated region for block: B:253:0x057b  */
    /* JADX WARNING: Removed duplicated region for block: B:256:0x0584  */
    /* JADX WARNING: Removed duplicated region for block: B:390:0x08c3  */
    /* JADX WARNING: Removed duplicated region for block: B:397:0x08f5  */
    /* JADX WARNING: Removed duplicated region for block: B:407:0x0970  */
    /* JADX WARNING: Removed duplicated region for block: B:410:0x0983  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00c8  */
    /* JADX WARNING: Removed duplicated region for block: B:89:0x01c5  */
    public static h d(Class<?> cls, Type type, PropertyNamingStrategy propertyNamingStrategy, boolean z, boolean z2, boolean z3) {
        Constructor<?> constructor;
        Class<?> cls2;
        Class<?> cls3;
        Constructor<?> constructor2;
        Method[] methodArr;
        Field[] fieldArr;
        ArrayList arrayList;
        String str;
        Field[] fieldArr2;
        PropertyNamingStrategy propertyNamingStrategy2;
        JSONType jSONType;
        Class<String> cls4;
        ArrayList arrayList2;
        Class<?> cls5;
        Class<?> cls6;
        String str2;
        int i2;
        Field[] fieldArr3;
        Method[] methodArr2;
        String str3;
        int i3;
        int i4;
        PropertyNamingStrategy propertyNamingStrategy3;
        JSONField jSONField;
        Field[] fieldArr4;
        Field field;
        String str4;
        Field[] fieldArr5;
        String str5;
        Method[] methodArr3;
        Class<?> cls7;
        int i5;
        Class<String> cls8;
        Class<?> cls9;
        int i6;
        PropertyNamingStrategy propertyNamingStrategy4;
        int i7;
        ArrayList arrayList3;
        Class<?> cls10;
        Field[] fieldArr6;
        int i8;
        Field field2;
        String str6;
        JSONField jSONField2;
        int i9;
        String str7;
        Field[] fieldArr7;
        PropertyNamingStrategy propertyNamingStrategy5;
        Class<?> cls11;
        Method[] methodArr4;
        int i10;
        int i11;
        String str8;
        JSONType jSONType2;
        Class<String> cls12;
        ArrayList arrayList4;
        Class<?> cls13;
        String str9;
        String str10;
        ArrayList arrayList5;
        int i12;
        int i13;
        int i14;
        String name;
        String str11;
        StringBuilder sb;
        char charAt;
        Constructor<?> constructor3;
        Class<?> cls14;
        String[] strArr;
        Class<?> cls15;
        JSONField jSONField3;
        int i15;
        int i16;
        int i17;
        String[] strArr2;
        String[] g2;
        JSONField jSONField4;
        int i18;
        int i19;
        int i20;
        String str12;
        JSONField jSONField5;
        int i21;
        int i22;
        int i23;
        String str13;
        Field field3;
        Field field4;
        String[] strArr3;
        Field field5;
        Constructor<?> i24;
        Constructor<?> constructor4;
        PropertyNamingStrategy naming;
        Class<?> cls16 = cls;
        boolean z4 = z3;
        Class<String> cls17 = String.class;
        Class<?> cls18 = Object.class;
        JSONType jSONType3 = (JSONType) n.Q(cls16, JSONType.class);
        PropertyNamingStrategy propertyNamingStrategy6 = (jSONType3 == null || (naming = jSONType3.naming()) == null || naming == PropertyNamingStrategy.CamelCase) ? propertyNamingStrategy : naming;
        Class<?> h2 = h(cls16, jSONType3);
        Field[] declaredFields = cls.getDeclaredFields();
        Method[] methods = cls.getMethods();
        Map<TypeVariable, Type> e2 = e(cls);
        boolean y0 = n.y0(cls);
        Constructor<?>[] declaredConstructors = cls.getDeclaredConstructors();
        if (!y0 || declaredConstructors.length == 1) {
            if (h2 == null) {
                constructor4 = j(cls16, declaredConstructors);
            } else {
                constructor4 = j(h2, h2.getDeclaredConstructors());
            }
            constructor = constructor4;
        } else {
            constructor = null;
        }
        Method method = null;
        Method method2 = null;
        ArrayList arrayList6 = new ArrayList();
        if (z) {
            for (Class<?> cls19 = cls16; cls19 != null; cls19 = cls19.getSuperclass()) {
                f(cls16, type, propertyNamingStrategy6, arrayList6, cls19.getDeclaredFields());
            }
            if (constructor != null) {
                n.Q0(constructor);
            }
            return new h(cls, h2, constructor, null, null, null, jSONType3, arrayList6);
        }
        boolean z5 = cls.isInterface() || Modifier.isAbstract(cls.getModifiers());
        PropertyNamingStrategy propertyNamingStrategy7 = propertyNamingStrategy6;
        if (!(constructor == null && h2 == null) && !z5) {
            arrayList = arrayList6;
            methodArr = methods;
            cls3 = h2;
            cls2 = cls18;
            fieldArr = declaredFields;
            constructor2 = null;
        } else {
            Type mixInAnnotations = a.getMixInAnnotations(cls);
            if ((mixInAnnotations instanceof Class) && (i24 = i(((Class) mixInAnnotations).getConstructors())) != null) {
                try {
                    constructor3 = cls16.getConstructor(i24.getParameterTypes());
                } catch (NoSuchMethodException unused) {
                }
                if (constructor3 == null) {
                    constructor3 = i(declaredConstructors);
                }
                constructor2 = constructor3;
                if (constructor2 != null || z5) {
                    arrayList = arrayList6;
                    methodArr = methods;
                    cls3 = h2;
                    cls14 = cls18;
                    fieldArr = declaredFields;
                    method2 = k(cls16, methodArr, z4);
                    if (method2 == null) {
                        n.Q0(method2);
                        Class<?>[] parameterTypes = method2.getParameterTypes();
                        if (parameterTypes.length > 0) {
                            Annotation[][] h0 = n.h0(method2);
                            String[] strArr4 = null;
                            int i25 = 0;
                            while (i25 < parameterTypes.length) {
                                Annotation[] annotationArr = h0[i25];
                                int length = annotationArr.length;
                                int i26 = 0;
                                while (true) {
                                    if (i26 >= length) {
                                        jSONField4 = null;
                                        break;
                                    }
                                    Annotation annotation = annotationArr[i26];
                                    if (annotation instanceof JSONField) {
                                        jSONField4 = (JSONField) annotation;
                                        break;
                                    }
                                    i26++;
                                }
                                if (jSONField4 != null || (z4 && n.x0(method2))) {
                                    if (jSONField4 != null) {
                                        str12 = jSONField4.name();
                                        i20 = jSONField4.ordinal();
                                        i19 = SerializerFeature.of(jSONField4.serialzeFeatures());
                                        i18 = Feature.of(jSONField4.parseFeatures());
                                    } else {
                                        str12 = null;
                                        i20 = 0;
                                        i19 = 0;
                                        i18 = 0;
                                    }
                                    if (str12 == null || str12.length() == 0) {
                                        if (strArr4 == null) {
                                            strArr4 = b.g(method2);
                                        }
                                        str12 = strArr4[i25];
                                    }
                                    a(arrayList, new d(str12, cls, parameterTypes[i25], method2.getGenericParameterTypes()[i25], n.a0(cls16, str12, fieldArr), i20, i19, i18));
                                    i25++;
                                    z4 = z3;
                                    strArr4 = strArr4;
                                    parameterTypes = parameterTypes;
                                } else {
                                    throw new JSONException("illegal json creator");
                                }
                            }
                            return new h(cls, cls3, null, null, method2, null, jSONType3, arrayList);
                        }
                    } else if (!z5) {
                        String name2 = cls.getName();
                        if (!y0 || declaredConstructors.length <= 0) {
                            int length2 = declaredConstructors.length;
                            String[] strArr5 = null;
                            int i27 = 0;
                            while (i27 < length2) {
                                Constructor<?> constructor5 = declaredConstructors[i27];
                                Class<?>[] parameterTypes2 = constructor5.getParameterTypes();
                                if (!name2.equals("org.springframework.security.web.authentication.WebAuthenticationDetails")) {
                                    if (!name2.equals("org.springframework.security.web.authentication.preauth.PreAuthenticatedAuthenticationToken")) {
                                        cls15 = cls14;
                                        if (!name2.equals("org.springframework.security.core.authority.SimpleGrantedAuthority")) {
                                            if (((constructor5.getModifiers() & 1) != 0) && (g2 = b.g(constructor5)) != null && g2.length != 0 && (constructor2 == null || strArr5 == null || g2.length > strArr5.length)) {
                                                constructor2 = constructor5;
                                                strArr5 = g2;
                                            }
                                        } else if (parameterTypes2.length == 1 && parameterTypes2[0] == cls17) {
                                            strArr2 = new String[]{"authority"};
                                        }
                                        i27++;
                                        cls14 = cls15;
                                    } else if (parameterTypes2.length == 3) {
                                        cls15 = cls14;
                                        if (parameterTypes2[0] == cls15 && parameterTypes2[1] == cls15 && parameterTypes2[2] == Collection.class) {
                                            constructor5.setAccessible(true);
                                            strArr2 = new String[]{"principal", "credentials", "authorities"};
                                        }
                                        i27++;
                                        cls14 = cls15;
                                    }
                                    strArr = strArr2;
                                    constructor2 = constructor5;
                                    break;
                                } else if (parameterTypes2.length == 2 && parameterTypes2[0] == cls17 && parameterTypes2[1] == cls17) {
                                    constructor5.setAccessible(true);
                                    strArr = b.g(constructor5);
                                    constructor2 = constructor5;
                                }
                                cls15 = cls14;
                                i27++;
                                cls14 = cls15;
                            }
                            cls15 = cls14;
                            strArr = strArr5;
                            Class<?>[] parameterTypes3 = strArr == null ? constructor2.getParameterTypes() : null;
                            if (strArr == null && parameterTypes3.length == strArr.length) {
                                Annotation[][] g0 = n.g0(constructor2);
                                int i28 = 0;
                                while (i28 < parameterTypes3.length) {
                                    Annotation[] annotationArr2 = g0[i28];
                                    String str14 = strArr[i28];
                                    int length3 = annotationArr2.length;
                                    int i29 = 0;
                                    while (true) {
                                        if (i29 >= length3) {
                                            jSONField3 = null;
                                            break;
                                        }
                                        Annotation annotation2 = annotationArr2[i29];
                                        if (annotation2 instanceof JSONField) {
                                            jSONField3 = (JSONField) annotation2;
                                            break;
                                        }
                                        i29++;
                                        annotationArr2 = annotationArr2;
                                    }
                                    Class<?> cls20 = parameterTypes3[i28];
                                    Type type2 = constructor2.getGenericParameterTypes()[i28];
                                    Field a0 = n.a0(cls16, str14, fieldArr);
                                    if (a0 != null && jSONField3 == null) {
                                        jSONField3 = (JSONField) n.R(a0, JSONField.class);
                                    }
                                    if (jSONField3 != null) {
                                        String name3 = jSONField3.name();
                                        if (name3.length() != 0) {
                                            str14 = name3;
                                        }
                                        int ordinal = jSONField3.ordinal();
                                        int of = SerializerFeature.of(jSONField3.serialzeFeatures());
                                        i15 = Feature.of(jSONField3.parseFeatures());
                                        i16 = of;
                                        i17 = ordinal;
                                    } else if (!"org.springframework.security.core.userdetails.User".equals(name2) || !"password".equals(str14)) {
                                        i17 = 0;
                                        i16 = 0;
                                        i15 = 0;
                                    } else {
                                        i15 = Feature.InitStringFieldAsEmpty.mask;
                                        i17 = 0;
                                        i16 = 0;
                                    }
                                    a(arrayList, new d(str14, cls, cls20, type2, a0, i17, i16, i15));
                                    i28++;
                                    name2 = name2;
                                    strArr = strArr;
                                    parameterTypes3 = parameterTypes3;
                                    cls15 = cls15;
                                }
                                cls2 = cls15;
                                if (!y0 && !cls.getName().equals("javax.servlet.http.Cookie")) {
                                    return new h(cls, cls3, null, constructor2, null, null, jSONType3, arrayList);
                                }
                            } else {
                                throw new JSONException("default constructor not found. " + cls16);
                            }
                        } else {
                            String[] d0 = n.d0(cls);
                            Constructor<?> f0 = n.f0(declaredConstructors, d0);
                            n.Q0(f0);
                            constructor2 = f0;
                            strArr = d0;
                        }
                        cls15 = cls14;
                        if (strArr == null) {
                        }
                        if (strArr == null) {
                        }
                        throw new JSONException("default constructor not found. " + cls16);
                    }
                } else {
                    n.Q0(constructor2);
                    Class<?>[] parameterTypes4 = constructor2.getParameterTypes();
                    if (parameterTypes4.length > 0) {
                        Annotation[][] g02 = n.g0(constructor2);
                        String[] strArr6 = null;
                        int i30 = 0;
                        while (i30 < parameterTypes4.length && i30 < g02.length) {
                            Annotation[] annotationArr3 = g02[i30];
                            int length4 = annotationArr3.length;
                            int i31 = 0;
                            while (true) {
                                if (i31 >= length4) {
                                    jSONField5 = null;
                                    break;
                                }
                                Annotation annotation3 = annotationArr3[i31];
                                if (annotation3 instanceof JSONField) {
                                    jSONField5 = (JSONField) annotation3;
                                    break;
                                }
                                i31++;
                                g02 = g02;
                                annotationArr3 = annotationArr3;
                            }
                            Class<?> cls21 = parameterTypes4[i30];
                            Type type3 = constructor2.getGenericParameterTypes()[i30];
                            if (jSONField5 != null) {
                                field3 = n.a0(cls16, jSONField5.name(), declaredFields);
                                i23 = jSONField5.ordinal();
                                i22 = SerializerFeature.of(jSONField5.serialzeFeatures());
                                i21 = Feature.of(jSONField5.parseFeatures());
                                str13 = jSONField5.name();
                            } else {
                                field3 = null;
                                str13 = null;
                                i23 = 0;
                                i22 = 0;
                                i21 = 0;
                            }
                            if (str13 == null || str13.length() == 0) {
                                if (strArr6 == null) {
                                    strArr6 = b.g(constructor2);
                                }
                                str13 = strArr6[i30];
                            }
                            if (field3 == null) {
                                if (strArr6 == null) {
                                    if (y0) {
                                        strArr6 = n.d0(cls);
                                    } else {
                                        strArr6 = b.g(constructor2);
                                    }
                                }
                                field5 = field3;
                                if (strArr6.length > i30) {
                                    strArr3 = strArr6;
                                    field4 = n.a0(cls16, strArr6[i30], declaredFields);
                                    a(arrayList6, new d(str13, cls, cls21, type3, field4, i23, i22, i21));
                                    i30++;
                                    arrayList6 = arrayList6;
                                    declaredFields = declaredFields;
                                    methods = methods;
                                    g02 = g02;
                                    cls18 = cls18;
                                    h2 = h2;
                                    strArr6 = strArr3;
                                    parameterTypes4 = parameterTypes4;
                                }
                            } else {
                                field5 = field3;
                            }
                            field4 = field5;
                            strArr3 = strArr6;
                            a(arrayList6, new d(str13, cls, cls21, type3, field4, i23, i22, i21));
                            i30++;
                            arrayList6 = arrayList6;
                            declaredFields = declaredFields;
                            methods = methods;
                            g02 = g02;
                            cls18 = cls18;
                            h2 = h2;
                            strArr6 = strArr3;
                            parameterTypes4 = parameterTypes4;
                        }
                    }
                    arrayList = arrayList6;
                    methodArr = methods;
                    cls3 = h2;
                    cls14 = cls18;
                    fieldArr = declaredFields;
                }
                cls2 = cls14;
            }
            constructor3 = null;
            if (constructor3 == null) {
            }
            constructor2 = constructor3;
            if (constructor2 != null) {
            }
            arrayList = arrayList6;
            methodArr = methods;
            cls3 = h2;
            cls14 = cls18;
            fieldArr = declaredFields;
            method2 = k(cls16, methodArr, z4);
            if (method2 == null) {
            }
            cls2 = cls14;
        }
        if (constructor != null) {
            n.Q0(constructor);
        }
        String str15 = "set";
        Class<?> cls22 = cls3;
        if (cls22 != null) {
            JSONPOJOBuilder jSONPOJOBuilder = (JSONPOJOBuilder) n.Q(cls22, JSONPOJOBuilder.class);
            String withPrefix = jSONPOJOBuilder != null ? jSONPOJOBuilder.withPrefix() : null;
            if (withPrefix == null) {
                withPrefix = "with";
            }
            String str16 = withPrefix;
            Method[] methods2 = cls22.getMethods();
            int length5 = methods2.length;
            int i32 = 0;
            while (i32 < length5) {
                Method method3 = methods2[i32];
                if (!Modifier.isStatic(method3.getModifiers()) && method3.getReturnType().equals(cls22)) {
                    JSONField jSONField6 = (JSONField) n.S(method3, JSONField.class);
                    if (jSONField6 == null) {
                        jSONField6 = n.n0(cls16, method3);
                    }
                    if (jSONField6 == null) {
                        propertyNamingStrategy5 = propertyNamingStrategy7;
                        i11 = i32;
                        i10 = length5;
                        methodArr4 = methods2;
                        str9 = str16;
                        cls11 = cls22;
                        str10 = str15;
                        jSONType2 = jSONType3;
                        fieldArr7 = fieldArr;
                        cls13 = cls2;
                        arrayList5 = arrayList;
                        i14 = 0;
                        i13 = 0;
                        i12 = 0;
                        name = method3.getName();
                        if (!name.startsWith(str10)) {
                        }
                        if (str9.length() != 0) {
                        }
                    } else if (jSONField6.deserialize()) {
                        int ordinal2 = jSONField6.ordinal();
                        int of2 = SerializerFeature.of(jSONField6.serialzeFeatures());
                        int of3 = Feature.of(jSONField6.parseFeatures());
                        if (jSONField6.name().length() != 0) {
                            i11 = i32;
                            i10 = length5;
                            methodArr4 = methods2;
                            cls11 = cls22;
                            propertyNamingStrategy5 = propertyNamingStrategy7;
                            jSONType2 = jSONType3;
                            fieldArr7 = fieldArr;
                            cls13 = cls2;
                            arrayList5 = arrayList;
                            a(arrayList5, new d(jSONField6.name(), method3, null, cls, type, ordinal2, of2, of3, jSONField6, null, null, e2));
                            str8 = str16;
                            cls12 = cls17;
                            str7 = str15;
                        } else {
                            propertyNamingStrategy5 = propertyNamingStrategy7;
                            i11 = i32;
                            i10 = length5;
                            methodArr4 = methods2;
                            str9 = str16;
                            cls11 = cls22;
                            str10 = str15;
                            jSONType2 = jSONType3;
                            fieldArr7 = fieldArr;
                            cls13 = cls2;
                            arrayList5 = arrayList;
                            i14 = ordinal2;
                            i13 = of2;
                            i12 = of3;
                            name = method3.getName();
                            if (!name.startsWith(str10)) {
                                if (name.length() > 3) {
                                    sb = new StringBuilder(name.substring(3));
                                    str11 = str9;
                                    charAt = sb.charAt(0);
                                    if (str11.length() == 0 || Character.isUpperCase(charAt)) {
                                        sb.setCharAt(0, Character.toLowerCase(charAt));
                                        str8 = str11;
                                        str7 = str10;
                                        cls12 = cls17;
                                        arrayList4 = arrayList5;
                                        a(arrayList4, new d(sb.toString(), method3, null, cls, type, i14, i13, i12, jSONField6, null, null, e2));
                                        i32 = i11 + 1;
                                        cls2 = cls13;
                                        arrayList = arrayList4;
                                        cls17 = cls12;
                                        jSONType3 = jSONType2;
                                        str16 = str8;
                                        length5 = i10;
                                        methods2 = methodArr4;
                                        cls22 = cls11;
                                        propertyNamingStrategy7 = propertyNamingStrategy5;
                                        fieldArr = fieldArr7;
                                        str15 = str7;
                                        cls16 = cls;
                                    }
                                    str8 = str11;
                                    str7 = str10;
                                    cls12 = cls17;
                                }
                            }
                            if (str9.length() != 0) {
                                sb = new StringBuilder(name);
                                str11 = str9;
                                charAt = sb.charAt(0);
                                sb.setCharAt(0, Character.toLowerCase(charAt));
                                str8 = str11;
                                str7 = str10;
                                cls12 = cls17;
                                arrayList4 = arrayList5;
                                a(arrayList4, new d(sb.toString(), method3, null, cls, type, i14, i13, i12, jSONField6, null, null, e2));
                                i32 = i11 + 1;
                                cls2 = cls13;
                                arrayList = arrayList4;
                                cls17 = cls12;
                                jSONType3 = jSONType2;
                                str16 = str8;
                                length5 = i10;
                                methods2 = methodArr4;
                                cls22 = cls11;
                                propertyNamingStrategy7 = propertyNamingStrategy5;
                                fieldArr = fieldArr7;
                                str15 = str7;
                                cls16 = cls;
                            } else {
                                str11 = str9;
                                if (name.startsWith(str11) && name.length() > str11.length()) {
                                    sb = new StringBuilder(name.substring(str11.length()));
                                    charAt = sb.charAt(0);
                                    sb.setCharAt(0, Character.toLowerCase(charAt));
                                    str8 = str11;
                                    str7 = str10;
                                    cls12 = cls17;
                                    arrayList4 = arrayList5;
                                    a(arrayList4, new d(sb.toString(), method3, null, cls, type, i14, i13, i12, jSONField6, null, null, e2));
                                    i32 = i11 + 1;
                                    cls2 = cls13;
                                    arrayList = arrayList4;
                                    cls17 = cls12;
                                    jSONType3 = jSONType2;
                                    str16 = str8;
                                    length5 = i10;
                                    methods2 = methodArr4;
                                    cls22 = cls11;
                                    propertyNamingStrategy7 = propertyNamingStrategy5;
                                    fieldArr = fieldArr7;
                                    str15 = str7;
                                    cls16 = cls;
                                }
                                str8 = str11;
                                str7 = str10;
                                cls12 = cls17;
                            }
                        }
                    }
                    arrayList4 = arrayList5;
                    i32 = i11 + 1;
                    cls2 = cls13;
                    arrayList = arrayList4;
                    cls17 = cls12;
                    jSONType3 = jSONType2;
                    str16 = str8;
                    length5 = i10;
                    methods2 = methodArr4;
                    cls22 = cls11;
                    propertyNamingStrategy7 = propertyNamingStrategy5;
                    fieldArr = fieldArr7;
                    str15 = str7;
                    cls16 = cls;
                }
                propertyNamingStrategy5 = propertyNamingStrategy7;
                i11 = i32;
                i10 = length5;
                methodArr4 = methods2;
                str8 = str16;
                cls11 = cls22;
                str7 = str15;
                jSONType2 = jSONType3;
                fieldArr7 = fieldArr;
                cls12 = cls17;
                cls13 = cls2;
                arrayList4 = arrayList;
                i32 = i11 + 1;
                cls2 = cls13;
                arrayList = arrayList4;
                cls17 = cls12;
                jSONType3 = jSONType2;
                str16 = str8;
                length5 = i10;
                methods2 = methodArr4;
                cls22 = cls11;
                propertyNamingStrategy7 = propertyNamingStrategy5;
                fieldArr = fieldArr7;
                str15 = str7;
                cls16 = cls;
            }
            propertyNamingStrategy2 = propertyNamingStrategy7;
            str = str15;
            jSONType = jSONType3;
            fieldArr2 = fieldArr;
            cls4 = cls17;
            cls5 = cls2;
            arrayList2 = arrayList;
            cls6 = cls22;
            JSONPOJOBuilder jSONPOJOBuilder2 = (JSONPOJOBuilder) n.Q(cls6, JSONPOJOBuilder.class);
            String buildMethod = jSONPOJOBuilder2 != null ? jSONPOJOBuilder2.buildMethod() : null;
            if (buildMethod == null || buildMethod.length() == 0) {
                buildMethod = "build";
            }
            try {
                method = cls6.getMethod(buildMethod, new Class[0]);
            } catch (NoSuchMethodException | SecurityException unused2) {
            }
            if (method == null) {
                try {
                    method = cls6.getMethod("create", new Class[0]);
                } catch (NoSuchMethodException | SecurityException unused3) {
                }
            }
            if (method != null) {
                n.Q0(method);
            } else {
                throw new JSONException("buildMethod not found.");
            }
        } else {
            propertyNamingStrategy2 = propertyNamingStrategy7;
            str = str15;
            jSONType = jSONType3;
            fieldArr2 = fieldArr;
            cls4 = cls17;
            cls5 = cls2;
            cls6 = cls22;
            arrayList2 = arrayList;
        }
        int length6 = methodArr.length;
        int i33 = 0;
        while (true) {
            str2 = "get";
            i2 = 4;
            if (i33 >= length6) {
                break;
            }
            Method method4 = methodArr[i33];
            int i34 = 0;
            int i35 = 0;
            int i36 = 0;
            String name4 = method4.getName();
            if (!Modifier.isStatic(method4.getModifiers())) {
                Class<?> returnType = method4.getReturnType();
                if ((returnType.equals(Void.TYPE) || returnType.equals(method4.getDeclaringClass())) && method4.getDeclaringClass() != cls5) {
                    Class<?>[] parameterTypes5 = method4.getParameterTypes();
                    if (parameterTypes5.length != 0 && parameterTypes5.length <= 2) {
                        JSONField jSONField7 = (JSONField) n.S(method4, JSONField.class);
                        if (jSONField7 == null || parameterTypes5.length != 2) {
                            i5 = i33;
                            cls9 = cls6;
                            cls8 = cls4;
                            i6 = length6;
                        } else if (parameterTypes5[0] == cls4 && parameterTypes5[1] == cls5) {
                            cls8 = cls4;
                            i5 = i33;
                            i6 = length6;
                            cls9 = cls6;
                            a(arrayList2, new d("", method4, null, cls, type, 0, 0, 0, jSONField7, null, null, e2));
                            cls7 = cls5;
                            methodArr3 = methodArr;
                            propertyNamingStrategy4 = propertyNamingStrategy2;
                            fieldArr5 = fieldArr2;
                            str5 = str;
                            i33 = i5 + 1;
                            propertyNamingStrategy2 = propertyNamingStrategy4;
                            length6 = i6;
                            cls6 = cls9;
                            cls4 = cls8;
                            cls5 = cls7;
                            methodArr = methodArr3;
                            str = str5;
                            fieldArr2 = fieldArr5;
                        } else {
                            cls8 = cls4;
                            i5 = i33;
                            i6 = length6;
                            cls9 = cls6;
                        }
                        if (parameterTypes5.length == 1) {
                            cls7 = cls5;
                            if (jSONField7 == null) {
                                jSONField7 = n.n0(cls, method4);
                            }
                            if (jSONField7 != null || name4.length() >= 4) {
                                if (jSONField7 == null) {
                                    i7 = 1;
                                } else if (jSONField7.deserialize()) {
                                    i34 = jSONField7.ordinal();
                                    i35 = SerializerFeature.of(jSONField7.serialzeFeatures());
                                    int of4 = Feature.of(jSONField7.parseFeatures());
                                    if (jSONField7.name().length() != 0) {
                                        a(arrayList2, new d(jSONField7.name(), method4, null, cls, type, i34, i35, of4, jSONField7, null, null, e2));
                                    } else {
                                        i7 = 1;
                                        i36 = of4;
                                    }
                                }
                                if ((jSONField7 != null || name4.startsWith(str)) && cls9 == null) {
                                    char charAt2 = name4.charAt(3);
                                    if (y0) {
                                        arrayList3 = new ArrayList();
                                        for (int i37 = 0; i37 < methodArr.length; i37++) {
                                            if (methodArr[i37].getName().startsWith(str2)) {
                                                arrayList3.add(methodArr[i37].getName());
                                            }
                                        }
                                    } else {
                                        arrayList3 = null;
                                    }
                                    if (Character.isUpperCase(charAt2) || charAt2 > 512) {
                                        i8 = 1;
                                        cls10 = cls;
                                        fieldArr6 = fieldArr2;
                                        if (y0) {
                                            str6 = n.k0("g" + name4.substring(1));
                                        } else if (n.f5823b) {
                                            str6 = n.L(name4.substring(3));
                                        } else {
                                            str6 = n.k0(name4);
                                        }
                                        field2 = null;
                                        if (field2 == null) {
                                            field2 = n.a0(cls10, str6, fieldArr6);
                                        }
                                        if (field2 == null && parameterTypes5[0] == Boolean.TYPE) {
                                            field2 = n.a0(cls10, "is" + Character.toUpperCase(str6.charAt(0)) + str6.substring(i8), fieldArr6);
                                        }
                                        if (field2 == null) {
                                            JSONField jSONField8 = (JSONField) n.R(field2, JSONField.class);
                                            if (jSONField8 == null) {
                                                fieldArr5 = fieldArr6;
                                                str5 = str;
                                                methodArr3 = methodArr;
                                                i9 = i36;
                                            } else if (jSONField8.deserialize()) {
                                                i34 = jSONField8.ordinal();
                                                i35 = SerializerFeature.of(jSONField8.serialzeFeatures());
                                                i9 = Feature.of(jSONField8.parseFeatures());
                                                if (jSONField8.name().length() != 0) {
                                                    fieldArr5 = fieldArr6;
                                                    methodArr3 = methodArr;
                                                    str5 = str;
                                                    a(arrayList2, new d(jSONField8.name(), method4, field2, cls, type, i34, i35, i9, jSONField7, jSONField8, null, e2));
                                                    propertyNamingStrategy4 = propertyNamingStrategy2;
                                                    i33 = i5 + 1;
                                                    propertyNamingStrategy2 = propertyNamingStrategy4;
                                                    length6 = i6;
                                                    cls6 = cls9;
                                                    cls4 = cls8;
                                                    cls5 = cls7;
                                                    methodArr = methodArr3;
                                                    str = str5;
                                                    fieldArr2 = fieldArr5;
                                                } else {
                                                    fieldArr5 = fieldArr6;
                                                    str5 = str;
                                                    methodArr3 = methodArr;
                                                }
                                            }
                                            jSONField2 = jSONField8;
                                        } else {
                                            fieldArr5 = fieldArr6;
                                            str5 = str;
                                            methodArr3 = methodArr;
                                            jSONField2 = null;
                                            i9 = i36;
                                        }
                                        if (propertyNamingStrategy2 != null) {
                                            str6 = propertyNamingStrategy2.translate(str6);
                                        }
                                        propertyNamingStrategy4 = propertyNamingStrategy2;
                                        a(arrayList2, new d(str6, method4, field2, cls, type, i34, i35, i9, jSONField7, jSONField2, null, e2));
                                        i33 = i5 + 1;
                                        propertyNamingStrategy2 = propertyNamingStrategy4;
                                        length6 = i6;
                                        cls6 = cls9;
                                        cls4 = cls8;
                                        cls5 = cls7;
                                        methodArr = methodArr3;
                                        str = str5;
                                        fieldArr2 = fieldArr5;
                                    } else {
                                        if (charAt2 != '_') {
                                            i8 = 1;
                                            cls10 = cls;
                                            fieldArr6 = fieldArr2;
                                            if (charAt2 == 'f') {
                                                str6 = name4.substring(3);
                                            } else if (name4.length() < 5 || !Character.isUpperCase(name4.charAt(4))) {
                                                str6 = name4.substring(3);
                                                field2 = n.a0(cls10, str6, fieldArr6);
                                            } else {
                                                str6 = n.L(name4.substring(3));
                                            }
                                            field2 = null;
                                        } else if (y0) {
                                            str6 = arrayList3.contains("g" + name4.substring(i7)) ? name4.substring(3) : "is" + name4.substring(3);
                                            i8 = 1;
                                            cls10 = cls;
                                            fieldArr6 = fieldArr2;
                                            field2 = n.a0(cls10, str6, fieldArr6);
                                        } else {
                                            i8 = 1;
                                            cls10 = cls;
                                            fieldArr6 = fieldArr2;
                                            String substring = name4.substring(4);
                                            Field a02 = n.a0(cls10, substring, fieldArr6);
                                            if (a02 != null || (a02 = n.a0(cls10, (str6 = name4.substring(3)), fieldArr6)) == null) {
                                                str6 = substring;
                                            }
                                            field2 = a02;
                                        }
                                        if (field2 == null) {
                                        }
                                        field2 = n.a0(cls10, "is" + Character.toUpperCase(str6.charAt(0)) + str6.substring(i8), fieldArr6);
                                        if (field2 == null) {
                                        }
                                        if (propertyNamingStrategy2 != null) {
                                        }
                                        propertyNamingStrategy4 = propertyNamingStrategy2;
                                        a(arrayList2, new d(str6, method4, field2, cls, type, i34, i35, i9, jSONField7, jSONField2, null, e2));
                                        i33 = i5 + 1;
                                        propertyNamingStrategy2 = propertyNamingStrategy4;
                                        length6 = i6;
                                        cls6 = cls9;
                                        cls4 = cls8;
                                        cls5 = cls7;
                                        methodArr = methodArr3;
                                        str = str5;
                                        fieldArr2 = fieldArr5;
                                    }
                                    fieldArr5 = fieldArr6;
                                    str5 = str;
                                    methodArr3 = methodArr;
                                    propertyNamingStrategy4 = propertyNamingStrategy2;
                                    i33 = i5 + 1;
                                    propertyNamingStrategy2 = propertyNamingStrategy4;
                                    length6 = i6;
                                    cls6 = cls9;
                                    cls4 = cls8;
                                    cls5 = cls7;
                                    methodArr = methodArr3;
                                    str = str5;
                                    fieldArr2 = fieldArr5;
                                } else {
                                    str5 = str;
                                    methodArr3 = methodArr;
                                    propertyNamingStrategy4 = propertyNamingStrategy2;
                                    fieldArr5 = fieldArr2;
                                    i33 = i5 + 1;
                                    propertyNamingStrategy2 = propertyNamingStrategy4;
                                    length6 = i6;
                                    cls6 = cls9;
                                    cls4 = cls8;
                                    cls5 = cls7;
                                    methodArr = methodArr3;
                                    str = str5;
                                    fieldArr2 = fieldArr5;
                                }
                            }
                            methodArr3 = methodArr;
                            propertyNamingStrategy4 = propertyNamingStrategy2;
                            fieldArr5 = fieldArr2;
                            str5 = str;
                            i33 = i5 + 1;
                            propertyNamingStrategy2 = propertyNamingStrategy4;
                            length6 = i6;
                            cls6 = cls9;
                            cls4 = cls8;
                            cls5 = cls7;
                            methodArr = methodArr3;
                            str = str5;
                            fieldArr2 = fieldArr5;
                        }
                        cls7 = cls5;
                        methodArr3 = methodArr;
                        propertyNamingStrategy4 = propertyNamingStrategy2;
                        fieldArr5 = fieldArr2;
                        str5 = str;
                        i33 = i5 + 1;
                        propertyNamingStrategy2 = propertyNamingStrategy4;
                        length6 = i6;
                        cls6 = cls9;
                        cls4 = cls8;
                        cls5 = cls7;
                        methodArr = methodArr3;
                        str = str5;
                        fieldArr2 = fieldArr5;
                    }
                }
            }
            i5 = i33;
            cls9 = cls6;
            cls7 = cls5;
            methodArr3 = methodArr;
            cls8 = cls4;
            propertyNamingStrategy4 = propertyNamingStrategy2;
            fieldArr5 = fieldArr2;
            str5 = str;
            i6 = length6;
            i33 = i5 + 1;
            propertyNamingStrategy2 = propertyNamingStrategy4;
            length6 = i6;
            cls6 = cls9;
            cls4 = cls8;
            cls5 = cls7;
            methodArr = methodArr3;
            str = str5;
            fieldArr2 = fieldArr5;
        }
        Field[] fieldArr8 = fieldArr2;
        boolean z6 = true;
        PropertyNamingStrategy propertyNamingStrategy8 = propertyNamingStrategy2;
        Class<?> cls23 = cls;
        f(cls23, type, propertyNamingStrategy8, arrayList2, cls.getFields());
        Method[] methods3 = cls.getMethods();
        int length7 = methods3.length;
        int i38 = 0;
        while (i38 < length7) {
            Method method5 = methods3[i38];
            String name5 = method5.getName();
            if (name5.length() >= i2 && !Modifier.isStatic(method5.getModifiers()) && cls6 == null && name5.startsWith(str2) && Character.isUpperCase(name5.charAt(3)) && method5.getParameterTypes().length == 0 && ((Collection.class.isAssignableFrom(method5.getReturnType()) || Map.class.isAssignableFrom(method5.getReturnType()) || AtomicBoolean.class == method5.getReturnType() || AtomicInteger.class == method5.getReturnType() || AtomicLong.class == method5.getReturnType()) && ((jSONField = (JSONField) n.S(method5, JSONField.class)) == null || !jSONField.deserialize()))) {
                if (jSONField == null || jSONField.name().length() <= 0) {
                    str4 = n.k0(name5);
                    fieldArr4 = fieldArr8;
                    Field a03 = n.a0(cls23, str4, fieldArr4);
                    if (a03 != null) {
                        JSONField jSONField9 = (JSONField) n.R(a03, JSONField.class);
                        if (jSONField9 == null || jSONField9.deserialize()) {
                            if (Collection.class.isAssignableFrom(method5.getReturnType()) || Map.class.isAssignableFrom(method5.getReturnType())) {
                                field = a03;
                            }
                        }
                        fieldArr3 = fieldArr4;
                        i3 = i38;
                        str3 = str2;
                        i4 = length7;
                        methodArr2 = methods3;
                        propertyNamingStrategy3 = propertyNamingStrategy8;
                    }
                    field = null;
                } else {
                    str4 = jSONField.name();
                    field = null;
                    fieldArr4 = fieldArr8;
                }
                if (propertyNamingStrategy8 != null) {
                    str4 = propertyNamingStrategy8.translate(str4);
                }
                if (l(arrayList2, str4) == null) {
                    fieldArr3 = fieldArr4;
                    i3 = i38;
                    str3 = str2;
                    i4 = length7;
                    methodArr2 = methods3;
                    propertyNamingStrategy3 = propertyNamingStrategy8;
                    a(arrayList2, new d(str4, method5, field, cls, type, 0, 0, 0, jSONField, null, null, e2));
                    i38 = i3 + 1;
                    propertyNamingStrategy8 = propertyNamingStrategy3;
                    length7 = i4;
                    str2 = str3;
                    methods3 = methodArr2;
                    fieldArr8 = fieldArr3;
                    i2 = 4;
                    cls23 = cls;
                }
                fieldArr3 = fieldArr4;
                i3 = i38;
                str3 = str2;
                i4 = length7;
                methodArr2 = methods3;
                propertyNamingStrategy3 = propertyNamingStrategy8;
            } else {
                i3 = i38;
                str3 = str2;
                i4 = length7;
                methodArr2 = methods3;
                propertyNamingStrategy3 = propertyNamingStrategy8;
                fieldArr3 = fieldArr8;
            }
            i38 = i3 + 1;
            propertyNamingStrategy8 = propertyNamingStrategy3;
            length7 = i4;
            str2 = str3;
            methods3 = methodArr2;
            fieldArr8 = fieldArr3;
            i2 = 4;
            cls23 = cls;
        }
        if (arrayList2.size() == 0) {
            if (!n.E0(cls)) {
                z6 = z;
            }
            if (z6) {
                for (Class<?> cls24 = cls; cls24 != null; cls24 = cls24.getSuperclass()) {
                    f(cls, type, propertyNamingStrategy8, arrayList2, fieldArr8);
                }
            }
        }
        return new h(cls, cls6, constructor, constructor2, method2, method, jSONType, arrayList2);
    }

    private static Map<TypeVariable, Type> e(Class<?> cls) {
        Class<? super Object> superclass = cls.getSuperclass();
        HashMap hashMap = null;
        if (superclass == null) {
            return null;
        }
        while (true) {
            cls = superclass;
            if (cls == null || cls == Object.class) {
                return hashMap;
            }
            if (cls.getGenericSuperclass() instanceof ParameterizedType) {
                Type[] actualTypeArguments = ((ParameterizedType) cls.getGenericSuperclass()).getActualTypeArguments();
                TypeVariable<Class<?>>[] typeParameters = cls.getTypeParameters();
                for (int i2 = 0; i2 < actualTypeArguments.length; i2++) {
                    if (hashMap == null) {
                        hashMap = new HashMap();
                    }
                    if (hashMap.containsKey(actualTypeArguments[i2])) {
                        hashMap.put(typeParameters[i2], hashMap.get(actualTypeArguments[i2]));
                    } else {
                        hashMap.put(typeParameters[i2], actualTypeArguments[i2]);
                    }
                }
            }
            superclass = cls.getSuperclass();
        }
        return hashMap;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0055, code lost:
        if ((java.util.Map.class.isAssignableFrom(r2) || java.util.Collection.class.isAssignableFrom(r2) || java.util.concurrent.atomic.AtomicLong.class.equals(r2) || java.util.concurrent.atomic.AtomicInteger.class.equals(r2) || java.util.concurrent.atomic.AtomicBoolean.class.equals(r2)) == false) goto L_0x0018;
     */
    private static void f(Class<?> cls, Type type, PropertyNamingStrategy propertyNamingStrategy, List<d> list, Field[] fieldArr) {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        Map<TypeVariable, Type> e2 = e(cls);
        int length = fieldArr.length;
        int i7 = 0;
        while (i7 < length) {
            Field field = fieldArr[i7];
            int modifiers = field.getModifiers();
            if ((modifiers & 8) == 0) {
                boolean z = true;
                if ((modifiers & 16) != 0) {
                    Class<?> type2 = field.getType();
                }
                Iterator<d> it = list.iterator();
                while (true) {
                    if (it.hasNext()) {
                        if (it.next().f5788a.equals(field.getName())) {
                            break;
                        }
                    } else {
                        z = false;
                        break;
                    }
                }
                if (!z) {
                    String name = field.getName();
                    JSONField jSONField = (JSONField) n.R(field, JSONField.class);
                    if (jSONField == null) {
                        i6 = 0;
                        i5 = 0;
                        i4 = 0;
                    } else if (jSONField.deserialize()) {
                        int ordinal = jSONField.ordinal();
                        int of = SerializerFeature.of(jSONField.serialzeFeatures());
                        int of2 = Feature.of(jSONField.parseFeatures());
                        if (jSONField.name().length() != 0) {
                            name = jSONField.name();
                        }
                        i6 = ordinal;
                        i5 = of;
                        i4 = of2;
                    }
                    if (propertyNamingStrategy != null) {
                        name = propertyNamingStrategy.translate(name);
                    }
                    i3 = i7;
                    i2 = length;
                    a(list, new d(name, null, field, cls, type, i6, i5, i4, null, jSONField, null, e2));
                    i7 = i3 + 1;
                    length = i2;
                }
            }
            i3 = i7;
            i2 = length;
            i7 = i3 + 1;
            length = i2;
        }
    }

    public static Class<?> g(JSONType jSONType) {
        return h(null, jSONType);
    }

    public static Class<?> h(Class<?> cls, JSONType jSONType) {
        Class<?> builder;
        if (cls != null && cls.getName().equals("org.springframework.security.web.savedrequest.DefaultSavedRequest")) {
            return n.F0("org.springframework.security.web.savedrequest.DefaultSavedRequest$Builder");
        }
        if (jSONType == null || (builder = jSONType.builder()) == Void.class) {
            return null;
        }
        return builder;
    }

    public static Constructor<?> i(Constructor[] constructorArr) {
        boolean z;
        Constructor constructor = null;
        for (Constructor constructor2 : constructorArr) {
            if (((JSONCreator) constructor2.getAnnotation(JSONCreator.class)) != null) {
                if (constructor == null) {
                    constructor = constructor2;
                } else {
                    throw new JSONException("multi-JSONCreator");
                }
            }
        }
        if (constructor != null) {
            return constructor;
        }
        for (Constructor constructor3 : constructorArr) {
            Annotation[][] g0 = n.g0(constructor3);
            if (g0.length != 0) {
                int length = g0.length;
                int i2 = 0;
                while (true) {
                    z = true;
                    if (i2 >= length) {
                        break;
                    }
                    Annotation[] annotationArr = g0[i2];
                    int length2 = annotationArr.length;
                    int i3 = 0;
                    while (true) {
                        if (i3 >= length2) {
                            z = false;
                            break;
                        } else if (annotationArr[i3] instanceof JSONField) {
                            break;
                        } else {
                            i3++;
                        }
                    }
                    if (!z) {
                        z = false;
                        break;
                    }
                    i2++;
                }
                if (!z) {
                    continue;
                } else if (constructor == null) {
                    constructor = constructor3;
                } else {
                    throw new JSONException("multi-JSONCreator");
                }
            }
        }
        if (constructor != null) {
        }
        return constructor;
    }

    static Constructor<?> j(Class<?> cls, Constructor<?>[] constructorArr) {
        Constructor<?> constructor = null;
        if (Modifier.isAbstract(cls.getModifiers())) {
            return null;
        }
        int length = constructorArr.length;
        int i2 = 0;
        while (true) {
            if (i2 >= length) {
                break;
            }
            Constructor<?> constructor2 = constructorArr[i2];
            if (constructor2.getParameterTypes().length == 0) {
                constructor = constructor2;
                break;
            }
            i2++;
        }
        if (constructor != null || !cls.isMemberClass() || Modifier.isStatic(cls.getModifiers())) {
            return constructor;
        }
        for (Constructor<?> constructor3 : constructorArr) {
            Class<?>[] parameterTypes = constructor3.getParameterTypes();
            if (parameterTypes.length == 1 && parameterTypes[0].equals(cls.getDeclaringClass())) {
                return constructor3;
            }
        }
        return constructor;
    }

    private static Method k(Class<?> cls, Method[] methodArr, boolean z) {
        Method method = null;
        for (Method method2 : methodArr) {
            if (Modifier.isStatic(method2.getModifiers()) && cls.isAssignableFrom(method2.getReturnType()) && ((JSONCreator) n.S(method2, JSONCreator.class)) != null) {
                if (method == null) {
                    method = method2;
                } else {
                    throw new JSONException("multi-JSONCreator");
                }
            }
        }
        if (method != null || !z) {
            return method;
        }
        for (Method method3 : methodArr) {
            if (n.x0(method3)) {
                return method3;
            }
        }
        return method;
    }

    private static d l(List<d> list, String str) {
        for (d dVar : list) {
            if (dVar.f5788a.equals(str)) {
                return dVar;
            }
            Field field = dVar.I0;
            if (!(field == null || dVar.i() == null || !field.getName().equals(str))) {
                return dVar;
            }
        }
        return null;
    }
}
