package com.alibaba.fastjson.util;

import androidx.constraintlayout.core.motion.h.w;
import androidx.exifinterface.media.ExifInterface;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.PropertyNamingStrategy;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;
import com.alibaba.fastjson.c;
import com.alibaba.fastjson.parser.Feature;
import com.alibaba.fastjson.parser.f;
import com.alibaba.fastjson.parser.i;
import com.alibaba.fastjson.parser.k.h;
import com.alibaba.fastjson.parser.k.o;
import com.alibaba.fastjson.parser.k.t;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.alibaba.fastjson.serializer.c1;
import com.alibaba.fastjson.serializer.p;
import com.alipay.sdk.util.g;
import com.google.android.exoplayer2.g0.q.a;
import com.ibm.icu.impl.locale.b;
import com.lzy.okgo.model.Progress;
import java.io.InputStream;
import java.io.Reader;
import java.lang.annotation.Annotation;
import java.lang.reflect.AccessibleObject;
import java.lang.reflect.Array;
import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.GenericArrayType;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Proxy;
import java.lang.reflect.Type;
import java.lang.reflect.TypeVariable;
import java.lang.reflect.WildcardType;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.security.AccessControlException;
import java.sql.Time;
import java.sql.Timestamp;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.AbstractCollection;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.BitSet;
import java.util.Calendar;
import java.util.Collection;
import java.util.Collections;
import java.util.Currency;
import java.util.Date;
import java.util.EnumSet;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Hashtable;
import java.util.IdentityHashMap;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.LinkedHashSet;
import java.util.LinkedList;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Queue;
import java.util.Set;
import java.util.TreeMap;
import java.util.TreeSet;
import java.util.UUID;
import java.util.WeakHashMap;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import kotlin.time.DurationKt;

/* compiled from: TypeUtils */
public class n {
    private static volatile Map<Class, String[]> A;
    private static volatile boolean B;
    private static ConcurrentMap<String, Class<?>> C = new ConcurrentHashMap(256, 0.75f, 1);
    private static Class<?> D;
    private static boolean E = false;
    private static Class<? extends Annotation> F = null;
    private static boolean G = false;
    private static volatile Class H = null;
    private static volatile boolean I = false;
    private static volatile Class J = null;
    private static volatile Class K = null;
    private static volatile boolean L = false;
    private static volatile Method M = null;
    private static volatile Field N = null;
    private static volatile Object O = null;
    private static Class P;

    /* renamed from: a  reason: collision with root package name */
    private static final Pattern f5822a = Pattern.compile("\\.0*$");

    /* renamed from: b  reason: collision with root package name */
    public static boolean f5823b;

    /* renamed from: c  reason: collision with root package name */
    public static boolean f5824c;

    /* renamed from: d  reason: collision with root package name */
    private static boolean f5825d = true;

    /* renamed from: e  reason: collision with root package name */
    private static boolean f5826e = false;
    private static Method f;
    private static boolean g = false;
    private static Method h;
    private static boolean i = false;
    private static Class<?> j;
    private static boolean k = false;
    private static Class<? extends Annotation> l;
    private static Class<? extends Annotation> m = null;
    private static boolean n = false;
    private static Class<? extends Annotation> o = null;
    private static boolean p = false;
    private static Method q = null;
    private static boolean r = false;
    private static volatile Class s;
    private static volatile boolean t;
    private static volatile boolean u;
    private static volatile Constructor v;
    private static volatile Method w;
    private static volatile Method x;
    private static volatile Method y;
    private static volatile boolean z;

    static {
        f5823b = false;
        f5824c = false;
        P = null;
        try {
            f5823b = "true".equals(f.l(f.f5793b));
            f5824c = "true".equals(f.l(f.f5794c));
        } catch (Throwable unused) {
        }
        try {
            P = Class.forName("java.util.Deque");
        } catch (Throwable unused2) {
        }
        a();
    }

    public static String A(Object obj) {
        if (obj == null) {
            return null;
        }
        return obj.toString();
    }

    public static boolean A0(String str) {
        for (int i2 = 0; i2 < str.length(); i2++) {
            char charAt = str.charAt(i2);
            if (charAt == '+' || charAt == '-') {
                if (i2 != 0) {
                    return false;
                }
            } else if (charAt < '0' || charAt > '9') {
                return false;
            }
        }
        return true;
    }

    public static Timestamp B(Object obj) {
        long j2;
        if (obj == null) {
            return null;
        }
        if (obj instanceof Calendar) {
            return new Timestamp(((Calendar) obj).getTimeInMillis());
        }
        if (obj instanceof Timestamp) {
            return (Timestamp) obj;
        }
        if (obj instanceof Date) {
            return new Timestamp(((Date) obj).getTime());
        }
        if (obj instanceof BigDecimal) {
            j2 = J0((BigDecimal) obj);
        } else {
            j2 = obj instanceof Number ? ((Number) obj).longValue() : 0;
        }
        if (obj instanceof String) {
            String str = (String) obj;
            if (str.length() == 0 || "null".equals(str) || "NULL".equals(str)) {
                return null;
            }
            if (str.endsWith(".000000000")) {
                str = str.substring(0, str.length() - 10);
            } else if (str.endsWith(".000000")) {
                str = str.substring(0, str.length() - 7);
            }
            if (str.length() == 29 && str.charAt(4) == '-' && str.charAt(7) == '-' && str.charAt(10) == ' ' && str.charAt(13) == ':' && str.charAt(16) == ':' && str.charAt(19) == '.') {
                return new Timestamp(M0(str.charAt(0), str.charAt(1), str.charAt(2), str.charAt(3)) - 1900, L0(str.charAt(5), str.charAt(6)) - 1, L0(str.charAt(8), str.charAt(9)), L0(str.charAt(11), str.charAt(12)), L0(str.charAt(14), str.charAt(15)), L0(str.charAt(17), str.charAt(18)), N0(str.charAt(20), str.charAt(21), str.charAt(22), str.charAt(23), str.charAt(24), str.charAt(25), str.charAt(26), str.charAt(27), str.charAt(28)));
            } else if (A0(str)) {
                j2 = Long.parseLong(str);
            } else {
                f fVar = new f(str);
                if (fVar.f3(false)) {
                    j2 = fVar.Z1().getTime().getTime();
                } else {
                    throw new JSONException("can not cast to Timestamp, value : " + str);
                }
            }
        }
        if (j2 >= 0) {
            return new Timestamp(j2);
        }
        throw new JSONException("can not cast to Timestamp, value : " + obj);
    }

    public static boolean B0(Class<?> cls) {
        if (D == null && !E) {
            try {
                D = Class.forName("java.nio.file.Path");
            } catch (Throwable unused) {
                E = true;
            }
        }
        Class<?> cls2 = D;
        if (cls2 != null) {
            return cls2.isAssignableFrom(cls);
        }
        return false;
    }

    public static Type C(GenericArrayType genericArrayType) {
        Type genericComponentType = genericArrayType.getGenericComponentType();
        String str = "[";
        while (genericComponentType instanceof GenericArrayType) {
            genericComponentType = ((GenericArrayType) genericComponentType).getGenericComponentType();
            str = str + str;
        }
        if (!(genericComponentType instanceof Class)) {
            return genericArrayType;
        }
        Class cls = (Class) genericComponentType;
        if (!cls.isPrimitive()) {
            return genericArrayType;
        }
        try {
            if (cls == Boolean.TYPE) {
                return Class.forName(str + "Z");
            } else if (cls == Character.TYPE) {
                return Class.forName(str + "C");
            } else if (cls == Byte.TYPE) {
                return Class.forName(str + "B");
            } else if (cls == Short.TYPE) {
                return Class.forName(str + ExifInterface.w4);
            } else if (cls == Integer.TYPE) {
                return Class.forName(str + "I");
            } else if (cls == Long.TYPE) {
                return Class.forName(str + "J");
            } else if (cls == Float.TYPE) {
                return Class.forName(str + "F");
            } else if (cls != Double.TYPE) {
                return genericArrayType;
            } else {
                return Class.forName(str + "D");
            }
        } catch (ClassNotFoundException unused) {
            return genericArrayType;
        }
    }

    public static boolean C0(Class<?> cls) {
        for (Class<?> cls2 : cls.getInterfaces()) {
            String name = cls2.getName();
            if (name.equals("net.sf.cglib.proxy.Factory") || name.equals("org.springframework.cglib.proxy.Factory") || name.equals("javassist.util.proxy.ProxyObject") || name.equals("org.apache.ibatis.javassist.util.proxy.ProxyObject") || name.equals("org.hibernate.proxy.HibernateProxy") || name.equals("org.springframework.context.annotation.ConfigurationClassEnhancer$EnhancedConfiguration")) {
                return true;
            }
        }
        return false;
    }

    public static void D() {
        C.clear();
        a();
    }

    /* JADX DEBUG: Type inference failed for r1v3. Raw type applied. Possible types: java.lang.Class<?>, java.lang.Class<? extends java.lang.annotation.Annotation> */
    public static boolean D0(Method method) {
        if (method == null) {
            return false;
        }
        if (!k) {
            try {
                l = Class.forName("java.beans.Transient");
            } catch (Exception unused) {
            } catch (Throwable th) {
                k = true;
                throw th;
            }
            k = true;
        }
        Class<? extends Annotation> cls = l;
        if (cls == null || S(method, cls) == null) {
            return false;
        }
        return true;
    }

    private static void E(Class<?> cls, Map<String, String> map, PropertyNamingStrategy propertyNamingStrategy, Map<String, d> map2, Field[] fieldArr) {
        String str;
        int i2;
        int i3;
        int i4;
        for (Field field : fieldArr) {
            if (!Modifier.isStatic(field.getModifiers())) {
                JSONField jSONField = (JSONField) R(field, JSONField.class);
                String name = field.getName();
                String str2 = null;
                if (jSONField == null) {
                    str = null;
                    i4 = 0;
                    i3 = 0;
                    i2 = 0;
                } else if (jSONField.serialize()) {
                    int ordinal = jSONField.ordinal();
                    int of = SerializerFeature.of(jSONField.serialzeFeatures());
                    int of2 = Feature.of(jSONField.parseFeatures());
                    if (jSONField.name().length() != 0) {
                        name = jSONField.name();
                    }
                    if (jSONField.label().length() != 0) {
                        str2 = jSONField.label();
                    }
                    str = str2;
                    i4 = ordinal;
                    i3 = of;
                    i2 = of2;
                }
                if (map == null || (name = map.get(name)) != null) {
                    if (propertyNamingStrategy != null) {
                        name = propertyNamingStrategy.translate(name);
                    }
                    if (!map2.containsKey(name)) {
                        map2.put(name, new d(name, null, field, cls, null, i4, i3, i2, null, jSONField, str));
                    }
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:34:0x0052 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0053  */
    public static boolean E0(Class cls) {
        Annotation Q;
        Object obj;
        if (K == null && !L) {
            try {
                K = Class.forName("javax.xml.bind.annotation.XmlAccessorType");
            } catch (Throwable unused) {
                L = true;
            }
        }
        if (K == null || (Q = Q(cls, K)) == null) {
            return false;
        }
        if (M == null && !L) {
            try {
                M = K.getMethod("value", new Class[0]);
            } catch (Throwable unused2) {
                L = true;
            }
        }
        if (M == null) {
            return false;
        }
        if (!L) {
            try {
                obj = M.invoke(Q, new Object[0]);
            } catch (Throwable unused3) {
                L = true;
            }
            if (obj != null) {
                return false;
            }
            if (J == null && !L) {
                try {
                    J = Class.forName("javax.xml.bind.annotation.XmlAccessType");
                    N = J.getField("FIELD");
                    O = N.get(null);
                } catch (Throwable unused4) {
                    L = true;
                }
            }
            if (obj == O) {
                return true;
            }
            return false;
        }
        obj = null;
        if (obj != null) {
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:125:0x029f, code lost:
        if (r2 == null) goto L_0x022c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:157:0x032e, code lost:
        if (r11 == null) goto L_0x022c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0075, code lost:
        if (r4.getName().equals("groovy.lang.MetaClass") != false) goto L_0x0034;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:204:0x044c, code lost:
        if (r3 == null) goto L_0x0510;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:222:0x04a6, code lost:
        if (r1 == null) goto L_0x0514;
     */
    /* JADX WARNING: Removed duplicated region for block: B:135:0x02c3  */
    /* JADX WARNING: Removed duplicated region for block: B:208:0x045a  */
    public static List<d> F(Class<?> cls, JSONType jSONType, Map<String, String> map, Map<String, Field> map2, boolean z2, PropertyNamingStrategy propertyNamingStrategy) {
        Method[] methodArr;
        int i2;
        int i3;
        String[] strArr;
        LinkedHashMap linkedHashMap;
        JSONField jSONField;
        Annotation[][] annotationArr;
        short[] sArr;
        Class<?> cls2;
        Constructor<?>[] constructorArr;
        LinkedHashMap linkedHashMap2;
        int i4;
        int i5;
        int i6;
        Method method;
        Class<?> cls3;
        String str;
        int i7;
        LinkedHashMap linkedHashMap3;
        Field field;
        String str2;
        JSONField jSONField2;
        int i8;
        int i9;
        int i10;
        String str3;
        Field field2;
        String str4;
        int i11;
        int i12;
        int i13;
        JSONField jSONField3;
        Boolean bool;
        String str5;
        Boolean bool2;
        char charAt;
        String str6;
        Field field3;
        String[] strArr2;
        Annotation[][] annotationArr2;
        short[] sArr2;
        Field x2;
        Class<?> cls4 = cls;
        Map<String, String> map3 = map;
        Map<String, Field> map4 = map2;
        PropertyNamingStrategy propertyNamingStrategy2 = propertyNamingStrategy;
        LinkedHashMap linkedHashMap4 = new LinkedHashMap();
        boolean y0 = y0(cls);
        Method[] methods = cls.getMethods();
        int length = methods.length;
        Constructor<?>[] constructorArr2 = null;
        String[] strArr3 = null;
        short[] sArr3 = null;
        Annotation[][] annotationArr3 = null;
        int i14 = 0;
        while (i14 < length) {
            Method method2 = methods[i14];
            String name = method2.getName();
            String str7 = null;
            if (!Modifier.isStatic(method2.getModifiers())) {
                Class<?> returnType = method2.getReturnType();
                if (!(returnType.equals(Void.TYPE) || method2.getParameterTypes().length != 0 || returnType == ClassLoader.class || returnType == InputStream.class || returnType == Reader.class)) {
                    if (name.equals("getMetaClass")) {
                        strArr = strArr3;
                    } else {
                        strArr = strArr3;
                    }
                    if ((!name.equals("getSuppressed") || method2.getDeclaringClass() != Throwable.class) && (!y0 || !z0(cls4, name))) {
                        Boolean bool3 = Boolean.FALSE;
                        JSONField jSONField4 = (JSONField) S(method2, JSONField.class);
                        if (jSONField4 == null) {
                            jSONField4 = n0(cls4, method2);
                        }
                        if (jSONField4 != null || !y0) {
                            cls2 = returnType;
                            i3 = i14;
                            constructorArr = constructorArr2;
                            sArr = sArr3;
                            annotationArr = annotationArr3;
                            jSONField = jSONField4;
                        } else {
                            if (constructorArr2 == null) {
                                constructorArr2 = cls.getDeclaredConstructors();
                                Constructor e0 = e0(constructorArr2);
                                if (e0 != null) {
                                    annotationArr3 = g0(e0);
                                    strArr2 = d0(cls);
                                    if (strArr2 != null) {
                                        String[] strArr4 = new String[strArr2.length];
                                        System.arraycopy(strArr2, 0, strArr4, 0, strArr2.length);
                                        Arrays.sort(strArr4);
                                        short[] sArr4 = new short[strArr2.length];
                                        cls2 = returnType;
                                        for (short s2 = 0; s2 < strArr2.length; s2 = (short) (s2 + 1)) {
                                            sArr4[Arrays.binarySearch(strArr4, strArr2[s2])] = s2;
                                        }
                                        strArr2 = strArr4;
                                        annotationArr3 = annotationArr3;
                                        sArr3 = sArr4;
                                        constructorArr2 = constructorArr2;
                                    } else {
                                        cls2 = returnType;
                                    }
                                    if (strArr2 != null || sArr3 == null || !name.startsWith("get")) {
                                        constructorArr = constructorArr2;
                                        sArr2 = sArr3;
                                        annotationArr2 = annotationArr3;
                                        i3 = i14;
                                    } else {
                                        String L2 = L(name.substring(3));
                                        int binarySearch = Arrays.binarySearch(strArr2, L2);
                                        constructorArr = constructorArr2;
                                        i3 = i14;
                                        if (binarySearch < 0) {
                                            int i15 = 0;
                                            while (true) {
                                                if (i15 >= strArr2.length) {
                                                    break;
                                                } else if (L2.equalsIgnoreCase(strArr2[i15])) {
                                                    binarySearch = i15;
                                                    break;
                                                } else {
                                                    i15++;
                                                }
                                            }
                                        }
                                        if (binarySearch >= 0) {
                                            Annotation[] annotationArr4 = annotationArr3[sArr3[binarySearch]];
                                            if (annotationArr4 != null) {
                                                int length2 = annotationArr4.length;
                                                sArr2 = sArr3;
                                                int i16 = 0;
                                                while (true) {
                                                    annotationArr2 = annotationArr3;
                                                    if (i16 >= length2) {
                                                        break;
                                                    }
                                                    Annotation annotation = annotationArr4[i16];
                                                    if (annotation instanceof JSONField) {
                                                        jSONField4 = (JSONField) annotation;
                                                        break;
                                                    }
                                                    i16++;
                                                    annotationArr3 = annotationArr2;
                                                    annotationArr4 = annotationArr4;
                                                }
                                            } else {
                                                sArr2 = sArr3;
                                                annotationArr2 = annotationArr3;
                                            }
                                            if (jSONField4 == null && (x2 = i.x(L2, map4)) != null) {
                                                jSONField = (JSONField) R(x2, JSONField.class);
                                                annotationArr = annotationArr2;
                                                sArr = sArr2;
                                                strArr = strArr2;
                                            }
                                        } else {
                                            sArr2 = sArr3;
                                            annotationArr2 = annotationArr3;
                                        }
                                    }
                                    jSONField = jSONField4;
                                    annotationArr = annotationArr2;
                                    sArr = sArr2;
                                    strArr = strArr2;
                                }
                            }
                            cls2 = returnType;
                            strArr2 = strArr;
                            if (strArr2 != null) {
                            }
                            constructorArr = constructorArr2;
                            sArr2 = sArr3;
                            annotationArr2 = annotationArr3;
                            i3 = i14;
                            jSONField = jSONField4;
                            annotationArr = annotationArr2;
                            sArr = sArr2;
                            strArr = strArr2;
                        }
                        if (jSONField != null) {
                            if (jSONField.serialize()) {
                                int ordinal = jSONField.ordinal();
                                int of = SerializerFeature.of(jSONField.serialzeFeatures());
                                i4 = Feature.of(jSONField.parseFeatures());
                                if (jSONField.name().length() != 0) {
                                    String name2 = jSONField.name();
                                    if (map3 == null || (name2 = map3.get(name2)) != null) {
                                        i2 = length;
                                        methodArr = methods;
                                        linkedHashMap2 = linkedHashMap4;
                                        linkedHashMap2.put(name2, new d(name2, method2, null, cls, null, ordinal, of, i4, jSONField, null, null));
                                        linkedHashMap = linkedHashMap2;
                                        propertyNamingStrategy2 = propertyNamingStrategy;
                                        constructorArr2 = constructorArr;
                                        sArr3 = sArr;
                                        annotationArr3 = annotationArr;
                                        i14 = i3 + 1;
                                        map4 = map2;
                                        linkedHashMap4 = linkedHashMap;
                                        strArr3 = strArr;
                                        length = i2;
                                        methods = methodArr;
                                    }
                                } else {
                                    i2 = length;
                                    methodArr = methods;
                                    linkedHashMap2 = linkedHashMap4;
                                    if (jSONField.label().length() != 0) {
                                        str7 = jSONField.label();
                                    }
                                    i6 = of;
                                    i5 = ordinal;
                                }
                            }
                            i2 = length;
                            methodArr = methods;
                            linkedHashMap = linkedHashMap4;
                            constructorArr2 = constructorArr;
                            sArr3 = sArr;
                            annotationArr3 = annotationArr;
                            i14 = i3 + 1;
                            map4 = map2;
                            linkedHashMap4 = linkedHashMap;
                            strArr3 = strArr;
                            length = i2;
                            methods = methodArr;
                        } else {
                            i2 = length;
                            methodArr = methods;
                            linkedHashMap2 = linkedHashMap4;
                            i6 = 0;
                            i5 = 0;
                            i4 = 0;
                        }
                        if (name.startsWith("get")) {
                            if (name.length() >= 4 && !name.equals("getClass") && (!name.equals("getDeclaringClass") || !cls.isEnum())) {
                                char charAt2 = name.charAt(3);
                                if (Character.isUpperCase(charAt2) || charAt2 > 512) {
                                    if (f5823b) {
                                        str6 = L(name.substring(3));
                                    } else {
                                        str6 = k0(name);
                                    }
                                    str3 = j0(map4, name, str6, 3);
                                } else {
                                    if (charAt2 == '_') {
                                        str3 = name.substring(3);
                                        field2 = map4.get(str3);
                                        if (field2 == null) {
                                            String substring = name.substring(4);
                                            field3 = i.x(substring, map4);
                                            if (field3 != null) {
                                                str3 = substring;
                                            }
                                        }
                                        if (!w0(cls4, str3)) {
                                            if (field2 == null) {
                                                field2 = i.x(str3, map4);
                                            }
                                            if (field2 == null && str3.length() > 1 && (charAt = str3.charAt(1)) >= 'A' && charAt <= 'Z') {
                                                field2 = i.x(L(name.substring(3)), map4);
                                            }
                                            if (field2 != null) {
                                                JSONField jSONField5 = (JSONField) R(field2, JSONField.class);
                                                if (jSONField5 == null) {
                                                    i11 = i4;
                                                    str4 = str7;
                                                    i13 = i6;
                                                    jSONField3 = jSONField5;
                                                    bool = bool3;
                                                } else if (jSONField5.serialize()) {
                                                    int ordinal2 = jSONField5.ordinal();
                                                    int of2 = SerializerFeature.of(jSONField5.serialzeFeatures());
                                                    int of3 = Feature.of(jSONField5.parseFeatures());
                                                    if (jSONField5.name().length() != 0) {
                                                        bool2 = Boolean.TRUE;
                                                        str5 = jSONField5.name();
                                                        if (map3 != null) {
                                                            str5 = map3.get(str5);
                                                        }
                                                    } else {
                                                        str5 = str3;
                                                        bool2 = bool3;
                                                    }
                                                    if (jSONField5.label().length() != 0) {
                                                        str7 = jSONField5.label();
                                                    }
                                                    i12 = ordinal2;
                                                    i11 = of3;
                                                    str4 = str7;
                                                    i13 = of2;
                                                    jSONField3 = jSONField5;
                                                    bool = bool2;
                                                    str3 = str5;
                                                    if (map3 == null || (str3 = map3.get(str3)) != null) {
                                                        if (propertyNamingStrategy != null && !bool.booleanValue()) {
                                                            str3 = propertyNamingStrategy.translate(str3);
                                                        }
                                                        cls3 = cls2;
                                                        str = name;
                                                        method = method2;
                                                        i7 = 3;
                                                        linkedHashMap3 = linkedHashMap2;
                                                        linkedHashMap3.put(str3, new d(str3, method2, field2, cls, null, i12, i13, i11, jSONField, jSONField3, str4));
                                                        i6 = i13;
                                                        i5 = i12;
                                                        i4 = i11;
                                                        str7 = str4;
                                                    }
                                                }
                                            } else {
                                                i11 = i4;
                                                jSONField3 = null;
                                                str4 = str7;
                                                bool = bool3;
                                                i13 = i6;
                                            }
                                            i12 = i5;
                                            str3 = propertyNamingStrategy.translate(str3);
                                            cls3 = cls2;
                                            str = name;
                                            method = method2;
                                            i7 = 3;
                                            linkedHashMap3 = linkedHashMap2;
                                            linkedHashMap3.put(str3, new d(str3, method2, field2, cls, null, i12, i13, i11, jSONField, jSONField3, str4));
                                            i6 = i13;
                                            i5 = i12;
                                            i4 = i11;
                                            str7 = str4;
                                        }
                                    } else if (charAt2 == 'f') {
                                        str3 = name.substring(3);
                                    } else if (name.length() < 5 || !Character.isUpperCase(name.charAt(4))) {
                                        str3 = name.substring(3);
                                        field3 = i.x(str3, map4);
                                    } else {
                                        str3 = L(name.substring(3));
                                    }
                                    field2 = field3;
                                    if (!w0(cls4, str3)) {
                                    }
                                }
                                field2 = null;
                                if (!w0(cls4, str3)) {
                                }
                            }
                            linkedHashMap = linkedHashMap2;
                            propertyNamingStrategy2 = propertyNamingStrategy;
                            constructorArr2 = constructorArr;
                            sArr3 = sArr;
                            annotationArr3 = annotationArr;
                            i14 = i3 + 1;
                            map4 = map2;
                            linkedHashMap4 = linkedHashMap;
                            strArr3 = strArr;
                            length = i2;
                            methods = methodArr;
                        } else {
                            str = name;
                            linkedHashMap3 = linkedHashMap2;
                            cls3 = cls2;
                            i7 = 3;
                            method = method2;
                        }
                        if (str.startsWith("is") && str.length() >= i7 && (cls3 == Boolean.TYPE || cls3 == Boolean.class)) {
                            char charAt3 = str.charAt(2);
                            if (Character.isUpperCase(charAt3)) {
                                str2 = j0(map4, str, f5823b ? L(str.substring(2)) : Character.toLowerCase(str.charAt(2)) + str.substring(i7), 2);
                            } else {
                                if (charAt3 == '_') {
                                    String substring2 = str.substring(i7);
                                    field = map4.get(substring2);
                                    if (field == null) {
                                        str2 = str.substring(2);
                                        field = i.x(str2, map4);
                                        if (field == null) {
                                            str2 = substring2;
                                        }
                                    } else {
                                        cls4 = cls;
                                        str2 = substring2;
                                        if (!w0(cls4, str2)) {
                                            if (field == null) {
                                                field = i.x(str2, map4);
                                            }
                                            if (field == null) {
                                                field = i.x(str, map4);
                                            }
                                            if (field != null) {
                                                JSONField jSONField6 = (JSONField) R(field, JSONField.class);
                                                if (jSONField6 == null) {
                                                    map3 = map;
                                                    i9 = i6;
                                                    i10 = i5;
                                                    i8 = i4;
                                                    jSONField2 = jSONField6;
                                                } else if (jSONField6.serialize()) {
                                                    int ordinal3 = jSONField6.ordinal();
                                                    int of4 = SerializerFeature.of(jSONField6.serialzeFeatures());
                                                    int of5 = Feature.of(jSONField6.parseFeatures());
                                                    if (jSONField6.name().length() != 0) {
                                                        str2 = jSONField6.name();
                                                        map3 = map;
                                                        if (map3 != null) {
                                                            str2 = map3.get(str2);
                                                        }
                                                    } else {
                                                        map3 = map;
                                                    }
                                                    if (jSONField6.label().length() != 0) {
                                                        jSONField2 = jSONField6;
                                                        i9 = of4;
                                                        i8 = of5;
                                                        str7 = jSONField6.label();
                                                        i10 = ordinal3;
                                                    } else {
                                                        i10 = ordinal3;
                                                        jSONField2 = jSONField6;
                                                        i9 = of4;
                                                        i8 = of5;
                                                    }
                                                }
                                            } else {
                                                map3 = map;
                                                i9 = i6;
                                                i10 = i5;
                                                i8 = i4;
                                                jSONField2 = null;
                                            }
                                            if (map3 == null || (str2 = map3.get(str2)) != null) {
                                                propertyNamingStrategy2 = propertyNamingStrategy;
                                                if (propertyNamingStrategy2 != null) {
                                                    str2 = propertyNamingStrategy2.translate(str2);
                                                }
                                                if (!linkedHashMap3.containsKey(str2)) {
                                                    d dVar = new d(str2, method, field, cls, null, i10, i9, i8, jSONField, jSONField2, str7);
                                                    linkedHashMap = linkedHashMap3;
                                                    linkedHashMap.put(str2, dVar);
                                                    constructorArr2 = constructorArr;
                                                    sArr3 = sArr;
                                                    annotationArr3 = annotationArr;
                                                    i14 = i3 + 1;
                                                    map4 = map2;
                                                    linkedHashMap4 = linkedHashMap;
                                                    strArr3 = strArr;
                                                    length = i2;
                                                    methods = methodArr;
                                                }
                                                linkedHashMap = linkedHashMap3;
                                                constructorArr2 = constructorArr;
                                                sArr3 = sArr;
                                                annotationArr3 = annotationArr;
                                                i14 = i3 + 1;
                                                map4 = map2;
                                                linkedHashMap4 = linkedHashMap;
                                                strArr3 = strArr;
                                                length = i2;
                                                methods = methodArr;
                                            }
                                            propertyNamingStrategy2 = propertyNamingStrategy;
                                            linkedHashMap = linkedHashMap3;
                                            constructorArr2 = constructorArr;
                                            sArr3 = sArr;
                                            annotationArr3 = annotationArr;
                                            i14 = i3 + 1;
                                            map4 = map2;
                                            linkedHashMap4 = linkedHashMap;
                                            strArr3 = strArr;
                                            length = i2;
                                            methods = methodArr;
                                        }
                                        map3 = map;
                                        propertyNamingStrategy2 = propertyNamingStrategy;
                                        linkedHashMap = linkedHashMap3;
                                        constructorArr2 = constructorArr;
                                        sArr3 = sArr;
                                        annotationArr3 = annotationArr;
                                        i14 = i3 + 1;
                                        map4 = map2;
                                        linkedHashMap4 = linkedHashMap;
                                        strArr3 = strArr;
                                        length = i2;
                                        methods = methodArr;
                                    }
                                } else if (charAt3 == 'f') {
                                    str2 = str.substring(2);
                                } else {
                                    str2 = str.substring(2);
                                    field = i.x(str2, map4);
                                }
                                cls4 = cls;
                                if (!w0(cls4, str2)) {
                                }
                                map3 = map;
                                propertyNamingStrategy2 = propertyNamingStrategy;
                                linkedHashMap = linkedHashMap3;
                                constructorArr2 = constructorArr;
                                sArr3 = sArr;
                                annotationArr3 = annotationArr;
                                i14 = i3 + 1;
                                map4 = map2;
                                linkedHashMap4 = linkedHashMap;
                                strArr3 = strArr;
                                length = i2;
                                methods = methodArr;
                            }
                            cls4 = cls;
                            field = null;
                            if (!w0(cls4, str2)) {
                            }
                            map3 = map;
                            propertyNamingStrategy2 = propertyNamingStrategy;
                            linkedHashMap = linkedHashMap3;
                            constructorArr2 = constructorArr;
                            sArr3 = sArr;
                            annotationArr3 = annotationArr;
                            i14 = i3 + 1;
                            map4 = map2;
                            linkedHashMap4 = linkedHashMap;
                            strArr3 = strArr;
                            length = i2;
                            methods = methodArr;
                        }
                        cls4 = cls;
                        map3 = map;
                        propertyNamingStrategy2 = propertyNamingStrategy;
                        linkedHashMap = linkedHashMap3;
                        constructorArr2 = constructorArr;
                        sArr3 = sArr;
                        annotationArr3 = annotationArr;
                        i14 = i3 + 1;
                        map4 = map2;
                        linkedHashMap4 = linkedHashMap;
                        strArr3 = strArr;
                        length = i2;
                        methods = methodArr;
                    }
                    i3 = i14;
                    i2 = length;
                    methodArr = methods;
                    linkedHashMap = linkedHashMap4;
                    i14 = i3 + 1;
                    map4 = map2;
                    linkedHashMap4 = linkedHashMap;
                    strArr3 = strArr;
                    length = i2;
                    methods = methodArr;
                }
            }
            strArr = strArr3;
            i3 = i14;
            i2 = length;
            methodArr = methods;
            linkedHashMap = linkedHashMap4;
            i14 = i3 + 1;
            map4 = map2;
            linkedHashMap4 = linkedHashMap;
            strArr3 = strArr;
            length = i2;
            methods = methodArr;
        }
        E(cls4, map3, propertyNamingStrategy2, linkedHashMap4, cls.getFields());
        return b0(cls4, z2, linkedHashMap4);
    }

    public static Class<?> F0(String str) {
        return G0(str, null);
    }

    public static List<d> G(Class<?> cls, Map<String, String> map) {
        return H(cls, map, true);
    }

    public static Class<?> G0(String str, ClassLoader classLoader) {
        return H0(str, classLoader, false);
    }

    public static List<d> H(Class<?> cls, Map<String, String> map, boolean z2) {
        HashMap hashMap = new HashMap();
        i.H(cls, hashMap);
        return F(cls, (JSONType) Q(cls, JSONType.class), map, hashMap, z2, PropertyNamingStrategy.CamelCase);
    }

    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:37:0x0083 */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x0089 A[Catch:{ all -> 0x008e }] */
    public static Class<?> H0(String str, ClassLoader classLoader, boolean z2) {
        if (str == null || str.length() == 0) {
            return null;
        }
        if (str.length() <= 198) {
            Class<?> cls = C.get(str);
            if (cls != null) {
                return cls;
            }
            if (str.charAt(0) == '[') {
                return Array.newInstance(G0(str.substring(1), classLoader), 0).getClass();
            }
            if (str.startsWith("L") && str.endsWith(g.f6031b)) {
                return G0(str.substring(1, str.length() - 1), classLoader);
            }
            if (classLoader != null) {
                try {
                    Class<?> loadClass = classLoader.loadClass(str);
                    if (z2) {
                        C.put(str, loadClass);
                    }
                    return loadClass;
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
            ClassLoader contextClassLoader = Thread.currentThread().getContextClassLoader();
            if (!(contextClassLoader == null || contextClassLoader == classLoader)) {
                Class<?> loadClass2 = contextClassLoader.loadClass(str);
                if (z2) {
                    try {
                        C.put(str, loadClass2);
                    } catch (Throwable unused) {
                        cls = loadClass2;
                    }
                }
                return loadClass2;
            }
            try {
                cls = Class.forName(str);
                if (z2) {
                    C.put(str, cls);
                }
            } catch (Throwable unused2) {
            }
            return cls;
        }
        throw new JSONException("illegal className : " + str);
    }

    public static List<d> I(Class<?> cls, Map<String, String> map, boolean z2, PropertyNamingStrategy propertyNamingStrategy) {
        LinkedHashMap linkedHashMap = new LinkedHashMap();
        for (Class<?> cls2 = cls; cls2 != null; cls2 = cls2.getSuperclass()) {
            E(cls2, map, propertyNamingStrategy, linkedHashMap, cls2.getDeclaredFields());
        }
        return b0(cls, z2, linkedHashMap);
    }

    public static long I0(Number number) {
        if (number instanceof BigDecimal) {
            return ((BigDecimal) number).longValueExact();
        }
        return number.longValue();
    }

    private static Map<TypeVariable, Type> J(TypeVariable[] typeVariableArr, Type[] typeArr) {
        int length = typeVariableArr.length;
        HashMap hashMap = new HashMap(length);
        for (int i2 = 0; i2 < length; i2++) {
            hashMap.put(typeVariableArr[i2], typeArr[i2]);
        }
        return hashMap;
    }

    public static long J0(BigDecimal bigDecimal) {
        if (bigDecimal == null) {
            return 0;
        }
        int scale = bigDecimal.scale();
        if (scale < -100 || scale > 100) {
            return bigDecimal.longValueExact();
        }
        return bigDecimal.longValue();
    }

    public static Collection K(Type type) {
        Class<?> cls;
        Type type2;
        Class<?> l0 = l0(type);
        if (l0 == AbstractCollection.class || l0 == Collection.class) {
            return new ArrayList();
        }
        if (l0.isAssignableFrom(HashSet.class)) {
            return new HashSet();
        }
        if (l0.isAssignableFrom(LinkedHashSet.class)) {
            return new LinkedHashSet();
        }
        if (l0.isAssignableFrom(TreeSet.class)) {
            return new TreeSet();
        }
        if (l0.isAssignableFrom(ArrayList.class)) {
            return new ArrayList();
        }
        if (l0.isAssignableFrom(EnumSet.class)) {
            if (type instanceof ParameterizedType) {
                type2 = ((ParameterizedType) type).getActualTypeArguments()[0];
            } else {
                type2 = Object.class;
            }
            return EnumSet.noneOf(type2);
        } else if (l0.isAssignableFrom(Queue.class) || ((cls = P) != null && l0.isAssignableFrom(cls))) {
            return new LinkedList();
        } else {
            try {
                return (Collection) l0.newInstance();
            } catch (Exception unused) {
                throw new JSONException("create instance error, class " + l0.getName());
            }
        }
    }

    private static ParameterizedType K0(Class<?> cls, Type[] typeArr, Map<TypeVariable, Type> map) {
        int length = typeArr.length;
        Type[] typeArr2 = new Type[length];
        for (int i2 = 0; i2 < length; i2++) {
            typeArr2[i2] = P(typeArr[i2], map);
        }
        return new i(typeArr2, null, cls);
    }

    public static String L(String str) {
        if (str == null || str.length() == 0) {
            return str;
        }
        if (str.length() > 1 && Character.isUpperCase(str.charAt(1)) && Character.isUpperCase(str.charAt(0))) {
            return str;
        }
        char[] charArray = str.toCharArray();
        charArray[0] = Character.toLowerCase(charArray[0]);
        return new String(charArray);
    }

    static int L0(char c2, char c3) {
        if (c2 < '0' || c2 > '9' || c3 < '0' || c3 > '9') {
            return -1;
        }
        return ((c2 - '0') * 10) + (c3 - '0');
    }

    public static long M(String str) {
        long j2 = -3750763034362895579L;
        for (int i2 = 0; i2 < str.length(); i2++) {
            j2 = (j2 ^ ((long) str.charAt(i2))) * 1099511628211L;
        }
        return j2;
    }

    static int M0(char c2, char c3, char c4, char c5) {
        if (c2 < '0' || c2 > '9' || c3 < '0' || c3 > '9' || c4 < '0' || c4 > '9' || c5 < '0' || c5 > '9') {
            return -1;
        }
        return ((c2 - '0') * 1000) + ((c3 - '0') * 100) + ((c4 - '0') * 10) + (c5 - '0');
    }

    public static long N(String str) {
        long j2 = -3750763034362895579L;
        for (int i2 = 0; i2 < str.length(); i2++) {
            char charAt = str.charAt(i2);
            if (!(charAt == '_' || charAt == '-')) {
                if (charAt >= 'A' && charAt <= 'Z') {
                    charAt = (char) (charAt + ' ');
                }
                j2 = (j2 ^ ((long) charAt)) * 1099511628211L;
            }
        }
        return j2;
    }

    static int N0(char c2, char c3, char c4, char c5, char c6, char c7, char c8, char c9, char c10) {
        if (c2 < '0' || c2 > '9' || c3 < '0' || c3 > '9' || c4 < '0' || c4 > '9' || c5 < '0' || c5 > '9' || c6 < '0' || c6 > '9' || c7 < '0' || c7 > '9' || c8 < '0' || c8 > '9' || c9 < '0' || c9 > '9' || c10 < '0' || c10 > '9') {
            return -1;
        }
        return ((c2 - '0') * 100000000) + ((c3 - '0') * 10000000) + ((c4 - '0') * DurationKt.NANOS_IN_MILLIS) + ((c5 - '0') * a.f8444e) + ((c6 - '0') * 10000) + ((c7 - '0') * 1000) + ((c8 - '0') * 100) + ((c9 - '0') * 10) + (c10 - '0');
    }

    public static long O(String str) {
        long j2 = -3750763034362895579L;
        for (int i2 = 0; i2 < str.length(); i2++) {
            char charAt = str.charAt(i2);
            if (charAt >= 'A' && charAt <= 'Z') {
                charAt = (char) (charAt + ' ');
            }
            j2 = (j2 ^ ((long) charAt)) * 1099511628211L;
        }
        return j2;
    }

    public static double O0(String str) {
        double d2;
        double d3;
        int length = str.length();
        if (length > 10) {
            return Double.parseDouble(str);
        }
        long j2 = 0;
        boolean z2 = false;
        int i2 = 0;
        for (int i3 = 0; i3 < length; i3++) {
            char charAt = str.charAt(i3);
            if (charAt == '-' && i3 == 0) {
                z2 = true;
            } else if (charAt == '.') {
                if (i2 != 0) {
                    return Double.parseDouble(str);
                }
                i2 = (length - i3) - 1;
            } else if (charAt < '0' || charAt > '9') {
                return Double.parseDouble(str);
            } else {
                j2 = (j2 * 10) + ((long) (charAt - '0'));
            }
        }
        if (z2) {
            j2 = -j2;
        }
        switch (i2) {
            case 0:
                return (double) j2;
            case 1:
                d2 = (double) j2;
                d3 = 10.0d;
                break;
            case 2:
                d2 = (double) j2;
                d3 = 100.0d;
                break;
            case 3:
                d2 = (double) j2;
                d3 = 1000.0d;
                break;
            case 4:
                d2 = (double) j2;
                d3 = 10000.0d;
                break;
            case 5:
                d2 = (double) j2;
                d3 = 100000.0d;
                break;
            case 6:
                d2 = (double) j2;
                d3 = 1000000.0d;
                break;
            case 7:
                d2 = (double) j2;
                d3 = 1.0E7d;
                break;
            case 8:
                d2 = (double) j2;
                d3 = 1.0E8d;
                break;
            case 9:
                d2 = (double) j2;
                d3 = 1.0E9d;
                break;
            default:
                return Double.parseDouble(str);
        }
        return d2 / d3;
    }

    private static Type P(Type type, Map<TypeVariable, Type> map) {
        if (type instanceof TypeVariable) {
            return map.get(type);
        }
        if (type instanceof ParameterizedType) {
            return K0(l0(type), ((ParameterizedType) type).getActualTypeArguments(), map);
        }
        return type instanceof GenericArrayType ? new e(P(((GenericArrayType) type).getGenericComponentType(), map)) : type;
    }

    public static float P0(String str) {
        float f2;
        float f3;
        int length = str.length();
        if (length >= 10) {
            return Float.parseFloat(str);
        }
        long j2 = 0;
        boolean z2 = false;
        int i2 = 0;
        for (int i3 = 0; i3 < length; i3++) {
            char charAt = str.charAt(i3);
            if (charAt == '-' && i3 == 0) {
                z2 = true;
            } else if (charAt == '.') {
                if (i2 != 0) {
                    return Float.parseFloat(str);
                }
                i2 = (length - i3) - 1;
            } else if (charAt < '0' || charAt > '9') {
                return Float.parseFloat(str);
            } else {
                j2 = (j2 * 10) + ((long) (charAt - '0'));
            }
        }
        if (z2) {
            j2 = -j2;
        }
        switch (i2) {
            case 0:
                return (float) j2;
            case 1:
                f2 = (float) j2;
                f3 = 10.0f;
                break;
            case 2:
                f2 = (float) j2;
                f3 = 100.0f;
                break;
            case 3:
                f2 = (float) j2;
                f3 = 1000.0f;
                break;
            case 4:
                f2 = (float) j2;
                f3 = 10000.0f;
                break;
            case 5:
                f2 = (float) j2;
                f3 = 100000.0f;
                break;
            case 6:
                f2 = (float) j2;
                f3 = 1000000.0f;
                break;
            case 7:
                f2 = (float) j2;
                f3 = 1.0E7f;
                break;
            case 8:
                f2 = (float) j2;
                f3 = 1.0E8f;
                break;
            case 9:
                f2 = (float) j2;
                f3 = 1.0E9f;
                break;
            default:
                return Float.parseFloat(str);
        }
        return f2 / f3;
    }

    public static <A extends Annotation> A Q(Class<?> cls, Class<A> cls2) {
        A a2 = (A) cls.getAnnotation(cls2);
        Type mixInAnnotations = com.alibaba.fastjson.a.getMixInAnnotations(cls);
        Class cls3 = mixInAnnotations instanceof Class ? (Class) mixInAnnotations : null;
        if (cls3 != null) {
            A a3 = (A) cls3.getAnnotation(cls2);
            Annotation[] annotations = cls3.getAnnotations();
            if (a3 == null && annotations.length > 0) {
                for (Annotation annotation : annotations) {
                    a3 = (A) annotation.annotationType().getAnnotation(cls2);
                    if (a3 != null) {
                        break;
                    }
                }
            }
            if (a3 != null) {
                return a3;
            }
        }
        Annotation[] annotations2 = cls.getAnnotations();
        if (a2 == null && annotations2.length > 0) {
            for (Annotation annotation2 : annotations2) {
                a2 = (A) annotation2.annotationType().getAnnotation(cls2);
                if (a2 != null) {
                    break;
                }
            }
        }
        return a2;
    }

    static void Q0(AccessibleObject accessibleObject) {
        if (f5825d && !accessibleObject.isAccessible()) {
            try {
                accessibleObject.setAccessible(true);
            } catch (AccessControlException unused) {
                f5825d = false;
            }
        }
    }

    public static <A extends Annotation> A R(Field field, Class<A> cls) {
        A a2;
        A a3 = (A) field.getAnnotation(cls);
        Type mixInAnnotations = com.alibaba.fastjson.a.getMixInAnnotations(field.getDeclaringClass());
        Field field2 = null;
        Class cls2 = mixInAnnotations instanceof Class ? (Class) mixInAnnotations : null;
        if (cls2 != null) {
            String name = field.getName();
            while (cls2 != null && cls2 != Object.class) {
                try {
                    field2 = cls2.getDeclaredField(name);
                    break;
                } catch (NoSuchFieldException unused) {
                    cls2 = cls2.getSuperclass();
                }
            }
            if (!(field2 == null || (a2 = (A) field2.getAnnotation(cls)) == null)) {
                return a2;
            }
        }
        return a3;
    }

    public static short R0(BigDecimal bigDecimal) {
        if (bigDecimal == null) {
            return 0;
        }
        int scale = bigDecimal.scale();
        if (scale < -100 || scale > 100) {
            return bigDecimal.shortValueExact();
        }
        return bigDecimal.shortValue();
    }

    public static <A extends Annotation> A S(Method method, Class<A> cls) {
        A a2;
        A a3 = (A) method.getAnnotation(cls);
        Type mixInAnnotations = com.alibaba.fastjson.a.getMixInAnnotations(method.getDeclaringClass());
        Method method2 = null;
        Class cls2 = mixInAnnotations instanceof Class ? (Class) mixInAnnotations : null;
        if (cls2 != null) {
            String name = method.getName();
            Class<?>[] parameterTypes = method.getParameterTypes();
            while (cls2 != null && cls2 != Object.class) {
                try {
                    method2 = cls2.getDeclaredMethod(name, parameterTypes);
                    break;
                } catch (NoSuchMethodException unused) {
                    cls2 = cls2.getSuperclass();
                }
            }
            if (!(method2 == null || (a2 = (A) method2.getAnnotation(cls)) == null)) {
                return a2;
            }
        }
        return a3;
    }

    public static Locale S0(String str) {
        String[] split = str.split(b.f14006b);
        if (split.length == 1) {
            return new Locale(split[0]);
        }
        if (split.length == 2) {
            return new Locale(split[0], split[1]);
        }
        return new Locale(split[0], split[1], split[2]);
    }

    public static Class<?> T(Type type) {
        if (type.getClass() == Class.class) {
            return (Class) type;
        }
        if (type instanceof ParameterizedType) {
            return T(((ParameterizedType) type).getRawType());
        }
        if (type instanceof TypeVariable) {
            Type type2 = ((TypeVariable) type).getBounds()[0];
            if (type2 instanceof Class) {
                return (Class) type2;
            }
            return T(type2);
        } else if (!(type instanceof WildcardType)) {
            return Object.class;
        } else {
            Type[] upperBounds = ((WildcardType) type).getUpperBounds();
            if (upperBounds.length == 1) {
                return T(upperBounds[0]);
            }
            return Object.class;
        }
    }

    public static Type T0(Type type) {
        if (!i) {
            try {
                j = Class.forName("java.util.Optional");
            } catch (Exception unused) {
            } catch (Throwable th) {
                i = true;
                throw th;
            }
            i = true;
        }
        if (!(type instanceof ParameterizedType)) {
            return type;
        }
        ParameterizedType parameterizedType = (ParameterizedType) type;
        return parameterizedType.getRawType() == j ? parameterizedType.getActualTypeArguments()[0] : type;
    }

    public static Class<?> U(String str) {
        return C.get(str);
    }

    public static Class<?> V(Type type) {
        if (!(type instanceof ParameterizedType)) {
            return Object.class;
        }
        Type type2 = ((ParameterizedType) type).getActualTypeArguments()[0];
        if (type2 instanceof WildcardType) {
            Type[] upperBounds = ((WildcardType) type2).getUpperBounds();
            if (upperBounds.length == 1) {
                type2 = upperBounds[0];
            }
        }
        if (type2 instanceof Class) {
            Class<?> cls = (Class) type2;
            if (Modifier.isPublic(cls.getModifiers())) {
                return cls;
            }
            throw new JSONException("can not create ASMParser");
        }
        throw new JSONException("can not create ASMParser");
    }

    private static Type W(Class<?> cls) {
        if (cls.getName().startsWith("java.")) {
            return Object.class;
        }
        return Y(Z(cls));
    }

    private static Type X(ParameterizedType parameterizedType) {
        Type rawType = parameterizedType.getRawType();
        Type[] actualTypeArguments = parameterizedType.getActualTypeArguments();
        if (rawType == Collection.class) {
            return o0(actualTypeArguments[0]);
        }
        Class cls = (Class) rawType;
        Map<TypeVariable, Type> J2 = J(cls.getTypeParameters(), actualTypeArguments);
        Type Z = Z(cls);
        if (!(Z instanceof ParameterizedType)) {
            return W((Class) Z);
        }
        Class<?> l0 = l0(Z);
        Type[] actualTypeArguments2 = ((ParameterizedType) Z).getActualTypeArguments();
        if (actualTypeArguments2.length > 0) {
            return X(K0(l0, actualTypeArguments2, J2));
        }
        return W(l0);
    }

    public static Type Y(Type type) {
        if (type instanceof ParameterizedType) {
            return X((ParameterizedType) type);
        }
        if (type instanceof Class) {
            return W((Class) type);
        }
        return Object.class;
    }

    private static Type Z(Class<?> cls) {
        Type[] genericInterfaces = cls.getGenericInterfaces();
        Type type = null;
        for (Type type2 : genericInterfaces) {
            Class<?> l0 = l0(type2);
            if (l0 == Collection.class) {
                return type2;
            }
            if (Collection.class.isAssignableFrom(l0)) {
                type = type2;
            }
        }
        return type == null ? cls.getGenericSuperclass() : type;
    }

    private static void a() {
        C.put("byte", Byte.TYPE);
        C.put("short", Short.TYPE);
        C.put("int", Integer.TYPE);
        C.put("long", Long.TYPE);
        C.put(w.b.f1678c, Float.TYPE);
        C.put("double", Double.TYPE);
        C.put(w.b.f, Boolean.TYPE);
        C.put("char", Character.TYPE);
        C.put("[byte", byte[].class);
        C.put("[short", short[].class);
        C.put("[int", int[].class);
        C.put("[long", long[].class);
        C.put("[float", float[].class);
        C.put("[double", double[].class);
        C.put("[boolean", boolean[].class);
        C.put("[char", char[].class);
        C.put("[B", byte[].class);
        C.put("[S", short[].class);
        C.put("[I", int[].class);
        C.put("[J", long[].class);
        C.put("[F", float[].class);
        C.put("[D", double[].class);
        C.put("[C", char[].class);
        C.put("[Z", boolean[].class);
        Class<?>[] clsArr = {Object.class, Cloneable.class, F0("java.lang.AutoCloseable"), Exception.class, RuntimeException.class, IllegalAccessError.class, IllegalAccessException.class, IllegalArgumentException.class, IllegalMonitorStateException.class, IllegalStateException.class, IllegalThreadStateException.class, IndexOutOfBoundsException.class, InstantiationError.class, InstantiationException.class, InternalError.class, InterruptedException.class, LinkageError.class, NegativeArraySizeException.class, NoClassDefFoundError.class, NoSuchFieldError.class, NoSuchFieldException.class, NoSuchMethodError.class, NoSuchMethodException.class, NullPointerException.class, NumberFormatException.class, OutOfMemoryError.class, SecurityException.class, StackOverflowError.class, StringIndexOutOfBoundsException.class, TypeNotPresentException.class, VerifyError.class, StackTraceElement.class, HashMap.class, Hashtable.class, TreeMap.class, IdentityHashMap.class, WeakHashMap.class, LinkedHashMap.class, HashSet.class, LinkedHashSet.class, TreeSet.class, ArrayList.class, TimeUnit.class, ConcurrentHashMap.class, AtomicInteger.class, AtomicLong.class, Collections.EMPTY_MAP.getClass(), Boolean.class, Character.class, Byte.class, Short.class, Integer.class, Long.class, Float.class, Double.class, Number.class, String.class, BigDecimal.class, BigInteger.class, BitSet.class, Calendar.class, Date.class, Locale.class, UUID.class, Time.class, java.sql.Date.class, Timestamp.class, SimpleDateFormat.class, JSONObject.class, c.class, JSONArray.class};
        for (int i2 = 0; i2 < 71; i2++) {
            Class<?> cls = clsArr[i2];
            if (cls != null) {
                C.put(cls.getName(), cls);
            }
        }
    }

    public static Field a0(Class<?> cls, String str, Field[] fieldArr) {
        char charAt;
        char charAt2;
        for (Field field : fieldArr) {
            String name = field.getName();
            if (str.equals(name)) {
                return field;
            }
            if (str.length() > 2 && (charAt = str.charAt(0)) >= 'a' && charAt <= 'z' && (charAt2 = str.charAt(1)) >= 'A' && charAt2 <= 'Z' && str.equalsIgnoreCase(name)) {
                return field;
            }
        }
        Class<? super Object> superclass = cls.getSuperclass();
        if (superclass == null || superclass == Object.class) {
            return null;
        }
        return a0(superclass, str, superclass.getDeclaredFields());
    }

    public static void b(String str, Class<?> cls) {
        C.put(str, cls);
    }

    private static List<d> b0(Class<?> cls, boolean z2, Map<String, d> map) {
        ArrayList arrayList = new ArrayList();
        JSONType jSONType = (JSONType) Q(cls, JSONType.class);
        String[] orders = jSONType != null ? jSONType.orders() : null;
        if (orders == null || orders.length <= 0) {
            arrayList.addAll(map.values());
            if (z2) {
                Collections.sort(arrayList);
            }
        } else {
            LinkedHashMap linkedHashMap = new LinkedHashMap(arrayList.size());
            for (d dVar : map.values()) {
                linkedHashMap.put(dVar.f5788a, dVar);
            }
            for (String str : orders) {
                d dVar2 = (d) linkedHashMap.get(str);
                if (dVar2 != null) {
                    arrayList.add(dVar2);
                    linkedHashMap.remove(str);
                }
            }
            arrayList.addAll(linkedHashMap.values());
        }
        return arrayList;
    }

    public static c1 c(Class<?> cls, Map<String, String> map, PropertyNamingStrategy propertyNamingStrategy) {
        return d(cls, map, propertyNamingStrategy, false);
    }

    public static Type c0(Type type) {
        return (!(type instanceof ParameterizedType) && (type instanceof Class)) ? c0(((Class) type).getGenericSuperclass()) : type;
    }

    public static c1 d(Class<?> cls, Map<String, String> map, PropertyNamingStrategy propertyNamingStrategy, boolean z2) {
        int i2;
        PropertyNamingStrategy propertyNamingStrategy2;
        String str;
        String str2;
        String[] strArr;
        List<d> list;
        List<d> list2;
        JSONType jSONType = (JSONType) Q(cls, JSONType.class);
        String str3 = null;
        if (jSONType != null) {
            String[] orders = jSONType.orders();
            String typeName = jSONType.typeName();
            if (typeName.length() == 0) {
                typeName = null;
            }
            PropertyNamingStrategy naming = jSONType.naming();
            if (naming == PropertyNamingStrategy.CamelCase) {
                naming = propertyNamingStrategy;
            }
            int of = SerializerFeature.of(jSONType.serialzeFeatures());
            Class<? super Object> superclass = cls.getSuperclass();
            String str4 = null;
            while (superclass != null && superclass != Object.class) {
                JSONType jSONType2 = (JSONType) Q(superclass, JSONType.class);
                if (jSONType2 == null) {
                    break;
                }
                str4 = jSONType2.typeKey();
                if (str4.length() != 0) {
                    break;
                }
                superclass = superclass.getSuperclass();
            }
            for (Class<?> cls2 : cls.getInterfaces()) {
                JSONType jSONType3 = (JSONType) Q(cls2, JSONType.class);
                if (jSONType3 != null) {
                    str4 = jSONType3.typeKey();
                    if (str4.length() != 0) {
                        break;
                    }
                }
            }
            if (str4 == null || str4.length() != 0) {
                str3 = str4;
            }
            str = str3;
            strArr = orders;
            str2 = typeName;
            propertyNamingStrategy2 = naming;
            i2 = of;
        } else {
            propertyNamingStrategy2 = propertyNamingStrategy;
            strArr = null;
            str2 = null;
            str = null;
            i2 = 0;
        }
        HashMap hashMap = new HashMap();
        i.H(cls, hashMap);
        if (z2) {
            list = I(cls, map, false, propertyNamingStrategy2);
        } else {
            list = F(cls, jSONType, map, hashMap, false, propertyNamingStrategy2);
        }
        d[] dVarArr = new d[list.size()];
        list.toArray(dVarArr);
        if (strArr == null || strArr.length == 0) {
            ArrayList arrayList = new ArrayList(list);
            Collections.sort(arrayList);
            list2 = arrayList;
        } else if (z2) {
            list2 = I(cls, map, true, propertyNamingStrategy2);
        } else {
            list2 = F(cls, jSONType, map, hashMap, true, propertyNamingStrategy2);
        }
        d[] dVarArr2 = new d[list2.size()];
        list2.toArray(dVarArr2);
        return new c1(cls, jSONType, str2, str, i2, dVarArr, Arrays.equals(dVarArr2, dVarArr) ? dVarArr : dVarArr2);
    }

    public static String[] d0(Class cls) {
        if (v == null && !u) {
            try {
                v = Class.forName("kotlin.reflect.jvm.internal.KClassImpl").getConstructor(Class.class);
            } catch (Throwable unused) {
                u = true;
            }
        }
        if (v == null) {
            return null;
        }
        if (w == null && !u) {
            try {
                w = Class.forName("kotlin.reflect.jvm.internal.KClassImpl").getMethod("getConstructors", new Class[0]);
            } catch (Throwable unused2) {
                u = true;
            }
        }
        if (x == null && !u) {
            try {
                x = Class.forName("kotlin.reflect.KFunction").getMethod("getParameters", new Class[0]);
            } catch (Throwable unused3) {
                u = true;
            }
        }
        if (y == null && !u) {
            try {
                y = Class.forName("kotlin.reflect.KParameter").getMethod("getName", new Class[0]);
            } catch (Throwable unused4) {
                u = true;
            }
        }
        if (z) {
            return null;
        }
        try {
            Iterator it = ((Iterable) w.invoke(v.newInstance(cls), new Object[0])).iterator();
            Object obj = null;
            while (it.hasNext()) {
                Object next = it.next();
                List list = (List) x.invoke(next, new Object[0]);
                if (obj == null || list.size() != 0) {
                    obj = next;
                }
                it.hasNext();
            }
            if (obj == null) {
                return null;
            }
            List list2 = (List) x.invoke(obj, new Object[0]);
            String[] strArr = new String[list2.size()];
            for (int i2 = 0; i2 < list2.size(); i2++) {
                strArr[i2] = (String) y.invoke(list2.get(i2), new Object[0]);
            }
            return strArr;
        } catch (Throwable th) {
            th.printStackTrace();
            z = true;
            return null;
        }
    }

    public static byte e(BigDecimal bigDecimal) {
        if (bigDecimal == null) {
            return 0;
        }
        int scale = bigDecimal.scale();
        if (scale < -100 || scale > 100) {
            return bigDecimal.byteValueExact();
        }
        return bigDecimal.byteValue();
    }

    public static Constructor e0(Constructor[] constructorArr) {
        return f0(constructorArr, null);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r5v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    public static <T> T f(Object obj, Class<T> cls, i iVar) {
        T t2;
        int i2 = 0;
        if (obj == 0) {
            if (cls == Integer.TYPE) {
                return (T) 0;
            }
            if (cls == Long.TYPE) {
                return (T) 0L;
            }
            if (cls == Short.TYPE) {
                return (T) 0;
            }
            if (cls == Byte.TYPE) {
                return (T) (byte) 0;
            }
            if (cls == Float.TYPE) {
                return (T) Float.valueOf(0.0f);
            }
            if (cls == Double.TYPE) {
                return (T) Double.valueOf(0.0d);
            }
            if (cls == Boolean.TYPE) {
                return (T) Boolean.FALSE;
            }
            return null;
        } else if (cls == null) {
            throw new IllegalArgumentException("clazz is null");
        } else if (cls == obj.getClass()) {
            return obj;
        } else {
            if (!(obj instanceof Map)) {
                if (cls.isArray()) {
                    if (obj instanceof Collection) {
                        Collection<Object> collection = (Collection) obj;
                        T t3 = (T) Array.newInstance(cls.getComponentType(), collection.size());
                        for (Object obj2 : collection) {
                            Array.set(t3, i2, f(obj2, cls.getComponentType(), iVar));
                            i2++;
                        }
                        return t3;
                    } else if (cls == byte[].class) {
                        return (T) m(obj);
                    }
                }
                if (cls.isAssignableFrom(obj.getClass())) {
                    return obj;
                }
                if (cls == Boolean.TYPE || cls == Boolean.class) {
                    return (T) k(obj);
                }
                if (cls == Byte.TYPE || cls == Byte.class) {
                    return (T) l(obj);
                }
                if (cls == Character.TYPE || cls == Character.class) {
                    return (T) n(obj);
                }
                if (cls == Short.TYPE || cls == Short.class) {
                    return (T) x(obj);
                }
                if (cls == Integer.TYPE || cls == Integer.class) {
                    return (T) t(obj);
                }
                if (cls == Long.TYPE || cls == Long.class) {
                    return (T) w(obj);
                }
                if (cls == Float.TYPE || cls == Float.class) {
                    return (T) s(obj);
                }
                if (cls == Double.TYPE || cls == Double.class) {
                    return (T) q(obj);
                }
                if (cls == String.class) {
                    return (T) A(obj);
                }
                if (cls == BigDecimal.class) {
                    return (T) i(obj);
                }
                if (cls == BigInteger.class) {
                    return (T) j(obj);
                }
                if (cls == Date.class) {
                    return (T) o(obj);
                }
                if (cls == java.sql.Date.class) {
                    return (T) y(obj);
                }
                if (cls == Time.class) {
                    return (T) z(obj);
                }
                if (cls == Timestamp.class) {
                    return (T) B(obj);
                }
                if (cls.isEnum()) {
                    return (T) r(obj, cls, iVar);
                }
                if (Calendar.class.isAssignableFrom(cls)) {
                    Date o2 = o(obj);
                    if (cls == Calendar.class) {
                        t2 = (T) Calendar.getInstance(com.alibaba.fastjson.a.defaultTimeZone, com.alibaba.fastjson.a.defaultLocale);
                    } else {
                        try {
                            t2 = cls.newInstance();
                        } catch (Exception e2) {
                            throw new JSONException("can not cast to : " + cls.getName(), e2);
                        }
                    }
                    t2.setTime(o2);
                    return t2;
                }
                String name = cls.getName();
                if (name.equals("javax.xml.datatype.XMLGregorianCalendar")) {
                    Date o3 = o(obj);
                    Calendar instance = Calendar.getInstance(com.alibaba.fastjson.a.defaultTimeZone, com.alibaba.fastjson.a.defaultLocale);
                    instance.setTime(o3);
                    return (T) p.f5754a.g(instance);
                }
                if (obj instanceof String) {
                    String str = (String) obj;
                    if (str.length() == 0 || "null".equals(str) || "NULL".equals(str)) {
                        return null;
                    }
                    if (cls == Currency.class) {
                        return (T) Currency.getInstance(str);
                    }
                    if (cls == Locale.class) {
                        return (T) S0(str);
                    }
                    if (name.startsWith("java.time.")) {
                        return (T) com.alibaba.fastjson.a.parseObject(com.alibaba.fastjson.a.toJSONString(str), cls);
                    }
                }
                if (iVar.o(cls) != null) {
                    return (T) com.alibaba.fastjson.a.parseObject(com.alibaba.fastjson.a.toJSONString(obj), cls);
                }
                throw new JSONException("can not cast to : " + cls.getName());
            } else if (cls == Map.class) {
                return obj;
            } else {
                Map map = (Map) obj;
                return (cls != Object.class || map.containsKey(com.alibaba.fastjson.a.DEFAULT_TYPE_KEY)) ? (T) v(map, cls, iVar) : obj;
            }
        }
    }

    public static Constructor f0(Constructor[] constructorArr, String[] strArr) {
        Constructor constructor = null;
        for (Constructor constructor2 : constructorArr) {
            Class<?>[] parameterTypes = constructor2.getParameterTypes();
            if ((strArr == null || parameterTypes.length == strArr.length) && ((parameterTypes.length <= 0 || !parameterTypes[parameterTypes.length - 1].getName().equals("kotlin.jvm.internal.DefaultConstructorMarker")) && (constructor == null || constructor.getParameterTypes().length < parameterTypes.length))) {
                constructor = constructor2;
            }
        }
        return constructor;
    }

    public static <T> T g(Object obj, ParameterizedType parameterizedType, i iVar) {
        Object obj2;
        Object obj3;
        Type rawType = parameterizedType.getRawType();
        if (rawType == List.class || rawType == ArrayList.class) {
            Type type = parameterizedType.getActualTypeArguments()[0];
            if (obj instanceof List) {
                List list = (List) obj;
                T t2 = (T) new ArrayList(list.size());
                for (int i2 = 0; i2 < list.size(); i2++) {
                    Object obj4 = list.get(i2);
                    if (!(type instanceof Class)) {
                        obj3 = h(obj4, type, iVar);
                    } else if (obj4 == null || obj4.getClass() != JSONObject.class) {
                        obj3 = f(obj4, (Class) type, iVar);
                    } else {
                        obj3 = ((JSONObject) obj4).toJavaObject((Class) type, iVar, 0);
                    }
                    t2.add(obj3);
                }
                return t2;
            }
        }
        if (rawType == Set.class || rawType == HashSet.class || rawType == TreeSet.class || rawType == Collection.class || rawType == List.class || rawType == ArrayList.class) {
            Type type2 = parameterizedType.getActualTypeArguments()[0];
            if (obj instanceof Iterable) {
                T t3 = (rawType == Set.class || rawType == HashSet.class) ? (T) new HashSet() : rawType == TreeSet.class ? (T) new TreeSet() : (T) new ArrayList();
                for (T t4 : (Iterable) obj) {
                    if (!(type2 instanceof Class)) {
                        obj2 = h(t4, type2, iVar);
                    } else if (t4 == null || t4.getClass() != JSONObject.class) {
                        obj2 = f(t4, (Class) type2, iVar);
                    } else {
                        obj2 = t4.toJavaObject((Class) type2, iVar, 0);
                    }
                    t3.add(obj2);
                }
                return t3;
            }
        }
        if (rawType == Map.class || rawType == HashMap.class) {
            Type type3 = parameterizedType.getActualTypeArguments()[0];
            Type type4 = parameterizedType.getActualTypeArguments()[1];
            if (obj instanceof Map) {
                T t5 = (T) new HashMap();
                for (Map.Entry entry : ((Map) obj).entrySet()) {
                    t5.put(h(entry.getKey(), type3, iVar), h(entry.getValue(), type4, iVar));
                }
                return t5;
            }
        }
        if ((obj instanceof String) && ((String) obj).length() == 0) {
            return null;
        }
        Type[] actualTypeArguments = parameterizedType.getActualTypeArguments();
        if (actualTypeArguments.length == 1 && (parameterizedType.getActualTypeArguments()[0] instanceof WildcardType)) {
            return (T) h(obj, rawType, iVar);
        }
        if (rawType == Map.Entry.class && (obj instanceof Map)) {
            Map map = (Map) obj;
            if (map.size() == 1) {
                T t6 = (T) ((Map.Entry) map.entrySet().iterator().next());
                Object value = t6.getValue();
                if (actualTypeArguments.length == 2 && (value instanceof Map)) {
                    t6.setValue(h(value, actualTypeArguments[1], iVar));
                }
                return t6;
            }
        }
        if (rawType instanceof Class) {
            if (iVar == null) {
                iVar = i.l;
            }
            t t7 = iVar.t(rawType);
            if (t7 != null) {
                return (T) t7.b(new com.alibaba.fastjson.parser.b(com.alibaba.fastjson.a.toJSONString(obj), iVar), parameterizedType, null);
            }
        }
        throw new JSONException("can not cast to : " + parameterizedType);
    }

    public static Annotation[][] g0(Constructor constructor) {
        Annotation[][] parameterAnnotations;
        Constructor declaredConstructor;
        Annotation[][] parameterAnnotations2 = constructor.getParameterAnnotations();
        Type mixInAnnotations = com.alibaba.fastjson.a.getMixInAnnotations(constructor.getDeclaringClass());
        Constructor constructor2 = null;
        Class cls = mixInAnnotations instanceof Class ? (Class) mixInAnnotations : null;
        if (cls != null) {
            Class<?>[] parameterTypes = constructor.getParameterTypes();
            ArrayList arrayList = new ArrayList(2);
            for (Class<?> enclosingClass = cls.getEnclosingClass(); enclosingClass != null; enclosingClass = enclosingClass.getEnclosingClass()) {
                arrayList.add(enclosingClass);
            }
            int size = arrayList.size();
            Class cls2 = cls;
            while (true) {
                if (cls2 == null || cls2 == Object.class) {
                    break;
                }
                if (size == 0) {
                    declaredConstructor = cls.getDeclaredConstructor(parameterTypes);
                    break;
                }
                try {
                    Class<?>[] clsArr = new Class[(parameterTypes.length + size)];
                    System.arraycopy(parameterTypes, 0, clsArr, size, parameterTypes.length);
                    for (int i2 = size; i2 > 0; i2--) {
                        int i3 = i2 - 1;
                        clsArr[i3] = (Class) arrayList.get(i3);
                    }
                    declaredConstructor = cls.getDeclaredConstructor(clsArr);
                } catch (NoSuchMethodException unused) {
                    size--;
                    cls2 = cls2.getSuperclass();
                }
            }
            constructor2 = declaredConstructor;
            if (!(constructor2 == null || (parameterAnnotations = constructor2.getParameterAnnotations()) == null)) {
                return parameterAnnotations;
            }
        }
        return parameterAnnotations2;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    public static <T> T h(Object obj, Type type, i iVar) {
        if (obj == 0) {
            return null;
        }
        if (type instanceof Class) {
            return (T) f(obj, (Class) type, iVar);
        }
        if (type instanceof ParameterizedType) {
            return (T) g(obj, (ParameterizedType) type, iVar);
        }
        if (obj instanceof String) {
            String str = (String) obj;
            if (str.length() == 0 || "null".equals(str) || "NULL".equals(str)) {
                return null;
            }
        }
        if (type instanceof TypeVariable) {
            return obj;
        }
        throw new JSONException("can not cast to : " + type);
    }

    public static Annotation[][] h0(Method method) {
        Annotation[][] parameterAnnotations;
        Annotation[][] parameterAnnotations2 = method.getParameterAnnotations();
        Type mixInAnnotations = com.alibaba.fastjson.a.getMixInAnnotations(method.getDeclaringClass());
        Method method2 = null;
        Class cls = mixInAnnotations instanceof Class ? (Class) mixInAnnotations : null;
        if (cls != null) {
            String name = method.getName();
            Class<?>[] parameterTypes = method.getParameterTypes();
            while (cls != null && cls != Object.class) {
                try {
                    method2 = cls.getDeclaredMethod(name, parameterTypes);
                    break;
                } catch (NoSuchMethodException unused) {
                    cls = cls.getSuperclass();
                }
            }
            if (!(method2 == null || (parameterAnnotations = method2.getParameterAnnotations()) == null)) {
                return parameterAnnotations;
            }
        }
        return parameterAnnotations2;
    }

    public static BigDecimal i(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof Float) {
            Float f2 = (Float) obj;
            if (Float.isNaN(f2.floatValue()) || Float.isInfinite(f2.floatValue())) {
                return null;
            }
        } else if (obj instanceof Double) {
            Double d2 = (Double) obj;
            if (Double.isNaN(d2.doubleValue()) || Double.isInfinite(d2.doubleValue())) {
                return null;
            }
        } else if (obj instanceof BigDecimal) {
            return (BigDecimal) obj;
        } else {
            if (obj instanceof BigInteger) {
                return new BigDecimal((BigInteger) obj);
            }
            if ((obj instanceof Map) && ((Map) obj).size() == 0) {
                return null;
            }
        }
        String obj2 = obj.toString();
        if (obj2.length() == 0 || obj2.equalsIgnoreCase("null")) {
            return null;
        }
        if (obj2.length() <= 65535) {
            return new BigDecimal(obj2);
        }
        throw new JSONException("decimal overflow");
    }

    public static int i0(Class<?> cls) {
        JSONType jSONType = (JSONType) Q(cls, JSONType.class);
        if (jSONType == null) {
            return 0;
        }
        return Feature.of(jSONType.parseFeatures());
    }

    public static BigInteger j(Object obj) {
        BigDecimal bigDecimal;
        int scale;
        if (obj == null) {
            return null;
        }
        if (obj instanceof Float) {
            Float f2 = (Float) obj;
            if (Float.isNaN(f2.floatValue()) || Float.isInfinite(f2.floatValue())) {
                return null;
            }
            return BigInteger.valueOf(f2.longValue());
        } else if (obj instanceof Double) {
            Double d2 = (Double) obj;
            if (Double.isNaN(d2.doubleValue()) || Double.isInfinite(d2.doubleValue())) {
                return null;
            }
            return BigInteger.valueOf(d2.longValue());
        } else if (obj instanceof BigInteger) {
            return (BigInteger) obj;
        } else {
            if ((obj instanceof BigDecimal) && (scale = (bigDecimal = (BigDecimal) obj).scale()) > -1000 && scale < 1000) {
                return bigDecimal.toBigInteger();
            }
            String obj2 = obj.toString();
            if (obj2.length() == 0 || obj2.equalsIgnoreCase("null")) {
                return null;
            }
            if (obj2.length() <= 65535) {
                return new BigInteger(obj2);
            }
            throw new JSONException("decimal overflow");
        }
    }

    private static String j0(Map<String, Field> map, String str, String str2, int i2) {
        if (!f5824c || map.containsKey(str2)) {
            return str2;
        }
        String substring = str.substring(i2);
        return map.containsKey(substring) ? substring : str2;
    }

    public static Boolean k(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof Boolean) {
            return (Boolean) obj;
        }
        boolean z2 = false;
        if (obj instanceof BigDecimal) {
            if (q0((BigDecimal) obj) == 1) {
                z2 = true;
            }
            return Boolean.valueOf(z2);
        } else if (obj instanceof Number) {
            if (((Number) obj).intValue() == 1) {
                z2 = true;
            }
            return Boolean.valueOf(z2);
        } else {
            if (obj instanceof String) {
                String str = (String) obj;
                if (str.length() == 0 || "null".equals(str) || "NULL".equals(str)) {
                    return null;
                }
                if ("true".equalsIgnoreCase(str) || "1".equals(str)) {
                    return Boolean.TRUE;
                }
                if ("false".equalsIgnoreCase(str) || "0".equals(str)) {
                    return Boolean.FALSE;
                }
                if ("Y".equalsIgnoreCase(str) || ExifInterface.I4.equals(str)) {
                    return Boolean.TRUE;
                }
                if ("F".equalsIgnoreCase(str) || "N".equals(str)) {
                    return Boolean.FALSE;
                }
            }
            throw new JSONException("can not cast to boolean, value : " + obj);
        }
    }

    public static String k0(String str) {
        return Character.toLowerCase(str.charAt(3)) + str.substring(4);
    }

    public static Byte l(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof BigDecimal) {
            return Byte.valueOf(e((BigDecimal) obj));
        }
        if (obj instanceof Number) {
            return Byte.valueOf(((Number) obj).byteValue());
        }
        if (obj instanceof String) {
            String str = (String) obj;
            if (str.length() == 0 || "null".equals(str) || "NULL".equals(str)) {
                return null;
            }
            return Byte.valueOf(Byte.parseByte(str));
        } else if (obj instanceof Boolean) {
            return Byte.valueOf(((Boolean) obj).booleanValue() ? (byte) 1 : 0);
        } else {
            throw new JSONException("can not cast to byte, value : " + obj);
        }
    }

    public static Class<?> l0(Type type) {
        if (type instanceof Class) {
            return (Class) type;
        }
        if (type instanceof ParameterizedType) {
            return l0(((ParameterizedType) type).getRawType());
        }
        if (type instanceof WildcardType) {
            Type[] upperBounds = ((WildcardType) type).getUpperBounds();
            if (upperBounds.length == 1) {
                return l0(upperBounds[0]);
            }
            throw new JSONException("TODO");
        }
        throw new JSONException("TODO");
    }

    public static byte[] m(Object obj) {
        if (obj instanceof byte[]) {
            return (byte[]) obj;
        }
        if (obj instanceof String) {
            return f.c((String) obj);
        }
        throw new JSONException("can not cast to byte[], value : " + obj);
    }

    public static int m0(Class<?> cls) {
        JSONType jSONType = (JSONType) Q(cls, JSONType.class);
        if (jSONType == null) {
            return 0;
        }
        return SerializerFeature.of(jSONType.serialzeFeatures());
    }

    public static Character n(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof Character) {
            return (Character) obj;
        }
        if (obj instanceof String) {
            String str = (String) obj;
            if (str.length() == 0) {
                return null;
            }
            if (str.length() == 1) {
                return Character.valueOf(str.charAt(0));
            }
            throw new JSONException("can not cast to char, value : " + obj);
        }
        throw new JSONException("can not cast to char, value : " + obj);
    }

    public static JSONField n0(Class<?> cls, Method method) {
        boolean z2;
        JSONField jSONField;
        boolean z3;
        JSONField jSONField2;
        Class<?>[] interfaces = cls.getInterfaces();
        if (interfaces.length > 0) {
            Class<?>[] parameterTypes = method.getParameterTypes();
            for (Class<?> cls2 : interfaces) {
                Method[] methods = cls2.getMethods();
                for (Method method2 : methods) {
                    Class<?>[] parameterTypes2 = method2.getParameterTypes();
                    if (parameterTypes2.length == parameterTypes.length && method2.getName().equals(method.getName())) {
                        int i2 = 0;
                        while (true) {
                            if (i2 >= parameterTypes.length) {
                                z3 = true;
                                break;
                            } else if (!parameterTypes2[i2].equals(parameterTypes[i2])) {
                                z3 = false;
                                break;
                            } else {
                                i2++;
                            }
                        }
                        if (z3 && (jSONField2 = (JSONField) S(method2, JSONField.class)) != null) {
                            return jSONField2;
                        }
                    }
                }
            }
        }
        Class<? super Object> superclass = cls.getSuperclass();
        if (superclass != null && Modifier.isAbstract(superclass.getModifiers())) {
            Class<?>[] parameterTypes3 = method.getParameterTypes();
            Method[] methods2 = superclass.getMethods();
            for (Method method3 : methods2) {
                Class<?>[] parameterTypes4 = method3.getParameterTypes();
                if (parameterTypes4.length == parameterTypes3.length && method3.getName().equals(method.getName())) {
                    int i3 = 0;
                    while (true) {
                        if (i3 >= parameterTypes3.length) {
                            z2 = true;
                            break;
                        } else if (!parameterTypes4[i3].equals(parameterTypes3[i3])) {
                            z2 = false;
                            break;
                        } else {
                            i3++;
                        }
                    }
                    if (z2 && (jSONField = (JSONField) S(method3, JSONField.class)) != null) {
                        return jSONField;
                    }
                }
            }
        }
        return null;
    }

    public static Date o(Object obj) {
        return p(obj, null);
    }

    private static Type o0(Type type) {
        if (!(type instanceof WildcardType)) {
            return type;
        }
        Type[] upperBounds = ((WildcardType) type).getUpperBounds();
        return upperBounds.length > 0 ? upperBounds[0] : Object.class;
    }

    public static Date p(Object obj, String str) {
        long j2;
        if (obj == null) {
            return null;
        }
        if (obj instanceof Date) {
            return (Date) obj;
        }
        if (obj instanceof Calendar) {
            return ((Calendar) obj).getTime();
        }
        if (obj instanceof BigDecimal) {
            return new Date(J0((BigDecimal) obj));
        }
        if (obj instanceof Number) {
            long longValue = ((Number) obj).longValue();
            if ("unixtime".equals(str)) {
                longValue *= 1000;
            }
            return new Date(longValue);
        }
        if (obj instanceof String) {
            String str2 = (String) obj;
            f fVar = new f(str2);
            try {
                if (fVar.f3(false)) {
                    return fVar.Z1().getTime();
                }
                fVar.close();
                if (str2.startsWith("/Date(") && str2.endsWith(")/")) {
                    str2 = str2.substring(6, str2.length() - 2);
                }
                if (str2.indexOf(45) > 0 || str2.indexOf(43) > 0 || str != null) {
                    if (str == null) {
                        int length = str2.length();
                        if (length == com.alibaba.fastjson.a.DEFFAULT_DATE_FORMAT.length() || (length == 22 && com.alibaba.fastjson.a.DEFFAULT_DATE_FORMAT.equals("yyyyMMddHHmmssSSSZ"))) {
                            str = com.alibaba.fastjson.a.DEFFAULT_DATE_FORMAT;
                        } else {
                            str = length == 10 ? "yyyy-MM-dd" : length == 19 ? "yyyy-MM-dd HH:mm:ss" : (length == 29 && str2.charAt(26) == ':' && str2.charAt(28) == '0') ? "yyyy-MM-dd'T'HH:mm:ss.SSSXXX" : (length == 23 && str2.charAt(19) == ',') ? "yyyy-MM-dd HH:mm:ss,SSS" : "yyyy-MM-dd HH:mm:ss.SSS";
                        }
                    }
                    SimpleDateFormat simpleDateFormat = new SimpleDateFormat(str, com.alibaba.fastjson.a.defaultLocale);
                    simpleDateFormat.setTimeZone(com.alibaba.fastjson.a.defaultTimeZone);
                    try {
                        return simpleDateFormat.parse(str2);
                    } catch (ParseException unused) {
                        throw new JSONException("can not cast to Date, value : " + str2);
                    }
                } else if (str2.length() == 0) {
                    return null;
                } else {
                    j2 = Long.parseLong(str2);
                }
            } finally {
                fVar.close();
            }
        } else {
            j2 = -1;
        }
        if (j2 != -1) {
            return new Date(j2);
        }
        Class<?> cls = obj.getClass();
        if ("oracle.sql.TIMESTAMP".equals(cls.getName())) {
            if (f == null && !f5826e) {
                try {
                    f = cls.getMethod("toJdbc", new Class[0]);
                } catch (NoSuchMethodException unused2) {
                } catch (Throwable th) {
                    f5826e = true;
                    throw th;
                }
                f5826e = true;
            }
            try {
                return (Date) f.invoke(obj, new Object[0]);
            } catch (Exception e2) {
                throw new JSONException("can not cast oracle.sql.TIMESTAMP to Date", e2);
            }
        } else if ("oracle.sql.DATE".equals(cls.getName())) {
            if (h == null && !g) {
                try {
                    h = cls.getMethod("toJdbc", new Class[0]);
                } catch (NoSuchMethodException unused3) {
                } catch (Throwable th2) {
                    g = true;
                    throw th2;
                }
                g = true;
            }
            try {
                return (Date) h.invoke(obj, new Object[0]);
            } catch (Exception e3) {
                throw new JSONException("can not cast oracle.sql.DATE to Date", e3);
            }
        } else {
            throw new JSONException("can not cast to Date, value : " + obj);
        }
    }

    public static Annotation p0(Class cls) {
        if (K == null && !L) {
            try {
                K = Class.forName("javax.xml.bind.annotation.XmlAccessorType");
            } catch (Throwable unused) {
                L = true;
            }
        }
        if (K == null) {
            return null;
        }
        return Q(cls, K);
    }

    public static Double q(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof Number) {
            return Double.valueOf(((Number) obj).doubleValue());
        }
        if (obj instanceof String) {
            String obj2 = obj.toString();
            if (obj2.length() == 0 || "null".equals(obj2) || "NULL".equals(obj2)) {
                return null;
            }
            if (obj2.indexOf(44) != -1) {
                obj2 = obj2.replaceAll(",", "");
            }
            return Double.valueOf(Double.parseDouble(obj2));
        } else if (obj instanceof Boolean) {
            return Double.valueOf(((Boolean) obj).booleanValue() ? 1.0d : 0.0d);
        } else {
            throw new JSONException("can not cast to double, value : " + obj);
        }
    }

    public static int q0(BigDecimal bigDecimal) {
        if (bigDecimal == null) {
            return 0;
        }
        int scale = bigDecimal.scale();
        if (scale < -100 || scale > 100) {
            return bigDecimal.intValueExact();
        }
        return bigDecimal.intValue();
    }

    public static <T> T r(Object obj, Class<T> cls, i iVar) {
        try {
            if (obj instanceof String) {
                String str = (String) obj;
                if (str.length() == 0) {
                    return null;
                }
                if (iVar == null) {
                    iVar = i.y();
                }
                t t2 = iVar.t(cls);
                return t2 instanceof h ? (T) ((h) t2).c(M(str)) : (T) Enum.valueOf(cls, str);
            }
            if (obj instanceof BigDecimal) {
                int q0 = q0((BigDecimal) obj);
                T[] enumConstants = cls.getEnumConstants();
                if (q0 < enumConstants.length) {
                    return enumConstants[q0];
                }
            }
            if (obj instanceof Number) {
                int intValue = ((Number) obj).intValue();
                T[] enumConstants2 = cls.getEnumConstants();
                if (intValue < enumConstants2.length) {
                    return enumConstants2[intValue];
                }
            }
            throw new JSONException("can not cast to : " + cls.getName());
        } catch (Exception e2) {
            throw new JSONException("can not cast to : " + cls.getName(), e2);
        }
    }

    /* JADX DEBUG: Type inference failed for r1v7. Raw type applied. Possible types: java.lang.Class<?>, java.lang.Class<? extends java.lang.annotation.Annotation> */
    public static boolean r0(Method method) {
        if (method == null) {
            return false;
        }
        if (o == null && !p) {
            try {
                o = Class.forName("javax.persistence.ManyToMany");
            } catch (Throwable unused) {
                p = true;
            }
        }
        if (o == null) {
            return false;
        }
        if (method.isAnnotationPresent(m) || method.isAnnotationPresent(o)) {
            return true;
        }
        return false;
    }

    public static Float s(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof Number) {
            return Float.valueOf(((Number) obj).floatValue());
        }
        if (obj instanceof String) {
            String obj2 = obj.toString();
            if (obj2.length() == 0 || "null".equals(obj2) || "NULL".equals(obj2)) {
                return null;
            }
            if (obj2.indexOf(44) != -1) {
                obj2 = obj2.replaceAll(",", "");
            }
            return Float.valueOf(Float.parseFloat(obj2));
        } else if (obj instanceof Boolean) {
            return Float.valueOf(((Boolean) obj).booleanValue() ? 1.0f : 0.0f);
        } else {
            throw new JSONException("can not cast to float, value : " + obj);
        }
    }

    /* JADX DEBUG: Type inference failed for r1v4. Raw type applied. Possible types: java.lang.Class<?>, java.lang.Class<? extends java.lang.annotation.Annotation> */
    public static boolean s0(Method method) {
        if (method == null) {
            return false;
        }
        if (m == null && !n) {
            try {
                m = Class.forName("javax.persistence.OneToMany");
            } catch (Throwable unused) {
                n = true;
            }
        }
        Class<? extends Annotation> cls = m;
        if (cls == null || !method.isAnnotationPresent(cls)) {
            return false;
        }
        return true;
    }

    public static Integer t(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof Integer) {
            return (Integer) obj;
        }
        if (obj instanceof BigDecimal) {
            return Integer.valueOf(q0((BigDecimal) obj));
        }
        if (obj instanceof Number) {
            return Integer.valueOf(((Number) obj).intValue());
        }
        if (obj instanceof String) {
            String str = (String) obj;
            if (str.length() == 0 || "null".equals(str) || "NULL".equals(str)) {
                return null;
            }
            if (str.indexOf(44) != -1) {
                str = str.replaceAll(",", "");
            }
            Matcher matcher = f5822a.matcher(str);
            if (matcher.find()) {
                str = matcher.replaceAll("");
            }
            return Integer.valueOf(Integer.parseInt(str));
        } else if (obj instanceof Boolean) {
            return Integer.valueOf(((Boolean) obj).booleanValue() ? 1 : 0);
        } else {
            if (obj instanceof Map) {
                Map map = (Map) obj;
                if (map.size() == 2 && map.containsKey("andIncrement") && map.containsKey("andDecrement")) {
                    Iterator it = map.values().iterator();
                    it.next();
                    return t(it.next());
                }
            }
            throw new JSONException("can not cast to int, value : " + obj);
        }
    }

    public static boolean t0(Class cls) {
        if (H == null && !I) {
            try {
                H = Class.forName("java.sql.Clob");
            } catch (Throwable unused) {
                I = true;
            }
        }
        if (H == null) {
            return false;
        }
        return H.isAssignableFrom(cls);
    }

    public static <T> T u(Object obj, Class<T> cls) {
        return (T) f(obj, cls, i.y());
    }

    public static boolean u0(Type type) {
        Type genericSuperclass;
        if (type instanceof ParameterizedType) {
            return true;
        }
        if (!(type instanceof Class) || (genericSuperclass = ((Class) type).getGenericSuperclass()) == Object.class || !u0(genericSuperclass)) {
            return false;
        }
        return true;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: java.util.Map<java.lang.String, java.lang.Object> */
    /* JADX WARN: Multi-variable type inference failed */
    public static <T> T v(Map<String, Object> map, Class<T> cls, i iVar) {
        JSONObject jSONObject;
        int i2 = 0;
        if (cls == StackTraceElement.class) {
            try {
                String str = (String) map.get("className");
                String str2 = (String) map.get("methodName");
                String str3 = (String) map.get(Progress.FILE_NAME);
                Number number = (Number) map.get("lineNumber");
                if (number != null) {
                    if (number instanceof BigDecimal) {
                        i2 = ((BigDecimal) number).intValueExact();
                    } else {
                        i2 = number.intValue();
                    }
                }
                return (T) new StackTraceElement(str, str2, str3, i2);
            } catch (Exception e2) {
                throw new JSONException(e2.getMessage(), e2);
            }
        } else {
            Object obj = map.get(com.alibaba.fastjson.a.DEFAULT_TYPE_KEY);
            o oVar = null;
            if (obj instanceof String) {
                String str4 = (String) obj;
                if (iVar == null) {
                    iVar = i.l;
                }
                Class<?> i3 = iVar.i(str4, null);
                if (i3 == null) {
                    throw new ClassNotFoundException(str4 + " not found");
                } else if (!i3.equals(cls)) {
                    return (T) v(map, i3, iVar);
                }
            }
            if (cls.isInterface()) {
                if (map instanceof JSONObject) {
                    jSONObject = (JSONObject) map;
                } else {
                    jSONObject = new JSONObject(map);
                }
                if (iVar == null) {
                    iVar = i.y();
                }
                if (iVar.o(cls) != null) {
                    return (T) com.alibaba.fastjson.a.parseObject(com.alibaba.fastjson.a.toJSONString(jSONObject), cls);
                }
                return (T) Proxy.newProxyInstance(Thread.currentThread().getContextClassLoader(), new Class[]{cls}, jSONObject);
            }
            if (cls == Locale.class) {
                Object obj2 = map.get(tv.danmaku.ijk.media.player.i.m);
                Object obj3 = map.get("country");
                if (obj2 instanceof String) {
                    String str5 = (String) obj2;
                    if (obj3 instanceof String) {
                        return (T) new Locale(str5, (String) obj3);
                    }
                    if (obj3 == null) {
                        return (T) new Locale(str5);
                    }
                }
            }
            if (cls == String.class && (map instanceof JSONObject)) {
                return (T) map.toString();
            }
            if (cls == com.alibaba.fastjson.a.class && (map instanceof JSONObject)) {
                return map;
            }
            if (cls == LinkedHashMap.class && (map instanceof JSONObject)) {
                T t2 = (T) ((JSONObject) map).getInnerMap();
                if (t2 instanceof LinkedHashMap) {
                    return t2;
                }
            }
            if (cls.isInstance(map)) {
                return map;
            }
            if (cls == JSONObject.class) {
                return (T) new JSONObject(map);
            }
            if (iVar == null) {
                iVar = i.y();
            }
            t t3 = iVar.t(cls);
            if (t3 instanceof o) {
                oVar = (o) t3;
            }
            if (oVar != null) {
                return (T) oVar.g(map, iVar);
            }
            throw new JSONException("can not get javaBeanDeserializer. " + cls.getName());
        }
    }

    public static boolean v0(Object obj) {
        if (obj == null) {
            return false;
        }
        if (q == null && !r) {
            try {
                q = Class.forName("org.hibernate.Hibernate").getMethod("isInitialized", Object.class);
            } catch (Throwable unused) {
                r = true;
            }
        }
        Method method = q;
        if (method != null) {
            try {
                return ((Boolean) method.invoke(null, obj)).booleanValue();
            } catch (Throwable unused2) {
            }
        }
        return true;
    }

    public static Long w(Object obj) {
        Calendar calendar = null;
        if (obj == null) {
            return null;
        }
        if (obj instanceof BigDecimal) {
            return Long.valueOf(J0((BigDecimal) obj));
        }
        if (obj instanceof Number) {
            return Long.valueOf(((Number) obj).longValue());
        }
        if (obj instanceof String) {
            String str = (String) obj;
            if (str.length() == 0 || "null".equals(str) || "NULL".equals(str)) {
                return null;
            }
            if (str.indexOf(44) != -1) {
                str = str.replaceAll(",", "");
            }
            try {
                return Long.valueOf(Long.parseLong(str));
            } catch (NumberFormatException unused) {
                f fVar = new f(str);
                if (fVar.f3(false)) {
                    calendar = fVar.Z1();
                }
                fVar.close();
                if (calendar != null) {
                    return Long.valueOf(calendar.getTimeInMillis());
                }
            }
        }
        if (obj instanceof Map) {
            Map map = (Map) obj;
            if (map.size() == 2 && map.containsKey("andIncrement") && map.containsKey("andDecrement")) {
                Iterator it = map.values().iterator();
                it.next();
                return w(it.next());
            }
        }
        if (obj instanceof Boolean) {
            return Long.valueOf(((Boolean) obj).booleanValue() ? 1 : 0);
        }
        throw new JSONException("can not cast to long, value : " + obj);
    }

    private static boolean w0(Class<?> cls, String str) {
        String[] ignores;
        JSONType jSONType = (JSONType) Q(cls, JSONType.class);
        if (jSONType != null) {
            String[] includes = jSONType.includes();
            if (includes.length > 0) {
                for (String str2 : includes) {
                    if (str.equals(str2)) {
                        return false;
                    }
                }
                return true;
            }
            for (String str3 : jSONType.ignores()) {
                if (str.equals(str3)) {
                    return true;
                }
            }
        }
        if (cls.getSuperclass() == Object.class || cls.getSuperclass() == null) {
            return false;
        }
        return w0(cls.getSuperclass(), str);
    }

    public static Short x(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof BigDecimal) {
            return Short.valueOf(R0((BigDecimal) obj));
        }
        if (obj instanceof Number) {
            return Short.valueOf(((Number) obj).shortValue());
        }
        if (obj instanceof String) {
            String str = (String) obj;
            if (str.length() == 0 || "null".equals(str) || "NULL".equals(str)) {
                return null;
            }
            return Short.valueOf(Short.parseShort(str));
        } else if (obj instanceof Boolean) {
            return Short.valueOf(((Boolean) obj).booleanValue() ? (short) 1 : 0);
        } else {
            throw new JSONException("can not cast to short, value : " + obj);
        }
    }

    /* JADX DEBUG: Type inference failed for r1v4. Raw type applied. Possible types: java.lang.Class<?>, java.lang.Class<? extends java.lang.annotation.Annotation> */
    public static boolean x0(Method method) {
        if (method == null) {
            return false;
        }
        if (F == null && !G) {
            try {
                F = Class.forName("com.fasterxml.jackson.annotation.JsonCreator");
            } catch (Throwable unused) {
                G = true;
            }
        }
        Class<? extends Annotation> cls = F;
        if (cls == null || !method.isAnnotationPresent(cls)) {
            return false;
        }
        return true;
    }

    public static java.sql.Date y(Object obj) {
        long j2;
        if (obj == null) {
            return null;
        }
        if (obj instanceof java.sql.Date) {
            return (java.sql.Date) obj;
        }
        if (obj instanceof Date) {
            return new java.sql.Date(((Date) obj).getTime());
        }
        if (obj instanceof Calendar) {
            return new java.sql.Date(((Calendar) obj).getTimeInMillis());
        }
        if (obj instanceof BigDecimal) {
            j2 = J0((BigDecimal) obj);
        } else {
            j2 = obj instanceof Number ? ((Number) obj).longValue() : 0;
        }
        if (obj instanceof String) {
            String str = (String) obj;
            if (str.length() == 0 || "null".equals(str) || "NULL".equals(str)) {
                return null;
            }
            if (A0(str)) {
                j2 = Long.parseLong(str);
            } else {
                f fVar = new f(str);
                if (fVar.f3(false)) {
                    j2 = fVar.Z1().getTime().getTime();
                } else {
                    throw new JSONException("can not cast to Timestamp, value : " + str);
                }
            }
        }
        if (j2 > 0) {
            return new java.sql.Date(j2);
        }
        throw new JSONException("can not cast to Date, value : " + obj);
    }

    public static boolean y0(Class cls) {
        if (s == null && !t) {
            try {
                s = Class.forName("kotlin.Metadata");
            } catch (Throwable unused) {
                t = true;
            }
        }
        if (s == null || !cls.isAnnotationPresent(s)) {
            return false;
        }
        return true;
    }

    public static Time z(Object obj) {
        long j2;
        if (obj == null) {
            return null;
        }
        if (obj instanceof Time) {
            return (Time) obj;
        }
        if (obj instanceof Date) {
            return new Time(((Date) obj).getTime());
        }
        if (obj instanceof Calendar) {
            return new Time(((Calendar) obj).getTimeInMillis());
        }
        if (obj instanceof BigDecimal) {
            j2 = J0((BigDecimal) obj);
        } else {
            j2 = obj instanceof Number ? ((Number) obj).longValue() : 0;
        }
        if (obj instanceof String) {
            String str = (String) obj;
            if (str.length() == 0 || "null".equalsIgnoreCase(str)) {
                return null;
            }
            if (A0(str)) {
                j2 = Long.parseLong(str);
            } else {
                f fVar = new f(str);
                if (fVar.f3(false)) {
                    j2 = fVar.Z1().getTime().getTime();
                } else {
                    throw new JSONException("can not cast to Timestamp, value : " + str);
                }
            }
        }
        if (j2 > 0) {
            return new Time(j2);
        }
        throw new JSONException("can not cast to Date, value : " + obj);
    }

    private static boolean z0(Class cls, String str) {
        String[] strArr;
        if (A == null && !B) {
            try {
                HashMap hashMap = new HashMap();
                hashMap.put(Class.forName("kotlin.ranges.CharRange"), new String[]{"getEndInclusive", "isEmpty"});
                hashMap.put(Class.forName("kotlin.ranges.IntRange"), new String[]{"getEndInclusive", "isEmpty"});
                hashMap.put(Class.forName("kotlin.ranges.LongRange"), new String[]{"getEndInclusive", "isEmpty"});
                hashMap.put(Class.forName("kotlin.ranges.ClosedFloatRange"), new String[]{"getEndInclusive", "isEmpty"});
                hashMap.put(Class.forName("kotlin.ranges.ClosedDoubleRange"), new String[]{"getEndInclusive", "isEmpty"});
                A = hashMap;
            } catch (Throwable unused) {
                B = true;
            }
        }
        if (A == null || (strArr = A.get(cls)) == null || Arrays.binarySearch(strArr, str) < 0) {
            return false;
        }
        return true;
    }
}
