package com.beloo.widget.chipslayoutmanager.cache;

import android.graphics.Rect;
import android.os.Parcelable;
import android.util.Log;
import android.util.Pair;
import android.view.View;
import androidx.annotation.Nullable;
import androidx.recyclerview.widget.RecyclerView;
import java.util.Iterator;
import java.util.List;
import java.util.NavigableSet;
import java.util.TreeSet;

/* access modifiers changed from: package-private */
/* compiled from: ViewCacheStorage */
public class c implements a {

    /* renamed from: a  reason: collision with root package name */
    private static final String f6184a = "c";

    /* renamed from: b  reason: collision with root package name */
    private static final int f6185b = 1000;

    /* renamed from: c  reason: collision with root package name */
    private RecyclerView.LayoutManager f6186c;

    /* renamed from: d  reason: collision with root package name */
    private NavigableSet<Integer> f6187d = new TreeSet();

    /* renamed from: e  reason: collision with root package name */
    private NavigableSet<Integer> f6188e = new TreeSet();
    private int f = 1000;
    private boolean g;

    c(RecyclerView.LayoutManager layoutManager) {
        this.f6186c = layoutManager;
        this.g = true;
    }

    private void o() {
        if (this.f6187d.size() > this.f) {
            NavigableSet<Integer> navigableSet = this.f6187d;
            navigableSet.remove(navigableSet.first());
        }
        if (this.f6188e.size() > this.f) {
            NavigableSet<Integer> navigableSet2 = this.f6188e;
            navigableSet2.remove(navigableSet2.first());
        }
    }

    @Override // com.beloo.widget.chipslayoutmanager.cache.a
    public Integer a() {
        if (l()) {
            return null;
        }
        return this.f6188e.last();
    }

    @Override // com.beloo.widget.chipslayoutmanager.cache.a
    public boolean b() {
        return this.g;
    }

    @Override // com.beloo.widget.chipslayoutmanager.cache.a
    public boolean c(int i) {
        return this.f6188e.contains(Integer.valueOf(i));
    }

    @Override // com.beloo.widget.chipslayoutmanager.cache.a
    public void d(int i) {
        if (!l()) {
            String str = f6184a;
            Log.d(str, "cache purged to position " + i);
            Iterator<Integer> it = this.f6187d.headSet(Integer.valueOf(i)).iterator();
            while (it.hasNext()) {
                it.next();
                it.remove();
            }
            Iterator<Integer> it2 = this.f6188e.headSet(Integer.valueOf(i)).iterator();
            while (it2.hasNext()) {
                it2.next();
                it2.remove();
            }
        }
    }

    @Override // com.beloo.widget.chipslayoutmanager.cache.a
    public void e(@Nullable Parcelable parcelable) {
        if (parcelable != null) {
            if (parcelable instanceof CacheParcelableContainer) {
                CacheParcelableContainer cacheParcelableContainer = (CacheParcelableContainer) parcelable;
                this.f6187d = cacheParcelableContainer.b();
                this.f6188e = cacheParcelableContainer.a();
                return;
            }
            throw new IllegalStateException("wrong parcelable passed");
        }
    }

    @Override // com.beloo.widget.chipslayoutmanager.cache.a
    public Parcelable f() {
        return new CacheParcelableContainer(this.f6187d, this.f6188e);
    }

    @Override // com.beloo.widget.chipslayoutmanager.cache.a
    public void g(boolean z) {
        if (this.g != z) {
            Log.i(f6184a, z ? "caching enabled" : "caching disabled");
            this.g = z;
        }
    }

    @Override // com.beloo.widget.chipslayoutmanager.cache.a
    public void h(List<Pair<Rect, View>> list) {
        if (this.g && !list.isEmpty()) {
            int position = this.f6186c.getPosition((View) list.get(0).second);
            int position2 = this.f6186c.getPosition((View) list.get(list.size() - 1).second);
            o();
            this.f6187d.add(Integer.valueOf(position));
            this.f6188e.add(Integer.valueOf(position2));
        }
    }

    @Override // com.beloo.widget.chipslayoutmanager.cache.a
    public int i(int i) {
        Integer floor = this.f6187d.floor(Integer.valueOf(i));
        if (floor == null) {
            floor = Integer.valueOf(i);
        }
        return floor.intValue();
    }

    @Override // com.beloo.widget.chipslayoutmanager.cache.a
    public boolean j(int i) {
        return this.f6187d.contains(Integer.valueOf(i));
    }

    @Override // com.beloo.widget.chipslayoutmanager.cache.a
    public void k() {
        this.f6187d.clear();
        this.f6188e.clear();
    }

    @Override // com.beloo.widget.chipslayoutmanager.cache.a
    public boolean l() {
        return this.f6188e.isEmpty();
    }

    @Override // com.beloo.widget.chipslayoutmanager.cache.a
    public boolean m(int i) {
        return (this.f6187d.ceiling(Integer.valueOf(i)) == null && this.f6188e.ceiling(Integer.valueOf(i)) == null) ? false : true;
    }

    @Override // com.beloo.widget.chipslayoutmanager.cache.a
    public void n(int i) {
        if (!l()) {
            Iterator<Integer> it = this.f6187d.tailSet(Integer.valueOf(i), true).iterator();
            while (it.hasNext()) {
                it.next();
                it.remove();
            }
            Integer lower = this.f6187d.lower(Integer.valueOf(i));
            if (lower != null) {
                i = lower.intValue();
            }
            Iterator<Integer> it2 = this.f6188e.tailSet(Integer.valueOf(i), true).iterator();
            while (it2.hasNext()) {
                it2.next();
                it2.remove();
            }
        }
    }

    public void p(int i) {
        this.f = i;
    }
}
