package com.bilibili.boxing;

import android.app.Activity;
import android.content.ContentResolver;
import android.content.Intent;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.content.d;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import com.bilibili.boxing.b;
import com.bilibili.boxing.h.a;
import com.bilibili.boxing.model.config.BoxingConfig;
import com.bilibili.boxing.model.entity.AlbumEntity;
import com.bilibili.boxing.model.entity.BaseMedia;
import com.bilibili.boxing.model.entity.impl.ImageMedia;
import com.bilibili.boxing.utils.CameraPickerHelper;
import java.io.File;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.List;

/* compiled from: AbsBoxingViewFragment */
public abstract class a extends Fragment implements a.b {
    private static final int I0 = 233;

    /* renamed from: a  reason: collision with root package name */
    public static final String[] f6292a = {"android.permission.WRITE_EXTERNAL_STORAGE", "android.permission.READ_EXTERNAL_STORAGE"};

    /* renamed from: b  reason: collision with root package name */
    public static final String[] f6293b = {"android.permission.CAMERA"};
    private a.AbstractC0146a J0;
    private CameraPickerHelper K0;
    private b.a L0;

    /* access modifiers changed from: private */
    /* renamed from: com.bilibili.boxing.a$a  reason: collision with other inner class name */
    /* compiled from: AbsBoxingViewFragment */
    public static final class C0143a implements CameraPickerHelper.c {

        /* renamed from: a  reason: collision with root package name */
        private WeakReference<a> f6294a;

        C0143a(a aVar) {
            this.f6294a = new WeakReference<>(aVar);
        }

        @Override // com.bilibili.boxing.utils.CameraPickerHelper.c
        public void a(@NonNull CameraPickerHelper cameraPickerHelper) {
            a aVar = this.f6294a.get();
            if (aVar != null) {
                aVar.U();
            }
        }

        @Override // com.bilibili.boxing.utils.CameraPickerHelper.c
        public void b(@NonNull CameraPickerHelper cameraPickerHelper) {
            a aVar = this.f6294a.get();
            if (aVar != null) {
                File file = new File(cameraPickerHelper.e());
                if (!file.exists()) {
                    a(cameraPickerHelper);
                    return;
                }
                ImageMedia imageMedia = new ImageMedia(file);
                imageMedia.saveMediaStore(aVar.L());
                aVar.V(imageMedia);
            }
        }
    }

    private void B() {
        try {
            if (Build.VERSION.SDK_INT >= 23) {
                FragmentActivity activity = getActivity();
                String[] strArr = f6292a;
                if (!(d.a(activity, strArr[0]) == 0 || d.a(getActivity(), strArr[1]) == 0)) {
                    requestPermissions(strArr, 233);
                    return;
                }
            }
            l0();
        } catch (IllegalArgumentException | IllegalStateException e2) {
            b0(f6292a, e2);
        }
    }

    private void O(Bundle bundle) {
        BoxingConfig a2 = com.bilibili.boxing.g.b.b().a();
        if (a2 != null && a2.o()) {
            CameraPickerHelper cameraPickerHelper = new CameraPickerHelper(bundle);
            this.K0 = cameraPickerHelper;
            cameraPickerHelper.k(new C0143a(this));
        }
    }

    @Nullable
    private ArrayList<BaseMedia> h0(Bundle bundle, Bundle bundle2) {
        if (bundle != null) {
            return bundle.getParcelableArrayList(b.f6295a);
        }
        if (bundle2 != null) {
            return bundle2.getParcelableArrayList(b.f6295a);
        }
        return null;
    }

    public final boolean A() {
        return this.J0.c();
    }

    public final void C(List<BaseMedia> list, List<BaseMedia> list2) {
        this.J0.g(list, list2);
    }

    public final int E() {
        BoxingConfig a2 = com.bilibili.boxing.g.b.b().a();
        if (a2 == null) {
            return 9;
        }
        return a2.d();
    }

    public final boolean G() {
        BoxingConfig a2 = com.bilibili.boxing.g.b.b().a();
        return (a2 == null || !a2.t() || a2.c() == null) ? false : true;
    }

    @Override // com.bilibili.boxing.h.a.b
    public final void H(@NonNull a.AbstractC0146a aVar) {
        this.J0 = aVar;
    }

    @Override // com.bilibili.boxing.h.a.b
    public void I() {
    }

    @Override // com.bilibili.boxing.h.a.b
    @NonNull
    public final ContentResolver L() {
        return getActivity().getApplicationContext().getContentResolver();
    }

    public final boolean M() {
        return this.J0.a();
    }

    public void P() {
        if (!com.bilibili.boxing.g.b.b().a().u()) {
            this.J0.e();
        }
    }

    public final void Q() {
        this.J0.d(0, "");
    }

    public final void R(int i, String str) {
        this.J0.d(i, str);
    }

    public void S(int i, int i2) {
        this.K0.f(i, i2);
    }

    @Override // com.bilibili.boxing.h.a.b
    public void T(@Nullable List<AlbumEntity> list) {
    }

    public void U() {
    }

    public void V(BaseMedia baseMedia) {
    }

    public void W(Bundle bundle, @Nullable List<BaseMedia> list) {
    }

    public void Z(int i, int i2, @NonNull Intent intent) {
        Uri e2 = c.c().e(i2, intent);
        if (e2 != null) {
            ArrayList arrayList = new ArrayList(1);
            arrayList.add(new ImageMedia(String.valueOf(System.currentTimeMillis()), e2.getPath()));
            h(arrayList);
        }
    }

    public final void a0() {
        this.J0.f();
    }

    public void b0(String[] strArr, Exception exc) {
    }

    public void d0(int i, @NonNull String[] strArr, @NonNull int[] iArr) {
    }

    @Override // com.bilibili.boxing.h.a.b
    public void e0(@Nullable List<BaseMedia> list, int i) {
    }

    public final void f0(Bundle bundle, ArrayList<BaseMedia> arrayList) {
        if (arrayList != null && !arrayList.isEmpty()) {
            bundle.putParcelableArrayList(b.f6295a, arrayList);
        }
    }

    @Override // com.bilibili.boxing.h.a.b
    public void h(@NonNull List<BaseMedia> list) {
        Intent intent = new Intent();
        intent.putParcelableArrayListExtra("com.bilibili.boxing.Boxing.result", (ArrayList) list);
        b.a aVar = this.L0;
        if (aVar != null) {
            aVar.B(intent, list);
        }
    }

    /* access modifiers changed from: package-private */
    public final void i0(b.a aVar) {
        this.L0 = aVar;
    }

    public final a j0(ArrayList<BaseMedia> arrayList) {
        Bundle bundle = new Bundle();
        if (arrayList != null && !arrayList.isEmpty()) {
            bundle.putParcelableArrayList(b.f6295a, arrayList);
        }
        setArguments(bundle);
        return this;
    }

    public final void k0(Activity activity, Fragment fragment, String str) {
        try {
            FragmentActivity activity2 = getActivity();
            String[] strArr = f6293b;
            if (d.a(activity2, strArr[0]) != 0) {
                requestPermissions(strArr, 233);
            } else if (!com.bilibili.boxing.g.b.b().a().u()) {
                this.K0.m(activity, fragment, str);
            }
        } catch (IllegalArgumentException | IllegalStateException e2) {
            b0(f6293b, e2);
        }
    }

    public abstract void l0();

    @Override // com.bilibili.boxing.h.a.b
    public final void m(@NonNull BaseMedia baseMedia, int i) {
        c.c().f(getActivity(), this, com.bilibili.boxing.g.b.b().a().c(), baseMedia.getPath(), i);
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (this.K0 != null && i == 8193) {
            S(i, i2);
        }
        if (G()) {
            Z(i, i2, intent);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onCreate(@Nullable Bundle bundle) {
        BoxingConfig boxingConfig;
        if (bundle != null) {
            boxingConfig = (BoxingConfig) bundle.getParcelable("com.bilibili.boxing.Boxing.config");
        } else {
            boxingConfig = com.bilibili.boxing.g.b.b().a();
        }
        z(boxingConfig);
        W(bundle, h0(bundle, getArguments()));
        super.onCreate(bundle);
        O(bundle);
    }

    @Override // androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        a.AbstractC0146a aVar = this.J0;
        if (aVar != null) {
            aVar.b();
        }
        CameraPickerHelper cameraPickerHelper = this.K0;
        if (cameraPickerHelper != null) {
            cameraPickerHelper.h();
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onRequestPermissionsResult(int i, @NonNull String[] strArr, @NonNull int[] iArr) {
        if (233 != i) {
            return;
        }
        if (iArr.length <= 0 || iArr[0] != 0) {
            b0(strArr, new SecurityException("request android.permission.READ_EXTERNAL_STORAGE error."));
        } else {
            d0(i, strArr, iArr);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        CameraPickerHelper cameraPickerHelper = this.K0;
        if (cameraPickerHelper != null) {
            cameraPickerHelper.g(bundle);
        }
        bundle.putParcelable("com.bilibili.boxing.Boxing.config", com.bilibili.boxing.g.b.b().a());
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(View view, @Nullable Bundle bundle) {
        super.onViewCreated(view, bundle);
        B();
    }

    @Override // com.bilibili.boxing.h.a.b
    public final void z(BoxingConfig boxingConfig) {
        if (boxingConfig != null) {
            com.bilibili.boxing.g.b.b().e(boxingConfig);
        }
    }
}
