package com.bilibili.boxing.model.config;

import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.DrawableRes;

public class BoxingConfig implements Parcelable {
    public static final Parcelable.Creator<BoxingConfig> CREATOR = new a();

    /* renamed from: a  reason: collision with root package name */
    public static final int f6340a = 9;
    private ViewMode I0;
    private BoxingCropOption J0;
    private int K0;
    private int L0;
    private int M0;
    private int N0;
    private int O0;
    private int P0;
    private boolean Q0;
    private boolean R0;
    private boolean S0;
    private int T0;
    private int U0;
    private long V0;
    private int W0;

    /* renamed from: b  reason: collision with root package name */
    private Mode f6341b;

    public enum Mode {
        SINGLE_IMG,
        MULTI_IMG,
        VIDEO
    }

    public enum ViewMode {
        PREVIEW,
        EDIT,
        PRE_EDIT
    }

    static class a implements Parcelable.Creator<BoxingConfig> {
        a() {
        }

        /* renamed from: a */
        public BoxingConfig createFromParcel(Parcel parcel) {
            return new BoxingConfig(parcel);
        }

        /* renamed from: b */
        public BoxingConfig[] newArray(int i) {
            return new BoxingConfig[i];
        }
    }

    public BoxingConfig() {
        this.f6341b = Mode.SINGLE_IMG;
        this.I0 = ViewMode.PREVIEW;
        this.R0 = true;
        this.S0 = true;
        this.T0 = 0;
        this.U0 = 86400000;
        this.V0 = -1;
        this.W0 = 9;
    }

    public BoxingConfig A(@DrawableRes int i) {
        this.N0 = i;
        return this;
    }

    public BoxingConfig B(BoxingCropOption boxingCropOption) {
        this.J0 = boxingCropOption;
        return this;
    }

    public BoxingConfig C(int i) {
        if (i < 1) {
            return this;
        }
        this.W0 = i;
        return this;
    }

    public BoxingConfig E(@DrawableRes int i) {
        this.L0 = i;
        return this;
    }

    public BoxingConfig F(@DrawableRes int i) {
        this.K0 = i;
        return this;
    }

    public BoxingConfig G(@DrawableRes int i) {
        this.M0 = i;
        return this;
    }

    public BoxingConfig H(@DrawableRes int i) {
        this.O0 = i;
        return this;
    }

    public BoxingConfig J(int i) {
        this.T0 = i;
        return this;
    }

    public BoxingConfig K(int i) {
        this.U0 = i;
        return this;
    }

    public BoxingConfig L(ViewMode viewMode) {
        this.I0 = viewMode;
        return this;
    }

    @DrawableRes
    public int a() {
        return this.N0;
    }

    @DrawableRes
    public int b() {
        return this.P0;
    }

    public BoxingCropOption c() {
        return this.J0;
    }

    public int d() {
        int i = this.W0;
        if (i > 0) {
            return i;
        }
        return 9;
    }

    public int describeContents() {
        return 0;
    }

    @DrawableRes
    public int e() {
        return this.L0;
    }

    @DrawableRes
    public int f() {
        return this.K0;
    }

    @DrawableRes
    public int g() {
        return this.M0;
    }

    public Mode h() {
        return this.f6341b;
    }

    @DrawableRes
    public int i() {
        return this.O0;
    }

    public ViewMode j() {
        return this.I0;
    }

    public int k() {
        return this.T0;
    }

    public int l() {
        return this.U0;
    }

    public long m() {
        return this.V0;
    }

    public boolean n() {
        return this.f6341b == Mode.MULTI_IMG;
    }

    public boolean o() {
        return this.Q0;
    }

    public boolean p() {
        return this.I0 != ViewMode.PREVIEW;
    }

    public boolean q() {
        return this.R0;
    }

    public boolean r() {
        return this.I0 == ViewMode.EDIT;
    }

    public boolean s() {
        return this.S0;
    }

    public boolean t() {
        return this.f6341b == Mode.SINGLE_IMG;
    }

    public String toString() {
        return "BoxingConfig{mMode=" + this.f6341b + ", mViewMode=" + this.I0 + '}';
    }

    public boolean u() {
        return this.f6341b == Mode.VIDEO;
    }

    public BoxingConfig v(@DrawableRes int i) {
        this.P0 = i;
        this.Q0 = true;
        return this;
    }

    public BoxingConfig w() {
        this.R0 = true;
        return this;
    }

    public void writeToParcel(Parcel parcel, int i) {
        Mode mode = this.f6341b;
        int i2 = -1;
        parcel.writeInt(mode == null ? -1 : mode.ordinal());
        ViewMode viewMode = this.I0;
        if (viewMode != null) {
            i2 = viewMode.ordinal();
        }
        parcel.writeInt(i2);
        parcel.writeParcelable(this.J0, i);
        parcel.writeInt(this.K0);
        parcel.writeInt(this.L0);
        parcel.writeInt(this.M0);
        parcel.writeInt(this.N0);
        parcel.writeInt(this.O0);
        parcel.writeInt(this.P0);
        parcel.writeByte(this.Q0 ? (byte) 1 : 0);
        parcel.writeByte(this.R0 ? (byte) 1 : 0);
        parcel.writeByte(this.S0 ? (byte) 1 : 0);
        parcel.writeInt(this.W0);
        parcel.writeInt(this.T0);
    }

    public BoxingConfig x(boolean z) {
        this.S0 = z;
        return this;
    }

    public void y(int i) {
        this.T0 = i;
    }

    public void z(long j) {
        this.V0 = j;
    }

    public BoxingConfig(Mode mode) {
        this.f6341b = Mode.SINGLE_IMG;
        this.I0 = ViewMode.PREVIEW;
        this.R0 = true;
        this.S0 = true;
        this.T0 = 0;
        this.U0 = 86400000;
        this.V0 = -1;
        this.W0 = 9;
        this.f6341b = mode;
    }

    protected BoxingConfig(Parcel parcel) {
        Mode mode;
        this.f6341b = Mode.SINGLE_IMG;
        this.I0 = ViewMode.PREVIEW;
        boolean z = true;
        this.R0 = true;
        this.S0 = true;
        this.T0 = 0;
        this.U0 = 86400000;
        this.V0 = -1;
        this.W0 = 9;
        int readInt = parcel.readInt();
        ViewMode viewMode = null;
        if (readInt == -1) {
            mode = null;
        } else {
            mode = Mode.values()[readInt];
        }
        this.f6341b = mode;
        int readInt2 = parcel.readInt();
        this.I0 = readInt2 != -1 ? ViewMode.values()[readInt2] : viewMode;
        this.J0 = (BoxingCropOption) parcel.readParcelable(BoxingCropOption.class.getClassLoader());
        this.K0 = parcel.readInt();
        this.L0 = parcel.readInt();
        this.M0 = parcel.readInt();
        this.N0 = parcel.readInt();
        this.O0 = parcel.readInt();
        this.P0 = parcel.readInt();
        this.Q0 = parcel.readByte() != 0;
        this.R0 = parcel.readByte() != 0;
        this.S0 = parcel.readByte() == 0 ? false : z;
        this.W0 = parcel.readInt();
        this.T0 = parcel.readInt();
    }
}
