package com.bilibili.boxing.model.entity.impl;

import android.content.ContentResolver;
import android.content.ContentValues;
import android.os.Parcel;
import android.os.Parcelable;
import android.provider.MediaStore;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import com.bilibili.boxing.model.entity.BaseMedia;
import com.bilibili.boxing.utils.e;
import com.bilibili.boxing.utils.f;
import com.ibm.icu.impl.z0;
import java.io.File;
import java.io.Serializable;

public class ImageMedia extends BaseMedia implements Parcelable, Serializable {
    public static final Parcelable.Creator<ImageMedia> CREATOR = new b();

    /* renamed from: a  reason: collision with root package name */
    private static final long f6349a = 1048576;

    /* renamed from: b  reason: collision with root package name */
    private static final long f6350b = 1048576;
    private String mCompressPath;
    private int mHeight;
    private IMAGE_TYPE mImageType;
    private boolean mIsSelected;
    private String mMimeType;
    private String mThumbnailPath;
    private int mWidth;

    public enum IMAGE_TYPE {
        PNG,
        JPG,
        GIF
    }

    /* access modifiers changed from: package-private */
    public class a implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ContentResolver f6352a;

        a(ContentResolver contentResolver) {
            this.f6352a = contentResolver;
        }

        public void run() {
            if (this.f6352a != null && !TextUtils.isEmpty(ImageMedia.this.getId())) {
                ContentValues contentValues = new ContentValues();
                contentValues.put("title", ImageMedia.this.getId());
                contentValues.put("mime_type", ImageMedia.this.getMimeType());
                contentValues.put("_data", ImageMedia.this.getPath());
                this.f6352a.insert(MediaStore.Images.Media.EXTERNAL_CONTENT_URI, contentValues);
            }
        }
    }

    static class b implements Parcelable.Creator<ImageMedia> {
        b() {
        }

        /* renamed from: a */
        public ImageMedia createFromParcel(Parcel parcel) {
            return new ImageMedia(parcel);
        }

        /* renamed from: b */
        public ImageMedia[] newArray(int i) {
            return new ImageMedia[i];
        }
    }

    public static class c {

        /* renamed from: a  reason: collision with root package name */
        private String f6354a;

        /* renamed from: b  reason: collision with root package name */
        private String f6355b;

        /* renamed from: c  reason: collision with root package name */
        private boolean f6356c;

        /* renamed from: d  reason: collision with root package name */
        private String f6357d;

        /* renamed from: e  reason: collision with root package name */
        private String f6358e;
        private int f;
        private int g;
        private String h;

        public c(String str, String str2) {
            this.f6354a = str;
            this.f6355b = str2;
        }

        public ImageMedia i() {
            return new ImageMedia(this);
        }

        public c j(int i) {
            this.f = i;
            return this;
        }

        public c k(String str) {
            this.h = str;
            return this;
        }

        public c l(boolean z) {
            this.f6356c = z;
            return this;
        }

        public c m(String str) {
            this.f6358e = str;
            return this;
        }

        public c n(String str) {
            this.f6357d = str;
            return this;
        }

        public c o(int i) {
            this.g = i;
            return this;
        }
    }

    public ImageMedia() {
    }

    private IMAGE_TYPE a(String str) {
        if (TextUtils.isEmpty(str)) {
            return IMAGE_TYPE.PNG;
        }
        if ("image/gif".equals(str)) {
            return IMAGE_TYPE.GIF;
        }
        if (com.luck.picture.lib.config.b.o.equals(str)) {
            return IMAGE_TYPE.PNG;
        }
        return IMAGE_TYPE.JPG;
    }

    public boolean compress(f fVar) {
        return e.b(fVar, this, 1048576);
    }

    @Override // com.bilibili.boxing.model.entity.BaseMedia
    public int describeContents() {
        return 0;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        ImageMedia imageMedia = (ImageMedia) obj;
        if (TextUtils.isEmpty(this.mPath) || TextUtils.isEmpty(imageMedia.mPath) || !this.mPath.equals(imageMedia.mPath)) {
            return false;
        }
        return true;
    }

    public String getCompressPath() {
        return this.mCompressPath;
    }

    public int getHeight() {
        return this.mHeight;
    }

    @Override // com.bilibili.boxing.model.entity.BaseMedia
    public String getId() {
        return this.mId;
    }

    public IMAGE_TYPE getImageType() {
        return this.mImageType;
    }

    public String getMimeType() {
        if (getImageType() == IMAGE_TYPE.GIF) {
            return "image/gif";
        }
        if (getImageType() == IMAGE_TYPE.JPG) {
        }
        return "image/jpeg";
    }

    @NonNull
    public String getThumbnailPath() {
        if (com.bilibili.boxing.utils.c.f(this.mThumbnailPath)) {
            return this.mThumbnailPath;
        }
        if (com.bilibili.boxing.utils.c.f(this.mCompressPath)) {
            return this.mCompressPath;
        }
        return this.mPath;
    }

    @Override // com.bilibili.boxing.model.entity.BaseMedia
    public BaseMedia.TYPE getType() {
        return BaseMedia.TYPE.IMAGE;
    }

    public int getWidth() {
        return this.mWidth;
    }

    public int hashCode() {
        int hashCode = this.mId.hashCode() * 31;
        String str = this.mPath;
        return hashCode + (str != null ? str.hashCode() : 0);
    }

    public boolean isGif() {
        return getImageType() == IMAGE_TYPE.GIF;
    }

    public boolean isGifOverSize() {
        return isGif() && getSize() > 1048576;
    }

    public boolean isSelected() {
        return this.mIsSelected;
    }

    public void removeExif() {
        com.bilibili.boxing.utils.b.b(getPath());
    }

    public void saveMediaStore(ContentResolver contentResolver) {
        com.bilibili.boxing.utils.a.c().f(new a(contentResolver));
    }

    public void setCompressPath(String str) {
        this.mCompressPath = str;
    }

    public void setHeight(int i) {
        this.mHeight = i;
    }

    public void setImageType(IMAGE_TYPE image_type) {
        this.mImageType = image_type;
    }

    public void setSelected(boolean z) {
        this.mIsSelected = z;
    }

    @Override // com.bilibili.boxing.model.entity.BaseMedia
    public void setSize(String str) {
        this.mSize = str;
    }

    public void setWidth(int i) {
        this.mWidth = i;
    }

    public String toString() {
        return "ImageMedia{, mThumbnailPath='" + this.mThumbnailPath + z0.f14782a + ", mCompressPath='" + this.mCompressPath + z0.f14782a + ", mSize='" + this.mSize + z0.f14782a + ", mHeight=" + this.mHeight + ", mWidth=" + this.mWidth;
    }

    @Override // com.bilibili.boxing.model.entity.BaseMedia
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeByte(this.mIsSelected ? (byte) 1 : 0);
        parcel.writeString(this.mThumbnailPath);
        parcel.writeString(this.mCompressPath);
        parcel.writeInt(this.mHeight);
        parcel.writeInt(this.mWidth);
        IMAGE_TYPE image_type = this.mImageType;
        parcel.writeInt(image_type == null ? -1 : image_type.ordinal());
        parcel.writeString(this.mMimeType);
    }

    public ImageMedia(String str, String str2) {
        super(str, str2);
    }

    public boolean compress(f fVar, long j) {
        return e.b(fVar, this, j);
    }

    public ImageMedia(@NonNull File file) {
        this.mId = String.valueOf(System.currentTimeMillis());
        this.mPath = file.getAbsolutePath();
        this.mSize = String.valueOf(file.length());
        this.mIsSelected = true;
    }

    public ImageMedia(c cVar) {
        super(cVar.f6354a, cVar.f6355b);
        this.mThumbnailPath = cVar.f6357d;
        this.mSize = cVar.f6358e;
        this.mHeight = cVar.f;
        this.mIsSelected = cVar.f6356c;
        this.mWidth = cVar.g;
        this.mMimeType = cVar.h;
        this.mImageType = a(cVar.h);
    }

    protected ImageMedia(Parcel parcel) {
        super(parcel);
        IMAGE_TYPE image_type;
        this.mIsSelected = parcel.readByte() != 0;
        this.mThumbnailPath = parcel.readString();
        this.mCompressPath = parcel.readString();
        this.mHeight = parcel.readInt();
        this.mWidth = parcel.readInt();
        int readInt = parcel.readInt();
        if (readInt == -1) {
            image_type = null;
        } else {
            image_type = IMAGE_TYPE.values()[readInt];
        }
        this.mImageType = image_type;
        this.mMimeType = parcel.readString();
    }
}
