package com.bilibili.boxing.model.entity.impl;

import android.os.Parcel;
import android.os.Parcelable;
import com.bilibili.boxing.model.entity.BaseMedia;
import java.util.Locale;

public class VideoMedia extends BaseMedia {
    public static final Parcelable.Creator<VideoMedia> CREATOR = new a();

    /* renamed from: a  reason: collision with root package name */
    private static final long f6359a = 1048576;
    private String mDateTaken;
    private String mDuration;
    private String mMimeType;
    private String mTitle;

    static class a implements Parcelable.Creator<VideoMedia> {
        a() {
        }

        /* renamed from: a */
        public VideoMedia createFromParcel(Parcel parcel) {
            return new VideoMedia(parcel);
        }

        /* renamed from: b */
        public VideoMedia[] newArray(int i) {
            return new VideoMedia[i];
        }
    }

    public static class b {

        /* renamed from: a  reason: collision with root package name */
        private String f6360a;

        /* renamed from: b  reason: collision with root package name */
        private String f6361b;

        /* renamed from: c  reason: collision with root package name */
        private String f6362c;

        /* renamed from: d  reason: collision with root package name */
        private String f6363d;

        /* renamed from: e  reason: collision with root package name */
        private String f6364e;
        private String f;
        private String g;

        public b(String str, String str2) {
            this.f6360a = str;
            this.f6362c = str2;
        }

        public VideoMedia h() {
            return new VideoMedia(this);
        }

        public b i(String str) {
            this.f = str;
            return this;
        }

        public b j(String str) {
            this.f6363d = str;
            return this;
        }

        public b k(String str) {
            this.g = str;
            return this;
        }

        public b l(String str) {
            this.f6364e = str;
            return this;
        }

        public b m(String str) {
            this.f6361b = str;
            return this;
        }
    }

    public VideoMedia() {
    }

    @Override // com.bilibili.boxing.model.entity.BaseMedia
    public int describeContents() {
        return 0;
    }

    public String formatTimeWithMin(long j) {
        if (j <= 0) {
            return String.format(Locale.US, "%02d:%02d", 0, 0);
        }
        long j2 = j / 1000;
        long j3 = j2 % 60;
        long j4 = (j2 / 60) % 60;
        long j5 = j2 / 3600;
        if (j5 > 0) {
            return String.format(Locale.US, "%02d:%02d", Long.valueOf((j5 * 60) + j4), Long.valueOf(j3));
        }
        return String.format(Locale.US, "%02d:%02d", Long.valueOf(j4), Long.valueOf(j3));
    }

    public String getDateTaken() {
        return this.mDateTaken;
    }

    public String getDuration() {
        try {
            return formatTimeWithMin(Long.parseLong(this.mDuration));
        } catch (NumberFormatException unused) {
            return "0:00";
        }
    }

    public String getMimeType() {
        return this.mMimeType;
    }

    public String getSizeByUnit() {
        double size = (double) getSize();
        if (size == 0.0d) {
            return "0K";
        }
        if (size >= 1048576.0d) {
            return String.format(Locale.getDefault(), "%.1f", Double.valueOf(size / 1048576.0d)) + "M";
        }
        return String.format(Locale.getDefault(), "%.1f", Double.valueOf(size / 1024.0d)) + "K";
    }

    public String getTitle() {
        return this.mTitle;
    }

    @Override // com.bilibili.boxing.model.entity.BaseMedia
    public BaseMedia.TYPE getType() {
        return BaseMedia.TYPE.VIDEO;
    }

    public void setDuration(String str) {
        this.mDuration = str;
    }

    public void setTitle(String str) {
        this.mTitle = str;
    }

    @Override // com.bilibili.boxing.model.entity.BaseMedia
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeString(this.mTitle);
        parcel.writeString(this.mDuration);
        parcel.writeString(this.mDateTaken);
        parcel.writeString(this.mMimeType);
    }

    public VideoMedia(b bVar) {
        super(bVar.f6360a, bVar.f6362c);
        this.mTitle = bVar.f6361b;
        this.mDuration = bVar.f6363d;
        this.mSize = bVar.f6364e;
        this.mDateTaken = bVar.f;
        this.mMimeType = bVar.g;
    }

    protected VideoMedia(Parcel parcel) {
        super(parcel);
        this.mTitle = parcel.readString();
        this.mDuration = parcel.readString();
        this.mDateTaken = parcel.readString();
        this.mMimeType = parcel.readString();
    }
}
