package com.bilibili.boxing.utils;

import android.app.Activity;
import android.content.ActivityNotFoundException;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import android.hardware.Camera;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.content.FileProvider;
import androidx.fragment.app.Fragment;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.FutureTask;

public class CameraPickerHelper {

    /* renamed from: a  reason: collision with root package name */
    private static final int f6365a = 4194304;

    /* renamed from: b  reason: collision with root package name */
    public static final int f6366b = 8193;

    /* renamed from: c  reason: collision with root package name */
    private static final String f6367c = "com.bilibili.boxing.utils.CameraPickerHelper.saved_state";

    /* renamed from: d  reason: collision with root package name */
    private String f6368d;

    /* renamed from: e  reason: collision with root package name */
    private File f6369e;
    private c f;

    /* access modifiers changed from: private */
    public static class SavedState implements Parcelable {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();

        /* renamed from: a  reason: collision with root package name */
        private File f6370a;

        /* renamed from: b  reason: collision with root package name */
        private String f6371b;

        static class a implements Parcelable.Creator<SavedState> {
            a() {
            }

            /* renamed from: a */
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel);
            }

            /* renamed from: b */
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        }

        SavedState() {
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeSerializable(this.f6370a);
            parcel.writeString(this.f6371b);
        }

        SavedState(Parcel parcel) {
            this.f6370a = (File) parcel.readSerializable();
            this.f6371b = parcel.readString();
        }
    }

    /* access modifiers changed from: package-private */
    public class a implements Callable<Boolean> {
        a() {
        }

        /* renamed from: a */
        public Boolean call() throws Exception {
            try {
                Camera.open().release();
                return Boolean.TRUE;
            } catch (Exception unused) {
                d.a("camera is not available.");
                return Boolean.FALSE;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements Callable<Boolean> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f6373a;

        b(int i) {
            this.f6373a = i;
        }

        /* renamed from: a */
        public Boolean call() throws Exception {
            return Boolean.valueOf(CameraPickerHelper.this.i(this.f6373a));
        }
    }

    public interface c {
        void a(@NonNull CameraPickerHelper cameraPickerHelper);

        void b(@NonNull CameraPickerHelper cameraPickerHelper);
    }

    public CameraPickerHelper(@Nullable Bundle bundle) {
        SavedState savedState;
        if (bundle != null && (savedState = (SavedState) bundle.getParcelable(f6367c)) != null) {
            this.f6369e = savedState.f6370a;
            this.f6368d = savedState.f6371b;
        }
    }

    private void b() {
        c cVar = this.f;
        if (cVar != null) {
            cVar.a(this);
        }
    }

    private void c() {
        c cVar = this.f;
        if (cVar != null) {
            cVar.b(this);
        }
    }

    private Uri d(@NonNull Context context, @NonNull File file) {
        if (Build.VERSION.SDK_INT < 24) {
            return Uri.fromFile(file);
        }
        return FileProvider.e(context, context.getApplicationContext().getPackageName() + ".file.provider", this.f6369e);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean i(int i) throws IOException {
        return i == -1 && j(this.f6369e);
    }

    /* JADX WARNING: Removed duplicated region for block: B:35:0x007a A[SYNTHETIC, Splitter:B:35:0x007a] */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x0083  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x0088  */
    private boolean j(File file) throws IOException {
        Throwable th;
        Bitmap bitmap;
        Bitmap bitmap2;
        if (file == null || !file.exists()) {
            return false;
        }
        FileOutputStream fileOutputStream = null;
        try {
            int a2 = b.a(file.getAbsolutePath());
            if (a2 == 0) {
                return true;
            }
            int i = file.length() >= 4194304 ? 90 : 100;
            Matrix matrix = new Matrix();
            matrix.postRotate((float) a2);
            BitmapFactory.Options options = new BitmapFactory.Options();
            options.inJustDecodeBounds = false;
            bitmap2 = BitmapFactory.decodeFile(file.getAbsolutePath(), options);
            try {
                bitmap = Bitmap.createBitmap(bitmap2, 0, 0, bitmap2.getWidth(), bitmap2.getHeight(), matrix, false);
            } catch (Throwable th2) {
                th = th2;
                bitmap = null;
                if (fileOutputStream != null) {
                }
                if (bitmap2 != null) {
                }
                if (bitmap != null) {
                }
                throw th;
            }
            try {
                FileOutputStream fileOutputStream2 = new FileOutputStream(file);
                try {
                    bitmap.compress(Bitmap.CompressFormat.JPEG, i, fileOutputStream2);
                    fileOutputStream2.flush();
                    try {
                        fileOutputStream2.close();
                    } catch (IOException unused) {
                        d.a("IOException when output stream closing!");
                    }
                    bitmap2.recycle();
                    bitmap.recycle();
                    return true;
                } catch (Throwable th3) {
                    th = th3;
                    fileOutputStream = fileOutputStream2;
                    if (fileOutputStream != null) {
                    }
                    if (bitmap2 != null) {
                    }
                    if (bitmap != null) {
                    }
                    throw th;
                }
            } catch (Throwable th4) {
                th = th4;
                if (fileOutputStream != null) {
                    try {
                        fileOutputStream.close();
                    } catch (IOException unused2) {
                        d.a("IOException when output stream closing!");
                    }
                }
                if (bitmap2 != null) {
                    bitmap2.recycle();
                }
                if (bitmap != null) {
                    bitmap.recycle();
                }
                throw th;
            }
        } catch (Throwable th5) {
            th = th5;
            bitmap2 = null;
            bitmap = null;
            if (fileOutputStream != null) {
            }
            if (bitmap2 != null) {
            }
            if (bitmap != null) {
            }
            throw th;
        }
    }

    private void l(Activity activity, Fragment fragment, Intent intent, int i) throws ActivityNotFoundException {
        if (fragment == null) {
            activity.startActivityForResult(intent, i);
        } else {
            fragment.startActivityForResult(intent, i);
        }
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(6:2|3|4|5|6|12) */
    /* JADX WARNING: Code restructure failed: missing block: B:11:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:7:0x0048, code lost:
        com.bilibili.boxing.utils.d.a("create file" + r7 + " error.");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:?, code lost:
        return;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x0044 */
    private void n(Activity activity, Fragment fragment, String str, String str2, int i) {
        String d2 = c.d(str);
        if (c.a(d2)) {
            File file = new File(d2, System.currentTimeMillis() + ".jpg");
            this.f6369e = file;
            this.f6368d = file.getPath();
            Intent intent = new Intent(str2);
            intent.putExtra("output", d(activity.getApplicationContext(), this.f6369e));
            l(activity, fragment, intent, i);
            b();
        }
    }

    private boolean o(Activity activity, Fragment fragment, String str) {
        if (Build.VERSION.SDK_INT >= 17) {
            try {
                n(activity, fragment, str, "android.media.action.IMAGE_CAPTURE", 8193);
                return true;
            } catch (ActivityNotFoundException unused) {
            }
        }
        return false;
    }

    public String e() {
        return this.f6368d;
    }

    public boolean f(int i, int i2) {
        if (i != 8193) {
            return false;
        }
        if (i2 != -1) {
            b();
            return false;
        }
        FutureTask<Boolean> e2 = a.c().e(new b(i2));
        if (e2 != null) {
            try {
                if (e2.get().booleanValue()) {
                    c();
                    return true;
                }
            } catch (InterruptedException | ExecutionException unused) {
                b();
                return true;
            }
        }
        b();
        return true;
    }

    public void g(Bundle bundle) {
        SavedState savedState = new SavedState();
        savedState.f6370a = this.f6369e;
        savedState.f6371b = this.f6368d;
        bundle.putParcelable(f6367c, savedState);
    }

    public void h() {
        this.f6369e = null;
    }

    public void k(c cVar) {
        this.f = cVar;
    }

    public void m(Activity activity, Fragment fragment, String str) {
        if (Build.VERSION.SDK_INT < 23 || !o(activity, fragment, str)) {
            FutureTask<Boolean> e2 = a.c().e(new a());
            if (e2 != null) {
                try {
                    if (e2.get().booleanValue()) {
                        n(activity, fragment, str, "android.media.action.IMAGE_CAPTURE", 8193);
                        return;
                    }
                } catch (InterruptedException | ExecutionException unused) {
                    b();
                    return;
                }
            }
            b();
        }
    }
}
