package com.bilibili.boxing.utils;

import android.content.Context;
import android.os.Environment;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import java.io.File;
import java.util.concurrent.ExecutionException;

/* compiled from: BoxingFileHelper */
public class c {

    /* renamed from: a  reason: collision with root package name */
    public static final String f6377a = "/bili/boxing";

    public static boolean a(String str) throws ExecutionException, InterruptedException {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        File file = new File(str);
        if (file.exists() || file.mkdirs()) {
            return true;
        }
        return false;
    }

    @Nullable
    public static String b() {
        return d(null);
    }

    @Nullable
    public static String c(@NonNull Context context) {
        if (context == null) {
            return null;
        }
        File cacheDir = context.getApplicationContext().getCacheDir();
        if (cacheDir == null) {
            d.a("cache dir do not exist.");
            return null;
        }
        String str = cacheDir.getAbsolutePath() + "/boxing";
        try {
            a(str);
            d.a("cache dir is: " + str);
            return str;
        } catch (InterruptedException | ExecutionException unused) {
            d.a("cache dir " + str + " not exist");
            return null;
        }
    }

    @Nullable
    public static String d(String str) {
        if ("mounted".equals(Environment.getExternalStorageState())) {
            File externalStoragePublicDirectory = Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DCIM);
            if (externalStoragePublicDirectory == null) {
                return null;
            }
            if (TextUtils.isEmpty(str)) {
                str = f6377a;
            }
            String str2 = externalStoragePublicDirectory.getAbsolutePath() + str;
            d.a("external DCIM is: " + str2);
            return str2;
        }
        d.a("external DCIM do not exist.");
        return null;
    }

    static boolean e(File file) {
        return file != null && file.exists() && file.isFile() && file.length() > 0 && file.canRead();
    }

    public static boolean f(String str) {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        return e(new File(str));
    }
}
