package com.bilibili.boxing.utils;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.ibm.icu.impl.t2.b;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.UnsupportedEncodingException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Locale;
import java.util.Objects;

/* compiled from: ImageCompressor */
public class f {

    /* renamed from: a  reason: collision with root package name */
    public static final long f6382a = 1048576;

    /* renamed from: b  reason: collision with root package name */
    private static final char[] f6383b = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'};

    /* renamed from: c  reason: collision with root package name */
    private static final int f6384c = 3024;

    /* renamed from: d  reason: collision with root package name */
    private static final int f6385d = 4032;

    /* renamed from: e  reason: collision with root package name */
    private static final long f6386e = 307200;
    private static final String f = "compress-";
    private File g;

    public f(@NonNull File file) {
        if (file != null) {
            StringBuilder sb = new StringBuilder();
            sb.append(file.getAbsolutePath());
            String str = File.separator;
            sb.append(str);
            sb.append(".compress");
            sb.append(str);
            this.g = new File(sb.toString());
        }
    }

    private Bitmap c(String str, int i, int i2) {
        int i3;
        BitmapFactory.Options options = new BitmapFactory.Options();
        options.inJustDecodeBounds = true;
        BitmapFactory.decodeFile(str, options);
        int i4 = options.outHeight;
        int i5 = options.outWidth;
        if (i4 > i2 || i5 > i) {
            int i6 = i4 / 2;
            int i7 = i5 / 2;
            i3 = 1;
            while (i6 / i3 > i2 && i7 / i3 > i) {
                i3 *= 2;
            }
        } else {
            i3 = 1;
        }
        options.inSampleSize = i3;
        options.inJustDecodeBounds = false;
        int ceil = (int) Math.ceil((double) (((float) options.outHeight) / ((float) i2)));
        int ceil2 = (int) Math.ceil((double) (((float) options.outWidth) / ((float) i)));
        if (ceil > 1 || ceil2 > 1) {
            if (ceil > ceil2) {
                options.inSampleSize = ceil;
            } else {
                options.inSampleSize = ceil2;
            }
        }
        options.inJustDecodeBounds = false;
        return BitmapFactory.decodeFile(str, options);
    }

    private void d(File file, OutputStream outputStream, int i) throws IOException, OutOfMemoryError {
        d.a("start compress quality... ");
        BitmapFactory.Options options = new BitmapFactory.Options();
        options.inPreferredConfig = Bitmap.Config.RGB_565;
        Bitmap decodeFile = BitmapFactory.decodeFile(file.getAbsolutePath(), options);
        Objects.requireNonNull(decodeFile, "bitmap is null when compress by quality");
        decodeFile.compress(Bitmap.CompressFormat.JPEG, i, outputStream);
        decodeFile.recycle();
    }

    private void e(File file, long j, int i) throws IOException {
        if (file.length() > j) {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            d.a("source file size : " + file.length() + ",path : " + file);
            int i2 = 90;
            while (true) {
                d(file, byteArrayOutputStream, i2);
                long size = (long) byteArrayOutputStream.size();
                d.a("compressed file size : " + size);
                if (i2 > i && size >= j) {
                    i2 -= 10;
                    byteArrayOutputStream.reset();
                }
            }
            FileOutputStream fileOutputStream = new FileOutputStream(file);
            byteArrayOutputStream.writeTo(fileOutputStream);
            byteArrayOutputStream.flush();
            fileOutputStream.close();
            byteArrayOutputStream.close();
        }
    }

    private File f(File file) throws IOException {
        File h = h(file);
        if (!this.g.exists()) {
            this.g.mkdirs();
        }
        d.a("compress out file : " + h);
        h.createNewFile();
        return h;
    }

    private int[] g(int i, int i2) {
        if (i % 2 == 1) {
            i++;
        }
        if (i2 % 2 == 1) {
            i2++;
        }
        int[] iArr = {i, i2};
        int i3 = i > i2 ? i2 : i;
        if (i <= i2) {
            i = i2;
        }
        float f2 = ((float) i3) / ((float) i);
        if (f2 > 1.0f || ((double) f2) < 0.5625d) {
            double d2 = (double) f2;
            if (d2 > 0.5625d || d2 <= 0.5d) {
                int ceil = (int) Math.ceil(((double) i) / (1280.0d / d2));
                i3 /= ceil;
                i /= ceil;
            } else if (i >= 1280) {
                int i4 = i / b.n;
                if (i4 == 0) {
                    i4 = 1;
                }
                i3 /= i4;
                i /= i4;
            }
        } else if (i >= 1664) {
            if (i >= 1664 && i < 4990) {
                i3 /= 2;
                i /= 2;
            } else if (i < 4990 || i >= 10240) {
                int i5 = i / b.n;
                if (i5 == 0) {
                    i5 = 1;
                }
                i3 /= i5;
                i /= i5;
            } else {
                i3 /= 4;
                i /= 4;
            }
        }
        iArr[0] = i3;
        iArr[1] = i;
        return iArr;
    }

    private boolean l(int i, int i2) {
        return i / i2 >= 3 || i2 / i >= 3;
    }

    private boolean m(File file) {
        return file != null && file.exists() && file.isFile() && file.length() > 0;
    }

    private Bitmap n(int i, Bitmap bitmap) {
        if (i == 0) {
            return bitmap;
        }
        Matrix matrix = new Matrix();
        matrix.postRotate((float) i);
        return Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, true);
    }

    private void o(Bitmap bitmap, File file) throws IOException {
        FileOutputStream fileOutputStream = new FileOutputStream(file);
        bitmap.compress(Bitmap.CompressFormat.JPEG, 100, fileOutputStream);
        try {
            fileOutputStream.flush();
        } finally {
            try {
                fileOutputStream.close();
            } catch (IOException unused) {
                d.a("IOException when saving a bitmap");
            }
        }
    }

    private String p(byte[] bArr, MessageDigest messageDigest) {
        messageDigest.update(bArr);
        byte[] digest = messageDigest.digest();
        char[] cArr = new char[(digest.length * 2)];
        int i = 0;
        for (byte b2 : digest) {
            int i2 = i + 1;
            char[] cArr2 = f6383b;
            cArr[i] = cArr2[(b2 >>> 4) & 15];
            i = i2 + 1;
            cArr[i2] = cArr2[b2 & 15];
        }
        return new String(cArr).toLowerCase(Locale.getDefault());
    }

    public File a(@NonNull File file) throws IOException, NullPointerException, IllegalArgumentException {
        return b(file, f6386e);
    }

    public File b(@NonNull File file, long j) throws IOException, NullPointerException, IllegalArgumentException {
        int i;
        if (!file.exists()) {
            throw new IllegalArgumentException("file not found : " + file.getAbsolutePath());
        } else if (m(file)) {
            Objects.requireNonNull(this.g, "the external cache dir is null");
            BitmapFactory.Options options = new BitmapFactory.Options();
            options.inJustDecodeBounds = true;
            String absolutePath = file.getAbsolutePath();
            int a2 = b.a(absolutePath);
            BitmapFactory.decodeFile(absolutePath, options);
            int i2 = options.outWidth;
            if (i2 <= 0 || (i = options.outHeight) <= 0) {
                throw new IllegalArgumentException("file is not a legal bitmap with 0 with or 0 height : " + file.getAbsolutePath());
            }
            File f2 = f(file);
            Objects.requireNonNull(f2, "the compressed file create fail, the compressed path is null.");
            if (!l(i2, i)) {
                int[] g2 = g(i2, i);
                Bitmap c2 = c(absolutePath, g2[0], g2[1]);
                Bitmap n = n(a2, c2);
                if (c2 != n) {
                    c2.recycle();
                }
                o(n, f2);
                n.recycle();
                e(f2, j, 20);
            } else {
                if (options.outHeight >= f6385d && options.outWidth >= f6384c) {
                    options.inSampleSize = 2;
                }
                options.inJustDecodeBounds = false;
                Bitmap decodeFile = BitmapFactory.decodeFile(absolutePath, options);
                Bitmap n2 = n(a2, decodeFile);
                if (decodeFile != n2) {
                    decodeFile.recycle();
                }
                o(decodeFile, f2);
                n2.recycle();
                e(f2, 1048576, 50);
            }
            d.a("compress suc: " + f2.getAbsolutePath());
            return f2;
        } else {
            throw new IllegalArgumentException("file is not a legal file : " + file.getAbsolutePath());
        }
    }

    @Nullable
    public File h(File file) {
        String j = j(file);
        if (TextUtils.isEmpty(j)) {
            return null;
        }
        return new File(j);
    }

    @Nullable
    public File i(String str) {
        String k = k(str);
        if (TextUtils.isEmpty(k)) {
            return null;
        }
        return new File(k);
    }

    @Nullable
    public String j(File file) {
        return k(file.getAbsolutePath());
    }

    @Nullable
    public String k(String str) {
        try {
            return this.g + File.separator + f + q(str.getBytes("UTF-8")) + ".jpg";
        } catch (UnsupportedEncodingException unused) {
            return null;
        }
    }

    public String q(byte[] bArr) {
        try {
            return p(bArr, MessageDigest.getInstance("MD5"));
        } catch (NoSuchAlgorithmException unused) {
            d.a("have no md5");
            return null;
        }
    }

    public f(@NonNull Context context) {
        if (context != null) {
            String c2 = c.c(context);
            if (!TextUtils.isEmpty(c2)) {
                StringBuilder sb = new StringBuilder();
                sb.append(c2);
                String str = File.separator;
                sb.append(str);
                sb.append(".compress");
                sb.append(str);
                this.g = new File(sb.toString());
                return;
            }
            throw new IllegalStateException("the cache dir is null");
        }
    }
}
