package com.bilibili.boxing_impl.d;

import android.content.Context;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import com.bilibili.boxing.d;
import com.bilibili.boxing.model.entity.AlbumEntity;
import com.bilibili.boxing.model.entity.impl.ImageMedia;
import com.bilibili.boxing_impl.R;
import java.util.ArrayList;
import java.util.List;

/* compiled from: BoxingAlbumAdapter */
public class a extends RecyclerView.Adapter implements View.OnClickListener {

    /* renamed from: a  reason: collision with root package name */
    private static final String f6391a = "?";
    private List<AlbumEntity> I0;
    private LayoutInflater J0;
    private b K0;
    private int L0 = com.bilibili.boxing.g.b.b().a().a();

    /* renamed from: b  reason: collision with root package name */
    private int f6392b;

    /* renamed from: com.bilibili.boxing_impl.d.a$a  reason: collision with other inner class name */
    /* compiled from: BoxingAlbumAdapter */
    private static class C0148a extends RecyclerView.z {

        /* renamed from: a  reason: collision with root package name */
        ImageView f6393a;

        /* renamed from: b  reason: collision with root package name */
        TextView f6394b;

        /* renamed from: c  reason: collision with root package name */
        TextView f6395c;

        /* renamed from: d  reason: collision with root package name */
        View f6396d;

        /* renamed from: e  reason: collision with root package name */
        ImageView f6397e;

        C0148a(View view) {
            super(view);
            this.f6393a = (ImageView) view.findViewById(R.id.album_thumbnail);
            this.f6394b = (TextView) view.findViewById(R.id.album_name);
            this.f6395c = (TextView) view.findViewById(R.id.album_size);
            this.f6396d = view.findViewById(R.id.album_layout);
            this.f6397e = (ImageView) view.findViewById(R.id.album_checked);
        }
    }

    /* compiled from: BoxingAlbumAdapter */
    public interface b {
        void a(View view, int i);
    }

    public a(Context context) {
        ArrayList arrayList = new ArrayList();
        this.I0 = arrayList;
        arrayList.add(AlbumEntity.a());
        this.J0 = LayoutInflater.from(context);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        List<AlbumEntity> list = this.I0;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    public void n(List<AlbumEntity> list) {
        this.I0.clear();
        this.I0.addAll(list);
        notifyDataSetChanged();
    }

    public List<AlbumEntity> o() {
        return this.I0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(RecyclerView.z zVar, int i) {
        C0148a aVar = (C0148a) zVar;
        aVar.f6393a.setImageResource(this.L0);
        int adapterPosition = zVar.getAdapterPosition();
        AlbumEntity albumEntity = this.I0.get(adapterPosition);
        int i2 = 8;
        if (albumEntity == null || !albumEntity.b()) {
            aVar.f6394b.setText(f6391a);
            aVar.f6395c.setVisibility(8);
            return;
        }
        aVar.f6394b.setText(TextUtils.isEmpty(albumEntity.K0) ? aVar.f6394b.getContext().getString(R.string.boxing_default_album_name) : albumEntity.K0);
        ImageMedia imageMedia = (ImageMedia) albumEntity.L0.get(0);
        if (imageMedia != null) {
            d.d().b(aVar.f6393a, imageMedia.getPath(), 50, 50);
            aVar.f6393a.setTag(R.string.boxing_app_name, imageMedia.getPath());
        }
        aVar.f6396d.setTag(Integer.valueOf(adapterPosition));
        aVar.f6396d.setOnClickListener(this);
        ImageView imageView = aVar.f6397e;
        if (albumEntity.I0) {
            i2 = 0;
        }
        imageView.setVisibility(i2);
        TextView textView = aVar.f6395c;
        textView.setText(textView.getResources().getString(R.string.boxing_album_images_fmt, Integer.valueOf(albumEntity.f6347b)));
    }

    public void onClick(View view) {
        b bVar;
        if (view.getId() == R.id.album_layout && (bVar = this.K0) != null) {
            bVar.a(view, ((Integer) view.getTag()).intValue());
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public RecyclerView.z onCreateViewHolder(ViewGroup viewGroup, int i) {
        return new C0148a(this.J0.inflate(R.layout.layout_boxing_album_item, viewGroup, false));
    }

    public AlbumEntity p() {
        List<AlbumEntity> list = this.I0;
        if (list == null || list.size() <= 0) {
            return null;
        }
        return this.I0.get(this.f6392b);
    }

    public int q() {
        return this.f6392b;
    }

    public void r(b bVar) {
        this.K0 = bVar;
    }

    public void s(int i) {
        this.f6392b = i;
    }
}
