package com.bilibili.boxing_impl.d;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;
import com.bilibili.boxing.model.config.BoxingConfig;
import com.bilibili.boxing.model.entity.BaseMedia;
import com.bilibili.boxing.model.entity.impl.ImageMedia;
import com.bilibili.boxing_impl.R;
import com.bilibili.boxing_impl.view.MediaItemLayout;
import java.util.ArrayList;
import java.util.List;

/* compiled from: BoxingMediaAdapter */
public class b extends RecyclerView.Adapter {

    /* renamed from: a  reason: collision with root package name */
    private static final int f6398a = 0;

    /* renamed from: b  reason: collision with root package name */
    private static final int f6399b = 1;

    /* renamed from: c  reason: collision with root package name */
    private int f6400c;

    /* renamed from: d  reason: collision with root package name */
    private boolean f6401d;

    /* renamed from: e  reason: collision with root package name */
    private List<BaseMedia> f6402e = new ArrayList();
    private List<BaseMedia> f = new ArrayList(9);
    private LayoutInflater g;
    private BoxingConfig h;
    private View.OnClickListener i;
    private View.OnClickListener j;
    private d k;
    private e l;
    private int m;

    /* renamed from: com.bilibili.boxing_impl.d.b$b  reason: collision with other inner class name */
    /* compiled from: BoxingMediaAdapter */
    private static class C0149b extends RecyclerView.z {

        /* renamed from: a  reason: collision with root package name */
        View f6403a;

        /* renamed from: b  reason: collision with root package name */
        ImageView f6404b;

        C0149b(View view) {
            super(view);
            this.f6403a = view.findViewById(R.id.camera_layout);
            this.f6404b = (ImageView) view.findViewById(R.id.camera_img);
        }
    }

    /* compiled from: BoxingMediaAdapter */
    private static class c extends RecyclerView.z {

        /* renamed from: a  reason: collision with root package name */
        MediaItemLayout f6405a;

        /* renamed from: b  reason: collision with root package name */
        View f6406b;

        c(View view) {
            super(view);
            this.f6405a = (MediaItemLayout) view.findViewById(R.id.media_layout);
            this.f6406b = view.findViewById(R.id.media_item_check);
        }
    }

    /* compiled from: BoxingMediaAdapter */
    private class d implements View.OnClickListener {
        private d() {
        }

        public void onClick(View view) {
            MediaItemLayout mediaItemLayout = (MediaItemLayout) view.getTag(R.id.media_layout);
            BaseMedia baseMedia = (BaseMedia) view.getTag();
            if (b.this.h.h() == BoxingConfig.Mode.MULTI_IMG && b.this.l != null) {
                b.this.l.a(mediaItemLayout, baseMedia);
            }
        }
    }

    /* compiled from: BoxingMediaAdapter */
    public interface e {
        void a(View view, BaseMedia baseMedia);
    }

    public b(Context context) {
        this.g = LayoutInflater.from(context);
        BoxingConfig a2 = com.bilibili.boxing.g.b.b().a();
        this.h = a2;
        this.f6400c = a2.o() ? 1 : 0;
        this.f6401d = this.h.h() == BoxingConfig.Mode.MULTI_IMG;
        this.k = new d();
        this.m = this.h.f();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        return this.f6402e.size() + this.f6400c;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public long getItemId(int i2) {
        return (long) i2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemViewType(int i2) {
        return (i2 != 0 || !this.h.o()) ? 1 : 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(RecyclerView.z zVar, int i2) {
        if (zVar instanceof C0149b) {
            C0149b bVar = (C0149b) zVar;
            bVar.f6403a.setOnClickListener(this.i);
            bVar.f6404b.setImageResource(com.bilibili.boxing_impl.a.a());
            return;
        }
        int i3 = i2 - this.f6400c;
        BaseMedia baseMedia = this.f6402e.get(i3);
        c cVar = (c) zVar;
        cVar.f6405a.setImageRes(this.m);
        cVar.f6405a.setTag(baseMedia);
        cVar.f6405a.setOnClickListener(this.j);
        cVar.f6405a.setTag(R.id.media_item_check, Integer.valueOf(i3));
        cVar.f6405a.setMedia(baseMedia);
        cVar.f6406b.setVisibility(this.f6401d ? 0 : 8);
        if (this.f6401d && (baseMedia instanceof ImageMedia)) {
            cVar.f6405a.setChecked(((ImageMedia) baseMedia).isSelected());
            cVar.f6406b.setTag(R.id.media_layout, cVar.f6405a);
            cVar.f6406b.setTag(baseMedia);
            cVar.f6406b.setOnClickListener(this.k);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public RecyclerView.z onCreateViewHolder(ViewGroup viewGroup, int i2) {
        if (i2 == 0) {
            return new C0149b(this.g.inflate(R.layout.layout_boxing_recycleview_header, viewGroup, false));
        }
        return new c(this.g.inflate(R.layout.layout_boxing_recycleview_item, viewGroup, false));
    }

    public void p(@NonNull List<BaseMedia> list) {
        int size = this.f6402e.size();
        this.f6402e.addAll(list);
        notifyItemRangeInserted(size, list.size());
    }

    public void q() {
        int size = this.f6402e.size();
        this.f6402e.clear();
        notifyItemRangeRemoved(0, size);
    }

    public List<BaseMedia> r() {
        return this.f6402e;
    }

    public List<BaseMedia> s() {
        return this.f;
    }

    public void t(View.OnClickListener onClickListener) {
        this.i = onClickListener;
    }

    public void u(e eVar) {
        this.l = eVar;
    }

    public void v(View.OnClickListener onClickListener) {
        this.j = onClickListener;
    }

    public void w(List<BaseMedia> list) {
        if (list != null) {
            this.f.clear();
            this.f.addAll(list);
            notifyDataSetChanged();
        }
    }
}
