package com.bilibili.boxing_impl.ui;

import android.graphics.Point;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ProgressBar;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.FragmentActivity;
import com.bilibili.boxing.AbsBoxingViewActivity;
import com.bilibili.boxing.model.entity.impl.ImageMedia;
import com.bilibili.boxing.utils.d;
import com.bilibili.boxing_impl.R;
import com.bilibili.boxing_impl.view.HackyViewPager;
import java.lang.ref.WeakReference;
import uk.co.senab.photoview.PhotoView;
import uk.co.senab.photoview.e;

/* compiled from: BoxingRawImageFragment */
public class c extends a {
    private static final String I0 = "com.bilibili.boxing_impl.ui.BoxingRawImageFragment.image";
    private static final int J0 = 15;
    private static final long K0 = 1048576;
    private static final long L0 = 4194304;
    private PhotoView M0;
    private ProgressBar N0;
    private ImageMedia O0;
    private e P0;

    /* compiled from: BoxingRawImageFragment */
    private static class a implements com.bilibili.boxing.f.a {

        /* renamed from: a  reason: collision with root package name */
        private WeakReference<c> f6421a;

        a(c cVar) {
            this.f6421a = new WeakReference<>(cVar);
        }

        @Override // com.bilibili.boxing.f.a
        public void a() {
            HackyViewPager hackyViewPager;
            if (this.f6421a.get() != null && this.f6421a.get().M0 != null) {
                this.f6421a.get().M();
                Drawable drawable = this.f6421a.get().M0.getDrawable();
                e eVar = this.f6421a.get().P0;
                if (eVar != null) {
                    if (drawable.getIntrinsicHeight() > (drawable.getIntrinsicWidth() << 2)) {
                        float min = (float) Math.min(15, drawable.getIntrinsicHeight() / drawable.getIntrinsicWidth());
                        eVar.setMaximumScale(min);
                        eVar.h(min, true);
                    }
                    eVar.Y();
                }
                BoxingViewActivity P = this.f6421a.get().P();
                if (P != null && (hackyViewPager = P.L0) != null) {
                    hackyViewPager.setVisibility(0);
                }
            }
        }

        @Override // com.bilibili.boxing.f.a
        public void b(Throwable th) {
            if (this.f6421a.get() != null) {
                d.a(th != null ? th.getMessage() : "load raw image error.");
                this.f6421a.get().M();
                this.f6421a.get().M0.setImageResource(R.drawable.ic_boxing_broken_image);
                if (this.f6421a.get().P0 != null) {
                    this.f6421a.get().P0.Y();
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void M() {
        ProgressBar progressBar;
        ProgressBar progressBar2 = this.N0;
        if (progressBar2 != null) {
            progressBar2.setVisibility(8);
        }
        BoxingViewActivity P = P();
        if (P != null && (progressBar = P.M0) != null) {
            progressBar.setVisibility(8);
        }
    }

    private Point O(long j) {
        DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
        Point point = new Point(displayMetrics.widthPixels, displayMetrics.heightPixels);
        if (j >= L0) {
            point.x >>= 2;
            point.y >>= 2;
        } else if (j >= 1048576) {
            point.x >>= 1;
            point.y >>= 1;
        } else if (j > 0) {
            point.x = 0;
            point.y = 0;
        }
        return point;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private BoxingViewActivity P() {
        FragmentActivity activity = getActivity();
        if (activity instanceof BoxingViewActivity) {
            return (BoxingViewActivity) activity;
        }
        return null;
    }

    public static c Q(@NonNull ImageMedia imageMedia) {
        c cVar = new c();
        Bundle bundle = new Bundle();
        bundle.putParcelable(I0, imageMedia);
        cVar.setArguments(bundle);
        return cVar;
    }

    /* access modifiers changed from: package-private */
    @Override // com.bilibili.boxing_impl.ui.a
    public void A(boolean z) {
        if (z) {
            Point O = O(this.O0.getSize());
            ((AbsBoxingViewActivity) getActivity()).p0(this.M0, this.O0.getPath(), O.x, O.y, new a(this));
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onCreate(@Nullable Bundle bundle) {
        super.onCreate(bundle);
        this.O0 = (ImageMedia) getArguments().getParcelable(I0);
    }

    @Override // androidx.fragment.app.Fragment
    @Nullable
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        return layoutInflater.inflate(R.layout.fragment_boxing_raw_image, viewGroup, false);
    }

    @Override // androidx.fragment.app.Fragment
    public void onDestroyView() {
        super.onDestroyView();
        e eVar = this.P0;
        if (eVar != null) {
            eVar.E();
            this.P0 = null;
            this.M0 = null;
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(View view, @Nullable Bundle bundle) {
        super.onViewCreated(view, bundle);
        this.N0 = (ProgressBar) view.findViewById(R.id.loading);
        this.M0 = (PhotoView) view.findViewById(R.id.photo_view);
        e eVar = new e(this.M0);
        this.P0 = eVar;
        eVar.U(true);
        this.P0.W(true);
    }
}
