package com.bilibili.boxing_impl.ui;

import android.app.ProgressDialog;
import android.content.Intent;
import android.graphics.drawable.ColorDrawable;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.PopupWindow;
import android.widget.ProgressBar;
import android.widget.TextView;
import android.widget.Toast;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.bilibili.boxing.model.config.BoxingConfig;
import com.bilibili.boxing.model.entity.AlbumEntity;
import com.bilibili.boxing.model.entity.BaseMedia;
import com.bilibili.boxing.model.entity.impl.ImageMedia;
import com.bilibili.boxing_impl.R;
import com.bilibili.boxing_impl.d.a;
import com.bilibili.boxing_impl.d.b;
import com.bilibili.boxing_impl.view.HackyGridLayoutManager;
import com.bilibili.boxing_impl.view.MediaItemLayout;
import java.util.ArrayList;
import java.util.List;

/* compiled from: BoxingViewFragment */
public class d extends com.bilibili.boxing.a implements View.OnClickListener {
    public static final String M0 = "com.bilibili.boxing_impl.ui.BoxingViewFragment";
    private static final int N0 = 9086;
    private static final int O0 = 9087;
    private static final int P0 = 3;
    private boolean Q0;
    private boolean R0;
    private Button S0;
    private Button T0;
    private RecyclerView U0;
    private com.bilibili.boxing_impl.d.b V0;
    private com.bilibili.boxing_impl.d.a W0;
    private ProgressDialog X0;
    private TextView Y0;
    private TextView Z0;
    private PopupWindow a1;
    private ProgressBar b1;
    private int c1;
    g d1;

    /* access modifiers changed from: package-private */
    /* compiled from: BoxingViewFragment */
    public class a implements View.OnClickListener {

        /* access modifiers changed from: package-private */
        /* renamed from: com.bilibili.boxing_impl.ui.d$a$a  reason: collision with other inner class name */
        /* compiled from: BoxingViewFragment */
        public class View$OnClickListenerC0151a implements View.OnClickListener {
            View$OnClickListenerC0151a() {
            }

            public void onClick(View view) {
                d.this.y0();
            }
        }

        a() {
        }

        @NonNull
        private View a() {
            View inflate = LayoutInflater.from(d.this.getActivity()).inflate(R.layout.layout_boxing_album, (ViewGroup) null);
            RecyclerView recyclerView = (RecyclerView) inflate.findViewById(R.id.album_recycleview);
            recyclerView.setLayoutManager(new LinearLayoutManager(inflate.getContext(), 1, false));
            recyclerView.addItemDecoration(new com.bilibili.boxing_impl.view.a(2, 1));
            inflate.findViewById(R.id.album_shadow).setOnClickListener(new View$OnClickListenerC0151a());
            d.this.W0.r(new b(d.this, null));
            recyclerView.setAdapter(d.this.W0);
            return inflate;
        }

        public void onClick(View view) {
            if (d.this.a1 == null) {
                int c2 = com.bilibili.boxing_impl.c.c(view.getContext()) - (com.bilibili.boxing_impl.c.f(view.getContext()) + com.bilibili.boxing_impl.c.e(view.getContext()));
                View a2 = a();
                d.this.a1 = new PopupWindow(a2, -1, c2, true);
                d.this.a1.setAnimationStyle(R.style.Boxing_PopupAnimation);
                d.this.a1.setOutsideTouchable(true);
                d.this.a1.setBackgroundDrawable(new ColorDrawable(androidx.core.content.d.f(view.getContext(), R.color.boxing_colorPrimaryAlpha)));
                d.this.a1.setContentView(a2);
            }
            d.this.a1.showAsDropDown(view, 0, 0);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: BoxingViewFragment */
    public class b implements a.b {
        private b() {
        }

        @Override // com.bilibili.boxing_impl.d.a.b
        public void a(View view, int i) {
            com.bilibili.boxing_impl.d.a aVar = d.this.W0;
            if (!(aVar == null || aVar.q() == i)) {
                List<AlbumEntity> o = aVar.o();
                aVar.s(i);
                AlbumEntity albumEntity = o.get(i);
                d.this.R(0, albumEntity.J0);
                TextView textView = d.this.Z0;
                String str = albumEntity.K0;
                if (str == null) {
                    str = d.this.getString(R.string.boxing_default_album_name);
                }
                textView.setText(str);
                for (AlbumEntity albumEntity2 : o) {
                    albumEntity2.I0 = false;
                }
                albumEntity.I0 = true;
                aVar.notifyDataSetChanged();
            }
            d.this.y0();
        }

        /* synthetic */ b(d dVar, a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: BoxingViewFragment */
    public class c implements View.OnClickListener {
        private c() {
        }

        public void onClick(View view) {
            if (com.bilibili.boxing.g.b.b().a().u()) {
                g gVar = d.this.d1;
                if (gVar != null) {
                    gVar.a();
                }
            } else if (!d.this.R0) {
                d.this.R0 = true;
                d dVar = d.this;
                dVar.k0(dVar.getActivity(), d.this, com.bilibili.boxing.utils.c.f6377a);
            }
        }

        /* synthetic */ c(d dVar, a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: com.bilibili.boxing_impl.ui.d$d  reason: collision with other inner class name */
    /* compiled from: BoxingViewFragment */
    public class C0152d implements b.e {
        private C0152d() {
        }

        @Override // com.bilibili.boxing_impl.d.b.e
        public void a(View view, BaseMedia baseMedia) {
            if (baseMedia instanceof ImageMedia) {
                ImageMedia imageMedia = (ImageMedia) baseMedia;
                boolean z = !imageMedia.isSelected();
                MediaItemLayout mediaItemLayout = (MediaItemLayout) view;
                List<BaseMedia> s = d.this.V0.s();
                if (z) {
                    if (s.size() >= d.this.c1) {
                        d dVar = d.this;
                        Toast.makeText(d.this.getActivity(), dVar.getString(R.string.boxing_too_many_picture_fmt, Integer.valueOf(dVar.c1)), 0).show();
                        return;
                    } else if (!s.contains(imageMedia)) {
                        if (imageMedia.isGifOverSize()) {
                            Toast.makeText(d.this.getActivity(), R.string.boxing_gif_too_big, 0).show();
                            return;
                        }
                        s.add(imageMedia);
                    }
                } else if (s.size() >= 1 && s.contains(imageMedia)) {
                    s.remove(imageMedia);
                }
                imageMedia.setSelected(z);
                mediaItemLayout.setChecked(z);
                d.this.L0(s);
            }
        }

        /* synthetic */ C0152d(d dVar, a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: BoxingViewFragment */
    public class e implements View.OnClickListener {
        private e() {
        }

        private void a(int i) {
            if (!d.this.Q0) {
                AlbumEntity p = d.this.W0.p();
                String str = p != null ? p.J0 : "";
                d.this.Q0 = true;
                com.bilibili.boxing.b.a().r(d.this.getContext(), BoxingViewActivity.class, (ArrayList) d.this.V0.s(), i, str).n(d.this, d.N0, BoxingConfig.ViewMode.EDIT);
            }
        }

        private void b(BaseMedia baseMedia) {
            ArrayList arrayList = new ArrayList();
            arrayList.add(baseMedia);
            if (d.this.G()) {
                d.this.m(baseMedia, d.O0);
            } else {
                d.this.h(arrayList);
            }
        }

        private void c(BaseMedia baseMedia) {
            ArrayList arrayList = new ArrayList();
            arrayList.add(baseMedia);
            d.this.h(arrayList);
        }

        public void onClick(View view) {
            BaseMedia baseMedia = (BaseMedia) view.getTag();
            int intValue = ((Integer) view.getTag(R.id.media_item_check)).intValue();
            BoxingConfig.Mode h = com.bilibili.boxing.g.b.b().a().h();
            if (h == BoxingConfig.Mode.SINGLE_IMG) {
                b(baseMedia);
            } else if (h == BoxingConfig.Mode.MULTI_IMG) {
                a(intValue);
            } else if (h == BoxingConfig.Mode.VIDEO) {
                c(baseMedia);
            }
        }

        /* synthetic */ e(d dVar, a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: BoxingViewFragment */
    public class f extends RecyclerView.p {
        private f() {
        }

        @Override // androidx.recyclerview.widget.RecyclerView.p
        public void onScrolled(RecyclerView recyclerView, int i, int i2) {
            int childCount = recyclerView.getChildCount();
            if (childCount > 0) {
                if (recyclerView.getChildAdapterPosition(recyclerView.getChildAt(childCount - 1)) == recyclerView.getAdapter().getItemCount() - 1 && d.this.M() && d.this.A()) {
                    d.this.a0();
                }
            }
        }

        /* synthetic */ f(d dVar, a aVar) {
            this();
        }
    }

    /* compiled from: BoxingViewFragment */
    public interface g {
        void a();
    }

    private void B0() {
        HackyGridLayoutManager hackyGridLayoutManager = new HackyGridLayoutManager(getActivity(), 3);
        hackyGridLayoutManager.setSmoothScrollbarEnabled(true);
        this.U0.setLayoutManager(hackyGridLayoutManager);
        this.U0.addItemDecoration(new com.bilibili.boxing_impl.view.a(getResources().getDimensionPixelOffset(R.dimen.boxing_media_margin), 3));
        this.V0.t(new c(this, null));
        this.V0.u(new C0152d(this, null));
        this.V0.v(new e(this, null));
        this.U0.setAdapter(this.V0);
        this.U0.addOnScrollListener(new f(this, null));
    }

    private void C0(View view) {
        this.Y0 = (TextView) view.findViewById(R.id.empty_txt);
        RecyclerView recyclerView = (RecyclerView) view.findViewById(R.id.media_recycleview);
        this.U0 = recyclerView;
        recyclerView.setHasFixedSize(true);
        this.b1 = (ProgressBar) view.findViewById(R.id.loading);
        B0();
        if (BoxingConfig.Mode.VIDEO == com.bilibili.boxing.g.b.b().a().h()) {
            this.Y0.setText("没有找到合适的视频呢\n（短视频15秒到五分钟，长视频大于五分钟）");
        }
        boolean n = com.bilibili.boxing.g.b.b().a().n();
        view.findViewById(R.id.multi_picker_layout).setVisibility(n ? 0 : 8);
        if (n) {
            this.S0 = (Button) view.findViewById(R.id.choose_preview_btn);
            this.T0 = (Button) view.findViewById(R.id.choose_ok_btn);
            this.S0.setOnClickListener(this);
            this.T0.setOnClickListener(this);
            L0(this.V0.s());
        }
    }

    private boolean D0(List<BaseMedia> list) {
        return list.isEmpty() && !com.bilibili.boxing.g.b.b().a().o();
    }

    public static d E0() {
        return new d();
    }

    private void F0(List<BaseMedia> list, List<BaseMedia> list2, boolean z) {
        if (z) {
            C(list2, list);
        } else {
            h(list);
        }
    }

    private void I0() {
        this.b1.setVisibility(8);
        this.Y0.setVisibility(8);
        this.U0.setVisibility(0);
    }

    private void J0() {
        this.b1.setVisibility(8);
        this.Y0.setVisibility(0);
        this.U0.setVisibility(8);
    }

    private void K0() {
        if (this.X0 == null) {
            ProgressDialog progressDialog = new ProgressDialog(getActivity());
            this.X0 = progressDialog;
            progressDialog.setIndeterminate(true);
            this.X0.setMessage(getString(R.string.boxing_handling));
        }
        if (!this.X0.isShowing()) {
            this.X0.show();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void L0(List<BaseMedia> list) {
        M0(list);
        N0(list);
    }

    private void M0(List<BaseMedia> list) {
        String str;
        if (this.T0 != null && list != null) {
            boolean z = list.size() > 0 && list.size() <= this.c1;
            this.T0.setEnabled(z);
            Button button = this.T0;
            if (z) {
                str = getString(R.string.boxing_image_select_ok_fmt, String.valueOf(list.size()), String.valueOf(this.c1));
            } else {
                str = getString(R.string.boxing_ok);
            }
            button.setText(str);
        }
    }

    private void N0(List<BaseMedia> list) {
        if (this.S0 != null && list != null) {
            this.S0.setEnabled(list.size() > 0 && list.size() <= this.c1);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void y0() {
        PopupWindow popupWindow = this.a1;
        if (popupWindow != null && popupWindow.isShowing()) {
            this.a1.dismiss();
        }
    }

    private void z0() {
        ProgressDialog progressDialog = this.X0;
        if (progressDialog != null && progressDialog.isShowing()) {
            this.X0.hide();
            this.X0.dismiss();
        }
    }

    public com.bilibili.boxing_impl.d.b A0() {
        return this.V0;
    }

    public void G0(TextView textView) {
        this.Z0 = textView;
        textView.setOnClickListener(new a());
    }

    public void H0(g gVar) {
        this.d1 = gVar;
    }

    @Override // com.bilibili.boxing.h.a.b, com.bilibili.boxing.a
    public void I() {
        this.V0.q();
    }

    @Override // com.bilibili.boxing.a
    public void S(int i, int i2) {
        K0();
        super.S(i, i2);
    }

    @Override // com.bilibili.boxing.h.a.b, com.bilibili.boxing.a
    public void T(@Nullable List<AlbumEntity> list) {
        TextView textView;
        if ((list == null || list.isEmpty()) && (textView = this.Z0) != null) {
            textView.setCompoundDrawables(null, null, null, null);
            this.Z0.setOnClickListener(null);
            return;
        }
        this.W0.n(list);
    }

    @Override // com.bilibili.boxing.a
    public void U() {
        this.R0 = false;
        z0();
    }

    @Override // com.bilibili.boxing.a
    public void V(BaseMedia baseMedia) {
        z0();
        this.R0 = false;
        if (baseMedia != null) {
            if (G()) {
                m(baseMedia, O0);
                return;
            }
            com.bilibili.boxing_impl.d.b bVar = this.V0;
            if (bVar != null && bVar.s() != null) {
                List<BaseMedia> s = this.V0.s();
                s.add(baseMedia);
                h(s);
            }
        }
    }

    @Override // com.bilibili.boxing.a
    public void W(Bundle bundle, @Nullable List<BaseMedia> list) {
        this.W0 = new com.bilibili.boxing_impl.d.a(getContext());
        com.bilibili.boxing_impl.d.b bVar = new com.bilibili.boxing_impl.d.b(getContext());
        this.V0 = bVar;
        bVar.w(list);
        this.c1 = E();
    }

    @Override // com.bilibili.boxing.a
    public void b0(String[] strArr, Exception exc) {
        if (strArr.length <= 0) {
            return;
        }
        if (strArr[0].equals("android.permission.WRITE_EXTERNAL_STORAGE")) {
            Toast.makeText(getContext(), R.string.boxing_storage_permission_deny, 0).show();
            J0();
        } else if (strArr[0].equals("android.permission.CAMERA")) {
            Toast.makeText(getContext(), R.string.boxing_camera_permission_deny, 0).show();
        }
    }

    @Override // com.bilibili.boxing.a
    public void d0(int i, @NonNull String[] strArr, @NonNull int[] iArr) {
        if (strArr[0].equals(com.bilibili.boxing.a.f6292a[0])) {
            l0();
        } else if (strArr[0].equals(com.bilibili.boxing.a.f6293b[0])) {
            k0(getActivity(), this, null);
        }
    }

    @Override // com.bilibili.boxing.h.a.b, com.bilibili.boxing.a
    public void e0(@Nullable List<BaseMedia> list, int i) {
        if (list == null || (D0(list) && D0(this.V0.r()))) {
            J0();
            return;
        }
        I0();
        this.V0.p(list);
        C(list, this.V0.s());
    }

    @Override // com.bilibili.boxing.a
    public void l0() {
        Q();
        P();
    }

    @Override // androidx.fragment.app.Fragment, com.bilibili.boxing.a
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (intent != null && i2 == -1 && i == N0) {
            this.Q0 = false;
            boolean booleanExtra = intent.getBooleanExtra("com.bilibili.boxing_impl.ui.BoxingViewActivity.type_back", false);
            ArrayList parcelableArrayListExtra = intent.getParcelableArrayListExtra(com.bilibili.boxing.b.f6295a);
            F0(parcelableArrayListExtra, this.V0.r(), booleanExtra);
            if (booleanExtra) {
                this.V0.w(parcelableArrayListExtra);
            }
            L0(parcelableArrayListExtra);
        }
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.choose_ok_btn) {
            h(this.V0.s());
        } else if (id == R.id.choose_preview_btn && !this.Q0) {
            this.Q0 = true;
            com.bilibili.boxing.b.a().p(getActivity(), BoxingViewActivity.class, (ArrayList) this.V0.s()).n(this, N0, BoxingConfig.ViewMode.PRE_EDIT);
        }
    }

    @Override // androidx.fragment.app.Fragment
    @Nullable
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        return layoutInflater.inflate(R.layout.fragmant_boxing_view, viewGroup, false);
    }

    @Override // androidx.fragment.app.Fragment, com.bilibili.boxing.a
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        f0(bundle, (ArrayList) A0().s());
    }

    @Override // androidx.fragment.app.Fragment, com.bilibili.boxing.a
    public void onViewCreated(View view, @Nullable Bundle bundle) {
        C0(view);
        super.onViewCreated(view, bundle);
    }
}
