package com.bilibili.boxing_impl.view;

import android.content.Context;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import com.bilibili.boxing.d;
import com.bilibili.boxing.g.b;
import com.bilibili.boxing.model.entity.BaseMedia;
import com.bilibili.boxing.model.entity.impl.ImageMedia;
import com.bilibili.boxing.model.entity.impl.VideoMedia;
import com.bilibili.boxing_impl.R;
import com.ibm.icu.lang.c;

public class MediaItemLayout extends FrameLayout {

    /* renamed from: a  reason: collision with root package name */
    private static final int f6429a = 5242880;
    private View I0;
    private View J0;
    private ImageView K0;
    private a L0;

    /* renamed from: b  reason: collision with root package name */
    private ImageView f6430b;

    /* access modifiers changed from: private */
    public enum a {
        SMALL(100),
        NORMAL(180),
        LARGE(c.p.k5);
        
        int value;

        private a(int i) {
            this.value = i;
        }

        public int a() {
            return this.value;
        }
    }

    public MediaItemLayout(Context context) {
        this(context, null, 0);
    }

    private a a(Context context) {
        int i = context.getResources().getConfiguration().screenLayout & 15;
        if (i == 1) {
            return a.SMALL;
        }
        if (i == 2) {
            return a.NORMAL;
        }
        if (i != 3) {
            return a.NORMAL;
        }
        return a.LARGE;
    }

    private void setCover(@NonNull String str) {
        if (this.K0 != null && !TextUtils.isEmpty(str)) {
            this.K0.setTag(R.string.boxing_app_name, str);
            d.d().b(this.K0, str, this.L0.a(), this.L0.a());
        }
    }

    private void setImageRect(Context context) {
        int c2 = com.bilibili.boxing_impl.c.c(context);
        int d2 = com.bilibili.boxing_impl.c.d(context);
        int dimensionPixelOffset = (c2 == 0 || d2 == 0) ? 100 : (d2 - (getResources().getDimensionPixelOffset(R.dimen.boxing_media_margin) * 4)) / 3;
        this.K0.getLayoutParams().width = dimensionPixelOffset;
        this.K0.getLayoutParams().height = dimensionPixelOffset;
        this.J0.getLayoutParams().width = dimensionPixelOffset;
        this.J0.getLayoutParams().height = dimensionPixelOffset;
    }

    public void setChecked(boolean z) {
        if (z) {
            this.J0.setVisibility(0);
            this.f6430b.setImageDrawable(getResources().getDrawable(com.bilibili.boxing_impl.a.b()));
            return;
        }
        this.J0.setVisibility(8);
        this.f6430b.setImageDrawable(getResources().getDrawable(com.bilibili.boxing_impl.a.c()));
    }

    public void setImageRes(@DrawableRes int i) {
        ImageView imageView = this.K0;
        if (imageView != null) {
            imageView.setImageResource(i);
        }
    }

    public void setMedia(BaseMedia baseMedia) {
        if (baseMedia instanceof ImageMedia) {
            this.I0.setVisibility(8);
            setCover(((ImageMedia) baseMedia).getThumbnailPath());
        } else if (baseMedia instanceof VideoMedia) {
            this.I0.setVisibility(0);
            VideoMedia videoMedia = (VideoMedia) baseMedia;
            TextView textView = (TextView) this.I0.findViewById(R.id.video_duration_txt);
            textView.setText(videoMedia.getDuration());
            textView.setCompoundDrawablesWithIntrinsicBounds(b.b().a().i(), 0, 0, 0);
            ((TextView) this.I0.findViewById(R.id.video_size_txt)).setText(videoMedia.getSizeByUnit());
            setCover(videoMedia.getPath());
        }
    }

    public MediaItemLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public MediaItemLayout(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        View inflate = LayoutInflater.from(context).inflate(R.layout.layout_boxing_media_item, (ViewGroup) this, true);
        this.K0 = (ImageView) inflate.findViewById(R.id.media_item);
        this.f6430b = (ImageView) inflate.findViewById(R.id.media_item_check);
        this.I0 = inflate.findViewById(R.id.video_layout);
        this.J0 = inflate.findViewById(R.id.media_font_layout);
        this.L0 = a(context);
        setImageRect(context);
    }
}
