package com.blankj.utilcode.util;

import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.constraintlayout.core.motion.h.w;
import com.ibm.icu.impl.number.Padder;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CopyOnWriteArrayList;
import java.util.concurrent.CopyOnWriteArraySet;

public final class BusUtils {

    /* renamed from: a  reason: collision with root package name */
    private static final Object f6472a = "nULl";

    /* renamed from: b  reason: collision with root package name */
    private static final String f6473b = "BusUtils";

    /* renamed from: c  reason: collision with root package name */
    private final Map<String, List<b>> f6474c;

    /* renamed from: d  reason: collision with root package name */
    private final Map<String, Set<Object>> f6475d;

    /* renamed from: e  reason: collision with root package name */
    private final Map<String, List<String>> f6476e;
    private final Map<String, Map<String, Object>> f;

    @Target({ElementType.METHOD})
    @Retention(RetentionPolicy.CLASS)
    public @interface Bus {
        int priority() default 0;

        boolean sticky() default false;

        String tag();

        ThreadMode threadMode() default ThreadMode.POSTING;
    }

    public enum ThreadMode {
        MAIN,
        IO,
        CPU,
        CACHED,
        SINGLE,
        POSTING
    }

    /* access modifiers changed from: package-private */
    public class a implements Runnable {
        final /* synthetic */ b I0;
        final /* synthetic */ boolean J0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Object f6478a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Object f6479b;

        a(Object obj, Object obj2, b bVar, boolean z) {
            this.f6478a = obj;
            this.f6479b = obj2;
            this.I0 = bVar;
            this.J0 = z;
        }

        public void run() {
            BusUtils.this.t(this.f6478a, this.f6479b, this.I0, this.J0);
        }
    }

    /* access modifiers changed from: private */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        String f6480a;

        /* renamed from: b  reason: collision with root package name */
        String f6481b;

        /* renamed from: c  reason: collision with root package name */
        String f6482c;

        /* renamed from: d  reason: collision with root package name */
        String f6483d;

        /* renamed from: e  reason: collision with root package name */
        String f6484e;
        boolean f;
        String g;
        int h;
        Method i;
        List<String> j = new CopyOnWriteArrayList();

        b(String str, String str2, String str3, String str4, String str5, boolean z, String str6, int i2) {
            this.f6480a = str;
            this.f6481b = str2;
            this.f6482c = str3;
            this.f6483d = str4;
            this.f6484e = str5;
            this.f = z;
            this.g = str6;
            this.h = i2;
        }

        private String a() {
            String str;
            StringBuilder sb = new StringBuilder();
            sb.append(this.f6481b);
            sb.append("#");
            sb.append(this.f6482c);
            if ("".equals(this.f6483d)) {
                str = "()";
            } else {
                str = "(" + this.f6483d + Padder.f14124a + this.f6484e + ")";
            }
            sb.append(str);
            return sb.toString();
        }

        public String toString() {
            return "BusInfo { tag : " + this.f6480a + ", desc: " + a() + ", sticky: " + this.f + ", threadMode: " + this.g + ", method: " + this.i + ", priority: " + this.h + " }";
        }
    }

    /* access modifiers changed from: private */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        private static final BusUtils f6485a = new BusUtils(null);

        private c() {
        }
    }

    /* synthetic */ BusUtils(a aVar) {
        this();
    }

    public static void A(String str) {
        e().B(str);
    }

    private void B(String str) {
        List<b> list = this.f6474c.get(str);
        if (list == null) {
            Log.e(f6473b, "The bus of tag <" + str + "> is not exists.");
            return;
        }
        for (b bVar : list) {
            if (bVar.f) {
                synchronized (this.f) {
                    Map<String, Object> map = this.f.get(bVar.f6481b);
                    if (map != null) {
                        if (map.containsKey(str)) {
                            map.remove(str);
                        }
                    }
                    return;
                }
            }
        }
    }

    public static String C() {
        return e().toString();
    }

    public static void D(@Nullable Object obj) {
        e().E(obj);
    }

    private void E(Object obj) {
        if (obj != null) {
            String name = obj.getClass().getName();
            synchronized (this.f6475d) {
                Set<Object> set = this.f6475d.get(name);
                if (set != null) {
                    if (set.contains(obj)) {
                        set.remove(obj);
                        return;
                    }
                }
                Log.e(f6473b, "The bus of <" + obj + "> was not registered before.");
            }
        }
    }

    private void b(Object obj, String str, Object obj2) {
        List<b> list = this.f6474c.get(str);
        if (list == null) {
            Log.e(f6473b, "The bus of tag <" + str + "> is not exists.");
            return;
        }
        for (b bVar : list) {
            if (bVar.j.contains(obj.getClass().getName()) && bVar.f) {
                synchronized (this.f) {
                    Map<String, Object> map = this.f.get(bVar.f6481b);
                    if (map != null) {
                        if (map.containsKey(str)) {
                            i(obj, obj2, bVar, true);
                        }
                    }
                }
            }
        }
    }

    private void c(Object obj) {
        Map<String, Object> map = this.f.get(obj.getClass().getName());
        if (map != null) {
            synchronized (this.f) {
                for (Map.Entry<String, Object> entry : map.entrySet()) {
                    b(obj, entry.getKey(), entry.getValue());
                }
            }
        }
    }

    private Class d(String str) throws ClassNotFoundException {
        str.hashCode();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1325958191:
                if (str.equals("double")) {
                    c2 = 0;
                    break;
                }
                break;
            case 104431:
                if (str.equals("int")) {
                    c2 = 1;
                    break;
                }
                break;
            case 3039496:
                if (str.equals("byte")) {
                    c2 = 2;
                    break;
                }
                break;
            case 3052374:
                if (str.equals("char")) {
                    c2 = 3;
                    break;
                }
                break;
            case 3327612:
                if (str.equals("long")) {
                    c2 = 4;
                    break;
                }
                break;
            case 64711720:
                if (str.equals(w.b.f)) {
                    c2 = 5;
                    break;
                }
                break;
            case 97526364:
                if (str.equals(w.b.f1678c)) {
                    c2 = 6;
                    break;
                }
                break;
            case 109413500:
                if (str.equals("short")) {
                    c2 = 7;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                return Double.TYPE;
            case 1:
                return Integer.TYPE;
            case 2:
                return Byte.TYPE;
            case 3:
                return Character.TYPE;
            case 4:
                return Long.TYPE;
            case 5:
                return Boolean.TYPE;
            case 6:
                return Float.TYPE;
            case 7:
                return Short.TYPE;
            default:
                return Class.forName(str);
        }
    }

    private static BusUtils e() {
        return c.f6485a;
    }

    private Method f(b bVar) {
        try {
            if ("".equals(bVar.f6483d)) {
                return Class.forName(bVar.f6481b).getDeclaredMethod(bVar.f6482c, new Class[0]);
            }
            return Class.forName(bVar.f6481b).getDeclaredMethod(bVar.f6482c, d(bVar.f6483d));
        } catch (ClassNotFoundException e2) {
            e2.printStackTrace();
            return null;
        } catch (NoSuchMethodException e3) {
            e3.printStackTrace();
            return null;
        }
    }

    private void g() {
    }

    private void h(Object obj, b bVar, boolean z) {
        i(null, obj, bVar, z);
    }

    private void i(Object obj, Object obj2, b bVar, boolean z) {
        if (bVar.i == null) {
            Method f2 = f(bVar);
            if (f2 != null) {
                bVar.i = f2;
            } else {
                return;
            }
        }
        l(obj, obj2, bVar, z);
    }

    private void j(Object obj, b bVar, Set<Object> set) {
        try {
            if (obj == f6472a) {
                for (Object obj2 : set) {
                    bVar.i.invoke(obj2, new Object[0]);
                }
                return;
            }
            for (Object obj3 : set) {
                bVar.i.invoke(obj3, obj);
            }
        } catch (IllegalAccessException e2) {
            e2.printStackTrace();
        } catch (InvocationTargetException e3) {
            e3.printStackTrace();
        }
    }

    private void k(Object obj, b bVar, boolean z) {
        l(null, obj, bVar, z);
    }

    private void l(Object obj, Object obj2, b bVar, boolean z) {
        a aVar = new a(obj, obj2, bVar, z);
        String str = bVar.g;
        str.hashCode();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1848936376:
                if (str.equals("SINGLE")) {
                    c2 = 0;
                    break;
                }
                break;
            case 2342:
                if (str.equals("IO")) {
                    c2 = 1;
                    break;
                }
                break;
            case 66952:
                if (str.equals("CPU")) {
                    c2 = 2;
                    break;
                }
                break;
            case 2358713:
                if (str.equals("MAIN")) {
                    c2 = 3;
                    break;
                }
                break;
            case 1980249378:
                if (str.equals("CACHED")) {
                    c2 = 4;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                b1.p0().execute(aVar);
                return;
            case 1:
                b1.k0().execute(aVar);
                return;
            case 2:
                b1.f0().execute(aVar);
                return;
            case 3:
                b1.s0(aVar);
                return;
            case 4:
                b1.d0().execute(aVar);
                return;
            default:
                aVar.run();
                return;
        }
    }

    public static void m(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'tag' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        n(str, f6472a);
    }

    public static void n(@NonNull String str, @NonNull Object obj) {
        Objects.requireNonNull(str, "Argument 'tag' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(obj, "Argument 'arg' of type Object (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        e().o(str, obj);
    }

    private void o(String str, Object obj) {
        p(str, obj, false);
    }

    private void p(String str, Object obj, boolean z) {
        List<b> list = this.f6474c.get(str);
        if (list == null) {
            Log.e(f6473b, "The bus of tag <" + str + "> is not exists.");
            if (this.f6474c.isEmpty()) {
                Log.e(f6473b, "Please check whether the bus plugin is applied.");
                return;
            }
            return;
        }
        for (b bVar : list) {
            h(obj, bVar, z);
        }
    }

    public static void q(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'tag' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        r(str, f6472a);
    }

    public static void r(@NonNull String str, Object obj) {
        Objects.requireNonNull(str, "Argument 'tag' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        e().s(str, obj);
    }

    private void s(String str, Object obj) {
        List<b> list = this.f6474c.get(str);
        if (list == null) {
            Log.e(f6473b, "The bus of tag <" + str + "> is not exists.");
            return;
        }
        for (b bVar : list) {
            if (!bVar.f) {
                h(obj, bVar, false);
            } else {
                synchronized (this.f) {
                    Map<String, Object> map = this.f.get(bVar.f6481b);
                    if (map == null) {
                        map = new ConcurrentHashMap<>();
                        this.f.put(bVar.f6481b, map);
                    }
                    map.put(str, obj);
                }
                h(obj, bVar, true);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void t(Object obj, Object obj2, b bVar, boolean z) {
        Set<Object> hashSet = new HashSet<>();
        if (obj == null) {
            for (String str : bVar.j) {
                Set<Object> set = this.f6475d.get(str);
                if (set != null && !set.isEmpty()) {
                    hashSet.addAll(set);
                }
            }
            if (hashSet.size() == 0) {
                if (!z) {
                    Log.e(f6473b, "The " + bVar + " was not registered before.");
                    return;
                }
                return;
            }
        } else {
            hashSet.add(obj);
        }
        j(obj2, bVar, hashSet);
    }

    private void u(Class<?> cls, String str) {
        if (this.f6476e.get(str) == null) {
            synchronized (this.f6476e) {
                if (this.f6476e.get(str) == null) {
                    CopyOnWriteArrayList copyOnWriteArrayList = new CopyOnWriteArrayList();
                    for (Map.Entry<String, List<b>> entry : this.f6474c.entrySet()) {
                        for (b bVar : entry.getValue()) {
                            try {
                                if (Class.forName(bVar.f6481b).isAssignableFrom(cls)) {
                                    copyOnWriteArrayList.add(entry.getKey());
                                    bVar.j.add(str);
                                }
                            } catch (ClassNotFoundException e2) {
                                e2.printStackTrace();
                            }
                        }
                    }
                    this.f6476e.put(str, copyOnWriteArrayList);
                }
            }
        }
    }

    public static void v(@Nullable Object obj) {
        e().z(obj);
    }

    private void w(String str, String str2, String str3, String str4, String str5, boolean z, String str6) {
        x(str, str2, str3, str4, str5, z, str6, 0);
    }

    private void x(String str, String str2, String str3, String str4, String str5, boolean z, String str6, int i) {
        List<b> list = this.f6474c.get(str);
        if (list == null) {
            list = new CopyOnWriteArrayList<>();
            this.f6474c.put(str, list);
        }
        list.add(new b(str, str2, str3, str4, str5, z, str6, i));
    }

    static void y(String str, String str2, String str3, String str4, String str5, boolean z, String str6, int i) {
        e().x(str, str2, str3, str4, str5, z, str6, i);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:15:0x004b, code lost:
        if (r2 == false) goto L_0x0050;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x004d, code lost:
        u(r0, r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0050, code lost:
        c(r7);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0053, code lost:
        return;
     */
    private void z(@Nullable Object obj) {
        if (obj != null) {
            Class<?> cls = obj.getClass();
            String name = cls.getName();
            boolean z = false;
            synchronized (this.f6475d) {
                Set<Object> set = this.f6475d.get(name);
                if (set == null) {
                    set = new CopyOnWriteArraySet<>();
                    this.f6475d.put(name, set);
                    z = true;
                }
                if (set.contains(obj)) {
                    Log.w(f6473b, "The bus of <" + obj + "> already registered.");
                    return;
                }
                set.add(obj);
            }
        }
    }

    public String toString() {
        return "BusUtils: " + this.f6474c;
    }

    private BusUtils() {
        this.f6474c = new ConcurrentHashMap();
        this.f6475d = new ConcurrentHashMap();
        this.f6476e = new ConcurrentHashMap();
        this.f = new ConcurrentHashMap();
        g();
    }
}
