package com.blankj.utilcode.util;

import android.annotation.SuppressLint;
import android.app.Service;
import android.content.ComponentName;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.Messenger;
import android.os.RemoteException;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.blankj.utilcode.util.NotificationUtils;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.Map;
import java.util.Objects;
import java.util.concurrent.ConcurrentHashMap;

public class MessengerUtils {

    /* renamed from: a  reason: collision with root package name */
    private static ConcurrentHashMap<String, b> f6510a = new ConcurrentHashMap<>();

    /* renamed from: b  reason: collision with root package name */
    private static Map<String, a> f6511b = new HashMap();

    /* renamed from: c  reason: collision with root package name */
    private static a f6512c = null;

    /* renamed from: d  reason: collision with root package name */
    private static final int f6513d = 0;

    /* renamed from: e  reason: collision with root package name */
    private static final int f6514e = 1;
    private static final int f = 2;
    private static final String g = "MESSENGER_UTILS";

    public static class ServerService extends Service {
        private final Messenger I0;

        /* renamed from: a  reason: collision with root package name */
        private final ConcurrentHashMap<Integer, Messenger> f6515a = new ConcurrentHashMap<>();
        @SuppressLint({"HandlerLeak"})

        /* renamed from: b  reason: collision with root package name */
        private final Handler f6516b;

        class a extends Handler {
            a() {
            }

            public void handleMessage(Message message) {
                int i = message.what;
                if (i == 0) {
                    ServerService.this.f6515a.put(Integer.valueOf(message.arg1), message.replyTo);
                } else if (i == 1) {
                    ServerService.this.f6515a.remove(Integer.valueOf(message.arg1));
                } else if (i != 2) {
                    super.handleMessage(message);
                } else {
                    ServerService.this.e(message);
                    ServerService.this.d(message);
                }
            }
        }

        public ServerService() {
            a aVar = new a();
            this.f6516b = aVar;
            this.I0 = new Messenger(aVar);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void d(Message message) {
            String string;
            b bVar;
            Bundle data = message.getData();
            if (data != null && (string = data.getString(MessengerUtils.g)) != null && (bVar = (b) MessengerUtils.f6510a.get(string)) != null) {
                bVar.a(data);
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void e(Message message) {
            for (Messenger messenger : this.f6515a.values()) {
                if (messenger != null) {
                    try {
                        messenger.send(message);
                    } catch (RemoteException e2) {
                        e2.printStackTrace();
                    }
                }
            }
        }

        @Nullable
        public IBinder onBind(Intent intent) {
            return this.I0.getBinder();
        }

        public int onStartCommand(Intent intent, int i, int i2) {
            Bundle extras;
            if (Build.VERSION.SDK_INT >= 26) {
                startForeground(1, i1.b0(NotificationUtils.a.f6548a, null));
            }
            if (!(intent == null || (extras = intent.getExtras()) == null)) {
                Message obtain = Message.obtain(this.f6516b, 2);
                obtain.replyTo = this.I0;
                obtain.setData(extras);
                e(obtain);
                d(obtain);
            }
            return 2;
        }
    }

    static class a {

        /* renamed from: a  reason: collision with root package name */
        String f6518a;

        /* renamed from: b  reason: collision with root package name */
        Messenger f6519b;

        /* renamed from: c  reason: collision with root package name */
        LinkedList<Bundle> f6520c = new LinkedList<>();
        @SuppressLint({"HandlerLeak"})

        /* renamed from: d  reason: collision with root package name */
        Handler f6521d = new HandlerC0154a();

        /* renamed from: e  reason: collision with root package name */
        Messenger f6522e = new Messenger(this.f6521d);
        ServiceConnection f = new b();

        /* renamed from: com.blankj.utilcode.util.MessengerUtils$a$a  reason: collision with other inner class name */
        class HandlerC0154a extends Handler {
            HandlerC0154a() {
            }

            public void handleMessage(Message message) {
                b bVar;
                Bundle data = message.getData();
                data.setClassLoader(MessengerUtils.class.getClassLoader());
                String string = data.getString(MessengerUtils.g);
                if (string != null && (bVar = (b) MessengerUtils.f6510a.get(string)) != null) {
                    bVar.a(data);
                }
            }
        }

        class b implements ServiceConnection {
            b() {
            }

            public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
                Log.d("MessengerUtils", "client service connected " + componentName);
                a.this.f6519b = new Messenger(iBinder);
                Message obtain = Message.obtain(a.this.f6521d, 0, i1.N().hashCode(), 0);
                obtain.getData().setClassLoader(MessengerUtils.class.getClassLoader());
                a aVar = a.this;
                obtain.replyTo = aVar.f6522e;
                try {
                    aVar.f6519b.send(obtain);
                } catch (RemoteException e2) {
                    e2.printStackTrace();
                }
                a.this.d();
            }

            public void onServiceDisconnected(ComponentName componentName) {
                Log.w("MessengerUtils", "client service disconnected:" + componentName);
                a aVar = a.this;
                aVar.f6519b = null;
                if (!aVar.b()) {
                    Log.e("MessengerUtils", "client service rebind failed: " + componentName);
                }
            }
        }

        a(String str) {
            this.f6518a = str;
        }

        private boolean c(Bundle bundle) {
            Message obtain = Message.obtain(this.f6521d, 2);
            bundle.setClassLoader(MessengerUtils.class.getClassLoader());
            obtain.setData(bundle);
            obtain.replyTo = this.f6522e;
            try {
                this.f6519b.send(obtain);
                return true;
            } catch (RemoteException e2) {
                e2.printStackTrace();
                return false;
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void d() {
            if (!this.f6520c.isEmpty()) {
                for (int size = this.f6520c.size() - 1; size >= 0; size--) {
                    if (c(this.f6520c.get(size))) {
                        this.f6520c.remove(size);
                    }
                }
            }
        }

        /* access modifiers changed from: package-private */
        public boolean b() {
            if (TextUtils.isEmpty(this.f6518a)) {
                return g1.a().bindService(new Intent(g1.a(), ServerService.class), this.f, 1);
            } else if (!i1.s0(this.f6518a)) {
                Log.e("MessengerUtils", "bind: the app is not installed -> " + this.f6518a);
                return false;
            } else if (i1.t0(this.f6518a)) {
                Intent intent = new Intent(this.f6518a + ".messenger");
                intent.setPackage(this.f6518a);
                return g1.a().bindService(intent, this.f, 1);
            } else {
                Log.e("MessengerUtils", "bind: the app is not running -> " + this.f6518a);
                return false;
            }
        }

        /* access modifiers changed from: package-private */
        public void e(Bundle bundle) {
            if (this.f6519b == null) {
                this.f6520c.addFirst(bundle);
                Log.i("MessengerUtils", "save the bundle " + bundle);
                return;
            }
            d();
            if (!c(bundle)) {
                this.f6520c.addFirst(bundle);
            }
        }

        /* access modifiers changed from: package-private */
        public void f() {
            Message obtain = Message.obtain(this.f6521d, 1, i1.N().hashCode(), 0);
            obtain.replyTo = this.f6522e;
            try {
                this.f6519b.send(obtain);
            } catch (RemoteException e2) {
                e2.printStackTrace();
            }
            try {
                g1.a().unbindService(this.f);
            } catch (Exception unused) {
            }
        }
    }

    public interface b {
        void a(Bundle bundle);
    }

    public static void b(@NonNull String str, @NonNull Bundle bundle) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(bundle, "Argument 'data' of type Bundle (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        bundle.putString(g, str);
        a aVar = f6512c;
        if (aVar != null) {
            aVar.e(bundle);
        } else {
            Intent intent = new Intent(g1.a(), ServerService.class);
            intent.putExtras(bundle);
            e(intent);
        }
        for (a aVar2 : f6511b.values()) {
            aVar2.e(bundle);
        }
    }

    public static void c() {
        if (i1.z0()) {
            if (i1.C0(ServerService.class.getName())) {
                Log.i("MessengerUtils", "Server service is running.");
            } else {
                e(new Intent(g1.a(), ServerService.class));
            }
        } else if (f6512c == null) {
            a aVar = new a(null);
            if (aVar.b()) {
                f6512c = aVar;
            } else {
                Log.e("MessengerUtils", "Bind service failed.");
            }
        } else {
            Log.i("MessengerUtils", "The client have been bind.");
        }
    }

    public static void d(String str) {
        if (f6511b.containsKey(str)) {
            Log.i("MessengerUtils", "register: client registered: " + str);
            return;
        }
        a aVar = new a(str);
        if (aVar.b()) {
            f6511b.put(str, aVar);
            return;
        }
        Log.e("MessengerUtils", "register: client bind failed: " + str);
    }

    private static void e(Intent intent) {
        try {
            intent.setFlags(32);
            if (Build.VERSION.SDK_INT >= 26) {
                g1.a().startForegroundService(intent);
            } else {
                g1.a().startService(intent);
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    public static void f(@NonNull String str, @NonNull b bVar) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(bVar, "Argument 'callback' of type MessageCallback (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        f6510a.put(str, bVar);
    }

    public static void g() {
        if (i1.z0()) {
            if (!i1.C0(ServerService.class.getName())) {
                Log.i("MessengerUtils", "Server service isn't running.");
                return;
            } else {
                g1.a().stopService(new Intent(g1.a(), ServerService.class));
            }
        }
        a aVar = f6512c;
        if (aVar != null) {
            aVar.f();
        }
    }

    public static void h(String str) {
        if (!f6511b.containsKey(str)) {
            Log.i("MessengerUtils", "unregister: client didn't register: " + str);
            return;
        }
        a aVar = f6511b.get(str);
        f6511b.remove(str);
        if (aVar != null) {
            aVar.f();
        }
    }

    public static void i(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        f6510a.remove(str);
    }
}
