package com.blankj.utilcode.util;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.wifi.ScanResult;
import android.net.wifi.WifiInfo;
import android.net.wifi.WifiManager;
import android.os.Build;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import android.text.format.Formatter;
import androidx.annotation.NonNull;
import androidx.annotation.RequiresPermission;
import com.blankj.utilcode.util.g1;
import java.lang.reflect.Method;
import java.net.InetAddress;
import java.net.InterfaceAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.net.UnknownHostException;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Objects;
import java.util.Set;
import java.util.Timer;
import java.util.TimerTask;
import java.util.concurrent.CopyOnWriteArraySet;

public final class NetworkUtils {

    /* renamed from: a  reason: collision with root package name */
    private static final long f6525a = 3000;

    /* renamed from: b  reason: collision with root package name */
    private static final Set<g1.b<k>> f6526b = new CopyOnWriteArraySet();

    /* renamed from: c  reason: collision with root package name */
    private static Timer f6527c;

    /* renamed from: d  reason: collision with root package name */
    private static k f6528d;

    public static final class NetworkChangedReceiver extends BroadcastReceiver {

        /* renamed from: a  reason: collision with root package name */
        private NetworkType f6529a;

        /* renamed from: b  reason: collision with root package name */
        private Set<j> f6530b = new HashSet();

        /* access modifiers changed from: package-private */
        public class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ j f6531a;

            a(j jVar) {
                this.f6531a = jVar;
            }

            @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
            public void run() {
                int size = NetworkChangedReceiver.this.f6530b.size();
                NetworkChangedReceiver.this.f6530b.add(this.f6531a);
                if (size == 0 && NetworkChangedReceiver.this.f6530b.size() == 1) {
                    NetworkChangedReceiver.this.f6529a = NetworkUtils.t();
                    g1.a().registerReceiver(NetworkChangedReceiver.e(), new IntentFilter("android.net.conn.CONNECTIVITY_CHANGE"));
                }
            }
        }

        /* access modifiers changed from: package-private */
        public class b implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ j f6533a;

            b(j jVar) {
                this.f6533a = jVar;
            }

            public void run() {
                int size = NetworkChangedReceiver.this.f6530b.size();
                NetworkChangedReceiver.this.f6530b.remove(this.f6533a);
                if (size == 1 && NetworkChangedReceiver.this.f6530b.size() == 0) {
                    g1.a().unregisterReceiver(NetworkChangedReceiver.e());
                }
            }
        }

        class c implements Runnable {
            c() {
            }

            @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
            public void run() {
                NetworkType t = NetworkUtils.t();
                if (NetworkChangedReceiver.this.f6529a != t) {
                    NetworkChangedReceiver.this.f6529a = t;
                    if (t == NetworkType.NETWORK_NO) {
                        for (j jVar : NetworkChangedReceiver.this.f6530b) {
                            jVar.a();
                        }
                        return;
                    }
                    for (j jVar2 : NetworkChangedReceiver.this.f6530b) {
                        jVar2.b(t);
                    }
                }
            }
        }

        /* access modifiers changed from: private */
        public static class d {

            /* renamed from: a  reason: collision with root package name */
            private static final NetworkChangedReceiver f6536a = new NetworkChangedReceiver();

            private d() {
            }
        }

        /* access modifiers changed from: private */
        public static NetworkChangedReceiver e() {
            return d.f6536a;
        }

        /* access modifiers changed from: package-private */
        public boolean f(j jVar) {
            if (jVar == null) {
                return false;
            }
            return this.f6530b.contains(jVar);
        }

        /* access modifiers changed from: package-private */
        @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
        public void g(j jVar) {
            if (jVar != null) {
                i1.V0(new a(jVar));
            }
        }

        /* access modifiers changed from: package-private */
        public void h(j jVar) {
            if (jVar != null) {
                i1.V0(new b(jVar));
            }
        }

        public void onReceive(Context context, Intent intent) {
            if ("android.net.conn.CONNECTIVITY_CHANGE".equals(intent.getAction())) {
                i1.W0(new c(), 1000);
            }
        }
    }

    public enum NetworkType {
        NETWORK_ETHERNET,
        NETWORK_WIFI,
        NETWORK_5G,
        NETWORK_4G,
        NETWORK_3G,
        NETWORK_2G,
        NETWORK_UNKNOWN,
        NETWORK_NO
    }

    static class a extends g1.f<Boolean> {
        a(g1.b bVar) {
            super(bVar);
        }

        @RequiresPermission("android.permission.INTERNET")
        /* renamed from: r */
        public Boolean f() {
            return Boolean.valueOf(NetworkUtils.A());
        }
    }

    /* access modifiers changed from: package-private */
    public static class b extends g1.f<Boolean> {
        final /* synthetic */ String V0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(g1.b bVar, String str) {
            super(bVar);
            this.V0 = str;
        }

        @RequiresPermission("android.permission.INTERNET")
        /* renamed from: r */
        public Boolean f() {
            return Boolean.valueOf(NetworkUtils.H(this.V0));
        }
    }

    /* access modifiers changed from: package-private */
    public static class c extends g1.f<Boolean> {
        final /* synthetic */ String V0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(g1.b bVar, String str) {
            super(bVar);
            this.V0 = str;
        }

        @RequiresPermission("android.permission.INTERNET")
        /* renamed from: r */
        public Boolean f() {
            return Boolean.valueOf(NetworkUtils.D(this.V0));
        }
    }

    static class d extends g1.f<Boolean> {
        d(g1.b bVar) {
            super(bVar);
        }

        @RequiresPermission(allOf = {"android.permission.ACCESS_WIFI_STATE", "android.permission.INTERNET"})
        /* renamed from: r */
        public Boolean f() {
            return Boolean.valueOf(NetworkUtils.Q());
        }
    }

    static class e extends g1.f<String> {
        final /* synthetic */ boolean V0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(g1.b bVar, boolean z) {
            super(bVar);
            this.V0 = z;
        }

        @RequiresPermission("android.permission.INTERNET")
        /* renamed from: r */
        public String f() {
            return NetworkUtils.n(this.V0);
        }
    }

    static class f extends g1.f<String> {
        final /* synthetic */ String V0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        f(g1.b bVar, String str) {
            super(bVar);
            this.V0 = str;
        }

        @RequiresPermission("android.permission.INTERNET")
        /* renamed from: r */
        public String f() {
            return NetworkUtils.k(this.V0);
        }
    }

    static class g implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ g1.b f6538a;

        g(g1.b bVar) {
            this.f6538a = bVar;
        }

        public void run() {
            if (NetworkUtils.f6526b.isEmpty()) {
                NetworkUtils.f6526b.add(this.f6538a);
                NetworkUtils.X();
                return;
            }
            this.f6538a.accept(NetworkUtils.f6528d);
            NetworkUtils.f6526b.add(this.f6538a);
        }
    }

    /* access modifiers changed from: package-private */
    public static class h extends TimerTask {

        class a implements Runnable {
            a() {
            }

            public void run() {
                for (g1.b bVar : NetworkUtils.f6526b) {
                    bVar.accept(NetworkUtils.f6528d);
                }
            }
        }

        h() {
        }

        @RequiresPermission(allOf = {"android.permission.ACCESS_WIFI_STATE", "android.permission.CHANGE_WIFI_STATE", "android.permission.ACCESS_COARSE_LOCATION"})
        public void run() {
            NetworkUtils.Y();
            k x = NetworkUtils.x();
            if (!NetworkUtils.P(NetworkUtils.f6528d.f6541a, x.f6541a)) {
                k unused = NetworkUtils.f6528d = x;
                i1.V0(new a());
            }
        }
    }

    static class i implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ g1.b f6540a;

        i(g1.b bVar) {
            this.f6540a = bVar;
        }

        public void run() {
            NetworkUtils.f6526b.remove(this.f6540a);
            if (NetworkUtils.f6526b.isEmpty()) {
                NetworkUtils.Z();
            }
        }
    }

    public interface j {
        void a();

        void b(NetworkType networkType);
    }

    public static final class k {

        /* renamed from: a  reason: collision with root package name */
        private List<ScanResult> f6541a = new ArrayList();

        /* renamed from: b  reason: collision with root package name */
        private List<ScanResult> f6542b = new ArrayList();

        private static List<ScanResult> b(List<ScanResult> list) {
            ScanResult scanResult;
            if (list == null || list.isEmpty()) {
                return new ArrayList();
            }
            LinkedHashMap linkedHashMap = new LinkedHashMap(list.size());
            for (ScanResult scanResult2 : list) {
                if (!TextUtils.isEmpty(scanResult2.SSID) && ((scanResult = (ScanResult) linkedHashMap.get(scanResult2.SSID)) == null || scanResult.level < scanResult2.level)) {
                    linkedHashMap.put(scanResult2.SSID, scanResult2);
                }
            }
            return new ArrayList(linkedHashMap.values());
        }

        public List<ScanResult> c() {
            return this.f6541a;
        }

        public List<ScanResult> d() {
            return this.f6542b;
        }

        public void e(List<ScanResult> list) {
            this.f6541a = list;
            this.f6542b = b(list);
        }
    }

    private NetworkUtils() {
        throw new UnsupportedOperationException("u can't instantiate me...");
    }

    @RequiresPermission("android.permission.INTERNET")
    public static boolean A() {
        return C() || H(null);
    }

    @RequiresPermission("android.permission.INTERNET")
    public static g1.f<Boolean> B(@NonNull g1.b<Boolean> bVar) {
        Objects.requireNonNull(bVar, "Argument 'consumer' of type Utils.Consumer<Boolean> (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return i1.v(new a(bVar));
    }

    @RequiresPermission("android.permission.INTERNET")
    public static boolean C() {
        return D("");
    }

    @RequiresPermission("android.permission.INTERNET")
    public static boolean D(String str) {
        if (TextUtils.isEmpty(str)) {
            str = "www.baidu.com";
        }
        try {
            if (InetAddress.getByName(str) != null) {
                return true;
            }
            return false;
        } catch (UnknownHostException e2) {
            e2.printStackTrace();
            return false;
        }
    }

    @RequiresPermission("android.permission.INTERNET")
    public static g1.f E(String str, @NonNull g1.b<Boolean> bVar) {
        Objects.requireNonNull(bVar, "Argument 'consumer' of type Utils.Consumer<Boolean> (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return i1.v(new c(bVar, str));
    }

    @RequiresPermission("android.permission.INTERNET")
    public static void F(g1.b<Boolean> bVar) {
        E("", bVar);
    }

    @RequiresPermission("android.permission.INTERNET")
    public static boolean G() {
        return H("");
    }

    @RequiresPermission("android.permission.INTERNET")
    public static boolean H(String str) {
        if (TextUtils.isEmpty(str)) {
            str = "223.5.5.5";
        }
        if (y0.c(String.format("ping -c 1 %s", str), false).f6794a == 0) {
            return true;
        }
        return false;
    }

    @RequiresPermission("android.permission.INTERNET")
    public static g1.f<Boolean> I(String str, @NonNull g1.b<Boolean> bVar) {
        Objects.requireNonNull(bVar, "Argument 'consumer' of type Utils.Consumer<Boolean> (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return i1.v(new b(bVar, str));
    }

    @RequiresPermission("android.permission.INTERNET")
    public static void J(g1.b<Boolean> bVar) {
        I("", bVar);
    }

    @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
    public static boolean K() {
        NetworkInfo i2 = i();
        return i2 != null && i2.isConnected();
    }

    @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
    private static boolean L() {
        NetworkInfo networkInfo;
        NetworkInfo.State state;
        ConnectivityManager connectivityManager = (ConnectivityManager) g1.a().getSystemService("connectivity");
        if (connectivityManager == null || (networkInfo = connectivityManager.getNetworkInfo(9)) == null || (state = networkInfo.getState()) == null) {
            return false;
        }
        if (state == NetworkInfo.State.CONNECTED || state == NetworkInfo.State.CONNECTING) {
            return true;
        }
        return false;
    }

    @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
    public static boolean M() {
        NetworkInfo i2 = i();
        return i2 != null && i2.isAvailable() && i2.getType() == 0;
    }

    public static boolean N(j jVar) {
        return NetworkChangedReceiver.e().f(jVar);
    }

    private static boolean O(ScanResult scanResult, ScanResult scanResult2) {
        return scanResult != null && scanResult2 != null && i1.A(scanResult.BSSID, scanResult2.BSSID) && i1.A(scanResult.SSID, scanResult2.SSID) && i1.A(scanResult.capabilities, scanResult2.capabilities) && scanResult.level == scanResult2.level;
    }

    /* access modifiers changed from: private */
    public static boolean P(List<ScanResult> list, List<ScanResult> list2) {
        if (list == null && list2 == null) {
            return true;
        }
        if (list == null || list2 == null || list.size() != list2.size()) {
            return false;
        }
        for (int i2 = 0; i2 < list.size(); i2++) {
            if (!O(list.get(i2), list2.get(i2))) {
                return false;
            }
        }
        return true;
    }

    @RequiresPermission(allOf = {"android.permission.ACCESS_WIFI_STATE", "android.permission.INTERNET"})
    public static boolean Q() {
        return w() && A();
    }

    @RequiresPermission(allOf = {"android.permission.ACCESS_WIFI_STATE", "android.permission.INTERNET"})
    public static g1.f<Boolean> R(@NonNull g1.b<Boolean> bVar) {
        Objects.requireNonNull(bVar, "Argument 'consumer' of type Utils.Consumer<Boolean> (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return i1.v(new d(bVar));
    }

    @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
    public static boolean S() {
        NetworkInfo activeNetworkInfo;
        ConnectivityManager connectivityManager = (ConnectivityManager) g1.a().getSystemService("connectivity");
        if (connectivityManager == null || (activeNetworkInfo = connectivityManager.getActiveNetworkInfo()) == null || activeNetworkInfo.getType() != 1) {
            return false;
        }
        return true;
    }

    public static void T() {
        g1.a().startActivity(new Intent("android.settings.WIRELESS_SETTINGS").setFlags(268435456));
    }

    @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
    public static void U(j jVar) {
        NetworkChangedReceiver.e().g(jVar);
    }

    public static void V(g1.b<k> bVar) {
        if (bVar != null) {
            i1.V0(new i(bVar));
        }
    }

    @RequiresPermission("android.permission.CHANGE_WIFI_STATE")
    public static void W(boolean z) {
        WifiManager wifiManager = (WifiManager) g1.a().getSystemService("wifi");
        if (wifiManager != null && z != wifiManager.isWifiEnabled()) {
            wifiManager.setWifiEnabled(z);
        }
    }

    /* access modifiers changed from: private */
    public static void X() {
        f6528d = new k();
        Timer timer = new Timer();
        f6527c = timer;
        timer.schedule(new h(), 0, f6525a);
    }

    /* access modifiers changed from: private */
    @RequiresPermission(allOf = {"android.permission.ACCESS_WIFI_STATE", "android.permission.CHANGE_WIFI_STATE"})
    public static void Y() {
        if (w()) {
            ((WifiManager) g1.a().getSystemService("wifi")).startScan();
        }
    }

    /* access modifiers changed from: private */
    public static void Z() {
        Timer timer = f6527c;
        if (timer != null) {
            timer.cancel();
            f6527c = null;
        }
    }

    public static void a0(j jVar) {
        NetworkChangedReceiver.e().h(jVar);
    }

    @RequiresPermission(allOf = {"android.permission.ACCESS_WIFI_STATE", "android.permission.CHANGE_WIFI_STATE", "android.permission.ACCESS_COARSE_LOCATION"})
    public static void h(g1.b<k> bVar) {
        if (bVar != null) {
            i1.V0(new g(bVar));
        }
    }

    @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
    private static NetworkInfo i() {
        ConnectivityManager connectivityManager = (ConnectivityManager) g1.a().getSystemService("connectivity");
        if (connectivityManager == null) {
            return null;
        }
        return connectivityManager.getActiveNetworkInfo();
    }

    public static String j() {
        try {
            Enumeration<NetworkInterface> networkInterfaces = NetworkInterface.getNetworkInterfaces();
            new LinkedList();
            while (networkInterfaces.hasMoreElements()) {
                NetworkInterface nextElement = networkInterfaces.nextElement();
                if (nextElement.isUp()) {
                    if (!nextElement.isLoopback()) {
                        List<InterfaceAddress> interfaceAddresses = nextElement.getInterfaceAddresses();
                        int size = interfaceAddresses.size();
                        for (int i2 = 0; i2 < size; i2++) {
                            InetAddress broadcast = interfaceAddresses.get(i2).getBroadcast();
                            if (broadcast != null) {
                                return broadcast.getHostAddress();
                            }
                        }
                        continue;
                    }
                }
            }
            return "";
        } catch (SocketException e2) {
            e2.printStackTrace();
            return "";
        }
    }

    @RequiresPermission("android.permission.INTERNET")
    public static String k(String str) {
        try {
            return InetAddress.getByName(str).getHostAddress();
        } catch (UnknownHostException e2) {
            e2.printStackTrace();
            return "";
        }
    }

    @RequiresPermission("android.permission.INTERNET")
    public static g1.f<String> l(String str, @NonNull g1.b<String> bVar) {
        Objects.requireNonNull(bVar, "Argument 'consumer' of type Utils.Consumer<String> (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return i1.v(new f(bVar, str));
    }

    @RequiresPermission("android.permission.ACCESS_WIFI_STATE")
    public static String m() {
        WifiManager wifiManager = (WifiManager) g1.a().getSystemService("wifi");
        if (wifiManager == null) {
            return "";
        }
        return Formatter.formatIpAddress(wifiManager.getDhcpInfo().gateway);
    }

    @RequiresPermission("android.permission.INTERNET")
    public static String n(boolean z) {
        try {
            Enumeration<NetworkInterface> networkInterfaces = NetworkInterface.getNetworkInterfaces();
            LinkedList linkedList = new LinkedList();
            while (networkInterfaces.hasMoreElements()) {
                NetworkInterface nextElement = networkInterfaces.nextElement();
                if (nextElement.isUp()) {
                    if (!nextElement.isLoopback()) {
                        Enumeration<InetAddress> inetAddresses = nextElement.getInetAddresses();
                        while (inetAddresses.hasMoreElements()) {
                            linkedList.addFirst(inetAddresses.nextElement());
                        }
                    }
                }
            }
            Iterator it = linkedList.iterator();
            while (it.hasNext()) {
                InetAddress inetAddress = (InetAddress) it.next();
                if (!inetAddress.isLoopbackAddress()) {
                    String hostAddress = inetAddress.getHostAddress();
                    boolean z2 = hostAddress.indexOf(58) < 0;
                    if (z) {
                        if (z2) {
                            return hostAddress;
                        }
                    } else if (!z2) {
                        int indexOf = hostAddress.indexOf(37);
                        if (indexOf < 0) {
                            return hostAddress.toUpperCase();
                        }
                        return hostAddress.substring(0, indexOf).toUpperCase();
                    }
                }
            }
            return "";
        } catch (SocketException e2) {
            e2.printStackTrace();
            return "";
        }
    }

    public static g1.f<String> o(boolean z, @NonNull g1.b<String> bVar) {
        Objects.requireNonNull(bVar, "Argument 'consumer' of type Utils.Consumer<String> (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return i1.v(new e(bVar, z));
    }

    @RequiresPermission("android.permission.ACCESS_WIFI_STATE")
    public static String p() {
        WifiManager wifiManager = (WifiManager) g1.a().getSystemService("wifi");
        if (wifiManager == null) {
            return "";
        }
        return Formatter.formatIpAddress(wifiManager.getDhcpInfo().ipAddress);
    }

    public static boolean q() {
        try {
            TelephonyManager telephonyManager = (TelephonyManager) g1.a().getSystemService("phone");
            if (telephonyManager == null) {
                return false;
            }
            if (Build.VERSION.SDK_INT >= 26) {
                return telephonyManager.isDataEnabled();
            }
            Method declaredMethod = telephonyManager.getClass().getDeclaredMethod("getDataEnabled", new Class[0]);
            if (declaredMethod != null) {
                return ((Boolean) declaredMethod.invoke(telephonyManager, new Object[0])).booleanValue();
            }
            return false;
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    @RequiresPermission("android.permission.ACCESS_WIFI_STATE")
    public static String r() {
        WifiManager wifiManager = (WifiManager) g1.a().getSystemService("wifi");
        if (wifiManager == null) {
            return "";
        }
        return Formatter.formatIpAddress(wifiManager.getDhcpInfo().netmask);
    }

    public static String s() {
        TelephonyManager telephonyManager = (TelephonyManager) g1.a().getSystemService("phone");
        if (telephonyManager == null) {
            return "";
        }
        return telephonyManager.getNetworkOperatorName();
    }

    @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
    public static NetworkType t() {
        if (L()) {
            return NetworkType.NETWORK_ETHERNET;
        }
        NetworkInfo i2 = i();
        if (i2 == null || !i2.isAvailable()) {
            return NetworkType.NETWORK_NO;
        }
        if (i2.getType() == 1) {
            return NetworkType.NETWORK_WIFI;
        }
        if (i2.getType() != 0) {
            return NetworkType.NETWORK_UNKNOWN;
        }
        switch (i2.getSubtype()) {
            case 1:
            case 2:
            case 4:
            case 7:
            case 11:
            case 16:
                return NetworkType.NETWORK_2G;
            case 3:
            case 5:
            case 6:
            case 8:
            case 9:
            case 10:
            case 12:
            case 14:
            case 15:
            case 17:
                return NetworkType.NETWORK_3G;
            case 13:
            case 18:
                return NetworkType.NETWORK_4G;
            case 19:
            default:
                String subtypeName = i2.getSubtypeName();
                if (subtypeName.equalsIgnoreCase("TD-SCDMA") || subtypeName.equalsIgnoreCase("WCDMA") || subtypeName.equalsIgnoreCase("CDMA2000")) {
                    return NetworkType.NETWORK_3G;
                }
                return NetworkType.NETWORK_UNKNOWN;
            case 20:
                return NetworkType.NETWORK_5G;
        }
    }

    @RequiresPermission("android.permission.ACCESS_WIFI_STATE")
    public static String u() {
        WifiInfo connectionInfo;
        WifiManager wifiManager = (WifiManager) g1.a().getApplicationContext().getSystemService("wifi");
        if (wifiManager == null || (connectionInfo = wifiManager.getConnectionInfo()) == null) {
            return "";
        }
        String ssid = connectionInfo.getSSID();
        if (TextUtils.isEmpty(ssid)) {
            return "";
        }
        return (ssid.length() > 2 && ssid.charAt(0) == '\"' && ssid.charAt(ssid.length() - 1) == '\"') ? ssid.substring(1, ssid.length() - 1) : ssid;
    }

    @RequiresPermission("android.permission.ACCESS_WIFI_STATE")
    public static String v() {
        WifiManager wifiManager = (WifiManager) g1.a().getSystemService("wifi");
        if (wifiManager == null) {
            return "";
        }
        return Formatter.formatIpAddress(wifiManager.getDhcpInfo().serverAddress);
    }

    @RequiresPermission("android.permission.ACCESS_WIFI_STATE")
    public static boolean w() {
        WifiManager wifiManager = (WifiManager) g1.a().getSystemService("wifi");
        if (wifiManager == null) {
            return false;
        }
        return wifiManager.isWifiEnabled();
    }

    @RequiresPermission(allOf = {"android.permission.ACCESS_WIFI_STATE", "android.permission.ACCESS_COARSE_LOCATION"})
    public static k x() {
        List<ScanResult> scanResults;
        k kVar = new k();
        if (w() && (scanResults = ((WifiManager) g1.a().getSystemService("wifi")).getScanResults()) != null) {
            kVar.e(scanResults);
        }
        return kVar;
    }

    @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
    public static boolean y() {
        NetworkInfo i2 = i();
        return i2 != null && i2.isAvailable() && i2.getSubtype() == 13;
    }

    @RequiresPermission("android.permission.ACCESS_NETWORK_STATE")
    public static boolean z() {
        NetworkInfo i2 = i();
        return i2 != null && i2.isAvailable() && i2.getSubtype() == 20;
    }
}
