package com.blankj.utilcode.util;

import android.annotation.SuppressLint;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.BlurMaskFilter;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.Shader;
import android.graphics.Typeface;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.text.Layout;
import android.text.SpannableStringBuilder;
import android.text.Spanned;
import android.text.TextPaint;
import android.text.method.LinkMovementMethod;
import android.text.style.AbsoluteSizeSpan;
import android.text.style.AlignmentSpan;
import android.text.style.BackgroundColorSpan;
import android.text.style.CharacterStyle;
import android.text.style.ClickableSpan;
import android.text.style.ForegroundColorSpan;
import android.text.style.LeadingMarginSpan;
import android.text.style.LineHeightSpan;
import android.text.style.MaskFilterSpan;
import android.text.style.RelativeSizeSpan;
import android.text.style.ReplacementSpan;
import android.text.style.ScaleXSpan;
import android.text.style.StrikethroughSpan;
import android.text.style.StyleSpan;
import android.text.style.SubscriptSpan;
import android.text.style.SuperscriptSpan;
import android.text.style.TypefaceSpan;
import android.text.style.URLSpan;
import android.text.style.UnderlineSpan;
import android.text.style.UpdateAppearance;
import android.util.Log;
import android.view.View;
import android.widget.TextView;
import androidx.annotation.ColorInt;
import androidx.annotation.DrawableRes;
import androidx.annotation.FloatRange;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import java.io.InputStream;
import java.io.Serializable;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.util.Objects;

public final class SpanUtils {

    /* renamed from: a  reason: collision with root package name */
    private static final int f6561a = -16777217;

    /* renamed from: b  reason: collision with root package name */
    public static final int f6562b = 0;

    /* renamed from: c  reason: collision with root package name */
    public static final int f6563c = 1;

    /* renamed from: d  reason: collision with root package name */
    public static final int f6564d = 2;

    /* renamed from: e  reason: collision with root package name */
    public static final int f6565e = 3;
    private static final String f = System.getProperty("line.separator");
    private boolean A;
    private boolean B;
    private boolean C;
    private boolean D;
    private boolean E;
    private boolean F;
    private String G;
    private Typeface H;
    private Layout.Alignment I;
    private int J;
    private ClickableSpan K;
    private String L;
    private float M;
    private BlurMaskFilter.Blur N;
    private Shader O;
    private float P;
    private float Q;
    private float R;
    private int S;
    private Object[] T;
    private Bitmap U;
    private Drawable V;
    private Uri W;
    private int X;
    private int Y;
    private int Z;
    private int a0;
    private g b0;
    private boolean c0;
    private int d0;
    private final int e0;
    private final int f0;
    private TextView g;
    private final int g0;
    private CharSequence h;
    private int i;
    private int j;
    private int k;
    private int l;
    private int m;
    private int n;
    private int o;
    private int p;
    private int q;
    private int r;
    private int s;
    private int t;
    private int u;
    private int v;
    private boolean w;
    private float x;
    private float y;
    private boolean z;

    @Retention(RetentionPolicy.SOURCE)
    public @interface Align {
    }

    /* access modifiers changed from: package-private */
    @SuppressLint({"ParcelCreator"})
    public static class CustomTypefaceSpan extends TypefaceSpan {

        /* renamed from: a  reason: collision with root package name */
        private final Typeface f6566a;

        /* synthetic */ CustomTypefaceSpan(Typeface typeface, a aVar) {
            this(typeface);
        }

        private void a(Paint paint, Typeface typeface) {
            int i;
            Typeface typeface2 = paint.getTypeface();
            if (typeface2 == null) {
                i = 0;
            } else {
                i = typeface2.getStyle();
            }
            int i2 = i & (~typeface.getStyle());
            if ((i2 & 1) != 0) {
                paint.setFakeBoldText(true);
            }
            if ((i2 & 2) != 0) {
                paint.setTextSkewX(-0.25f);
            }
            paint.getShader();
            paint.setTypeface(typeface);
        }

        public void updateDrawState(TextPaint textPaint) {
            a(textPaint, this.f6566a);
        }

        public void updateMeasureState(TextPaint textPaint) {
            a(textPaint, this.f6566a);
        }

        private CustomTypefaceSpan(Typeface typeface) {
            super("");
            this.f6566a = typeface;
        }
    }

    /* access modifiers changed from: package-private */
    public class a extends ClickableSpan {
        final /* synthetic */ View.OnClickListener I0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f6567a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ boolean f6568b;

        a(int i, boolean z, View.OnClickListener onClickListener) {
            this.f6567a = i;
            this.f6568b = z;
            this.I0 = onClickListener;
        }

        public void onClick(@NonNull View view) {
            Objects.requireNonNull(view, "Argument 'widget' of type View (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            View.OnClickListener onClickListener = this.I0;
            if (onClickListener != null) {
                onClickListener.onClick(view);
            }
        }

        public void updateDrawState(@NonNull TextPaint textPaint) {
            Objects.requireNonNull(textPaint, "Argument 'paint' of type TextPaint (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            textPaint.setColor(this.f6567a);
            textPaint.setUnderlineText(this.f6568b);
        }
    }

    /* access modifiers changed from: package-private */
    public static class b implements LeadingMarginSpan {
        private final int I0;
        private Path J0;

        /* renamed from: a  reason: collision with root package name */
        private final int f6569a;

        /* renamed from: b  reason: collision with root package name */
        private final int f6570b;

        /* synthetic */ b(int i, int i2, int i3, a aVar) {
            this(i, i2, i3);
        }

        public void drawLeadingMargin(Canvas canvas, Paint paint, int i, int i2, int i3, int i4, int i5, CharSequence charSequence, int i6, int i7, boolean z, Layout layout) {
            if (((Spanned) charSequence).getSpanStart(this) == i6) {
                Paint.Style style = paint.getStyle();
                int color = paint.getColor();
                paint.setColor(this.f6569a);
                paint.setStyle(Paint.Style.FILL);
                if (canvas.isHardwareAccelerated()) {
                    if (this.J0 == null) {
                        Path path = new Path();
                        this.J0 = path;
                        path.addCircle(0.0f, 0.0f, (float) this.f6570b, Path.Direction.CW);
                    }
                    canvas.save();
                    canvas.translate((float) (i + (i2 * this.f6570b)), ((float) (i3 + i5)) / 2.0f);
                    canvas.drawPath(this.J0, paint);
                    canvas.restore();
                } else {
                    int i8 = this.f6570b;
                    canvas.drawCircle((float) (i + (i2 * i8)), ((float) (i3 + i5)) / 2.0f, (float) i8, paint);
                }
                paint.setColor(color);
                paint.setStyle(style);
            }
        }

        public int getLeadingMargin(boolean z) {
            return (this.f6570b * 2) + this.I0;
        }

        private b(int i, int i2, int i3) {
            this.J0 = null;
            this.f6569a = i;
            this.f6570b = i2;
            this.I0 = i3;
        }
    }

    static abstract class c extends ReplacementSpan {
        static final int I0 = 2;
        static final int J0 = 3;

        /* renamed from: a  reason: collision with root package name */
        static final int f6571a = 0;

        /* renamed from: b  reason: collision with root package name */
        static final int f6572b = 1;
        final int K0;
        private WeakReference<Drawable> L0;

        /* synthetic */ c(int i, a aVar) {
            this(i);
        }

        private Drawable a() {
            WeakReference<Drawable> weakReference = this.L0;
            Drawable drawable = weakReference != null ? weakReference.get() : null;
            if (drawable != null) {
                return drawable;
            }
            Drawable b2 = b();
            this.L0 = new WeakReference<>(b2);
            return b2;
        }

        public abstract Drawable b();

        public void draw(@NonNull Canvas canvas, CharSequence charSequence, int i, int i2, float f, int i3, int i4, int i5, @NonNull Paint paint) {
            float f2;
            int height;
            Objects.requireNonNull(canvas, "Argument 'canvas' of type Canvas (#0 out of 9, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            Objects.requireNonNull(paint, "Argument 'paint' of type Paint (#8 out of 9, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            Drawable a2 = a();
            Rect bounds = a2.getBounds();
            canvas.save();
            if (bounds.height() < i5 - i3) {
                int i6 = this.K0;
                if (i6 == 3) {
                    f2 = (float) i3;
                } else {
                    if (i6 == 2) {
                        height = ((i5 + i3) - bounds.height()) / 2;
                    } else if (i6 == 1) {
                        f2 = (float) (i4 - bounds.height());
                    } else {
                        height = i5 - bounds.height();
                    }
                    f2 = (float) height;
                }
                canvas.translate(f, f2);
            } else {
                canvas.translate(f, (float) i3);
            }
            a2.draw(canvas);
            canvas.restore();
        }

        public int getSize(@NonNull Paint paint, CharSequence charSequence, int i, int i2, Paint.FontMetricsInt fontMetricsInt) {
            int i3;
            Objects.requireNonNull(paint, "Argument 'paint' of type Paint (#0 out of 5, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            Rect bounds = a().getBounds();
            if (fontMetricsInt != null && (i3 = fontMetricsInt.bottom - fontMetricsInt.top) < bounds.height()) {
                int i4 = this.K0;
                if (i4 == 3) {
                    fontMetricsInt.top = fontMetricsInt.top;
                    fontMetricsInt.bottom = bounds.height() + fontMetricsInt.top;
                } else if (i4 == 2) {
                    int i5 = i3 / 4;
                    fontMetricsInt.top = ((-bounds.height()) / 2) - i5;
                    fontMetricsInt.bottom = (bounds.height() / 2) - i5;
                } else {
                    int i6 = fontMetricsInt.bottom;
                    fontMetricsInt.top = (-bounds.height()) + i6;
                    fontMetricsInt.bottom = i6;
                }
                fontMetricsInt.ascent = fontMetricsInt.top;
                fontMetricsInt.descent = fontMetricsInt.bottom;
            }
            return bounds.right;
        }

        private c() {
            this.K0 = 0;
        }

        private c(int i) {
            this.K0 = i;
        }
    }

    /* access modifiers changed from: package-private */
    public static class d extends c {
        private Drawable M0;
        private Uri N0;
        private int O0;

        /* synthetic */ d(int i, int i2, a aVar) {
            this(i, i2);
        }

        @Override // com.blankj.utilcode.util.SpanUtils.c
        public Drawable b() {
            Drawable drawable;
            Exception e2;
            Drawable drawable2 = this.M0;
            if (drawable2 != null) {
                return drawable2;
            }
            BitmapDrawable bitmapDrawable = null;
            if (this.N0 != null) {
                try {
                    InputStream openInputStream = g1.a().getContentResolver().openInputStream(this.N0);
                    BitmapDrawable bitmapDrawable2 = new BitmapDrawable(g1.a().getResources(), BitmapFactory.decodeStream(openInputStream));
                    try {
                        bitmapDrawable2.setBounds(0, 0, bitmapDrawable2.getIntrinsicWidth(), bitmapDrawable2.getIntrinsicHeight());
                        if (openInputStream != null) {
                            openInputStream.close();
                        }
                        return bitmapDrawable2;
                    } catch (Exception e3) {
                        e2 = e3;
                        bitmapDrawable = bitmapDrawable2;
                        Log.e("sms", "Failed to loaded content " + this.N0, e2);
                        return bitmapDrawable;
                    }
                } catch (Exception e4) {
                    e2 = e4;
                    Log.e("sms", "Failed to loaded content " + this.N0, e2);
                    return bitmapDrawable;
                }
            } else {
                try {
                    drawable = androidx.core.content.d.i(g1.a(), this.O0);
                    try {
                        drawable.setBounds(0, 0, drawable.getIntrinsicWidth(), drawable.getIntrinsicHeight());
                        return drawable;
                    } catch (Exception unused) {
                    }
                } catch (Exception unused2) {
                    drawable = null;
                    Log.e("sms", "Unable to find resource: " + this.O0);
                    return drawable;
                }
            }
        }

        /* synthetic */ d(Bitmap bitmap, int i, a aVar) {
            this(bitmap, i);
        }

        /* synthetic */ d(Drawable drawable, int i, a aVar) {
            this(drawable, i);
        }

        /* synthetic */ d(Uri uri, int i, a aVar) {
            this(uri, i);
        }

        private d(Bitmap bitmap, int i) {
            super(i, null);
            BitmapDrawable bitmapDrawable = new BitmapDrawable(g1.a().getResources(), bitmap);
            this.M0 = bitmapDrawable;
            bitmapDrawable.setBounds(0, 0, bitmapDrawable.getIntrinsicWidth(), this.M0.getIntrinsicHeight());
        }

        private d(Drawable drawable, int i) {
            super(i, null);
            this.M0 = drawable;
            drawable.setBounds(0, 0, drawable.getIntrinsicWidth(), this.M0.getIntrinsicHeight());
        }

        private d(Uri uri, int i) {
            super(i, null);
            this.N0 = uri;
        }

        private d(@DrawableRes int i, int i2) {
            super(i2, null);
            this.O0 = i;
        }
    }

    /* access modifiers changed from: package-private */
    public static class e implements LineHeightSpan {
        static Paint.FontMetricsInt I0 = null;

        /* renamed from: a  reason: collision with root package name */
        static final int f6573a = 2;

        /* renamed from: b  reason: collision with root package name */
        static final int f6574b = 3;
        private final int J0;
        final int K0;

        e(int i, int i2) {
            this.J0 = i;
            this.K0 = i2;
        }

        public void chooseHeight(CharSequence charSequence, int i, int i2, int i3, int i4, Paint.FontMetricsInt fontMetricsInt) {
            Paint.FontMetricsInt fontMetricsInt2 = I0;
            if (fontMetricsInt2 == null) {
                Paint.FontMetricsInt fontMetricsInt3 = new Paint.FontMetricsInt();
                I0 = fontMetricsInt3;
                fontMetricsInt3.top = fontMetricsInt.top;
                fontMetricsInt3.ascent = fontMetricsInt.ascent;
                fontMetricsInt3.descent = fontMetricsInt.descent;
                fontMetricsInt3.bottom = fontMetricsInt.bottom;
                fontMetricsInt3.leading = fontMetricsInt.leading;
            } else {
                fontMetricsInt.top = fontMetricsInt2.top;
                fontMetricsInt.ascent = fontMetricsInt2.ascent;
                fontMetricsInt.descent = fontMetricsInt2.descent;
                fontMetricsInt.bottom = fontMetricsInt2.bottom;
                fontMetricsInt.leading = fontMetricsInt2.leading;
            }
            int i5 = this.J0;
            int i6 = fontMetricsInt.descent;
            int i7 = fontMetricsInt.ascent;
            int i8 = i5 - (((i4 + i6) - i7) - i3);
            if (i8 > 0) {
                int i9 = this.K0;
                if (i9 == 3) {
                    fontMetricsInt.descent = i6 + i8;
                } else if (i9 == 2) {
                    int i10 = i8 / 2;
                    fontMetricsInt.descent = i6 + i10;
                    fontMetricsInt.ascent = i7 - i10;
                } else {
                    fontMetricsInt.ascent = i7 - i8;
                }
            }
            int i11 = fontMetricsInt.bottom;
            int i12 = fontMetricsInt.top;
            int i13 = i5 - (((i4 + i11) - i12) - i3);
            if (i13 > 0) {
                int i14 = this.K0;
                if (i14 == 3) {
                    fontMetricsInt.bottom = i11 + i13;
                } else if (i14 == 2) {
                    int i15 = i13 / 2;
                    fontMetricsInt.bottom = i11 + i15;
                    fontMetricsInt.top = i12 - i15;
                } else {
                    fontMetricsInt.top = i12 - i13;
                }
            }
            if (i2 == ((Spanned) charSequence).getSpanEnd(this)) {
                I0 = null;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static class f implements LeadingMarginSpan {
        private final int I0;

        /* renamed from: a  reason: collision with root package name */
        private final int f6575a;

        /* renamed from: b  reason: collision with root package name */
        private final int f6576b;

        /* synthetic */ f(int i, int i2, int i3, a aVar) {
            this(i, i2, i3);
        }

        public void drawLeadingMargin(Canvas canvas, Paint paint, int i, int i2, int i3, int i4, int i5, CharSequence charSequence, int i6, int i7, boolean z, Layout layout) {
            Paint.Style style = paint.getStyle();
            int color = paint.getColor();
            paint.setStyle(Paint.Style.FILL);
            paint.setColor(this.f6575a);
            canvas.drawRect((float) i, (float) i3, (float) (i + (this.f6576b * i2)), (float) i5, paint);
            paint.setStyle(style);
            paint.setColor(color);
        }

        public int getLeadingMargin(boolean z) {
            return this.f6576b + this.I0;
        }

        private f(int i, int i2, int i3) {
            this.f6575a = i;
            this.f6576b = i2;
            this.I0 = i3;
        }
    }

    /* access modifiers changed from: private */
    public static class g extends SpannableStringBuilder implements Serializable {
        private static final long serialVersionUID = 4909567650765875771L;

        private g() {
        }

        /* synthetic */ g(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: package-private */
    public static class h extends CharacterStyle implements UpdateAppearance {

        /* renamed from: a  reason: collision with root package name */
        private Shader f6577a;

        /* synthetic */ h(Shader shader, a aVar) {
            this(shader);
        }

        public void updateDrawState(TextPaint textPaint) {
            textPaint.setShader(this.f6577a);
        }

        private h(Shader shader) {
            this.f6577a = shader;
        }
    }

    /* access modifiers changed from: package-private */
    public static class i extends CharacterStyle implements UpdateAppearance {
        private float I0;
        private int J0;

        /* renamed from: a  reason: collision with root package name */
        private float f6578a;

        /* renamed from: b  reason: collision with root package name */
        private float f6579b;

        /* synthetic */ i(float f, float f2, float f3, int i, a aVar) {
            this(f, f2, f3, i);
        }

        public void updateDrawState(TextPaint textPaint) {
            textPaint.setShadowLayer(this.f6578a, this.f6579b, this.I0, this.J0);
        }

        private i(float f, float f2, float f3, int i) {
            this.f6578a = f;
            this.f6579b = f2;
            this.I0 = f3;
            this.J0 = i;
        }
    }

    /* access modifiers changed from: package-private */
    public static class j extends ReplacementSpan {

        /* renamed from: a  reason: collision with root package name */
        private final int f6580a;

        /* renamed from: b  reason: collision with root package name */
        private final Paint f6581b;

        /* synthetic */ j(int i, int i2, a aVar) {
            this(i, i2);
        }

        public void draw(@NonNull Canvas canvas, CharSequence charSequence, @IntRange(from = 0) int i, @IntRange(from = 0) int i2, float f, int i3, int i4, int i5, @NonNull Paint paint) {
            Objects.requireNonNull(canvas, "Argument 'canvas' of type Canvas (#0 out of 9, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            Objects.requireNonNull(paint, "Argument 'paint' of type Paint (#8 out of 9, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            canvas.drawRect(f, (float) i3, f + ((float) this.f6580a), (float) i5, this.f6581b);
        }

        public int getSize(@NonNull Paint paint, CharSequence charSequence, @IntRange(from = 0) int i, @IntRange(from = 0) int i2, @Nullable Paint.FontMetricsInt fontMetricsInt) {
            Objects.requireNonNull(paint, "Argument 'paint' of type Paint (#0 out of 5, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            return this.f6580a;
        }

        private j(int i) {
            this(i, 0);
        }

        private j(int i, int i2) {
            Paint paint = new Paint();
            this.f6581b = paint;
            this.f6580a = i;
            paint.setColor(i2);
            paint.setStyle(Paint.Style.FILL);
        }
    }

    /* access modifiers changed from: package-private */
    public static class k extends ReplacementSpan {

        /* renamed from: a  reason: collision with root package name */
        static final int f6582a = 2;

        /* renamed from: b  reason: collision with root package name */
        static final int f6583b = 3;
        final int I0;

        k(int i) {
            this.I0 = i;
        }

        public void draw(@NonNull Canvas canvas, CharSequence charSequence, int i, int i2, float f, int i3, int i4, int i5, @NonNull Paint paint) {
            Objects.requireNonNull(canvas, "Argument 'canvas' of type Canvas (#0 out of 9, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            Objects.requireNonNull(paint, "Argument 'paint' of type Paint (#8 out of 9, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            CharSequence subSequence = charSequence.subSequence(i, i2);
            Paint.FontMetricsInt fontMetricsInt = paint.getFontMetricsInt();
            canvas.drawText(subSequence.toString(), f, (float) (i4 - (((((fontMetricsInt.descent + i4) + i4) + fontMetricsInt.ascent) / 2) - ((i5 + i3) / 2))), paint);
        }

        public int getSize(@NonNull Paint paint, CharSequence charSequence, int i, int i2, @Nullable Paint.FontMetricsInt fontMetricsInt) {
            Objects.requireNonNull(paint, "Argument 'paint' of type Paint (#0 out of 5, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            return (int) paint.measureText(charSequence.subSequence(i, i2).toString());
        }
    }

    private SpanUtils(TextView textView) {
        this();
        this.g = textView;
    }

    private void M() {
        TextView textView = this.g;
        if (textView != null && textView.getMovementMethod() == null) {
            this.g.setMovementMethod(LinkMovementMethod.getInstance());
        }
    }

    private void Z() {
        if (this.h.length() != 0) {
            int length = this.b0.length();
            if (length == 0 && this.l != -1) {
                this.b0.append((CharSequence) Character.toString(2)).append((CharSequence) "\n").setSpan(new AbsoluteSizeSpan(0), 0, 2, 33);
                length = 2;
            }
            this.b0.append(this.h);
            int length2 = this.b0.length();
            if (this.J != -1) {
                this.b0.setSpan(new k(this.J), length, length2, this.i);
            }
            if (this.j != f6561a) {
                this.b0.setSpan(new ForegroundColorSpan(this.j), length, length2, this.i);
            }
            if (this.k != f6561a) {
                this.b0.setSpan(new BackgroundColorSpan(this.k), length, length2, this.i);
            }
            if (this.q != -1) {
                this.b0.setSpan(new LeadingMarginSpan.Standard(this.q, this.r), length, length2, this.i);
            }
            int i2 = this.n;
            if (i2 != f6561a) {
                this.b0.setSpan(new f(i2, this.o, this.p, null), length, length2, this.i);
            }
            int i3 = this.s;
            if (i3 != f6561a) {
                this.b0.setSpan(new b(i3, this.t, this.u, null), length, length2, this.i);
            }
            if (this.v != -1) {
                this.b0.setSpan(new AbsoluteSizeSpan(this.v, this.w), length, length2, this.i);
            }
            if (this.x != -1.0f) {
                this.b0.setSpan(new RelativeSizeSpan(this.x), length, length2, this.i);
            }
            if (this.y != -1.0f) {
                this.b0.setSpan(new ScaleXSpan(this.y), length, length2, this.i);
            }
            int i4 = this.l;
            if (i4 != -1) {
                this.b0.setSpan(new e(i4, this.m), length, length2, this.i);
            }
            if (this.z) {
                this.b0.setSpan(new StrikethroughSpan(), length, length2, this.i);
            }
            if (this.A) {
                this.b0.setSpan(new UnderlineSpan(), length, length2, this.i);
            }
            if (this.B) {
                this.b0.setSpan(new SuperscriptSpan(), length, length2, this.i);
            }
            if (this.C) {
                this.b0.setSpan(new SubscriptSpan(), length, length2, this.i);
            }
            if (this.D) {
                this.b0.setSpan(new StyleSpan(1), length, length2, this.i);
            }
            if (this.E) {
                this.b0.setSpan(new StyleSpan(2), length, length2, this.i);
            }
            if (this.F) {
                this.b0.setSpan(new StyleSpan(3), length, length2, this.i);
            }
            if (this.G != null) {
                this.b0.setSpan(new TypefaceSpan(this.G), length, length2, this.i);
            }
            if (this.H != null) {
                this.b0.setSpan(new CustomTypefaceSpan(this.H, null), length, length2, this.i);
            }
            if (this.I != null) {
                this.b0.setSpan(new AlignmentSpan.Standard(this.I), length, length2, this.i);
            }
            ClickableSpan clickableSpan = this.K;
            if (clickableSpan != null) {
                this.b0.setSpan(clickableSpan, length, length2, this.i);
            }
            if (this.L != null) {
                this.b0.setSpan(new URLSpan(this.L), length, length2, this.i);
            }
            if (this.M != -1.0f) {
                this.b0.setSpan(new MaskFilterSpan(new BlurMaskFilter(this.M, this.N)), length, length2, this.i);
            }
            if (this.O != null) {
                this.b0.setSpan(new h(this.O, null), length, length2, this.i);
            }
            if (this.P != -1.0f) {
                this.b0.setSpan(new i(this.P, this.Q, this.R, this.S, null), length, length2, this.i);
            }
            Object[] objArr = this.T;
            if (objArr != null) {
                for (Object obj : objArr) {
                    this.b0.setSpan(obj, length, length2, this.i);
                }
            }
        }
    }

    private void a0() {
        int length = this.b0.length();
        this.h = "<img>";
        Z();
        int length2 = this.b0.length();
        if (this.U != null) {
            this.b0.setSpan(new d(this.U, this.Y, (a) null), length, length2, this.i);
        } else if (this.V != null) {
            this.b0.setSpan(new d(this.V, this.Y, (a) null), length, length2, this.i);
        } else if (this.W != null) {
            this.b0.setSpan(new d(this.W, this.Y, (a) null), length, length2, this.i);
        } else if (this.X != -1) {
            this.b0.setSpan(new d(this.X, this.Y, (a) null), length, length2, this.i);
        }
    }

    private void b0() {
        int length = this.b0.length();
        this.h = "< >";
        Z();
        this.b0.setSpan(new j(this.Z, this.a0, null), length, this.b0.length(), this.i);
    }

    public static SpanUtils c0(TextView textView) {
        return new SpanUtils(textView);
    }

    private void n(int i2) {
        o();
        this.d0 = i2;
    }

    private void o() {
        if (!this.c0) {
            int i2 = this.d0;
            if (i2 == 0) {
                Z();
            } else if (i2 == 1) {
                a0();
            } else if (i2 == 2) {
                b0();
            }
            z();
        }
    }

    private void z() {
        this.i = 33;
        this.j = f6561a;
        this.k = f6561a;
        this.l = -1;
        this.n = f6561a;
        this.q = -1;
        this.s = f6561a;
        this.v = -1;
        this.x = -1.0f;
        this.y = -1.0f;
        this.z = false;
        this.A = false;
        this.B = false;
        this.C = false;
        this.D = false;
        this.E = false;
        this.F = false;
        this.G = null;
        this.H = null;
        this.I = null;
        this.J = -1;
        this.K = null;
        this.L = null;
        this.M = -1.0f;
        this.O = null;
        this.P = -1.0f;
        this.T = null;
        this.U = null;
        this.V = null;
        this.W = null;
        this.X = -1;
        this.Z = -1;
    }

    public SpanUtils A(int i2) {
        this.i = i2;
        return this;
    }

    public SpanUtils B(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'fontFamily' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        this.G = str;
        return this;
    }

    public SpanUtils C(float f2) {
        this.x = f2;
        return this;
    }

    public SpanUtils D(@IntRange(from = 0) int i2) {
        return E(i2, false);
    }

    public SpanUtils E(@IntRange(from = 0) int i2, boolean z2) {
        this.v = i2;
        this.w = z2;
        return this;
    }

    public SpanUtils F(float f2) {
        this.y = f2;
        return this;
    }

    public SpanUtils G(@ColorInt int i2) {
        this.j = i2;
        return this;
    }

    public SpanUtils H(@NonNull Layout.Alignment alignment) {
        Objects.requireNonNull(alignment, "Argument 'alignment' of type Alignment (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        this.I = alignment;
        return this;
    }

    public SpanUtils I() {
        this.E = true;
        return this;
    }

    public SpanUtils J(@IntRange(from = 0) int i2, @IntRange(from = 0) int i3) {
        this.q = i2;
        this.r = i3;
        return this;
    }

    public SpanUtils K(@IntRange(from = 0) int i2) {
        return L(i2, 2);
    }

    public SpanUtils L(@IntRange(from = 0) int i2, int i3) {
        this.l = i2;
        this.m = i3;
        return this;
    }

    public SpanUtils N(@ColorInt int i2) {
        return O(i2, 2, 2);
    }

    public SpanUtils O(@ColorInt int i2, @IntRange(from = 1) int i3, @IntRange(from = 0) int i4) {
        this.n = i2;
        this.o = i3;
        this.p = i4;
        return this;
    }

    public SpanUtils P(@NonNull Shader shader) {
        Objects.requireNonNull(shader, "Argument 'shader' of type Shader (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        this.O = shader;
        return this;
    }

    public SpanUtils Q(@FloatRange(from = 0.0d, fromInclusive = false) float f2, float f3, float f4, int i2) {
        this.P = f2;
        this.Q = f3;
        this.R = f4;
        this.S = i2;
        return this;
    }

    public SpanUtils R(@NonNull Object... objArr) {
        Objects.requireNonNull(objArr, "Argument 'spans' of type Object[] (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        if (objArr.length > 0) {
            this.T = objArr;
        }
        return this;
    }

    public SpanUtils S() {
        this.z = true;
        return this;
    }

    public SpanUtils T() {
        this.C = true;
        return this;
    }

    public SpanUtils U() {
        this.B = true;
        return this;
    }

    public SpanUtils V(@NonNull Typeface typeface) {
        Objects.requireNonNull(typeface, "Argument 'typeface' of type Typeface (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        this.H = typeface;
        return this;
    }

    public SpanUtils W() {
        this.A = true;
        return this;
    }

    public SpanUtils X(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'url' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        M();
        this.L = str;
        return this;
    }

    public SpanUtils Y(int i2) {
        this.J = i2;
        return this;
    }

    public SpanUtils a(@NonNull CharSequence charSequence) {
        Objects.requireNonNull(charSequence, "Argument 'text' of type CharSequence (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        n(0);
        this.h = charSequence;
        return this;
    }

    public SpanUtils b(@DrawableRes int i2) {
        return c(i2, 0);
    }

    public SpanUtils c(@DrawableRes int i2, int i3) {
        n(1);
        this.X = i2;
        this.Y = i3;
        return this;
    }

    public SpanUtils d(@NonNull Bitmap bitmap) {
        Objects.requireNonNull(bitmap, "Argument 'bitmap' of type Bitmap (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return e(bitmap, 0);
    }

    public SpanUtils e(@NonNull Bitmap bitmap, int i2) {
        Objects.requireNonNull(bitmap, "Argument 'bitmap' of type Bitmap (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        n(1);
        this.U = bitmap;
        this.Y = i2;
        return this;
    }

    public SpanUtils f(@NonNull Drawable drawable) {
        Objects.requireNonNull(drawable, "Argument 'drawable' of type Drawable (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return g(drawable, 0);
    }

    public SpanUtils g(@NonNull Drawable drawable, int i2) {
        Objects.requireNonNull(drawable, "Argument 'drawable' of type Drawable (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        n(1);
        this.V = drawable;
        this.Y = i2;
        return this;
    }

    public SpanUtils h(@NonNull Uri uri) {
        Objects.requireNonNull(uri, "Argument 'uri' of type Uri (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return i(uri, 0);
    }

    public SpanUtils i(@NonNull Uri uri, int i2) {
        Objects.requireNonNull(uri, "Argument 'uri' of type Uri (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        n(1);
        this.W = uri;
        this.Y = i2;
        return this;
    }

    public SpanUtils j() {
        n(0);
        this.h = f;
        return this;
    }

    public SpanUtils k(@NonNull CharSequence charSequence) {
        Objects.requireNonNull(charSequence, "Argument 'text' of type CharSequence (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        n(0);
        this.h = ((Object) charSequence) + f;
        return this;
    }

    public SpanUtils l(@IntRange(from = 0) int i2) {
        return m(i2, 0);
    }

    public SpanUtils m(@IntRange(from = 0) int i2, @ColorInt int i3) {
        n(2);
        this.Z = i2;
        this.a0 = i3;
        return this;
    }

    public SpannableStringBuilder p() {
        o();
        TextView textView = this.g;
        if (textView != null) {
            textView.setText(this.b0);
        }
        this.c0 = true;
        return this.b0;
    }

    public SpannableStringBuilder q() {
        return this.b0;
    }

    public SpanUtils r(@ColorInt int i2) {
        this.k = i2;
        return this;
    }

    public SpanUtils s(@FloatRange(from = 0.0d, fromInclusive = false) float f2, BlurMaskFilter.Blur blur) {
        this.M = f2;
        this.N = blur;
        return this;
    }

    public SpanUtils t() {
        this.D = true;
        return this;
    }

    public SpanUtils u() {
        this.F = true;
        return this;
    }

    public SpanUtils v(@IntRange(from = 0) int i2) {
        return w(0, 3, i2);
    }

    public SpanUtils w(@ColorInt int i2, @IntRange(from = 0) int i3, @IntRange(from = 0) int i4) {
        this.s = i2;
        this.t = i3;
        this.u = i4;
        return this;
    }

    public SpanUtils x(@ColorInt int i2, boolean z2, View.OnClickListener onClickListener) {
        M();
        this.K = new a(i2, z2, onClickListener);
        return this;
    }

    public SpanUtils y(@NonNull ClickableSpan clickableSpan) {
        Objects.requireNonNull(clickableSpan, "Argument 'clickSpan' of type ClickableSpan (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        M();
        this.K = clickableSpan;
        return this;
    }

    public SpanUtils() {
        this.e0 = 0;
        this.f0 = 1;
        this.g0 = 2;
        this.b0 = new g(null);
        this.h = "";
        this.d0 = -1;
        z();
    }
}
