package com.blankj.utilcode.util;

import android.app.Activity;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Color;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.os.Build;
import android.os.Handler;
import android.os.Message;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.Toast;
import androidx.annotation.CallSuper;
import androidx.annotation.ColorInt;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.StringRes;
import androidx.core.app.r;
import androidx.core.view.ViewCompat;
import com.blankj.utilcode.R;
import com.blankj.utilcode.util.g1;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.lang.reflect.Field;
import java.util.Objects;

public final class ToastUtils {

    /* renamed from: a  reason: collision with root package name */
    private static final String f6584a = "TAG_TOAST";

    /* renamed from: b  reason: collision with root package name */
    private static final int f6585b = -16777217;

    /* renamed from: c  reason: collision with root package name */
    private static final String f6586c = "toast null";

    /* renamed from: d  reason: collision with root package name */
    private static final String f6587d = "toast nothing";

    /* renamed from: e  reason: collision with root package name */
    private static final ToastUtils f6588e = p();
    private static WeakReference<e> f;
    private String g;
    private int h = -1;
    private int i = -1;
    private int j = -1;
    private int k = f6585b;
    private int l = -1;
    private int m = f6585b;
    private int n = -1;
    private boolean o = false;
    private Drawable[] p = new Drawable[4];
    private boolean q = false;

    @Retention(RetentionPolicy.SOURCE)
    public @interface MODE {
        public static final String DARK = "dark";
        public static final String LIGHT = "light";
    }

    public static final class UtilsMaxWidthRelativeLayout extends RelativeLayout {

        /* renamed from: a  reason: collision with root package name */
        private static final int f6589a = i1.w(80.0f);

        public UtilsMaxWidthRelativeLayout(Context context) {
            super(context);
        }

        /* access modifiers changed from: protected */
        public void onMeasure(int i, int i2) {
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(i1.K() - f6589a, Integer.MIN_VALUE), i2);
        }

        public UtilsMaxWidthRelativeLayout(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public UtilsMaxWidthRelativeLayout(Context context, AttributeSet attributeSet, int i) {
            super(context, attributeSet, i);
        }
    }

    /* access modifiers changed from: package-private */
    public static class a implements Runnable {
        a() {
        }

        public void run() {
            if (ToastUtils.f != null) {
                e eVar = (e) ToastUtils.f.get();
                if (eVar != null) {
                    eVar.cancel();
                }
                WeakReference unused = ToastUtils.f = null;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static class b implements Runnable {
        final /* synthetic */ CharSequence I0;
        final /* synthetic */ int J0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ToastUtils f6590a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ View f6591b;

        b(ToastUtils toastUtils, View view, CharSequence charSequence, int i) {
            this.f6590a = toastUtils;
            this.f6591b = view;
            this.I0 = charSequence;
            this.J0 = i;
        }

        public void run() {
            ToastUtils.l();
            e q = ToastUtils.q(this.f6590a);
            WeakReference unused = ToastUtils.f = new WeakReference(q);
            View view = this.f6591b;
            if (view != null) {
                q.c(view);
            } else {
                q.b(this.I0);
            }
            q.a(this.J0);
        }
    }

    /* access modifiers changed from: package-private */
    public static abstract class c implements e {

        /* renamed from: a  reason: collision with root package name */
        protected Toast f6592a = new Toast(g1.a());

        /* renamed from: b  reason: collision with root package name */
        protected ToastUtils f6593b;

        /* renamed from: c  reason: collision with root package name */
        protected View f6594c;

        c(ToastUtils toastUtils) {
            this.f6593b = toastUtils;
            if (toastUtils.h != -1 || this.f6593b.i != -1 || this.f6593b.j != -1) {
                this.f6592a.setGravity(this.f6593b.h, this.f6593b.i, this.f6593b.j);
            }
        }

        private void e() {
            if (i1.y0()) {
                c(d(-1));
            }
        }

        private void f(TextView textView) {
            if (this.f6593b.l != -1) {
                this.f6594c.setBackgroundResource(this.f6593b.l);
                textView.setBackgroundColor(0);
            } else if (this.f6593b.k != ToastUtils.f6585b) {
                Drawable background = this.f6594c.getBackground();
                Drawable background2 = textView.getBackground();
                if (background != null && background2 != null) {
                    background.mutate().setColorFilter(new PorterDuffColorFilter(this.f6593b.k, PorterDuff.Mode.SRC_IN));
                    textView.setBackgroundColor(0);
                } else if (background != null) {
                    background.mutate().setColorFilter(new PorterDuffColorFilter(this.f6593b.k, PorterDuff.Mode.SRC_IN));
                } else if (background2 != null) {
                    background2.mutate().setColorFilter(new PorterDuffColorFilter(this.f6593b.k, PorterDuff.Mode.SRC_IN));
                } else {
                    this.f6594c.setBackgroundColor(this.f6593b.k);
                }
            }
        }

        @Override // com.blankj.utilcode.util.ToastUtils.e
        public void b(CharSequence charSequence) {
            View X = this.f6593b.X(charSequence);
            if (X != null) {
                c(X);
                e();
                return;
            }
            View view = this.f6592a.getView();
            this.f6594c = view;
            if (view == null || view.findViewById(16908299) == null) {
                c(i1.H0(R.layout.utils_toast_view));
            }
            TextView textView = (TextView) this.f6594c.findViewById(16908299);
            textView.setText(charSequence);
            if (this.f6593b.m != ToastUtils.f6585b) {
                textView.setTextColor(this.f6593b.m);
            }
            if (this.f6593b.n != -1) {
                textView.setTextSize((float) this.f6593b.n);
            }
            f(textView);
            e();
        }

        @Override // com.blankj.utilcode.util.ToastUtils.e
        public void c(View view) {
            this.f6594c = view;
            this.f6592a.setView(view);
        }

        @Override // com.blankj.utilcode.util.ToastUtils.e
        @CallSuper
        public void cancel() {
            Toast toast = this.f6592a;
            if (toast != null) {
                toast.cancel();
            }
            this.f6592a = null;
            this.f6594c = null;
        }

        /* access modifiers changed from: package-private */
        public View d(int i) {
            Bitmap g1 = i1.g1(this.f6594c);
            ImageView imageView = new ImageView(g1.a());
            imageView.setTag(ToastUtils.f6584a + i);
            imageView.setImageBitmap(g1);
            return imageView;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class d extends c {

        /* renamed from: d  reason: collision with root package name */
        private static int f6595d;

        /* renamed from: e  reason: collision with root package name */
        private g1.a f6596e;
        private e f;

        class a implements Runnable {
            a() {
            }

            public void run() {
                d.this.cancel();
            }
        }

        /* access modifiers changed from: package-private */
        public class b extends g1.a {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ int f6598a;

            b(int i) {
                this.f6598a = i;
            }

            @Override // com.blankj.utilcode.util.g1.a
            public void a(@NonNull Activity activity) {
                Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
                if (d.this.i()) {
                    d.this.l(activity, this.f6598a, false);
                }
            }
        }

        d(ToastUtils toastUtils) {
            super(toastUtils);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean i() {
            return this.f6596e != null;
        }

        private void j() {
            b bVar = new b(f6595d);
            this.f6596e = bVar;
            i1.b(bVar);
        }

        private e k(int i) {
            f fVar = new f(this.f6593b);
            fVar.f6592a = this.f6592a;
            fVar.a(i);
            return fVar;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void l(Activity activity, int i, boolean z) {
            Window window = activity.getWindow();
            if (window != null) {
                ViewGroup viewGroup = (ViewGroup) window.getDecorView();
                FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(-2, -2);
                layoutParams.gravity = this.f6592a.getGravity();
                layoutParams.bottomMargin = this.f6592a.getYOffset() + i1.a0();
                layoutParams.topMargin = this.f6592a.getYOffset() + i1.e0();
                layoutParams.leftMargin = this.f6592a.getXOffset();
                View d2 = d(i);
                if (z) {
                    d2.setAlpha(0.0f);
                    d2.animate().alpha(1.0f).setDuration(200).start();
                }
                viewGroup.addView(d2, layoutParams);
            }
        }

        private e m(Activity activity, int i) {
            g gVar = new g(this.f6593b, activity.getWindowManager(), 99);
            gVar.f6594c = d(-1);
            gVar.f6592a = this.f6592a;
            gVar.a(i);
            return gVar;
        }

        private void n() {
            i1.T0(this.f6596e);
            this.f6596e = null;
        }

        @Override // com.blankj.utilcode.util.ToastUtils.e
        public void a(int i) {
            if (this.f6592a != null) {
                if (!i1.r0()) {
                    this.f = k(i);
                    return;
                }
                boolean z = false;
                for (Activity activity : i1.J()) {
                    if (i1.p0(activity)) {
                        if (!z) {
                            this.f = m(activity, i);
                            z = true;
                        } else {
                            l(activity, f6595d, true);
                        }
                    }
                }
                if (z) {
                    j();
                    i1.W0(new a(), i == 0 ? com.google.android.exoplayer2.trackselection.a.l : 3500);
                    f6595d++;
                    return;
                }
                this.f = k(i);
            }
        }

        @Override // com.blankj.utilcode.util.ToastUtils.c, com.blankj.utilcode.util.ToastUtils.e
        public void cancel() {
            Window window;
            if (i()) {
                n();
                for (Activity activity : i1.J()) {
                    if (i1.p0(activity) && (window = activity.getWindow()) != null) {
                        ViewGroup viewGroup = (ViewGroup) window.getDecorView();
                        StringBuilder sb = new StringBuilder();
                        sb.append(ToastUtils.f6584a);
                        sb.append(f6595d - 1);
                        View findViewWithTag = viewGroup.findViewWithTag(sb.toString());
                        if (findViewWithTag != null) {
                            try {
                                viewGroup.removeView(findViewWithTag);
                            } catch (Exception unused) {
                            }
                        }
                    }
                }
            }
            e eVar = this.f;
            if (eVar != null) {
                eVar.cancel();
                this.f = null;
            }
            super.cancel();
        }
    }

    /* access modifiers changed from: package-private */
    public interface e {
        void a(int i);

        void b(CharSequence charSequence);

        void c(View view);

        void cancel();
    }

    /* access modifiers changed from: package-private */
    public static final class f extends c {

        static class a extends Handler {

            /* renamed from: a  reason: collision with root package name */
            private Handler f6600a;

            a(Handler handler) {
                this.f6600a = handler;
            }

            public void dispatchMessage(@NonNull Message message) {
                Objects.requireNonNull(message, "Argument 'msg' of type Message (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
                try {
                    this.f6600a.dispatchMessage(message);
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }

            public void handleMessage(@NonNull Message message) {
                Objects.requireNonNull(message, "Argument 'msg' of type Message (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
                this.f6600a.handleMessage(message);
            }
        }

        f(ToastUtils toastUtils) {
            super(toastUtils);
            if (Build.VERSION.SDK_INT == 25) {
                try {
                    Field declaredField = Toast.class.getDeclaredField("mTN");
                    declaredField.setAccessible(true);
                    Object obj = declaredField.get(this.f6592a);
                    Field declaredField2 = declaredField.getType().getDeclaredField("mHandler");
                    declaredField2.setAccessible(true);
                    declaredField2.set(obj, new a((Handler) declaredField2.get(obj)));
                } catch (Exception unused) {
                }
            }
        }

        @Override // com.blankj.utilcode.util.ToastUtils.e
        public void a(int i) {
            Toast toast = this.f6592a;
            if (toast != null) {
                toast.setDuration(i);
                this.f6592a.show();
            }
        }
    }

    private static void K(@NonNull View view, int i2, ToastUtils toastUtils) {
        Objects.requireNonNull(view, "Argument 'view' of type View (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        L(view, null, i2, toastUtils);
    }

    private static void L(@Nullable View view, @Nullable CharSequence charSequence, int i2, @NonNull ToastUtils toastUtils) {
        Objects.requireNonNull(toastUtils, "Argument 'utils' of type ToastUtils (#3 out of 4, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        i1.V0(new b(toastUtils, view, charSequence, i2));
    }

    private static void N(@Nullable CharSequence charSequence, int i2, ToastUtils toastUtils) {
        L(null, o(charSequence), i2, toastUtils);
    }

    public static void P(@StringRes int i2) {
        N(i1.f0(i2), 1, f6588e);
    }

    public static void Q(@StringRes int i2, Object... objArr) {
        N(i1.f0(i2), 1, f6588e);
    }

    public static void R(@Nullable CharSequence charSequence) {
        N(charSequence, 1, f6588e);
    }

    public static void S(@Nullable String str, Object... objArr) {
        N(i1.F(str, objArr), 1, f6588e);
    }

    public static void T(@StringRes int i2) {
        N(i1.f0(i2), 0, f6588e);
    }

    public static void U(@StringRes int i2, Object... objArr) {
        N(i1.g0(i2, objArr), 0, f6588e);
    }

    public static void V(@Nullable CharSequence charSequence) {
        N(charSequence, 0, f6588e);
    }

    public static void W(@Nullable String str, Object... objArr) {
        N(i1.F(str, objArr), 0, f6588e);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private View X(CharSequence charSequence) {
        if (!MODE.DARK.equals(this.g) && !MODE.LIGHT.equals(this.g)) {
            Drawable[] drawableArr = this.p;
            if (drawableArr[0] == null && drawableArr[1] == null && drawableArr[2] == null && drawableArr[3] == null) {
                return null;
            }
        }
        View H0 = i1.H0(R.layout.utils_toast_view);
        TextView textView = (TextView) H0.findViewById(16908299);
        if (MODE.DARK.equals(this.g)) {
            ((GradientDrawable) H0.getBackground().mutate()).setColor(Color.parseColor("#BB000000"));
            textView.setTextColor(-1);
        }
        textView.setText(charSequence);
        if (this.p[0] != null) {
            View findViewById = H0.findViewById(R.id.utvLeftIconView);
            ViewCompat.setBackground(findViewById, this.p[0]);
            findViewById.setVisibility(0);
        }
        if (this.p[1] != null) {
            View findViewById2 = H0.findViewById(R.id.utvTopIconView);
            ViewCompat.setBackground(findViewById2, this.p[1]);
            findViewById2.setVisibility(0);
        }
        if (this.p[2] != null) {
            View findViewById3 = H0.findViewById(R.id.utvRightIconView);
            ViewCompat.setBackground(findViewById3, this.p[2]);
            findViewById3.setVisibility(0);
        }
        if (this.p[3] != null) {
            View findViewById4 = H0.findViewById(R.id.utvBottomIconView);
            ViewCompat.setBackground(findViewById4, this.p[3]);
            findViewById4.setVisibility(0);
        }
        return H0;
    }

    public static void l() {
        i1.V0(new a());
    }

    @NonNull
    public static ToastUtils m() {
        ToastUtils toastUtils = f6588e;
        Objects.requireNonNull(toastUtils, "Detected an attempt to return null from a method com.blankj.utilcode.util.ToastUtils.getDefaultMaker() marked by @androidx.annotation.NonNull");
        return toastUtils;
    }

    private int n() {
        return this.o ? 1 : 0;
    }

    private static CharSequence o(CharSequence charSequence) {
        if (charSequence == null) {
            return f6586c;
        }
        return charSequence.length() == 0 ? f6587d : charSequence;
    }

    @NonNull
    public static ToastUtils p() {
        return new ToastUtils();
    }

    /* access modifiers changed from: private */
    public static e q(ToastUtils toastUtils) {
        if (!toastUtils.q && r.p(g1.a()).a()) {
            if (Build.VERSION.SDK_INT < 23) {
                return new f(toastUtils);
            }
            if (!i1.w0()) {
                return new f(toastUtils);
            }
        }
        int i2 = Build.VERSION.SDK_INT;
        if (i2 < 25) {
            return new g(toastUtils, 2005);
        }
        if (!i1.w0()) {
            return new d(toastUtils);
        }
        if (i2 >= 26) {
            return new g(toastUtils, 2038);
        }
        return new g(toastUtils, 2002);
    }

    @NonNull
    public final ToastUtils A() {
        this.q = true;
        return this;
    }

    @NonNull
    public final ToastUtils B(@DrawableRes int i2) {
        ToastUtils C = C(androidx.core.content.d.i(g1.a(), i2));
        Objects.requireNonNull(C, "Detected an attempt to return null from a method com.blankj.utilcode.util.ToastUtils.setRightIcon() marked by @androidx.annotation.NonNull");
        return C;
    }

    @NonNull
    public final ToastUtils C(@Nullable Drawable drawable) {
        this.p[2] = drawable;
        return this;
    }

    @NonNull
    public final ToastUtils D(@ColorInt int i2) {
        this.m = i2;
        return this;
    }

    @NonNull
    public final ToastUtils E(int i2) {
        this.n = i2;
        return this;
    }

    @NonNull
    public final ToastUtils F(@DrawableRes int i2) {
        ToastUtils G = G(androidx.core.content.d.i(g1.a(), i2));
        Objects.requireNonNull(G, "Detected an attempt to return null from a method com.blankj.utilcode.util.ToastUtils.setTopIcon() marked by @androidx.annotation.NonNull");
        return G;
    }

    @NonNull
    public final ToastUtils G(@Nullable Drawable drawable) {
        this.p[1] = drawable;
        return this;
    }

    public final void H(@StringRes int i2) {
        N(i1.f0(i2), n(), this);
    }

    public final void I(@StringRes int i2, Object... objArr) {
        N(i1.g0(i2, objArr), n(), this);
    }

    public final void J(@NonNull View view) {
        Objects.requireNonNull(view, "Argument 'view' of type View (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        K(view, n(), this);
    }

    public final void M(@Nullable CharSequence charSequence) {
        N(charSequence, n(), this);
    }

    public final void O(@Nullable String str, Object... objArr) {
        N(i1.F(str, objArr), n(), this);
    }

    @NonNull
    public final ToastUtils r(@ColorInt int i2) {
        this.k = i2;
        return this;
    }

    @NonNull
    public final ToastUtils s(@DrawableRes int i2) {
        this.l = i2;
        return this;
    }

    @NonNull
    public final ToastUtils t(int i2) {
        ToastUtils u = u(androidx.core.content.d.i(g1.a(), i2));
        Objects.requireNonNull(u, "Detected an attempt to return null from a method com.blankj.utilcode.util.ToastUtils.setBottomIcon() marked by @androidx.annotation.NonNull");
        return u;
    }

    @NonNull
    public final ToastUtils u(@Nullable Drawable drawable) {
        this.p[3] = drawable;
        return this;
    }

    @NonNull
    public final ToastUtils v(boolean z) {
        this.o = z;
        return this;
    }

    @NonNull
    public final ToastUtils w(int i2, int i3, int i4) {
        this.h = i2;
        this.i = i3;
        this.j = i4;
        return this;
    }

    @NonNull
    public final ToastUtils x(@DrawableRes int i2) {
        ToastUtils y = y(androidx.core.content.d.i(g1.a(), i2));
        Objects.requireNonNull(y, "Detected an attempt to return null from a method com.blankj.utilcode.util.ToastUtils.setLeftIcon() marked by @androidx.annotation.NonNull");
        return y;
    }

    @NonNull
    public final ToastUtils y(@Nullable Drawable drawable) {
        this.p[0] = drawable;
        return this;
    }

    @NonNull
    public final ToastUtils z(String str) {
        this.g = str;
        return this;
    }

    /* access modifiers changed from: package-private */
    public static final class g extends c {

        /* renamed from: d  reason: collision with root package name */
        private WindowManager f6601d;

        /* renamed from: e  reason: collision with root package name */
        private WindowManager.LayoutParams f6602e;

        /* access modifiers changed from: package-private */
        public class a implements Runnable {
            a() {
            }

            public void run() {
                g.this.cancel();
            }
        }

        g(ToastUtils toastUtils, int i) {
            super(toastUtils);
            this.f6602e = new WindowManager.LayoutParams();
            this.f6601d = (WindowManager) g1.a().getSystemService("window");
            this.f6602e.type = i;
        }

        @Override // com.blankj.utilcode.util.ToastUtils.e
        public void a(int i) {
            if (this.f6592a != null) {
                WindowManager.LayoutParams layoutParams = this.f6602e;
                layoutParams.height = -2;
                layoutParams.width = -2;
                layoutParams.format = -3;
                layoutParams.windowAnimations = 16973828;
                layoutParams.setTitle("ToastWithoutNotification");
                WindowManager.LayoutParams layoutParams2 = this.f6602e;
                layoutParams2.flags = 152;
                layoutParams2.packageName = g1.a().getPackageName();
                this.f6602e.gravity = this.f6592a.getGravity();
                WindowManager.LayoutParams layoutParams3 = this.f6602e;
                int i2 = layoutParams3.gravity;
                if ((i2 & 7) == 7) {
                    layoutParams3.horizontalWeight = 1.0f;
                }
                if ((i2 & 112) == 112) {
                    layoutParams3.verticalWeight = 1.0f;
                }
                layoutParams3.x = this.f6592a.getXOffset();
                this.f6602e.y = this.f6592a.getYOffset();
                this.f6602e.horizontalMargin = this.f6592a.getHorizontalMargin();
                this.f6602e.verticalMargin = this.f6592a.getVerticalMargin();
                try {
                    WindowManager windowManager = this.f6601d;
                    if (windowManager != null) {
                        windowManager.addView(this.f6594c, this.f6602e);
                    }
                } catch (Exception unused) {
                }
                i1.W0(new a(), i == 0 ? com.google.android.exoplayer2.trackselection.a.l : 3500);
            }
        }

        @Override // com.blankj.utilcode.util.ToastUtils.c, com.blankj.utilcode.util.ToastUtils.e
        public void cancel() {
            try {
                WindowManager windowManager = this.f6601d;
                if (windowManager != null) {
                    windowManager.removeViewImmediate(this.f6594c);
                    this.f6601d = null;
                }
            } catch (Exception unused) {
            }
            super.cancel();
        }

        g(ToastUtils toastUtils, WindowManager windowManager, int i) {
            super(toastUtils);
            WindowManager.LayoutParams layoutParams = new WindowManager.LayoutParams();
            this.f6602e = layoutParams;
            this.f6601d = windowManager;
            layoutParams.type = i;
        }
    }
}
