package com.blankj.utilcode.util;

import android.os.Handler;
import android.os.Looper;
import android.util.Log;
import androidx.annotation.CallSuper;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import java.lang.Thread;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.Timer;
import java.util.TimerTask;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.Executor;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;

/* compiled from: ThreadUtils */
public final class b1 {

    /* renamed from: a  reason: collision with root package name */
    private static final Handler f6617a = new Handler(Looper.getMainLooper());

    /* renamed from: b  reason: collision with root package name */
    private static final Map<Integer, Map<Integer, ExecutorService>> f6618b = new HashMap();

    /* renamed from: c  reason: collision with root package name */
    private static final Map<g, ExecutorService> f6619c = new ConcurrentHashMap();

    /* renamed from: d  reason: collision with root package name */
    private static final int f6620d = Runtime.getRuntime().availableProcessors();

    /* renamed from: e  reason: collision with root package name */
    private static final Timer f6621e = new Timer();
    private static final byte f = -1;
    private static final byte g = -2;
    private static final byte h = -4;
    private static final byte i = -8;
    private static Executor j;

    /* access modifiers changed from: package-private */
    /* compiled from: ThreadUtils */
    public static class a extends TimerTask {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ExecutorService f6622a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ g f6623b;

        a(ExecutorService executorService, g gVar) {
            this.f6622a = executorService;
            this.f6623b = gVar;
        }

        public void run() {
            this.f6622a.execute(this.f6623b);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ThreadUtils */
    public static class b extends TimerTask {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ExecutorService f6624a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ g f6625b;

        b(ExecutorService executorService, g gVar) {
            this.f6624a = executorService;
            this.f6625b = gVar;
        }

        public void run() {
            this.f6624a.execute(this.f6625b);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ThreadUtils */
    public static class c implements Executor {
        c() {
        }

        public void execute(@NonNull Runnable runnable) {
            Objects.requireNonNull(runnable, "Argument 'command' of type Runnable (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            b1.s0(runnable);
        }
    }

    /* compiled from: ThreadUtils */
    public static abstract class e<T> extends g<T> {
        @Override // com.blankj.utilcode.util.b1.g
        public void j() {
            Log.e("ThreadUtils", "onCancel: " + Thread.currentThread());
        }

        @Override // com.blankj.utilcode.util.b1.g
        public void l(Throwable th) {
            Log.e("ThreadUtils", "onFail: ", th);
        }
    }

    /* compiled from: ThreadUtils */
    public static class f<T> {

        /* renamed from: a  reason: collision with root package name */
        private CountDownLatch f6626a = new CountDownLatch(1);

        /* renamed from: b  reason: collision with root package name */
        private AtomicBoolean f6627b = new AtomicBoolean();

        /* renamed from: c  reason: collision with root package name */
        private T f6628c;

        public T a() {
            if (!this.f6627b.get()) {
                try {
                    this.f6626a.await();
                } catch (InterruptedException e2) {
                    e2.printStackTrace();
                }
            }
            return this.f6628c;
        }

        public T b(long j, TimeUnit timeUnit, T t) {
            if (!this.f6627b.get()) {
                try {
                    this.f6626a.await(j, timeUnit);
                } catch (InterruptedException e2) {
                    e2.printStackTrace();
                    return t;
                }
            }
            return this.f6628c;
        }

        public void c(T t) {
            if (this.f6627b.compareAndSet(false, true)) {
                this.f6628c = t;
                this.f6626a.countDown();
            }
        }
    }

    /* compiled from: ThreadUtils */
    public static abstract class g<T> implements Runnable {
        private static final int I0 = 2;
        private static final int J0 = 3;
        private static final int K0 = 4;
        private static final int L0 = 5;
        private static final int M0 = 6;

        /* renamed from: a  reason: collision with root package name */
        private static final int f6629a = 0;

        /* renamed from: b  reason: collision with root package name */
        private static final int f6630b = 1;
        private final AtomicInteger N0 = new AtomicInteger(0);
        private volatile boolean O0;
        private volatile Thread P0;
        private Timer Q0;
        private long R0;
        private f S0;
        private Executor T0;

        /* compiled from: ThreadUtils */
        class a extends TimerTask {
            a() {
            }

            public void run() {
                if (!g.this.i() && g.this.S0 != null) {
                    g.this.q();
                    g.this.S0.a();
                    g.this.k();
                }
            }
        }

        /* compiled from: ThreadUtils */
        class b implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ Object f6632a;

            b(Object obj) {
                this.f6632a = obj;
            }

            /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.blankj.utilcode.util.b1$g */
            /* JADX WARN: Multi-variable type inference failed */
            public void run() {
                g.this.m(this.f6632a);
            }
        }

        /* compiled from: ThreadUtils */
        class c implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ Object f6634a;

            c(Object obj) {
                this.f6634a = obj;
            }

            /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.blankj.utilcode.util.b1$g */
            /* JADX WARN: Multi-variable type inference failed */
            public void run() {
                g.this.m(this.f6634a);
                g.this.k();
            }
        }

        /* compiled from: ThreadUtils */
        class d implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ Throwable f6636a;

            d(Throwable th) {
                this.f6636a = th;
            }

            public void run() {
                g.this.l(this.f6636a);
                g.this.k();
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: ThreadUtils */
        public class e implements Runnable {
            e() {
            }

            public void run() {
                g.this.j();
                g.this.k();
            }
        }

        /* compiled from: ThreadUtils */
        public interface f {
            void a();
        }

        private Executor g() {
            Executor executor = this.T0;
            return executor == null ? b1.j0() : executor;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void o(boolean z) {
            this.O0 = z;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        /* JADX WARNING: Code restructure failed: missing block: B:10:0x0017, code lost:
            if (r3.P0 == null) goto L_?;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:11:0x0019, code lost:
            r3.P0.interrupt();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:15:?, code lost:
            return;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:16:?, code lost:
            return;
         */
        private void q() {
            synchronized (this.N0) {
                if (this.N0.get() <= 1) {
                    this.N0.set(6);
                }
            }
        }

        public void d() {
            e(true);
        }

        /* JADX WARNING: Code restructure failed: missing block: B:11:0x0019, code lost:
            if (r3.P0 == null) goto L_0x0020;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:12:0x001b, code lost:
            r3.P0.interrupt();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:13:0x0020, code lost:
            g().execute(new com.blankj.utilcode.util.b1.g.e(r3));
         */
        /* JADX WARNING: Code restructure failed: missing block: B:14:0x002c, code lost:
            return;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:9:0x0015, code lost:
            if (r4 == false) goto L_0x0020;
         */
        public void e(boolean z) {
            synchronized (this.N0) {
                if (this.N0.get() <= 1) {
                    this.N0.set(4);
                }
            }
        }

        public abstract T f() throws Throwable;

        public boolean h() {
            return this.N0.get() >= 4;
        }

        public boolean i() {
            return this.N0.get() > 1;
        }

        public abstract void j();

        /* access modifiers changed from: protected */
        @CallSuper
        public void k() {
            b1.f6619c.remove(this);
            Timer timer = this.Q0;
            if (timer != null) {
                timer.cancel();
                this.Q0 = null;
                this.S0 = null;
            }
        }

        public abstract void l(Throwable th);

        public abstract void m(T t);

        public g<T> n(Executor executor) {
            this.T0 = executor;
            return this;
        }

        public g<T> p(long j, f fVar) {
            this.R0 = j;
            this.S0 = fVar;
            return this;
        }

        public void run() {
            if (this.O0) {
                if (this.P0 == null) {
                    if (this.N0.compareAndSet(0, 1)) {
                        this.P0 = Thread.currentThread();
                        if (this.S0 != null) {
                            Log.w("ThreadUtils", "Scheduled task doesn't support timeout.");
                        }
                    } else {
                        return;
                    }
                } else if (this.N0.get() != 1) {
                    return;
                }
            } else if (this.N0.compareAndSet(0, 1)) {
                this.P0 = Thread.currentThread();
                if (this.S0 != null) {
                    Timer timer = new Timer();
                    this.Q0 = timer;
                    timer.schedule(new a(), this.R0);
                }
            } else {
                return;
            }
            try {
                T f2 = f();
                if (this.O0) {
                    if (this.N0.get() == 1) {
                        g().execute(new b(f2));
                    }
                } else if (this.N0.compareAndSet(1, 3)) {
                    g().execute(new c(f2));
                }
            } catch (InterruptedException unused) {
                this.N0.compareAndSet(4, 5);
            } catch (Throwable th) {
                if (this.N0.compareAndSet(1, 2)) {
                    g().execute(new d(th));
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ThreadUtils */
    public static final class h extends ThreadPoolExecutor {

        /* renamed from: a  reason: collision with root package name */
        private final AtomicInteger f6639a = new AtomicInteger();

        /* renamed from: b  reason: collision with root package name */
        private d f6640b;

        h(int i, int i2, long j, TimeUnit timeUnit, d dVar, ThreadFactory threadFactory) {
            super(i, i2, j, timeUnit, dVar, threadFactory);
            dVar.mPool = this;
            this.f6640b = dVar;
        }

        /* access modifiers changed from: private */
        public static ExecutorService b(int i, int i2) {
            if (i == -8) {
                return new h(b1.f6620d + 1, (b1.f6620d * 2) + 1, 30, TimeUnit.SECONDS, new d(true), new i("cpu", i2));
            }
            if (i == -4) {
                return new h((b1.f6620d * 2) + 1, (b1.f6620d * 2) + 1, 30, TimeUnit.SECONDS, new d(), new i("io", i2));
            }
            if (i == -2) {
                return new h(0, 128, 60, TimeUnit.SECONDS, new d(true), new i("cached", i2));
            }
            if (i == -1) {
                return new h(1, 1, 0, TimeUnit.MILLISECONDS, new d(), new i("single", i2));
            }
            TimeUnit timeUnit = TimeUnit.MILLISECONDS;
            d dVar = new d();
            return new h(i, i, 0, timeUnit, dVar, new i("fixed(" + i + ")", i2));
        }

        private int c() {
            return this.f6639a.get();
        }

        /* access modifiers changed from: protected */
        public void afterExecute(Runnable runnable, Throwable th) {
            this.f6639a.decrementAndGet();
            super.afterExecute(runnable, th);
        }

        public void execute(@NonNull Runnable runnable) {
            Objects.requireNonNull(runnable, "Argument 'command' of type Runnable (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            if (!isShutdown()) {
                this.f6639a.incrementAndGet();
                try {
                    super.execute(runnable);
                } catch (RejectedExecutionException unused) {
                    Log.e("ThreadUtils", "This will not happen!");
                    this.f6640b.offer(runnable);
                } catch (Throwable unused2) {
                    this.f6639a.decrementAndGet();
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ThreadUtils */
    public static final class i extends AtomicLong implements ThreadFactory {

        /* renamed from: a  reason: collision with root package name */
        private static final AtomicInteger f6641a = new AtomicInteger(1);
        private static final long serialVersionUID = -9209200509960368598L;
        private final boolean isDaemon;
        private final String namePrefix;
        private final int priority;

        /* compiled from: ThreadUtils */
        class a extends Thread {
            a(Runnable runnable, String str) {
                super(runnable, str);
            }

            public void run() {
                try {
                    super.run();
                } catch (Throwable th) {
                    Log.e("ThreadUtils", "Request threw uncaught throwable", th);
                }
            }
        }

        /* compiled from: ThreadUtils */
        class b implements Thread.UncaughtExceptionHandler {
            b() {
            }

            public void uncaughtException(Thread thread, Throwable th) {
                System.out.println(th);
            }
        }

        i(String str, int i) {
            this(str, i, false);
        }

        public Thread newThread(@NonNull Runnable runnable) {
            Objects.requireNonNull(runnable, "Argument 'r' of type Runnable (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            a aVar = new a(runnable, this.namePrefix + getAndIncrement());
            aVar.setDaemon(this.isDaemon);
            aVar.setUncaughtExceptionHandler(new b());
            aVar.setPriority(this.priority);
            return aVar;
        }

        i(String str, int i, boolean z) {
            this.namePrefix = str + "-pool-" + f6641a.getAndIncrement() + "-thread-";
            this.priority = i;
            this.isDaemon = z;
        }
    }

    public static <T> void A(ExecutorService executorService, g<T> gVar) {
        h(executorService, gVar);
    }

    public static <T> void B(ExecutorService executorService, g<T> gVar, long j2, long j3, TimeUnit timeUnit) {
        j(executorService, gVar, j2, j3, timeUnit);
    }

    public static <T> void C(ExecutorService executorService, g<T> gVar, long j2, TimeUnit timeUnit) {
        j(executorService, gVar, 0, j2, timeUnit);
    }

    public static <T> void D(ExecutorService executorService, g<T> gVar, long j2, TimeUnit timeUnit) {
        c0(executorService, gVar, j2, timeUnit);
    }

    public static <T> void E(@IntRange(from = 1) int i2, g<T> gVar) {
        h(n0(i2), gVar);
    }

    public static <T> void F(@IntRange(from = 1) int i2, g<T> gVar, @IntRange(from = 1, to = 10) int i3) {
        h(o0(i2, i3), gVar);
    }

    public static <T> void G(@IntRange(from = 1) int i2, g<T> gVar, long j2, long j3, TimeUnit timeUnit) {
        j(n0(i2), gVar, j2, j3, timeUnit);
    }

    public static <T> void H(@IntRange(from = 1) int i2, g<T> gVar, long j2, long j3, TimeUnit timeUnit, @IntRange(from = 1, to = 10) int i3) {
        j(o0(i2, i3), gVar, j2, j3, timeUnit);
    }

    public static <T> void I(@IntRange(from = 1) int i2, g<T> gVar, long j2, TimeUnit timeUnit) {
        j(n0(i2), gVar, 0, j2, timeUnit);
    }

    public static <T> void J(@IntRange(from = 1) int i2, g<T> gVar, long j2, TimeUnit timeUnit, @IntRange(from = 1, to = 10) int i3) {
        j(o0(i2, i3), gVar, 0, j2, timeUnit);
    }

    public static <T> void K(@IntRange(from = 1) int i2, g<T> gVar, long j2, TimeUnit timeUnit) {
        c0(n0(i2), gVar, j2, timeUnit);
    }

    public static <T> void L(@IntRange(from = 1) int i2, g<T> gVar, long j2, TimeUnit timeUnit, @IntRange(from = 1, to = 10) int i3) {
        c0(o0(i2, i3), gVar, j2, timeUnit);
    }

    public static <T> void M(g<T> gVar) {
        h(n0(-4), gVar);
    }

    public static <T> void N(g<T> gVar, @IntRange(from = 1, to = 10) int i2) {
        h(o0(-4, i2), gVar);
    }

    public static <T> void O(g<T> gVar, long j2, long j3, TimeUnit timeUnit) {
        j(n0(-4), gVar, j2, j3, timeUnit);
    }

    public static <T> void P(g<T> gVar, long j2, long j3, TimeUnit timeUnit, @IntRange(from = 1, to = 10) int i2) {
        j(o0(-4, i2), gVar, j2, j3, timeUnit);
    }

    public static <T> void Q(g<T> gVar, long j2, TimeUnit timeUnit) {
        j(n0(-4), gVar, 0, j2, timeUnit);
    }

    public static <T> void R(g<T> gVar, long j2, TimeUnit timeUnit, @IntRange(from = 1, to = 10) int i2) {
        j(o0(-4, i2), gVar, 0, j2, timeUnit);
    }

    public static <T> void S(g<T> gVar, long j2, TimeUnit timeUnit) {
        c0(n0(-4), gVar, j2, timeUnit);
    }

    public static <T> void T(g<T> gVar, long j2, TimeUnit timeUnit, @IntRange(from = 1, to = 10) int i2) {
        c0(o0(-4, i2), gVar, j2, timeUnit);
    }

    public static <T> void U(g<T> gVar) {
        h(n0(-1), gVar);
    }

    public static <T> void V(g<T> gVar, @IntRange(from = 1, to = 10) int i2) {
        h(o0(-1, i2), gVar);
    }

    public static <T> void W(g<T> gVar, long j2, long j3, TimeUnit timeUnit) {
        j(n0(-1), gVar, j2, j3, timeUnit);
    }

    public static <T> void X(g<T> gVar, long j2, long j3, TimeUnit timeUnit, @IntRange(from = 1, to = 10) int i2) {
        j(o0(-1, i2), gVar, j2, j3, timeUnit);
    }

    public static <T> void Y(g<T> gVar, long j2, TimeUnit timeUnit) {
        j(n0(-1), gVar, 0, j2, timeUnit);
    }

    public static <T> void Z(g<T> gVar, long j2, TimeUnit timeUnit, @IntRange(from = 1, to = 10) int i2) {
        j(o0(-1, i2), gVar, 0, j2, timeUnit);
    }

    public static <T> void a0(g<T> gVar, long j2, TimeUnit timeUnit) {
        c0(n0(-1), gVar, j2, timeUnit);
    }

    public static <T> void b0(g<T> gVar, long j2, TimeUnit timeUnit, @IntRange(from = 1, to = 10) int i2) {
        c0(o0(-1, i2), gVar, j2, timeUnit);
    }

    private static <T> void c0(ExecutorService executorService, g<T> gVar, long j2, TimeUnit timeUnit) {
        i(executorService, gVar, j2, 0, timeUnit);
    }

    public static void d(g gVar) {
        if (gVar != null) {
            gVar.d();
        }
    }

    public static ExecutorService d0() {
        return n0(-2);
    }

    public static void e(List<g> list) {
        if (!(list == null || list.size() == 0)) {
            for (g gVar : list) {
                if (gVar != null) {
                    gVar.d();
                }
            }
        }
    }

    public static ExecutorService e0(@IntRange(from = 1, to = 10) int i2) {
        return o0(-2, i2);
    }

    public static void f(ExecutorService executorService) {
        if (executorService instanceof h) {
            for (Map.Entry<g, ExecutorService> entry : f6619c.entrySet()) {
                if (entry.getValue() == executorService) {
                    d(entry.getKey());
                }
            }
            return;
        }
        Log.e("ThreadUtils", "The executorService is not ThreadUtils's pool.");
    }

    public static ExecutorService f0() {
        return n0(-8);
    }

    public static void g(g... gVarArr) {
        if (!(gVarArr == null || gVarArr.length == 0)) {
            for (g gVar : gVarArr) {
                if (gVar != null) {
                    gVar.d();
                }
            }
        }
    }

    public static ExecutorService g0(@IntRange(from = 1, to = 10) int i2) {
        return o0(-8, i2);
    }

    private static <T> void h(ExecutorService executorService, g<T> gVar) {
        i(executorService, gVar, 0, 0, null);
    }

    public static ExecutorService h0(@IntRange(from = 1) int i2) {
        return n0(i2);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:11:0x001a, code lost:
        if (r7 != 0) goto L_0x0033;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x001e, code lost:
        if (r5 != 0) goto L_0x0024;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0020, code lost:
        r3.execute(r4);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0024, code lost:
        com.blankj.utilcode.util.b1.f6621e.schedule(new com.blankj.utilcode.util.b1.a(r3, r4), r9.toMillis(r5));
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0033, code lost:
        r4.o(true);
        com.blankj.utilcode.util.b1.f6621e.scheduleAtFixedRate(new com.blankj.utilcode.util.b1.b(r3, r4), r9.toMillis(r5), r9.toMillis(r7));
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:?, code lost:
        return;
     */
    private static <T> void i(ExecutorService executorService, g<T> gVar, long j2, long j3, TimeUnit timeUnit) {
        Map<g, ExecutorService> map = f6619c;
        synchronized (map) {
            if (map.get(gVar) != null) {
                Log.e("ThreadUtils", "Task can only be executed once.");
                return;
            }
            map.put(gVar, executorService);
        }
    }

    public static ExecutorService i0(@IntRange(from = 1) int i2, @IntRange(from = 1, to = 10) int i3) {
        return o0(i2, i3);
    }

    private static <T> void j(ExecutorService executorService, g<T> gVar, long j2, long j3, TimeUnit timeUnit) {
        i(executorService, gVar, j2, j3, timeUnit);
    }

    /* access modifiers changed from: private */
    public static Executor j0() {
        if (j == null) {
            j = new c();
        }
        return j;
    }

    public static <T> void k(g<T> gVar) {
        h(n0(-2), gVar);
    }

    public static ExecutorService k0() {
        return n0(-4);
    }

    public static <T> void l(g<T> gVar, @IntRange(from = 1, to = 10) int i2) {
        h(o0(-2, i2), gVar);
    }

    public static ExecutorService l0(@IntRange(from = 1, to = 10) int i2) {
        return o0(-4, i2);
    }

    public static <T> void m(g<T> gVar, long j2, long j3, TimeUnit timeUnit) {
        j(n0(-2), gVar, j2, j3, timeUnit);
    }

    public static Handler m0() {
        return f6617a;
    }

    public static <T> void n(g<T> gVar, long j2, long j3, TimeUnit timeUnit, @IntRange(from = 1, to = 10) int i2) {
        j(o0(-2, i2), gVar, j2, j3, timeUnit);
    }

    private static ExecutorService n0(int i2) {
        return o0(i2, 5);
    }

    public static <T> void o(g<T> gVar, long j2, TimeUnit timeUnit) {
        j(n0(-2), gVar, 0, j2, timeUnit);
    }

    private static ExecutorService o0(int i2, int i3) {
        ExecutorService executorService;
        Map<Integer, Map<Integer, ExecutorService>> map = f6618b;
        synchronized (map) {
            Map<Integer, ExecutorService> map2 = map.get(Integer.valueOf(i2));
            if (map2 == null) {
                ConcurrentHashMap concurrentHashMap = new ConcurrentHashMap();
                executorService = h.b(i2, i3);
                concurrentHashMap.put(Integer.valueOf(i3), executorService);
                map.put(Integer.valueOf(i2), concurrentHashMap);
            } else {
                executorService = map2.get(Integer.valueOf(i3));
                if (executorService == null) {
                    executorService = h.b(i2, i3);
                    map2.put(Integer.valueOf(i3), executorService);
                }
            }
        }
        return executorService;
    }

    public static <T> void p(g<T> gVar, long j2, TimeUnit timeUnit, @IntRange(from = 1, to = 10) int i2) {
        j(o0(-2, i2), gVar, 0, j2, timeUnit);
    }

    public static ExecutorService p0() {
        return n0(-1);
    }

    public static <T> void q(g<T> gVar, long j2, TimeUnit timeUnit) {
        c0(n0(-2), gVar, j2, timeUnit);
    }

    public static ExecutorService q0(@IntRange(from = 1, to = 10) int i2) {
        return o0(-1, i2);
    }

    public static <T> void r(g<T> gVar, long j2, TimeUnit timeUnit, @IntRange(from = 1, to = 10) int i2) {
        c0(o0(-2, i2), gVar, j2, timeUnit);
    }

    public static boolean r0() {
        return Looper.myLooper() == Looper.getMainLooper();
    }

    public static <T> void s(g<T> gVar) {
        h(n0(-8), gVar);
    }

    public static void s0(Runnable runnable) {
        if (Looper.myLooper() == Looper.getMainLooper()) {
            runnable.run();
        } else {
            f6617a.post(runnable);
        }
    }

    public static <T> void t(g<T> gVar, @IntRange(from = 1, to = 10) int i2) {
        h(o0(-8, i2), gVar);
    }

    public static void t0(Runnable runnable, long j2) {
        f6617a.postDelayed(runnable, j2);
    }

    public static <T> void u(g<T> gVar, long j2, long j3, TimeUnit timeUnit) {
        j(n0(-8), gVar, j2, j3, timeUnit);
    }

    public static void u0(Executor executor) {
        j = executor;
    }

    public static <T> void v(g<T> gVar, long j2, long j3, TimeUnit timeUnit, @IntRange(from = 1, to = 10) int i2) {
        j(o0(-8, i2), gVar, j2, j3, timeUnit);
    }

    public static <T> void w(g<T> gVar, long j2, TimeUnit timeUnit) {
        j(n0(-8), gVar, 0, j2, timeUnit);
    }

    public static <T> void x(g<T> gVar, long j2, TimeUnit timeUnit, @IntRange(from = 1, to = 10) int i2) {
        j(o0(-8, i2), gVar, 0, j2, timeUnit);
    }

    public static <T> void y(g<T> gVar, long j2, TimeUnit timeUnit) {
        c0(n0(-8), gVar, j2, timeUnit);
    }

    public static <T> void z(g<T> gVar, long j2, TimeUnit timeUnit, @IntRange(from = 1, to = 10) int i2) {
        c0(o0(-8, i2), gVar, j2, timeUnit);
    }

    /* access modifiers changed from: private */
    /* compiled from: ThreadUtils */
    public static final class d extends LinkedBlockingQueue<Runnable> {
        private int mCapacity = Integer.MAX_VALUE;
        private volatile h mPool;

        d() {
        }

        /* renamed from: d */
        public boolean offer(@NonNull Runnable runnable) {
            Objects.requireNonNull(runnable, "Argument 'runnable' of type Runnable (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            if (this.mCapacity > size() || this.mPool == null || this.mPool.getPoolSize() >= this.mPool.getMaximumPoolSize()) {
                return super.offer(runnable);
            }
            return false;
        }

        d(boolean z) {
            if (z) {
                this.mCapacity = 0;
            }
        }

        d(int i) {
            this.mCapacity = i;
        }
    }
}
