package com.blankj.utilcode.util;

import android.text.TextUtils;
import androidx.annotation.NonNull;
import com.google.gson.e;
import com.google.gson.f;
import com.google.gson.u.a;
import java.io.Reader;
import java.lang.reflect.Type;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;

/* compiled from: GsonUtils */
public final class d0 {

    /* renamed from: a  reason: collision with root package name */
    private static final String f6662a = "defaultGson";

    /* renamed from: b  reason: collision with root package name */
    private static final String f6663b = "delegateGson";

    /* renamed from: c  reason: collision with root package name */
    private static final String f6664c = "logUtilsGson";

    /* renamed from: d  reason: collision with root package name */
    private static final Map<String, e> f6665d = new ConcurrentHashMap();

    private d0() {
        throw new UnsupportedOperationException("u can't instantiate me...");
    }

    private static e a() {
        return new f().n().e().d();
    }

    public static <T> T b(@NonNull e eVar, Reader reader, @NonNull Class<T> cls) {
        Objects.requireNonNull(eVar, "Argument 'gson' of type Gson (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(cls, "Argument 'type' of type Class<T> (#2 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return (T) eVar.l(reader, cls);
    }

    public static <T> T c(@NonNull e eVar, Reader reader, @NonNull Type type) {
        Objects.requireNonNull(eVar, "Argument 'gson' of type Gson (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(type, "Argument 'type' of type Type (#2 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return (T) eVar.m(reader, type);
    }

    public static <T> T d(@NonNull e eVar, String str, @NonNull Class<T> cls) {
        Objects.requireNonNull(eVar, "Argument 'gson' of type Gson (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(cls, "Argument 'type' of type Class<T> (#2 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return (T) eVar.n(str, cls);
    }

    public static <T> T e(@NonNull e eVar, String str, @NonNull Type type) {
        Objects.requireNonNull(eVar, "Argument 'gson' of type Gson (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(type, "Argument 'type' of type Type (#2 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return (T) eVar.o(str, type);
    }

    public static <T> T f(@NonNull Reader reader, @NonNull Class<T> cls) {
        Objects.requireNonNull(reader, "Argument 'reader' of type Reader (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(cls, "Argument 'type' of type Class<T> (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return (T) b(k(), reader, cls);
    }

    public static <T> T g(@NonNull Reader reader, @NonNull Type type) {
        Objects.requireNonNull(reader, "Argument 'reader' of type Reader (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(type, "Argument 'type' of type Type (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return (T) c(k(), reader, type);
    }

    public static <T> T h(String str, @NonNull Class<T> cls) {
        Objects.requireNonNull(cls, "Argument 'type' of type Class<T> (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return (T) d(k(), str, cls);
    }

    public static <T> T i(String str, @NonNull Type type) {
        Objects.requireNonNull(type, "Argument 'type' of type Type (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return (T) e(k(), str, type);
    }

    public static Type j(@NonNull Type type) {
        Objects.requireNonNull(type, "Argument 'type' of type Type (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return a.d(type).h();
    }

    public static e k() {
        Map<String, e> map = f6665d;
        e eVar = map.get(f6663b);
        if (eVar != null) {
            return eVar;
        }
        e eVar2 = map.get(f6662a);
        if (eVar2 != null) {
            return eVar2;
        }
        e a2 = a();
        map.put(f6662a, a2);
        return a2;
    }

    public static e l(String str) {
        return f6665d.get(str);
    }

    static e m() {
        Map<String, e> map = f6665d;
        e eVar = map.get(f6664c);
        if (eVar != null) {
            return eVar;
        }
        e d2 = new f().x().n().d();
        map.put(f6664c, d2);
        return d2;
    }

    public static Type n(@NonNull Type type) {
        Objects.requireNonNull(type, "Argument 'type' of type Type (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return a.e(List.class, type).h();
    }

    public static Type o(@NonNull Type type, @NonNull Type type2) {
        Objects.requireNonNull(type, "Argument 'keyType' of type Type (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(type2, "Argument 'valueType' of type Type (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return a.e(Map.class, type, type2).h();
    }

    public static Type p(@NonNull Type type) {
        Objects.requireNonNull(type, "Argument 'type' of type Type (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return a.e(Set.class, type).h();
    }

    public static Type q(@NonNull Type type, @NonNull Type... typeArr) {
        Objects.requireNonNull(type, "Argument 'rawType' of type Type (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(typeArr, "Argument 'typeArguments' of type Type[] (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return a.e(type, typeArr).h();
    }

    public static void r(String str, e eVar) {
        if (!TextUtils.isEmpty(str) && eVar != null) {
            f6665d.put(str, eVar);
        }
    }

    public static void s(e eVar) {
        if (eVar != null) {
            f6665d.put(f6663b, eVar);
        }
    }

    public static String t(@NonNull e eVar, Object obj) {
        Objects.requireNonNull(eVar, "Argument 'gson' of type Gson (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return eVar.z(obj);
    }

    public static String u(@NonNull e eVar, Object obj, @NonNull Type type) {
        Objects.requireNonNull(eVar, "Argument 'gson' of type Gson (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(type, "Argument 'typeOfSrc' of type Type (#2 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return eVar.A(obj, type);
    }

    public static String v(Object obj) {
        return t(k(), obj);
    }

    public static String w(Object obj, @NonNull Type type) {
        Objects.requireNonNull(type, "Argument 'typeOfSrc' of type Type (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return u(k(), obj, type);
    }
}
