package com.blankj.utilcode.util;

import android.annotation.SuppressLint;
import androidx.annotation.NonNull;
import com.ibm.icu.impl.e;
import com.ibm.icu.impl.locale.f;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.HashMap;
import java.util.Locale;
import java.util.Map;
import java.util.Objects;

/* compiled from: TimeUtils */
public final class d1 {

    /* renamed from: a  reason: collision with root package name */
    private static final ThreadLocal<Map<String, SimpleDateFormat>> f6666a = new a();

    /* renamed from: b  reason: collision with root package name */
    private static final String[] f6667b = {"猴", "鸡", "狗", "猪", "鼠", "牛", "虎", "兔", "龙", "蛇", "马", "羊"};

    /* renamed from: c  reason: collision with root package name */
    private static final int[] f6668c = {20, 19, 21, 21, 21, 22, 23, 23, 23, 24, 23, 22};

    /* renamed from: d  reason: collision with root package name */
    private static final String[] f6669d = {"水瓶座", "双鱼座", "白羊座", "金牛座", "双子座", "巨蟹座", "狮子座", "处女座", "天秤座", "天蝎座", "射手座", "摩羯座"};

    /* compiled from: TimeUtils */
    static class a extends ThreadLocal<Map<String, SimpleDateFormat>> {
        a() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: a */
        public Map<String, SimpleDateFormat> initialValue() {
            return new HashMap();
        }
    }

    private d1() {
        throw new UnsupportedOperationException("u can't instantiate me...");
    }

    public static String A(Date date, int i) {
        return w(date, K(), i);
    }

    public static boolean A0(long j) {
        return D0(N0(j));
    }

    public static String B(long j) {
        long currentTimeMillis = System.currentTimeMillis() - j;
        if (currentTimeMillis < 0) {
            return String.format("%tc", Long.valueOf(j));
        } else if (currentTimeMillis < 1000) {
            return "刚刚";
        } else {
            if (currentTimeMillis < 60000) {
                return String.format(Locale.getDefault(), "%d秒前", Long.valueOf(currentTimeMillis / 1000));
            } else if (currentTimeMillis < 3600000) {
                return String.format(Locale.getDefault(), "%d分钟前", Long.valueOf(currentTimeMillis / 60000));
            } else {
                long o0 = o0();
                if (j >= o0) {
                    return String.format("今天%tR", Long.valueOf(j));
                } else if (j >= o0 - e.j) {
                    return String.format("昨天%tR", Long.valueOf(j));
                } else {
                    return String.format("%tF", Long.valueOf(j));
                }
            }
        }
    }

    public static boolean B0(String str) {
        return D0(V0(str, s()));
    }

    public static String C(String str) {
        return D(str, s());
    }

    public static boolean C0(String str, @NonNull DateFormat dateFormat) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return D0(V0(str, dateFormat));
    }

    public static String D(String str, @NonNull DateFormat dateFormat) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return B(Y0(str, dateFormat));
    }

    public static boolean D0(Date date) {
        Calendar instance = Calendar.getInstance();
        instance.setTime(date);
        return z0(instance.get(1));
    }

    public static String E(Date date) {
        return B(date.getTime());
    }

    public static boolean E0() {
        return !u0();
    }

    public static long F(long j, long j2, int i) {
        return j + Z0(j2, i);
    }

    public static boolean F0(long j) {
        return !v0(j);
    }

    public static long G(String str, long j, int i) {
        return H(str, s(), j, i);
    }

    public static boolean G0(String str) {
        return !w0(str);
    }

    public static long H(String str, @NonNull DateFormat dateFormat, long j, int i) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 4, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return Y0(str, dateFormat) + Z0(j, i);
    }

    public static boolean H0(String str, @NonNull DateFormat dateFormat) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return !x0(str, dateFormat);
    }

    public static long I(Date date, long j, int i) {
        return a(date) + Z0(j, i);
    }

    public static boolean I0(Date date) {
        return !y0(date);
    }

    public static long J(long j, int i) {
        return F(L(), j, i);
    }

    public static boolean J0(long j) {
        long o0 = o0();
        return j >= o0 && j < o0 + e.j;
    }

    public static Date K() {
        return new Date();
    }

    public static boolean K0(String str) {
        return J0(Y0(str, s()));
    }

    public static long L() {
        return System.currentTimeMillis();
    }

    public static boolean L0(String str, @NonNull DateFormat dateFormat) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return J0(Y0(str, dateFormat));
    }

    public static String M() {
        return R0(System.currentTimeMillis(), s());
    }

    public static boolean M0(Date date) {
        return J0(date.getTime());
    }

    public static String N(@NonNull DateFormat dateFormat) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return R0(System.currentTimeMillis(), dateFormat);
    }

    public static Date N0(long j) {
        return new Date(j);
    }

    @SuppressLint({"SimpleDateFormat"})
    public static SimpleDateFormat O(String str) {
        Map<String, SimpleDateFormat> map = f6666a.get();
        SimpleDateFormat simpleDateFormat = map.get(str);
        if (simpleDateFormat != null) {
            return simpleDateFormat;
        }
        SimpleDateFormat simpleDateFormat2 = new SimpleDateFormat(str);
        map.put(str, simpleDateFormat2);
        return simpleDateFormat2;
    }

    static String O0(long j, int i) {
        if (i <= 0) {
            return null;
        }
        int min = Math.min(i, 5);
        String[] strArr = {"天", "小时", "分钟", "秒", "毫秒"};
        int i2 = (j > 0 ? 1 : (j == 0 ? 0 : -1));
        if (i2 == 0) {
            return 0 + strArr[min - 1];
        }
        StringBuilder sb = new StringBuilder();
        if (i2 < 0) {
            sb.append(f.f14027b);
            j = -j;
        }
        int[] iArr = {86400000, 3600000, 60000, 1000, 1};
        for (int i3 = 0; i3 < min; i3++) {
            if (j >= ((long) iArr[i3])) {
                long j2 = j / ((long) iArr[i3]);
                j -= ((long) iArr[i3]) * j2;
                sb.append(j2);
                sb.append(strArr[i3]);
            }
        }
        return sb.toString();
    }

    public static String P(long j, long j2, int i) {
        return Q(j, s(), j2, i);
    }

    public static String P0(long j) {
        return R0(j, s());
    }

    public static String Q(long j, @NonNull DateFormat dateFormat, long j2, int i) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 4, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return R0(j + Z0(j2, i), dateFormat);
    }

    public static String Q0(long j, @NonNull String str) {
        Objects.requireNonNull(str, "Argument 'pattern' of type String (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return R0(j, O(str));
    }

    public static String R(String str, long j, int i) {
        return S(str, s(), j, i);
    }

    public static String R0(long j, @NonNull DateFormat dateFormat) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return dateFormat.format(new Date(j));
    }

    public static String S(String str, @NonNull DateFormat dateFormat, long j, int i) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 4, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return R0(Y0(str, dateFormat) + Z0(j, i), dateFormat);
    }

    private static long S0(long j, int i) {
        return j / ((long) i);
    }

    public static String T(Date date, long j, int i) {
        return U(date, s(), j, i);
    }

    public static Date T0(String str) {
        return V0(str, s());
    }

    public static String U(Date date, @NonNull DateFormat dateFormat, long j, int i) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 4, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return R0(a(date) + Z0(j, i), dateFormat);
    }

    public static Date U0(String str, @NonNull String str2) {
        Objects.requireNonNull(str2, "Argument 'pattern' of type String (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return V0(str, O(str2));
    }

    public static String V(long j, int i) {
        return W(j, s(), i);
    }

    public static Date V0(String str, @NonNull DateFormat dateFormat) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        try {
            return dateFormat.parse(str);
        } catch (ParseException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public static String W(long j, @NonNull DateFormat dateFormat, int i) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return Q(L(), dateFormat, j, i);
    }

    public static long W0(String str) {
        return Y0(str, s());
    }

    public static long X(long j, long j2, int i) {
        return S0(j - j2, i);
    }

    public static long X0(String str, @NonNull String str2) {
        Objects.requireNonNull(str2, "Argument 'pattern' of type String (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return Y0(str, O(str2));
    }

    public static long Y(String str, String str2, int i) {
        return Z(str, str2, s(), i);
    }

    public static long Y0(String str, @NonNull DateFormat dateFormat) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        try {
            return dateFormat.parse(str).getTime();
        } catch (ParseException e2) {
            e2.printStackTrace();
            return -1;
        }
    }

    public static long Z(String str, String str2, @NonNull DateFormat dateFormat, int i) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#2 out of 4, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return S0(Y0(str, dateFormat) - Y0(str2, dateFormat), i);
    }

    private static long Z0(long j, int i) {
        return j * ((long) i);
    }

    public static long a(Date date) {
        return date.getTime();
    }

    public static long a0(Date date, Date date2, int i) {
        return S0(a(date) - a(date2), i);
    }

    public static String b(Date date) {
        return d(date, s());
    }

    public static long b0(long j, int i) {
        return X(j, System.currentTimeMillis(), i);
    }

    public static String c(Date date, @NonNull String str) {
        Objects.requireNonNull(str, "Argument 'pattern' of type String (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return O(str).format(date);
    }

    public static long c0(String str, int i) {
        return Z(str, M(), s(), i);
    }

    public static String d(Date date, @NonNull DateFormat dateFormat) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return dateFormat.format(date);
    }

    public static long d0(String str, @NonNull DateFormat dateFormat, int i) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return Z(str, N(dateFormat), dateFormat, i);
    }

    public static String e(long j) {
        return h(new Date(j));
    }

    public static long e0(Date date, int i) {
        return a0(date, new Date(), i);
    }

    public static String f(String str) {
        return h(V0(str, s()));
    }

    public static String f0(long j) {
        return i0(new Date(j));
    }

    public static String g(String str, @NonNull DateFormat dateFormat) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return h(V0(str, dateFormat));
    }

    public static String g0(String str) {
        return i0(V0(str, s()));
    }

    public static String h(Date date) {
        return new SimpleDateFormat("E", Locale.CHINA).format(date);
    }

    public static String h0(String str, @NonNull DateFormat dateFormat) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return i0(V0(str, dateFormat));
    }

    public static String i(int i) {
        return f6667b[i % 12];
    }

    public static String i0(Date date) {
        return new SimpleDateFormat(com.ibm.icu.text.DateFormat.WEEKDAY, Locale.US).format(date);
    }

    public static String j(long j) {
        return m(N0(j));
    }

    public static int j0(int i) {
        return Calendar.getInstance().get(i);
    }

    public static String k(String str) {
        return m(V0(str, s()));
    }

    public static int k0(long j, int i) {
        Calendar instance = Calendar.getInstance();
        instance.setTimeInMillis(j);
        return instance.get(i);
    }

    public static String l(String str, @NonNull DateFormat dateFormat) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return m(V0(str, dateFormat));
    }

    public static int l0(String str, int i) {
        return n0(V0(str, s()), i);
    }

    public static String m(Date date) {
        Calendar instance = Calendar.getInstance();
        instance.setTime(date);
        return f6667b[instance.get(1) % 12];
    }

    public static int m0(String str, @NonNull DateFormat dateFormat, int i) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return n0(V0(str, dateFormat), i);
    }

    public static Date n(long j, long j2, int i) {
        return N0(j + Z0(j2, i));
    }

    public static int n0(Date date, int i) {
        Calendar instance = Calendar.getInstance();
        instance.setTime(date);
        return instance.get(i);
    }

    public static Date o(String str, long j, int i) {
        return p(str, s(), j, i);
    }

    private static long o0() {
        Calendar instance = Calendar.getInstance();
        instance.set(11, 0);
        instance.set(13, 0);
        instance.set(12, 0);
        instance.set(14, 0);
        return instance.getTimeInMillis();
    }

    public static Date p(String str, @NonNull DateFormat dateFormat, long j, int i) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 4, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return N0(Y0(str, dateFormat) + Z0(j, i));
    }

    public static String p0(int i, int i2) {
        String[] strArr = f6669d;
        int i3 = i - 1;
        if (i2 < f6668c[i3]) {
            i3 = (i + 10) % 12;
        }
        return strArr[i3];
    }

    public static Date q(Date date, long j, int i) {
        return N0(a(date) + Z0(j, i));
    }

    public static String q0(long j) {
        return t0(N0(j));
    }

    public static Date r(long j, int i) {
        return n(L(), j, i);
    }

    public static String r0(String str) {
        return t0(V0(str, s()));
    }

    private static SimpleDateFormat s() {
        return O("yyyy-MM-dd HH:mm:ss");
    }

    public static String s0(String str, @NonNull DateFormat dateFormat) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return t0(V0(str, dateFormat));
    }

    public static String t(long j, long j2, int i) {
        return O0(j - j2, i);
    }

    public static String t0(Date date) {
        Calendar instance = Calendar.getInstance();
        instance.setTime(date);
        return p0(instance.get(2) + 1, instance.get(5));
    }

    public static String u(String str, String str2, int i) {
        return O0(Y0(str, s()) - Y0(str2, s()), i);
    }

    public static boolean u0() {
        return Calendar.getInstance().get(9) == 0;
    }

    public static String v(String str, String str2, @NonNull DateFormat dateFormat, int i) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#2 out of 4, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return O0(Y0(str, dateFormat) - Y0(str2, dateFormat), i);
    }

    public static boolean v0(long j) {
        return k0(j, 9) == 0;
    }

    public static String w(Date date, Date date2, int i) {
        return O0(a(date) - a(date2), i);
    }

    public static boolean w0(String str) {
        return m0(str, s(), 9) == 0;
    }

    public static String x(long j, int i) {
        return t(j, System.currentTimeMillis(), i);
    }

    public static boolean x0(String str, @NonNull DateFormat dateFormat) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return m0(str, dateFormat, 9) == 0;
    }

    public static String y(String str, int i) {
        return v(str, M(), s(), i);
    }

    public static boolean y0(Date date) {
        return n0(date, 9) == 0;
    }

    public static String z(String str, @NonNull DateFormat dateFormat, int i) {
        Objects.requireNonNull(dateFormat, "Argument 'format' of type DateFormat (#1 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return v(str, N(dateFormat), dateFormat, i);
    }

    public static boolean z0(int i) {
        return (i % 4 == 0 && i % 100 != 0) || i % 400 == 0;
    }
}
