package com.blankj.utilcode.util;

import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import android.util.SparseArray;
import androidx.annotation.NonNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/* compiled from: UiMessageUtils */
public final class e1 implements Handler.Callback {

    /* renamed from: a  reason: collision with root package name */
    private static final String f6673a = "UiMessageUtils";

    /* renamed from: b  reason: collision with root package name */
    private static final boolean f6674b = i1.q0();
    private final Handler I0;
    private final c J0;
    private final SparseArray<List<d>> K0;
    private final List<d> L0;
    private final List<d> M0;

    /* compiled from: UiMessageUtils */
    private static final class b {

        /* renamed from: a  reason: collision with root package name */
        private static final e1 f6675a = new e1();

        private b() {
        }
    }

    /* compiled from: UiMessageUtils */
    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        private Message f6676a;

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void d(Message message) {
            this.f6676a = message;
        }

        public int b() {
            return this.f6676a.what;
        }

        public Object c() {
            return this.f6676a.obj;
        }

        public String toString() {
            return "{ id=" + b() + ", obj=" + c() + " }";
        }

        private c(Message message) {
            this.f6676a = message;
        }
    }

    /* compiled from: UiMessageUtils */
    public interface d {
        void a(@NonNull c cVar);
    }

    public static e1 c() {
        return b.f6675a;
    }

    private void d(@NonNull c cVar) {
        Objects.requireNonNull(cVar, "Argument 'msg' of type UiMessage (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        List<d> list = this.K0.get(cVar.b());
        if ((list == null || list.size() == 0) && this.L0.size() == 0) {
            Log.w(f6673a, "Delivering FAILED for message ID " + cVar.b() + ". No listeners. " + cVar.toString());
            return;
        }
        StringBuilder sb = new StringBuilder();
        sb.append("Delivering message ID ");
        sb.append(cVar.b());
        sb.append(", Specific listeners: ");
        if (list == null || list.size() == 0) {
            sb.append(0);
        } else {
            sb.append(list.size());
            sb.append(" [");
            for (int i = 0; i < list.size(); i++) {
                sb.append(list.get(i).getClass().getSimpleName());
                if (i < list.size() - 1) {
                    sb.append(",");
                }
            }
            sb.append("]");
        }
        sb.append(", Universal listeners: ");
        synchronized (this.L0) {
            if (this.L0.size() == 0) {
                sb.append(0);
            } else {
                sb.append(this.L0.size());
                sb.append(" [");
                for (int i2 = 0; i2 < this.L0.size(); i2++) {
                    sb.append(this.L0.get(i2).getClass().getSimpleName());
                    if (i2 < this.L0.size() - 1) {
                        sb.append(",");
                    }
                }
                sb.append("], Message: ");
            }
        }
        sb.append(cVar.toString());
        Log.v(f6673a, sb.toString());
    }

    public void a(int i, @NonNull d dVar) {
        Objects.requireNonNull(dVar, "Argument 'listener' of type UiMessageCallback (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        synchronized (this.K0) {
            List<d> list = this.K0.get(i);
            if (list == null) {
                list = new ArrayList<>();
                this.K0.put(i, list);
            }
            if (!list.contains(dVar)) {
                list.add(dVar);
            }
        }
    }

    public void b(@NonNull d dVar) {
        Objects.requireNonNull(dVar, "Argument 'listener' of type UiMessageCallback (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        synchronized (this.L0) {
            if (!this.L0.contains(dVar)) {
                this.L0.add(dVar);
            } else if (f6674b) {
                Log.w(f6673a, "Listener is already added. " + dVar.toString());
            }
        }
    }

    public void e(int i, @NonNull d dVar) {
        Objects.requireNonNull(dVar, "Argument 'listener' of type UiMessageCallback (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        synchronized (this.K0) {
            List<d> list = this.K0.get(i);
            if (list == null || list.isEmpty()) {
                if (f6674b) {
                    Log.w(f6673a, "Trying to remove specific listener that is not registered. ID " + i + ", " + dVar);
                }
            } else if (!f6674b || list.contains(dVar)) {
                list.remove(dVar);
            } else {
                Log.w(f6673a, "Trying to remove specific listener that is not registered. ID " + i + ", " + dVar);
            }
        }
    }

    public void f(@NonNull d dVar) {
        Objects.requireNonNull(dVar, "Argument 'listener' of type UiMessageCallback (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        synchronized (this.L0) {
            if (f6674b && !this.L0.contains(dVar)) {
                Log.w(f6673a, "Trying to remove a listener that is not registered. " + dVar.toString());
            }
            this.L0.remove(dVar);
        }
    }

    public void g(int i) {
        List<d> list;
        if (f6674b && ((list = this.K0.get(i)) == null || list.size() == 0)) {
            Log.w(f6673a, "Trying to remove specific listeners that are not registered. ID " + i);
        }
        synchronized (this.K0) {
            this.K0.delete(i);
        }
    }

    public final void h(int i) {
        this.I0.sendEmptyMessage(i);
    }

    public boolean handleMessage(Message message) {
        this.J0.d(message);
        if (f6674b) {
            d(this.J0);
        }
        synchronized (this.K0) {
            List<d> list = this.K0.get(message.what);
            if (list != null) {
                if (list.size() == 0) {
                    this.K0.remove(message.what);
                } else {
                    this.M0.addAll(list);
                    for (d dVar : this.M0) {
                        dVar.a(this.J0);
                    }
                    this.M0.clear();
                }
            }
        }
        synchronized (this.L0) {
            if (this.L0.size() > 0) {
                this.M0.addAll(this.L0);
                for (d dVar2 : this.M0) {
                    dVar2.a(this.J0);
                }
                this.M0.clear();
            }
        }
        this.J0.d(null);
        return true;
    }

    public final void i(int i, @NonNull Object obj) {
        Objects.requireNonNull(obj, "Argument 'obj' of type Object (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Handler handler = this.I0;
        handler.sendMessage(handler.obtainMessage(i, obj));
    }

    private e1() {
        this.I0 = new Handler(Looper.getMainLooper(), this);
        this.J0 = new c(null);
        this.K0 = new SparseArray<>();
        this.L0 = new ArrayList();
        this.M0 = new ArrayList();
    }
}
