package com.blankj.utilcode.util;

import android.app.Activity;
import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.os.Build;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.blankj.utilcode.util.g1;
import java.util.Locale;
import java.util.Objects;

/* compiled from: LanguageUtils */
public class g0 {

    /* renamed from: a  reason: collision with root package name */
    private static final String f6683a = "KEY_LOCALE";

    /* renamed from: b  reason: collision with root package name */
    private static final String f6684b = "VALUE_FOLLOW_SYSTEM";

    /* access modifiers changed from: package-private */
    /* compiled from: LanguageUtils */
    public static class a implements g1.b<Boolean> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ boolean f6685a;

        a(boolean z) {
            this.f6685a = z;
        }

        /* renamed from: a */
        public void accept(Boolean bool) {
            if (bool.booleanValue()) {
                g0.t(this.f6685a);
            } else {
                i1.Q0();
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: LanguageUtils */
    public static class b implements Runnable {
        final /* synthetic */ g1.b I0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Locale f6686a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f6687b;

        b(Locale locale, int i, g1.b bVar) {
            this.f6686a = locale;
            this.f6687b = i;
            this.I0 = bVar;
        }

        public void run() {
            g0.s(this.f6686a, this.f6687b + 1, this.I0);
        }
    }

    private g0() {
        throw new UnsupportedOperationException("u can't instantiate me...");
    }

    static void b(Activity activity) {
        Locale locale;
        String q = i1.d0().q(f6683a);
        if (!TextUtils.isEmpty(q)) {
            if (f6684b.equals(q)) {
                locale = l(Resources.getSystem().getConfiguration());
            } else {
                locale = v(q);
            }
            if (locale != null) {
                y(activity, locale);
                y(g1.a(), locale);
            }
        }
    }

    public static void c(@NonNull Locale locale) {
        Objects.requireNonNull(locale, "Argument 'locale' of type Locale (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        d(locale, false);
    }

    public static void d(@NonNull Locale locale, boolean z) {
        Objects.requireNonNull(locale, "Argument 'locale' of type Locale (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        e(locale, z);
    }

    private static void e(Locale locale, boolean z) {
        if (locale == null) {
            i1.d0().C(f6683a, f6684b, true);
        } else {
            i1.d0().C(f6683a, r(locale), true);
        }
        if (locale == null) {
            locale = l(Resources.getSystem().getConfiguration());
        }
        x(locale, new a(z));
    }

    public static void f() {
        g(false);
    }

    public static void g(boolean z) {
        e(null, z);
    }

    public static Context h(Context context) {
        Locale v;
        String q = i1.d0().q(f6683a);
        if (TextUtils.isEmpty(q) || f6684b.equals(q) || (v = v(q)) == null) {
            return context;
        }
        Resources resources = context.getResources();
        Configuration configuration = resources.getConfiguration();
        u(configuration, v);
        if (Build.VERSION.SDK_INT >= 17) {
            return context.createConfigurationContext(configuration);
        }
        resources.updateConfiguration(configuration, resources.getDisplayMetrics());
        return context;
    }

    public static Locale i() {
        return k(g1.a());
    }

    public static Locale j() {
        String q = i1.d0().q(f6683a);
        if (TextUtils.isEmpty(q) || f6684b.equals(q)) {
            return null;
        }
        return v(q);
    }

    public static Locale k(Context context) {
        return l(context.getResources().getConfiguration());
    }

    private static Locale l(Configuration configuration) {
        if (Build.VERSION.SDK_INT >= 24) {
            return configuration.getLocales().get(0);
        }
        return configuration.locale;
    }

    public static Locale m() {
        return l(Resources.getSystem().getConfiguration());
    }

    public static boolean n() {
        return j() != null;
    }

    public static boolean o(@NonNull Locale locale) {
        Objects.requireNonNull(locale, "Argument 'locale' of type Locale (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Locale j = j();
        if (j == null) {
            return false;
        }
        return q(locale, j);
    }

    private static boolean p(String str) {
        int i = 0;
        for (char c2 : str.toCharArray()) {
            if (c2 == '$') {
                if (i >= 1) {
                    return false;
                }
                i++;
            }
        }
        return i == 1;
    }

    private static boolean q(Locale locale, Locale locale2) {
        return i1.A(locale2.getLanguage(), locale.getLanguage()) && i1.A(locale2.getCountry(), locale.getCountry());
    }

    private static String r(Locale locale) {
        String language = locale.getLanguage();
        String country = locale.getCountry();
        return language + "$" + country;
    }

    static void s(Locale locale, int i, g1.b<Boolean> bVar) {
        Resources resources = g1.a().getResources();
        Configuration configuration = resources.getConfiguration();
        Locale l = l(configuration);
        u(configuration, locale);
        g1.a().getResources().updateConfiguration(configuration, resources.getDisplayMetrics());
        if (bVar != null) {
            if (q(l, locale)) {
                bVar.accept(Boolean.TRUE);
            } else if (i < 20) {
                i1.W0(new b(locale, i, bVar), 16);
            } else {
                Log.e("LanguageUtils", "appLocal didn't update.");
                bVar.accept(Boolean.FALSE);
            }
        }
    }

    /* access modifiers changed from: private */
    public static void t(boolean z) {
        if (z) {
            i1.Q0();
            return;
        }
        for (Activity activity : i1.J()) {
            activity.recreate();
        }
    }

    private static void u(Configuration configuration, Locale locale) {
        if (Build.VERSION.SDK_INT >= 17) {
            configuration.setLocale(locale);
        } else {
            configuration.locale = locale;
        }
    }

    private static Locale v(String str) {
        Locale w = w(str);
        if (w == null) {
            Log.e("LanguageUtils", "The string of " + str + " is not in the correct format.");
            i1.d0().H(f6683a);
        }
        return w;
    }

    private static Locale w(String str) {
        if (!p(str)) {
            return null;
        }
        try {
            int indexOf = str.indexOf("$");
            return new Locale(str.substring(0, indexOf), str.substring(indexOf + 1));
        } catch (Exception unused) {
            return null;
        }
    }

    public static void x(@NonNull Locale locale, @Nullable g1.b<Boolean> bVar) {
        Objects.requireNonNull(locale, "Argument 'destLocale' of type Locale (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        s(locale, 0, bVar);
    }

    private static void y(Context context, Locale locale) {
        Resources resources = context.getResources();
        Configuration configuration = resources.getConfiguration();
        u(configuration, locale);
        resources.updateConfiguration(configuration, resources.getDisplayMetrics());
    }
}
