package com.blankj.utilcode.util;

import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.os.Parcelable;
import android.util.Log;
import androidx.annotation.NonNull;
import java.io.File;
import java.io.FilenameFilter;
import java.io.Serializable;
import java.util.Collections;
import java.util.HashMap;
import java.util.Locale;
import java.util.Map;
import java.util.Objects;
import java.util.Set;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import org.json.JSONArray;
import org.json.JSONObject;

/* compiled from: CacheDiskUtils */
public final class h implements com.blankj.utilcode.constant.a {

    /* renamed from: e  reason: collision with root package name */
    private static final long f6689e = Long.MAX_VALUE;
    private static final int f = Integer.MAX_VALUE;
    private static final String g = "cdu_";
    private static final String h = "by_";
    private static final String i = "st_";
    private static final String j = "jo_";
    private static final String k = "ja_";
    private static final String l = "bi_";
    private static final String m = "dr_";
    private static final String n = "pa_";
    private static final String o = "se_";
    private static final Map<String, h> p = new HashMap();
    private final String q;
    private final File r;
    private final long s;
    private final int t;
    private c u;

    /* access modifiers changed from: private */
    /* compiled from: CacheDiskUtils */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        static final int f6690a = 14;

        private b() {
        }

        private static byte[] d(byte[] bArr, int i, int i2) {
            int i3 = i2 - i;
            if (i3 >= 0) {
                byte[] bArr2 = new byte[i3];
                System.arraycopy(bArr, i, bArr2, 0, Math.min(bArr.length - i, i3));
                return bArr2;
            }
            throw new IllegalArgumentException(i + " > " + i2);
        }

        private static String e(int i) {
            return String.format(Locale.getDefault(), "_$%010d$_", Long.valueOf((System.currentTimeMillis() / 1000) + ((long) i)));
        }

        /* access modifiers changed from: private */
        public static byte[] f(byte[] bArr) {
            return h(bArr) ? d(bArr, 14, bArr.length) : bArr;
        }

        private static long g(byte[] bArr) {
            if (h(bArr)) {
                try {
                    return Long.parseLong(new String(d(bArr, 2, 12))) * 1000;
                } catch (NumberFormatException unused) {
                }
            }
            return -1;
        }

        private static boolean h(byte[] bArr) {
            return bArr != null && bArr.length >= 14 && bArr[0] == 95 && bArr[1] == 36 && bArr[12] == 36 && bArr[13] == 95;
        }

        /* access modifiers changed from: private */
        public static boolean i(byte[] bArr) {
            long g = g(bArr);
            return g != -1 && System.currentTimeMillis() > g;
        }

        /* access modifiers changed from: private */
        public static byte[] j(int i, byte[] bArr) {
            byte[] bytes = e(i).getBytes();
            byte[] bArr2 = new byte[(bytes.length + bArr.length)];
            System.arraycopy(bytes, 0, bArr2, 0, bytes.length);
            System.arraycopy(bArr, 0, bArr2, bytes.length, bArr.length);
            return bArr2;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: CacheDiskUtils */
    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        private final AtomicLong f6691a;

        /* renamed from: b  reason: collision with root package name */
        private final AtomicInteger f6692b;

        /* renamed from: c  reason: collision with root package name */
        private final long f6693c;

        /* renamed from: d  reason: collision with root package name */
        private final int f6694d;

        /* renamed from: e  reason: collision with root package name */
        private final Map<File, Long> f6695e;
        private final File f;
        private final Thread g;

        /* compiled from: CacheDiskUtils */
        class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ File f6696a;

            /* renamed from: com.blankj.utilcode.util.h$c$a$a  reason: collision with other inner class name */
            /* compiled from: CacheDiskUtils */
            class C0155a implements FilenameFilter {
                C0155a() {
                }

                public boolean accept(File file, String str) {
                    return str.startsWith(h.g);
                }
            }

            a(File file) {
                this.f6696a = file;
            }

            public void run() {
                File[] listFiles = this.f6696a.listFiles(new C0155a());
                if (listFiles != null) {
                    int i = 0;
                    int i2 = 0;
                    for (File file : listFiles) {
                        i = (int) (((long) i) + file.length());
                        i2++;
                        c.this.f6695e.put(file, Long.valueOf(file.lastModified()));
                    }
                    c.this.f6691a.getAndAdd((long) i);
                    c.this.f6692b.getAndAdd(i2);
                }
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: CacheDiskUtils */
        public class b implements FilenameFilter {
            b() {
            }

            public boolean accept(File file, String str) {
                return str.startsWith(h.g);
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean l() {
            File[] listFiles = this.f.listFiles(new b());
            boolean z = true;
            if (listFiles != null && listFiles.length > 0) {
                for (File file : listFiles) {
                    if (!file.delete()) {
                        z = false;
                    } else {
                        this.f6691a.addAndGet(-file.length());
                        this.f6692b.addAndGet(-1);
                        this.f6695e.remove(file);
                    }
                }
                if (z) {
                    this.f6695e.clear();
                    this.f6691a.set(0);
                    this.f6692b.set(0);
                }
            }
            return z;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private int m() {
            v();
            return this.f6692b.get();
        }

        private String n(String str) {
            return h.g + str.substring(0, 3) + str.substring(3).hashCode();
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private long o() {
            v();
            return this.f6691a.get();
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private File p(String str) {
            v();
            File file = new File(this.f, n(str));
            if (file.exists()) {
                this.f6692b.addAndGet(-1);
                this.f6691a.addAndGet(-file.length());
            }
            return file;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private File q(String str) {
            File file = new File(this.f, n(str));
            if (!file.exists()) {
                return null;
            }
            return file;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void r(File file) {
            this.f6692b.addAndGet(1);
            this.f6691a.addAndGet(file.length());
            while (true) {
                if (this.f6692b.get() > this.f6694d || this.f6691a.get() > this.f6693c) {
                    this.f6691a.addAndGet(-t());
                    this.f6692b.addAndGet(-1);
                } else {
                    return;
                }
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean s(String str) {
            File q = q(str);
            if (q == null) {
                return true;
            }
            if (!q.delete()) {
                return false;
            }
            this.f6691a.addAndGet(-q.length());
            this.f6692b.addAndGet(-1);
            this.f6695e.remove(q);
            return true;
        }

        private long t() {
            if (this.f6695e.isEmpty()) {
                return 0;
            }
            Long l = Long.MAX_VALUE;
            File file = null;
            Set<Map.Entry<File, Long>> entrySet = this.f6695e.entrySet();
            synchronized (this.f6695e) {
                for (Map.Entry<File, Long> entry : entrySet) {
                    Long value = entry.getValue();
                    if (value.longValue() < l.longValue()) {
                        file = entry.getKey();
                        l = value;
                    }
                }
            }
            if (file == null) {
                return 0;
            }
            long length = file.length();
            if (!file.delete()) {
                return 0;
            }
            this.f6695e.remove(file);
            return length;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void u(File file) {
            Long valueOf = Long.valueOf(System.currentTimeMillis());
            file.setLastModified(valueOf.longValue());
            this.f6695e.put(file, valueOf);
        }

        private void v() {
            try {
                this.g.join();
            } catch (InterruptedException e2) {
                e2.printStackTrace();
            }
        }

        private c(File file, long j, int i) {
            this.f6695e = Collections.synchronizedMap(new HashMap());
            this.f = file;
            this.f6693c = j;
            this.f6694d = i;
            this.f6691a = new AtomicLong();
            this.f6692b = new AtomicInteger();
            Thread thread = new Thread(new a(file));
            this.g = thread;
            thread.start();
        }
    }

    private h(String str, File file, long j2, int i2) {
        this.q = str;
        this.r = file;
        this.s = j2;
        this.t = i2;
    }

    private byte[] Q(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return R(str, null);
    }

    private byte[] R(@NonNull String str, byte[] bArr) {
        File q2;
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        c h2 = h();
        if (h2 == null || (q2 = h2.q(str)) == null) {
            return bArr;
        }
        byte[] P0 = i1.P0(q2);
        if (b.i(P0)) {
            h2.s(str);
            return bArr;
        }
        h2.u(q2);
        return b.f(P0);
    }

    private void S(String str, byte[] bArr, int i2) {
        c h2;
        if (bArr != null && (h2 = h()) != null) {
            if (i2 >= 0) {
                bArr = b.j(i2, bArr);
            }
            File p2 = h2.p(str);
            i1.h1(p2, bArr);
            h2.u(p2);
            h2.r(p2);
        }
    }

    private c h() {
        if (this.r.exists()) {
            if (this.u == null) {
                this.u = new c(this.r, this.s, this.t);
            }
        } else if (this.r.mkdirs()) {
            this.u = new c(this.r, this.s, this.t);
        } else {
            Log.e("CacheDiskUtils", "can't make dirs in " + this.r.getAbsolutePath());
        }
        return this.u;
    }

    public static h k() {
        return p("", Long.MAX_VALUE, Integer.MAX_VALUE);
    }

    public static h l(long j2, int i2) {
        return p("", j2, i2);
    }

    public static h m(@NonNull File file) {
        Objects.requireNonNull(file, "Argument 'cacheDir' of type File (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return n(file, Long.MAX_VALUE, Integer.MAX_VALUE);
    }

    public static h n(@NonNull File file, long j2, int i2) {
        Objects.requireNonNull(file, "Argument 'cacheDir' of type File (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        String str = file.getAbsoluteFile() + com.ibm.icu.impl.locale.b.f14006b + j2 + com.ibm.icu.impl.locale.b.f14006b + i2;
        Map<String, h> map = p;
        h hVar = map.get(str);
        if (hVar == null) {
            synchronized (h.class) {
                hVar = map.get(str);
                if (hVar == null) {
                    h hVar2 = new h(str, file, j2, i2);
                    map.put(str, hVar2);
                    hVar = hVar2;
                }
            }
        }
        return hVar;
    }

    public static h o(String str) {
        return p(str, Long.MAX_VALUE, Integer.MAX_VALUE);
    }

    public static h p(String str, long j2, int i2) {
        if (i1.D0(str)) {
            str = "cacheUtils";
        }
        return n(new File(g1.a().getCacheDir(), str), j2, i2);
    }

    public void A(@NonNull String str, Bitmap bitmap) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        B(str, bitmap, -1);
    }

    public void B(@NonNull String str, Bitmap bitmap, int i2) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        S(l + str, i1.f(bitmap), i2);
    }

    public void C(@NonNull String str, Drawable drawable) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        D(str, drawable, -1);
    }

    public void D(@NonNull String str, Drawable drawable, int i2) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        S(m + str, i1.y(drawable), i2);
    }

    public void E(@NonNull String str, Parcelable parcelable) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        F(str, parcelable, -1);
    }

    public void F(@NonNull String str, Parcelable parcelable, int i2) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        S(n + str, i1.K0(parcelable), i2);
    }

    public void G(@NonNull String str, Serializable serializable) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        H(str, serializable, -1);
    }

    public void H(@NonNull String str, Serializable serializable, int i2) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        S(o + str, i1.X0(serializable), i2);
    }

    public void I(@NonNull String str, String str2) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        J(str, str2, -1);
    }

    public void J(@NonNull String str, String str2, int i2) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        S(i + str, i1.a1(str2), i2);
    }

    public void K(@NonNull String str, JSONArray jSONArray) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        L(str, jSONArray, -1);
    }

    public void L(@NonNull String str, JSONArray jSONArray, int i2) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        S(k + str, i1.F0(jSONArray), i2);
    }

    public void M(@NonNull String str, JSONObject jSONObject) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        N(str, jSONObject, -1);
    }

    public void N(@NonNull String str, JSONObject jSONObject, int i2) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        S(j + str, i1.G0(jSONObject), i2);
    }

    public void O(@NonNull String str, byte[] bArr) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        P(str, bArr, -1);
    }

    public void P(@NonNull String str, byte[] bArr, int i2) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        S(h + str, bArr, i2);
    }

    public boolean T(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        c h2 = h();
        if (h2 == null) {
            return true;
        }
        if (h2.s(h + str)) {
            if (h2.s(i + str)) {
                if (h2.s(j + str)) {
                    if (h2.s(k + str)) {
                        if (h2.s(l + str)) {
                            if (h2.s(m + str)) {
                                if (h2.s(n + str)) {
                                    if (h2.s(o + str)) {
                                        return true;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
        return false;
    }

    public boolean a() {
        c h2 = h();
        if (h2 == null) {
            return true;
        }
        return h2.l();
    }

    public Bitmap b(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return c(str, null);
    }

    public Bitmap c(@NonNull String str, Bitmap bitmap) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        byte[] Q = Q(l + str);
        if (Q == null) {
            return bitmap;
        }
        return i1.j(Q);
    }

    public byte[] d(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return e(str, null);
    }

    public byte[] e(@NonNull String str, byte[] bArr) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return R(h + str, bArr);
    }

    public int f() {
        c h2 = h();
        if (h2 == null) {
            return 0;
        }
        return h2.m();
    }

    public long g() {
        c h2 = h();
        if (h2 == null) {
            return 0;
        }
        return h2.o();
    }

    public Drawable i(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return j(str, null);
    }

    public Drawable j(@NonNull String str, Drawable drawable) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        byte[] Q = Q(m + str);
        if (Q == null) {
            return drawable;
        }
        return i1.k(Q);
    }

    public JSONArray q(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return r(str, null);
    }

    public JSONArray r(@NonNull String str, JSONArray jSONArray) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        byte[] Q = Q(k + str);
        if (Q == null) {
            return jSONArray;
        }
        return i1.m(Q);
    }

    public JSONObject s(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return t(str, null);
    }

    public JSONObject t(@NonNull String str, JSONObject jSONObject) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        byte[] Q = Q(j + str);
        if (Q == null) {
            return jSONObject;
        }
        return i1.n(Q);
    }

    public String toString() {
        return this.q + "@" + Integer.toHexString(hashCode());
    }

    public <T> T u(@NonNull String str, @NonNull Parcelable.Creator<T> creator) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(creator, "Argument 'creator' of type Parcelable.Creator<T> (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return (T) v(str, creator, null);
    }

    public <T> T v(@NonNull String str, @NonNull Parcelable.Creator<T> creator, T t2) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(creator, "Argument 'creator' of type Parcelable.Creator<T> (#1 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        byte[] Q = Q(n + str);
        return Q == null ? t2 : (T) i1.p(Q, creator);
    }

    public Object w(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return x(str, null);
    }

    public Object x(@NonNull String str, Object obj) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        byte[] Q = Q(o + str);
        if (Q == null) {
            return obj;
        }
        return i1.o(Q);
    }

    public String y(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return z(str, null);
    }

    public String z(@NonNull String str, String str2) {
        Objects.requireNonNull(str, "Argument 'key' of type String (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        byte[] Q = Q(i + str);
        if (Q == null) {
            return str2;
        }
        return i1.q(Q);
    }
}
