package com.blankj.utilcode.util;

import android.animation.ValueAnimator;
import android.app.Activity;
import android.app.Application;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import android.view.Window;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.lifecycle.Lifecycle;
import com.blankj.utilcode.util.g1;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CopyOnWriteArrayList;

/* access modifiers changed from: package-private */
/* compiled from: UtilsActivityLifecycleImpl */
public final class h1 implements Application.ActivityLifecycleCallbacks {

    /* renamed from: a  reason: collision with root package name */
    static final h1 f6702a = new h1();

    /* renamed from: b  reason: collision with root package name */
    private static final Activity f6703b = new Activity();
    private final LinkedList<Activity> I0 = new LinkedList<>();
    private final List<g1.d> J0 = new CopyOnWriteArrayList();
    private final Map<Activity, List<g1.a>> K0 = new ConcurrentHashMap();
    private int L0 = 0;
    private int M0 = 0;
    private boolean N0 = false;

    /* access modifiers changed from: package-private */
    /* compiled from: UtilsActivityLifecycleImpl */
    public class a implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Activity f6704a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ g1.a f6705b;

        a(Activity activity, g1.a aVar) {
            this.f6704a = activity;
            this.f6705b = aVar;
        }

        public void run() {
            h1.this.f(this.f6704a, this.f6705b);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: UtilsActivityLifecycleImpl */
    public class b implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Activity f6706a;

        b(Activity activity) {
            this.f6706a = activity;
        }

        public void run() {
            h1.this.K0.remove(this.f6706a);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: UtilsActivityLifecycleImpl */
    public class c implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Activity f6708a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ g1.a f6709b;

        c(Activity activity, g1.a aVar) {
            this.f6708a = activity;
            this.f6709b = aVar;
        }

        public void run() {
            h1.this.L(this.f6708a, this.f6709b);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: UtilsActivityLifecycleImpl */
    public class d implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Activity f6710a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Object f6711b;

        d(Activity activity, Object obj) {
            this.f6710a = activity;
            this.f6711b = obj;
        }

        public void run() {
            try {
                Window window = this.f6710a.getWindow();
                if (window != null) {
                    window.setSoftInputMode(((Integer) this.f6711b).intValue());
                }
            } catch (Exception unused) {
            }
        }
    }

    h1() {
    }

    private void G(Activity activity, boolean z) {
        if (!this.J0.isEmpty()) {
            for (g1.d dVar : this.J0) {
                if (z) {
                    dVar.a(activity);
                } else {
                    dVar.b(activity);
                }
            }
        }
    }

    private void H(Activity activity, boolean z) {
        if (z) {
            try {
                Window window = activity.getWindow();
                window.getDecorView().setTag(-123, Integer.valueOf(window.getAttributes().softInputMode));
                window.setSoftInputMode(3);
            } catch (Exception unused) {
            }
        } else {
            Object tag = activity.getWindow().getDecorView().getTag(-123);
            if (tag instanceof Integer) {
                i1.W0(new d(activity, tag), 100);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void L(Activity activity, g1.a aVar) {
        List<g1.a> list = this.K0.get(activity);
        if (list != null && !list.isEmpty()) {
            list.remove(aVar);
        }
    }

    private static void N() {
        if (Build.VERSION.SDK_INT < 26 || !ValueAnimator.areAnimatorsEnabled()) {
            try {
                Field declaredField = ValueAnimator.class.getDeclaredField("sDurationScale");
                declaredField.setAccessible(true);
                if (((Float) declaredField.get(null)).floatValue() == 0.0f) {
                    declaredField.set(null, Float.valueOf(1.0f));
                    Log.i("UtilsActivityLifecycle", "setAnimatorsEnabled: Animators are enabled now!");
                }
            } catch (NoSuchFieldException e2) {
                e2.printStackTrace();
            } catch (IllegalAccessException e3) {
                e3.printStackTrace();
            }
        }
    }

    private void O(Activity activity) {
        if (!this.I0.contains(activity)) {
            this.I0.addFirst(activity);
        } else if (!this.I0.getFirst().equals(activity)) {
            this.I0.remove(activity);
            this.I0.addFirst(activity);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void f(Activity activity, g1.a aVar) {
        List<g1.a> list = this.K0.get(activity);
        if (list == null) {
            list = new CopyOnWriteArrayList<>();
            this.K0.put(activity, list);
        } else if (list.contains(aVar)) {
            return;
        }
        list.add(aVar);
    }

    private void h(Activity activity, Lifecycle.Event event) {
        i(activity, event, this.K0.get(activity));
        i(activity, event, this.K0.get(f6703b));
    }

    private void i(Activity activity, Lifecycle.Event event, List<g1.a> list) {
        if (list != null) {
            for (g1.a aVar : list) {
                aVar.g(activity, event);
                if (event.equals(Lifecycle.Event.ON_CREATE)) {
                    aVar.a(activity);
                } else if (event.equals(Lifecycle.Event.ON_START)) {
                    aVar.e(activity);
                } else if (event.equals(Lifecycle.Event.ON_RESUME)) {
                    aVar.d(activity);
                } else if (event.equals(Lifecycle.Event.ON_PAUSE)) {
                    aVar.c(activity);
                } else if (event.equals(Lifecycle.Event.ON_STOP)) {
                    aVar.f(activity);
                } else if (event.equals(Lifecycle.Event.ON_DESTROY)) {
                    aVar.b(activity);
                }
            }
            if (event.equals(Lifecycle.Event.ON_DESTROY)) {
                this.K0.remove(activity);
            }
        }
    }

    private List<Activity> j() {
        LinkedList linkedList = new LinkedList();
        Activity activity = null;
        try {
            Object l = l();
            Field declaredField = l.getClass().getDeclaredField("mActivities");
            declaredField.setAccessible(true);
            Object obj = declaredField.get(l);
            if (!(obj instanceof Map)) {
                return linkedList;
            }
            for (Object obj2 : ((Map) obj).values()) {
                Class<?> cls = obj2.getClass();
                Field declaredField2 = cls.getDeclaredField("activity");
                declaredField2.setAccessible(true);
                Activity activity2 = (Activity) declaredField2.get(obj2);
                if (activity == null) {
                    Field declaredField3 = cls.getDeclaredField("paused");
                    declaredField3.setAccessible(true);
                    if (!declaredField3.getBoolean(obj2)) {
                        activity = activity2;
                    } else {
                        linkedList.add(activity2);
                    }
                } else {
                    linkedList.add(activity2);
                }
            }
            if (activity != null) {
                linkedList.addFirst(activity);
            }
            return linkedList;
        } catch (Exception e2) {
            Log.e("UtilsActivityLifecycle", "getActivitiesByReflect: " + e2.getMessage());
        }
    }

    private Object l() {
        Object m = m();
        if (m != null) {
            return m;
        }
        return n();
    }

    private Object m() {
        try {
            Field declaredField = Class.forName("android.app.ActivityThread").getDeclaredField("sCurrentActivityThread");
            declaredField.setAccessible(true);
            return declaredField.get(null);
        } catch (Exception e2) {
            Log.e("UtilsActivityLifecycle", "getActivityThreadInActivityThreadStaticField: " + e2.getMessage());
            return null;
        }
    }

    private Object n() {
        try {
            return Class.forName("android.app.ActivityThread").getMethod("currentActivityThread", new Class[0]).invoke(null, new Object[0]);
        } catch (Exception e2) {
            Log.e("UtilsActivityLifecycle", "getActivityThreadInActivityThreadStaticMethod: " + e2.getMessage());
            return null;
        }
    }

    public void A(@NonNull Activity activity) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
    }

    public void B(@NonNull Activity activity) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
    }

    public void C(@NonNull Activity activity) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
    }

    public void D(@NonNull Activity activity, @NonNull Bundle bundle) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(bundle, "Argument 'outState' of type Bundle (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
    }

    public void E(@NonNull Activity activity) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
    }

    public void F(@NonNull Activity activity) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
    }

    /* access modifiers changed from: package-private */
    public void I(Activity activity) {
        if (activity != null) {
            i1.V0(new b(activity));
        }
    }

    /* access modifiers changed from: package-private */
    public void J(Activity activity, g1.a aVar) {
        if (activity != null && aVar != null) {
            i1.V0(new c(activity, aVar));
        }
    }

    /* access modifiers changed from: package-private */
    public void K(g1.a aVar) {
        J(f6703b, aVar);
    }

    /* access modifiers changed from: package-private */
    public void M(g1.d dVar) {
        this.J0.remove(dVar);
    }

    /* access modifiers changed from: package-private */
    public void P(Application application) {
        this.I0.clear();
        application.unregisterActivityLifecycleCallbacks(this);
    }

    /* access modifiers changed from: package-private */
    public void d(Activity activity, g1.a aVar) {
        if (activity != null && aVar != null) {
            i1.V0(new a(activity, aVar));
        }
    }

    /* access modifiers changed from: package-private */
    public void e(g1.a aVar) {
        d(f6703b, aVar);
    }

    /* access modifiers changed from: package-private */
    public void g(g1.d dVar) {
        this.J0.add(dVar);
    }

    /* access modifiers changed from: package-private */
    public List<Activity> k() {
        if (!this.I0.isEmpty()) {
            return new LinkedList(this.I0);
        }
        this.I0.addAll(j());
        return new LinkedList(this.I0);
    }

    /* access modifiers changed from: package-private */
    public Application o() {
        try {
            Class<?> cls = Class.forName("android.app.ActivityThread");
            Object invoke = cls.getMethod("getApplication", new Class[0]).invoke(l(), new Object[0]);
            if (invoke == null) {
                return null;
            }
            return (Application) invoke;
        } catch (InvocationTargetException e2) {
            e2.printStackTrace();
            return null;
        } catch (NoSuchMethodException e3) {
            e3.printStackTrace();
            return null;
        } catch (IllegalAccessException e4) {
            e4.printStackTrace();
            return null;
        } catch (ClassNotFoundException e5) {
            e5.printStackTrace();
            return null;
        }
    }

    public void onActivityCreated(@NonNull Activity activity, Bundle bundle) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        if (this.I0.size() == 0) {
            G(activity, true);
        }
        g0.b(activity);
        N();
        O(activity);
        h(activity, Lifecycle.Event.ON_CREATE);
    }

    public void onActivityDestroyed(@NonNull Activity activity) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        this.I0.remove(activity);
        i1.E(activity);
        h(activity, Lifecycle.Event.ON_DESTROY);
    }

    public void onActivityPaused(@NonNull Activity activity) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        h(activity, Lifecycle.Event.ON_PAUSE);
    }

    public void onActivityResumed(@NonNull Activity activity) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        O(activity);
        if (this.N0) {
            this.N0 = false;
            G(activity, true);
        }
        H(activity, false);
        h(activity, Lifecycle.Event.ON_RESUME);
    }

    public void onActivitySaveInstanceState(@NonNull Activity activity, @NonNull Bundle bundle) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(bundle, "Argument 'outState' of type Bundle (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
    }

    public void onActivityStarted(@NonNull Activity activity) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        if (!this.N0) {
            O(activity);
        }
        int i = this.M0;
        if (i < 0) {
            this.M0 = i + 1;
        } else {
            this.L0++;
        }
        h(activity, Lifecycle.Event.ON_START);
    }

    public void onActivityStopped(Activity activity) {
        if (activity.isChangingConfigurations()) {
            this.M0--;
        } else {
            int i = this.L0 - 1;
            this.L0 = i;
            if (i <= 0) {
                this.N0 = true;
                G(activity, false);
            }
        }
        H(activity, true);
        h(activity, Lifecycle.Event.ON_STOP);
    }

    /* access modifiers changed from: package-private */
    public Activity p() {
        for (Activity activity : k()) {
            if (i1.p0(activity)) {
                return activity;
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public void q(Application application) {
        application.registerActivityLifecycleCallbacks(this);
    }

    /* access modifiers changed from: package-private */
    public boolean r() {
        return !this.N0;
    }

    public void s(@NonNull Activity activity, @Nullable Bundle bundle) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
    }

    public void t(@NonNull Activity activity) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
    }

    public void u(@NonNull Activity activity) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
    }

    public void v(@NonNull Activity activity) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
    }

    public void w(@NonNull Activity activity, @NonNull Bundle bundle) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(bundle, "Argument 'outState' of type Bundle (#1 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
    }

    public void x(@NonNull Activity activity) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
    }

    public void y(@NonNull Activity activity) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
    }

    public void z(@NonNull Activity activity, @Nullable Bundle bundle) {
        Objects.requireNonNull(activity, "Argument 'activity' of type Activity (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
    }
}
