package com.blankj.utilcode.util;

import android.app.Activity;
import android.app.Application;
import android.app.Notification;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.os.Parcelable;
import android.text.TextUtils;
import android.view.View;
import androidx.annotation.LayoutRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RequiresPermission;
import androidx.annotation.StringRes;
import androidx.core.app.NotificationCompat;
import com.blankj.utilcode.util.NotificationUtils;
import com.blankj.utilcode.util.g1;
import com.blankj.utilcode.util.y0;
import com.google.gson.e;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.InputStream;
import java.io.Serializable;
import java.lang.reflect.Type;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import org.json.JSONArray;
import org.json.JSONObject;

/* access modifiers changed from: package-private */
/* compiled from: UtilsBridge */
public class i1 {

    /* access modifiers changed from: package-private */
    /* compiled from: UtilsBridge */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private String f6713a;

        /* renamed from: b  reason: collision with root package name */
        private LinkedHashMap<String, String> f6714b = new LinkedHashMap<>();

        /* renamed from: c  reason: collision with root package name */
        private LinkedHashMap<String, String> f6715c = new LinkedHashMap<>();

        a(String str) {
            this.f6713a = str;
        }

        private void d(Map<String, String> map, String str, String str2) {
            if (!TextUtils.isEmpty(str) && !TextUtils.isEmpty(str2)) {
                int length = 19 - str.length();
                if (length > 0) {
                    str = str + "                   ".substring(0, length);
                }
                map.put(str, str2);
            }
        }

        private void e(Map<String, String> map, Map<String, String> map2) {
            if (!(map2 == null || map2.isEmpty())) {
                for (Map.Entry<String, String> entry : map2.entrySet()) {
                    d(map, entry.getKey(), entry.getValue());
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void a(String str, String str2) {
            d(this.f6714b, str, str2);
        }

        /* access modifiers changed from: package-private */
        public void b(String str, String str2) {
            d(this.f6715c, str, str2);
        }

        /* access modifiers changed from: package-private */
        public void c(Map<String, String> map) {
            e(this.f6715c, map);
        }

        public String f() {
            StringBuilder sb = new StringBuilder();
            for (Map.Entry<String, String> entry : this.f6715c.entrySet()) {
                sb.append(entry.getKey());
                sb.append(": ");
                sb.append(entry.getValue());
                sb.append("\n");
            }
            return sb.toString();
        }

        public String toString() {
            StringBuilder sb = new StringBuilder();
            String str = "************* " + this.f6713a + " Head ****************\n";
            sb.append(str);
            for (Map.Entry<String, String> entry : this.f6714b.entrySet()) {
                sb.append(entry.getKey());
                sb.append(": ");
                sb.append(entry.getValue());
                sb.append("\n");
            }
            sb.append("Rom Info           : ");
            sb.append(r0.c());
            sb.append("\n");
            sb.append("Device Manufacturer: ");
            sb.append(Build.MANUFACTURER);
            sb.append("\n");
            sb.append("Device Model       : ");
            sb.append(Build.MODEL);
            sb.append("\n");
            sb.append("Android Version    : ");
            sb.append(Build.VERSION.RELEASE);
            sb.append("\n");
            sb.append("Android SDK        : ");
            sb.append(Build.VERSION.SDK_INT);
            sb.append("\n");
            sb.append("App VersionName    : ");
            sb.append(c.C());
            sb.append("\n");
            sb.append("App VersionCode    : ");
            sb.append(c.A());
            sb.append("\n");
            sb.append(f());
            sb.append(str);
            sb.append("\n");
            return sb.toString();
        }
    }

    i1() {
    }

    static boolean A(CharSequence charSequence, CharSequence charSequence2) {
        return a1.a(charSequence, charSequence2);
    }

    static boolean A0() {
        return s0.h();
    }

    static y0.b B(String str, boolean z) {
        return y0.c(str, z);
    }

    static boolean B0() {
        return r0.x();
    }

    static Uri C(File file) {
        return f1.b(file);
    }

    static boolean C0(String str) {
        return w0.f(str);
    }

    static void D() {
        a.i();
    }

    static boolean D0(String str) {
        return a1.h(str);
    }

    static void E(Activity activity) {
        KeyboardUtils.f(activity);
    }

    static boolean E0(@NonNull View view, long j) {
        Objects.requireNonNull(view, "Argument 'view' of type View (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return v.c(view, j);
    }

    static String F(@Nullable String str, Object... objArr) {
        return a1.c(str, objArr);
    }

    static byte[] F0(JSONArray jSONArray) {
        return t.K(jSONArray);
    }

    static String G(String str) {
        return f0.a(str);
    }

    static byte[] G0(JSONObject jSONObject) {
        return t.L(jSONObject);
    }

    static <T> T H(String str, Type type) {
        return (T) d0.i(str, type);
    }

    static View H0(@LayoutRes int i) {
        return k1.c(i);
    }

    static Activity I(Context context) {
        return a.x(context);
    }

    static String I0(long j, int i) {
        return d1.O0(j, i);
    }

    static List<Activity> J() {
        return h1.f6702a.k();
    }

    static void J0(File file) {
        a0.J0(file);
    }

    static int K() {
        return v0.d();
    }

    static byte[] K0(Parcelable parcelable) {
        return t.S(parcelable);
    }

    static Application L() {
        return h1.f6702a.o();
    }

    static void L0() {
        M0(b.k());
    }

    @RequiresPermission("android.permission.CALL_PHONE")
    static Intent M(String str) {
        return e0.a(str);
    }

    private static void M0(Runnable... runnableArr) {
        for (Runnable runnable : runnableArr) {
            b1.d0().execute(runnable);
        }
    }

    static String N() {
        return o0.b();
    }

    static int N0(float f) {
        return z0.g(f);
    }

    static Intent O(String str) {
        return e0.h(str);
    }

    static int O0(float f) {
        return z0.h(f);
    }

    static File P(String str) {
        return a0.C(str);
    }

    static byte[] P0(File file) {
        return z.a(file);
    }

    static String Q() {
        return o0.f();
    }

    static void Q0() {
        c.Y();
    }

    static long R(String str) {
        return a0.W(str);
    }

    static void R0(Activity activity) {
        h1.f6702a.I(activity);
    }

    static long S(String str) {
        return a0.X(str);
    }

    static void S0(Activity activity, g1.a aVar) {
        h1.f6702a.J(activity, aVar);
    }

    static String T(Throwable th) {
        return c1.a(th);
    }

    static void T0(g1.a aVar) {
        h1.f6702a.K(aVar);
    }

    static e U() {
        return d0.m();
    }

    static void U0(g1.d dVar) {
        h1.f6702a.M(dVar);
    }

    static Intent V(Uri uri) {
        return e0.i(uri);
    }

    static void V0(Runnable runnable) {
        b1.s0(runnable);
    }

    static Intent W(File file) {
        return e0.j(file);
    }

    static void W0(Runnable runnable, long j) {
        b1.t0(runnable, j);
    }

    static Intent X(String str, boolean z) {
        return e0.n(str, z);
    }

    static byte[] X0(Serializable serializable) {
        return t.V(serializable);
    }

    static Intent Y(String str) {
        return e0.o(str);
    }

    static int Y0(float f) {
        return z0.i(f);
    }

    static String Z(String str) {
        return a.I(str);
    }

    static void Z0() {
        a.C1();
    }

    static void a(Activity activity, g1.a aVar) {
        h1.f6702a.d(activity, aVar);
    }

    static int a0() {
        return e.i();
    }

    static byte[] a1(String str) {
        return t.X(str);
    }

    static void b(g1.a aVar) {
        h1.f6702a.e(aVar);
    }

    static Notification b0(NotificationUtils.a aVar, g1.b<NotificationCompat.e> bVar) {
        return NotificationUtils.e(aVar, bVar);
    }

    static String b1(Object obj) {
        return d0.v(obj);
    }

    static void c(g1.d dVar) {
        h1.f6702a.g(dVar);
    }

    static Intent c0(String str, String str2) {
        return e0.p(str, str2);
    }

    static void c1() {
        ToastUtils.l();
    }

    static byte[] d(byte[] bArr) {
        return x.b(bArr);
    }

    static u0 d0() {
        return u0.k("Utils");
    }

    static void d1(CharSequence charSequence) {
        ToastUtils.V(charSequence);
    }

    static byte[] e(byte[] bArr) {
        return x.d(bArr);
    }

    static int e0() {
        return e.k();
    }

    static void e1(Application application) {
        h1.f6702a.P(application);
    }

    static byte[] f(Bitmap bitmap) {
        return ImageUtils.o(bitmap);
    }

    static String f0(@StringRes int i) {
        return a1.d(i);
    }

    static File f1(Uri uri) {
        return f1.g(uri);
    }

    static byte[] g(Bitmap bitmap, Bitmap.CompressFormat compressFormat, int i) {
        return ImageUtils.p(bitmap, compressFormat, i);
    }

    static String g0(@StringRes int i, Object... objArr) {
        return a1.e(i, objArr);
    }

    static Bitmap g1(View view) {
        return ImageUtils.i1(view);
    }

    static Drawable h(Bitmap bitmap) {
        return ImageUtils.q(bitmap);
    }

    static Activity h0() {
        return h1.f6702a.p();
    }

    static boolean h1(File file, byte[] bArr) {
        return z.v(file, bArr, true);
    }

    static String i(long j) {
        return t.e(j);
    }

    static Intent i0(String str) {
        return e0.E(str);
    }

    static boolean i1(String str, InputStream inputStream) {
        return z.P(str, inputStream);
    }

    static Bitmap j(byte[] bArr) {
        return ImageUtils.r(bArr);
    }

    static byte[] j0(byte[] bArr, String str) {
        return y.r0(bArr, str);
    }

    static boolean j1(String str, String str2, boolean z) {
        return z.W(str, str2, z);
    }

    static Drawable k(byte[] bArr) {
        return ImageUtils.s(bArr);
    }

    static byte[] k0(String str) {
        return t.C(str);
    }

    static String l(byte[] bArr) {
        return t.l(bArr);
    }

    static void l0(Application application) {
        h1.f6702a.q(application);
    }

    static JSONArray m(byte[] bArr) {
        return t.o(bArr);
    }

    static ByteArrayOutputStream m0(InputStream inputStream) {
        return t.E(inputStream);
    }

    static JSONObject n(byte[] bArr) {
        return t.p(bArr);
    }

    static byte[] n0(InputStream inputStream) {
        return t.F(inputStream);
    }

    static Object o(byte[] bArr) {
        return t.q(bArr);
    }

    static List<String> o0(InputStream inputStream, String str) {
        return t.H(inputStream, str);
    }

    static <T> T p(byte[] bArr, Parcelable.Creator<T> creator) {
        return (T) t.s(bArr, creator);
    }

    static boolean p0(Activity activity) {
        return a.R(activity);
    }

    static String q(byte[] bArr) {
        return t.t(bArr);
    }

    static boolean q0() {
        return c.J();
    }

    static boolean r(File file) {
        return a0.i(file);
    }

    static boolean r0() {
        return h1.f6702a.r();
    }

    static boolean s(File file) {
        return a0.k(file);
    }

    static boolean s0(String str) {
        return c.N(str);
    }

    static boolean t(File file) {
        return a0.m(file);
    }

    static boolean t0(@NonNull String str) {
        Objects.requireNonNull(str, "Argument 'pkgName' of type String (#0 out of 1, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        return c.P(str);
    }

    static boolean u(File file) {
        return a0.q(file);
    }

    static boolean u0(File file) {
        return a0.g0(file);
    }

    static <T> g1.f<T> v(g1.f<T> fVar) {
        b1.d0().execute(fVar);
        return fVar;
    }

    static boolean v0(String... strArr) {
        return m0.z(strArr);
    }

    static int w(float f) {
        return z0.b(f);
    }

    @RequiresApi(api = 23)
    static boolean w0() {
        return m0.A();
    }

    static Bitmap x(Drawable drawable) {
        return ImageUtils.K(drawable);
    }

    static boolean x0(Intent intent) {
        return e0.F(intent);
    }

    static byte[] y(Drawable drawable) {
        return ImageUtils.L(drawable);
    }

    static boolean y0() {
        return k1.b();
    }

    static byte[] z(Drawable drawable, Bitmap.CompressFormat compressFormat, int i) {
        return ImageUtils.M(drawable, compressFormat, i);
    }

    static boolean z0() {
        return o0.g();
    }
}
