package com.blankj.utilcode.util;

import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.ColorMatrix;
import android.graphics.ColorMatrixColorFilter;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.StateListDrawable;
import android.os.Build;
import android.os.SystemClock;
import android.util.Log;
import android.util.StateSet;
import android.view.MotionEvent;
import android.view.TouchDelegate;
import android.view.View;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.core.view.ViewCompat;
import com.blankj.utilcode.util.x0;
import java.util.Objects;

/* compiled from: ClickUtils */
public class n {

    /* renamed from: a  reason: collision with root package name */
    private static final int f6740a = -1;

    /* renamed from: b  reason: collision with root package name */
    private static final float f6741b = -0.06f;

    /* renamed from: c  reason: collision with root package name */
    private static final int f6742c = -2;

    /* renamed from: d  reason: collision with root package name */
    private static final int f6743d = -3;

    /* renamed from: e  reason: collision with root package name */
    private static final float f6744e = 0.8f;
    private static final int f = 4;
    private static final float g = 0.9f;
    private static final int h = 5;
    private static final float i = 0.9f;
    private static final long j = 1000;
    private static final long k = 2000;
    private static long l;
    private static int m;

    /* access modifiers changed from: package-private */
    /* compiled from: ClickUtils */
    public static class a extends e {
        final /* synthetic */ View.OnClickListener K0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        a(boolean z, long j, View.OnClickListener onClickListener) {
            super(z, j);
            this.K0 = onClickListener;
        }

        @Override // com.blankj.utilcode.util.n.e
        public void c(View view) {
            this.K0.onClick(view);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ClickUtils */
    public static class b implements Runnable {
        final /* synthetic */ int I0;
        final /* synthetic */ int J0;
        final /* synthetic */ int K0;
        final /* synthetic */ View L0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f6745a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f6746b;

        b(View view, int i, int i2, int i3, int i4, View view2) {
            this.f6745a = view;
            this.f6746b = i;
            this.I0 = i2;
            this.J0 = i3;
            this.K0 = i4;
            this.L0 = view2;
        }

        public void run() {
            Rect rect = new Rect();
            this.f6745a.getHitRect(rect);
            rect.top -= this.f6746b;
            rect.bottom += this.I0;
            rect.left -= this.J0;
            rect.right += this.K0;
            this.L0.setTouchDelegate(new TouchDelegate(rect, this.f6745a));
        }
    }

    /* compiled from: ClickUtils */
    public interface c {

        /* renamed from: a  reason: collision with root package name */
        public static final c f6747a = new a();

        /* compiled from: ClickUtils */
        static class a implements c {
            a() {
            }

            @Override // com.blankj.utilcode.util.n.c
            public void a(CharSequence charSequence, long j) {
                i1.d1(charSequence);
            }

            @Override // com.blankj.utilcode.util.n.c
            public void dismiss() {
                i1.c1();
            }
        }

        void a(CharSequence charSequence, long j);

        void dismiss();
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ClickUtils */
    public static class d extends x0.b {
        private Paint I0 = null;

        /* renamed from: b  reason: collision with root package name */
        private BitmapDrawable f6748b = null;

        public d(Drawable drawable) {
            super(drawable);
            if (drawable instanceof ColorDrawable) {
                Paint paint = new Paint(5);
                this.I0 = paint;
                paint.setColor(((ColorDrawable) drawable).getColor());
            }
        }

        @Override // com.blankj.utilcode.util.x0.b
        public void draw(Canvas canvas) {
            if (this.f6748b == null) {
                Bitmap createBitmap = Bitmap.createBitmap(getBounds().width(), getBounds().height(), Bitmap.Config.ARGB_8888);
                Canvas canvas2 = new Canvas(createBitmap);
                if (this.I0 != null) {
                    canvas2.drawRect(getBounds(), this.I0);
                } else {
                    super.draw(canvas2);
                }
                BitmapDrawable bitmapDrawable = new BitmapDrawable(Resources.getSystem(), createBitmap);
                this.f6748b = bitmapDrawable;
                bitmapDrawable.setBounds(getBounds());
            }
            this.f6748b.draw(canvas);
        }

        @Override // com.blankj.utilcode.util.x0.b
        public void setAlpha(int i) {
            Paint paint;
            super.setAlpha(i);
            if (Build.VERSION.SDK_INT < 21 && (paint = this.I0) != null) {
                paint.setColor(((ColorDrawable) a()).getColor());
            }
        }

        @Override // com.blankj.utilcode.util.x0.b
        public void setColorFilter(ColorFilter colorFilter) {
            Paint paint;
            super.setColorFilter(colorFilter);
            if (Build.VERSION.SDK_INT < 21 && (paint = this.I0) != null) {
                paint.setColorFilter(colorFilter);
            }
        }
    }

    /* compiled from: ClickUtils */
    public static abstract class e implements View.OnClickListener {

        /* renamed from: a  reason: collision with root package name */
        private static boolean f6749a = true;

        /* renamed from: b  reason: collision with root package name */
        private static final Runnable f6750b = new a();
        private long I0;
        private boolean J0;

        /* compiled from: ClickUtils */
        static class a implements Runnable {
            a() {
            }

            public void run() {
                boolean unused = e.f6749a = true;
            }
        }

        public e() {
            this(true, 1000);
        }

        private static boolean b(@NonNull View view, long j) {
            Objects.requireNonNull(view, "Argument 'view' of type View (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
            return i1.E0(view, j);
        }

        public abstract void c(View view);

        public final void onClick(View view) {
            if (this.J0) {
                if (f6749a) {
                    f6749a = false;
                    view.postDelayed(f6750b, this.I0);
                    c(view);
                }
            } else if (b(view, this.I0)) {
                c(view);
            }
        }

        public e(boolean z) {
            this(z, 1000);
        }

        public e(long j) {
            this(true, j);
        }

        public e(boolean z, long j) {
            this.J0 = z;
            this.I0 = j;
        }
    }

    /* compiled from: ClickUtils */
    public static abstract class f implements View.OnClickListener {

        /* renamed from: a  reason: collision with root package name */
        private static final long f6751a = 666;
        private final long I0;
        private long J0;
        private int K0;

        /* renamed from: b  reason: collision with root package name */
        private final int f6752b;

        public f(int i) {
            this(i, f6751a);
        }

        public abstract void a(View view, int i);

        public abstract void b(View view);

        public void onClick(View view) {
            if (this.f6752b <= 1) {
                b(view);
                return;
            }
            long currentTimeMillis = System.currentTimeMillis();
            if (currentTimeMillis - this.J0 < this.I0) {
                int i = this.K0 + 1;
                this.K0 = i;
                int i2 = this.f6752b;
                if (i == i2) {
                    b(view);
                } else if (i < i2) {
                    a(view, i);
                } else {
                    this.K0 = 1;
                    a(view, 1);
                }
            } else {
                this.K0 = 1;
                a(view, 1);
            }
            this.J0 = currentTimeMillis;
        }

        public f(int i, long j) {
            this.f6752b = i;
            this.I0 = j;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ClickUtils */
    public static class g implements View.OnTouchListener {

        /* access modifiers changed from: private */
        /* compiled from: ClickUtils */
        public static class a {

            /* renamed from: a  reason: collision with root package name */
            private static final g f6753a = new g(null);

            private a() {
            }
        }

        /* synthetic */ g(a aVar) {
            this();
        }

        public static g a() {
            return a.f6753a;
        }

        private void b(View view, boolean z) {
            Object tag = view.getTag(z ? -2 : -3);
            if (tag instanceof Float) {
                view.setAlpha(((Float) tag).floatValue());
            }
        }

        private void c(View view, boolean z) {
            Object tag = view.getTag(-1);
            if (tag instanceof Float) {
                float f = 1.0f;
                if (z) {
                    f = 1.0f + ((Float) tag).floatValue();
                }
                view.animate().scaleX(f).scaleY(f).setDuration(200).start();
            }
        }

        public boolean onTouch(View view, MotionEvent motionEvent) {
            int action = motionEvent.getAction();
            if (action == 0) {
                c(view, true);
                b(view, true);
            } else if (action == 1 || action == 3) {
                c(view, false);
                b(view, false);
            }
            return false;
        }

        private g() {
        }
    }

    private n() {
        throw new UnsupportedOperationException("u can't instantiate me...");
    }

    public static void A(@NonNull View view, int i2, int i3, int i4, int i5) {
        Objects.requireNonNull(view, "Argument 'view' of type View (#0 out of 5, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        View view2 = (View) view.getParent();
        if (view2 == null) {
            Log.e("ClickUtils", "expandClickArea must have parent view.");
        } else {
            view2.post(new b(view, i2, i5, i3, i4, view2));
        }
    }

    private static ColorMatrixColorFilter B(float f2) {
        return new ColorMatrixColorFilter(new ColorMatrix(new float[]{f2, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f, f2, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f, f2, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f, 2.0f, 0.0f}));
    }

    private static void a(View[] viewArr, boolean z, @IntRange(from = 0) long j2, View.OnClickListener onClickListener) {
        if (!(viewArr == null || viewArr.length == 0 || onClickListener == null)) {
            for (View view : viewArr) {
                if (view != null) {
                    view.setOnClickListener(new a(z, j2, onClickListener));
                }
            }
        }
    }

    public static void b(View view, @IntRange(from = 0) long j2, View.OnClickListener onClickListener) {
        d(new View[]{view}, j2, onClickListener);
    }

    public static void c(View view, View.OnClickListener onClickListener) {
        e(new View[]{view}, onClickListener);
    }

    public static void d(View[] viewArr, @IntRange(from = 0) long j2, View.OnClickListener onClickListener) {
        a(viewArr, true, j2, onClickListener);
    }

    public static void e(View[] viewArr, View.OnClickListener onClickListener) {
        d(viewArr, 1000, onClickListener);
    }

    public static void f(View view) {
        g(view, 0.9f);
    }

    public static void g(View view, float f2) {
        j(view, 4, f2);
    }

    public static void h(View view) {
        i(view, 0.9f);
    }

    public static void i(View view, float f2) {
        j(view, 5, f2);
    }

    private static void j(View view, int i2, float f2) {
        if (view != null) {
            Drawable background = view.getBackground();
            int i3 = -i2;
            Object tag = view.getTag(i3);
            if (tag instanceof Drawable) {
                ViewCompat.setBackground(view, (Drawable) tag);
                return;
            }
            Drawable y = y(background, i2, f2);
            ViewCompat.setBackground(view, y);
            view.setTag(i3, y);
        }
    }

    public static void k(View view, float f2) {
        if (view != null) {
            view.setTag(-2, Float.valueOf(f2));
            view.setTag(-3, Float.valueOf(view.getAlpha()));
            view.setClickable(true);
            view.setOnTouchListener(g.a());
        }
    }

    public static void l(View... viewArr) {
        m(viewArr, null);
    }

    public static void m(View[] viewArr, float[] fArr) {
        if (!(viewArr == null || viewArr.length == 0)) {
            for (int i2 = 0; i2 < viewArr.length; i2++) {
                if (fArr == null || i2 >= fArr.length) {
                    k(viewArr[i2], f6744e);
                } else {
                    k(viewArr[i2], fArr[i2]);
                }
            }
        }
    }

    public static void n(View view, float f2) {
        if (view != null) {
            view.setTag(-1, Float.valueOf(f2));
            view.setClickable(true);
            view.setOnTouchListener(g.a());
        }
    }

    public static void o(View... viewArr) {
        p(viewArr, null);
    }

    public static void p(View[] viewArr, float[] fArr) {
        if (!(viewArr == null || viewArr.length == 0)) {
            for (int i2 = 0; i2 < viewArr.length; i2++) {
                if (fArr == null || i2 >= fArr.length) {
                    n(viewArr[i2], f6741b);
                } else {
                    n(viewArr[i2], fArr[i2]);
                }
            }
        }
    }

    public static void q(View view, @IntRange(from = 0) long j2, View.OnClickListener onClickListener) {
        s(new View[]{view}, j2, onClickListener);
    }

    public static void r(View view, View.OnClickListener onClickListener) {
        t(new View[]{view}, onClickListener);
    }

    public static void s(View[] viewArr, @IntRange(from = 0) long j2, View.OnClickListener onClickListener) {
        a(viewArr, false, j2, onClickListener);
    }

    public static void t(View[] viewArr, View.OnClickListener onClickListener) {
        s(viewArr, 1000, onClickListener);
    }

    public static void u(CharSequence charSequence) {
        v(charSequence, 2000, c.f6747a);
    }

    public static void v(@NonNull CharSequence charSequence, long j2, @NonNull c cVar) {
        Objects.requireNonNull(charSequence, "Argument 'tip' of type CharSequence (#0 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        Objects.requireNonNull(cVar, "Argument 'listener' of type Back2HomeFriendlyListener (#2 out of 3, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        long elapsedRealtime = SystemClock.elapsedRealtime();
        if (Math.abs(elapsedRealtime - l) < j2) {
            int i2 = m + 1;
            m = i2;
            if (i2 == 2) {
                i1.Z0();
                cVar.dismiss();
                l = 0;
                return;
            }
            return;
        }
        m = 1;
        cVar.a(charSequence, j2);
        l = elapsedRealtime;
    }

    private static Drawable w(Drawable drawable, float f2) {
        d dVar = new d(drawable);
        dVar.setAlpha((int) (f2 * 255.0f));
        return dVar;
    }

    private static Drawable x(Drawable drawable, float f2) {
        d dVar = new d(drawable);
        dVar.setColorFilter(B(f2));
        return dVar;
    }

    private static Drawable y(Drawable drawable, int i2, float f2) {
        if (drawable == null) {
            drawable = new ColorDrawable(0);
        }
        if (drawable.getConstantState() == null) {
            return drawable;
        }
        Drawable mutate = drawable.getConstantState().newDrawable().mutate();
        if (i2 == 4) {
            mutate = w(mutate, f2);
        } else if (i2 == 5) {
            mutate = x(mutate, f2);
        }
        Drawable w = w(drawable.getConstantState().newDrawable().mutate(), 0.5f);
        StateListDrawable stateListDrawable = new StateListDrawable();
        stateListDrawable.addState(new int[]{16842919}, mutate);
        stateListDrawable.addState(new int[]{-16842910}, w);
        stateListDrawable.addState(StateSet.WILD_CARD, drawable);
        return stateListDrawable;
    }

    public static void z(@NonNull View view, int i2) {
        Objects.requireNonNull(view, "Argument 'view' of type View (#0 out of 2, zero-based) is marked by @androidx.annotation.NonNull but got null for it");
        A(view, i2, i2, i2, i2);
    }
}
