package com.blankj.utilcode.util;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.content.res.Resources;
import android.net.Uri;
import android.net.wifi.WifiInfo;
import android.net.wifi.WifiManager;
import android.os.Build;
import android.provider.Settings;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import androidx.annotation.RequiresApi;
import androidx.annotation.RequiresPermission;
import com.blankj.utilcode.util.y0;
import com.ibm.icu.impl.locale.f;
import java.io.File;
import java.net.InetAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.util.Enumeration;
import java.util.UUID;

/* compiled from: DeviceUtils */
public final class w {

    /* renamed from: a  reason: collision with root package name */
    private static final String f6783a = "KEY_UDID";

    /* renamed from: b  reason: collision with root package name */
    private static volatile String f6784b;

    private w() {
        throw new UnsupportedOperationException("u can't instantiate me...");
    }

    public static boolean A() {
        return (Resources.getSystem().getConfiguration().screenLayout & 15) >= 3;
    }

    private static String B(String str, String str2) {
        f6784b = n(str, str2);
        i1.d0().B(f6783a, f6784b);
        return f6784b;
    }

    @RequiresPermission("android.permission.CHANGE_WIFI_STATE")
    private static void C(boolean z) {
        WifiManager wifiManager = (WifiManager) g1.a().getSystemService("wifi");
        if (wifiManager != null && z != wifiManager.isWifiEnabled()) {
            wifiManager.setWifiEnabled(z);
        }
    }

    public static String[] a() {
        if (Build.VERSION.SDK_INT >= 21) {
            return Build.SUPPORTED_ABIS;
        }
        String str = Build.CPU_ABI2;
        if (!TextUtils.isEmpty(str)) {
            return new String[]{Build.CPU_ABI, str};
        }
        return new String[]{Build.CPU_ABI};
    }

    @SuppressLint({"HardwareIds"})
    public static String b() {
        String string = Settings.Secure.getString(g1.a().getContentResolver(), "android_id");
        if ("9774d56d682e549c".equals(string)) {
            return "";
        }
        return string == null ? "" : string;
    }

    private static InetAddress c() {
        try {
            Enumeration<NetworkInterface> networkInterfaces = NetworkInterface.getNetworkInterfaces();
            while (networkInterfaces.hasMoreElements()) {
                NetworkInterface nextElement = networkInterfaces.nextElement();
                if (nextElement.isUp()) {
                    Enumeration<InetAddress> inetAddresses = nextElement.getInetAddresses();
                    while (inetAddresses.hasMoreElements()) {
                        InetAddress nextElement2 = inetAddresses.nextElement();
                        if (!nextElement2.isLoopbackAddress() && nextElement2.getHostAddress().indexOf(58) < 0) {
                            return nextElement2;
                        }
                    }
                    continue;
                }
            }
            return null;
        } catch (SocketException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    @RequiresPermission(allOf = {"android.permission.ACCESS_WIFI_STATE", "android.permission.CHANGE_WIFI_STATE"})
    public static String d() {
        String e2 = e(null);
        if (!TextUtils.isEmpty(e2) || t()) {
            return e2;
        }
        C(true);
        C(false);
        return e(null);
    }

    @RequiresPermission(allOf = {"android.permission.ACCESS_WIFI_STATE"})
    public static String e(String... strArr) {
        String h = h();
        if (v(h, strArr)) {
            return h;
        }
        String g = g();
        if (v(g, strArr)) {
            return g;
        }
        String i = i();
        if (v(i, strArr)) {
            return i;
        }
        String f = f();
        return v(f, strArr) ? f : "";
    }

    private static String f() {
        String str;
        String str2;
        y0.b B = i1.B("getprop wifi.interface", false);
        if (B.f6794a != 0 || (str = B.f6795b) == null) {
            return "02:00:00:00:00:00";
        }
        y0.b B2 = i1.B("cat /sys/class/net/" + str + "/address", false);
        return (B2.f6794a != 0 || (str2 = B2.f6795b) == null || str2.length() <= 0) ? "02:00:00:00:00:00" : str2;
    }

    private static String g() {
        NetworkInterface byInetAddress;
        byte[] hardwareAddress;
        try {
            InetAddress c2 = c();
            if (c2 == null || (byInetAddress = NetworkInterface.getByInetAddress(c2)) == null || (hardwareAddress = byInetAddress.getHardwareAddress()) == null || hardwareAddress.length <= 0) {
                return "02:00:00:00:00:00";
            }
            StringBuilder sb = new StringBuilder();
            int length = hardwareAddress.length;
            for (int i = 0; i < length; i++) {
                sb.append(String.format("%02x:", Byte.valueOf(hardwareAddress[i])));
            }
            return sb.substring(0, sb.length() - 1);
        } catch (Exception e2) {
            e2.printStackTrace();
            return "02:00:00:00:00:00";
        }
    }

    private static String h() {
        try {
            Enumeration<NetworkInterface> networkInterfaces = NetworkInterface.getNetworkInterfaces();
            while (networkInterfaces.hasMoreElements()) {
                NetworkInterface nextElement = networkInterfaces.nextElement();
                if (nextElement != null) {
                    if (nextElement.getName().equalsIgnoreCase("wlan0")) {
                        byte[] hardwareAddress = nextElement.getHardwareAddress();
                        if (hardwareAddress != null && hardwareAddress.length > 0) {
                            StringBuilder sb = new StringBuilder();
                            int length = hardwareAddress.length;
                            for (int i = 0; i < length; i++) {
                                sb.append(String.format("%02x:", Byte.valueOf(hardwareAddress[i])));
                            }
                            return sb.substring(0, sb.length() - 1);
                        }
                    }
                }
            }
            return "02:00:00:00:00:00";
        } catch (Exception e2) {
            e2.printStackTrace();
            return "02:00:00:00:00:00";
        }
    }

    @RequiresPermission("android.permission.ACCESS_WIFI_STATE")
    private static String i() {
        WifiInfo connectionInfo;
        try {
            WifiManager wifiManager = (WifiManager) g1.a().getApplicationContext().getSystemService("wifi");
            if (wifiManager == null || (connectionInfo = wifiManager.getConnectionInfo()) == null) {
                return "02:00:00:00:00:00";
            }
            String macAddress = connectionInfo.getMacAddress();
            if (!TextUtils.isEmpty(macAddress)) {
                return macAddress;
            }
            return "02:00:00:00:00:00";
        } catch (Exception e2) {
            e2.printStackTrace();
            return "02:00:00:00:00:00";
        }
    }

    public static String j() {
        return Build.MANUFACTURER;
    }

    public static String k() {
        String str = Build.MODEL;
        if (str != null) {
            return str.trim().replaceAll("\\s*", "");
        }
        return "";
    }

    public static int l() {
        return Build.VERSION.SDK_INT;
    }

    public static String m() {
        return Build.VERSION.RELEASE;
    }

    private static String n(String str, String str2) {
        if (str2.equals("")) {
            return str + UUID.randomUUID().toString().replace(f.f14027b, "");
        }
        return str + UUID.nameUUIDFromBytes(str2.getBytes()).toString().replace(f.f14027b, "");
    }

    public static String o() {
        return q("", true);
    }

    public static String p(String str) {
        return q(str, true);
    }

    public static String q(String str, boolean z) {
        if (!z) {
            return s(str);
        }
        if (f6784b == null) {
            synchronized (w.class) {
                if (f6784b == null) {
                    String r = i1.d0().r(f6783a, null);
                    if (r != null) {
                        f6784b = r;
                        return f6784b;
                    }
                    return s(str);
                }
            }
        }
        return f6784b;
    }

    public static String r(boolean z) {
        return q("", z);
    }

    private static String s(String str) {
        try {
            String b2 = b();
            if (!TextUtils.isEmpty(b2)) {
                return B(str + 2, b2);
            }
        } catch (Exception unused) {
        }
        return B(str + 9, "");
    }

    private static boolean t() {
        WifiManager wifiManager = (WifiManager) g1.a().getSystemService("wifi");
        if (wifiManager == null) {
            return false;
        }
        return wifiManager.isWifiEnabled();
    }

    @RequiresApi(api = 17)
    public static boolean u() {
        if (Settings.Secure.getInt(g1.a().getContentResolver(), "adb_enabled", 0) > 0) {
            return true;
        }
        return false;
    }

    private static boolean v(String str, String... strArr) {
        if (TextUtils.isEmpty(str) || "02:00:00:00:00:00".equals(str)) {
            return false;
        }
        if (!(strArr == null || strArr.length == 0)) {
            for (String str2 : strArr) {
                if (str2 != null && str2.equals(str)) {
                    return false;
                }
            }
        }
        return true;
    }

    @RequiresApi(api = 17)
    public static boolean w() {
        if (Settings.Global.getInt(g1.a().getContentResolver(), "development_settings_enabled", 0) > 0) {
            return true;
        }
        return false;
    }

    public static boolean x() {
        String[] strArr = {"/system/bin/", "/system/xbin/", "/sbin/", "/system/sd/xbin/", "/system/bin/failsafe/", "/data/local/xbin/", "/data/local/bin/", "/data/local/", "/system/sbin/", "/usr/bin/", "/vendor/bin/"};
        for (int i = 0; i < 11; i++) {
            String str = strArr[i];
            if (new File(str + "su").exists()) {
                return true;
            }
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x0066 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0067  */
    public static boolean y() {
        boolean z;
        String str;
        String str2 = Build.FINGERPRINT;
        if (!str2.startsWith("generic") && !str2.toLowerCase().contains("vbox") && !str2.toLowerCase().contains("test-keys")) {
            String str3 = Build.MODEL;
            if (!str3.contains("google_sdk") && !str3.contains("Emulator") && !str3.contains("Android SDK built for x86") && !Build.MANUFACTURER.contains("Genymotion") && ((!Build.BRAND.startsWith("generic") || !Build.DEVICE.startsWith("generic")) && !"google_sdk".equals(Build.PRODUCT))) {
                z = false;
                if (!z) {
                    return true;
                }
                TelephonyManager telephonyManager = (TelephonyManager) g1.a().getSystemService("phone");
                if (telephonyManager == null || (str = telephonyManager.getNetworkOperatorName()) == null) {
                    str = "";
                }
                if (str.toLowerCase().equals("android")) {
                    return true;
                }
                Intent intent = new Intent();
                intent.setData(Uri.parse("tel:123456"));
                intent.setAction("android.intent.action.DIAL");
                return intent.resolveActivity(g1.a().getPackageManager()) == null;
            }
        }
        z = true;
        if (!z) {
        }
    }

    @RequiresPermission(allOf = {"android.permission.ACCESS_WIFI_STATE", "android.permission.INTERNET", "android.permission.CHANGE_WIFI_STATE"})
    public static boolean z(String str) {
        if (TextUtils.isEmpty(str) && str.length() < 33) {
            return false;
        }
        if (str.equals(f6784b) || str.equals(i1.d0().r(f6783a, null))) {
            return true;
        }
        int length = str.length() - 33;
        int i = length + 1;
        String substring = str.substring(length, i);
        if (substring.startsWith("1")) {
            String d2 = d();
            if (d2.equals("")) {
                return false;
            }
            return str.substring(i).equals(n("", d2));
        } else if (!substring.startsWith("2")) {
            return false;
        } else {
            String b2 = b();
            if (TextUtils.isEmpty(b2)) {
                return false;
            }
            return str.substring(i).equals(n("", b2));
        }
    }
}
