package com.blankj.utilcode.util;

import android.os.Build;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.security.DigestInputStream;
import java.security.InvalidKeyException;
import java.security.Key;
import java.security.KeyFactory;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.spec.PKCS8EncodedKeySpec;
import java.security.spec.X509EncodedKeySpec;
import javax.crypto.Cipher;
import javax.crypto.Mac;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;

/* compiled from: EncryptUtils */
public final class y {
    private y() {
        throw new UnsupportedOperationException("u can't instantiate me...");
    }

    public static String A(byte[] bArr, byte[] bArr2) {
        return i1.l(y(bArr, bArr2));
    }

    public static byte[] B(byte[] bArr, byte[] bArr2) {
        return s0(bArr, bArr2, "HmacSHA224");
    }

    public static String C(String str, String str2) {
        return (str == null || str.length() == 0 || str2 == null || str2.length() == 0) ? "" : D(str.getBytes(), str2.getBytes());
    }

    public static String D(byte[] bArr, byte[] bArr2) {
        return i1.l(B(bArr, bArr2));
    }

    public static byte[] E(byte[] bArr, byte[] bArr2) {
        return s0(bArr, bArr2, "HmacSHA256");
    }

    public static String F(String str, String str2) {
        return (str == null || str.length() == 0 || str2 == null || str2.length() == 0) ? "" : G(str.getBytes(), str2.getBytes());
    }

    public static String G(byte[] bArr, byte[] bArr2) {
        return i1.l(E(bArr, bArr2));
    }

    public static byte[] H(byte[] bArr, byte[] bArr2) {
        return s0(bArr, bArr2, "HmacSHA384");
    }

    public static String I(String str, String str2) {
        return (str == null || str.length() == 0 || str2 == null || str2.length() == 0) ? "" : J(str.getBytes(), str2.getBytes());
    }

    public static String J(byte[] bArr, byte[] bArr2) {
        return i1.l(H(bArr, bArr2));
    }

    public static byte[] K(byte[] bArr, byte[] bArr2) {
        return s0(bArr, bArr2, "HmacSHA512");
    }

    public static String L(String str, String str2) {
        return (str == null || str.length() == 0 || str2 == null || str2.length() == 0) ? "" : M(str.getBytes(), str2.getBytes());
    }

    public static String M(byte[] bArr, byte[] bArr2) {
        return i1.l(K(bArr, bArr2));
    }

    public static byte[] N(byte[] bArr) {
        return r0(bArr, "MD2");
    }

    public static String O(String str) {
        return (str == null || str.length() == 0) ? "" : P(str.getBytes());
    }

    public static String P(byte[] bArr) {
        return i1.l(N(bArr));
    }

    public static byte[] Q(byte[] bArr) {
        return r0(bArr, "MD5");
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x003e A[SYNTHETIC, Splitter:B:23:0x003e] */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x004b A[SYNTHETIC, Splitter:B:31:0x004b] */
    public static byte[] R(File file) {
        Throwable th;
        Exception e2;
        FileInputStream fileInputStream;
        FileInputStream fileInputStream2 = null;
        if (file == null) {
            return null;
        }
        try {
            fileInputStream = new FileInputStream(file);
            try {
                DigestInputStream digestInputStream = new DigestInputStream(fileInputStream, MessageDigest.getInstance("MD5"));
                do {
                } while (digestInputStream.read(new byte[262144]) > 0);
                byte[] digest = digestInputStream.getMessageDigest().digest();
                try {
                    fileInputStream.close();
                } catch (IOException e3) {
                    e3.printStackTrace();
                }
                return digest;
            } catch (IOException | NoSuchAlgorithmException e4) {
                e2 = e4;
                try {
                    e2.printStackTrace();
                    if (fileInputStream != null) {
                    }
                    return null;
                } catch (Throwable th2) {
                    th = th2;
                    fileInputStream2 = fileInputStream;
                    if (fileInputStream2 != null) {
                    }
                    throw th;
                }
            }
        } catch (IOException | NoSuchAlgorithmException e5) {
            e2 = e5;
            fileInputStream = null;
            e2.printStackTrace();
            if (fileInputStream != null) {
                try {
                    fileInputStream.close();
                } catch (IOException e6) {
                    e6.printStackTrace();
                }
            }
            return null;
        } catch (Throwable th3) {
            th = th3;
            if (fileInputStream2 != null) {
                try {
                    fileInputStream2.close();
                } catch (IOException e7) {
                    e7.printStackTrace();
                }
            }
            throw th;
        }
    }

    public static byte[] S(String str) {
        return R(i1.D0(str) ? null : new File(str));
    }

    public static String T(File file) {
        return i1.l(R(file));
    }

    public static String U(String str) {
        return T(i1.D0(str) ? null : new File(str));
    }

    public static String V(String str) {
        return (str == null || str.length() == 0) ? "" : X(str.getBytes());
    }

    public static String W(String str, String str2) {
        if (str == null && str2 == null) {
            return "";
        }
        if (str2 == null) {
            return i1.l(Q(str.getBytes()));
        }
        if (str == null) {
            return i1.l(Q(str2.getBytes()));
        }
        return i1.l(Q((str + str2).getBytes()));
    }

    public static String X(byte[] bArr) {
        return i1.l(Q(bArr));
    }

    public static String Y(byte[] bArr, byte[] bArr2) {
        if (bArr == null && bArr2 == null) {
            return "";
        }
        if (bArr2 == null) {
            return i1.l(Q(bArr));
        }
        if (bArr == null) {
            return i1.l(Q(bArr2));
        }
        byte[] bArr3 = new byte[(bArr.length + bArr2.length)];
        System.arraycopy(bArr, 0, bArr3, 0, bArr.length);
        System.arraycopy(bArr2, 0, bArr3, bArr.length, bArr2.length);
        return i1.l(Q(bArr3));
    }

    public static byte[] Z(byte[] bArr, byte[] bArr2, int i, String str) {
        return v0(bArr, bArr2, i, str, true);
    }

    public static byte[] a(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) {
        return w0(bArr, bArr2, "DESede", str, bArr3, false);
    }

    public static byte[] a0(byte[] bArr, byte[] bArr2, int i, String str) {
        return i1.e(Z(bArr, bArr2, i, str));
    }

    public static byte[] b(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) {
        return w0(bArr, bArr2, "AES", str, bArr3, false);
    }

    public static String b0(byte[] bArr, byte[] bArr2, int i, String str) {
        return i1.l(Z(bArr, bArr2, i, str));
    }

    public static byte[] c(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) {
        return b(i1.d(bArr), bArr2, str, bArr3);
    }

    public static byte[] c0(byte[] bArr) {
        return r0(bArr, "SHA-1");
    }

    public static byte[] d(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) {
        return g(i1.d(bArr), bArr2, str, bArr3);
    }

    public static String d0(String str) {
        return (str == null || str.length() == 0) ? "" : e0(str.getBytes());
    }

    public static byte[] e(byte[] bArr, byte[] bArr2, int i, String str) {
        return l(i1.d(bArr), bArr2, i, str);
    }

    public static String e0(byte[] bArr) {
        return i1.l(c0(bArr));
    }

    public static byte[] f(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) {
        return a(i1.d(bArr), bArr2, str, bArr3);
    }

    public static byte[] f0(byte[] bArr) {
        return r0(bArr, "SHA224");
    }

    public static byte[] g(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) {
        return w0(bArr, bArr2, "DES", str, bArr3, false);
    }

    public static String g0(String str) {
        return (str == null || str.length() == 0) ? "" : h0(str.getBytes());
    }

    public static byte[] h(String str, byte[] bArr, String str2, byte[] bArr2) {
        return a(i1.k0(str), bArr, str2, bArr2);
    }

    public static String h0(byte[] bArr) {
        return i1.l(f0(bArr));
    }

    public static byte[] i(String str, byte[] bArr, String str2, byte[] bArr2) {
        return b(i1.k0(str), bArr, str2, bArr2);
    }

    public static byte[] i0(byte[] bArr) {
        return r0(bArr, "SHA-256");
    }

    public static byte[] j(String str, byte[] bArr, String str2, byte[] bArr2) {
        return g(i1.k0(str), bArr, str2, bArr2);
    }

    public static String j0(String str) {
        return (str == null || str.length() == 0) ? "" : k0(str.getBytes());
    }

    public static byte[] k(String str, byte[] bArr, int i, String str2) {
        return l(i1.k0(str), bArr, i, str2);
    }

    public static String k0(byte[] bArr) {
        return i1.l(i0(bArr));
    }

    public static byte[] l(byte[] bArr, byte[] bArr2, int i, String str) {
        return v0(bArr, bArr2, i, str, false);
    }

    public static byte[] l0(byte[] bArr) {
        return r0(bArr, "SHA-384");
    }

    public static byte[] m(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) {
        return w0(bArr, bArr2, "DESede", str, bArr3, true);
    }

    public static String m0(String str) {
        return (str == null || str.length() == 0) ? "" : n0(str.getBytes());
    }

    public static byte[] n(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) {
        return i1.e(m(bArr, bArr2, str, bArr3));
    }

    public static String n0(byte[] bArr) {
        return i1.l(l0(bArr));
    }

    public static String o(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) {
        return i1.l(m(bArr, bArr2, str, bArr3));
    }

    public static byte[] o0(byte[] bArr) {
        return r0(bArr, "SHA-512");
    }

    public static byte[] p(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) {
        return w0(bArr, bArr2, "AES", str, bArr3, true);
    }

    public static String p0(String str) {
        return (str == null || str.length() == 0) ? "" : q0(str.getBytes());
    }

    public static byte[] q(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) {
        return i1.e(p(bArr, bArr2, str, bArr3));
    }

    public static String q0(byte[] bArr) {
        return i1.l(o0(bArr));
    }

    public static String r(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) {
        return i1.l(p(bArr, bArr2, str, bArr3));
    }

    static byte[] r0(byte[] bArr, String str) {
        if (bArr != null && bArr.length > 0) {
            try {
                MessageDigest instance = MessageDigest.getInstance(str);
                instance.update(bArr);
                return instance.digest();
            } catch (NoSuchAlgorithmException e2) {
                e2.printStackTrace();
            }
        }
        return null;
    }

    public static byte[] s(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) {
        return w0(bArr, bArr2, "DES", str, bArr3, true);
    }

    private static byte[] s0(byte[] bArr, byte[] bArr2, String str) {
        if (!(bArr == null || bArr.length == 0 || bArr2 == null || bArr2.length == 0)) {
            try {
                SecretKeySpec secretKeySpec = new SecretKeySpec(bArr2, str);
                Mac instance = Mac.getInstance(str);
                instance.init(secretKeySpec);
                return instance.doFinal(bArr);
            } catch (InvalidKeyException | NoSuchAlgorithmException e2) {
                e2.printStackTrace();
            }
        }
        return null;
    }

    public static byte[] t(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) {
        return i1.e(s(bArr, bArr2, str, bArr3));
    }

    private static byte[] t0(byte[] bArr, byte[] bArr2) {
        byte[] bArr3 = new byte[(bArr.length + bArr2.length)];
        System.arraycopy(bArr, 0, bArr3, 0, bArr.length);
        System.arraycopy(bArr2, 0, bArr3, bArr.length, bArr2.length);
        return bArr3;
    }

    public static String u(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) {
        return i1.l(s(bArr, bArr2, str, bArr3));
    }

    public static byte[] u0(byte[] bArr, byte[] bArr2) {
        if (bArr == null || bArr.length == 0 || bArr2 == null) {
            return null;
        }
        if (bArr2.length < 1 || bArr2.length > 256) {
            throw new IllegalArgumentException("key must be between 1 and 256 bytes");
        }
        byte[] bArr3 = new byte[256];
        byte[] bArr4 = new byte[256];
        int length = bArr2.length;
        for (int i = 0; i < 256; i++) {
            bArr3[i] = (byte) i;
            bArr4[i] = bArr2[i % length];
        }
        int i2 = 0;
        for (int i3 = 0; i3 < 256; i3++) {
            i2 = (i2 + bArr3[i3] + bArr4[i3]) & 255;
            byte b2 = bArr3[i2];
            bArr3[i2] = bArr3[i3];
            bArr3[i3] = b2;
        }
        byte[] bArr5 = new byte[bArr.length];
        int i4 = 0;
        for (int i5 = 0; i5 < bArr.length; i5++) {
            i4 = (i4 + 1) & 255;
            i2 = (i2 + bArr3[i4]) & 255;
            byte b3 = bArr3[i2];
            bArr3[i2] = bArr3[i4];
            bArr3[i4] = b3;
            bArr5[i5] = (byte) (bArr3[(bArr3[i4] + bArr3[i2]) & 255] ^ bArr[i5]);
        }
        return bArr5;
    }

    public static byte[] v(byte[] bArr, byte[] bArr2) {
        return s0(bArr, bArr2, "HmacMD5");
    }

    private static byte[] v0(byte[] bArr, byte[] bArr2, int i, String str, boolean z) {
        KeyFactory keyFactory;
        Key key;
        if (!(bArr == null || bArr.length == 0 || bArr2 == null || bArr2.length == 0)) {
            try {
                if (Build.VERSION.SDK_INT < 28) {
                    keyFactory = KeyFactory.getInstance("RSA", "BC");
                } else {
                    keyFactory = KeyFactory.getInstance("RSA");
                }
                if (z) {
                    key = keyFactory.generatePublic(new X509EncodedKeySpec(bArr2));
                } else {
                    key = keyFactory.generatePrivate(new PKCS8EncodedKeySpec(bArr2));
                }
                if (key == null) {
                    return null;
                }
                Cipher instance = Cipher.getInstance(str);
                instance.init(z ? 1 : 2, key);
                int length = bArr.length;
                int i2 = i / 8;
                if (z && str.toLowerCase().endsWith("pkcs1padding")) {
                    i2 -= 11;
                }
                int i3 = length / i2;
                if (i3 <= 0) {
                    return instance.doFinal(bArr);
                }
                byte[] bArr3 = new byte[0];
                byte[] bArr4 = new byte[i2];
                int i4 = 0;
                for (int i5 = 0; i5 < i3; i5++) {
                    System.arraycopy(bArr, i4, bArr4, 0, i2);
                    bArr3 = t0(bArr3, instance.doFinal(bArr4));
                    i4 += i2;
                }
                if (i4 == length) {
                    return bArr3;
                }
                int i6 = length - i4;
                byte[] bArr5 = new byte[i6];
                System.arraycopy(bArr, i4, bArr5, 0, i6);
                return t0(bArr3, instance.doFinal(bArr5));
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        return null;
    }

    public static String w(String str, String str2) {
        return (str == null || str.length() == 0 || str2 == null || str2.length() == 0) ? "" : x(str.getBytes(), str2.getBytes());
    }

    private static byte[] w0(byte[] bArr, byte[] bArr2, String str, String str2, byte[] bArr3, boolean z) {
        SecretKey secretKey;
        if (!(bArr == null || bArr.length == 0 || bArr2 == null || bArr2.length == 0)) {
            try {
                if ("DES".equals(str)) {
                    secretKey = SecretKeyFactory.getInstance(str).generateSecret(new DESKeySpec(bArr2));
                } else {
                    secretKey = new SecretKeySpec(bArr2, str);
                }
                Cipher instance = Cipher.getInstance(str2);
                int i = 1;
                if (bArr3 != null) {
                    if (bArr3.length != 0) {
                        IvParameterSpec ivParameterSpec = new IvParameterSpec(bArr3);
                        if (!z) {
                            i = 2;
                        }
                        instance.init(i, secretKey, ivParameterSpec);
                        return instance.doFinal(bArr);
                    }
                }
                if (!z) {
                    i = 2;
                }
                instance.init(i, secretKey);
                return instance.doFinal(bArr);
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }
        return null;
    }

    public static String x(byte[] bArr, byte[] bArr2) {
        return i1.l(v(bArr, bArr2));
    }

    public static byte[] y(byte[] bArr, byte[] bArr2) {
        return s0(bArr, bArr2, "HmacSHA1");
    }

    public static String z(String str, String str2) {
        return (str == null || str.length() == 0 || str2 == null || str2.length() == 0) ? "" : A(str.getBytes(), str2.getBytes());
    }
}
