package com.blankj.utilcode.util;

import android.util.Log;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.RandomAccessFile;
import java.io.UnsupportedEncodingException;
import java.nio.ByteBuffer;
import java.nio.MappedByteBuffer;
import java.nio.channels.FileChannel;
import java.util.ArrayList;
import java.util.List;

/* compiled from: FileIOUtils */
public final class z {

    /* renamed from: a  reason: collision with root package name */
    private static int f6797a = 524288;

    /* compiled from: FileIOUtils */
    public interface a {
        void a(double d2);
    }

    private z() {
        throw new UnsupportedOperationException("u can't instantiate me...");
    }

    public static boolean A(File file, byte[] bArr, boolean z, boolean z2) {
        if (bArr == null || !i1.t(file)) {
            Log.e("FileIOUtils", "create file <" + file + "> failed.");
            return false;
        }
        FileChannel fileChannel = null;
        try {
            FileChannel channel = new FileOutputStream(file, z).getChannel();
            if (channel == null) {
                Log.e("FileIOUtils", "fc is null.");
                if (channel != null) {
                    try {
                        channel.close();
                    } catch (IOException e2) {
                        e2.printStackTrace();
                    }
                }
                return false;
            }
            MappedByteBuffer map = channel.map(FileChannel.MapMode.READ_WRITE, channel.size(), (long) bArr.length);
            map.put(bArr);
            if (z2) {
                map.force();
            }
            try {
                channel.close();
            } catch (IOException e3) {
                e3.printStackTrace();
            }
            return true;
        } catch (IOException e4) {
            e4.printStackTrace();
            if (0 != 0) {
                try {
                    fileChannel.close();
                } catch (IOException e5) {
                    e5.printStackTrace();
                }
            }
            return false;
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    fileChannel.close();
                } catch (IOException e6) {
                    e6.printStackTrace();
                }
            }
            throw th;
        }
    }

    public static boolean B(String str, byte[] bArr, boolean z) {
        return C(str, bArr, false, z);
    }

    public static boolean C(String str, byte[] bArr, boolean z, boolean z2) {
        return A(i1.P(str), bArr, z, z2);
    }

    public static boolean D(File file, byte[] bArr) {
        return G(file, bArr, false, null);
    }

    public static boolean E(File file, byte[] bArr, a aVar) {
        return G(file, bArr, false, aVar);
    }

    public static boolean F(File file, byte[] bArr, boolean z) {
        return G(file, bArr, z, null);
    }

    public static boolean G(File file, byte[] bArr, boolean z, a aVar) {
        if (bArr == null) {
            return false;
        }
        return O(file, new ByteArrayInputStream(bArr), z, aVar);
    }

    public static boolean H(String str, byte[] bArr) {
        return G(i1.P(str), bArr, false, null);
    }

    public static boolean I(String str, byte[] bArr, a aVar) {
        return G(i1.P(str), bArr, false, aVar);
    }

    public static boolean J(String str, byte[] bArr, boolean z) {
        return G(i1.P(str), bArr, z, null);
    }

    public static boolean K(String str, byte[] bArr, boolean z, a aVar) {
        return G(i1.P(str), bArr, z, aVar);
    }

    public static boolean L(File file, InputStream inputStream) {
        return O(file, inputStream, false, null);
    }

    public static boolean M(File file, InputStream inputStream, a aVar) {
        return O(file, inputStream, false, aVar);
    }

    public static boolean N(File file, InputStream inputStream, boolean z) {
        return O(file, inputStream, z, null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:41:0x0070 A[SYNTHETIC, Splitter:B:41:0x0070] */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x0083 A[SYNTHETIC, Splitter:B:51:0x0083] */
    public static boolean O(File file, InputStream inputStream, boolean z, a aVar) {
        Throwable th;
        IOException e2;
        if (inputStream == null || !i1.t(file)) {
            Log.e("FileIOUtils", "create file <" + file + "> failed.");
            return false;
        }
        BufferedOutputStream bufferedOutputStream = null;
        try {
            BufferedOutputStream bufferedOutputStream2 = new BufferedOutputStream(new FileOutputStream(file, z), f6797a);
            if (aVar != null) {
                double available = (double) inputStream.available();
                aVar.a(0.0d);
                byte[] bArr = new byte[f6797a];
                int i = 0;
                while (true) {
                    int read = inputStream.read(bArr);
                    if (read == -1) {
                        break;
                    }
                    bufferedOutputStream2.write(bArr, 0, read);
                    i += read;
                    aVar.a(((double) i) / available);
                }
            } else {
                try {
                    byte[] bArr2 = new byte[f6797a];
                    while (true) {
                        int read2 = inputStream.read(bArr2);
                        if (read2 == -1) {
                            break;
                        }
                        bufferedOutputStream2.write(bArr2, 0, read2);
                    }
                } catch (IOException e3) {
                    e2 = e3;
                    bufferedOutputStream = bufferedOutputStream2;
                    try {
                        e2.printStackTrace();
                        try {
                            inputStream.close();
                        } catch (IOException e4) {
                            e4.printStackTrace();
                        }
                        if (bufferedOutputStream != null) {
                        }
                        return false;
                    } catch (Throwable th2) {
                        th = th2;
                        try {
                            inputStream.close();
                        } catch (IOException e5) {
                            e5.printStackTrace();
                        }
                        if (bufferedOutputStream != null) {
                            try {
                                bufferedOutputStream.close();
                            } catch (IOException e6) {
                                e6.printStackTrace();
                            }
                        }
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    bufferedOutputStream = bufferedOutputStream2;
                    inputStream.close();
                    if (bufferedOutputStream != null) {
                    }
                    throw th;
                }
            }
            try {
                inputStream.close();
            } catch (IOException e7) {
                e7.printStackTrace();
            }
            try {
                bufferedOutputStream2.close();
            } catch (IOException e8) {
                e8.printStackTrace();
            }
            return true;
        } catch (IOException e9) {
            e2 = e9;
            e2.printStackTrace();
            inputStream.close();
            if (bufferedOutputStream != null) {
                try {
                    bufferedOutputStream.close();
                } catch (IOException e10) {
                    e10.printStackTrace();
                }
            }
            return false;
        }
    }

    public static boolean P(String str, InputStream inputStream) {
        return O(i1.P(str), inputStream, false, null);
    }

    public static boolean Q(String str, InputStream inputStream, a aVar) {
        return O(i1.P(str), inputStream, false, aVar);
    }

    public static boolean R(String str, InputStream inputStream, boolean z) {
        return O(i1.P(str), inputStream, z, null);
    }

    public static boolean S(String str, InputStream inputStream, boolean z, a aVar) {
        return O(i1.P(str), inputStream, z, aVar);
    }

    public static boolean T(File file, String str) {
        return U(file, str, false);
    }

    /* JADX WARNING: Removed duplicated region for block: B:27:0x004e A[SYNTHETIC, Splitter:B:27:0x004e] */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0059 A[SYNTHETIC, Splitter:B:33:0x0059] */
    public static boolean U(File file, String str, boolean z) {
        Throwable th;
        IOException e2;
        if (file == null || str == null) {
            return false;
        }
        if (!i1.t(file)) {
            Log.e("FileIOUtils", "create file <" + file + "> failed.");
            return false;
        }
        BufferedWriter bufferedWriter = null;
        try {
            BufferedWriter bufferedWriter2 = new BufferedWriter(new FileWriter(file, z));
            try {
                bufferedWriter2.write(str);
                try {
                    bufferedWriter2.close();
                } catch (IOException e3) {
                    e3.printStackTrace();
                }
                return true;
            } catch (IOException e4) {
                e2 = e4;
                bufferedWriter = bufferedWriter2;
                try {
                    e2.printStackTrace();
                    if (bufferedWriter != null) {
                    }
                    return false;
                } catch (Throwable th2) {
                    th = th2;
                    if (bufferedWriter != null) {
                        try {
                            bufferedWriter.close();
                        } catch (IOException e5) {
                            e5.printStackTrace();
                        }
                    }
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                bufferedWriter = bufferedWriter2;
                if (bufferedWriter != null) {
                }
                throw th;
            }
        } catch (IOException e6) {
            e2 = e6;
            e2.printStackTrace();
            if (bufferedWriter != null) {
                try {
                    bufferedWriter.close();
                } catch (IOException e7) {
                    e7.printStackTrace();
                }
            }
            return false;
        }
    }

    public static boolean V(String str, String str2) {
        return U(i1.P(str), str2, false);
    }

    public static boolean W(String str, String str2, boolean z) {
        return U(i1.P(str), str2, z);
    }

    /* JADX WARNING: Removed duplicated region for block: B:31:0x0051 A[SYNTHETIC, Splitter:B:31:0x0051] */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x005e A[SYNTHETIC, Splitter:B:39:0x005e] */
    public static byte[] a(File file) {
        Throwable th;
        FileChannel fileChannel;
        IOException e2;
        FileChannel fileChannel2 = null;
        if (!i1.u0(file)) {
            return null;
        }
        try {
            fileChannel = new RandomAccessFile(file, "r").getChannel();
            if (fileChannel == null) {
                try {
                    Log.e("FileIOUtils", "fc is null.");
                    byte[] bArr = new byte[0];
                    if (fileChannel != null) {
                        try {
                            fileChannel.close();
                        } catch (IOException e3) {
                            e3.printStackTrace();
                        }
                    }
                    return bArr;
                } catch (IOException e4) {
                    e2 = e4;
                    try {
                        e2.printStackTrace();
                        if (fileChannel != null) {
                            try {
                                fileChannel.close();
                            } catch (IOException e5) {
                                e5.printStackTrace();
                            }
                        }
                        return null;
                    } catch (Throwable th2) {
                        th = th2;
                        fileChannel2 = fileChannel;
                        if (fileChannel2 != null) {
                        }
                        throw th;
                    }
                }
            } else {
                ByteBuffer allocate = ByteBuffer.allocate((int) fileChannel.size());
                do {
                } while (fileChannel.read(allocate) > 0);
                byte[] array = allocate.array();
                try {
                    fileChannel.close();
                } catch (IOException e6) {
                    e6.printStackTrace();
                }
                return array;
            }
        } catch (IOException e7) {
            e2 = e7;
            fileChannel = null;
            e2.printStackTrace();
            if (fileChannel != null) {
            }
            return null;
        } catch (Throwable th3) {
            th = th3;
            if (fileChannel2 != null) {
                try {
                    fileChannel2.close();
                } catch (IOException e8) {
                    e8.printStackTrace();
                }
            }
            throw th;
        }
    }

    public static byte[] b(String str) {
        return a(i1.P(str));
    }

    /* JADX WARNING: Removed duplicated region for block: B:29:0x0056 A[SYNTHETIC, Splitter:B:29:0x0056] */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0063 A[SYNTHETIC, Splitter:B:37:0x0063] */
    public static byte[] c(File file) {
        Throwable th;
        FileChannel fileChannel;
        IOException e2;
        FileChannel fileChannel2 = null;
        if (!i1.u0(file)) {
            return null;
        }
        try {
            fileChannel = new RandomAccessFile(file, "r").getChannel();
            if (fileChannel == null) {
                try {
                    Log.e("FileIOUtils", "fc is null.");
                    byte[] bArr = new byte[0];
                    if (fileChannel != null) {
                        try {
                            fileChannel.close();
                        } catch (IOException e3) {
                            e3.printStackTrace();
                        }
                    }
                    return bArr;
                } catch (IOException e4) {
                    e2 = e4;
                    try {
                        e2.printStackTrace();
                        if (fileChannel != null) {
                            try {
                                fileChannel.close();
                            } catch (IOException e5) {
                                e5.printStackTrace();
                            }
                        }
                        return null;
                    } catch (Throwable th2) {
                        th = th2;
                        fileChannel2 = fileChannel;
                        if (fileChannel2 != null) {
                        }
                        throw th;
                    }
                }
            } else {
                int size = (int) fileChannel.size();
                byte[] bArr2 = new byte[size];
                fileChannel.map(FileChannel.MapMode.READ_ONLY, 0, (long) size).load().get(bArr2, 0, size);
                try {
                    fileChannel.close();
                } catch (IOException e6) {
                    e6.printStackTrace();
                }
                return bArr2;
            }
        } catch (IOException e7) {
            e2 = e7;
            fileChannel = null;
            e2.printStackTrace();
            if (fileChannel != null) {
            }
            return null;
        } catch (Throwable th3) {
            th = th3;
            if (fileChannel2 != null) {
                try {
                    fileChannel2.close();
                } catch (IOException e8) {
                    e8.printStackTrace();
                }
            }
            throw th;
        }
    }

    public static byte[] d(String str) {
        return c(i1.P(str));
    }

    public static byte[] e(File file) {
        return f(file, null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:39:0x0073 A[SYNTHETIC, Splitter:B:39:0x0073] */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x0087 A[SYNTHETIC, Splitter:B:50:0x0087] */
    public static byte[] f(File file, a aVar) {
        Throwable th;
        ByteArrayOutputStream byteArrayOutputStream;
        IOException e2;
        if (!i1.u0(file)) {
            return null;
        }
        try {
            BufferedInputStream bufferedInputStream = new BufferedInputStream(new FileInputStream(file), f6797a);
            try {
                byteArrayOutputStream = new ByteArrayOutputStream();
                try {
                    byte[] bArr = new byte[f6797a];
                    if (aVar != null) {
                        double available = (double) bufferedInputStream.available();
                        aVar.a(0.0d);
                        int i = 0;
                        while (true) {
                            int read = bufferedInputStream.read(bArr, 0, f6797a);
                            if (read == -1) {
                                break;
                            }
                            byteArrayOutputStream.write(bArr, 0, read);
                            i += read;
                            aVar.a(((double) i) / available);
                        }
                    } else {
                        while (true) {
                            int read2 = bufferedInputStream.read(bArr, 0, f6797a);
                            if (read2 == -1) {
                                break;
                            }
                            byteArrayOutputStream.write(bArr, 0, read2);
                        }
                    }
                    byte[] byteArray = byteArrayOutputStream.toByteArray();
                    try {
                        bufferedInputStream.close();
                    } catch (IOException e3) {
                        e3.printStackTrace();
                    }
                    try {
                        byteArrayOutputStream.close();
                    } catch (IOException e4) {
                        e4.printStackTrace();
                    }
                    return byteArray;
                } catch (IOException e5) {
                    e2 = e5;
                    try {
                        e2.printStackTrace();
                        try {
                            bufferedInputStream.close();
                        } catch (IOException e6) {
                            e6.printStackTrace();
                        }
                        if (byteArrayOutputStream != null) {
                            try {
                                byteArrayOutputStream.close();
                            } catch (IOException e7) {
                                e7.printStackTrace();
                            }
                        }
                        return null;
                    } catch (Throwable th2) {
                        th = th2;
                        try {
                            bufferedInputStream.close();
                        } catch (IOException e8) {
                            e8.printStackTrace();
                        }
                        if (byteArrayOutputStream != null) {
                            try {
                                byteArrayOutputStream.close();
                            } catch (IOException e9) {
                                e9.printStackTrace();
                            }
                        }
                        throw th;
                    }
                }
            } catch (IOException e10) {
                e2 = e10;
                byteArrayOutputStream = null;
                e2.printStackTrace();
                bufferedInputStream.close();
                if (byteArrayOutputStream != null) {
                }
                return null;
            } catch (Throwable th3) {
                th = th3;
                byteArrayOutputStream = null;
                bufferedInputStream.close();
                if (byteArrayOutputStream != null) {
                }
                throw th;
            }
        } catch (FileNotFoundException e11) {
            e11.printStackTrace();
            return null;
        }
    }

    public static byte[] g(String str) {
        return f(i1.P(str), null);
    }

    public static byte[] h(String str, a aVar) {
        return f(i1.P(str), aVar);
    }

    public static List<String> i(File file) {
        return k(file, 0, Integer.MAX_VALUE, null);
    }

    public static List<String> j(File file, int i, int i2) {
        return k(file, i, i2, null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:32:0x005e A[SYNTHETIC, Splitter:B:32:0x005e] */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x006b A[SYNTHETIC, Splitter:B:40:0x006b] */
    public static List<String> k(File file, int i, int i2, String str) {
        Throwable th;
        BufferedReader bufferedReader;
        IOException e2;
        BufferedReader bufferedReader2 = null;
        if (!i1.u0(file) || i > i2) {
            return null;
        }
        try {
            ArrayList arrayList = new ArrayList();
            int i3 = 1;
            if (i1.D0(str)) {
                bufferedReader = new BufferedReader(new InputStreamReader(new FileInputStream(file)));
            } else {
                bufferedReader = new BufferedReader(new InputStreamReader(new FileInputStream(file), str));
            }
            while (true) {
                try {
                    String readLine = bufferedReader.readLine();
                    if (readLine != null) {
                        if (i3 > i2) {
                            break;
                        }
                        if (i <= i3 && i3 <= i2) {
                            arrayList.add(readLine);
                        }
                        i3++;
                    }
                } catch (IOException e3) {
                    e2 = e3;
                    try {
                        e2.printStackTrace();
                        if (bufferedReader != null) {
                        }
                        return null;
                    } catch (Throwable th2) {
                        th = th2;
                        bufferedReader2 = bufferedReader;
                        if (bufferedReader2 != null) {
                            try {
                                bufferedReader2.close();
                            } catch (IOException e4) {
                                e4.printStackTrace();
                            }
                        }
                        throw th;
                    }
                }
            }
            try {
                bufferedReader.close();
            } catch (IOException e5) {
                e5.printStackTrace();
            }
            return arrayList;
        } catch (IOException e6) {
            e2 = e6;
            bufferedReader = null;
            e2.printStackTrace();
            if (bufferedReader != null) {
                try {
                    bufferedReader.close();
                } catch (IOException e7) {
                    e7.printStackTrace();
                }
            }
            return null;
        } catch (Throwable th3) {
            th = th3;
            if (bufferedReader2 != null) {
            }
            throw th;
        }
    }

    public static List<String> l(File file, String str) {
        return k(file, 0, Integer.MAX_VALUE, str);
    }

    public static List<String> m(String str) {
        return l(i1.P(str), null);
    }

    public static List<String> n(String str, int i, int i2) {
        return k(i1.P(str), i, i2, null);
    }

    public static List<String> o(String str, int i, int i2, String str2) {
        return k(i1.P(str), i, i2, str2);
    }

    public static List<String> p(String str, String str2) {
        return l(i1.P(str), str2);
    }

    public static String q(File file) {
        return r(file, null);
    }

    public static String r(File file, String str) {
        byte[] e2 = e(file);
        if (e2 == null) {
            return null;
        }
        if (i1.D0(str)) {
            return new String(e2);
        }
        try {
            return new String(e2, str);
        } catch (UnsupportedEncodingException e3) {
            e3.printStackTrace();
            return "";
        }
    }

    public static String s(String str) {
        return r(i1.P(str), null);
    }

    public static String t(String str, String str2) {
        return r(i1.P(str), str2);
    }

    public static void u(int i) {
        f6797a = i;
    }

    public static boolean v(File file, byte[] bArr, boolean z) {
        return w(file, bArr, false, z);
    }

    public static boolean w(File file, byte[] bArr, boolean z, boolean z2) {
        if (bArr == null) {
            Log.e("FileIOUtils", "bytes is null.");
            return false;
        } else if (!i1.t(file)) {
            Log.e("FileIOUtils", "create file <" + file + "> failed.");
            return false;
        } else {
            FileChannel fileChannel = null;
            try {
                FileChannel channel = new FileOutputStream(file, z).getChannel();
                if (channel == null) {
                    Log.e("FileIOUtils", "fc is null.");
                    if (channel != null) {
                        try {
                            channel.close();
                        } catch (IOException e2) {
                            e2.printStackTrace();
                        }
                    }
                    return false;
                }
                channel.position(channel.size());
                channel.write(ByteBuffer.wrap(bArr));
                if (z2) {
                    channel.force(true);
                }
                try {
                    channel.close();
                } catch (IOException e3) {
                    e3.printStackTrace();
                }
                return true;
            } catch (IOException e4) {
                e4.printStackTrace();
                if (0 != 0) {
                    try {
                        fileChannel.close();
                    } catch (IOException e5) {
                        e5.printStackTrace();
                    }
                }
                return false;
            } catch (Throwable th) {
                if (0 != 0) {
                    try {
                        fileChannel.close();
                    } catch (IOException e6) {
                        e6.printStackTrace();
                    }
                }
                throw th;
            }
        }
    }

    public static boolean x(String str, byte[] bArr, boolean z) {
        return w(i1.P(str), bArr, false, z);
    }

    public static boolean y(String str, byte[] bArr, boolean z, boolean z2) {
        return w(i1.P(str), bArr, z, z2);
    }

    public static boolean z(File file, byte[] bArr, boolean z) {
        return A(file, bArr, false, z);
    }
}
