package com.bumptech.glide;

import android.app.Activity;
import android.app.Fragment;
import android.content.ComponentCallbacks2;
import android.content.ContentResolver;
import android.content.Context;
import android.content.res.AssetFileDescriptor;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.os.ParcelFileDescriptor;
import android.util.Log;
import android.view.View;
import androidx.annotation.GuardedBy;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import androidx.fragment.app.FragmentActivity;
import com.bumptech.glide.gifdecoder.GifDecoder;
import com.bumptech.glide.load.DecodeFormat;
import com.bumptech.glide.load.ImageHeaderParser;
import com.bumptech.glide.load.engine.a0.j;
import com.bumptech.glide.load.engine.c0.d;
import com.bumptech.glide.load.engine.k;
import com.bumptech.glide.load.engine.z.b;
import com.bumptech.glide.load.engine.z.e;
import com.bumptech.glide.load.j.k;
import com.bumptech.glide.load.j.m;
import com.bumptech.glide.load.k.a;
import com.bumptech.glide.load.k.b;
import com.bumptech.glide.load.k.d;
import com.bumptech.glide.load.k.e;
import com.bumptech.glide.load.k.f;
import com.bumptech.glide.load.k.k;
import com.bumptech.glide.load.k.s;
import com.bumptech.glide.load.k.t;
import com.bumptech.glide.load.k.u;
import com.bumptech.glide.load.k.v;
import com.bumptech.glide.load.k.w;
import com.bumptech.glide.load.k.x;
import com.bumptech.glide.load.k.y.b;
import com.bumptech.glide.load.k.y.c;
import com.bumptech.glide.load.k.y.d;
import com.bumptech.glide.load.k.y.e;
import com.bumptech.glide.load.k.y.f;
import com.bumptech.glide.load.k.y.g;
import com.bumptech.glide.load.l.d.a;
import com.bumptech.glide.load.l.g.h;
import com.bumptech.glide.load.resource.bitmap.DefaultImageHeaderParser;
import com.bumptech.glide.load.resource.bitmap.a0;
import com.bumptech.glide.load.resource.bitmap.d0;
import com.bumptech.glide.load.resource.bitmap.f0;
import com.bumptech.glide.load.resource.bitmap.h0;
import com.bumptech.glide.load.resource.bitmap.o;
import com.bumptech.glide.load.resource.bitmap.r;
import com.bumptech.glide.load.resource.bitmap.w;
import com.bumptech.glide.load.resource.bitmap.y;
import com.bumptech.glide.manager.d;
import com.bumptech.glide.request.f;
import com.bumptech.glide.request.g;
import com.bumptech.glide.request.k.p;
import com.bumptech.glide.util.l;
import java.io.File;
import java.io.InputStream;
import java.lang.reflect.InvocationTargetException;
import java.net.URL;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;

/* compiled from: Glide */
public class c implements ComponentCallbacks2 {
    private static volatile c I0 = null;
    private static volatile boolean J0 = false;

    /* renamed from: a  reason: collision with root package name */
    private static final String f6809a = "image_manager_disk_cache";

    /* renamed from: b  reason: collision with root package name */
    private static final String f6810b = "Glide";
    private final k K0;
    private final e L0;
    private final j M0;
    private final e N0;
    private final Registry O0;
    private final b P0;
    private final com.bumptech.glide.manager.k Q0;
    private final d R0;
    private final List<i> S0 = new ArrayList();
    private final a T0;
    private MemoryCategory U0 = MemoryCategory.NORMAL;
    @Nullable
    @GuardedBy("this")
    private com.bumptech.glide.load.engine.c0.b V0;

    /* compiled from: Glide */
    public interface a {
        @NonNull
        g a();
    }

    c(@NonNull Context context, @NonNull k kVar, @NonNull j jVar, @NonNull e eVar, @NonNull b bVar, @NonNull com.bumptech.glide.manager.k kVar2, @NonNull d dVar, int i, @NonNull a aVar, @NonNull Map<Class<?>, j<?, ?>> map, @NonNull List<f<Object>> list, boolean z, boolean z2) {
        com.bumptech.glide.load.g gVar;
        com.bumptech.glide.load.g gVar2;
        this.K0 = kVar;
        this.L0 = eVar;
        this.P0 = bVar;
        this.M0 = jVar;
        this.Q0 = kVar2;
        this.R0 = dVar;
        this.T0 = aVar;
        Resources resources = context.getResources();
        Registry registry = new Registry();
        this.O0 = registry;
        registry.t(new DefaultImageHeaderParser());
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 27) {
            registry.t(new r());
        }
        List<ImageHeaderParser> g = registry.g();
        com.bumptech.glide.load.l.g.a aVar2 = new com.bumptech.glide.load.l.g.a(context, g, eVar, bVar);
        com.bumptech.glide.load.g<ParcelFileDescriptor, Bitmap> h = h0.h(eVar);
        o oVar = new o(registry.g(), resources.getDisplayMetrics(), eVar, bVar);
        if (!z2 || i2 < 28) {
            gVar = new com.bumptech.glide.load.resource.bitmap.j(oVar);
            gVar2 = new d0(oVar, bVar);
        } else {
            gVar2 = new w();
            gVar = new com.bumptech.glide.load.resource.bitmap.k();
        }
        com.bumptech.glide.load.l.e.e eVar2 = new com.bumptech.glide.load.l.e.e(context);
        s.c cVar = new s.c(resources);
        s.d dVar2 = new s.d(resources);
        s.b bVar2 = new s.b(resources);
        s.a aVar3 = new s.a(resources);
        com.bumptech.glide.load.resource.bitmap.e eVar3 = new com.bumptech.glide.load.resource.bitmap.e(bVar);
        com.bumptech.glide.load.l.h.a aVar4 = new com.bumptech.glide.load.l.h.a();
        com.bumptech.glide.load.l.h.d dVar3 = new com.bumptech.glide.load.l.h.d();
        ContentResolver contentResolver = context.getContentResolver();
        registry.a(ByteBuffer.class, new com.bumptech.glide.load.k.c()).a(InputStream.class, new t(bVar)).e(Registry.f6805b, ByteBuffer.class, Bitmap.class, gVar).e(Registry.f6805b, InputStream.class, Bitmap.class, gVar2);
        if (m.b()) {
            registry.e(Registry.f6805b, ParcelFileDescriptor.class, Bitmap.class, new y(oVar));
        }
        registry.e(Registry.f6805b, ParcelFileDescriptor.class, Bitmap.class, h).e(Registry.f6805b, AssetFileDescriptor.class, Bitmap.class, h0.c(eVar)).d(Bitmap.class, Bitmap.class, v.a.b()).e(Registry.f6805b, Bitmap.class, Bitmap.class, new f0()).b(Bitmap.class, eVar3).e(Registry.f6806c, ByteBuffer.class, BitmapDrawable.class, new com.bumptech.glide.load.resource.bitmap.a(resources, gVar)).e(Registry.f6806c, InputStream.class, BitmapDrawable.class, new com.bumptech.glide.load.resource.bitmap.a(resources, gVar2)).e(Registry.f6806c, ParcelFileDescriptor.class, BitmapDrawable.class, new com.bumptech.glide.load.resource.bitmap.a(resources, h)).b(BitmapDrawable.class, new com.bumptech.glide.load.resource.bitmap.b(eVar, eVar3)).e(Registry.f6804a, InputStream.class, com.bumptech.glide.load.l.g.c.class, new com.bumptech.glide.load.l.g.j(g, aVar2, bVar)).e(Registry.f6804a, ByteBuffer.class, com.bumptech.glide.load.l.g.c.class, aVar2).b(com.bumptech.glide.load.l.g.c.class, new com.bumptech.glide.load.l.g.d()).d(GifDecoder.class, GifDecoder.class, v.a.b()).e(Registry.f6805b, GifDecoder.class, Bitmap.class, new h(eVar)).c(Uri.class, Drawable.class, eVar2).c(Uri.class, Bitmap.class, new a0(eVar2, eVar)).u(new a.C0174a()).d(File.class, ByteBuffer.class, new d.b()).d(File.class, InputStream.class, new f.e()).c(File.class, File.class, new com.bumptech.glide.load.l.f.a()).d(File.class, ParcelFileDescriptor.class, new f.b()).d(File.class, File.class, v.a.b()).u(new k.a(bVar));
        if (m.b()) {
            registry.u(new m.a());
        }
        Class cls = Integer.TYPE;
        registry.d(cls, InputStream.class, cVar).d(cls, ParcelFileDescriptor.class, bVar2).d(Integer.class, InputStream.class, cVar).d(Integer.class, ParcelFileDescriptor.class, bVar2).d(Integer.class, Uri.class, dVar2).d(cls, AssetFileDescriptor.class, aVar3).d(Integer.class, AssetFileDescriptor.class, aVar3).d(cls, Uri.class, dVar2).d(String.class, InputStream.class, new e.c()).d(Uri.class, InputStream.class, new e.c()).d(String.class, InputStream.class, new u.c()).d(String.class, ParcelFileDescriptor.class, new u.b()).d(String.class, AssetFileDescriptor.class, new u.a()).d(Uri.class, InputStream.class, new c.a()).d(Uri.class, InputStream.class, new a.c(context.getAssets())).d(Uri.class, ParcelFileDescriptor.class, new a.b(context.getAssets())).d(Uri.class, InputStream.class, new d.a(context)).d(Uri.class, InputStream.class, new e.a(context));
        if (i2 >= 29) {
            registry.d(Uri.class, InputStream.class, new f.c(context));
            registry.d(Uri.class, ParcelFileDescriptor.class, new f.b(context));
        }
        registry.d(Uri.class, InputStream.class, new w.d(contentResolver)).d(Uri.class, ParcelFileDescriptor.class, new w.b(contentResolver)).d(Uri.class, AssetFileDescriptor.class, new w.a(contentResolver)).d(Uri.class, InputStream.class, new x.a()).d(URL.class, InputStream.class, new g.a()).d(Uri.class, File.class, new k.a(context)).d(com.bumptech.glide.load.k.g.class, InputStream.class, new b.a()).d(byte[].class, ByteBuffer.class, new b.a()).d(byte[].class, InputStream.class, new b.d()).d(Uri.class, Uri.class, v.a.b()).d(Drawable.class, Drawable.class, v.a.b()).c(Drawable.class, Drawable.class, new com.bumptech.glide.load.l.e.f()).x(Bitmap.class, BitmapDrawable.class, new com.bumptech.glide.load.l.h.b(resources)).x(Bitmap.class, byte[].class, aVar4).x(Drawable.class, byte[].class, new com.bumptech.glide.load.l.h.c(eVar, aVar4, dVar3)).x(com.bumptech.glide.load.l.g.c.class, byte[].class, dVar3);
        if (i2 >= 23) {
            com.bumptech.glide.load.g<ByteBuffer, Bitmap> d2 = h0.d(eVar);
            registry.c(ByteBuffer.class, Bitmap.class, d2);
            registry.c(ByteBuffer.class, BitmapDrawable.class, new com.bumptech.glide.load.resource.bitmap.a(resources, d2));
        }
        this.N0 = new e(context, bVar, registry, new com.bumptech.glide.request.k.k(), aVar, map, list, kVar, z, i);
    }

    @NonNull
    public static i B(@NonNull Activity activity) {
        return o(activity).i(activity);
    }

    @NonNull
    @Deprecated
    public static i C(@NonNull Fragment fragment) {
        return o(fragment.getActivity()).j(fragment);
    }

    @NonNull
    public static i D(@NonNull Context context) {
        return o(context).k(context);
    }

    @NonNull
    public static i E(@NonNull View view) {
        return o(view.getContext()).l(view);
    }

    @NonNull
    public static i F(@NonNull androidx.fragment.app.Fragment fragment) {
        return o(fragment.getContext()).m(fragment);
    }

    @NonNull
    public static i G(@NonNull FragmentActivity fragmentActivity) {
        return o(fragmentActivity).n(fragmentActivity);
    }

    @GuardedBy("Glide.class")
    private static void a(@NonNull Context context, @Nullable GeneratedAppGlideModule generatedAppGlideModule) {
        if (!J0) {
            J0 = true;
            r(context, generatedAppGlideModule);
            J0 = false;
            return;
        }
        throw new IllegalStateException("You cannot call Glide.get() in registerComponents(), use the provided Glide instance instead");
    }

    @NonNull
    public static c d(@NonNull Context context) {
        if (I0 == null) {
            GeneratedAppGlideModule e2 = e(context.getApplicationContext());
            synchronized (c.class) {
                if (I0 == null) {
                    a(context, e2);
                }
            }
        }
        return I0;
    }

    @Nullable
    private static GeneratedAppGlideModule e(Context context) {
        try {
            return (GeneratedAppGlideModule) Class.forName("com.bumptech.glide.GeneratedAppGlideModuleImpl").getDeclaredConstructor(Context.class).newInstance(context.getApplicationContext());
        } catch (ClassNotFoundException unused) {
            if (Log.isLoggable(f6810b, 5)) {
                Log.w(f6810b, "Failed to find GeneratedAppGlideModule. You should include an annotationProcessor compile dependency on com.github.bumptech.glide:compiler in your application and a @GlideModule annotated AppGlideModule implementation or LibraryGlideModules will be silently ignored");
            }
        } catch (InstantiationException e2) {
            y(e2);
        } catch (IllegalAccessException e3) {
            y(e3);
        } catch (NoSuchMethodException e4) {
            y(e4);
        } catch (InvocationTargetException e5) {
            y(e5);
        }
        return null;
    }

    @Nullable
    public static File k(@NonNull Context context) {
        return l(context, "image_manager_disk_cache");
    }

    @Nullable
    public static File l(@NonNull Context context, @NonNull String str) {
        File cacheDir = context.getCacheDir();
        if (cacheDir != null) {
            File file = new File(cacheDir, str);
            if (file.mkdirs() || (file.exists() && file.isDirectory())) {
                return file;
            }
            return null;
        }
        if (Log.isLoggable(f6810b, 6)) {
            Log.e(f6810b, "default disk cache dir is null");
        }
        return null;
    }

    @NonNull
    private static com.bumptech.glide.manager.k o(@Nullable Context context) {
        com.bumptech.glide.util.k.e(context, "You cannot start a load on a not yet attached View or a Fragment where getActivity() returns null (which usually occurs when getActivity() is called before the Fragment is attached or after the Fragment is destroyed).");
        return d(context).n();
    }

    @VisibleForTesting
    public static void p(@NonNull Context context, @NonNull d dVar) {
        GeneratedAppGlideModule e2 = e(context);
        synchronized (c.class) {
            if (I0 != null) {
                x();
            }
            s(context, dVar, e2);
        }
    }

    @VisibleForTesting
    @Deprecated
    public static synchronized void q(c cVar) {
        synchronized (c.class) {
            if (I0 != null) {
                x();
            }
            I0 = cVar;
        }
    }

    @GuardedBy("Glide.class")
    private static void r(@NonNull Context context, @Nullable GeneratedAppGlideModule generatedAppGlideModule) {
        s(context, new d(), generatedAppGlideModule);
    }

    @GuardedBy("Glide.class")
    private static void s(@NonNull Context context, @NonNull d dVar, @Nullable GeneratedAppGlideModule generatedAppGlideModule) {
        Context applicationContext = context.getApplicationContext();
        List<com.bumptech.glide.l.c> emptyList = Collections.emptyList();
        if (generatedAppGlideModule == null || generatedAppGlideModule.c()) {
            emptyList = new com.bumptech.glide.l.e(applicationContext).a();
        }
        if (generatedAppGlideModule != null && !generatedAppGlideModule.d().isEmpty()) {
            Set<Class<?>> d2 = generatedAppGlideModule.d();
            Iterator<com.bumptech.glide.l.c> it = emptyList.iterator();
            while (it.hasNext()) {
                com.bumptech.glide.l.c next = it.next();
                if (d2.contains(next.getClass())) {
                    if (Log.isLoggable(f6810b, 3)) {
                        Log.d(f6810b, "AppGlideModule excludes manifest GlideModule: " + next);
                    }
                    it.remove();
                }
            }
        }
        if (Log.isLoggable(f6810b, 3)) {
            Iterator<com.bumptech.glide.l.c> it2 = emptyList.iterator();
            while (it2.hasNext()) {
                Log.d(f6810b, "Discovered GlideModule from manifest: " + it2.next().getClass());
            }
        }
        dVar.t(generatedAppGlideModule != null ? generatedAppGlideModule.e() : null);
        for (com.bumptech.glide.l.c cVar : emptyList) {
            cVar.a(applicationContext, dVar);
        }
        if (generatedAppGlideModule != null) {
            generatedAppGlideModule.a(applicationContext, dVar);
        }
        c b2 = dVar.b(applicationContext);
        for (com.bumptech.glide.l.c cVar2 : emptyList) {
            try {
                cVar2.b(applicationContext, b2, b2.O0);
            } catch (AbstractMethodError e2) {
                throw new IllegalStateException("Attempting to register a Glide v3 module. If you see this, you or one of your dependencies may be including Glide v3 even though you're using Glide v4. You'll need to find and remove (or update) the offending dependency. The v3 module name is: " + cVar2.getClass().getName(), e2);
            }
        }
        if (generatedAppGlideModule != null) {
            generatedAppGlideModule.b(applicationContext, b2, b2.O0);
        }
        applicationContext.registerComponentCallbacks(b2);
        I0 = b2;
    }

    @VisibleForTesting
    public static synchronized void x() {
        synchronized (c.class) {
            if (I0 != null) {
                I0.i().getApplicationContext().unregisterComponentCallbacks(I0);
                I0.K0.m();
            }
            I0 = null;
        }
    }

    private static void y(Exception exc) {
        throw new IllegalStateException("GeneratedAppGlideModuleImpl is implemented incorrectly. If you've manually implemented this class, remove your implementation. The Annotation processor will generate a correct implementation.", exc);
    }

    /* access modifiers changed from: package-private */
    public void A(i iVar) {
        synchronized (this.S0) {
            if (this.S0.contains(iVar)) {
                this.S0.remove(iVar);
            } else {
                throw new IllegalStateException("Cannot unregister not yet registered manager");
            }
        }
    }

    public void b() {
        l.a();
        this.K0.e();
    }

    public void c() {
        l.b();
        this.M0.b();
        this.L0.b();
        this.P0.b();
    }

    @NonNull
    public com.bumptech.glide.load.engine.z.b f() {
        return this.P0;
    }

    @NonNull
    public com.bumptech.glide.load.engine.z.e g() {
        return this.L0;
    }

    /* access modifiers changed from: package-private */
    public com.bumptech.glide.manager.d h() {
        return this.R0;
    }

    @NonNull
    public Context i() {
        return this.N0.getBaseContext();
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public e j() {
        return this.N0;
    }

    @NonNull
    public Registry m() {
        return this.O0;
    }

    @NonNull
    public com.bumptech.glide.manager.k n() {
        return this.Q0;
    }

    public void onConfigurationChanged(Configuration configuration) {
    }

    public void onLowMemory() {
        c();
    }

    public void onTrimMemory(int i) {
        z(i);
    }

    public synchronized void t(@NonNull d.a... aVarArr) {
        if (this.V0 == null) {
            this.V0 = new com.bumptech.glide.load.engine.c0.b(this.M0, this.L0, (DecodeFormat) this.T0.a().R().a(o.f7409b));
        }
        this.V0.c(aVarArr);
    }

    /* access modifiers changed from: package-private */
    public void u(i iVar) {
        synchronized (this.S0) {
            if (!this.S0.contains(iVar)) {
                this.S0.add(iVar);
            } else {
                throw new IllegalStateException("Cannot register already registered manager");
            }
        }
    }

    /* access modifiers changed from: package-private */
    public boolean v(@NonNull p<?> pVar) {
        synchronized (this.S0) {
            for (i iVar : this.S0) {
                if (iVar.b0(pVar)) {
                    return true;
                }
            }
            return false;
        }
    }

    @NonNull
    public MemoryCategory w(@NonNull MemoryCategory memoryCategory) {
        l.b();
        this.M0.c(memoryCategory.getMultiplier());
        this.L0.c(memoryCategory.getMultiplier());
        MemoryCategory memoryCategory2 = this.U0;
        this.U0 = memoryCategory;
        return memoryCategory2;
    }

    public void z(int i) {
        l.b();
        for (i iVar : this.S0) {
            iVar.onTrimMemory(i);
        }
        this.M0.a(i);
        this.L0.a(i);
        this.P0.a(i);
    }
}
