package com.bumptech.glide;

import android.content.Context;
import android.content.ContextWrapper;
import android.widget.ImageView;
import androidx.annotation.GuardedBy;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import com.bumptech.glide.c;
import com.bumptech.glide.load.engine.z.b;
import com.bumptech.glide.request.f;
import com.bumptech.glide.request.g;
import com.bumptech.glide.request.k.k;
import com.bumptech.glide.request.k.r;
import java.util.List;
import java.util.Map;

/* compiled from: GlideContext */
public class e extends ContextWrapper {
    @VisibleForTesting

    /* renamed from: a  reason: collision with root package name */
    static final j<?, ?> f6819a = new b();

    /* renamed from: b  reason: collision with root package name */
    private final b f6820b;

    /* renamed from: c  reason: collision with root package name */
    private final Registry f6821c;

    /* renamed from: d  reason: collision with root package name */
    private final k f6822d;

    /* renamed from: e  reason: collision with root package name */
    private final c.a f6823e;
    private final List<f<Object>> f;
    private final Map<Class<?>, j<?, ?>> g;
    private final com.bumptech.glide.load.engine.k h;
    private final boolean i;
    private final int j;
    @Nullable
    @GuardedBy("this")
    private g k;

    public e(@NonNull Context context, @NonNull b bVar, @NonNull Registry registry, @NonNull k kVar, @NonNull c.a aVar, @NonNull Map<Class<?>, j<?, ?>> map, @NonNull List<f<Object>> list, @NonNull com.bumptech.glide.load.engine.k kVar2, boolean z, int i2) {
        super(context.getApplicationContext());
        this.f6820b = bVar;
        this.f6821c = registry;
        this.f6822d = kVar;
        this.f6823e = aVar;
        this.f = list;
        this.g = map;
        this.h = kVar2;
        this.i = z;
        this.j = i2;
    }

    @NonNull
    public <X> r<ImageView, X> a(@NonNull ImageView imageView, @NonNull Class<X> cls) {
        return this.f6822d.a(imageView, cls);
    }

    @NonNull
    public b b() {
        return this.f6820b;
    }

    public List<f<Object>> c() {
        return this.f;
    }

    public synchronized g d() {
        if (this.k == null) {
            this.k = (g) this.f6823e.a().t0();
        }
        return this.k;
    }

    @NonNull
    public <T> j<?, T> e(@NonNull Class<T> cls) {
        j<?, T> jVar = (j<?, T>) this.g.get(cls);
        if (jVar == null) {
            for (Map.Entry<Class<?>, j<?, ?>> entry : this.g.entrySet()) {
                if (entry.getKey().isAssignableFrom(cls)) {
                    jVar = (j<?, T>) entry.getValue();
                }
            }
        }
        return jVar == null ? (j<?, T>) f6819a : jVar;
    }

    @NonNull
    public com.bumptech.glide.load.engine.k f() {
        return this.h;
    }

    public int g() {
        return this.j;
    }

    @NonNull
    public Registry h() {
        return this.f6821c;
    }

    public boolean i() {
        return this.i;
    }
}
