package com.bumptech.glide;

import android.content.ComponentCallbacks2;
import android.content.Context;
import android.content.res.Configuration;
import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Handler;
import android.os.Looper;
import android.view.View;
import androidx.annotation.CheckResult;
import androidx.annotation.DrawableRes;
import androidx.annotation.GuardedBy;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RawRes;
import com.bumptech.glide.load.engine.j;
import com.bumptech.glide.manager.c;
import com.bumptech.glide.manager.h;
import com.bumptech.glide.manager.l;
import com.bumptech.glide.manager.m;
import com.bumptech.glide.manager.o;
import com.bumptech.glide.request.d;
import com.bumptech.glide.request.f;
import com.bumptech.glide.request.g;
import com.bumptech.glide.request.k.p;
import java.io.File;
import java.net.URL;
import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;

/* compiled from: RequestManager */
public class i implements ComponentCallbacks2, com.bumptech.glide.manager.i, g<h<Drawable>> {
    private static final g I0 = ((g) ((g) g.i1(j.f7037c).I0(Priority.LOW)).Q0(true));

    /* renamed from: a  reason: collision with root package name */
    private static final g f6854a = ((g) g.h1(Bitmap.class).t0());

    /* renamed from: b  reason: collision with root package name */
    private static final g f6855b = ((g) g.h1(com.bumptech.glide.load.l.g.c.class).t0());
    protected final c J0;
    protected final Context K0;
    final h L0;
    @GuardedBy("this")
    private final m M0;
    @GuardedBy("this")
    private final l N0;
    @GuardedBy("this")
    private final o O0;
    private final Runnable P0;
    private final Handler Q0;
    private final com.bumptech.glide.manager.c R0;
    private final CopyOnWriteArrayList<f<Object>> S0;
    @GuardedBy("this")
    private g T0;
    private boolean U0;

    /* compiled from: RequestManager */
    class a implements Runnable {
        a() {
        }

        public void run() {
            i iVar = i.this;
            iVar.L0.a(iVar);
        }
    }

    /* compiled from: RequestManager */
    private static class b extends com.bumptech.glide.request.k.f<View, Object> {
        b(@NonNull View view) {
            super(view);
        }

        @Override // com.bumptech.glide.request.k.p
        public void e(@NonNull Object obj, @Nullable com.bumptech.glide.request.l.f<? super Object> fVar) {
        }

        @Override // com.bumptech.glide.request.k.p
        public void j(@Nullable Drawable drawable) {
        }

        /* access modifiers changed from: protected */
        @Override // com.bumptech.glide.request.k.f
        public void p(@Nullable Drawable drawable) {
        }
    }

    /* compiled from: RequestManager */
    private class c implements c.a {
        @GuardedBy("RequestManager.this")

        /* renamed from: a  reason: collision with root package name */
        private final m f6857a;

        c(@NonNull m mVar) {
            this.f6857a = mVar;
        }

        @Override // com.bumptech.glide.manager.c.a
        public void a(boolean z) {
            if (z) {
                synchronized (i.this) {
                    this.f6857a.g();
                }
            }
        }
    }

    public i(@NonNull c cVar, @NonNull h hVar, @NonNull l lVar, @NonNull Context context) {
        this(cVar, hVar, lVar, new m(), cVar.h(), context);
    }

    private void c0(@NonNull p<?> pVar) {
        boolean b0 = b0(pVar);
        d c2 = pVar.c();
        if (!b0 && !this.J0.v(pVar) && c2 != null) {
            pVar.i(null);
            c2.clear();
        }
    }

    private synchronized void d0(@NonNull g gVar) {
        this.T0 = (g) this.T0.a(gVar);
    }

    public void A(@NonNull View view) {
        B(new b(view));
    }

    public void B(@Nullable p<?> pVar) {
        if (pVar != null) {
            c0(pVar);
        }
    }

    @NonNull
    @CheckResult
    public h<File> C(@Nullable Object obj) {
        return D().r(obj);
    }

    @NonNull
    @CheckResult
    public h<File> D() {
        return v(File.class).a(I0);
    }

    /* access modifiers changed from: package-private */
    public List<f<Object>> E() {
        return this.S0;
    }

    /* access modifiers changed from: package-private */
    public synchronized g F() {
        return this.T0;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public <T> j<?, T> G(Class<T> cls) {
        return this.J0.j().e(cls);
    }

    public synchronized boolean H() {
        return this.M0.d();
    }

    @NonNull
    @CheckResult
    /* renamed from: I */
    public h<Drawable> q(@Nullable Bitmap bitmap) {
        return x().q(bitmap);
    }

    @NonNull
    @CheckResult
    /* renamed from: J */
    public h<Drawable> p(@Nullable Drawable drawable) {
        return x().p(drawable);
    }

    @NonNull
    @CheckResult
    /* renamed from: K */
    public h<Drawable> h(@Nullable Uri uri) {
        return x().h(uri);
    }

    @NonNull
    @CheckResult
    /* renamed from: L */
    public h<Drawable> n(@Nullable File file) {
        return x().n(file);
    }

    @NonNull
    @CheckResult
    /* renamed from: M */
    public h<Drawable> s(@Nullable @DrawableRes @RawRes Integer num) {
        return x().s(num);
    }

    @NonNull
    @CheckResult
    /* renamed from: N */
    public h<Drawable> r(@Nullable Object obj) {
        return x().r(obj);
    }

    @NonNull
    @CheckResult
    /* renamed from: O */
    public h<Drawable> t(@Nullable String str) {
        return x().t(str);
    }

    @CheckResult
    @Deprecated
    /* renamed from: P */
    public h<Drawable> f(@Nullable URL url) {
        return x().f(url);
    }

    @NonNull
    @CheckResult
    /* renamed from: Q */
    public h<Drawable> m(@Nullable byte[] bArr) {
        return x().m(bArr);
    }

    public synchronized void R() {
        this.M0.e();
    }

    public synchronized void S() {
        R();
        for (i iVar : this.N0.a()) {
            iVar.R();
        }
    }

    public synchronized void T() {
        this.M0.f();
    }

    public synchronized void U() {
        T();
        for (i iVar : this.N0.a()) {
            iVar.T();
        }
    }

    public synchronized void V() {
        this.M0.h();
    }

    public synchronized void W() {
        com.bumptech.glide.util.l.b();
        V();
        for (i iVar : this.N0.a()) {
            iVar.V();
        }
    }

    @NonNull
    public synchronized i X(@NonNull g gVar) {
        Z(gVar);
        return this;
    }

    public void Y(boolean z) {
        this.U0 = z;
    }

    /* access modifiers changed from: protected */
    public synchronized void Z(@NonNull g gVar) {
        this.T0 = (g) ((g) gVar.clone()).b();
    }

    @Override // com.bumptech.glide.manager.i
    public synchronized void a() {
        V();
        this.O0.a();
    }

    /* access modifiers changed from: package-private */
    public synchronized void a0(@NonNull p<?> pVar, @NonNull d dVar) {
        this.O0.h(pVar);
        this.M0.i(dVar);
    }

    @Override // com.bumptech.glide.manager.i
    public synchronized void b() {
        this.O0.b();
        for (p<?> pVar : this.O0.g()) {
            B(pVar);
        }
        this.O0.f();
        this.M0.c();
        this.L0.b(this);
        this.L0.b(this.R0);
        this.Q0.removeCallbacks(this.P0);
        this.J0.A(this);
    }

    /* access modifiers changed from: package-private */
    public synchronized boolean b0(@NonNull p<?> pVar) {
        d c2 = pVar.c();
        if (c2 == null) {
            return true;
        }
        if (!this.M0.b(c2)) {
            return false;
        }
        this.O0.m(pVar);
        pVar.i(null);
        return true;
    }

    public i g(f<Object> fVar) {
        this.S0.add(fVar);
        return this;
    }

    public void onConfigurationChanged(Configuration configuration) {
    }

    public void onLowMemory() {
    }

    @Override // com.bumptech.glide.manager.i
    public synchronized void onStop() {
        T();
        this.O0.onStop();
    }

    public void onTrimMemory(int i) {
        if (i == 60 && this.U0) {
            S();
        }
    }

    public synchronized String toString() {
        return super.toString() + "{tracker=" + this.M0 + ", treeNode=" + this.N0 + com.alipay.sdk.util.g.f6033d;
    }

    @NonNull
    public synchronized i u(@NonNull g gVar) {
        d0(gVar);
        return this;
    }

    @NonNull
    @CheckResult
    public <ResourceType> h<ResourceType> v(@NonNull Class<ResourceType> cls) {
        return new h<>(this.J0, this, cls, this.K0);
    }

    @NonNull
    @CheckResult
    public h<Bitmap> w() {
        return v(Bitmap.class).a(f6854a);
    }

    @NonNull
    @CheckResult
    public h<Drawable> x() {
        return v(Drawable.class);
    }

    @NonNull
    @CheckResult
    public h<File> y() {
        return v(File.class).a(g.B1(true));
    }

    @NonNull
    @CheckResult
    public h<com.bumptech.glide.load.l.g.c> z() {
        return v(com.bumptech.glide.load.l.g.c.class).a(f6855b);
    }

    i(c cVar, h hVar, l lVar, m mVar, com.bumptech.glide.manager.d dVar, Context context) {
        this.O0 = new o();
        a aVar = new a();
        this.P0 = aVar;
        Handler handler = new Handler(Looper.getMainLooper());
        this.Q0 = handler;
        this.J0 = cVar;
        this.L0 = hVar;
        this.N0 = lVar;
        this.M0 = mVar;
        this.K0 = context;
        com.bumptech.glide.manager.c a2 = dVar.a(context.getApplicationContext(), new c(mVar));
        this.R0 = a2;
        if (com.bumptech.glide.util.l.s()) {
            handler.post(aVar);
        } else {
            hVar.a(this);
        }
        hVar.a(a2);
        this.S0 = new CopyOnWriteArrayList<>(cVar.j().c());
        Z(cVar.j().d());
        cVar.u(this);
    }
}
