package com.bumptech.glide.k;

import android.annotation.TargetApi;
import android.os.Build;
import android.os.StrictMode;
import com.ibm.icu.impl.number.Padder;
import java.io.BufferedWriter;
import java.io.Closeable;
import java.io.EOFException;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.PrintStream;
import java.io.Writer;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.concurrent.Callable;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

/* compiled from: DiskLruCache */
public final class a implements Closeable {
    static final String I0 = "journal.bkp";
    static final String J0 = "libcore.io.DiskLruCache";
    static final String K0 = "1";
    static final long L0 = -1;
    private static final String M0 = "CLEAN";
    private static final String N0 = "DIRTY";
    private static final String O0 = "REMOVE";
    private static final String P0 = "READ";

    /* renamed from: a  reason: collision with root package name */
    static final String f6860a = "journal";

    /* renamed from: b  reason: collision with root package name */
    static final String f6861b = "journal.tmp";
    private final File Q0;
    private final File R0;
    private final File S0;
    private final File T0;
    private final int U0;
    private long V0;
    private final int W0;
    private long X0 = 0;
    private Writer Y0;
    private final LinkedHashMap<String, d> Z0 = new LinkedHashMap<>(0, 0.75f, true);
    private int a1;
    private long b1 = 0;
    final ThreadPoolExecutor c1 = new ThreadPoolExecutor(0, 1, 60, TimeUnit.SECONDS, new LinkedBlockingQueue(), new b(null));
    private final Callable<Void> d1 = new CallableC0156a();

    /* access modifiers changed from: package-private */
    /* renamed from: com.bumptech.glide.k.a$a  reason: collision with other inner class name */
    /* compiled from: DiskLruCache */
    public class CallableC0156a implements Callable<Void> {
        CallableC0156a() {
        }

        /* renamed from: a */
        public Void call() throws Exception {
            synchronized (a.this) {
                if (a.this.Y0 == null) {
                    return null;
                }
                a.this.d1();
                if (a.this.z0()) {
                    a.this.V0();
                    a.this.a1 = 0;
                }
                return null;
            }
        }
    }

    /* compiled from: DiskLruCache */
    private static final class b implements ThreadFactory {
        private b() {
        }

        public synchronized Thread newThread(Runnable runnable) {
            Thread thread;
            thread = new Thread(runnable, "glide-disk-lru-cache-thread");
            thread.setPriority(1);
            return thread;
        }

        /* synthetic */ b(CallableC0156a aVar) {
            this();
        }
    }

    /* compiled from: DiskLruCache */
    public final class c {

        /* renamed from: a  reason: collision with root package name */
        private final d f6863a;

        /* renamed from: b  reason: collision with root package name */
        private final boolean[] f6864b;

        /* renamed from: c  reason: collision with root package name */
        private boolean f6865c;

        /* synthetic */ c(a aVar, d dVar, CallableC0156a aVar2) {
            this(dVar);
        }

        private InputStream h(int i) throws IOException {
            synchronized (a.this) {
                if (this.f6863a.f != this) {
                    throw new IllegalStateException();
                } else if (!this.f6863a.f6871e) {
                    return null;
                } else {
                    try {
                        return new FileInputStream(this.f6863a.j(i));
                    } catch (FileNotFoundException unused) {
                        return null;
                    }
                }
            }
        }

        public void a() throws IOException {
            a.this.O(this, false);
        }

        public void b() {
            if (!this.f6865c) {
                try {
                    a();
                } catch (IOException unused) {
                }
            }
        }

        public void e() throws IOException {
            a.this.O(this, true);
            this.f6865c = true;
        }

        public File f(int i) throws IOException {
            File k;
            synchronized (a.this) {
                if (this.f6863a.f == this) {
                    if (!this.f6863a.f6871e) {
                        this.f6864b[i] = true;
                    }
                    k = this.f6863a.k(i);
                    if (!a.this.Q0.exists()) {
                        a.this.Q0.mkdirs();
                    }
                } else {
                    throw new IllegalStateException();
                }
            }
            return k;
        }

        public String g(int i) throws IOException {
            InputStream h = h(i);
            if (h != null) {
                return a.x0(h);
            }
            return null;
        }

        public void i(int i, String str) throws IOException {
            Throwable th;
            OutputStreamWriter outputStreamWriter = null;
            try {
                OutputStreamWriter outputStreamWriter2 = new OutputStreamWriter(new FileOutputStream(f(i)), c.f6881b);
                try {
                    outputStreamWriter2.write(str);
                    c.a(outputStreamWriter2);
                } catch (Throwable th2) {
                    th = th2;
                    outputStreamWriter = outputStreamWriter2;
                    c.a(outputStreamWriter);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                c.a(outputStreamWriter);
                throw th;
            }
        }

        private c(d dVar) {
            this.f6863a = dVar;
            this.f6864b = dVar.f6871e ? null : new boolean[a.this.W0];
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: DiskLruCache */
    public final class d {

        /* renamed from: a  reason: collision with root package name */
        private final String f6867a;

        /* renamed from: b  reason: collision with root package name */
        private final long[] f6868b;

        /* renamed from: c  reason: collision with root package name */
        File[] f6869c;

        /* renamed from: d  reason: collision with root package name */
        File[] f6870d;

        /* renamed from: e  reason: collision with root package name */
        private boolean f6871e;
        private c f;
        private long g;

        /* synthetic */ d(a aVar, String str, CallableC0156a aVar2) {
            this(str);
        }

        private IOException m(String[] strArr) throws IOException {
            throw new IOException("unexpected journal line: " + Arrays.toString(strArr));
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void n(String[] strArr) throws IOException {
            if (strArr.length == a.this.W0) {
                for (int i = 0; i < strArr.length; i++) {
                    try {
                        this.f6868b[i] = Long.parseLong(strArr[i]);
                    } catch (NumberFormatException unused) {
                        throw m(strArr);
                    }
                }
                return;
            }
            throw m(strArr);
        }

        public File j(int i) {
            return this.f6869c[i];
        }

        public File k(int i) {
            return this.f6870d[i];
        }

        public String l() throws IOException {
            StringBuilder sb = new StringBuilder();
            long[] jArr = this.f6868b;
            for (long j : jArr) {
                sb.append(' ');
                sb.append(j);
            }
            return sb.toString();
        }

        private d(String str) {
            this.f6867a = str;
            this.f6868b = new long[a.this.W0];
            this.f6869c = new File[a.this.W0];
            this.f6870d = new File[a.this.W0];
            StringBuilder sb = new StringBuilder(str);
            sb.append('.');
            int length = sb.length();
            for (int i = 0; i < a.this.W0; i++) {
                sb.append(i);
                this.f6869c[i] = new File(a.this.Q0, sb.toString());
                sb.append(".tmp");
                this.f6870d[i] = new File(a.this.Q0, sb.toString());
                sb.setLength(length);
            }
        }
    }

    /* compiled from: DiskLruCache */
    public final class e {

        /* renamed from: a  reason: collision with root package name */
        private final String f6872a;

        /* renamed from: b  reason: collision with root package name */
        private final long f6873b;

        /* renamed from: c  reason: collision with root package name */
        private final long[] f6874c;

        /* renamed from: d  reason: collision with root package name */
        private final File[] f6875d;

        /* synthetic */ e(a aVar, String str, long j, File[] fileArr, long[] jArr, CallableC0156a aVar2) {
            this(str, j, fileArr, jArr);
        }

        public c a() throws IOException {
            return a.this.b0(this.f6872a, this.f6873b);
        }

        public File b(int i) {
            return this.f6875d[i];
        }

        public long c(int i) {
            return this.f6874c[i];
        }

        public String d(int i) throws IOException {
            return a.x0(new FileInputStream(this.f6875d[i]));
        }

        private e(String str, long j, File[] fileArr, long[] jArr) {
            this.f6872a = str;
            this.f6873b = j;
            this.f6875d = fileArr;
            this.f6874c = jArr;
        }
    }

    private a(File file, int i, int i2, long j) {
        this.Q0 = file;
        this.U0 = i;
        this.R0 = new File(file, f6860a);
        this.S0 = new File(file, f6861b);
        this.T0 = new File(file, I0);
        this.W0 = i2;
        this.V0 = j;
    }

    public static a E0(File file, int i, int i2, long j) throws IOException {
        if (j <= 0) {
            throw new IllegalArgumentException("maxSize <= 0");
        } else if (i2 > 0) {
            File file2 = new File(file, I0);
            if (file2.exists()) {
                File file3 = new File(file, f6860a);
                if (file3.exists()) {
                    file2.delete();
                } else {
                    Z0(file2, file3, false);
                }
            }
            a aVar = new a(file, i, i2, j);
            if (aVar.R0.exists()) {
                try {
                    aVar.K0();
                    aVar.J0();
                    return aVar;
                } catch (IOException e2) {
                    PrintStream printStream = System.out;
                    printStream.println("DiskLruCache " + file + " is corrupt: " + e2.getMessage() + ", removing");
                    aVar.P();
                }
            }
            file.mkdirs();
            a aVar2 = new a(file, i, i2, j);
            aVar2.V0();
            return aVar2;
        } else {
            throw new IllegalArgumentException("valueCount <= 0");
        }
    }

    private void I() {
        if (this.Y0 == null) {
            throw new IllegalStateException("cache is closed");
        }
    }

    private void J0() throws IOException {
        Q(this.S0);
        Iterator<d> it = this.Z0.values().iterator();
        while (it.hasNext()) {
            d next = it.next();
            int i = 0;
            if (next.f == null) {
                while (i < this.W0) {
                    this.X0 += next.f6868b[i];
                    i++;
                }
            } else {
                next.f = null;
                while (i < this.W0) {
                    Q(next.j(i));
                    Q(next.k(i));
                    i++;
                }
                it.remove();
            }
        }
    }

    private void K0() throws IOException {
        b bVar = new b(new FileInputStream(this.R0), c.f6880a);
        try {
            String h = bVar.h();
            String h2 = bVar.h();
            String h3 = bVar.h();
            String h4 = bVar.h();
            String h5 = bVar.h();
            if (!J0.equals(h) || !"1".equals(h2) || !Integer.toString(this.U0).equals(h3) || !Integer.toString(this.W0).equals(h4) || !"".equals(h5)) {
                throw new IOException("unexpected journal header: [" + h + ", " + h2 + ", " + h4 + ", " + h5 + "]");
            }
            int i = 0;
            while (true) {
                try {
                    T0(bVar.h());
                    i++;
                } catch (EOFException unused) {
                    this.a1 = i - this.Z0.size();
                    if (bVar.d()) {
                        V0();
                    } else {
                        this.Y0 = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(this.R0, true), c.f6880a));
                    }
                    return;
                }
            }
        } finally {
            c.a(bVar);
        }
    }

    @TargetApi(26)
    private static void M(Writer writer) throws IOException {
        if (Build.VERSION.SDK_INT < 26) {
            writer.close();
            return;
        }
        StrictMode.ThreadPolicy threadPolicy = StrictMode.getThreadPolicy();
        StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder(threadPolicy).permitUnbufferedIo().build());
        try {
            writer.close();
        } finally {
            StrictMode.setThreadPolicy(threadPolicy);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized void O(c cVar, boolean z) throws IOException {
        d dVar = cVar.f6863a;
        if (dVar.f == cVar) {
            if (z && !dVar.f6871e) {
                for (int i = 0; i < this.W0; i++) {
                    if (!cVar.f6864b[i]) {
                        cVar.a();
                        throw new IllegalStateException("Newly created entry didn't create value for index " + i);
                    } else if (!dVar.k(i).exists()) {
                        cVar.a();
                        return;
                    }
                }
            }
            for (int i2 = 0; i2 < this.W0; i2++) {
                File k = dVar.k(i2);
                if (!z) {
                    Q(k);
                } else if (k.exists()) {
                    File j = dVar.j(i2);
                    k.renameTo(j);
                    long j2 = dVar.f6868b[i2];
                    long length = j.length();
                    dVar.f6868b[i2] = length;
                    this.X0 = (this.X0 - j2) + length;
                }
            }
            this.a1++;
            dVar.f = null;
            if (dVar.f6871e || z) {
                dVar.f6871e = true;
                this.Y0.append((CharSequence) M0);
                this.Y0.append(' ');
                this.Y0.append((CharSequence) dVar.f6867a);
                this.Y0.append((CharSequence) dVar.l());
                this.Y0.append('\n');
                if (z) {
                    long j3 = this.b1;
                    this.b1 = 1 + j3;
                    dVar.g = j3;
                }
            } else {
                this.Z0.remove(dVar.f6867a);
                this.Y0.append((CharSequence) O0);
                this.Y0.append(' ');
                this.Y0.append((CharSequence) dVar.f6867a);
                this.Y0.append('\n');
            }
            e0(this.Y0);
            if (this.X0 > this.V0 || z0()) {
                this.c1.submit(this.d1);
            }
            return;
        }
        throw new IllegalStateException();
    }

    private static void Q(File file) throws IOException {
        if (file.exists() && !file.delete()) {
            throw new IOException();
        }
    }

    private void T0(String str) throws IOException {
        String str2;
        int indexOf = str.indexOf(32);
        if (indexOf != -1) {
            int i = indexOf + 1;
            int indexOf2 = str.indexOf(32, i);
            if (indexOf2 == -1) {
                str2 = str.substring(i);
                if (indexOf == 6 && str.startsWith(O0)) {
                    this.Z0.remove(str2);
                    return;
                }
            } else {
                str2 = str.substring(i, indexOf2);
            }
            d dVar = this.Z0.get(str2);
            if (dVar == null) {
                dVar = new d(this, str2, null);
                this.Z0.put(str2, dVar);
            }
            if (indexOf2 != -1 && indexOf == 5 && str.startsWith(M0)) {
                String[] split = str.substring(indexOf2 + 1).split(Padder.f14124a);
                dVar.f6871e = true;
                dVar.f = null;
                dVar.n(split);
            } else if (indexOf2 == -1 && indexOf == 5 && str.startsWith(N0)) {
                dVar.f = new c(this, dVar, null);
            } else if (indexOf2 != -1 || indexOf != 4 || !str.startsWith(P0)) {
                throw new IOException("unexpected journal line: " + str);
            }
        } else {
            throw new IOException("unexpected journal line: " + str);
        }
    }

    /* JADX INFO: finally extract failed */
    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized void V0() throws IOException {
        Writer writer = this.Y0;
        if (writer != null) {
            M(writer);
        }
        BufferedWriter bufferedWriter = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(this.S0), c.f6880a));
        try {
            bufferedWriter.write(J0);
            bufferedWriter.write("\n");
            bufferedWriter.write("1");
            bufferedWriter.write("\n");
            bufferedWriter.write(Integer.toString(this.U0));
            bufferedWriter.write("\n");
            bufferedWriter.write(Integer.toString(this.W0));
            bufferedWriter.write("\n");
            bufferedWriter.write("\n");
            for (d dVar : this.Z0.values()) {
                if (dVar.f != null) {
                    bufferedWriter.write("DIRTY " + dVar.f6867a + '\n');
                } else {
                    bufferedWriter.write("CLEAN " + dVar.f6867a + dVar.l() + '\n');
                }
            }
            M(bufferedWriter);
            if (this.R0.exists()) {
                Z0(this.R0, this.T0, true);
            }
            Z0(this.S0, this.R0, false);
            this.T0.delete();
            this.Y0 = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(this.R0, true), c.f6880a));
        } catch (Throwable th) {
            M(bufferedWriter);
            throw th;
        }
    }

    private static void Z0(File file, File file2, boolean z) throws IOException {
        if (z) {
            Q(file2);
        }
        if (!file.renameTo(file2)) {
            throw new IOException();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized c b0(String str, long j) throws IOException {
        I();
        d dVar = this.Z0.get(str);
        if (j != -1 && (dVar == null || dVar.g != j)) {
            return null;
        }
        if (dVar == null) {
            dVar = new d(this, str, null);
            this.Z0.put(str, dVar);
        } else if (dVar.f != null) {
            return null;
        }
        c cVar = new c(this, dVar, null);
        dVar.f = cVar;
        this.Y0.append((CharSequence) N0);
        this.Y0.append(' ');
        this.Y0.append((CharSequence) str);
        this.Y0.append('\n');
        e0(this.Y0);
        return cVar;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void d1() throws IOException {
        while (this.X0 > this.V0) {
            X0(this.Z0.entrySet().iterator().next().getKey());
        }
    }

    @TargetApi(26)
    private static void e0(Writer writer) throws IOException {
        if (Build.VERSION.SDK_INT < 26) {
            writer.flush();
            return;
        }
        StrictMode.ThreadPolicy threadPolicy = StrictMode.getThreadPolicy();
        StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder(threadPolicy).permitUnbufferedIo().build());
        try {
            writer.flush();
        } finally {
            StrictMode.setThreadPolicy(threadPolicy);
        }
    }

    /* access modifiers changed from: private */
    public static String x0(InputStream inputStream) throws IOException {
        return c.c(new InputStreamReader(inputStream, c.f6881b));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean z0() {
        int i = this.a1;
        return i >= 2000 && i >= this.Z0.size();
    }

    public void P() throws IOException {
        close();
        c.b(this.Q0);
    }

    public synchronized boolean X0(String str) throws IOException {
        I();
        d dVar = this.Z0.get(str);
        if (dVar != null) {
            if (dVar.f == null) {
                for (int i = 0; i < this.W0; i++) {
                    File j = dVar.j(i);
                    if (j.exists()) {
                        if (!j.delete()) {
                            throw new IOException("failed to delete " + j);
                        }
                    }
                    this.X0 -= dVar.f6868b[i];
                    dVar.f6868b[i] = 0;
                }
                this.a1++;
                this.Y0.append((CharSequence) O0);
                this.Y0.append(' ');
                this.Y0.append((CharSequence) str);
                this.Y0.append('\n');
                this.Z0.remove(str);
                if (z0()) {
                    this.c1.submit(this.d1);
                }
                return true;
            }
        }
        return false;
    }

    public c Z(String str) throws IOException {
        return b0(str, -1);
    }

    public synchronized void b1(long j) {
        this.V0 = j;
        this.c1.submit(this.d1);
    }

    public synchronized long c1() {
        return this.X0;
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public synchronized void close() throws IOException {
        if (this.Y0 != null) {
            Iterator it = new ArrayList(this.Z0.values()).iterator();
            while (it.hasNext()) {
                d dVar = (d) it.next();
                if (dVar.f != null) {
                    dVar.f.a();
                }
            }
            d1();
            M(this.Y0);
            this.Y0 = null;
        }
    }

    public synchronized void flush() throws IOException {
        I();
        d1();
        e0(this.Y0);
    }

    public synchronized boolean isClosed() {
        return this.Y0 == null;
    }

    public synchronized e m0(String str) throws IOException {
        I();
        d dVar = this.Z0.get(str);
        if (dVar == null) {
            return null;
        }
        if (!dVar.f6871e) {
            return null;
        }
        for (File file : dVar.f6869c) {
            if (!file.exists()) {
                return null;
            }
        }
        this.a1++;
        this.Y0.append((CharSequence) P0);
        this.Y0.append(' ');
        this.Y0.append((CharSequence) str);
        this.Y0.append('\n');
        if (z0()) {
            this.c1.submit(this.d1);
        }
        return new e(this, str, dVar.g, dVar.f6869c, dVar.f6868b, null);
    }

    public File o0() {
        return this.Q0;
    }

    public synchronized long w0() {
        return this.V0;
    }
}
