package com.bumptech.glide.load.engine.a0;

import android.annotation.TargetApi;
import android.app.ActivityManager;
import android.content.Context;
import android.os.Build;
import android.text.format.Formatter;
import android.util.DisplayMetrics;
import android.util.Log;
import androidx.annotation.VisibleForTesting;
import com.bumptech.glide.util.k;

/* compiled from: MemorySizeCalculator */
public final class l {

    /* renamed from: a  reason: collision with root package name */
    private static final String f6947a = "MemorySizeCalculator";
    @VisibleForTesting

    /* renamed from: b  reason: collision with root package name */
    static final int f6948b = 4;

    /* renamed from: c  reason: collision with root package name */
    private static final int f6949c = 2;

    /* renamed from: d  reason: collision with root package name */
    private final int f6950d;

    /* renamed from: e  reason: collision with root package name */
    private final int f6951e;
    private final Context f;
    private final int g;

    /* compiled from: MemorySizeCalculator */
    public static final class a {
        @VisibleForTesting

        /* renamed from: a  reason: collision with root package name */
        static final int f6952a = 2;

        /* renamed from: b  reason: collision with root package name */
        static final int f6953b = (Build.VERSION.SDK_INT < 26 ? 4 : 1);

        /* renamed from: c  reason: collision with root package name */
        static final float f6954c = 0.4f;

        /* renamed from: d  reason: collision with root package name */
        static final float f6955d = 0.33f;

        /* renamed from: e  reason: collision with root package name */
        static final int f6956e = 4194304;
        final Context f;
        ActivityManager g;
        c h;
        float i = 2.0f;
        float j = ((float) f6953b);
        float k = f6954c;
        float l = f6955d;
        int m = 4194304;

        public a(Context context) {
            this.f = context;
            this.g = (ActivityManager) context.getSystemService("activity");
            this.h = new b(context.getResources().getDisplayMetrics());
            if (Build.VERSION.SDK_INT >= 26 && l.e(this.g)) {
                this.j = 0.0f;
            }
        }

        public l a() {
            return new l(this);
        }

        /* access modifiers changed from: package-private */
        @VisibleForTesting
        public a b(ActivityManager activityManager) {
            this.g = activityManager;
            return this;
        }

        public a c(int i2) {
            this.m = i2;
            return this;
        }

        public a d(float f2) {
            k.a(f2 >= 0.0f, "Bitmap pool screens must be greater than or equal to 0");
            this.j = f2;
            return this;
        }

        public a e(float f2) {
            k.a(f2 >= 0.0f && f2 <= 1.0f, "Low memory max size multiplier must be between 0 and 1");
            this.l = f2;
            return this;
        }

        public a f(float f2) {
            k.a(f2 >= 0.0f && f2 <= 1.0f, "Size multiplier must be between 0 and 1");
            this.k = f2;
            return this;
        }

        public a g(float f2) {
            k.a(f2 >= 0.0f, "Memory cache screens must be greater than or equal to 0");
            this.i = f2;
            return this;
        }

        /* access modifiers changed from: package-private */
        @VisibleForTesting
        public a h(c cVar) {
            this.h = cVar;
            return this;
        }
    }

    /* compiled from: MemorySizeCalculator */
    private static final class b implements c {

        /* renamed from: a  reason: collision with root package name */
        private final DisplayMetrics f6957a;

        b(DisplayMetrics displayMetrics) {
            this.f6957a = displayMetrics;
        }

        @Override // com.bumptech.glide.load.engine.a0.l.c
        public int a() {
            return this.f6957a.heightPixels;
        }

        @Override // com.bumptech.glide.load.engine.a0.l.c
        public int b() {
            return this.f6957a.widthPixels;
        }
    }

    /* compiled from: MemorySizeCalculator */
    interface c {
        int a();

        int b();
    }

    l(a aVar) {
        int i;
        this.f = aVar.f;
        if (e(aVar.g)) {
            i = aVar.m / 2;
        } else {
            i = aVar.m;
        }
        this.g = i;
        int c2 = c(aVar.g, aVar.k, aVar.l);
        float b2 = (float) (aVar.h.b() * aVar.h.a() * 4);
        int round = Math.round(aVar.j * b2);
        int round2 = Math.round(b2 * aVar.i);
        int i2 = c2 - i;
        int i3 = round2 + round;
        if (i3 <= i2) {
            this.f6951e = round2;
            this.f6950d = round;
        } else {
            float f2 = (float) i2;
            float f3 = aVar.j;
            float f4 = aVar.i;
            float f5 = f2 / (f3 + f4);
            this.f6951e = Math.round(f4 * f5);
            this.f6950d = Math.round(f5 * aVar.j);
        }
        if (Log.isLoggable(f6947a, 3)) {
            StringBuilder sb = new StringBuilder();
            sb.append("Calculation complete, Calculated memory cache size: ");
            sb.append(f(this.f6951e));
            sb.append(", pool size: ");
            sb.append(f(this.f6950d));
            sb.append(", byte array size: ");
            sb.append(f(i));
            sb.append(", memory class limited? ");
            sb.append(i3 > c2);
            sb.append(", max size: ");
            sb.append(f(c2));
            sb.append(", memoryClass: ");
            sb.append(aVar.g.getMemoryClass());
            sb.append(", isLowMemoryDevice: ");
            sb.append(e(aVar.g));
            Log.d(f6947a, sb.toString());
        }
    }

    private static int c(ActivityManager activityManager, float f2, float f3) {
        boolean e2 = e(activityManager);
        float memoryClass = (float) (activityManager.getMemoryClass() * 1024 * 1024);
        if (e2) {
            f2 = f3;
        }
        return Math.round(memoryClass * f2);
    }

    @TargetApi(19)
    static boolean e(ActivityManager activityManager) {
        if (Build.VERSION.SDK_INT >= 19) {
            return activityManager.isLowRamDevice();
        }
        return true;
    }

    private String f(int i) {
        return Formatter.formatFileSize(this.f, (long) i);
    }

    public int a() {
        return this.g;
    }

    public int b() {
        return this.f6950d;
    }

    public int d() {
        return this.f6951e;
    }
}
