package com.bumptech.glide.load.engine.b0;

import android.os.Process;
import android.os.StrictMode;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.VisibleForTesting;
import java.util.Collection;
import java.util.List;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Future;
import java.util.concurrent.PriorityBlockingQueue;
import java.util.concurrent.SynchronousQueue;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;

/* compiled from: GlideExecutor */
public final class a implements ExecutorService {
    private static final int I0 = 1;
    private static final String J0 = "GlideExecutor";
    private static final String K0 = "source-unlimited";
    private static final String L0 = "animation";
    private static final long M0 = TimeUnit.SECONDS.toMillis(10);
    private static final int N0 = 4;
    private static volatile int O0 = 0;

    /* renamed from: a  reason: collision with root package name */
    private static final String f6963a = "source";

    /* renamed from: b  reason: collision with root package name */
    private static final String f6964b = "disk-cache";
    private final ExecutorService P0;

    /* renamed from: com.bumptech.glide.load.engine.b0.a$a  reason: collision with other inner class name */
    /* compiled from: GlideExecutor */
    public static final class C0161a {

        /* renamed from: a  reason: collision with root package name */
        public static final long f6965a = 0;

        /* renamed from: b  reason: collision with root package name */
        private final boolean f6966b;

        /* renamed from: c  reason: collision with root package name */
        private int f6967c;

        /* renamed from: d  reason: collision with root package name */
        private int f6968d;
        @NonNull

        /* renamed from: e  reason: collision with root package name */
        private c f6969e = c.f6976d;
        private String f;
        private long g;

        C0161a(boolean z) {
            this.f6966b = z;
        }

        public a a() {
            if (!TextUtils.isEmpty(this.f)) {
                ThreadPoolExecutor threadPoolExecutor = new ThreadPoolExecutor(this.f6967c, this.f6968d, this.g, TimeUnit.MILLISECONDS, new PriorityBlockingQueue(), new b(this.f, this.f6969e, this.f6966b));
                if (this.g != 0) {
                    threadPoolExecutor.allowCoreThreadTimeOut(true);
                }
                return new a(threadPoolExecutor);
            }
            throw new IllegalArgumentException("Name must be non-null and non-empty, but given: " + this.f);
        }

        public C0161a b(String str) {
            this.f = str;
            return this;
        }

        public C0161a c(@IntRange(from = 1) int i) {
            this.f6967c = i;
            this.f6968d = i;
            return this;
        }

        public C0161a d(long j) {
            this.g = j;
            return this;
        }

        public C0161a e(@NonNull c cVar) {
            this.f6969e = cVar;
            return this;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: GlideExecutor */
    public static final class b implements ThreadFactory {

        /* renamed from: a  reason: collision with root package name */
        private static final int f6970a = 9;
        final c I0;
        final boolean J0;
        private int K0;

        /* renamed from: b  reason: collision with root package name */
        private final String f6971b;

        /* renamed from: com.bumptech.glide.load.engine.b0.a$b$a  reason: collision with other inner class name */
        /* compiled from: GlideExecutor */
        class C0162a extends Thread {
            C0162a(Runnable runnable, String str) {
                super(runnable, str);
            }

            public void run() {
                Process.setThreadPriority(9);
                if (b.this.J0) {
                    StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder().detectNetwork().penaltyDeath().build());
                }
                try {
                    super.run();
                } catch (Throwable th) {
                    b.this.I0.a(th);
                }
            }
        }

        b(String str, c cVar, boolean z) {
            this.f6971b = str;
            this.I0 = cVar;
            this.J0 = z;
        }

        public synchronized Thread newThread(@NonNull Runnable runnable) {
            C0162a aVar;
            aVar = new C0162a(runnable, "glide-" + this.f6971b + "-thread-" + this.K0);
            this.K0 = this.K0 + 1;
            return aVar;
        }
    }

    /* compiled from: GlideExecutor */
    public interface c {

        /* renamed from: a  reason: collision with root package name */
        public static final c f6973a = new C0163a();

        /* renamed from: b  reason: collision with root package name */
        public static final c f6974b;

        /* renamed from: c  reason: collision with root package name */
        public static final c f6975c = new C0164c();

        /* renamed from: d  reason: collision with root package name */
        public static final c f6976d;

        /* renamed from: com.bumptech.glide.load.engine.b0.a$c$a  reason: collision with other inner class name */
        /* compiled from: GlideExecutor */
        class C0163a implements c {
            C0163a() {
            }

            @Override // com.bumptech.glide.load.engine.b0.a.c
            public void a(Throwable th) {
            }
        }

        /* compiled from: GlideExecutor */
        class b implements c {
            b() {
            }

            @Override // com.bumptech.glide.load.engine.b0.a.c
            public void a(Throwable th) {
                if (th != null && Log.isLoggable(a.J0, 6)) {
                    Log.e(a.J0, "Request threw uncaught throwable", th);
                }
            }
        }

        /* renamed from: com.bumptech.glide.load.engine.b0.a$c$c  reason: collision with other inner class name */
        /* compiled from: GlideExecutor */
        class C0164c implements c {
            C0164c() {
            }

            @Override // com.bumptech.glide.load.engine.b0.a.c
            public void a(Throwable th) {
                if (th != null) {
                    throw new RuntimeException("Request threw uncaught throwable", th);
                }
            }
        }

        static {
            b bVar = new b();
            f6974b = bVar;
            f6976d = bVar;
        }

        void a(Throwable th);
    }

    @VisibleForTesting
    a(ExecutorService executorService) {
        this.P0 = executorService;
    }

    public static int a() {
        if (O0 == 0) {
            O0 = Math.min(4, b.a());
        }
        return O0;
    }

    public static C0161a b() {
        return new C0161a(true).c(a() >= 4 ? 2 : 1).b(L0);
    }

    public static a c() {
        return b().a();
    }

    @Deprecated
    public static a d(int i, c cVar) {
        return b().c(i).e(cVar).a();
    }

    public static C0161a e() {
        return new C0161a(true).c(1).b(f6964b);
    }

    public static a f() {
        return e().a();
    }

    @Deprecated
    public static a g(int i, String str, c cVar) {
        return e().c(i).b(str).e(cVar).a();
    }

    @Deprecated
    public static a h(c cVar) {
        return e().e(cVar).a();
    }

    public static C0161a i() {
        return new C0161a(false).c(a()).b("source");
    }

    public static a j() {
        return i().a();
    }

    @Deprecated
    public static a k(int i, String str, c cVar) {
        return i().c(i).b(str).e(cVar).a();
    }

    @Deprecated
    public static a l(c cVar) {
        return i().e(cVar).a();
    }

    public static a m() {
        return new a(new ThreadPoolExecutor(0, Integer.MAX_VALUE, M0, TimeUnit.MILLISECONDS, new SynchronousQueue(), new b(K0, c.f6976d, false)));
    }

    @Override // java.util.concurrent.ExecutorService
    public boolean awaitTermination(long j, @NonNull TimeUnit timeUnit) throws InterruptedException {
        return this.P0.awaitTermination(j, timeUnit);
    }

    public void execute(@NonNull Runnable runnable) {
        this.P0.execute(runnable);
    }

    @Override // java.util.concurrent.ExecutorService
    @NonNull
    public <T> List<Future<T>> invokeAll(@NonNull Collection<? extends Callable<T>> collection) throws InterruptedException {
        return this.P0.invokeAll(collection);
    }

    @Override // java.util.concurrent.ExecutorService
    @NonNull
    public <T> T invokeAny(@NonNull Collection<? extends Callable<T>> collection) throws InterruptedException, ExecutionException {
        return (T) this.P0.invokeAny(collection);
    }

    public boolean isShutdown() {
        return this.P0.isShutdown();
    }

    public boolean isTerminated() {
        return this.P0.isTerminated();
    }

    public void shutdown() {
        this.P0.shutdown();
    }

    @Override // java.util.concurrent.ExecutorService
    @NonNull
    public List<Runnable> shutdownNow() {
        return this.P0.shutdownNow();
    }

    @Override // java.util.concurrent.ExecutorService
    @NonNull
    public Future<?> submit(@NonNull Runnable runnable) {
        return this.P0.submit(runnable);
    }

    public String toString() {
        return this.P0.toString();
    }

    @Override // java.util.concurrent.ExecutorService
    @NonNull
    public <T> List<Future<T>> invokeAll(@NonNull Collection<? extends Callable<T>> collection, long j, @NonNull TimeUnit timeUnit) throws InterruptedException {
        return this.P0.invokeAll(collection, j, timeUnit);
    }

    @Override // java.util.concurrent.ExecutorService
    public <T> T invokeAny(@NonNull Collection<? extends Callable<T>> collection, long j, @NonNull TimeUnit timeUnit) throws InterruptedException, ExecutionException, TimeoutException {
        return (T) this.P0.invokeAny(collection, j, timeUnit);
    }

    @Override // java.util.concurrent.ExecutorService
    @NonNull
    public <T> Future<T> submit(@NonNull Runnable runnable, T t) {
        return this.P0.submit(runnable, t);
    }

    @Override // java.util.concurrent.ExecutorService
    public <T> Future<T> submit(@NonNull Callable<T> callable) {
        return this.P0.submit(callable);
    }
}
