package com.bumptech.glide.load.engine.z;

import android.util.Log;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import com.bumptech.glide.util.k;
import java.util.HashMap;
import java.util.Map;
import java.util.NavigableMap;
import java.util.TreeMap;

/* compiled from: LruArrayPool */
public final class j implements b {

    /* renamed from: b  reason: collision with root package name */
    private static final int f7111b = 4194304;
    @VisibleForTesting

    /* renamed from: c  reason: collision with root package name */
    static final int f7112c = 8;

    /* renamed from: d  reason: collision with root package name */
    private static final int f7113d = 2;

    /* renamed from: e  reason: collision with root package name */
    private final h<a, Object> f7114e;
    private final b f;
    private final Map<Class<?>, NavigableMap<Integer, Integer>> g;
    private final Map<Class<?>, a<?>> h;
    private final int i;
    private int j;

    /* access modifiers changed from: private */
    /* compiled from: LruArrayPool */
    public static final class a implements m {

        /* renamed from: a  reason: collision with root package name */
        private final b f7115a;

        /* renamed from: b  reason: collision with root package name */
        int f7116b;

        /* renamed from: c  reason: collision with root package name */
        private Class<?> f7117c;

        a(b bVar) {
            this.f7115a = bVar;
        }

        @Override // com.bumptech.glide.load.engine.z.m
        public void a() {
            this.f7115a.c(this);
        }

        /* access modifiers changed from: package-private */
        public void b(int i, Class<?> cls) {
            this.f7116b = i;
            this.f7117c = cls;
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof a)) {
                return false;
            }
            a aVar = (a) obj;
            if (this.f7116b == aVar.f7116b && this.f7117c == aVar.f7117c) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            int i = this.f7116b * 31;
            Class<?> cls = this.f7117c;
            return i + (cls != null ? cls.hashCode() : 0);
        }

        public String toString() {
            return "Key{size=" + this.f7116b + "array=" + this.f7117c + '}';
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: LruArrayPool */
    public static final class b extends d<a> {
        b() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: d */
        public a a() {
            return new a(this);
        }

        /* access modifiers changed from: package-private */
        public a e(int i, Class<?> cls) {
            a aVar = (a) b();
            aVar.b(i, cls);
            return aVar;
        }
    }

    @VisibleForTesting
    public j() {
        this.f7114e = new h<>();
        this.f = new b();
        this.g = new HashMap();
        this.h = new HashMap();
        this.i = 4194304;
    }

    private void f(int i2, Class<?> cls) {
        NavigableMap<Integer, Integer> n = n(cls);
        Integer num = (Integer) n.get(Integer.valueOf(i2));
        if (num == null) {
            throw new NullPointerException("Tried to decrement empty size, size: " + i2 + ", this: " + this);
        } else if (num.intValue() == 1) {
            n.remove(Integer.valueOf(i2));
        } else {
            n.put(Integer.valueOf(i2), Integer.valueOf(num.intValue() - 1));
        }
    }

    private void g() {
        h(this.i);
    }

    private void h(int i2) {
        while (this.j > i2) {
            Object f2 = this.f7114e.f();
            k.d(f2);
            a i3 = i(f2);
            this.j -= i3.b(f2) * i3.a();
            f(i3.b(f2), f2.getClass());
            if (Log.isLoggable(i3.getTag(), 2)) {
                Log.v(i3.getTag(), "evicted: " + i3.b(f2));
            }
        }
    }

    private <T> a<T> i(T t) {
        return j(t.getClass());
    }

    private <T> a<T> j(Class<T> cls) {
        g gVar = (a<T>) this.h.get(cls);
        if (gVar == null) {
            if (cls.equals(int[].class)) {
                gVar = new i();
            } else if (cls.equals(byte[].class)) {
                gVar = new g();
            } else {
                throw new IllegalArgumentException("No array pool found for: " + cls.getSimpleName());
            }
            this.h.put(cls, gVar);
        }
        return gVar;
    }

    @Nullable
    private <T> T k(a aVar) {
        return (T) this.f7114e.a(aVar);
    }

    private <T> T m(a aVar, Class<T> cls) {
        a<T> j2 = j(cls);
        T t = (T) k(aVar);
        if (t != null) {
            this.j -= j2.b(t) * j2.a();
            f(j2.b(t), cls);
        }
        if (t != null) {
            return t;
        }
        if (Log.isLoggable(j2.getTag(), 2)) {
            Log.v(j2.getTag(), "Allocated " + aVar.f7116b + " bytes");
        }
        return j2.newArray(aVar.f7116b);
    }

    private NavigableMap<Integer, Integer> n(Class<?> cls) {
        NavigableMap<Integer, Integer> navigableMap = this.g.get(cls);
        if (navigableMap != null) {
            return navigableMap;
        }
        TreeMap treeMap = new TreeMap();
        this.g.put(cls, treeMap);
        return treeMap;
    }

    private boolean o() {
        int i2 = this.j;
        return i2 == 0 || this.i / i2 >= 2;
    }

    private boolean p(int i2) {
        return i2 <= this.i / 2;
    }

    private boolean q(int i2, Integer num) {
        return num != null && (o() || num.intValue() <= i2 * 8);
    }

    @Override // com.bumptech.glide.load.engine.z.b
    public synchronized void a(int i2) {
        if (i2 >= 40) {
            try {
                b();
            } catch (Throwable th) {
                throw th;
            }
        } else if (i2 >= 20 || i2 == 15) {
            h(this.i / 2);
        }
    }

    @Override // com.bumptech.glide.load.engine.z.b
    public synchronized void b() {
        h(0);
    }

    @Override // com.bumptech.glide.load.engine.z.b
    public synchronized <T> T c(int i2, Class<T> cls) {
        return (T) m(this.f.e(i2, cls), cls);
    }

    @Override // com.bumptech.glide.load.engine.z.b
    @Deprecated
    public <T> void d(T t, Class<T> cls) {
        put(t);
    }

    @Override // com.bumptech.glide.load.engine.z.b
    public synchronized <T> T e(int i2, Class<T> cls) {
        a aVar;
        Integer ceilingKey = n(cls).ceilingKey(Integer.valueOf(i2));
        if (q(i2, ceilingKey)) {
            aVar = this.f.e(ceilingKey.intValue(), cls);
        } else {
            aVar = this.f.e(i2, cls);
        }
        return (T) m(aVar, cls);
    }

    /* access modifiers changed from: package-private */
    public int l() {
        int i2 = 0;
        for (Class<?> cls : this.g.keySet()) {
            for (Integer num : this.g.get(cls).keySet()) {
                i2 += num.intValue() * ((Integer) this.g.get(cls).get(num)).intValue() * j(cls).a();
            }
        }
        return i2;
    }

    @Override // com.bumptech.glide.load.engine.z.b
    public synchronized <T> void put(T t) {
        Class<?> cls = t.getClass();
        a<T> j2 = j(cls);
        int b2 = j2.b(t);
        int a2 = j2.a() * b2;
        if (p(a2)) {
            a e2 = this.f.e(b2, cls);
            this.f7114e.d(e2, t);
            NavigableMap<Integer, Integer> n = n(cls);
            Integer num = (Integer) n.get(Integer.valueOf(e2.f7116b));
            Integer valueOf = Integer.valueOf(e2.f7116b);
            int i2 = 1;
            if (num != null) {
                i2 = 1 + num.intValue();
            }
            n.put(valueOf, Integer.valueOf(i2));
            this.j += a2;
            g();
        }
    }

    public j(int i2) {
        this.f7114e = new h<>();
        this.f = new b();
        this.g = new HashMap();
        this.h = new HashMap();
        this.i = i2;
    }
}
