package com.bumptech.glide.load.engine.z;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.graphics.Bitmap;
import android.os.Build;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.ibm.icu.impl.locale.f;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

/* compiled from: LruBitmapPool */
public class k implements e {

    /* renamed from: a  reason: collision with root package name */
    private static final String f7118a = "LruBitmapPool";

    /* renamed from: b  reason: collision with root package name */
    private static final Bitmap.Config f7119b = Bitmap.Config.ARGB_8888;

    /* renamed from: c  reason: collision with root package name */
    private final l f7120c;

    /* renamed from: d  reason: collision with root package name */
    private final Set<Bitmap.Config> f7121d;

    /* renamed from: e  reason: collision with root package name */
    private final long f7122e;
    private final a f;
    private long g;
    private long h;
    private int i;
    private int j;
    private int k;
    private int l;

    /* access modifiers changed from: private */
    /* compiled from: LruBitmapPool */
    public interface a {
        void a(Bitmap bitmap);

        void b(Bitmap bitmap);
    }

    /* compiled from: LruBitmapPool */
    private static final class b implements a {
        b() {
        }

        @Override // com.bumptech.glide.load.engine.z.k.a
        public void a(Bitmap bitmap) {
        }

        @Override // com.bumptech.glide.load.engine.z.k.a
        public void b(Bitmap bitmap) {
        }
    }

    /* compiled from: LruBitmapPool */
    private static class c implements a {

        /* renamed from: a  reason: collision with root package name */
        private final Set<Bitmap> f7123a = Collections.synchronizedSet(new HashSet());

        private c() {
        }

        @Override // com.bumptech.glide.load.engine.z.k.a
        public void a(Bitmap bitmap) {
            if (this.f7123a.contains(bitmap)) {
                this.f7123a.remove(bitmap);
                return;
            }
            throw new IllegalStateException("Cannot remove bitmap not in tracker");
        }

        @Override // com.bumptech.glide.load.engine.z.k.a
        public void b(Bitmap bitmap) {
            if (!this.f7123a.contains(bitmap)) {
                this.f7123a.add(bitmap);
                return;
            }
            throw new IllegalStateException("Can't add already added bitmap: " + bitmap + " [" + bitmap.getWidth() + f.f14028c + bitmap.getHeight() + "]");
        }
    }

    k(long j2, l lVar, Set<Bitmap.Config> set) {
        this.f7122e = j2;
        this.g = j2;
        this.f7120c = lVar;
        this.f7121d = set;
        this.f = new b();
    }

    @TargetApi(26)
    private static void h(Bitmap.Config config) {
        if (Build.VERSION.SDK_INT >= 26 && config == Bitmap.Config.HARDWARE) {
            throw new IllegalArgumentException("Cannot create a mutable Bitmap with config: " + config + ". Consider setting Downsampler#ALLOW_HARDWARE_CONFIG to false in your RequestOptions and/or in GlideBuilder.setDefaultRequestOptions");
        }
    }

    @NonNull
    private static Bitmap i(int i2, int i3, @Nullable Bitmap.Config config) {
        if (config == null) {
            config = f7119b;
        }
        return Bitmap.createBitmap(i2, i3, config);
    }

    private void j() {
        if (Log.isLoggable(f7118a, 2)) {
            k();
        }
    }

    private void k() {
        Log.v(f7118a, "Hits=" + this.i + ", misses=" + this.j + ", puts=" + this.k + ", evictions=" + this.l + ", currentSize=" + this.h + ", maxSize=" + this.g + "\nStrategy=" + this.f7120c);
    }

    private void l() {
        v(this.g);
    }

    @TargetApi(26)
    private static Set<Bitmap.Config> o() {
        HashSet hashSet = new HashSet(Arrays.asList(Bitmap.Config.values()));
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 19) {
            hashSet.add(null);
        }
        if (i2 >= 26) {
            hashSet.remove(Bitmap.Config.HARDWARE);
        }
        return Collections.unmodifiableSet(hashSet);
    }

    private static l p() {
        if (Build.VERSION.SDK_INT >= 19) {
            return new o();
        }
        return new c();
    }

    @Nullable
    private synchronized Bitmap q(int i2, int i3, @Nullable Bitmap.Config config) {
        Bitmap f2;
        h(config);
        f2 = this.f7120c.f(i2, i3, config != null ? config : f7119b);
        if (f2 == null) {
            if (Log.isLoggable(f7118a, 3)) {
                Log.d(f7118a, "Missing bitmap=" + this.f7120c.b(i2, i3, config));
            }
            this.j++;
        } else {
            this.i++;
            this.h -= (long) this.f7120c.c(f2);
            this.f.a(f2);
            u(f2);
        }
        if (Log.isLoggable(f7118a, 2)) {
            Log.v(f7118a, "Get bitmap=" + this.f7120c.b(i2, i3, config));
        }
        j();
        return f2;
    }

    @TargetApi(19)
    private static void s(Bitmap bitmap) {
        if (Build.VERSION.SDK_INT >= 19) {
            bitmap.setPremultiplied(true);
        }
    }

    private static void u(Bitmap bitmap) {
        bitmap.setHasAlpha(true);
        s(bitmap);
    }

    private synchronized void v(long j2) {
        while (this.h > j2) {
            Bitmap a2 = this.f7120c.a();
            if (a2 == null) {
                if (Log.isLoggable(f7118a, 5)) {
                    Log.w(f7118a, "Size mismatch, resetting");
                    k();
                }
                this.h = 0;
                return;
            }
            this.f.a(a2);
            this.h -= (long) this.f7120c.c(a2);
            this.l++;
            if (Log.isLoggable(f7118a, 3)) {
                Log.d(f7118a, "Evicting bitmap=" + this.f7120c.e(a2));
            }
            j();
            a2.recycle();
        }
    }

    @Override // com.bumptech.glide.load.engine.z.e
    @SuppressLint({"InlinedApi"})
    public void a(int i2) {
        if (Log.isLoggable(f7118a, 3)) {
            Log.d(f7118a, "trimMemory, level=" + i2);
        }
        if (i2 >= 40 || (Build.VERSION.SDK_INT >= 23 && i2 >= 20)) {
            b();
        } else if (i2 >= 20 || i2 == 15) {
            v(e() / 2);
        }
    }

    @Override // com.bumptech.glide.load.engine.z.e
    public void b() {
        if (Log.isLoggable(f7118a, 3)) {
            Log.d(f7118a, "clearMemory");
        }
        v(0);
    }

    @Override // com.bumptech.glide.load.engine.z.e
    public synchronized void c(float f2) {
        this.g = (long) Math.round(((float) this.f7122e) * f2);
        l();
    }

    @Override // com.bumptech.glide.load.engine.z.e
    public synchronized void d(Bitmap bitmap) {
        if (bitmap == null) {
            throw new NullPointerException("Bitmap must not be null");
        } else if (!bitmap.isRecycled()) {
            if (bitmap.isMutable() && ((long) this.f7120c.c(bitmap)) <= this.g) {
                if (this.f7121d.contains(bitmap.getConfig())) {
                    int c2 = this.f7120c.c(bitmap);
                    this.f7120c.d(bitmap);
                    this.f.b(bitmap);
                    this.k++;
                    this.h += (long) c2;
                    if (Log.isLoggable(f7118a, 2)) {
                        Log.v(f7118a, "Put bitmap in pool=" + this.f7120c.e(bitmap));
                    }
                    j();
                    l();
                    return;
                }
            }
            if (Log.isLoggable(f7118a, 2)) {
                Log.v(f7118a, "Reject bitmap from pool, bitmap: " + this.f7120c.e(bitmap) + ", is mutable: " + bitmap.isMutable() + ", is allowed config: " + this.f7121d.contains(bitmap.getConfig()));
            }
            bitmap.recycle();
        } else {
            throw new IllegalStateException("Cannot pool recycled bitmap");
        }
    }

    @Override // com.bumptech.glide.load.engine.z.e
    public long e() {
        return this.g;
    }

    @Override // com.bumptech.glide.load.engine.z.e
    @NonNull
    public Bitmap f(int i2, int i3, Bitmap.Config config) {
        Bitmap q = q(i2, i3, config);
        if (q == null) {
            return i(i2, i3, config);
        }
        q.eraseColor(0);
        return q;
    }

    @Override // com.bumptech.glide.load.engine.z.e
    @NonNull
    public Bitmap g(int i2, int i3, Bitmap.Config config) {
        Bitmap q = q(i2, i3, config);
        return q == null ? i(i2, i3, config) : q;
    }

    public long m() {
        return (long) this.l;
    }

    public long n() {
        return this.h;
    }

    public long r() {
        return (long) this.i;
    }

    public long t() {
        return (long) this.j;
    }

    public k(long j2) {
        this(j2, p(), o());
    }

    public k(long j2, Set<Bitmap.Config> set) {
        this(j2, p(), set);
    }
}
