package com.bumptech.glide.load.engine.z;

import android.graphics.Bitmap;
import android.os.Build;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.VisibleForTesting;
import com.bumptech.glide.util.l;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;
import java.util.NavigableMap;
import java.util.TreeMap;

@RequiresApi(19)
/* compiled from: SizeConfigStrategy */
public class o implements l {

    /* renamed from: a  reason: collision with root package name */
    private static final int f7124a = 8;

    /* renamed from: b  reason: collision with root package name */
    private static final Bitmap.Config[] f7125b;

    /* renamed from: c  reason: collision with root package name */
    private static final Bitmap.Config[] f7126c;

    /* renamed from: d  reason: collision with root package name */
    private static final Bitmap.Config[] f7127d = {Bitmap.Config.RGB_565};

    /* renamed from: e  reason: collision with root package name */
    private static final Bitmap.Config[] f7128e = {Bitmap.Config.ARGB_4444};
    private static final Bitmap.Config[] f = {Bitmap.Config.ALPHA_8};
    private final c g = new c();
    private final h<b, Bitmap> h = new h<>();
    private final Map<Bitmap.Config, NavigableMap<Integer, Integer>> i = new HashMap();

    /* access modifiers changed from: package-private */
    /* compiled from: SizeConfigStrategy */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f7129a;

        /* JADX WARNING: Can't wrap try/catch for region: R(8:0|1|2|3|4|5|6|(3:7|8|10)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        static {
            int[] iArr = new int[Bitmap.Config.values().length];
            f7129a = iArr;
            iArr[Bitmap.Config.ARGB_8888.ordinal()] = 1;
            f7129a[Bitmap.Config.RGB_565.ordinal()] = 2;
            f7129a[Bitmap.Config.ARGB_4444.ordinal()] = 3;
            try {
                f7129a[Bitmap.Config.ALPHA_8.ordinal()] = 4;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    /* compiled from: SizeConfigStrategy */
    public static class c extends d<b> {
        c() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: d */
        public b a() {
            return new b(this);
        }

        public b e(int i, Bitmap.Config config) {
            b bVar = (b) b();
            bVar.b(i, config);
            return bVar;
        }
    }

    static {
        Bitmap.Config[] configArr = {Bitmap.Config.ARGB_8888, null};
        if (Build.VERSION.SDK_INT >= 26) {
            configArr = (Bitmap.Config[]) Arrays.copyOf(configArr, 3);
            configArr[configArr.length - 1] = Bitmap.Config.RGBA_F16;
        }
        f7125b = configArr;
        f7126c = configArr;
    }

    private void g(Integer num, Bitmap bitmap) {
        NavigableMap<Integer, Integer> k = k(bitmap.getConfig());
        Integer num2 = (Integer) k.get(num);
        if (num2 == null) {
            throw new NullPointerException("Tried to decrement empty size, size: " + num + ", removed: " + e(bitmap) + ", this: " + this);
        } else if (num2.intValue() == 1) {
            k.remove(num);
        } else {
            k.put(num, Integer.valueOf(num2.intValue() - 1));
        }
    }

    private b h(int i2, Bitmap.Config config) {
        b e2 = this.g.e(i2, config);
        Bitmap.Config[] j = j(config);
        for (Bitmap.Config config2 : j) {
            Integer ceilingKey = k(config2).ceilingKey(Integer.valueOf(i2));
            if (ceilingKey != null && ceilingKey.intValue() <= i2 * 8) {
                if (ceilingKey.intValue() == i2) {
                    if (config2 == null) {
                        if (config == null) {
                            return e2;
                        }
                    } else if (config2.equals(config)) {
                        return e2;
                    }
                }
                this.g.c(e2);
                return this.g.e(ceilingKey.intValue(), config2);
            }
        }
        return e2;
    }

    static String i(int i2, Bitmap.Config config) {
        return "[" + i2 + "](" + config + ")";
    }

    private static Bitmap.Config[] j(Bitmap.Config config) {
        if (Build.VERSION.SDK_INT >= 26 && Bitmap.Config.RGBA_F16.equals(config)) {
            return f7126c;
        }
        int i2 = a.f7129a[config.ordinal()];
        if (i2 == 1) {
            return f7125b;
        }
        if (i2 == 2) {
            return f7127d;
        }
        if (i2 == 3) {
            return f7128e;
        }
        if (i2 == 4) {
            return f;
        }
        return new Bitmap.Config[]{config};
    }

    private NavigableMap<Integer, Integer> k(Bitmap.Config config) {
        NavigableMap<Integer, Integer> navigableMap = this.i.get(config);
        if (navigableMap != null) {
            return navigableMap;
        }
        TreeMap treeMap = new TreeMap();
        this.i.put(config, treeMap);
        return treeMap;
    }

    @Override // com.bumptech.glide.load.engine.z.l
    @Nullable
    public Bitmap a() {
        Bitmap f2 = this.h.f();
        if (f2 != null) {
            g(Integer.valueOf(l.h(f2)), f2);
        }
        return f2;
    }

    @Override // com.bumptech.glide.load.engine.z.l
    public String b(int i2, int i3, Bitmap.Config config) {
        return i(l.g(i2, i3, config), config);
    }

    @Override // com.bumptech.glide.load.engine.z.l
    public int c(Bitmap bitmap) {
        return l.h(bitmap);
    }

    @Override // com.bumptech.glide.load.engine.z.l
    public void d(Bitmap bitmap) {
        b e2 = this.g.e(l.h(bitmap), bitmap.getConfig());
        this.h.d(e2, bitmap);
        NavigableMap<Integer, Integer> k = k(bitmap.getConfig());
        Integer num = (Integer) k.get(Integer.valueOf(e2.f7131b));
        Integer valueOf = Integer.valueOf(e2.f7131b);
        int i2 = 1;
        if (num != null) {
            i2 = 1 + num.intValue();
        }
        k.put(valueOf, Integer.valueOf(i2));
    }

    @Override // com.bumptech.glide.load.engine.z.l
    public String e(Bitmap bitmap) {
        return i(l.h(bitmap), bitmap.getConfig());
    }

    @Override // com.bumptech.glide.load.engine.z.l
    @Nullable
    public Bitmap f(int i2, int i3, Bitmap.Config config) {
        b h2 = h(l.g(i2, i3, config), config);
        Bitmap a2 = this.h.a(h2);
        if (a2 != null) {
            g(Integer.valueOf(h2.f7131b), a2);
            a2.reconfigure(i2, i3, config);
        }
        return a2;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("SizeConfigStrategy{groupedMap=");
        sb.append(this.h);
        sb.append(", sortedSizes=(");
        for (Map.Entry<Bitmap.Config, NavigableMap<Integer, Integer>> entry : this.i.entrySet()) {
            sb.append(entry.getKey());
            sb.append('[');
            sb.append(entry.getValue());
            sb.append("], ");
        }
        if (!this.i.isEmpty()) {
            sb.replace(sb.length() - 2, sb.length(), "");
        }
        sb.append(")}");
        return sb.toString();
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    /* compiled from: SizeConfigStrategy */
    public static final class b implements m {

        /* renamed from: a  reason: collision with root package name */
        private final c f7130a;

        /* renamed from: b  reason: collision with root package name */
        int f7131b;

        /* renamed from: c  reason: collision with root package name */
        private Bitmap.Config f7132c;

        public b(c cVar) {
            this.f7130a = cVar;
        }

        @Override // com.bumptech.glide.load.engine.z.m
        public void a() {
            this.f7130a.c(this);
        }

        public void b(int i, Bitmap.Config config) {
            this.f7131b = i;
            this.f7132c = config;
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof b)) {
                return false;
            }
            b bVar = (b) obj;
            if (this.f7131b != bVar.f7131b || !l.d(this.f7132c, bVar.f7132c)) {
                return false;
            }
            return true;
        }

        public int hashCode() {
            int i = this.f7131b * 31;
            Bitmap.Config config = this.f7132c;
            return i + (config != null ? config.hashCode() : 0);
        }

        public String toString() {
            return o.i(this.f7131b, this.f7132c);
        }

        @VisibleForTesting
        b(c cVar, int i, Bitmap.Config config) {
            this(cVar);
            b(i, config);
        }
    }
}
