package com.bumptech.glide.load.j;

import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.VisibleForTesting;
import com.bumptech.glide.Priority;
import com.bumptech.glide.load.DataSource;
import com.bumptech.glide.load.HttpException;
import com.bumptech.glide.load.j.d;
import com.bumptech.glide.load.k.g;
import com.bumptech.glide.util.c;
import com.lzy.okgo.model.HttpHeaders;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URISyntaxException;
import java.net.URL;
import java.util.Map;

/* compiled from: HttpUrlFetcher */
public class j implements d<InputStream> {
    @VisibleForTesting
    static final b I0 = new a();
    private static final int J0 = -1;

    /* renamed from: a  reason: collision with root package name */
    private static final String f7149a = "HttpUrlFetcher";

    /* renamed from: b  reason: collision with root package name */
    private static final int f7150b = 5;
    private final g K0;
    private final int L0;
    private final b M0;
    private HttpURLConnection N0;
    private InputStream O0;
    private volatile boolean P0;

    /* compiled from: HttpUrlFetcher */
    private static class a implements b {
        a() {
        }

        @Override // com.bumptech.glide.load.j.j.b
        public HttpURLConnection a(URL url) throws IOException {
            return (HttpURLConnection) url.openConnection();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: HttpUrlFetcher */
    public interface b {
        HttpURLConnection a(URL url) throws IOException;
    }

    public j(g gVar, int i) {
        this(gVar, i, I0);
    }

    private InputStream b(HttpURLConnection httpURLConnection) throws IOException {
        if (TextUtils.isEmpty(httpURLConnection.getContentEncoding())) {
            this.O0 = c.c(httpURLConnection.getInputStream(), (long) httpURLConnection.getContentLength());
        } else {
            if (Log.isLoggable(f7149a, 3)) {
                Log.d(f7149a, "Got non empty content encoding: " + httpURLConnection.getContentEncoding());
            }
            this.O0 = httpURLConnection.getInputStream();
        }
        return this.O0;
    }

    private static boolean c(int i) {
        return i / 100 == 2;
    }

    private static boolean g(int i) {
        return i / 100 == 3;
    }

    private InputStream h(URL url, int i, URL url2, Map<String, String> map) throws IOException {
        if (i < 5) {
            if (url2 != null) {
                try {
                    if (url.toURI().equals(url2.toURI())) {
                        throw new HttpException("In re-direct loop");
                    }
                } catch (URISyntaxException unused) {
                }
            }
            this.N0 = this.M0.a(url);
            for (Map.Entry<String, String> entry : map.entrySet()) {
                this.N0.addRequestProperty(entry.getKey(), entry.getValue());
            }
            this.N0.setConnectTimeout(this.L0);
            this.N0.setReadTimeout(this.L0);
            this.N0.setUseCaches(false);
            this.N0.setDoInput(true);
            this.N0.setInstanceFollowRedirects(false);
            this.N0.connect();
            this.O0 = this.N0.getInputStream();
            if (this.P0) {
                return null;
            }
            int responseCode = this.N0.getResponseCode();
            if (c(responseCode)) {
                return b(this.N0);
            }
            if (g(responseCode)) {
                String headerField = this.N0.getHeaderField(HttpHeaders.HEAD_KEY_LOCATION);
                if (!TextUtils.isEmpty(headerField)) {
                    URL url3 = new URL(url, headerField);
                    e();
                    return h(url3, i + 1, url, map);
                }
                throw new HttpException("Received empty or null redirect url");
            } else if (responseCode == -1) {
                throw new HttpException(responseCode);
            } else {
                throw new HttpException(this.N0.getResponseMessage(), responseCode);
            }
        } else {
            throw new HttpException("Too many (> 5) redirects!");
        }
    }

    @Override // com.bumptech.glide.load.j.d
    @NonNull
    public Class<InputStream> a() {
        return InputStream.class;
    }

    @Override // com.bumptech.glide.load.j.d
    public void cancel() {
        this.P0 = true;
    }

    @Override // com.bumptech.glide.load.j.d
    @NonNull
    public DataSource d() {
        return DataSource.REMOTE;
    }

    @Override // com.bumptech.glide.load.j.d
    public void e() {
        InputStream inputStream = this.O0;
        if (inputStream != null) {
            try {
                inputStream.close();
            } catch (IOException unused) {
            }
        }
        HttpURLConnection httpURLConnection = this.N0;
        if (httpURLConnection != null) {
            httpURLConnection.disconnect();
        }
        this.N0 = null;
    }

    @Override // com.bumptech.glide.load.j.d
    public void f(@NonNull Priority priority, @NonNull d.a<? super InputStream> aVar) {
        StringBuilder sb;
        long b2 = com.bumptech.glide.util.g.b();
        try {
            aVar.g(h(this.K0.g(), 0, null, this.K0.c()));
            if (Log.isLoggable(f7149a, 2)) {
                sb = new StringBuilder();
                sb.append("Finished http url fetcher fetch in ");
                sb.append(com.bumptech.glide.util.g.a(b2));
                Log.v(f7149a, sb.toString());
            }
        } catch (IOException e2) {
            if (Log.isLoggable(f7149a, 3)) {
                Log.d(f7149a, "Failed to load data for url", e2);
            }
            aVar.b(e2);
            if (Log.isLoggable(f7149a, 2)) {
                sb = new StringBuilder();
            }
        } catch (Throwable th) {
            if (Log.isLoggable(f7149a, 2)) {
                Log.v(f7149a, "Finished http url fetcher fetch in " + com.bumptech.glide.util.g.a(b2));
            }
            throw th;
        }
    }

    @VisibleForTesting
    j(g gVar, int i, b bVar) {
        this.K0 = gVar;
        this.L0 = i;
        this.M0 = bVar;
    }
}
