package com.bumptech.glide.load.j.p;

import android.content.ContentResolver;
import android.content.Context;
import android.database.Cursor;
import android.net.Uri;
import android.provider.MediaStore;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.VisibleForTesting;
import com.bumptech.glide.Priority;
import com.bumptech.glide.load.DataSource;
import com.bumptech.glide.load.j.d;
import com.bumptech.glide.load.j.g;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;

/* compiled from: ThumbFetcher */
public class c implements d<InputStream> {

    /* renamed from: a  reason: collision with root package name */
    private static final String f7160a = "MediaStoreThumbFetcher";
    private final e I0;
    private InputStream J0;

    /* renamed from: b  reason: collision with root package name */
    private final Uri f7161b;

    /* access modifiers changed from: package-private */
    /* compiled from: ThumbFetcher */
    public static class a implements d {

        /* renamed from: a  reason: collision with root package name */
        private static final String[] f7162a = {"_data"};

        /* renamed from: b  reason: collision with root package name */
        private static final String f7163b = "kind = 1 AND image_id = ?";

        /* renamed from: c  reason: collision with root package name */
        private final ContentResolver f7164c;

        a(ContentResolver contentResolver) {
            this.f7164c = contentResolver;
        }

        @Override // com.bumptech.glide.load.j.p.d
        public Cursor a(Uri uri) {
            String lastPathSegment = uri.getLastPathSegment();
            return this.f7164c.query(MediaStore.Images.Thumbnails.EXTERNAL_CONTENT_URI, f7162a, f7163b, new String[]{lastPathSegment}, null);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ThumbFetcher */
    public static class b implements d {

        /* renamed from: a  reason: collision with root package name */
        private static final String[] f7165a = {"_data"};

        /* renamed from: b  reason: collision with root package name */
        private static final String f7166b = "kind = 1 AND video_id = ?";

        /* renamed from: c  reason: collision with root package name */
        private final ContentResolver f7167c;

        b(ContentResolver contentResolver) {
            this.f7167c = contentResolver;
        }

        @Override // com.bumptech.glide.load.j.p.d
        public Cursor a(Uri uri) {
            String lastPathSegment = uri.getLastPathSegment();
            return this.f7167c.query(MediaStore.Video.Thumbnails.EXTERNAL_CONTENT_URI, f7165a, f7166b, new String[]{lastPathSegment}, null);
        }
    }

    @VisibleForTesting
    c(Uri uri, e eVar) {
        this.f7161b = uri;
        this.I0 = eVar;
    }

    private static c b(Context context, Uri uri, d dVar) {
        return new c(uri, new e(com.bumptech.glide.c.d(context).m().g(), dVar, com.bumptech.glide.c.d(context).f(), context.getContentResolver()));
    }

    public static c c(Context context, Uri uri) {
        return b(context, uri, new a(context.getContentResolver()));
    }

    public static c g(Context context, Uri uri) {
        return b(context, uri, new b(context.getContentResolver()));
    }

    private InputStream h() throws FileNotFoundException {
        InputStream d2 = this.I0.d(this.f7161b);
        int a2 = d2 != null ? this.I0.a(this.f7161b) : -1;
        return a2 != -1 ? new g(d2, a2) : d2;
    }

    @Override // com.bumptech.glide.load.j.d
    @NonNull
    public Class<InputStream> a() {
        return InputStream.class;
    }

    @Override // com.bumptech.glide.load.j.d
    public void cancel() {
    }

    @Override // com.bumptech.glide.load.j.d
    @NonNull
    public DataSource d() {
        return DataSource.LOCAL;
    }

    @Override // com.bumptech.glide.load.j.d
    public void e() {
        InputStream inputStream = this.J0;
        if (inputStream != null) {
            try {
                inputStream.close();
            } catch (IOException unused) {
            }
        }
    }

    @Override // com.bumptech.glide.load.j.d
    public void f(@NonNull Priority priority, @NonNull d.a<? super InputStream> aVar) {
        try {
            InputStream h = h();
            this.J0 = h;
            aVar.g(h);
        } catch (FileNotFoundException e2) {
            if (Log.isLoggable(f7160a, 3)) {
                Log.d(f7160a, "Failed to find thumbnail file", e2);
            }
            aVar.b(e2);
        }
    }
}
