package com.bumptech.glide.load.j.p;

import android.content.ContentResolver;
import android.database.Cursor;
import android.net.Uri;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.bumptech.glide.load.ImageHeaderParser;
import com.bumptech.glide.load.engine.z.b;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;

/* compiled from: ThumbnailStreamOpener */
class e {

    /* renamed from: a  reason: collision with root package name */
    private static final String f7168a = "ThumbStreamOpener";

    /* renamed from: b  reason: collision with root package name */
    private static final a f7169b = new a();

    /* renamed from: c  reason: collision with root package name */
    private final a f7170c;

    /* renamed from: d  reason: collision with root package name */
    private final d f7171d;

    /* renamed from: e  reason: collision with root package name */
    private final b f7172e;
    private final ContentResolver f;
    private final List<ImageHeaderParser> g;

    e(List<ImageHeaderParser> list, d dVar, b bVar, ContentResolver contentResolver) {
        this(list, f7169b, dVar, bVar, contentResolver);
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x002d A[Catch:{ all -> 0x0047 }] */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0043  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x004b  */
    @Nullable
    private String b(@NonNull Uri uri) {
        Throwable th;
        SecurityException e2;
        Cursor cursor;
        Cursor cursor2 = null;
        try {
            cursor = this.f7171d.a(uri);
            if (cursor != null) {
                try {
                    if (cursor.moveToFirst()) {
                        String string = cursor.getString(0);
                        cursor.close();
                        return string;
                    }
                } catch (SecurityException e3) {
                    e2 = e3;
                    try {
                        if (Log.isLoggable(f7168a, 3)) {
                            Log.d(f7168a, "Failed to query for thumbnail for Uri: " + uri, e2);
                        }
                        if (cursor != null) {
                            cursor.close();
                        }
                        return null;
                    } catch (Throwable th2) {
                        th = th2;
                        cursor2 = cursor;
                        if (cursor2 != null) {
                            cursor2.close();
                        }
                        throw th;
                    }
                }
            }
            if (cursor != null) {
                cursor.close();
            }
            return null;
        } catch (SecurityException e4) {
            e2 = e4;
            cursor = null;
            if (Log.isLoggable(f7168a, 3)) {
            }
            if (cursor != null) {
            }
            return null;
        } catch (Throwable th3) {
            th = th3;
            if (cursor2 != null) {
            }
            throw th;
        }
    }

    private boolean c(File file) {
        return this.f7170c.a(file) && 0 < this.f7170c.c(file);
    }

    /* access modifiers changed from: package-private */
    public int a(Uri uri) {
        InputStream inputStream = null;
        try {
            inputStream = this.f.openInputStream(uri);
            int b2 = com.bumptech.glide.load.b.b(this.g, inputStream, this.f7172e);
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (IOException unused) {
                }
            }
            return b2;
        } catch (IOException | NullPointerException e2) {
            if (Log.isLoggable(f7168a, 3)) {
                Log.d(f7168a, "Failed to open uri: " + uri, e2);
            }
            if (inputStream == null) {
                return -1;
            }
            try {
                inputStream.close();
                return -1;
            } catch (IOException unused2) {
                return -1;
            }
        } catch (Throwable th) {
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (IOException unused3) {
                }
            }
            throw th;
        }
    }

    public InputStream d(Uri uri) throws FileNotFoundException {
        String b2 = b(uri);
        if (TextUtils.isEmpty(b2)) {
            return null;
        }
        File b3 = this.f7170c.b(b2);
        if (!c(b3)) {
            return null;
        }
        Uri fromFile = Uri.fromFile(b3);
        try {
            return this.f.openInputStream(fromFile);
        } catch (NullPointerException e2) {
            throw ((FileNotFoundException) new FileNotFoundException("NPE opening uri: " + uri + " -> " + fromFile).initCause(e2));
        }
    }

    e(List<ImageHeaderParser> list, a aVar, d dVar, b bVar, ContentResolver contentResolver) {
        this.f7170c = aVar;
        this.f7171d = dVar;
        this.f7172e = bVar;
        this.f = contentResolver;
        this.g = list;
    }
}
