package com.bumptech.glide.load.k;

import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import com.ibm.icu.impl.z0;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/* compiled from: LazyHeaders */
public final class j implements h {

    /* renamed from: c  reason: collision with root package name */
    private final Map<String, List<i>> f7205c;

    /* renamed from: d  reason: collision with root package name */
    private volatile Map<String, String> f7206d;

    /* compiled from: LazyHeaders */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private static final String f7207a = "User-Agent";

        /* renamed from: b  reason: collision with root package name */
        private static final String f7208b;

        /* renamed from: c  reason: collision with root package name */
        private static final Map<String, List<i>> f7209c;

        /* renamed from: d  reason: collision with root package name */
        private boolean f7210d = true;

        /* renamed from: e  reason: collision with root package name */
        private Map<String, List<i>> f7211e = f7209c;
        private boolean f = true;

        static {
            String g = g();
            f7208b = g;
            HashMap hashMap = new HashMap(2);
            if (!TextUtils.isEmpty(g)) {
                hashMap.put("User-Agent", Collections.singletonList(new b(g)));
            }
            f7209c = Collections.unmodifiableMap(hashMap);
        }

        private Map<String, List<i>> d() {
            HashMap hashMap = new HashMap(this.f7211e.size());
            for (Map.Entry<String, List<i>> entry : this.f7211e.entrySet()) {
                hashMap.put(entry.getKey(), new ArrayList(entry.getValue()));
            }
            return hashMap;
        }

        private void e() {
            if (this.f7210d) {
                this.f7210d = false;
                this.f7211e = d();
            }
        }

        private List<i> f(String str) {
            List<i> list = this.f7211e.get(str);
            if (list != null) {
                return list;
            }
            ArrayList arrayList = new ArrayList();
            this.f7211e.put(str, arrayList);
            return arrayList;
        }

        @VisibleForTesting
        static String g() {
            String property = System.getProperty("http.agent");
            if (TextUtils.isEmpty(property)) {
                return property;
            }
            int length = property.length();
            StringBuilder sb = new StringBuilder(property.length());
            for (int i = 0; i < length; i++) {
                char charAt = property.charAt(i);
                if ((charAt > 31 || charAt == '\t') && charAt < 127) {
                    sb.append(charAt);
                } else {
                    sb.append('?');
                }
            }
            return sb.toString();
        }

        public a a(@NonNull String str, @NonNull i iVar) {
            if (this.f && "User-Agent".equalsIgnoreCase(str)) {
                return h(str, iVar);
            }
            e();
            f(str).add(iVar);
            return this;
        }

        public a b(@NonNull String str, @NonNull String str2) {
            return a(str, new b(str2));
        }

        public j c() {
            this.f7210d = true;
            return new j(this.f7211e);
        }

        public a h(@NonNull String str, @Nullable i iVar) {
            e();
            if (iVar == null) {
                this.f7211e.remove(str);
            } else {
                List<i> f2 = f(str);
                f2.clear();
                f2.add(iVar);
            }
            if (this.f && "User-Agent".equalsIgnoreCase(str)) {
                this.f = false;
            }
            return this;
        }

        public a i(@NonNull String str, @Nullable String str2) {
            return h(str, str2 == null ? null : new b(str2));
        }
    }

    /* compiled from: LazyHeaders */
    static final class b implements i {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        private final String f7212a;

        b(@NonNull String str) {
            this.f7212a = str;
        }

        @Override // com.bumptech.glide.load.k.i
        public String a() {
            return this.f7212a;
        }

        public boolean equals(Object obj) {
            if (obj instanceof b) {
                return this.f7212a.equals(((b) obj).f7212a);
            }
            return false;
        }

        public int hashCode() {
            return this.f7212a.hashCode();
        }

        public String toString() {
            return "StringHeaderFactory{value='" + this.f7212a + z0.f14782a + '}';
        }
    }

    j(Map<String, List<i>> map) {
        this.f7205c = Collections.unmodifiableMap(map);
    }

    @NonNull
    private String a(@NonNull List<i> list) {
        StringBuilder sb = new StringBuilder();
        int size = list.size();
        for (int i = 0; i < size; i++) {
            String a2 = list.get(i).a();
            if (!TextUtils.isEmpty(a2)) {
                sb.append(a2);
                if (i != list.size() - 1) {
                    sb.append(',');
                }
            }
        }
        return sb.toString();
    }

    private Map<String, String> b() {
        HashMap hashMap = new HashMap();
        for (Map.Entry<String, List<i>> entry : this.f7205c.entrySet()) {
            String a2 = a(entry.getValue());
            if (!TextUtils.isEmpty(a2)) {
                hashMap.put(entry.getKey(), a2);
            }
        }
        return hashMap;
    }

    public boolean equals(Object obj) {
        if (obj instanceof j) {
            return this.f7205c.equals(((j) obj).f7205c);
        }
        return false;
    }

    @Override // com.bumptech.glide.load.k.h
    public Map<String, String> getHeaders() {
        if (this.f7206d == null) {
            synchronized (this) {
                if (this.f7206d == null) {
                    this.f7206d = Collections.unmodifiableMap(b());
                }
            }
        }
        return this.f7206d;
    }

    public int hashCode() {
        return this.f7205c.hashCode();
    }

    public String toString() {
        return "LazyHeaders{headers=" + this.f7205c + '}';
    }
}
