package com.bumptech.glide.load.k.y;

import android.content.Context;
import android.database.Cursor;
import android.net.Uri;
import android.os.Build;
import android.os.Environment;
import android.os.ParcelFileDescriptor;
import android.provider.MediaStore;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import com.bumptech.glide.Priority;
import com.bumptech.glide.load.DataSource;
import com.bumptech.glide.load.j.d;
import com.bumptech.glide.load.k.n;
import com.bumptech.glide.load.k.o;
import com.bumptech.glide.load.k.r;
import com.bumptech.glide.n.e;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.InputStream;

@RequiresApi(29)
/* compiled from: QMediaStoreUriLoader */
public final class f<DataT> implements n<Uri, DataT> {

    /* renamed from: a  reason: collision with root package name */
    private final Context f7274a;

    /* renamed from: b  reason: collision with root package name */
    private final n<File, DataT> f7275b;

    /* renamed from: c  reason: collision with root package name */
    private final n<Uri, DataT> f7276c;

    /* renamed from: d  reason: collision with root package name */
    private final Class<DataT> f7277d;

    /* compiled from: QMediaStoreUriLoader */
    private static abstract class a<DataT> implements o<Uri, DataT> {

        /* renamed from: a  reason: collision with root package name */
        private final Context f7278a;

        /* renamed from: b  reason: collision with root package name */
        private final Class<DataT> f7279b;

        a(Context context, Class<DataT> cls) {
            this.f7278a = context;
            this.f7279b = cls;
        }

        @Override // com.bumptech.glide.load.k.o
        public final void a() {
        }

        @Override // com.bumptech.glide.load.k.o
        @NonNull
        public final n<Uri, DataT> c(@NonNull r rVar) {
            return new f(this.f7278a, rVar.d(File.class, this.f7279b), rVar.d(Uri.class, this.f7279b), this.f7279b);
        }
    }

    @RequiresApi(29)
    /* compiled from: QMediaStoreUriLoader */
    public static final class b extends a<ParcelFileDescriptor> {
        public b(Context context) {
            super(context, ParcelFileDescriptor.class);
        }
    }

    @RequiresApi(29)
    /* compiled from: QMediaStoreUriLoader */
    public static final class c extends a<InputStream> {
        public c(Context context) {
            super(context, InputStream.class);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: QMediaStoreUriLoader */
    public static final class d<DataT> implements com.bumptech.glide.load.j.d<DataT> {

        /* renamed from: a  reason: collision with root package name */
        private static final String[] f7280a = {"_data"};
        private final n<File, DataT> I0;
        private final n<Uri, DataT> J0;
        private final Uri K0;
        private final int L0;
        private final int M0;
        private final com.bumptech.glide.load.f N0;
        private final Class<DataT> O0;
        private volatile boolean P0;
        @Nullable
        private volatile com.bumptech.glide.load.j.d<DataT> Q0;

        /* renamed from: b  reason: collision with root package name */
        private final Context f7281b;

        d(Context context, n<File, DataT> nVar, n<Uri, DataT> nVar2, Uri uri, int i, int i2, com.bumptech.glide.load.f fVar, Class<DataT> cls) {
            this.f7281b = context.getApplicationContext();
            this.I0 = nVar;
            this.J0 = nVar2;
            this.K0 = uri;
            this.L0 = i;
            this.M0 = i2;
            this.N0 = fVar;
            this.O0 = cls;
        }

        @Nullable
        private n.a<DataT> b() throws FileNotFoundException {
            if (Environment.isExternalStorageLegacy()) {
                return this.I0.b(h(this.K0), this.L0, this.M0, this.N0);
            }
            return this.J0.b(g() ? MediaStore.setRequireOriginal(this.K0) : this.K0, this.L0, this.M0, this.N0);
        }

        /* JADX DEBUG: Type inference failed for r0v2. Raw type applied. Possible types: com.bumptech.glide.load.j.d<Data>, com.bumptech.glide.load.j.d<DataT> */
        @Nullable
        private com.bumptech.glide.load.j.d<DataT> c() throws FileNotFoundException {
            n.a<DataT> b2 = b();
            if (b2 != null) {
                return (com.bumptech.glide.load.j.d<Data>) b2.f7226c;
            }
            return null;
        }

        private boolean g() {
            return this.f7281b.checkSelfPermission("android.permission.ACCESS_MEDIA_LOCATION") == 0;
        }

        @NonNull
        private File h(Uri uri) throws FileNotFoundException {
            Cursor cursor = null;
            try {
                Cursor query = this.f7281b.getContentResolver().query(uri, f7280a, null, null, null);
                if (query == null || !query.moveToFirst()) {
                    throw new FileNotFoundException("Failed to media store entry for: " + uri);
                }
                String string = query.getString(query.getColumnIndexOrThrow("_data"));
                if (!TextUtils.isEmpty(string)) {
                    File file = new File(string);
                    query.close();
                    return file;
                }
                throw new FileNotFoundException("File path was empty in media store for: " + uri);
            } catch (Throwable th) {
                if (0 != 0) {
                    cursor.close();
                }
                throw th;
            }
        }

        @Override // com.bumptech.glide.load.j.d
        @NonNull
        public Class<DataT> a() {
            return this.O0;
        }

        @Override // com.bumptech.glide.load.j.d
        public void cancel() {
            this.P0 = true;
            com.bumptech.glide.load.j.d<DataT> dVar = this.Q0;
            if (dVar != null) {
                dVar.cancel();
            }
        }

        @Override // com.bumptech.glide.load.j.d
        @NonNull
        public DataSource d() {
            return DataSource.LOCAL;
        }

        @Override // com.bumptech.glide.load.j.d
        public void e() {
            com.bumptech.glide.load.j.d<DataT> dVar = this.Q0;
            if (dVar != null) {
                dVar.e();
            }
        }

        @Override // com.bumptech.glide.load.j.d
        public void f(@NonNull Priority priority, @NonNull d.a<? super DataT> aVar) {
            try {
                com.bumptech.glide.load.j.d<DataT> c2 = c();
                if (c2 == null) {
                    aVar.b(new IllegalArgumentException("Failed to build fetcher for: " + this.K0));
                    return;
                }
                this.Q0 = c2;
                if (this.P0) {
                    cancel();
                } else {
                    c2.f(priority, aVar);
                }
            } catch (FileNotFoundException e2) {
                aVar.b(e2);
            }
        }
    }

    f(Context context, n<File, DataT> nVar, n<Uri, DataT> nVar2, Class<DataT> cls) {
        this.f7274a = context.getApplicationContext();
        this.f7275b = nVar;
        this.f7276c = nVar2;
        this.f7277d = cls;
    }

    /* renamed from: c */
    public n.a<DataT> b(@NonNull Uri uri, int i, int i2, @NonNull com.bumptech.glide.load.f fVar) {
        return new n.a<>(new e(uri), new d(this.f7274a, this.f7275b, this.f7276c, uri, i, i2, fVar, this.f7277d));
    }

    /* renamed from: d */
    public boolean a(@NonNull Uri uri) {
        return Build.VERSION.SDK_INT >= 29 && com.bumptech.glide.load.j.p.b.b(uri);
    }
}
