package com.bumptech.glide.load.l;

import android.annotation.SuppressLint;
import android.graphics.ColorSpace;
import android.graphics.ImageDecoder;
import android.os.Build;
import android.util.Log;
import android.util.Size;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import com.bumptech.glide.load.DecodeFormat;
import com.bumptech.glide.load.PreferredColorSpace;
import com.bumptech.glide.load.e;
import com.bumptech.glide.load.g;
import com.bumptech.glide.load.resource.bitmap.DownsampleStrategy;
import com.bumptech.glide.load.resource.bitmap.o;
import com.bumptech.glide.load.resource.bitmap.u;
import com.ibm.icu.impl.locale.f;
import java.io.IOException;

@RequiresApi(api = 28)
/* compiled from: ImageDecoderResourceDecoder */
public abstract class a<T> implements g<ImageDecoder.Source, T> {

    /* renamed from: a  reason: collision with root package name */
    private static final String f7283a = "ImageDecoder";

    /* renamed from: b  reason: collision with root package name */
    final u f7284b = u.a();

    /* access modifiers changed from: package-private */
    /* renamed from: com.bumptech.glide.load.l.a$a  reason: collision with other inner class name */
    /* compiled from: ImageDecoderResourceDecoder */
    public class C0172a implements ImageDecoder.OnHeaderDecodedListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f7285a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f7286b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ boolean f7287c;

        /* renamed from: d  reason: collision with root package name */
        final /* synthetic */ DecodeFormat f7288d;

        /* renamed from: e  reason: collision with root package name */
        final /* synthetic */ DownsampleStrategy f7289e;
        final /* synthetic */ PreferredColorSpace f;

        /* renamed from: com.bumptech.glide.load.l.a$a$a  reason: collision with other inner class name */
        /* compiled from: ImageDecoderResourceDecoder */
        class C0173a implements ImageDecoder.OnPartialImageListener {
            C0173a() {
            }

            public boolean onPartialImage(@NonNull ImageDecoder.DecodeException decodeException) {
                return false;
            }
        }

        C0172a(int i, int i2, boolean z, DecodeFormat decodeFormat, DownsampleStrategy downsampleStrategy, PreferredColorSpace preferredColorSpace) {
            this.f7285a = i;
            this.f7286b = i2;
            this.f7287c = z;
            this.f7288d = decodeFormat;
            this.f7289e = downsampleStrategy;
            this.f = preferredColorSpace;
        }

        @SuppressLint({"Override"})
        public void onHeaderDecoded(ImageDecoder imageDecoder, ImageDecoder.ImageInfo imageInfo, ImageDecoder.Source source) {
            boolean z = false;
            if (a.this.f7284b.c(this.f7285a, this.f7286b, this.f7287c, false)) {
                imageDecoder.setAllocator(3);
            } else {
                imageDecoder.setAllocator(1);
            }
            if (this.f7288d == DecodeFormat.PREFER_RGB_565) {
                imageDecoder.setMemorySizePolicy(0);
            }
            imageDecoder.setOnPartialImageListener(new C0173a());
            Size size = imageInfo.getSize();
            int i = this.f7285a;
            if (i == Integer.MIN_VALUE) {
                i = size.getWidth();
            }
            int i2 = this.f7286b;
            if (i2 == Integer.MIN_VALUE) {
                i2 = size.getHeight();
            }
            float b2 = this.f7289e.b(size.getWidth(), size.getHeight(), i, i2);
            int round = Math.round(((float) size.getWidth()) * b2);
            int round2 = Math.round(((float) size.getHeight()) * b2);
            if (Log.isLoggable(a.f7283a, 2)) {
                Log.v(a.f7283a, "Resizing from [" + size.getWidth() + f.f14028c + size.getHeight() + "] to [" + round + f.f14028c + round2 + "] scaleFactor: " + b2);
            }
            imageDecoder.setTargetSize(round, round2);
            int i3 = Build.VERSION.SDK_INT;
            if (i3 >= 28) {
                if (this.f == PreferredColorSpace.DISPLAY_P3 && imageInfo.getColorSpace() != null && imageInfo.getColorSpace().isWideGamut()) {
                    z = true;
                }
                imageDecoder.setTargetColorSpace(ColorSpace.get(z ? ColorSpace.Named.DISPLAY_P3 : ColorSpace.Named.SRGB));
            } else if (i3 >= 26) {
                imageDecoder.setTargetColorSpace(ColorSpace.get(ColorSpace.Named.SRGB));
            }
        }
    }

    /* access modifiers changed from: protected */
    public abstract com.bumptech.glide.load.engine.u<T> c(ImageDecoder.Source source, int i, int i2, ImageDecoder.OnHeaderDecodedListener onHeaderDecodedListener) throws IOException;

    /* JADX DEBUG: Multi-variable search result rejected for r13v0, resolved type: com.bumptech.glide.load.f */
    /* JADX WARN: Multi-variable type inference failed */
    @Nullable
    /* renamed from: d */
    public final com.bumptech.glide.load.engine.u<T> b(@NonNull ImageDecoder.Source source, int i, int i2, @NonNull com.bumptech.glide.load.f fVar) throws IOException {
        DecodeFormat decodeFormat = (DecodeFormat) fVar.a(o.f7409b);
        DownsampleStrategy downsampleStrategy = (DownsampleStrategy) fVar.a(DownsampleStrategy.h);
        e<Boolean> eVar = o.f;
        return c(source, i, i2, new C0172a(i, i2, fVar.a(eVar) != null && ((Boolean) fVar.a(eVar)).booleanValue(), decodeFormat, downsampleStrategy, (PreferredColorSpace) fVar.a(o.f7410c)));
    }

    /* renamed from: e */
    public final boolean a(@NonNull ImageDecoder.Source source, @NonNull com.bumptech.glide.load.f fVar) {
        return true;
    }
}
