package com.bumptech.glide.load.l.e;

import android.content.Context;
import android.content.pm.PackageManager;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.bumptech.glide.load.engine.u;
import com.bumptech.glide.load.f;
import com.bumptech.glide.load.g;
import java.util.List;

/* compiled from: ResourceDrawableDecoder */
public class e implements g<Uri, Drawable> {

    /* renamed from: a  reason: collision with root package name */
    private static final String f7297a = "android";

    /* renamed from: b  reason: collision with root package name */
    private static final int f7298b = 0;

    /* renamed from: c  reason: collision with root package name */
    private static final int f7299c = 2;

    /* renamed from: d  reason: collision with root package name */
    private static final int f7300d = 0;

    /* renamed from: e  reason: collision with root package name */
    private static final int f7301e = 1;
    private static final int f = 1;
    private static final int g = 0;
    private final Context h;

    public e(Context context) {
        this.h = context.getApplicationContext();
    }

    @NonNull
    private Context d(Uri uri, String str) {
        if (str.equals(this.h.getPackageName())) {
            return this.h;
        }
        try {
            return this.h.createPackageContext(str, 0);
        } catch (PackageManager.NameNotFoundException e2) {
            if (str.contains(this.h.getPackageName())) {
                return this.h;
            }
            throw new IllegalArgumentException("Failed to obtain context or unrecognized Uri format for: " + uri, e2);
        }
    }

    @DrawableRes
    private int e(Uri uri) {
        try {
            return Integer.parseInt(uri.getPathSegments().get(0));
        } catch (NumberFormatException e2) {
            throw new IllegalArgumentException("Unrecognized Uri format: " + uri, e2);
        }
    }

    @DrawableRes
    private int f(Context context, Uri uri) {
        List<String> pathSegments = uri.getPathSegments();
        String authority = uri.getAuthority();
        String str = pathSegments.get(0);
        String str2 = pathSegments.get(1);
        int identifier = context.getResources().getIdentifier(str2, str, authority);
        if (identifier == 0) {
            identifier = Resources.getSystem().getIdentifier(str2, str, f7297a);
        }
        if (identifier != 0) {
            return identifier;
        }
        throw new IllegalArgumentException("Failed to find resource id for: " + uri);
    }

    @DrawableRes
    private int g(Context context, Uri uri) {
        List<String> pathSegments = uri.getPathSegments();
        if (pathSegments.size() == 2) {
            return f(context, uri);
        }
        if (pathSegments.size() == 1) {
            return e(uri);
        }
        throw new IllegalArgumentException("Unrecognized Uri format: " + uri);
    }

    @Nullable
    /* renamed from: c */
    public u<Drawable> b(@NonNull Uri uri, int i, int i2, @NonNull f fVar) {
        Context d2 = d(uri, uri.getAuthority());
        return d.e(a.b(this.h, d2, g(d2, uri)));
    }

    /* renamed from: h */
    public boolean a(@NonNull Uri uri, @NonNull f fVar) {
        return uri.getScheme().equals("android.resource");
    }
}
