package com.bumptech.glide.load.l.g;

import android.content.Context;
import android.graphics.Bitmap;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import com.bumptech.glide.gifdecoder.GifDecoder;
import com.bumptech.glide.gifdecoder.c;
import com.bumptech.glide.gifdecoder.e;
import com.bumptech.glide.load.DecodeFormat;
import com.bumptech.glide.load.ImageHeaderParser;
import com.bumptech.glide.load.f;
import com.bumptech.glide.load.g;
import com.bumptech.glide.util.l;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.util.List;
import java.util.Queue;

/* compiled from: ByteBufferGifDecoder */
public class a implements g<ByteBuffer, c> {

    /* renamed from: a  reason: collision with root package name */
    private static final String f7302a = "BufferGifDecoder";

    /* renamed from: b  reason: collision with root package name */
    private static final C0175a f7303b = new C0175a();

    /* renamed from: c  reason: collision with root package name */
    private static final b f7304c = new b();

    /* renamed from: d  reason: collision with root package name */
    private final Context f7305d;

    /* renamed from: e  reason: collision with root package name */
    private final List<ImageHeaderParser> f7306e;
    private final b f;
    private final C0175a g;
    private final b h;

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    /* renamed from: com.bumptech.glide.load.l.g.a$a  reason: collision with other inner class name */
    /* compiled from: ByteBufferGifDecoder */
    public static class C0175a {
        C0175a() {
        }

        /* access modifiers changed from: package-private */
        public GifDecoder a(GifDecoder.a aVar, com.bumptech.glide.gifdecoder.b bVar, ByteBuffer byteBuffer, int i) {
            return new e(aVar, bVar, byteBuffer, i);
        }
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    /* compiled from: ByteBufferGifDecoder */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        private final Queue<c> f7307a = l.f(0);

        b() {
        }

        /* access modifiers changed from: package-private */
        public synchronized c a(ByteBuffer byteBuffer) {
            c poll;
            poll = this.f7307a.poll();
            if (poll == null) {
                poll = new c();
            }
            return poll.q(byteBuffer);
        }

        /* access modifiers changed from: package-private */
        public synchronized void b(c cVar) {
            cVar.a();
            this.f7307a.offer(cVar);
        }
    }

    public a(Context context) {
        this(context, com.bumptech.glide.c.d(context).m().g(), com.bumptech.glide.c.d(context).g(), com.bumptech.glide.c.d(context).f());
    }

    @Nullable
    private e c(ByteBuffer byteBuffer, int i, int i2, c cVar, f fVar) {
        Bitmap.Config config;
        long b2 = com.bumptech.glide.util.g.b();
        try {
            com.bumptech.glide.gifdecoder.b d2 = cVar.d();
            if (d2.b() > 0) {
                if (d2.c() == 0) {
                    if (fVar.a(i.f7323a) == DecodeFormat.PREFER_RGB_565) {
                        config = Bitmap.Config.RGB_565;
                    } else {
                        config = Bitmap.Config.ARGB_8888;
                    }
                    GifDecoder a2 = this.g.a(this.h, d2, byteBuffer, e(d2, i, i2));
                    a2.l(config);
                    a2.h();
                    Bitmap g2 = a2.g();
                    if (g2 == null) {
                        if (Log.isLoggable(f7302a, 2)) {
                            Log.v(f7302a, "Decoded GIF from stream in " + com.bumptech.glide.util.g.a(b2));
                        }
                        return null;
                    }
                    e eVar = new e(new c(this.f7305d, a2, com.bumptech.glide.load.l.c.a(), i, i2, g2));
                    if (Log.isLoggable(f7302a, 2)) {
                        Log.v(f7302a, "Decoded GIF from stream in " + com.bumptech.glide.util.g.a(b2));
                    }
                    return eVar;
                }
            }
            return null;
        } finally {
            if (Log.isLoggable(f7302a, 2)) {
                Log.v(f7302a, "Decoded GIF from stream in " + com.bumptech.glide.util.g.a(b2));
            }
        }
    }

    private static int e(com.bumptech.glide.gifdecoder.b bVar, int i, int i2) {
        int i3;
        int min = Math.min(bVar.a() / i2, bVar.d() / i);
        if (min == 0) {
            i3 = 0;
        } else {
            i3 = Integer.highestOneBit(min);
        }
        int max = Math.max(1, i3);
        if (Log.isLoggable(f7302a, 2) && max > 1) {
            Log.v(f7302a, "Downsampling GIF, sampleSize: " + max + ", target dimens: [" + i + com.ibm.icu.impl.locale.f.f14028c + i2 + "], actual dimens: [" + bVar.d() + com.ibm.icu.impl.locale.f.f14028c + bVar.a() + "]");
        }
        return max;
    }

    /* renamed from: d */
    public e b(@NonNull ByteBuffer byteBuffer, int i, int i2, @NonNull f fVar) {
        c a2 = this.f.a(byteBuffer);
        try {
            return c(byteBuffer, i, i2, a2, fVar);
        } finally {
            this.f.b(a2);
        }
    }

    /* renamed from: f */
    public boolean a(@NonNull ByteBuffer byteBuffer, @NonNull f fVar) throws IOException {
        return !((Boolean) fVar.a(i.f7324b)).booleanValue() && com.bumptech.glide.load.b.f(this.f7306e, byteBuffer) == ImageHeaderParser.ImageType.GIF;
    }

    public a(Context context, List<ImageHeaderParser> list, com.bumptech.glide.load.engine.z.e eVar, com.bumptech.glide.load.engine.z.b bVar) {
        this(context, list, eVar, bVar, f7304c, f7303b);
    }

    @VisibleForTesting
    a(Context context, List<ImageHeaderParser> list, com.bumptech.glide.load.engine.z.e eVar, com.bumptech.glide.load.engine.z.b bVar, b bVar2, C0175a aVar) {
        this.f7305d = context.getApplicationContext();
        this.f7306e = list;
        this.g = aVar;
        this.h = new b(eVar, bVar);
        this.f = bVar2;
    }
}
