package com.bumptech.glide.load.resource.bitmap;

import android.util.Log;
import androidx.annotation.NonNull;
import com.bumptech.glide.load.ImageHeaderParser;
import com.bumptech.glide.util.k;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.charset.Charset;

public final class DefaultImageHeaderParser implements ImageHeaderParser {

    /* renamed from: b  reason: collision with root package name */
    private static final String f7340b = "DfltImageHeaderParser";

    /* renamed from: c  reason: collision with root package name */
    private static final int f7341c = 4671814;

    /* renamed from: d  reason: collision with root package name */
    private static final int f7342d = -1991225785;

    /* renamed from: e  reason: collision with root package name */
    static final int f7343e = 65496;
    private static final int f = 19789;
    private static final int g = 18761;
    private static final String h = "Exif\u0000\u0000";
    static final byte[] i = h.getBytes(Charset.forName("UTF-8"));
    private static final int j = 218;
    private static final int k = 217;
    static final int l = 255;
    static final int m = 225;
    private static final int n = 274;
    private static final int[] o = {0, 1, 1, 2, 4, 8, 1, 1, 2, 4, 8, 4, 8};
    private static final int p = 1380533830;
    private static final int q = 1464156752;
    private static final int r = 1448097792;
    private static final int s = -256;
    private static final int t = 255;
    private static final int u = 88;
    private static final int v = 76;
    private static final int w = 16;
    private static final int x = 8;

    /* access modifiers changed from: private */
    public interface Reader {

        public static final class EndOfFileException extends IOException {
            private static final long serialVersionUID = 1;

            EndOfFileException() {
                super("Unexpectedly reached end of a file");
            }
        }

        int a(byte[] bArr, int i) throws IOException;

        int b() throws IOException;

        short c() throws IOException;

        long skip(long j) throws IOException;
    }

    private static final class a implements Reader {

        /* renamed from: a  reason: collision with root package name */
        private final ByteBuffer f7344a;

        a(ByteBuffer byteBuffer) {
            this.f7344a = byteBuffer;
            byteBuffer.order(ByteOrder.BIG_ENDIAN);
        }

        @Override // com.bumptech.glide.load.resource.bitmap.DefaultImageHeaderParser.Reader
        public int a(byte[] bArr, int i) {
            int min = Math.min(i, this.f7344a.remaining());
            if (min == 0) {
                return -1;
            }
            this.f7344a.get(bArr, 0, min);
            return min;
        }

        @Override // com.bumptech.glide.load.resource.bitmap.DefaultImageHeaderParser.Reader
        public int b() throws Reader.EndOfFileException {
            return (c() << 8) | c();
        }

        @Override // com.bumptech.glide.load.resource.bitmap.DefaultImageHeaderParser.Reader
        public short c() throws Reader.EndOfFileException {
            if (this.f7344a.remaining() >= 1) {
                return (short) (this.f7344a.get() & 255);
            }
            throw new Reader.EndOfFileException();
        }

        @Override // com.bumptech.glide.load.resource.bitmap.DefaultImageHeaderParser.Reader
        public long skip(long j) {
            int min = (int) Math.min((long) this.f7344a.remaining(), j);
            ByteBuffer byteBuffer = this.f7344a;
            byteBuffer.position(byteBuffer.position() + min);
            return (long) min;
        }
    }

    /* access modifiers changed from: private */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        private final ByteBuffer f7345a;

        b(byte[] bArr, int i) {
            this.f7345a = (ByteBuffer) ByteBuffer.wrap(bArr).order(ByteOrder.BIG_ENDIAN).limit(i);
        }

        private boolean c(int i, int i2) {
            return this.f7345a.remaining() - i >= i2;
        }

        /* access modifiers changed from: package-private */
        public short a(int i) {
            if (c(i, 2)) {
                return this.f7345a.getShort(i);
            }
            return -1;
        }

        /* access modifiers changed from: package-private */
        public int b(int i) {
            if (c(i, 4)) {
                return this.f7345a.getInt(i);
            }
            return -1;
        }

        /* access modifiers changed from: package-private */
        public int d() {
            return this.f7345a.remaining();
        }

        /* access modifiers changed from: package-private */
        public void e(ByteOrder byteOrder) {
            this.f7345a.order(byteOrder);
        }
    }

    private static final class c implements Reader {

        /* renamed from: a  reason: collision with root package name */
        private final InputStream f7346a;

        c(InputStream inputStream) {
            this.f7346a = inputStream;
        }

        @Override // com.bumptech.glide.load.resource.bitmap.DefaultImageHeaderParser.Reader
        public int a(byte[] bArr, int i) throws IOException {
            int i2 = 0;
            int i3 = 0;
            while (i2 < i && (i3 = this.f7346a.read(bArr, i2, i - i2)) != -1) {
                i2 += i3;
            }
            if (i2 != 0 || i3 != -1) {
                return i2;
            }
            throw new Reader.EndOfFileException();
        }

        @Override // com.bumptech.glide.load.resource.bitmap.DefaultImageHeaderParser.Reader
        public int b() throws IOException {
            return (c() << 8) | c();
        }

        @Override // com.bumptech.glide.load.resource.bitmap.DefaultImageHeaderParser.Reader
        public short c() throws IOException {
            int read = this.f7346a.read();
            if (read != -1) {
                return (short) read;
            }
            throw new Reader.EndOfFileException();
        }

        @Override // com.bumptech.glide.load.resource.bitmap.DefaultImageHeaderParser.Reader
        public long skip(long j) throws IOException {
            if (j < 0) {
                return 0;
            }
            long j2 = j;
            while (j2 > 0) {
                long skip = this.f7346a.skip(j2);
                if (skip <= 0) {
                    if (this.f7346a.read() == -1) {
                        break;
                    }
                    skip = 1;
                }
                j2 -= skip;
            }
            return j - j2;
        }
    }

    private static int e(int i2, int i3) {
        return i2 + 2 + (i3 * 12);
    }

    private int f(Reader reader, com.bumptech.glide.load.engine.z.b bVar) throws IOException {
        try {
            int b2 = reader.b();
            if (!h(b2)) {
                if (Log.isLoggable(f7340b, 3)) {
                    Log.d(f7340b, "Parser doesn't handle magic number: " + b2);
                }
                return -1;
            }
            int j2 = j(reader);
            if (j2 == -1) {
                if (Log.isLoggable(f7340b, 3)) {
                    Log.d(f7340b, "Failed to parse exif segment length, or exif segment not found");
                }
                return -1;
            }
            byte[] bArr = (byte[]) bVar.e(j2, byte[].class);
            try {
                return l(reader, bArr, j2);
            } finally {
                bVar.put(bArr);
            }
        } catch (Reader.EndOfFileException unused) {
            return -1;
        }
    }

    @NonNull
    private ImageHeaderParser.ImageType g(Reader reader) throws IOException {
        try {
            int b2 = reader.b();
            if (b2 == f7343e) {
                return ImageHeaderParser.ImageType.JPEG;
            }
            int c2 = (b2 << 8) | reader.c();
            if (c2 == f7341c) {
                return ImageHeaderParser.ImageType.GIF;
            }
            int c3 = (c2 << 8) | reader.c();
            if (c3 == f7342d) {
                reader.skip(21);
                try {
                    return reader.c() >= 3 ? ImageHeaderParser.ImageType.PNG_A : ImageHeaderParser.ImageType.PNG;
                } catch (Reader.EndOfFileException unused) {
                    return ImageHeaderParser.ImageType.PNG;
                }
            } else if (c3 != p) {
                return ImageHeaderParser.ImageType.UNKNOWN;
            } else {
                reader.skip(4);
                if (((reader.b() << 16) | reader.b()) != q) {
                    return ImageHeaderParser.ImageType.UNKNOWN;
                }
                int b3 = (reader.b() << 16) | reader.b();
                if ((b3 & -256) != r) {
                    return ImageHeaderParser.ImageType.UNKNOWN;
                }
                int i2 = b3 & 255;
                if (i2 == 88) {
                    reader.skip(4);
                    return (reader.c() & 16) != 0 ? ImageHeaderParser.ImageType.WEBP_A : ImageHeaderParser.ImageType.WEBP;
                } else if (i2 != 76) {
                    return ImageHeaderParser.ImageType.WEBP;
                } else {
                    reader.skip(4);
                    return (reader.c() & 8) != 0 ? ImageHeaderParser.ImageType.WEBP_A : ImageHeaderParser.ImageType.WEBP;
                }
            }
        } catch (Reader.EndOfFileException unused2) {
            return ImageHeaderParser.ImageType.UNKNOWN;
        }
    }

    private static boolean h(int i2) {
        return (i2 & f7343e) == f7343e || i2 == f || i2 == g;
    }

    private boolean i(byte[] bArr, int i2) {
        boolean z = bArr != null && i2 > i.length;
        if (z) {
            int i3 = 0;
            while (true) {
                byte[] bArr2 = i;
                if (i3 >= bArr2.length) {
                    break;
                } else if (bArr[i3] != bArr2[i3]) {
                    return false;
                } else {
                    i3++;
                }
            }
        }
        return z;
    }

    private int j(Reader reader) throws IOException {
        short c2;
        int b2;
        long j2;
        long skip;
        do {
            short c3 = reader.c();
            if (c3 != 255) {
                if (Log.isLoggable(f7340b, 3)) {
                    Log.d(f7340b, "Unknown segmentId=" + ((int) c3));
                }
                return -1;
            }
            c2 = reader.c();
            if (c2 == 218) {
                return -1;
            }
            if (c2 == 217) {
                if (Log.isLoggable(f7340b, 3)) {
                    Log.d(f7340b, "Found MARKER_EOI in exif segment");
                }
                return -1;
            }
            b2 = reader.b() - 2;
            if (c2 == 225) {
                return b2;
            }
            j2 = (long) b2;
            skip = reader.skip(j2);
        } while (skip == j2);
        if (Log.isLoggable(f7340b, 3)) {
            Log.d(f7340b, "Unable to skip enough data, type: " + ((int) c2) + ", wanted to skip: " + b2 + ", but actually skipped: " + skip);
        }
        return -1;
    }

    private static int k(b bVar) {
        ByteOrder byteOrder;
        short a2 = bVar.a(6);
        if (a2 == g) {
            byteOrder = ByteOrder.LITTLE_ENDIAN;
        } else if (a2 != f) {
            if (Log.isLoggable(f7340b, 3)) {
                Log.d(f7340b, "Unknown endianness = " + ((int) a2));
            }
            byteOrder = ByteOrder.BIG_ENDIAN;
        } else {
            byteOrder = ByteOrder.BIG_ENDIAN;
        }
        bVar.e(byteOrder);
        int b2 = bVar.b(10) + 6;
        short a3 = bVar.a(b2);
        for (int i2 = 0; i2 < a3; i2++) {
            int e2 = e(b2, i2);
            short a4 = bVar.a(e2);
            if (a4 == 274) {
                short a5 = bVar.a(e2 + 2);
                if (a5 >= 1 && a5 <= 12) {
                    int b3 = bVar.b(e2 + 4);
                    if (b3 >= 0) {
                        if (Log.isLoggable(f7340b, 3)) {
                            Log.d(f7340b, "Got tagIndex=" + i2 + " tagType=" + ((int) a4) + " formatCode=" + ((int) a5) + " componentCount=" + b3);
                        }
                        int i3 = b3 + o[a5];
                        if (i3 <= 4) {
                            int i4 = e2 + 8;
                            if (i4 < 0 || i4 > bVar.d()) {
                                if (Log.isLoggable(f7340b, 3)) {
                                    Log.d(f7340b, "Illegal tagValueOffset=" + i4 + " tagType=" + ((int) a4));
                                }
                            } else if (i3 >= 0 && i3 + i4 <= bVar.d()) {
                                return bVar.a(i4);
                            } else {
                                if (Log.isLoggable(f7340b, 3)) {
                                    Log.d(f7340b, "Illegal number of bytes for TI tag data tagType=" + ((int) a4));
                                }
                            }
                        } else if (Log.isLoggable(f7340b, 3)) {
                            Log.d(f7340b, "Got byte count > 4, not orientation, continuing, formatCode=" + ((int) a5));
                        }
                    } else if (Log.isLoggable(f7340b, 3)) {
                        Log.d(f7340b, "Negative tiff component count");
                    }
                } else if (Log.isLoggable(f7340b, 3)) {
                    Log.d(f7340b, "Got invalid format code = " + ((int) a5));
                }
            }
        }
        return -1;
    }

    private int l(Reader reader, byte[] bArr, int i2) throws IOException {
        int a2 = reader.a(bArr, i2);
        if (a2 != i2) {
            if (Log.isLoggable(f7340b, 3)) {
                Log.d(f7340b, "Unable to read exif segment data, length: " + i2 + ", actually read: " + a2);
            }
            return -1;
        } else if (i(bArr, i2)) {
            return k(new b(bArr, i2));
        } else {
            if (Log.isLoggable(f7340b, 3)) {
                Log.d(f7340b, "Missing jpeg exif preamble");
            }
            return -1;
        }
    }

    @Override // com.bumptech.glide.load.ImageHeaderParser
    @NonNull
    public ImageHeaderParser.ImageType a(@NonNull ByteBuffer byteBuffer) throws IOException {
        return g(new a((ByteBuffer) k.d(byteBuffer)));
    }

    @Override // com.bumptech.glide.load.ImageHeaderParser
    public int b(@NonNull ByteBuffer byteBuffer, @NonNull com.bumptech.glide.load.engine.z.b bVar) throws IOException {
        return f(new a((ByteBuffer) k.d(byteBuffer)), (com.bumptech.glide.load.engine.z.b) k.d(bVar));
    }

    @Override // com.bumptech.glide.load.ImageHeaderParser
    @NonNull
    public ImageHeaderParser.ImageType c(@NonNull InputStream inputStream) throws IOException {
        return g(new c((InputStream) k.d(inputStream)));
    }

    @Override // com.bumptech.glide.load.ImageHeaderParser
    public int d(@NonNull InputStream inputStream, @NonNull com.bumptech.glide.load.engine.z.b bVar) throws IOException {
        return f(new c((InputStream) k.d(inputStream)), (com.bumptech.glide.load.engine.z.b) k.d(bVar));
    }
}
