package com.bumptech.glide.load.resource.bitmap;

import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.os.Build;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.VisibleForTesting;
import com.bumptech.glide.load.engine.z.e;
import com.bumptech.glide.util.k;
import com.ibm.icu.impl.locale.f;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;

/* compiled from: TransformationUtils */
public final class e0 {

    /* renamed from: a  reason: collision with root package name */
    private static final String f7375a = "TransformationUtils";

    /* renamed from: b  reason: collision with root package name */
    public static final int f7376b = 6;

    /* renamed from: c  reason: collision with root package name */
    private static final Paint f7377c = new Paint(6);

    /* renamed from: d  reason: collision with root package name */
    private static final int f7378d = 7;

    /* renamed from: e  reason: collision with root package name */
    private static final Paint f7379e = new Paint(7);
    private static final Paint f;
    private static final Set<String> g;
    private static final Lock h;

    /* access modifiers changed from: package-private */
    /* compiled from: TransformationUtils */
    public class a implements c {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f7380a;

        a(int i) {
            this.f7380a = i;
        }

        @Override // com.bumptech.glide.load.resource.bitmap.e0.c
        public void a(Canvas canvas, Paint paint, RectF rectF) {
            int i = this.f7380a;
            canvas.drawRoundRect(rectF, (float) i, (float) i, paint);
        }
    }

    /* compiled from: TransformationUtils */
    class b implements c {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ float f7381a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ float f7382b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ float f7383c;

        /* renamed from: d  reason: collision with root package name */
        final /* synthetic */ float f7384d;

        b(float f, float f2, float f3, float f4) {
            this.f7381a = f;
            this.f7382b = f2;
            this.f7383c = f3;
            this.f7384d = f4;
        }

        @Override // com.bumptech.glide.load.resource.bitmap.e0.c
        public void a(Canvas canvas, Paint paint, RectF rectF) {
            Path path = new Path();
            float f = this.f7381a;
            float f2 = this.f7382b;
            float f3 = this.f7383c;
            float f4 = this.f7384d;
            path.addRoundRect(rectF, new float[]{f, f, f2, f2, f3, f3, f4, f4}, Path.Direction.CW);
            canvas.drawPath(path, paint);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: TransformationUtils */
    public interface c {
        void a(Canvas canvas, Paint paint, RectF rectF);
    }

    /* compiled from: TransformationUtils */
    private static final class d implements Lock {
        d() {
        }

        public void lock() {
        }

        @Override // java.util.concurrent.locks.Lock
        public void lockInterruptibly() throws InterruptedException {
        }

        @NonNull
        public Condition newCondition() {
            throw new UnsupportedOperationException("Should not be called");
        }

        public boolean tryLock() {
            return true;
        }

        @Override // java.util.concurrent.locks.Lock
        public boolean tryLock(long j, @NonNull TimeUnit timeUnit) throws InterruptedException {
            return true;
        }

        public void unlock() {
        }
    }

    static {
        HashSet hashSet = new HashSet(Arrays.asList("XT1085", "XT1092", "XT1093", "XT1094", "XT1095", "XT1096", "XT1097", "XT1098", "XT1031", "XT1028", "XT937C", "XT1032", "XT1008", "XT1033", "XT1035", "XT1034", "XT939G", "XT1039", "XT1040", "XT1042", "XT1045", "XT1063", "XT1064", "XT1068", "XT1069", "XT1072", "XT1077", "XT1078", "XT1079"));
        g = hashSet;
        h = hashSet.contains(Build.MODEL) ? new ReentrantLock() : new d();
        Paint paint = new Paint(7);
        f = paint;
        paint.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.SRC_IN));
    }

    private e0() {
    }

    private static void a(@NonNull Bitmap bitmap, @NonNull Bitmap bitmap2, Matrix matrix) {
        Lock lock = h;
        lock.lock();
        try {
            Canvas canvas = new Canvas(bitmap2);
            canvas.drawBitmap(bitmap, matrix, f7377c);
            e(canvas);
            lock.unlock();
        } catch (Throwable th) {
            h.unlock();
            throw th;
        }
    }

    public static Bitmap b(@NonNull e eVar, @NonNull Bitmap bitmap, int i, int i2) {
        float f2;
        float f3;
        if (bitmap.getWidth() == i && bitmap.getHeight() == i2) {
            return bitmap;
        }
        Matrix matrix = new Matrix();
        float f4 = 0.0f;
        if (bitmap.getWidth() * i2 > bitmap.getHeight() * i) {
            f3 = ((float) i2) / ((float) bitmap.getHeight());
            f4 = (((float) i) - (((float) bitmap.getWidth()) * f3)) * 0.5f;
            f2 = 0.0f;
        } else {
            f3 = ((float) i) / ((float) bitmap.getWidth());
            f2 = (((float) i2) - (((float) bitmap.getHeight()) * f3)) * 0.5f;
        }
        matrix.setScale(f3, f3);
        matrix.postTranslate((float) ((int) (f4 + 0.5f)), (float) ((int) (f2 + 0.5f)));
        Bitmap f5 = eVar.f(i, i2, k(bitmap));
        t(bitmap, f5);
        a(bitmap, f5, matrix);
        return f5;
    }

    public static Bitmap c(@NonNull e eVar, @NonNull Bitmap bitmap, int i, int i2) {
        if (bitmap.getWidth() > i || bitmap.getHeight() > i2) {
            if (Log.isLoggable(f7375a, 2)) {
                Log.v(f7375a, "requested target size too big for input, fit centering instead");
            }
            return f(eVar, bitmap, i, i2);
        }
        if (Log.isLoggable(f7375a, 2)) {
            Log.v(f7375a, "requested target size larger or equal to input, returning input");
        }
        return bitmap;
    }

    public static Bitmap d(@NonNull e eVar, @NonNull Bitmap bitmap, int i, int i2) {
        int min = Math.min(i, i2);
        float f2 = (float) min;
        float f3 = f2 / 2.0f;
        float width = (float) bitmap.getWidth();
        float height = (float) bitmap.getHeight();
        float max = Math.max(f2 / width, f2 / height);
        float f4 = width * max;
        float f5 = max * height;
        float f6 = (f2 - f4) / 2.0f;
        float f7 = (f2 - f5) / 2.0f;
        RectF rectF = new RectF(f6, f7, f4 + f6, f5 + f7);
        Bitmap g2 = g(eVar, bitmap);
        Bitmap f8 = eVar.f(min, min, h(bitmap));
        f8.setHasAlpha(true);
        Lock lock = h;
        lock.lock();
        try {
            Canvas canvas = new Canvas(f8);
            canvas.drawCircle(f3, f3, f3, f7379e);
            canvas.drawBitmap(g2, (Rect) null, rectF, f);
            e(canvas);
            lock.unlock();
            if (!g2.equals(bitmap)) {
                eVar.d(g2);
            }
            return f8;
        } catch (Throwable th) {
            h.unlock();
            throw th;
        }
    }

    private static void e(Canvas canvas) {
        canvas.setBitmap(null);
    }

    public static Bitmap f(@NonNull e eVar, @NonNull Bitmap bitmap, int i, int i2) {
        if (bitmap.getWidth() == i && bitmap.getHeight() == i2) {
            if (Log.isLoggable(f7375a, 2)) {
                Log.v(f7375a, "requested target size matches input, returning input");
            }
            return bitmap;
        }
        float min = Math.min(((float) i) / ((float) bitmap.getWidth()), ((float) i2) / ((float) bitmap.getHeight()));
        int round = Math.round(((float) bitmap.getWidth()) * min);
        int round2 = Math.round(((float) bitmap.getHeight()) * min);
        if (bitmap.getWidth() == round && bitmap.getHeight() == round2) {
            if (Log.isLoggable(f7375a, 2)) {
                Log.v(f7375a, "adjusted target size matches input, returning input");
            }
            return bitmap;
        }
        Bitmap f2 = eVar.f((int) (((float) bitmap.getWidth()) * min), (int) (((float) bitmap.getHeight()) * min), k(bitmap));
        t(bitmap, f2);
        if (Log.isLoggable(f7375a, 2)) {
            Log.v(f7375a, "request: " + i + f.f14028c + i2);
            Log.v(f7375a, "toFit:   " + bitmap.getWidth() + f.f14028c + bitmap.getHeight());
            Log.v(f7375a, "toReuse: " + f2.getWidth() + f.f14028c + f2.getHeight());
            StringBuilder sb = new StringBuilder();
            sb.append("minPct:   ");
            sb.append(min);
            Log.v(f7375a, sb.toString());
        }
        Matrix matrix = new Matrix();
        matrix.setScale(min, min);
        a(bitmap, f2, matrix);
        return f2;
    }

    private static Bitmap g(@NonNull e eVar, @NonNull Bitmap bitmap) {
        Bitmap.Config h2 = h(bitmap);
        if (h2.equals(bitmap.getConfig())) {
            return bitmap;
        }
        Bitmap f2 = eVar.f(bitmap.getWidth(), bitmap.getHeight(), h2);
        new Canvas(f2).drawBitmap(bitmap, 0.0f, 0.0f, (Paint) null);
        return f2;
    }

    @NonNull
    private static Bitmap.Config h(@NonNull Bitmap bitmap) {
        if (Build.VERSION.SDK_INT < 26 || !Bitmap.Config.RGBA_F16.equals(bitmap.getConfig())) {
            return Bitmap.Config.ARGB_8888;
        }
        return Bitmap.Config.RGBA_F16;
    }

    public static Lock i() {
        return h;
    }

    public static int j(int i) {
        switch (i) {
            case 3:
            case 4:
                return 180;
            case 5:
            case 6:
                return 90;
            case 7:
            case 8:
                return 270;
            default:
                return 0;
        }
    }

    @NonNull
    private static Bitmap.Config k(@NonNull Bitmap bitmap) {
        return bitmap.getConfig() != null ? bitmap.getConfig() : Bitmap.Config.ARGB_8888;
    }

    @VisibleForTesting
    static void l(int i, Matrix matrix) {
        switch (i) {
            case 2:
                matrix.setScale(-1.0f, 1.0f);
                return;
            case 3:
                matrix.setRotate(180.0f);
                return;
            case 4:
                matrix.setRotate(180.0f);
                matrix.postScale(-1.0f, 1.0f);
                return;
            case 5:
                matrix.setRotate(90.0f);
                matrix.postScale(-1.0f, 1.0f);
                return;
            case 6:
                matrix.setRotate(90.0f);
                return;
            case 7:
                matrix.setRotate(-90.0f);
                matrix.postScale(-1.0f, 1.0f);
                return;
            case 8:
                matrix.setRotate(-90.0f);
                return;
            default:
                return;
        }
    }

    public static boolean m(int i) {
        switch (i) {
            case 2:
            case 3:
            case 4:
            case 5:
            case 6:
            case 7:
            case 8:
                return true;
            default:
                return false;
        }
    }

    public static Bitmap n(@NonNull Bitmap bitmap, int i) {
        if (i == 0) {
            return bitmap;
        }
        try {
            Matrix matrix = new Matrix();
            matrix.setRotate((float) i);
            return Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, true);
        } catch (Exception e2) {
            if (!Log.isLoggable(f7375a, 6)) {
                return bitmap;
            }
            Log.e(f7375a, "Exception when trying to orient image", e2);
            return bitmap;
        }
    }

    public static Bitmap o(@NonNull e eVar, @NonNull Bitmap bitmap, int i) {
        if (!m(i)) {
            return bitmap;
        }
        Matrix matrix = new Matrix();
        l(i, matrix);
        RectF rectF = new RectF(0.0f, 0.0f, (float) bitmap.getWidth(), (float) bitmap.getHeight());
        matrix.mapRect(rectF);
        Bitmap f2 = eVar.f(Math.round(rectF.width()), Math.round(rectF.height()), k(bitmap));
        matrix.postTranslate(-rectF.left, -rectF.top);
        f2.setHasAlpha(bitmap.hasAlpha());
        a(bitmap, f2, matrix);
        return f2;
    }

    public static Bitmap p(@NonNull e eVar, @NonNull Bitmap bitmap, float f2, float f3, float f4, float f5) {
        return s(eVar, bitmap, new b(f2, f3, f4, f5));
    }

    public static Bitmap q(@NonNull e eVar, @NonNull Bitmap bitmap, int i) {
        k.a(i > 0, "roundingRadius must be greater than 0.");
        return s(eVar, bitmap, new a(i));
    }

    @Deprecated
    public static Bitmap r(@NonNull e eVar, @NonNull Bitmap bitmap, int i, int i2, int i3) {
        return q(eVar, bitmap, i3);
    }

    private static Bitmap s(@NonNull e eVar, @NonNull Bitmap bitmap, c cVar) {
        Bitmap.Config h2 = h(bitmap);
        Bitmap g2 = g(eVar, bitmap);
        Bitmap f2 = eVar.f(g2.getWidth(), g2.getHeight(), h2);
        f2.setHasAlpha(true);
        Shader.TileMode tileMode = Shader.TileMode.CLAMP;
        BitmapShader bitmapShader = new BitmapShader(g2, tileMode, tileMode);
        Paint paint = new Paint();
        paint.setAntiAlias(true);
        paint.setShader(bitmapShader);
        RectF rectF = new RectF(0.0f, 0.0f, (float) f2.getWidth(), (float) f2.getHeight());
        Lock lock = h;
        lock.lock();
        try {
            Canvas canvas = new Canvas(f2);
            canvas.drawColor(0, PorterDuff.Mode.CLEAR);
            cVar.a(canvas, paint, rectF);
            e(canvas);
            lock.unlock();
            if (!g2.equals(bitmap)) {
                eVar.d(g2);
            }
            return f2;
        } catch (Throwable th) {
            h.unlock();
            throw th;
        }
    }

    public static void t(Bitmap bitmap, Bitmap bitmap2) {
        bitmap2.setHasAlpha(bitmap.hasAlpha());
    }
}
