package com.bumptech.glide.load.resource.bitmap;

import android.annotation.TargetApi;
import android.content.res.AssetFileDescriptor;
import android.graphics.Bitmap;
import android.media.MediaDataSource;
import android.media.MediaMetadataRetriever;
import android.os.Build;
import android.os.ParcelFileDescriptor;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.VisibleForTesting;
import com.bumptech.glide.load.e;
import com.bumptech.glide.load.engine.u;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.security.MessageDigest;

/* compiled from: VideoDecoder */
public class h0<T> implements com.bumptech.glide.load.g<T, Bitmap> {

    /* renamed from: a  reason: collision with root package name */
    private static final String f7390a = "VideoDecoder";

    /* renamed from: b  reason: collision with root package name */
    public static final long f7391b = -1;
    @VisibleForTesting

    /* renamed from: c  reason: collision with root package name */
    static final int f7392c = 2;

    /* renamed from: d  reason: collision with root package name */
    public static final com.bumptech.glide.load.e<Long> f7393d = com.bumptech.glide.load.e.b("com.bumptech.glide.load.resource.bitmap.VideoBitmapDecode.TargetFrame", -1L, new a());

    /* renamed from: e  reason: collision with root package name */
    public static final com.bumptech.glide.load.e<Integer> f7394e = com.bumptech.glide.load.e.b("com.bumptech.glide.load.resource.bitmap.VideoBitmapDecode.FrameOption", 2, new b());
    private static final e f = new e();
    private final f<T> g;
    private final com.bumptech.glide.load.engine.z.e h;
    private final e i;

    /* access modifiers changed from: package-private */
    /* compiled from: VideoDecoder */
    public class a implements e.b<Long> {

        /* renamed from: a  reason: collision with root package name */
        private final ByteBuffer f7395a = ByteBuffer.allocate(8);

        a() {
        }

        /* renamed from: b */
        public void a(@NonNull byte[] bArr, @NonNull Long l, @NonNull MessageDigest messageDigest) {
            messageDigest.update(bArr);
            synchronized (this.f7395a) {
                this.f7395a.position(0);
                messageDigest.update(this.f7395a.putLong(l.longValue()).array());
            }
        }
    }

    /* compiled from: VideoDecoder */
    class b implements e.b<Integer> {

        /* renamed from: a  reason: collision with root package name */
        private final ByteBuffer f7396a = ByteBuffer.allocate(4);

        b() {
        }

        /* renamed from: b */
        public void a(@NonNull byte[] bArr, @NonNull Integer num, @NonNull MessageDigest messageDigest) {
            if (num != null) {
                messageDigest.update(bArr);
                synchronized (this.f7396a) {
                    this.f7396a.position(0);
                    messageDigest.update(this.f7396a.putInt(num.intValue()).array());
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: VideoDecoder */
    public static final class c implements f<AssetFileDescriptor> {
        private c() {
        }

        /* renamed from: b */
        public void a(MediaMetadataRetriever mediaMetadataRetriever, AssetFileDescriptor assetFileDescriptor) {
            mediaMetadataRetriever.setDataSource(assetFileDescriptor.getFileDescriptor(), assetFileDescriptor.getStartOffset(), assetFileDescriptor.getLength());
        }

        /* synthetic */ c(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: package-private */
    @RequiresApi(23)
    /* compiled from: VideoDecoder */
    public static final class d implements f<ByteBuffer> {

        /* access modifiers changed from: package-private */
        /* compiled from: VideoDecoder */
        public class a extends MediaDataSource {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ ByteBuffer f7397a;

            a(ByteBuffer byteBuffer) {
                this.f7397a = byteBuffer;
            }

            @Override // java.io.Closeable, java.lang.AutoCloseable
            public void close() {
            }

            @Override // android.media.MediaDataSource
            public long getSize() {
                return (long) this.f7397a.limit();
            }

            @Override // android.media.MediaDataSource
            public int readAt(long j, byte[] bArr, int i, int i2) {
                if (j >= ((long) this.f7397a.limit())) {
                    return -1;
                }
                this.f7397a.position((int) j);
                int min = Math.min(i2, this.f7397a.remaining());
                this.f7397a.get(bArr, i, min);
                return min;
            }
        }

        d() {
        }

        /* renamed from: b */
        public void a(MediaMetadataRetriever mediaMetadataRetriever, ByteBuffer byteBuffer) {
            mediaMetadataRetriever.setDataSource(new a(byteBuffer));
        }
    }

    @VisibleForTesting
    /* compiled from: VideoDecoder */
    static class e {
        e() {
        }

        public MediaMetadataRetriever a() {
            return new MediaMetadataRetriever();
        }
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    /* compiled from: VideoDecoder */
    public interface f<T> {
        void a(MediaMetadataRetriever mediaMetadataRetriever, T t);
    }

    /* access modifiers changed from: package-private */
    /* compiled from: VideoDecoder */
    public static final class g implements f<ParcelFileDescriptor> {
        g() {
        }

        /* renamed from: b */
        public void a(MediaMetadataRetriever mediaMetadataRetriever, ParcelFileDescriptor parcelFileDescriptor) {
            mediaMetadataRetriever.setDataSource(parcelFileDescriptor.getFileDescriptor());
        }
    }

    h0(com.bumptech.glide.load.engine.z.e eVar, f<T> fVar) {
        this(eVar, fVar, f);
    }

    public static com.bumptech.glide.load.g<AssetFileDescriptor, Bitmap> c(com.bumptech.glide.load.engine.z.e eVar) {
        return new h0(eVar, new c(null));
    }

    @RequiresApi(api = 23)
    public static com.bumptech.glide.load.g<ByteBuffer, Bitmap> d(com.bumptech.glide.load.engine.z.e eVar) {
        return new h0(eVar, new d());
    }

    @Nullable
    private static Bitmap e(MediaMetadataRetriever mediaMetadataRetriever, long j, int i2, int i3, int i4, DownsampleStrategy downsampleStrategy) {
        Bitmap g2 = (Build.VERSION.SDK_INT < 27 || i3 == Integer.MIN_VALUE || i4 == Integer.MIN_VALUE || downsampleStrategy == DownsampleStrategy.f) ? null : g(mediaMetadataRetriever, j, i2, i3, i4, downsampleStrategy);
        return g2 == null ? f(mediaMetadataRetriever, j, i2) : g2;
    }

    private static Bitmap f(MediaMetadataRetriever mediaMetadataRetriever, long j, int i2) {
        return mediaMetadataRetriever.getFrameAtTime(j, i2);
    }

    @TargetApi(27)
    private static Bitmap g(MediaMetadataRetriever mediaMetadataRetriever, long j, int i2, int i3, int i4, DownsampleStrategy downsampleStrategy) {
        try {
            int parseInt = Integer.parseInt(mediaMetadataRetriever.extractMetadata(18));
            int parseInt2 = Integer.parseInt(mediaMetadataRetriever.extractMetadata(19));
            int parseInt3 = Integer.parseInt(mediaMetadataRetriever.extractMetadata(24));
            if (parseInt3 == 90 || parseInt3 == 270) {
                parseInt2 = parseInt;
                parseInt = parseInt2;
            }
            float b2 = downsampleStrategy.b(parseInt, parseInt2, i3, i4);
            return mediaMetadataRetriever.getScaledFrameAtTime(j, i2, Math.round(((float) parseInt) * b2), Math.round(b2 * ((float) parseInt2)));
        } catch (Throwable th) {
            if (!Log.isLoggable(f7390a, 3)) {
                return null;
            }
            Log.d(f7390a, "Exception trying to decode frame on oreo+", th);
            return null;
        }
    }

    public static com.bumptech.glide.load.g<ParcelFileDescriptor, Bitmap> h(com.bumptech.glide.load.engine.z.e eVar) {
        return new h0(eVar, new g());
    }

    @Override // com.bumptech.glide.load.g
    public boolean a(@NonNull T t, @NonNull com.bumptech.glide.load.f fVar) {
        return true;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r12v0, resolved type: com.bumptech.glide.load.f */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.bumptech.glide.load.g
    public u<Bitmap> b(@NonNull T t, int i2, int i3, @NonNull com.bumptech.glide.load.f fVar) throws IOException {
        long longValue = ((Long) fVar.a(f7393d)).longValue();
        if (longValue >= 0 || longValue == -1) {
            Integer num = (Integer) fVar.a(f7394e);
            if (num == null) {
                num = 2;
            }
            DownsampleStrategy downsampleStrategy = (DownsampleStrategy) fVar.a(DownsampleStrategy.h);
            if (downsampleStrategy == null) {
                downsampleStrategy = DownsampleStrategy.g;
            }
            MediaMetadataRetriever a2 = this.i.a();
            try {
                this.g.a(a2, t);
                Bitmap e2 = e(a2, longValue, num.intValue(), i2, i3, downsampleStrategy);
                a2.release();
                return g.e(e2, this.h);
            } catch (RuntimeException e3) {
                throw new IOException(e3);
            } catch (Throwable th) {
                a2.release();
                throw th;
            }
        } else {
            throw new IllegalArgumentException("Requested frame must be non-negative, or DEFAULT_FRAME, given: " + longValue);
        }
    }

    @VisibleForTesting
    h0(com.bumptech.glide.load.engine.z.e eVar, f<T> fVar, e eVar2) {
        this.h = eVar;
        this.g = fVar;
        this.i = eVar2;
    }
}
