package com.bumptech.glide.load.resource.bitmap;

import android.annotation.TargetApi;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.ColorSpace;
import android.os.Build;
import android.os.ParcelFileDescriptor;
import android.util.DisplayMetrics;
import android.util.Log;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import com.bumptech.glide.load.DecodeFormat;
import com.bumptech.glide.load.ImageHeaderParser;
import com.bumptech.glide.load.PreferredColorSpace;
import com.bumptech.glide.load.e;
import com.bumptech.glide.load.engine.u;
import com.bumptech.glide.load.j.m;
import com.bumptech.glide.load.resource.bitmap.DownsampleStrategy;
import com.bumptech.glide.load.resource.bitmap.v;
import com.bumptech.glide.util.g;
import com.bumptech.glide.util.k;
import com.bumptech.glide.util.l;
import com.ibm.icu.impl.locale.f;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.util.Arrays;
import java.util.Collections;
import java.util.EnumSet;
import java.util.HashSet;
import java.util.List;
import java.util.Queue;
import java.util.Set;

/* compiled from: Downsampler */
public final class o {

    /* renamed from: a  reason: collision with root package name */
    static final String f7408a = "Downsampler";

    /* renamed from: b  reason: collision with root package name */
    public static final e<DecodeFormat> f7409b = e.g("com.bumptech.glide.load.resource.bitmap.Downsampler.DecodeFormat", DecodeFormat.DEFAULT);

    /* renamed from: c  reason: collision with root package name */
    public static final e<PreferredColorSpace> f7410c = e.g("com.bumptech.glide.load.resource.bitmap.Downsampler.PreferredColorSpace", PreferredColorSpace.SRGB);
    @Deprecated

    /* renamed from: d  reason: collision with root package name */
    public static final e<DownsampleStrategy> f7411d = DownsampleStrategy.h;

    /* renamed from: e  reason: collision with root package name */
    public static final e<Boolean> f7412e;
    public static final e<Boolean> f;
    private static final String g = "image/vnd.wap.wbmp";
    private static final String h = "image/x-ico";
    private static final Set<String> i = Collections.unmodifiableSet(new HashSet(Arrays.asList(g, h)));
    private static final b j = new a();
    private static final Set<ImageHeaderParser.ImageType> k = Collections.unmodifiableSet(EnumSet.of(ImageHeaderParser.ImageType.JPEG, ImageHeaderParser.ImageType.PNG_A, ImageHeaderParser.ImageType.PNG));
    private static final Queue<BitmapFactory.Options> l = l.f(0);
    private final com.bumptech.glide.load.engine.z.e m;
    private final DisplayMetrics n;
    private final com.bumptech.glide.load.engine.z.b o;
    private final List<ImageHeaderParser> p;
    private final u q = u.a();

    /* compiled from: Downsampler */
    class a implements b {
        a() {
        }

        @Override // com.bumptech.glide.load.resource.bitmap.o.b
        public void a(com.bumptech.glide.load.engine.z.e eVar, Bitmap bitmap) {
        }

        @Override // com.bumptech.glide.load.resource.bitmap.o.b
        public void b() {
        }
    }

    /* compiled from: Downsampler */
    public interface b {
        void a(com.bumptech.glide.load.engine.z.e eVar, Bitmap bitmap) throws IOException;

        void b();
    }

    static {
        Boolean bool = Boolean.FALSE;
        f7412e = e.g("com.bumptech.glide.load.resource.bitmap.Downsampler.FixBitmapSize", bool);
        f = e.g("com.bumptech.glide.load.resource.bitmap.Downsampler.AllowHardwareDecode", bool);
    }

    public o(List<ImageHeaderParser> list, DisplayMetrics displayMetrics, com.bumptech.glide.load.engine.z.e eVar, com.bumptech.glide.load.engine.z.b bVar) {
        this.p = list;
        this.n = (DisplayMetrics) k.d(displayMetrics);
        this.m = (com.bumptech.glide.load.engine.z.e) k.d(eVar);
        this.o = (com.bumptech.glide.load.engine.z.b) k.d(bVar);
    }

    private static int a(double d2) {
        int l2 = l(d2);
        int x = x(((double) l2) * d2);
        return x((d2 / ((double) (((float) x) / ((float) l2)))) * ((double) x));
    }

    private void b(v vVar, DecodeFormat decodeFormat, boolean z, boolean z2, BitmapFactory.Options options, int i2, int i3) {
        if (!this.q.e(i2, i3, options, z, z2)) {
            if (decodeFormat == DecodeFormat.PREFER_ARGB_8888 || Build.VERSION.SDK_INT == 16) {
                options.inPreferredConfig = Bitmap.Config.ARGB_8888;
                return;
            }
            boolean z3 = false;
            try {
                z3 = vVar.d().hasAlpha();
            } catch (IOException e2) {
                if (Log.isLoggable(f7408a, 3)) {
                    Log.d(f7408a, "Cannot determine whether the image has alpha or not from header, format " + decodeFormat, e2);
                }
            }
            Bitmap.Config config = z3 ? Bitmap.Config.ARGB_8888 : Bitmap.Config.RGB_565;
            options.inPreferredConfig = config;
            if (config == Bitmap.Config.RGB_565) {
                options.inDither = true;
            }
        }
    }

    private static void c(ImageHeaderParser.ImageType imageType, v vVar, b bVar, com.bumptech.glide.load.engine.z.e eVar, DownsampleStrategy downsampleStrategy, int i2, int i3, int i4, int i5, int i6, BitmapFactory.Options options) throws IOException {
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        double d2;
        if (i3 > 0 && i4 > 0) {
            if (r(i2)) {
                i7 = i3;
                i8 = i4;
            } else {
                i8 = i3;
                i7 = i4;
            }
            float b2 = downsampleStrategy.b(i8, i7, i5, i6);
            if (b2 > 0.0f) {
                DownsampleStrategy.SampleSizeRounding a2 = downsampleStrategy.a(i8, i7, i5, i6);
                if (a2 != null) {
                    float f2 = (float) i8;
                    float f3 = (float) i7;
                    int x = i8 / x((double) (b2 * f2));
                    int x2 = i7 / x((double) (b2 * f3));
                    DownsampleStrategy.SampleSizeRounding sampleSizeRounding = DownsampleStrategy.SampleSizeRounding.MEMORY;
                    if (a2 == sampleSizeRounding) {
                        i9 = Math.max(x, x2);
                    } else {
                        i9 = Math.min(x, x2);
                    }
                    int i13 = Build.VERSION.SDK_INT;
                    if (i13 > 23 || !i.contains(options.outMimeType)) {
                        int max = Math.max(1, Integer.highestOneBit(i9));
                        if (a2 == sampleSizeRounding && ((float) max) < 1.0f / b2) {
                            max <<= 1;
                        }
                        i10 = max;
                    } else {
                        i10 = 1;
                    }
                    options.inSampleSize = i10;
                    if (imageType == ImageHeaderParser.ImageType.JPEG) {
                        float min = (float) Math.min(i10, 8);
                        i11 = (int) Math.ceil((double) (f2 / min));
                        i12 = (int) Math.ceil((double) (f3 / min));
                        int i14 = i10 / 8;
                        if (i14 > 0) {
                            i11 /= i14;
                            i12 /= i14;
                        }
                    } else {
                        if (imageType == ImageHeaderParser.ImageType.PNG || imageType == ImageHeaderParser.ImageType.PNG_A) {
                            float f4 = (float) i10;
                            i11 = (int) Math.floor((double) (f2 / f4));
                            d2 = Math.floor((double) (f3 / f4));
                        } else if (imageType == ImageHeaderParser.ImageType.WEBP || imageType == ImageHeaderParser.ImageType.WEBP_A) {
                            if (i13 >= 24) {
                                float f5 = (float) i10;
                                i11 = Math.round(f2 / f5);
                                i12 = Math.round(f3 / f5);
                            } else {
                                float f6 = (float) i10;
                                i11 = (int) Math.floor((double) (f2 / f6));
                                d2 = Math.floor((double) (f3 / f6));
                            }
                        } else if (i8 % i10 == 0 && i7 % i10 == 0) {
                            i11 = i8 / i10;
                            i12 = i7 / i10;
                        } else {
                            int[] m2 = m(vVar, options, bVar, eVar);
                            i11 = m2[0];
                            i12 = m2[1];
                        }
                        i12 = (int) d2;
                    }
                    double b3 = (double) downsampleStrategy.b(i11, i12, i5, i6);
                    if (i13 >= 19) {
                        options.inTargetDensity = a(b3);
                        options.inDensity = l(b3);
                    }
                    if (s(options)) {
                        options.inScaled = true;
                    } else {
                        options.inTargetDensity = 0;
                        options.inDensity = 0;
                    }
                    if (Log.isLoggable(f7408a, 2)) {
                        Log.v(f7408a, "Calculate scaling, source: [" + i3 + f.f14028c + i4 + "], degreesToRotate: " + i2 + ", target: [" + i5 + f.f14028c + i6 + "], power of two scaled: [" + i11 + f.f14028c + i12 + "], exact scale factor: " + b2 + ", power of 2 sample size: " + i10 + ", adjusted scale factor: " + b3 + ", target density: " + options.inTargetDensity + ", density: " + options.inDensity);
                        return;
                    }
                    return;
                }
                throw new IllegalArgumentException("Cannot round with null rounding");
            }
            throw new IllegalArgumentException("Cannot scale with factor: " + b2 + " from: " + downsampleStrategy + ", source: [" + i3 + f.f14028c + i4 + "], target: [" + i5 + f.f14028c + i6 + "]");
        } else if (Log.isLoggable(f7408a, 3)) {
            Log.d(f7408a, "Unable to determine dimensions for: " + imageType + " with target [" + i5 + f.f14028c + i6 + "]");
        }
    }

    private u<Bitmap> e(v vVar, int i2, int i3, com.bumptech.glide.load.f fVar, b bVar) throws IOException {
        byte[] bArr = (byte[]) this.o.e(65536, byte[].class);
        BitmapFactory.Options k2 = k();
        k2.inTempStorage = bArr;
        DecodeFormat decodeFormat = (DecodeFormat) fVar.a(f7409b);
        PreferredColorSpace preferredColorSpace = (PreferredColorSpace) fVar.a(f7410c);
        DownsampleStrategy downsampleStrategy = (DownsampleStrategy) fVar.a(DownsampleStrategy.h);
        boolean booleanValue = ((Boolean) fVar.a(f7412e)).booleanValue();
        e<Boolean> eVar = f;
        try {
            return g.e(h(vVar, k2, downsampleStrategy, decodeFormat, preferredColorSpace, fVar.a(eVar) != null && ((Boolean) fVar.a(eVar)).booleanValue(), i2, i3, booleanValue, bVar), this.m);
        } finally {
            v(k2);
            this.o.put(bArr);
        }
    }

    private Bitmap h(v vVar, BitmapFactory.Options options, DownsampleStrategy downsampleStrategy, DecodeFormat decodeFormat, PreferredColorSpace preferredColorSpace, boolean z, int i2, int i3, boolean z2, b bVar) throws IOException {
        int i4;
        int i5;
        o oVar;
        int i6;
        ColorSpace colorSpace;
        int i7;
        int i8;
        long b2 = g.b();
        int[] m2 = m(vVar, options, bVar, this.m);
        boolean z3 = false;
        int i9 = m2[0];
        int i10 = m2[1];
        String str = options.outMimeType;
        boolean z4 = (i9 == -1 || i10 == -1) ? false : z;
        int a2 = vVar.a();
        int j2 = e0.j(a2);
        boolean m3 = e0.m(a2);
        if (i2 == Integer.MIN_VALUE) {
            i5 = i3;
            i4 = r(j2) ? i10 : i9;
        } else {
            i5 = i3;
            i4 = i2;
        }
        int i11 = i5 == Integer.MIN_VALUE ? r(j2) ? i9 : i10 : i5;
        ImageHeaderParser.ImageType d2 = vVar.d();
        c(d2, vVar, bVar, this.m, downsampleStrategy, j2, i9, i10, i4, i11, options);
        b(vVar, decodeFormat, z4, m3, options, i4, i11);
        int i12 = Build.VERSION.SDK_INT;
        boolean z5 = i12 >= 19;
        if (options.inSampleSize == 1 || z5) {
            oVar = this;
            if (oVar.z(d2)) {
                if (i9 < 0 || i10 < 0 || !z2 || !z5) {
                    float f2 = s(options) ? ((float) options.inTargetDensity) / ((float) options.inDensity) : 1.0f;
                    int i13 = options.inSampleSize;
                    float f3 = (float) i13;
                    i8 = Math.round(((float) ((int) Math.ceil((double) (((float) i9) / f3)))) * f2);
                    i7 = Math.round(((float) ((int) Math.ceil((double) (((float) i10) / f3)))) * f2);
                    if (Log.isLoggable(f7408a, 2)) {
                        Log.v(f7408a, "Calculated target [" + i8 + f.f14028c + i7 + "] for source [" + i9 + f.f14028c + i10 + "], sampleSize: " + i13 + ", targetDensity: " + options.inTargetDensity + ", density: " + options.inDensity + ", density multiplier: " + f2);
                    }
                } else {
                    i8 = i4;
                    i7 = i11;
                }
                if (i8 > 0 && i7 > 0) {
                    y(options, oVar.m, i8, i7);
                }
            }
        } else {
            oVar = this;
        }
        if (i12 >= 28) {
            if (preferredColorSpace == PreferredColorSpace.DISPLAY_P3 && (colorSpace = options.outColorSpace) != null && colorSpace.isWideGamut()) {
                z3 = true;
            }
            options.inPreferredColorSpace = ColorSpace.get(z3 ? ColorSpace.Named.DISPLAY_P3 : ColorSpace.Named.SRGB);
        } else if (i12 >= 26) {
            options.inPreferredColorSpace = ColorSpace.get(ColorSpace.Named.SRGB);
        }
        Bitmap i14 = i(vVar, options, bVar, oVar.m);
        bVar.a(oVar.m, i14);
        if (Log.isLoggable(f7408a, 2)) {
            i6 = a2;
            t(i9, i10, str, options, i14, i2, i3, b2);
        } else {
            i6 = a2;
        }
        Bitmap bitmap = null;
        if (i14 != null) {
            i14.setDensity(oVar.n.densityDpi);
            bitmap = e0.o(oVar.m, i14, i6);
            if (!i14.equals(bitmap)) {
                oVar.m.d(i14);
            }
        }
        return bitmap;
    }

    private static Bitmap i(v vVar, BitmapFactory.Options options, b bVar, com.bumptech.glide.load.engine.z.e eVar) throws IOException {
        if (!options.inJustDecodeBounds) {
            bVar.b();
            vVar.c();
        }
        int i2 = options.outWidth;
        int i3 = options.outHeight;
        String str = options.outMimeType;
        e0.i().lock();
        try {
            return vVar.b(options);
        } catch (IllegalArgumentException e2) {
            IOException u = u(e2, i2, i3, str, options);
            if (Log.isLoggable(f7408a, 3)) {
                Log.d(f7408a, "Failed to decode with inBitmap, trying again without Bitmap re-use", u);
            }
            Bitmap bitmap = options.inBitmap;
            if (bitmap != null) {
                try {
                    eVar.d(bitmap);
                    options.inBitmap = null;
                    return i(vVar, options, bVar, eVar);
                } catch (IOException unused) {
                    throw u;
                }
            } else {
                throw u;
            }
        } finally {
            e0.i().unlock();
        }
    }

    @Nullable
    @TargetApi(19)
    private static String j(Bitmap bitmap) {
        String str;
        if (bitmap == null) {
            return null;
        }
        if (Build.VERSION.SDK_INT >= 19) {
            str = " (" + bitmap.getAllocationByteCount() + ")";
        } else {
            str = "";
        }
        return "[" + bitmap.getWidth() + f.f14028c + bitmap.getHeight() + "] " + bitmap.getConfig() + str;
    }

    private static synchronized BitmapFactory.Options k() {
        BitmapFactory.Options poll;
        synchronized (o.class) {
            Queue<BitmapFactory.Options> queue = l;
            synchronized (queue) {
                poll = queue.poll();
            }
            if (poll == null) {
                poll = new BitmapFactory.Options();
                w(poll);
            }
        }
        return poll;
    }

    private static int l(double d2) {
        if (d2 > 1.0d) {
            d2 = 1.0d / d2;
        }
        return (int) Math.round(d2 * 2.147483647E9d);
    }

    private static int[] m(v vVar, BitmapFactory.Options options, b bVar, com.bumptech.glide.load.engine.z.e eVar) throws IOException {
        options.inJustDecodeBounds = true;
        i(vVar, options, bVar, eVar);
        options.inJustDecodeBounds = false;
        return new int[]{options.outWidth, options.outHeight};
    }

    private static String n(BitmapFactory.Options options) {
        return j(options.inBitmap);
    }

    private static boolean r(int i2) {
        return i2 == 90 || i2 == 270;
    }

    private static boolean s(BitmapFactory.Options options) {
        int i2;
        int i3 = options.inTargetDensity;
        return i3 > 0 && (i2 = options.inDensity) > 0 && i3 != i2;
    }

    private static void t(int i2, int i3, String str, BitmapFactory.Options options, Bitmap bitmap, int i4, int i5, long j2) {
        Log.v(f7408a, "Decoded " + j(bitmap) + " from [" + i2 + f.f14028c + i3 + "] " + str + " with inBitmap " + n(options) + " for [" + i4 + f.f14028c + i5 + "], sample size: " + options.inSampleSize + ", density: " + options.inDensity + ", target density: " + options.inTargetDensity + ", thread: " + Thread.currentThread().getName() + ", duration: " + g.a(j2));
    }

    private static IOException u(IllegalArgumentException illegalArgumentException, int i2, int i3, String str, BitmapFactory.Options options) {
        return new IOException("Exception decoding bitmap, outWidth: " + i2 + ", outHeight: " + i3 + ", outMimeType: " + str + ", inBitmap: " + n(options), illegalArgumentException);
    }

    private static void v(BitmapFactory.Options options) {
        w(options);
        Queue<BitmapFactory.Options> queue = l;
        synchronized (queue) {
            queue.offer(options);
        }
    }

    private static void w(BitmapFactory.Options options) {
        options.inTempStorage = null;
        options.inDither = false;
        options.inScaled = false;
        options.inSampleSize = 1;
        options.inPreferredConfig = null;
        options.inJustDecodeBounds = false;
        options.inDensity = 0;
        options.inTargetDensity = 0;
        if (Build.VERSION.SDK_INT >= 26) {
            options.inPreferredColorSpace = null;
            options.outColorSpace = null;
            options.outConfig = null;
        }
        options.outWidth = 0;
        options.outHeight = 0;
        options.outMimeType = null;
        options.inBitmap = null;
        options.inMutable = true;
    }

    private static int x(double d2) {
        return (int) (d2 + 0.5d);
    }

    @TargetApi(26)
    private static void y(BitmapFactory.Options options, com.bumptech.glide.load.engine.z.e eVar, int i2, int i3) {
        Bitmap.Config config;
        if (Build.VERSION.SDK_INT < 26) {
            config = null;
        } else if (options.inPreferredConfig != Bitmap.Config.HARDWARE) {
            config = options.outConfig;
        } else {
            return;
        }
        if (config == null) {
            config = options.inPreferredConfig;
        }
        options.inBitmap = eVar.g(i2, i3, config);
    }

    private boolean z(ImageHeaderParser.ImageType imageType) {
        if (Build.VERSION.SDK_INT >= 19) {
            return true;
        }
        return k.contains(imageType);
    }

    @RequiresApi(21)
    public u<Bitmap> d(ParcelFileDescriptor parcelFileDescriptor, int i2, int i3, com.bumptech.glide.load.f fVar) throws IOException {
        return e(new v.b(parcelFileDescriptor, this.p, this.o), i2, i3, fVar, j);
    }

    public u<Bitmap> f(InputStream inputStream, int i2, int i3, com.bumptech.glide.load.f fVar) throws IOException {
        return g(inputStream, i2, i3, fVar, j);
    }

    public u<Bitmap> g(InputStream inputStream, int i2, int i3, com.bumptech.glide.load.f fVar, b bVar) throws IOException {
        return e(new v.a(inputStream, this.p, this.o), i2, i3, fVar, bVar);
    }

    public boolean o(ParcelFileDescriptor parcelFileDescriptor) {
        return m.b();
    }

    public boolean p(InputStream inputStream) {
        return true;
    }

    public boolean q(ByteBuffer byteBuffer) {
        return true;
    }
}
