package com.bumptech.glide.load.resource.bitmap;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.util.Log;
import androidx.annotation.Nullable;
import com.bumptech.glide.load.engine.u;
import com.bumptech.glide.load.engine.z.e;
import com.bumptech.glide.load.engine.z.f;
import java.util.concurrent.locks.Lock;

/* access modifiers changed from: package-private */
/* compiled from: DrawableToBitmapConverter */
public final class p {

    /* renamed from: a  reason: collision with root package name */
    private static final String f7413a = "DrawableToBitmap";

    /* renamed from: b  reason: collision with root package name */
    private static final e f7414b = new a();

    /* compiled from: DrawableToBitmapConverter */
    class a extends f {
        a() {
        }

        @Override // com.bumptech.glide.load.engine.z.f, com.bumptech.glide.load.engine.z.e
        public void d(Bitmap bitmap) {
        }
    }

    private p() {
    }

    @Nullable
    static u<Bitmap> a(e eVar, Drawable drawable, int i, int i2) {
        Bitmap bitmap;
        Drawable current = drawable.getCurrent();
        boolean z = false;
        if (current instanceof BitmapDrawable) {
            bitmap = ((BitmapDrawable) current).getBitmap();
        } else if (!(current instanceof Animatable)) {
            bitmap = b(eVar, current, i, i2);
            z = true;
        } else {
            bitmap = null;
        }
        if (!z) {
            eVar = f7414b;
        }
        return g.e(bitmap, eVar);
    }

    @Nullable
    private static Bitmap b(e eVar, Drawable drawable, int i, int i2) {
        if (i == Integer.MIN_VALUE && drawable.getIntrinsicWidth() <= 0) {
            if (Log.isLoggable(f7413a, 5)) {
                Log.w(f7413a, "Unable to draw " + drawable + " to Bitmap with Target.SIZE_ORIGINAL because the Drawable has no intrinsic width");
            }
            return null;
        } else if (i2 != Integer.MIN_VALUE || drawable.getIntrinsicHeight() > 0) {
            if (drawable.getIntrinsicWidth() > 0) {
                i = drawable.getIntrinsicWidth();
            }
            if (drawable.getIntrinsicHeight() > 0) {
                i2 = drawable.getIntrinsicHeight();
            }
            Lock i3 = e0.i();
            i3.lock();
            Bitmap f = eVar.f(i, i2, Bitmap.Config.ARGB_8888);
            try {
                Canvas canvas = new Canvas(f);
                drawable.setBounds(0, 0, i, i2);
                drawable.draw(canvas);
                canvas.setBitmap(null);
                return f;
            } finally {
                i3.unlock();
            }
        } else {
            if (Log.isLoggable(f7413a, 5)) {
                Log.w(f7413a, "Unable to draw " + drawable + " to Bitmap with Target.SIZE_ORIGINAL because the Drawable has no intrinsic height");
            }
            return null;
        }
    }
}
