package com.bumptech.glide.load.resource.bitmap;

import androidx.annotation.NonNull;
import androidx.annotation.VisibleForTesting;
import com.bumptech.glide.load.engine.z.b;
import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;

/* compiled from: RecyclableBufferedInputStream */
public class z extends FilterInputStream {
    private int I0;
    private int J0;
    private int K0;
    private final b L0;

    /* renamed from: a  reason: collision with root package name */
    private volatile byte[] f7437a;

    /* renamed from: b  reason: collision with root package name */
    private int f7438b;

    /* access modifiers changed from: package-private */
    /* compiled from: RecyclableBufferedInputStream */
    public static class a extends IOException {
        private static final long serialVersionUID = -4338378848813561757L;

        a(String str) {
            super(str);
        }
    }

    public z(@NonNull InputStream inputStream, @NonNull b bVar) {
        this(inputStream, bVar, 65536);
    }

    private int a(InputStream inputStream, byte[] bArr) throws IOException {
        int i;
        int i2 = this.J0;
        if (i2 == -1 || this.K0 - i2 >= (i = this.I0)) {
            int read = inputStream.read(bArr);
            if (read > 0) {
                this.J0 = -1;
                this.K0 = 0;
                this.f7438b = read;
            }
            return read;
        }
        if (i2 == 0 && i > bArr.length && this.f7438b == bArr.length) {
            int length = bArr.length * 2;
            if (length <= i) {
                i = length;
            }
            byte[] bArr2 = (byte[]) this.L0.e(i, byte[].class);
            System.arraycopy(bArr, 0, bArr2, 0, bArr.length);
            this.f7437a = bArr2;
            this.L0.put(bArr);
            bArr = bArr2;
        } else if (i2 > 0) {
            System.arraycopy(bArr, i2, bArr, 0, bArr.length - i2);
        }
        int i3 = this.K0 - this.J0;
        this.K0 = i3;
        this.J0 = 0;
        this.f7438b = 0;
        int read2 = inputStream.read(bArr, i3, bArr.length - i3);
        int i4 = this.K0;
        if (read2 > 0) {
            i4 += read2;
        }
        this.f7438b = i4;
        return read2;
    }

    private static IOException h() throws IOException {
        throw new IOException("BufferedInputStream is closed");
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int available() throws IOException {
        InputStream inputStream;
        inputStream = ((FilterInputStream) this).in;
        if (this.f7437a == null || inputStream == null) {
            throw h();
        }
        return (this.f7438b - this.K0) + inputStream.available();
    }

    public synchronized void c() {
        this.I0 = this.f7437a.length;
    }

    @Override // java.io.FilterInputStream, java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
    public void close() throws IOException {
        if (this.f7437a != null) {
            this.L0.put(this.f7437a);
            this.f7437a = null;
        }
        InputStream inputStream = ((FilterInputStream) this).in;
        ((FilterInputStream) this).in = null;
        if (inputStream != null) {
            inputStream.close();
        }
    }

    public synchronized void d() {
        if (this.f7437a != null) {
            this.L0.put(this.f7437a);
            this.f7437a = null;
        }
    }

    public synchronized void mark(int i) {
        this.I0 = Math.max(this.I0, i);
        this.J0 = this.K0;
    }

    public boolean markSupported() {
        return true;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int read() throws IOException {
        byte[] bArr = this.f7437a;
        InputStream inputStream = ((FilterInputStream) this).in;
        if (bArr == null || inputStream == null) {
            throw h();
        } else if (this.K0 >= this.f7438b && a(inputStream, bArr) == -1) {
            return -1;
        } else {
            if (bArr == this.f7437a || (bArr = this.f7437a) != null) {
                int i = this.f7438b;
                int i2 = this.K0;
                if (i - i2 <= 0) {
                    return -1;
                }
                this.K0 = i2 + 1;
                return bArr[i2] & 255;
            }
            throw h();
        }
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized void reset() throws IOException {
        if (this.f7437a != null) {
            int i = this.J0;
            if (-1 != i) {
                this.K0 = i;
            } else {
                throw new a("Mark has been invalidated, pos: " + this.K0 + " markLimit: " + this.I0);
            }
        } else {
            throw new IOException("Stream is closed");
        }
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized long skip(long j) throws IOException {
        if (j < 1) {
            return 0;
        }
        byte[] bArr = this.f7437a;
        if (bArr != null) {
            InputStream inputStream = ((FilterInputStream) this).in;
            if (inputStream != null) {
                int i = this.f7438b;
                int i2 = this.K0;
                if (((long) (i - i2)) >= j) {
                    this.K0 = (int) (((long) i2) + j);
                    return j;
                }
                long j2 = ((long) i) - ((long) i2);
                this.K0 = i;
                if (this.J0 == -1 || j > ((long) this.I0)) {
                    return j2 + inputStream.skip(j - j2);
                } else if (a(inputStream, bArr) == -1) {
                    return j2;
                } else {
                    int i3 = this.f7438b;
                    int i4 = this.K0;
                    if (((long) (i3 - i4)) >= j - j2) {
                        this.K0 = (int) ((((long) i4) + j) - j2);
                        return j;
                    }
                    long j3 = (j2 + ((long) i3)) - ((long) i4);
                    this.K0 = i3;
                    return j3;
                }
            } else {
                throw h();
            }
        } else {
            throw h();
        }
    }

    @VisibleForTesting
    z(@NonNull InputStream inputStream, @NonNull b bVar, int i) {
        super(inputStream);
        this.J0 = -1;
        this.L0 = bVar;
        this.f7437a = (byte[]) bVar.e(i, byte[].class);
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int read(@NonNull byte[] bArr, int i, int i2) throws IOException {
        int i3;
        int i4;
        byte[] bArr2 = this.f7437a;
        if (bArr2 == null) {
            throw h();
        } else if (i2 == 0) {
            return 0;
        } else {
            InputStream inputStream = ((FilterInputStream) this).in;
            if (inputStream != null) {
                int i5 = this.K0;
                int i6 = this.f7438b;
                if (i5 < i6) {
                    int i7 = i6 - i5 >= i2 ? i2 : i6 - i5;
                    System.arraycopy(bArr2, i5, bArr, i, i7);
                    this.K0 += i7;
                    if (i7 == i2 || inputStream.available() == 0) {
                        return i7;
                    }
                    i += i7;
                    i3 = i2 - i7;
                } else {
                    i3 = i2;
                }
                while (true) {
                    int i8 = -1;
                    if (this.J0 == -1 && i3 >= bArr2.length) {
                        i4 = inputStream.read(bArr, i, i3);
                        if (i4 == -1) {
                            if (i3 != i2) {
                                i8 = i2 - i3;
                            }
                            return i8;
                        }
                    } else if (a(inputStream, bArr2) == -1) {
                        if (i3 != i2) {
                            i8 = i2 - i3;
                        }
                        return i8;
                    } else if (bArr2 == this.f7437a || (bArr2 = this.f7437a) != null) {
                        int i9 = this.f7438b;
                        int i10 = this.K0;
                        i4 = i9 - i10 >= i3 ? i3 : i9 - i10;
                        System.arraycopy(bArr2, i10, bArr, i, i4);
                        this.K0 += i4;
                    } else {
                        throw h();
                    }
                    i3 -= i4;
                    if (i3 == 0) {
                        return i2;
                    }
                    if (inputStream.available() == 0) {
                        return i2 - i3;
                    }
                    i += i4;
                }
            } else {
                throw h();
            }
        }
    }
}
