package com.bumptech.glide.manager;

import android.annotation.TargetApi;
import android.app.Activity;
import android.app.Application;
import android.app.FragmentManager;
import android.content.Context;
import android.content.ContextWrapper;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.fragment.app.g;
import com.bumptech.glide.c;
import com.bumptech.glide.i;
import com.bumptech.glide.util.l;
import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

/* compiled from: RequestManagerRetriever */
public class k implements Handler.Callback {
    private static final int I0 = 1;
    private static final int J0 = 2;
    private static final String K0 = "key";
    private static final b L0 = new a();
    @VisibleForTesting

    /* renamed from: a  reason: collision with root package name */
    static final String f7467a = "com.bumptech.glide.manager";

    /* renamed from: b  reason: collision with root package name */
    private static final String f7468b = "RMRetriever";
    private volatile i M0;
    @VisibleForTesting
    final Map<FragmentManager, RequestManagerFragment> N0 = new HashMap();
    @VisibleForTesting
    final Map<g, n> O0 = new HashMap();
    private final Handler P0;
    private final b Q0;
    private final b.b.a<View, Fragment> R0 = new b.b.a<>();
    private final b.b.a<View, android.app.Fragment> S0 = new b.b.a<>();
    private final Bundle T0 = new Bundle();

    /* compiled from: RequestManagerRetriever */
    class a implements b {
        a() {
        }

        @Override // com.bumptech.glide.manager.k.b
        @NonNull
        public i a(@NonNull c cVar, @NonNull h hVar, @NonNull l lVar, @NonNull Context context) {
            return new i(cVar, hVar, lVar, context);
        }
    }

    /* compiled from: RequestManagerRetriever */
    public interface b {
        @NonNull
        i a(@NonNull c cVar, @NonNull h hVar, @NonNull l lVar, @NonNull Context context);
    }

    public k(@Nullable b bVar) {
        this.Q0 = bVar == null ? L0 : bVar;
        this.P0 = new Handler(Looper.getMainLooper(), this);
    }

    @TargetApi(17)
    private static void a(@NonNull Activity activity) {
        if (Build.VERSION.SDK_INT >= 17 && activity.isDestroyed()) {
            throw new IllegalArgumentException("You cannot start a load for a destroyed activity");
        }
    }

    @Nullable
    private static Activity b(@NonNull Context context) {
        if (context instanceof Activity) {
            return (Activity) context;
        }
        if (context instanceof ContextWrapper) {
            return b(((ContextWrapper) context).getBaseContext());
        }
        return null;
    }

    @TargetApi(26)
    @Deprecated
    private void c(@NonNull FragmentManager fragmentManager, @NonNull b.b.a<View, android.app.Fragment> aVar) {
        if (Build.VERSION.SDK_INT >= 26) {
            for (android.app.Fragment fragment : fragmentManager.getFragments()) {
                if (fragment.getView() != null) {
                    aVar.put(fragment.getView(), fragment);
                    c(fragment.getChildFragmentManager(), aVar);
                }
            }
            return;
        }
        d(fragmentManager, aVar);
    }

    @Deprecated
    private void d(@NonNull FragmentManager fragmentManager, @NonNull b.b.a<View, android.app.Fragment> aVar) {
        int i = 0;
        while (true) {
            int i2 = i + 1;
            this.T0.putInt("key", i);
            android.app.Fragment fragment = null;
            try {
                fragment = fragmentManager.getFragment(this.T0, "key");
            } catch (Exception unused) {
            }
            if (fragment != null) {
                if (fragment.getView() != null) {
                    aVar.put(fragment.getView(), fragment);
                    if (Build.VERSION.SDK_INT >= 17) {
                        c(fragment.getChildFragmentManager(), aVar);
                    }
                }
                i = i2;
            } else {
                return;
            }
        }
    }

    private static void e(@Nullable Collection<Fragment> collection, @NonNull Map<View, Fragment> map) {
        if (collection != null) {
            for (Fragment fragment : collection) {
                if (!(fragment == null || fragment.getView() == null)) {
                    map.put(fragment.getView(), fragment);
                    e(fragment.getChildFragmentManager().l(), map);
                }
            }
        }
    }

    @Nullable
    @Deprecated
    private android.app.Fragment f(@NonNull View view, @NonNull Activity activity) {
        this.S0.clear();
        c(activity.getFragmentManager(), this.S0);
        View findViewById = activity.findViewById(16908290);
        android.app.Fragment fragment = null;
        while (!view.equals(findViewById) && (fragment = this.S0.get(view)) == null && (view.getParent() instanceof View)) {
            view = (View) view.getParent();
        }
        this.S0.clear();
        return fragment;
    }

    @Nullable
    private Fragment g(@NonNull View view, @NonNull FragmentActivity fragmentActivity) {
        this.R0.clear();
        e(fragmentActivity.getSupportFragmentManager().l(), this.R0);
        View findViewById = fragmentActivity.findViewById(16908290);
        Fragment fragment = null;
        while (!view.equals(findViewById) && (fragment = this.R0.get(view)) == null && (view.getParent() instanceof View)) {
            view = (View) view.getParent();
        }
        this.R0.clear();
        return fragment;
    }

    @NonNull
    @Deprecated
    private i h(@NonNull Context context, @NonNull FragmentManager fragmentManager, @Nullable android.app.Fragment fragment, boolean z) {
        RequestManagerFragment q = q(fragmentManager, fragment, z);
        i e2 = q.e();
        if (e2 != null) {
            return e2;
        }
        i a2 = this.Q0.a(c.d(context), q.c(), q.f(), context);
        q.k(a2);
        return a2;
    }

    @NonNull
    private i o(@NonNull Context context) {
        if (this.M0 == null) {
            synchronized (this) {
                if (this.M0 == null) {
                    this.M0 = this.Q0.a(c.d(context.getApplicationContext()), new b(), new g(), context.getApplicationContext());
                }
            }
        }
        return this.M0;
    }

    @NonNull
    private RequestManagerFragment q(@NonNull FragmentManager fragmentManager, @Nullable android.app.Fragment fragment, boolean z) {
        RequestManagerFragment requestManagerFragment = (RequestManagerFragment) fragmentManager.findFragmentByTag(f7467a);
        if (requestManagerFragment == null && (requestManagerFragment = this.N0.get(fragmentManager)) == null) {
            requestManagerFragment = new RequestManagerFragment();
            requestManagerFragment.j(fragment);
            if (z) {
                requestManagerFragment.c().d();
            }
            this.N0.put(fragmentManager, requestManagerFragment);
            fragmentManager.beginTransaction().add(requestManagerFragment, f7467a).commitAllowingStateLoss();
            this.P0.obtainMessage(1, fragmentManager).sendToTarget();
        }
        return requestManagerFragment;
    }

    @NonNull
    private n s(@NonNull g gVar, @Nullable Fragment fragment, boolean z) {
        n nVar = (n) gVar.g(f7467a);
        if (nVar == null && (nVar = this.O0.get(gVar)) == null) {
            nVar = new n();
            nVar.S(fragment);
            if (z) {
                nVar.C().d();
            }
            this.O0.put(gVar, nVar);
            gVar.b().i(nVar, f7467a).o();
            this.P0.obtainMessage(2, gVar).sendToTarget();
        }
        return nVar;
    }

    private static boolean t(Context context) {
        Activity b2 = b(context);
        return b2 == null || !b2.isFinishing();
    }

    @NonNull
    private i u(@NonNull Context context, @NonNull g gVar, @Nullable Fragment fragment, boolean z) {
        n s = s(gVar, fragment, z);
        i G = s.G();
        if (G != null) {
            return G;
        }
        i a2 = this.Q0.a(c.d(context), s.C(), s.M(), context);
        s.U(a2);
        return a2;
    }

    public boolean handleMessage(Message message) {
        Object obj;
        Object obj2;
        Object obj3;
        int i = message.what;
        Object obj4 = null;
        boolean z = true;
        if (i == 1) {
            obj3 = (FragmentManager) message.obj;
            obj2 = this.N0.remove(obj3);
        } else if (i != 2) {
            z = false;
            obj = null;
            if (z && obj4 == null && Log.isLoggable(f7468b, 5)) {
                Log.w(f7468b, "Failed to remove expected request manager fragment, manager: " + obj);
            }
            return z;
        } else {
            obj3 = (g) message.obj;
            obj2 = this.O0.remove(obj3);
        }
        obj4 = obj2;
        obj = obj3;
        Log.w(f7468b, "Failed to remove expected request manager fragment, manager: " + obj);
        return z;
    }

    @NonNull
    public i i(@NonNull Activity activity) {
        if (l.s()) {
            return k(activity.getApplicationContext());
        }
        a(activity);
        return h(activity, activity.getFragmentManager(), null, t(activity));
    }

    @NonNull
    @TargetApi(17)
    @Deprecated
    public i j(@NonNull android.app.Fragment fragment) {
        if (fragment.getActivity() == null) {
            throw new IllegalArgumentException("You cannot start a load on a fragment before it is attached");
        } else if (l.s() || Build.VERSION.SDK_INT < 17) {
            return k(fragment.getActivity().getApplicationContext());
        } else {
            return h(fragment.getActivity(), fragment.getChildFragmentManager(), fragment, fragment.isVisible());
        }
    }

    @NonNull
    public i k(@NonNull Context context) {
        if (context != null) {
            if (l.t() && !(context instanceof Application)) {
                if (context instanceof FragmentActivity) {
                    return n((FragmentActivity) context);
                }
                if (context instanceof Activity) {
                    return i((Activity) context);
                }
                if (context instanceof ContextWrapper) {
                    ContextWrapper contextWrapper = (ContextWrapper) context;
                    if (contextWrapper.getBaseContext().getApplicationContext() != null) {
                        return k(contextWrapper.getBaseContext());
                    }
                }
            }
            return o(context);
        }
        throw new IllegalArgumentException("You cannot start a load on a null Context");
    }

    @NonNull
    public i l(@NonNull View view) {
        if (l.s()) {
            return k(view.getContext().getApplicationContext());
        }
        com.bumptech.glide.util.k.d(view);
        com.bumptech.glide.util.k.e(view.getContext(), "Unable to obtain a request manager for a view without a Context");
        Activity b2 = b(view.getContext());
        if (b2 == null) {
            return k(view.getContext().getApplicationContext());
        }
        if (b2 instanceof FragmentActivity) {
            FragmentActivity fragmentActivity = (FragmentActivity) b2;
            Fragment g = g(view, fragmentActivity);
            return g != null ? m(g) : n(fragmentActivity);
        }
        android.app.Fragment f = f(view, b2);
        if (f == null) {
            return i(b2);
        }
        return j(f);
    }

    @NonNull
    public i m(@NonNull Fragment fragment) {
        com.bumptech.glide.util.k.e(fragment.getContext(), "You cannot start a load on a fragment before it is attached or after it is destroyed");
        if (l.s()) {
            return k(fragment.getContext().getApplicationContext());
        }
        return u(fragment.getContext(), fragment.getChildFragmentManager(), fragment, fragment.isVisible());
    }

    @NonNull
    public i n(@NonNull FragmentActivity fragmentActivity) {
        if (l.s()) {
            return k(fragmentActivity.getApplicationContext());
        }
        a(fragmentActivity);
        return u(fragmentActivity, fragmentActivity.getSupportFragmentManager(), null, t(fragmentActivity));
    }

    /* access modifiers changed from: package-private */
    @NonNull
    @Deprecated
    public RequestManagerFragment p(Activity activity) {
        return q(activity.getFragmentManager(), null, t(activity));
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public n r(Context context, g gVar) {
        return s(gVar, null, t(context));
    }
}
