package com.bumptech.glide.n;

import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import com.bumptech.glide.load.c;
import java.util.UUID;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;

/* compiled from: ApplicationVersionSignature */
public final class b {

    /* renamed from: a  reason: collision with root package name */
    private static final String f7479a = "AppVersionSignature";

    /* renamed from: b  reason: collision with root package name */
    private static final ConcurrentMap<String, c> f7480b = new ConcurrentHashMap();

    private b() {
    }

    @Nullable
    private static PackageInfo a(@NonNull Context context) {
        try {
            return context.getPackageManager().getPackageInfo(context.getPackageName(), 0);
        } catch (PackageManager.NameNotFoundException e2) {
            Log.e(f7479a, "Cannot resolve info for" + context.getPackageName(), e2);
            return null;
        }
    }

    @NonNull
    private static String b(@Nullable PackageInfo packageInfo) {
        if (packageInfo != null) {
            return String.valueOf(packageInfo.versionCode);
        }
        return UUID.randomUUID().toString();
    }

    @NonNull
    public static c c(@NonNull Context context) {
        String packageName = context.getPackageName();
        ConcurrentMap<String, c> concurrentMap = f7480b;
        c cVar = concurrentMap.get(packageName);
        if (cVar != null) {
            return cVar;
        }
        c d2 = d(context);
        c putIfAbsent = concurrentMap.putIfAbsent(packageName, d2);
        return putIfAbsent == null ? d2 : putIfAbsent;
    }

    @NonNull
    private static c d(@NonNull Context context) {
        return new e(b(a(context)));
    }

    @VisibleForTesting
    static void e() {
        f7480b.clear();
    }
}
