package com.bumptech.glide.request;

import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import androidx.annotation.CheckResult;
import androidx.annotation.DrawableRes;
import androidx.annotation.FloatRange;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.bumptech.glide.Priority;
import com.bumptech.glide.load.DecodeFormat;
import com.bumptech.glide.load.c;
import com.bumptech.glide.load.d;
import com.bumptech.glide.load.e;
import com.bumptech.glide.load.engine.j;
import com.bumptech.glide.load.f;
import com.bumptech.glide.load.i;
import com.bumptech.glide.load.resource.bitmap.DownsampleStrategy;
import com.bumptech.glide.load.resource.bitmap.h0;
import com.bumptech.glide.load.resource.bitmap.l;
import com.bumptech.glide.load.resource.bitmap.m;
import com.bumptech.glide.load.resource.bitmap.n;
import com.bumptech.glide.load.resource.bitmap.o;
import com.bumptech.glide.load.resource.bitmap.q;
import com.bumptech.glide.load.resource.bitmap.s;
import com.bumptech.glide.request.a;
import com.bumptech.glide.util.b;
import com.bumptech.glide.util.k;
import java.util.Map;

/* compiled from: BaseRequestOptions */
public abstract class a<T extends a<T>> implements Cloneable {
    private static final int I0 = 4;
    private static final int J0 = 8;
    private static final int K0 = 16;
    private static final int L0 = 32;
    private static final int M0 = 64;
    private static final int N0 = 128;
    private static final int O0 = 256;
    private static final int P0 = 512;
    private static final int Q0 = 1024;
    private static final int R0 = 2048;
    private static final int S0 = 4096;
    private static final int T0 = 8192;
    private static final int U0 = 16384;
    private static final int V0 = 32768;
    private static final int W0 = 65536;
    private static final int X0 = 131072;
    private static final int Y0 = 262144;
    private static final int Z0 = 524288;

    /* renamed from: a  reason: collision with root package name */
    private static final int f7487a = -1;
    private static final int a1 = 1048576;

    /* renamed from: b  reason: collision with root package name */
    private static final int f7488b = 2;
    private boolean A1;
    private int b1;
    private float c1 = 1.0f;
    @NonNull
    private j d1 = j.f7039e;
    @NonNull
    private Priority e1 = Priority.NORMAL;
    @Nullable
    private Drawable f1;
    private int g1;
    @Nullable
    private Drawable h1;
    private int i1;
    private boolean j1 = true;
    private int k1 = -1;
    private int l1 = -1;
    @NonNull
    private c m1 = com.bumptech.glide.n.c.a();
    private boolean n1;
    private boolean o1 = true;
    @Nullable
    private Drawable p1;
    private int q1;
    @NonNull
    private f r1 = new f();
    @NonNull
    private Map<Class<?>, i<?>> s1 = new b();
    @NonNull
    private Class<?> t1 = Object.class;
    private boolean u1;
    @Nullable
    private Resources.Theme v1;
    private boolean w1;
    private boolean x1;
    private boolean y1;
    private boolean z1 = true;

    @NonNull
    private T A0(@NonNull DownsampleStrategy downsampleStrategy, @NonNull i<Bitmap> iVar) {
        return K0(downsampleStrategy, iVar, false);
    }

    @NonNull
    private T J0(@NonNull DownsampleStrategy downsampleStrategy, @NonNull i<Bitmap> iVar) {
        return K0(downsampleStrategy, iVar, true);
    }

    @NonNull
    private T K0(@NonNull DownsampleStrategy downsampleStrategy, @NonNull i<Bitmap> iVar, boolean z) {
        T t;
        if (z) {
            t = V0(downsampleStrategy, iVar);
        } else {
            t = C0(downsampleStrategy, iVar);
        }
        t.z1 = true;
        return t;
    }

    private T L0() {
        return this;
    }

    @NonNull
    private T M0() {
        if (!this.u1) {
            return L0();
        }
        throw new IllegalStateException("You cannot modify locked T, consider clone()");
    }

    private boolean l0(int i) {
        return m0(this.b1, i);
    }

    private static boolean m0(int i, int i2) {
        return (i & i2) != 0;
    }

    @NonNull
    @CheckResult
    public T A(@NonNull DownsampleStrategy downsampleStrategy) {
        return N0((e<Y>) DownsampleStrategy.h, k.d(downsampleStrategy));
    }

    @NonNull
    @CheckResult
    public T B(@NonNull Bitmap.CompressFormat compressFormat) {
        return N0((e<Y>) com.bumptech.glide.load.resource.bitmap.e.f7372b, k.d(compressFormat));
    }

    @NonNull
    @CheckResult
    public T B0(@NonNull i<Bitmap> iVar) {
        return U0(iVar, false);
    }

    @NonNull
    @CheckResult
    public T C(@IntRange(from = 0, to = 100) int i) {
        return N0((e<Y>) com.bumptech.glide.load.resource.bitmap.e.f7371a, Integer.valueOf(i));
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public final T C0(@NonNull DownsampleStrategy downsampleStrategy, @NonNull i<Bitmap> iVar) {
        if (this.w1) {
            return (T) clone().C0(downsampleStrategy, iVar);
        }
        A(downsampleStrategy);
        return U0(iVar, false);
    }

    @NonNull
    @CheckResult
    public T D(@DrawableRes int i) {
        if (this.w1) {
            return (T) clone().D(i);
        }
        this.g1 = i;
        int i2 = this.b1 | 32;
        this.b1 = i2;
        this.f1 = null;
        this.b1 = i2 & -17;
        return M0();
    }

    @NonNull
    @CheckResult
    public <Y> T D0(@NonNull Class<Y> cls, @NonNull i<Y> iVar) {
        return X0(cls, iVar, false);
    }

    @NonNull
    @CheckResult
    public T E(@Nullable Drawable drawable) {
        if (this.w1) {
            return (T) clone().E(drawable);
        }
        this.f1 = drawable;
        int i = this.b1 | 16;
        this.b1 = i;
        this.g1 = 0;
        this.b1 = i & -33;
        return M0();
    }

    @NonNull
    @CheckResult
    public T E0(int i) {
        return F0(i, i);
    }

    @NonNull
    @CheckResult
    public T F(@DrawableRes int i) {
        if (this.w1) {
            return (T) clone().F(i);
        }
        this.q1 = i;
        int i2 = this.b1 | 16384;
        this.b1 = i2;
        this.p1 = null;
        this.b1 = i2 & -8193;
        return M0();
    }

    @NonNull
    @CheckResult
    public T F0(int i, int i2) {
        if (this.w1) {
            return (T) clone().F0(i, i2);
        }
        this.l1 = i;
        this.k1 = i2;
        this.b1 |= 512;
        return M0();
    }

    @NonNull
    @CheckResult
    public T G(@Nullable Drawable drawable) {
        if (this.w1) {
            return (T) clone().G(drawable);
        }
        this.p1 = drawable;
        int i = this.b1 | 8192;
        this.b1 = i;
        this.q1 = 0;
        this.b1 = i & -16385;
        return M0();
    }

    @NonNull
    @CheckResult
    public T G0(@DrawableRes int i) {
        if (this.w1) {
            return (T) clone().G0(i);
        }
        this.i1 = i;
        int i2 = this.b1 | 128;
        this.b1 = i2;
        this.h1 = null;
        this.b1 = i2 & -65;
        return M0();
    }

    @NonNull
    @CheckResult
    public T H() {
        return J0(DownsampleStrategy.f7349c, new s());
    }

    @NonNull
    @CheckResult
    public T H0(@Nullable Drawable drawable) {
        if (this.w1) {
            return (T) clone().H0(drawable);
        }
        this.h1 = drawable;
        int i = this.b1 | 64;
        this.b1 = i;
        this.i1 = 0;
        this.b1 = i & -129;
        return M0();
    }

    @NonNull
    @CheckResult
    public T I(@NonNull DecodeFormat decodeFormat) {
        k.d(decodeFormat);
        return (T) N0((e<Y>) o.f7409b, decodeFormat).N0(com.bumptech.glide.load.l.g.i.f7323a, decodeFormat);
    }

    @NonNull
    @CheckResult
    public T I0(@NonNull Priority priority) {
        if (this.w1) {
            return (T) clone().I0(priority);
        }
        this.e1 = (Priority) k.d(priority);
        this.b1 |= 8;
        return M0();
    }

    @NonNull
    @CheckResult
    public T J(@IntRange(from = 0) long j) {
        return N0((e<Y>) h0.f7393d, Long.valueOf(j));
    }

    @NonNull
    public final j K() {
        return this.d1;
    }

    public final int L() {
        return this.g1;
    }

    @Nullable
    public final Drawable M() {
        return this.f1;
    }

    @Nullable
    public final Drawable N() {
        return this.p1;
    }

    @NonNull
    @CheckResult
    public <Y> T N0(@NonNull e<Y> eVar, @NonNull Y y) {
        if (this.w1) {
            return (T) clone().N0(eVar, y);
        }
        k.d(eVar);
        k.d(y);
        this.r1.c(eVar, y);
        return M0();
    }

    public final int O() {
        return this.q1;
    }

    @NonNull
    @CheckResult
    public T O0(@NonNull c cVar) {
        if (this.w1) {
            return (T) clone().O0(cVar);
        }
        this.m1 = (c) k.d(cVar);
        this.b1 |= 1024;
        return M0();
    }

    public final boolean P() {
        return this.y1;
    }

    @NonNull
    @CheckResult
    public T P0(@FloatRange(from = 0.0d, to = 1.0d) float f) {
        if (this.w1) {
            return (T) clone().P0(f);
        }
        if (f < 0.0f || f > 1.0f) {
            throw new IllegalArgumentException("sizeMultiplier must be between 0 and 1");
        }
        this.c1 = f;
        this.b1 |= 2;
        return M0();
    }

    @NonNull
    @CheckResult
    public T Q0(boolean z) {
        if (this.w1) {
            return (T) clone().Q0(true);
        }
        this.j1 = !z;
        this.b1 |= 256;
        return M0();
    }

    @NonNull
    public final f R() {
        return this.r1;
    }

    @NonNull
    @CheckResult
    public T R0(@Nullable Resources.Theme theme) {
        if (this.w1) {
            return (T) clone().R0(theme);
        }
        this.v1 = theme;
        this.b1 |= 32768;
        return M0();
    }

    public final int S() {
        return this.k1;
    }

    @NonNull
    @CheckResult
    public T S0(@IntRange(from = 0) int i) {
        return N0((e<Y>) com.bumptech.glide.load.k.y.b.f7265a, Integer.valueOf(i));
    }

    public final int T() {
        return this.l1;
    }

    @NonNull
    @CheckResult
    public T T0(@NonNull i<Bitmap> iVar) {
        return U0(iVar, true);
    }

    @Nullable
    public final Drawable U() {
        return this.h1;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: com.bumptech.glide.load.i<android.graphics.Bitmap> */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: package-private */
    @NonNull
    public T U0(@NonNull i<Bitmap> iVar, boolean z) {
        if (this.w1) {
            return (T) clone().U0(iVar, z);
        }
        q qVar = new q(iVar, z);
        X0(Bitmap.class, iVar, z);
        X0(Drawable.class, qVar, z);
        X0(BitmapDrawable.class, (i<Y>) qVar.a(), z);
        X0(com.bumptech.glide.load.l.g.c.class, new com.bumptech.glide.load.l.g.f(iVar), z);
        return M0();
    }

    public final int V() {
        return this.i1;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    @CheckResult
    public final T V0(@NonNull DownsampleStrategy downsampleStrategy, @NonNull i<Bitmap> iVar) {
        if (this.w1) {
            return (T) clone().V0(downsampleStrategy, iVar);
        }
        A(downsampleStrategy);
        return T0(iVar);
    }

    @NonNull
    public final Priority W() {
        return this.e1;
    }

    @NonNull
    @CheckResult
    public <Y> T W0(@NonNull Class<Y> cls, @NonNull i<Y> iVar) {
        return X0(cls, iVar, true);
    }

    @NonNull
    public final Class<?> X() {
        return this.t1;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public <Y> T X0(@NonNull Class<Y> cls, @NonNull i<Y> iVar, boolean z) {
        if (this.w1) {
            return (T) clone().X0(cls, iVar, z);
        }
        k.d(cls);
        k.d(iVar);
        this.s1.put(cls, iVar);
        int i = this.b1 | 2048;
        this.b1 = i;
        this.o1 = true;
        int i2 = i | 65536;
        this.b1 = i2;
        this.z1 = false;
        if (z) {
            this.b1 = i2 | 131072;
            this.n1 = true;
        }
        return M0();
    }

    @NonNull
    public final c Y() {
        return this.m1;
    }

    @NonNull
    @CheckResult
    public T Y0(@NonNull i<Bitmap>... iVarArr) {
        if (iVarArr.length > 1) {
            return U0(new d(iVarArr), true);
        }
        if (iVarArr.length == 1) {
            return T0(iVarArr[0]);
        }
        return M0();
    }

    public final float Z() {
        return this.c1;
    }

    @NonNull
    @Deprecated
    @CheckResult
    public T Z0(@NonNull i<Bitmap>... iVarArr) {
        return U0(new d(iVarArr), true);
    }

    @NonNull
    @CheckResult
    public T a(@NonNull a<?> aVar) {
        if (this.w1) {
            return (T) clone().a(aVar);
        }
        if (m0(aVar.b1, 2)) {
            this.c1 = aVar.c1;
        }
        if (m0(aVar.b1, 262144)) {
            this.x1 = aVar.x1;
        }
        if (m0(aVar.b1, 1048576)) {
            this.A1 = aVar.A1;
        }
        if (m0(aVar.b1, 4)) {
            this.d1 = aVar.d1;
        }
        if (m0(aVar.b1, 8)) {
            this.e1 = aVar.e1;
        }
        if (m0(aVar.b1, 16)) {
            this.f1 = aVar.f1;
            this.g1 = 0;
            this.b1 &= -33;
        }
        if (m0(aVar.b1, 32)) {
            this.g1 = aVar.g1;
            this.f1 = null;
            this.b1 &= -17;
        }
        if (m0(aVar.b1, 64)) {
            this.h1 = aVar.h1;
            this.i1 = 0;
            this.b1 &= -129;
        }
        if (m0(aVar.b1, 128)) {
            this.i1 = aVar.i1;
            this.h1 = null;
            this.b1 &= -65;
        }
        if (m0(aVar.b1, 256)) {
            this.j1 = aVar.j1;
        }
        if (m0(aVar.b1, 512)) {
            this.l1 = aVar.l1;
            this.k1 = aVar.k1;
        }
        if (m0(aVar.b1, 1024)) {
            this.m1 = aVar.m1;
        }
        if (m0(aVar.b1, 4096)) {
            this.t1 = aVar.t1;
        }
        if (m0(aVar.b1, 8192)) {
            this.p1 = aVar.p1;
            this.q1 = 0;
            this.b1 &= -16385;
        }
        if (m0(aVar.b1, 16384)) {
            this.q1 = aVar.q1;
            this.p1 = null;
            this.b1 &= -8193;
        }
        if (m0(aVar.b1, 32768)) {
            this.v1 = aVar.v1;
        }
        if (m0(aVar.b1, 65536)) {
            this.o1 = aVar.o1;
        }
        if (m0(aVar.b1, 131072)) {
            this.n1 = aVar.n1;
        }
        if (m0(aVar.b1, 2048)) {
            this.s1.putAll(aVar.s1);
            this.z1 = aVar.z1;
        }
        if (m0(aVar.b1, 524288)) {
            this.y1 = aVar.y1;
        }
        if (!this.o1) {
            this.s1.clear();
            int i = this.b1 & -2049;
            this.b1 = i;
            this.n1 = false;
            this.b1 = i & -131073;
            this.z1 = true;
        }
        this.b1 |= aVar.b1;
        this.r1.b(aVar.r1);
        return M0();
    }

    @Nullable
    public final Resources.Theme a0() {
        return this.v1;
    }

    @NonNull
    @CheckResult
    public T a1(boolean z) {
        if (this.w1) {
            return (T) clone().a1(z);
        }
        this.A1 = z;
        this.b1 |= 1048576;
        return M0();
    }

    @NonNull
    public T b() {
        if (!this.u1 || this.w1) {
            this.w1 = true;
            return t0();
        }
        throw new IllegalStateException("You cannot auto lock an already locked options object, try clone() first");
    }

    @NonNull
    public final Map<Class<?>, i<?>> b0() {
        return this.s1;
    }

    @NonNull
    @CheckResult
    public T b1(boolean z) {
        if (this.w1) {
            return (T) clone().b1(z);
        }
        this.x1 = z;
        this.b1 |= 262144;
        return M0();
    }

    @NonNull
    @CheckResult
    public T c() {
        return V0(DownsampleStrategy.f7351e, new l());
    }

    public final boolean c0() {
        return this.A1;
    }

    @NonNull
    @CheckResult
    public T d() {
        return J0(DownsampleStrategy.f7350d, new m());
    }

    public final boolean d0() {
        return this.x1;
    }

    @NonNull
    @CheckResult
    public T e() {
        return V0(DownsampleStrategy.f7350d, new n());
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof a)) {
            return false;
        }
        a aVar = (a) obj;
        if (Float.compare(aVar.c1, this.c1) == 0 && this.g1 == aVar.g1 && com.bumptech.glide.util.l.d(this.f1, aVar.f1) && this.i1 == aVar.i1 && com.bumptech.glide.util.l.d(this.h1, aVar.h1) && this.q1 == aVar.q1 && com.bumptech.glide.util.l.d(this.p1, aVar.p1) && this.j1 == aVar.j1 && this.k1 == aVar.k1 && this.l1 == aVar.l1 && this.n1 == aVar.n1 && this.o1 == aVar.o1 && this.x1 == aVar.x1 && this.y1 == aVar.y1 && this.d1.equals(aVar.d1) && this.e1 == aVar.e1 && this.r1.equals(aVar.r1) && this.s1.equals(aVar.s1) && this.t1.equals(aVar.t1) && com.bumptech.glide.util.l.d(this.m1, aVar.m1) && com.bumptech.glide.util.l.d(this.v1, aVar.v1)) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public boolean f0() {
        return this.w1;
    }

    public final boolean g0() {
        return l0(4);
    }

    public final boolean h0() {
        return this.u1;
    }

    public int hashCode() {
        return com.bumptech.glide.util.l.p(this.v1, com.bumptech.glide.util.l.p(this.m1, com.bumptech.glide.util.l.p(this.t1, com.bumptech.glide.util.l.p(this.s1, com.bumptech.glide.util.l.p(this.r1, com.bumptech.glide.util.l.p(this.e1, com.bumptech.glide.util.l.p(this.d1, com.bumptech.glide.util.l.r(this.y1, com.bumptech.glide.util.l.r(this.x1, com.bumptech.glide.util.l.r(this.o1, com.bumptech.glide.util.l.r(this.n1, com.bumptech.glide.util.l.o(this.l1, com.bumptech.glide.util.l.o(this.k1, com.bumptech.glide.util.l.r(this.j1, com.bumptech.glide.util.l.p(this.p1, com.bumptech.glide.util.l.o(this.q1, com.bumptech.glide.util.l.p(this.h1, com.bumptech.glide.util.l.o(this.i1, com.bumptech.glide.util.l.p(this.f1, com.bumptech.glide.util.l.o(this.g1, com.bumptech.glide.util.l.l(this.c1)))))))))))))))))))));
    }

    public final boolean i0() {
        return this.j1;
    }

    public final boolean j0() {
        return l0(8);
    }

    /* access modifiers changed from: package-private */
    public boolean k0() {
        return this.z1;
    }

    public final boolean n0() {
        return l0(256);
    }

    public final boolean p0() {
        return this.o1;
    }

    public final boolean q0() {
        return this.n1;
    }

    public final boolean r0() {
        return l0(2048);
    }

    public final boolean s0() {
        return com.bumptech.glide.util.l.v(this.l1, this.k1);
    }

    @NonNull
    public T t0() {
        this.u1 = true;
        return L0();
    }

    @CheckResult
    /* renamed from: u */
    public T clone() {
        try {
            T t = (T) ((a) super.clone());
            f fVar = new f();
            t.r1 = fVar;
            fVar.b(this.r1);
            b bVar = new b();
            t.s1 = bVar;
            bVar.putAll(this.s1);
            t.u1 = false;
            t.w1 = false;
            return t;
        } catch (CloneNotSupportedException e2) {
            throw new RuntimeException(e2);
        }
    }

    @NonNull
    @CheckResult
    public T u0(boolean z) {
        if (this.w1) {
            return (T) clone().u0(z);
        }
        this.y1 = z;
        this.b1 |= 524288;
        return M0();
    }

    @NonNull
    @CheckResult
    public T v(@NonNull Class<?> cls) {
        if (this.w1) {
            return (T) clone().v(cls);
        }
        this.t1 = (Class) k.d(cls);
        this.b1 |= 4096;
        return M0();
    }

    @NonNull
    @CheckResult
    public T v0() {
        return C0(DownsampleStrategy.f7351e, new l());
    }

    @NonNull
    @CheckResult
    public T w() {
        return N0((e<Y>) o.f, Boolean.FALSE);
    }

    @NonNull
    @CheckResult
    public T w0() {
        return A0(DownsampleStrategy.f7350d, new m());
    }

    @NonNull
    @CheckResult
    public T x(@NonNull j jVar) {
        if (this.w1) {
            return (T) clone().x(jVar);
        }
        this.d1 = (j) k.d(jVar);
        this.b1 |= 4;
        return M0();
    }

    @NonNull
    @CheckResult
    public T y() {
        return N0((e<Y>) com.bumptech.glide.load.l.g.i.f7324b, Boolean.TRUE);
    }

    @NonNull
    @CheckResult
    public T y0() {
        return C0(DownsampleStrategy.f7351e, new n());
    }

    @NonNull
    @CheckResult
    public T z() {
        if (this.w1) {
            return (T) clone().z();
        }
        this.s1.clear();
        int i = this.b1 & -2049;
        this.b1 = i;
        this.n1 = false;
        int i2 = i & -131073;
        this.b1 = i2;
        this.o1 = false;
        this.b1 = i2 | 65536;
        this.z1 = true;
        return M0();
    }

    @NonNull
    @CheckResult
    public T z0() {
        return A0(DownsampleStrategy.f7349c, new s());
    }
}
