package com.bumptech.glide.request;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.util.Log;
import androidx.annotation.DrawableRes;
import androidx.annotation.GuardedBy;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.bumptech.glide.Priority;
import com.bumptech.glide.e;
import com.bumptech.glide.load.DataSource;
import com.bumptech.glide.load.engine.GlideException;
import com.bumptech.glide.load.engine.k;
import com.bumptech.glide.load.engine.u;
import com.bumptech.glide.request.k.o;
import com.bumptech.glide.request.k.p;
import com.bumptech.glide.request.l.g;
import com.bumptech.glide.util.l;
import com.bumptech.glide.util.n.c;
import com.ibm.icu.impl.locale.f;
import java.util.List;
import java.util.concurrent.Executor;

/* compiled from: SingleRequest */
public final class i<R> implements d, o, h {

    /* renamed from: a  reason: collision with root package name */
    private static final String f7496a = "Request";

    /* renamed from: b  reason: collision with root package name */
    private static final String f7497b = "Glide";

    /* renamed from: c  reason: collision with root package name */
    private static final boolean f7498c = Log.isLoggable(f7496a, 2);
    @Nullable
    @GuardedBy("requestLock")
    private Drawable A;
    @Nullable
    @GuardedBy("requestLock")
    private Drawable B;
    @GuardedBy("requestLock")
    private int C;
    @GuardedBy("requestLock")
    private int D;
    @GuardedBy("requestLock")
    private boolean E;
    @Nullable
    private RuntimeException F;
    @Nullable

    /* renamed from: d  reason: collision with root package name */
    private final String f7499d;

    /* renamed from: e  reason: collision with root package name */
    private final c f7500e;
    private final Object f;
    @Nullable
    private final f<R> g;
    private final RequestCoordinator h;
    private final Context i;
    private final e j;
    @Nullable
    private final Object k;
    private final Class<R> l;
    private final a<?> m;
    private final int n;
    private final int o;
    private final Priority p;
    private final p<R> q;
    @Nullable
    private final List<f<R>> r;
    private final g<? super R> s;
    private final Executor t;
    @GuardedBy("requestLock")
    private u<R> u;
    @GuardedBy("requestLock")
    private k.d v;
    @GuardedBy("requestLock")
    private long w;
    private volatile k x;
    @GuardedBy("requestLock")
    private a y;
    @Nullable
    @GuardedBy("requestLock")
    private Drawable z;

    /* access modifiers changed from: private */
    /* compiled from: SingleRequest */
    public enum a {
        PENDING,
        RUNNING,
        WAITING_FOR_SIZE,
        COMPLETE,
        FAILED,
        CLEARED
    }

    private i(Context context, e eVar, @NonNull Object obj, @Nullable Object obj2, Class<R> cls, a<?> aVar, int i2, int i3, Priority priority, p<R> pVar, @Nullable f<R> fVar, @Nullable List<f<R>> list, RequestCoordinator requestCoordinator, k kVar, g<? super R> gVar, Executor executor) {
        this.f7499d = f7498c ? String.valueOf(super.hashCode()) : null;
        this.f7500e = c.a();
        this.f = obj;
        this.i = context;
        this.j = eVar;
        this.k = obj2;
        this.l = cls;
        this.m = aVar;
        this.n = i2;
        this.o = i3;
        this.p = priority;
        this.q = pVar;
        this.g = fVar;
        this.r = list;
        this.h = requestCoordinator;
        this.x = kVar;
        this.s = gVar;
        this.t = executor;
        this.y = a.PENDING;
        if (this.F == null && eVar.i()) {
            this.F = new RuntimeException("Glide request origin trace");
        }
    }

    @GuardedBy("requestLock")
    private void A() {
        if (l()) {
            Drawable drawable = null;
            if (this.k == null) {
                drawable = p();
            }
            if (drawable == null) {
                drawable = o();
            }
            if (drawable == null) {
                drawable = q();
            }
            this.q.j(drawable);
        }
    }

    @GuardedBy("requestLock")
    private void j() {
        if (this.E) {
            throw new IllegalStateException("You can't start or clear loads in RequestListener or Target callbacks. If you're trying to start a fallback request when a load fails, use RequestBuilder#error(RequestBuilder). Otherwise consider posting your into() or clear() calls to the main thread using a Handler instead.");
        }
    }

    @GuardedBy("requestLock")
    private boolean k() {
        RequestCoordinator requestCoordinator = this.h;
        return requestCoordinator == null || requestCoordinator.j(this);
    }

    @GuardedBy("requestLock")
    private boolean l() {
        RequestCoordinator requestCoordinator = this.h;
        return requestCoordinator == null || requestCoordinator.c(this);
    }

    @GuardedBy("requestLock")
    private boolean m() {
        RequestCoordinator requestCoordinator = this.h;
        return requestCoordinator == null || requestCoordinator.f(this);
    }

    @GuardedBy("requestLock")
    private void n() {
        j();
        this.f7500e.c();
        this.q.d(this);
        k.d dVar = this.v;
        if (dVar != null) {
            dVar.a();
            this.v = null;
        }
    }

    @GuardedBy("requestLock")
    private Drawable o() {
        if (this.z == null) {
            Drawable M = this.m.M();
            this.z = M;
            if (M == null && this.m.L() > 0) {
                this.z = s(this.m.L());
            }
        }
        return this.z;
    }

    @GuardedBy("requestLock")
    private Drawable p() {
        if (this.B == null) {
            Drawable N = this.m.N();
            this.B = N;
            if (N == null && this.m.O() > 0) {
                this.B = s(this.m.O());
            }
        }
        return this.B;
    }

    @GuardedBy("requestLock")
    private Drawable q() {
        if (this.A == null) {
            Drawable U = this.m.U();
            this.A = U;
            if (U == null && this.m.V() > 0) {
                this.A = s(this.m.V());
            }
        }
        return this.A;
    }

    @GuardedBy("requestLock")
    private boolean r() {
        RequestCoordinator requestCoordinator = this.h;
        return requestCoordinator == null || !requestCoordinator.getRoot().b();
    }

    @GuardedBy("requestLock")
    private Drawable s(@DrawableRes int i2) {
        return com.bumptech.glide.load.l.e.a.a(this.j, i2, this.m.a0() != null ? this.m.a0() : this.i.getTheme());
    }

    private void t(String str) {
        Log.v(f7496a, str + " this: " + this.f7499d);
    }

    private static int u(int i2, float f2) {
        return i2 == Integer.MIN_VALUE ? i2 : Math.round(f2 * ((float) i2));
    }

    @GuardedBy("requestLock")
    private void v() {
        RequestCoordinator requestCoordinator = this.h;
        if (requestCoordinator != null) {
            requestCoordinator.a(this);
        }
    }

    @GuardedBy("requestLock")
    private void w() {
        RequestCoordinator requestCoordinator = this.h;
        if (requestCoordinator != null) {
            requestCoordinator.h(this);
        }
    }

    public static <R> i<R> x(Context context, e eVar, Object obj, Object obj2, Class<R> cls, a<?> aVar, int i2, int i3, Priority priority, p<R> pVar, f<R> fVar, @Nullable List<f<R>> list, RequestCoordinator requestCoordinator, k kVar, g<? super R> gVar, Executor executor) {
        return new i<>(context, eVar, obj, obj2, cls, aVar, i2, i3, priority, pVar, fVar, list, requestCoordinator, kVar, gVar, executor);
    }

    /* JADX INFO: finally extract failed */
    private void y(GlideException glideException, int i2) {
        boolean z2;
        this.f7500e.c();
        synchronized (this.f) {
            glideException.setOrigin(this.F);
            int g2 = this.j.g();
            if (g2 <= i2) {
                Log.w(f7497b, "Load failed for " + this.k + " with size [" + this.C + f.f14028c + this.D + "]", glideException);
                if (g2 <= 4) {
                    glideException.logRootCauses(f7497b);
                }
            }
            this.v = null;
            this.y = a.FAILED;
            boolean z3 = true;
            this.E = true;
            try {
                List<f<R>> list = this.r;
                if (list != null) {
                    z2 = false;
                    for (f<R> fVar : list) {
                        z2 |= fVar.f(glideException, this.k, this.q, r());
                    }
                } else {
                    z2 = false;
                }
                f<R> fVar2 = this.g;
                if (fVar2 == null || !fVar2.f(glideException, this.k, this.q, r())) {
                    z3 = false;
                }
                if (!z2 && !z3) {
                    A();
                }
                this.E = false;
                v();
            } catch (Throwable th) {
                this.E = false;
                throw th;
            }
        }
    }

    /* JADX INFO: finally extract failed */
    @GuardedBy("requestLock")
    private void z(u<R> uVar, R r2, DataSource dataSource) {
        boolean z2;
        boolean r3 = r();
        this.y = a.COMPLETE;
        this.u = uVar;
        if (this.j.g() <= 3) {
            Log.d(f7497b, "Finished loading " + r2.getClass().getSimpleName() + " from " + dataSource + " for " + this.k + " with size [" + this.C + f.f14028c + this.D + "] in " + com.bumptech.glide.util.g.a(this.w) + " ms");
        }
        boolean z3 = true;
        this.E = true;
        try {
            List<f<R>> list = this.r;
            if (list != null) {
                z2 = false;
                for (f<R> fVar : list) {
                    z2 |= fVar.h(r2, this.k, this.q, dataSource, r3);
                }
            } else {
                z2 = false;
            }
            f<R> fVar2 = this.g;
            if (fVar2 == null || !fVar2.h(r2, this.k, this.q, dataSource, r3)) {
                z3 = false;
            }
            if (!z3 && !z2) {
                this.q.e(r2, this.s.a(dataSource, r3));
            }
            this.E = false;
            w();
        } catch (Throwable th) {
            this.E = false;
            throw th;
        }
    }

    @Override // com.bumptech.glide.request.h
    public void a(GlideException glideException) {
        y(glideException, 5);
    }

    @Override // com.bumptech.glide.request.d
    public boolean b() {
        boolean z2;
        synchronized (this.f) {
            z2 = this.y == a.COMPLETE;
        }
        return z2;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r5v0, resolved type: com.bumptech.glide.request.i<R> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.bumptech.glide.request.h
    public void c(u<?> uVar, DataSource dataSource) {
        Throwable th;
        this.f7500e.c();
        try {
            synchronized (this.f) {
                try {
                    this.v = null;
                    if (uVar == null) {
                        a(new GlideException("Expected to receive a Resource<R> with an object of " + this.l + " inside, but instead got null."));
                        return;
                    }
                    Object obj = uVar.get();
                    if (obj != null) {
                        if (this.l.isAssignableFrom(obj.getClass())) {
                            if (!m()) {
                                try {
                                    this.u = null;
                                    this.y = a.COMPLETE;
                                    this.x.l(uVar);
                                    return;
                                } catch (Throwable th2) {
                                    th = th2;
                                    throw th;
                                }
                            } else {
                                z(uVar, obj, dataSource);
                                return;
                            }
                        }
                    }
                    this.u = null;
                    StringBuilder sb = new StringBuilder();
                    sb.append("Expected to receive an object of ");
                    sb.append(this.l);
                    sb.append(" but instead got ");
                    sb.append(obj != null ? obj.getClass() : "");
                    sb.append("{");
                    sb.append(obj);
                    sb.append("} inside Resource{");
                    sb.append(uVar);
                    sb.append("}.");
                    sb.append(obj != null ? "" : " To indicate failure return a null Resource object, rather than a Resource object containing null data.");
                    a(new GlideException(sb.toString()));
                    this.x.l(uVar);
                } catch (Throwable th3) {
                    th = th3;
                    throw th;
                }
            }
        } catch (Throwable th4) {
            if (0 != 0) {
                this.x.l(null);
            }
            throw th4;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0031, code lost:
        if (r1 == null) goto L_?;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0033, code lost:
        r5.x.l(r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:?, code lost:
        return;
     */
    @Override // com.bumptech.glide.request.d
    public void clear() {
        synchronized (this.f) {
            j();
            this.f7500e.c();
            a aVar = this.y;
            a aVar2 = a.CLEARED;
            if (aVar != aVar2) {
                n();
                u<R> uVar = this.u;
                if (uVar != null) {
                    this.u = null;
                } else {
                    uVar = null;
                }
                if (k()) {
                    this.q.l(q());
                }
                this.y = aVar2;
            }
        }
    }

    @Override // com.bumptech.glide.request.d
    public void d() {
        synchronized (this.f) {
            j();
            this.f7500e.c();
            this.w = com.bumptech.glide.util.g.b();
            if (this.k == null) {
                if (l.v(this.n, this.o)) {
                    this.C = this.n;
                    this.D = this.o;
                }
                y(new GlideException("Received null model"), p() == null ? 5 : 3);
                return;
            }
            a aVar = this.y;
            a aVar2 = a.RUNNING;
            if (aVar == aVar2) {
                throw new IllegalArgumentException("Cannot restart a running request");
            } else if (aVar == a.COMPLETE) {
                c(this.u, DataSource.MEMORY_CACHE);
            } else {
                a aVar3 = a.WAITING_FOR_SIZE;
                this.y = aVar3;
                if (l.v(this.n, this.o)) {
                    f(this.n, this.o);
                } else {
                    this.q.o(this);
                }
                a aVar4 = this.y;
                if ((aVar4 == aVar2 || aVar4 == aVar3) && l()) {
                    this.q.k(q());
                }
                if (f7498c) {
                    t("finished run method in " + com.bumptech.glide.util.g.a(this.w));
                }
            }
        }
    }

    @Override // com.bumptech.glide.request.d
    public boolean e(d dVar) {
        int i2;
        int i3;
        Object obj;
        Class<R> cls;
        a<?> aVar;
        Priority priority;
        int size;
        int i4;
        int i5;
        Object obj2;
        Class<R> cls2;
        a<?> aVar2;
        Priority priority2;
        int size2;
        if (!(dVar instanceof i)) {
            return false;
        }
        synchronized (this.f) {
            i2 = this.n;
            i3 = this.o;
            obj = this.k;
            cls = this.l;
            aVar = this.m;
            priority = this.p;
            List<f<R>> list = this.r;
            size = list != null ? list.size() : 0;
        }
        i iVar = (i) dVar;
        synchronized (iVar.f) {
            i4 = iVar.n;
            i5 = iVar.o;
            obj2 = iVar.k;
            cls2 = iVar.l;
            aVar2 = iVar.m;
            priority2 = iVar.p;
            List<f<R>> list2 = iVar.r;
            size2 = list2 != null ? list2.size() : 0;
        }
        return i2 == i4 && i3 == i5 && l.c(obj, obj2) && cls.equals(cls2) && aVar.equals(aVar2) && priority == priority2 && size == size2;
    }

    @Override // com.bumptech.glide.request.k.o
    public void f(int i2, int i3) {
        Object obj;
        this.f7500e.c();
        Object obj2 = this.f;
        synchronized (obj2) {
            try {
                boolean z2 = f7498c;
                if (z2) {
                    t("Got onSizeReady in " + com.bumptech.glide.util.g.a(this.w));
                }
                if (this.y == a.WAITING_FOR_SIZE) {
                    a aVar = a.RUNNING;
                    this.y = aVar;
                    float Z = this.m.Z();
                    this.C = u(i2, Z);
                    this.D = u(i3, Z);
                    if (z2) {
                        t("finished setup for calling load in " + com.bumptech.glide.util.g.a(this.w));
                    }
                    obj = obj2;
                    try {
                        this.v = this.x.g(this.j, this.k, this.m.Y(), this.C, this.D, this.m.X(), this.l, this.p, this.m.K(), this.m.b0(), this.m.q0(), this.m.k0(), this.m.R(), this.m.i0(), this.m.d0(), this.m.c0(), this.m.P(), this, this.t);
                        if (this.y != aVar) {
                            this.v = null;
                        }
                        if (z2) {
                            t("finished onSizeReady in " + com.bumptech.glide.util.g.a(this.w));
                        }
                    } catch (Throwable th) {
                        th = th;
                        throw th;
                    }
                }
            } catch (Throwable th2) {
                th = th2;
                obj = obj2;
                throw th;
            }
        }
    }

    @Override // com.bumptech.glide.request.d
    public boolean g() {
        boolean z2;
        synchronized (this.f) {
            z2 = this.y == a.CLEARED;
        }
        return z2;
    }

    @Override // com.bumptech.glide.request.h
    public Object h() {
        this.f7500e.c();
        return this.f;
    }

    @Override // com.bumptech.glide.request.d
    public boolean i() {
        boolean z2;
        synchronized (this.f) {
            z2 = this.y == a.COMPLETE;
        }
        return z2;
    }

    @Override // com.bumptech.glide.request.d
    public boolean isRunning() {
        boolean z2;
        synchronized (this.f) {
            a aVar = this.y;
            if (aVar != a.RUNNING) {
                if (aVar != a.WAITING_FOR_SIZE) {
                    z2 = false;
                }
            }
            z2 = true;
        }
        return z2;
    }

    @Override // com.bumptech.glide.request.d
    public void pause() {
        synchronized (this.f) {
            if (isRunning()) {
                clear();
            }
        }
    }
}
