package com.bumptech.glide.request;

import androidx.annotation.GuardedBy;
import androidx.annotation.Nullable;
import com.bumptech.glide.request.RequestCoordinator;

/* compiled from: ThumbnailRequestCoordinator */
public class j implements RequestCoordinator, d {
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    private final RequestCoordinator f7503a;

    /* renamed from: b  reason: collision with root package name */
    private final Object f7504b;

    /* renamed from: c  reason: collision with root package name */
    private volatile d f7505c;

    /* renamed from: d  reason: collision with root package name */
    private volatile d f7506d;
    @GuardedBy("requestLock")

    /* renamed from: e  reason: collision with root package name */
    private RequestCoordinator.RequestState f7507e;
    @GuardedBy("requestLock")
    private RequestCoordinator.RequestState f;
    @GuardedBy("requestLock")
    private boolean g;

    public j(Object obj, @Nullable RequestCoordinator requestCoordinator) {
        RequestCoordinator.RequestState requestState = RequestCoordinator.RequestState.CLEARED;
        this.f7507e = requestState;
        this.f = requestState;
        this.f7504b = obj;
        this.f7503a = requestCoordinator;
    }

    @GuardedBy("requestLock")
    private boolean k() {
        RequestCoordinator requestCoordinator = this.f7503a;
        return requestCoordinator == null || requestCoordinator.j(this);
    }

    @GuardedBy("requestLock")
    private boolean l() {
        RequestCoordinator requestCoordinator = this.f7503a;
        return requestCoordinator == null || requestCoordinator.c(this);
    }

    @GuardedBy("requestLock")
    private boolean m() {
        RequestCoordinator requestCoordinator = this.f7503a;
        return requestCoordinator == null || requestCoordinator.f(this);
    }

    @Override // com.bumptech.glide.request.RequestCoordinator
    public void a(d dVar) {
        synchronized (this.f7504b) {
            if (!dVar.equals(this.f7505c)) {
                this.f = RequestCoordinator.RequestState.FAILED;
                return;
            }
            this.f7507e = RequestCoordinator.RequestState.FAILED;
            RequestCoordinator requestCoordinator = this.f7503a;
            if (requestCoordinator != null) {
                requestCoordinator.a(this);
            }
        }
    }

    @Override // com.bumptech.glide.request.d, com.bumptech.glide.request.RequestCoordinator
    public boolean b() {
        boolean z;
        synchronized (this.f7504b) {
            if (!this.f7506d.b()) {
                if (!this.f7505c.b()) {
                    z = false;
                }
            }
            z = true;
        }
        return z;
    }

    @Override // com.bumptech.glide.request.RequestCoordinator
    public boolean c(d dVar) {
        boolean z;
        synchronized (this.f7504b) {
            z = l() && dVar.equals(this.f7505c) && !b();
        }
        return z;
    }

    @Override // com.bumptech.glide.request.d
    public void clear() {
        synchronized (this.f7504b) {
            this.g = false;
            RequestCoordinator.RequestState requestState = RequestCoordinator.RequestState.CLEARED;
            this.f7507e = requestState;
            this.f = requestState;
            this.f7506d.clear();
            this.f7505c.clear();
        }
    }

    @Override // com.bumptech.glide.request.d
    public void d() {
        RequestCoordinator.RequestState requestState;
        RequestCoordinator.RequestState requestState2;
        synchronized (this.f7504b) {
            this.g = true;
            try {
                if (!(this.f7507e == RequestCoordinator.RequestState.SUCCESS || this.f == (requestState2 = RequestCoordinator.RequestState.RUNNING))) {
                    this.f = requestState2;
                    this.f7506d.d();
                }
                if (this.g && this.f7507e != (requestState = RequestCoordinator.RequestState.RUNNING)) {
                    this.f7507e = requestState;
                    this.f7505c.d();
                }
            } finally {
                this.g = false;
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x002d A[ORIG_RETURN, RETURN, SYNTHETIC] */
    @Override // com.bumptech.glide.request.d
    public boolean e(d dVar) {
        if (!(dVar instanceof j)) {
            return false;
        }
        j jVar = (j) dVar;
        if (this.f7505c == null) {
            if (jVar.f7505c != null) {
                return false;
            }
        } else if (!this.f7505c.e(jVar.f7505c)) {
            return false;
        }
        if (this.f7506d == null) {
            if (jVar.f7506d == null) {
                return true;
            }
            return false;
        } else if (!this.f7506d.e(jVar.f7506d)) {
            return false;
        }
        return true;
    }

    @Override // com.bumptech.glide.request.RequestCoordinator
    public boolean f(d dVar) {
        boolean z;
        synchronized (this.f7504b) {
            z = m() && (dVar.equals(this.f7505c) || this.f7507e != RequestCoordinator.RequestState.SUCCESS);
        }
        return z;
    }

    @Override // com.bumptech.glide.request.d
    public boolean g() {
        boolean z;
        synchronized (this.f7504b) {
            z = this.f7507e == RequestCoordinator.RequestState.CLEARED;
        }
        return z;
    }

    @Override // com.bumptech.glide.request.RequestCoordinator
    public RequestCoordinator getRoot() {
        RequestCoordinator root;
        synchronized (this.f7504b) {
            RequestCoordinator requestCoordinator = this.f7503a;
            root = requestCoordinator != null ? requestCoordinator.getRoot() : this;
        }
        return root;
    }

    @Override // com.bumptech.glide.request.RequestCoordinator
    public void h(d dVar) {
        synchronized (this.f7504b) {
            if (dVar.equals(this.f7506d)) {
                this.f = RequestCoordinator.RequestState.SUCCESS;
                return;
            }
            this.f7507e = RequestCoordinator.RequestState.SUCCESS;
            RequestCoordinator requestCoordinator = this.f7503a;
            if (requestCoordinator != null) {
                requestCoordinator.h(this);
            }
            if (!this.f.a()) {
                this.f7506d.clear();
            }
        }
    }

    @Override // com.bumptech.glide.request.d
    public boolean i() {
        boolean z;
        synchronized (this.f7504b) {
            z = this.f7507e == RequestCoordinator.RequestState.SUCCESS;
        }
        return z;
    }

    @Override // com.bumptech.glide.request.d
    public boolean isRunning() {
        boolean z;
        synchronized (this.f7504b) {
            z = this.f7507e == RequestCoordinator.RequestState.RUNNING;
        }
        return z;
    }

    @Override // com.bumptech.glide.request.RequestCoordinator
    public boolean j(d dVar) {
        boolean z;
        synchronized (this.f7504b) {
            z = k() && dVar.equals(this.f7505c) && this.f7507e != RequestCoordinator.RequestState.PAUSED;
        }
        return z;
    }

    public void n(d dVar, d dVar2) {
        this.f7505c = dVar;
        this.f7506d = dVar2;
    }

    @Override // com.bumptech.glide.request.d
    public void pause() {
        synchronized (this.f7504b) {
            if (!this.f.a()) {
                this.f = RequestCoordinator.RequestState.PAUSED;
                this.f7506d.pause();
            }
            if (!this.f7507e.a()) {
                this.f7507e = RequestCoordinator.RequestState.PAUSED;
                this.f7505c.pause();
            }
        }
    }
}
