package com.bumptech.glide.request.k;

import android.content.Context;
import android.graphics.Point;
import android.graphics.drawable.Drawable;
import android.util.Log;
import android.view.Display;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.WindowManager;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import com.bumptech.glide.R;
import com.bumptech.glide.request.d;
import com.bumptech.glide.util.k;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/* compiled from: CustomViewTarget */
public abstract class f<T extends View, Z> implements p<Z> {

    /* renamed from: a  reason: collision with root package name */
    private static final String f7511a = "CustomViewTarget";
    @IdRes

    /* renamed from: b  reason: collision with root package name */
    private static final int f7512b = R.id.glide_custom_view_target_tag;
    private final b I0;
    protected final T J0;
    @Nullable
    private View.OnAttachStateChangeListener K0;
    private boolean L0;
    private boolean M0;

    /* compiled from: CustomViewTarget */
    class a implements View.OnAttachStateChangeListener {
        a() {
        }

        public void onViewAttachedToWindow(View view) {
            f.this.s();
        }

        public void onViewDetachedFromWindow(View view) {
            f.this.r();
        }
    }

    @VisibleForTesting
    /* compiled from: CustomViewTarget */
    static final class b {

        /* renamed from: a  reason: collision with root package name */
        private static final int f7514a = 0;
        @Nullable
        @VisibleForTesting

        /* renamed from: b  reason: collision with root package name */
        static Integer f7515b;

        /* renamed from: c  reason: collision with root package name */
        private final View f7516c;

        /* renamed from: d  reason: collision with root package name */
        private final List<o> f7517d = new ArrayList();

        /* renamed from: e  reason: collision with root package name */
        boolean f7518e;
        @Nullable
        private a f;

        /* access modifiers changed from: private */
        /* compiled from: CustomViewTarget */
        public static final class a implements ViewTreeObserver.OnPreDrawListener {

            /* renamed from: a  reason: collision with root package name */
            private final WeakReference<b> f7519a;

            a(@NonNull b bVar) {
                this.f7519a = new WeakReference<>(bVar);
            }

            public boolean onPreDraw() {
                if (Log.isLoggable(f.f7511a, 2)) {
                    Log.v(f.f7511a, "OnGlobalLayoutListener called attachStateListener=" + this);
                }
                b bVar = this.f7519a.get();
                if (bVar == null) {
                    return true;
                }
                bVar.a();
                return true;
            }
        }

        b(@NonNull View view) {
            this.f7516c = view;
        }

        private static int c(@NonNull Context context) {
            if (f7515b == null) {
                Display defaultDisplay = ((WindowManager) k.d((WindowManager) context.getSystemService("window"))).getDefaultDisplay();
                Point point = new Point();
                defaultDisplay.getSize(point);
                f7515b = Integer.valueOf(Math.max(point.x, point.y));
            }
            return f7515b.intValue();
        }

        private int e(int i, int i2, int i3) {
            int i4 = i2 - i3;
            if (i4 > 0) {
                return i4;
            }
            if (this.f7518e && this.f7516c.isLayoutRequested()) {
                return 0;
            }
            int i5 = i - i3;
            if (i5 > 0) {
                return i5;
            }
            if (this.f7516c.isLayoutRequested() || i2 != -2) {
                return 0;
            }
            if (Log.isLoggable(f.f7511a, 4)) {
                Log.i(f.f7511a, "Glide treats LayoutParams.WRAP_CONTENT as a request for an image the size of this device's screen dimensions. If you want to load the original image and are ok with the corresponding memory cost and OOMs (depending on the input size), use .override(Target.SIZE_ORIGINAL). Otherwise, use LayoutParams.MATCH_PARENT, set layout_width and layout_height to fixed dimension, or use .override() with fixed dimensions.");
            }
            return c(this.f7516c.getContext());
        }

        private int f() {
            int paddingTop = this.f7516c.getPaddingTop() + this.f7516c.getPaddingBottom();
            ViewGroup.LayoutParams layoutParams = this.f7516c.getLayoutParams();
            return e(this.f7516c.getHeight(), layoutParams != null ? layoutParams.height : 0, paddingTop);
        }

        private int g() {
            int paddingLeft = this.f7516c.getPaddingLeft() + this.f7516c.getPaddingRight();
            ViewGroup.LayoutParams layoutParams = this.f7516c.getLayoutParams();
            return e(this.f7516c.getWidth(), layoutParams != null ? layoutParams.width : 0, paddingLeft);
        }

        private boolean h(int i) {
            return i > 0 || i == Integer.MIN_VALUE;
        }

        private boolean i(int i, int i2) {
            return h(i) && h(i2);
        }

        private void j(int i, int i2) {
            Iterator it = new ArrayList(this.f7517d).iterator();
            while (it.hasNext()) {
                ((o) it.next()).f(i, i2);
            }
        }

        /* access modifiers changed from: package-private */
        public void a() {
            if (!this.f7517d.isEmpty()) {
                int g = g();
                int f2 = f();
                if (i(g, f2)) {
                    j(g, f2);
                    b();
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void b() {
            ViewTreeObserver viewTreeObserver = this.f7516c.getViewTreeObserver();
            if (viewTreeObserver.isAlive()) {
                viewTreeObserver.removeOnPreDrawListener(this.f);
            }
            this.f = null;
            this.f7517d.clear();
        }

        /* access modifiers changed from: package-private */
        public void d(@NonNull o oVar) {
            int g = g();
            int f2 = f();
            if (i(g, f2)) {
                oVar.f(g, f2);
                return;
            }
            if (!this.f7517d.contains(oVar)) {
                this.f7517d.add(oVar);
            }
            if (this.f == null) {
                ViewTreeObserver viewTreeObserver = this.f7516c.getViewTreeObserver();
                a aVar = new a(this);
                this.f = aVar;
                viewTreeObserver.addOnPreDrawListener(aVar);
            }
        }

        /* access modifiers changed from: package-private */
        public void k(@NonNull o oVar) {
            this.f7517d.remove(oVar);
        }
    }

    public f(@NonNull T t) {
        this.J0 = (T) ((View) k.d(t));
        this.I0 = new b(t);
    }

    @Nullable
    private Object g() {
        return this.J0.getTag(f7512b);
    }

    private void m() {
        View.OnAttachStateChangeListener onAttachStateChangeListener = this.K0;
        if (onAttachStateChangeListener != null && !this.M0) {
            this.J0.addOnAttachStateChangeListener(onAttachStateChangeListener);
            this.M0 = true;
        }
    }

    private void n() {
        View.OnAttachStateChangeListener onAttachStateChangeListener = this.K0;
        if (onAttachStateChangeListener != null && this.M0) {
            this.J0.removeOnAttachStateChangeListener(onAttachStateChangeListener);
            this.M0 = false;
        }
    }

    private void t(@Nullable Object obj) {
        this.J0.setTag(f7512b, obj);
    }

    @Override // com.bumptech.glide.manager.i
    public void a() {
    }

    @Override // com.bumptech.glide.manager.i
    public void b() {
    }

    @Override // com.bumptech.glide.request.k.p
    @Nullable
    public final d c() {
        Object g = g();
        if (g == null) {
            return null;
        }
        if (g instanceof d) {
            return (d) g;
        }
        throw new IllegalArgumentException("You must not pass non-R.id ids to setTag(id)");
    }

    @Override // com.bumptech.glide.request.k.p
    public final void d(@NonNull o oVar) {
        this.I0.k(oVar);
    }

    @NonNull
    public final f<T, Z> f() {
        if (this.K0 != null) {
            return this;
        }
        this.K0 = new a();
        m();
        return this;
    }

    @NonNull
    public final T h() {
        return this.J0;
    }

    @Override // com.bumptech.glide.request.k.p
    public final void i(@Nullable d dVar) {
        t(dVar);
    }

    @Override // com.bumptech.glide.request.k.p
    public final void k(@Nullable Drawable drawable) {
        m();
        q(drawable);
    }

    @Override // com.bumptech.glide.request.k.p
    public final void l(@Nullable Drawable drawable) {
        this.I0.b();
        p(drawable);
        if (!this.L0) {
            n();
        }
    }

    @Override // com.bumptech.glide.request.k.p
    public final void o(@NonNull o oVar) {
        this.I0.d(oVar);
    }

    @Override // com.bumptech.glide.manager.i
    public void onStop() {
    }

    /* access modifiers changed from: protected */
    public abstract void p(@Nullable Drawable drawable);

    /* access modifiers changed from: protected */
    public void q(@Nullable Drawable drawable) {
    }

    /* access modifiers changed from: package-private */
    public final void r() {
        d c2 = c();
        if (c2 != null) {
            this.L0 = true;
            c2.clear();
            this.L0 = false;
        }
    }

    /* access modifiers changed from: package-private */
    public final void s() {
        d c2 = c();
        if (c2 != null && c2.g()) {
            c2.d();
        }
    }

    public String toString() {
        return "Target for: " + this.J0;
    }

    @Deprecated
    public final f<T, Z> u(@IdRes int i) {
        return this;
    }

    @NonNull
    public final f<T, Z> v() {
        this.I0.f7518e = true;
        return this;
    }
}
