package com.bumptech.glide.request.k;

import android.content.Context;
import android.graphics.Point;
import android.graphics.drawable.Drawable;
import android.util.Log;
import android.view.Display;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.WindowManager;
import androidx.annotation.CallSuper;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import com.bumptech.glide.R;
import com.bumptech.glide.request.d;
import com.bumptech.glide.util.k;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

@Deprecated
/* compiled from: ViewTarget */
public abstract class r<T extends View, Z> extends b<Z> {
    private static boolean I0 = false;
    private static int J0 = R.id.glide_custom_view_target_tag;

    /* renamed from: b  reason: collision with root package name */
    private static final String f7529b = "ViewTarget";
    protected final T K0;
    private final b L0;
    @Nullable
    private View.OnAttachStateChangeListener M0;
    private boolean N0;
    private boolean O0;

    /* compiled from: ViewTarget */
    class a implements View.OnAttachStateChangeListener {
        a() {
        }

        public void onViewAttachedToWindow(View view) {
            r.this.r();
        }

        public void onViewDetachedFromWindow(View view) {
            r.this.q();
        }
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    /* compiled from: ViewTarget */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        private static final int f7531a = 0;
        @Nullable
        @VisibleForTesting

        /* renamed from: b  reason: collision with root package name */
        static Integer f7532b;

        /* renamed from: c  reason: collision with root package name */
        private final View f7533c;

        /* renamed from: d  reason: collision with root package name */
        private final List<o> f7534d = new ArrayList();

        /* renamed from: e  reason: collision with root package name */
        boolean f7535e;
        @Nullable
        private a f;

        /* access modifiers changed from: private */
        /* compiled from: ViewTarget */
        public static final class a implements ViewTreeObserver.OnPreDrawListener {

            /* renamed from: a  reason: collision with root package name */
            private final WeakReference<b> f7536a;

            a(@NonNull b bVar) {
                this.f7536a = new WeakReference<>(bVar);
            }

            public boolean onPreDraw() {
                if (Log.isLoggable(r.f7529b, 2)) {
                    Log.v(r.f7529b, "OnGlobalLayoutListener called attachStateListener=" + this);
                }
                b bVar = this.f7536a.get();
                if (bVar == null) {
                    return true;
                }
                bVar.a();
                return true;
            }
        }

        b(@NonNull View view) {
            this.f7533c = view;
        }

        private static int c(@NonNull Context context) {
            if (f7532b == null) {
                Display defaultDisplay = ((WindowManager) k.d((WindowManager) context.getSystemService("window"))).getDefaultDisplay();
                Point point = new Point();
                defaultDisplay.getSize(point);
                f7532b = Integer.valueOf(Math.max(point.x, point.y));
            }
            return f7532b.intValue();
        }

        private int e(int i, int i2, int i3) {
            int i4 = i2 - i3;
            if (i4 > 0) {
                return i4;
            }
            if (this.f7535e && this.f7533c.isLayoutRequested()) {
                return 0;
            }
            int i5 = i - i3;
            if (i5 > 0) {
                return i5;
            }
            if (this.f7533c.isLayoutRequested() || i2 != -2) {
                return 0;
            }
            if (Log.isLoggable(r.f7529b, 4)) {
                Log.i(r.f7529b, "Glide treats LayoutParams.WRAP_CONTENT as a request for an image the size of this device's screen dimensions. If you want to load the original image and are ok with the corresponding memory cost and OOMs (depending on the input size), use override(Target.SIZE_ORIGINAL). Otherwise, use LayoutParams.MATCH_PARENT, set layout_width and layout_height to fixed dimension, or use .override() with fixed dimensions.");
            }
            return c(this.f7533c.getContext());
        }

        private int f() {
            int paddingTop = this.f7533c.getPaddingTop() + this.f7533c.getPaddingBottom();
            ViewGroup.LayoutParams layoutParams = this.f7533c.getLayoutParams();
            return e(this.f7533c.getHeight(), layoutParams != null ? layoutParams.height : 0, paddingTop);
        }

        private int g() {
            int paddingLeft = this.f7533c.getPaddingLeft() + this.f7533c.getPaddingRight();
            ViewGroup.LayoutParams layoutParams = this.f7533c.getLayoutParams();
            return e(this.f7533c.getWidth(), layoutParams != null ? layoutParams.width : 0, paddingLeft);
        }

        private boolean h(int i) {
            return i > 0 || i == Integer.MIN_VALUE;
        }

        private boolean i(int i, int i2) {
            return h(i) && h(i2);
        }

        private void j(int i, int i2) {
            Iterator it = new ArrayList(this.f7534d).iterator();
            while (it.hasNext()) {
                ((o) it.next()).f(i, i2);
            }
        }

        /* access modifiers changed from: package-private */
        public void a() {
            if (!this.f7534d.isEmpty()) {
                int g = g();
                int f2 = f();
                if (i(g, f2)) {
                    j(g, f2);
                    b();
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void b() {
            ViewTreeObserver viewTreeObserver = this.f7533c.getViewTreeObserver();
            if (viewTreeObserver.isAlive()) {
                viewTreeObserver.removeOnPreDrawListener(this.f);
            }
            this.f = null;
            this.f7534d.clear();
        }

        /* access modifiers changed from: package-private */
        public void d(@NonNull o oVar) {
            int g = g();
            int f2 = f();
            if (i(g, f2)) {
                oVar.f(g, f2);
                return;
            }
            if (!this.f7534d.contains(oVar)) {
                this.f7534d.add(oVar);
            }
            if (this.f == null) {
                ViewTreeObserver viewTreeObserver = this.f7533c.getViewTreeObserver();
                a aVar = new a(this);
                this.f = aVar;
                viewTreeObserver.addOnPreDrawListener(aVar);
            }
        }

        /* access modifiers changed from: package-private */
        public void k(@NonNull o oVar) {
            this.f7534d.remove(oVar);
        }
    }

    public r(@NonNull T t) {
        this.K0 = (T) ((View) k.d(t));
        this.L0 = new b(t);
    }

    @Nullable
    private Object m() {
        return this.K0.getTag(J0);
    }

    private void n() {
        View.OnAttachStateChangeListener onAttachStateChangeListener = this.M0;
        if (onAttachStateChangeListener != null && !this.O0) {
            this.K0.addOnAttachStateChangeListener(onAttachStateChangeListener);
            this.O0 = true;
        }
    }

    private void p() {
        View.OnAttachStateChangeListener onAttachStateChangeListener = this.M0;
        if (onAttachStateChangeListener != null && this.O0) {
            this.K0.removeOnAttachStateChangeListener(onAttachStateChangeListener);
            this.O0 = false;
        }
    }

    private void s(@Nullable Object obj) {
        I0 = true;
        this.K0.setTag(J0, obj);
    }

    @Deprecated
    public static void t(int i) {
        if (!I0) {
            J0 = i;
            return;
        }
        throw new IllegalArgumentException("You cannot set the tag id more than once or change the tag id after the first request has been made");
    }

    @Override // com.bumptech.glide.request.k.b, com.bumptech.glide.request.k.p
    @Nullable
    public d c() {
        Object m = m();
        if (m == null) {
            return null;
        }
        if (m instanceof d) {
            return (d) m;
        }
        throw new IllegalArgumentException("You must not call setTag() on a view Glide is targeting");
    }

    @Override // com.bumptech.glide.request.k.p
    @CallSuper
    public void d(@NonNull o oVar) {
        this.L0.k(oVar);
    }

    @NonNull
    public T getView() {
        return this.K0;
    }

    @NonNull
    public final r<T, Z> h() {
        if (this.M0 != null) {
            return this;
        }
        this.M0 = new a();
        n();
        return this;
    }

    @Override // com.bumptech.glide.request.k.b, com.bumptech.glide.request.k.p
    public void i(@Nullable d dVar) {
        s(dVar);
    }

    @Override // com.bumptech.glide.request.k.b, com.bumptech.glide.request.k.p
    @CallSuper
    public void k(@Nullable Drawable drawable) {
        super.k(drawable);
        n();
    }

    @Override // com.bumptech.glide.request.k.b, com.bumptech.glide.request.k.p
    @CallSuper
    public void l(@Nullable Drawable drawable) {
        super.l(drawable);
        this.L0.b();
        if (!this.N0) {
            p();
        }
    }

    @Override // com.bumptech.glide.request.k.p
    @CallSuper
    public void o(@NonNull o oVar) {
        this.L0.d(oVar);
    }

    /* access modifiers changed from: package-private */
    public void q() {
        d c2 = c();
        if (c2 != null) {
            this.N0 = true;
            c2.clear();
            this.N0 = false;
        }
    }

    /* access modifiers changed from: package-private */
    public void r() {
        d c2 = c();
        if (c2 != null && c2.g()) {
            c2.d();
        }
    }

    public String toString() {
        return "Target for: " + this.K0;
    }

    @NonNull
    public final r<T, Z> u() {
        this.L0.f7535e = true;
        return this;
    }

    @Deprecated
    public r(@NonNull T t, boolean z) {
        this(t);
        if (z) {
            u();
        }
    }
}
