package com.bumptech.glide.util;

import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;

/* compiled from: ContentLengthInputStream */
public final class c extends FilterInputStream {

    /* renamed from: a  reason: collision with root package name */
    private static final String f7565a = "ContentLengthStream";

    /* renamed from: b  reason: collision with root package name */
    private static final int f7566b = -1;
    private final long I0;
    private int J0;

    private c(@NonNull InputStream inputStream, long j) {
        super(inputStream);
        this.I0 = j;
    }

    private int a(int i) throws IOException {
        if (i >= 0) {
            this.J0 += i;
        } else if (this.I0 - ((long) this.J0) > 0) {
            throw new IOException("Failed to read all expected data, expected: " + this.I0 + ", but read: " + this.J0);
        }
        return i;
    }

    @NonNull
    public static InputStream c(@NonNull InputStream inputStream, long j) {
        return new c(inputStream, j);
    }

    @NonNull
    public static InputStream d(@NonNull InputStream inputStream, @Nullable String str) {
        return c(inputStream, (long) h(str));
    }

    private static int h(@Nullable String str) {
        if (!TextUtils.isEmpty(str)) {
            try {
                return Integer.parseInt(str);
            } catch (NumberFormatException e2) {
                if (Log.isLoggable(f7565a, 3)) {
                    Log.d(f7565a, "failed to parse content length header: " + str, e2);
                }
            }
        }
        return -1;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int available() throws IOException {
        return (int) Math.max(this.I0 - ((long) this.J0), (long) ((FilterInputStream) this).in.available());
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int read() throws IOException {
        int read;
        read = super.read();
        a(read >= 0 ? 1 : -1);
        return read;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public int read(byte[] bArr) throws IOException {
        return read(bArr, 0, bArr.length);
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int read(byte[] bArr, int i, int i2) throws IOException {
        return a(super.read(bArr, i, i2));
    }
}
