package com.chad.library.adapter.base.w;

import android.util.SparseIntArray;
import androidx.annotation.LayoutRes;
import androidx.exifinterface.media.ExifInterface;
import com.ibm.icu.text.DateFormat;
import com.niming.weipa.utils.x0.b;
import java.util.List;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;

@Metadata(bv = {1, 0, 3}, d1 = {"\u0000:\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0000\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0002\b\u0003\n\u0002\u0010 \n\u0002\b\u0007\n\u0002\u0010\u0015\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0006\b&\u0018\u0000*\u0004\b\u0000\u0010\u00012\u00020\u0002B\u0011\u0012\b\b\u0002\u0010\u001f\u001a\u00020\u001d¢\u0006\u0004\b!\u0010\"J!\u0010\u0007\u001a\u00020\u00062\u0006\u0010\u0004\u001a\u00020\u00032\b\b\u0001\u0010\u0005\u001a\u00020\u0003H\u0002¢\u0006\u0004\b\u0007\u0010\bJ\u0017\u0010\u000b\u001a\u00020\u00062\u0006\u0010\n\u001a\u00020\tH\u0002¢\u0006\u0004\b\u000b\u0010\fJ%\u0010\u0010\u001a\u00020\u00032\f\u0010\u000e\u001a\b\u0012\u0004\u0012\u00028\u00000\r2\u0006\u0010\u000f\u001a\u00020\u0003H&¢\u0006\u0004\b\u0010\u0010\u0011J\u0015\u0010\u0013\u001a\u00020\u00032\u0006\u0010\u0012\u001a\u00020\u0003¢\u0006\u0004\b\u0013\u0010\u0014J!\u0010\u0017\u001a\b\u0012\u0004\u0012\u00028\u00000\u00002\f\b\u0001\u0010\u0016\u001a\u00020\u0015\"\u00020\u0003¢\u0006\u0004\b\u0017\u0010\u0018J%\u0010\u0019\u001a\b\u0012\u0004\u0012\u00028\u00000\u00002\u0006\u0010\u0004\u001a\u00020\u00032\b\b\u0001\u0010\u0005\u001a\u00020\u0003¢\u0006\u0004\b\u0019\u0010\u001aR\u0016\u0010\u001c\u001a\u00020\t8\u0002@\u0002X\u000e¢\u0006\u0006\n\u0004\b\u0017\u0010\u001bR\u0016\u0010\u001f\u001a\u00020\u001d8\u0002@\u0002X\u000e¢\u0006\u0006\n\u0004\b\u000b\u0010\u001eR\u0016\u0010 \u001a\u00020\t8\u0002@\u0002X\u000e¢\u0006\u0006\n\u0004\b\u0019\u0010\u001b¨\u0006#"}, d2 = {"Lcom/chad/library/adapter/base/w/a;", ExifInterface.I4, "", "", "type", "layoutResId", "", "f", "(II)V", "", "mode", "c", "(Z)V", "", "data", "position", DateFormat.DAY, "(Ljava/util/List;I)I", "viewType", "e", "(I)I", "", "layoutResIds", b.f20637a, "([I)Lcom/chad/library/adapter/base/w/a;", "a", "(II)Lcom/chad/library/adapter/base/w/a;", "Z", "selfMode", "Landroid/util/SparseIntArray;", "Landroid/util/SparseIntArray;", "layouts", "autoMode", "<init>", "(Landroid/util/SparseIntArray;)V", "com.github.CymChad.brvah"}, k = 1, mv = {1, 4, 0})
/* compiled from: BaseMultiTypeDelegate.kt */
public abstract class a<T> {

    /* renamed from: a  reason: collision with root package name */
    private boolean f7687a;

    /* renamed from: b  reason: collision with root package name */
    private boolean f7688b;

    /* renamed from: c  reason: collision with root package name */
    private SparseIntArray f7689c;

    public a() {
        this(null, 1, null);
    }

    public a(@NotNull SparseIntArray sparseIntArray) {
        Intrinsics.checkParameterIsNotNull(sparseIntArray, "layouts");
        this.f7689c = sparseIntArray;
    }

    private final void c(boolean z) {
        if (!(!z)) {
            throw new IllegalArgumentException("Don't mess two register mode".toString());
        }
    }

    private final void f(int i, @LayoutRes int i2) {
        this.f7689c.put(i, i2);
    }

    @NotNull
    public final a<T> a(int i, @LayoutRes int i2) {
        this.f7688b = true;
        c(this.f7687a);
        f(i, i2);
        return this;
    }

    @NotNull
    public final a<T> b(@LayoutRes @NotNull int... iArr) {
        Intrinsics.checkParameterIsNotNull(iArr, "layoutResIds");
        this.f7687a = true;
        c(this.f7688b);
        int length = iArr.length;
        for (int i = 0; i < length; i++) {
            f(i, iArr[i]);
        }
        return this;
    }

    public abstract int d(@NotNull List<? extends T> list, int i);

    public final int e(int i) {
        int i2 = this.f7689c.get(i);
        if (i2 != 0) {
            return i2;
        }
        throw new IllegalArgumentException(("ViewType: " + i + " found layoutResId，please use registerItemType() first!").toString());
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public /* synthetic */ a(SparseIntArray sparseIntArray, int i, DefaultConstructorMarker defaultConstructorMarker) {
        this((i & 1) != 0 ? new SparseIntArray() : sparseIntArray);
    }
}
