package com.danikula.videocache;

import android.content.Context;
import android.net.Uri;
import com.danikula.videocache.t.f;
import com.danikula.videocache.t.g;
import com.danikula.videocache.t.h;
import java.io.File;
import java.io.IOException;
import java.net.InetAddress;
import java.net.ServerSocket;
import java.net.Socket;
import java.net.SocketException;
import java.util.Locale;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/* compiled from: HttpProxyCacheServer */
public class i {

    /* renamed from: a  reason: collision with root package name */
    private static final String f7737a = "127.0.0.1";

    /* renamed from: b  reason: collision with root package name */
    private final Object f7738b;

    /* renamed from: c  reason: collision with root package name */
    private final ExecutorService f7739c;

    /* renamed from: d  reason: collision with root package name */
    private final Map<String, j> f7740d;

    /* renamed from: e  reason: collision with root package name */
    private final ServerSocket f7741e;
    private final int f;
    private final Thread g;
    private final e h;
    private final m i;

    /* compiled from: HttpProxyCacheServer */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        private static final long f7742a = 536870912;

        /* renamed from: b  reason: collision with root package name */
        private File f7743b;

        /* renamed from: c  reason: collision with root package name */
        private com.danikula.videocache.t.c f7744c = new f();

        /* renamed from: d  reason: collision with root package name */
        private com.danikula.videocache.t.a f7745d = new h(536870912);

        /* renamed from: e  reason: collision with root package name */
        private com.danikula.videocache.v.c f7746e;
        private com.danikula.videocache.u.b f = new com.danikula.videocache.u.a();

        public b(Context context) {
            this.f7746e = com.danikula.videocache.v.d.b(context);
            this.f7743b = s.c(context);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private e c() {
            return new e(this.f7743b, this.f7744c, this.f7745d, this.f7746e, this.f);
        }

        public i b() {
            return new i(c());
        }

        public b d(File file) {
            this.f7743b = (File) n.d(file);
            return this;
        }

        public b e(com.danikula.videocache.t.a aVar) {
            this.f7745d = (com.danikula.videocache.t.a) n.d(aVar);
            return this;
        }

        public b f(com.danikula.videocache.t.c cVar) {
            this.f7744c = (com.danikula.videocache.t.c) n.d(cVar);
            return this;
        }

        public b g(com.danikula.videocache.u.b bVar) {
            this.f = (com.danikula.videocache.u.b) n.d(bVar);
            return this;
        }

        public b h(int i) {
            this.f7745d = new g(i);
            return this;
        }

        public b i(long j) {
            this.f7745d = new h(j);
            return this;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: HttpProxyCacheServer */
    public final class c implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        private final Socket f7747a;

        public c(Socket socket) {
            this.f7747a = socket;
        }

        public void run() {
            i.this.o(this.f7747a);
        }
    }

    /* compiled from: HttpProxyCacheServer */
    private final class d implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        private final CountDownLatch f7749a;

        public d(CountDownLatch countDownLatch) {
            this.f7749a = countDownLatch;
        }

        public void run() {
            this.f7749a.countDown();
            i.this.w();
        }
    }

    private String c(String str) {
        return String.format(Locale.US, "http://%s:%d/%s", f7737a, Integer.valueOf(this.f), p.f(str));
    }

    private void d(Socket socket) {
        try {
            if (!socket.isClosed()) {
                socket.close();
            }
        } catch (IOException unused) {
        }
    }

    private void e(Socket socket) {
        try {
            if (!socket.isInputShutdown()) {
                socket.shutdownInput();
            }
        } catch (IOException | SocketException unused) {
        }
    }

    private void f(Socket socket) {
        try {
            if (!socket.isOutputShutdown()) {
                socket.shutdownOutput();
            }
        } catch (IOException e2) {
            h.k("Failed to close socket on proxy side: {}. It seems client have already closed connection.", e2.getMessage());
        }
    }

    private File g(String str) {
        e eVar = this.h;
        return new File(eVar.f7725a, eVar.f7726b.a(str));
    }

    private j h(String str) throws ProxyCacheException {
        j jVar;
        synchronized (this.f7738b) {
            jVar = this.f7740d.get(str);
            if (jVar == null) {
                jVar = new j(str, this.h);
                this.f7740d.put(str, jVar);
            }
        }
        return jVar;
    }

    private int i() {
        int i2;
        synchronized (this.f7738b) {
            i2 = 0;
            for (j jVar : this.f7740d.values()) {
                i2 += jVar.b();
            }
        }
        return i2;
    }

    private boolean l() {
        return this.i.e(3, 70);
    }

    private void n(Throwable th) {
        h.g("HttpProxyCacheServer error", th.getMessage());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void o(Socket socket) {
        StringBuilder sb;
        try {
            f c2 = f.c(socket.getInputStream());
            String e2 = p.e(c2.f7732c);
            if (this.i.d(e2)) {
                this.i.g(socket);
            } else {
                h(e2).d(c2, socket);
            }
            q(socket);
            sb = new StringBuilder();
        } catch (SocketException unused) {
            q(socket);
            sb = new StringBuilder();
        } catch (ProxyCacheException | IOException e3) {
            n(new ProxyCacheException("Error processing request", e3));
            q(socket);
            sb = new StringBuilder();
        } catch (Throwable th) {
            q(socket);
            h.h("Opened connections: " + i());
            throw th;
        }
        sb.append("Opened connections: ");
        sb.append(i());
        h.h(sb.toString());
    }

    private void q(Socket socket) {
        e(socket);
        f(socket);
        d(socket);
    }

    private void s() {
        synchronized (this.f7738b) {
            for (j jVar : this.f7740d.values()) {
                jVar.f();
            }
            this.f7740d.clear();
        }
    }

    private void t(File file) {
        try {
            this.h.f7727c.a(file);
        } catch (IOException e2) {
            h.f("Error touching file " + file, e2);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void w() {
        while (!Thread.currentThread().isInterrupted()) {
            try {
                this.f7739c.submit(new c(this.f7741e.accept()));
            } catch (IOException e2) {
                n(new ProxyCacheException("Error during waiting connection", e2));
                return;
            }
        }
    }

    public String j(String str) {
        return k(str, true);
    }

    public String k(String str, boolean z) {
        if (!z || !m(str)) {
            return l() ? c(str) : str;
        }
        File g2 = g(str);
        t(g2);
        return Uri.fromFile(g2).toString();
    }

    public boolean m(String str) {
        n.e(str, "Url can't be null!");
        return g(str).exists();
    }

    public void p(d dVar, String str) {
        n.a(dVar, str);
        synchronized (this.f7738b) {
            try {
                h(str).e(dVar);
            } catch (ProxyCacheException e2) {
                h.k("Error registering cache listener", e2.getMessage());
            }
        }
    }

    public void r() {
        h.h("Shutdown proxy server");
        s();
        this.h.f7728d.release();
        this.g.interrupt();
        try {
            if (!this.f7741e.isClosed()) {
                this.f7741e.close();
            }
        } catch (IOException e2) {
            n(new ProxyCacheException("Error shutting down proxy server", e2));
        }
    }

    public void u(d dVar) {
        n.d(dVar);
        synchronized (this.f7738b) {
            for (j jVar : this.f7740d.values()) {
                jVar.h(dVar);
            }
        }
    }

    public void v(d dVar, String str) {
        n.a(dVar, str);
        synchronized (this.f7738b) {
            try {
                h(str).h(dVar);
            } catch (ProxyCacheException e2) {
                h.k("Error registering cache listener", e2.getMessage());
            }
        }
    }

    public i(Context context) {
        this(new b(context).c());
    }

    private i(e eVar) {
        this.f7738b = new Object();
        this.f7739c = Executors.newFixedThreadPool(8);
        this.f7740d = new ConcurrentHashMap();
        this.h = (e) n.d(eVar);
        try {
            ServerSocket serverSocket = new ServerSocket(0, 8, InetAddress.getByName(f7737a));
            this.f7741e = serverSocket;
            int localPort = serverSocket.getLocalPort();
            this.f = localPort;
            l.a(f7737a, localPort);
            CountDownLatch countDownLatch = new CountDownLatch(1);
            Thread thread = new Thread(new d(countDownLatch));
            this.g = thread;
            thread.start();
            countDownLatch.await();
            this.i = new m(f7737a, localPort);
            h.h("Proxy cache server started. Is it alive? " + l());
        } catch (IOException | InterruptedException e2) {
            this.f7739c.shutdown();
            throw new IllegalStateException("Error starting local proxy server", e2);
        }
    }
}
