package com.danikula.videocache;

import android.text.TextUtils;
import com.alipay.sdk.util.g;
import com.danikula.videocache.u.a;
import com.danikula.videocache.u.b;
import com.danikula.videocache.v.c;
import com.danikula.videocache.v.d;
import com.ibm.icu.impl.locale.f;
import com.lzy.okgo.model.HttpHeaders;
import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InterruptedIOException;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Map;

/* compiled from: HttpUrlSource */
public class k implements q {

    /* renamed from: a  reason: collision with root package name */
    private static final int f7758a = 5;

    /* renamed from: b  reason: collision with root package name */
    private final c f7759b;

    /* renamed from: c  reason: collision with root package name */
    private final b f7760c;

    /* renamed from: d  reason: collision with root package name */
    private r f7761d;

    /* renamed from: e  reason: collision with root package name */
    private HttpURLConnection f7762e;
    private InputStream f;

    public k(String str) {
        this(str, d.a());
    }

    /* JADX WARNING: Removed duplicated region for block: B:19:0x005a  */
    /* JADX WARNING: Removed duplicated region for block: B:22:? A[RETURN, SYNTHETIC] */
    private void b() throws ProxyCacheException {
        Throwable th;
        HttpURLConnection httpURLConnection;
        IOException e2;
        InputStream inputStream = null;
        try {
            httpURLConnection = g(0, 10000);
            try {
                long c2 = c(httpURLConnection);
                String contentType = httpURLConnection.getContentType();
                inputStream = httpURLConnection.getInputStream();
                r rVar = new r(this.f7761d.f7781a, c2, contentType);
                this.f7761d = rVar;
                this.f7759b.a(rVar.f7781a, rVar);
                p.c(inputStream);
            } catch (IOException e3) {
                e2 = e3;
                try {
                    h.f("Error fetching info from " + this.f7761d.f7781a, e2);
                    p.c(inputStream);
                    if (httpURLConnection == null) {
                        return;
                    }
                    httpURLConnection.disconnect();
                } catch (Throwable th2) {
                    th = th2;
                    p.c(inputStream);
                    if (httpURLConnection != null) {
                        httpURLConnection.disconnect();
                    }
                    throw th;
                }
            }
        } catch (IOException e4) {
            e2 = e4;
            httpURLConnection = null;
            h.f("Error fetching info from " + this.f7761d.f7781a, e2);
            p.c(inputStream);
            if (httpURLConnection == null) {
            }
            httpURLConnection.disconnect();
        } catch (Throwable th3) {
            th = th3;
            httpURLConnection = null;
            p.c(inputStream);
            if (httpURLConnection != null) {
            }
            throw th;
        }
        httpURLConnection.disconnect();
    }

    private long c(HttpURLConnection httpURLConnection) {
        String headerField = httpURLConnection.getHeaderField(HttpHeaders.HEAD_KEY_CONTENT_LENGTH);
        if (headerField == null) {
            return -1;
        }
        return Long.parseLong(headerField);
    }

    private void f(HttpURLConnection httpURLConnection, String str) {
        Map<String, String> a2 = this.f7760c.a(str);
        if (a2 != null) {
            h.e("****** injectCustomHeaders ****** :" + a2.size());
            for (Map.Entry<String, String> entry : a2.entrySet()) {
                httpURLConnection.setRequestProperty(entry.getKey(), entry.getValue());
            }
        }
    }

    private HttpURLConnection g(long j, int i) throws IOException, ProxyCacheException {
        HttpURLConnection httpURLConnection;
        boolean z;
        String str = this.f7761d.f7781a;
        int i2 = 0;
        do {
            httpURLConnection = (HttpURLConnection) new URL(str).openConnection();
            f(httpURLConnection, str);
            if (j > 0) {
                httpURLConnection.setRequestProperty(HttpHeaders.HEAD_KEY_RANGE, "bytes=" + j + f.f14027b);
            }
            if (i > 0) {
                httpURLConnection.setConnectTimeout(i);
                httpURLConnection.setReadTimeout(i);
            }
            int responseCode = httpURLConnection.getResponseCode();
            z = responseCode == 301 || responseCode == 302 || responseCode == 303;
            if (z) {
                str = httpURLConnection.getHeaderField(HttpHeaders.HEAD_KEY_LOCATION);
                i2++;
                httpURLConnection.disconnect();
            }
            if (i2 > 5) {
                throw new ProxyCacheException("Too many redirects: " + i2);
            }
        } while (z);
        return httpURLConnection;
    }

    private long h(HttpURLConnection httpURLConnection, long j, int i) throws IOException {
        long c2 = c(httpURLConnection);
        if (i == 200) {
            return c2;
        }
        if (i == 206) {
            return c2 + j;
        }
        return this.f7761d.f7782b;
    }

    @Override // com.danikula.videocache.q
    public void a(long j) throws ProxyCacheException {
        try {
            HttpURLConnection g = g(j, -1);
            this.f7762e = g;
            String contentType = g.getContentType();
            this.f = new BufferedInputStream(this.f7762e.getInputStream(), 8192);
            HttpURLConnection httpURLConnection = this.f7762e;
            r rVar = new r(this.f7761d.f7781a, h(httpURLConnection, j, httpURLConnection.getResponseCode()), contentType);
            this.f7761d = rVar;
            this.f7759b.a(rVar.f7781a, rVar);
        } catch (IOException e2) {
            throw new ProxyCacheException("Error opening connection for " + this.f7761d.f7781a + " with offset " + j, e2);
        }
    }

    @Override // com.danikula.videocache.q
    public void close() throws ProxyCacheException {
        HttpURLConnection httpURLConnection = this.f7762e;
        if (httpURLConnection != null) {
            try {
                httpURLConnection.disconnect();
            } catch (IllegalArgumentException | NullPointerException e2) {
                throw new RuntimeException("Wait... but why? WTF!? Really shouldn't happen any more after fixing https://github.com/danikula/AndroidVideoCache/issues/43. If you read it on your device log, please, notify me danikula@gmail.com or create issue here https://github.com/danikula/AndroidVideoCache/issues.", e2);
            } catch (ArrayIndexOutOfBoundsException e3) {
                h.f("Error closing connection correctly. Should happen only on Android L. If anybody know how to fix it, please visit https://github.com/danikula/AndroidVideoCache/issues/88. Until good solution is not know, just ignore this issue :(", e3);
            }
        }
    }

    public synchronized String d() throws ProxyCacheException {
        if (TextUtils.isEmpty(this.f7761d.f7783c)) {
            b();
        }
        return this.f7761d.f7783c;
    }

    public String e() {
        return this.f7761d.f7781a;
    }

    @Override // com.danikula.videocache.q
    public synchronized long length() throws ProxyCacheException {
        if (this.f7761d.f7782b == -2147483648L) {
            b();
        }
        return this.f7761d.f7782b;
    }

    @Override // com.danikula.videocache.q
    public int read(byte[] bArr) throws ProxyCacheException {
        InputStream inputStream = this.f;
        if (inputStream != null) {
            try {
                return inputStream.read(bArr, 0, bArr.length);
            } catch (InterruptedIOException e2) {
                throw new InterruptedProxyCacheException("Reading source " + this.f7761d.f7781a + " is interrupted", e2);
            } catch (IOException e3) {
                throw new ProxyCacheException("Error reading data from " + this.f7761d.f7781a, e3);
            }
        } else {
            throw new ProxyCacheException("Error reading data from " + this.f7761d.f7781a + ": connection is absent!");
        }
    }

    public String toString() {
        return "HttpUrlSource{sourceInfo='" + this.f7761d + g.f6033d;
    }

    public k(String str, c cVar) {
        this(str, cVar, new a());
    }

    public k(String str, c cVar, b bVar) {
        this.f7759b = (c) n.d(cVar);
        this.f7760c = (b) n.d(bVar);
        r rVar = cVar.get(str);
        this.f7761d = rVar == null ? new r(str, -2147483648L, p.g(str)) : rVar;
    }

    public k(k kVar) {
        this.f7761d = kVar.f7761d;
        this.f7759b = kVar.f7759b;
        this.f7760c = kVar.f7760c;
    }
}
