package com.danikula.videocache.t;

import com.danikula.videocache.ProxyCacheException;
import com.danikula.videocache.c;
import java.io.File;
import java.io.IOException;
import java.io.RandomAccessFile;

/* compiled from: FileCache */
public class b implements c {

    /* renamed from: a  reason: collision with root package name */
    private static final String f7785a = ".download";

    /* renamed from: b  reason: collision with root package name */
    private final a f7786b;

    /* renamed from: c  reason: collision with root package name */
    public File f7787c;

    /* renamed from: d  reason: collision with root package name */
    private RandomAccessFile f7788d;

    public b(File file) throws ProxyCacheException {
        this(file, new i());
    }

    private boolean b(File file) {
        return file.getName().endsWith(f7785a);
    }

    public File a() {
        return this.f7787c;
    }

    @Override // com.danikula.videocache.c
    public synchronized long available() throws ProxyCacheException {
        try {
        } catch (IOException e2) {
            throw new ProxyCacheException("Error reading length of file " + this.f7787c, e2);
        }
        return (long) ((int) this.f7788d.length());
    }

    @Override // com.danikula.videocache.c
    public synchronized void c() throws ProxyCacheException {
        if (!d()) {
            close();
            File file = new File(this.f7787c.getParentFile(), this.f7787c.getName().substring(0, this.f7787c.getName().length() - 9));
            if (this.f7787c.renameTo(file)) {
                this.f7787c = file;
                try {
                    this.f7788d = new RandomAccessFile(this.f7787c, "r");
                    this.f7786b.a(this.f7787c);
                } catch (IOException e2) {
                    throw new ProxyCacheException("Error opening " + this.f7787c + " as disc cache", e2);
                }
            } else {
                throw new ProxyCacheException("Error renaming file " + this.f7787c + " to " + file + " for completion!");
            }
        }
    }

    @Override // com.danikula.videocache.c
    public synchronized void close() throws ProxyCacheException {
        try {
            this.f7788d.close();
            this.f7786b.a(this.f7787c);
        } catch (IOException e2) {
            throw new ProxyCacheException("Error closing file " + this.f7787c, e2);
        }
    }

    @Override // com.danikula.videocache.c
    public synchronized boolean d() {
        return !b(this.f7787c);
    }

    @Override // com.danikula.videocache.c
    public synchronized void e(byte[] bArr, int i) throws ProxyCacheException {
        try {
            if (!d()) {
                this.f7788d.seek(available());
                this.f7788d.write(bArr, 0, i);
            } else {
                throw new ProxyCacheException("Error append cache: cache file " + this.f7787c + " is completed!");
            }
        } catch (IOException e2) {
            throw new ProxyCacheException(String.format("Error writing %d bytes to %s from buffer with size %d", Integer.valueOf(i), this.f7788d, Integer.valueOf(bArr.length)), e2);
        }
    }

    @Override // com.danikula.videocache.c
    public synchronized int f(byte[] bArr, long j, int i) throws ProxyCacheException {
        try {
            this.f7788d.seek(j);
        } catch (IOException e2) {
            throw new ProxyCacheException(String.format("Error reading %d bytes with offset %d from file[%d bytes] to buffer[%d bytes]", Integer.valueOf(i), Long.valueOf(j), Long.valueOf(available()), Integer.valueOf(bArr.length)), e2);
        }
        return this.f7788d.read(bArr, 0, i);
    }

    public b(File file, a aVar) throws ProxyCacheException {
        File file2;
        if (aVar != null) {
            try {
                this.f7786b = aVar;
                d.b(file.getParentFile());
                boolean exists = file.exists();
                if (exists) {
                    file2 = file;
                } else {
                    File parentFile = file.getParentFile();
                    file2 = new File(parentFile, file.getName() + f7785a);
                }
                this.f7787c = file2;
                this.f7788d = new RandomAccessFile(this.f7787c, exists ? "r" : "rw");
            } catch (IOException e2) {
                throw new ProxyCacheException("Error using file " + file + " as disc cache", e2);
            }
        } else {
            throw new NullPointerException();
        }
    }
}
