package com.flyco.tablayout;

import android.animation.TypeEvaluator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.drawable.GradientDrawable;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.OvershootInterpolator;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.fragment.app.g;
import com.flyco.tablayout.widget.MsgView;
import java.util.ArrayList;

public class CommonTabLayout extends FrameLayout implements ValueAnimator.AnimatorUpdateListener {
    private static final int I0 = 2;
    private static final int J0 = 0;
    private static final int K0 = 1;
    private static final int L0 = 2;

    /* renamed from: a  reason: collision with root package name */
    private static final int f7800a = 0;

    /* renamed from: b  reason: collision with root package name */
    private static final int f7801b = 1;
    private int A1;
    private float B1;
    private float C1;
    private float D1;
    private int E1;
    private ValueAnimator F1;
    private OvershootInterpolator G1;
    private com.flyco.tablayout.c.a H1;
    private boolean I1;
    private Paint J1;
    private SparseArray<Boolean> K1;
    private com.flyco.tablayout.b.b L1;
    private Context M0;
    private b M1;
    private ArrayList<com.flyco.tablayout.b.a> N0;
    private b N1;
    private LinearLayout O0;
    private int P0;
    private int Q0;
    private int R0;
    private Rect S0;
    private GradientDrawable T0;
    private Paint U0;
    private Paint V0;
    private Paint W0;
    private Path X0;
    private int Y0;
    private float Z0;
    private boolean a1;
    private float b1;
    private int c1;
    private float d1;
    private float e1;
    private float f1;
    private float g1;
    private float h1;
    private float i1;
    private float j1;
    private long k1;
    private boolean l1;
    private boolean m1;
    private int n1;
    private int o1;
    private float p1;
    private int q1;
    private int r1;
    private float s1;
    private float t1;
    private float u1;
    private int v1;
    private int w1;
    private int x1;
    private boolean y1;
    private boolean z1;

    /* access modifiers changed from: package-private */
    public class a implements View.OnClickListener {
        a() {
        }

        public void onClick(View view) {
            int intValue = ((Integer) view.getTag()).intValue();
            if (CommonTabLayout.this.P0 != intValue) {
                if (CommonTabLayout.this.L1 != null) {
                    CommonTabLayout.this.L1.b(intValue);
                }
                CommonTabLayout.this.setCurrentTab(intValue);
            } else if (CommonTabLayout.this.L1 != null) {
                CommonTabLayout.this.L1.a(intValue);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class b {

        /* renamed from: a  reason: collision with root package name */
        public float f7803a;

        /* renamed from: b  reason: collision with root package name */
        public float f7804b;

        b() {
        }
    }

    class c implements TypeEvaluator<b> {
        c() {
        }

        /* renamed from: a */
        public b evaluate(float f, b bVar, b bVar2) {
            float f2 = bVar.f7803a;
            float f3 = bVar.f7804b;
            float f4 = f3 + (f * (bVar2.f7804b - f3));
            b bVar3 = new b();
            bVar3.f7803a = f2 + ((bVar2.f7803a - f2) * f);
            bVar3.f7804b = f4;
            return bVar3;
        }
    }

    public CommonTabLayout(Context context) {
        this(context, null, 0);
    }

    private void A(int i) {
        int i2 = 0;
        while (i2 < this.R0) {
            View childAt = this.O0.getChildAt(i2);
            boolean z = i2 == i;
            TextView textView = (TextView) childAt.findViewById(R.id.tv_tab_title);
            textView.setTextColor(z ? this.v1 : this.w1);
            ImageView imageView = (ImageView) childAt.findViewById(R.id.iv_tab_icon);
            com.flyco.tablayout.b.a aVar = this.N0.get(i2);
            imageView.setImageResource(z ? aVar.getTabSelectedIcon() : aVar.getTabUnselectedIcon());
            if (this.x1 == 1) {
                textView.getPaint().setFakeBoldText(z);
            }
            i2++;
        }
    }

    private void B() {
        int i = 0;
        while (i < this.R0) {
            View childAt = this.O0.getChildAt(i);
            float f = this.Z0;
            childAt.setPadding((int) f, 0, (int) f, 0);
            TextView textView = (TextView) childAt.findViewById(R.id.tv_tab_title);
            textView.setTextColor(i == this.P0 ? this.v1 : this.w1);
            textView.setTextSize(0, this.u1);
            if (this.y1) {
                textView.setText(textView.getText().toString().toUpperCase());
            }
            int i2 = this.x1;
            if (i2 == 2) {
                textView.getPaint().setFakeBoldText(true);
            } else if (i2 == 0) {
                textView.getPaint().setFakeBoldText(false);
            }
            ImageView imageView = (ImageView) childAt.findViewById(R.id.iv_tab_icon);
            if (this.z1) {
                imageView.setVisibility(0);
                com.flyco.tablayout.b.a aVar = this.N0.get(i);
                imageView.setImageResource(i == this.P0 ? aVar.getTabSelectedIcon() : aVar.getTabUnselectedIcon());
                float f2 = this.B1;
                int i3 = -2;
                int i4 = f2 <= 0.0f ? -2 : (int) f2;
                float f3 = this.C1;
                if (f3 > 0.0f) {
                    i3 = (int) f3;
                }
                LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(i4, i3);
                int i5 = this.A1;
                if (i5 == 3) {
                    layoutParams.rightMargin = (int) this.D1;
                } else if (i5 == 5) {
                    layoutParams.leftMargin = (int) this.D1;
                } else if (i5 == 80) {
                    layoutParams.topMargin = (int) this.D1;
                } else {
                    layoutParams.bottomMargin = (int) this.D1;
                }
                imageView.setLayoutParams(layoutParams);
            } else {
                imageView.setVisibility(8);
            }
            i++;
        }
    }

    private void c(int i, View view) {
        ((TextView) view.findViewById(R.id.tv_tab_title)).setText(this.N0.get(i).getTabTitle());
        ((ImageView) view.findViewById(R.id.iv_tab_icon)).setImageResource(this.N0.get(i).getTabUnselectedIcon());
        view.setOnClickListener(new a());
        LinearLayout.LayoutParams layoutParams = this.a1 ? new LinearLayout.LayoutParams(0, -1, 1.0f) : new LinearLayout.LayoutParams(-2, -1);
        if (this.b1 > 0.0f) {
            layoutParams = new LinearLayout.LayoutParams((int) this.b1, -1);
        }
        this.O0.addView(view, i, layoutParams);
    }

    private void d() {
        View childAt = this.O0.getChildAt(this.P0);
        Rect rect = this.S0;
        rect.left = (int) ((float) childAt.getLeft());
        rect.right = (int) ((float) childAt.getRight());
        if (this.e1 >= 0.0f) {
            float f = this.e1;
            float left = ((float) childAt.getLeft()) + ((((float) childAt.getWidth()) - f) / 2.0f);
            Rect rect2 = this.S0;
            int i = (int) left;
            rect2.left = i;
            rect2.right = (int) (((float) i) + f);
        }
    }

    private void e() {
        View childAt = this.O0.getChildAt(this.P0);
        this.M1.f7803a = (float) childAt.getLeft();
        this.M1.f7804b = (float) childAt.getRight();
        View childAt2 = this.O0.getChildAt(this.Q0);
        this.N1.f7803a = (float) childAt2.getLeft();
        this.N1.f7804b = (float) childAt2.getRight();
        b bVar = this.N1;
        float f = bVar.f7803a;
        b bVar2 = this.M1;
        if (f == bVar2.f7803a && bVar.f7804b == bVar2.f7804b) {
            invalidate();
            return;
        }
        this.F1.setObjectValues(bVar, bVar2);
        if (this.m1) {
            this.F1.setInterpolator(this.G1);
        }
        if (this.k1 < 0) {
            this.k1 = this.m1 ? 500 : 250;
        }
        this.F1.setDuration(this.k1);
        this.F1.start();
    }

    private void s(Context context, AttributeSet attributeSet) {
        float f;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.CommonTabLayout);
        int i = obtainStyledAttributes.getInt(R.styleable.CommonTabLayout_tl_indicator_style, 0);
        this.Y0 = i;
        this.c1 = obtainStyledAttributes.getColor(R.styleable.CommonTabLayout_tl_indicator_color, Color.parseColor(i == 2 ? "#4B6A87" : "#ffffff"));
        int i2 = R.styleable.CommonTabLayout_tl_indicator_height;
        int i3 = this.Y0;
        if (i3 == 1) {
            f = 4.0f;
        } else {
            f = (float) (i3 == 2 ? -1 : 2);
        }
        this.d1 = obtainStyledAttributes.getDimension(i2, (float) f(f));
        this.e1 = obtainStyledAttributes.getDimension(R.styleable.CommonTabLayout_tl_indicator_width, (float) f(this.Y0 == 1 ? 10.0f : -1.0f));
        this.f1 = obtainStyledAttributes.getDimension(R.styleable.CommonTabLayout_tl_indicator_corner_radius, (float) f(this.Y0 == 2 ? -1.0f : 0.0f));
        this.g1 = obtainStyledAttributes.getDimension(R.styleable.CommonTabLayout_tl_indicator_margin_left, (float) f(0.0f));
        float f2 = 7.0f;
        this.h1 = obtainStyledAttributes.getDimension(R.styleable.CommonTabLayout_tl_indicator_margin_top, (float) f(this.Y0 == 2 ? 7.0f : 0.0f));
        this.i1 = obtainStyledAttributes.getDimension(R.styleable.CommonTabLayout_tl_indicator_margin_right, (float) f(0.0f));
        int i4 = R.styleable.CommonTabLayout_tl_indicator_margin_bottom;
        if (this.Y0 != 2) {
            f2 = 0.0f;
        }
        this.j1 = obtainStyledAttributes.getDimension(i4, (float) f(f2));
        this.l1 = obtainStyledAttributes.getBoolean(R.styleable.CommonTabLayout_tl_indicator_anim_enable, false);
        this.m1 = obtainStyledAttributes.getBoolean(R.styleable.CommonTabLayout_tl_indicator_bounce_enable, true);
        this.k1 = (long) obtainStyledAttributes.getInt(R.styleable.CommonTabLayout_tl_indicator_anim_duration, -1);
        this.n1 = obtainStyledAttributes.getInt(R.styleable.CommonTabLayout_tl_indicator_gravity, 80);
        this.o1 = obtainStyledAttributes.getColor(R.styleable.CommonTabLayout_tl_underline_color, Color.parseColor("#ffffff"));
        this.p1 = obtainStyledAttributes.getDimension(R.styleable.CommonTabLayout_tl_underline_height, (float) f(0.0f));
        this.q1 = obtainStyledAttributes.getInt(R.styleable.CommonTabLayout_tl_underline_gravity, 80);
        this.r1 = obtainStyledAttributes.getColor(R.styleable.CommonTabLayout_tl_divider_color, Color.parseColor("#ffffff"));
        this.s1 = obtainStyledAttributes.getDimension(R.styleable.CommonTabLayout_tl_divider_width, (float) f(0.0f));
        this.t1 = obtainStyledAttributes.getDimension(R.styleable.CommonTabLayout_tl_divider_padding, (float) f(12.0f));
        this.u1 = obtainStyledAttributes.getDimension(R.styleable.CommonTabLayout_tl_textsize, (float) z(13.0f));
        this.v1 = obtainStyledAttributes.getColor(R.styleable.CommonTabLayout_tl_textSelectColor, Color.parseColor("#ffffff"));
        this.w1 = obtainStyledAttributes.getColor(R.styleable.CommonTabLayout_tl_textUnselectColor, Color.parseColor("#AAffffff"));
        this.x1 = obtainStyledAttributes.getInt(R.styleable.CommonTabLayout_tl_textBold, 0);
        this.y1 = obtainStyledAttributes.getBoolean(R.styleable.CommonTabLayout_tl_textAllCaps, false);
        this.z1 = obtainStyledAttributes.getBoolean(R.styleable.CommonTabLayout_tl_iconVisible, true);
        this.A1 = obtainStyledAttributes.getInt(R.styleable.CommonTabLayout_tl_iconGravity, 48);
        this.B1 = obtainStyledAttributes.getDimension(R.styleable.CommonTabLayout_tl_iconWidth, (float) f(0.0f));
        this.C1 = obtainStyledAttributes.getDimension(R.styleable.CommonTabLayout_tl_iconHeight, (float) f(0.0f));
        this.D1 = obtainStyledAttributes.getDimension(R.styleable.CommonTabLayout_tl_iconMargin, (float) f(2.5f));
        this.a1 = obtainStyledAttributes.getBoolean(R.styleable.CommonTabLayout_tl_tab_space_equal, true);
        float dimension = obtainStyledAttributes.getDimension(R.styleable.CommonTabLayout_tl_tab_width, (float) f(-1.0f));
        this.b1 = dimension;
        this.Z0 = obtainStyledAttributes.getDimension(R.styleable.CommonTabLayout_tl_tab_padding, (float) ((this.a1 || dimension > 0.0f) ? f(0.0f) : f(10.0f)));
        obtainStyledAttributes.recycle();
    }

    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        getParent().requestDisallowInterceptTouchEvent(true);
        return super.dispatchTouchEvent(motionEvent);
    }

    /* access modifiers changed from: protected */
    public int f(float f) {
        return (int) ((f * this.M0.getResources().getDisplayMetrics().density) + 0.5f);
    }

    public ImageView g(int i) {
        return (ImageView) this.O0.getChildAt(i).findViewById(R.id.iv_tab_icon);
    }

    public int getCurrentTab() {
        return this.P0;
    }

    public int getDividerColor() {
        return this.r1;
    }

    public float getDividerPadding() {
        return this.t1;
    }

    public float getDividerWidth() {
        return this.s1;
    }

    public int getIconGravity() {
        return this.A1;
    }

    public float getIconHeight() {
        return this.C1;
    }

    public float getIconMargin() {
        return this.D1;
    }

    public float getIconWidth() {
        return this.B1;
    }

    public long getIndicatorAnimDuration() {
        return this.k1;
    }

    public int getIndicatorColor() {
        return this.c1;
    }

    public float getIndicatorCornerRadius() {
        return this.f1;
    }

    public float getIndicatorHeight() {
        return this.d1;
    }

    public float getIndicatorMarginBottom() {
        return this.j1;
    }

    public float getIndicatorMarginLeft() {
        return this.g1;
    }

    public float getIndicatorMarginRight() {
        return this.i1;
    }

    public float getIndicatorMarginTop() {
        return this.h1;
    }

    public int getIndicatorStyle() {
        return this.Y0;
    }

    public float getIndicatorWidth() {
        return this.e1;
    }

    public int getTabCount() {
        return this.R0;
    }

    public float getTabPadding() {
        return this.Z0;
    }

    public float getTabWidth() {
        return this.b1;
    }

    public int getTextBold() {
        return this.x1;
    }

    public int getTextSelectColor() {
        return this.v1;
    }

    public int getTextUnselectColor() {
        return this.w1;
    }

    public float getTextsize() {
        return this.u1;
    }

    public int getUnderlineColor() {
        return this.o1;
    }

    public float getUnderlineHeight() {
        return this.p1;
    }

    public MsgView h(int i) {
        int i2 = this.R0;
        if (i >= i2) {
            i = i2 - 1;
        }
        return (MsgView) this.O0.getChildAt(i).findViewById(R.id.rtv_msg_tip);
    }

    public View i(int i) {
        int i2 = this.R0;
        if (i >= i2) {
            i = i2 - 1;
        }
        return (ImageView) this.O0.getChildAt(i).findViewById(R.id.iv_tab_icon);
    }

    public View j(int i) {
        int i2 = this.R0;
        if (i >= i2) {
            i = i2 - 1;
        }
        return this.O0.getChildAt(i);
    }

    public TextView k(int i) {
        return (TextView) this.O0.getChildAt(i).findViewById(R.id.tv_tab_title);
    }

    public void l(int i) {
        int i2 = this.R0;
        if (i >= i2) {
            i = i2 - 1;
        }
        MsgView msgView = (MsgView) this.O0.getChildAt(i).findViewById(R.id.rtv_msg_tip);
        if (msgView != null) {
            msgView.setVisibility(8);
        }
    }

    public boolean m() {
        return this.z1;
    }

    public boolean n() {
        return this.l1;
    }

    public boolean o() {
        return this.m1;
    }

    public void onAnimationUpdate(ValueAnimator valueAnimator) {
        View childAt = this.O0.getChildAt(this.P0);
        b bVar = (b) valueAnimator.getAnimatedValue();
        Rect rect = this.S0;
        float f = bVar.f7803a;
        rect.left = (int) f;
        rect.right = (int) bVar.f7804b;
        if (this.e1 >= 0.0f) {
            float f2 = this.e1;
            float width = f + ((((float) childAt.getWidth()) - f2) / 2.0f);
            Rect rect2 = this.S0;
            int i = (int) width;
            rect2.left = i;
            rect2.right = (int) (((float) i) + f2);
        }
        invalidate();
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (!isInEditMode() && this.R0 > 0) {
            int height = getHeight();
            int paddingLeft = getPaddingLeft();
            float f = this.s1;
            if (f > 0.0f) {
                this.V0.setStrokeWidth(f);
                this.V0.setColor(this.r1);
                for (int i = 0; i < this.R0 - 1; i++) {
                    View childAt = this.O0.getChildAt(i);
                    canvas.drawLine((float) (childAt.getRight() + paddingLeft), this.t1, (float) (childAt.getRight() + paddingLeft), ((float) height) - this.t1, this.V0);
                }
            }
            if (this.p1 > 0.0f) {
                this.U0.setColor(this.o1);
                if (this.q1 == 80) {
                    float f2 = (float) height;
                    canvas.drawRect((float) paddingLeft, f2 - this.p1, (float) (this.O0.getWidth() + paddingLeft), f2, this.U0);
                } else {
                    canvas.drawRect((float) paddingLeft, 0.0f, (float) (this.O0.getWidth() + paddingLeft), this.p1, this.U0);
                }
            }
            if (!this.l1) {
                d();
            } else if (this.I1) {
                this.I1 = false;
                d();
            }
            int i2 = this.Y0;
            if (i2 == 1) {
                if (this.d1 > 0.0f) {
                    this.W0.setColor(this.c1);
                    this.X0.reset();
                    float f3 = (float) height;
                    this.X0.moveTo((float) (this.S0.left + paddingLeft), f3);
                    Path path = this.X0;
                    Rect rect = this.S0;
                    path.lineTo((float) ((rect.left / 2) + paddingLeft + (rect.right / 2)), f3 - this.d1);
                    this.X0.lineTo((float) (paddingLeft + this.S0.right), f3);
                    this.X0.close();
                    canvas.drawPath(this.X0, this.W0);
                }
            } else if (i2 == 2) {
                if (this.d1 < 0.0f) {
                    this.d1 = (((float) height) - this.h1) - this.j1;
                }
                float f4 = this.d1;
                if (f4 > 0.0f) {
                    float f5 = this.f1;
                    if (f5 < 0.0f || f5 > f4 / 2.0f) {
                        this.f1 = f4 / 2.0f;
                    }
                    this.T0.setColor(this.c1);
                    GradientDrawable gradientDrawable = this.T0;
                    Rect rect2 = this.S0;
                    int i3 = ((int) this.g1) + paddingLeft + rect2.left;
                    float f6 = this.h1;
                    gradientDrawable.setBounds(i3, (int) f6, (int) (((float) (paddingLeft + rect2.right)) - this.i1), (int) (f6 + this.d1));
                    this.T0.setCornerRadius(this.f1);
                    this.T0.draw(canvas);
                }
            } else if (this.d1 > 0.0f) {
                this.T0.setColor(this.c1);
                if (this.n1 == 80) {
                    GradientDrawable gradientDrawable2 = this.T0;
                    Rect rect3 = this.S0;
                    float f7 = this.j1;
                    gradientDrawable2.setBounds(((int) this.g1) + paddingLeft + rect3.left, (height - ((int) this.d1)) - ((int) f7), (paddingLeft + rect3.right) - ((int) this.i1), height - ((int) f7));
                } else {
                    GradientDrawable gradientDrawable3 = this.T0;
                    Rect rect4 = this.S0;
                    int i4 = ((int) this.g1) + paddingLeft + rect4.left;
                    float f8 = this.h1;
                    gradientDrawable3.setBounds(i4, (int) f8, (paddingLeft + rect4.right) - ((int) this.i1), ((int) this.d1) + ((int) f8));
                }
                this.T0.setCornerRadius(this.f1);
                this.T0.draw(canvas);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (parcelable instanceof Bundle) {
            Bundle bundle = (Bundle) parcelable;
            this.P0 = bundle.getInt("mCurrentTab");
            parcelable = bundle.getParcelable("instanceState");
            if (this.P0 != 0 && this.O0.getChildCount() > 0) {
                A(this.P0);
            }
        }
        super.onRestoreInstanceState(parcelable);
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        Bundle bundle = new Bundle();
        bundle.putParcelable("instanceState", super.onSaveInstanceState());
        bundle.putInt("mCurrentTab", this.P0);
        return bundle;
    }

    public boolean p() {
        return this.a1;
    }

    public boolean q() {
        return this.y1;
    }

    public void r() {
        View view;
        this.O0.removeAllViews();
        this.R0 = this.N0.size();
        for (int i = 0; i < this.R0; i++) {
            int i2 = this.A1;
            if (i2 == 3) {
                view = View.inflate(this.M0, R.layout.layout_tab_left, null);
            } else if (i2 == 5) {
                view = View.inflate(this.M0, R.layout.layout_tab_right, null);
            } else if (i2 == 80) {
                view = View.inflate(this.M0, R.layout.layout_tab_bottom, null);
            } else {
                view = View.inflate(this.M0, R.layout.layout_tab_top, null);
            }
            view.setTag(Integer.valueOf(i));
            c(i, view);
        }
        B();
    }

    public void setCurrentTab(int i) {
        this.Q0 = this.P0;
        this.P0 = i;
        A(i);
        com.flyco.tablayout.c.a aVar = this.H1;
        if (aVar != null) {
            aVar.d(i);
        }
        if (this.l1) {
            e();
        } else {
            invalidate();
        }
    }

    public void setDividerColor(int i) {
        this.r1 = i;
        invalidate();
    }

    public void setDividerPadding(float f) {
        this.t1 = (float) f(f);
        invalidate();
    }

    public void setDividerWidth(float f) {
        this.s1 = (float) f(f);
        invalidate();
    }

    public void setIconGravity(int i) {
        this.A1 = i;
        r();
    }

    public void setIconHeight(float f) {
        this.C1 = (float) f(f);
        B();
    }

    public void setIconMargin(float f) {
        this.D1 = (float) f(f);
        B();
    }

    public void setIconVisible(boolean z) {
        this.z1 = z;
        B();
    }

    public void setIconWidth(float f) {
        this.B1 = (float) f(f);
        B();
    }

    public void setIndicatorAnimDuration(long j) {
        this.k1 = j;
    }

    public void setIndicatorAnimEnable(boolean z) {
        this.l1 = z;
    }

    public void setIndicatorBounceEnable(boolean z) {
        this.m1 = z;
    }

    public void setIndicatorColor(int i) {
        this.c1 = i;
        invalidate();
    }

    public void setIndicatorCornerRadius(float f) {
        this.f1 = (float) f(f);
        invalidate();
    }

    public void setIndicatorGravity(int i) {
        this.n1 = i;
        invalidate();
    }

    public void setIndicatorHeight(float f) {
        this.d1 = (float) f(f);
        invalidate();
    }

    public void setIndicatorStyle(int i) {
        this.Y0 = i;
        invalidate();
    }

    public void setIndicatorWidth(float f) {
        this.e1 = (float) f(f);
        invalidate();
    }

    public void setOnTabSelectListener(com.flyco.tablayout.b.b bVar) {
        this.L1 = bVar;
    }

    public void setTabData(ArrayList<com.flyco.tablayout.b.a> arrayList) {
        if (arrayList == null || arrayList.size() == 0) {
            throw new IllegalStateException("TabEntitys can not be NULL or EMPTY !");
        }
        this.N0.clear();
        this.N0.addAll(arrayList);
        r();
    }

    public void setTabPadding(float f) {
        this.Z0 = (float) f(f);
        B();
    }

    public void setTabSpaceEqual(boolean z) {
        this.a1 = z;
        B();
    }

    public void setTabWidth(float f) {
        this.b1 = (float) f(f);
        B();
    }

    public void setTextAllCaps(boolean z) {
        this.y1 = z;
        B();
    }

    public void setTextBold(int i) {
        this.x1 = i;
        B();
    }

    public void setTextSelectColor(int i) {
        this.v1 = i;
        B();
    }

    public void setTextUnselectColor(int i) {
        this.w1 = i;
        B();
    }

    public void setTextsize(float f) {
        this.u1 = (float) z(f);
        B();
    }

    public void setUnderlineColor(int i) {
        this.o1 = i;
        invalidate();
    }

    public void setUnderlineGravity(int i) {
        this.q1 = i;
        invalidate();
    }

    public void setUnderlineHeight(float f) {
        this.p1 = (float) f(f);
        invalidate();
    }

    public void t(float f, float f2, float f3, float f4) {
        this.g1 = (float) f(f);
        this.h1 = (float) f(f2);
        this.i1 = (float) f(f3);
        this.j1 = (float) f(f4);
        invalidate();
    }

    public void u(int i, float f, float f2) {
        int i2 = this.R0;
        if (i >= i2) {
            i = i2 - 1;
        }
        View childAt = this.O0.getChildAt(i);
        MsgView msgView = (MsgView) childAt.findViewById(R.id.rtv_msg_tip);
        if (msgView != null) {
            this.J1.setTextSize(this.u1);
            this.J1.measureText(((TextView) childAt.findViewById(R.id.tv_tab_title)).getText().toString());
            float descent = this.J1.descent() - this.J1.ascent();
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) msgView.getLayoutParams();
            float f3 = this.C1;
            float f4 = 0.0f;
            if (this.z1) {
                if (f3 <= 0.0f) {
                    f3 = (float) this.M0.getResources().getDrawable(this.N0.get(i).getTabSelectedIcon()).getIntrinsicHeight();
                }
                f4 = this.D1;
            }
            int i3 = this.A1;
            if (i3 == 48 || i3 == 80) {
                marginLayoutParams.leftMargin = f(f);
                int i4 = this.E1;
                marginLayoutParams.topMargin = i4 > 0 ? (((int) (((((float) i4) - descent) - f3) - f4)) / 2) - f(f2) : f(f2);
            } else {
                marginLayoutParams.leftMargin = f(f);
                int i5 = this.E1;
                marginLayoutParams.topMargin = i5 > 0 ? (((int) (((float) i5) - Math.max(descent, f3))) / 2) - f(f2) : f(f2);
            }
            msgView.setLayoutParams(marginLayoutParams);
        }
    }

    public void v(ArrayList<com.flyco.tablayout.b.a> arrayList, FragmentActivity fragmentActivity, int i, ArrayList<Fragment> arrayList2) {
        this.H1 = new com.flyco.tablayout.c.a(fragmentActivity.getSupportFragmentManager(), i, arrayList2);
        setTabData(arrayList);
    }

    public void w(ArrayList<com.flyco.tablayout.b.a> arrayList, g gVar, int i, ArrayList<Fragment> arrayList2) {
        this.H1 = new com.flyco.tablayout.c.a(gVar, i, arrayList2);
        setTabData(arrayList);
    }

    public void x(int i) {
        int i2 = this.R0;
        if (i >= i2) {
            i = i2 - 1;
        }
        y(i, 0);
    }

    public void y(int i, int i2) {
        int i3 = this.R0;
        if (i >= i3) {
            i = i3 - 1;
        }
        MsgView msgView = (MsgView) this.O0.getChildAt(i).findViewById(R.id.rtv_msg_tip);
        if (msgView != null) {
            com.flyco.tablayout.c.b.b(msgView, i2);
            if (this.K1.get(i) == null || !this.K1.get(i).booleanValue()) {
                if (!this.z1) {
                    u(i, 2.0f, 2.0f);
                } else {
                    int i4 = this.A1;
                    u(i, 0.0f, (i4 == 3 || i4 == 5) ? 4.0f : 0.0f);
                }
                this.K1.put(i, Boolean.TRUE);
            }
        }
    }

    /* access modifiers changed from: protected */
    public int z(float f) {
        return (int) ((f * this.M0.getResources().getDisplayMetrics().scaledDensity) + 0.5f);
    }

    public CommonTabLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public CommonTabLayout(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.N0 = new ArrayList<>();
        this.S0 = new Rect();
        this.T0 = new GradientDrawable();
        this.U0 = new Paint(1);
        this.V0 = new Paint(1);
        this.W0 = new Paint(1);
        this.X0 = new Path();
        this.Y0 = 0;
        this.G1 = new OvershootInterpolator(1.5f);
        this.I1 = true;
        this.J1 = new Paint(1);
        this.K1 = new SparseArray<>();
        this.M1 = new b();
        this.N1 = new b();
        setWillNotDraw(false);
        setClipChildren(false);
        setClipToPadding(false);
        this.M0 = context;
        LinearLayout linearLayout = new LinearLayout(context);
        this.O0 = linearLayout;
        addView(linearLayout);
        s(context, attributeSet);
        String attributeValue = attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "layout_height");
        if (!attributeValue.equals("-1") && !attributeValue.equals("-2")) {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, new int[]{16842997});
            this.E1 = obtainStyledAttributes.getDimensionPixelSize(0, -2);
            obtainStyledAttributes.recycle();
        }
        ValueAnimator ofObject = ValueAnimator.ofObject(new c(), this.N1, this.M1);
        this.F1 = ofObject;
        ofObject.addUpdateListener(this);
    }
}
