package com.flyco.tablayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.StateListDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.widget.TextView;
import com.flyco.tablayout.R;

public class MsgView extends TextView {
    private int I0;
    private int J0;
    private int K0;
    private int L0;
    private boolean M0;
    private boolean N0;

    /* renamed from: a  reason: collision with root package name */
    private Context f7825a;

    /* renamed from: b  reason: collision with root package name */
    private GradientDrawable f7826b;

    public MsgView(Context context) {
        this(context, null);
    }

    private void d(Context context, AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.MsgView);
        this.I0 = obtainStyledAttributes.getColor(R.styleable.MsgView_mv_backgroundColor, 0);
        this.J0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.MsgView_mv_cornerRadius, 0);
        this.K0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.MsgView_mv_strokeWidth, 0);
        this.L0 = obtainStyledAttributes.getColor(R.styleable.MsgView_mv_strokeColor, 0);
        this.M0 = obtainStyledAttributes.getBoolean(R.styleable.MsgView_mv_isRadiusHalfHeight, false);
        this.N0 = obtainStyledAttributes.getBoolean(R.styleable.MsgView_mv_isWidthHeightEqual, false);
        obtainStyledAttributes.recycle();
    }

    private void f(GradientDrawable gradientDrawable, int i, int i2) {
        gradientDrawable.setColor(i);
        gradientDrawable.setCornerRadius((float) this.J0);
        gradientDrawable.setStroke(this.K0, i2);
    }

    /* access modifiers changed from: protected */
    public int a(float f) {
        return (int) ((f * this.f7825a.getResources().getDisplayMetrics().density) + 0.5f);
    }

    public boolean b() {
        return this.M0;
    }

    public boolean c() {
        return this.N0;
    }

    public void e() {
        StateListDrawable stateListDrawable = new StateListDrawable();
        f(this.f7826b, this.I0, this.L0);
        stateListDrawable.addState(new int[]{-16842919}, this.f7826b);
        if (Build.VERSION.SDK_INT >= 16) {
            setBackground(stateListDrawable);
        } else {
            setBackgroundDrawable(stateListDrawable);
        }
    }

    /* access modifiers changed from: protected */
    public int g(float f) {
        return (int) ((f * this.f7825a.getResources().getDisplayMetrics().scaledDensity) + 0.5f);
    }

    public int getBackgroundColor() {
        return this.I0;
    }

    public int getCornerRadius() {
        return this.J0;
    }

    public int getStrokeColor() {
        return this.L0;
    }

    public int getStrokeWidth() {
        return this.K0;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        if (b()) {
            setCornerRadius(getHeight() / 2);
        } else {
            e();
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        if (!c() || getWidth() <= 0 || getHeight() <= 0) {
            super.onMeasure(i, i2);
            return;
        }
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(Math.max(getWidth(), getHeight()), 1073741824);
        super.onMeasure(makeMeasureSpec, makeMeasureSpec);
    }

    public void setBackgroundColor(int i) {
        this.I0 = i;
        e();
    }

    public void setCornerRadius(int i) {
        this.J0 = a((float) i);
        e();
    }

    public void setIsRadiusHalfHeight(boolean z) {
        this.M0 = z;
        e();
    }

    public void setIsWidthHeightEqual(boolean z) {
        this.N0 = z;
        e();
    }

    public void setStrokeColor(int i) {
        this.L0 = i;
        e();
    }

    public void setStrokeWidth(int i) {
        this.K0 = a((float) i);
        e();
    }

    public MsgView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public MsgView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f7826b = new GradientDrawable();
        this.f7825a = context;
        d(context, attributeSet);
    }
}
