package com.github.anzewei.parallaxbacklayout.widget;

import android.annotation.TargetApi;
import android.app.Activity;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.os.Build;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowInsets;
import android.widget.FrameLayout;
import androidx.annotation.IntDef;
import androidx.core.view.ViewCompat;
import com.github.anzewei.parallaxbacklayout.R;
import com.github.anzewei.parallaxbacklayout.d;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public class ParallaxBackLayout extends FrameLayout {
    private static final float I0 = 0.5f;
    private static final int J0 = 0;
    private static final int K0 = 1;
    public static final int L0 = 1;
    public static final int M0 = 0;
    public static final int N0 = 2;
    public static final int O0 = -1;
    public static final int P0 = 0;
    public static final int Q0 = 1;
    static final /* synthetic */ boolean R0 = false;

    /* renamed from: a  reason: collision with root package name */
    private static final int f7848a = -1728053248;

    /* renamed from: b  reason: collision with root package name */
    private static final int f7849b = 255;
    private float S0 = 0.5f;
    private Activity T0;
    private Rect U0 = new Rect();
    private boolean V0 = true;
    private View W0;
    private com.github.anzewei.parallaxbacklayout.d X0 = com.github.anzewei.parallaxbacklayout.d.q(this, new d());
    private c Y0;
    private com.github.anzewei.parallaxbacklayout.e.b Z0;
    private int a1;
    private int b1 = 1;
    private int c1;
    private int d1 = 1;
    private b e1;
    private Drawable f1;
    private boolean g1;
    private int h1;
    private int i1 = 30;
    private int j1 = -1;

    @IntDef({1, 2, 4, 8})
    @Retention(RetentionPolicy.SOURCE)
    public @interface Edge {
    }

    @IntDef({1, 0})
    @Retention(RetentionPolicy.SOURCE)
    public @interface EdgeMode {
    }

    @IntDef({0, 1, 2, -1})
    @Retention(RetentionPolicy.SOURCE)
    public @interface LayoutType {
    }

    public interface b {
        boolean a();

        void draw(Canvas canvas);
    }

    public interface c {
        void a(float f);

        void b(int i);
    }

    private class d extends d.c {

        /* renamed from: a  reason: collision with root package name */
        private float f7850a;

        private d() {
        }

        @Override // com.github.anzewei.parallaxbacklayout.d.c
        public int a(View view, int i, int i2) {
            int i3 = ParallaxBackLayout.this.U0.left;
            if ((ParallaxBackLayout.this.h1 & 1) != 0) {
                return Math.min(view.getWidth(), Math.max(i, 0));
            }
            return (ParallaxBackLayout.this.h1 & 2) != 0 ? Math.min(ParallaxBackLayout.this.U0.left, Math.max(i, -view.getWidth())) : i3;
        }

        @Override // com.github.anzewei.parallaxbacklayout.d.c
        public int b(View view, int i, int i2) {
            int top2 = ParallaxBackLayout.this.W0.getTop();
            if ((ParallaxBackLayout.this.h1 & 8) != 0) {
                return Math.min(0, Math.max(i, -view.getHeight()));
            }
            return (ParallaxBackLayout.this.h1 & 4) != 0 ? Math.min(view.getHeight(), Math.max(i, 0)) : top2;
        }

        @Override // com.github.anzewei.parallaxbacklayout.d.c
        public int d(View view) {
            return ParallaxBackLayout.this.j1 & 3;
        }

        @Override // com.github.anzewei.parallaxbacklayout.d.c
        public int e(View view) {
            return ParallaxBackLayout.this.j1 & 12;
        }

        @Override // com.github.anzewei.parallaxbacklayout.d.c
        public void j(int i) {
            super.j(i);
            if (ParallaxBackLayout.this.Y0 != null) {
                ParallaxBackLayout.this.Y0.b(i);
            }
        }

        @Override // com.github.anzewei.parallaxbacklayout.d.c
        public void k(View view, int i, int i2, int i3, int i4) {
            super.k(view, i, i2, i3, i4);
            if ((ParallaxBackLayout.this.h1 & 1) != 0) {
                this.f7850a = Math.abs(((float) (i - ParallaxBackLayout.this.U0.left)) / ((float) ParallaxBackLayout.this.W0.getWidth()));
            }
            if ((ParallaxBackLayout.this.h1 & 2) != 0) {
                this.f7850a = Math.abs(((float) (i - ParallaxBackLayout.this.U0.left)) / ((float) ParallaxBackLayout.this.W0.getWidth()));
            }
            if ((ParallaxBackLayout.this.h1 & 8) != 0) {
                this.f7850a = Math.abs(((float) (i2 - ParallaxBackLayout.this.getSystemTop())) / ((float) ParallaxBackLayout.this.W0.getHeight()));
            }
            if ((ParallaxBackLayout.this.h1 & 4) != 0) {
                this.f7850a = Math.abs(((float) i2) / ((float) ParallaxBackLayout.this.W0.getHeight()));
            }
            ParallaxBackLayout.this.a1 = i;
            ParallaxBackLayout.this.c1 = i2;
            ParallaxBackLayout.this.invalidate();
            if (ParallaxBackLayout.this.Y0 != null) {
                ParallaxBackLayout.this.Y0.a(this.f7850a);
            }
            if (this.f7850a >= 0.999f && !ParallaxBackLayout.this.T0.isFinishing()) {
                ParallaxBackLayout.this.T0.finish();
                ParallaxBackLayout.this.T0.overridePendingTransition(0, R.anim.parallax_exit);
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:41:0x00ce  */
        @Override // com.github.anzewei.parallaxbacklayout.d.c
        public void l(View view, float f, float f2) {
            int i;
            boolean z;
            int i2;
            int width = view.getWidth();
            int height = view.getHeight();
            int i3 = ParallaxBackLayout.this.U0.left;
            boolean z2 = true;
            int i4 = 0;
            if ((ParallaxBackLayout.this.h1 & 1) != 0) {
                z = Math.abs(f) > ((float) ParallaxBackLayout.this.i1);
                i = (f < 0.0f || (!z && this.f7850a <= ParallaxBackLayout.this.S0)) ? ParallaxBackLayout.this.U0.left : ParallaxBackLayout.this.U0.left + width;
            } else {
                i = i3;
                z = false;
            }
            if ((ParallaxBackLayout.this.h1 & 2) != 0) {
                if (Math.abs(f) > ((float) ParallaxBackLayout.this.i1)) {
                    z = true;
                }
                i = (f > 0.0f || (!z && this.f7850a <= ParallaxBackLayout.this.S0)) ? ParallaxBackLayout.this.U0.left : (-width) + ParallaxBackLayout.this.U0.left;
            }
            if ((ParallaxBackLayout.this.h1 & 4) != 0) {
                if (Math.abs(f2) > ((float) ParallaxBackLayout.this.i1)) {
                    z = true;
                }
                if (f2 >= 0.0f && (z || this.f7850a > ParallaxBackLayout.this.S0)) {
                    i2 = height;
                    if ((ParallaxBackLayout.this.h1 & 8) != 0) {
                        if (Math.abs(f2) <= ((float) ParallaxBackLayout.this.i1)) {
                            z2 = z;
                        }
                        if (f2 <= 0.0f && (z2 || this.f7850a > ParallaxBackLayout.this.S0)) {
                            i4 = (-height) + ParallaxBackLayout.this.getSystemTop();
                        }
                        i2 = i4;
                    }
                    ParallaxBackLayout.this.X0.W(i, i2);
                    ParallaxBackLayout.this.invalidate();
                }
            }
            i2 = 0;
            if ((ParallaxBackLayout.this.h1 & 8) != 0) {
            }
            ParallaxBackLayout.this.X0.W(i, i2);
            ParallaxBackLayout.this.invalidate();
        }

        @Override // com.github.anzewei.parallaxbacklayout.d.c
        public boolean m(View view, int i) {
            boolean z;
            boolean I = ParallaxBackLayout.this.X0.I(ParallaxBackLayout.this.j1, i);
            if (I) {
                ParallaxBackLayout parallaxBackLayout = ParallaxBackLayout.this;
                parallaxBackLayout.h1 = parallaxBackLayout.j1;
            }
            boolean z2 = false;
            if (ParallaxBackLayout.this.j1 == 1 || ParallaxBackLayout.this.j1 == 2) {
                z = ParallaxBackLayout.this.X0.g(2, i);
            } else {
                if (ParallaxBackLayout.this.j1 == 8 || ParallaxBackLayout.this.j1 == 4) {
                    z = ParallaxBackLayout.this.X0.g(1, i);
                }
                return I & z2;
            }
            z2 = !z;
            return I & z2;
        }
    }

    public ParallaxBackLayout(Context context) {
        super(context);
        setEdgeFlag(1);
    }

    private void m() {
        Rect rect = this.U0;
        if (rect != null) {
            if (this.b1 == 0) {
                this.X0.R(Math.max(getWidth(), getHeight()));
                return;
            }
            int i = this.j1;
            if (i == 4) {
                com.github.anzewei.parallaxbacklayout.d dVar = this.X0;
                dVar.R(rect.top + dVar.B());
            } else if (i == 8) {
                com.github.anzewei.parallaxbacklayout.d dVar2 = this.X0;
                dVar2.R(rect.bottom + dVar2.B());
            } else if (i == 1) {
                com.github.anzewei.parallaxbacklayout.d dVar3 = this.X0;
                dVar3.R(dVar3.B() + this.U0.left);
            } else {
                com.github.anzewei.parallaxbacklayout.d dVar4 = this.X0;
                dVar4.R(dVar4.B() + this.U0.right);
            }
        }
    }

    private void o(Canvas canvas, View view) {
        Drawable drawable;
        if ((this.a1 != 0 || this.c1 != 0) && (drawable = this.f1) != null) {
            int i = this.j1;
            if (i == 1) {
                drawable.setBounds(view.getLeft() - this.f1.getIntrinsicWidth(), view.getTop(), view.getLeft(), view.getBottom());
                this.f1.setAlpha(((getWidth() - view.getLeft()) * 255) / getWidth());
            } else if (i == 2) {
                drawable.setBounds(view.getRight(), view.getTop(), view.getRight() + this.f1.getIntrinsicWidth(), view.getBottom());
                this.f1.setAlpha((view.getRight() * 255) / getWidth());
            } else if (i == 8) {
                drawable.setBounds(view.getLeft(), view.getBottom(), view.getRight(), view.getBottom() + this.f1.getIntrinsicHeight());
                this.f1.setAlpha((view.getBottom() * 255) / getHeight());
            } else if (i == 4) {
                drawable.setBounds(view.getLeft(), (view.getTop() - this.f1.getIntrinsicHeight()) + getSystemTop(), view.getRight(), view.getTop() + getSystemTop());
                this.f1.setAlpha(((getHeight() - view.getTop()) * 255) / getHeight());
            }
            this.f1.draw(canvas);
        }
    }

    private void p(Canvas canvas, View view) {
        if (this.a1 != 0 || this.c1 != 0) {
            int save = canvas.save();
            this.Z0.a(canvas, this, view);
            this.e1.draw(canvas);
            canvas.restoreToCount(save);
        }
    }

    private void setContentView(View view) {
        this.W0 = view;
    }

    public void computeScroll() {
        if (this.X0.o(true)) {
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    /* access modifiers changed from: protected */
    public boolean drawChild(Canvas canvas, View view, long j) {
        Log.d("View", "drawChild");
        boolean z = view == this.W0;
        if (this.V0) {
            p(canvas, view);
        }
        boolean drawChild = super.drawChild(canvas, view, j);
        if (this.V0 && z && this.X0.F() != 0) {
            o(canvas, view);
        }
        return drawChild;
    }

    public int getEdgeFlag() {
        return this.j1;
    }

    public int getLayoutType() {
        return this.d1;
    }

    public int getSystemLeft() {
        return this.U0.left;
    }

    public int getSystemTop() {
        return this.U0.top;
    }

    public void n(Activity activity) {
        this.T0 = activity;
        ViewGroup viewGroup = (ViewGroup) activity.getWindow().getDecorView();
        ViewGroup viewGroup2 = (ViewGroup) viewGroup.getChildAt(0);
        viewGroup.removeView(viewGroup2);
        addView(viewGroup2, -1, -1);
        setContentView(viewGroup2);
        viewGroup.addView(this);
    }

    @TargetApi(20)
    public WindowInsets onApplyWindowInsets(WindowInsets windowInsets) {
        int systemWindowInsetTop = windowInsets.getSystemWindowInsetTop();
        if (this.W0.getLayoutParams() instanceof ViewGroup.MarginLayoutParams) {
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) this.W0.getLayoutParams();
            this.U0.set(marginLayoutParams.leftMargin, marginLayoutParams.topMargin + systemWindowInsetTop, marginLayoutParams.rightMargin, marginLayoutParams.bottomMargin);
        }
        m();
        return super.onApplyWindowInsets(windowInsets);
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        if (this.V0 && this.e1.a()) {
            try {
                return this.X0.X(motionEvent);
            } catch (ArrayIndexOutOfBoundsException unused) {
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        this.g1 = true;
        m();
        if (this.W0 != null) {
            int i5 = this.a1;
            int i6 = this.c1;
            Log.d("View", "left = " + i + " top = " + i2);
            ViewGroup.LayoutParams layoutParams = this.W0.getLayoutParams();
            if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
                ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
                i5 += marginLayoutParams.leftMargin;
                i6 += marginLayoutParams.topMargin;
            }
            View view = this.W0;
            view.layout(i5, i6, view.getMeasuredWidth() + i5, this.W0.getMeasuredHeight() + i6);
        }
        this.g1 = false;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (!this.V0 || !this.e1.a()) {
            return false;
        }
        this.X0.L(motionEvent);
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x0043  */
    public boolean q(int i) {
        int i2;
        int i3;
        if (this.V0 && this.e1.a()) {
            int width = getWidth();
            int i4 = this.j1;
            this.h1 = i4;
            if (i4 != 1) {
                if (i4 != 2) {
                    if (i4 == 4) {
                        i3 = getHeight();
                    } else if (i4 != 8) {
                        width = 0;
                    } else {
                        i3 = -getHeight();
                    }
                    i2 = i3;
                    width = 0;
                    if (this.X0.Y(this.W0, width, i2, i)) {
                        ViewCompat.postInvalidateOnAnimation(this);
                        postInvalidate();
                        return true;
                    }
                } else {
                    width = -getWidth();
                }
            }
            i2 = 0;
            if (this.X0.Y(this.W0, width, i2, i)) {
            }
        }
        return false;
    }

    public void r(int i, com.github.anzewei.parallaxbacklayout.e.b bVar) {
        this.d1 = i;
        if (i == -1) {
            this.Z0 = bVar;
        } else if (i == 0) {
            this.Z0 = new com.github.anzewei.parallaxbacklayout.e.a();
        } else if (i == 1) {
            this.Z0 = new com.github.anzewei.parallaxbacklayout.e.c();
        } else if (i == 2) {
            this.Z0 = new com.github.anzewei.parallaxbacklayout.e.d();
        }
    }

    public void requestLayout() {
        if (!this.g1) {
            super.requestLayout();
        }
    }

    public void setBackgroundView(b bVar) {
        this.e1 = bVar;
    }

    @TargetApi(16)
    public void setEdgeFlag(int i) {
        if (this.j1 != i) {
            this.j1 = i;
            this.X0.S(i);
            GradientDrawable.Orientation orientation = GradientDrawable.Orientation.LEFT_RIGHT;
            if (i == 1) {
                orientation = GradientDrawable.Orientation.RIGHT_LEFT;
            } else if (i == 4) {
                orientation = GradientDrawable.Orientation.BOTTOM_TOP;
            } else if (i != 2 && i == 8) {
                orientation = GradientDrawable.Orientation.TOP_BOTTOM;
            }
            if (Build.VERSION.SDK_INT < 16) {
                this.f1 = null;
            }
            Drawable drawable = this.f1;
            if (drawable == null) {
                a aVar = new a(orientation, new int[]{1711276032, 285212672, 0});
                aVar.setGradientRadius(90.0f);
                aVar.setSize(50, 50);
                this.f1 = aVar;
            } else if (drawable instanceof a) {
                ((a) drawable).setOrientation(orientation);
            }
            m();
        }
    }

    public void setEdgeMode(int i) {
        this.b1 = i;
        m();
    }

    public void setEnableGesture(boolean z) {
        this.V0 = z;
    }

    public void setScrollThresHold(float f) {
        if (f >= 1.0f || f <= 0.0f) {
            throw new IllegalArgumentException("Threshold value should be between 0 and 1.0");
        }
        this.S0 = f;
    }

    public void setShadowDrawable(Drawable drawable) {
        this.f1 = drawable;
    }

    public void setSlideCallback(c cVar) {
        this.Y0 = cVar;
    }

    public void setVelocity(int i) {
        this.i1 = i;
    }
}
