package com.google.android.exoplayer2;

import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import android.util.Log;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.audio.AudioProcessor;
import com.google.android.exoplayer2.audio.j;
import com.google.android.exoplayer2.drm.d;
import com.google.android.exoplayer2.drm.h;
import com.google.android.exoplayer2.mediacodec.b;
import com.google.android.exoplayer2.metadata.e;
import com.google.android.exoplayer2.text.i;
import com.google.android.exoplayer2.video.c;
import com.google.android.exoplayer2.video.f;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;

public class DefaultRenderersFactory implements z {

    /* renamed from: a  reason: collision with root package name */
    public static final long f7874a = 5000;

    /* renamed from: b  reason: collision with root package name */
    public static final int f7875b = 0;

    /* renamed from: c  reason: collision with root package name */
    public static final int f7876c = 1;

    /* renamed from: d  reason: collision with root package name */
    public static final int f7877d = 2;

    /* renamed from: e  reason: collision with root package name */
    private static final String f7878e = "DefaultRenderersFactory";
    protected static final int f = 50;
    private final Context g;
    @Nullable
    private final d<h> h;
    private final int i;
    private final long j;

    @Retention(RetentionPolicy.SOURCE)
    public @interface ExtensionRendererMode {
    }

    public DefaultRenderersFactory(Context context) {
        this(context, 0);
    }

    @Override // com.google.android.exoplayer2.z
    public Renderer[] a(Handler handler, f fVar, com.google.android.exoplayer2.audio.d dVar, com.google.android.exoplayer2.text.h hVar, com.google.android.exoplayer2.metadata.d dVar2, @Nullable d<h> dVar3) {
        d<h> dVar4 = dVar3 == null ? this.h : dVar3;
        ArrayList<Renderer> arrayList = new ArrayList<>();
        g(this.g, dVar4, this.j, handler, fVar, this.i, arrayList);
        c(this.g, dVar4, b(), handler, dVar, this.i, arrayList);
        f(this.g, hVar, handler.getLooper(), this.i, arrayList);
        d(this.g, dVar2, handler.getLooper(), this.i, arrayList);
        e(this.g, handler, this.i, arrayList);
        return (Renderer[]) arrayList.toArray(new Renderer[arrayList.size()]);
    }

    /* access modifiers changed from: protected */
    public AudioProcessor[] b() {
        return new AudioProcessor[0];
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0062, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x006a, code lost:
        throw new java.lang.RuntimeException("Error instantiating Opus extension", r0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:0x009b, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:29:0x00a3, code lost:
        throw new java.lang.RuntimeException("Error instantiating FLAC extension", r0);
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0062 A[ExcHandler: Exception (r0v7 'e' java.lang.Exception A[CUSTOM_DECLARE]), Splitter:B:7:0x0035] */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x009b A[ExcHandler: Exception (r0v6 'e' java.lang.Exception A[CUSTOM_DECLARE]), Splitter:B:20:0x006e] */
    public void c(Context context, @Nullable d<h> dVar, AudioProcessor[] audioProcessorArr, Handler handler, com.google.android.exoplayer2.audio.d dVar2, int i2, ArrayList<Renderer> arrayList) {
        int size;
        int i3;
        int i4;
        arrayList.add(new j(context, b.f8559a, dVar, false, handler, dVar2, com.google.android.exoplayer2.audio.b.a(context), audioProcessorArr));
        if (i2 != 0) {
            size = arrayList.size();
            if (i2 == 2) {
                size--;
            }
            try {
                i3 = size + 1;
                arrayList.add(size, (Renderer) Class.forName("com.google.android.exoplayer2.ext.opus.LibopusAudioRenderer").getConstructor(Handler.class, com.google.android.exoplayer2.audio.d.class, AudioProcessor[].class).newInstance(handler, dVar2, audioProcessorArr));
                Log.i(f7878e, "Loaded LibopusAudioRenderer.");
            } catch (ClassNotFoundException unused) {
                size = i3;
            } catch (Exception e2) {
            }
            try {
                i4 = i3 + 1;
                arrayList.add(i3, (Renderer) Class.forName("com.google.android.exoplayer2.ext.flac.LibflacAudioRenderer").getConstructor(Handler.class, com.google.android.exoplayer2.audio.d.class, AudioProcessor[].class).newInstance(handler, dVar2, audioProcessorArr));
                Log.i(f7878e, "Loaded LibflacAudioRenderer.");
            } catch (ClassNotFoundException unused2) {
                i3 = i4;
            } catch (Exception e3) {
            }
            try {
                arrayList.add(i4, (Renderer) Class.forName("com.google.android.exoplayer2.ext.ffmpeg.FfmpegAudioRenderer").getConstructor(Handler.class, com.google.android.exoplayer2.audio.d.class, AudioProcessor[].class).newInstance(handler, dVar2, audioProcessorArr));
                Log.i(f7878e, "Loaded FfmpegAudioRenderer.");
            } catch (ClassNotFoundException unused3) {
                return;
            } catch (Exception e4) {
                throw new RuntimeException("Error instantiating FFmpeg extension", e4);
            }
        } else {
            return;
        }
        i4 = i3;
        arrayList.add(i4, (Renderer) Class.forName("com.google.android.exoplayer2.ext.ffmpeg.FfmpegAudioRenderer").getConstructor(Handler.class, com.google.android.exoplayer2.audio.d.class, AudioProcessor[].class).newInstance(handler, dVar2, audioProcessorArr));
        Log.i(f7878e, "Loaded FfmpegAudioRenderer.");
        i3 = size;
        i4 = i3 + 1;
        arrayList.add(i3, (Renderer) Class.forName("com.google.android.exoplayer2.ext.flac.LibflacAudioRenderer").getConstructor(Handler.class, com.google.android.exoplayer2.audio.d.class, AudioProcessor[].class).newInstance(handler, dVar2, audioProcessorArr));
        Log.i(f7878e, "Loaded LibflacAudioRenderer.");
        arrayList.add(i4, (Renderer) Class.forName("com.google.android.exoplayer2.ext.ffmpeg.FfmpegAudioRenderer").getConstructor(Handler.class, com.google.android.exoplayer2.audio.d.class, AudioProcessor[].class).newInstance(handler, dVar2, audioProcessorArr));
        Log.i(f7878e, "Loaded FfmpegAudioRenderer.");
    }

    /* access modifiers changed from: protected */
    public void d(Context context, com.google.android.exoplayer2.metadata.d dVar, Looper looper, int i2, ArrayList<Renderer> arrayList) {
        arrayList.add(new e(dVar, looper));
    }

    /* access modifiers changed from: protected */
    public void e(Context context, Handler handler, int i2, ArrayList<Renderer> arrayList) {
    }

    /* access modifiers changed from: protected */
    public void f(Context context, com.google.android.exoplayer2.text.h hVar, Looper looper, int i2, ArrayList<Renderer> arrayList) {
        arrayList.add(new i(hVar, looper));
    }

    /* access modifiers changed from: protected */
    public void g(Context context, @Nullable d<h> dVar, long j2, Handler handler, f fVar, int i2, ArrayList<Renderer> arrayList) {
        arrayList.add(new c(context, b.f8559a, j2, dVar, false, handler, fVar, 50));
        if (i2 != 0) {
            int size = arrayList.size();
            if (i2 == 2) {
                size--;
            }
            try {
                arrayList.add(size, (Renderer) Class.forName("com.google.android.exoplayer2.ext.vp9.LibvpxVideoRenderer").getConstructor(Boolean.TYPE, Long.TYPE, Handler.class, f.class, Integer.TYPE).newInstance(Boolean.TRUE, Long.valueOf(j2), handler, fVar, 50));
                Log.i(f7878e, "Loaded LibvpxVideoRenderer.");
            } catch (ClassNotFoundException unused) {
            } catch (Exception e2) {
                throw new RuntimeException("Error instantiating VP9 extension", e2);
            }
        }
    }

    @Deprecated
    public DefaultRenderersFactory(Context context, @Nullable d<h> dVar) {
        this(context, dVar, 0);
    }

    public DefaultRenderersFactory(Context context, int i2) {
        this(context, null, i2, f7874a);
    }

    @Deprecated
    public DefaultRenderersFactory(Context context, @Nullable d<h> dVar, int i2) {
        this(context, dVar, i2, f7874a);
    }

    public DefaultRenderersFactory(Context context, int i2, long j2) {
        this(context, null, i2, j2);
    }

    @Deprecated
    public DefaultRenderersFactory(Context context, @Nullable d<h> dVar, int i2, long j2) {
        this.g = context;
        this.i = i2;
        this.j = j2;
        this.h = dVar;
    }
}
