package com.google.android.exoplayer2;

import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.drm.DrmInitData;
import com.google.android.exoplayer2.metadata.Metadata;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.video.ColorInfo;
import com.ibm.icu.impl.locale.f;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

public final class Format implements Parcelable {
    public static final Parcelable.Creator<Format> CREATOR = new a();

    /* renamed from: a  reason: collision with root package name */
    public static final int f7879a = -1;

    /* renamed from: b  reason: collision with root package name */
    public static final long f7880b = Long.MAX_VALUE;
    @Nullable
    public final String I0;
    public final int J0;
    @Nullable
    public final String K0;
    @Nullable
    public final Metadata L0;
    @Nullable
    public final String M0;
    @Nullable
    public final String N0;
    public final int O0;
    public final List<byte[]> P0;
    @Nullable
    public final DrmInitData Q0;
    public final long R0;
    public final int S0;
    public final int T0;
    public final float U0;
    public final int V0;
    public final float W0;
    public final int X0;
    @Nullable
    public final byte[] Y0;
    @Nullable
    public final ColorInfo Z0;
    public final int a1;
    public final int b1;
    public final int c1;
    public final int d1;
    public final int e1;
    public final int f1;
    @Nullable
    public final String g1;
    public final int h1;
    private int i1;

    static class a implements Parcelable.Creator<Format> {
        a() {
        }

        /* renamed from: a */
        public Format createFromParcel(Parcel parcel) {
            return new Format(parcel);
        }

        /* renamed from: b */
        public Format[] newArray(int i) {
            return new Format[i];
        }
    }

    Format(@Nullable String str, @Nullable String str2, @Nullable String str3, @Nullable String str4, int i, int i2, int i3, int i4, float f, int i5, float f2, @Nullable byte[] bArr, int i6, @Nullable ColorInfo colorInfo, int i7, int i8, int i9, int i10, int i11, int i12, @Nullable String str5, int i13, long j, @Nullable List<byte[]> list, @Nullable DrmInitData drmInitData, @Nullable Metadata metadata) {
        this.I0 = str;
        this.M0 = str2;
        this.N0 = str3;
        this.K0 = str4;
        this.J0 = i;
        this.O0 = i2;
        this.S0 = i3;
        this.T0 = i4;
        this.U0 = f;
        int i14 = 0;
        int i15 = i5;
        this.V0 = i15 == -1 ? 0 : i15;
        this.W0 = f2 == -1.0f ? 1.0f : f2;
        this.Y0 = bArr;
        this.X0 = i6;
        this.Z0 = colorInfo;
        this.a1 = i7;
        this.b1 = i8;
        this.c1 = i9;
        int i16 = i10;
        this.d1 = i16 == -1 ? 0 : i16;
        this.e1 = i11 != -1 ? i11 : i14;
        this.f1 = i12;
        this.g1 = str5;
        this.h1 = i13;
        this.R0 = j;
        this.P0 = list == null ? Collections.emptyList() : list;
        this.Q0 = drmInitData;
        this.L0 = metadata;
    }

    public static Format A(@Nullable String str, @Nullable String str2, @Nullable String str3, int i, int i2, int i3, int i4, float f, List<byte[]> list, @Nullable DrmInitData drmInitData) {
        return y(str, str2, str3, i, i2, i3, i4, f, list, -1, -1.0f, drmInitData);
    }

    public static String E(Format format) {
        if (format == null) {
            return "null";
        }
        StringBuilder sb = new StringBuilder();
        sb.append("id=");
        sb.append(format.I0);
        sb.append(", mimeType=");
        sb.append(format.N0);
        if (format.J0 != -1) {
            sb.append(", bitrate=");
            sb.append(format.J0);
        }
        if (!(format.S0 == -1 || format.T0 == -1)) {
            sb.append(", res=");
            sb.append(format.S0);
            sb.append(f.f14028c);
            sb.append(format.T0);
        }
        if (format.U0 != -1.0f) {
            sb.append(", fps=");
            sb.append(format.U0);
        }
        if (format.a1 != -1) {
            sb.append(", channels=");
            sb.append(format.a1);
        }
        if (format.b1 != -1) {
            sb.append(", sample_rate=");
            sb.append(format.b1);
        }
        if (format.g1 != null) {
            sb.append(", language=");
            sb.append(format.g1);
        }
        return sb.toString();
    }

    public static Format i(@Nullable String str, @Nullable String str2, @Nullable String str3, @Nullable String str4, int i, int i2, int i3, List<byte[]> list, int i4, @Nullable String str5) {
        return new Format(str, str2, str3, str4, i, -1, -1, -1, -1.0f, -1, -1.0f, null, -1, null, i2, i3, -1, -1, -1, i4, str5, -1, Long.MAX_VALUE, list, null, null);
    }

    public static Format j(@Nullable String str, @Nullable String str2, @Nullable String str3, int i, int i2, int i3, int i4, int i5, int i6, int i7, List<byte[]> list, @Nullable DrmInitData drmInitData, int i8, @Nullable String str4, @Nullable Metadata metadata) {
        return new Format(str, null, str2, str3, i, i2, -1, -1, -1.0f, -1, -1.0f, null, -1, null, i3, i4, i5, i6, i7, i8, str4, -1, Long.MAX_VALUE, list, drmInitData, metadata);
    }

    public static Format k(@Nullable String str, @Nullable String str2, @Nullable String str3, int i, int i2, int i3, int i4, int i5, List<byte[]> list, @Nullable DrmInitData drmInitData, int i6, @Nullable String str4) {
        return j(str, str2, str3, i, i2, i3, i4, i5, -1, -1, list, drmInitData, i6, str4, null);
    }

    public static Format l(@Nullable String str, @Nullable String str2, @Nullable String str3, int i, int i2, int i3, int i4, List<byte[]> list, @Nullable DrmInitData drmInitData, int i5, @Nullable String str4) {
        return k(str, str2, str3, i, i2, i3, i4, -1, list, drmInitData, i5, str4);
    }

    public static Format m(@Nullable String str, @Nullable String str2, @Nullable String str3, @Nullable String str4, int i, int i2, @Nullable String str5) {
        return new Format(str, str2, str3, str4, i, -1, -1, -1, -1.0f, -1, -1.0f, null, -1, null, -1, -1, -1, -1, -1, i2, str5, -1, Long.MAX_VALUE, null, null, null);
    }

    public static Format n(@Nullable String str, @Nullable String str2, @Nullable String str3, int i, int i2, List<byte[]> list, @Nullable String str4, @Nullable DrmInitData drmInitData) {
        return new Format(str, null, str2, str3, i, -1, -1, -1, -1.0f, -1, -1.0f, null, -1, null, -1, -1, -1, -1, -1, i2, str4, -1, Long.MAX_VALUE, list, drmInitData, null);
    }

    public static Format o(@Nullable String str, @Nullable String str2, long j) {
        return new Format(str, null, str2, null, -1, -1, -1, -1, -1.0f, -1, -1.0f, null, -1, null, -1, -1, -1, -1, -1, 0, null, -1, j, null, null, null);
    }

    public static Format p(@Nullable String str, @Nullable String str2, @Nullable String str3, int i, @Nullable DrmInitData drmInitData) {
        return new Format(str, null, str2, str3, i, -1, -1, -1, -1.0f, -1, -1.0f, null, -1, null, -1, -1, -1, -1, -1, 0, null, -1, Long.MAX_VALUE, null, drmInitData, null);
    }

    public static Format q(@Nullable String str, @Nullable String str2, @Nullable String str3, @Nullable String str4, int i, int i2, @Nullable String str5) {
        return r(str, str2, str3, str4, i, i2, str5, -1);
    }

    public static Format r(@Nullable String str, @Nullable String str2, @Nullable String str3, @Nullable String str4, int i, int i2, @Nullable String str5, int i3) {
        return new Format(str, str2, str3, str4, i, -1, -1, -1, -1.0f, -1, -1.0f, null, -1, null, -1, -1, -1, -1, -1, i2, str5, i3, Long.MAX_VALUE, null, null, null);
    }

    public static Format s(@Nullable String str, String str2, int i, @Nullable String str3) {
        return t(str, str2, i, str3, null);
    }

    public static Format t(@Nullable String str, String str2, int i, @Nullable String str3, @Nullable DrmInitData drmInitData) {
        return v(str, str2, null, -1, i, str3, -1, drmInitData, Long.MAX_VALUE, Collections.emptyList());
    }

    public static Format u(@Nullable String str, @Nullable String str2, @Nullable String str3, int i, int i2, @Nullable String str4, int i3, @Nullable DrmInitData drmInitData) {
        return v(str, str2, str3, i, i2, str4, i3, drmInitData, Long.MAX_VALUE, Collections.emptyList());
    }

    public static Format v(@Nullable String str, @Nullable String str2, @Nullable String str3, int i, int i2, @Nullable String str4, int i3, @Nullable DrmInitData drmInitData, long j, List<byte[]> list) {
        return new Format(str, null, str2, str3, i, -1, -1, -1, -1.0f, -1, -1.0f, null, -1, null, -1, -1, -1, -1, -1, i2, str4, i3, j, list, drmInitData, null);
    }

    public static Format w(@Nullable String str, @Nullable String str2, @Nullable String str3, int i, int i2, @Nullable String str4, @Nullable DrmInitData drmInitData, long j) {
        return v(str, str2, str3, i, i2, str4, -1, drmInitData, j, Collections.emptyList());
    }

    public static Format x(@Nullable String str, @Nullable String str2, String str3, String str4, int i, int i2, int i3, float f, List<byte[]> list, int i4) {
        return new Format(str, str2, str3, str4, i, -1, i2, i3, f, -1, -1.0f, null, -1, null, -1, -1, -1, -1, -1, i4, null, -1, Long.MAX_VALUE, list, null, null);
    }

    public static Format y(@Nullable String str, @Nullable String str2, @Nullable String str3, int i, int i2, int i3, int i4, float f, List<byte[]> list, int i5, float f2, @Nullable DrmInitData drmInitData) {
        return z(str, str2, str3, i, i2, i3, i4, f, list, i5, f2, null, -1, null, drmInitData);
    }

    public static Format z(@Nullable String str, @Nullable String str2, @Nullable String str3, int i, int i2, int i3, int i4, float f, List<byte[]> list, int i5, float f2, byte[] bArr, int i6, @Nullable ColorInfo colorInfo, @Nullable DrmInitData drmInitData) {
        return new Format(str, null, str2, str3, i, i2, i3, i4, f, i5, f2, bArr, i6, colorInfo, -1, -1, -1, -1, -1, 0, null, -1, Long.MAX_VALUE, list, drmInitData, null);
    }

    public int B() {
        int i;
        int i2 = this.S0;
        if (i2 == -1 || (i = this.T0) == -1) {
            return -1;
        }
        return i2 * i;
    }

    public boolean C(Format format) {
        if (this.P0.size() != format.P0.size()) {
            return false;
        }
        for (int i = 0; i < this.P0.size(); i++) {
            if (!Arrays.equals(this.P0.get(i), format.P0.get(i))) {
                return false;
            }
        }
        return true;
    }

    public Format a(@Nullable String str, @Nullable String str2, @Nullable String str3, int i, int i2, int i3, int i4, @Nullable String str4) {
        return new Format(str, this.M0, str2, str3, i, this.O0, i2, i3, this.U0, this.V0, this.W0, this.Y0, this.X0, this.Z0, this.a1, this.b1, this.c1, this.d1, this.e1, i4, str4, this.h1, this.R0, this.P0, this.Q0, this.L0);
    }

    public Format b(@Nullable DrmInitData drmInitData) {
        return new Format(this.I0, this.M0, this.N0, this.K0, this.J0, this.O0, this.S0, this.T0, this.U0, this.V0, this.W0, this.Y0, this.X0, this.Z0, this.a1, this.b1, this.c1, this.d1, this.e1, this.f1, this.g1, this.h1, this.R0, this.P0, drmInitData, this.L0);
    }

    public Format c(int i, int i2) {
        return new Format(this.I0, this.M0, this.N0, this.K0, this.J0, this.O0, this.S0, this.T0, this.U0, this.V0, this.W0, this.Y0, this.X0, this.Z0, this.a1, this.b1, this.c1, i, i2, this.f1, this.g1, this.h1, this.R0, this.P0, this.Q0, this.L0);
    }

    public Format d(Format format) {
        if (this == format) {
            return this;
        }
        String str = format.I0;
        String str2 = this.K0;
        if (str2 == null) {
            str2 = format.K0;
        }
        int i = this.J0;
        if (i == -1) {
            i = format.J0;
        }
        float f = this.U0;
        if (f == -1.0f) {
            f = format.U0;
        }
        int i2 = this.f1 | format.f1;
        String str3 = this.g1;
        if (str3 == null) {
            str3 = format.g1;
        }
        return new Format(str, this.M0, this.N0, str2, i, this.O0, this.S0, this.T0, f, this.V0, this.W0, this.Y0, this.X0, this.Z0, this.a1, this.b1, this.c1, this.d1, this.e1, i2, str3, this.h1, this.R0, this.P0, DrmInitData.d(format.Q0, this.Q0), this.L0);
    }

    public int describeContents() {
        return 0;
    }

    public Format e(int i) {
        return new Format(this.I0, this.M0, this.N0, this.K0, this.J0, i, this.S0, this.T0, this.U0, this.V0, this.W0, this.Y0, this.X0, this.Z0, this.a1, this.b1, this.c1, this.d1, this.e1, this.f1, this.g1, this.h1, this.R0, this.P0, this.Q0, this.L0);
    }

    public boolean equals(@Nullable Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || Format.class != obj.getClass()) {
            return false;
        }
        Format format = (Format) obj;
        if (this.J0 == format.J0 && this.O0 == format.O0 && this.S0 == format.S0 && this.T0 == format.T0 && this.U0 == format.U0 && this.V0 == format.V0 && this.W0 == format.W0 && this.X0 == format.X0 && this.a1 == format.a1 && this.b1 == format.b1 && this.c1 == format.c1 && this.d1 == format.d1 && this.e1 == format.e1 && this.R0 == format.R0 && this.f1 == format.f1 && b0.b(this.I0, format.I0) && b0.b(this.g1, format.g1) && this.h1 == format.h1 && b0.b(this.M0, format.M0) && b0.b(this.N0, format.N0) && b0.b(this.K0, format.K0) && b0.b(this.Q0, format.Q0) && b0.b(this.L0, format.L0) && b0.b(this.Z0, format.Z0) && Arrays.equals(this.Y0, format.Y0) && C(format)) {
            return true;
        }
        return false;
    }

    public Format f(@Nullable Metadata metadata) {
        return new Format(this.I0, this.M0, this.N0, this.K0, this.J0, this.O0, this.S0, this.T0, this.U0, this.V0, this.W0, this.Y0, this.X0, this.Z0, this.a1, this.b1, this.c1, this.d1, this.e1, this.f1, this.g1, this.h1, this.R0, this.P0, this.Q0, metadata);
    }

    public Format g(int i) {
        return new Format(this.I0, this.M0, this.N0, this.K0, this.J0, this.O0, this.S0, this.T0, this.U0, i, this.W0, this.Y0, this.X0, this.Z0, this.a1, this.b1, this.c1, this.d1, this.e1, this.f1, this.g1, this.h1, this.R0, this.P0, this.Q0, this.L0);
    }

    public Format h(long j) {
        return new Format(this.I0, this.M0, this.N0, this.K0, this.J0, this.O0, this.S0, this.T0, this.U0, this.V0, this.W0, this.Y0, this.X0, this.Z0, this.a1, this.b1, this.c1, this.d1, this.e1, this.f1, this.g1, this.h1, j, this.P0, this.Q0, this.L0);
    }

    public int hashCode() {
        if (this.i1 == 0) {
            String str = this.I0;
            int i = 0;
            int hashCode = (527 + (str == null ? 0 : str.hashCode())) * 31;
            String str2 = this.M0;
            int hashCode2 = (hashCode + (str2 == null ? 0 : str2.hashCode())) * 31;
            String str3 = this.N0;
            int hashCode3 = (hashCode2 + (str3 == null ? 0 : str3.hashCode())) * 31;
            String str4 = this.K0;
            int hashCode4 = (((((((((((hashCode3 + (str4 == null ? 0 : str4.hashCode())) * 31) + this.J0) * 31) + this.S0) * 31) + this.T0) * 31) + this.a1) * 31) + this.b1) * 31;
            String str5 = this.g1;
            int hashCode5 = (((hashCode4 + (str5 == null ? 0 : str5.hashCode())) * 31) + this.h1) * 31;
            DrmInitData drmInitData = this.Q0;
            int hashCode6 = (hashCode5 + (drmInitData == null ? 0 : drmInitData.hashCode())) * 31;
            Metadata metadata = this.L0;
            if (metadata != null) {
                i = metadata.hashCode();
            }
            this.i1 = hashCode6 + i;
        }
        return this.i1;
    }

    public String toString() {
        return "Format(" + this.I0 + ", " + this.M0 + ", " + this.N0 + ", " + this.J0 + ", " + this.g1 + ", [" + this.S0 + ", " + this.T0 + ", " + this.U0 + "], [" + this.a1 + ", " + this.b1 + "])";
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.I0);
        parcel.writeString(this.M0);
        parcel.writeString(this.N0);
        parcel.writeString(this.K0);
        parcel.writeInt(this.J0);
        parcel.writeInt(this.O0);
        parcel.writeInt(this.S0);
        parcel.writeInt(this.T0);
        parcel.writeFloat(this.U0);
        parcel.writeInt(this.V0);
        parcel.writeFloat(this.W0);
        b0.z0(parcel, this.Y0 != null);
        byte[] bArr = this.Y0;
        if (bArr != null) {
            parcel.writeByteArray(bArr);
        }
        parcel.writeInt(this.X0);
        parcel.writeParcelable(this.Z0, i);
        parcel.writeInt(this.a1);
        parcel.writeInt(this.b1);
        parcel.writeInt(this.c1);
        parcel.writeInt(this.d1);
        parcel.writeInt(this.e1);
        parcel.writeInt(this.f1);
        parcel.writeString(this.g1);
        parcel.writeInt(this.h1);
        parcel.writeLong(this.R0);
        int size = this.P0.size();
        parcel.writeInt(size);
        for (int i2 = 0; i2 < size; i2++) {
            parcel.writeByteArray(this.P0.get(i2));
        }
        parcel.writeParcelable(this.Q0, 0);
        parcel.writeParcelable(this.L0, 0);
    }

    Format(Parcel parcel) {
        this.I0 = parcel.readString();
        this.M0 = parcel.readString();
        this.N0 = parcel.readString();
        this.K0 = parcel.readString();
        this.J0 = parcel.readInt();
        this.O0 = parcel.readInt();
        this.S0 = parcel.readInt();
        this.T0 = parcel.readInt();
        this.U0 = parcel.readFloat();
        this.V0 = parcel.readInt();
        this.W0 = parcel.readFloat();
        this.Y0 = b0.g0(parcel) ? parcel.createByteArray() : null;
        this.X0 = parcel.readInt();
        this.Z0 = (ColorInfo) parcel.readParcelable(ColorInfo.class.getClassLoader());
        this.a1 = parcel.readInt();
        this.b1 = parcel.readInt();
        this.c1 = parcel.readInt();
        this.d1 = parcel.readInt();
        this.e1 = parcel.readInt();
        this.f1 = parcel.readInt();
        this.g1 = parcel.readString();
        this.h1 = parcel.readInt();
        this.R0 = parcel.readLong();
        int readInt = parcel.readInt();
        this.P0 = new ArrayList(readInt);
        for (int i = 0; i < readInt; i++) {
            this.P0.add(parcel.createByteArray());
        }
        this.Q0 = (DrmInitData) parcel.readParcelable(DrmInitData.class.getClassLoader());
        this.L0 = (Metadata) parcel.readParcelable(Metadata.class.getClassLoader());
    }
}
