package com.google.android.exoplayer2.audio;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.media.AudioAttributes;
import android.media.AudioFormat;
import android.media.AudioTrack;
import android.os.ConditionVariable;
import android.os.SystemClock;
import android.util.Log;
import androidx.annotation.Nullable;
import com.alipay.sdk.app.OpenAuthTask;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.audio.AudioProcessor;
import com.google.android.exoplayer2.audio.AudioSink;
import com.google.android.exoplayer2.audio.f;
import com.google.android.exoplayer2.u;
import com.google.android.exoplayer2.upstream.cache.CacheDataSink;
import com.google.android.exoplayer2.util.b0;
import com.ibm.icu.lang.c;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;

public final class DefaultAudioSink implements AudioSink {

    /* renamed from: b  reason: collision with root package name */
    private static final long f7900b = 250000;

    /* renamed from: c  reason: collision with root package name */
    private static final long f7901c = 750000;

    /* renamed from: d  reason: collision with root package name */
    private static final long f7902d = 250000;

    /* renamed from: e  reason: collision with root package name */
    private static final int f7903e = 4;
    private static final int f = -2;
    private static final int g = 0;
    private static final int h = 1;
    private static final int i = 1;
    @SuppressLint({"InlinedApi"})
    private static final int j = 1;
    private static final String k = "AudioTrack";
    private static final int l = 0;
    private static final int m = 1;
    private static final int n = 2;
    public static boolean o;
    public static boolean p;
    @Nullable
    private AudioSink.a A;
    @Nullable
    private AudioTrack B;
    private AudioTrack C;
    private boolean D;
    private boolean E;
    private int F;
    private int G;
    private int H;
    private int I;
    private a J;
    private boolean K;
    private boolean L;
    private int M;
    @Nullable
    private u N;
    private u O;
    private long P;
    private long Q;
    @Nullable
    private ByteBuffer R;
    private int S;
    private int T;
    private long U;
    private long V;
    private int W;
    private long X;
    private long Y;
    private int Z;
    private int a0;
    private long b0;
    private float c0;
    private AudioProcessor[] d0;
    private ByteBuffer[] e0;
    @Nullable
    private ByteBuffer f0;
    @Nullable
    private ByteBuffer g0;
    private byte[] h0;
    private int i0;
    private int j0;
    private boolean k0;
    private boolean l0;
    private int m0;
    private boolean n0;
    private long o0;
    @Nullable
    private final b q;
    private final c r;
    private final boolean s;
    private final g t;
    private final p u;
    private final AudioProcessor[] v;
    private final AudioProcessor[] w;
    private final ConditionVariable x;
    private final f y;
    private final ArrayDeque<e> z;

    public static final class InvalidAudioTrackTimestampException extends RuntimeException {
        /* synthetic */ InvalidAudioTrackTimestampException(String str, a aVar) {
            this(str);
        }

        private InvalidAudioTrackTimestampException(String str) {
            super(str);
        }
    }

    /* access modifiers changed from: package-private */
    public class a extends Thread {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ AudioTrack f7904a;

        a(AudioTrack audioTrack) {
            this.f7904a = audioTrack;
        }

        public void run() {
            try {
                this.f7904a.flush();
                this.f7904a.release();
            } finally {
                DefaultAudioSink.this.x.open();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends Thread {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ AudioTrack f7906a;

        b(AudioTrack audioTrack) {
            this.f7906a = audioTrack;
        }

        public void run() {
            this.f7906a.release();
        }
    }

    public interface c {
        u a(u uVar);

        long b(long j);

        long c();

        AudioProcessor[] d();
    }

    public static class d implements c {

        /* renamed from: a  reason: collision with root package name */
        private final AudioProcessor[] f7908a;

        /* renamed from: b  reason: collision with root package name */
        private final l f7909b;

        /* renamed from: c  reason: collision with root package name */
        private final o f7910c;

        public d(AudioProcessor... audioProcessorArr) {
            AudioProcessor[] audioProcessorArr2 = (AudioProcessor[]) Arrays.copyOf(audioProcessorArr, audioProcessorArr.length + 2);
            this.f7908a = audioProcessorArr2;
            l lVar = new l();
            this.f7909b = lVar;
            o oVar = new o();
            this.f7910c = oVar;
            audioProcessorArr2[audioProcessorArr.length] = lVar;
            audioProcessorArr2[audioProcessorArr.length + 1] = oVar;
        }

        @Override // com.google.android.exoplayer2.audio.DefaultAudioSink.c
        public u a(u uVar) {
            this.f7909b.t(uVar.f9331d);
            return new u(this.f7910c.m(uVar.f9329b), this.f7910c.l(uVar.f9330c), uVar.f9331d);
        }

        @Override // com.google.android.exoplayer2.audio.DefaultAudioSink.c
        public long b(long j) {
            return this.f7910c.j(j);
        }

        @Override // com.google.android.exoplayer2.audio.DefaultAudioSink.c
        public long c() {
            return this.f7909b.m();
        }

        @Override // com.google.android.exoplayer2.audio.DefaultAudioSink.c
        public AudioProcessor[] d() {
            return this.f7908a;
        }
    }

    /* access modifiers changed from: private */
    public static final class e {

        /* renamed from: a  reason: collision with root package name */
        private final u f7911a;

        /* renamed from: b  reason: collision with root package name */
        private final long f7912b;

        /* renamed from: c  reason: collision with root package name */
        private final long f7913c;

        /* synthetic */ e(u uVar, long j, long j2, a aVar) {
            this(uVar, j, j2);
        }

        private e(u uVar, long j, long j2) {
            this.f7911a = uVar;
            this.f7912b = j;
            this.f7913c = j2;
        }
    }

    private final class f implements f.a {
        private f() {
        }

        @Override // com.google.android.exoplayer2.audio.f.a
        public void a(int i, long j) {
            if (DefaultAudioSink.this.A != null) {
                DefaultAudioSink.this.A.b(i, j, SystemClock.elapsedRealtime() - DefaultAudioSink.this.o0);
            }
        }

        @Override // com.google.android.exoplayer2.audio.f.a
        public void b(long j) {
            Log.w(DefaultAudioSink.k, "Ignoring impossibly large audio latency: " + j);
        }

        @Override // com.google.android.exoplayer2.audio.f.a
        public void c(long j, long j2, long j3, long j4) {
            String str = "Spurious audio timestamp (frame position mismatch): " + j + ", " + j2 + ", " + j3 + ", " + j4 + ", " + DefaultAudioSink.this.F() + ", " + DefaultAudioSink.this.G();
            if (!DefaultAudioSink.p) {
                Log.w(DefaultAudioSink.k, str);
                return;
            }
            throw new InvalidAudioTrackTimestampException(str, null);
        }

        @Override // com.google.android.exoplayer2.audio.f.a
        public void d(long j, long j2, long j3, long j4) {
            String str = "Spurious audio timestamp (system clock mismatch): " + j + ", " + j2 + ", " + j3 + ", " + j4 + ", " + DefaultAudioSink.this.F() + ", " + DefaultAudioSink.this.G();
            if (!DefaultAudioSink.p) {
                Log.w(DefaultAudioSink.k, str);
                return;
            }
            throw new InvalidAudioTrackTimestampException(str, null);
        }

        /* synthetic */ f(DefaultAudioSink defaultAudioSink, a aVar) {
            this();
        }
    }

    public DefaultAudioSink(@Nullable b bVar, AudioProcessor[] audioProcessorArr) {
        this(bVar, audioProcessorArr, false);
    }

    private long A(long j2) {
        return (j2 * ((long) this.G)) / 1000000;
    }

    private void B() {
        int i2 = 0;
        while (true) {
            AudioProcessor[] audioProcessorArr = this.d0;
            if (i2 < audioProcessorArr.length) {
                AudioProcessor audioProcessor = audioProcessorArr[i2];
                audioProcessor.flush();
                this.e0[i2] = audioProcessor.c();
                i2++;
            } else {
                return;
            }
        }
    }

    private long C(long j2) {
        return (j2 * 1000000) / ((long) this.G);
    }

    private AudioProcessor[] D() {
        return this.E ? this.w : this.v;
    }

    private static int E(int i2, ByteBuffer byteBuffer) {
        if (i2 == 7 || i2 == 8) {
            return h.e(byteBuffer);
        }
        if (i2 == 5) {
            return Ac3Util.b();
        }
        if (i2 == 6) {
            return Ac3Util.h(byteBuffer);
        }
        if (i2 == 14) {
            int a2 = Ac3Util.a(byteBuffer);
            if (a2 == -1) {
                return 0;
            }
            return Ac3Util.i(byteBuffer, a2) * 16;
        }
        throw new IllegalStateException("Unexpected audio encoding: " + i2);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private long F() {
        return this.D ? this.U / ((long) this.T) : this.V;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private long G() {
        return this.D ? this.X / ((long) this.W) : this.Y;
    }

    private void H() throws AudioSink.InitializationException {
        this.x.block();
        AudioTrack I2 = I();
        this.C = I2;
        int audioSessionId = I2.getAudioSessionId();
        if (o && b0.f9571a < 21) {
            AudioTrack audioTrack = this.B;
            if (!(audioTrack == null || audioSessionId == audioTrack.getAudioSessionId())) {
                N();
            }
            if (this.B == null) {
                this.B = J(audioSessionId);
            }
        }
        if (this.m0 != audioSessionId) {
            this.m0 = audioSessionId;
            AudioSink.a aVar = this.A;
            if (aVar != null) {
                aVar.a(audioSessionId);
            }
        }
        this.O = this.L ? this.r.a(this.O) : u.f9328a;
        R();
        this.y.s(this.C, this.I, this.W, this.M);
        O();
    }

    private AudioTrack I() throws AudioSink.InitializationException {
        AudioTrack audioTrack;
        if (b0.f9571a >= 21) {
            audioTrack = y();
        } else {
            int P2 = b0.P(this.J.f7918d);
            if (this.m0 == 0) {
                audioTrack = new AudioTrack(P2, this.G, this.H, this.I, this.M, 1);
            } else {
                audioTrack = new AudioTrack(P2, this.G, this.H, this.I, this.M, 1, this.m0);
            }
        }
        int state = audioTrack.getState();
        if (state == 1) {
            return audioTrack;
        }
        try {
            audioTrack.release();
        } catch (Exception unused) {
        }
        throw new AudioSink.InitializationException(state, this.G, this.H, this.M);
    }

    private AudioTrack J(int i2) {
        return new AudioTrack(3, OpenAuthTask.f, 4, 2, 2, 0, i2);
    }

    private long K(long j2) {
        return (j2 * 1000000) / ((long) this.F);
    }

    private boolean L() {
        return this.C != null;
    }

    private void M(long j2) throws AudioSink.WriteException {
        ByteBuffer byteBuffer;
        int length = this.d0.length;
        int i2 = length;
        while (i2 >= 0) {
            if (i2 > 0) {
                byteBuffer = this.e0[i2 - 1];
            } else {
                byteBuffer = this.f0;
                if (byteBuffer == null) {
                    byteBuffer = AudioProcessor.f7898a;
                }
            }
            if (i2 == length) {
                S(byteBuffer, j2);
            } else {
                AudioProcessor audioProcessor = this.d0[i2];
                audioProcessor.d(byteBuffer);
                ByteBuffer c2 = audioProcessor.c();
                this.e0[i2] = c2;
                if (c2.hasRemaining()) {
                    i2++;
                }
            }
            if (!byteBuffer.hasRemaining()) {
                i2--;
            } else {
                return;
            }
        }
    }

    private void N() {
        AudioTrack audioTrack = this.B;
        if (audioTrack != null) {
            this.B = null;
            new b(audioTrack).start();
        }
    }

    private void O() {
        if (L()) {
            if (b0.f9571a >= 21) {
                P(this.C, this.c0);
            } else {
                Q(this.C, this.c0);
            }
        }
    }

    @TargetApi(21)
    private static void P(AudioTrack audioTrack, float f2) {
        audioTrack.setVolume(f2);
    }

    private static void Q(AudioTrack audioTrack, float f2) {
        audioTrack.setStereoVolume(f2, f2);
    }

    private void R() {
        ArrayList arrayList = new ArrayList();
        AudioProcessor[] D2 = D();
        for (AudioProcessor audioProcessor : D2) {
            if (audioProcessor.isActive()) {
                arrayList.add(audioProcessor);
            } else {
                audioProcessor.flush();
            }
        }
        int size = arrayList.size();
        this.d0 = (AudioProcessor[]) arrayList.toArray(new AudioProcessor[size]);
        this.e0 = new ByteBuffer[size];
        B();
    }

    private void S(ByteBuffer byteBuffer, long j2) throws AudioSink.WriteException {
        if (byteBuffer.hasRemaining()) {
            ByteBuffer byteBuffer2 = this.g0;
            boolean z2 = true;
            int i2 = 0;
            if (byteBuffer2 != null) {
                com.google.android.exoplayer2.util.a.a(byteBuffer2 == byteBuffer);
            } else {
                this.g0 = byteBuffer;
                if (b0.f9571a < 21) {
                    int remaining = byteBuffer.remaining();
                    byte[] bArr = this.h0;
                    if (bArr == null || bArr.length < remaining) {
                        this.h0 = new byte[remaining];
                    }
                    int position = byteBuffer.position();
                    byteBuffer.get(this.h0, 0, remaining);
                    byteBuffer.position(position);
                    this.i0 = 0;
                }
            }
            int remaining2 = byteBuffer.remaining();
            if (b0.f9571a < 21) {
                int c2 = this.y.c(this.X);
                if (c2 > 0 && (i2 = this.C.write(this.h0, this.i0, Math.min(remaining2, c2))) > 0) {
                    this.i0 += i2;
                    byteBuffer.position(byteBuffer.position() + i2);
                }
            } else if (this.n0) {
                if (j2 == C.f7870b) {
                    z2 = false;
                }
                com.google.android.exoplayer2.util.a.i(z2);
                i2 = U(this.C, byteBuffer, remaining2, j2);
            } else {
                i2 = T(this.C, byteBuffer, remaining2);
            }
            this.o0 = SystemClock.elapsedRealtime();
            if (i2 >= 0) {
                boolean z3 = this.D;
                if (z3) {
                    this.X += (long) i2;
                }
                if (i2 == remaining2) {
                    if (!z3) {
                        this.Y += (long) this.Z;
                    }
                    this.g0 = null;
                    return;
                }
                return;
            }
            throw new AudioSink.WriteException(i2);
        }
    }

    @TargetApi(21)
    private static int T(AudioTrack audioTrack, ByteBuffer byteBuffer, int i2) {
        return audioTrack.write(byteBuffer, i2, 1);
    }

    @TargetApi(21)
    private int U(AudioTrack audioTrack, ByteBuffer byteBuffer, int i2, long j2) {
        if (this.R == null) {
            ByteBuffer allocate = ByteBuffer.allocate(16);
            this.R = allocate;
            allocate.order(ByteOrder.BIG_ENDIAN);
            this.R.putInt(1431633921);
        }
        if (this.S == 0) {
            this.R.putInt(4, i2);
            this.R.putLong(8, j2 * 1000);
            this.R.position(0);
            this.S = i2;
        }
        int remaining = this.R.remaining();
        if (remaining > 0) {
            int write = audioTrack.write(this.R, remaining, 1);
            if (write < 0) {
                this.S = 0;
                return write;
            } else if (write < remaining) {
                return 0;
            }
        }
        int T2 = T(audioTrack, byteBuffer, i2);
        if (T2 < 0) {
            this.S = 0;
            return T2;
        }
        this.S -= T2;
        return T2;
    }

    private long w(long j2) {
        return j2 + C(this.r.c());
    }

    private long x(long j2) {
        long j3;
        long J2;
        e eVar = null;
        while (!this.z.isEmpty() && j2 >= this.z.getFirst().f7913c) {
            eVar = this.z.remove();
        }
        if (eVar != null) {
            this.O = eVar.f7911a;
            this.Q = eVar.f7913c;
            this.P = eVar.f7912b - this.b0;
        }
        if (this.O.f9329b == 1.0f) {
            return (j2 + this.P) - this.Q;
        }
        if (this.z.isEmpty()) {
            j3 = this.P;
            J2 = this.r.b(j2 - this.Q);
        } else {
            j3 = this.P;
            J2 = b0.J(j2 - this.Q, this.O.f9329b);
        }
        return j3 + J2;
    }

    @TargetApi(21)
    private AudioTrack y() {
        AudioAttributes audioAttributes;
        if (this.n0) {
            audioAttributes = new AudioAttributes.Builder().setContentType(3).setFlags(16).setUsage(1).build();
        } else {
            audioAttributes = this.J.a();
        }
        AudioFormat build = new AudioFormat.Builder().setChannelMask(this.H).setEncoding(this.I).setSampleRate(this.G).build();
        int i2 = this.m0;
        return new AudioTrack(audioAttributes, build, this.M, 1, i2 != 0 ? i2 : 0);
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:0x0021  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x003c  */
    private boolean z() throws AudioSink.WriteException {
        boolean z2;
        int i2;
        AudioProcessor[] audioProcessorArr;
        ByteBuffer byteBuffer;
        if (this.j0 == -1) {
            this.j0 = this.K ? 0 : this.d0.length;
        } else {
            z2 = false;
            i2 = this.j0;
            audioProcessorArr = this.d0;
            if (i2 >= audioProcessorArr.length) {
                AudioProcessor audioProcessor = audioProcessorArr[i2];
                if (z2) {
                    audioProcessor.h();
                }
                M(C.f7870b);
                if (!audioProcessor.b()) {
                    return false;
                }
                this.j0++;
                return false;
            }
            byteBuffer = this.g0;
            if (byteBuffer != null) {
                S(byteBuffer, C.f7870b);
                if (this.g0 != null) {
                    return false;
                }
            }
            this.j0 = -1;
            return true;
        }
        z2 = true;
        i2 = this.j0;
        audioProcessorArr = this.d0;
        if (i2 >= audioProcessorArr.length) {
            byteBuffer = this.g0;
        }
        byteBuffer = this.g0;
        if (byteBuffer != null) {
        }
        this.j0 = -1;
        return true;
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public void a() {
        if (L()) {
            this.U = 0;
            this.V = 0;
            this.X = 0;
            this.Y = 0;
            this.Z = 0;
            u uVar = this.N;
            if (uVar != null) {
                this.O = uVar;
                this.N = null;
            } else if (!this.z.isEmpty()) {
                this.O = this.z.getLast().f7911a;
            }
            this.z.clear();
            this.P = 0;
            this.Q = 0;
            this.f0 = null;
            this.g0 = null;
            B();
            this.k0 = false;
            this.j0 = -1;
            this.R = null;
            this.S = 0;
            this.a0 = 0;
            if (this.y.i()) {
                this.C.pause();
            }
            AudioTrack audioTrack = this.C;
            this.C = null;
            this.y.q();
            this.x.close();
            new a(audioTrack).start();
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public boolean b() {
        return !L() || (this.k0 && !g());
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public u c() {
        return this.O;
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public u d(u uVar) {
        if (!L() || this.L) {
            u uVar2 = this.N;
            if (uVar2 == null) {
                uVar2 = !this.z.isEmpty() ? this.z.getLast().f7911a : this.O;
            }
            if (!uVar.equals(uVar2)) {
                if (L()) {
                    this.N = uVar;
                } else {
                    this.O = this.r.a(uVar);
                }
            }
            return this.O;
        }
        u uVar3 = u.f9328a;
        this.O = uVar3;
        return uVar3;
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x004b  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0090  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x009b  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x00b2  */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00b5  */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x00b8  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00bb  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00be  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00c1  */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00c4  */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x00ea  */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x0106  */
    /* JADX WARNING: Removed duplicated region for block: B:81:0x0128  */
    /* JADX WARNING: Removed duplicated region for block: B:82:0x012d  */
    /* JADX WARNING: Removed duplicated region for block: B:85:0x0132  */
    /* JADX WARNING: Removed duplicated region for block: B:86:0x0135  */
    @Override // com.google.android.exoplayer2.audio.AudioSink
    public void e(int i2, int i3, int i4, int i5, @Nullable int[] iArr, int i6, int i7) throws AudioSink.ConfigurationException {
        boolean z2;
        int i8;
        boolean z3;
        int i9;
        int i10;
        this.F = i4;
        this.D = b0.X(i2);
        boolean z4 = true;
        this.E = this.s && q(1073741824) && b0.W(i2);
        if (this.D) {
            this.T = b0.L(i2, i3);
        }
        int i11 = 4;
        if (this.D) {
            i8 = i2;
            if (i8 != 4) {
                z2 = true;
                this.L = !z2 && !this.E;
                if (!z2) {
                    this.u.j(i6, i7);
                    this.t.j(iArr);
                    AudioProcessor[] D2 = D();
                    i9 = i4;
                    z3 = false;
                    i10 = i3;
                    for (AudioProcessor audioProcessor : D2) {
                        try {
                            z3 |= audioProcessor.i(i9, i10, i8);
                            if (audioProcessor.isActive()) {
                                i10 = audioProcessor.e();
                                i9 = audioProcessor.f();
                                i8 = audioProcessor.g();
                            }
                        } catch (AudioProcessor.UnhandledFormatException e2) {
                            throw new AudioSink.ConfigurationException(e2);
                        }
                    }
                } else {
                    i9 = i4;
                    z3 = false;
                    i10 = i3;
                }
                int i12 = 252;
                int i13 = 12;
                switch (i10) {
                    case 1:
                        break;
                    case 2:
                        i11 = 12;
                        break;
                    case 3:
                        i11 = 28;
                        break;
                    case 4:
                        i11 = c.p.Y2;
                        break;
                    case 5:
                        i11 = c.p.o3;
                        break;
                    case 6:
                        i11 = 252;
                        break;
                    case 7:
                        i11 = 1276;
                        break;
                    case 8:
                        i11 = C.C;
                        break;
                    default:
                        throw new AudioSink.ConfigurationException("Unsupported channel count: " + i10);
                }
                int i14 = b0.f9571a;
                if (i14 <= 23 && "foster".equals(b0.f9572b) && "NVIDIA".equals(b0.f9573c)) {
                    if (!(i10 == 3 || i10 == 5)) {
                        if (i10 == 7) {
                            i12 = C.C;
                        }
                    }
                    if (i14 > 25 || !"fugu".equals(b0.f9572b) || this.D || i10 != 1) {
                        i13 = i12;
                    }
                    if (!z3 || !L() || this.I != i8 || this.G != i9 || this.H != i13) {
                        a();
                        this.K = z2;
                        this.G = i9;
                        this.H = i13;
                        this.I = i8;
                        this.W = this.D ? b0.L(i8, i10) : -1;
                        if (i5 != 0) {
                            this.M = i5;
                            return;
                        } else if (this.D) {
                            int minBufferSize = AudioTrack.getMinBufferSize(i9, i13, this.I);
                            if (minBufferSize == -2) {
                                z4 = false;
                            }
                            com.google.android.exoplayer2.util.a.i(z4);
                            this.M = b0.n(minBufferSize * 4, ((int) A(250000)) * this.W, (int) Math.max((long) minBufferSize, A(f7901c) * ((long) this.W)));
                            return;
                        } else {
                            int i15 = this.I;
                            if (i15 == 5 || i15 == 6) {
                                this.M = CacheDataSink.f9419a;
                                return;
                            } else if (i15 == 7) {
                                this.M = com.ibm.icu.impl.t2.b.s;
                                return;
                            } else {
                                this.M = 294912;
                                return;
                            }
                        }
                    } else {
                        return;
                    }
                }
                i12 = i11;
                i13 = i12;
                if (!z3) {
                }
                a();
                this.K = z2;
                this.G = i9;
                this.H = i13;
                this.I = i8;
                this.W = this.D ? b0.L(i8, i10) : -1;
                if (i5 != 0) {
                }
            }
        } else {
            i8 = i2;
        }
        z2 = false;
        this.L = !z2 && !this.E;
        if (!z2) {
        }
        int i122 = 252;
        int i132 = 12;
        switch (i10) {
        }
        int i142 = b0.f9571a;
        if (i10 == 7) {
        }
        i122 = i11;
        i132 = i122;
        if (!z3) {
        }
        a();
        this.K = z2;
        this.G = i9;
        this.H = i132;
        this.I = i8;
        this.W = this.D ? b0.L(i8, i10) : -1;
        if (i5 != 0) {
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public void f() throws AudioSink.WriteException {
        if (!this.k0 && L() && z()) {
            this.y.g(G());
            this.C.stop();
            this.S = 0;
            this.k0 = true;
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public boolean g() {
        return L() && this.y.h(G());
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public void h(int i2) {
        if (this.m0 != i2) {
            this.m0 = i2;
            a();
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public long i(boolean z2) {
        if (!L() || this.a0 == 0) {
            return Long.MIN_VALUE;
        }
        return this.b0 + w(x(Math.min(this.y.d(z2), C(G()))));
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public void j() {
        if (this.n0) {
            this.n0 = false;
            this.m0 = 0;
            a();
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public void k(a aVar) {
        if (!this.J.equals(aVar)) {
            this.J = aVar;
            if (!this.n0) {
                a();
                this.m0 = 0;
            }
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public void l() {
        if (this.a0 == 1) {
            this.a0 = 2;
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public void m(float f2) {
        if (this.c0 != f2) {
            this.c0 = f2;
            O();
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public boolean n(ByteBuffer byteBuffer, long j2) throws AudioSink.InitializationException, AudioSink.WriteException {
        ByteBuffer byteBuffer2 = this.f0;
        com.google.android.exoplayer2.util.a.a(byteBuffer2 == null || byteBuffer == byteBuffer2);
        if (!L()) {
            H();
            if (this.l0) {
                play();
            }
        }
        if (!this.y.k(G())) {
            return false;
        }
        if (this.f0 == null) {
            if (!byteBuffer.hasRemaining()) {
                return true;
            }
            if (!this.D && this.Z == 0) {
                int E2 = E(this.I, byteBuffer);
                this.Z = E2;
                if (E2 == 0) {
                    return true;
                }
            }
            if (this.N != null) {
                if (!z()) {
                    return false;
                }
                u uVar = this.N;
                this.N = null;
                this.z.add(new e(this.r.a(uVar), Math.max(0L, j2), C(G()), null));
                R();
            }
            if (this.a0 == 0) {
                this.b0 = Math.max(0L, j2);
                this.a0 = 1;
            } else {
                long K2 = this.b0 + K(F());
                if (this.a0 == 1 && Math.abs(K2 - j2) > 200000) {
                    Log.e(k, "Discontinuity detected [expected " + K2 + ", got " + j2 + "]");
                    this.a0 = 2;
                }
                if (this.a0 == 2) {
                    this.b0 += j2 - K2;
                    this.a0 = 1;
                    AudioSink.a aVar = this.A;
                    if (aVar != null) {
                        aVar.c();
                    }
                }
            }
            if (this.D) {
                this.U += (long) byteBuffer.remaining();
            } else {
                this.V += (long) this.Z;
            }
            this.f0 = byteBuffer;
        }
        if (this.K) {
            M(j2);
        } else {
            S(this.f0, j2);
        }
        if (!this.f0.hasRemaining()) {
            this.f0 = null;
            return true;
        } else if (!this.y.j(G())) {
            return false;
        } else {
            Log.w(k, "Resetting stalled audio track");
            a();
            return true;
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public void o(int i2) {
        com.google.android.exoplayer2.util.a.i(b0.f9571a >= 21);
        if (!this.n0 || this.m0 != i2) {
            this.n0 = true;
            this.m0 = i2;
            a();
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public void p(AudioSink.a aVar) {
        this.A = aVar;
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public void pause() {
        this.l0 = false;
        if (L() && this.y.p()) {
            this.C.pause();
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public void play() {
        this.l0 = true;
        if (L()) {
            this.y.t();
            this.C.play();
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public boolean q(int i2) {
        if (!b0.X(i2)) {
            b bVar = this.q;
            if (bVar == null || !bVar.d(i2)) {
                return false;
            }
            return true;
        } else if (i2 != 4 || b0.f9571a >= 21) {
            return true;
        } else {
            return false;
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioSink
    public void release() {
        a();
        N();
        for (AudioProcessor audioProcessor : this.v) {
            audioProcessor.a();
        }
        for (AudioProcessor audioProcessor2 : this.w) {
            audioProcessor2.a();
        }
        this.m0 = 0;
        this.l0 = false;
    }

    public DefaultAudioSink(@Nullable b bVar, AudioProcessor[] audioProcessorArr, boolean z2) {
        this(bVar, new d(audioProcessorArr), z2);
    }

    public DefaultAudioSink(@Nullable b bVar, c cVar, boolean z2) {
        this.q = bVar;
        this.r = (c) com.google.android.exoplayer2.util.a.g(cVar);
        this.s = z2;
        this.x = new ConditionVariable(true);
        this.y = new f(new f(this, null));
        g gVar = new g();
        this.t = gVar;
        p pVar = new p();
        this.u = pVar;
        ArrayList arrayList = new ArrayList();
        Collections.addAll(arrayList, new k(), gVar, pVar);
        Collections.addAll(arrayList, cVar.d());
        this.v = (AudioProcessor[]) arrayList.toArray(new AudioProcessor[arrayList.size()]);
        this.w = new AudioProcessor[]{new i()};
        this.c0 = 1.0f;
        this.a0 = 0;
        this.J = a.f7915a;
        this.m0 = 0;
        this.O = u.f9328a;
        this.j0 = -1;
        this.d0 = new AudioProcessor[0];
        this.e0 = new ByteBuffer[0];
        this.z = new ArrayDeque<>();
    }
}
