package com.google.android.exoplayer2.audio;

import com.google.android.exoplayer2.audio.AudioProcessor;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;

/* compiled from: SilenceSkippingAudioProcessor */
public final class l implements AudioProcessor {

    /* renamed from: b  reason: collision with root package name */
    private static final long f7978b = 150000;

    /* renamed from: c  reason: collision with root package name */
    private static final long f7979c = 20000;

    /* renamed from: d  reason: collision with root package name */
    private static final short f7980d = 1024;

    /* renamed from: e  reason: collision with root package name */
    private static final byte f7981e = 4;
    private static final int f = 0;
    private static final int g = 1;
    private static final int h = 2;
    private int i = -1;
    private int j = -1;
    private int k;
    private boolean l;
    private ByteBuffer m;
    private ByteBuffer n;
    private boolean o;
    private byte[] p = new byte[0];
    private byte[] q = new byte[0];
    private int r;
    private int s;
    private int t;
    private boolean u;
    private long v;

    public l() {
        ByteBuffer byteBuffer = AudioProcessor.f7898a;
        this.m = byteBuffer;
        this.n = byteBuffer;
    }

    private int j(long j2) {
        return (int) ((j2 * ((long) this.j)) / 1000000);
    }

    private int k(ByteBuffer byteBuffer) {
        for (int limit = byteBuffer.limit() - 1; limit >= byteBuffer.position(); limit -= 2) {
            if (Math.abs((int) byteBuffer.get(limit)) > 4) {
                int i2 = this.k;
                return ((limit / i2) * i2) + i2;
            }
        }
        return byteBuffer.position();
    }

    private int l(ByteBuffer byteBuffer) {
        for (int position = byteBuffer.position() + 1; position < byteBuffer.limit(); position += 2) {
            if (Math.abs((int) byteBuffer.get(position)) > 4) {
                int i2 = this.k;
                return i2 * (position / i2);
            }
        }
        return byteBuffer.limit();
    }

    private void n(ByteBuffer byteBuffer) {
        p(byteBuffer.remaining());
        this.m.put(byteBuffer);
        this.m.flip();
        this.n = this.m;
    }

    private void o(byte[] bArr, int i2) {
        p(i2);
        this.m.put(bArr, 0, i2);
        this.m.flip();
        this.n = this.m;
    }

    private void p(int i2) {
        if (this.m.capacity() < i2) {
            this.m = ByteBuffer.allocateDirect(i2).order(ByteOrder.nativeOrder());
        } else {
            this.m.clear();
        }
        if (i2 > 0) {
            this.u = true;
        }
    }

    private void q(ByteBuffer byteBuffer) {
        int limit = byteBuffer.limit();
        int l2 = l(byteBuffer);
        int position = l2 - byteBuffer.position();
        byte[] bArr = this.p;
        int length = bArr.length;
        int i2 = this.s;
        int i3 = length - i2;
        if (l2 >= limit || position >= i3) {
            int min = Math.min(position, i3);
            byteBuffer.limit(byteBuffer.position() + min);
            byteBuffer.get(this.p, this.s, min);
            int i4 = this.s + min;
            this.s = i4;
            byte[] bArr2 = this.p;
            if (i4 == bArr2.length) {
                if (this.u) {
                    o(bArr2, this.t);
                    this.v += (long) ((this.s - (this.t * 2)) / this.k);
                } else {
                    this.v += (long) ((i4 - this.t) / this.k);
                }
                u(byteBuffer, this.p, this.s);
                this.s = 0;
                this.r = 2;
            }
            byteBuffer.limit(limit);
            return;
        }
        o(bArr, i2);
        this.s = 0;
        this.r = 0;
    }

    private void r(ByteBuffer byteBuffer) {
        int limit = byteBuffer.limit();
        byteBuffer.limit(Math.min(limit, byteBuffer.position() + this.p.length));
        int k2 = k(byteBuffer);
        if (k2 == byteBuffer.position()) {
            this.r = 1;
        } else {
            byteBuffer.limit(k2);
            n(byteBuffer);
        }
        byteBuffer.limit(limit);
    }

    private void s(ByteBuffer byteBuffer) {
        int limit = byteBuffer.limit();
        int l2 = l(byteBuffer);
        byteBuffer.limit(l2);
        this.v += (long) (byteBuffer.remaining() / this.k);
        u(byteBuffer, this.q, this.t);
        if (l2 < limit) {
            o(this.q, this.t);
            this.r = 0;
            byteBuffer.limit(limit);
        }
    }

    private void u(ByteBuffer byteBuffer, byte[] bArr, int i2) {
        int min = Math.min(byteBuffer.remaining(), this.t);
        int i3 = this.t - min;
        System.arraycopy(bArr, i2 - i3, this.q, 0, i3);
        byteBuffer.position(byteBuffer.limit() - min);
        byteBuffer.get(this.q, i3, min);
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public void a() {
        this.l = false;
        flush();
        this.m = AudioProcessor.f7898a;
        this.i = -1;
        this.j = -1;
        this.t = 0;
        this.p = new byte[0];
        this.q = new byte[0];
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public boolean b() {
        return this.o && this.n == AudioProcessor.f7898a;
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public ByteBuffer c() {
        ByteBuffer byteBuffer = this.n;
        this.n = AudioProcessor.f7898a;
        return byteBuffer;
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public void d(ByteBuffer byteBuffer) {
        while (byteBuffer.hasRemaining() && !this.n.hasRemaining()) {
            int i2 = this.r;
            if (i2 == 0) {
                r(byteBuffer);
            } else if (i2 == 1) {
                q(byteBuffer);
            } else if (i2 == 2) {
                s(byteBuffer);
            } else {
                throw new IllegalStateException();
            }
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public int e() {
        return this.i;
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public int f() {
        return this.j;
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public void flush() {
        if (isActive()) {
            int j2 = j(f7978b) * this.k;
            if (this.p.length != j2) {
                this.p = new byte[j2];
            }
            int j3 = j(f7979c) * this.k;
            this.t = j3;
            if (this.q.length != j3) {
                this.q = new byte[j3];
            }
        }
        this.r = 0;
        this.n = AudioProcessor.f7898a;
        this.o = false;
        this.v = 0;
        this.s = 0;
        this.u = false;
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public int g() {
        return 2;
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public void h() {
        this.o = true;
        int i2 = this.s;
        if (i2 > 0) {
            o(this.p, i2);
        }
        if (!this.u) {
            this.v += (long) (this.t / this.k);
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public boolean i(int i2, int i3, int i4) throws AudioProcessor.UnhandledFormatException {
        if (i4 != 2) {
            throw new AudioProcessor.UnhandledFormatException(i2, i3, i4);
        } else if (this.j == i2 && this.i == i3) {
            return false;
        } else {
            this.j = i2;
            this.i = i3;
            this.k = i3 * 2;
            return true;
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public boolean isActive() {
        return this.j != -1 && this.l;
    }

    public long m() {
        return this.v;
    }

    public void t(boolean z) {
        this.l = z;
        flush();
    }
}
