package com.google.android.exoplayer2.audio;

import androidx.annotation.Nullable;
import com.google.android.exoplayer2.audio.AudioProcessor;
import com.google.android.exoplayer2.util.a;
import com.google.android.exoplayer2.util.b0;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.ShortBuffer;

/* compiled from: SonicAudioProcessor */
public final class o implements AudioProcessor {

    /* renamed from: b  reason: collision with root package name */
    public static final float f7988b = 8.0f;

    /* renamed from: c  reason: collision with root package name */
    public static final float f7989c = 0.1f;

    /* renamed from: d  reason: collision with root package name */
    public static final float f7990d = 8.0f;

    /* renamed from: e  reason: collision with root package name */
    public static final float f7991e = 0.1f;
    public static final int f = -1;
    private static final float g = 0.01f;
    private static final int h = 1024;
    private int i = -1;
    private int j = -1;
    private float k = 1.0f;
    private float l = 1.0f;
    private int m = -1;
    private int n;
    @Nullable
    private n o;
    private ByteBuffer p;
    private ShortBuffer q;
    private ByteBuffer r;
    private long s;
    private long t;
    private boolean u;

    public o() {
        ByteBuffer byteBuffer = AudioProcessor.f7898a;
        this.p = byteBuffer;
        this.q = byteBuffer.asShortBuffer();
        this.r = byteBuffer;
        this.n = -1;
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public void a() {
        this.k = 1.0f;
        this.l = 1.0f;
        this.i = -1;
        this.j = -1;
        this.m = -1;
        ByteBuffer byteBuffer = AudioProcessor.f7898a;
        this.p = byteBuffer;
        this.q = byteBuffer.asShortBuffer();
        this.r = byteBuffer;
        this.n = -1;
        this.o = null;
        this.s = 0;
        this.t = 0;
        this.u = false;
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public boolean b() {
        n nVar;
        return this.u && ((nVar = this.o) == null || nVar.j() == 0);
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public ByteBuffer c() {
        ByteBuffer byteBuffer = this.r;
        this.r = AudioProcessor.f7898a;
        return byteBuffer;
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public void d(ByteBuffer byteBuffer) {
        a.i(this.o != null);
        if (byteBuffer.hasRemaining()) {
            ShortBuffer asShortBuffer = byteBuffer.asShortBuffer();
            int remaining = byteBuffer.remaining();
            this.s += (long) remaining;
            this.o.s(asShortBuffer);
            byteBuffer.position(byteBuffer.position() + remaining);
        }
        int j2 = this.o.j() * this.i * 2;
        if (j2 > 0) {
            if (this.p.capacity() < j2) {
                ByteBuffer order = ByteBuffer.allocateDirect(j2).order(ByteOrder.nativeOrder());
                this.p = order;
                this.q = order.asShortBuffer();
            } else {
                this.p.clear();
                this.q.clear();
            }
            this.o.k(this.q);
            this.t += (long) j2;
            this.p.limit(j2);
            this.r = this.p;
        }
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public int e() {
        return this.i;
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public int f() {
        return this.m;
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public void flush() {
        if (isActive()) {
            n nVar = this.o;
            if (nVar == null) {
                this.o = new n(this.j, this.i, this.k, this.l, this.m);
            } else {
                nVar.i();
            }
        }
        this.r = AudioProcessor.f7898a;
        this.s = 0;
        this.t = 0;
        this.u = false;
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public int g() {
        return 2;
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public void h() {
        a.i(this.o != null);
        this.o.r();
        this.u = true;
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public boolean i(int i2, int i3, int i4) throws AudioProcessor.UnhandledFormatException {
        if (i4 == 2) {
            int i5 = this.n;
            if (i5 == -1) {
                i5 = i2;
            }
            if (this.j == i2 && this.i == i3 && this.m == i5) {
                return false;
            }
            this.j = i2;
            this.i = i3;
            this.m = i5;
            this.o = null;
            return true;
        }
        throw new AudioProcessor.UnhandledFormatException(i2, i3, i4);
    }

    @Override // com.google.android.exoplayer2.audio.AudioProcessor
    public boolean isActive() {
        return this.j != -1 && (Math.abs(this.k - 1.0f) >= g || Math.abs(this.l - 1.0f) >= g || this.m != this.j);
    }

    public long j(long j2) {
        long j3 = this.t;
        if (j3 < 1024) {
            return (long) (((double) this.k) * ((double) j2));
        }
        int i2 = this.m;
        int i3 = this.j;
        if (i2 == i3) {
            return b0.k0(j2, this.s, j3);
        }
        return b0.k0(j2, this.s * ((long) i2), j3 * ((long) i3));
    }

    public void k(int i2) {
        this.n = i2;
    }

    public float l(float f2) {
        float m2 = b0.m(f2, 0.1f, 8.0f);
        if (this.l != m2) {
            this.l = m2;
            this.o = null;
        }
        flush();
        return m2;
    }

    public float m(float f2) {
        float m2 = b0.m(f2, 0.1f, 8.0f);
        if (this.k != m2) {
            this.k = m2;
            this.o = null;
        }
        flush();
        return m2;
    }
}
