package com.google.android.exoplayer2.drm;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.drm.DrmInitData;
import com.google.android.exoplayer2.drm.DrmSession;
import com.google.android.exoplayer2.drm.b;
import com.google.android.exoplayer2.drm.c;
import com.google.android.exoplayer2.drm.f;
import com.google.android.exoplayer2.drm.g;
import com.google.android.exoplayer2.extractor.mp4.e;
import com.google.android.exoplayer2.util.b0;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.UUID;

@TargetApi(18)
public class DefaultDrmSessionManager<T extends f> implements d<T>, b.c<T> {

    /* renamed from: a  reason: collision with root package name */
    public static final String f8048a = "PRCustomData";

    /* renamed from: b  reason: collision with root package name */
    public static final int f8049b = 0;

    /* renamed from: c  reason: collision with root package name */
    public static final int f8050c = 1;

    /* renamed from: d  reason: collision with root package name */
    public static final int f8051d = 2;

    /* renamed from: e  reason: collision with root package name */
    public static final int f8052e = 3;
    public static final int f = 3;
    private static final String g = "DefaultDrmSessionMgr";
    private final UUID h;
    private final g<T> i;
    private final l j;
    private final HashMap<String, String> k;
    private final c.a l;
    private final boolean m;
    private final int n;
    private final List<b<T>> o;
    private final List<b<T>> p;
    private Looper q;
    private int r;
    private byte[] s;
    volatile DefaultDrmSessionManager<T>.d t;

    public static final class MissingSchemeDataException extends Exception {
        private MissingSchemeDataException(UUID uuid) {
            super("Media does not support uuid: " + uuid);
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface Mode {
    }

    @Deprecated
    public interface b extends c {
    }

    private class c implements g.f<T> {
        private c() {
        }

        @Override // com.google.android.exoplayer2.drm.g.f
        public void a(g<? extends T> gVar, byte[] bArr, int i, int i2, byte[] bArr2) {
            if (DefaultDrmSessionManager.this.r == 0) {
                DefaultDrmSessionManager.this.t.obtainMessage(i, bArr).sendToTarget();
            }
        }
    }

    @SuppressLint({"HandlerLeak"})
    private class d extends Handler {
        public d(Looper looper) {
            super(looper);
        }

        public void handleMessage(Message message) {
            byte[] bArr = (byte[]) message.obj;
            for (b bVar : DefaultDrmSessionManager.this.o) {
                if (bVar.l(bArr)) {
                    bVar.r(message.what);
                    return;
                }
            }
        }
    }

    @Deprecated
    public DefaultDrmSessionManager(UUID uuid, g<T> gVar, l lVar, HashMap<String, String> hashMap, Handler handler, c cVar) {
        this(uuid, gVar, lVar, hashMap);
        if (handler != null && cVar != null) {
            i(handler, cVar);
        }
    }

    private static DrmInitData.SchemeData l(DrmInitData drmInitData, UUID uuid, boolean z) {
        ArrayList arrayList = new ArrayList(drmInitData.J0);
        int i2 = 0;
        while (true) {
            boolean z2 = true;
            if (i2 >= drmInitData.J0) {
                break;
            }
            DrmInitData.SchemeData e2 = drmInitData.e(i2);
            if (!e2.d(uuid) && (!C.j1.equals(uuid) || !e2.d(C.i1))) {
                z2 = false;
            }
            if (z2 && (e2.K0 != null || z)) {
                arrayList.add(e2);
            }
            i2++;
        }
        if (arrayList.isEmpty()) {
            return null;
        }
        if (C.k1.equals(uuid)) {
            for (int i3 = 0; i3 < arrayList.size(); i3++) {
                DrmInitData.SchemeData schemeData = (DrmInitData.SchemeData) arrayList.get(i3);
                int f2 = schemeData.c() ? e.f(schemeData.K0) : -1;
                int i4 = b0.f9571a;
                if (i4 < 23 && f2 == 0) {
                    return schemeData;
                }
                if (i4 >= 23 && f2 == 1) {
                    return schemeData;
                }
            }
        }
        return (DrmInitData.SchemeData) arrayList.get(0);
    }

    public static DefaultDrmSessionManager<h> m(UUID uuid, l lVar, HashMap<String, String> hashMap) throws UnsupportedDrmException {
        return new DefaultDrmSessionManager<>(uuid, (g<h>) i.r(uuid), lVar, hashMap, false, 3);
    }

    @Deprecated
    public static DefaultDrmSessionManager<h> n(UUID uuid, l lVar, HashMap<String, String> hashMap, Handler handler, c cVar) throws UnsupportedDrmException {
        DefaultDrmSessionManager<h> m2 = m(uuid, lVar, hashMap);
        if (!(handler == null || cVar == null)) {
            m2.i(handler, cVar);
        }
        return m2;
    }

    public static DefaultDrmSessionManager<h> o(l lVar, String str) throws UnsupportedDrmException {
        HashMap hashMap;
        if (!TextUtils.isEmpty(str)) {
            hashMap = new HashMap();
            hashMap.put(f8048a, str);
        } else {
            hashMap = null;
        }
        return m(C.l1, lVar, hashMap);
    }

    @Deprecated
    public static DefaultDrmSessionManager<h> p(l lVar, String str, Handler handler, c cVar) throws UnsupportedDrmException {
        DefaultDrmSessionManager<h> o2 = o(lVar, str);
        if (!(handler == null || cVar == null)) {
            o2.i(handler, cVar);
        }
        return o2;
    }

    public static DefaultDrmSessionManager<h> q(l lVar, HashMap<String, String> hashMap) throws UnsupportedDrmException {
        return m(C.k1, lVar, hashMap);
    }

    @Deprecated
    public static DefaultDrmSessionManager<h> r(l lVar, HashMap<String, String> hashMap, Handler handler, c cVar) throws UnsupportedDrmException {
        DefaultDrmSessionManager<h> q2 = q(lVar, hashMap);
        if (!(handler == null || cVar == null)) {
            q2.i(handler, cVar);
        }
        return q2;
    }

    @Override // com.google.android.exoplayer2.drm.d
    public DrmSession<T> a(Looper looper, DrmInitData drmInitData) {
        DrmInitData.SchemeData schemeData;
        Looper looper2 = this.q;
        com.google.android.exoplayer2.util.a.i(looper2 == null || looper2 == looper);
        if (this.o.isEmpty()) {
            this.q = looper;
            if (this.t == null) {
                this.t = new d(looper);
            }
        }
        b<T> bVar = null;
        if (this.s == null) {
            DrmInitData.SchemeData l2 = l(drmInitData, this.h, false);
            if (l2 == null) {
                MissingSchemeDataException missingSchemeDataException = new MissingSchemeDataException(this.h);
                this.l.e(missingSchemeDataException);
                return new e(new DrmSession.DrmSessionException(missingSchemeDataException));
            }
            schemeData = l2;
        } else {
            schemeData = null;
        }
        if (this.m) {
            byte[] bArr = schemeData != null ? schemeData.K0 : null;
            Iterator<b<T>> it = this.o.iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                b<T> next = it.next();
                if (next.k(bArr)) {
                    bVar = next;
                    break;
                }
            }
        } else if (!this.o.isEmpty()) {
            bVar = this.o.get(0);
        }
        if (bVar == null) {
            b<T> bVar2 = new b<>(this.h, this.i, this, schemeData, this.r, this.s, this.k, this.j, looper, this.l, this.n);
            this.o.add(bVar2);
            bVar = bVar2;
        }
        bVar.h();
        return bVar;
    }

    @Override // com.google.android.exoplayer2.drm.b.c
    public void b(b<T> bVar) {
        this.p.add(bVar);
        if (this.p.size() == 1) {
            bVar.x();
        }
    }

    @Override // com.google.android.exoplayer2.drm.b.c
    public void c(Exception exc) {
        for (b<T> bVar : this.p) {
            bVar.t(exc);
        }
        this.p.clear();
    }

    @Override // com.google.android.exoplayer2.drm.d
    public boolean d(@NonNull DrmInitData drmInitData) {
        if (this.s != null) {
            return true;
        }
        if (l(drmInitData, this.h, true) == null) {
            if (drmInitData.J0 != 1 || !drmInitData.e(0).d(C.i1)) {
                return false;
            }
            Log.w(g, "DrmInitData only contains common PSSH SchemeData. Assuming support for: " + this.h);
        }
        String str = drmInitData.I0;
        if (str == null || C.d1.equals(str)) {
            return true;
        }
        if ((C.e1.equals(str) || C.g1.equals(str) || C.f1.equals(str)) && b0.f9571a < 25) {
            return false;
        }
        return true;
    }

    @Override // com.google.android.exoplayer2.drm.b.c
    public void e() {
        for (b<T> bVar : this.p) {
            bVar.s();
        }
        this.p.clear();
    }

    @Override // com.google.android.exoplayer2.drm.d
    public void f(DrmSession<T> drmSession) {
        if (!(drmSession instanceof e)) {
            b<T> bVar = (b) drmSession;
            if (bVar.y()) {
                this.o.remove(bVar);
                if (this.p.size() > 1 && this.p.get(0) == bVar) {
                    this.p.get(1).x();
                }
                this.p.remove(bVar);
            }
        }
    }

    public final void i(Handler handler, c cVar) {
        this.l.a(handler, cVar);
    }

    public final byte[] j(String str) {
        return this.i.k(str);
    }

    public final String k(String str) {
        return this.i.c(str);
    }

    public final void s(c cVar) {
        this.l.f(cVar);
    }

    public void t(int i2, byte[] bArr) {
        com.google.android.exoplayer2.util.a.i(this.o.isEmpty());
        if (i2 == 1 || i2 == 3) {
            com.google.android.exoplayer2.util.a.g(bArr);
        }
        this.r = i2;
        this.s = bArr;
    }

    public final void u(String str, byte[] bArr) {
        this.i.b(str, bArr);
    }

    public final void v(String str, String str2) {
        this.i.i(str, str2);
    }

    public DefaultDrmSessionManager(UUID uuid, g<T> gVar, l lVar, HashMap<String, String> hashMap) {
        this(uuid, (g) gVar, lVar, hashMap, false, 3);
    }

    @Deprecated
    public DefaultDrmSessionManager(UUID uuid, g<T> gVar, l lVar, HashMap<String, String> hashMap, Handler handler, c cVar, boolean z) {
        this(uuid, gVar, lVar, hashMap, z);
        if (handler != null && cVar != null) {
            i(handler, cVar);
        }
    }

    public DefaultDrmSessionManager(UUID uuid, g<T> gVar, l lVar, HashMap<String, String> hashMap, boolean z) {
        this(uuid, gVar, lVar, hashMap, z, 3);
    }

    @Deprecated
    public DefaultDrmSessionManager(UUID uuid, g<T> gVar, l lVar, HashMap<String, String> hashMap, Handler handler, c cVar, boolean z, int i2) {
        this(uuid, gVar, lVar, hashMap, z, i2);
        if (handler != null && cVar != null) {
            i(handler, cVar);
        }
    }

    public DefaultDrmSessionManager(UUID uuid, g<T> gVar, l lVar, HashMap<String, String> hashMap, boolean z, int i2) {
        com.google.android.exoplayer2.util.a.g(uuid);
        com.google.android.exoplayer2.util.a.g(gVar);
        com.google.android.exoplayer2.util.a.b(!C.i1.equals(uuid), "Use C.CLEARKEY_UUID instead");
        this.h = uuid;
        this.i = gVar;
        this.j = lVar;
        this.k = hashMap;
        this.l = new c.a();
        this.m = z;
        this.n = i2;
        this.r = 0;
        this.o = new ArrayList();
        this.p = new ArrayList();
        if (z) {
            gVar.i("sessionSharing", "enable");
        }
        gVar.l(new c());
    }
}
