package com.google.android.exoplayer2.drm;

import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.util.b0;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Comparator;
import java.util.List;
import java.util.UUID;

public final class DrmInitData implements Comparator<SchemeData>, Parcelable {
    public static final Parcelable.Creator<DrmInitData> CREATOR = new a();
    @Nullable
    public final String I0;
    public final int J0;

    /* renamed from: a  reason: collision with root package name */
    private final SchemeData[] f8055a;

    /* renamed from: b  reason: collision with root package name */
    private int f8056b;

    public static final class SchemeData implements Parcelable {
        public static final Parcelable.Creator<SchemeData> CREATOR = new a();
        @Nullable
        public final String I0;
        public final String J0;
        public final byte[] K0;
        public final boolean L0;

        /* renamed from: a  reason: collision with root package name */
        private int f8057a;

        /* renamed from: b  reason: collision with root package name */
        private final UUID f8058b;

        static class a implements Parcelable.Creator<SchemeData> {
            a() {
            }

            /* renamed from: a */
            public SchemeData createFromParcel(Parcel parcel) {
                return new SchemeData(parcel);
            }

            /* renamed from: b */
            public SchemeData[] newArray(int i) {
                return new SchemeData[i];
            }
        }

        public SchemeData(UUID uuid, String str, byte[] bArr) {
            this(uuid, str, bArr, false);
        }

        public boolean b(SchemeData schemeData) {
            return c() && !schemeData.c() && d(schemeData.f8058b);
        }

        public boolean c() {
            return this.K0 != null;
        }

        public boolean d(UUID uuid) {
            return C.h1.equals(this.f8058b) || uuid.equals(this.f8058b);
        }

        public int describeContents() {
            return 0;
        }

        public boolean equals(@Nullable Object obj) {
            if (!(obj instanceof SchemeData)) {
                return false;
            }
            if (obj == this) {
                return true;
            }
            SchemeData schemeData = (SchemeData) obj;
            if (!b0.b(this.I0, schemeData.I0) || !b0.b(this.J0, schemeData.J0) || !b0.b(this.f8058b, schemeData.f8058b) || !Arrays.equals(this.K0, schemeData.K0)) {
                return false;
            }
            return true;
        }

        public int hashCode() {
            if (this.f8057a == 0) {
                int hashCode = this.f8058b.hashCode() * 31;
                String str = this.I0;
                this.f8057a = ((((hashCode + (str == null ? 0 : str.hashCode())) * 31) + this.J0.hashCode()) * 31) + Arrays.hashCode(this.K0);
            }
            return this.f8057a;
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeLong(this.f8058b.getMostSignificantBits());
            parcel.writeLong(this.f8058b.getLeastSignificantBits());
            parcel.writeString(this.I0);
            parcel.writeString(this.J0);
            parcel.writeByteArray(this.K0);
            parcel.writeByte(this.L0 ? (byte) 1 : 0);
        }

        public SchemeData(UUID uuid, String str, byte[] bArr, boolean z) {
            this(uuid, null, str, bArr, z);
        }

        public SchemeData(UUID uuid, @Nullable String str, String str2, byte[] bArr, boolean z) {
            this.f8058b = (UUID) com.google.android.exoplayer2.util.a.g(uuid);
            this.I0 = str;
            this.J0 = (String) com.google.android.exoplayer2.util.a.g(str2);
            this.K0 = bArr;
            this.L0 = z;
        }

        SchemeData(Parcel parcel) {
            this.f8058b = new UUID(parcel.readLong(), parcel.readLong());
            this.I0 = parcel.readString();
            this.J0 = parcel.readString();
            this.K0 = parcel.createByteArray();
            this.L0 = parcel.readByte() != 0;
        }
    }

    static class a implements Parcelable.Creator<DrmInitData> {
        a() {
        }

        /* renamed from: a */
        public DrmInitData createFromParcel(Parcel parcel) {
            return new DrmInitData(parcel);
        }

        /* renamed from: b */
        public DrmInitData[] newArray(int i) {
            return new DrmInitData[i];
        }
    }

    public DrmInitData(List<SchemeData> list) {
        this(null, false, (SchemeData[]) list.toArray(new SchemeData[list.size()]));
    }

    private static boolean b(ArrayList<SchemeData> arrayList, int i, UUID uuid) {
        for (int i2 = 0; i2 < i; i2++) {
            if (arrayList.get(i2).f8058b.equals(uuid)) {
                return true;
            }
        }
        return false;
    }

    @Nullable
    public static DrmInitData d(@Nullable DrmInitData drmInitData, @Nullable DrmInitData drmInitData2) {
        String str;
        ArrayList arrayList = new ArrayList();
        if (drmInitData != null) {
            str = drmInitData.I0;
            SchemeData[] schemeDataArr = drmInitData.f8055a;
            for (SchemeData schemeData : schemeDataArr) {
                if (schemeData.c()) {
                    arrayList.add(schemeData);
                }
            }
        } else {
            str = null;
        }
        if (drmInitData2 != null) {
            if (str == null) {
                str = drmInitData2.I0;
            }
            int size = arrayList.size();
            SchemeData[] schemeDataArr2 = drmInitData2.f8055a;
            for (SchemeData schemeData2 : schemeDataArr2) {
                if (schemeData2.c() && !b(arrayList, size, schemeData2.f8058b)) {
                    arrayList.add(schemeData2);
                }
            }
        }
        if (arrayList.isEmpty()) {
            return null;
        }
        return new DrmInitData(str, arrayList);
    }

    /* renamed from: a */
    public int compare(SchemeData schemeData, SchemeData schemeData2) {
        UUID uuid = C.h1;
        if (uuid.equals(schemeData.f8058b)) {
            return uuid.equals(schemeData2.f8058b) ? 0 : 1;
        }
        return schemeData.f8058b.compareTo(schemeData2.f8058b);
    }

    public DrmInitData c(@Nullable String str) {
        if (b0.b(this.I0, str)) {
            return this;
        }
        return new DrmInitData(str, false, this.f8055a);
    }

    public int describeContents() {
        return 0;
    }

    public SchemeData e(int i) {
        return this.f8055a[i];
    }

    public boolean equals(@Nullable Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || DrmInitData.class != obj.getClass()) {
            return false;
        }
        DrmInitData drmInitData = (DrmInitData) obj;
        if (!b0.b(this.I0, drmInitData.I0) || !Arrays.equals(this.f8055a, drmInitData.f8055a)) {
            return false;
        }
        return true;
    }

    @Deprecated
    public SchemeData f(UUID uuid) {
        SchemeData[] schemeDataArr = this.f8055a;
        for (SchemeData schemeData : schemeDataArr) {
            if (schemeData.d(uuid)) {
                return schemeData;
            }
        }
        return null;
    }

    public int hashCode() {
        if (this.f8056b == 0) {
            String str = this.I0;
            this.f8056b = ((str == null ? 0 : str.hashCode()) * 31) + Arrays.hashCode(this.f8055a);
        }
        return this.f8056b;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.I0);
        parcel.writeTypedArray(this.f8055a, 0);
    }

    public DrmInitData(String str, List<SchemeData> list) {
        this(str, false, (SchemeData[]) list.toArray(new SchemeData[list.size()]));
    }

    public DrmInitData(SchemeData... schemeDataArr) {
        this((String) null, schemeDataArr);
    }

    public DrmInitData(@Nullable String str, SchemeData... schemeDataArr) {
        this(str, true, schemeDataArr);
    }

    private DrmInitData(@Nullable String str, boolean z, SchemeData... schemeDataArr) {
        this.I0 = str;
        schemeDataArr = z ? (SchemeData[]) schemeDataArr.clone() : schemeDataArr;
        Arrays.sort(schemeDataArr, this);
        this.f8055a = schemeDataArr;
        this.J0 = schemeDataArr.length;
    }

    DrmInitData(Parcel parcel) {
        this.I0 = parcel.readString();
        SchemeData[] schemeDataArr = (SchemeData[]) parcel.createTypedArray(SchemeData.CREATOR);
        this.f8055a = schemeDataArr;
        this.J0 = schemeDataArr.length;
    }
}
