package com.google.android.exoplayer2.drm;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.media.NotProvisionedException;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import android.util.Pair;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.drm.DrmInitData;
import com.google.android.exoplayer2.drm.DrmSession;
import com.google.android.exoplayer2.drm.c;
import com.google.android.exoplayer2.drm.f;
import com.google.android.exoplayer2.drm.g;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

/* access modifiers changed from: package-private */
@TargetApi(18)
/* compiled from: DefaultDrmSession */
public class b<T extends f> implements DrmSession<T> {
    private static final String f = "DefaultDrmSession";
    private static final int g = 0;
    private static final int h = 1;
    private static final int i = 60;
    private byte[] A;
    private Object B;
    private Object C;
    private final g<T> j;
    private final c<T> k;
    private final DrmInitData.SchemeData l;
    private final int m;
    private final HashMap<String, String> n;
    private final c.a o;
    private final int p;
    final l q;
    final UUID r;
    final b<T>.HandlerC0200b s;
    private int t;
    private int u;
    private HandlerThread v;
    private b<T>.a w;
    private T x;
    private DrmSession.DrmSessionException y;
    private byte[] z;

    /* access modifiers changed from: private */
    @SuppressLint({"HandlerLeak"})
    /* compiled from: DefaultDrmSession */
    public class a extends Handler {
        public a(Looper looper) {
            super(looper);
        }

        private long a(int i) {
            return (long) Math.min((i - 1) * 1000, 5000);
        }

        private boolean b(Message message) {
            int i;
            if (!(message.arg1 == 1) || (i = message.arg2 + 1) > b.this.p) {
                return false;
            }
            Message obtain = Message.obtain(message);
            obtain.arg2 = i;
            sendMessageDelayed(obtain, a(i));
            return true;
        }

        /* access modifiers changed from: package-private */
        public void c(int i, Object obj, boolean z) {
            obtainMessage(i, z ? 1 : 0, 0, obj).sendToTarget();
        }

        public void handleMessage(Message message) {
            Object e2;
            Object obj = message.obj;
            try {
                int i = message.what;
                if (i == 0) {
                    b bVar = b.this;
                    e2 = bVar.q.a(bVar.r, (g.h) obj);
                } else if (i == 1) {
                    Pair pair = (Pair) obj;
                    b bVar2 = b.this;
                    e2 = bVar2.q.b(bVar2.r, (g.d) pair.first, (String) pair.second);
                } else {
                    throw new RuntimeException();
                }
            } catch (Exception e3) {
                e2 = e3;
                if (b(message)) {
                    return;
                }
            }
            b.this.s.obtainMessage(message.what, Pair.create(obj, e2)).sendToTarget();
        }
    }

    /* access modifiers changed from: private */
    @SuppressLint({"HandlerLeak"})
    /* renamed from: com.google.android.exoplayer2.drm.b$b  reason: collision with other inner class name */
    /* compiled from: DefaultDrmSession */
    public class HandlerC0200b extends Handler {
        public HandlerC0200b(Looper looper) {
            super(looper);
        }

        public void handleMessage(Message message) {
            Pair pair = (Pair) message.obj;
            Object obj = pair.first;
            Object obj2 = pair.second;
            int i = message.what;
            if (i == 0) {
                b.this.u(obj, obj2);
            } else if (i == 1) {
                b.this.o(obj, obj2);
            }
        }
    }

    /* compiled from: DefaultDrmSession */
    public interface c<T extends f> {
        void b(b<T> bVar);

        void c(Exception exc);

        void e();
    }

    public b(UUID uuid, g<T> gVar, c<T> cVar, @Nullable DrmInitData.SchemeData schemeData, int i2, @Nullable byte[] bArr, HashMap<String, String> hashMap, l lVar, Looper looper, c.a aVar, int i3) {
        this.r = uuid;
        this.k = cVar;
        this.j = gVar;
        this.m = i2;
        this.A = bArr;
        this.l = bArr != null ? null : schemeData;
        this.n = hashMap;
        this.q = lVar;
        this.p = i3;
        this.o = aVar;
        this.t = 2;
        this.s = new HandlerC0200b(looper);
        HandlerThread handlerThread = new HandlerThread("DrmRequestHandler");
        this.v = handlerThread;
        handlerThread.start();
        this.w = new a(this.v.getLooper());
    }

    private void i(boolean z2) {
        int i2 = this.m;
        if (i2 == 0 || i2 == 1) {
            if (this.A == null) {
                w(1, z2);
            } else if (this.t == 4 || z()) {
                long j2 = j();
                if (this.m == 0 && j2 <= 60) {
                    Log.d(f, "Offline license has expired or will expire soon. Remaining seconds: " + j2);
                    w(2, z2);
                } else if (j2 <= 0) {
                    n(new KeysExpiredException());
                } else {
                    this.t = 4;
                    this.o.d();
                }
            }
        } else if (i2 != 2) {
            if (i2 == 3 && z()) {
                w(3, z2);
            }
        } else if (this.A == null) {
            w(2, z2);
        } else if (z()) {
            w(2, z2);
        }
    }

    private long j() {
        if (!C.k1.equals(this.r)) {
            return Long.MAX_VALUE;
        }
        Pair<Long, Long> b2 = n.b(this);
        return Math.min(((Long) b2.first).longValue(), ((Long) b2.second).longValue());
    }

    private boolean m() {
        int i2 = this.t;
        return i2 == 3 || i2 == 4;
    }

    private void n(Exception exc) {
        this.y = new DrmSession.DrmSessionException(exc);
        this.o.e(exc);
        if (this.t != 4) {
            this.t = 1;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void o(Object obj, Object obj2) {
        if (obj == this.B && m()) {
            this.B = null;
            if (obj2 instanceof Exception) {
                p((Exception) obj2);
                return;
            }
            try {
                byte[] bArr = (byte[]) obj2;
                if (this.m == 3) {
                    this.j.m(this.A, bArr);
                    this.o.c();
                    return;
                }
                byte[] m2 = this.j.m(this.z, bArr);
                int i2 = this.m;
                if (!((i2 != 2 && (i2 != 0 || this.A == null)) || m2 == null || m2.length == 0)) {
                    this.A = m2;
                }
                this.t = 4;
                this.o.b();
            } catch (Exception e2) {
                p(e2);
            }
        }
    }

    private void p(Exception exc) {
        if (exc instanceof NotProvisionedException) {
            this.k.b(this);
        } else {
            n(exc);
        }
    }

    private void q() {
        if (this.t == 4) {
            this.t = 3;
            n(new KeysExpiredException());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void u(Object obj, Object obj2) {
        if (obj != this.C) {
            return;
        }
        if (this.t == 2 || m()) {
            this.C = null;
            if (obj2 instanceof Exception) {
                this.k.c((Exception) obj2);
                return;
            }
            try {
                this.j.n((byte[]) obj2);
                this.k.e();
            } catch (Exception e2) {
                this.k.c(e2);
            }
        }
    }

    private boolean v(boolean z2) {
        if (m()) {
            return true;
        }
        try {
            byte[] g2 = this.j.g();
            this.z = g2;
            this.x = this.j.d(g2);
            this.t = 3;
            return true;
        } catch (NotProvisionedException e2) {
            if (z2) {
                this.k.b(this);
                return false;
            }
            n(e2);
            return false;
        } catch (Exception e3) {
            n(e3);
            return false;
        }
    }

    private void w(int i2, boolean z2) {
        String str;
        byte[] bArr;
        String str2;
        byte[] bArr2 = i2 == 3 ? this.A : this.z;
        DrmInitData.SchemeData schemeData = this.l;
        if (schemeData != null) {
            byte[] bArr3 = schemeData.K0;
            String str3 = schemeData.J0;
            str2 = schemeData.I0;
            str = str3;
            bArr = bArr3;
        } else {
            str2 = null;
            bArr = null;
            str = null;
        }
        try {
            Pair create = Pair.create(this.j.f(bArr2, bArr, str, i2, this.n), str2);
            this.B = create;
            this.w.c(1, create, z2);
        } catch (Exception e2) {
            p(e2);
        }
    }

    private boolean z() {
        try {
            this.j.h(this.z, this.A);
            return true;
        } catch (Exception e2) {
            Log.e(f, "Error trying to restore Widevine keys.", e2);
            n(e2);
            return false;
        }
    }

    @Override // com.google.android.exoplayer2.drm.DrmSession
    public Map<String, String> a() {
        byte[] bArr = this.z;
        if (bArr == null) {
            return null;
        }
        return this.j.a(bArr);
    }

    @Override // com.google.android.exoplayer2.drm.DrmSession
    public final T b() {
        return this.x;
    }

    @Override // com.google.android.exoplayer2.drm.DrmSession
    public byte[] c() {
        return this.A;
    }

    @Override // com.google.android.exoplayer2.drm.DrmSession
    public final DrmSession.DrmSessionException d() {
        if (this.t == 1) {
            return this.y;
        }
        return null;
    }

    @Override // com.google.android.exoplayer2.drm.DrmSession
    public final int getState() {
        return this.t;
    }

    public void h() {
        int i2 = this.u + 1;
        this.u = i2;
        if (i2 == 1 && this.t != 1 && v(true)) {
            i(true);
        }
    }

    public boolean k(byte[] bArr) {
        DrmInitData.SchemeData schemeData = this.l;
        return Arrays.equals(schemeData != null ? schemeData.K0 : null, bArr);
    }

    public boolean l(byte[] bArr) {
        return Arrays.equals(this.z, bArr);
    }

    public void r(int i2) {
        if (m()) {
            if (i2 == 1) {
                this.t = 3;
                this.k.b(this);
            } else if (i2 == 2) {
                i(false);
            } else if (i2 == 3) {
                q();
            }
        }
    }

    public void s() {
        if (v(false)) {
            i(true);
        }
    }

    public void t(Exception exc) {
        n(exc);
    }

    public void x() {
        g.h e2 = this.j.e();
        this.C = e2;
        this.w.c(0, e2, true);
    }

    public boolean y() {
        int i2 = this.u - 1;
        this.u = i2;
        if (i2 != 0) {
            return false;
        }
        this.t = 0;
        this.s.removeCallbacksAndMessages(null);
        this.w.removeCallbacksAndMessages(null);
        this.w = null;
        this.v.quit();
        this.v = null;
        this.x = null;
        this.y = null;
        this.B = null;
        this.C = null;
        byte[] bArr = this.z;
        if (bArr != null) {
            this.j.j(bArr);
            this.z = null;
        }
        return true;
    }
}
