package com.google.android.exoplayer2.drm;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.media.DeniedByServerException;
import android.media.MediaCrypto;
import android.media.MediaCryptoException;
import android.media.MediaDrm;
import android.media.MediaDrmException;
import android.media.NotProvisionedException;
import android.media.UnsupportedSchemeException;
import android.os.Handler;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.drm.g;
import com.google.android.exoplayer2.extractor.mp4.e;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.n;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;

@TargetApi(23)
/* compiled from: FrameworkMediaDrm */
public final class i implements g<h> {
    private static final String g = "cenc";
    private final UUID h;
    private final MediaDrm i;

    /* compiled from: FrameworkMediaDrm */
    class a implements MediaDrm.OnEventListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ g.f f8091a;

        a(g.f fVar) {
            this.f8091a = fVar;
        }

        public void onEvent(@NonNull MediaDrm mediaDrm, @Nullable byte[] bArr, int i, int i2, byte[] bArr2) {
            this.f8091a.a(i.this, bArr, i, i2, bArr2);
        }
    }

    /* compiled from: FrameworkMediaDrm */
    class b implements MediaDrm.OnKeyStatusChangeListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ g.AbstractC0203g f8093a;

        b(g.AbstractC0203g gVar) {
            this.f8093a = gVar;
        }

        @Override // android.media.MediaDrm.OnKeyStatusChangeListener
        public void onKeyStatusChange(@NonNull MediaDrm mediaDrm, @NonNull byte[] bArr, @NonNull List<MediaDrm.KeyStatus> list, boolean z) {
            ArrayList arrayList = new ArrayList();
            for (MediaDrm.KeyStatus keyStatus : list) {
                arrayList.add(new g.b(keyStatus.getStatusCode(), keyStatus.getKeyId()));
            }
            this.f8093a.a(i.this, bArr, arrayList, z);
        }
    }

    @SuppressLint({"WrongConstant"})
    private i(UUID uuid) throws UnsupportedSchemeException {
        com.google.android.exoplayer2.util.a.g(uuid);
        UUID uuid2 = C.i1;
        com.google.android.exoplayer2.util.a.b(!uuid2.equals(uuid), "Use C.CLEARKEY_UUID instead");
        if (b0.f9571a < 27 && C.j1.equals(uuid)) {
            uuid = uuid2;
        }
        this.h = uuid;
        MediaDrm mediaDrm = new MediaDrm(uuid);
        this.i = mediaDrm;
        if (C.k1.equals(uuid) && q()) {
            mediaDrm.setPropertyString("securityLevel", "L3");
        }
    }

    private static boolean q() {
        return "ASUS_Z00AD".equals(b0.f9574d);
    }

    public static i r(UUID uuid) throws UnsupportedDrmException {
        try {
            return new i(uuid);
        } catch (UnsupportedSchemeException e2) {
            throw new UnsupportedDrmException(1, e2);
        } catch (Exception e3) {
            throw new UnsupportedDrmException(2, e3);
        }
    }

    @Override // com.google.android.exoplayer2.drm.g
    public Map<String, String> a(byte[] bArr) {
        return this.i.queryKeyStatus(bArr);
    }

    @Override // com.google.android.exoplayer2.drm.g
    public void b(String str, byte[] bArr) {
        this.i.setPropertyByteArray(str, bArr);
    }

    @Override // com.google.android.exoplayer2.drm.g
    public String c(String str) {
        return this.i.getPropertyString(str);
    }

    @Override // com.google.android.exoplayer2.drm.g
    public g.h e() {
        MediaDrm.ProvisionRequest provisionRequest = this.i.getProvisionRequest();
        return new g.c(provisionRequest.getData(), provisionRequest.getDefaultUrl());
    }

    /* JADX WARNING: Code restructure failed: missing block: B:13:0x003c, code lost:
        if ("AFTM".equals(r1) == false) goto L_0x0049;
     */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x0082  */
    @Override // com.google.android.exoplayer2.drm.g
    public g.d f(byte[] bArr, byte[] bArr2, String str, int i2, HashMap<String, String> hashMap) throws NotProvisionedException {
        byte[] bArr3;
        int i3 = b0.f9571a;
        if (i3 >= 21 || !C.k1.equals(this.h)) {
            if (C.l1.equals(this.h) && "Amazon".equals(b0.f9573c)) {
                String str2 = b0.f9574d;
                if (!"AFTB".equals(str2)) {
                    if (!"AFTS".equals(str2)) {
                    }
                }
            }
            bArr3 = bArr2;
            if (i3 < 26 && C.j1.equals(this.h) && ("video/mp4".equals(str) || n.q.equals(str))) {
                str = "cenc";
            }
            MediaDrm.KeyRequest keyRequest = this.i.getKeyRequest(bArr, bArr3, str, i2, hashMap);
            byte[] data = keyRequest.getData();
            if (C.j1.equals(this.h)) {
                data = a.a(data);
            }
            return new g.a(data, keyRequest.getDefaultUrl());
        }
        byte[] d2 = e.d(bArr2, this.h);
        if (d2 != null) {
            bArr3 = d2;
            str = "cenc";
            MediaDrm.KeyRequest keyRequest2 = this.i.getKeyRequest(bArr, bArr3, str, i2, hashMap);
            byte[] data2 = keyRequest2.getData();
            if (C.j1.equals(this.h)) {
            }
            return new g.a(data2, keyRequest2.getDefaultUrl());
        }
        bArr3 = bArr2;
        str = "cenc";
        MediaDrm.KeyRequest keyRequest22 = this.i.getKeyRequest(bArr, bArr3, str, i2, hashMap);
        byte[] data22 = keyRequest22.getData();
        if (C.j1.equals(this.h)) {
        }
        return new g.a(data22, keyRequest22.getDefaultUrl());
    }

    @Override // com.google.android.exoplayer2.drm.g
    public byte[] g() throws MediaDrmException {
        return this.i.openSession();
    }

    @Override // com.google.android.exoplayer2.drm.g
    public void h(byte[] bArr, byte[] bArr2) {
        this.i.restoreKeys(bArr, bArr2);
    }

    @Override // com.google.android.exoplayer2.drm.g
    public void i(String str, String str2) {
        this.i.setPropertyString(str, str2);
    }

    @Override // com.google.android.exoplayer2.drm.g
    public void j(byte[] bArr) {
        this.i.closeSession(bArr);
    }

    @Override // com.google.android.exoplayer2.drm.g
    public byte[] k(String str) {
        return this.i.getPropertyByteArray(str);
    }

    @Override // com.google.android.exoplayer2.drm.g
    public void l(g.f<? super h> fVar) {
        this.i.setOnEventListener(fVar == null ? null : new a(fVar));
    }

    @Override // com.google.android.exoplayer2.drm.g
    public byte[] m(byte[] bArr, byte[] bArr2) throws NotProvisionedException, DeniedByServerException {
        if (C.j1.equals(this.h)) {
            bArr2 = a.b(bArr2);
        }
        return this.i.provideKeyResponse(bArr, bArr2);
    }

    @Override // com.google.android.exoplayer2.drm.g
    public void n(byte[] bArr) throws DeniedByServerException {
        this.i.provideProvisionResponse(bArr);
    }

    @Override // com.google.android.exoplayer2.drm.g
    public void o(g.AbstractC0203g<? super h> gVar) {
        if (b0.f9571a >= 23) {
            this.i.setOnKeyStatusChangeListener(gVar == null ? null : new b(gVar), (Handler) null);
            return;
        }
        throw new UnsupportedOperationException();
    }

    /* renamed from: p */
    public h d(byte[] bArr) throws MediaCryptoException {
        return new h(new MediaCrypto(this.h, bArr), b0.f9571a < 21 && C.k1.equals(this.h) && "L3".equals(c("securityLevel")));
    }

    @Override // com.google.android.exoplayer2.drm.g
    public void release() {
        this.i.release();
    }
}
