package com.google.android.exoplayer2.drm;

import android.annotation.TargetApi;
import android.net.Uri;
import android.text.TextUtils;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.drm.g;
import com.google.android.exoplayer2.upstream.DataSpec;
import com.google.android.exoplayer2.upstream.HttpDataSource;
import com.google.android.exoplayer2.upstream.i;
import com.google.android.exoplayer2.util.a;
import com.google.android.exoplayer2.util.b0;
import com.lzy.okgo.model.HttpHeaders;
import java.io.IOException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;

@TargetApi(18)
/* compiled from: HttpMediaDrmCallback */
public final class j implements l {

    /* renamed from: a  reason: collision with root package name */
    private static final int f8095a = 5;

    /* renamed from: b  reason: collision with root package name */
    private final HttpDataSource.c f8096b;

    /* renamed from: c  reason: collision with root package name */
    private final String f8097c;

    /* renamed from: d  reason: collision with root package name */
    private final boolean f8098d;

    /* renamed from: e  reason: collision with root package name */
    private final Map<String, String> f8099e;

    public j(String str, HttpDataSource.c cVar) {
        this(str, false, cVar);
    }

    /* JADX INFO: finally extract failed */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x006b A[Catch:{ InvalidResponseCodeException -> 0x0051, all -> 0x004f }] */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0070  */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x0073 A[LOOP:1: B:7:0x002e->B:29:0x0073, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x007c A[SYNTHETIC] */
    private static byte[] e(HttpDataSource.c cVar, String str, byte[] bArr, Map<String, String> map) throws IOException {
        boolean z;
        int i;
        String f;
        HttpDataSource a2 = cVar.a();
        if (map != null) {
            for (Map.Entry<String, String> entry : map.entrySet()) {
                a2.a(entry.getKey(), entry.getValue());
            }
        }
        String str2 = str;
        int i2 = 0;
        while (true) {
            i iVar = new i(a2, new DataSpec(Uri.parse(str2), bArr, 0, 0, -1, null, 1));
            try {
                byte[] v0 = b0.v0(iVar);
                b0.k(iVar);
                return v0;
            } catch (HttpDataSource.InvalidResponseCodeException e2) {
                if (e2.responseCode == 307 || e2.responseCode == 308) {
                    i = i2 + 1;
                    if (i2 < 5) {
                        z = true;
                        f = !z ? f(e2) : null;
                        if (f == null) {
                            b0.k(iVar);
                            i2 = i;
                            str2 = f;
                        } else {
                            throw e2;
                        }
                    } else {
                        i2 = i;
                    }
                }
                i = i2;
                z = false;
                if (!z) {
                }
                if (f == null) {
                }
            } catch (Throwable th) {
                b0.k(iVar);
                throw th;
            }
        }
    }

    private static String f(HttpDataSource.InvalidResponseCodeException invalidResponseCodeException) {
        List<String> list;
        Map<String, List<String>> map = invalidResponseCodeException.headerFields;
        if (map == null || (list = map.get(HttpHeaders.HEAD_KEY_LOCATION)) == null || list.isEmpty()) {
            return null;
        }
        return list.get(0);
    }

    @Override // com.google.android.exoplayer2.drm.l
    public byte[] a(UUID uuid, g.h hVar) throws IOException {
        return e(this.f8096b, hVar.a() + "&signedRequest=" + b0.v(hVar.f()), new byte[0], null);
    }

    @Override // com.google.android.exoplayer2.drm.l
    public byte[] b(UUID uuid, g.d dVar, @Nullable String str) throws Exception {
        String str2;
        String a2 = dVar.a();
        if (!TextUtils.isEmpty(a2)) {
            str = a2;
        }
        if (this.f8098d || TextUtils.isEmpty(str)) {
            str = this.f8097c;
        }
        HashMap hashMap = new HashMap();
        UUID uuid2 = C.l1;
        if (uuid2.equals(uuid)) {
            str2 = "text/xml";
        } else {
            str2 = C.j1.equals(uuid) ? "application/json" : "application/octet-stream";
        }
        hashMap.put(HttpHeaders.HEAD_KEY_CONTENT_TYPE, str2);
        if (uuid2.equals(uuid)) {
            hashMap.put("SOAPAction", "http://schemas.microsoft.com/DRM/2007/03/protocols/AcquireLicense");
        }
        synchronized (this.f8099e) {
            hashMap.putAll(this.f8099e);
        }
        return e(this.f8096b, str, dVar.f(), hashMap);
    }

    public void c() {
        synchronized (this.f8099e) {
            this.f8099e.clear();
        }
    }

    public void d(String str) {
        a.g(str);
        synchronized (this.f8099e) {
            this.f8099e.remove(str);
        }
    }

    public void g(String str, String str2) {
        a.g(str);
        a.g(str2);
        synchronized (this.f8099e) {
            this.f8099e.put(str, str2);
        }
    }

    public j(String str, boolean z, HttpDataSource.c cVar) {
        this.f8096b = cVar;
        this.f8097c = str;
        this.f8098d = z;
        this.f8099e = new HashMap();
    }
}
