package com.google.android.exoplayer2.extractor.mp4;

import android.util.Log;
import android.util.Pair;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.ParserException;
import com.google.android.exoplayer2.audio.Ac3Util;
import com.google.android.exoplayer2.drm.DrmInitData;
import com.google.android.exoplayer2.extractor.mp4.a;
import com.google.android.exoplayer2.extractor.mp4.c;
import com.google.android.exoplayer2.g0.i;
import com.google.android.exoplayer2.metadata.Metadata;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.n;
import com.google.android.exoplayer2.util.q;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

final class AtomParsers {

    /* renamed from: a  reason: collision with root package name */
    private static final String f8168a = "AtomParsers";

    /* renamed from: b  reason: collision with root package name */
    private static final int f8169b = b0.I("vide");

    /* renamed from: c  reason: collision with root package name */
    private static final int f8170c = b0.I("soun");

    /* renamed from: d  reason: collision with root package name */
    private static final int f8171d = b0.I("text");

    /* renamed from: e  reason: collision with root package name */
    private static final int f8172e = b0.I("sbtl");
    private static final int f = b0.I("subt");
    private static final int g = b0.I("clcp");
    private static final int h = b0.I("meta");
    private static final int i = 3;

    public static final class UnhandledEditListException extends ParserException {
    }

    private static final class a {

        /* renamed from: a  reason: collision with root package name */
        public final int f8173a;

        /* renamed from: b  reason: collision with root package name */
        public int f8174b;

        /* renamed from: c  reason: collision with root package name */
        public int f8175c;

        /* renamed from: d  reason: collision with root package name */
        public long f8176d;

        /* renamed from: e  reason: collision with root package name */
        private final boolean f8177e;
        private final q f;
        private final q g;
        private int h;
        private int i;

        public a(q qVar, q qVar2, boolean z) {
            this.g = qVar;
            this.f = qVar2;
            this.f8177e = z;
            qVar2.P(12);
            this.f8173a = qVar2.H();
            qVar.P(12);
            this.i = qVar.H();
            com.google.android.exoplayer2.util.a.j(qVar.l() != 1 ? false : true, "first_chunk must be 1");
            this.f8174b = -1;
        }

        public boolean a() {
            long j;
            int i2 = this.f8174b + 1;
            this.f8174b = i2;
            if (i2 == this.f8173a) {
                return false;
            }
            if (this.f8177e) {
                j = this.f.I();
            } else {
                j = this.f.F();
            }
            this.f8176d = j;
            if (this.f8174b == this.h) {
                this.f8175c = this.g.H();
                this.g.Q(4);
                int i3 = this.i - 1;
                this.i = i3;
                this.h = i3 > 0 ? this.g.H() - 1 : -1;
            }
            return true;
        }
    }

    private interface b {
        boolean a();

        int b();

        int c();
    }

    /* access modifiers changed from: private */
    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        public static final int f8178a = 8;

        /* renamed from: b  reason: collision with root package name */
        public final g[] f8179b;

        /* renamed from: c  reason: collision with root package name */
        public Format f8180c;

        /* renamed from: d  reason: collision with root package name */
        public int f8181d;

        /* renamed from: e  reason: collision with root package name */
        public int f8182e = 0;

        public c(int i) {
            this.f8179b = new g[i];
        }
    }

    static final class d implements b {

        /* renamed from: a  reason: collision with root package name */
        private final int f8183a;

        /* renamed from: b  reason: collision with root package name */
        private final int f8184b;

        /* renamed from: c  reason: collision with root package name */
        private final q f8185c;

        public d(a.b bVar) {
            q qVar = bVar.V0;
            this.f8185c = qVar;
            qVar.P(12);
            this.f8183a = qVar.H();
            this.f8184b = qVar.H();
        }

        @Override // com.google.android.exoplayer2.extractor.mp4.AtomParsers.b
        public boolean a() {
            return this.f8183a != 0;
        }

        @Override // com.google.android.exoplayer2.extractor.mp4.AtomParsers.b
        public int b() {
            return this.f8184b;
        }

        @Override // com.google.android.exoplayer2.extractor.mp4.AtomParsers.b
        public int c() {
            int i = this.f8183a;
            return i == 0 ? this.f8185c.H() : i;
        }
    }

    static final class e implements b {

        /* renamed from: a  reason: collision with root package name */
        private final q f8186a;

        /* renamed from: b  reason: collision with root package name */
        private final int f8187b;

        /* renamed from: c  reason: collision with root package name */
        private final int f8188c;

        /* renamed from: d  reason: collision with root package name */
        private int f8189d;

        /* renamed from: e  reason: collision with root package name */
        private int f8190e;

        public e(a.b bVar) {
            q qVar = bVar.V0;
            this.f8186a = qVar;
            qVar.P(12);
            this.f8188c = qVar.H() & 255;
            this.f8187b = qVar.H();
        }

        @Override // com.google.android.exoplayer2.extractor.mp4.AtomParsers.b
        public boolean a() {
            return false;
        }

        @Override // com.google.android.exoplayer2.extractor.mp4.AtomParsers.b
        public int b() {
            return this.f8187b;
        }

        @Override // com.google.android.exoplayer2.extractor.mp4.AtomParsers.b
        public int c() {
            int i = this.f8188c;
            if (i == 8) {
                return this.f8186a.D();
            }
            if (i == 16) {
                return this.f8186a.J();
            }
            int i2 = this.f8189d;
            this.f8189d = i2 + 1;
            if (i2 % 2 != 0) {
                return this.f8190e & 15;
            }
            int D = this.f8186a.D();
            this.f8190e = D;
            return (D & 240) >> 4;
        }
    }

    /* access modifiers changed from: private */
    public static final class f {

        /* renamed from: a  reason: collision with root package name */
        private final int f8191a;

        /* renamed from: b  reason: collision with root package name */
        private final long f8192b;

        /* renamed from: c  reason: collision with root package name */
        private final int f8193c;

        public f(int i, long j, int i2) {
            this.f8191a = i;
            this.f8192b = j;
            this.f8193c = i2;
        }
    }

    private AtomParsers() {
    }

    private static boolean a(long[] jArr, long j, long j2, long j3) {
        int length = jArr.length - 1;
        int n = b0.n(3, 0, length);
        int n2 = b0.n(jArr.length - 3, 0, length);
        if (jArr[0] > j2 || j2 >= jArr[n] || jArr[n2] >= j3 || j3 > j) {
            return false;
        }
        return true;
    }

    private static int b(q qVar, int i2, int i3) {
        int c2 = qVar.c();
        while (c2 - i2 < i3) {
            qVar.P(c2);
            int l = qVar.l();
            com.google.android.exoplayer2.util.a.b(l > 0, "childAtomSize should be positive");
            if (qVar.l() == a.O) {
                return c2;
            }
            c2 += l;
        }
        return -1;
    }

    private static void c(q qVar, int i2, int i3, int i4, int i5, String str, boolean z, DrmInitData drmInitData, c cVar, int i6) throws ParserException {
        int i7;
        int i8;
        int i9;
        String str2;
        String str3;
        DrmInitData drmInitData2;
        String str4;
        int i10;
        int i11;
        int i12 = i3;
        DrmInitData drmInitData3 = drmInitData;
        qVar.P(i12 + 8 + 8);
        if (z) {
            i7 = qVar.J();
            qVar.Q(6);
        } else {
            qVar.Q(8);
            i7 = 0;
        }
        if (i7 == 0 || i7 == 1) {
            int J = qVar.J();
            qVar.Q(6);
            int E = qVar.E();
            if (i7 == 1) {
                qVar.Q(16);
            }
            i8 = E;
            i9 = J;
        } else if (i7 == 2) {
            qVar.Q(16);
            i8 = (int) Math.round(qVar.j());
            i9 = qVar.H();
            qVar.Q(20);
        } else {
            return;
        }
        int c2 = qVar.c();
        List list = null;
        int i13 = i2;
        if (i13 == a.f0) {
            Pair<Integer, g> o = o(qVar, i12, i4);
            if (o != null) {
                i13 = ((Integer) o.first).intValue();
                if (drmInitData3 == null) {
                    drmInitData3 = null;
                } else {
                    drmInitData3 = drmInitData3.c(((g) o.second).f8242c);
                }
                cVar.f8179b[i6] = (g) o.second;
            }
            qVar.P(c2);
        }
        DrmInitData drmInitData4 = drmInitData3;
        int i14 = a.s;
        String str5 = n.w;
        if (i13 == i14) {
            str2 = n.z;
        } else if (i13 == a.u) {
            str2 = n.A;
        } else if (i13 == a.w) {
            str2 = n.D;
        } else if (i13 == a.x || i13 == a.y) {
            str2 = n.E;
        } else if (i13 == a.z) {
            str2 = n.F;
        } else if (i13 == a.D0) {
            str2 = n.I;
        } else {
            str2 = i13 == a.E0 ? n.J : (i13 == a.q || i13 == a.r) ? str5 : i13 == a.o ? "audio/mpeg" : i13 == a.T0 ? n.L : null;
        }
        String str6 = str2;
        int i15 = i9;
        int i16 = i8;
        int i17 = c2;
        byte[] bArr = null;
        while (i17 - i12 < i4) {
            qVar.P(i17);
            int l = qVar.l();
            com.google.android.exoplayer2.util.a.b(l > 0, "childAtomSize should be positive");
            int l2 = qVar.l();
            int i18 = a.O;
            if (l2 == i18 || (z && l2 == a.p)) {
                str4 = str6;
                str3 = str5;
                drmInitData2 = drmInitData4;
                if (l2 == i18) {
                    i10 = i17;
                } else {
                    i10 = b(qVar, i17, l);
                }
                if (i10 != -1) {
                    Pair<String, byte[]> f2 = f(qVar, i10);
                    str6 = (String) f2.first;
                    bArr = (byte[]) f2.second;
                    if (n.r.equals(str6)) {
                        Pair<Integer, Integer> i19 = com.google.android.exoplayer2.util.d.i(bArr);
                        i16 = ((Integer) i19.first).intValue();
                        i15 = ((Integer) i19.second).intValue();
                    }
                    i17 += l;
                    i12 = i3;
                    drmInitData4 = drmInitData2;
                    str5 = str3;
                }
            } else {
                if (l2 == a.t) {
                    qVar.P(i17 + 8);
                    cVar.f8180c = Ac3Util.d(qVar, Integer.toString(i5), str, drmInitData4);
                } else if (l2 == a.v) {
                    qVar.P(i17 + 8);
                    cVar.f8180c = Ac3Util.g(qVar, Integer.toString(i5), str, drmInitData4);
                } else {
                    if (l2 == a.A) {
                        str4 = str6;
                        str3 = str5;
                        drmInitData2 = drmInitData4;
                        i11 = i17;
                        cVar.f8180c = Format.l(Integer.toString(i5), str6, null, -1, -1, i15, i16, null, drmInitData2, 0, str);
                        l = l;
                    } else {
                        i11 = i17;
                        str4 = str6;
                        str3 = str5;
                        drmInitData2 = drmInitData4;
                        if (l2 == a.T0) {
                            byte[] bArr2 = new byte[l];
                            i17 = i11;
                            qVar.P(i17);
                            qVar.i(bArr2, 0, l);
                            bArr = bArr2;
                        }
                    }
                    i17 = i11;
                }
                str4 = str6;
                str3 = str5;
                drmInitData2 = drmInitData4;
            }
            str6 = str4;
            i17 += l;
            i12 = i3;
            drmInitData4 = drmInitData2;
            str5 = str3;
        }
        if (cVar.f8180c == null && str6 != null) {
            int i20 = str5.equals(str6) ? 2 : -1;
            String num = Integer.toString(i5);
            if (bArr != null) {
                list = Collections.singletonList(bArr);
            }
            cVar.f8180c = Format.k(num, str6, null, -1, -1, i15, i16, i20, list, drmInitData4, 0, str);
        }
    }

    static Pair<Integer, g> d(q qVar, int i2, int i3) {
        int i4 = i2 + 8;
        boolean z = false;
        String str = null;
        Integer num = null;
        int i5 = -1;
        int i6 = 0;
        while (i4 - i2 < i3) {
            qVar.P(i4);
            int l = qVar.l();
            int l2 = qVar.l();
            if (l2 == a.g0) {
                num = Integer.valueOf(qVar.l());
            } else if (l2 == a.b0) {
                qVar.Q(4);
                str = qVar.A(4);
            } else if (l2 == a.c0) {
                i5 = i4;
                i6 = l;
            }
            i4 += l;
        }
        if (!C.d1.equals(str) && !C.e1.equals(str) && !C.f1.equals(str) && !C.g1.equals(str)) {
            return null;
        }
        com.google.android.exoplayer2.util.a.b(num != null, "frma atom is mandatory");
        com.google.android.exoplayer2.util.a.b(i5 != -1, "schi atom is mandatory");
        g p = p(qVar, i5, i6, str);
        if (p != null) {
            z = true;
        }
        com.google.android.exoplayer2.util.a.b(z, "tenc atom is mandatory");
        return Pair.create(num, p);
    }

    private static Pair<long[], long[]> e(a.C0205a aVar) {
        a.b h2;
        if (aVar == null || (h2 = aVar.h(a.V)) == null) {
            return Pair.create(null, null);
        }
        q qVar = h2.V0;
        qVar.P(8);
        int c2 = a.c(qVar.l());
        int H = qVar.H();
        long[] jArr = new long[H];
        long[] jArr2 = new long[H];
        for (int i2 = 0; i2 < H; i2++) {
            jArr[i2] = c2 == 1 ? qVar.I() : qVar.F();
            jArr2[i2] = c2 == 1 ? qVar.w() : (long) qVar.l();
            if (qVar.z() == 1) {
                qVar.Q(2);
            } else {
                throw new IllegalArgumentException("Unsupported media rate.");
            }
        }
        return Pair.create(jArr, jArr2);
    }

    private static Pair<String, byte[]> f(q qVar, int i2) {
        qVar.P(i2 + 8 + 4);
        qVar.Q(1);
        g(qVar);
        qVar.Q(2);
        int D = qVar.D();
        if ((D & 128) != 0) {
            qVar.Q(2);
        }
        if ((D & 64) != 0) {
            qVar.Q(qVar.J());
        }
        if ((D & 32) != 0) {
            qVar.Q(2);
        }
        qVar.Q(1);
        g(qVar);
        String e2 = n.e(qVar.D());
        if ("audio/mpeg".equals(e2) || n.D.equals(e2) || n.E.equals(e2)) {
            return Pair.create(e2, null);
        }
        qVar.Q(12);
        qVar.Q(1);
        int g2 = g(qVar);
        byte[] bArr = new byte[g2];
        qVar.i(bArr, 0, g2);
        return Pair.create(e2, bArr);
    }

    private static int g(q qVar) {
        int D = qVar.D();
        int i2 = D & 127;
        while ((D & 128) == 128) {
            D = qVar.D();
            i2 = (i2 << 7) | (D & 127);
        }
        return i2;
    }

    private static int h(q qVar) {
        qVar.P(16);
        int l = qVar.l();
        if (l == f8170c) {
            return 1;
        }
        if (l == f8169b) {
            return 2;
        }
        if (l == f8171d || l == f8172e || l == f || l == g) {
            return 3;
        }
        return l == h ? 4 : -1;
    }

    private static Metadata i(q qVar, int i2) {
        qVar.Q(8);
        ArrayList arrayList = new ArrayList();
        while (qVar.c() < i2) {
            Metadata.Entry c2 = d.c(qVar);
            if (c2 != null) {
                arrayList.add(c2);
            }
        }
        if (arrayList.isEmpty()) {
            return null;
        }
        return new Metadata(arrayList);
    }

    private static Pair<Long, String> j(q qVar) {
        int i2 = 8;
        qVar.P(8);
        int c2 = a.c(qVar.l());
        qVar.Q(c2 == 0 ? 8 : 16);
        long F = qVar.F();
        if (c2 == 0) {
            i2 = 4;
        }
        qVar.Q(i2);
        int J = qVar.J();
        return Pair.create(Long.valueOf(F), "" + ((char) (((J >> 10) & 31) + 96)) + ((char) (((J >> 5) & 31) + 96)) + ((char) ((J & 31) + 96)));
    }

    private static Metadata k(q qVar, int i2) {
        qVar.Q(12);
        while (qVar.c() < i2) {
            int c2 = qVar.c();
            int l = qVar.l();
            if (qVar.l() == a.H0) {
                qVar.P(c2);
                return i(qVar, c2 + l);
            }
            qVar.Q(l - 8);
        }
        return null;
    }

    private static long l(q qVar) {
        int i2 = 8;
        qVar.P(8);
        if (a.c(qVar.l()) != 0) {
            i2 = 16;
        }
        qVar.Q(i2);
        return qVar.F();
    }

    private static float m(q qVar, int i2) {
        qVar.P(i2 + 8);
        return ((float) qVar.H()) / ((float) qVar.H());
    }

    private static byte[] n(q qVar, int i2, int i3) {
        int i4 = i2 + 8;
        while (i4 - i2 < i3) {
            qVar.P(i4);
            int l = qVar.l();
            if (qVar.l() == a.O0) {
                return Arrays.copyOfRange(qVar.f9627a, i4, l + i4);
            }
            i4 += l;
        }
        return null;
    }

    private static Pair<Integer, g> o(q qVar, int i2, int i3) {
        Pair<Integer, g> d2;
        int c2 = qVar.c();
        while (c2 - i2 < i3) {
            qVar.P(c2);
            int l = qVar.l();
            com.google.android.exoplayer2.util.a.b(l > 0, "childAtomSize should be positive");
            if (qVar.l() == a.a0 && (d2 = d(qVar, c2, l)) != null) {
                return d2;
            }
            c2 += l;
        }
        return null;
    }

    private static g p(q qVar, int i2, int i3, String str) {
        int i4;
        int i5;
        int i6 = i2 + 8;
        while (true) {
            byte[] bArr = null;
            if (i6 - i2 >= i3) {
                return null;
            }
            qVar.P(i6);
            int l = qVar.l();
            if (qVar.l() == a.d0) {
                int c2 = a.c(qVar.l());
                qVar.Q(1);
                if (c2 == 0) {
                    qVar.Q(1);
                    i5 = 0;
                    i4 = 0;
                } else {
                    int D = qVar.D();
                    i4 = D & 15;
                    i5 = (D & 240) >> 4;
                }
                boolean z = qVar.D() == 1;
                int D2 = qVar.D();
                byte[] bArr2 = new byte[16];
                qVar.i(bArr2, 0, 16);
                if (z && D2 == 0) {
                    int D3 = qVar.D();
                    bArr = new byte[D3];
                    qVar.i(bArr, 0, D3);
                }
                return new g(z, str, D2, bArr2, i5, i4, bArr);
            }
            i6 += l;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:131:0x033b  */
    /* JADX WARNING: Removed duplicated region for block: B:132:0x033d  */
    /* JADX WARNING: Removed duplicated region for block: B:136:0x0349  */
    /* JADX WARNING: Removed duplicated region for block: B:146:0x0382  */
    /* JADX WARNING: Removed duplicated region for block: B:147:0x0384  */
    /* JADX WARNING: Removed duplicated region for block: B:150:0x0388  */
    /* JADX WARNING: Removed duplicated region for block: B:151:0x038b  */
    /* JADX WARNING: Removed duplicated region for block: B:153:0x038e  */
    /* JADX WARNING: Removed duplicated region for block: B:154:0x0391  */
    /* JADX WARNING: Removed duplicated region for block: B:156:0x0395  */
    /* JADX WARNING: Removed duplicated region for block: B:158:0x0399  */
    /* JADX WARNING: Removed duplicated region for block: B:159:0x039d  */
    /* JADX WARNING: Removed duplicated region for block: B:163:0x03a7  */
    /* JADX WARNING: Removed duplicated region for block: B:205:0x037d A[EDGE_INSN: B:205:0x037d->B:144:0x037d ?: BREAK  , SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:208:0x0468 A[SYNTHETIC] */
    public static i q(Track track, a.C0205a aVar, i iVar) throws ParserException {
        b bVar;
        boolean z;
        int i2;
        int i3;
        long j;
        int[] iArr;
        long[] jArr;
        int i4;
        int[] iArr2;
        long[] jArr2;
        Track track2;
        String str;
        String str2;
        int i5;
        long[] jArr3;
        boolean z2;
        int i6;
        long[] jArr4;
        long j2;
        long[] jArr5;
        int[] iArr3;
        boolean z3;
        int[] iArr4;
        long[] jArr6;
        int i7;
        long[] jArr7;
        String str3;
        long[] jArr8;
        boolean z4;
        int[] iArr5;
        int[] iArr6;
        String str4;
        int i8;
        a.b h2 = aVar.h(a.v0);
        if (h2 != null) {
            bVar = new d(h2);
        } else {
            a.b h3 = aVar.h(a.w0);
            if (h3 != null) {
                bVar = new e(h3);
            } else {
                throw new ParserException("Track has no sample table size information");
            }
        }
        int b2 = bVar.b();
        if (b2 == 0) {
            return new i(track, new long[0], new int[0], 0, new long[0], new int[0], C.f7870b);
        }
        a.b h4 = aVar.h(a.x0);
        if (h4 == null) {
            h4 = aVar.h(a.y0);
            z = true;
        } else {
            z = false;
        }
        q qVar = h4.V0;
        q qVar2 = aVar.h(a.u0).V0;
        q qVar3 = aVar.h(a.r0).V0;
        a.b h5 = aVar.h(a.s0);
        q qVar4 = null;
        q qVar5 = h5 != null ? h5.V0 : null;
        a.b h6 = aVar.h(a.t0);
        q qVar6 = h6 != null ? h6.V0 : null;
        a aVar2 = new a(qVar2, qVar, z);
        qVar3.P(12);
        int H = qVar3.H() - 1;
        int H2 = qVar3.H();
        int H3 = qVar3.H();
        if (qVar6 != null) {
            qVar6.P(12);
            i2 = qVar6.H();
        } else {
            i2 = 0;
        }
        int i9 = -1;
        if (qVar5 != null) {
            qVar5.P(12);
            i3 = qVar5.H();
            if (i3 > 0) {
                i9 = qVar5.H() - 1;
                qVar4 = qVar5;
            }
        } else {
            qVar4 = qVar5;
            i3 = 0;
        }
        long j3 = 0;
        if (!(bVar.a() && n.w.equals(track.h.N0) && H == 0 && i2 == 0 && i3 == 0)) {
            long[] jArr9 = new long[b2];
            int[] iArr7 = new int[b2];
            long[] jArr10 = new long[b2];
            int[] iArr8 = new int[b2];
            int i10 = H3;
            long j4 = 0;
            long j5 = 0;
            int i11 = H;
            int i12 = 0;
            int i13 = 0;
            int i14 = 0;
            int i15 = 0;
            int i16 = 0;
            int i17 = i3;
            int i18 = i9;
            int i19 = i2;
            int i20 = H2;
            while (i12 < b2) {
                while (i16 == 0) {
                    com.google.android.exoplayer2.util.a.i(aVar2.a());
                    j5 = aVar2.f8176d;
                    i16 = aVar2.f8175c;
                    i11 = i11;
                    i20 = i20;
                }
                int i21 = i11;
                if (qVar6 != null) {
                    while (i14 == 0 && i19 > 0) {
                        i14 = qVar6.H();
                        i15 = qVar6.l();
                        i19--;
                    }
                    i14--;
                }
                jArr9[i12] = j5;
                iArr7[i12] = bVar.c();
                if (iArr7[i12] > i13) {
                    i13 = iArr7[i12];
                }
                jArr10[i12] = j4 + ((long) i15);
                iArr8[i12] = qVar4 == null ? 1 : 0;
                if (i12 == i18) {
                    iArr8[i12] = 1;
                    i17--;
                    if (i17 > 0) {
                        i18 = qVar4.H() - 1;
                    }
                }
                j4 += (long) i10;
                int i22 = i20 - 1;
                if (i22 == 0 && i21 > 0) {
                    i21--;
                    i22 = qVar3.H();
                    i10 = qVar3.l();
                }
                j5 += (long) iArr7[i12];
                i16--;
                i12++;
                bVar = bVar;
                jArr9 = jArr9;
                i20 = i22;
                i15 = i15;
                i11 = i21;
            }
            j = j4 + ((long) i15);
            com.google.android.exoplayer2.util.a.a(i14 == 0);
            while (i19 > 0) {
                com.google.android.exoplayer2.util.a.a(qVar6.H() == 0);
                qVar6.l();
                i19--;
            }
            if (i17 == 0 && i20 == 0) {
                i8 = i16;
                if (i8 == 0 && i11 == 0) {
                    track2 = track;
                    str = f8168a;
                    jArr = jArr10;
                    iArr2 = iArr7;
                    iArr = iArr8;
                    i4 = i13;
                    jArr2 = jArr9;
                }
            } else {
                i8 = i16;
            }
            StringBuilder sb = new StringBuilder();
            sb.append("Inconsistent stbl box for track ");
            track2 = track;
            sb.append(track2.f8211c);
            sb.append(": remainingSynchronizationSamples ");
            sb.append(i17);
            sb.append(", remainingSamplesAtTimestampDelta ");
            sb.append(i20);
            sb.append(", remainingSamplesInChunk ");
            sb.append(i8);
            sb.append(", remainingTimestampDeltaChanges ");
            sb.append(i11);
            String sb2 = sb.toString();
            str = f8168a;
            Log.w(str, sb2);
            jArr = jArr10;
            iArr2 = iArr7;
            iArr = iArr8;
            i4 = i13;
            jArr2 = jArr9;
        } else {
            track2 = track;
            str = f8168a;
            int i23 = aVar2.f8173a;
            long[] jArr11 = new long[i23];
            int[] iArr9 = new int[i23];
            while (aVar2.a()) {
                int i24 = aVar2.f8174b;
                jArr11[i24] = aVar2.f8176d;
                iArr9[i24] = aVar2.f8175c;
            }
            Format format = track2.h;
            c.b a2 = c.a(b0.L(format.c1, format.a1), jArr11, iArr9, (long) H3);
            jArr2 = a2.f8224a;
            iArr2 = a2.f8225b;
            i4 = a2.f8226c;
            jArr = a2.f8227d;
            iArr = a2.f8228e;
            j = a2.f;
        }
        long k0 = b0.k0(j, 1000000, track2.f8213e);
        if (track2.j == null || iVar.a()) {
            b0.m0(jArr, 1000000, track2.f8213e);
            return new i(track, jArr2, iArr2, i4, jArr, iArr, k0);
        }
        long[] jArr12 = track2.j;
        if (jArr12.length == 1 && track2.f8212d == 1 && jArr.length >= 2) {
            long j6 = track2.k[0];
            long k02 = j6 + b0.k0(jArr12[0], track2.f8213e, track2.f);
            str2 = str;
            if (a(jArr, j, j6, k02)) {
                long k03 = b0.k0(j6 - jArr[0], (long) track2.h.b1, track2.f8213e);
                i5 = i4;
                long k04 = b0.k0(j - k02, (long) track2.h.b1, track2.f8213e);
                if (!(k03 == 0 && k04 == 0) && k03 <= 2147483647L && k04 <= 2147483647L) {
                    iVar.f8422e = (int) k03;
                    iVar.f = (int) k04;
                    b0.m0(jArr, 1000000, track2.f8213e);
                    return new i(track, jArr2, iArr2, i5, jArr, iArr, k0);
                }
                jArr3 = track2.j;
                if (jArr3.length == 1 || jArr3[0] != 0) {
                    z2 = track2.f8212d != 1;
                    boolean z5 = false;
                    int i25 = 0;
                    int i26 = 0;
                    i6 = 0;
                    while (true) {
                        jArr4 = track2.j;
                        j2 = -1;
                        if (i6 < jArr4.length) {
                            break;
                        }
                        long j7 = track2.k[i6];
                        if (j7 != -1) {
                            long k05 = b0.k0(jArr4[i6], track2.f8213e, track2.f);
                            int d2 = b0.d(jArr, j7, true, true);
                            int d3 = b0.d(jArr, j7 + k05, z2, false);
                            i25 += d3 - d2;
                            z5 |= i26 != d2;
                            i26 = d3;
                        }
                        i6++;
                        jArr2 = jArr2;
                        iArr2 = iArr2;
                    }
                    jArr5 = jArr2;
                    iArr3 = iArr2;
                    z3 = z5 | (i25 == b2);
                    long[] jArr13 = !z3 ? new long[i25] : jArr5;
                    iArr4 = !z3 ? new int[i25] : iArr3;
                    if (z3) {
                        i5 = 0;
                    }
                    int[] iArr10 = !z3 ? new int[i25] : iArr;
                    jArr6 = new long[i25];
                    int i27 = 0;
                    i7 = 0;
                    while (true) {
                        jArr7 = track2.j;
                        if (i7 < jArr7.length) {
                            return new i(track, jArr13, iArr4, i5, jArr6, iArr10, b0.k0(j3, 1000000, track2.f8213e));
                        }
                        long j8 = track2.k[i7];
                        long j9 = jArr7[i7];
                        if (j8 != j2) {
                            int d4 = b0.d(jArr, j8, true, true);
                            int d5 = b0.d(jArr, b0.k0(j9, track2.f8213e, track2.f) + j8, z2, false);
                            if (z3) {
                                int i28 = d5 - d4;
                                System.arraycopy(jArr5, d4, jArr13, i27, i28);
                                iArr6 = iArr3;
                                jArr8 = jArr5;
                                iArr5 = iArr4;
                                System.arraycopy(iArr6, d4, iArr5, i27, i28);
                                System.arraycopy(iArr, d4, iArr10, i27, i28);
                            } else {
                                iArr6 = iArr3;
                                jArr8 = jArr5;
                                iArr5 = iArr4;
                            }
                            if (d4 >= d5) {
                                str4 = str2;
                            } else if ((iArr10[i27] & 1) != 0) {
                                str4 = str2;
                            } else {
                                Log.w(str2, "Ignoring edit list: edit does not start with a sync sample.");
                                throw new UnhandledEditListException();
                            }
                            z4 = z2;
                            int i29 = i5;
                            while (d4 < d5) {
                                jArr6[i27] = b0.k0(j3, 1000000, track2.f) + b0.k0(jArr[d4] - j8, 1000000, track2.f8213e);
                                if (z3 && iArr5[i27] > i29) {
                                    i29 = iArr6[d4];
                                }
                                i27++;
                                d4++;
                                d5 = d5;
                                str4 = str4;
                                j8 = j8;
                            }
                            str3 = str4;
                            i5 = i29;
                        } else {
                            str3 = str2;
                            iArr6 = iArr3;
                            jArr8 = jArr5;
                            iArr5 = iArr4;
                            z4 = z2;
                        }
                        j3 += j9;
                        i7++;
                        str2 = str3;
                        iArr4 = iArr5;
                        z2 = z4;
                        jArr6 = jArr6;
                        jArr5 = jArr8;
                        iArr3 = iArr6;
                        j2 = -1;
                    }
                } else {
                    long j10 = track2.k[0];
                    for (int i30 = 0; i30 < jArr.length; i30++) {
                        jArr[i30] = b0.k0(jArr[i30] - j10, 1000000, track2.f8213e);
                    }
                    return new i(track, jArr2, iArr2, i5, jArr, iArr, b0.k0(j - j10, 1000000, track2.f8213e));
                }
            }
        } else {
            str2 = str;
        }
        i5 = i4;
        jArr3 = track2.j;
        if (jArr3.length == 1) {
        }
        if (track2.f8212d != 1) {
        }
        boolean z52 = false;
        int i252 = 0;
        int i262 = 0;
        i6 = 0;
        while (true) {
            jArr4 = track2.j;
            j2 = -1;
            if (i6 < jArr4.length) {
            }
            i6++;
            jArr2 = jArr2;
            iArr2 = iArr2;
        }
        jArr5 = jArr2;
        iArr3 = iArr2;
        z3 = z52 | (i252 == b2);
        if (!z3) {
        }
        if (!z3) {
        }
        if (z3) {
        }
        if (!z3) {
        }
        jArr6 = new long[i252];
        int i272 = 0;
        i7 = 0;
        while (true) {
            jArr7 = track2.j;
            if (i7 < jArr7.length) {
            }
            j3 += j9;
            i7++;
            str2 = str3;
            iArr4 = iArr5;
            z2 = z4;
            jArr6 = jArr6;
            jArr5 = jArr8;
            iArr3 = iArr6;
            j2 = -1;
        }
    }

    private static c r(q qVar, int i2, int i3, String str, DrmInitData drmInitData, boolean z) throws ParserException {
        qVar.P(12);
        int l = qVar.l();
        c cVar = new c(l);
        for (int i4 = 0; i4 < l; i4++) {
            int c2 = qVar.c();
            int l2 = qVar.l();
            com.google.android.exoplayer2.util.a.b(l2 > 0, "childAtomSize should be positive");
            int l3 = qVar.l();
            if (l3 == a.g || l3 == a.h || l3 == a.e0 || l3 == a.q0 || l3 == a.i || l3 == a.j || l3 == a.k || l3 == a.P0 || l3 == a.Q0) {
                w(qVar, l3, c2, l2, i2, i3, drmInitData, cVar, i4);
            } else if (l3 == a.n || l3 == a.f0 || l3 == a.s || l3 == a.u || l3 == a.w || l3 == a.z || l3 == a.x || l3 == a.y || l3 == a.D0 || l3 == a.E0 || l3 == a.q || l3 == a.r || l3 == a.o || l3 == a.T0) {
                c(qVar, l3, c2, l2, i2, str, z, drmInitData, cVar, i4);
            } else if (l3 == a.o0 || l3 == a.z0 || l3 == a.A0 || l3 == a.B0 || l3 == a.C0) {
                s(qVar, l3, c2, l2, i2, str, cVar);
            } else if (l3 == a.S0) {
                cVar.f8180c = Format.p(Integer.toString(i2), n.h0, null, -1, null);
            }
            qVar.P(c2 + l2);
        }
        return cVar;
    }

    private static void s(q qVar, int i2, int i3, int i4, int i5, String str, c cVar) throws ParserException {
        qVar.P(i3 + 8 + 8);
        int i6 = a.o0;
        String str2 = n.Z;
        List list = null;
        long j = Long.MAX_VALUE;
        if (i2 != i6) {
            if (i2 == a.z0) {
                int i7 = (i4 - 8) - 8;
                byte[] bArr = new byte[i7];
                qVar.i(bArr, 0, i7);
                list = Collections.singletonList(bArr);
                str2 = n.a0;
            } else if (i2 == a.A0) {
                str2 = n.b0;
            } else if (i2 == a.B0) {
                j = 0;
            } else if (i2 == a.C0) {
                cVar.f8182e = 1;
                str2 = n.c0;
            } else {
                throw new IllegalStateException();
            }
        }
        cVar.f8180c = Format.v(Integer.toString(i5), str2, null, -1, 0, str, -1, null, j, list);
    }

    private static f t(q qVar) {
        boolean z;
        int i2 = 8;
        qVar.P(8);
        int c2 = a.c(qVar.l());
        qVar.Q(c2 == 0 ? 8 : 16);
        int l = qVar.l();
        qVar.Q(4);
        int c3 = qVar.c();
        if (c2 == 0) {
            i2 = 4;
        }
        int i3 = 0;
        int i4 = 0;
        while (true) {
            if (i4 >= i2) {
                z = true;
                break;
            } else if (qVar.f9627a[c3 + i4] != -1) {
                z = false;
                break;
            } else {
                i4++;
            }
        }
        long j = C.f7870b;
        if (z) {
            qVar.Q(i2);
        } else {
            long F = c2 == 0 ? qVar.F() : qVar.I();
            if (F != 0) {
                j = F;
            }
        }
        qVar.Q(16);
        int l2 = qVar.l();
        int l3 = qVar.l();
        qVar.Q(4);
        int l4 = qVar.l();
        int l5 = qVar.l();
        if (l2 == 0 && l3 == 65536 && l4 == -65536 && l5 == 0) {
            i3 = 90;
        } else if (l2 == 0 && l3 == -65536 && l4 == 65536 && l5 == 0) {
            i3 = 270;
        } else if (l2 == -65536 && l3 == 0 && l4 == 0 && l5 == -65536) {
            i3 = 180;
        }
        return new f(l, j, i3);
    }

    public static Track u(a.C0205a aVar, a.b bVar, long j, DrmInitData drmInitData, boolean z, boolean z2) throws ParserException {
        long j2;
        a.b bVar2;
        long[] jArr;
        long[] jArr2;
        a.C0205a g2 = aVar.g(a.J);
        int h2 = h(g2.h(a.X).V0);
        if (h2 == -1) {
            return null;
        }
        f t = t(aVar.h(a.T).V0);
        long j3 = C.f7870b;
        if (j == C.f7870b) {
            bVar2 = bVar;
            j2 = t.f8192b;
        } else {
            bVar2 = bVar;
            j2 = j;
        }
        long l = l(bVar2.V0);
        if (j2 != C.f7870b) {
            j3 = b0.k0(j2, 1000000, l);
        }
        a.C0205a g3 = g2.g(a.K).g(a.L);
        Pair<Long, String> j4 = j(g2.h(a.W).V0);
        c r = r(g3.h(a.Y).V0, t.f8191a, t.f8193c, (String) j4.second, drmInitData, z2);
        if (!z) {
            Pair<long[], long[]> e2 = e(aVar.g(a.U));
            jArr = (long[]) e2.second;
            jArr2 = (long[]) e2.first;
        } else {
            jArr2 = null;
            jArr = null;
        }
        if (r.f8180c == null) {
            return null;
        }
        return new Track(t.f8191a, h2, ((Long) j4.first).longValue(), l, j3, r.f8180c, r.f8182e, r.f8179b, r.f8181d, jArr2, jArr);
    }

    public static Metadata v(a.b bVar, boolean z) {
        if (z) {
            return null;
        }
        q qVar = bVar.V0;
        qVar.P(8);
        while (qVar.a() >= 8) {
            int c2 = qVar.c();
            int l = qVar.l();
            if (qVar.l() == a.G0) {
                qVar.P(c2);
                return k(qVar, c2 + l);
            }
            qVar.Q(l - 8);
        }
        return null;
    }

    private static void w(q qVar, int i2, int i3, int i4, int i5, int i6, DrmInitData drmInitData, c cVar, int i7) throws ParserException {
        DrmInitData drmInitData2 = drmInitData;
        qVar.P(i3 + 8 + 8);
        qVar.Q(16);
        int J = qVar.J();
        int J2 = qVar.J();
        qVar.Q(50);
        int c2 = qVar.c();
        String str = null;
        int i8 = i2;
        if (i8 == a.e0) {
            Pair<Integer, g> o = o(qVar, i3, i4);
            if (o != null) {
                i8 = ((Integer) o.first).intValue();
                if (drmInitData2 == null) {
                    drmInitData2 = null;
                } else {
                    drmInitData2 = drmInitData2.c(((g) o.second).f8242c);
                }
                cVar.f8179b[i7] = (g) o.second;
            }
            qVar.P(c2);
        }
        List<byte[]> list = null;
        byte[] bArr = null;
        boolean z = false;
        float f2 = 1.0f;
        int i9 = -1;
        while (c2 - i3 < i4) {
            qVar.P(c2);
            int c3 = qVar.c();
            int l = qVar.l();
            if (l == 0 && qVar.c() - i3 == i4) {
                break;
            }
            com.google.android.exoplayer2.util.a.b(l > 0, "childAtomSize should be positive");
            int l2 = qVar.l();
            if (l2 == a.M) {
                com.google.android.exoplayer2.util.a.i(str == null);
                qVar.P(c3 + 8);
                com.google.android.exoplayer2.video.a b2 = com.google.android.exoplayer2.video.a.b(qVar);
                list = b2.f9657a;
                cVar.f8181d = b2.f9658b;
                if (!z) {
                    f2 = b2.f9661e;
                }
                str = n.h;
            } else if (l2 == a.N) {
                com.google.android.exoplayer2.util.a.i(str == null);
                qVar.P(c3 + 8);
                com.google.android.exoplayer2.video.b a2 = com.google.android.exoplayer2.video.b.a(qVar);
                list = a2.f9662a;
                cVar.f8181d = a2.f9663b;
                str = n.i;
            } else if (l2 == a.R0) {
                com.google.android.exoplayer2.util.a.i(str == null);
                str = i8 == a.P0 ? n.j : n.k;
            } else if (l2 == a.l) {
                com.google.android.exoplayer2.util.a.i(str == null);
                str = n.g;
            } else if (l2 == a.O) {
                com.google.android.exoplayer2.util.a.i(str == null);
                Pair<String, byte[]> f3 = f(qVar, c3);
                str = (String) f3.first;
                list = Collections.singletonList(f3.second);
            } else if (l2 == a.n0) {
                f2 = m(qVar, c3);
                z = true;
            } else if (l2 == a.N0) {
                bArr = n(qVar, c3, l);
            } else if (l2 == a.M0) {
                int D = qVar.D();
                qVar.Q(3);
                if (D == 0) {
                    int D2 = qVar.D();
                    if (D2 == 0) {
                        i9 = 0;
                    } else if (D2 == 1) {
                        i9 = 1;
                    } else if (D2 == 2) {
                        i9 = 2;
                    } else if (D2 == 3) {
                        i9 = 3;
                    }
                }
            }
            c2 += l;
        }
        if (str != null) {
            cVar.f8180c = Format.z(Integer.toString(i5), str, null, -1, -1, J, J2, -1.0f, list, i6, f2, bArr, i9, null, drmInitData2);
        }
    }
}
