package com.google.android.exoplayer2.extractor.mp4;

import android.util.Log;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.util.q;
import java.nio.ByteBuffer;
import java.util.UUID;

/* compiled from: PsshAtomUtil */
public final class e {

    /* renamed from: a  reason: collision with root package name */
    private static final String f8234a = "PsshAtomUtil";

    /* access modifiers changed from: private */
    /* compiled from: PsshAtomUtil */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        private final UUID f8235a;

        /* renamed from: b  reason: collision with root package name */
        private final int f8236b;

        /* renamed from: c  reason: collision with root package name */
        private final byte[] f8237c;

        public a(UUID uuid, int i, byte[] bArr) {
            this.f8235a = uuid;
            this.f8236b = i;
            this.f8237c = bArr;
        }
    }

    private e() {
    }

    public static byte[] a(UUID uuid, @Nullable byte[] bArr) {
        return b(uuid, null, bArr);
    }

    public static byte[] b(UUID uuid, @Nullable UUID[] uuidArr, @Nullable byte[] bArr) {
        boolean z = uuidArr != null;
        int length = bArr != null ? bArr.length : 0;
        int i = length + 32;
        if (z) {
            i += (uuidArr.length * 16) + 4;
        }
        ByteBuffer allocate = ByteBuffer.allocate(i);
        allocate.putInt(i);
        allocate.putInt(a.Z);
        allocate.putInt(z ? 16777216 : 0);
        allocate.putLong(uuid.getMostSignificantBits());
        allocate.putLong(uuid.getLeastSignificantBits());
        if (z) {
            allocate.putInt(uuidArr.length);
            for (UUID uuid2 : uuidArr) {
                allocate.putLong(uuid2.getMostSignificantBits());
                allocate.putLong(uuid2.getLeastSignificantBits());
            }
        }
        if (length != 0) {
            allocate.putInt(bArr.length);
            allocate.put(bArr);
        }
        return allocate.array();
    }

    @Nullable
    private static a c(byte[] bArr) {
        q qVar = new q(bArr);
        if (qVar.d() < 32) {
            return null;
        }
        qVar.P(0);
        if (qVar.l() != qVar.a() + 4 || qVar.l() != a.Z) {
            return null;
        }
        int c2 = a.c(qVar.l());
        if (c2 > 1) {
            Log.w(f8234a, "Unsupported pssh version: " + c2);
            return null;
        }
        UUID uuid = new UUID(qVar.w(), qVar.w());
        if (c2 == 1) {
            qVar.Q(qVar.H() * 16);
        }
        int H = qVar.H();
        if (H != qVar.a()) {
            return null;
        }
        byte[] bArr2 = new byte[H];
        qVar.i(bArr2, 0, H);
        return new a(uuid, c2, bArr2);
    }

    @Nullable
    public static byte[] d(byte[] bArr, UUID uuid) {
        a c2 = c(bArr);
        if (c2 == null) {
            return null;
        }
        if (uuid == null || uuid.equals(c2.f8235a)) {
            return c2.f8237c;
        }
        Log.w(f8234a, "UUID mismatch. Expected: " + uuid + ", got: " + c2.f8235a + ".");
        return null;
    }

    @Nullable
    public static UUID e(byte[] bArr) {
        a c2 = c(bArr);
        if (c2 == null) {
            return null;
        }
        return c2.f8235a;
    }

    public static int f(byte[] bArr) {
        a c2 = c(bArr);
        if (c2 == null) {
            return -1;
        }
        return c2.f8236b;
    }
}
