package com.google.android.exoplayer2;

import android.annotation.SuppressLint;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import android.util.Pair;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.Player;
import com.google.android.exoplayer2.c0;
import com.google.android.exoplayer2.h;
import com.google.android.exoplayer2.source.TrackGroupArray;
import com.google.android.exoplayer2.source.s;
import com.google.android.exoplayer2.trackselection.f;
import com.google.android.exoplayer2.trackselection.g;
import com.google.android.exoplayer2.trackselection.h;
import com.google.android.exoplayer2.trackselection.i;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.c;
import com.google.android.exoplayer2.w;
import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Set;
import java.util.concurrent.CopyOnWriteArraySet;

/* compiled from: ExoPlayerImpl */
final class j implements h {
    private static final String w = "ExoPlayerImpl";
    private final Handler A;
    private final k B;
    private final Handler C;
    private final CopyOnWriteArraySet<Player.b> D;
    private final c0.c E;
    private final c0.b F;
    private final ArrayDeque<b> G;
    private boolean H;
    private int I;
    private boolean J;
    private int K;
    private boolean L;
    private boolean M;
    private u N;
    @Nullable
    private ExoPlaybackException O;
    private t P;
    private int Q;
    private int R;
    private long S;
    private final Renderer[] x;
    private final h y;
    private final i z;

    /* compiled from: ExoPlayerImpl */
    class a extends Handler {
        a(Looper looper) {
            super(looper);
        }

        public void handleMessage(Message message) {
            j.this.i(message);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ExoPlayerImpl */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        private final t f8516a;

        /* renamed from: b  reason: collision with root package name */
        private final Set<Player.b> f8517b;

        /* renamed from: c  reason: collision with root package name */
        private final h f8518c;

        /* renamed from: d  reason: collision with root package name */
        private final boolean f8519d;

        /* renamed from: e  reason: collision with root package name */
        private final int f8520e;
        private final int f;
        private final boolean g;
        private final boolean h;
        private final boolean i;
        private final boolean j;
        private final boolean k;
        private final boolean l;

        public b(t tVar, t tVar2, Set<Player.b> set, h hVar, boolean z, int i2, int i3, boolean z2, boolean z3, boolean z4) {
            this.f8516a = tVar;
            this.f8517b = set;
            this.f8518c = hVar;
            this.f8519d = z;
            this.f8520e = i2;
            this.f = i3;
            this.g = z2;
            this.h = z3;
            boolean z5 = false;
            this.i = z4 || tVar2.f != tVar.f;
            this.j = (tVar2.f9136a == tVar.f9136a && tVar2.f9137b == tVar.f9137b) ? false : true;
            this.k = tVar2.g != tVar.g;
            this.l = tVar2.i != tVar.i ? true : z5;
        }

        public void a() {
            if (this.j || this.f == 0) {
                for (Player.b bVar : this.f8517b) {
                    t tVar = this.f8516a;
                    bVar.d0(tVar.f9136a, tVar.f9137b, this.f);
                }
            }
            if (this.f8519d) {
                for (Player.b bVar2 : this.f8517b) {
                    bVar2.i(this.f8520e);
                }
            }
            if (this.l) {
                this.f8518c.c(this.f8516a.i.f9327d);
                for (Player.b bVar3 : this.f8517b) {
                    t tVar2 = this.f8516a;
                    bVar3.o0(tVar2.h, tVar2.i.f9326c);
                }
            }
            if (this.k) {
                for (Player.b bVar4 : this.f8517b) {
                    bVar4.h(this.f8516a.g);
                }
            }
            if (this.i) {
                for (Player.b bVar5 : this.f8517b) {
                    bVar5.a0(this.h, this.f8516a.f);
                }
            }
            if (this.g) {
                for (Player.b bVar6 : this.f8517b) {
                    bVar6.v();
                }
            }
        }
    }

    @SuppressLint({"HandlerLeak"})
    public j(Renderer[] rendererArr, h hVar, n nVar, c cVar) {
        Log.i(w, "Init " + Integer.toHexString(System.identityHashCode(this)) + " [" + l.f8539c + "] [" + b0.f9575e + "]");
        com.google.android.exoplayer2.util.a.i(rendererArr.length > 0);
        this.x = (Renderer[]) com.google.android.exoplayer2.util.a.g(rendererArr);
        this.y = (h) com.google.android.exoplayer2.util.a.g(hVar);
        this.H = false;
        this.I = 0;
        this.J = false;
        this.D = new CopyOnWriteArraySet<>();
        i iVar = new i(new y[rendererArr.length], new f[rendererArr.length], null);
        this.z = iVar;
        this.E = new c0.c();
        this.F = new c0.b();
        this.N = u.f9328a;
        a aVar = new a(Looper.myLooper() != null ? Looper.myLooper() : Looper.getMainLooper());
        this.A = aVar;
        this.P = new t(c0.f8002a, 0, TrackGroupArray.f8717a, iVar);
        this.G = new ArrayDeque<>();
        k kVar = new k(rendererArr, hVar, iVar, nVar, this.H, this.I, this.J, aVar, this, cVar);
        this.B = kVar;
        this.C = new Handler(kVar.s());
    }

    private t b(boolean z2, boolean z3, int i) {
        if (z2) {
            this.Q = 0;
            this.R = 0;
            this.S = 0;
        } else {
            this.Q = A();
            this.R = o();
            this.S = getCurrentPosition();
        }
        c0 c0Var = z3 ? c0.f8002a : this.P.f9136a;
        Object obj = z3 ? null : this.P.f9137b;
        t tVar = this.P;
        return new t(c0Var, obj, tVar.f9138c, tVar.f9139d, tVar.f9140e, i, false, z3 ? TrackGroupArray.f8717a : tVar.h, z3 ? this.z : tVar.i);
    }

    private void q(t tVar, int i, boolean z2, int i2) {
        int i3 = this.K - i;
        this.K = i3;
        if (i3 == 0) {
            if (tVar.f9139d == C.f7870b) {
                tVar = tVar.g(tVar.f9138c, 0, tVar.f9140e);
            }
            if ((!this.P.f9136a.p() || this.L) && tVar.f9136a.p()) {
                this.R = 0;
                this.Q = 0;
                this.S = 0;
            }
            int i4 = this.L ? 0 : 2;
            boolean z3 = this.M;
            this.L = false;
            this.M = false;
            z(tVar, z2, i2, i4, z3, false);
        }
    }

    private long u(long j) {
        long c2 = C.c(j);
        if (this.P.f9138c.b()) {
            return c2;
        }
        t tVar = this.P;
        tVar.f9136a.f(tVar.f9138c.f9052a, this.F);
        return c2 + this.F.l();
    }

    private boolean w() {
        return this.P.f9136a.p() || this.K > 0;
    }

    private void z(t tVar, boolean z2, int i, int i2, boolean z3, boolean z4) {
        boolean z5 = !this.G.isEmpty();
        this.G.addLast(new b(tVar, this.P, this.D, this.y, z2, i, i2, z3, this.H, z4));
        this.P = tVar;
        if (!z5) {
            while (!this.G.isEmpty()) {
                this.G.peekFirst().a();
                this.G.removeFirst();
            }
        }
    }

    @Override // com.google.android.exoplayer2.Player
    public int A() {
        if (w()) {
            return this.Q;
        }
        t tVar = this.P;
        return tVar.f9136a.f(tVar.f9138c.f9052a, this.F).f8005c;
    }

    @Override // com.google.android.exoplayer2.Player
    public void D(boolean z2) {
        if (this.H != z2) {
            this.H = z2;
            this.B.a0(z2);
            z(this.P, false, 4, 1, false, true);
        }
    }

    @Override // com.google.android.exoplayer2.Player
    public Player.d E() {
        return null;
    }

    @Override // com.google.android.exoplayer2.Player
    public void F(int i) {
        g(i, C.f7870b);
    }

    @Override // com.google.android.exoplayer2.Player
    public boolean G() {
        return this.P.g;
    }

    @Override // com.google.android.exoplayer2.Player
    public long H() {
        if (!e()) {
            return getCurrentPosition();
        }
        t tVar = this.P;
        tVar.f9136a.f(tVar.f9138c.f9052a, this.F);
        return this.F.l() + C.c(this.P.f9140e);
    }

    @Override // com.google.android.exoplayer2.h
    public void I(h.c... cVarArr) {
        ArrayList<w> arrayList = new ArrayList();
        for (h.c cVar : cVarArr) {
            arrayList.add(X(cVar.f8512a).s(cVar.f8513b).p(cVar.f8514c).m());
        }
        boolean z2 = false;
        for (w wVar : arrayList) {
            boolean z3 = true;
            while (z3) {
                try {
                    wVar.a();
                    z3 = false;
                } catch (InterruptedException unused) {
                    z2 = true;
                }
            }
        }
        if (z2) {
            Thread.currentThread().interrupt();
        }
    }

    @Override // com.google.android.exoplayer2.Player
    public int J() {
        c0 c0Var = this.P.f9136a;
        if (c0Var.p()) {
            return -1;
        }
        return c0Var.k(A(), this.I, this.J);
    }

    @Override // com.google.android.exoplayer2.h
    public void K(h.c... cVarArr) {
        for (h.c cVar : cVarArr) {
            X(cVar.f8512a).s(cVar.f8513b).p(cVar.f8514c).m();
        }
    }

    @Override // com.google.android.exoplayer2.Player
    public Object L() {
        return this.P.f9137b;
    }

    @Override // com.google.android.exoplayer2.Player
    public long M() {
        if (w()) {
            return this.S;
        }
        return u(this.P.k);
    }

    @Override // com.google.android.exoplayer2.h
    public Looper O() {
        return this.B.s();
    }

    @Override // com.google.android.exoplayer2.Player
    public int P() {
        if (e()) {
            return this.P.f9138c.f9053b;
        }
        return -1;
    }

    @Override // com.google.android.exoplayer2.h
    public void Q(s sVar) {
        f(sVar, true, true);
    }

    @Override // com.google.android.exoplayer2.Player
    public int R() {
        c0 c0Var = this.P.f9136a;
        if (c0Var.p()) {
            return -1;
        }
        return c0Var.e(A(), this.I, this.J);
    }

    @Override // com.google.android.exoplayer2.Player
    public TrackGroupArray U() {
        return this.P.h;
    }

    @Override // com.google.android.exoplayer2.Player
    public c0 V() {
        return this.P.f9136a;
    }

    @Override // com.google.android.exoplayer2.h
    public w X(w.b bVar) {
        return new w(this.B, bVar, this.P.f9136a, A(), this.C);
    }

    @Override // com.google.android.exoplayer2.Player
    public boolean Y() {
        return this.J;
    }

    @Override // com.google.android.exoplayer2.Player
    public int a() {
        long M2 = M();
        long duration = getDuration();
        if (M2 == C.f7870b || duration == C.f7870b) {
            return 0;
        }
        if (duration == 0) {
            return 100;
        }
        return b0.n((int) ((M2 * 100) / duration), 0, 100);
    }

    @Override // com.google.android.exoplayer2.Player
    public g a0() {
        return this.P.i.f9326c;
    }

    @Override // com.google.android.exoplayer2.Player
    public int b0(int i) {
        return this.x[i].e();
    }

    @Override // com.google.android.exoplayer2.Player
    public u c() {
        return this.N;
    }

    @Override // com.google.android.exoplayer2.Player
    public void d(@Nullable u uVar) {
        if (uVar == null) {
            uVar = u.f9328a;
        }
        this.B.c0(uVar);
    }

    @Override // com.google.android.exoplayer2.Player
    public boolean e() {
        return !w() && this.P.f9138c.b();
    }

    @Override // com.google.android.exoplayer2.Player
    public Player.c e0() {
        return null;
    }

    @Override // com.google.android.exoplayer2.h
    public void f(s sVar, boolean z2, boolean z3) {
        this.O = null;
        t b2 = b(z2, z3, 2);
        this.L = true;
        this.K++;
        this.B.E(sVar, z2, z3);
        z(b2, false, 4, 1, false, false);
    }

    @Override // com.google.android.exoplayer2.Player
    public void g(int i, long j) {
        c0 c0Var = this.P.f9136a;
        if (i < 0 || (!c0Var.p() && i >= c0Var.o())) {
            throw new IllegalSeekPositionException(c0Var, i, j);
        }
        this.M = true;
        this.K++;
        if (e()) {
            Log.w(w, "seekTo ignored because an ad is playing");
            this.A.obtainMessage(0, 1, -1, this.P).sendToTarget();
            return;
        }
        this.Q = i;
        if (c0Var.p()) {
            this.S = j == C.f7870b ? 0 : j;
            this.R = 0;
        } else {
            long b2 = j == C.f7870b ? c0Var.l(i, this.E).b() : C.b(j);
            Pair<Integer, Long> i2 = c0Var.i(this.E, this.F, i, b2);
            this.S = C.c(b2);
            this.R = ((Integer) i2.first).intValue();
        }
        this.B.R(c0Var, i, C.b(j));
        Iterator<Player.b> it = this.D.iterator();
        while (it.hasNext()) {
            it.next().i(1);
        }
    }

    @Override // com.google.android.exoplayer2.Player
    public long getCurrentPosition() {
        if (w()) {
            return this.S;
        }
        return u(this.P.j);
    }

    @Override // com.google.android.exoplayer2.Player
    public long getDuration() {
        c0 c0Var = this.P.f9136a;
        if (c0Var.p()) {
            return C.f7870b;
        }
        if (!e()) {
            return c0Var.l(A(), this.E).c();
        }
        s.a aVar = this.P.f9138c;
        c0Var.f(aVar.f9052a, this.F);
        return C.c(this.F.b(aVar.f9053b, aVar.f9054c));
    }

    @Override // com.google.android.exoplayer2.Player
    public int getPlaybackState() {
        return this.P.f;
    }

    @Override // com.google.android.exoplayer2.Player
    public int getRepeatMode() {
        return this.I;
    }

    @Override // com.google.android.exoplayer2.Player
    public boolean h() {
        return this.H;
    }

    /* access modifiers changed from: package-private */
    public void i(Message message) {
        int i = message.what;
        boolean z2 = true;
        if (i == 0) {
            t tVar = (t) message.obj;
            int i2 = message.arg1;
            int i3 = message.arg2;
            if (i3 == -1) {
                z2 = false;
            }
            q(tVar, i2, z2, i3);
        } else if (i == 1) {
            u uVar = (u) message.obj;
            if (!this.N.equals(uVar)) {
                this.N = uVar;
                Iterator<Player.b> it = this.D.iterator();
                while (it.hasNext()) {
                    it.next().e(uVar);
                }
            }
        } else if (i == 2) {
            ExoPlaybackException exoPlaybackException = (ExoPlaybackException) message.obj;
            this.O = exoPlaybackException;
            Iterator<Player.b> it2 = this.D.iterator();
            while (it2.hasNext()) {
                it2.next().t(exoPlaybackException);
            }
        } else {
            throw new IllegalStateException();
        }
    }

    @Override // com.google.android.exoplayer2.Player
    public void j(boolean z2) {
        if (this.J != z2) {
            this.J = z2;
            this.B.i0(z2);
            Iterator<Player.b> it = this.D.iterator();
            while (it.hasNext()) {
                it.next().N(z2);
            }
        }
    }

    @Override // com.google.android.exoplayer2.Player
    public void k(boolean z2) {
        if (z2) {
            this.O = null;
        }
        t b2 = b(z2, z2, 1);
        this.K++;
        this.B.o0(z2);
        z(b2, false, 4, 1, false, false);
    }

    @Override // com.google.android.exoplayer2.h
    public void l(@Nullable a0 a0Var) {
        if (a0Var == null) {
            a0Var = a0.f7887e;
        }
        this.B.g0(a0Var);
    }

    @Override // com.google.android.exoplayer2.Player
    public int m() {
        return this.x.length;
    }

    @Override // com.google.android.exoplayer2.Player
    @Nullable
    public ExoPlaybackException n() {
        return this.O;
    }

    @Override // com.google.android.exoplayer2.Player
    public int o() {
        if (w()) {
            return this.R;
        }
        return this.P.f9138c.f9052a;
    }

    @Override // com.google.android.exoplayer2.Player
    public boolean p() {
        c0 c0Var = this.P.f9136a;
        return !c0Var.p() && c0Var.l(A(), this.E).f8011d;
    }

    @Override // com.google.android.exoplayer2.Player
    public void r() {
        F(A());
    }

    @Override // com.google.android.exoplayer2.Player
    public void release() {
        Log.i(w, "Release " + Integer.toHexString(System.identityHashCode(this)) + " [" + l.f8539c + "] [" + b0.f9575e + "] [" + l.b() + "]");
        this.B.G();
        this.A.removeCallbacksAndMessages(null);
    }

    @Override // com.google.android.exoplayer2.Player
    public void s(Player.b bVar) {
        this.D.add(bVar);
    }

    @Override // com.google.android.exoplayer2.Player
    public void seekTo(long j) {
        g(A(), j);
    }

    @Override // com.google.android.exoplayer2.Player
    public void setRepeatMode(int i) {
        if (this.I != i) {
            this.I = i;
            this.B.e0(i);
            Iterator<Player.b> it = this.D.iterator();
            while (it.hasNext()) {
                it.next().onRepeatModeChanged(i);
            }
        }
    }

    @Override // com.google.android.exoplayer2.Player
    public void stop() {
        k(false);
    }

    @Override // com.google.android.exoplayer2.Player
    public int t() {
        if (e()) {
            return this.P.f9138c.f9054c;
        }
        return -1;
    }

    @Override // com.google.android.exoplayer2.Player
    public boolean v() {
        c0 c0Var = this.P.f9136a;
        return !c0Var.p() && c0Var.l(A(), this.E).f8012e;
    }

    @Override // com.google.android.exoplayer2.Player
    @Nullable
    public Object x() {
        int A2 = A();
        if (A2 > this.P.f9136a.o()) {
            return null;
        }
        return this.P.f9136a.m(A2, this.E, true).f8008a;
    }

    @Override // com.google.android.exoplayer2.Player
    public void y(Player.b bVar) {
        this.D.remove(bVar);
    }
}
