package com.google.android.exoplayer2.mediacodec;

import android.annotation.TargetApi;
import android.graphics.Point;
import android.media.MediaCodecInfo;
import android.util.Log;
import android.util.Pair;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.n;
import com.ibm.icu.impl.locale.f;

@TargetApi(16)
/* compiled from: MediaCodecInfo */
public final class a {

    /* renamed from: a  reason: collision with root package name */
    public static final String f8554a = "MediaCodecInfo";

    /* renamed from: b  reason: collision with root package name */
    public static final int f8555b = -1;

    /* renamed from: c  reason: collision with root package name */
    public final String f8556c;
    @Nullable

    /* renamed from: d  reason: collision with root package name */
    public final String f8557d;
    @Nullable

    /* renamed from: e  reason: collision with root package name */
    public final MediaCodecInfo.CodecCapabilities f8558e;
    public final boolean f;
    public final boolean g;
    public final boolean h;
    public final boolean i;

    private a(String str, @Nullable String str2, @Nullable MediaCodecInfo.CodecCapabilities codecCapabilities, boolean z, boolean z2, boolean z3) {
        this.f8556c = (String) com.google.android.exoplayer2.util.a.g(str);
        this.f8557d = str2;
        this.f8558e = codecCapabilities;
        this.i = z;
        boolean z4 = true;
        this.f = !z2 && codecCapabilities != null && g(codecCapabilities);
        this.g = codecCapabilities != null && n(codecCapabilities);
        if (!z3 && (codecCapabilities == null || !l(codecCapabilities))) {
            z4 = false;
        }
        this.h = z4;
    }

    private static int a(String str, String str2, int i2) {
        int i3;
        if (i2 > 1 || ((b0.f9571a >= 26 && i2 > 0) || "audio/mpeg".equals(str2) || n.I.equals(str2) || n.J.equals(str2) || n.r.equals(str2) || n.G.equals(str2) || n.H.equals(str2) || n.w.equals(str2) || n.K.equals(str2) || n.x.equals(str2) || n.y.equals(str2) || n.M.equals(str2))) {
            return i2;
        }
        if (n.z.equals(str2)) {
            i3 = 6;
        } else {
            i3 = n.A.equals(str2) ? 16 : 30;
        }
        Log.w(f8554a, "AssumedMaxChannelAdjustment: " + str + ", [" + i2 + " to " + i3 + "]");
        return i3;
    }

    @TargetApi(21)
    private static boolean c(MediaCodecInfo.VideoCapabilities videoCapabilities, int i2, int i3, double d2) {
        if (d2 == -1.0d || d2 <= 0.0d) {
            return videoCapabilities.isSizeSupported(i2, i3);
        }
        return videoCapabilities.areSizeAndRateSupported(i2, i3, d2);
    }

    @TargetApi(23)
    private static int e(MediaCodecInfo.CodecCapabilities codecCapabilities) {
        return codecCapabilities.getMaxSupportedInstances();
    }

    private static boolean g(MediaCodecInfo.CodecCapabilities codecCapabilities) {
        return b0.f9571a >= 19 && h(codecCapabilities);
    }

    @TargetApi(19)
    private static boolean h(MediaCodecInfo.CodecCapabilities codecCapabilities) {
        return codecCapabilities.isFeatureSupported("adaptive-playback");
    }

    private static boolean l(MediaCodecInfo.CodecCapabilities codecCapabilities) {
        return b0.f9571a >= 21 && m(codecCapabilities);
    }

    @TargetApi(21)
    private static boolean m(MediaCodecInfo.CodecCapabilities codecCapabilities) {
        return codecCapabilities.isFeatureSupported("secure-playback");
    }

    private static boolean n(MediaCodecInfo.CodecCapabilities codecCapabilities) {
        return b0.f9571a >= 21 && o(codecCapabilities);
    }

    @TargetApi(21)
    private static boolean o(MediaCodecInfo.CodecCapabilities codecCapabilities) {
        return codecCapabilities.isFeatureSupported("tunneled-playback");
    }

    private void q(String str) {
        Log.d(f8554a, "AssumedSupport [" + str + "] [" + this.f8556c + ", " + this.f8557d + "] [" + b0.f9575e + "]");
    }

    private void r(String str) {
        Log.d(f8554a, "NoSupport [" + str + "] [" + this.f8556c + ", " + this.f8557d + "] [" + b0.f9575e + "]");
    }

    public static a s(String str, String str2, MediaCodecInfo.CodecCapabilities codecCapabilities) {
        return new a(str, str2, codecCapabilities, false, false, false);
    }

    public static a t(String str, String str2, MediaCodecInfo.CodecCapabilities codecCapabilities, boolean z, boolean z2) {
        return new a(str, str2, codecCapabilities, false, z, z2);
    }

    public static a u(String str) {
        return new a(str, null, null, true, false, false);
    }

    @TargetApi(21)
    public Point b(int i2, int i3) {
        MediaCodecInfo.CodecCapabilities codecCapabilities = this.f8558e;
        if (codecCapabilities == null) {
            r("align.caps");
            return null;
        }
        MediaCodecInfo.VideoCapabilities videoCapabilities = codecCapabilities.getVideoCapabilities();
        if (videoCapabilities == null) {
            r("align.vCaps");
            return null;
        }
        int widthAlignment = videoCapabilities.getWidthAlignment();
        int heightAlignment = videoCapabilities.getHeightAlignment();
        return new Point(b0.h(i2, widthAlignment) * widthAlignment, b0.h(i3, heightAlignment) * heightAlignment);
    }

    public int d() {
        MediaCodecInfo.CodecCapabilities codecCapabilities;
        if (b0.f9571a < 23 || (codecCapabilities = this.f8558e) == null) {
            return -1;
        }
        return e(codecCapabilities);
    }

    public MediaCodecInfo.CodecProfileLevel[] f() {
        MediaCodecInfo.CodecProfileLevel[] codecProfileLevelArr;
        MediaCodecInfo.CodecCapabilities codecCapabilities = this.f8558e;
        return (codecCapabilities == null || (codecProfileLevelArr = codecCapabilities.profileLevels) == null) ? new MediaCodecInfo.CodecProfileLevel[0] : codecProfileLevelArr;
    }

    @TargetApi(21)
    public boolean i(int i2) {
        MediaCodecInfo.CodecCapabilities codecCapabilities = this.f8558e;
        if (codecCapabilities == null) {
            r("channelCount.caps");
            return false;
        }
        MediaCodecInfo.AudioCapabilities audioCapabilities = codecCapabilities.getAudioCapabilities();
        if (audioCapabilities == null) {
            r("channelCount.aCaps");
            return false;
        } else if (a(this.f8556c, this.f8557d, audioCapabilities.getMaxInputChannelCount()) >= i2) {
            return true;
        } else {
            r("channelCount.support, " + i2);
            return false;
        }
    }

    @TargetApi(21)
    public boolean j(int i2) {
        MediaCodecInfo.CodecCapabilities codecCapabilities = this.f8558e;
        if (codecCapabilities == null) {
            r("sampleRate.caps");
            return false;
        }
        MediaCodecInfo.AudioCapabilities audioCapabilities = codecCapabilities.getAudioCapabilities();
        if (audioCapabilities == null) {
            r("sampleRate.aCaps");
            return false;
        } else if (audioCapabilities.isSampleRateSupported(i2)) {
            return true;
        } else {
            r("sampleRate.support, " + i2);
            return false;
        }
    }

    public boolean k(String str) {
        String d2;
        if (str == null || this.f8557d == null || (d2 = n.d(str)) == null) {
            return true;
        }
        if (!this.f8557d.equals(d2)) {
            r("codec.mime " + str + ", " + d2);
            return false;
        }
        Pair<Integer, Integer> e2 = MediaCodecUtil.e(str);
        if (e2 == null) {
            return true;
        }
        MediaCodecInfo.CodecProfileLevel[] f2 = f();
        for (MediaCodecInfo.CodecProfileLevel codecProfileLevel : f2) {
            if (codecProfileLevel.profile == ((Integer) e2.first).intValue() && codecProfileLevel.level >= ((Integer) e2.second).intValue()) {
                return true;
            }
        }
        r("codec.profileLevel, " + str + ", " + d2);
        return false;
    }

    @TargetApi(21)
    public boolean p(int i2, int i3, double d2) {
        MediaCodecInfo.CodecCapabilities codecCapabilities = this.f8558e;
        if (codecCapabilities == null) {
            r("sizeAndRate.caps");
            return false;
        }
        MediaCodecInfo.VideoCapabilities videoCapabilities = codecCapabilities.getVideoCapabilities();
        if (videoCapabilities == null) {
            r("sizeAndRate.vCaps");
            return false;
        } else if (c(videoCapabilities, i2, i3, d2)) {
            return true;
        } else {
            if (i2 >= i3 || !c(videoCapabilities, i3, i2, d2)) {
                r("sizeAndRate.support, " + i2 + f.f14028c + i3 + f.f14028c + d2);
                return false;
            }
            q("sizeAndRate.rotated, " + i2 + f.f14028c + i3 + f.f14028c + d2);
            return true;
        }
    }
}
