package com.google.android.exoplayer2.metadata.id3;

import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.util.b0;
import java.util.Arrays;

public final class ApicFrame extends Id3Frame {
    public static final Parcelable.Creator<ApicFrame> CREATOR = new a();

    /* renamed from: b  reason: collision with root package name */
    public static final String f8566b = "APIC";
    public final String I0;
    public final String J0;
    public final int K0;
    public final byte[] L0;

    static class a implements Parcelable.Creator<ApicFrame> {
        a() {
        }

        /* renamed from: a */
        public ApicFrame createFromParcel(Parcel parcel) {
            return new ApicFrame(parcel);
        }

        /* renamed from: b */
        public ApicFrame[] newArray(int i) {
            return new ApicFrame[i];
        }
    }

    public ApicFrame(String str, String str2, int i, byte[] bArr) {
        super(f8566b);
        this.I0 = str;
        this.J0 = str2;
        this.K0 = i;
        this.L0 = bArr;
    }

    public boolean equals(@Nullable Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || ApicFrame.class != obj.getClass()) {
            return false;
        }
        ApicFrame apicFrame = (ApicFrame) obj;
        if (this.K0 != apicFrame.K0 || !b0.b(this.I0, apicFrame.I0) || !b0.b(this.J0, apicFrame.J0) || !Arrays.equals(this.L0, apicFrame.L0)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int i = (527 + this.K0) * 31;
        String str = this.I0;
        int i2 = 0;
        int hashCode = (i + (str != null ? str.hashCode() : 0)) * 31;
        String str2 = this.J0;
        if (str2 != null) {
            i2 = str2.hashCode();
        }
        return ((hashCode + i2) * 31) + Arrays.hashCode(this.L0);
    }

    @Override // com.google.android.exoplayer2.metadata.id3.Id3Frame
    public String toString() {
        return this.f8572a + ": mimeType=" + this.I0 + ", description=" + this.J0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.I0);
        parcel.writeString(this.J0);
        parcel.writeInt(this.K0);
        parcel.writeByteArray(this.L0);
    }

    ApicFrame(Parcel parcel) {
        super(f8566b);
        this.I0 = parcel.readString();
        this.J0 = parcel.readString();
        this.K0 = parcel.readInt();
        this.L0 = parcel.createByteArray();
    }
}
