package com.google.android.exoplayer2.metadata.id3;

import android.util.Log;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.metadata.Metadata;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.q;
import java.io.UnsupportedEncodingException;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Locale;

/* compiled from: Id3Decoder */
public final class a implements com.google.android.exoplayer2.metadata.a {

    /* renamed from: a  reason: collision with root package name */
    public static final b f8577a = new C0210a();

    /* renamed from: b  reason: collision with root package name */
    private static final String f8578b = "Id3Decoder";

    /* renamed from: c  reason: collision with root package name */
    public static final int f8579c = b0.I("ID3");

    /* renamed from: d  reason: collision with root package name */
    public static final int f8580d = 10;

    /* renamed from: e  reason: collision with root package name */
    private static final int f8581e = 128;
    private static final int f = 64;
    private static final int g = 32;
    private static final int h = 8;
    private static final int i = 4;
    private static final int j = 64;
    private static final int k = 2;
    private static final int l = 1;
    private static final int m = 0;
    private static final int n = 1;
    private static final int o = 2;
    private static final int p = 3;
    private final b q;

    /* renamed from: com.google.android.exoplayer2.metadata.id3.a$a  reason: collision with other inner class name */
    /* compiled from: Id3Decoder */
    static class C0210a implements b {
        C0210a() {
        }

        @Override // com.google.android.exoplayer2.metadata.id3.a.b
        public boolean a(int i, int i2, int i3, int i4, int i5) {
            return false;
        }
    }

    /* compiled from: Id3Decoder */
    public interface b {
        boolean a(int i, int i2, int i3, int i4, int i5);
    }

    /* access modifiers changed from: private */
    /* compiled from: Id3Decoder */
    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        private final int f8582a;

        /* renamed from: b  reason: collision with root package name */
        private final boolean f8583b;

        /* renamed from: c  reason: collision with root package name */
        private final int f8584c;

        public c(int i, boolean z, int i2) {
            this.f8582a = i;
            this.f8583b = z;
            this.f8584c = i2;
        }
    }

    public a() {
        this(null);
    }

    private static byte[] b(byte[] bArr, int i2, int i3) {
        return i3 <= i2 ? new byte[0] : Arrays.copyOfRange(bArr, i2, i3);
    }

    private static ApicFrame d(q qVar, int i2, int i3) throws UnsupportedEncodingException {
        int i4;
        String str;
        int D = qVar.D();
        String s = s(D);
        int i5 = i2 - 1;
        byte[] bArr = new byte[i5];
        qVar.i(bArr, 0, i5);
        if (i3 == 2) {
            str = "image/" + b0.w0(new String(bArr, 0, 3, "ISO-8859-1"));
            if (com.luck.picture.lib.o0.a.I0.equals(str)) {
                str = "image/jpeg";
            }
            i4 = 2;
        } else {
            i4 = v(bArr, 0);
            String w0 = b0.w0(new String(bArr, 0, i4, "ISO-8859-1"));
            if (w0.indexOf(47) == -1) {
                str = "image/" + w0;
            } else {
                str = w0;
            }
        }
        int i6 = i4 + 2;
        int u = u(bArr, i6, D);
        return new ApicFrame(str, new String(bArr, i6, u - i6, s), bArr[i4 + 1] & 255, b(bArr, u + r(D), i5));
    }

    private static BinaryFrame e(q qVar, int i2, String str) {
        byte[] bArr = new byte[i2];
        qVar.i(bArr, 0, i2);
        return new BinaryFrame(str, bArr);
    }

    private static ChapterFrame f(q qVar, int i2, int i3, boolean z, int i4, b bVar) throws UnsupportedEncodingException {
        int c2 = qVar.c();
        int v = v(qVar.f9627a, c2);
        String str = new String(qVar.f9627a, c2, v - c2, "ISO-8859-1");
        qVar.P(v + 1);
        int l2 = qVar.l();
        int l3 = qVar.l();
        long F = qVar.F();
        long j2 = F == 4294967295L ? -1 : F;
        long F2 = qVar.F();
        long j3 = F2 == 4294967295L ? -1 : F2;
        ArrayList arrayList = new ArrayList();
        int i5 = c2 + i2;
        while (qVar.c() < i5) {
            Id3Frame i6 = i(i3, qVar, z, i4, bVar);
            if (i6 != null) {
                arrayList.add(i6);
            }
        }
        Id3Frame[] id3FrameArr = new Id3Frame[arrayList.size()];
        arrayList.toArray(id3FrameArr);
        return new ChapterFrame(str, l2, l3, j2, j3, id3FrameArr);
    }

    private static ChapterTocFrame g(q qVar, int i2, int i3, boolean z, int i4, b bVar) throws UnsupportedEncodingException {
        int c2 = qVar.c();
        int v = v(qVar.f9627a, c2);
        String str = new String(qVar.f9627a, c2, v - c2, "ISO-8859-1");
        qVar.P(v + 1);
        int D = qVar.D();
        boolean z2 = (D & 2) != 0;
        boolean z3 = (D & 1) != 0;
        int D2 = qVar.D();
        String[] strArr = new String[D2];
        for (int i5 = 0; i5 < D2; i5++) {
            int c3 = qVar.c();
            int v2 = v(qVar.f9627a, c3);
            strArr[i5] = new String(qVar.f9627a, c3, v2 - c3, "ISO-8859-1");
            qVar.P(v2 + 1);
        }
        ArrayList arrayList = new ArrayList();
        int i6 = c2 + i2;
        while (qVar.c() < i6) {
            Id3Frame i7 = i(i3, qVar, z, i4, bVar);
            if (i7 != null) {
                arrayList.add(i7);
            }
        }
        Id3Frame[] id3FrameArr = new Id3Frame[arrayList.size()];
        arrayList.toArray(id3FrameArr);
        return new ChapterTocFrame(str, z2, z3, strArr, id3FrameArr);
    }

    private static CommentFrame h(q qVar, int i2) throws UnsupportedEncodingException {
        if (i2 < 4) {
            return null;
        }
        int D = qVar.D();
        String s = s(D);
        byte[] bArr = new byte[3];
        qVar.i(bArr, 0, 3);
        String str = new String(bArr, 0, 3);
        int i3 = i2 - 4;
        byte[] bArr2 = new byte[i3];
        qVar.i(bArr2, 0, i3);
        int u = u(bArr2, 0, D);
        String str2 = new String(bArr2, 0, u, s);
        int r = u + r(D);
        return new CommentFrame(str, str2, m(bArr2, r, u(bArr2, r, D), s));
    }

    /* JADX WARNING: Code restructure failed: missing block: B:129:0x0190, code lost:
        if (r13 == 67) goto L_0x0192;
     */
    private static Id3Frame i(int i2, q qVar, boolean z, int i3, b bVar) {
        int H;
        int i4;
        int i5;
        String str;
        boolean z2;
        boolean z3;
        boolean z4;
        boolean z5;
        boolean z6;
        Id3Frame id3Frame;
        int D = qVar.D();
        int D2 = qVar.D();
        int D3 = qVar.D();
        int D4 = i2 >= 3 ? qVar.D() : 0;
        if (i2 == 4) {
            H = qVar.H();
            if (!z) {
                H = (((H >> 24) & 255) << 21) | (H & 255) | (((H >> 8) & 255) << 7) | (((H >> 16) & 255) << 14);
            }
        } else {
            H = i2 == 3 ? qVar.H() : qVar.G();
        }
        int i6 = H;
        int J = i2 >= 3 ? qVar.J() : 0;
        if (D == 0 && D2 == 0 && D3 == 0 && D4 == 0 && i6 == 0 && J == 0) {
            qVar.P(qVar.d());
            return null;
        }
        int c2 = qVar.c() + i6;
        if (c2 > qVar.d()) {
            Log.w(f8578b, "Frame size exceeds remaining tag data");
            qVar.P(qVar.d());
            return null;
        }
        if (bVar != null) {
            str = f8578b;
            i5 = c2;
            i4 = J;
            if (!bVar.a(i2, D, D2, D3, D4)) {
                qVar.P(i5);
                return null;
            }
        } else {
            str = f8578b;
            i5 = c2;
            i4 = J;
        }
        if (i2 == 3) {
            z5 = (i4 & 128) != 0;
            z4 = (i4 & 64) != 0;
            z6 = (i4 & 32) != 0;
            z2 = z5;
            z3 = false;
        } else if (i2 == 4) {
            boolean z7 = (i4 & 64) != 0;
            boolean z8 = (i4 & 8) != 0;
            boolean z9 = (i4 & 4) != 0;
            z3 = (i4 & 2) != 0;
            z6 = z7;
            z5 = (i4 & 1) != 0;
            z2 = z8;
            z4 = z9;
        } else {
            z6 = false;
            z5 = false;
            z4 = false;
            z3 = false;
            z2 = false;
        }
        if (z2 || z4) {
            Log.w(str, "Skipping unsupported compressed or encrypted frame");
            qVar.P(i5);
            return null;
        }
        if (z6) {
            i6--;
            qVar.Q(1);
        }
        if (z5) {
            i6 -= 4;
            qVar.Q(4);
        }
        if (z3) {
            i6 = w(qVar, i6);
        }
        if (D == 84 && D2 == 88 && D3 == 88 && (i2 == 2 || D4 == 88)) {
            try {
                id3Frame = o(qVar, i6);
            } catch (UnsupportedEncodingException unused) {
                Log.w(str, "Unsupported character encoding");
                qVar.P(i5);
                return null;
            } catch (Throwable th) {
                qVar.P(i5);
                throw th;
            }
        } else if (D == 84) {
            id3Frame = n(qVar, i6, t(i2, D, D2, D3, D4));
        } else if (D == 87 && D2 == 88 && D3 == 88 && (i2 == 2 || D4 == 88)) {
            id3Frame = q(qVar, i6);
        } else if (D == 87) {
            id3Frame = p(qVar, i6, t(i2, D, D2, D3, D4));
        } else if (D == 80 && D2 == 82 && D3 == 73 && D4 == 86) {
            id3Frame = l(qVar, i6);
        } else if (D == 71 && D2 == 69 && D3 == 79 && (D4 == 66 || i2 == 2)) {
            id3Frame = j(qVar, i6);
        } else {
            if (i2 == 2) {
                if (D == 80 && D2 == 73 && D3 == 67) {
                }
                if (D != 67 && D2 == 79 && D3 == 77 && (D4 == 77 || i2 == 2)) {
                    id3Frame = h(qVar, i6);
                } else if (D != 67 && D2 == 72 && D3 == 65 && D4 == 80) {
                    id3Frame = f(qVar, i6, i2, z, i3, bVar);
                } else if (D != 67 && D2 == 84 && D3 == 79 && D4 == 67) {
                    id3Frame = g(qVar, i6, i2, z, i3, bVar);
                } else {
                    id3Frame = e(qVar, i6, t(i2, D, D2, D3, D4));
                }
            } else {
                if (D == 65) {
                    if (D2 == 80) {
                        if (D3 == 73) {
                        }
                    }
                }
                if (D != 67) {
                }
                if (D != 67) {
                }
                if (D != 67) {
                }
                id3Frame = e(qVar, i6, t(i2, D, D2, D3, D4));
            }
            id3Frame = d(qVar, i6, i2);
        }
        if (id3Frame == null) {
            Log.w(str, "Failed to decode frame: id=" + t(i2, D, D2, D3, D4) + ", frameSize=" + i6);
        }
        qVar.P(i5);
        return id3Frame;
    }

    private static GeobFrame j(q qVar, int i2) throws UnsupportedEncodingException {
        int D = qVar.D();
        String s = s(D);
        int i3 = i2 - 1;
        byte[] bArr = new byte[i3];
        qVar.i(bArr, 0, i3);
        int v = v(bArr, 0);
        String str = new String(bArr, 0, v, "ISO-8859-1");
        int i4 = v + 1;
        int u = u(bArr, i4, D);
        String m2 = m(bArr, i4, u, s);
        int r = u + r(D);
        int u2 = u(bArr, r, D);
        return new GeobFrame(str, m2, m(bArr, r, u2, s), b(bArr, u2 + r(D), i3));
    }

    private static c k(q qVar) {
        if (qVar.a() < 10) {
            Log.w(f8578b, "Data too short to be an ID3 tag");
            return null;
        }
        int G = qVar.G();
        if (G != f8579c) {
            Log.w(f8578b, "Unexpected first three bytes of ID3 tag header: " + G);
            return null;
        }
        int D = qVar.D();
        boolean z = true;
        qVar.Q(1);
        int D2 = qVar.D();
        int C = qVar.C();
        if (D == 2) {
            if ((D2 & 64) != 0) {
                Log.w(f8578b, "Skipped ID3 tag with majorVersion=2 and undefined compression scheme");
                return null;
            }
        } else if (D == 3) {
            if ((D2 & 64) != 0) {
                int l2 = qVar.l();
                qVar.Q(l2);
                C -= l2 + 4;
            }
        } else if (D == 4) {
            if ((D2 & 64) != 0) {
                int C2 = qVar.C();
                qVar.Q(C2 - 4);
                C -= C2;
            }
            if ((D2 & 16) != 0) {
                C -= 10;
            }
        } else {
            Log.w(f8578b, "Skipped ID3 tag with unsupported majorVersion=" + D);
            return null;
        }
        if (D >= 4 || (D2 & 128) == 0) {
            z = false;
        }
        return new c(D, z, C);
    }

    private static PrivFrame l(q qVar, int i2) throws UnsupportedEncodingException {
        byte[] bArr = new byte[i2];
        qVar.i(bArr, 0, i2);
        int v = v(bArr, 0);
        return new PrivFrame(new String(bArr, 0, v, "ISO-8859-1"), b(bArr, v + 1, i2));
    }

    private static String m(byte[] bArr, int i2, int i3, String str) throws UnsupportedEncodingException {
        return (i3 <= i2 || i3 > bArr.length) ? "" : new String(bArr, i2, i3 - i2, str);
    }

    private static TextInformationFrame n(q qVar, int i2, String str) throws UnsupportedEncodingException {
        if (i2 < 1) {
            return null;
        }
        int D = qVar.D();
        String s = s(D);
        int i3 = i2 - 1;
        byte[] bArr = new byte[i3];
        qVar.i(bArr, 0, i3);
        return new TextInformationFrame(str, null, new String(bArr, 0, u(bArr, 0, D), s));
    }

    private static TextInformationFrame o(q qVar, int i2) throws UnsupportedEncodingException {
        if (i2 < 1) {
            return null;
        }
        int D = qVar.D();
        String s = s(D);
        int i3 = i2 - 1;
        byte[] bArr = new byte[i3];
        qVar.i(bArr, 0, i3);
        int u = u(bArr, 0, D);
        String str = new String(bArr, 0, u, s);
        int r = u + r(D);
        return new TextInformationFrame("TXXX", str, m(bArr, r, u(bArr, r, D), s));
    }

    private static UrlLinkFrame p(q qVar, int i2, String str) throws UnsupportedEncodingException {
        byte[] bArr = new byte[i2];
        qVar.i(bArr, 0, i2);
        return new UrlLinkFrame(str, null, new String(bArr, 0, v(bArr, 0), "ISO-8859-1"));
    }

    private static UrlLinkFrame q(q qVar, int i2) throws UnsupportedEncodingException {
        if (i2 < 1) {
            return null;
        }
        int D = qVar.D();
        String s = s(D);
        int i3 = i2 - 1;
        byte[] bArr = new byte[i3];
        qVar.i(bArr, 0, i3);
        int u = u(bArr, 0, D);
        String str = new String(bArr, 0, u, s);
        int r = u + r(D);
        return new UrlLinkFrame("WXXX", str, m(bArr, r, v(bArr, r), "ISO-8859-1"));
    }

    private static int r(int i2) {
        return (i2 == 0 || i2 == 3) ? 1 : 2;
    }

    private static String s(int i2) {
        return i2 != 1 ? i2 != 2 ? i2 != 3 ? "ISO-8859-1" : "UTF-8" : "UTF-16BE" : C.k;
    }

    private static String t(int i2, int i3, int i4, int i5, int i6) {
        if (i2 == 2) {
            return String.format(Locale.US, "%c%c%c", Integer.valueOf(i3), Integer.valueOf(i4), Integer.valueOf(i5));
        }
        return String.format(Locale.US, "%c%c%c%c", Integer.valueOf(i3), Integer.valueOf(i4), Integer.valueOf(i5), Integer.valueOf(i6));
    }

    private static int u(byte[] bArr, int i2, int i3) {
        int v = v(bArr, i2);
        if (i3 == 0 || i3 == 3) {
            return v;
        }
        while (v < bArr.length - 1) {
            if (v % 2 == 0 && bArr[v + 1] == 0) {
                return v;
            }
            v = v(bArr, v + 1);
        }
        return bArr.length;
    }

    private static int v(byte[] bArr, int i2) {
        while (i2 < bArr.length) {
            if (bArr[i2] == 0) {
                return i2;
            }
            i2++;
        }
        return bArr.length;
    }

    private static int w(q qVar, int i2) {
        byte[] bArr = qVar.f9627a;
        int c2 = qVar.c();
        while (true) {
            int i3 = c2 + 1;
            if (i3 >= i2) {
                return i2;
            }
            if ((bArr[c2] & 255) == 255 && bArr[i3] == 0) {
                System.arraycopy(bArr, c2 + 2, bArr, i3, (i2 - c2) - 2);
                i2--;
            }
            c2 = i3;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:30:0x0076, code lost:
        if ((r10 & 1) != 0) goto L_0x008b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:38:0x0086, code lost:
        if ((r10 & 128) != 0) goto L_0x008b;
     */
    private static boolean x(q qVar, int i2, int i3, boolean z) {
        int i4;
        long j2;
        int i5;
        int i6;
        int c2 = qVar.c();
        while (true) {
            try {
                boolean z2 = true;
                if (qVar.a() >= i3) {
                    if (i2 >= 3) {
                        i5 = qVar.l();
                        j2 = qVar.F();
                        i4 = qVar.J();
                    } else {
                        i5 = qVar.G();
                        j2 = (long) qVar.G();
                        i4 = 0;
                    }
                    if (i5 == 0 && j2 == 0 && i4 == 0) {
                        qVar.P(c2);
                        return true;
                    }
                    if (i2 == 4 && !z) {
                        if ((8421504 & j2) != 0) {
                            qVar.P(c2);
                            return false;
                        }
                        j2 = (((j2 >> 24) & 255) << 21) | (j2 & 255) | (((j2 >> 8) & 255) << 7) | (((j2 >> 16) & 255) << 14);
                    }
                    if (i2 == 4) {
                        i6 = (i4 & 64) != 0 ? 1 : 0;
                    } else if (i2 == 3) {
                        i6 = (i4 & 32) != 0 ? 1 : 0;
                    } else {
                        i6 = 0;
                    }
                    z2 = false;
                    if (z2) {
                        i6 += 4;
                    }
                    if (j2 < ((long) i6)) {
                        qVar.P(c2);
                        return false;
                    } else if (((long) qVar.a()) < j2) {
                        return false;
                    } else {
                        qVar.Q((int) j2);
                    }
                } else {
                    qVar.P(c2);
                    return true;
                }
            } finally {
                qVar.P(c2);
            }
        }
    }

    @Override // com.google.android.exoplayer2.metadata.a
    public Metadata a(com.google.android.exoplayer2.metadata.c cVar) {
        ByteBuffer byteBuffer = cVar.L0;
        return c(byteBuffer.array(), byteBuffer.limit());
    }

    public Metadata c(byte[] bArr, int i2) {
        ArrayList arrayList = new ArrayList();
        q qVar = new q(bArr, i2);
        c k2 = k(qVar);
        if (k2 == null) {
            return null;
        }
        int c2 = qVar.c();
        int i3 = k2.f8582a == 2 ? 6 : 10;
        int i4 = k2.f8584c;
        if (k2.f8583b) {
            i4 = w(qVar, k2.f8584c);
        }
        qVar.O(c2 + i4);
        boolean z = false;
        if (!x(qVar, k2.f8582a, i3, false)) {
            if (k2.f8582a != 4 || !x(qVar, 4, i3, true)) {
                Log.w(f8578b, "Failed to validate ID3 tag with majorVersion=" + k2.f8582a);
                return null;
            }
            z = true;
        }
        while (qVar.a() >= i3) {
            Id3Frame i5 = i(k2.f8582a, qVar, z, i3, this.q);
            if (i5 != null) {
                arrayList.add(i5);
            }
        }
        return new Metadata(arrayList);
    }

    public a(b bVar) {
        this.q = bVar;
    }
}
