package com.google.android.exoplayer2.offline;

import android.os.ConditionVariable;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Looper;
import android.util.Log;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.offline.b;
import com.google.android.exoplayer2.upstream.cache.Cache;
import com.google.android.exoplayer2.upstream.h;
import com.google.android.exoplayer2.util.b0;
import com.ibm.icu.impl.z0;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.IOException;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.concurrent.CopyOnWriteArraySet;

public final class DownloadManager {

    /* renamed from: a  reason: collision with root package name */
    public static final int f8612a = 1;

    /* renamed from: b  reason: collision with root package name */
    public static final int f8613b = 5;

    /* renamed from: c  reason: collision with root package name */
    private static final String f8614c = "DownloadManager";

    /* renamed from: d  reason: collision with root package name */
    private static final boolean f8615d = false;

    /* renamed from: e  reason: collision with root package name */
    private final e f8616e;
    private final int f;
    private final int g;
    private final a h;
    private final b.a[] i;
    private final ArrayList<Task> j;
    private final ArrayList<Task> k;
    private final Handler l;
    private final HandlerThread m;
    private final Handler n;
    private final CopyOnWriteArraySet<d> o;
    private int p;
    private boolean q;
    private boolean r;
    private boolean s;

    /* access modifiers changed from: private */
    public static final class Task implements Runnable {
        public static final int I0 = 7;

        /* renamed from: a  reason: collision with root package name */
        public static final int f8617a = 5;

        /* renamed from: b  reason: collision with root package name */
        public static final int f8618b = 6;
        private final int J0;
        private final DownloadManager K0;
        private final b L0;
        private final int M0;
        private volatile int N0;
        private volatile d O0;
        private Thread P0;
        private Throwable Q0;

        @Retention(RetentionPolicy.SOURCE)
        public @interface InternalState {
        }

        /* access modifiers changed from: package-private */
        public class a implements Runnable {
            a() {
            }

            public void run() {
                Task.this.m(5, 3);
            }
        }

        class b implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ Throwable f8620a;

            b(Throwable th) {
                this.f8620a = th;
            }

            public void run() {
                Task task = Task.this;
                Throwable th = this.f8620a;
                if (!task.n(1, th != null ? 4 : 2, th) && !Task.this.m(6, 3) && !Task.this.m(7, 0)) {
                    throw new IllegalStateException();
                }
            }
        }

        /* synthetic */ Task(int i, DownloadManager downloadManager, b bVar, int i2, a aVar) {
            this(i, downloadManager, bVar, i2);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean j() {
            return this.N0 == 0;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void k() {
            if (m(0, 5)) {
                this.K0.l.post(new a());
            } else if (m(1, 6)) {
                l();
            }
        }

        private void l() {
            if (this.O0 != null) {
                this.O0.cancel();
            }
            this.P0.interrupt();
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean m(int i, int i2) {
            return n(i, i2, null);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean n(int i, int i2, Throwable th) {
            boolean z = false;
            if (this.N0 != i) {
                return false;
            }
            this.N0 = i2;
            this.Q0 = th;
            if (this.N0 != r()) {
                z = true;
            }
            if (!z) {
                this.K0.F(this);
            }
            return true;
        }

        private int r() {
            int i = this.N0;
            if (i == 5) {
                return 0;
            }
            if (i == 6 || i == 7) {
                return 1;
            }
            return this.N0;
        }

        private int s(int i) {
            return Math.min((i - 1) * 1000, 5000);
        }

        private String t() {
            int i = this.N0;
            if (i == 5 || i == 6) {
                return "CANCELING";
            }
            return i != 7 ? TaskState.a(this.N0) : "STOPPING";
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void w() {
            if (m(0, 1)) {
                Thread thread = new Thread(this);
                this.P0 = thread;
                thread.start();
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void x() {
            if (m(1, 7)) {
                DownloadManager.B("Stopping", this);
                this.P0.interrupt();
            }
        }

        private static String y(byte[] bArr) {
            if (bArr.length > 100) {
                return "<data is too long>";
            }
            return z0.f14782a + b0.v(bArr) + z0.f14782a;
        }

        public float o() {
            if (this.O0 != null) {
                return this.O0.a();
            }
            return -1.0f;
        }

        public TaskState p() {
            return new TaskState(this.J0, this.L0, r(), o(), q(), this.Q0, null);
        }

        public long q() {
            if (this.O0 != null) {
                return this.O0.b();
            }
            return 0;
        }

        public void run() {
            Throwable th;
            DownloadManager.B("Task is started", this);
            try {
                this.O0 = this.L0.a(this.K0.f8616e);
                if (this.L0.f8650d) {
                    this.O0.remove();
                } else {
                    long j = -1;
                    int i = 0;
                    while (!Thread.interrupted()) {
                        try {
                            this.O0.c();
                            break;
                        } catch (IOException e2) {
                            long b2 = this.O0.b();
                            if (b2 != j) {
                                DownloadManager.B("Reset error count. downloadedBytes = " + b2, this);
                                j = b2;
                                i = 0;
                            }
                            if (this.N0 != 1 || (i = i + 1) > this.M0) {
                                throw e2;
                            }
                            DownloadManager.B("Download error. Retry " + i, this);
                            Thread.sleep((long) s(i));
                        }
                    }
                }
                th = null;
            } catch (Throwable th2) {
                th = th2;
            }
            this.K0.l.post(new b(th));
        }

        public String toString() {
            return super.toString();
        }

        public boolean u() {
            return this.N0 == 5 || this.N0 == 1 || this.N0 == 7 || this.N0 == 6;
        }

        public boolean v() {
            return this.N0 == 4 || this.N0 == 2 || this.N0 == 3;
        }

        private Task(int i, DownloadManager downloadManager, b bVar, int i2) {
            this.J0 = i;
            this.K0 = downloadManager;
            this.L0 = bVar;
            this.N0 = 0;
            this.M0 = i2;
        }
    }

    public static final class TaskState {

        /* renamed from: a  reason: collision with root package name */
        public static final int f8622a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f8623b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f8624c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f8625d = 3;

        /* renamed from: e  reason: collision with root package name */
        public static final int f8626e = 4;
        public final int f;
        public final b g;
        public final int h;
        public final float i;
        public final long j;
        public final Throwable k;

        @Retention(RetentionPolicy.SOURCE)
        public @interface State {
        }

        /* synthetic */ TaskState(int i2, b bVar, int i3, float f2, long j2, Throwable th, a aVar) {
            this(i2, bVar, i3, f2, j2, th);
        }

        public static String a(int i2) {
            if (i2 == 0) {
                return "QUEUED";
            }
            if (i2 == 1) {
                return "STARTED";
            }
            if (i2 == 2) {
                return "COMPLETED";
            }
            if (i2 == 3) {
                return "CANCELED";
            }
            if (i2 == 4) {
                return "FAILED";
            }
            throw new IllegalStateException();
        }

        private TaskState(int i2, b bVar, int i3, float f2, long j2, Throwable th) {
            this.f = i2;
            this.g = bVar;
            this.h = i3;
            this.i = f2;
            this.j = j2;
            this.k = th;
        }
    }

    /* access modifiers changed from: package-private */
    public class a implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ConditionVariable f8627a;

        a(ConditionVariable conditionVariable) {
            this.f8627a = conditionVariable;
        }

        public void run() {
            this.f8627a.open();
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements Runnable {

        class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ b[] f8630a;

            a(b[] bVarArr) {
                this.f8630a = bVarArr;
            }

            public void run() {
                if (!DownloadManager.this.r) {
                    ArrayList arrayList = new ArrayList(DownloadManager.this.j);
                    DownloadManager.this.j.clear();
                    for (b bVar : this.f8630a) {
                        DownloadManager.this.q(bVar);
                    }
                    DownloadManager.A("Tasks are created.");
                    DownloadManager.this.q = true;
                    Iterator it = DownloadManager.this.o.iterator();
                    while (it.hasNext()) {
                        ((d) it.next()).c(DownloadManager.this);
                    }
                    if (!arrayList.isEmpty()) {
                        DownloadManager.this.j.addAll(arrayList);
                        DownloadManager.this.I();
                    }
                    DownloadManager.this.D();
                    for (int i = 0; i < DownloadManager.this.j.size(); i++) {
                        Task task = (Task) DownloadManager.this.j.get(i);
                        if (task.N0 == 0) {
                            DownloadManager.this.E(task);
                        }
                    }
                }
            }
        }

        b() {
        }

        public void run() {
            b[] bVarArr;
            try {
                bVarArr = DownloadManager.this.h.a(DownloadManager.this.i);
                DownloadManager.A("Action file is loaded.");
            } catch (Throwable th) {
                Log.e(DownloadManager.f8614c, "Action file loading failed.", th);
                bVarArr = new b[0];
            }
            DownloadManager.this.l.post(new a(bVarArr));
        }
    }

    /* access modifiers changed from: package-private */
    public class c implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ b[] f8632a;

        c(b[] bVarArr) {
            this.f8632a = bVarArr;
        }

        public void run() {
            try {
                DownloadManager.this.h.b(this.f8632a);
                DownloadManager.A("Actions persisted.");
            } catch (IOException e2) {
                Log.e(DownloadManager.f8614c, "Persisting actions failed.", e2);
            }
        }
    }

    public interface d {
        void a(DownloadManager downloadManager, TaskState taskState);

        void b(DownloadManager downloadManager);

        void c(DownloadManager downloadManager);
    }

    public DownloadManager(Cache cache, h.a aVar, File file, b.a... aVarArr) {
        this(new e(cache, aVar), file, aVarArr);
    }

    /* access modifiers changed from: private */
    public static void A(String str) {
    }

    /* access modifiers changed from: private */
    public static void B(String str, Task task) {
        A(str + ": " + task);
    }

    private void C() {
        if (x()) {
            A("Notify idle state");
            Iterator<d> it = this.o.iterator();
            while (it.hasNext()) {
                it.next().b(this);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void D() {
        b bVar;
        boolean z;
        if (this.q && !this.r) {
            boolean z2 = this.s || this.k.size() == this.f;
            for (int i2 = 0; i2 < this.j.size(); i2++) {
                Task task = this.j.get(i2);
                if (task.j() && ((z = (bVar = task.L0).f8650d) || !z2)) {
                    int i3 = 0;
                    boolean z3 = true;
                    while (true) {
                        if (i3 >= i2) {
                            break;
                        }
                        Task task2 = this.j.get(i3);
                        if (task2.L0.c(bVar)) {
                            if (z) {
                                A(task + " clashes with " + task2);
                                task2.k();
                                z3 = false;
                            } else if (task2.L0.f8650d) {
                                z2 = true;
                                z3 = false;
                                break;
                            }
                        }
                        i3++;
                    }
                    if (z3) {
                        task.w();
                        if (!z) {
                            this.k.add(task);
                            z2 = this.k.size() == this.f;
                        }
                    }
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void E(Task task) {
        B("Task state is changed", task);
        TaskState p2 = task.p();
        Iterator<d> it = this.o.iterator();
        while (it.hasNext()) {
            it.next().a(this, p2);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void F(Task task) {
        if (!this.r) {
            boolean z = !task.u();
            if (z) {
                this.k.remove(task);
            }
            E(task);
            if (task.v()) {
                this.j.remove(task);
                I();
            }
            if (z) {
                D();
                C();
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void I() {
        if (!this.r) {
            b[] bVarArr = new b[this.j.size()];
            for (int i2 = 0; i2 < this.j.size(); i2++) {
                bVarArr[i2] = this.j.get(i2).L0;
            }
            this.n.post(new c(bVarArr));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Task q(b bVar) {
        int i2 = this.p;
        this.p = i2 + 1;
        Task task = new Task(i2, this, bVar, this.g, null);
        this.j.add(task);
        B("Task is added", task);
        return task;
    }

    private void z() {
        this.n.post(new b());
    }

    public void G() {
        if (!this.r) {
            this.r = true;
            for (int i2 = 0; i2 < this.j.size(); i2++) {
                this.j.get(i2).x();
            }
            ConditionVariable conditionVariable = new ConditionVariable();
            this.n.post(new a(conditionVariable));
            conditionVariable.block();
            this.m.quit();
            A("Released");
        }
    }

    public void H(d dVar) {
        this.o.remove(dVar);
    }

    public void J() {
        com.google.android.exoplayer2.util.a.i(!this.r);
        if (this.s) {
            this.s = false;
            D();
            A("Downloads are started");
        }
    }

    public void K() {
        com.google.android.exoplayer2.util.a.i(!this.r);
        if (!this.s) {
            this.s = true;
            for (int i2 = 0; i2 < this.k.size(); i2++) {
                this.k.get(i2).x();
            }
            A("Downloads are stopping");
        }
    }

    public void p(d dVar) {
        this.o.add(dVar);
    }

    public TaskState[] r() {
        com.google.android.exoplayer2.util.a.i(!this.r);
        int size = this.j.size();
        TaskState[] taskStateArr = new TaskState[size];
        for (int i2 = 0; i2 < size; i2++) {
            taskStateArr[i2] = this.j.get(i2).p();
        }
        return taskStateArr;
    }

    public int s() {
        int i2 = 0;
        for (int i3 = 0; i3 < this.j.size(); i3++) {
            if (!this.j.get(i3).L0.f8650d) {
                i2++;
            }
        }
        return i2;
    }

    public int t() {
        com.google.android.exoplayer2.util.a.i(!this.r);
        return this.j.size();
    }

    @Nullable
    public TaskState u(int i2) {
        com.google.android.exoplayer2.util.a.i(!this.r);
        for (int i3 = 0; i3 < this.j.size(); i3++) {
            Task task = this.j.get(i3);
            if (task.J0 == i2) {
                return task.p();
            }
        }
        return null;
    }

    public int v(b bVar) {
        com.google.android.exoplayer2.util.a.i(!this.r);
        Task q2 = q(bVar);
        if (this.q) {
            I();
            D();
            if (q2.N0 == 0) {
                E(q2);
            }
        }
        return q2.J0;
    }

    public int w(byte[] bArr) throws IOException {
        com.google.android.exoplayer2.util.a.i(!this.r);
        return v(b.b(this.i, new ByteArrayInputStream(bArr)));
    }

    public boolean x() {
        com.google.android.exoplayer2.util.a.i(!this.r);
        if (!this.q) {
            return false;
        }
        for (int i2 = 0; i2 < this.j.size(); i2++) {
            if (this.j.get(i2).u()) {
                return false;
            }
        }
        return true;
    }

    public boolean y() {
        com.google.android.exoplayer2.util.a.i(!this.r);
        return this.q;
    }

    public DownloadManager(e eVar, File file, b.a... aVarArr) {
        this(eVar, 1, 5, file, aVarArr);
    }

    public DownloadManager(e eVar, int i2, int i3, File file, b.a... aVarArr) {
        com.google.android.exoplayer2.util.a.b(aVarArr.length > 0, "At least one Deserializer is required.");
        this.f8616e = eVar;
        this.f = i2;
        this.g = i3;
        this.h = new a(file);
        this.i = aVarArr;
        this.s = true;
        this.j = new ArrayList<>();
        this.k = new ArrayList<>();
        Looper myLooper = Looper.myLooper();
        this.l = new Handler(myLooper == null ? Looper.getMainLooper() : myLooper);
        HandlerThread handlerThread = new HandlerThread("DownloadManager file i/o");
        this.m = handlerThread;
        handlerThread.start();
        this.n = new Handler(handlerThread.getLooper());
        this.o = new CopyOnWriteArraySet<>();
        z();
        A("Created");
    }
}
