package com.google.android.exoplayer2.offline;

import android.app.Notification;
import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.Handler;
import android.os.IBinder;
import android.os.Looper;
import android.util.Log;
import androidx.annotation.Nullable;
import androidx.annotation.StringRes;
import com.google.android.exoplayer2.offline.DownloadManager;
import com.google.android.exoplayer2.scheduler.Requirements;
import com.google.android.exoplayer2.scheduler.a;
import com.google.android.exoplayer2.util.NotificationUtil;
import com.google.android.exoplayer2.util.b0;
import java.io.IOException;
import java.util.HashMap;

public abstract class DownloadService extends Service {
    private static final String I0 = "com.google.android.exoplayer.downloadService.action.RESTART";
    private static final String J0 = "com.google.android.exoplayer.downloadService.action.START_DOWNLOADS";
    private static final String K0 = "com.google.android.exoplayer.downloadService.action.STOP_DOWNLOADS";
    public static final String L0 = "download_action";
    public static final String M0 = "foreground";
    public static final long N0 = 1000;
    private static final String O0 = "DownloadService";
    private static final boolean P0 = false;
    private static final HashMap<Class<? extends DownloadService>, d> Q0 = new HashMap<>();

    /* renamed from: a  reason: collision with root package name */
    public static final String f8634a = "com.google.android.exoplayer.downloadService.action.INIT";

    /* renamed from: b  reason: collision with root package name */
    public static final String f8635b = "com.google.android.exoplayer.downloadService.action.ADD";
    private final c R0;
    @Nullable
    private final String S0;
    @StringRes
    private final int T0;
    private DownloadManager U0;
    private b V0;
    private int W0;
    private boolean X0;
    private boolean Y0;

    private final class b implements DownloadManager.d {
        private b() {
        }

        @Override // com.google.android.exoplayer2.offline.DownloadManager.d
        public void a(DownloadManager downloadManager, DownloadManager.TaskState taskState) {
            DownloadService.this.m(taskState);
            if (taskState.h == 1) {
                DownloadService.this.R0.b();
            } else {
                DownloadService.this.R0.d();
            }
        }

        @Override // com.google.android.exoplayer2.offline.DownloadManager.d
        public final void b(DownloadManager downloadManager) {
            DownloadService.this.q();
        }

        @Override // com.google.android.exoplayer2.offline.DownloadManager.d
        public void c(DownloadManager downloadManager) {
            DownloadService.this.k();
        }
    }

    /* access modifiers changed from: private */
    public final class c implements Runnable {
        private final Handler I0 = new Handler(Looper.getMainLooper());
        private boolean J0;
        private boolean K0;

        /* renamed from: a  reason: collision with root package name */
        private final int f8637a;

        /* renamed from: b  reason: collision with root package name */
        private final long f8638b;

        public c(int i, long j) {
            this.f8637a = i;
            this.f8638b = j;
        }

        public void a() {
            if (!this.K0) {
                d();
            }
        }

        public void b() {
            this.J0 = true;
            d();
        }

        public void c() {
            this.J0 = false;
            this.I0.removeCallbacks(this);
        }

        public void d() {
            DownloadManager.TaskState[] r = DownloadService.this.U0.r();
            DownloadService downloadService = DownloadService.this;
            downloadService.startForeground(this.f8637a, downloadService.g(r));
            this.K0 = true;
            if (this.J0) {
                this.I0.removeCallbacks(this);
                this.I0.postDelayed(this, this.f8638b);
            }
        }

        public void run() {
            d();
        }
    }

    /* access modifiers changed from: private */
    public static final class d implements a.d {

        /* renamed from: a  reason: collision with root package name */
        private final Context f8639a;

        /* renamed from: b  reason: collision with root package name */
        private final Requirements f8640b;
        @Nullable

        /* renamed from: c  reason: collision with root package name */
        private final com.google.android.exoplayer2.scheduler.b f8641c;

        /* renamed from: d  reason: collision with root package name */
        private final Class<? extends DownloadService> f8642d;

        /* renamed from: e  reason: collision with root package name */
        private final com.google.android.exoplayer2.scheduler.a f8643e;

        private void d(String str) {
            b0.s0(this.f8639a, new Intent(this.f8639a, this.f8642d).setAction(str).putExtra(DownloadService.M0, true));
        }

        @Override // com.google.android.exoplayer2.scheduler.a.d
        public void a(com.google.android.exoplayer2.scheduler.a aVar) {
            d(DownloadService.J0);
            com.google.android.exoplayer2.scheduler.b bVar = this.f8641c;
            if (bVar != null) {
                bVar.cancel();
            }
        }

        @Override // com.google.android.exoplayer2.scheduler.a.d
        public void b(com.google.android.exoplayer2.scheduler.a aVar) {
            d(DownloadService.K0);
            if (this.f8641c != null) {
                if (!this.f8641c.a(this.f8640b, this.f8639a.getPackageName(), DownloadService.I0)) {
                    Log.e(DownloadService.O0, "Scheduling downloads failed.");
                }
            }
        }

        public void c() {
            this.f8643e.g();
        }

        public void e() {
            this.f8643e.h();
            com.google.android.exoplayer2.scheduler.b bVar = this.f8641c;
            if (bVar != null) {
                bVar.cancel();
            }
        }

        private d(Context context, Requirements requirements, @Nullable com.google.android.exoplayer2.scheduler.b bVar, Class<? extends DownloadService> cls) {
            this.f8639a = context;
            this.f8640b = requirements;
            this.f8641c = bVar;
            this.f8642d = cls;
            this.f8643e = new com.google.android.exoplayer2.scheduler.a(context, this, requirements);
        }
    }

    protected DownloadService(int i) {
        this(i, 1000);
    }

    public static Intent e(Context context, Class<? extends DownloadService> cls, b bVar, boolean z) {
        return new Intent(context, cls).setAction(f8635b).putExtra(L0, bVar.e()).putExtra(M0, z);
    }

    private void j(String str) {
    }

    /* JADX DEBUG: Multi-variable search result rejected for r7v0, resolved type: java.util.HashMap<java.lang.Class<? extends com.google.android.exoplayer2.offline.DownloadService>, com.google.android.exoplayer2.offline.DownloadService$d> */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void k() {
        if (this.U0.s() != 0) {
            Class<?> cls = getClass();
            HashMap<Class<? extends DownloadService>, d> hashMap = Q0;
            if (((d) hashMap.get(cls)) == null) {
                d dVar = new d(this, h(), i(), cls);
                hashMap.put(cls, dVar);
                dVar.c();
                j("started watching requirements");
            }
        }
    }

    private void l() {
        d remove;
        if (this.U0.s() <= 0 && (remove = Q0.remove(getClass())) != null) {
            remove.e();
            j("stopped watching requirements");
        }
    }

    public static void n(Context context, Class<? extends DownloadService> cls) {
        context.startService(new Intent(context, cls).setAction(f8634a));
    }

    public static void o(Context context, Class<? extends DownloadService> cls) {
        b0.s0(context, new Intent(context, cls).setAction(f8634a).putExtra(M0, true));
    }

    public static void p(Context context, Class<? extends DownloadService> cls, b bVar, boolean z) {
        Intent e2 = e(context, cls, bVar, z);
        if (z) {
            b0.s0(context, e2);
        } else {
            context.startService(e2);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void q() {
        this.R0.c();
        if (this.X0 && b0.f9571a >= 26) {
            this.R0.a();
        }
        if (b0.f9571a >= 28 || !this.Y0) {
            boolean stopSelfResult = stopSelfResult(this.W0);
            j("stopSelf(" + this.W0 + ") result: " + stopSelfResult);
            return;
        }
        stopSelf();
        j("stopSelf()");
    }

    /* access modifiers changed from: protected */
    public abstract DownloadManager f();

    /* access modifiers changed from: protected */
    public abstract Notification g(DownloadManager.TaskState[] taskStateArr);

    /* access modifiers changed from: protected */
    public Requirements h() {
        return new Requirements(1, false, false);
    }

    /* access modifiers changed from: protected */
    @Nullable
    public abstract com.google.android.exoplayer2.scheduler.b i();

    /* access modifiers changed from: protected */
    public void m(DownloadManager.TaskState taskState) {
    }

    @Nullable
    public IBinder onBind(Intent intent) {
        return null;
    }

    public void onCreate() {
        j("onCreate");
        String str = this.S0;
        if (str != null) {
            NotificationUtil.a(this, str, this.T0, 2);
        }
        this.U0 = f();
        b bVar = new b();
        this.V0 = bVar;
        this.U0.p(bVar);
    }

    public void onDestroy() {
        j("onDestroy");
        this.R0.c();
        this.U0.H(this.V0);
        l();
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Code restructure failed: missing block: B:29:0x0080, code lost:
        if (r2.equals(com.google.android.exoplayer2.offline.DownloadService.I0) == false) goto L_0x0050;
     */
    public int onStartCommand(Intent intent, int i, int i2) {
        String str;
        this.W0 = i2;
        char c2 = 0;
        this.Y0 = false;
        if (intent != null) {
            str = intent.getAction();
            this.X0 |= intent.getBooleanExtra(M0, false) || I0.equals(str);
        } else {
            str = null;
        }
        if (str == null) {
            str = f8634a;
        }
        j("onStartCommand action: " + str + " startId: " + i2);
        switch (str.hashCode()) {
            case -871181424:
                break;
            case -382886238:
                if (str.equals(f8635b)) {
                    c2 = 1;
                    break;
                }
                c2 = 65535;
                break;
            case -337334865:
                if (str.equals(J0)) {
                    c2 = 2;
                    break;
                }
                c2 = 65535;
                break;
            case 1015676687:
                if (str.equals(f8634a)) {
                    c2 = 3;
                    break;
                }
                c2 = 65535;
                break;
            case 1286088717:
                if (str.equals(K0)) {
                    c2 = 4;
                    break;
                }
                c2 = 65535;
                break;
            default:
                c2 = 65535;
                break;
        }
        switch (c2) {
            case 0:
            case 3:
                break;
            case 1:
                byte[] byteArrayExtra = intent.getByteArrayExtra(L0);
                if (byteArrayExtra != null) {
                    try {
                        this.U0.w(byteArrayExtra);
                        break;
                    } catch (IOException e2) {
                        Log.e(O0, "Failed to handle ADD action", e2);
                        break;
                    }
                } else {
                    Log.e(O0, "Ignoring ADD action with no action data");
                    break;
                }
            case 2:
                this.U0.J();
                break;
            case 4:
                this.U0.K();
                break;
            default:
                Log.e(O0, "Ignoring unrecognized action: " + str);
                break;
        }
        k();
        if (this.U0.x()) {
            q();
        }
        return 1;
    }

    public void onTaskRemoved(Intent intent) {
        j("onTaskRemoved rootIntent: " + intent);
        this.Y0 = true;
    }

    protected DownloadService(int i, long j) {
        this(i, j, null, 0);
    }

    protected DownloadService(int i, long j, @Nullable String str, @StringRes int i2) {
        this.R0 = new c(i, j);
        this.S0 = str;
        this.T0 = i2;
    }
}
