package com.google.android.exoplayer2.offline;

import android.net.Uri;
import androidx.annotation.Nullable;
import java.io.ByteArrayOutputStream;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Arrays;

/* compiled from: DownloadAction */
public abstract class b {

    /* renamed from: a  reason: collision with root package name */
    public final String f8647a;

    /* renamed from: b  reason: collision with root package name */
    public final int f8648b;

    /* renamed from: c  reason: collision with root package name */
    public final Uri f8649c;

    /* renamed from: d  reason: collision with root package name */
    public final boolean f8650d;

    /* renamed from: e  reason: collision with root package name */
    public final byte[] f8651e;

    /* compiled from: DownloadAction */
    public static abstract class a {

        /* renamed from: a  reason: collision with root package name */
        public final String f8652a;

        /* renamed from: b  reason: collision with root package name */
        public final int f8653b;

        public a(String str, int i) {
            this.f8652a = str;
            this.f8653b = i;
        }

        public abstract b a(int i, DataInputStream dataInputStream) throws IOException;
    }

    protected b(String str, int i, Uri uri, boolean z, @Nullable byte[] bArr) {
        this.f8647a = str;
        this.f8648b = i;
        this.f8649c = uri;
        this.f8650d = z;
        this.f8651e = bArr == null ? new byte[0] : bArr;
    }

    public static b b(a[] aVarArr, InputStream inputStream) throws IOException {
        DataInputStream dataInputStream = new DataInputStream(inputStream);
        String readUTF = dataInputStream.readUTF();
        int readInt = dataInputStream.readInt();
        for (a aVar : aVarArr) {
            if (readUTF.equals(aVar.f8652a) && aVar.f8653b >= readInt) {
                return aVar.a(readInt, dataInputStream);
            }
        }
        throw new DownloadException("No deserializer found for:" + readUTF + ", " + readInt);
    }

    public static void d(b bVar, OutputStream outputStream) throws IOException {
        DataOutputStream dataOutputStream = new DataOutputStream(outputStream);
        dataOutputStream.writeUTF(bVar.f8647a);
        dataOutputStream.writeInt(bVar.f8648b);
        bVar.f(dataOutputStream);
        dataOutputStream.flush();
    }

    /* access modifiers changed from: protected */
    public abstract d a(e eVar);

    public boolean c(b bVar) {
        return this.f8649c.equals(bVar.f8649c);
    }

    public final byte[] e() {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        try {
            d(this, byteArrayOutputStream);
            return byteArrayOutputStream.toByteArray();
        } catch (IOException unused) {
            throw new IllegalStateException();
        }
    }

    public boolean equals(@Nullable Object obj) {
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        b bVar = (b) obj;
        if (!this.f8647a.equals(bVar.f8647a) || this.f8648b != bVar.f8648b || !this.f8649c.equals(bVar.f8649c) || this.f8650d != bVar.f8650d || !Arrays.equals(this.f8651e, bVar.f8651e)) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: protected */
    public abstract void f(DataOutputStream dataOutputStream) throws IOException;

    public int hashCode() {
        return (((this.f8649c.hashCode() * 31) + (this.f8650d ? 1 : 0)) * 31) + Arrays.hashCode(this.f8651e);
    }
}
