package com.google.android.exoplayer2.offline;

import android.net.Uri;
import androidx.annotation.NonNull;
import com.google.android.exoplayer2.offline.f;
import com.google.android.exoplayer2.upstream.DataSpec;
import com.google.android.exoplayer2.upstream.cache.Cache;
import com.google.android.exoplayer2.upstream.cache.CacheDataSource;
import com.google.android.exoplayer2.upstream.cache.e;
import com.google.android.exoplayer2.upstream.h;
import com.google.android.exoplayer2.util.PriorityTaskManager;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.concurrent.atomic.AtomicBoolean;

/* compiled from: SegmentDownloader */
public abstract class l<M extends f<M, K>, K> implements d {

    /* renamed from: a  reason: collision with root package name */
    private static final int f8673a = 131072;

    /* renamed from: b  reason: collision with root package name */
    private final Uri f8674b;

    /* renamed from: c  reason: collision with root package name */
    private final PriorityTaskManager f8675c;

    /* renamed from: d  reason: collision with root package name */
    private final Cache f8676d;

    /* renamed from: e  reason: collision with root package name */
    private final CacheDataSource f8677e;
    private final CacheDataSource f;
    private final ArrayList<K> g;
    private final AtomicBoolean h = new AtomicBoolean();
    private volatile int i = -1;
    private volatile int j;
    private volatile long k;

    /* access modifiers changed from: protected */
    /* compiled from: SegmentDownloader */
    public static class a implements Comparable<a> {

        /* renamed from: a  reason: collision with root package name */
        public final long f8678a;

        /* renamed from: b  reason: collision with root package name */
        public final DataSpec f8679b;

        public a(long j, DataSpec dataSpec) {
            this.f8678a = j;
            this.f8679b = dataSpec;
        }

        /* renamed from: a */
        public int compareTo(@NonNull a aVar) {
            int i = ((this.f8678a - aVar.f8678a) > 0 ? 1 : ((this.f8678a - aVar.f8678a) == 0 ? 0 : -1));
            if (i == 0) {
                return 0;
            }
            return i < 0 ? -1 : 1;
        }
    }

    public l(Uri uri, List<K> list, e eVar) {
        this.f8674b = uri;
        this.g = new ArrayList<>(list);
        this.f8676d = eVar.b();
        this.f8677e = eVar.a(false);
        this.f = eVar.a(true);
        this.f8675c = eVar.c();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r8v0, resolved type: com.google.android.exoplayer2.offline.l<M extends com.google.android.exoplayer2.offline.f<M, K>, K> */
    /* JADX WARN: Multi-variable type inference failed */
    private List<a> f() throws IOException, InterruptedException {
        f d2 = d(this.f8677e, this.f8674b);
        if (!this.g.isEmpty()) {
            d2 = (f) d2.a(this.g);
        }
        List<a> e2 = e(this.f8677e, d2, false);
        e.a aVar = new e.a();
        this.i = e2.size();
        this.j = 0;
        this.k = 0;
        for (int size = e2.size() - 1; size >= 0; size--) {
            e.d(e2.get(size).f8679b, this.f8676d, aVar);
            this.k += aVar.f9439a;
            if (aVar.f9439a == aVar.f9441c) {
                this.j++;
                e2.remove(size);
            }
        }
        return e2;
    }

    private void g(Uri uri) {
        e.g(this.f8676d, e.c(uri));
    }

    @Override // com.google.android.exoplayer2.offline.d
    public final float a() {
        int i2 = this.i;
        int i3 = this.j;
        if (i2 == -1 || i3 == -1) {
            return -1.0f;
        }
        if (i2 == 0) {
            return 100.0f;
        }
        return (((float) i3) * 100.0f) / ((float) i2);
    }

    @Override // com.google.android.exoplayer2.offline.d
    public final long b() {
        return this.k;
    }

    /* JADX INFO: finally extract failed */
    @Override // com.google.android.exoplayer2.offline.d
    public final void c() throws IOException, InterruptedException {
        this.f8675c.a(-1000);
        try {
            List<a> f2 = f();
            Collections.sort(f2);
            byte[] bArr = new byte[131072];
            e.a aVar = new e.a();
            for (int i2 = 0; i2 < f2.size(); i2++) {
                try {
                    e.b(f2.get(i2).f8679b, this.f8676d, this.f8677e, bArr, this.f8675c, -1000, aVar, this.h, true);
                    this.j++;
                    this.k += aVar.f9440b;
                } catch (Throwable th) {
                    this.k += aVar.f9440b;
                    throw th;
                }
            }
        } finally {
            this.f8675c.e(-1000);
        }
    }

    @Override // com.google.android.exoplayer2.offline.d
    public void cancel() {
        this.h.set(true);
    }

    /* access modifiers changed from: protected */
    public abstract M d(h hVar, Uri uri) throws IOException;

    /* access modifiers changed from: protected */
    public abstract List<a> e(h hVar, M m, boolean z) throws InterruptedException, IOException;

    @Override // com.google.android.exoplayer2.offline.d
    public final void remove() throws InterruptedException {
        try {
            List<a> e2 = e(this.f, d(this.f, this.f8674b), true);
            for (int i2 = 0; i2 < e2.size(); i2++) {
                g(e2.get(i2).f8679b.f9390c);
            }
        } catch (IOException unused) {
        } catch (Throwable th) {
            g(this.f8674b);
            throw th;
        }
        g(this.f8674b);
    }
}
