package com.google.android.exoplayer2.scheduler;

import android.annotation.TargetApi;
import android.app.job.JobInfo;
import android.app.job.JobParameters;
import android.app.job.JobScheduler;
import android.app.job.JobService;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.os.PersistableBundle;
import androidx.annotation.RequiresPermission;
import com.google.android.exoplayer2.util.b0;

@TargetApi(21)
public final class PlatformScheduler implements b {

    /* renamed from: b  reason: collision with root package name */
    private static final String f8695b = "PlatformScheduler";

    /* renamed from: c  reason: collision with root package name */
    private static final String f8696c = "service_action";

    /* renamed from: d  reason: collision with root package name */
    private static final String f8697d = "service_package";

    /* renamed from: e  reason: collision with root package name */
    private static final String f8698e = "requirements";
    private final int f;
    private final ComponentName g;
    private final JobScheduler h;

    public static final class PlatformSchedulerService extends JobService {
        public boolean onStartJob(JobParameters jobParameters) {
            PlatformScheduler.d("PlatformSchedulerService started");
            PersistableBundle extras = jobParameters.getExtras();
            if (new Requirements(extras.getInt(PlatformScheduler.f8698e)).e(this)) {
                PlatformScheduler.d("Requirements are met");
                String string = extras.getString(PlatformScheduler.f8696c);
                String string2 = extras.getString(PlatformScheduler.f8697d);
                Intent intent = new Intent(string).setPackage(string2);
                PlatformScheduler.d("Starting service action: " + string + " package: " + string2);
                b0.s0(this, intent);
                return false;
            }
            PlatformScheduler.d("Requirements are not met");
            jobFinished(jobParameters, true);
            return false;
        }

        public boolean onStopJob(JobParameters jobParameters) {
            return false;
        }
    }

    @RequiresPermission("android.permission.RECEIVE_BOOT_COMPLETED")
    public PlatformScheduler(Context context, int i) {
        this.f = i;
        this.g = new ComponentName(context, PlatformSchedulerService.class);
        this.h = (JobScheduler) context.getSystemService("jobscheduler");
    }

    private static JobInfo c(int i, ComponentName componentName, Requirements requirements, String str, String str2) {
        JobInfo.Builder builder = new JobInfo.Builder(i, componentName);
        int f2 = requirements.f();
        int i2 = 4;
        if (f2 == 0) {
            i2 = 0;
        } else if (f2 == 1) {
            i2 = 1;
        } else if (f2 == 2) {
            i2 = 2;
        } else if (f2 != 3) {
            if (f2 != 4) {
                throw new UnsupportedOperationException();
            } else if (b0.f9571a < 26) {
                throw new UnsupportedOperationException();
            }
        } else if (b0.f9571a >= 24) {
            i2 = 3;
        } else {
            throw new UnsupportedOperationException();
        }
        builder.setRequiredNetworkType(i2);
        builder.setRequiresDeviceIdle(requirements.j());
        builder.setRequiresCharging(requirements.i());
        builder.setPersisted(true);
        PersistableBundle persistableBundle = new PersistableBundle();
        persistableBundle.putString(f8696c, str);
        persistableBundle.putString(f8697d, str2);
        persistableBundle.putInt(f8698e, requirements.g());
        builder.setExtras(persistableBundle);
        return builder.build();
    }

    /* access modifiers changed from: private */
    public static void d(String str) {
    }

    @Override // com.google.android.exoplayer2.scheduler.b
    public boolean a(Requirements requirements, String str, String str2) {
        int schedule = this.h.schedule(c(this.f, this.g, requirements, str2, str));
        d("Scheduling job: " + this.f + " result: " + schedule);
        return schedule == 1;
    }

    @Override // com.google.android.exoplayer2.scheduler.b
    public boolean cancel() {
        d("Canceling job: " + this.f);
        this.h.cancel(this.f);
        return true;
    }
}
