package com.google.android.exoplayer2.scheduler;

import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.ConnectivityManager;
import android.net.Network;
import android.net.NetworkCapabilities;
import android.net.NetworkInfo;
import android.os.PowerManager;
import com.google.android.exoplayer2.util.b0;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public final class Requirements {

    /* renamed from: a  reason: collision with root package name */
    public static final int f8699a = 0;

    /* renamed from: b  reason: collision with root package name */
    public static final int f8700b = 1;

    /* renamed from: c  reason: collision with root package name */
    public static final int f8701c = 2;

    /* renamed from: d  reason: collision with root package name */
    public static final int f8702d = 3;

    /* renamed from: e  reason: collision with root package name */
    public static final int f8703e = 4;
    private static final int f = 8;
    private static final int g = 16;
    private static final int h = 7;
    private static final String i = "Requirements";
    private static final String[] j = null;
    private final int k;

    @Retention(RetentionPolicy.SOURCE)
    public @interface NetworkType {
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public Requirements(int i2, boolean z, boolean z2) {
        this(i2 | (z ? 16 : 0) | (z2 ? 8 : 0));
    }

    private boolean a(Context context) {
        if (!i()) {
            return true;
        }
        Intent registerReceiver = context.registerReceiver(null, new IntentFilter("android.intent.action.BATTERY_CHANGED"));
        if (registerReceiver == null) {
            return false;
        }
        int intExtra = registerReceiver.getIntExtra("status", -1);
        if (intExtra == 2 || intExtra == 5) {
            return true;
        }
        return false;
    }

    private boolean b(Context context) {
        if (!j()) {
            return true;
        }
        PowerManager powerManager = (PowerManager) context.getSystemService("power");
        int i2 = b0.f9571a;
        if (i2 >= 23) {
            if (!powerManager.isDeviceIdleMode()) {
                return true;
            }
        } else if (i2 >= 20) {
            if (!powerManager.isInteractive()) {
                return true;
            }
        } else if (!powerManager.isScreenOn()) {
            return true;
        }
        return false;
    }

    private static boolean c(ConnectivityManager connectivityManager) {
        if (b0.f9571a < 23) {
            return true;
        }
        Network activeNetwork = connectivityManager.getActiveNetwork();
        boolean z = false;
        if (activeNetwork == null) {
            k("No active network.");
            return false;
        }
        NetworkCapabilities networkCapabilities = connectivityManager.getNetworkCapabilities(activeNetwork);
        if (networkCapabilities == null || !networkCapabilities.hasCapability(16)) {
            z = true;
        }
        k("Network capability validated: " + z);
        return !z;
    }

    private boolean d(Context context) {
        int f2 = f();
        if (f2 == 0) {
            return true;
        }
        ConnectivityManager connectivityManager = (ConnectivityManager) context.getSystemService("connectivity");
        NetworkInfo activeNetworkInfo = connectivityManager.getActiveNetworkInfo();
        if (activeNetworkInfo == null || !activeNetworkInfo.isConnected()) {
            k("No network info or no connection.");
            return false;
        } else if (!c(connectivityManager)) {
            return false;
        } else {
            if (f2 == 1) {
                return true;
            }
            if (f2 == 3) {
                boolean isRoaming = activeNetworkInfo.isRoaming();
                k("Roaming: " + isRoaming);
                return !isRoaming;
            }
            boolean h2 = h(connectivityManager, activeNetworkInfo);
            k("Metered network: " + h2);
            if (f2 == 2) {
                return !h2;
            }
            if (f2 == 4) {
                return h2;
            }
            throw new IllegalStateException();
        }
    }

    private static boolean h(ConnectivityManager connectivityManager, NetworkInfo networkInfo) {
        if (b0.f9571a >= 16) {
            return connectivityManager.isActiveNetworkMetered();
        }
        int type = networkInfo.getType();
        return (type == 1 || type == 7 || type == 9) ? false : true;
    }

    private static void k(String str) {
    }

    public boolean e(Context context) {
        return d(context) && a(context) && b(context);
    }

    public int f() {
        return this.k & 7;
    }

    public int g() {
        return this.k;
    }

    public boolean i() {
        return (this.k & 16) != 0;
    }

    public boolean j() {
        return (this.k & 8) != 0;
    }

    public String toString() {
        return super.toString();
    }

    public Requirements(int i2) {
        this.k = i2;
    }
}
