package com.google.android.exoplayer2.scheduler;

import android.annotation.TargetApi;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.ConnectivityManager;
import android.net.Network;
import android.net.NetworkRequest;
import android.os.Handler;
import android.os.Looper;
import androidx.annotation.RequiresApi;
import com.google.android.exoplayer2.util.b0;

/* compiled from: RequirementsWatcher */
public final class a {

    /* renamed from: a  reason: collision with root package name */
    private static final String f8704a = "RequirementsWatcher";

    /* renamed from: b  reason: collision with root package name */
    private final Context f8705b;

    /* renamed from: c  reason: collision with root package name */
    private final d f8706c;

    /* renamed from: d  reason: collision with root package name */
    private final Requirements f8707d;

    /* renamed from: e  reason: collision with root package name */
    private c f8708e;
    private boolean f;
    private b g;

    /* access modifiers changed from: private */
    @RequiresApi(api = 21)
    /* compiled from: RequirementsWatcher */
    public final class b extends ConnectivityManager.NetworkCallback {
        private b() {
        }

        public void onAvailable(Network network) {
            super.onAvailable(network);
            a.e(a.this + " NetworkCallback.onAvailable");
            a.this.c(false);
        }

        public void onLost(Network network) {
            super.onLost(network);
            a.e(a.this + " NetworkCallback.onLost");
            a.this.c(false);
        }
    }

    /* compiled from: RequirementsWatcher */
    private class c extends BroadcastReceiver {
        private c() {
        }

        public void onReceive(Context context, Intent intent) {
            if (!isInitialStickyBroadcast()) {
                a.e(a.this + " received " + intent.getAction());
                a.this.c(false);
            }
        }
    }

    /* compiled from: RequirementsWatcher */
    public interface d {
        void a(a aVar);

        void b(a aVar);
    }

    public a(Context context, d dVar, Requirements requirements) {
        this.f8707d = requirements;
        this.f8706c = dVar;
        this.f8705b = context.getApplicationContext();
        e(this + " created");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c(boolean z) {
        boolean e2 = this.f8707d.e(this.f8705b);
        if (z || e2 != this.f) {
            this.f = e2;
            if (e2) {
                e("start job");
                this.f8706c.a(this);
                return;
            }
            e("stop job");
            this.f8706c.b(this);
            return;
        }
        e("requirementsAreMet is still " + e2);
    }

    /* access modifiers changed from: private */
    public static void e(String str) {
    }

    @TargetApi(23)
    private void f() {
        NetworkRequest build = new NetworkRequest.Builder().addCapability(16).build();
        b bVar = new b();
        this.g = bVar;
        ((ConnectivityManager) this.f8705b.getSystemService("connectivity")).registerNetworkCallback(build, bVar);
    }

    private void i() {
        if (b0.f9571a >= 21) {
            ((ConnectivityManager) this.f8705b.getSystemService("connectivity")).unregisterNetworkCallback(this.g);
            this.g = null;
        }
    }

    public Requirements d() {
        return this.f8707d;
    }

    public void g() {
        com.google.android.exoplayer2.util.a.g(Looper.myLooper());
        c(true);
        IntentFilter intentFilter = new IntentFilter();
        if (this.f8707d.f() != 0) {
            if (b0.f9571a >= 23) {
                f();
            } else {
                intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
            }
        }
        if (this.f8707d.i()) {
            intentFilter.addAction("android.intent.action.ACTION_POWER_CONNECTED");
            intentFilter.addAction("android.intent.action.ACTION_POWER_DISCONNECTED");
        }
        if (this.f8707d.j()) {
            if (b0.f9571a >= 23) {
                intentFilter.addAction("android.os.action.DEVICE_IDLE_MODE_CHANGED");
            } else {
                intentFilter.addAction("android.intent.action.SCREEN_ON");
                intentFilter.addAction("android.intent.action.SCREEN_OFF");
            }
        }
        c cVar = new c();
        this.f8708e = cVar;
        this.f8705b.registerReceiver(cVar, intentFilter, null, new Handler());
        e(this + " started");
    }

    public void h() {
        this.f8705b.unregisterReceiver(this.f8708e);
        this.f8708e = null;
        if (this.g != null) {
            i();
        }
        e(this + " stopped");
    }

    public String toString() {
        return super.toString();
    }
}
