package com.google.android.exoplayer2.source;

import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.c0;
import com.google.android.exoplayer2.h;
import com.google.android.exoplayer2.source.s;
import com.google.android.exoplayer2.upstream.b;
import java.io.IOException;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;

public final class ClippingMediaSource extends e<Void> {
    private final s O0;
    private final long P0;
    private final long Q0;
    private final boolean R0;
    private final boolean S0;
    private final boolean T0;
    private final ArrayList<d> U0;
    private final c0.c V0;
    @Nullable
    private Object W0;
    private a X0;
    private IllegalClippingException Y0;
    private long Z0;
    private long a1;

    public static final class IllegalClippingException extends IOException {
        public static final int REASON_INVALID_PERIOD_COUNT = 0;
        public static final int REASON_NOT_SEEKABLE_TO_START = 1;
        public static final int REASON_START_EXCEEDS_END = 2;
        public final int reason;

        @Retention(RetentionPolicy.SOURCE)
        public @interface Reason {
        }

        public IllegalClippingException(int i) {
            super("Illegal clipping: " + a(i));
            this.reason = i;
        }

        private static String a(int i) {
            return i != 0 ? i != 1 ? i != 2 ? "unknown" : "start exceeds end" : "not seekable to start" : "invalid period count";
        }
    }

    /* access modifiers changed from: private */
    public static final class a extends p {

        /* renamed from: c  reason: collision with root package name */
        private final long f8712c;

        /* renamed from: d  reason: collision with root package name */
        private final long f8713d;

        /* renamed from: e  reason: collision with root package name */
        private final long f8714e;
        private final boolean f;

        public a(c0 c0Var, long j, long j2) throws IllegalClippingException {
            super(c0Var);
            boolean z = true;
            if (c0Var.h() == 1) {
                c0.c m = c0Var.m(0, new c0.c(), false);
                long max = Math.max(0L, j);
                long max2 = j2 == Long.MIN_VALUE ? m.i : Math.max(0L, j2);
                long j3 = m.i;
                if (j3 != C.f7870b) {
                    max2 = max2 > j3 ? j3 : max2;
                    if (max != 0 && !m.f8011d) {
                        throw new IllegalClippingException(1);
                    } else if (max > max2) {
                        throw new IllegalClippingException(2);
                    }
                }
                this.f8712c = max;
                this.f8713d = max2;
                int i = (max2 > C.f7870b ? 1 : (max2 == C.f7870b ? 0 : -1));
                this.f8714e = i == 0 ? -9223372036854775807L : max2 - max;
                if (!m.f8012e || (i != 0 && (j3 == C.f7870b || max2 != j3))) {
                    z = false;
                }
                this.f = z;
                return;
            }
            throw new IllegalClippingException(0);
        }

        @Override // com.google.android.exoplayer2.c0, com.google.android.exoplayer2.source.p
        public c0.b g(int i, c0.b bVar, boolean z) {
            this.f9050b.g(0, bVar, z);
            long m = bVar.m() - this.f8712c;
            long j = this.f8714e;
            return bVar.p(bVar.f8003a, bVar.f8004b, 0, j == C.f7870b ? -9223372036854775807L : j - m, m);
        }

        @Override // com.google.android.exoplayer2.c0, com.google.android.exoplayer2.source.p
        public c0.c n(int i, c0.c cVar, boolean z, long j) {
            this.f9050b.n(0, cVar, z, 0);
            long j2 = cVar.j;
            long j3 = this.f8712c;
            cVar.j = j2 + j3;
            cVar.i = this.f8714e;
            cVar.f8012e = this.f;
            long j4 = cVar.h;
            if (j4 != C.f7870b) {
                long max = Math.max(j4, j3);
                cVar.h = max;
                long j5 = this.f8713d;
                if (j5 != C.f7870b) {
                    max = Math.min(max, j5);
                }
                cVar.h = max;
                cVar.h = max - this.f8712c;
            }
            long c2 = C.c(this.f8712c);
            long j6 = cVar.f8009b;
            if (j6 != C.f7870b) {
                cVar.f8009b = j6 + c2;
            }
            long j7 = cVar.f8010c;
            if (j7 != C.f7870b) {
                cVar.f8010c = j7 + c2;
            }
            return cVar;
        }
    }

    public ClippingMediaSource(s sVar, long j, long j2) {
        this(sVar, j, j2, true, false, false);
    }

    private void P(c0 c0Var) {
        long j;
        c0Var.l(0, this.V0);
        long f = this.V0.f();
        long j2 = Long.MIN_VALUE;
        if (this.X0 == null || this.U0.isEmpty() || this.S0) {
            long j3 = this.P0;
            long j4 = this.Q0;
            if (this.T0) {
                long b2 = this.V0.b();
                j3 += b2;
                j4 += b2;
            }
            this.Z0 = f + j3;
            if (this.Q0 != Long.MIN_VALUE) {
                j2 = f + j4;
            }
            this.a1 = j2;
            int size = this.U0.size();
            for (int i = 0; i < size; i++) {
                this.U0.get(i).u(this.Z0, this.a1);
            }
            j = j3;
            j2 = j4;
        } else {
            long j5 = this.Z0 - f;
            if (this.Q0 != Long.MIN_VALUE) {
                j2 = this.a1 - f;
            }
            j = j5;
        }
        try {
            a aVar = new a(c0Var, j, j2);
            this.X0 = aVar;
            F(aVar, this.W0);
        } catch (IllegalClippingException e2) {
            this.Y0 = e2;
        }
    }

    @Override // com.google.android.exoplayer2.source.e, com.google.android.exoplayer2.source.c
    public void E(h hVar, boolean z) {
        super.E(hVar, z);
        L(null, this.O0);
    }

    @Override // com.google.android.exoplayer2.source.e, com.google.android.exoplayer2.source.c
    public void G() {
        super.G();
        this.Y0 = null;
        this.X0 = null;
    }

    /* access modifiers changed from: protected */
    /* renamed from: N */
    public long I(Void r7, long j) {
        if (j == C.f7870b) {
            return C.f7870b;
        }
        long c2 = C.c(this.P0);
        long max = Math.max(0L, j - c2);
        long j2 = this.Q0;
        return j2 != Long.MIN_VALUE ? Math.min(C.c(j2) - c2, max) : max;
    }

    /* access modifiers changed from: protected */
    /* renamed from: O */
    public void K(Void r1, s sVar, c0 c0Var, @Nullable Object obj) {
        if (this.Y0 == null) {
            this.W0 = obj;
            P(c0Var);
        }
    }

    @Override // com.google.android.exoplayer2.source.s
    public r o(s.a aVar, b bVar) {
        d dVar = new d(this.O0.o(aVar, bVar), this.R0, this.Z0, this.a1);
        this.U0.add(dVar);
        return dVar;
    }

    @Override // com.google.android.exoplayer2.source.e, com.google.android.exoplayer2.source.s
    public void q() throws IOException {
        IllegalClippingException illegalClippingException = this.Y0;
        if (illegalClippingException == null) {
            super.q();
            return;
        }
        throw illegalClippingException;
    }

    @Override // com.google.android.exoplayer2.source.s
    public void s(r rVar) {
        com.google.android.exoplayer2.util.a.i(this.U0.remove(rVar));
        this.O0.s(((d) rVar).f8771a);
        if (this.U0.isEmpty() && !this.S0) {
            P(this.X0.f9050b);
        }
    }

    @Deprecated
    public ClippingMediaSource(s sVar, long j, long j2, boolean z) {
        this(sVar, j, j2, z, false, false);
    }

    public ClippingMediaSource(s sVar, long j) {
        this(sVar, 0, j, true, false, true);
    }

    public ClippingMediaSource(s sVar, long j, long j2, boolean z, boolean z2, boolean z3) {
        com.google.android.exoplayer2.util.a.a(j >= 0);
        this.O0 = (s) com.google.android.exoplayer2.util.a.g(sVar);
        this.P0 = j;
        this.Q0 = j2;
        this.R0 = z;
        this.S0 = z2;
        this.T0 = z3;
        this.U0 = new ArrayList<>();
        this.V0 = new c0.c();
    }
}
