package com.google.android.exoplayer2.source.ads;

import android.net.Uri;
import android.os.Handler;
import android.os.Looper;
import android.view.ViewGroup;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.c0;
import com.google.android.exoplayer2.h;
import com.google.android.exoplayer2.source.ads.a;
import com.google.android.exoplayer2.source.k;
import com.google.android.exoplayer2.source.o;
import com.google.android.exoplayer2.source.r;
import com.google.android.exoplayer2.source.s;
import com.google.android.exoplayer2.upstream.DataSpec;
import com.google.android.exoplayer2.upstream.h;
import java.io.IOException;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public final class AdsMediaSource extends com.google.android.exoplayer2.source.e<s.a> {
    private static final String O0 = "AdsMediaSource";
    private final s P0;
    private final f Q0;
    private final a R0;
    private final ViewGroup S0;
    @Nullable
    private final Handler T0;
    @Nullable
    private final e U0;
    private final Handler V0;
    private final Map<s, List<k>> W0;
    private final c0.b X0;
    private d Y0;
    private c0 Z0;
    private Object a1;
    private AdPlaybackState b1;
    private s[][] c1;
    private long[][] d1;

    public static final class AdLoadException extends IOException {
        public static final int TYPE_AD = 0;
        public static final int TYPE_AD_GROUP = 1;
        public static final int TYPE_ALL_ADS = 2;
        public static final int TYPE_UNEXPECTED = 3;
        public final int type;

        @Retention(RetentionPolicy.SOURCE)
        public @interface Type {
        }

        private AdLoadException(int i, Exception exc) {
            super(exc);
            this.type = i;
        }

        public static AdLoadException createForAd(Exception exc) {
            return new AdLoadException(0, exc);
        }

        public static AdLoadException createForAdGroup(Exception exc, int i) {
            return new AdLoadException(1, new IOException("Failed to load ad group " + i, exc));
        }

        public static AdLoadException createForAllAds(Exception exc) {
            return new AdLoadException(2, exc);
        }

        public static AdLoadException createForUnexpected(RuntimeException runtimeException) {
            return new AdLoadException(3, runtimeException);
        }

        public RuntimeException getRuntimeExceptionForUnexpected() {
            com.google.android.exoplayer2.util.a.i(this.type == 3);
            return (RuntimeException) getCause();
        }
    }

    class a implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ h f8735a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ d f8736b;

        a(h hVar, d dVar) {
            this.f8735a = hVar;
            this.f8736b = dVar;
        }

        public void run() {
            AdsMediaSource.this.R0.c(this.f8735a, this.f8736b, AdsMediaSource.this.S0);
        }
    }

    class b implements Runnable {
        b() {
        }

        public void run() {
            AdsMediaSource.this.R0.b();
        }
    }

    private final class c implements k.a {

        /* renamed from: a  reason: collision with root package name */
        private final Uri f8738a;

        /* renamed from: b  reason: collision with root package name */
        private final int f8739b;

        /* renamed from: c  reason: collision with root package name */
        private final int f8740c;

        class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ IOException f8742a;

            a(IOException iOException) {
                this.f8742a = iOException;
            }

            public void run() {
                AdsMediaSource.this.R0.a(c.this.f8739b, c.this.f8740c, this.f8742a);
            }
        }

        public c(Uri uri, int i, int i2) {
            this.f8738a = uri;
            this.f8739b = i;
            this.f8740c = i2;
        }

        @Override // com.google.android.exoplayer2.source.k.a
        public void a(s.a aVar, IOException iOException) {
            AdsMediaSource.this.C(aVar).m(new DataSpec(this.f8738a), 6, -1, 0, 0, AdLoadException.createForAd(iOException), true);
            AdsMediaSource.this.V0.post(new a(iOException));
        }
    }

    private final class d implements a.AbstractC0214a {

        /* renamed from: a  reason: collision with root package name */
        private final Handler f8744a = new Handler();

        /* renamed from: b  reason: collision with root package name */
        private volatile boolean f8745b;

        class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ AdPlaybackState f8747a;

            a(AdPlaybackState adPlaybackState) {
                this.f8747a = adPlaybackState;
            }

            public void run() {
                if (!d.this.f8745b) {
                    AdsMediaSource.this.X(this.f8747a);
                }
            }
        }

        class b implements Runnable {
            b() {
            }

            public void run() {
                if (!d.this.f8745b) {
                    AdsMediaSource.this.U0.a();
                }
            }
        }

        class c implements Runnable {
            c() {
            }

            public void run() {
                if (!d.this.f8745b) {
                    AdsMediaSource.this.U0.b();
                }
            }
        }

        /* renamed from: com.google.android.exoplayer2.source.ads.AdsMediaSource$d$d  reason: collision with other inner class name */
        class RunnableC0213d implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ AdLoadException f8751a;

            RunnableC0213d(AdLoadException adLoadException) {
                this.f8751a = adLoadException;
            }

            public void run() {
                if (d.this.f8745b) {
                    return;
                }
                if (this.f8751a.type == 3) {
                    AdsMediaSource.this.U0.c(this.f8751a.getRuntimeExceptionForUnexpected());
                } else {
                    AdsMediaSource.this.U0.d(this.f8751a);
                }
            }
        }

        public d() {
        }

        @Override // com.google.android.exoplayer2.source.ads.a.AbstractC0214a
        public void a() {
            if (!this.f8745b && AdsMediaSource.this.T0 != null && AdsMediaSource.this.U0 != null) {
                AdsMediaSource.this.T0.post(new b());
            }
        }

        @Override // com.google.android.exoplayer2.source.ads.a.AbstractC0214a
        public void b() {
            if (!this.f8745b && AdsMediaSource.this.T0 != null && AdsMediaSource.this.U0 != null) {
                AdsMediaSource.this.T0.post(new c());
            }
        }

        @Override // com.google.android.exoplayer2.source.ads.a.AbstractC0214a
        public void c(AdPlaybackState adPlaybackState) {
            if (!this.f8745b) {
                this.f8744a.post(new a(adPlaybackState));
            }
        }

        @Override // com.google.android.exoplayer2.source.ads.a.AbstractC0214a
        public void d(AdLoadException adLoadException, DataSpec dataSpec) {
            if (!this.f8745b) {
                AdsMediaSource.this.C(null).m(dataSpec, 6, -1, 0, 0, adLoadException, true);
                if (AdsMediaSource.this.T0 != null && AdsMediaSource.this.U0 != null) {
                    AdsMediaSource.this.T0.post(new RunnableC0213d(adLoadException));
                }
            }
        }

        public void f() {
            this.f8745b = true;
            this.f8744a.removeCallbacksAndMessages(null);
        }
    }

    @Deprecated
    public interface e {
        void a();

        void b();

        void c(RuntimeException runtimeException);

        void d(IOException iOException);
    }

    public interface f {
        int[] a();

        s b(Uri uri);
    }

    public AdsMediaSource(s sVar, h.a aVar, a aVar2, ViewGroup viewGroup) {
        this(sVar, new o.d(aVar), aVar2, viewGroup, (Handler) null, (e) null);
    }

    private void W() {
        AdPlaybackState adPlaybackState = this.b1;
        if (adPlaybackState != null && this.Z0 != null) {
            AdPlaybackState d2 = adPlaybackState.d(this.d1);
            this.b1 = d2;
            F(d2.g == 0 ? this.Z0 : new b(this.Z0, this.b1), this.a1);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void X(AdPlaybackState adPlaybackState) {
        if (this.b1 == null) {
            s[][] sVarArr = new s[adPlaybackState.g][];
            this.c1 = sVarArr;
            Arrays.fill(sVarArr, new s[0]);
            long[][] jArr = new long[adPlaybackState.g][];
            this.d1 = jArr;
            Arrays.fill(jArr, new long[0]);
        }
        this.b1 = adPlaybackState;
        W();
    }

    private void Y(s sVar, int i, int i2, c0 c0Var) {
        boolean z = true;
        if (c0Var.h() != 1) {
            z = false;
        }
        com.google.android.exoplayer2.util.a.a(z);
        this.d1[i][i2] = c0Var.f(0, this.X0).i();
        if (this.W0.containsKey(sVar)) {
            List<k> list = this.W0.get(sVar);
            for (int i3 = 0; i3 < list.size(); i3++) {
                list.get(i3).g();
            }
            this.W0.remove(sVar);
        }
        W();
    }

    private void a0(c0 c0Var, Object obj) {
        this.Z0 = c0Var;
        this.a1 = obj;
        W();
    }

    @Override // com.google.android.exoplayer2.source.e, com.google.android.exoplayer2.source.c
    public void E(com.google.android.exoplayer2.h hVar, boolean z) {
        super.E(hVar, z);
        com.google.android.exoplayer2.util.a.a(z);
        d dVar = new d();
        this.Y0 = dVar;
        L(new s.a(0), this.P0);
        this.V0.post(new a(hVar, dVar));
    }

    @Override // com.google.android.exoplayer2.source.e, com.google.android.exoplayer2.source.c
    public void G() {
        super.G();
        this.Y0.f();
        this.Y0 = null;
        this.W0.clear();
        this.Z0 = null;
        this.a1 = null;
        this.b1 = null;
        this.c1 = new s[0][];
        this.d1 = new long[0][];
        this.V0.post(new b());
    }

    /* access modifiers changed from: protected */
    @Nullable
    /* renamed from: V */
    public s.a H(s.a aVar, s.a aVar2) {
        return aVar.b() ? aVar : aVar2;
    }

    /* access modifiers changed from: protected */
    /* renamed from: Z */
    public void K(s.a aVar, s sVar, c0 c0Var, @Nullable Object obj) {
        if (aVar.b()) {
            Y(sVar, aVar.f9053b, aVar.f9054c, c0Var);
        } else {
            a0(c0Var, obj);
        }
    }

    @Override // com.google.android.exoplayer2.source.s
    public r o(s.a aVar, com.google.android.exoplayer2.upstream.b bVar) {
        if (this.b1.g <= 0 || !aVar.b()) {
            k kVar = new k(this.P0, aVar, bVar);
            kVar.g();
            return kVar;
        }
        int i = aVar.f9053b;
        int i2 = aVar.f9054c;
        Uri uri = this.b1.i[i].f8732b[i2];
        if (this.c1[i].length <= i2) {
            s b2 = this.Q0.b(uri);
            s[][] sVarArr = this.c1;
            int length = sVarArr[i].length;
            if (i2 >= length) {
                int i3 = i2 + 1;
                sVarArr[i] = (s[]) Arrays.copyOf(sVarArr[i], i3);
                long[][] jArr = this.d1;
                jArr[i] = Arrays.copyOf(jArr[i], i3);
                Arrays.fill(this.d1[i], length, i3, (long) C.f7870b);
            }
            this.c1[i][i2] = b2;
            this.W0.put(b2, new ArrayList());
            L(aVar, b2);
        }
        s sVar = this.c1[i][i2];
        k kVar2 = new k(sVar, new s.a(0, aVar.f9055d), bVar);
        kVar2.u(new c(uri, i, i2));
        List<k> list = this.W0.get(sVar);
        if (list == null) {
            kVar2.g();
        } else {
            list.add(kVar2);
        }
        return kVar2;
    }

    @Override // com.google.android.exoplayer2.source.s
    public void s(r rVar) {
        k kVar = (k) rVar;
        List<k> list = this.W0.get(kVar.f9028a);
        if (list != null) {
            list.remove(kVar);
        }
        kVar.o();
    }

    public AdsMediaSource(s sVar, f fVar, a aVar, ViewGroup viewGroup) {
        this(sVar, fVar, aVar, viewGroup, (Handler) null, (e) null);
    }

    @Deprecated
    public AdsMediaSource(s sVar, h.a aVar, a aVar2, ViewGroup viewGroup, @Nullable Handler handler, @Nullable e eVar) {
        this(sVar, new o.d(aVar), aVar2, viewGroup, handler, eVar);
    }

    @Deprecated
    public AdsMediaSource(s sVar, f fVar, a aVar, ViewGroup viewGroup, @Nullable Handler handler, @Nullable e eVar) {
        this.P0 = sVar;
        this.Q0 = fVar;
        this.R0 = aVar;
        this.S0 = viewGroup;
        this.T0 = handler;
        this.U0 = eVar;
        this.V0 = new Handler(Looper.getMainLooper());
        this.W0 = new HashMap();
        this.X0 = new c0.b();
        this.c1 = new s[0][];
        this.d1 = new long[0][];
        aVar.d(fVar.a());
    }
}
