package com.google.android.exoplayer2.source.dash;

import android.util.Pair;
import android.util.SparseIntArray;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.a0;
import com.google.android.exoplayer2.source.TrackGroup;
import com.google.android.exoplayer2.source.TrackGroupArray;
import com.google.android.exoplayer2.source.d0.f;
import com.google.android.exoplayer2.source.dash.b;
import com.google.android.exoplayer2.source.dash.i;
import com.google.android.exoplayer2.source.dash.k.a;
import com.google.android.exoplayer2.source.dash.k.d;
import com.google.android.exoplayer2.source.dash.k.e;
import com.google.android.exoplayer2.source.dash.k.h;
import com.google.android.exoplayer2.source.g;
import com.google.android.exoplayer2.source.m;
import com.google.android.exoplayer2.source.r;
import com.google.android.exoplayer2.source.t;
import com.google.android.exoplayer2.source.x;
import com.google.android.exoplayer2.source.y;
import com.google.android.exoplayer2.upstream.b;
import com.google.android.exoplayer2.util.n;
import java.io.IOException;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.IdentityHashMap;
import java.util.Iterator;
import java.util.List;

final class DashMediaPeriod implements r, y.a<f<b>>, f.b<b> {
    private final int I0;
    private final long J0;
    private final com.google.android.exoplayer2.upstream.r K0;
    private final b L0;
    private final TrackGroupArray M0;
    private final TrackGroupInfo[] N0;
    private final g O0;
    private final i P0;
    private final IdentityHashMap<f<b>, i.c> Q0 = new IdentityHashMap<>();
    private t.a R0;
    @Nullable
    private r.a S0;
    private f<b>[] T0 = C(0);
    private h[] U0 = new h[0];
    private y V0;
    private com.google.android.exoplayer2.source.dash.k.b W0;
    private int X0;
    private List<e> Y0;
    private boolean Z0;

    /* renamed from: a  reason: collision with root package name */
    final int f8798a;

    /* renamed from: b  reason: collision with root package name */
    private final b.a f8799b;

    /* access modifiers changed from: private */
    public static final class TrackGroupInfo {

        /* renamed from: a  reason: collision with root package name */
        private static final int f8800a = 0;

        /* renamed from: b  reason: collision with root package name */
        private static final int f8801b = 1;

        /* renamed from: c  reason: collision with root package name */
        private static final int f8802c = 2;

        /* renamed from: d  reason: collision with root package name */
        public final int[] f8803d;

        /* renamed from: e  reason: collision with root package name */
        public final int f8804e;
        public final int f;
        public final int g;
        public final int h;
        public final int i;
        public final int j;

        @Retention(RetentionPolicy.SOURCE)
        public @interface TrackGroupCategory {
        }

        private TrackGroupInfo(int i2, int i3, int[] iArr, int i4, int i5, int i6, int i7) {
            this.f8804e = i2;
            this.f8803d = iArr;
            this.f = i3;
            this.h = i4;
            this.i = i5;
            this.j = i6;
            this.g = i7;
        }

        public static TrackGroupInfo a(int[] iArr, int i2) {
            return new TrackGroupInfo(3, 1, iArr, i2, -1, -1, -1);
        }

        public static TrackGroupInfo b(int[] iArr, int i2) {
            return new TrackGroupInfo(4, 1, iArr, i2, -1, -1, -1);
        }

        public static TrackGroupInfo c(int i2) {
            return new TrackGroupInfo(4, 2, null, -1, -1, -1, i2);
        }

        public static TrackGroupInfo d(int i2, int[] iArr, int i3, int i4, int i5) {
            return new TrackGroupInfo(i2, 0, iArr, i3, i4, i5, -1);
        }
    }

    public DashMediaPeriod(int i, com.google.android.exoplayer2.source.dash.k.b bVar, int i2, b.a aVar, int i3, t.a aVar2, long j, com.google.android.exoplayer2.upstream.r rVar, com.google.android.exoplayer2.upstream.b bVar2, g gVar, i.b bVar3) {
        this.f8798a = i;
        this.W0 = bVar;
        this.X0 = i2;
        this.f8799b = aVar;
        this.I0 = i3;
        this.R0 = aVar2;
        this.J0 = j;
        this.K0 = rVar;
        this.L0 = bVar2;
        this.O0 = gVar;
        this.P0 = new i(bVar, bVar3, bVar2);
        this.V0 = gVar.a(this.T0);
        com.google.android.exoplayer2.source.dash.k.f d2 = bVar.d(i2);
        List<e> list = d2.f8885d;
        this.Y0 = list;
        Pair<TrackGroupArray, TrackGroupInfo[]> u = u(d2.f8884c, list);
        this.M0 = (TrackGroupArray) u.first;
        this.N0 = (TrackGroupInfo[]) u.second;
        aVar2.q();
    }

    private static boolean A(List<a> list, int[] iArr) {
        for (int i : iArr) {
            List<h> list2 = list.get(i).f8857d;
            for (int i2 = 0; i2 < list2.size(); i2++) {
                if (!list2.get(i2).h.isEmpty()) {
                    return true;
                }
            }
        }
        return false;
    }

    private static int B(int i, List<a> list, int[][] iArr, boolean[] zArr, boolean[] zArr2) {
        int i2 = 0;
        for (int i3 = 0; i3 < i; i3++) {
            if (A(list, iArr[i3])) {
                zArr[i3] = true;
                i2++;
            }
            if (z(list, iArr[i3])) {
                zArr2[i3] = true;
                i2++;
            }
        }
        return i2;
    }

    private static f<b>[] C(int i) {
        return new f[i];
    }

    private void F(com.google.android.exoplayer2.trackselection.f[] fVarArr, boolean[] zArr, x[] xVarArr) {
        for (int i = 0; i < fVarArr.length; i++) {
            if (fVarArr[i] == null || !zArr[i]) {
                if (xVarArr[i] instanceof f) {
                    ((f) xVarArr[i]).M(this);
                } else if (xVarArr[i] instanceof f.a) {
                    ((f.a) xVarArr[i]).c();
                }
                xVarArr[i] = null;
            }
        }
    }

    private void G(com.google.android.exoplayer2.trackselection.f[] fVarArr, x[] xVarArr, int[] iArr) {
        boolean z;
        for (int i = 0; i < fVarArr.length; i++) {
            if ((xVarArr[i] instanceof m) || (xVarArr[i] instanceof f.a)) {
                int x = x(i, iArr);
                if (x == -1) {
                    z = xVarArr[i] instanceof m;
                } else {
                    z = (xVarArr[i] instanceof f.a) && ((f.a) xVarArr[i]).f8794a == xVarArr[x];
                }
                if (!z) {
                    if (xVarArr[i] instanceof f.a) {
                        ((f.a) xVarArr[i]).c();
                    }
                    xVarArr[i] = null;
                }
            }
        }
    }

    private void H(com.google.android.exoplayer2.trackselection.f[] fVarArr, x[] xVarArr, boolean[] zArr, long j, int[] iArr) {
        for (int i = 0; i < fVarArr.length; i++) {
            if (xVarArr[i] == null && fVarArr[i] != null) {
                zArr[i] = true;
                TrackGroupInfo trackGroupInfo = this.N0[iArr[i]];
                int i2 = trackGroupInfo.f;
                if (i2 == 0) {
                    xVarArr[i] = p(trackGroupInfo, fVarArr[i], j);
                } else if (i2 == 2) {
                    xVarArr[i] = new h(this.Y0.get(trackGroupInfo.g), fVarArr[i].a().a(0), this.W0.f8862d);
                }
            }
        }
        for (int i3 = 0; i3 < fVarArr.length; i3++) {
            if (xVarArr[i3] == null && fVarArr[i3] != null) {
                TrackGroupInfo trackGroupInfo2 = this.N0[iArr[i3]];
                if (trackGroupInfo2.f == 1) {
                    int x = x(i3, iArr);
                    if (x == -1) {
                        xVarArr[i3] = new m();
                    } else {
                        xVarArr[i3] = ((f) xVarArr[x]).O(j, trackGroupInfo2.f8804e);
                    }
                }
            }
        }
    }

    private static void h(List<e> list, TrackGroup[] trackGroupArr, TrackGroupInfo[] trackGroupInfoArr, int i) {
        int i2 = 0;
        while (i2 < list.size()) {
            trackGroupArr[i] = new TrackGroup(Format.p(list.get(i2).a(), n.i0, null, -1, null));
            trackGroupInfoArr[i] = TrackGroupInfo.c(i2);
            i2++;
            i++;
        }
    }

    private static int o(List<a> list, int[][] iArr, int i, boolean[] zArr, boolean[] zArr2, TrackGroup[] trackGroupArr, TrackGroupInfo[] trackGroupInfoArr) {
        int i2;
        int i3;
        int i4 = 0;
        int i5 = 0;
        while (i4 < i) {
            int[] iArr2 = iArr[i4];
            ArrayList arrayList = new ArrayList();
            for (int i6 : iArr2) {
                arrayList.addAll(list.get(i6).f8857d);
            }
            int size = arrayList.size();
            Format[] formatArr = new Format[size];
            for (int i7 = 0; i7 < size; i7++) {
                formatArr[i7] = ((h) arrayList.get(i7)).f8893e;
            }
            a aVar = list.get(iArr2[0]);
            int i8 = i5 + 1;
            if (zArr[i4]) {
                i2 = i8 + 1;
            } else {
                i2 = i8;
                i8 = -1;
            }
            if (zArr2[i4]) {
                i3 = i2 + 1;
            } else {
                i3 = i2;
                i2 = -1;
            }
            trackGroupArr[i5] = new TrackGroup(formatArr);
            trackGroupInfoArr[i5] = TrackGroupInfo.d(aVar.f8856c, iArr2, i5, i8, i2);
            if (i8 != -1) {
                trackGroupArr[i8] = new TrackGroup(Format.p(aVar.f8855b + ":emsg", n.i0, null, -1, null));
                trackGroupInfoArr[i8] = TrackGroupInfo.b(iArr2, i5);
            }
            if (i2 != -1) {
                trackGroupArr[i2] = new TrackGroup(Format.s(aVar.f8855b + ":cea608", n.W, 0, null));
                trackGroupInfoArr[i2] = TrackGroupInfo.a(iArr2, i5);
            }
            i4++;
            i5 = i3;
        }
        return i5;
    }

    private f<b> p(TrackGroupInfo trackGroupInfo, com.google.android.exoplayer2.trackselection.f fVar, long j) {
        int i;
        Format[] formatArr;
        int[] iArr = new int[2];
        Format[] formatArr2 = new Format[2];
        int i2 = trackGroupInfo.i;
        boolean z = i2 != -1;
        if (z) {
            formatArr2[0] = this.M0.a(i2).a(0);
            iArr[0] = 4;
            i = 1;
        } else {
            i = 0;
        }
        int i3 = trackGroupInfo.j;
        boolean z2 = i3 != -1;
        if (z2) {
            formatArr2[i] = this.M0.a(i3).a(0);
            iArr[i] = 3;
            i++;
        }
        if (i < 2) {
            iArr = Arrays.copyOf(iArr, i);
            formatArr = (Format[]) Arrays.copyOf(formatArr2, i);
        } else {
            formatArr = formatArr2;
        }
        i.c n = (!this.W0.f8862d || !z) ? null : this.P0.n();
        f<b> fVar2 = new f<>(trackGroupInfo.f8804e, iArr, formatArr, this.f8799b.a(this.K0, this.W0, this.X0, trackGroupInfo.f8803d, fVar, trackGroupInfo.f8804e, this.J0, z, z2, n), this, this.L0, j, this.I0, this.R0);
        synchronized (this) {
            this.Q0.put(fVar2, n);
        }
        return fVar2;
    }

    private static Pair<TrackGroupArray, TrackGroupInfo[]> u(List<a> list, List<e> list2) {
        int[][] w = w(list);
        int length = w.length;
        boolean[] zArr = new boolean[length];
        boolean[] zArr2 = new boolean[length];
        int B = B(length, list, w, zArr, zArr2) + length + list2.size();
        TrackGroup[] trackGroupArr = new TrackGroup[B];
        TrackGroupInfo[] trackGroupInfoArr = new TrackGroupInfo[B];
        h(list2, trackGroupArr, trackGroupInfoArr, o(list, w, length, zArr, zArr2, trackGroupArr, trackGroupInfoArr));
        return Pair.create(new TrackGroupArray(trackGroupArr), trackGroupInfoArr);
    }

    private static d v(List<d> list) {
        for (int i = 0; i < list.size(); i++) {
            d dVar = list.get(i);
            if ("urn:mpeg:dash:adaptation-set-switching:2016".equals(dVar.f8874a)) {
                return dVar;
            }
        }
        return null;
    }

    private static int[][] w(List<a> list) {
        int size = list.size();
        SparseIntArray sparseIntArray = new SparseIntArray(size);
        for (int i = 0; i < size; i++) {
            sparseIntArray.put(list.get(i).f8855b, i);
        }
        int[][] iArr = new int[size][];
        boolean[] zArr = new boolean[size];
        int i2 = 0;
        for (int i3 = 0; i3 < size; i3++) {
            if (!zArr[i3]) {
                zArr[i3] = true;
                d v = v(list.get(i3).f);
                if (v == null) {
                    iArr[i2] = new int[]{i3};
                    i2++;
                } else {
                    String[] split = v.f8875b.split(",");
                    int[] iArr2 = new int[(split.length + 1)];
                    iArr2[0] = i3;
                    int i4 = 0;
                    while (i4 < split.length) {
                        int i5 = sparseIntArray.get(Integer.parseInt(split[i4]));
                        zArr[i5] = true;
                        i4++;
                        iArr2[i4] = i5;
                    }
                    iArr[i2] = iArr2;
                    i2++;
                }
            }
        }
        return i2 < size ? (int[][]) Arrays.copyOf(iArr, i2) : iArr;
    }

    private int x(int i, int[] iArr) {
        int i2 = iArr[i];
        if (i2 == -1) {
            return -1;
        }
        int i3 = this.N0[i2].h;
        for (int i4 = 0; i4 < iArr.length; i4++) {
            int i5 = iArr[i4];
            if (i5 == i3 && this.N0[i5].f == 0) {
                return i4;
            }
        }
        return -1;
    }

    private int[] y(com.google.android.exoplayer2.trackselection.f[] fVarArr) {
        int[] iArr = new int[fVarArr.length];
        for (int i = 0; i < fVarArr.length; i++) {
            if (fVarArr[i] != null) {
                iArr[i] = this.M0.b(fVarArr[i].a());
            } else {
                iArr[i] = -1;
            }
        }
        return iArr;
    }

    private static boolean z(List<a> list, int[] iArr) {
        for (int i : iArr) {
            List<d> list2 = list.get(i).f8858e;
            for (int i2 = 0; i2 < list2.size(); i2++) {
                if ("urn:scte:dash:cc:cea-608:2015".equals(list2.get(i2).f8874a)) {
                    return true;
                }
            }
        }
        return false;
    }

    /* renamed from: D */
    public void k(f<b> fVar) {
        this.S0.k(this);
    }

    public void E() {
        this.P0.r();
        for (f<b> fVar : this.T0) {
            fVar.M(this);
        }
        this.S0 = null;
        this.R0.r();
    }

    public void I(com.google.android.exoplayer2.source.dash.k.b bVar, int i) {
        this.W0 = bVar;
        if (this.X0 != i) {
            t.a aVar = this.R0;
            this.R0 = aVar.x(0, aVar.f9080b.a(i), bVar.d(i).f8883b);
        }
        this.X0 = i;
        this.P0.t(bVar);
        f<b>[] fVarArr = this.T0;
        if (fVarArr != null) {
            for (f<b> fVar : fVarArr) {
                fVar.A().e(bVar, i);
            }
            this.S0.k(this);
        }
        this.Y0 = bVar.d(i).f8885d;
        h[] hVarArr = this.U0;
        for (h hVar : hVarArr) {
            Iterator<e> it = this.Y0.iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                e next = it.next();
                if (next.a().equals(hVar.b())) {
                    boolean z = true;
                    int e2 = bVar.e() - 1;
                    if (!bVar.f8862d || i != e2) {
                        z = false;
                    }
                    hVar.d(next, z);
                }
            }
        }
    }

    @Override // com.google.android.exoplayer2.source.r, com.google.android.exoplayer2.source.y
    public long b() {
        return this.V0.b();
    }

    @Override // com.google.android.exoplayer2.source.r, com.google.android.exoplayer2.source.y
    public boolean c(long j) {
        return this.V0.c(j);
    }

    @Override // com.google.android.exoplayer2.source.r
    public long d(long j, a0 a0Var) {
        f<b>[] fVarArr = this.T0;
        for (f<b> fVar : fVarArr) {
            if (fVar.f8793b == 2) {
                return fVar.d(j, a0Var);
            }
        }
        return j;
    }

    @Override // com.google.android.exoplayer2.source.r, com.google.android.exoplayer2.source.y
    public long e() {
        return this.V0.e();
    }

    @Override // com.google.android.exoplayer2.source.r, com.google.android.exoplayer2.source.y
    public void f(long j) {
        this.V0.f(j);
    }

    @Override // com.google.android.exoplayer2.source.d0.f.b
    public synchronized void g(f<b> fVar) {
        i.c remove = this.Q0.remove(fVar);
        if (remove != null) {
            remove.m();
        }
    }

    @Override // com.google.android.exoplayer2.source.r
    public long i(com.google.android.exoplayer2.trackselection.f[] fVarArr, boolean[] zArr, x[] xVarArr, boolean[] zArr2, long j) {
        int[] y = y(fVarArr);
        F(fVarArr, zArr, xVarArr);
        G(fVarArr, xVarArr, y);
        H(fVarArr, xVarArr, zArr2, j, y);
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        for (x xVar : xVarArr) {
            if (xVar instanceof f) {
                arrayList.add((f) xVar);
            } else if (xVar instanceof h) {
                arrayList2.add((h) xVar);
            }
        }
        f<b>[] C = C(arrayList.size());
        this.T0 = C;
        arrayList.toArray(C);
        h[] hVarArr = new h[arrayList2.size()];
        this.U0 = hVarArr;
        arrayList2.toArray(hVarArr);
        this.V0 = this.O0.a(this.T0);
        return j;
    }

    @Override // com.google.android.exoplayer2.source.r
    public void m() throws IOException {
        this.K0.a();
    }

    @Override // com.google.android.exoplayer2.source.r
    public long n(long j) {
        for (f<b> fVar : this.T0) {
            fVar.N(j);
        }
        for (h hVar : this.U0) {
            hVar.c(j);
        }
        return j;
    }

    @Override // com.google.android.exoplayer2.source.r
    public long q() {
        if (this.Z0) {
            return C.f7870b;
        }
        this.R0.t();
        this.Z0 = true;
        return C.f7870b;
    }

    @Override // com.google.android.exoplayer2.source.r
    public void r(r.a aVar, long j) {
        this.S0 = aVar;
        aVar.l(this);
    }

    @Override // com.google.android.exoplayer2.source.r
    public TrackGroupArray s() {
        return this.M0;
    }

    @Override // com.google.android.exoplayer2.source.r
    public void t(long j, boolean z) {
        for (f<b> fVar : this.T0) {
            fVar.t(j, z);
        }
    }
}
