package com.google.android.exoplayer2.source.dash;

import android.net.Uri;
import android.os.Handler;
import android.os.SystemClock;
import android.text.TextUtils;
import android.util.Log;
import android.util.SparseArray;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.DefaultRenderersFactory;
import com.google.android.exoplayer2.ParserException;
import com.google.android.exoplayer2.c0;
import com.google.android.exoplayer2.l;
import com.google.android.exoplayer2.source.ads.AdsMediaSource;
import com.google.android.exoplayer2.source.dash.b;
import com.google.android.exoplayer2.source.dash.i;
import com.google.android.exoplayer2.source.dash.k.m;
import com.google.android.exoplayer2.source.s;
import com.google.android.exoplayer2.source.t;
import com.google.android.exoplayer2.upstream.Loader;
import com.google.android.exoplayer2.upstream.h;
import com.google.android.exoplayer2.upstream.r;
import com.google.android.exoplayer2.upstream.s;
import com.google.android.exoplayer2.util.b0;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.nio.charset.Charset;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Locale;
import java.util.TimeZone;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: DashMediaSource */
public final class c extends com.google.android.exoplayer2.source.c {
    public static final int L0 = 3;
    public static final long M0 = -1;
    public static final long N0 = 30000;
    private static final int O0 = 5000;
    private static final long P0 = 5000000;
    private static final String Q0 = "DashMediaSource";
    private final boolean R0;
    private final h.a S0;
    private final b.a T0;
    private final com.google.android.exoplayer2.source.g U0;
    private final int V0;
    private final long W0;
    private final t.a X0;
    private final s.a<? extends com.google.android.exoplayer2.source.dash.k.b> Y0;
    private final g Z0;
    private final Object a1;
    private final SparseArray<DashMediaPeriod> b1;
    private final Runnable c1;
    private final Runnable d1;
    private final i.b e1;
    private final r f1;
    @Nullable
    private final Object g1;
    private com.google.android.exoplayer2.upstream.h h1;
    private Loader i1;
    private IOException j1;
    private Handler k1;
    private Uri l1;
    private Uri m1;
    private com.google.android.exoplayer2.source.dash.k.b n1;
    private boolean o1;
    private long p1;
    private long q1;
    private long r1;
    private int s1;
    private long t1;
    private boolean u1;
    private int v1;

    /* access modifiers changed from: package-private */
    /* compiled from: DashMediaSource */
    public class a implements Runnable {
        a() {
        }

        public void run() {
            c.this.e0();
        }
    }

    /* compiled from: DashMediaSource */
    class b implements Runnable {
        b() {
        }

        public void run() {
            c.this.X(false);
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: com.google.android.exoplayer2.source.dash.c$c  reason: collision with other inner class name */
    /* compiled from: DashMediaSource */
    public static final class C0215c extends c0 {

        /* renamed from: b  reason: collision with root package name */
        private final long f8812b;

        /* renamed from: c  reason: collision with root package name */
        private final long f8813c;

        /* renamed from: d  reason: collision with root package name */
        private final int f8814d;

        /* renamed from: e  reason: collision with root package name */
        private final long f8815e;
        private final long f;
        private final long g;
        private final com.google.android.exoplayer2.source.dash.k.b h;
        @Nullable
        private final Object i;

        public C0215c(long j, long j2, int i2, long j3, long j4, long j5, com.google.android.exoplayer2.source.dash.k.b bVar, @Nullable Object obj) {
            this.f8812b = j;
            this.f8813c = j2;
            this.f8814d = i2;
            this.f8815e = j3;
            this.f = j4;
            this.g = j5;
            this.h = bVar;
            this.i = obj;
        }

        private long r(long j) {
            d i2;
            long j2 = this.g;
            com.google.android.exoplayer2.source.dash.k.b bVar = this.h;
            if (!bVar.f8862d) {
                return j2;
            }
            if (j > 0) {
                j2 += j;
                if (j2 > this.f) {
                    return C.f7870b;
                }
            }
            long j3 = this.f8815e + j2;
            long g2 = bVar.g(0);
            int i3 = 0;
            while (i3 < this.h.e() - 1 && j3 >= g2) {
                j3 -= g2;
                i3++;
                g2 = this.h.g(i3);
            }
            com.google.android.exoplayer2.source.dash.k.f d2 = this.h.d(i3);
            int a2 = d2.a(2);
            return (a2 == -1 || (i2 = d2.f8884c.get(a2).f8857d.get(0).i()) == null || i2.g(g2) == 0) ? j2 : (j2 + i2.a(i2.d(j3, g2))) - j3;
        }

        @Override // com.google.android.exoplayer2.c0
        public int b(Object obj) {
            int intValue;
            int i2;
            if ((obj instanceof Integer) && (intValue = ((Integer) obj).intValue()) >= (i2 = this.f8814d) && intValue < i2 + h()) {
                return intValue - this.f8814d;
            }
            return -1;
        }

        @Override // com.google.android.exoplayer2.c0
        public c0.b g(int i2, c0.b bVar, boolean z) {
            com.google.android.exoplayer2.util.a.c(i2, 0, this.h.e());
            Integer num = null;
            String str = z ? this.h.d(i2).f8882a : null;
            if (z) {
                num = Integer.valueOf(this.f8814d + com.google.android.exoplayer2.util.a.c(i2, 0, this.h.e()));
            }
            return bVar.p(str, num, 0, this.h.g(i2), C.b(this.h.d(i2).f8883b - this.h.d(0).f8883b) - this.f8815e);
        }

        @Override // com.google.android.exoplayer2.c0
        public int h() {
            return this.h.e();
        }

        @Override // com.google.android.exoplayer2.c0
        public c0.c n(int i2, c0.c cVar, boolean z, long j) {
            com.google.android.exoplayer2.util.a.c(i2, 0, 1);
            long r = r(j);
            Object obj = z ? this.i : null;
            long j2 = this.f8812b;
            long j3 = this.f8813c;
            com.google.android.exoplayer2.source.dash.k.b bVar = this.h;
            return cVar.g(obj, j2, j3, true, bVar.f8862d, r, this.f, 0, bVar.e() - 1, this.f8815e);
        }

        @Override // com.google.android.exoplayer2.c0
        public int o() {
            return 1;
        }
    }

    /* compiled from: DashMediaSource */
    private final class d implements i.b {
        private d() {
        }

        @Override // com.google.android.exoplayer2.source.dash.i.b
        public void a() {
            c.this.P();
        }

        @Override // com.google.android.exoplayer2.source.dash.i.b
        public void b(long j) {
            c.this.O(j);
        }

        @Override // com.google.android.exoplayer2.source.dash.i.b
        public void c() {
            c.this.N();
        }

        /* synthetic */ d(c cVar, a aVar) {
            this();
        }
    }

    /* compiled from: DashMediaSource */
    public static final class e implements AdsMediaSource.f {

        /* renamed from: a  reason: collision with root package name */
        private final b.a f8817a;
        @Nullable

        /* renamed from: b  reason: collision with root package name */
        private final h.a f8818b;
        @Nullable

        /* renamed from: c  reason: collision with root package name */
        private s.a<? extends com.google.android.exoplayer2.source.dash.k.b> f8819c;

        /* renamed from: d  reason: collision with root package name */
        private com.google.android.exoplayer2.source.g f8820d = new com.google.android.exoplayer2.source.i();

        /* renamed from: e  reason: collision with root package name */
        private int f8821e = 3;
        private long f = -1;
        private boolean g;
        @Nullable
        private Object h;

        public e(b.a aVar, @Nullable h.a aVar2) {
            this.f8817a = (b.a) com.google.android.exoplayer2.util.a.g(aVar);
            this.f8818b = aVar2;
        }

        @Override // com.google.android.exoplayer2.source.ads.AdsMediaSource.f
        public int[] a() {
            return new int[]{0};
        }

        /* renamed from: c */
        public c b(Uri uri) {
            this.g = true;
            if (this.f8819c == null) {
                this.f8819c = new com.google.android.exoplayer2.source.dash.k.c();
            }
            return new c(null, (Uri) com.google.android.exoplayer2.util.a.g(uri), this.f8818b, this.f8819c, this.f8817a, this.f8820d, this.f8821e, this.f, this.h, null);
        }

        @Deprecated
        public c d(Uri uri, @Nullable Handler handler, @Nullable t tVar) {
            c c2 = b(uri);
            if (!(handler == null || tVar == null)) {
                c2.c(handler, tVar);
            }
            return c2;
        }

        public c e(com.google.android.exoplayer2.source.dash.k.b bVar) {
            com.google.android.exoplayer2.util.a.a(!bVar.f8862d);
            this.g = true;
            return new c(bVar, null, null, null, this.f8817a, this.f8820d, this.f8821e, this.f, this.h, null);
        }

        @Deprecated
        public c f(com.google.android.exoplayer2.source.dash.k.b bVar, @Nullable Handler handler, @Nullable t tVar) {
            c e2 = e(bVar);
            if (!(handler == null || tVar == null)) {
                e2.c(handler, tVar);
            }
            return e2;
        }

        public e g(com.google.android.exoplayer2.source.g gVar) {
            com.google.android.exoplayer2.util.a.i(!this.g);
            this.f8820d = (com.google.android.exoplayer2.source.g) com.google.android.exoplayer2.util.a.g(gVar);
            return this;
        }

        public e h(long j) {
            com.google.android.exoplayer2.util.a.i(!this.g);
            this.f = j;
            return this;
        }

        public e i(s.a<? extends com.google.android.exoplayer2.source.dash.k.b> aVar) {
            com.google.android.exoplayer2.util.a.i(!this.g);
            this.f8819c = (s.a) com.google.android.exoplayer2.util.a.g(aVar);
            return this;
        }

        public e j(int i) {
            com.google.android.exoplayer2.util.a.i(!this.g);
            this.f8821e = i;
            return this;
        }

        public e k(Object obj) {
            com.google.android.exoplayer2.util.a.i(!this.g);
            this.h = obj;
            return this;
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DashMediaSource */
    public static final class f implements s.a<Long> {

        /* renamed from: a  reason: collision with root package name */
        private static final Pattern f8822a = Pattern.compile("(.+?)(Z|((\\+|-|−)(\\d\\d)(:?(\\d\\d))?))");

        f() {
        }

        /* renamed from: b */
        public Long a(Uri uri, InputStream inputStream) throws IOException {
            String readLine = new BufferedReader(new InputStreamReader(inputStream, Charset.forName("UTF-8"))).readLine();
            try {
                Matcher matcher = f8822a.matcher(readLine);
                if (matcher.matches()) {
                    String group = matcher.group(1);
                    SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss", Locale.US);
                    simpleDateFormat.setTimeZone(TimeZone.getTimeZone("UTC"));
                    long time = simpleDateFormat.parse(group).getTime();
                    if (!"Z".equals(matcher.group(2))) {
                        long j = "+".equals(matcher.group(4)) ? 1 : -1;
                        long parseLong = Long.parseLong(matcher.group(5));
                        String group2 = matcher.group(7);
                        time -= j * ((((parseLong * 60) + (TextUtils.isEmpty(group2) ? 0 : Long.parseLong(group2))) * 60) * 1000);
                    }
                    return Long.valueOf(time);
                }
                throw new ParserException("Couldn't parse timestamp: " + readLine);
            } catch (ParseException e2) {
                throw new ParserException(e2);
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: DashMediaSource */
    public final class g implements Loader.a<s<com.google.android.exoplayer2.source.dash.k.b>> {
        private g() {
        }

        /* renamed from: a */
        public void j(s<com.google.android.exoplayer2.source.dash.k.b> sVar, long j, long j2, boolean z) {
            c.this.Q(sVar, j, j2);
        }

        /* renamed from: b */
        public void l(s<com.google.android.exoplayer2.source.dash.k.b> sVar, long j, long j2) {
            c.this.R(sVar, j, j2);
        }

        /* renamed from: c */
        public int p(s<com.google.android.exoplayer2.source.dash.k.b> sVar, long j, long j2, IOException iOException) {
            return c.this.S(sVar, j, j2, iOException);
        }

        /* synthetic */ g(c cVar, a aVar) {
            this();
        }
    }

    /* compiled from: DashMediaSource */
    final class h implements r {
        h() {
        }

        private void c() throws IOException {
            if (c.this.j1 != null) {
                throw c.this.j1;
            }
        }

        @Override // com.google.android.exoplayer2.upstream.r
        public void a() throws IOException {
            c.this.i1.a();
            c();
        }

        @Override // com.google.android.exoplayer2.upstream.r
        public void b(int i) throws IOException {
            c.this.i1.b(i);
            c();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: DashMediaSource */
    public static final class i {

        /* renamed from: a  reason: collision with root package name */
        public final boolean f8825a;

        /* renamed from: b  reason: collision with root package name */
        public final long f8826b;

        /* renamed from: c  reason: collision with root package name */
        public final long f8827c;

        private i(boolean z, long j, long j2) {
            this.f8825a = z;
            this.f8826b = j;
            this.f8827c = j2;
        }

        public static i a(com.google.android.exoplayer2.source.dash.k.f fVar, long j) {
            boolean z;
            boolean z2;
            long j2;
            int size = fVar.f8884c.size();
            int i = 0;
            int i2 = 0;
            while (true) {
                if (i2 >= size) {
                    z = false;
                    break;
                }
                int i3 = fVar.f8884c.get(i2).f8856c;
                if (i3 == 1 || i3 == 2) {
                    z = true;
                } else {
                    i2++;
                }
            }
            long j3 = Long.MAX_VALUE;
            int i4 = 0;
            boolean z3 = false;
            long j4 = 0;
            boolean z4 = false;
            while (i4 < size) {
                com.google.android.exoplayer2.source.dash.k.a aVar = fVar.f8884c.get(i4);
                if (!z || aVar.f8856c != 3) {
                    d i5 = aVar.f8857d.get(i).i();
                    if (i5 == null) {
                        return new i(true, 0, j);
                    }
                    z3 |= i5.e();
                    int g = i5.g(j);
                    if (g == 0) {
                        z2 = z;
                        j2 = 0;
                        j4 = 0;
                        z4 = true;
                    } else if (!z4) {
                        z2 = z;
                        long f = i5.f();
                        j4 = Math.max(j4, i5.a(f));
                        if (g != -1) {
                            long j5 = (f + ((long) g)) - 1;
                            j2 = Math.min(j3, i5.a(j5) + i5.b(j5, j));
                        } else {
                            j2 = j3;
                        }
                    }
                    i4++;
                    j3 = j2;
                    z = z2;
                    i = 0;
                }
                z2 = z;
                j2 = j3;
                i4++;
                j3 = j2;
                z = z2;
                i = 0;
            }
            return new i(z3, j4, j3);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: DashMediaSource */
    public final class j implements Loader.a<s<Long>> {
        private j() {
        }

        /* renamed from: a */
        public void j(s<Long> sVar, long j, long j2, boolean z) {
            c.this.Q(sVar, j, j2);
        }

        /* renamed from: b */
        public void l(s<Long> sVar, long j, long j2) {
            c.this.T(sVar, j, j2);
        }

        /* renamed from: c */
        public int p(s<Long> sVar, long j, long j2, IOException iOException) {
            return c.this.U(sVar, j, j2, iOException);
        }

        /* synthetic */ j(c cVar, a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: DashMediaSource */
    public static final class k implements s.a<Long> {
        private k() {
        }

        /* renamed from: b */
        public Long a(Uri uri, InputStream inputStream) throws IOException {
            return Long.valueOf(b0.e0(new BufferedReader(new InputStreamReader(inputStream)).readLine()));
        }

        /* synthetic */ k(a aVar) {
            this();
        }
    }

    static {
        l.a("goog.exo.dash");
    }

    /* synthetic */ c(com.google.android.exoplayer2.source.dash.k.b bVar, Uri uri, h.a aVar, s.a aVar2, b.a aVar3, com.google.android.exoplayer2.source.g gVar, int i2, long j2, Object obj, a aVar4) {
        this(bVar, uri, aVar, aVar2, aVar3, gVar, i2, j2, obj);
    }

    private long L() {
        return (long) Math.min((this.s1 - 1) * 1000, 5000);
    }

    private long M() {
        if (this.r1 != 0) {
            return C.b(SystemClock.elapsedRealtime() + this.r1);
        }
        return C.b(System.currentTimeMillis());
    }

    private void V(IOException iOException) {
        Log.e(Q0, "Failed to resolve UtcTiming element.", iOException);
        X(true);
    }

    private void W(long j2) {
        this.r1 = j2;
        X(true);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void X(boolean z) {
        long j2;
        boolean z2;
        long j3;
        long j4;
        for (int i2 = 0; i2 < this.b1.size(); i2++) {
            int keyAt = this.b1.keyAt(i2);
            if (keyAt >= this.v1) {
                this.b1.valueAt(i2).I(this.n1, keyAt - this.v1);
            }
        }
        int e2 = this.n1.e() - 1;
        i a2 = i.a(this.n1.d(0), this.n1.g(0));
        i a3 = i.a(this.n1.d(e2), this.n1.g(e2));
        long j5 = a2.f8826b;
        long j6 = a3.f8827c;
        if (!this.n1.f8862d || a3.f8825a) {
            j2 = j5;
            z2 = false;
        } else {
            j6 = Math.min((M() - C.b(this.n1.f8859a)) - C.b(this.n1.d(e2).f8883b), j6);
            long j7 = this.n1.f;
            if (j7 != C.f7870b) {
                long b2 = j6 - C.b(j7);
                while (b2 < 0 && e2 > 0) {
                    e2--;
                    b2 += this.n1.g(e2);
                }
                if (e2 == 0) {
                    j4 = Math.max(j5, b2);
                } else {
                    j4 = this.n1.g(0);
                }
                j5 = j4;
            }
            j2 = j5;
            z2 = true;
        }
        long j8 = j6 - j2;
        for (int i3 = 0; i3 < this.n1.e() - 1; i3++) {
            j8 += this.n1.g(i3);
        }
        com.google.android.exoplayer2.source.dash.k.b bVar = this.n1;
        if (bVar.f8862d) {
            long j9 = this.W0;
            if (j9 == -1) {
                long j10 = bVar.g;
                if (j10 == C.f7870b) {
                    j10 = 30000;
                }
                j9 = j10;
            }
            long b3 = j8 - C.b(j9);
            if (b3 < P0) {
                b3 = Math.min((long) P0, j8 / 2);
            }
            j3 = b3;
        } else {
            j3 = 0;
        }
        com.google.android.exoplayer2.source.dash.k.b bVar2 = this.n1;
        long c2 = bVar2.f8859a + bVar2.d(0).f8883b + C.c(j2);
        com.google.android.exoplayer2.source.dash.k.b bVar3 = this.n1;
        F(new C0215c(bVar3.f8859a, c2, this.v1, j2, j8, j3, bVar3, this.g1), this.n1);
        if (!this.R0) {
            this.k1.removeCallbacks(this.d1);
            long j11 = DefaultRenderersFactory.f7874a;
            if (z2) {
                this.k1.postDelayed(this.d1, DefaultRenderersFactory.f7874a);
            }
            if (this.o1) {
                e0();
            } else if (z) {
                com.google.android.exoplayer2.source.dash.k.b bVar4 = this.n1;
                if (bVar4.f8862d) {
                    long j12 = bVar4.f8863e;
                    if (j12 != C.f7870b) {
                        if (j12 != 0) {
                            j11 = j12;
                        }
                        c0(Math.max(0L, (this.p1 + j11) - SystemClock.elapsedRealtime()));
                    }
                }
            }
        }
    }

    private void Z(m mVar) {
        String str = mVar.f8911a;
        if (b0.b(str, "urn:mpeg:dash:utc:direct:2014") || b0.b(str, "urn:mpeg:dash:utc:direct:2012")) {
            a0(mVar);
        } else if (b0.b(str, "urn:mpeg:dash:utc:http-iso:2014") || b0.b(str, "urn:mpeg:dash:utc:http-iso:2012")) {
            b0(mVar, new f());
        } else if (b0.b(str, "urn:mpeg:dash:utc:http-xsdate:2014") || b0.b(str, "urn:mpeg:dash:utc:http-xsdate:2012")) {
            b0(mVar, new k(null));
        } else {
            V(new IOException("Unsupported UTC timing scheme"));
        }
    }

    private void a0(m mVar) {
        try {
            W(b0.e0(mVar.f8912b) - this.q1);
        } catch (ParserException e2) {
            V(e2);
        }
    }

    private void b0(m mVar, s.a<Long> aVar) {
        d0(new s(this.h1, Uri.parse(mVar.f8912b), 5, aVar), new j(this, null), 1);
    }

    private void c0(long j2) {
        this.k1.postDelayed(this.c1, j2);
    }

    private <T> void d0(s<T> sVar, Loader.a<s<T>> aVar, int i2) {
        this.X0.p(sVar.f9521a, sVar.f9522b, this.i1.k(sVar, aVar, i2));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void e0() {
        Uri uri;
        this.k1.removeCallbacks(this.c1);
        if (this.i1.h()) {
            this.o1 = true;
            return;
        }
        synchronized (this.a1) {
            uri = this.m1;
        }
        this.o1 = false;
        d0(new s(this.h1, uri, 4, this.Y0), this.Z0, this.V0);
    }

    @Override // com.google.android.exoplayer2.source.c
    public void E(com.google.android.exoplayer2.h hVar, boolean z) {
        if (this.R0) {
            X(false);
            return;
        }
        this.h1 = this.S0.a();
        this.i1 = new Loader("Loader:DashMediaSource");
        this.k1 = new Handler();
        e0();
    }

    @Override // com.google.android.exoplayer2.source.c
    public void G() {
        this.o1 = false;
        this.h1 = null;
        Loader loader = this.i1;
        if (loader != null) {
            loader.i();
            this.i1 = null;
        }
        this.p1 = 0;
        this.q1 = 0;
        this.n1 = this.R0 ? this.n1 : null;
        this.m1 = this.l1;
        this.j1 = null;
        Handler handler = this.k1;
        if (handler != null) {
            handler.removeCallbacksAndMessages(null);
            this.k1 = null;
        }
        this.r1 = 0;
        this.s1 = 0;
        this.t1 = C.f7870b;
        this.u1 = false;
        this.v1 = 0;
        this.b1.clear();
    }

    /* access modifiers changed from: package-private */
    public void N() {
        this.u1 = true;
    }

    /* access modifiers changed from: package-private */
    public void O(long j2) {
        long j3 = this.t1;
        if (j3 == C.f7870b || j3 < j2) {
            this.t1 = j2;
        }
    }

    /* access modifiers changed from: package-private */
    public void P() {
        this.k1.removeCallbacks(this.d1);
        e0();
    }

    /* access modifiers changed from: package-private */
    public void Q(s<?> sVar, long j2, long j3) {
        this.X0.g(sVar.f9521a, sVar.f9522b, j2, j3, sVar.c());
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x00a1  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x00bb  */
    public void R(s<com.google.android.exoplayer2.source.dash.k.b> sVar, long j2, long j3) {
        boolean z;
        this.X0.j(sVar.f9521a, sVar.f9522b, j2, j3, sVar.c());
        com.google.android.exoplayer2.source.dash.k.b d2 = sVar.d();
        com.google.android.exoplayer2.source.dash.k.b bVar = this.n1;
        int e2 = bVar == null ? 0 : bVar.e();
        long j4 = d2.d(0).f8883b;
        int i2 = 0;
        while (i2 < e2 && this.n1.d(i2).f8883b < j4) {
            i2++;
        }
        if (d2.f8862d) {
            if (e2 - i2 > d2.e()) {
                Log.w(Q0, "Loaded out of sync manifest");
            } else {
                if (!this.u1) {
                    long j5 = this.t1;
                    if (j5 == C.f7870b || d2.h * 1000 > j5) {
                        z = false;
                        if (!z) {
                            int i3 = this.s1;
                            this.s1 = i3 + 1;
                            if (i3 < this.V0) {
                                c0(L());
                                return;
                            } else {
                                this.j1 = new DashManifestStaleException();
                                return;
                            }
                        } else {
                            this.s1 = 0;
                        }
                    }
                }
                Log.w(Q0, "Loaded stale dynamic manifest: " + d2.h + ", " + this.u1 + ", " + this.t1);
            }
            z = true;
            if (!z) {
            }
        }
        this.n1 = d2;
        this.o1 &= d2.f8862d;
        this.p1 = j2 - j3;
        this.q1 = j2;
        if (d2.j != null) {
            synchronized (this.a1) {
                if (sVar.f9521a.f9390c == this.m1) {
                    this.m1 = this.n1.j;
                }
            }
        }
        if (e2 == 0) {
            m mVar = this.n1.i;
            if (mVar != null) {
                Z(mVar);
            } else {
                X(true);
            }
        } else {
            this.v1 += i2;
            X(true);
        }
    }

    /* access modifiers changed from: package-private */
    public int S(s<com.google.android.exoplayer2.source.dash.k.b> sVar, long j2, long j3, IOException iOException) {
        boolean z = iOException instanceof ParserException;
        this.X0.m(sVar.f9521a, sVar.f9522b, j2, j3, sVar.c(), iOException, z);
        return z ? 3 : 0;
    }

    /* access modifiers changed from: package-private */
    public void T(s<Long> sVar, long j2, long j3) {
        this.X0.j(sVar.f9521a, sVar.f9522b, j2, j3, sVar.c());
        W(sVar.d().longValue() - j2);
    }

    /* access modifiers changed from: package-private */
    public int U(s<Long> sVar, long j2, long j3, IOException iOException) {
        this.X0.m(sVar.f9521a, sVar.f9522b, j2, j3, sVar.c(), iOException, true);
        V(iOException);
        return 2;
    }

    public void Y(Uri uri) {
        synchronized (this.a1) {
            this.m1 = uri;
            this.l1 = uri;
        }
    }

    @Override // com.google.android.exoplayer2.source.s
    public com.google.android.exoplayer2.source.r o(s.a aVar, com.google.android.exoplayer2.upstream.b bVar) {
        int i2 = aVar.f9052a;
        DashMediaPeriod dashMediaPeriod = new DashMediaPeriod(this.v1 + i2, this.n1, i2, this.T0, this.V0, D(aVar, this.n1.d(i2).f8883b), this.r1, this.f1, bVar, this.U0, this.e1);
        this.b1.put(dashMediaPeriod.f8798a, dashMediaPeriod);
        return dashMediaPeriod;
    }

    @Override // com.google.android.exoplayer2.source.s
    public void q() throws IOException {
        this.f1.a();
    }

    @Override // com.google.android.exoplayer2.source.s
    public void s(com.google.android.exoplayer2.source.r rVar) {
        DashMediaPeriod dashMediaPeriod = (DashMediaPeriod) rVar;
        dashMediaPeriod.E();
        this.b1.remove(dashMediaPeriod.f8798a);
    }

    @Deprecated
    public c(com.google.android.exoplayer2.source.dash.k.b bVar, b.a aVar, Handler handler, t tVar) {
        this(bVar, aVar, 3, handler, tVar);
    }

    @Deprecated
    public c(com.google.android.exoplayer2.source.dash.k.b bVar, b.a aVar, int i2, Handler handler, t tVar) {
        this(bVar, null, null, null, aVar, new com.google.android.exoplayer2.source.i(), i2, -1, null);
        if (handler != null && tVar != null) {
            c(handler, tVar);
        }
    }

    @Deprecated
    public c(Uri uri, h.a aVar, b.a aVar2, Handler handler, t tVar) {
        this(uri, aVar, aVar2, 3, -1, handler, tVar);
    }

    @Deprecated
    public c(Uri uri, h.a aVar, b.a aVar2, int i2, long j2, Handler handler, t tVar) {
        this(uri, aVar, new com.google.android.exoplayer2.source.dash.k.c(), aVar2, i2, j2, handler, tVar);
    }

    @Deprecated
    public c(Uri uri, h.a aVar, s.a<? extends com.google.android.exoplayer2.source.dash.k.b> aVar2, b.a aVar3, int i2, long j2, Handler handler, t tVar) {
        this(null, uri, aVar, aVar2, aVar3, new com.google.android.exoplayer2.source.i(), i2, j2, null);
        if (handler != null && tVar != null) {
            c(handler, tVar);
        }
    }

    private c(com.google.android.exoplayer2.source.dash.k.b bVar, Uri uri, h.a aVar, s.a<? extends com.google.android.exoplayer2.source.dash.k.b> aVar2, b.a aVar3, com.google.android.exoplayer2.source.g gVar, int i2, long j2, @Nullable Object obj) {
        this.l1 = uri;
        this.n1 = bVar;
        this.m1 = uri;
        this.S0 = aVar;
        this.Y0 = aVar2;
        this.T0 = aVar3;
        this.V0 = i2;
        this.W0 = j2;
        this.U0 = gVar;
        this.g1 = obj;
        boolean z = bVar != null;
        this.R0 = z;
        this.X0 = C(null);
        this.a1 = new Object();
        this.b1 = new SparseArray<>();
        this.e1 = new d(this, null);
        this.t1 = C.f7870b;
        if (z) {
            com.google.android.exoplayer2.util.a.i(!bVar.f8862d);
            this.Z0 = null;
            this.c1 = null;
            this.d1 = null;
            this.f1 = new r.a();
            return;
        }
        this.Z0 = new g(this, null);
        this.f1 = new h();
        this.c1 = new a();
        this.d1 = new b();
    }
}
