package com.google.android.exoplayer2.source.dash;

import android.os.SystemClock;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.a0;
import com.google.android.exoplayer2.extractor.mkv.MatroskaExtractor;
import com.google.android.exoplayer2.extractor.mp4.FragmentedMp4Extractor;
import com.google.android.exoplayer2.g0.e;
import com.google.android.exoplayer2.g0.o;
import com.google.android.exoplayer2.source.BehindLiveWindowException;
import com.google.android.exoplayer2.source.d0.c;
import com.google.android.exoplayer2.source.d0.d;
import com.google.android.exoplayer2.source.d0.k;
import com.google.android.exoplayer2.source.d0.l;
import com.google.android.exoplayer2.source.d0.m;
import com.google.android.exoplayer2.source.dash.b;
import com.google.android.exoplayer2.source.dash.i;
import com.google.android.exoplayer2.trackselection.f;
import com.google.android.exoplayer2.upstream.DataSpec;
import com.google.android.exoplayer2.upstream.HttpDataSource;
import com.google.android.exoplayer2.upstream.h;
import com.google.android.exoplayer2.upstream.r;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.n;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/* compiled from: DefaultDashChunkSource */
public class g implements b {

    /* renamed from: a  reason: collision with root package name */
    private final r f8832a;

    /* renamed from: b  reason: collision with root package name */
    private final int[] f8833b;

    /* renamed from: c  reason: collision with root package name */
    private final f f8834c;

    /* renamed from: d  reason: collision with root package name */
    private final int f8835d;

    /* renamed from: e  reason: collision with root package name */
    private final h f8836e;
    private final long f;
    private final int g;
    @Nullable
    private final i.c h;
    protected final b[] i;
    private com.google.android.exoplayer2.source.dash.k.b j;
    private int k;
    private IOException l;
    private boolean m;
    private long n = C.f7870b;

    /* compiled from: DefaultDashChunkSource */
    public static final class a implements b.a {

        /* renamed from: a  reason: collision with root package name */
        private final h.a f8837a;

        /* renamed from: b  reason: collision with root package name */
        private final int f8838b;

        public a(h.a aVar) {
            this(aVar, 1);
        }

        @Override // com.google.android.exoplayer2.source.dash.b.a
        public b a(r rVar, com.google.android.exoplayer2.source.dash.k.b bVar, int i, int[] iArr, f fVar, int i2, long j, boolean z, boolean z2, @Nullable i.c cVar) {
            return new g(rVar, bVar, i, iArr, fVar, i2, this.f8837a.a(), j, this.f8838b, z, z2, cVar);
        }

        public a(h.a aVar, int i) {
            this.f8837a = aVar;
            this.f8838b = i;
        }
    }

    /* access modifiers changed from: protected */
    /* compiled from: DefaultDashChunkSource */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        final d f8839a;

        /* renamed from: b  reason: collision with root package name */
        public com.google.android.exoplayer2.source.dash.k.h f8840b;

        /* renamed from: c  reason: collision with root package name */
        public d f8841c;

        /* renamed from: d  reason: collision with root package name */
        private long f8842d;

        /* renamed from: e  reason: collision with root package name */
        private long f8843e;

        b(long j, int i, com.google.android.exoplayer2.source.dash.k.h hVar, boolean z, boolean z2, o oVar) {
            e eVar;
            List list;
            this.f8842d = j;
            this.f8840b = hVar;
            String str = hVar.f8893e.M0;
            if (g(str)) {
                this.f8839a = null;
            } else {
                if (n.d0.equals(str)) {
                    eVar = new com.google.android.exoplayer2.g0.r.a(hVar.f8893e);
                } else if (h(str)) {
                    eVar = new MatroskaExtractor(1);
                } else {
                    int i2 = z ? 4 : 0;
                    if (z2) {
                        list = Collections.singletonList(Format.s(null, n.W, 0, null));
                    } else {
                        list = Collections.emptyList();
                    }
                    eVar = new FragmentedMp4Extractor(i2, null, null, null, list, oVar);
                }
                this.f8839a = new d(eVar, i, hVar.f8893e);
            }
            this.f8841c = hVar.i();
        }

        private static boolean g(String str) {
            return n.m(str) || n.Z.equals(str);
        }

        private static boolean h(String str) {
            return str.startsWith(n.f) || str.startsWith(n.s) || str.startsWith(n.R);
        }

        public long a() {
            return this.f8841c.f() + this.f8843e;
        }

        public int b() {
            return this.f8841c.g(this.f8842d);
        }

        public long c(long j) {
            return e(j) + this.f8841c.b(j - this.f8843e, this.f8842d);
        }

        public long d(long j) {
            return this.f8841c.d(j, this.f8842d) + this.f8843e;
        }

        public long e(long j) {
            return this.f8841c.a(j - this.f8843e);
        }

        public com.google.android.exoplayer2.source.dash.k.g f(long j) {
            return this.f8841c.c(j - this.f8843e);
        }

        /* access modifiers changed from: package-private */
        public void i(long j, com.google.android.exoplayer2.source.dash.k.h hVar) throws BehindLiveWindowException {
            int g;
            d i = this.f8840b.i();
            d i2 = hVar.i();
            this.f8842d = j;
            this.f8840b = hVar;
            if (i != null) {
                this.f8841c = i2;
                if (i.e() && (g = i.g(this.f8842d)) != 0) {
                    long f = (i.f() + ((long) g)) - 1;
                    long a2 = i.a(f) + i.b(f, this.f8842d);
                    long f2 = i2.f();
                    long a3 = i2.a(f2);
                    int i3 = (a2 > a3 ? 1 : (a2 == a3 ? 0 : -1));
                    if (i3 == 0) {
                        this.f8843e += (f + 1) - f2;
                    } else if (i3 >= 0) {
                        this.f8843e += i.d(a3, this.f8842d) - f2;
                    } else {
                        throw new BehindLiveWindowException();
                    }
                }
            }
        }
    }

    public g(r rVar, com.google.android.exoplayer2.source.dash.k.b bVar, int i2, int[] iArr, f fVar, int i3, h hVar, long j2, int i4, boolean z, boolean z2, @Nullable i.c cVar) {
        this.f8832a = rVar;
        this.j = bVar;
        this.f8833b = iArr;
        this.f8834c = fVar;
        this.f8835d = i3;
        this.f8836e = hVar;
        this.k = i2;
        this.f = j2;
        this.g = i4;
        this.h = cVar;
        long g2 = bVar.g(i2);
        ArrayList<com.google.android.exoplayer2.source.dash.k.h> j3 = j();
        this.i = new b[fVar.length()];
        for (int i5 = 0; i5 < this.i.length; i5++) {
            this.i[i5] = new b(g2, i3, j3.get(fVar.g(i5)), z, z2, cVar);
        }
    }

    private long i() {
        long currentTimeMillis;
        if (this.f != 0) {
            currentTimeMillis = SystemClock.elapsedRealtime() + this.f;
        } else {
            currentTimeMillis = System.currentTimeMillis();
        }
        return currentTimeMillis * 1000;
    }

    private ArrayList<com.google.android.exoplayer2.source.dash.k.h> j() {
        List<com.google.android.exoplayer2.source.dash.k.a> list = this.j.d(this.k).f8884c;
        ArrayList<com.google.android.exoplayer2.source.dash.k.h> arrayList = new ArrayList<>();
        for (int i2 : this.f8833b) {
            arrayList.addAll(list.get(i2).f8857d);
        }
        return arrayList;
    }

    protected static c k(b bVar, h hVar, Format format, int i2, Object obj, com.google.android.exoplayer2.source.dash.k.g gVar, com.google.android.exoplayer2.source.dash.k.g gVar2) {
        String str = bVar.f8840b.f;
        if (gVar == null || (gVar2 = gVar.a(gVar2, str)) != null) {
            gVar = gVar2;
        }
        return new k(hVar, new DataSpec(gVar.b(str), gVar.f8886a, gVar.f8887b, bVar.f8840b.h()), format, i2, obj, bVar.f8839a);
    }

    protected static c l(b bVar, h hVar, int i2, Format format, int i3, Object obj, long j2, int i4, long j3) {
        com.google.android.exoplayer2.source.dash.k.h hVar2 = bVar.f8840b;
        long e2 = bVar.e(j2);
        com.google.android.exoplayer2.source.dash.k.g f2 = bVar.f(j2);
        String str = hVar2.f;
        if (bVar.f8839a == null) {
            return new m(hVar, new DataSpec(f2.b(str), f2.f8886a, f2.f8887b, hVar2.h()), format, i3, obj, e2, bVar.c(j2), j2, i2, format);
        }
        int i5 = 1;
        int i6 = 1;
        while (i5 < i4) {
            com.google.android.exoplayer2.source.dash.k.g a2 = f2.a(bVar.f(((long) i5) + j2), str);
            if (a2 == null) {
                break;
            }
            i6++;
            i5++;
            f2 = a2;
        }
        return new com.google.android.exoplayer2.source.d0.i(hVar, new DataSpec(f2.b(str), f2.f8886a, f2.f8887b, hVar2.h()), format, i3, obj, e2, bVar.c((((long) i6) + j2) - 1), j3, j2, i6, -hVar2.g, bVar.f8839a);
    }

    private long m(long j2) {
        if (this.j.f8862d && this.n != C.f7870b) {
            return this.n - j2;
        }
        return C.f7870b;
    }

    private void n(b bVar, long j2) {
        this.n = this.j.f8862d ? bVar.c(j2) : C.f7870b;
    }

    @Override // com.google.android.exoplayer2.source.d0.g
    public void a() throws IOException {
        IOException iOException = this.l;
        if (iOException == null) {
            this.f8832a.a();
            return;
        }
        throw iOException;
    }

    @Override // com.google.android.exoplayer2.source.d0.g
    public boolean c(c cVar, boolean z, Exception exc) {
        b bVar;
        int b2;
        if (!z) {
            return false;
        }
        i.c cVar2 = this.h;
        if (cVar2 != null && cVar2.g(cVar)) {
            return true;
        }
        if (!this.j.f8862d && (cVar instanceof l) && (exc instanceof HttpDataSource.InvalidResponseCodeException) && ((HttpDataSource.InvalidResponseCodeException) exc).responseCode == 404 && (b2 = (bVar = this.i[this.f8834c.i(cVar.f8780c)]).b()) != -1 && b2 != 0) {
            if (((l) cVar).e() > (bVar.a() + ((long) b2)) - 1) {
                this.m = true;
                return true;
            }
        }
        f fVar = this.f8834c;
        return com.google.android.exoplayer2.source.d0.h.a(fVar, fVar.i(cVar.f8780c), exc);
    }

    @Override // com.google.android.exoplayer2.source.d0.g
    public long d(long j2, a0 a0Var) {
        b[] bVarArr = this.i;
        for (b bVar : bVarArr) {
            if (bVar.f8841c != null) {
                long d2 = bVar.d(j2);
                long e2 = bVar.e(d2);
                return b0.j0(j2, a0Var, e2, (e2 >= j2 || d2 >= ((long) (bVar.b() + -1))) ? e2 : bVar.e(d2 + 1));
            }
        }
        return j2;
    }

    @Override // com.google.android.exoplayer2.source.dash.b
    public void e(com.google.android.exoplayer2.source.dash.k.b bVar, int i2) {
        try {
            this.j = bVar;
            this.k = i2;
            long g2 = bVar.g(i2);
            ArrayList<com.google.android.exoplayer2.source.dash.k.h> j2 = j();
            for (int i3 = 0; i3 < this.i.length; i3++) {
                this.i[i3].i(g2, j2.get(this.f8834c.g(i3)));
            }
        } catch (BehindLiveWindowException e2) {
            this.l = e2;
        }
    }

    @Override // com.google.android.exoplayer2.source.d0.g
    public void f(l lVar, long j2, long j3, com.google.android.exoplayer2.source.d0.e eVar) {
        long j4;
        long j5;
        boolean z;
        if (this.l == null) {
            long j6 = j3 - j2;
            long m2 = m(j2);
            long b2 = C.b(this.j.f8859a) + C.b(this.j.d(this.k).f8883b) + j3;
            i.c cVar = this.h;
            if (cVar == null || !cVar.f(b2)) {
                this.f8834c.n(j2, j6, m2);
                b bVar = this.i[this.f8834c.b()];
                d dVar = bVar.f8839a;
                if (dVar != null) {
                    com.google.android.exoplayer2.source.dash.k.h hVar = bVar.f8840b;
                    com.google.android.exoplayer2.source.dash.k.g k2 = dVar.b() == null ? hVar.k() : null;
                    com.google.android.exoplayer2.source.dash.k.g j7 = bVar.f8841c == null ? hVar.j() : null;
                    if (!(k2 == null && j7 == null)) {
                        eVar.f8790a = k(bVar, this.f8836e, this.f8834c.k(), this.f8834c.l(), this.f8834c.o(), k2, j7);
                        return;
                    }
                }
                int b3 = bVar.b();
                if (b3 == 0) {
                    com.google.android.exoplayer2.source.dash.k.b bVar2 = this.j;
                    eVar.f8791b = !bVar2.f8862d || this.k < bVar2.e() - 1;
                    return;
                }
                long a2 = bVar.a();
                if (b3 == -1) {
                    long i2 = (i() - C.b(this.j.f8859a)) - C.b(this.j.d(this.k).f8883b);
                    long j8 = this.j.f;
                    if (j8 != C.f7870b) {
                        a2 = Math.max(a2, bVar.d(i2 - C.b(j8)));
                    }
                    j4 = bVar.d(i2);
                } else {
                    j4 = ((long) b3) + a2;
                }
                long j9 = j4 - 1;
                n(bVar, j9);
                if (lVar == null) {
                    j5 = b0.o(bVar.d(j3), a2, j9);
                } else {
                    j5 = lVar.e();
                    if (j5 < a2) {
                        this.l = new BehindLiveWindowException();
                        return;
                    }
                }
                int i3 = (j5 > j9 ? 1 : (j5 == j9 ? 0 : -1));
                if (i3 > 0 || (this.m && i3 >= 0)) {
                    com.google.android.exoplayer2.source.dash.k.b bVar3 = this.j;
                    if (bVar3.f8862d) {
                        if (this.k >= bVar3.e() - 1) {
                            z = false;
                            eVar.f8791b = z;
                            return;
                        }
                    }
                    z = true;
                    eVar.f8791b = z;
                    return;
                }
                eVar.f8790a = l(bVar, this.f8836e, this.f8835d, this.f8834c.k(), this.f8834c.l(), this.f8834c.o(), j5, (int) Math.min((long) this.g, (j9 - j5) + 1), lVar == null ? j3 : -9223372036854775807L);
            }
        }
    }

    @Override // com.google.android.exoplayer2.source.d0.g
    public int g(long j2, List<? extends l> list) {
        if (this.l != null || this.f8834c.length() < 2) {
            return list.size();
        }
        return this.f8834c.h(j2, list);
    }

    @Override // com.google.android.exoplayer2.source.d0.g
    public void h(c cVar) {
        com.google.android.exoplayer2.g0.m c2;
        if (cVar instanceof k) {
            b bVar = this.i[this.f8834c.i(((k) cVar).f8780c)];
            if (bVar.f8841c == null && (c2 = bVar.f8839a.c()) != null) {
                bVar.f8841c = new f((com.google.android.exoplayer2.g0.a) c2, bVar.f8840b.g);
            }
        }
        i.c cVar2 = this.h;
        if (cVar2 != null) {
            cVar2.h(cVar);
        }
    }
}
