package com.google.android.exoplayer2.source.dash.k;

import android.net.Uri;
import android.text.TextUtils;
import android.util.Base64;
import android.util.Log;
import android.util.Pair;
import android.util.Xml;
import androidx.constraintlayout.core.motion.h.w;
import androidx.exifinterface.media.ExifInterface;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.ParserException;
import com.google.android.exoplayer2.drm.DrmInitData;
import com.google.android.exoplayer2.extractor.mp4.e;
import com.google.android.exoplayer2.metadata.emsg.EventMessage;
import com.google.android.exoplayer2.source.dash.k.j;
import com.google.android.exoplayer2.upstream.s;
import com.google.android.exoplayer2.util.a0;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.c0;
import com.google.android.exoplayer2.util.n;
import com.ibm.icu.impl.locale.f;
import com.ibm.icu.text.DateFormat;
import com.lzy.okgo.model.HttpHeaders;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import org.xml.sax.helpers.DefaultHandler;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
import org.xmlpull.v1.XmlPullParserFactory;
import org.xmlpull.v1.XmlSerializer;

/* compiled from: DashManifestParser */
public class c extends DefaultHandler implements s.a<b> {

    /* renamed from: a  reason: collision with root package name */
    private static final String f8864a = "MpdParser";

    /* renamed from: b  reason: collision with root package name */
    private static final Pattern f8865b = Pattern.compile("(\\d+)(?:/(\\d+))?");

    /* renamed from: c  reason: collision with root package name */
    private static final Pattern f8866c = Pattern.compile("CC([1-4])=.*");

    /* renamed from: d  reason: collision with root package name */
    private static final Pattern f8867d = Pattern.compile("([1-9]|[1-5][0-9]|6[0-3])=.*");

    /* renamed from: e  reason: collision with root package name */
    private final String f8868e;
    private final XmlPullParserFactory f;

    /* access modifiers changed from: protected */
    /* compiled from: DashManifestParser */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        public final Format f8869a;

        /* renamed from: b  reason: collision with root package name */
        public final String f8870b;

        /* renamed from: c  reason: collision with root package name */
        public final j f8871c;

        /* renamed from: d  reason: collision with root package name */
        public final String f8872d;

        /* renamed from: e  reason: collision with root package name */
        public final ArrayList<DrmInitData.SchemeData> f8873e;
        public final ArrayList<d> f;
        public final long g;

        public a(Format format, String str, j jVar, String str2, ArrayList<DrmInitData.SchemeData> arrayList, ArrayList<d> arrayList2, long j) {
            this.f8869a = format;
            this.f8870b = str;
            this.f8871c = jVar;
            this.f8872d = str2;
            this.f8873e = arrayList;
            this.f = arrayList2;
            this.g = j;
        }
    }

    public c() {
        this(null);
    }

    protected static int A(List<d> list) {
        String str;
        for (int i = 0; i < list.size(); i++) {
            d dVar = list.get(i);
            if ("urn:scte:dash:cc:cea-708:2015".equals(dVar.f8874a) && (str = dVar.f8875b) != null) {
                Matcher matcher = f8867d.matcher(str);
                if (matcher.matches()) {
                    return Integer.parseInt(matcher.group(1));
                }
                Log.w(f8864a, "Unable to parse CEA-708 service block number from: " + dVar.f8875b);
            }
        }
        return -1;
    }

    protected static long D(XmlPullParser xmlPullParser, String str, long j) throws ParserException {
        String attributeValue = xmlPullParser.getAttributeValue(null, str);
        if (attributeValue == null) {
            return j;
        }
        return b0.e0(attributeValue);
    }

    protected static d E(XmlPullParser xmlPullParser, String str) throws XmlPullParserException, IOException {
        String Z = Z(xmlPullParser, "schemeIdUri", "");
        String Z2 = Z(xmlPullParser, "value", null);
        String Z3 = Z(xmlPullParser, "id", null);
        do {
            xmlPullParser.next();
        } while (!c0.d(xmlPullParser, str));
        return new d(Z, Z2, Z3);
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    protected static int F(XmlPullParser xmlPullParser) {
        char c2;
        String w0 = b0.w0(xmlPullParser.getAttributeValue(null, "value"));
        if (w0 == null) {
            return -1;
        }
        switch (w0.hashCode()) {
            case 1596796:
                if (w0.equals("4000")) {
                    c2 = 0;
                    break;
                }
                c2 = 65535;
                break;
            case 2937391:
                if (w0.equals("a000")) {
                    c2 = 1;
                    break;
                }
                c2 = 65535;
                break;
            case 3094035:
                if (w0.equals("f801")) {
                    c2 = 2;
                    break;
                }
                c2 = 65535;
                break;
            case 3133436:
                if (w0.equals("fa01")) {
                    c2 = 3;
                    break;
                }
                c2 = 65535;
                break;
            default:
                c2 = 65535;
                break;
        }
        switch (c2) {
            case 0:
                return 1;
            case 1:
                return 2;
            case 2:
                return 6;
            case 3:
                return 8;
            default:
                return -1;
        }
    }

    protected static long G(XmlPullParser xmlPullParser, String str, long j) {
        String attributeValue = xmlPullParser.getAttributeValue(null, str);
        if (attributeValue == null) {
            return j;
        }
        return b0.f0(attributeValue);
    }

    protected static String H(List<d> list) {
        for (int i = 0; i < list.size(); i++) {
            d dVar = list.get(i);
            if ("tag:dolby.com,2014:dash:DolbyDigitalPlusExtensionType:2014".equals(dVar.f8874a) && "ec+3".equals(dVar.f8875b)) {
                return n.B;
            }
        }
        return n.A;
    }

    protected static float L(XmlPullParser xmlPullParser, float f2) {
        String attributeValue = xmlPullParser.getAttributeValue(null, "frameRate");
        if (attributeValue == null) {
            return f2;
        }
        Matcher matcher = f8865b.matcher(attributeValue);
        if (!matcher.matches()) {
            return f2;
        }
        int parseInt = Integer.parseInt(matcher.group(1));
        String group = matcher.group(2);
        return !TextUtils.isEmpty(group) ? ((float) parseInt) / ((float) Integer.parseInt(group)) : (float) parseInt;
    }

    protected static int N(XmlPullParser xmlPullParser, String str, int i) {
        String attributeValue = xmlPullParser.getAttributeValue(null, str);
        return attributeValue == null ? i : Integer.parseInt(attributeValue);
    }

    protected static long O(XmlPullParser xmlPullParser, String str, long j) {
        String attributeValue = xmlPullParser.getAttributeValue(null, str);
        return attributeValue == null ? j : Long.parseLong(attributeValue);
    }

    protected static String Z(XmlPullParser xmlPullParser, String str, String str2) {
        String attributeValue = xmlPullParser.getAttributeValue(null, str);
        return attributeValue == null ? str2 : attributeValue;
    }

    private static int o(int i, int i2) {
        if (i == -1) {
            return i2;
        }
        if (i2 == -1) {
            return i;
        }
        com.google.android.exoplayer2.util.a.i(i == i2);
        return i;
    }

    private static String p(String str, String str2) {
        if (str == null) {
            return str2;
        }
        if (str2 == null) {
            return str;
        }
        com.google.android.exoplayer2.util.a.i(str.equals(str2));
        return str;
    }

    private static void q(ArrayList<DrmInitData.SchemeData> arrayList) {
        for (int size = arrayList.size() - 1; size >= 0; size--) {
            DrmInitData.SchemeData schemeData = arrayList.get(size);
            if (!schemeData.c()) {
                int i = 0;
                while (true) {
                    if (i >= arrayList.size()) {
                        break;
                    } else if (arrayList.get(i).b(schemeData)) {
                        arrayList.remove(size);
                        break;
                    } else {
                        i++;
                    }
                }
            }
        }
    }

    private static String s(String str, String str2) {
        if (n.l(str)) {
            return n.a(str2);
        }
        if (n.n(str)) {
            return n.j(str2);
        }
        if (t(str)) {
            return str;
        }
        if (n.Q.equals(str)) {
            if ("stpp".equals(str2)) {
                return n.Z;
            }
            if ("wvtt".equals(str2)) {
                return n.b0;
            }
        } else if (n.d0.equals(str) && str2 != null) {
            if (str2.contains("cea708")) {
                return n.X;
            }
            if (str2.contains("eia608") || str2.contains("cea608")) {
                return n.W;
            }
        }
        return null;
    }

    private static boolean t(String str) {
        return n.m(str) || n.Z.equals(str) || n.b0.equals(str) || n.X.equals(str) || n.W.equals(str);
    }

    protected static String y(XmlPullParser xmlPullParser, String str) throws XmlPullParserException, IOException {
        xmlPullParser.next();
        return a0.d(str, xmlPullParser.getText());
    }

    protected static int z(List<d> list) {
        String str;
        for (int i = 0; i < list.size(); i++) {
            d dVar = list.get(i);
            if ("urn:scte:dash:cc:cea-608:2015".equals(dVar.f8874a) && (str = dVar.f8875b) != null) {
                Matcher matcher = f8866c.matcher(str);
                if (matcher.matches()) {
                    return Integer.parseInt(matcher.group(1));
                }
                Log.w(f8864a, "Unable to parse CEA-608 channel number from: " + dVar.f8875b);
            }
        }
        return -1;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r9v2, resolved type: java.util.UUID */
    /* JADX DEBUG: Multi-variable search result rejected for r9v3, resolved type: java.util.UUID */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0093  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x009f  */
    /* JADX WARNING: Removed duplicated region for block: B:67:0x0120 A[LOOP:1: B:31:0x0088->B:67:0x0120, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:69:0x0111 A[SYNTHETIC] */
    public Pair<String, DrmInitData.SchemeData> B(XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
        byte[] bArr;
        byte[] bArr2;
        UUID uuid;
        String str;
        boolean z;
        Object obj;
        byte[] bArr3;
        UUID uuid2;
        UUID uuid3;
        byte[] bArr4;
        UUID uuid4;
        DrmInitData.SchemeData schemeData = null;
        String attributeValue = xmlPullParser.getAttributeValue(null, "schemeIdUri");
        if (attributeValue != null) {
            String w0 = b0.w0(attributeValue);
            w0.hashCode();
            char c2 = 65535;
            switch (w0.hashCode()) {
                case 489446379:
                    if (w0.equals("urn:uuid:9a04f079-9840-4286-ab92-e65be0885f95")) {
                        c2 = 0;
                        break;
                    }
                    break;
                case 755418770:
                    if (w0.equals("urn:uuid:edef8ba9-79d6-4ace-a3c8-27dcd51d21ed")) {
                        c2 = 1;
                        break;
                    }
                    break;
                case 1812765994:
                    if (w0.equals("urn:mpeg:dash:mp4protection:2011")) {
                        c2 = 2;
                        break;
                    }
                    break;
            }
            switch (c2) {
                case 0:
                    uuid4 = C.l1;
                    str = null;
                    bArr2 = null;
                    uuid3 = uuid4;
                    bArr = bArr2;
                    uuid = uuid3;
                    break;
                case 1:
                    uuid4 = C.k1;
                    str = null;
                    bArr2 = null;
                    uuid3 = uuid4;
                    bArr = bArr2;
                    uuid = uuid3;
                    break;
                case 2:
                    str = xmlPullParser.getAttributeValue(null, "value");
                    String b2 = c0.b(xmlPullParser, "default_KID");
                    if (!TextUtils.isEmpty(b2) && !"00000000-0000-0000-0000-000000000000".equals(b2)) {
                        String[] split = b2.split("\\s+");
                        UUID[] uuidArr = new UUID[split.length];
                        for (int i = 0; i < split.length; i++) {
                            uuidArr[i] = UUID.fromString(split[i]);
                        }
                        UUID uuid5 = C.i1;
                        bArr2 = e.b(uuid5, uuidArr, null);
                        bArr = null;
                        uuid = uuid5;
                        break;
                    } else {
                        bArr4 = null;
                        bArr2 = bArr4;
                        uuid3 = bArr4;
                        bArr = bArr2;
                        uuid = uuid3;
                        break;
                    }
            }
            z = false;
            obj = uuid;
            while (true) {
                xmlPullParser.next();
                if (!c0.f(xmlPullParser, "ms:laurl")) {
                    bArr = xmlPullParser.getAttributeValue(null, "licenseUrl");
                } else if (c0.f(xmlPullParser, "widevine:license")) {
                    String attributeValue2 = xmlPullParser.getAttributeValue(null, "robustness_level");
                    z = attributeValue2 != null && attributeValue2.startsWith("HW");
                } else if (bArr2 == null) {
                    if (!c0.g(xmlPullParser, "pssh") || xmlPullParser.next() != 4) {
                        UUID uuid6 = C.l1;
                        if (uuid6.equals(obj) && c0.f(xmlPullParser, "mspr:pro") && xmlPullParser.next() == 4) {
                            bArr2 = e.a(uuid6, Base64.decode(xmlPullParser.getText(), 0));
                        }
                    } else {
                        byte[] decode = Base64.decode(xmlPullParser.getText(), 0);
                        UUID e2 = e.e(decode);
                        if (e2 == null) {
                            Log.w(f8864a, "Skipping malformed cenc:pssh data");
                            bArr3 = null;
                        } else {
                            bArr3 = decode;
                        }
                        uuid2 = e2;
                        if (c0.d(xmlPullParser, "ContentProtection")) {
                            if (uuid2 != null) {
                                schemeData = new DrmInitData.SchemeData(uuid2, bArr, "video/mp4", bArr3, z);
                            }
                            return Pair.create(str, schemeData);
                        }
                        obj = uuid2;
                        bArr = bArr;
                        bArr2 = bArr3;
                        z = z;
                    }
                }
                uuid2 = obj;
                bArr3 = bArr2;
                if (c0.d(xmlPullParser, "ContentProtection")) {
                }
            }
        }
        str = null;
        bArr4 = null;
        bArr2 = bArr4;
        uuid3 = bArr4;
        bArr = bArr2;
        uuid = uuid3;
        z = false;
        obj = uuid;
        while (true) {
            xmlPullParser.next();
            if (!c0.f(xmlPullParser, "ms:laurl")) {
            }
            uuid2 = obj;
            bArr3 = bArr2;
            if (c0.d(xmlPullParser, "ContentProtection")) {
            }
            obj = uuid2;
            bArr = bArr;
            bArr2 = bArr3;
            z = z;
        }
    }

    /* access modifiers changed from: protected */
    public int C(XmlPullParser xmlPullParser) {
        String attributeValue = xmlPullParser.getAttributeValue(null, "contentType");
        if (TextUtils.isEmpty(attributeValue)) {
            return -1;
        }
        if ("audio".equals(attributeValue)) {
            return 1;
        }
        if ("video".equals(attributeValue)) {
            return 2;
        }
        if ("text".equals(attributeValue)) {
            return 3;
        }
        return -1;
    }

    /* access modifiers changed from: protected */
    public EventMessage I(XmlPullParser xmlPullParser, String str, String str2, long j, ByteArrayOutputStream byteArrayOutputStream) throws IOException, XmlPullParserException {
        long O = O(xmlPullParser, "id", 0);
        long O2 = O(xmlPullParser, w.h.f1707b, C.f7870b);
        long O3 = O(xmlPullParser, "presentationTime", 0);
        return c(str, str2, O, b0.k0(O2, 1000, j), J(xmlPullParser, byteArrayOutputStream), b0.k0(O3, 1000000, j));
    }

    /* access modifiers changed from: protected */
    public byte[] J(XmlPullParser xmlPullParser, ByteArrayOutputStream byteArrayOutputStream) throws XmlPullParserException, IOException {
        byteArrayOutputStream.reset();
        XmlSerializer newSerializer = Xml.newSerializer();
        newSerializer.setOutput(byteArrayOutputStream, null);
        xmlPullParser.nextToken();
        while (!c0.d(xmlPullParser, "Event")) {
            switch (xmlPullParser.getEventType()) {
                case 0:
                    newSerializer.startDocument(null, Boolean.FALSE);
                    break;
                case 1:
                    newSerializer.endDocument();
                    break;
                case 2:
                    newSerializer.startTag(xmlPullParser.getNamespace(), xmlPullParser.getName());
                    for (int i = 0; i < xmlPullParser.getAttributeCount(); i++) {
                        newSerializer.attribute(xmlPullParser.getAttributeNamespace(i), xmlPullParser.getAttributeName(i), xmlPullParser.getAttributeValue(i));
                    }
                    break;
                case 3:
                    newSerializer.endTag(xmlPullParser.getNamespace(), xmlPullParser.getName());
                    break;
                case 4:
                    newSerializer.text(xmlPullParser.getText());
                    break;
                case 5:
                    newSerializer.cdsect(xmlPullParser.getText());
                    break;
                case 6:
                    newSerializer.entityRef(xmlPullParser.getText());
                    break;
                case 7:
                    newSerializer.ignorableWhitespace(xmlPullParser.getText());
                    break;
                case 8:
                    newSerializer.processingInstruction(xmlPullParser.getText());
                    break;
                case 9:
                    newSerializer.comment(xmlPullParser.getText());
                    break;
                case 10:
                    newSerializer.docdecl(xmlPullParser.getText());
                    break;
            }
            xmlPullParser.nextToken();
        }
        newSerializer.flush();
        return byteArrayOutputStream.toByteArray();
    }

    /* access modifiers changed from: protected */
    public e K(XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
        String Z = Z(xmlPullParser, "schemeIdUri", "");
        String Z2 = Z(xmlPullParser, "value", "");
        long O = O(xmlPullParser, "timescale", 1);
        ArrayList arrayList = new ArrayList();
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream(512);
        do {
            xmlPullParser.next();
            if (c0.f(xmlPullParser, "Event")) {
                arrayList.add(I(xmlPullParser, Z, Z2, O, byteArrayOutputStream));
            }
        } while (!c0.d(xmlPullParser, "EventStream"));
        long[] jArr = new long[arrayList.size()];
        EventMessage[] eventMessageArr = new EventMessage[arrayList.size()];
        for (int i = 0; i < arrayList.size(); i++) {
            EventMessage eventMessage = (EventMessage) arrayList.get(i);
            jArr[i] = eventMessage.J0;
            eventMessageArr[i] = eventMessage;
        }
        return d(Z, Z2, O, jArr, eventMessageArr);
    }

    /* access modifiers changed from: protected */
    public g M(XmlPullParser xmlPullParser) {
        return R(xmlPullParser, "sourceURL", "range");
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x0163 A[LOOP:0: B:20:0x006c->B:63:0x0163, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x012a A[SYNTHETIC] */
    public b P(XmlPullParser xmlPullParser, String str) throws XmlPullParserException, IOException {
        m mVar;
        long j;
        long D = D(xmlPullParser, "availabilityStartTime", C.f7870b);
        long G = G(xmlPullParser, "mediaPresentationDuration", C.f7870b);
        long G2 = G(xmlPullParser, "minBufferTime", C.f7870b);
        String attributeValue = xmlPullParser.getAttributeValue(null, "type");
        boolean z = attributeValue != null && "dynamic".equals(attributeValue);
        long G3 = z ? G(xmlPullParser, "minimumUpdatePeriod", C.f7870b) : -9223372036854775807L;
        long G4 = z ? G(xmlPullParser, "timeShiftBufferDepth", C.f7870b) : -9223372036854775807L;
        long G5 = z ? G(xmlPullParser, "suggestedPresentationDelay", C.f7870b) : -9223372036854775807L;
        long D2 = D(xmlPullParser, "publishTime", C.f7870b);
        ArrayList arrayList = new ArrayList();
        long j2 = z ? -9223372036854775807L : 0;
        boolean z2 = false;
        boolean z3 = false;
        Uri uri = null;
        String str2 = str;
        m mVar2 = null;
        while (true) {
            xmlPullParser.next();
            if (!c0.f(xmlPullParser, "BaseURL")) {
                if (c0.f(xmlPullParser, "UTCTiming")) {
                    mVar = b0(xmlPullParser);
                } else {
                    if (c0.f(xmlPullParser, HttpHeaders.HEAD_KEY_LOCATION)) {
                        uri = Uri.parse(xmlPullParser.nextText());
                    } else if (c0.f(xmlPullParser, "Period") && !z3) {
                        Pair<f, Long> Q = Q(xmlPullParser, str2, j2);
                        f fVar = (f) Q.first;
                        if (fVar.f8883b != C.f7870b) {
                            long longValue = ((Long) Q.second).longValue();
                            if (longValue == C.f7870b) {
                                j = C.f7870b;
                            } else {
                                j = fVar.f8883b + longValue;
                            }
                            arrayList.add(fVar);
                            j2 = j;
                            str2 = str2;
                        } else if (z) {
                            mVar = mVar2;
                            str2 = str2;
                            j2 = j2;
                            z3 = true;
                        } else {
                            throw new ParserException("Unable to determine start of period " + arrayList.size());
                        }
                    }
                    mVar = mVar2;
                }
                if (c0.d(xmlPullParser, "MPD")) {
                }
            } else if (!z2) {
                str2 = y(xmlPullParser, str2);
                mVar = mVar2;
                z2 = true;
                if (c0.d(xmlPullParser, "MPD")) {
                    if (G == C.f7870b) {
                        if (j2 != C.f7870b) {
                            G = j2;
                        } else if (!z) {
                            throw new ParserException("Unable to determine duration of static manifest.");
                        }
                    }
                    if (!arrayList.isEmpty()) {
                        return f(D, G, G2, z, G3, G4, G5, D2, mVar, uri, arrayList);
                    }
                    throw new ParserException("No periods found.");
                }
                mVar2 = mVar;
            }
            mVar = mVar2;
            str2 = str2;
            j2 = j2;
            if (c0.d(xmlPullParser, "MPD")) {
            }
        }
    }

    /* access modifiers changed from: protected */
    public Pair<f, Long> Q(XmlPullParser xmlPullParser, String str, long j) throws XmlPullParserException, IOException {
        String attributeValue = xmlPullParser.getAttributeValue(null, "id");
        long G = G(xmlPullParser, "start", j);
        long G2 = G(xmlPullParser, w.h.f1707b, C.f7870b);
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        boolean z = false;
        j jVar = null;
        do {
            xmlPullParser.next();
            if (c0.f(xmlPullParser, "BaseURL")) {
                if (!z) {
                    str = y(xmlPullParser, str);
                    z = true;
                }
            } else if (c0.f(xmlPullParser, "AdaptationSet")) {
                arrayList.add(v(xmlPullParser, str, jVar));
            } else if (c0.f(xmlPullParser, "EventStream")) {
                arrayList2.add(K(xmlPullParser));
            } else if (c0.f(xmlPullParser, "SegmentBase")) {
                jVar = U(xmlPullParser, null);
            } else if (c0.f(xmlPullParser, "SegmentList")) {
                jVar = V(xmlPullParser, null);
            } else if (c0.f(xmlPullParser, "SegmentTemplate")) {
                jVar = W(xmlPullParser, null);
            }
        } while (!c0.d(xmlPullParser, "Period"));
        return Pair.create(g(attributeValue, G, arrayList, arrayList2), Long.valueOf(G2));
    }

    /* access modifiers changed from: protected */
    public g R(XmlPullParser xmlPullParser, String str, String str2) {
        long j;
        long j2;
        String attributeValue = xmlPullParser.getAttributeValue(null, str);
        String attributeValue2 = xmlPullParser.getAttributeValue(null, str2);
        if (attributeValue2 != null) {
            String[] split = attributeValue2.split(f.f14027b);
            j2 = Long.parseLong(split[0]);
            if (split.length == 2) {
                j = (Long.parseLong(split[1]) - j2) + 1;
                return h(attributeValue, j2, j);
            }
        } else {
            j2 = 0;
        }
        j = -1;
        return h(attributeValue, j2, j);
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x0154 A[LOOP:0: B:1:0x005a->B:43:0x0154, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x011a A[EDGE_INSN: B:44:0x011a->B:37:0x011a ?: BREAK  , SYNTHETIC] */
    public a S(XmlPullParser xmlPullParser, String str, String str2, String str3, int i, int i2, float f2, int i3, int i4, String str4, int i5, List<d> list, j jVar) throws XmlPullParserException, IOException {
        String str5;
        j jVar2;
        String str6;
        boolean z;
        j jVar3;
        String str7;
        j W;
        String attributeValue = xmlPullParser.getAttributeValue(null, "id");
        int N = N(xmlPullParser, "bandwidth", -1);
        String Z = Z(xmlPullParser, "mimeType", str2);
        String Z2 = Z(xmlPullParser, "codecs", str3);
        int N2 = N(xmlPullParser, "width", i);
        int N3 = N(xmlPullParser, "height", i2);
        float L = L(xmlPullParser, f2);
        int N4 = N(xmlPullParser, "audioSamplingRate", i4);
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        int i6 = i3;
        j jVar4 = jVar;
        String str8 = null;
        boolean z2 = false;
        String str9 = str;
        while (true) {
            xmlPullParser.next();
            if (c0.f(xmlPullParser, "BaseURL")) {
                if (!z2) {
                    i6 = i6;
                    jVar2 = jVar4;
                    str5 = str8;
                    str6 = y(xmlPullParser, str9);
                    z = true;
                    if (!c0.d(xmlPullParser, "Representation")) {
                        break;
                    }
                    jVar4 = jVar2;
                    z2 = z;
                    str9 = str6;
                    str8 = str5;
                } else {
                    str7 = str9;
                }
            } else if (c0.f(xmlPullParser, "AudioChannelConfiguration")) {
                i6 = x(xmlPullParser);
                str5 = str8;
                str6 = str9;
                z = z2;
                jVar2 = jVar4;
                if (!c0.d(xmlPullParser, "Representation")) {
                }
            } else {
                if (c0.f(xmlPullParser, "SegmentBase")) {
                    W = U(xmlPullParser, (j.e) jVar4);
                } else if (c0.f(xmlPullParser, "SegmentList")) {
                    W = V(xmlPullParser, (j.b) jVar4);
                } else if (c0.f(xmlPullParser, "SegmentTemplate")) {
                    W = W(xmlPullParser, (j.c) jVar4);
                } else if (c0.f(xmlPullParser, "ContentProtection")) {
                    Pair<String, DrmInitData.SchemeData> B = B(xmlPullParser);
                    str7 = str9;
                    Object obj = B.first;
                    if (obj != null) {
                        str8 = (String) obj;
                    }
                    Object obj2 = B.second;
                    if (obj2 != null) {
                        arrayList.add(obj2);
                    }
                } else {
                    str7 = str9;
                    if (c0.f(xmlPullParser, "InbandEventStream")) {
                        arrayList2.add(E(xmlPullParser, "InbandEventStream"));
                    } else if (c0.f(xmlPullParser, "SupplementalProperty")) {
                        arrayList3.add(E(xmlPullParser, "SupplementalProperty"));
                    }
                }
                str5 = str8;
                str6 = str9;
                z = z2;
                jVar2 = W;
                i6 = i6;
                if (!c0.d(xmlPullParser, "Representation")) {
                }
            }
            i6 = i6;
            str5 = str8;
            z = z2;
            str6 = str7;
            jVar2 = jVar4;
            if (!c0.d(xmlPullParser, "Representation")) {
            }
        }
        Format e2 = e(attributeValue, Z, N2, N3, L, i6, N4, N, str4, i5, list, Z2, arrayList3);
        if (jVar2 != null) {
            jVar3 = jVar2;
        } else {
            jVar3 = new j.e();
        }
        return new a(e2, str6, jVar3, str5, arrayList, arrayList2, -1);
    }

    /* access modifiers changed from: protected */
    public int T(XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
        String Z = Z(xmlPullParser, "schemeIdUri", null);
        String Z2 = Z(xmlPullParser, "value", null);
        do {
            xmlPullParser.next();
        } while (!c0.d(xmlPullParser, "Role"));
        return (!"urn:mpeg:dash:role:2011".equals(Z) || !"main".equals(Z2)) ? 0 : 1;
    }

    /* access modifiers changed from: protected */
    public j.e U(XmlPullParser xmlPullParser, j.e eVar) throws XmlPullParserException, IOException {
        long j;
        long j2;
        long O = O(xmlPullParser, "timescale", eVar != null ? eVar.f8897b : 1);
        long j3 = 0;
        long O2 = O(xmlPullParser, "presentationTimeOffset", eVar != null ? eVar.f8898c : 0);
        long j4 = eVar != null ? eVar.f8903d : 0;
        if (eVar != null) {
            j3 = eVar.f8904e;
        }
        g gVar = null;
        String attributeValue = xmlPullParser.getAttributeValue(null, "indexRange");
        if (attributeValue != null) {
            String[] split = attributeValue.split(f.f14027b);
            long parseLong = Long.parseLong(split[0]);
            j = (Long.parseLong(split[1]) - parseLong) + 1;
            j2 = parseLong;
        } else {
            j = j3;
            j2 = j4;
        }
        if (eVar != null) {
            gVar = eVar.f8896a;
        }
        do {
            xmlPullParser.next();
            if (c0.f(xmlPullParser, "Initialization")) {
                gVar = M(xmlPullParser);
            }
        } while (!c0.d(xmlPullParser, "SegmentBase"));
        return m(gVar, O, O2, j2, j);
    }

    /* access modifiers changed from: protected */
    public j.b V(XmlPullParser xmlPullParser, j.b bVar) throws XmlPullParserException, IOException {
        long j = 1;
        long O = O(xmlPullParser, "timescale", bVar != null ? bVar.f8897b : 1);
        long O2 = O(xmlPullParser, "presentationTimeOffset", bVar != null ? bVar.f8898c : 0);
        long O3 = O(xmlPullParser, w.h.f1707b, bVar != null ? bVar.f8900e : C.f7870b);
        if (bVar != null) {
            j = bVar.f8899d;
        }
        long O4 = O(xmlPullParser, "startNumber", j);
        List<g> list = null;
        g gVar = null;
        List<j.d> list2 = null;
        do {
            xmlPullParser.next();
            if (c0.f(xmlPullParser, "Initialization")) {
                gVar = M(xmlPullParser);
            } else if (c0.f(xmlPullParser, "SegmentTimeline")) {
                list2 = X(xmlPullParser);
            } else if (c0.f(xmlPullParser, "SegmentURL")) {
                if (list == null) {
                    list = new ArrayList<>();
                }
                list.add(Y(xmlPullParser));
            }
        } while (!c0.d(xmlPullParser, "SegmentList"));
        if (bVar != null) {
            if (gVar == null) {
                gVar = bVar.f8896a;
            }
            if (list2 == null) {
                list2 = bVar.f;
            }
            if (list == null) {
                list = bVar.g;
            }
        }
        return j(gVar, O, O2, O4, O3, list2, list);
    }

    /* access modifiers changed from: protected */
    public j.c W(XmlPullParser xmlPullParser, j.c cVar) throws XmlPullParserException, IOException {
        long j = 1;
        long O = O(xmlPullParser, "timescale", cVar != null ? cVar.f8897b : 1);
        long O2 = O(xmlPullParser, "presentationTimeOffset", cVar != null ? cVar.f8898c : 0);
        long O3 = O(xmlPullParser, w.h.f1707b, cVar != null ? cVar.f8900e : C.f7870b);
        if (cVar != null) {
            j = cVar.f8899d;
        }
        long O4 = O(xmlPullParser, "startNumber", j);
        g gVar = null;
        l a0 = a0(xmlPullParser, "media", cVar != null ? cVar.h : null);
        l a02 = a0(xmlPullParser, "initialization", cVar != null ? cVar.g : null);
        List<j.d> list = null;
        do {
            xmlPullParser.next();
            if (c0.f(xmlPullParser, "Initialization")) {
                gVar = M(xmlPullParser);
            } else if (c0.f(xmlPullParser, "SegmentTimeline")) {
                list = X(xmlPullParser);
            }
        } while (!c0.d(xmlPullParser, "SegmentTemplate"));
        if (cVar != null) {
            if (gVar == null) {
                gVar = cVar.f8896a;
            }
            if (list == null) {
                list = cVar.f;
            }
        }
        return k(gVar, O, O2, O4, O3, list, a02, a0);
    }

    /* access modifiers changed from: protected */
    public List<j.d> X(XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
        ArrayList arrayList = new ArrayList();
        long j = 0;
        do {
            xmlPullParser.next();
            if (c0.f(xmlPullParser, ExifInterface.w4)) {
                j = O(xmlPullParser, "t", j);
                long O = O(xmlPullParser, DateFormat.DAY, C.f7870b);
                int N = N(xmlPullParser, "r", 0) + 1;
                for (int i = 0; i < N; i++) {
                    arrayList.add(l(j, O));
                    j += O;
                }
            }
        } while (!c0.d(xmlPullParser, "SegmentTimeline"));
        return arrayList;
    }

    /* access modifiers changed from: protected */
    public g Y(XmlPullParser xmlPullParser) {
        return R(xmlPullParser, "media", "mediaRange");
    }

    /* access modifiers changed from: protected */
    public l a0(XmlPullParser xmlPullParser, String str, l lVar) {
        String attributeValue = xmlPullParser.getAttributeValue(null, str);
        return attributeValue != null ? l.b(attributeValue) : lVar;
    }

    /* access modifiers changed from: protected */
    public a b(int i, int i2, List<h> list, List<d> list2, List<d> list3) {
        return new a(i, i2, list, list2, list3);
    }

    /* access modifiers changed from: protected */
    public m b0(XmlPullParser xmlPullParser) {
        return n(xmlPullParser.getAttributeValue(null, "schemeIdUri"), xmlPullParser.getAttributeValue(null, "value"));
    }

    /* access modifiers changed from: protected */
    public EventMessage c(String str, String str2, long j, long j2, byte[] bArr, long j3) {
        return new EventMessage(str, str2, j2, j, bArr, j3);
    }

    /* access modifiers changed from: protected */
    public e d(String str, String str2, long j, long[] jArr, EventMessage[] eventMessageArr) {
        return new e(str, str2, j, jArr, eventMessageArr);
    }

    /* access modifiers changed from: protected */
    public Format e(String str, String str2, int i, int i2, float f2, int i3, int i4, int i5, String str3, int i6, List<d> list, String str4, List<d> list2) {
        String str5;
        int i7;
        int A;
        String s = s(str2, str4);
        if (s != null) {
            if (n.A.equals(s)) {
                s = H(list2);
            }
            str5 = s;
            if (n.n(str5)) {
                return Format.x(str, str2, str5, str4, i5, i, i2, f2, null, i6);
            }
            if (n.l(str5)) {
                return Format.i(str, str2, str5, str4, i5, i3, i4, null, i6, str3);
            }
            if (t(str5)) {
                if (n.W.equals(str5)) {
                    A = z(list);
                } else if (n.X.equals(str5)) {
                    A = A(list);
                } else {
                    i7 = -1;
                    return Format.r(str, str2, str5, str4, i5, i6, str3, i7);
                }
                i7 = A;
                return Format.r(str, str2, str5, str4, i5, i6, str3, i7);
            }
        } else {
            str5 = s;
        }
        return Format.m(str, str2, str5, str4, i5, i6, str3);
    }

    /* access modifiers changed from: protected */
    public b f(long j, long j2, long j3, boolean z, long j4, long j5, long j6, long j7, m mVar, Uri uri, List<f> list) {
        return new b(j, j2, j3, z, j4, j5, j6, j7, mVar, uri, list);
    }

    /* access modifiers changed from: protected */
    public f g(String str, long j, List<a> list, List<e> list2) {
        return new f(str, j, list, list2);
    }

    /* access modifiers changed from: protected */
    public g h(String str, long j, long j2) {
        return new g(str, j, j2);
    }

    /* access modifiers changed from: protected */
    public h i(a aVar, String str, String str2, ArrayList<DrmInitData.SchemeData> arrayList, ArrayList<d> arrayList2) {
        Format format = aVar.f8869a;
        String str3 = aVar.f8872d;
        if (str3 != null) {
            str2 = str3;
        }
        ArrayList<DrmInitData.SchemeData> arrayList3 = aVar.f8873e;
        arrayList3.addAll(arrayList);
        if (!arrayList3.isEmpty()) {
            q(arrayList3);
            format = format.b(new DrmInitData(str2, arrayList3));
        }
        ArrayList<d> arrayList4 = aVar.f;
        arrayList4.addAll(arrayList2);
        return h.m(str, aVar.g, format, aVar.f8870b, aVar.f8871c, arrayList4);
    }

    /* access modifiers changed from: protected */
    public j.b j(g gVar, long j, long j2, long j3, long j4, List<j.d> list, List<g> list2) {
        return new j.b(gVar, j, j2, j3, j4, list, list2);
    }

    /* access modifiers changed from: protected */
    public j.c k(g gVar, long j, long j2, long j3, long j4, List<j.d> list, l lVar, l lVar2) {
        return new j.c(gVar, j, j2, j3, j4, list, lVar, lVar2);
    }

    /* access modifiers changed from: protected */
    public j.d l(long j, long j2) {
        return new j.d(j, j2);
    }

    /* access modifiers changed from: protected */
    public j.e m(g gVar, long j, long j2, long j3, long j4) {
        return new j.e(gVar, j, j2, j3, j4);
    }

    /* access modifiers changed from: protected */
    public m n(String str, String str2) {
        return new m(str, str2);
    }

    /* access modifiers changed from: protected */
    public int r(Format format) {
        String str = format.N0;
        if (TextUtils.isEmpty(str)) {
            return -1;
        }
        if (n.n(str)) {
            return 2;
        }
        if (n.l(str)) {
            return 1;
        }
        if (t(str)) {
            return 3;
        }
        return -1;
    }

    /* renamed from: u */
    public b a(Uri uri, InputStream inputStream) throws IOException {
        try {
            XmlPullParser newPullParser = this.f.newPullParser();
            newPullParser.setInput(inputStream, null);
            if (newPullParser.next() == 2 && "MPD".equals(newPullParser.getName())) {
                return P(newPullParser, uri.toString());
            }
            throw new ParserException("inputStream does not contain a valid media presentation description");
        } catch (XmlPullParserException e2) {
            throw new ParserException(e2);
        }
    }

    /* JADX WARN: Type inference failed for: r0v53, types: [java.lang.Object] */
    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x0227 A[LOOP:0: B:1:0x0063->B:59:0x0227, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x01ee A[EDGE_INSN: B:60:0x01ee->B:53:0x01ee ?: BREAK  , SYNTHETIC] */
    /* JADX WARNING: Unknown variable types count: 1 */
    public a v(XmlPullParser xmlPullParser, String str, j jVar) throws XmlPullParserException, IOException {
        String str2;
        String str3;
        ArrayList<DrmInitData.SchemeData> arrayList;
        ArrayList arrayList2;
        ArrayList arrayList3;
        String str4;
        int i;
        ArrayList<d> arrayList4;
        ArrayList arrayList5;
        XmlPullParser xmlPullParser2;
        String str5;
        int i2;
        j W;
        XmlPullParser xmlPullParser3 = xmlPullParser;
        int N = N(xmlPullParser3, "id", -1);
        int C = C(xmlPullParser);
        String str6 = null;
        String attributeValue = xmlPullParser3.getAttributeValue(null, "mimeType");
        String attributeValue2 = xmlPullParser3.getAttributeValue(null, "codecs");
        int N2 = N(xmlPullParser3, "width", -1);
        int N3 = N(xmlPullParser3, "height", -1);
        float L = L(xmlPullParser3, -1.0f);
        int N4 = N(xmlPullParser3, "audioSamplingRate", -1);
        String str7 = "lang";
        String attributeValue3 = xmlPullParser3.getAttributeValue(null, str7);
        ArrayList<DrmInitData.SchemeData> arrayList6 = new ArrayList<>();
        ArrayList<d> arrayList7 = new ArrayList<>();
        ArrayList arrayList8 = new ArrayList();
        ArrayList arrayList9 = new ArrayList();
        ArrayList arrayList10 = new ArrayList();
        String str8 = str;
        j jVar2 = jVar;
        int i3 = C;
        String str9 = attributeValue3;
        String str10 = null;
        int i4 = -1;
        boolean z = false;
        int i5 = 0;
        while (true) {
            xmlPullParser.next();
            if (c0.f(xmlPullParser3, "BaseURL")) {
                if (!z) {
                    z = true;
                    str4 = y(xmlPullParser3, str8);
                }
                str5 = str9;
                i2 = i3;
                str4 = str8;
                arrayList5 = arrayList10;
                arrayList3 = arrayList9;
                arrayList2 = arrayList8;
                arrayList4 = arrayList7;
                arrayList = arrayList6;
                str3 = str7;
                str2 = str6;
                xmlPullParser2 = xmlPullParser3;
                i = i2;
                str9 = str5;
                if (c0.d(xmlPullParser2, "AdaptationSet")) {
                    break;
                }
                xmlPullParser3 = xmlPullParser2;
                arrayList7 = arrayList4;
                i3 = i;
                arrayList9 = arrayList3;
                arrayList8 = arrayList2;
                arrayList6 = arrayList;
                str7 = str3;
                str6 = str2;
                arrayList10 = arrayList5;
                str8 = str4;
            } else {
                if (c0.f(xmlPullParser3, "ContentProtection")) {
                    Pair<String, DrmInitData.SchemeData> B = B(xmlPullParser);
                    Object obj = B.first;
                    if (obj != null) {
                        str10 = (String) obj;
                    }
                    ?? r0 = B.second;
                    if (r0 != 0) {
                        arrayList6.add(r0);
                    }
                } else {
                    if (c0.f(xmlPullParser3, "ContentComponent")) {
                        str9 = p(str9, xmlPullParser3.getAttributeValue(str6, str7));
                        str4 = str8;
                        arrayList5 = arrayList10;
                        arrayList3 = arrayList9;
                        arrayList2 = arrayList8;
                        arrayList4 = arrayList7;
                        arrayList = arrayList6;
                        str3 = str7;
                        str2 = str6;
                        i = o(i3, C(xmlPullParser));
                        xmlPullParser2 = xmlPullParser3;
                    } else if (c0.f(xmlPullParser3, "Role")) {
                        i5 |= T(xmlPullParser);
                    } else if (c0.f(xmlPullParser3, "AudioChannelConfiguration")) {
                        i4 = x(xmlPullParser);
                    } else {
                        if (c0.f(xmlPullParser3, "Accessibility")) {
                            arrayList8.add(E(xmlPullParser3, "Accessibility"));
                        } else if (c0.f(xmlPullParser3, "SupplementalProperty")) {
                            arrayList9.add(E(xmlPullParser3, "SupplementalProperty"));
                        } else if (c0.f(xmlPullParser3, "Representation")) {
                            str4 = str8;
                            arrayList3 = arrayList9;
                            arrayList2 = arrayList8;
                            arrayList = arrayList6;
                            str3 = str7;
                            str2 = str6;
                            a S = S(xmlPullParser, str8, attributeValue, attributeValue2, N2, N3, L, i4, N4, str9, i5, arrayList2, jVar2);
                            int o = o(i3, r(S.f8869a));
                            arrayList5 = arrayList10;
                            arrayList5.add(S);
                            i = o;
                            str9 = str9;
                            arrayList4 = arrayList7;
                            xmlPullParser2 = xmlPullParser;
                        } else {
                            str5 = str9;
                            str4 = str8;
                            arrayList5 = arrayList10;
                            arrayList3 = arrayList9;
                            arrayList2 = arrayList8;
                            arrayList = arrayList6;
                            str3 = str7;
                            str2 = str6;
                            xmlPullParser2 = xmlPullParser;
                            i2 = i3;
                            if (c0.f(xmlPullParser2, "SegmentBase")) {
                                W = U(xmlPullParser2, (j.e) jVar2);
                            } else if (c0.f(xmlPullParser2, "SegmentList")) {
                                W = V(xmlPullParser2, (j.b) jVar2);
                            } else if (c0.f(xmlPullParser2, "SegmentTemplate")) {
                                W = W(xmlPullParser2, (j.c) jVar2);
                            } else {
                                if (c0.f(xmlPullParser2, "InbandEventStream")) {
                                    arrayList4 = arrayList7;
                                    arrayList4.add(E(xmlPullParser2, "InbandEventStream"));
                                } else {
                                    arrayList4 = arrayList7;
                                    if (c0.e(xmlPullParser)) {
                                        w(xmlPullParser);
                                    }
                                }
                                i = i2;
                                str9 = str5;
                            }
                            jVar2 = W;
                            i = i2;
                            str9 = str5;
                            arrayList4 = arrayList7;
                        }
                        str5 = str9;
                        i2 = i3;
                        str4 = str8;
                        arrayList5 = arrayList10;
                        arrayList3 = arrayList9;
                        arrayList2 = arrayList8;
                        arrayList4 = arrayList7;
                        arrayList = arrayList6;
                        str3 = str7;
                        str2 = str6;
                        xmlPullParser2 = xmlPullParser3;
                        i = i2;
                        str9 = str5;
                    }
                    if (c0.d(xmlPullParser2, "AdaptationSet")) {
                    }
                }
                str4 = str8;
            }
            arrayList5 = arrayList10;
            arrayList3 = arrayList9;
            arrayList2 = arrayList8;
            arrayList4 = arrayList7;
            arrayList = arrayList6;
            str3 = str7;
            str2 = str6;
            xmlPullParser2 = xmlPullParser3;
            i = i3;
            if (c0.d(xmlPullParser2, "AdaptationSet")) {
            }
        }
        ArrayList arrayList11 = new ArrayList(arrayList5.size());
        for (int i6 = 0; i6 < arrayList5.size(); i6++) {
            arrayList11.add(i((a) arrayList5.get(i6), this.f8868e, str10, arrayList, arrayList4));
        }
        return b(N, i, arrayList11, arrayList2, arrayList3);
    }

    /* access modifiers changed from: protected */
    public void w(XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
    }

    /* access modifiers changed from: protected */
    public int x(XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
        String Z = Z(xmlPullParser, "schemeIdUri", null);
        int i = -1;
        if ("urn:mpeg:dash:23003:3:audio_channel_configuration:2011".equals(Z)) {
            i = N(xmlPullParser, "value", -1);
        } else if ("tag:dolby.com,2014:dash:audio_channel_configuration:2011".equals(Z)) {
            i = F(xmlPullParser);
        }
        do {
            xmlPullParser.next();
        } while (!c0.d(xmlPullParser, "AudioChannelConfiguration"));
        return i;
    }

    public c(String str) {
        this.f8868e = str;
        try {
            this.f = XmlPullParserFactory.newInstance();
        } catch (XmlPullParserException e2) {
            throw new RuntimeException("Couldn't create XmlPullParserFactory instance", e2);
        }
    }
}
