package com.google.android.exoplayer2.source;

import android.os.Handler;
import android.os.Looper;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.ExoPlaybackException;
import com.google.android.exoplayer2.c0;
import com.google.android.exoplayer2.source.s;
import com.google.android.exoplayer2.source.z;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.w;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.HashMap;
import java.util.IdentityHashMap;
import java.util.List;
import java.util.Map;

/* compiled from: ConcatenatingMediaSource */
public class h extends e<f> implements w.b {
    private static final int O0 = 0;
    private static final int P0 = 1;
    private static final int Q0 = 2;
    private static final int R0 = 3;
    private static final int S0 = 4;
    private static final int T0 = 5;
    private static final int U0 = 6;
    private final List<f> V0;
    private final List<f> W0;
    private final f X0;
    private final Map<r, f> Y0;
    private final List<e> Z0;
    private final boolean a1;
    private final c0.c b1;
    private com.google.android.exoplayer2.h c1;
    private boolean d1;
    private z e1;
    private int f1;
    private int g1;

    /* access modifiers changed from: private */
    /* compiled from: ConcatenatingMediaSource */
    public static final class b extends a {

        /* renamed from: e  reason: collision with root package name */
        private final int f8946e;
        private final int f;
        private final int[] g;
        private final int[] h;
        private final c0[] i;
        private final Object[] j;
        private final HashMap<Object, Integer> k = new HashMap<>();

        public b(Collection<f> collection, int i2, int i3, z zVar, boolean z) {
            super(z, zVar);
            this.f8946e = i2;
            this.f = i3;
            int size = collection.size();
            this.g = new int[size];
            this.h = new int[size];
            this.i = new c0[size];
            this.j = new Object[size];
            int i4 = 0;
            for (f fVar : collection) {
                this.i[i4] = fVar.I0;
                this.g[i4] = fVar.L0;
                this.h[i4] = fVar.K0;
                Object[] objArr = this.j;
                objArr[i4] = fVar.f8953b;
                this.k.put(objArr[i4], Integer.valueOf(i4));
                i4++;
            }
        }

        @Override // com.google.android.exoplayer2.c0
        public int h() {
            return this.f;
        }

        @Override // com.google.android.exoplayer2.c0
        public int o() {
            return this.f8946e;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.exoplayer2.source.a
        public int r(Object obj) {
            Integer num = this.k.get(obj);
            if (num == null) {
                return -1;
            }
            return num.intValue();
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.exoplayer2.source.a
        public int s(int i2) {
            return b0.f(this.g, i2 + 1, false, false);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.exoplayer2.source.a
        public int t(int i2) {
            return b0.f(this.h, i2 + 1, false, false);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.exoplayer2.source.a
        public Object u(int i2) {
            return this.j[i2];
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.exoplayer2.source.a
        public int v(int i2) {
            return this.g[i2];
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.exoplayer2.source.a
        public int w(int i2) {
            return this.h[i2];
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.exoplayer2.source.a
        public c0 z(int i2) {
            return this.i[i2];
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ConcatenatingMediaSource */
    public static final class c extends p {

        /* renamed from: c  reason: collision with root package name */
        private static final Object f8947c = new Object();

        /* renamed from: d  reason: collision with root package name */
        private static final c0.b f8948d = new c0.b();

        /* renamed from: e  reason: collision with root package name */
        private static final d f8949e = new d();
        private final Object f;

        public c() {
            this(f8949e, null);
        }

        @Override // com.google.android.exoplayer2.c0, com.google.android.exoplayer2.source.p
        public int b(Object obj) {
            c0 c0Var = this.f9050b;
            if (f8947c.equals(obj)) {
                obj = this.f;
            }
            return c0Var.b(obj);
        }

        @Override // com.google.android.exoplayer2.c0, com.google.android.exoplayer2.source.p
        public c0.b g(int i, c0.b bVar, boolean z) {
            this.f9050b.g(i, bVar, z);
            if (b0.b(bVar.f8004b, this.f)) {
                bVar.f8004b = f8947c;
            }
            return bVar;
        }

        public c r(c0 c0Var) {
            return new c(c0Var, (this.f != null || c0Var.h() <= 0) ? this.f : c0Var.g(0, f8948d, true).f8004b);
        }

        public c0 s() {
            return this.f9050b;
        }

        private c(c0 c0Var, Object obj) {
            super(c0Var);
            this.f = obj;
        }
    }

    /* compiled from: ConcatenatingMediaSource */
    private static final class d extends c0 {
        private d() {
        }

        @Override // com.google.android.exoplayer2.c0
        public int b(Object obj) {
            return obj == null ? 0 : -1;
        }

        @Override // com.google.android.exoplayer2.c0
        public c0.b g(int i, c0.b bVar, boolean z) {
            return bVar.p(null, null, 0, C.f7870b, 0);
        }

        @Override // com.google.android.exoplayer2.c0
        public int h() {
            return 1;
        }

        @Override // com.google.android.exoplayer2.c0
        public c0.c n(int i, c0.c cVar, boolean z, long j) {
            long j2 = 0;
            if (j > 0) {
                j2 = C.f7870b;
            }
            return cVar.g(null, C.f7870b, C.f7870b, false, true, j2, C.f7870b, 0, 0, 0);
        }

        @Override // com.google.android.exoplayer2.c0
        public int o() {
            return 1;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ConcatenatingMediaSource */
    public static final class e {

        /* renamed from: a  reason: collision with root package name */
        public final Handler f8950a;

        /* renamed from: b  reason: collision with root package name */
        public final Runnable f8951b;

        public e(Runnable runnable) {
            this.f8951b = runnable;
            this.f8950a = new Handler(Looper.myLooper() != null ? Looper.myLooper() : Looper.getMainLooper());
        }

        public void a() {
            this.f8950a.post(this.f8951b);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ConcatenatingMediaSource */
    public static final class f implements Comparable<f> {
        public c I0 = new c();
        public int J0;
        public int K0;
        public int L0;
        public boolean M0;
        public boolean N0;
        public List<k> O0 = new ArrayList();

        /* renamed from: a  reason: collision with root package name */
        public final s f8952a;

        /* renamed from: b  reason: collision with root package name */
        public final Object f8953b = new Object();

        public f(s sVar) {
            this.f8952a = sVar;
        }

        /* renamed from: a */
        public int compareTo(@NonNull f fVar) {
            return this.L0 - fVar.L0;
        }

        public void b(int i, int i2, int i3) {
            this.J0 = i;
            this.K0 = i2;
            this.L0 = i3;
            this.M0 = false;
            this.N0 = false;
            this.O0.clear();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ConcatenatingMediaSource */
    public static final class g<T> {

        /* renamed from: a  reason: collision with root package name */
        public final int f8954a;

        /* renamed from: b  reason: collision with root package name */
        public final T f8955b;
        @Nullable

        /* renamed from: c  reason: collision with root package name */
        public final e f8956c;

        public g(int i, T t, @Nullable Runnable runnable) {
            this.f8954a = i;
            this.f8956c = runnable != null ? new e(runnable) : null;
            this.f8955b = t;
        }
    }

    public h() {
        this(false, (z) new z.a(0));
    }

    private void R(int i, f fVar) {
        if (i > 0) {
            f fVar2 = this.W0.get(i - 1);
            fVar.b(i, fVar2.K0 + fVar2.I0.o(), fVar2.L0 + fVar2.I0.h());
        } else {
            fVar.b(i, 0, 0);
        }
        a0(i, 1, fVar.I0.o(), fVar.I0.h());
        this.W0.add(i, fVar);
        L(fVar, fVar.f8952a);
    }

    private void W(int i, Collection<f> collection) {
        for (f fVar : collection) {
            R(i, fVar);
            i++;
        }
    }

    private void Z() {
        for (int size = this.W0.size() - 1; size >= 0; size--) {
            n0(size);
        }
    }

    private void a0(int i, int i2, int i3, int i4) {
        this.f1 += i3;
        this.g1 += i4;
        while (i < this.W0.size()) {
            this.W0.get(i).J0 += i2;
            this.W0.get(i).K0 += i3;
            this.W0.get(i).L0 += i4;
            i++;
        }
    }

    private int b0(int i) {
        f fVar = this.X0;
        fVar.L0 = i;
        int binarySearch = Collections.binarySearch(this.W0, fVar);
        if (binarySearch < 0) {
            return (-binarySearch) - 2;
        }
        while (binarySearch < this.W0.size() - 1) {
            int i2 = binarySearch + 1;
            if (this.W0.get(i2).L0 != i) {
                break;
            }
            binarySearch = i2;
        }
        return binarySearch;
    }

    private void i0(int i, int i2) {
        int min = Math.min(i, i2);
        int max = Math.max(i, i2);
        int i3 = this.W0.get(min).K0;
        int i4 = this.W0.get(min).L0;
        List<f> list = this.W0;
        list.add(i2, list.remove(i));
        while (min <= max) {
            f fVar = this.W0.get(min);
            fVar.K0 = i3;
            fVar.L0 = i4;
            i3 += fVar.I0.o();
            i4 += fVar.I0.h();
            min++;
        }
    }

    private void j0() {
        this.d1 = false;
        List emptyList = this.Z0.isEmpty() ? Collections.emptyList() : new ArrayList(this.Z0);
        this.Z0.clear();
        F(new b(this.W0, this.f1, this.g1, this.e1, this.a1), null);
        if (!emptyList.isEmpty()) {
            this.c1.X(this).s(6).p(emptyList).m();
        }
    }

    private void n0(int i) {
        f remove = this.W0.remove(i);
        c cVar = remove.I0;
        a0(i, -1, -cVar.o(), -cVar.h());
        remove.N0 = true;
        if (remove.O0.isEmpty()) {
            M(remove);
        }
    }

    private void o0(@Nullable e eVar) {
        if (!this.d1) {
            this.c1.X(this).s(5).m();
            this.d1 = true;
        }
        if (eVar != null) {
            this.Z0.add(eVar);
        }
    }

    private void p0(f fVar, c0 c0Var) {
        if (fVar != null) {
            c cVar = fVar.I0;
            if (cVar.s() != c0Var) {
                int o = c0Var.o() - cVar.o();
                int h = c0Var.h() - cVar.h();
                if (!(o == 0 && h == 0)) {
                    a0(fVar.J0 + 1, 0, o, h);
                }
                fVar.I0 = cVar.r(c0Var);
                if (!fVar.M0 && !c0Var.p()) {
                    c0Var.l(0, this.b1);
                    long f2 = this.b1.f() + this.b1.b();
                    for (int i = 0; i < fVar.O0.size(); i++) {
                        k kVar = fVar.O0.get(i);
                        kVar.p(f2);
                        kVar.g();
                    }
                    fVar.M0 = true;
                }
                o0(null);
                return;
            }
            return;
        }
        throw new IllegalArgumentException();
    }

    @Override // com.google.android.exoplayer2.source.e, com.google.android.exoplayer2.source.c
    public final synchronized void E(com.google.android.exoplayer2.h hVar, boolean z) {
        super.E(hVar, z);
        this.c1 = hVar;
        if (this.V0.isEmpty()) {
            j0();
        } else {
            this.e1 = this.e1.f(0, this.V0.size());
            W(0, this.V0);
            o0(null);
        }
    }

    @Override // com.google.android.exoplayer2.source.e, com.google.android.exoplayer2.source.c
    public final void G() {
        super.G();
        this.W0.clear();
        this.c1 = null;
        this.e1 = this.e1.h();
        this.f1 = 0;
        this.g1 = 0;
    }

    public final synchronized void N(int i, s sVar) {
        O(i, sVar, null);
    }

    public final synchronized void O(int i, s sVar, @Nullable Runnable runnable) {
        com.google.android.exoplayer2.util.a.g(sVar);
        f fVar = new f(sVar);
        this.V0.add(i, fVar);
        com.google.android.exoplayer2.h hVar = this.c1;
        if (hVar != null) {
            hVar.X(this).s(0).p(new g(i, fVar, runnable)).m();
        } else if (runnable != null) {
            runnable.run();
        }
    }

    public final synchronized void P(s sVar) {
        O(this.V0.size(), sVar, null);
    }

    public final synchronized void Q(s sVar, @Nullable Runnable runnable) {
        O(this.V0.size(), sVar, runnable);
    }

    public final synchronized void S(int i, Collection<s> collection) {
        T(i, collection, null);
    }

    public final synchronized void T(int i, Collection<s> collection, @Nullable Runnable runnable) {
        for (s sVar : collection) {
            com.google.android.exoplayer2.util.a.g(sVar);
        }
        ArrayList arrayList = new ArrayList(collection.size());
        for (s sVar2 : collection) {
            arrayList.add(new f(sVar2));
        }
        this.V0.addAll(i, arrayList);
        if (this.c1 != null && !collection.isEmpty()) {
            this.c1.X(this).s(1).p(new g(i, arrayList, runnable)).m();
        } else if (runnable != null) {
            runnable.run();
        }
    }

    public final synchronized void U(Collection<s> collection) {
        T(this.V0.size(), collection, null);
    }

    public final synchronized void V(Collection<s> collection, @Nullable Runnable runnable) {
        T(this.V0.size(), collection, runnable);
    }

    public final synchronized void X() {
        Y(null);
    }

    public final synchronized void Y(@Nullable Runnable runnable) {
        this.V0.clear();
        com.google.android.exoplayer2.h hVar = this.c1;
        if (hVar != null) {
            hVar.X(this).s(4).p(runnable != null ? new e(runnable) : null).m();
        } else if (runnable != null) {
            runnable.run();
        }
    }

    /* access modifiers changed from: protected */
    @Nullable
    /* renamed from: c0 */
    public s.a H(f fVar, s.a aVar) {
        for (int i = 0; i < fVar.O0.size(); i++) {
            if (fVar.O0.get(i).f9029b.f9055d == aVar.f9055d) {
                return aVar.a(aVar.f9052a + fVar.L0);
            }
        }
        return null;
    }

    public final synchronized s d0(int i) {
        return this.V0.get(i).f8952a;
    }

    public final synchronized int e0() {
        return this.V0.size();
    }

    /* access modifiers changed from: protected */
    /* renamed from: f0 */
    public int J(f fVar, int i) {
        return i + fVar.K0;
    }

    public final synchronized void g0(int i, int i2) {
        h0(i, i2, null);
    }

    public final synchronized void h0(int i, int i2, @Nullable Runnable runnable) {
        if (i != i2) {
            List<f> list = this.V0;
            list.add(i2, list.remove(i));
            com.google.android.exoplayer2.h hVar = this.c1;
            if (hVar != null) {
                hVar.X(this).s(3).p(new g(i, Integer.valueOf(i2), runnable)).m();
            } else if (runnable != null) {
                runnable.run();
            }
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: k0 */
    public final void K(f fVar, s sVar, c0 c0Var, @Nullable Object obj) {
        p0(fVar, c0Var);
    }

    public final synchronized void l0(int i) {
        m0(i, null);
    }

    public final synchronized void m0(int i, @Nullable Runnable runnable) {
        this.V0.remove(i);
        com.google.android.exoplayer2.h hVar = this.c1;
        if (hVar != null) {
            hVar.X(this).s(2).p(new g(i, null, runnable)).m();
        } else if (runnable != null) {
            runnable.run();
        }
    }

    @Override // com.google.android.exoplayer2.source.s
    public final r o(s.a aVar, com.google.android.exoplayer2.upstream.b bVar) {
        f fVar = this.W0.get(b0(aVar.f9052a));
        k kVar = new k(fVar.f8952a, aVar.a(aVar.f9052a - fVar.L0), bVar);
        this.Y0.put(kVar, fVar);
        fVar.O0.add(kVar);
        if (fVar.M0) {
            kVar.g();
        }
        return kVar;
    }

    @Override // com.google.android.exoplayer2.source.s
    public final void s(r rVar) {
        f remove = this.Y0.remove(rVar);
        ((k) rVar).o();
        remove.O0.remove(rVar);
        if (remove.O0.isEmpty() && remove.N0) {
            M(remove);
        }
    }

    @Override // com.google.android.exoplayer2.w.b
    public final void t(int i, Object obj) throws ExoPlaybackException {
        switch (i) {
            case 0:
                g gVar = (g) obj;
                this.e1 = this.e1.f(gVar.f8954a, 1);
                R(gVar.f8954a, gVar.f8955b);
                o0(gVar.f8956c);
                return;
            case 1:
                g gVar2 = (g) obj;
                this.e1 = this.e1.f(gVar2.f8954a, gVar2.f8955b.size());
                W(gVar2.f8954a, gVar2.f8955b);
                o0(gVar2.f8956c);
                return;
            case 2:
                g gVar3 = (g) obj;
                this.e1 = this.e1.c(gVar3.f8954a);
                n0(gVar3.f8954a);
                o0(gVar3.f8956c);
                return;
            case 3:
                g gVar4 = (g) obj;
                z c2 = this.e1.c(gVar4.f8954a);
                this.e1 = c2;
                this.e1 = c2.f(gVar4.f8955b.intValue(), 1);
                i0(gVar4.f8954a, gVar4.f8955b.intValue());
                o0(gVar4.f8956c);
                return;
            case 4:
                Z();
                o0((e) obj);
                return;
            case 5:
                j0();
                return;
            case 6:
                List list = (List) obj;
                for (int i2 = 0; i2 < list.size(); i2++) {
                    ((e) list.get(i2)).a();
                }
                return;
            default:
                throw new IllegalStateException();
        }
    }

    public h(boolean z) {
        this(z, new z.a(0));
    }

    public h(boolean z, z zVar) {
        this(z, zVar, new s[0]);
    }

    public h(s... sVarArr) {
        this(false, sVarArr);
    }

    public h(boolean z, s... sVarArr) {
        this(z, new z.a(0), sVarArr);
    }

    public h(boolean z, z zVar, s... sVarArr) {
        for (s sVar : sVarArr) {
            com.google.android.exoplayer2.util.a.g(sVar);
        }
        this.e1 = zVar.a() > 0 ? zVar.h() : zVar;
        this.Y0 = new IdentityHashMap();
        this.V0 = new ArrayList();
        this.W0 = new ArrayList();
        this.Z0 = new ArrayList();
        this.X0 = new f(null);
        this.a1 = z;
        this.b1 = new c0.c();
        U(Arrays.asList(sVarArr));
    }
}
