package com.google.android.exoplayer2.source.hls;

import android.net.Uri;
import android.text.TextUtils;
import android.util.Pair;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.drm.DrmInitData;
import com.google.android.exoplayer2.extractor.mp3.Mp3Extractor;
import com.google.android.exoplayer2.extractor.mp4.FragmentedMp4Extractor;
import com.google.android.exoplayer2.extractor.ts.DefaultTsPayloadReaderFactory;
import com.google.android.exoplayer2.extractor.ts.TsExtractor;
import com.google.android.exoplayer2.extractor.ts.a;
import com.google.android.exoplayer2.extractor.ts.c;
import com.google.android.exoplayer2.g0.e;
import com.google.android.exoplayer2.util.n;
import com.google.android.exoplayer2.util.y;
import java.util.Collections;
import java.util.List;

/* compiled from: DefaultHlsExtractorFactory */
public final class d implements g {

    /* renamed from: b  reason: collision with root package name */
    public static final String f8967b = ".aac";

    /* renamed from: c  reason: collision with root package name */
    public static final String f8968c = ".ac3";

    /* renamed from: d  reason: collision with root package name */
    public static final String f8969d = ".ec3";

    /* renamed from: e  reason: collision with root package name */
    public static final String f8970e = ".mp3";
    public static final String f = ".mp4";
    public static final String g = ".m4";
    public static final String h = ".mp4";
    public static final String i = ".vtt";
    public static final String j = ".webvtt";

    @Override // com.google.android.exoplayer2.source.hls.g
    public Pair<e, Boolean> a(e eVar, Uri uri, Format format, List<Format> list, DrmInitData drmInitData, y yVar) {
        String lastPathSegment = uri.getLastPathSegment();
        if (lastPathSegment == null) {
            lastPathSegment = "";
        }
        boolean z = false;
        if (n.O.equals(format.N0) || lastPathSegment.endsWith(j) || lastPathSegment.endsWith(i)) {
            eVar = new p(format.g1, yVar);
        } else {
            if (lastPathSegment.endsWith(f8967b)) {
                eVar = new c();
            } else if (lastPathSegment.endsWith(f8968c) || lastPathSegment.endsWith(f8969d)) {
                eVar = new a();
            } else if (lastPathSegment.endsWith(f8970e)) {
                eVar = new Mp3Extractor(0, 0);
            } else if (eVar == null) {
                if (lastPathSegment.endsWith(".mp4") || lastPathSegment.startsWith(g, lastPathSegment.length() - 4) || lastPathSegment.startsWith(".mp4", lastPathSegment.length() - 5)) {
                    if (list == null) {
                        list = Collections.emptyList();
                    }
                    eVar = new FragmentedMp4Extractor(0, yVar, null, drmInitData, list);
                } else {
                    int i2 = 16;
                    if (list != null) {
                        i2 = 48;
                    } else {
                        list = Collections.emptyList();
                    }
                    String str = format.K0;
                    if (!TextUtils.isEmpty(str)) {
                        if (!n.r.equals(n.a(str))) {
                            i2 |= 2;
                        }
                        if (!n.h.equals(n.j(str))) {
                            i2 |= 4;
                        }
                    }
                    eVar = new TsExtractor(2, yVar, new DefaultTsPayloadReaderFactory(i2, list));
                }
            }
            z = true;
        }
        return Pair.create(eVar, Boolean.valueOf(z));
    }
}
