package com.google.android.exoplayer2.source.hls;

import android.net.Uri;
import android.os.SystemClock;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.source.BehindLiveWindowException;
import com.google.android.exoplayer2.source.TrackGroup;
import com.google.android.exoplayer2.source.d0.j;
import com.google.android.exoplayer2.source.hls.playlist.HlsMediaPlaylist;
import com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker;
import com.google.android.exoplayer2.source.hls.playlist.b;
import com.google.android.exoplayer2.trackselection.f;
import com.google.android.exoplayer2.upstream.DataSpec;
import com.google.android.exoplayer2.upstream.h;
import com.google.android.exoplayer2.util.a0;
import com.google.android.exoplayer2.util.b0;
import java.io.IOException;
import java.math.BigInteger;
import java.util.Arrays;
import java.util.List;

/* access modifiers changed from: package-private */
/* compiled from: HlsChunkSource */
public class e {

    /* renamed from: a  reason: collision with root package name */
    private final g f8971a;

    /* renamed from: b  reason: collision with root package name */
    private final h f8972b;

    /* renamed from: c  reason: collision with root package name */
    private final h f8973c;

    /* renamed from: d  reason: collision with root package name */
    private final o f8974d;

    /* renamed from: e  reason: collision with root package name */
    private final b.a[] f8975e;
    private final HlsPlaylistTracker f;
    private final TrackGroup g;
    private final List<Format> h;
    private boolean i;
    private byte[] j;
    private IOException k;
    private b.a l;
    private boolean m;
    private Uri n;
    private byte[] o;
    private String p;
    private byte[] q;
    private f r;
    private long s = C.f7870b;
    private boolean t;

    /* access modifiers changed from: private */
    /* compiled from: HlsChunkSource */
    public static final class a extends j {
        public final String m;
        private byte[] n;

        public a(h hVar, DataSpec dataSpec, Format format, int i, Object obj, byte[] bArr, String str) {
            super(hVar, dataSpec, 3, format, i, obj, bArr);
            this.m = str;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.exoplayer2.source.d0.j
        public void e(byte[] bArr, int i) throws IOException {
            this.n = Arrays.copyOf(bArr, i);
        }

        public byte[] h() {
            return this.n;
        }
    }

    /* compiled from: HlsChunkSource */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        public com.google.android.exoplayer2.source.d0.c f8976a;

        /* renamed from: b  reason: collision with root package name */
        public boolean f8977b;

        /* renamed from: c  reason: collision with root package name */
        public b.a f8978c;

        public b() {
            a();
        }

        public void a() {
            this.f8976a = null;
            this.f8977b = false;
            this.f8978c = null;
        }
    }

    /* compiled from: HlsChunkSource */
    private static final class c extends com.google.android.exoplayer2.trackselection.b {
        private int g;

        public c(TrackGroup trackGroup, int[] iArr) {
            super(trackGroup, iArr);
            this.g = i(trackGroup.a(0));
        }

        @Override // com.google.android.exoplayer2.trackselection.f
        public int b() {
            return this.g;
        }

        @Override // com.google.android.exoplayer2.trackselection.f
        public int l() {
            return 0;
        }

        @Override // com.google.android.exoplayer2.trackselection.f
        public void n(long j, long j2, long j3) {
            long elapsedRealtime = SystemClock.elapsedRealtime();
            if (q(this.g, elapsedRealtime)) {
                for (int i = this.f9307b - 1; i >= 0; i--) {
                    if (!q(i, elapsedRealtime)) {
                        this.g = i;
                        return;
                    }
                }
                throw new IllegalStateException();
            }
        }

        @Override // com.google.android.exoplayer2.trackselection.f
        public Object o() {
            return null;
        }
    }

    public e(g gVar, HlsPlaylistTracker hlsPlaylistTracker, b.a[] aVarArr, f fVar, o oVar, List<Format> list) {
        this.f8971a = gVar;
        this.f = hlsPlaylistTracker;
        this.f8975e = aVarArr;
        this.f8974d = oVar;
        this.h = list;
        Format[] formatArr = new Format[aVarArr.length];
        int[] iArr = new int[aVarArr.length];
        for (int i2 = 0; i2 < aVarArr.length; i2++) {
            formatArr[i2] = aVarArr[i2].f9013b;
            iArr[i2] = i2;
        }
        this.f8972b = fVar.a(1);
        this.f8973c = fVar.a(3);
        TrackGroup trackGroup = new TrackGroup(formatArr);
        this.g = trackGroup;
        this.r = new c(trackGroup, iArr);
    }

    private void a() {
        this.n = null;
        this.o = null;
        this.p = null;
        this.q = null;
    }

    private a f(Uri uri, String str, int i2, int i3, Object obj) {
        return new a(this.f8973c, new DataSpec(uri, 0, -1, null, 1), this.f8975e[i2].f9013b, i3, obj, this.j, str);
    }

    private long k(long j2) {
        long j3 = this.s;
        return (j3 > C.f7870b ? 1 : (j3 == C.f7870b ? 0 : -1)) != 0 ? j3 - j2 : C.f7870b;
    }

    private void m(Uri uri, String str, byte[] bArr) {
        byte[] byteArray = new BigInteger(b0.w0(str).startsWith("0x") ? str.substring(2) : str, 16).toByteArray();
        byte[] bArr2 = new byte[16];
        int length = byteArray.length > 16 ? byteArray.length - 16 : 0;
        System.arraycopy(byteArray, length, bArr2, (16 - byteArray.length) + length, byteArray.length - length);
        this.n = uri;
        this.o = bArr;
        this.p = str;
        this.q = bArr2;
    }

    private void o(HlsMediaPlaylist hlsMediaPlaylist) {
        long j2;
        if (hlsMediaPlaylist.o) {
            j2 = C.f7870b;
        } else {
            j2 = hlsMediaPlaylist.e() - this.f.c();
        }
        this.s = j2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:50:0x00f4  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x00fc  */
    public void b(i iVar, long j2, long j3, b bVar) {
        int i2;
        long e2;
        long j4;
        if (iVar == null) {
            i2 = -1;
        } else {
            i2 = this.g.b(iVar.f8780c);
        }
        long j5 = j3 - j2;
        long k2 = k(j2);
        if (iVar != null && !this.m) {
            long d2 = iVar.d();
            j5 = Math.max(0L, j5 - d2);
            if (k2 != C.f7870b) {
                k2 = Math.max(0L, k2 - d2);
            }
        }
        this.r.n(j2, j5, k2);
        int j6 = this.r.j();
        boolean z = false;
        boolean z2 = i2 != j6;
        b.a aVar = this.f8975e[j6];
        if (!this.f.k(aVar)) {
            bVar.f8978c = aVar;
            boolean z3 = this.t;
            if (this.l == aVar) {
                z = true;
            }
            this.t = z3 & z;
            this.l = aVar;
            return;
        }
        HlsMediaPlaylist a2 = this.f.a(aVar);
        this.m = a2.n;
        o(a2);
        long c2 = a2.h - this.f.c();
        if (iVar == null || z2) {
            long j7 = a2.s + c2;
            long j8 = (iVar == null || this.m) ? j3 : iVar.f;
            if (a2.o || j8 < j7) {
                List<HlsMediaPlaylist.a> list = a2.r;
                Long valueOf = Long.valueOf(j8 - c2);
                boolean z4 = !this.f.d() || iVar == null;
                long j9 = a2.k;
                e2 = ((long) b0.e(list, valueOf, true, z4)) + j9;
                if (e2 < j9 && iVar != null) {
                    aVar = this.f8975e[i2];
                    HlsMediaPlaylist a3 = this.f.a(aVar);
                    c2 = a3.h - this.f.c();
                    e2 = iVar.e();
                    a2 = a3;
                    j4 = a2.k;
                    if (e2 >= j4) {
                        this.k = new BehindLiveWindowException();
                        return;
                    }
                    int i3 = (int) (e2 - j4);
                    if (i3 < a2.r.size()) {
                        this.t = false;
                        DataSpec dataSpec = null;
                        this.l = null;
                        HlsMediaPlaylist.a aVar2 = a2.r.get(i3);
                        String str = aVar2.L0;
                        if (str != null) {
                            Uri e3 = a0.e(a2.f9014a, str);
                            if (!e3.equals(this.n)) {
                                bVar.f8976a = f(e3, aVar2.M0, i2, this.r.l(), this.r.o());
                                return;
                            } else if (!b0.b(aVar2.M0, this.p)) {
                                m(e3, aVar2.M0, this.o);
                            }
                        } else {
                            a();
                        }
                        HlsMediaPlaylist.a aVar3 = aVar2.f9002b;
                        if (aVar3 != null) {
                            dataSpec = new DataSpec(a0.e(a2.f9014a, aVar3.f9001a), aVar3.N0, aVar3.O0, null);
                        }
                        long j10 = aVar2.K0 + c2;
                        int i4 = a2.j + aVar2.J0;
                        bVar.f8976a = new i(this.f8971a, this.f8972b, new DataSpec(a0.e(a2.f9014a, aVar2.f9001a), aVar2.N0, aVar2.O0, null), dataSpec, aVar, this.h, this.r.l(), this.r.o(), j10, j10 + aVar2.I0, e2, i4, aVar2.P0, this.i, this.f8974d.a(i4), iVar, a2.q, this.o, this.q);
                        return;
                    } else if (a2.o) {
                        bVar.f8977b = true;
                        return;
                    } else {
                        bVar.f8978c = aVar;
                        boolean z5 = this.t;
                        if (this.l == aVar) {
                            z = true;
                        }
                        this.t = z5 & z;
                        this.l = aVar;
                        return;
                    }
                }
            } else {
                e2 = a2.k + ((long) a2.r.size());
            }
        } else {
            e2 = iVar.e();
        }
        i2 = j6;
        j4 = a2.k;
        if (e2 >= j4) {
        }
    }

    public TrackGroup c() {
        return this.g;
    }

    public f d() {
        return this.r;
    }

    public void e() throws IOException {
        IOException iOException = this.k;
        if (iOException == null) {
            b.a aVar = this.l;
            if (aVar != null && this.t) {
                this.f.m(aVar);
                return;
            }
            return;
        }
        throw iOException;
    }

    public void g(com.google.android.exoplayer2.source.d0.c cVar) {
        if (cVar instanceof a) {
            a aVar = (a) cVar;
            this.j = aVar.f();
            m(aVar.f8778a.f9390c, aVar.m, aVar.h());
        }
    }

    public boolean h(com.google.android.exoplayer2.source.d0.c cVar, boolean z, IOException iOException) {
        if (z) {
            f fVar = this.r;
            if (com.google.android.exoplayer2.source.d0.h.a(fVar, fVar.p(this.g.b(cVar.f8780c)), iOException)) {
                return true;
            }
        }
        return false;
    }

    public boolean i(b.a aVar, boolean z) {
        int p2;
        int b2 = this.g.b(aVar.f9013b);
        if (b2 == -1 || (p2 = this.r.p(b2)) == -1) {
            return true;
        }
        this.t = (this.l == aVar) | this.t;
        if (!z || this.r.c(p2, 60000)) {
            return true;
        }
        return false;
    }

    public void j() {
        this.k = null;
    }

    public void l(f fVar) {
        this.r = fVar;
    }

    public void n(boolean z) {
        this.i = z;
    }
}
