package com.google.android.exoplayer2.source.hls;

import android.util.Pair;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.drm.DrmInitData;
import com.google.android.exoplayer2.g0.e;
import com.google.android.exoplayer2.g0.f;
import com.google.android.exoplayer2.metadata.Metadata;
import com.google.android.exoplayer2.metadata.id3.PrivFrame;
import com.google.android.exoplayer2.metadata.id3.a;
import com.google.android.exoplayer2.source.d0.l;
import com.google.android.exoplayer2.source.hls.playlist.b;
import com.google.android.exoplayer2.upstream.DataSpec;
import com.google.android.exoplayer2.upstream.h;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.q;
import com.google.android.exoplayer2.util.y;
import java.io.IOException;
import java.util.List;
import java.util.concurrent.atomic.AtomicInteger;

/* compiled from: HlsMediaChunk */
final class i extends l {
    private static final String j = "com.apple.streaming.transportStreamTimestamp";
    private static final AtomicInteger k = new AtomicInteger();
    private m A;
    private int B;
    private int C;
    private boolean D;
    private boolean E;
    private volatile boolean F;
    private volatile boolean G;
    public final int l;
    public final int m;
    public final b.a n;
    private final h o;
    private final DataSpec p;
    private final boolean q = (this.h instanceof a);
    private final boolean r;
    private final boolean s;
    private final y t;
    private final boolean u;
    private final e v;
    private final boolean w;
    private final boolean x;
    private final a y;
    private final q z;

    public i(g gVar, h hVar, DataSpec dataSpec, DataSpec dataSpec2, b.a aVar, List<Format> list, int i, Object obj, long j2, long j3, long j4, int i2, boolean z2, boolean z3, y yVar, i iVar, DrmInitData drmInitData, byte[] bArr, byte[] bArr2) {
        super(g(hVar, bArr, bArr2), dataSpec, aVar.f9013b, i, obj, j2, j3, j4);
        DataSpec dataSpec3;
        e eVar;
        q qVar;
        this.m = i2;
        this.p = dataSpec2;
        this.n = aVar;
        this.r = z3;
        this.t = yVar;
        this.s = z2;
        boolean z4 = true;
        if (iVar != null) {
            boolean z5 = iVar.n != aVar;
            this.u = z5;
            eVar = (iVar.m != i2 || z5) ? null : iVar.v;
            dataSpec3 = dataSpec;
        } else {
            this.u = false;
            dataSpec3 = dataSpec;
            eVar = null;
        }
        Pair<e, Boolean> a2 = gVar.a(eVar, dataSpec3.f9390c, this.f8780c, list, drmInitData, yVar);
        e eVar2 = (e) a2.first;
        this.v = eVar2;
        boolean booleanValue = ((Boolean) a2.second).booleanValue();
        this.w = booleanValue;
        boolean z6 = eVar2 == eVar;
        this.x = z6;
        this.E = (!z6 || dataSpec2 == null) ? false : z4;
        if (!booleanValue) {
            this.y = null;
            this.z = null;
        } else if (iVar == null || (qVar = iVar.z) == null) {
            this.y = new a();
            this.z = new q(10);
        } else {
            this.y = iVar.y;
            this.z = qVar;
        }
        this.o = hVar;
        this.l = k.getAndIncrement();
    }

    private static h g(h hVar, byte[] bArr, byte[] bArr2) {
        return bArr != null ? new a(hVar, bArr, bArr2) : hVar;
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0022  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x005f A[Catch:{ all -> 0x00a0 }] */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0066 A[Catch:{ all -> 0x00a0 }] */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x006d A[Catch:{ all -> 0x00a0 }] */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x0074 A[SYNTHETIC, Splitter:B:26:0x0074] */
    /* JADX WARNING: Removed duplicated region for block: B:9:0x001c  */
    private void i() throws IOException, InterruptedException {
        boolean z2;
        DataSpec dataSpec;
        com.google.android.exoplayer2.g0.b bVar;
        int i = 0;
        if (this.q) {
            dataSpec = this.f8778a;
            if (this.C != 0) {
                z2 = true;
                if (this.r) {
                    this.t.j();
                } else if (this.t.c() == Long.MAX_VALUE) {
                    this.t.h(this.f);
                }
                h hVar = this.h;
                bVar = new com.google.android.exoplayer2.g0.b(hVar, dataSpec.f9392e, hVar.o(dataSpec));
                if (this.w && !this.D) {
                    long k2 = k(bVar);
                    this.D = true;
                    this.A.Y(k2 == C.f7870b ? this.t.b(k2) : this.f);
                }
                if (z2) {
                    bVar.j(this.C);
                }
                while (i == 0) {
                    try {
                        if (this.F) {
                            break;
                        }
                        i = this.v.d(bVar, null);
                    } catch (Throwable th) {
                        this.C = (int) (bVar.getPosition() - this.f8778a.f9392e);
                        throw th;
                    }
                }
                this.C = (int) (bVar.getPosition() - this.f8778a.f9392e);
            }
        } else {
            dataSpec = this.f8778a.b((long) this.C);
        }
        z2 = false;
        if (this.r) {
        }
        try {
            h hVar2 = this.h;
            bVar = new com.google.android.exoplayer2.g0.b(hVar2, dataSpec.f9392e, hVar2.o(dataSpec));
            long k22 = k(bVar);
            this.D = true;
            this.A.Y(k22 == C.f7870b ? this.t.b(k22) : this.f);
            if (z2) {
            }
            while (i == 0) {
            }
            this.C = (int) (bVar.getPosition() - this.f8778a.f9392e);
        } finally {
            b0.j(this.h);
        }
    }

    /* JADX INFO: finally extract failed */
    private void j() throws IOException, InterruptedException {
        DataSpec dataSpec;
        if (!this.E && (dataSpec = this.p) != null) {
            DataSpec b2 = dataSpec.b((long) this.B);
            try {
                h hVar = this.o;
                com.google.android.exoplayer2.g0.b bVar = new com.google.android.exoplayer2.g0.b(hVar, b2.f9392e, hVar.o(b2));
                int i = 0;
                while (i == 0) {
                    try {
                        if (this.F) {
                            break;
                        }
                        i = this.v.d(bVar, null);
                    } catch (Throwable th) {
                        this.B = (int) (bVar.getPosition() - this.p.f9392e);
                        throw th;
                    }
                }
                this.B = (int) (bVar.getPosition() - this.p.f9392e);
                b0.j(this.o);
                this.E = true;
            } catch (Throwable th2) {
                b0.j(this.o);
                throw th2;
            }
        }
    }

    private long k(f fVar) throws IOException, InterruptedException {
        Metadata c2;
        fVar.i();
        if (!fVar.d(this.z.f9627a, 0, 10, true)) {
            return C.f7870b;
        }
        this.z.M(10);
        if (this.z.G() != a.f8579c) {
            return C.f7870b;
        }
        this.z.Q(3);
        int C2 = this.z.C();
        int i = C2 + 10;
        if (i > this.z.b()) {
            q qVar = this.z;
            byte[] bArr = qVar.f9627a;
            qVar.M(i);
            System.arraycopy(bArr, 0, this.z.f9627a, 0, 10);
        }
        if (!fVar.d(this.z.f9627a, 10, C2, true) || (c2 = this.y.c(this.z.f9627a, C2)) == null) {
            return C.f7870b;
        }
        int b2 = c2.b();
        for (int i2 = 0; i2 < b2; i2++) {
            Metadata.Entry a2 = c2.a(i2);
            if (a2 instanceof PrivFrame) {
                PrivFrame privFrame = (PrivFrame) a2;
                if (j.equals(privFrame.I0)) {
                    System.arraycopy(privFrame.J0, 0, this.z.f9627a, 0, 8);
                    this.z.M(8);
                    return this.z.w() & 8589934591L;
                }
            }
        }
        return C.f7870b;
    }

    @Override // com.google.android.exoplayer2.upstream.Loader.c
    public void a() throws IOException, InterruptedException {
        j();
        if (!this.F) {
            if (!this.s) {
                i();
            }
            this.G = true;
        }
    }

    @Override // com.google.android.exoplayer2.upstream.Loader.c
    public void b() {
        this.F = true;
    }

    @Override // com.google.android.exoplayer2.source.d0.c
    public long c() {
        return (long) this.C;
    }

    @Override // com.google.android.exoplayer2.source.d0.l
    public boolean f() {
        return this.G;
    }

    public void h(m mVar) {
        this.A = mVar;
        mVar.E(this.l, this.u, this.x);
        if (!this.x) {
            this.v.e(mVar);
        }
    }
}
