package com.google.android.exoplayer2.source.hls;

import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.a0;
import com.google.android.exoplayer2.source.TrackGroup;
import com.google.android.exoplayer2.source.TrackGroupArray;
import com.google.android.exoplayer2.source.g;
import com.google.android.exoplayer2.source.hls.m;
import com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker;
import com.google.android.exoplayer2.source.hls.playlist.b;
import com.google.android.exoplayer2.source.r;
import com.google.android.exoplayer2.source.t;
import com.google.android.exoplayer2.source.x;
import com.google.android.exoplayer2.source.y;
import com.google.android.exoplayer2.trackselection.f;
import com.google.android.exoplayer2.upstream.b;
import com.google.android.exoplayer2.util.a;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.n;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.IdentityHashMap;
import java.util.List;

/* compiled from: HlsMediaPeriod */
public final class j implements r, m.c, HlsPlaylistTracker.a {
    private final f I0;
    private final int J0;
    private final t.a K0;
    private final b L0;
    private final IdentityHashMap<x, Integer> M0 = new IdentityHashMap<>();
    private final o N0 = new o();
    private final g O0;
    private final boolean P0;
    @Nullable
    private r.a Q0;
    private int R0;
    private TrackGroupArray S0;
    private m[] T0 = new m[0];
    private m[] U0 = new m[0];
    private y V0;
    private boolean W0;

    /* renamed from: a  reason: collision with root package name */
    private final g f8982a;

    /* renamed from: b  reason: collision with root package name */
    private final HlsPlaylistTracker f8983b;

    public j(g gVar, HlsPlaylistTracker hlsPlaylistTracker, f fVar, int i, t.a aVar, b bVar, g gVar2, boolean z) {
        this.f8982a = gVar;
        this.f8983b = hlsPlaylistTracker;
        this.I0 = fVar;
        this.J0 = i;
        this.K0 = aVar;
        this.L0 = bVar;
        this.O0 = gVar2;
        this.P0 = z;
        this.V0 = gVar2.a(new y[0]);
        aVar.q();
    }

    private void o(com.google.android.exoplayer2.source.hls.playlist.b bVar, long j) {
        ArrayList arrayList;
        ArrayList arrayList2 = new ArrayList(bVar.f9009c);
        ArrayList arrayList3 = new ArrayList();
        ArrayList arrayList4 = new ArrayList();
        for (int i = 0; i < arrayList2.size(); i++) {
            b.a aVar = (b.a) arrayList2.get(i);
            Format format = aVar.f9013b;
            if (format.T0 > 0 || b0.A(format.K0, 2) != null) {
                arrayList3.add(aVar);
            } else if (b0.A(format.K0, 1) != null) {
                arrayList4.add(aVar);
            }
        }
        if (!arrayList3.isEmpty()) {
            arrayList = arrayList3;
        } else {
            if (arrayList4.size() < arrayList2.size()) {
                arrayList2.removeAll(arrayList4);
            }
            arrayList = arrayList2;
        }
        a.a(!arrayList.isEmpty());
        b.a[] aVarArr = (b.a[]) arrayList.toArray(new b.a[0]);
        String str = aVarArr[0].f9013b.K0;
        m u = u(0, aVarArr, bVar.f, bVar.g, j);
        this.T0[0] = u;
        if (!this.P0 || str == null) {
            u.X(true);
            u.y();
            return;
        }
        boolean z = b0.A(str, 2) != null;
        boolean z2 = b0.A(str, 1) != null;
        ArrayList arrayList5 = new ArrayList();
        if (z) {
            int size = arrayList.size();
            Format[] formatArr = new Format[size];
            for (int i2 = 0; i2 < size; i2++) {
                formatArr[i2] = w(aVarArr[i2].f9013b);
            }
            arrayList5.add(new TrackGroup(formatArr));
            if (z2 && (bVar.f != null || bVar.f9010d.isEmpty())) {
                arrayList5.add(new TrackGroup(v(aVarArr[0].f9013b, bVar.f, -1)));
            }
            List<Format> list = bVar.g;
            if (list != null) {
                for (int i3 = 0; i3 < list.size(); i3++) {
                    arrayList5.add(new TrackGroup(list.get(i3)));
                }
            }
        } else if (z2) {
            int size2 = arrayList.size();
            Format[] formatArr2 = new Format[size2];
            for (int i4 = 0; i4 < size2; i4++) {
                Format format2 = aVarArr[i4].f9013b;
                formatArr2[i4] = v(format2, bVar.f, format2.J0);
            }
            arrayList5.add(new TrackGroup(formatArr2));
        } else {
            throw new IllegalArgumentException("Unexpected codecs attribute: " + str);
        }
        TrackGroup trackGroup = new TrackGroup(Format.p("ID3", n.V, null, -1, null));
        arrayList5.add(trackGroup);
        u.Q(new TrackGroupArray((TrackGroup[]) arrayList5.toArray(new TrackGroup[0])), 0, new TrackGroupArray(trackGroup));
    }

    private void p(long j) {
        com.google.android.exoplayer2.source.hls.playlist.b f = this.f8983b.f();
        List<b.a> list = f.f9010d;
        List<b.a> list2 = f.f9011e;
        int size = list.size() + 1 + list2.size();
        this.T0 = new m[size];
        this.R0 = size;
        o(f, j);
        char c2 = 0;
        int i = 0;
        int i2 = 1;
        while (i < list.size()) {
            b.a aVar = list.get(i);
            b.a[] aVarArr = new b.a[1];
            aVarArr[c2] = aVar;
            m u = u(1, aVarArr, null, Collections.emptyList(), j);
            int i3 = i2 + 1;
            this.T0[i2] = u;
            Format format = aVar.f9013b;
            if (!this.P0 || format.K0 == null) {
                u.y();
            } else {
                u.Q(new TrackGroupArray(new TrackGroup(aVar.f9013b)), 0, TrackGroupArray.f8717a);
            }
            i++;
            i2 = i3;
            c2 = 0;
        }
        int i4 = 0;
        while (i4 < list2.size()) {
            b.a aVar2 = list2.get(i4);
            m u2 = u(3, new b.a[]{aVar2}, null, Collections.emptyList(), j);
            this.T0[i2] = u2;
            u2.Q(new TrackGroupArray(new TrackGroup(aVar2.f9013b)), 0, TrackGroupArray.f8717a);
            i4++;
            i2++;
        }
        this.U0 = this.T0;
    }

    private m u(int i, b.a[] aVarArr, Format format, List<Format> list, long j) {
        return new m(i, this, new e(this.f8982a, this.f8983b, aVarArr, this.I0, this.N0, list), this.L0, j, format, this.J0, this.K0);
    }

    private static Format v(Format format, Format format2, int i) {
        String str;
        int i2;
        int i3;
        String str2;
        if (format2 != null) {
            String str3 = format2.K0;
            int i4 = format2.a1;
            int i5 = format2.f1;
            str = format2.g1;
            str2 = str3;
            i3 = i4;
            i2 = i5;
        } else {
            str = null;
            str2 = b0.A(format.K0, 1);
            i3 = -1;
            i2 = 0;
        }
        return Format.l(format.I0, n.d(str2), str2, i, -1, i3, -1, null, null, i2, str);
    }

    private static Format w(Format format) {
        String A = b0.A(format.K0, 2);
        return Format.A(format.I0, n.d(A), A, format.J0, -1, format.S0, format.T0, format.U0, null, null);
    }

    @Override // com.google.android.exoplayer2.source.hls.m.c
    public void a() {
        int i = this.R0 - 1;
        this.R0 = i;
        if (i <= 0) {
            int i2 = 0;
            for (m mVar : this.T0) {
                i2 += mVar.s().f8718b;
            }
            TrackGroup[] trackGroupArr = new TrackGroup[i2];
            m[] mVarArr = this.T0;
            int i3 = 0;
            for (m mVar2 : mVarArr) {
                int i4 = mVar2.s().f8718b;
                int i5 = 0;
                while (i5 < i4) {
                    trackGroupArr[i3] = mVar2.s().a(i5);
                    i5++;
                    i3++;
                }
            }
            this.S0 = new TrackGroupArray(trackGroupArr);
            this.Q0.l(this);
        }
    }

    @Override // com.google.android.exoplayer2.source.r, com.google.android.exoplayer2.source.y
    public long b() {
        return this.V0.b();
    }

    @Override // com.google.android.exoplayer2.source.r, com.google.android.exoplayer2.source.y
    public boolean c(long j) {
        if (this.S0 != null) {
            return this.V0.c(j);
        }
        for (m mVar : this.T0) {
            mVar.y();
        }
        return false;
    }

    @Override // com.google.android.exoplayer2.source.r
    public long d(long j, a0 a0Var) {
        return j;
    }

    @Override // com.google.android.exoplayer2.source.r, com.google.android.exoplayer2.source.y
    public long e() {
        return this.V0.e();
    }

    @Override // com.google.android.exoplayer2.source.r, com.google.android.exoplayer2.source.y
    public void f(long j) {
        this.V0.f(j);
    }

    @Override // com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker.a
    public void g() {
        this.Q0.k(this);
    }

    @Override // com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker.a
    public boolean h(b.a aVar, boolean z) {
        boolean z2 = true;
        for (m mVar : this.T0) {
            z2 &= mVar.O(aVar, z);
        }
        this.Q0.k(this);
        return z2;
    }

    @Override // com.google.android.exoplayer2.source.r
    public long i(f[] fVarArr, boolean[] zArr, x[] xVarArr, boolean[] zArr2, long j) {
        int i;
        x[] xVarArr2 = xVarArr;
        int[] iArr = new int[fVarArr.length];
        int[] iArr2 = new int[fVarArr.length];
        for (int i2 = 0; i2 < fVarArr.length; i2++) {
            if (xVarArr2[i2] == null) {
                i = -1;
            } else {
                i = this.M0.get(xVarArr2[i2]).intValue();
            }
            iArr[i2] = i;
            iArr2[i2] = -1;
            if (fVarArr[i2] != null) {
                TrackGroup a2 = fVarArr[i2].a();
                int i3 = 0;
                while (true) {
                    m[] mVarArr = this.T0;
                    if (i3 >= mVarArr.length) {
                        break;
                    } else if (mVarArr[i3].s().b(a2) != -1) {
                        iArr2[i2] = i3;
                        break;
                    } else {
                        i3++;
                    }
                }
            }
        }
        this.M0.clear();
        int length = fVarArr.length;
        x[] xVarArr3 = new x[length];
        x[] xVarArr4 = new x[fVarArr.length];
        f[] fVarArr2 = new f[fVarArr.length];
        m[] mVarArr2 = new m[this.T0.length];
        int i4 = 0;
        int i5 = 0;
        boolean z = false;
        while (i5 < this.T0.length) {
            for (int i6 = 0; i6 < fVarArr.length; i6++) {
                f fVar = null;
                xVarArr4[i6] = iArr[i6] == i5 ? xVarArr2[i6] : null;
                if (iArr2[i6] == i5) {
                    fVar = fVarArr[i6];
                }
                fVarArr2[i6] = fVar;
            }
            m mVar = this.T0[i5];
            boolean W = mVar.W(fVarArr2, zArr, xVarArr4, zArr2, j, z);
            int i7 = 0;
            boolean z2 = false;
            while (true) {
                boolean z3 = true;
                if (i7 >= fVarArr.length) {
                    break;
                }
                if (iArr2[i7] == i5) {
                    a.i(xVarArr4[i7] != null);
                    xVarArr3[i7] = xVarArr4[i7];
                    this.M0.put(xVarArr4[i7], Integer.valueOf(i5));
                    z2 = true;
                } else if (iArr[i7] == i5) {
                    if (xVarArr4[i7] != null) {
                        z3 = false;
                    }
                    a.i(z3);
                }
                i7++;
            }
            if (z2) {
                mVarArr2[i4] = mVar;
                i4++;
                if (i4 == 0) {
                    mVar.X(true);
                    if (!W) {
                        m[] mVarArr3 = this.U0;
                        if (mVarArr3.length != 0) {
                            if (mVar == mVarArr3[0]) {
                            }
                            this.N0.b();
                            z = true;
                        }
                    }
                    this.N0.b();
                    z = true;
                } else {
                    mVar.X(false);
                }
            } else {
                i4 = i4;
            }
            i5++;
            mVarArr2 = mVarArr2;
            length = length;
            fVarArr2 = fVarArr2;
            xVarArr2 = xVarArr;
        }
        System.arraycopy(xVarArr3, 0, xVarArr2, 0, length);
        m[] mVarArr4 = (m[]) Arrays.copyOf(mVarArr2, i4);
        this.U0 = mVarArr4;
        this.V0 = this.O0.a(mVarArr4);
        return j;
    }

    @Override // com.google.android.exoplayer2.source.hls.m.c
    public void j(b.a aVar) {
        this.f8983b.e(aVar);
    }

    @Override // com.google.android.exoplayer2.source.r
    public void m() throws IOException {
        for (m mVar : this.T0) {
            mVar.m();
        }
    }

    @Override // com.google.android.exoplayer2.source.r
    public long n(long j) {
        m[] mVarArr = this.U0;
        if (mVarArr.length > 0) {
            boolean V = mVarArr[0].V(j, false);
            int i = 1;
            while (true) {
                m[] mVarArr2 = this.U0;
                if (i >= mVarArr2.length) {
                    break;
                }
                mVarArr2[i].V(j, V);
                i++;
            }
            if (V) {
                this.N0.b();
            }
        }
        return j;
    }

    @Override // com.google.android.exoplayer2.source.r
    public long q() {
        if (this.W0) {
            return C.f7870b;
        }
        this.K0.t();
        this.W0 = true;
        return C.f7870b;
    }

    @Override // com.google.android.exoplayer2.source.r
    public void r(r.a aVar, long j) {
        this.Q0 = aVar;
        this.f8983b.i(this);
        p(j);
    }

    @Override // com.google.android.exoplayer2.source.r
    public TrackGroupArray s() {
        return this.S0;
    }

    @Override // com.google.android.exoplayer2.source.r
    public void t(long j, boolean z) {
        for (m mVar : this.U0) {
            mVar.t(j, z);
        }
    }

    /* renamed from: x */
    public void k(m mVar) {
        this.Q0.k(this);
    }

    public void y() {
        this.f8983b.b(this);
        for (m mVar : this.T0) {
            mVar.S();
        }
        this.Q0 = null;
        this.K0.r();
    }
}
