package com.google.android.exoplayer2.source.hls;

import android.net.Uri;
import android.os.Handler;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.l;
import com.google.android.exoplayer2.source.a0;
import com.google.android.exoplayer2.source.ads.AdsMediaSource;
import com.google.android.exoplayer2.source.c;
import com.google.android.exoplayer2.source.g;
import com.google.android.exoplayer2.source.hls.playlist.HlsMediaPlaylist;
import com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker;
import com.google.android.exoplayer2.source.hls.playlist.d;
import com.google.android.exoplayer2.source.i;
import com.google.android.exoplayer2.source.r;
import com.google.android.exoplayer2.source.s;
import com.google.android.exoplayer2.source.t;
import com.google.android.exoplayer2.upstream.h;
import com.google.android.exoplayer2.upstream.s;
import java.io.IOException;
import java.util.List;

/* compiled from: HlsMediaSource */
public final class k extends c implements HlsPlaylistTracker.b {
    public static final int L0 = 3;
    private final g M0;
    private final Uri N0;
    private final f O0;
    private final g P0;
    private final int Q0;
    private final boolean R0;
    private final HlsPlaylistTracker S0;
    @Nullable
    private final Object T0;

    /* compiled from: HlsMediaSource */
    public static final class b implements AdsMediaSource.f {

        /* renamed from: a  reason: collision with root package name */
        private final f f8984a;

        /* renamed from: b  reason: collision with root package name */
        private g f8985b;
        @Nullable

        /* renamed from: c  reason: collision with root package name */
        private s.a<com.google.android.exoplayer2.source.hls.playlist.c> f8986c;
        @Nullable

        /* renamed from: d  reason: collision with root package name */
        private HlsPlaylistTracker f8987d;

        /* renamed from: e  reason: collision with root package name */
        private g f8988e;
        private int f;
        private boolean g;
        private boolean h;
        @Nullable
        private Object i;

        public b(h.a aVar) {
            this(new c(aVar));
        }

        @Override // com.google.android.exoplayer2.source.ads.AdsMediaSource.f
        public int[] a() {
            return new int[]{2};
        }

        /* renamed from: c */
        public k b(Uri uri) {
            this.h = true;
            if (this.f8987d == null) {
                f fVar = this.f8984a;
                int i2 = this.f;
                s.a aVar = this.f8986c;
                if (aVar == null) {
                    aVar = new d();
                }
                this.f8987d = new com.google.android.exoplayer2.source.hls.playlist.a(fVar, i2, aVar);
            }
            return new k(uri, this.f8984a, this.f8985b, this.f8988e, this.f, this.f8987d, this.g, this.i);
        }

        @Deprecated
        public k d(Uri uri, @Nullable Handler handler, @Nullable t tVar) {
            k c2 = b(uri);
            if (!(handler == null || tVar == null)) {
                c2.c(handler, tVar);
            }
            return c2;
        }

        public b e(boolean z) {
            com.google.android.exoplayer2.util.a.i(!this.h);
            this.g = z;
            return this;
        }

        public b f(g gVar) {
            com.google.android.exoplayer2.util.a.i(!this.h);
            this.f8988e = (g) com.google.android.exoplayer2.util.a.g(gVar);
            return this;
        }

        public b g(g gVar) {
            com.google.android.exoplayer2.util.a.i(!this.h);
            this.f8985b = (g) com.google.android.exoplayer2.util.a.g(gVar);
            return this;
        }

        public b h(int i2) {
            com.google.android.exoplayer2.util.a.i(!this.h);
            this.f = i2;
            return this;
        }

        public b i(s.a<com.google.android.exoplayer2.source.hls.playlist.c> aVar) {
            boolean z = true;
            com.google.android.exoplayer2.util.a.i(!this.h);
            if (this.f8987d != null) {
                z = false;
            }
            com.google.android.exoplayer2.util.a.j(z, "A playlist tracker has already been set.");
            this.f8986c = (s.a) com.google.android.exoplayer2.util.a.g(aVar);
            return this;
        }

        public b j(HlsPlaylistTracker hlsPlaylistTracker) {
            boolean z = true;
            com.google.android.exoplayer2.util.a.i(!this.h);
            if (this.f8986c != null) {
                z = false;
            }
            com.google.android.exoplayer2.util.a.j(z, "A playlist parser has already been set.");
            this.f8987d = (HlsPlaylistTracker) com.google.android.exoplayer2.util.a.g(hlsPlaylistTracker);
            return this;
        }

        public b k(Object obj) {
            com.google.android.exoplayer2.util.a.i(!this.h);
            this.i = obj;
            return this;
        }

        public b(f fVar) {
            this.f8984a = (f) com.google.android.exoplayer2.util.a.g(fVar);
            this.f8985b = g.f8979a;
            this.f = 3;
            this.f8988e = new i();
        }
    }

    static {
        l.a("goog.exo.hls");
    }

    @Override // com.google.android.exoplayer2.source.c
    public void E(com.google.android.exoplayer2.h hVar, boolean z) {
        this.S0.g(this.N0, C(null), this);
    }

    @Override // com.google.android.exoplayer2.source.c
    public void G() {
        HlsPlaylistTracker hlsPlaylistTracker = this.S0;
        if (hlsPlaylistTracker != null) {
            hlsPlaylistTracker.stop();
        }
    }

    @Override // com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker.b
    public void a(HlsMediaPlaylist hlsMediaPlaylist) {
        a0 a0Var;
        long j;
        long j2;
        long c2 = hlsMediaPlaylist.p ? C.c(hlsMediaPlaylist.h) : -9223372036854775807L;
        int i = hlsMediaPlaylist.f;
        long j3 = (i == 2 || i == 1) ? c2 : -9223372036854775807L;
        long j4 = hlsMediaPlaylist.g;
        if (this.S0.d()) {
            long c3 = hlsMediaPlaylist.h - this.S0.c();
            long j5 = hlsMediaPlaylist.o ? c3 + hlsMediaPlaylist.s : -9223372036854775807L;
            List<HlsMediaPlaylist.a> list = hlsMediaPlaylist.r;
            if (j4 == C.f7870b) {
                if (list.isEmpty()) {
                    j2 = 0;
                } else {
                    j2 = list.get(Math.max(0, list.size() - 3)).K0;
                }
                j = j2;
            } else {
                j = j4;
            }
            a0Var = new a0(j3, c2, j5, hlsMediaPlaylist.s, c3, j, true, !hlsMediaPlaylist.o, this.T0);
        } else {
            long j6 = j4 == C.f7870b ? 0 : j4;
            long j7 = hlsMediaPlaylist.s;
            a0Var = new a0(j3, c2, j7, j7, 0, j6, true, false, this.T0);
        }
        F(a0Var, new h(this.S0.f(), hlsMediaPlaylist));
    }

    @Override // com.google.android.exoplayer2.source.s
    public r o(s.a aVar, com.google.android.exoplayer2.upstream.b bVar) {
        com.google.android.exoplayer2.util.a.a(aVar.f9052a == 0);
        return new j(this.M0, this.S0, this.O0, this.Q0, C(aVar), bVar, this.P0, this.R0);
    }

    @Override // com.google.android.exoplayer2.source.s
    public void q() throws IOException {
        this.S0.h();
    }

    @Override // com.google.android.exoplayer2.source.s
    public void s(r rVar) {
        ((j) rVar).y();
    }

    @Deprecated
    public k(Uri uri, h.a aVar, Handler handler, t tVar) {
        this(uri, aVar, 3, handler, tVar);
    }

    @Deprecated
    public k(Uri uri, h.a aVar, int i, Handler handler, t tVar) {
        this(uri, new c(aVar), g.f8979a, i, handler, tVar, new d());
    }

    @Deprecated
    public k(Uri uri, f fVar, g gVar, int i, Handler handler, t tVar, s.a<com.google.android.exoplayer2.source.hls.playlist.c> aVar) {
        this(uri, fVar, gVar, new i(), i, new com.google.android.exoplayer2.source.hls.playlist.a(fVar, i, new d()), false, null);
        if (handler != null && tVar != null) {
            c(handler, tVar);
        }
    }

    private k(Uri uri, f fVar, g gVar, g gVar2, int i, HlsPlaylistTracker hlsPlaylistTracker, boolean z, @Nullable Object obj) {
        this.N0 = uri;
        this.O0 = fVar;
        this.M0 = gVar;
        this.P0 = gVar2;
        this.Q0 = i;
        this.S0 = hlsPlaylistTracker;
        this.R0 = z;
        this.T0 = obj;
    }
}
