package com.google.android.exoplayer2.source.hls;

import android.text.TextUtils;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.ParserException;
import com.google.android.exoplayer2.g0.e;
import com.google.android.exoplayer2.g0.f;
import com.google.android.exoplayer2.g0.g;
import com.google.android.exoplayer2.g0.l;
import com.google.android.exoplayer2.g0.m;
import com.google.android.exoplayer2.g0.o;
import com.google.android.exoplayer2.text.SubtitleDecoderException;
import com.google.android.exoplayer2.util.n;
import com.google.android.exoplayer2.util.q;
import com.google.android.exoplayer2.util.y;
import java.io.IOException;
import java.util.Arrays;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: WebvttExtractor */
final class p implements e {

    /* renamed from: d  reason: collision with root package name */
    private static final Pattern f8996d = Pattern.compile("LOCAL:([^,]+)");

    /* renamed from: e  reason: collision with root package name */
    private static final Pattern f8997e = Pattern.compile("MPEGTS:(\\d+)");
    private final String f;
    private final y g;
    private final q h = new q();
    private g i;
    private byte[] j = new byte[1024];
    private int k;

    public p(String str, y yVar) {
        this.f = str;
        this.g = yVar;
    }

    private o a(long j2) {
        o a2 = this.i.a(0, 3);
        a2.d(Format.w(null, n.O, null, -1, 0, this.f, null, j2));
        this.i.o();
        return a2;
    }

    private void c() throws ParserException {
        q qVar = new q(this.j);
        try {
            com.google.android.exoplayer2.text.webvtt.g.d(qVar);
            long j2 = 0;
            long j3 = 0;
            while (true) {
                String n = qVar.n();
                if (TextUtils.isEmpty(n)) {
                    Matcher a2 = com.google.android.exoplayer2.text.webvtt.g.a(qVar);
                    if (a2 == null) {
                        a(0);
                        return;
                    }
                    long c2 = com.google.android.exoplayer2.text.webvtt.g.c(a2.group(1));
                    long b2 = this.g.b(y.i((j2 + c2) - j3));
                    o a3 = a(b2 - c2);
                    this.h.N(this.j, this.k);
                    a3.b(this.h, this.k);
                    a3.c(b2, 1, this.k, 0, null);
                    return;
                } else if (n.startsWith("X-TIMESTAMP-MAP")) {
                    Matcher matcher = f8996d.matcher(n);
                    if (matcher.find()) {
                        Matcher matcher2 = f8997e.matcher(n);
                        if (matcher2.find()) {
                            j3 = com.google.android.exoplayer2.text.webvtt.g.c(matcher.group(1));
                            j2 = y.f(Long.parseLong(matcher2.group(1)));
                        } else {
                            throw new ParserException("X-TIMESTAMP-MAP doesn't contain media timestamp: " + n);
                        }
                    } else {
                        throw new ParserException("X-TIMESTAMP-MAP doesn't contain local timestamp: " + n);
                    }
                }
            }
        } catch (SubtitleDecoderException e2) {
            throw new ParserException(e2);
        }
    }

    @Override // com.google.android.exoplayer2.g0.e
    public boolean b(f fVar) throws IOException, InterruptedException {
        throw new IllegalStateException();
    }

    @Override // com.google.android.exoplayer2.g0.e
    public int d(f fVar, l lVar) throws IOException, InterruptedException {
        int i2;
        int a2 = (int) fVar.a();
        int i3 = this.k;
        byte[] bArr = this.j;
        if (i3 == bArr.length) {
            if (a2 != -1) {
                i2 = a2;
            } else {
                i2 = bArr.length;
            }
            this.j = Arrays.copyOf(bArr, (i2 * 3) / 2);
        }
        byte[] bArr2 = this.j;
        int i4 = this.k;
        int read = fVar.read(bArr2, i4, bArr2.length - i4);
        if (read != -1) {
            int i5 = this.k + read;
            this.k = i5;
            if (a2 == -1 || i5 != a2) {
                return 0;
            }
        }
        c();
        return -1;
    }

    @Override // com.google.android.exoplayer2.g0.e
    public void e(g gVar) {
        this.i = gVar;
        gVar.g(new m.b(C.f7870b));
    }

    @Override // com.google.android.exoplayer2.g0.e
    public void f(long j2, long j3) {
        throw new IllegalStateException();
    }

    @Override // com.google.android.exoplayer2.g0.e
    public void release() {
    }
}
