package com.google.android.exoplayer2.source.hls.playlist;

import android.net.Uri;
import android.os.Handler;
import android.os.SystemClock;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.ParserException;
import com.google.android.exoplayer2.source.d0.h;
import com.google.android.exoplayer2.source.hls.f;
import com.google.android.exoplayer2.source.hls.playlist.HlsMediaPlaylist;
import com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker;
import com.google.android.exoplayer2.source.hls.playlist.b;
import com.google.android.exoplayer2.source.t;
import com.google.android.exoplayer2.upstream.Loader;
import com.google.android.exoplayer2.upstream.s;
import com.google.android.exoplayer2.util.a0;
import java.io.IOException;
import java.util.ArrayList;
import java.util.IdentityHashMap;
import java.util.List;

/* compiled from: DefaultHlsPlaylistTracker */
public final class a implements HlsPlaylistTracker, Loader.a<s<c>> {

    /* renamed from: a  reason: collision with root package name */
    private static final double f9005a = 3.5d;
    private final s.a<c> I0;
    private final int J0;
    private final IdentityHashMap<b.a, RunnableC0218a> K0 = new IdentityHashMap<>();
    private final List<HlsPlaylistTracker.a> L0 = new ArrayList();
    private t.a M0;
    private Loader N0;
    private Handler O0;
    private HlsPlaylistTracker.b P0;
    private b Q0;
    private b.a R0;
    private HlsMediaPlaylist S0;
    private boolean T0;
    private long U0 = C.f7870b;

    /* renamed from: b  reason: collision with root package name */
    private final f f9006b;

    /* access modifiers changed from: private */
    /* renamed from: com.google.android.exoplayer2.source.hls.playlist.a$a  reason: collision with other inner class name */
    /* compiled from: DefaultHlsPlaylistTracker */
    public final class RunnableC0218a implements Loader.a<s<c>>, Runnable {
        private final s<c> I0;
        private HlsMediaPlaylist J0;
        private long K0;
        private long L0;
        private long M0;
        private long N0;
        private boolean O0;
        private IOException P0;

        /* renamed from: a  reason: collision with root package name */
        private final b.a f9007a;

        /* renamed from: b  reason: collision with root package name */
        private final Loader f9008b = new Loader("DefaultHlsPlaylistTracker:MediaPlaylist");

        public RunnableC0218a(b.a aVar) {
            this.f9007a = aVar;
            this.I0 = new s<>(a.this.f9006b.a(4), a0.e(a.this.Q0.f9014a, aVar.f9012a), 4, a.this.I0);
        }

        private boolean d() {
            this.N0 = SystemClock.elapsedRealtime() + 60000;
            return a.this.R0 == this.f9007a && !a.this.E();
        }

        private void h() {
            long k = this.f9008b.k(this.I0, this, a.this.J0);
            t.a aVar = a.this.M0;
            s<c> sVar = this.I0;
            aVar.p(sVar.f9521a, sVar.f9522b, k);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void o(HlsMediaPlaylist hlsMediaPlaylist) {
            HlsMediaPlaylist hlsMediaPlaylist2 = this.J0;
            long elapsedRealtime = SystemClock.elapsedRealtime();
            this.K0 = elapsedRealtime;
            HlsMediaPlaylist B = a.this.B(hlsMediaPlaylist2, hlsMediaPlaylist);
            this.J0 = B;
            if (B != hlsMediaPlaylist2) {
                this.P0 = null;
                this.L0 = elapsedRealtime;
                a.this.K(this.f9007a, B);
            } else if (!B.o) {
                HlsMediaPlaylist hlsMediaPlaylist3 = this.J0;
                if (hlsMediaPlaylist.k + ((long) hlsMediaPlaylist.r.size()) < hlsMediaPlaylist3.k) {
                    this.P0 = new HlsPlaylistTracker.PlaylistResetException(this.f9007a.f9012a);
                    a.this.G(this.f9007a, false);
                } else if (((double) (elapsedRealtime - this.L0)) > ((double) C.c(hlsMediaPlaylist3.m)) * a.f9005a) {
                    this.P0 = new HlsPlaylistTracker.PlaylistStuckException(this.f9007a.f9012a);
                    a.this.G(this.f9007a, true);
                    d();
                }
            }
            HlsMediaPlaylist hlsMediaPlaylist4 = this.J0;
            long j = hlsMediaPlaylist4.m;
            if (hlsMediaPlaylist4 == hlsMediaPlaylist2) {
                j /= 2;
            }
            this.M0 = elapsedRealtime + C.c(j);
            if (this.f9007a == a.this.R0 && !this.J0.o) {
                g();
            }
        }

        public HlsMediaPlaylist e() {
            return this.J0;
        }

        public boolean f() {
            int i;
            if (this.J0 == null) {
                return false;
            }
            long elapsedRealtime = SystemClock.elapsedRealtime();
            long max = Math.max(30000L, C.c(this.J0.s));
            HlsMediaPlaylist hlsMediaPlaylist = this.J0;
            if (hlsMediaPlaylist.o || (i = hlsMediaPlaylist.f) == 2 || i == 1 || this.K0 + max > elapsedRealtime) {
                return true;
            }
            return false;
        }

        public void g() {
            this.N0 = 0;
            if (!this.O0 && !this.f9008b.h()) {
                long elapsedRealtime = SystemClock.elapsedRealtime();
                if (elapsedRealtime < this.M0) {
                    this.O0 = true;
                    a.this.O0.postDelayed(this, this.M0 - elapsedRealtime);
                    return;
                }
                h();
            }
        }

        public void i() throws IOException {
            this.f9008b.a();
            IOException iOException = this.P0;
            if (iOException != null) {
                throw iOException;
            }
        }

        /* renamed from: k */
        public void j(s<c> sVar, long j, long j2, boolean z) {
            a.this.M0.g(sVar.f9521a, 4, j, j2, sVar.c());
        }

        /* renamed from: m */
        public void l(s<c> sVar, long j, long j2) {
            c d2 = sVar.d();
            if (d2 instanceof HlsMediaPlaylist) {
                o((HlsMediaPlaylist) d2);
                a.this.M0.j(sVar.f9521a, 4, j, j2, sVar.c());
                return;
            }
            this.P0 = new ParserException("Loaded playlist has unexpected type.");
        }

        /* renamed from: n */
        public int p(s<c> sVar, long j, long j2, IOException iOException) {
            boolean z = iOException instanceof ParserException;
            a.this.M0.m(sVar.f9521a, 4, j, j2, sVar.c(), iOException, z);
            boolean c2 = h.c(iOException);
            boolean z2 = a.this.G(this.f9007a, c2) || !c2;
            if (z) {
                return 3;
            }
            if (c2) {
                z2 |= d();
            }
            if (z2) {
                return 0;
            }
            return 2;
        }

        public void q() {
            this.f9008b.i();
        }

        public void run() {
            this.O0 = false;
            h();
        }
    }

    public a(f fVar, int i, s.a<c> aVar) {
        this.f9006b = fVar;
        this.J0 = i;
        this.I0 = aVar;
    }

    private static HlsMediaPlaylist.a A(HlsMediaPlaylist hlsMediaPlaylist, HlsMediaPlaylist hlsMediaPlaylist2) {
        int i = (int) (hlsMediaPlaylist2.k - hlsMediaPlaylist.k);
        List<HlsMediaPlaylist.a> list = hlsMediaPlaylist.r;
        if (i < list.size()) {
            return list.get(i);
        }
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private HlsMediaPlaylist B(HlsMediaPlaylist hlsMediaPlaylist, HlsMediaPlaylist hlsMediaPlaylist2) {
        if (!hlsMediaPlaylist2.f(hlsMediaPlaylist)) {
            return hlsMediaPlaylist2.o ? hlsMediaPlaylist.d() : hlsMediaPlaylist;
        }
        return hlsMediaPlaylist2.c(D(hlsMediaPlaylist, hlsMediaPlaylist2), C(hlsMediaPlaylist, hlsMediaPlaylist2));
    }

    private int C(HlsMediaPlaylist hlsMediaPlaylist, HlsMediaPlaylist hlsMediaPlaylist2) {
        HlsMediaPlaylist.a A;
        if (hlsMediaPlaylist2.i) {
            return hlsMediaPlaylist2.j;
        }
        HlsMediaPlaylist hlsMediaPlaylist3 = this.S0;
        int i = hlsMediaPlaylist3 != null ? hlsMediaPlaylist3.j : 0;
        return (hlsMediaPlaylist == null || (A = A(hlsMediaPlaylist, hlsMediaPlaylist2)) == null) ? i : (hlsMediaPlaylist.j + A.J0) - hlsMediaPlaylist2.r.get(0).J0;
    }

    private long D(HlsMediaPlaylist hlsMediaPlaylist, HlsMediaPlaylist hlsMediaPlaylist2) {
        if (hlsMediaPlaylist2.p) {
            return hlsMediaPlaylist2.h;
        }
        HlsMediaPlaylist hlsMediaPlaylist3 = this.S0;
        long j = hlsMediaPlaylist3 != null ? hlsMediaPlaylist3.h : 0;
        if (hlsMediaPlaylist == null) {
            return j;
        }
        int size = hlsMediaPlaylist.r.size();
        HlsMediaPlaylist.a A = A(hlsMediaPlaylist, hlsMediaPlaylist2);
        if (A != null) {
            return hlsMediaPlaylist.h + A.K0;
        }
        return ((long) size) == hlsMediaPlaylist2.k - hlsMediaPlaylist.k ? hlsMediaPlaylist.e() : j;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean E() {
        List<b.a> list = this.Q0.f9009c;
        int size = list.size();
        long elapsedRealtime = SystemClock.elapsedRealtime();
        for (int i = 0; i < size; i++) {
            RunnableC0218a aVar = this.K0.get(list.get(i));
            if (elapsedRealtime > aVar.N0) {
                this.R0 = aVar.f9007a;
                aVar.g();
                return true;
            }
        }
        return false;
    }

    private void F(b.a aVar) {
        if (aVar != this.R0 && this.Q0.f9009c.contains(aVar)) {
            HlsMediaPlaylist hlsMediaPlaylist = this.S0;
            if (hlsMediaPlaylist == null || !hlsMediaPlaylist.o) {
                this.R0 = aVar;
                this.K0.get(aVar).g();
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean G(b.a aVar, boolean z) {
        int size = this.L0.size();
        boolean z2 = false;
        for (int i = 0; i < size; i++) {
            z2 |= !this.L0.get(i).h(aVar, z);
        }
        return z2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void K(b.a aVar, HlsMediaPlaylist hlsMediaPlaylist) {
        if (aVar == this.R0) {
            if (this.S0 == null) {
                this.T0 = !hlsMediaPlaylist.o;
                this.U0 = hlsMediaPlaylist.h;
            }
            this.S0 = hlsMediaPlaylist;
            this.P0.a(hlsMediaPlaylist);
        }
        int size = this.L0.size();
        for (int i = 0; i < size; i++) {
            this.L0.get(i).g();
        }
    }

    private void z(List<b.a> list) {
        int size = list.size();
        for (int i = 0; i < size; i++) {
            b.a aVar = list.get(i);
            this.K0.put(aVar, new RunnableC0218a(aVar));
        }
    }

    /* renamed from: H */
    public void j(s<c> sVar, long j, long j2, boolean z) {
        this.M0.g(sVar.f9521a, 4, j, j2, sVar.c());
    }

    /* renamed from: I */
    public void l(s<c> sVar, long j, long j2) {
        b bVar;
        c d2 = sVar.d();
        boolean z = d2 instanceof HlsMediaPlaylist;
        if (z) {
            bVar = b.d(d2.f9014a);
        } else {
            bVar = (b) d2;
        }
        this.Q0 = bVar;
        this.R0 = bVar.f9009c.get(0);
        ArrayList arrayList = new ArrayList();
        arrayList.addAll(bVar.f9009c);
        arrayList.addAll(bVar.f9010d);
        arrayList.addAll(bVar.f9011e);
        z(arrayList);
        RunnableC0218a aVar = this.K0.get(this.R0);
        if (z) {
            aVar.o((HlsMediaPlaylist) d2);
        } else {
            aVar.g();
        }
        this.M0.j(sVar.f9521a, 4, j, j2, sVar.c());
    }

    /* renamed from: J */
    public int p(s<c> sVar, long j, long j2, IOException iOException) {
        boolean z = iOException instanceof ParserException;
        this.M0.m(sVar.f9521a, 4, j, j2, sVar.c(), iOException, z);
        return z ? 3 : 0;
    }

    @Override // com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker
    public HlsMediaPlaylist a(b.a aVar) {
        HlsMediaPlaylist e2 = this.K0.get(aVar).e();
        if (e2 != null) {
            F(aVar);
        }
        return e2;
    }

    @Override // com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker
    public void b(HlsPlaylistTracker.a aVar) {
        this.L0.remove(aVar);
    }

    @Override // com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker
    public long c() {
        return this.U0;
    }

    @Override // com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker
    public boolean d() {
        return this.T0;
    }

    @Override // com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker
    public void e(b.a aVar) {
        this.K0.get(aVar).g();
    }

    @Override // com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker
    public b f() {
        return this.Q0;
    }

    @Override // com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker
    public void g(Uri uri, t.a aVar, HlsPlaylistTracker.b bVar) {
        this.O0 = new Handler();
        this.M0 = aVar;
        this.P0 = bVar;
        s sVar = new s(this.f9006b.a(4), uri, 4, this.I0);
        com.google.android.exoplayer2.util.a.i(this.N0 == null);
        Loader loader = new Loader("DefaultHlsPlaylistTracker:MasterPlaylist");
        this.N0 = loader;
        aVar.p(sVar.f9521a, sVar.f9522b, loader.k(sVar, this, this.J0));
    }

    @Override // com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker
    public void h() throws IOException {
        Loader loader = this.N0;
        if (loader != null) {
            loader.a();
        }
        b.a aVar = this.R0;
        if (aVar != null) {
            m(aVar);
        }
    }

    @Override // com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker
    public void i(HlsPlaylistTracker.a aVar) {
        this.L0.add(aVar);
    }

    @Override // com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker
    public boolean k(b.a aVar) {
        return this.K0.get(aVar).f();
    }

    @Override // com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker
    public void m(b.a aVar) throws IOException {
        this.K0.get(aVar).i();
    }

    @Override // com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker
    public void stop() {
        this.R0 = null;
        this.S0 = null;
        this.Q0 = null;
        this.U0 = C.f7870b;
        this.N0.i();
        this.N0 = null;
        for (RunnableC0218a aVar : this.K0.values()) {
            aVar.q();
        }
        this.O0.removeCallbacksAndMessages(null);
        this.O0 = null;
        this.K0.clear();
    }
}
