package com.google.android.exoplayer2.source.hls.q;

import android.net.Uri;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.offline.c;
import com.google.android.exoplayer2.offline.m;
import com.google.android.exoplayer2.source.TrackGroup;
import com.google.android.exoplayer2.source.TrackGroupArray;
import com.google.android.exoplayer2.source.hls.playlist.HlsMediaPlaylist;
import com.google.android.exoplayer2.source.hls.playlist.RenditionKey;
import com.google.android.exoplayer2.source.hls.playlist.b;
import com.google.android.exoplayer2.source.hls.playlist.d;
import com.google.android.exoplayer2.upstream.h;
import com.google.android.exoplayer2.upstream.s;
import com.google.android.exoplayer2.util.a;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import org.checkerframework.checker.nullness.qual.MonotonicNonNull;

/* compiled from: HlsDownloadHelper */
public final class b extends c {

    /* renamed from: a  reason: collision with root package name */
    private final Uri f9024a;

    /* renamed from: b  reason: collision with root package name */
    private final h.a f9025b;
    @MonotonicNonNull

    /* renamed from: c  reason: collision with root package name */
    private com.google.android.exoplayer2.source.hls.playlist.c f9026c;

    /* renamed from: d  reason: collision with root package name */
    private int[] f9027d;

    public b(Uri uri, h.a aVar) {
        this.f9024a = uri;
        this.f9025b = aVar;
    }

    private static Format[] j(List<b.a> list) {
        Format[] formatArr = new Format[list.size()];
        for (int i = 0; i < list.size(); i++) {
            formatArr[i] = list.get(i).f9013b;
        }
        return formatArr;
    }

    private static List<RenditionKey> k(List<m> list, int[] iArr) {
        ArrayList arrayList = new ArrayList(list.size());
        for (int i = 0; i < list.size(); i++) {
            m mVar = list.get(i);
            arrayList.add(new RenditionKey(iArr[mVar.f8681b], mVar.f8682c));
        }
        return arrayList;
    }

    @Override // com.google.android.exoplayer2.offline.c
    public int b() {
        a.g(this.f9026c);
        return 1;
    }

    @Override // com.google.android.exoplayer2.offline.c
    public TrackGroupArray d(int i) {
        a.g(this.f9026c);
        com.google.android.exoplayer2.source.hls.playlist.c cVar = this.f9026c;
        int i2 = 0;
        if (cVar instanceof HlsMediaPlaylist) {
            this.f9027d = new int[0];
            return TrackGroupArray.f8717a;
        }
        com.google.android.exoplayer2.source.hls.playlist.b bVar = (com.google.android.exoplayer2.source.hls.playlist.b) cVar;
        TrackGroup[] trackGroupArr = new TrackGroup[3];
        this.f9027d = new int[3];
        if (!bVar.f9009c.isEmpty()) {
            this.f9027d[0] = 0;
            trackGroupArr[0] = new TrackGroup(j(bVar.f9009c));
            i2 = 1;
        }
        if (!bVar.f9010d.isEmpty()) {
            this.f9027d[i2] = 1;
            trackGroupArr[i2] = new TrackGroup(j(bVar.f9010d));
            i2++;
        }
        if (!bVar.f9011e.isEmpty()) {
            this.f9027d[i2] = 2;
            trackGroupArr[i2] = new TrackGroup(j(bVar.f9011e));
            i2++;
        }
        return new TrackGroupArray((TrackGroup[]) Arrays.copyOf(trackGroupArr, i2));
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.offline.c
    public void f() throws IOException {
        this.f9026c = (com.google.android.exoplayer2.source.hls.playlist.c) s.e(this.f9025b.a(), new d(), this.f9024a);
    }

    /* renamed from: g */
    public a a(@Nullable byte[] bArr, List<m> list) {
        a.g(this.f9027d);
        return new a(this.f9024a, false, bArr, k(list, this.f9027d));
    }

    public com.google.android.exoplayer2.source.hls.playlist.c h() {
        a.g(this.f9026c);
        return this.f9026c;
    }

    /* renamed from: i */
    public a c(@Nullable byte[] bArr) {
        return new a(this.f9024a, true, bArr, Collections.emptyList());
    }
}
