package com.google.android.exoplayer2.source;

import android.net.Uri;
import android.os.Handler;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.a0;
import com.google.android.exoplayer2.decoder.DecoderInputBuffer;
import com.google.android.exoplayer2.g0.g;
import com.google.android.exoplayer2.g0.l;
import com.google.android.exoplayer2.g0.m;
import com.google.android.exoplayer2.g0.o;
import com.google.android.exoplayer2.source.r;
import com.google.android.exoplayer2.source.t;
import com.google.android.exoplayer2.source.w;
import com.google.android.exoplayer2.upstream.DataSpec;
import com.google.android.exoplayer2.upstream.Loader;
import com.google.android.exoplayer2.upstream.h;
import com.google.android.exoplayer2.util.b0;
import java.io.EOFException;
import java.io.IOException;
import java.util.Arrays;

/* compiled from: ExtractorMediaPeriod */
final class n implements r, g, Loader.a<c>, Loader.d, w.b {

    /* renamed from: a  reason: collision with root package name */
    private static final long f9030a = 10000;
    private final h I0;
    private final int J0;
    private final t.a K0;
    private final e L0;
    private final com.google.android.exoplayer2.upstream.b M0;
    @Nullable
    private final String N0;
    private final long O0;
    private final Loader P0 = new Loader("Loader:ExtractorMediaPeriod");
    private final d Q0;
    private final com.google.android.exoplayer2.util.f R0;
    private final Runnable S0;
    private final Runnable T0;
    private final Handler U0;
    @Nullable
    private r.a V0;
    private m W0;
    private w[] X0;
    private int[] Y0;
    private boolean Z0;
    private boolean a1;

    /* renamed from: b  reason: collision with root package name */
    private final Uri f9031b;
    private int b1;
    private boolean c1;
    private boolean d1;
    private boolean e1;
    private int f1;
    private TrackGroupArray g1;
    private long h1;
    private boolean[] i1;
    private boolean[] j1;
    private boolean[] k1;
    private boolean l1;
    private long m1;
    private long n1;
    private long o1;
    private boolean p1;
    private int q1;
    private boolean r1;
    private boolean s1;

    /* compiled from: ExtractorMediaPeriod */
    class a implements Runnable {
        a() {
        }

        public void run() {
            n.this.I();
        }
    }

    /* compiled from: ExtractorMediaPeriod */
    class b implements Runnable {
        b() {
        }

        public void run() {
            if (!n.this.s1) {
                n.this.V0.k(n.this);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ExtractorMediaPeriod */
    public final class c implements Loader.c {

        /* renamed from: a  reason: collision with root package name */
        private final Uri f9034a;

        /* renamed from: b  reason: collision with root package name */
        private final h f9035b;

        /* renamed from: c  reason: collision with root package name */
        private final d f9036c;

        /* renamed from: d  reason: collision with root package name */
        private final com.google.android.exoplayer2.util.f f9037d;

        /* renamed from: e  reason: collision with root package name */
        private final l f9038e = new l();
        private volatile boolean f;
        private boolean g = true;
        private long h;
        private DataSpec i;
        private long j = -1;
        private long k;

        public c(Uri uri, h hVar, d dVar, com.google.android.exoplayer2.util.f fVar) {
            this.f9034a = (Uri) com.google.android.exoplayer2.util.a.g(uri);
            this.f9035b = (h) com.google.android.exoplayer2.util.a.g(hVar);
            this.f9036c = (d) com.google.android.exoplayer2.util.a.g(dVar);
            this.f9037d = fVar;
        }

        @Override // com.google.android.exoplayer2.upstream.Loader.c
        public void a() throws IOException, InterruptedException {
            Throwable th;
            int i2 = 0;
            while (i2 == 0 && !this.f) {
                com.google.android.exoplayer2.g0.b bVar = null;
                try {
                    long j2 = this.f9038e.f8429a;
                    DataSpec dataSpec = new DataSpec(this.f9034a, j2, -1, n.this.N0);
                    this.i = dataSpec;
                    long o = this.f9035b.o(dataSpec);
                    this.j = o;
                    if (o != -1) {
                        this.j = o + j2;
                    }
                    com.google.android.exoplayer2.g0.b bVar2 = new com.google.android.exoplayer2.g0.b(this.f9035b, j2, this.j);
                    try {
                        com.google.android.exoplayer2.g0.e b2 = this.f9036c.b(bVar2, this.f9035b.getUri());
                        if (this.g) {
                            b2.f(j2, this.h);
                            this.g = false;
                        }
                        while (i2 == 0 && !this.f) {
                            this.f9037d.a();
                            i2 = b2.d(bVar2, this.f9038e);
                            if (bVar2.getPosition() > n.this.O0 + j2) {
                                j2 = bVar2.getPosition();
                                this.f9037d.c();
                                n.this.U0.post(n.this.T0);
                            }
                        }
                        if (i2 == 1) {
                            i2 = 0;
                        } else {
                            this.f9038e.f8429a = bVar2.getPosition();
                            this.k = this.f9038e.f8429a - this.i.f9392e;
                        }
                        b0.j(this.f9035b);
                    } catch (Throwable th2) {
                        th = th2;
                        bVar = bVar2;
                        if (!(i2 == 1 || bVar == null)) {
                            this.f9038e.f8429a = bVar.getPosition();
                            this.k = this.f9038e.f8429a - this.i.f9392e;
                        }
                        b0.j(this.f9035b);
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    this.f9038e.f8429a = bVar.getPosition();
                    this.k = this.f9038e.f8429a - this.i.f9392e;
                    b0.j(this.f9035b);
                    throw th;
                }
            }
        }

        @Override // com.google.android.exoplayer2.upstream.Loader.c
        public void b() {
            this.f = true;
        }

        public void g(long j2, long j3) {
            this.f9038e.f8429a = j2;
            this.h = j3;
            this.g = true;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ExtractorMediaPeriod */
    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        private final com.google.android.exoplayer2.g0.e[] f9039a;

        /* renamed from: b  reason: collision with root package name */
        private final g f9040b;

        /* renamed from: c  reason: collision with root package name */
        private com.google.android.exoplayer2.g0.e f9041c;

        public d(com.google.android.exoplayer2.g0.e[] eVarArr, g gVar) {
            this.f9039a = eVarArr;
            this.f9040b = gVar;
        }

        public void a() {
            com.google.android.exoplayer2.g0.e eVar = this.f9041c;
            if (eVar != null) {
                eVar.release();
                this.f9041c = null;
            }
        }

        public com.google.android.exoplayer2.g0.e b(com.google.android.exoplayer2.g0.f fVar, Uri uri) throws IOException, InterruptedException {
            com.google.android.exoplayer2.g0.e eVar = this.f9041c;
            if (eVar != null) {
                return eVar;
            }
            com.google.android.exoplayer2.g0.e[] eVarArr = this.f9039a;
            int length = eVarArr.length;
            int i = 0;
            while (true) {
                if (i >= length) {
                    break;
                }
                com.google.android.exoplayer2.g0.e eVar2 = eVarArr[i];
                try {
                    if (eVar2.b(fVar)) {
                        this.f9041c = eVar2;
                        fVar.i();
                        break;
                    }
                    fVar.i();
                    i++;
                } catch (EOFException unused) {
                } catch (Throwable th) {
                    fVar.i();
                    throw th;
                }
            }
            com.google.android.exoplayer2.g0.e eVar3 = this.f9041c;
            if (eVar3 != null) {
                eVar3.e(this.f9040b);
                return this.f9041c;
            }
            throw new UnrecognizedInputFormatException("None of the available extractors (" + b0.B(this.f9039a) + ") could read the stream.", uri);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ExtractorMediaPeriod */
    public interface e {
        void k(long j, boolean z);
    }

    /* compiled from: ExtractorMediaPeriod */
    private final class f implements x {

        /* renamed from: a  reason: collision with root package name */
        private final int f9042a;

        public f(int i) {
            this.f9042a = i;
        }

        @Override // com.google.android.exoplayer2.source.x
        public void a() throws IOException {
            n.this.L();
        }

        @Override // com.google.android.exoplayer2.source.x
        public int g(com.google.android.exoplayer2.m mVar, DecoderInputBuffer decoderInputBuffer, boolean z) {
            return n.this.P(this.f9042a, mVar, decoderInputBuffer, z);
        }

        @Override // com.google.android.exoplayer2.source.x
        public boolean isReady() {
            return n.this.H(this.f9042a);
        }

        @Override // com.google.android.exoplayer2.source.x
        public int k(long j) {
            return n.this.S(this.f9042a, j);
        }
    }

    public n(Uri uri, h hVar, com.google.android.exoplayer2.g0.e[] eVarArr, int i, t.a aVar, e eVar, com.google.android.exoplayer2.upstream.b bVar, @Nullable String str, int i2) {
        this.f9031b = uri;
        this.I0 = hVar;
        this.J0 = i;
        this.K0 = aVar;
        this.L0 = eVar;
        this.M0 = bVar;
        this.N0 = str;
        this.O0 = (long) i2;
        this.Q0 = new d(eVarArr, this);
        this.R0 = new com.google.android.exoplayer2.util.f();
        this.S0 = new a();
        this.T0 = new b();
        this.U0 = new Handler();
        this.Y0 = new int[0];
        this.X0 = new w[0];
        this.o1 = C.f7870b;
        this.m1 = -1;
        this.h1 = C.f7870b;
        this.b1 = i == -1 ? 3 : i;
        aVar.q();
    }

    private boolean B(c cVar, int i) {
        m mVar;
        if (this.m1 == -1 && ((mVar = this.W0) == null || mVar.h() == C.f7870b)) {
            if (!this.a1 || U()) {
                this.d1 = this.a1;
                this.n1 = 0;
                this.q1 = 0;
                for (w wVar : this.X0) {
                    wVar.C();
                }
                cVar.g(0, 0);
                return true;
            }
            this.p1 = true;
            return false;
        }
        this.q1 = i;
        return true;
    }

    private void C(c cVar) {
        if (this.m1 == -1) {
            this.m1 = cVar.j;
        }
    }

    private int D() {
        int i = 0;
        for (w wVar : this.X0) {
            i += wVar.t();
        }
        return i;
    }

    private long E() {
        long j = Long.MIN_VALUE;
        for (w wVar : this.X0) {
            j = Math.max(j, wVar.q());
        }
        return j;
    }

    private static boolean F(IOException iOException) {
        return iOException instanceof UnrecognizedInputFormatException;
    }

    private boolean G() {
        return this.o1 != C.f7870b;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void I() {
        if (!(this.s1 || this.a1 || this.W0 == null || !this.Z0)) {
            for (w wVar : this.X0) {
                if (wVar.s() == null) {
                    return;
                }
            }
            this.R0.c();
            int length = this.X0.length;
            TrackGroup[] trackGroupArr = new TrackGroup[length];
            this.j1 = new boolean[length];
            this.i1 = new boolean[length];
            this.k1 = new boolean[length];
            this.h1 = this.W0.h();
            int i = 0;
            while (true) {
                boolean z = true;
                if (i >= length) {
                    break;
                }
                Format s = this.X0[i].s();
                trackGroupArr[i] = new TrackGroup(s);
                String str = s.N0;
                if (!com.google.android.exoplayer2.util.n.n(str) && !com.google.android.exoplayer2.util.n.l(str)) {
                    z = false;
                }
                this.j1[i] = z;
                this.l1 = z | this.l1;
                i++;
            }
            this.g1 = new TrackGroupArray(trackGroupArr);
            if (this.J0 == -1 && this.m1 == -1 && this.W0.h() == C.f7870b) {
                this.b1 = 6;
            }
            this.a1 = true;
            this.L0.k(this.h1, this.W0.c());
            this.V0.l(this);
        }
    }

    private void J(int i) {
        if (!this.k1[i]) {
            Format a2 = this.g1.a(i).a(0);
            this.K0.c(com.google.android.exoplayer2.util.n.g(a2.N0), a2, 0, null, this.n1);
            this.k1[i] = true;
        }
    }

    private void K(int i) {
        if (this.p1 && this.j1[i] && !this.X0[i].u()) {
            this.o1 = 0;
            this.p1 = false;
            this.d1 = true;
            this.n1 = 0;
            this.q1 = 0;
            for (w wVar : this.X0) {
                wVar.C();
            }
            this.V0.k(this);
        }
    }

    private boolean R(long j) {
        int length = this.X0.length;
        int i = 0;
        while (true) {
            boolean z = true;
            if (i >= length) {
                return true;
            }
            w wVar = this.X0[i];
            wVar.E();
            if (wVar.f(j, true, false) == -1) {
                z = false;
            }
            if (z || (!this.j1[i] && this.l1)) {
                i++;
            }
        }
        return false;
    }

    private void T() {
        c cVar = new c(this.f9031b, this.I0, this.Q0, this.R0);
        if (this.a1) {
            com.google.android.exoplayer2.util.a.i(G());
            long j = this.h1;
            if (j == C.f7870b || this.o1 < j) {
                cVar.g(this.W0.g(this.o1).f8430a.f8436c, this.o1);
                this.o1 = C.f7870b;
            } else {
                this.r1 = true;
                this.o1 = C.f7870b;
                return;
            }
        }
        this.q1 = D();
        this.K0.o(cVar.i, 1, -1, null, 0, null, cVar.h, this.h1, this.P0.k(cVar, this, this.b1));
    }

    private boolean U() {
        return this.d1 || G();
    }

    /* access modifiers changed from: package-private */
    public boolean H(int i) {
        return !U() && (this.r1 || this.X0[i].u());
    }

    /* access modifiers changed from: package-private */
    public void L() throws IOException {
        this.P0.b(this.b1);
    }

    /* renamed from: M */
    public void j(c cVar, long j, long j2, boolean z) {
        this.K0.f(cVar.i, 1, -1, null, 0, null, cVar.h, this.h1, j, j2, cVar.k);
        if (!z) {
            C(cVar);
            for (w wVar : this.X0) {
                wVar.C();
            }
            if (this.f1 > 0) {
                this.V0.k(this);
            }
        }
    }

    /* renamed from: N */
    public void l(c cVar, long j, long j2) {
        if (this.h1 == C.f7870b) {
            long E = E();
            long j3 = E == Long.MIN_VALUE ? 0 : E + 10000;
            this.h1 = j3;
            this.L0.k(j3, this.W0.c());
        }
        this.K0.i(cVar.i, 1, -1, null, 0, null, cVar.h, this.h1, j, j2, cVar.k);
        C(cVar);
        this.r1 = true;
        this.V0.k(this);
    }

    /* renamed from: O */
    public int p(c cVar, long j, long j2, IOException iOException) {
        boolean z;
        c cVar2;
        boolean F = F(iOException);
        this.K0.l(cVar.i, 1, -1, null, 0, null, cVar.h, this.h1, j, j2, cVar.k, iOException, F);
        C(cVar);
        if (F) {
            return 3;
        }
        int D = D();
        if (D > this.q1) {
            cVar2 = cVar;
            z = true;
        } else {
            cVar2 = cVar;
            z = false;
        }
        if (!B(cVar2, D)) {
            return 2;
        }
        if (z) {
            return 1;
        }
        return 0;
    }

    /* access modifiers changed from: package-private */
    public int P(int i, com.google.android.exoplayer2.m mVar, DecoderInputBuffer decoderInputBuffer, boolean z) {
        if (U()) {
            return -3;
        }
        int y = this.X0[i].y(mVar, decoderInputBuffer, z, this.r1, this.n1);
        if (y == -4) {
            J(i);
        } else if (y == -3) {
            K(i);
        }
        return y;
    }

    public void Q() {
        if (this.a1) {
            for (w wVar : this.X0) {
                wVar.k();
            }
        }
        this.P0.j(this);
        this.U0.removeCallbacksAndMessages(null);
        this.V0 = null;
        this.s1 = true;
        this.K0.r();
    }

    /* access modifiers changed from: package-private */
    public int S(int i, long j) {
        int i2 = 0;
        if (U()) {
            return 0;
        }
        w wVar = this.X0[i];
        if (!this.r1 || j <= wVar.q()) {
            int f2 = wVar.f(j, true, true);
            if (f2 != -1) {
                i2 = f2;
            }
        } else {
            i2 = wVar.g();
        }
        if (i2 > 0) {
            J(i);
        } else {
            K(i);
        }
        return i2;
    }

    @Override // com.google.android.exoplayer2.g0.g
    public o a(int i, int i2) {
        int length = this.X0.length;
        for (int i3 = 0; i3 < length; i3++) {
            if (this.Y0[i3] == i) {
                return this.X0[i3];
            }
        }
        w wVar = new w(this.M0);
        wVar.H(this);
        int i4 = length + 1;
        int[] copyOf = Arrays.copyOf(this.Y0, i4);
        this.Y0 = copyOf;
        copyOf[length] = i;
        w[] wVarArr = (w[]) Arrays.copyOf(this.X0, i4);
        this.X0 = wVarArr;
        wVarArr[length] = wVar;
        return wVar;
    }

    @Override // com.google.android.exoplayer2.source.r, com.google.android.exoplayer2.source.y
    public long b() {
        if (this.f1 == 0) {
            return Long.MIN_VALUE;
        }
        return e();
    }

    @Override // com.google.android.exoplayer2.source.r, com.google.android.exoplayer2.source.y
    public boolean c(long j) {
        if (this.r1 || this.p1) {
            return false;
        }
        if (this.a1 && this.f1 == 0) {
            return false;
        }
        boolean d2 = this.R0.d();
        if (this.P0.h()) {
            return d2;
        }
        T();
        return true;
    }

    @Override // com.google.android.exoplayer2.source.r
    public long d(long j, a0 a0Var) {
        if (!this.W0.c()) {
            return 0;
        }
        m.a g = this.W0.g(j);
        return b0.j0(j, a0Var, g.f8430a.f8435b, g.f8431b.f8435b);
    }

    @Override // com.google.android.exoplayer2.source.r, com.google.android.exoplayer2.source.y
    public long e() {
        long j;
        if (this.r1) {
            return Long.MIN_VALUE;
        }
        if (G()) {
            return this.o1;
        }
        if (this.l1) {
            j = Long.MAX_VALUE;
            int length = this.X0.length;
            for (int i = 0; i < length; i++) {
                if (this.j1[i]) {
                    j = Math.min(j, this.X0[i].q());
                }
            }
        } else {
            j = E();
        }
        return j == Long.MIN_VALUE ? this.n1 : j;
    }

    @Override // com.google.android.exoplayer2.source.r, com.google.android.exoplayer2.source.y
    public void f(long j) {
    }

    @Override // com.google.android.exoplayer2.g0.g
    public void g(m mVar) {
        this.W0 = mVar;
        this.U0.post(this.S0);
    }

    @Override // com.google.android.exoplayer2.upstream.Loader.d
    public void h() {
        for (w wVar : this.X0) {
            wVar.C();
        }
        this.Q0.a();
    }

    @Override // com.google.android.exoplayer2.source.r
    public long i(com.google.android.exoplayer2.trackselection.f[] fVarArr, boolean[] zArr, x[] xVarArr, boolean[] zArr2, long j) {
        com.google.android.exoplayer2.util.a.i(this.a1);
        int i = this.f1;
        int i2 = 0;
        for (int i3 = 0; i3 < fVarArr.length; i3++) {
            if (xVarArr[i3] != null && (fVarArr[i3] == null || !zArr[i3])) {
                int i4 = ((f) xVarArr[i3]).f9042a;
                com.google.android.exoplayer2.util.a.i(this.i1[i4]);
                this.f1--;
                this.i1[i4] = false;
                xVarArr[i3] = null;
            }
        }
        boolean z = !this.c1 ? j != 0 : i == 0;
        for (int i5 = 0; i5 < fVarArr.length; i5++) {
            if (xVarArr[i5] == null && fVarArr[i5] != null) {
                com.google.android.exoplayer2.trackselection.f fVar = fVarArr[i5];
                com.google.android.exoplayer2.util.a.i(fVar.length() == 1);
                com.google.android.exoplayer2.util.a.i(fVar.g(0) == 0);
                int b2 = this.g1.b(fVar.a());
                com.google.android.exoplayer2.util.a.i(!this.i1[b2]);
                this.f1++;
                this.i1[b2] = true;
                xVarArr[i5] = new f(b2);
                zArr2[i5] = true;
                if (!z) {
                    w wVar = this.X0[b2];
                    wVar.E();
                    z = wVar.f(j, true, true) == -1 && wVar.r() != 0;
                }
            }
        }
        if (this.f1 == 0) {
            this.p1 = false;
            this.d1 = false;
            if (this.P0.h()) {
                w[] wVarArr = this.X0;
                int length = wVarArr.length;
                while (i2 < length) {
                    wVarArr[i2].k();
                    i2++;
                }
                this.P0.g();
            } else {
                w[] wVarArr2 = this.X0;
                int length2 = wVarArr2.length;
                while (i2 < length2) {
                    wVarArr2[i2].C();
                    i2++;
                }
            }
        } else if (z) {
            j = n(j);
            while (i2 < xVarArr.length) {
                if (xVarArr[i2] != null) {
                    zArr2[i2] = true;
                }
                i2++;
            }
        }
        this.c1 = true;
        return j;
    }

    @Override // com.google.android.exoplayer2.source.w.b
    public void k(Format format) {
        this.U0.post(this.S0);
    }

    @Override // com.google.android.exoplayer2.source.r
    public void m() throws IOException {
        L();
    }

    @Override // com.google.android.exoplayer2.source.r
    public long n(long j) {
        if (!this.W0.c()) {
            j = 0;
        }
        this.n1 = j;
        this.d1 = false;
        if (!G() && R(j)) {
            return j;
        }
        this.p1 = false;
        this.o1 = j;
        this.r1 = false;
        if (this.P0.h()) {
            this.P0.g();
        } else {
            for (w wVar : this.X0) {
                wVar.C();
            }
        }
        return j;
    }

    @Override // com.google.android.exoplayer2.g0.g
    public void o() {
        this.Z0 = true;
        this.U0.post(this.S0);
    }

    @Override // com.google.android.exoplayer2.source.r
    public long q() {
        if (!this.e1) {
            this.K0.t();
            this.e1 = true;
        }
        if (!this.d1) {
            return C.f7870b;
        }
        if (!this.r1 && D() <= this.q1) {
            return C.f7870b;
        }
        this.d1 = false;
        return this.n1;
    }

    @Override // com.google.android.exoplayer2.source.r
    public void r(r.a aVar, long j) {
        this.V0 = aVar;
        this.R0.d();
        T();
    }

    @Override // com.google.android.exoplayer2.source.r
    public TrackGroupArray s() {
        return this.g1;
    }

    @Override // com.google.android.exoplayer2.source.r
    public void t(long j, boolean z) {
        int length = this.X0.length;
        for (int i = 0; i < length; i++) {
            this.X0[i].j(j, z, this.i1[i]);
        }
    }
}
