package com.google.android.exoplayer2.source.smoothstreaming.manifest;

import android.net.Uri;
import android.text.TextUtils;
import android.util.Base64;
import android.util.Pair;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.ParserException;
import com.google.android.exoplayer2.drm.DrmInitData;
import com.google.android.exoplayer2.source.smoothstreaming.manifest.a;
import com.google.android.exoplayer2.upstream.s;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.n;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.Collections;
import java.util.LinkedList;
import java.util.List;
import java.util.UUID;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
import org.xmlpull.v1.XmlPullParserFactory;

public class SsManifestParser implements s.a<a> {

    /* renamed from: a  reason: collision with root package name */
    private final XmlPullParserFactory f9056a;

    public static class MissingFieldException extends ParserException {
        public MissingFieldException(String str) {
            super("Missing required field: " + str);
        }
    }

    /* access modifiers changed from: private */
    public static abstract class a {

        /* renamed from: a  reason: collision with root package name */
        private final String f9057a;

        /* renamed from: b  reason: collision with root package name */
        private final String f9058b;

        /* renamed from: c  reason: collision with root package name */
        private final a f9059c;

        /* renamed from: d  reason: collision with root package name */
        private final List<Pair<String, Object>> f9060d = new LinkedList();

        public a(a aVar, String str, String str2) {
            this.f9059c = aVar;
            this.f9057a = str;
            this.f9058b = str2;
        }

        private a e(a aVar, String str, String str2) {
            if (c.f9062e.equals(str)) {
                return new c(aVar, str2);
            }
            if (b.f9061e.equals(str)) {
                return new b(aVar, str2);
            }
            if (e.f9064e.equals(str)) {
                return new e(aVar, str2);
            }
            return null;
        }

        /* access modifiers changed from: protected */
        public void a(Object obj) {
        }

        /* access modifiers changed from: protected */
        public abstract Object b();

        /* access modifiers changed from: protected */
        public final Object c(String str) {
            for (int i = 0; i < this.f9060d.size(); i++) {
                Pair<String, Object> pair = this.f9060d.get(i);
                if (((String) pair.first).equals(str)) {
                    return pair.second;
                }
            }
            a aVar = this.f9059c;
            if (aVar == null) {
                return null;
            }
            return aVar.c(str);
        }

        /* access modifiers changed from: protected */
        public boolean d(String str) {
            return false;
        }

        public final Object f(XmlPullParser xmlPullParser) throws XmlPullParserException, IOException {
            boolean z = false;
            int i = 0;
            while (true) {
                int eventType = xmlPullParser.getEventType();
                if (eventType == 1) {
                    return null;
                }
                if (eventType == 2) {
                    String name = xmlPullParser.getName();
                    if (this.f9058b.equals(name)) {
                        n(xmlPullParser);
                        z = true;
                    } else if (z) {
                        if (i > 0) {
                            i++;
                        } else if (d(name)) {
                            n(xmlPullParser);
                        } else {
                            a e2 = e(this, name, this.f9057a);
                            if (e2 == null) {
                                i = 1;
                            } else {
                                a(e2.f(xmlPullParser));
                            }
                        }
                    }
                } else if (eventType != 3) {
                    if (eventType == 4 && z && i == 0) {
                        o(xmlPullParser);
                    }
                } else if (!z) {
                    continue;
                } else if (i > 0) {
                    i--;
                } else {
                    String name2 = xmlPullParser.getName();
                    h(xmlPullParser);
                    if (!d(name2)) {
                        return b();
                    }
                }
                xmlPullParser.next();
            }
        }

        /* access modifiers changed from: protected */
        public final boolean g(XmlPullParser xmlPullParser, String str, boolean z) {
            String attributeValue = xmlPullParser.getAttributeValue(null, str);
            return attributeValue != null ? Boolean.parseBoolean(attributeValue) : z;
        }

        /* access modifiers changed from: protected */
        public void h(XmlPullParser xmlPullParser) {
        }

        /* access modifiers changed from: protected */
        public final int i(XmlPullParser xmlPullParser, String str, int i) throws ParserException {
            String attributeValue = xmlPullParser.getAttributeValue(null, str);
            if (attributeValue == null) {
                return i;
            }
            try {
                return Integer.parseInt(attributeValue);
            } catch (NumberFormatException e2) {
                throw new ParserException(e2);
            }
        }

        /* access modifiers changed from: protected */
        public final long j(XmlPullParser xmlPullParser, String str, long j) throws ParserException {
            String attributeValue = xmlPullParser.getAttributeValue(null, str);
            if (attributeValue == null) {
                return j;
            }
            try {
                return Long.parseLong(attributeValue);
            } catch (NumberFormatException e2) {
                throw new ParserException(e2);
            }
        }

        /* access modifiers changed from: protected */
        public final int k(XmlPullParser xmlPullParser, String str) throws ParserException {
            String attributeValue = xmlPullParser.getAttributeValue(null, str);
            if (attributeValue != null) {
                try {
                    return Integer.parseInt(attributeValue);
                } catch (NumberFormatException e2) {
                    throw new ParserException(e2);
                }
            } else {
                throw new MissingFieldException(str);
            }
        }

        /* access modifiers changed from: protected */
        public final long l(XmlPullParser xmlPullParser, String str) throws ParserException {
            String attributeValue = xmlPullParser.getAttributeValue(null, str);
            if (attributeValue != null) {
                try {
                    return Long.parseLong(attributeValue);
                } catch (NumberFormatException e2) {
                    throw new ParserException(e2);
                }
            } else {
                throw new MissingFieldException(str);
            }
        }

        /* access modifiers changed from: protected */
        public final String m(XmlPullParser xmlPullParser, String str) throws MissingFieldException {
            String attributeValue = xmlPullParser.getAttributeValue(null, str);
            if (attributeValue != null) {
                return attributeValue;
            }
            throw new MissingFieldException(str);
        }

        /* access modifiers changed from: protected */
        public void n(XmlPullParser xmlPullParser) throws ParserException {
        }

        /* access modifiers changed from: protected */
        public void o(XmlPullParser xmlPullParser) {
        }

        /* access modifiers changed from: protected */
        public final void p(String str, Object obj) {
            this.f9060d.add(Pair.create(str, obj));
        }
    }

    /* access modifiers changed from: private */
    public static class b extends a {

        /* renamed from: e  reason: collision with root package name */
        public static final String f9061e = "Protection";
        public static final String f = "ProtectionHeader";
        public static final String g = "SystemID";
        private boolean h;
        private UUID i;
        private byte[] j;

        public b(a aVar, String str) {
            super(aVar, str, f9061e);
        }

        private static String q(String str) {
            return (str.charAt(0) == '{' && str.charAt(str.length() - 1) == '}') ? str.substring(1, str.length() - 1) : str;
        }

        @Override // com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser.a
        public Object b() {
            UUID uuid = this.i;
            return new a.C0220a(uuid, com.google.android.exoplayer2.extractor.mp4.e.a(uuid, this.j));
        }

        @Override // com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser.a
        public boolean d(String str) {
            return f.equals(str);
        }

        @Override // com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser.a
        public void h(XmlPullParser xmlPullParser) {
            if (f.equals(xmlPullParser.getName())) {
                this.h = false;
            }
        }

        @Override // com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser.a
        public void n(XmlPullParser xmlPullParser) {
            if (f.equals(xmlPullParser.getName())) {
                this.h = true;
                this.i = UUID.fromString(q(xmlPullParser.getAttributeValue(null, g)));
            }
        }

        @Override // com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser.a
        public void o(XmlPullParser xmlPullParser) {
            if (this.h) {
                this.j = Base64.decode(xmlPullParser.getText(), 0);
            }
        }
    }

    /* access modifiers changed from: private */
    public static class c extends a {

        /* renamed from: e  reason: collision with root package name */
        public static final String f9062e = "QualityLevel";
        private static final String f = "Index";
        private static final String g = "Bitrate";
        private static final String h = "CodecPrivateData";
        private static final String i = "SamplingRate";
        private static final String j = "Channels";
        private static final String k = "FourCC";
        private static final String l = "Type";
        private static final String m = "Language";
        private static final String n = "MaxWidth";
        private static final String o = "MaxHeight";
        private Format p;

        public c(a aVar, String str) {
            super(aVar, str, f9062e);
        }

        private static List<byte[]> q(String str) {
            ArrayList arrayList = new ArrayList();
            if (!TextUtils.isEmpty(str)) {
                byte[] z = b0.z(str);
                byte[][] k2 = com.google.android.exoplayer2.util.d.k(z);
                if (k2 == null) {
                    arrayList.add(z);
                } else {
                    Collections.addAll(arrayList, k2);
                }
            }
            return arrayList;
        }

        private static String r(String str) {
            if (str.equalsIgnoreCase("H264") || str.equalsIgnoreCase("X264") || str.equalsIgnoreCase("AVC1") || str.equalsIgnoreCase("DAVC")) {
                return n.h;
            }
            if (str.equalsIgnoreCase("AAC") || str.equalsIgnoreCase("AACL") || str.equalsIgnoreCase("AACH") || str.equalsIgnoreCase("AACP")) {
                return n.r;
            }
            if (str.equalsIgnoreCase("TTML")) {
                return n.Z;
            }
            if (str.equalsIgnoreCase("ac-3") || str.equalsIgnoreCase("dac3")) {
                return n.z;
            }
            if (str.equalsIgnoreCase("ec-3") || str.equalsIgnoreCase("dec3")) {
                return n.A;
            }
            if (str.equalsIgnoreCase("dtsc")) {
                return n.D;
            }
            if (str.equalsIgnoreCase("dtsh") || str.equalsIgnoreCase("dtsl")) {
                return n.E;
            }
            if (str.equalsIgnoreCase("dtse")) {
                return n.F;
            }
            if (str.equalsIgnoreCase("opus")) {
                return n.H;
            }
            return null;
        }

        @Override // com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser.a
        public Object b() {
            return this.p;
        }

        @Override // com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser.a
        public void n(XmlPullParser xmlPullParser) throws ParserException {
            int intValue = ((Integer) c(l)).intValue();
            String attributeValue = xmlPullParser.getAttributeValue(null, f);
            int k2 = k(xmlPullParser, g);
            String r = r(m(xmlPullParser, k));
            if (intValue == 2) {
                this.p = Format.x(attributeValue, "video/mp4", r, null, k2, k(xmlPullParser, n), k(xmlPullParser, o), -1.0f, q(xmlPullParser.getAttributeValue(null, h)), 0);
            } else if (intValue == 1) {
                if (r == null) {
                    r = n.r;
                }
                int k3 = k(xmlPullParser, j);
                int k4 = k(xmlPullParser, i);
                List<byte[]> q = q(xmlPullParser.getAttributeValue(null, h));
                if (q.isEmpty() && n.r.equals(r)) {
                    q = Collections.singletonList(com.google.android.exoplayer2.util.d.b(k4, k3));
                }
                this.p = Format.i(attributeValue, n.q, r, null, k2, k3, k4, q, 0, (String) c(m));
            } else if (intValue == 3) {
                this.p = Format.q(attributeValue, n.Q, r, null, k2, 0, (String) c(m));
            } else {
                this.p = Format.m(attributeValue, n.Q, r, null, k2, 0, null);
            }
        }
    }

    /* access modifiers changed from: private */
    public static class d extends a {

        /* renamed from: e  reason: collision with root package name */
        public static final String f9063e = "SmoothStreamingMedia";
        private static final String f = "MajorVersion";
        private static final String g = "MinorVersion";
        private static final String h = "TimeScale";
        private static final String i = "DVRWindowLength";
        private static final String j = "Duration";
        private static final String k = "LookaheadCount";
        private static final String l = "IsLive";
        private final List<a.b> m = new LinkedList();
        private int n;
        private int o;
        private long p;
        private long q;
        private long r;
        private int s = -1;
        private boolean t;
        private a.C0220a u = null;

        public d(a aVar, String str) {
            super(aVar, str, f9063e);
        }

        @Override // com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser.a
        public void a(Object obj) {
            if (obj instanceof a.b) {
                this.m.add((a.b) obj);
            } else if (obj instanceof a.C0220a) {
                com.google.android.exoplayer2.util.a.i(this.u == null);
                this.u = (a.C0220a) obj;
            }
        }

        @Override // com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser.a
        public Object b() {
            int size = this.m.size();
            a.b[] bVarArr = new a.b[size];
            this.m.toArray(bVarArr);
            if (this.u != null) {
                a.C0220a aVar = this.u;
                DrmInitData drmInitData = new DrmInitData(new DrmInitData.SchemeData(aVar.f9070a, "video/mp4", aVar.f9071b));
                for (int i2 = 0; i2 < size; i2++) {
                    a.b bVar = bVarArr[i2];
                    int i3 = 0;
                    while (true) {
                        Format[] formatArr = bVar.n;
                        if (i3 >= formatArr.length) {
                            break;
                        }
                        formatArr[i3] = formatArr[i3].b(drmInitData);
                        i3++;
                    }
                }
            }
            return new a(this.n, this.o, this.p, this.q, this.r, this.s, this.t, this.u, bVarArr);
        }

        @Override // com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser.a
        public void n(XmlPullParser xmlPullParser) throws ParserException {
            this.n = k(xmlPullParser, f);
            this.o = k(xmlPullParser, g);
            this.p = j(xmlPullParser, h, 10000000);
            this.q = l(xmlPullParser, j);
            this.r = j(xmlPullParser, i, 0);
            this.s = i(xmlPullParser, k, -1);
            this.t = g(xmlPullParser, l, false);
            p(h, Long.valueOf(this.p));
        }
    }

    /* access modifiers changed from: private */
    public static class e extends a {

        /* renamed from: e  reason: collision with root package name */
        public static final String f9064e = "StreamIndex";
        private static final String f = "c";
        private static final String g = "Type";
        private static final String h = "audio";
        private static final String i = "video";
        private static final String j = "text";
        private static final String k = "Subtype";
        private static final String l = "Name";
        private static final String m = "Url";
        private static final String n = "MaxWidth";
        private static final String o = "MaxHeight";
        private static final String p = "DisplayWidth";
        private static final String q = "DisplayHeight";
        private static final String r = "Language";
        private static final String s = "TimeScale";
        private static final String t = "d";
        private static final String u = "t";
        private static final String v = "r";
        private long A;
        private String B;
        private String C;
        private int D;
        private int E;
        private int F;
        private int G;
        private String H;
        private ArrayList<Long> I;
        private long J;
        private final String w;
        private final List<Format> x = new LinkedList();
        private int y;
        private String z;

        public e(a aVar, String str) {
            super(aVar, str, f9064e);
            this.w = str;
        }

        private void q(XmlPullParser xmlPullParser) throws ParserException {
            int s2 = s(xmlPullParser);
            this.y = s2;
            p(g, Integer.valueOf(s2));
            if (this.y == 3) {
                this.z = m(xmlPullParser, k);
            } else {
                this.z = xmlPullParser.getAttributeValue(null, k);
            }
            this.B = xmlPullParser.getAttributeValue(null, l);
            this.C = m(xmlPullParser, m);
            this.D = i(xmlPullParser, n, -1);
            this.E = i(xmlPullParser, o, -1);
            this.F = i(xmlPullParser, p, -1);
            this.G = i(xmlPullParser, q, -1);
            String attributeValue = xmlPullParser.getAttributeValue(null, r);
            this.H = attributeValue;
            p(r, attributeValue);
            long i2 = (long) i(xmlPullParser, s, -1);
            this.A = i2;
            if (i2 == -1) {
                this.A = ((Long) c(s)).longValue();
            }
            this.I = new ArrayList<>();
        }

        private void r(XmlPullParser xmlPullParser) throws ParserException {
            int size = this.I.size();
            long j2 = j(xmlPullParser, u, C.f7870b);
            int i2 = 1;
            if (j2 == C.f7870b) {
                if (size == 0) {
                    j2 = 0;
                } else if (this.J != -1) {
                    j2 = this.I.get(size - 1).longValue() + this.J;
                } else {
                    throw new ParserException("Unable to infer start time");
                }
            }
            this.I.add(Long.valueOf(j2));
            this.J = j(xmlPullParser, "d", C.f7870b);
            long j3 = j(xmlPullParser, v, 1);
            if (j3 <= 1 || this.J != C.f7870b) {
                while (true) {
                    long j4 = (long) i2;
                    if (j4 < j3) {
                        this.I.add(Long.valueOf((this.J * j4) + j2));
                        i2++;
                    } else {
                        return;
                    }
                }
            } else {
                throw new ParserException("Repeated chunk with unspecified duration");
            }
        }

        private int s(XmlPullParser xmlPullParser) throws ParserException {
            String attributeValue = xmlPullParser.getAttributeValue(null, g);
            if (attributeValue == null) {
                throw new MissingFieldException(g);
            } else if ("audio".equalsIgnoreCase(attributeValue)) {
                return 1;
            } else {
                if ("video".equalsIgnoreCase(attributeValue)) {
                    return 2;
                }
                if ("text".equalsIgnoreCase(attributeValue)) {
                    return 3;
                }
                throw new ParserException("Invalid key value[" + attributeValue + "]");
            }
        }

        @Override // com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser.a
        public void a(Object obj) {
            if (obj instanceof Format) {
                this.x.add((Format) obj);
            }
        }

        @Override // com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser.a
        public Object b() {
            Format[] formatArr = new Format[this.x.size()];
            this.x.toArray(formatArr);
            return new a.b(this.w, this.C, this.y, this.z, this.A, this.B, this.D, this.E, this.F, this.G, this.H, formatArr, this.I, this.J);
        }

        @Override // com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser.a
        public boolean d(String str) {
            return f.equals(str);
        }

        @Override // com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser.a
        public void n(XmlPullParser xmlPullParser) throws ParserException {
            if (f.equals(xmlPullParser.getName())) {
                r(xmlPullParser);
            } else {
                q(xmlPullParser);
            }
        }
    }

    public SsManifestParser() {
        try {
            this.f9056a = XmlPullParserFactory.newInstance();
        } catch (XmlPullParserException e2) {
            throw new RuntimeException("Couldn't create XmlPullParserFactory instance", e2);
        }
    }

    /* renamed from: b */
    public a a(Uri uri, InputStream inputStream) throws IOException {
        try {
            XmlPullParser newPullParser = this.f9056a.newPullParser();
            newPullParser.setInput(inputStream, null);
            return (a) new d(null, uri.toString()).f(newPullParser);
        } catch (XmlPullParserException e2) {
            throw new ParserException(e2);
        }
    }
}
