package com.google.android.exoplayer2.source;

import android.os.Handler;
import android.os.Looper;
import androidx.annotation.CheckResult;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.source.s;
import com.google.android.exoplayer2.upstream.DataSpec;
import java.io.IOException;
import java.util.Iterator;
import java.util.concurrent.CopyOnWriteArrayList;

/* compiled from: MediaSourceEventListener */
public interface t {

    /* compiled from: MediaSourceEventListener */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        public final int f9079a;
        @Nullable

        /* renamed from: b  reason: collision with root package name */
        public final s.a f9080b;

        /* renamed from: c  reason: collision with root package name */
        private final CopyOnWriteArrayList<j> f9081c;

        /* renamed from: d  reason: collision with root package name */
        private final long f9082d;

        /* renamed from: com.google.android.exoplayer2.source.t$a$a  reason: collision with other inner class name */
        /* compiled from: MediaSourceEventListener */
        class RunnableC0221a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ t f9083a;

            RunnableC0221a(t tVar) {
                this.f9083a = tVar;
            }

            public void run() {
                t tVar = this.f9083a;
                a aVar = a.this;
                tVar.C(aVar.f9079a, aVar.f9080b);
            }
        }

        /* compiled from: MediaSourceEventListener */
        class b implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ t f9085a;

            b(t tVar) {
                this.f9085a = tVar;
            }

            public void run() {
                t tVar = this.f9085a;
                a aVar = a.this;
                tVar.A(aVar.f9079a, aVar.f9080b);
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: MediaSourceEventListener */
        public class c implements Runnable {
            final /* synthetic */ c I0;

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ t f9087a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ b f9088b;

            c(t tVar, b bVar, c cVar) {
                this.f9087a = tVar;
                this.f9088b = bVar;
                this.I0 = cVar;
            }

            public void run() {
                t tVar = this.f9087a;
                a aVar = a.this;
                tVar.w(aVar.f9079a, aVar.f9080b, this.f9088b, this.I0);
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: MediaSourceEventListener */
        public class d implements Runnable {
            final /* synthetic */ c I0;

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ t f9089a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ b f9090b;

            d(t tVar, b bVar, c cVar) {
                this.f9089a = tVar;
                this.f9090b = bVar;
                this.I0 = cVar;
            }

            public void run() {
                t tVar = this.f9089a;
                a aVar = a.this;
                tVar.g(aVar.f9079a, aVar.f9080b, this.f9090b, this.I0);
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: MediaSourceEventListener */
        public class e implements Runnable {
            final /* synthetic */ c I0;

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ t f9091a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ b f9092b;

            e(t tVar, b bVar, c cVar) {
                this.f9091a = tVar;
                this.f9092b = bVar;
                this.I0 = cVar;
            }

            public void run() {
                t tVar = this.f9091a;
                a aVar = a.this;
                tVar.l(aVar.f9079a, aVar.f9080b, this.f9092b, this.I0);
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: MediaSourceEventListener */
        public class f implements Runnable {
            final /* synthetic */ c I0;
            final /* synthetic */ IOException J0;
            final /* synthetic */ boolean K0;

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ t f9093a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ b f9094b;

            f(t tVar, b bVar, c cVar, IOException iOException, boolean z) {
                this.f9093a = tVar;
                this.f9094b = bVar;
                this.I0 = cVar;
                this.J0 = iOException;
                this.K0 = z;
            }

            public void run() {
                t tVar = this.f9093a;
                a aVar = a.this;
                tVar.x(aVar.f9079a, aVar.f9080b, this.f9094b, this.I0, this.J0, this.K0);
            }
        }

        /* compiled from: MediaSourceEventListener */
        class g implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ t f9095a;

            g(t tVar) {
                this.f9095a = tVar;
            }

            public void run() {
                t tVar = this.f9095a;
                a aVar = a.this;
                tVar.k(aVar.f9079a, aVar.f9080b);
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: MediaSourceEventListener */
        public class h implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ t f9097a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ c f9098b;

            h(t tVar, c cVar) {
                this.f9097a = tVar;
                this.f9098b = cVar;
            }

            public void run() {
                t tVar = this.f9097a;
                a aVar = a.this;
                tVar.u(aVar.f9079a, aVar.f9080b, this.f9098b);
            }
        }

        /* access modifiers changed from: package-private */
        /* compiled from: MediaSourceEventListener */
        public class i implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ t f9099a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ c f9100b;

            i(t tVar, c cVar) {
                this.f9099a = tVar;
                this.f9100b = cVar;
            }

            public void run() {
                t tVar = this.f9099a;
                a aVar = a.this;
                tVar.G(aVar.f9079a, aVar.f9080b, this.f9100b);
            }
        }

        /* access modifiers changed from: private */
        /* compiled from: MediaSourceEventListener */
        public static final class j {

            /* renamed from: a  reason: collision with root package name */
            public final Handler f9101a;

            /* renamed from: b  reason: collision with root package name */
            public final t f9102b;

            public j(Handler handler, t tVar) {
                this.f9101a = handler;
                this.f9102b = tVar;
            }
        }

        public a() {
            this(new CopyOnWriteArrayList(), 0, null, 0);
        }

        private long b(long j2) {
            long c2 = C.c(j2);
            if (c2 == C.f7870b) {
                return C.f7870b;
            }
            return this.f9082d + c2;
        }

        private void s(Handler handler, Runnable runnable) {
            if (handler.getLooper() == Looper.myLooper()) {
                runnable.run();
            } else {
                handler.post(runnable);
            }
        }

        public void a(Handler handler, t tVar) {
            com.google.android.exoplayer2.util.a.a((handler == null || tVar == null) ? false : true);
            this.f9081c.add(new j(handler, tVar));
        }

        public void c(int i2, @Nullable Format format, int i3, @Nullable Object obj, long j2) {
            d(new c(1, i2, format, i3, obj, b(j2), C.f7870b));
        }

        public void d(c cVar) {
            Iterator<j> it = this.f9081c.iterator();
            while (it.hasNext()) {
                j next = it.next();
                s(next.f9101a, new i(next.f9102b, cVar));
            }
        }

        public void e(b bVar, c cVar) {
            Iterator<j> it = this.f9081c.iterator();
            while (it.hasNext()) {
                j next = it.next();
                s(next.f9101a, new e(next.f9102b, bVar, cVar));
            }
        }

        public void f(DataSpec dataSpec, int i2, int i3, @Nullable Format format, int i4, @Nullable Object obj, long j2, long j3, long j4, long j5, long j6) {
            e(new b(dataSpec, j4, j5, j6), new c(i2, i3, format, i4, obj, b(j2), b(j3)));
        }

        public void g(DataSpec dataSpec, int i2, long j2, long j3, long j4) {
            f(dataSpec, i2, -1, null, 0, null, C.f7870b, C.f7870b, j2, j3, j4);
        }

        public void h(b bVar, c cVar) {
            Iterator<j> it = this.f9081c.iterator();
            while (it.hasNext()) {
                j next = it.next();
                s(next.f9101a, new d(next.f9102b, bVar, cVar));
            }
        }

        public void i(DataSpec dataSpec, int i2, int i3, @Nullable Format format, int i4, @Nullable Object obj, long j2, long j3, long j4, long j5, long j6) {
            h(new b(dataSpec, j4, j5, j6), new c(i2, i3, format, i4, obj, b(j2), b(j3)));
        }

        public void j(DataSpec dataSpec, int i2, long j2, long j3, long j4) {
            i(dataSpec, i2, -1, null, 0, null, C.f7870b, C.f7870b, j2, j3, j4);
        }

        public void k(b bVar, c cVar, IOException iOException, boolean z) {
            Iterator<j> it = this.f9081c.iterator();
            while (it.hasNext()) {
                j next = it.next();
                s(next.f9101a, new f(next.f9102b, bVar, cVar, iOException, z));
            }
        }

        public void l(DataSpec dataSpec, int i2, int i3, @Nullable Format format, int i4, @Nullable Object obj, long j2, long j3, long j4, long j5, long j6, IOException iOException, boolean z) {
            k(new b(dataSpec, j4, j5, j6), new c(i2, i3, format, i4, obj, b(j2), b(j3)), iOException, z);
        }

        public void m(DataSpec dataSpec, int i2, long j2, long j3, long j4, IOException iOException, boolean z) {
            l(dataSpec, i2, -1, null, 0, null, C.f7870b, C.f7870b, j2, j3, j4, iOException, z);
        }

        public void n(b bVar, c cVar) {
            Iterator<j> it = this.f9081c.iterator();
            while (it.hasNext()) {
                j next = it.next();
                s(next.f9101a, new c(next.f9102b, bVar, cVar));
            }
        }

        public void o(DataSpec dataSpec, int i2, int i3, @Nullable Format format, int i4, @Nullable Object obj, long j2, long j3, long j4) {
            n(new b(dataSpec, j4, 0, 0), new c(i2, i3, format, i4, obj, b(j2), b(j3)));
        }

        public void p(DataSpec dataSpec, int i2, long j2) {
            o(dataSpec, i2, -1, null, 0, null, C.f7870b, C.f7870b, j2);
        }

        public void q() {
            com.google.android.exoplayer2.util.a.i(this.f9080b != null);
            Iterator<j> it = this.f9081c.iterator();
            while (it.hasNext()) {
                j next = it.next();
                s(next.f9101a, new RunnableC0221a(next.f9102b));
            }
        }

        public void r() {
            com.google.android.exoplayer2.util.a.i(this.f9080b != null);
            Iterator<j> it = this.f9081c.iterator();
            while (it.hasNext()) {
                j next = it.next();
                s(next.f9101a, new b(next.f9102b));
            }
        }

        public void t() {
            com.google.android.exoplayer2.util.a.i(this.f9080b != null);
            Iterator<j> it = this.f9081c.iterator();
            while (it.hasNext()) {
                j next = it.next();
                s(next.f9101a, new g(next.f9102b));
            }
        }

        public void u(t tVar) {
            Iterator<j> it = this.f9081c.iterator();
            while (it.hasNext()) {
                j next = it.next();
                if (next.f9102b == tVar) {
                    this.f9081c.remove(next);
                }
            }
        }

        public void v(int i2, long j2, long j3) {
            w(new c(1, i2, null, 3, null, b(j2), b(j3)));
        }

        public void w(c cVar) {
            Iterator<j> it = this.f9081c.iterator();
            while (it.hasNext()) {
                j next = it.next();
                s(next.f9101a, new h(next.f9102b, cVar));
            }
        }

        @CheckResult
        public a x(int i2, @Nullable s.a aVar, long j2) {
            return new a(this.f9081c, i2, aVar, j2);
        }

        private a(CopyOnWriteArrayList<j> copyOnWriteArrayList, int i2, @Nullable s.a aVar, long j2) {
            this.f9081c = copyOnWriteArrayList;
            this.f9079a = i2;
            this.f9080b = aVar;
            this.f9082d = j2;
        }
    }

    /* compiled from: MediaSourceEventListener */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        public final DataSpec f9103a;

        /* renamed from: b  reason: collision with root package name */
        public final long f9104b;

        /* renamed from: c  reason: collision with root package name */
        public final long f9105c;

        /* renamed from: d  reason: collision with root package name */
        public final long f9106d;

        public b(DataSpec dataSpec, long j, long j2, long j3) {
            this.f9103a = dataSpec;
            this.f9104b = j;
            this.f9105c = j2;
            this.f9106d = j3;
        }
    }

    /* compiled from: MediaSourceEventListener */
    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        public final int f9107a;

        /* renamed from: b  reason: collision with root package name */
        public final int f9108b;
        @Nullable

        /* renamed from: c  reason: collision with root package name */
        public final Format f9109c;

        /* renamed from: d  reason: collision with root package name */
        public final int f9110d;
        @Nullable

        /* renamed from: e  reason: collision with root package name */
        public final Object f9111e;
        public final long f;
        public final long g;

        public c(int i, int i2, @Nullable Format format, int i3, @Nullable Object obj, long j, long j2) {
            this.f9107a = i;
            this.f9108b = i2;
            this.f9109c = format;
            this.f9110d = i3;
            this.f9111e = obj;
            this.f = j;
            this.g = j2;
        }
    }

    void A(int i, s.a aVar);

    void C(int i, s.a aVar);

    void G(int i, @Nullable s.a aVar, c cVar);

    void g(int i, @Nullable s.a aVar, b bVar, c cVar);

    void k(int i, s.a aVar);

    void l(int i, @Nullable s.a aVar, b bVar, c cVar);

    void u(int i, s.a aVar, c cVar);

    void w(int i, @Nullable s.a aVar, b bVar, c cVar);

    void x(int i, @Nullable s.a aVar, b bVar, c cVar, IOException iOException, boolean z);
}
