package com.google.android.exoplayer2.text.j;

import android.text.Layout;
import android.text.SpannableString;
import android.text.SpannableStringBuilder;
import android.text.style.ForegroundColorSpan;
import android.text.style.StyleSpan;
import android.text.style.UnderlineSpan;
import androidx.core.view.InputDeviceCompat;
import com.google.android.exoplayer2.text.Cue;
import com.google.android.exoplayer2.text.SubtitleDecoderException;
import com.google.android.exoplayer2.text.f;
import com.google.android.exoplayer2.text.g;
import com.google.android.exoplayer2.util.n;
import com.google.android.exoplayer2.util.q;
import com.ibm.icu.lang.c;
import java.util.ArrayList;
import java.util.List;

/* compiled from: Cea608Decoder */
public final class a extends d {
    private static final byte A = 37;
    private static final byte B = 38;
    private static final byte C = 39;
    private static final byte D = 41;
    private static final byte E = 47;
    private static final byte F = 44;
    private static final byte G = 45;
    private static final byte H = 46;
    private static final byte I = 36;
    private static final byte J = 33;
    private static final int[] K = {32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 225, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 233, 93, 237, c.p.L3, 250, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122, 231, c.p.P3, c.p.d3, 241, 9632};
    private static final int[] L = {174, 176, 189, 191, 8482, 162, 163, 9834, 224, 32, 232, 226, 234, 238, 244, 251};
    private static final int[] M = {193, c.p.V2, c.p.f3, c.p.m3, c.p.o3, 252, 8216, 161, 42, 39, 8212, 169, 8480, 8226, 8220, 8221, 192, 194, 199, 200, c.p.W2, c.p.X2, 235, c.p.a3, c.p.b3, 239, c.p.g3, c.p.l3, 249, c.p.n3, 171, 187};
    private static final int[] N = {195, 227, c.p.Z2, c.p.Y2, 236, c.p.e3, 242, c.p.h3, c.p.N3, 123, 125, 92, 94, 95, 124, 126, 196, 228, c.p.i3, c.p.O3, c.p.r3, 165, 164, 9474, 197, 229, c.p.k3, c.p.Q3, 9484, 9488, 9492, 9496};
    private static final int i = 4;
    private static final int j = 2;
    private static final int k = 1;
    private static final int l = 0;
    private static final int m = 1;
    private static final int n = 4;
    private static final int o = 0;
    private static final int p = 1;
    private static final int q = 2;
    private static final int r = 3;
    private static final int[] s = {11, 1, 3, 12, 14, 5, 7, 9};
    private static final int[] t = {0, 4, 8, 12, 16, 20, 24, 28};
    private static final int[] u = {-1, -16711936, -16776961, -16711681, androidx.core.d.b.a.f2500c, InputDeviceCompat.SOURCE_ANY, -65281};
    private static final int v = 7;
    private static final int w = 8;
    private static final int x = 4;
    private static final byte y = -4;
    private static final byte z = 32;
    private final q O = new q();
    private final int P;
    private final int Q;
    private final ArrayList<C0222a> R = new ArrayList<>();
    private C0222a S = new C0222a(0, 4);
    private List<Cue> T;
    private List<Cue> U;
    private int V;
    private int W;
    private boolean X;
    private byte Y;
    private byte Z;

    /* access modifiers changed from: private */
    /* renamed from: com.google.android.exoplayer2.text.j.a$a  reason: collision with other inner class name */
    /* compiled from: Cea608Decoder */
    public static class C0222a {

        /* renamed from: a  reason: collision with root package name */
        private static final int f9149a = 32;

        /* renamed from: b  reason: collision with root package name */
        private static final int f9150b = 15;

        /* renamed from: c  reason: collision with root package name */
        private final List<C0223a> f9151c = new ArrayList();

        /* renamed from: d  reason: collision with root package name */
        private final List<SpannableString> f9152d = new ArrayList();

        /* renamed from: e  reason: collision with root package name */
        private final StringBuilder f9153e = new StringBuilder();
        private int f;
        private int g;
        private int h;
        private int i;
        private int j;

        /* access modifiers changed from: private */
        /* renamed from: com.google.android.exoplayer2.text.j.a$a$a  reason: collision with other inner class name */
        /* compiled from: Cea608Decoder */
        public static class C0223a {

            /* renamed from: a  reason: collision with root package name */
            public final int f9154a;

            /* renamed from: b  reason: collision with root package name */
            public final boolean f9155b;

            /* renamed from: c  reason: collision with root package name */
            public int f9156c;

            public C0223a(int i, boolean z, int i2) {
                this.f9154a = i;
                this.f9155b = z;
                this.f9156c = i2;
            }
        }

        public C0222a(int i2, int i3) {
            g(i2);
            i(i3);
        }

        private static void j(SpannableStringBuilder spannableStringBuilder, int i2, int i3, int i4) {
            if (i4 != -1) {
                spannableStringBuilder.setSpan(new ForegroundColorSpan(i4), i2, i3, 33);
            }
        }

        private static void l(SpannableStringBuilder spannableStringBuilder, int i2, int i3) {
            spannableStringBuilder.setSpan(new StyleSpan(2), i2, i3, 33);
        }

        private static void p(SpannableStringBuilder spannableStringBuilder, int i2, int i3) {
            spannableStringBuilder.setSpan(new UnderlineSpan(), i2, i3, 33);
        }

        public void a(char c2) {
            this.f9153e.append(c2);
        }

        public void b() {
            int length = this.f9153e.length();
            if (length > 0) {
                this.f9153e.delete(length - 1, length);
                for (int size = this.f9151c.size() - 1; size >= 0; size--) {
                    C0223a aVar = this.f9151c.get(size);
                    int i2 = aVar.f9156c;
                    if (i2 == length) {
                        aVar.f9156c = i2 - 1;
                    } else {
                        return;
                    }
                }
            }
        }

        public Cue c() {
            int i2;
            float f2;
            int i3;
            int i4;
            SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder();
            for (int i5 = 0; i5 < this.f9152d.size(); i5++) {
                spannableStringBuilder.append((CharSequence) this.f9152d.get(i5));
                spannableStringBuilder.append('\n');
            }
            spannableStringBuilder.append((CharSequence) d());
            if (spannableStringBuilder.length() == 0) {
                return null;
            }
            int i6 = this.g + this.h;
            int length = (32 - i6) - spannableStringBuilder.length();
            int i7 = i6 - length;
            if (this.i == 2 && (Math.abs(i7) < 3 || length < 0)) {
                f2 = 0.5f;
                i2 = 1;
            } else if (this.i != 2 || i7 <= 0) {
                f2 = ((((float) i6) / 32.0f) * 0.8f) + 0.1f;
                i2 = 0;
            } else {
                f2 = ((((float) (32 - length)) / 32.0f) * 0.8f) + 0.1f;
                i2 = 2;
            }
            if (this.i == 1 || (i4 = this.f) > 7) {
                i4 = (this.f - 15) - 2;
                i3 = 2;
            } else {
                i3 = 0;
            }
            return new Cue(spannableStringBuilder, Layout.Alignment.ALIGN_NORMAL, (float) i4, 1, i3, f2, i2, Float.MIN_VALUE);
        }

        public SpannableString d() {
            SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder(this.f9153e);
            int length = spannableStringBuilder.length();
            int i2 = 0;
            int i3 = -1;
            int i4 = -1;
            int i5 = 0;
            int i6 = -1;
            int i7 = -1;
            boolean z = false;
            while (i2 < this.f9151c.size()) {
                C0223a aVar = this.f9151c.get(i2);
                boolean z2 = aVar.f9155b;
                int i8 = aVar.f9154a;
                if (i8 != 8) {
                    boolean z3 = i8 == 7;
                    if (i8 != 7) {
                        i7 = a.u[i8];
                    }
                    z = z3;
                }
                int i9 = aVar.f9156c;
                i2++;
                if (i9 != (i2 < this.f9151c.size() ? this.f9151c.get(i2).f9156c : length)) {
                    if (i3 != -1 && !z2) {
                        p(spannableStringBuilder, i3, i9);
                        i3 = -1;
                    } else if (i3 == -1 && z2) {
                        i3 = i9;
                    }
                    if (i4 != -1 && !z) {
                        l(spannableStringBuilder, i4, i9);
                        i4 = -1;
                    } else if (i4 == -1 && z) {
                        i4 = i9;
                    }
                    if (i7 != i6) {
                        j(spannableStringBuilder, i5, i9, i6);
                        i6 = i7;
                        i5 = i9;
                    }
                }
            }
            if (!(i3 == -1 || i3 == length)) {
                p(spannableStringBuilder, i3, length);
            }
            if (!(i4 == -1 || i4 == length)) {
                l(spannableStringBuilder, i4, length);
            }
            if (i5 != length) {
                j(spannableStringBuilder, i5, length, i6);
            }
            return new SpannableString(spannableStringBuilder);
        }

        public int e() {
            return this.f;
        }

        public boolean f() {
            return this.f9151c.isEmpty() && this.f9152d.isEmpty() && this.f9153e.length() == 0;
        }

        public void g(int i2) {
            this.i = i2;
            this.f9151c.clear();
            this.f9152d.clear();
            this.f9153e.setLength(0);
            this.f = 15;
            this.g = 0;
            this.h = 0;
        }

        public void h() {
            this.f9152d.add(d());
            this.f9153e.setLength(0);
            this.f9151c.clear();
            int min = Math.min(this.j, this.f);
            while (this.f9152d.size() >= min) {
                this.f9152d.remove(0);
            }
        }

        public void i(int i2) {
            this.j = i2;
        }

        public void k(int i2) {
            this.g = i2;
        }

        public void m(int i2) {
            this.f = i2;
        }

        public void n(int i2, boolean z) {
            this.f9151c.add(new C0223a(i2, z, this.f9153e.length()));
        }

        public void o(int i2) {
            this.h = i2;
        }

        public String toString() {
            return this.f9153e.toString();
        }
    }

    public a(String str, int i2) {
        this.P = n.c0.equals(str) ? 2 : 3;
        if (i2 == 3 || i2 == 4) {
            this.Q = 2;
        } else {
            this.Q = 1;
        }
        C(0);
        B();
    }

    private static boolean A(byte b2, byte b3) {
        return (b2 & 247) == 23 && b3 >= 33 && b3 <= 35;
    }

    private void B() {
        this.S.g(this.V);
        this.R.clear();
        this.R.add(this.S);
    }

    private void C(int i2) {
        int i3 = this.V;
        if (i3 != i2) {
            this.V = i2;
            B();
            if (i3 == 3 || i2 == 1 || i2 == 0) {
                this.T = null;
            }
        }
    }

    private void D(int i2) {
        this.W = i2;
        this.S.i(i2);
    }

    private static char n(byte b2) {
        return (char) K[(b2 & Byte.MAX_VALUE) - 32];
    }

    private List<Cue> o() {
        ArrayList arrayList = new ArrayList();
        for (int i2 = 0; i2 < this.R.size(); i2++) {
            Cue c2 = this.R.get(i2).c();
            if (c2 != null) {
                arrayList.add(c2);
            }
        }
        return arrayList;
    }

    private static char p(byte b2) {
        return (char) M[b2 & 31];
    }

    private static char q(byte b2) {
        return (char) N[b2 & 31];
    }

    private static char r(byte b2) {
        return (char) L[b2 & 15];
    }

    private boolean s(byte b2, byte b3) {
        boolean z2 = z(b2);
        if (z2) {
            if (this.X && this.Y == b2 && this.Z == b3) {
                this.X = false;
                return true;
            }
            this.X = true;
            this.Y = b2;
            this.Z = b3;
        }
        if (w(b2, b3)) {
            t(b3);
        } else if (y(b2, b3)) {
            v(b2, b3);
        } else if (A(b2, b3)) {
            this.S.o(b3 - 32);
        } else if (x(b2, b3)) {
            u(b3);
        }
        return z2;
    }

    private void t(byte b2) {
        this.S.a(' ');
        this.S.n((b2 >> 1) & 7, (b2 & 1) == 1);
    }

    private void u(byte b2) {
        if (b2 == 32) {
            C(2);
        } else if (b2 != 41) {
            switch (b2) {
                case 37:
                    C(1);
                    D(2);
                    return;
                case 38:
                    C(1);
                    D(3);
                    return;
                case 39:
                    C(1);
                    D(4);
                    return;
                default:
                    int i2 = this.V;
                    if (i2 != 0) {
                        if (b2 != 33) {
                            switch (b2) {
                                case 44:
                                    this.T = null;
                                    if (i2 == 1 || i2 == 3) {
                                        B();
                                        return;
                                    }
                                    return;
                                case 45:
                                    if (i2 == 1 && !this.S.f()) {
                                        this.S.h();
                                        return;
                                    }
                                    return;
                                case 46:
                                    B();
                                    return;
                                case 47:
                                    this.T = o();
                                    B();
                                    return;
                                default:
                                    return;
                            }
                        } else {
                            this.S.b();
                            return;
                        }
                    } else {
                        return;
                    }
            }
        } else {
            C(3);
        }
    }

    private void v(byte b2, byte b3) {
        int i2 = s[b2 & 7];
        boolean z2 = false;
        if ((b3 & z) != 0) {
            i2++;
        }
        if (i2 != this.S.e()) {
            if (this.V != 1 && !this.S.f()) {
                C0222a aVar = new C0222a(this.V, this.W);
                this.S = aVar;
                this.R.add(aVar);
            }
            this.S.m(i2);
        }
        boolean z3 = (b3 & 16) == 16;
        if ((b3 & 1) == 1) {
            z2 = true;
        }
        int i3 = (b3 >> 1) & 7;
        this.S.n(z3 ? 8 : i3, z2);
        if (z3) {
            this.S.k(t[i3]);
        }
    }

    private static boolean w(byte b2, byte b3) {
        return (b2 & 247) == 17 && (b3 & 240) == 32;
    }

    private static boolean x(byte b2, byte b3) {
        return (b2 & 247) == 20 && (b3 & 240) == 32;
    }

    private static boolean y(byte b2, byte b3) {
        return (b2 & 240) == 16 && (b3 & 192) == 64;
    }

    private static boolean z(byte b2) {
        return (b2 & 240) == 16;
    }

    @Override // com.google.android.exoplayer2.text.j.d, com.google.android.exoplayer2.text.d
    public /* bridge */ /* synthetic */ void a(long j2) {
        super.a(j2);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.text.j.d
    public com.google.android.exoplayer2.text.c e() {
        List<Cue> list = this.T;
        this.U = list;
        return new e(list);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.text.j.d
    public void f(f fVar) {
        byte b2;
        int i2;
        this.O.N(fVar.L0.array(), fVar.L0.limit());
        boolean z2 = false;
        boolean z3 = false;
        while (true) {
            int a2 = this.O.a();
            int i3 = this.P;
            if (a2 < i3) {
                break;
            }
            if (i3 == 2) {
                b2 = -4;
            } else {
                b2 = (byte) this.O.D();
            }
            byte D2 = (byte) (this.O.D() & 127);
            byte D3 = (byte) (this.O.D() & 127);
            if ((b2 & 6) == 4 && (((i2 = this.Q) != 1 || (b2 & 1) == 0) && ((i2 != 2 || (b2 & 1) == 1) && !(D2 == 0 && D3 == 0)))) {
                if ((D2 & 247) == 17 && (D3 & 240) == 48) {
                    this.S.a(r(D3));
                } else if ((D2 & 246) == 18 && (D3 & 224) == 32) {
                    this.S.b();
                    if ((D2 & 1) == 0) {
                        this.S.a(p(D3));
                    } else {
                        this.S.a(q(D3));
                    }
                } else if ((D2 & 224) == 0) {
                    z3 = s(D2, D3);
                } else {
                    this.S.a(n(D2));
                    if ((D3 & 224) != 0) {
                        this.S.a(n(D3));
                    }
                }
                z2 = true;
            }
        }
        if (z2) {
            if (!z3) {
                this.X = false;
            }
            int i4 = this.V;
            if (i4 == 1 || i4 == 3) {
                this.T = o();
            }
        }
    }

    @Override // com.google.android.exoplayer2.text.j.d, com.google.android.exoplayer2.decoder.c
    public void flush() {
        super.flush();
        this.T = null;
        this.U = null;
        C(0);
        D(4);
        B();
        this.X = false;
        this.Y = 0;
        this.Z = 0;
    }

    @Override // com.google.android.exoplayer2.text.j.d
    public /* bridge */ /* synthetic */ f g() throws SubtitleDecoderException {
        return super.c();
    }

    @Override // com.google.android.exoplayer2.text.j.d, com.google.android.exoplayer2.decoder.c
    public String getName() {
        return "Cea608Decoder";
    }

    @Override // com.google.android.exoplayer2.text.j.d
    public /* bridge */ /* synthetic */ g h() throws SubtitleDecoderException {
        return super.b();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.text.j.d
    public boolean i() {
        return this.T != this.U;
    }

    @Override // com.google.android.exoplayer2.text.j.d
    public /* bridge */ /* synthetic */ void j(f fVar) throws SubtitleDecoderException {
        super.d(fVar);
    }

    @Override // com.google.android.exoplayer2.text.j.d, com.google.android.exoplayer2.decoder.c
    public void release() {
    }
}
