package com.google.android.exoplayer2.text.m;

import android.text.TextUtils;
import android.util.Log;
import androidx.work.t;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.text.Cue;
import com.google.android.exoplayer2.text.ttml.b;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.l;
import com.google.android.exoplayer2.util.q;
import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: SsaDecoder */
public final class a extends com.google.android.exoplayer2.text.a {
    private static final String o = "SsaDecoder";
    private static final Pattern p = Pattern.compile("(?:(\\d+):)?(\\d+):(\\d+)(?::|\\.)(\\d+)");
    private static final String q = "Format: ";
    private static final String r = "Dialogue: ";
    private final boolean s;
    private int t;
    private int u;
    private int v;
    private int w;

    public a() {
        this(null);
    }

    private void C(String str, List<Cue> list, l lVar) {
        long j;
        if (this.t == 0) {
            Log.w(o, "Skipping dialogue line before complete format: " + str);
            return;
        }
        String[] split = str.substring(10).split(",", this.t);
        if (split.length != this.t) {
            Log.w(o, "Skipping dialogue line with fewer columns than format: " + str);
            return;
        }
        long G = G(split[this.u]);
        if (G == C.f7870b) {
            Log.w(o, "Skipping invalid timing: " + str);
            return;
        }
        String str2 = split[this.v];
        if (!str2.trim().isEmpty()) {
            j = G(str2);
            if (j == C.f7870b) {
                Log.w(o, "Skipping invalid timing: " + str);
                return;
            }
        } else {
            j = -9223372036854775807L;
        }
        list.add(new Cue(split[this.w].replaceAll("\\{.*?\\}", "").replaceAll("\\\\N", "\n").replaceAll("\\\\n", "\n")));
        lVar.a(G);
        if (j != C.f7870b) {
            list.add(null);
            lVar.a(j);
        }
    }

    private void D(q qVar, List<Cue> list, l lVar) {
        while (true) {
            String n = qVar.n();
            if (n == null) {
                return;
            }
            if (!this.s && n.startsWith(q)) {
                E(n);
            } else if (n.startsWith(r)) {
                C(n, list, lVar);
            }
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    private void E(String str) {
        char c2;
        String[] split = TextUtils.split(str.substring(8), ",");
        this.t = split.length;
        this.u = -1;
        this.v = -1;
        this.w = -1;
        for (int i = 0; i < this.t; i++) {
            String w0 = b0.w0(split[i].trim());
            w0.hashCode();
            switch (w0.hashCode()) {
                case 100571:
                    if (w0.equals(b.M)) {
                        c2 = 0;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 3556653:
                    if (w0.equals("text")) {
                        c2 = 1;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 109757538:
                    if (w0.equals("start")) {
                        c2 = 2;
                        break;
                    }
                    c2 = 65535;
                    break;
                default:
                    c2 = 65535;
                    break;
            }
            switch (c2) {
                case 0:
                    this.v = i;
                    break;
                case 1:
                    this.w = i;
                    break;
                case 2:
                    this.u = i;
                    break;
            }
        }
        if (this.u == -1 || this.v == -1 || this.w == -1) {
            this.t = 0;
        }
    }

    private void F(q qVar) {
        String n;
        do {
            n = qVar.n();
            if (n == null) {
                return;
            }
        } while (!n.startsWith("[Events]"));
    }

    public static long G(String str) {
        Matcher matcher = p.matcher(str);
        if (!matcher.matches()) {
            return C.f7870b;
        }
        return (Long.parseLong(matcher.group(1)) * 60 * 60 * 1000000) + (Long.parseLong(matcher.group(2)) * 60 * 1000000) + (Long.parseLong(matcher.group(3)) * 1000000) + (Long.parseLong(matcher.group(4)) * t.f4799c);
    }

    /* access modifiers changed from: protected */
    /* renamed from: B */
    public b y(byte[] bArr, int i, boolean z) {
        ArrayList arrayList = new ArrayList();
        l lVar = new l();
        q qVar = new q(bArr, i);
        if (!this.s) {
            F(qVar);
        }
        D(qVar, arrayList, lVar);
        Cue[] cueArr = new Cue[arrayList.size()];
        arrayList.toArray(cueArr);
        return new b(cueArr, lVar.d());
    }

    public a(List<byte[]> list) {
        super(o);
        if (list == null || list.isEmpty()) {
            this.s = false;
            return;
        }
        this.s = true;
        String v2 = b0.v(list.get(0));
        com.google.android.exoplayer2.util.a.a(v2.startsWith(q));
        E(v2);
        F(new q(list.get(1)));
    }
}
