package com.google.android.exoplayer2.text.ttml;

import android.text.Layout;
import android.text.SpannableStringBuilder;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.text.Cue;
import com.google.android.exoplayer2.util.a;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;
import java.util.TreeSet;

/* compiled from: TtmlNode */
final class b {
    public static final String A = "textDecoration";
    public static final String B = "textAlign";
    public static final String C = "linethrough";
    public static final String D = "nolinethrough";
    public static final String E = "underline";
    public static final String F = "nounderline";
    public static final String G = "italic";
    public static final String H = "bold";
    public static final String I = "left";
    public static final String J = "center";
    public static final String K = "right";
    public static final String L = "start";
    public static final String M = "end";

    /* renamed from: a  reason: collision with root package name */
    public static final String f9239a = "tt";

    /* renamed from: b  reason: collision with root package name */
    public static final String f9240b = "head";

    /* renamed from: c  reason: collision with root package name */
    public static final String f9241c = "body";

    /* renamed from: d  reason: collision with root package name */
    public static final String f9242d = "div";

    /* renamed from: e  reason: collision with root package name */
    public static final String f9243e = "p";
    public static final String f = "span";
    public static final String g = "br";
    public static final String h = "style";
    public static final String i = "styling";
    public static final String j = "layout";
    public static final String k = "region";
    public static final String l = "metadata";
    public static final String m = "smpte:image";
    public static final String n = "smpte:data";
    public static final String o = "smpte:information";
    public static final String p = "";
    public static final String q = "id";
    public static final String r = "origin";
    public static final String s = "extent";
    public static final String t = "displayAlign";
    public static final String u = "backgroundColor";
    public static final String v = "fontStyle";
    public static final String w = "fontSize";
    public static final String x = "fontFamily";
    public static final String y = "fontWeight";
    public static final String z = "color";
    public final String N;
    public final String O;
    public final boolean P;
    public final long Q;
    public final long R;
    public final TtmlStyle S;
    public final String T;
    private final String[] U;
    private final HashMap<String, Integer> V;
    private final HashMap<String, Integer> W;
    private List<b> X;

    private b(String str, String str2, long j2, long j3, TtmlStyle ttmlStyle, String[] strArr, String str3) {
        this.N = str;
        this.O = str2;
        this.S = ttmlStyle;
        this.U = strArr;
        this.P = str2 != null;
        this.Q = j2;
        this.R = j3;
        this.T = (String) a.g(str3);
        this.V = new HashMap<>();
        this.W = new HashMap<>();
    }

    private void b(Map<String, TtmlStyle> map, SpannableStringBuilder spannableStringBuilder, int i2, int i3) {
        TtmlStyle d2 = d.d(this.S, this.U, map);
        if (d2 != null) {
            d.a(spannableStringBuilder, i2, i3, d2);
        }
    }

    public static b c(String str, long j2, long j3, TtmlStyle ttmlStyle, String[] strArr, String str2) {
        return new b(str, null, j2, j3, ttmlStyle, strArr, str2);
    }

    public static b d(String str) {
        return new b(null, d.b(str), C.f7870b, C.f7870b, null, null, "");
    }

    private SpannableStringBuilder e(SpannableStringBuilder spannableStringBuilder) {
        int i2;
        int i3;
        int length = spannableStringBuilder.length();
        int i4 = 0;
        for (int i5 = 0; i5 < length; i5++) {
            if (spannableStringBuilder.charAt(i5) == ' ') {
                int i6 = i5 + 1;
                int i7 = i6;
                while (i7 < spannableStringBuilder.length() && spannableStringBuilder.charAt(i7) == ' ') {
                    i7++;
                }
                int i8 = i7 - i6;
                if (i8 > 0) {
                    spannableStringBuilder.delete(i5, i5 + i8);
                    length -= i8;
                }
            }
        }
        if (length > 0 && spannableStringBuilder.charAt(0) == ' ') {
            spannableStringBuilder.delete(0, 1);
            length--;
        }
        int i9 = 0;
        while (true) {
            i2 = length - 1;
            if (i9 >= i2) {
                break;
            }
            if (spannableStringBuilder.charAt(i9) == '\n') {
                int i10 = i9 + 1;
                if (spannableStringBuilder.charAt(i10) == ' ') {
                    spannableStringBuilder.delete(i10, i9 + 2);
                    length--;
                }
            }
            i9++;
        }
        if (length > 0 && spannableStringBuilder.charAt(i2) == ' ') {
            spannableStringBuilder.delete(i2, length);
            length--;
        }
        while (true) {
            i3 = length - 1;
            if (i4 >= i3) {
                break;
            }
            if (spannableStringBuilder.charAt(i4) == ' ') {
                int i11 = i4 + 1;
                if (spannableStringBuilder.charAt(i11) == '\n') {
                    spannableStringBuilder.delete(i4, i11);
                    length--;
                }
            }
            i4++;
        }
        if (length > 0 && spannableStringBuilder.charAt(i3) == '\n') {
            spannableStringBuilder.delete(i3, length);
        }
        return spannableStringBuilder;
    }

    private void i(TreeSet<Long> treeSet, boolean z2) {
        boolean equals = f9243e.equals(this.N);
        if (z2 || equals) {
            long j2 = this.Q;
            if (j2 != C.f7870b) {
                treeSet.add(Long.valueOf(j2));
            }
            long j3 = this.R;
            if (j3 != C.f7870b) {
                treeSet.add(Long.valueOf(j3));
            }
        }
        if (this.X != null) {
            for (int i2 = 0; i2 < this.X.size(); i2++) {
                this.X.get(i2).i(treeSet, z2 || equals);
            }
        }
    }

    private static SpannableStringBuilder k(String str, Map<String, SpannableStringBuilder> map) {
        if (!map.containsKey(str)) {
            map.put(str, new SpannableStringBuilder());
        }
        return map.get(str);
    }

    private void n(long j2, Map<String, TtmlStyle> map, Map<String, SpannableStringBuilder> map2) {
        int i2;
        if (m(j2)) {
            Iterator<Map.Entry<String, Integer>> it = this.W.entrySet().iterator();
            while (true) {
                i2 = 0;
                if (!it.hasNext()) {
                    break;
                }
                Map.Entry<String, Integer> next = it.next();
                String key = next.getKey();
                if (this.V.containsKey(key)) {
                    i2 = this.V.get(key).intValue();
                }
                int intValue = next.getValue().intValue();
                if (i2 != intValue) {
                    b(map, map2.get(key), i2, intValue);
                }
            }
            while (i2 < g()) {
                f(i2).n(j2, map, map2);
                i2++;
            }
        }
    }

    private void o(long j2, boolean z2, String str, Map<String, SpannableStringBuilder> map) {
        this.V.clear();
        this.W.clear();
        if (!l.equals(this.N)) {
            if (!"".equals(this.T)) {
                str = this.T;
            }
            if (this.P && z2) {
                k(str, map).append((CharSequence) this.O);
            } else if (g.equals(this.N) && z2) {
                k(str, map).append('\n');
            } else if (m(j2)) {
                for (Map.Entry<String, SpannableStringBuilder> entry : map.entrySet()) {
                    this.V.put(entry.getKey(), Integer.valueOf(entry.getValue().length()));
                }
                boolean equals = f9243e.equals(this.N);
                for (int i2 = 0; i2 < g(); i2++) {
                    f(i2).o(j2, z2 || equals, str, map);
                }
                if (equals) {
                    d.c(k(str, map));
                }
                for (Map.Entry<String, SpannableStringBuilder> entry2 : map.entrySet()) {
                    this.W.put(entry2.getKey(), Integer.valueOf(entry2.getValue().length()));
                }
            }
        }
    }

    public void a(b bVar) {
        if (this.X == null) {
            this.X = new ArrayList();
        }
        this.X.add(bVar);
    }

    public b f(int i2) {
        List<b> list = this.X;
        if (list != null) {
            return list.get(i2);
        }
        throw new IndexOutOfBoundsException();
    }

    public int g() {
        List<b> list = this.X;
        if (list == null) {
            return 0;
        }
        return list.size();
    }

    public List<Cue> h(long j2, Map<String, TtmlStyle> map, Map<String, c> map2) {
        TreeMap treeMap = new TreeMap();
        o(j2, false, this.T, treeMap);
        n(j2, map, treeMap);
        ArrayList arrayList = new ArrayList();
        for (Map.Entry entry : treeMap.entrySet()) {
            c cVar = map2.get(entry.getKey());
            arrayList.add(new Cue(e((SpannableStringBuilder) entry.getValue()), (Layout.Alignment) null, cVar.f9246c, cVar.f9247d, cVar.f9248e, cVar.f9245b, Integer.MIN_VALUE, cVar.f, cVar.g, cVar.h));
        }
        return arrayList;
    }

    public long[] j() {
        TreeSet<Long> treeSet = new TreeSet<>();
        int i2 = 0;
        i(treeSet, false);
        long[] jArr = new long[treeSet.size()];
        Iterator<Long> it = treeSet.iterator();
        while (it.hasNext()) {
            jArr[i2] = it.next().longValue();
            i2++;
        }
        return jArr;
    }

    public String[] l() {
        return this.U;
    }

    public boolean m(long j2) {
        long j3 = this.Q;
        return (j3 == C.f7870b && this.R == C.f7870b) || (j3 <= j2 && this.R == C.f7870b) || ((j3 == C.f7870b && j2 < this.R) || (j3 <= j2 && j2 < this.R));
    }
}
