package com.google.android.exoplayer2.text.webvtt;

import android.text.TextUtils;
import com.alipay.sdk.util.g;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.e;
import com.google.android.exoplayer2.util.q;
import java.util.Arrays;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: CssParser */
final class a {

    /* renamed from: a  reason: collision with root package name */
    private static final String f9256a = "background-color";

    /* renamed from: b  reason: collision with root package name */
    private static final String f9257b = "font-family";

    /* renamed from: c  reason: collision with root package name */
    private static final String f9258c = "font-weight";

    /* renamed from: d  reason: collision with root package name */
    private static final String f9259d = "text-decoration";

    /* renamed from: e  reason: collision with root package name */
    private static final String f9260e = "bold";
    private static final String f = "underline";
    private static final String g = "{";
    private static final String h = "}";
    private static final String i = "font-style";
    private static final String j = "italic";
    private static final Pattern k = Pattern.compile("\\[voice=\"([^\"]*)\"\\]");
    private final q l = new q();
    private final StringBuilder m = new StringBuilder();

    private void a(WebvttCssStyle webvttCssStyle, String str) {
        if (!"".equals(str)) {
            int indexOf = str.indexOf(91);
            if (indexOf != -1) {
                Matcher matcher = k.matcher(str.substring(indexOf));
                if (matcher.matches()) {
                    webvttCssStyle.z(matcher.group(1));
                }
                str = str.substring(0, indexOf);
            }
            String[] q0 = b0.q0(str, "\\.");
            String str2 = q0[0];
            int indexOf2 = str2.indexOf(35);
            if (indexOf2 != -1) {
                webvttCssStyle.y(str2.substring(0, indexOf2));
                webvttCssStyle.x(str2.substring(indexOf2 + 1));
            } else {
                webvttCssStyle.y(str2);
            }
            if (q0.length > 1) {
                webvttCssStyle.w((String[]) Arrays.copyOfRange(q0, 1, q0.length));
            }
        }
    }

    private static boolean b(q qVar) {
        int c2 = qVar.c();
        int d2 = qVar.d();
        byte[] bArr = qVar.f9627a;
        if (c2 + 2 > d2) {
            return false;
        }
        int i2 = c2 + 1;
        if (bArr[c2] != 47) {
            return false;
        }
        int i3 = i2 + 1;
        if (bArr[i2] != 42) {
            return false;
        }
        while (true) {
            int i4 = i3 + 1;
            if (i4 >= d2) {
                qVar.Q(d2 - qVar.c());
                return true;
            } else if (((char) bArr[i3]) == '*' && ((char) bArr[i4]) == '/') {
                i3 = i4 + 1;
                d2 = i3;
            } else {
                i3 = i4;
            }
        }
    }

    private static boolean c(q qVar) {
        char j2 = j(qVar, qVar.c());
        if (j2 != '\t' && j2 != '\n' && j2 != '\f' && j2 != '\r' && j2 != ' ') {
            return false;
        }
        qVar.Q(1);
        return true;
    }

    private static String e(q qVar, StringBuilder sb) {
        boolean z = false;
        sb.setLength(0);
        int c2 = qVar.c();
        int d2 = qVar.d();
        while (c2 < d2 && !z) {
            char c3 = (char) qVar.f9627a[c2];
            if ((c3 < 'A' || c3 > 'Z') && ((c3 < 'a' || c3 > 'z') && !((c3 >= '0' && c3 <= '9') || c3 == '#' || c3 == '-' || c3 == '.' || c3 == '_'))) {
                z = true;
            } else {
                c2++;
                sb.append(c3);
            }
        }
        qVar.Q(c2 - qVar.c());
        return sb.toString();
    }

    static String f(q qVar, StringBuilder sb) {
        m(qVar);
        if (qVar.a() == 0) {
            return null;
        }
        String e2 = e(qVar, sb);
        if (!"".equals(e2)) {
            return e2;
        }
        return "" + ((char) qVar.D());
    }

    private static String g(q qVar, StringBuilder sb) {
        StringBuilder sb2 = new StringBuilder();
        boolean z = false;
        while (!z) {
            int c2 = qVar.c();
            String f2 = f(qVar, sb);
            if (f2 == null) {
                return null;
            }
            if ("}".equals(f2) || g.f6031b.equals(f2)) {
                qVar.P(c2);
                z = true;
            } else {
                sb2.append(f2);
            }
        }
        return sb2.toString();
    }

    private static String h(q qVar, StringBuilder sb) {
        m(qVar);
        if (qVar.a() < 5 || !"::cue".equals(qVar.A(5))) {
            return null;
        }
        int c2 = qVar.c();
        String f2 = f(qVar, sb);
        if (f2 == null) {
            return null;
        }
        if (g.equals(f2)) {
            qVar.P(c2);
            return "";
        }
        String k2 = "(".equals(f2) ? k(qVar) : null;
        String f3 = f(qVar, sb);
        if (!")".equals(f3) || f3 == null) {
            return null;
        }
        return k2;
    }

    private static void i(q qVar, WebvttCssStyle webvttCssStyle, StringBuilder sb) {
        m(qVar);
        String e2 = e(qVar, sb);
        if (!"".equals(e2) && ":".equals(f(qVar, sb))) {
            m(qVar);
            String g2 = g(qVar, sb);
            if (g2 != null && !"".equals(g2)) {
                int c2 = qVar.c();
                String f2 = f(qVar, sb);
                if (!g.f6031b.equals(f2)) {
                    if ("}".equals(f2)) {
                        qVar.P(c2);
                    } else {
                        return;
                    }
                }
                if ("color".equals(e2)) {
                    webvttCssStyle.q(e.c(g2));
                } else if (f9256a.equals(e2)) {
                    webvttCssStyle.o(e.c(g2));
                } else if (f9259d.equals(e2)) {
                    if ("underline".equals(g2)) {
                        webvttCssStyle.B(true);
                    }
                } else if (f9257b.equals(e2)) {
                    webvttCssStyle.r(g2);
                } else if (f9258c.equals(e2)) {
                    if ("bold".equals(g2)) {
                        webvttCssStyle.p(true);
                    }
                } else if (i.equals(e2) && "italic".equals(g2)) {
                    webvttCssStyle.u(true);
                }
            }
        }
    }

    private static char j(q qVar, int i2) {
        return (char) qVar.f9627a[i2];
    }

    private static String k(q qVar) {
        int c2 = qVar.c();
        int d2 = qVar.d();
        boolean z = false;
        while (c2 < d2 && !z) {
            int i2 = c2 + 1;
            z = ((char) qVar.f9627a[c2]) == ')';
            c2 = i2;
        }
        return qVar.A((c2 - 1) - qVar.c()).trim();
    }

    static void l(q qVar) {
        do {
        } while (!TextUtils.isEmpty(qVar.n()));
    }

    static void m(q qVar) {
        while (true) {
            boolean z = true;
            while (qVar.a() > 0 && z) {
                if (!c(qVar) && !b(qVar)) {
                    z = false;
                }
            }
            return;
        }
    }

    public WebvttCssStyle d(q qVar) {
        this.m.setLength(0);
        int c2 = qVar.c();
        l(qVar);
        this.l.N(qVar.f9627a, qVar.c());
        this.l.P(c2);
        String h2 = h(this.l, this.m);
        if (h2 == null || !g.equals(f(this.l, this.m))) {
            return null;
        }
        WebvttCssStyle webvttCssStyle = new WebvttCssStyle();
        a(webvttCssStyle, h2);
        String str = null;
        boolean z = false;
        while (!z) {
            int c3 = this.l.c();
            str = f(this.l, this.m);
            boolean z2 = str == null || "}".equals(str);
            if (!z2) {
                this.l.P(c3);
                i(this.l, webvttCssStyle, this.m);
            }
            z = z2;
        }
        if ("}".equals(str)) {
            return webvttCssStyle;
        }
        return null;
    }
}
