package com.google.android.exoplayer2.text.webvtt;

import android.text.Layout;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.style.AbsoluteSizeSpan;
import android.text.style.AlignmentSpan;
import android.text.style.BackgroundColorSpan;
import android.text.style.ForegroundColorSpan;
import android.text.style.RelativeSizeSpan;
import android.text.style.StrikethroughSpan;
import android.text.style.StyleSpan;
import android.text.style.TypefaceSpan;
import android.text.style.UnderlineSpan;
import android.util.Log;
import androidx.annotation.NonNull;
import com.google.android.exoplayer2.text.webvtt.d;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.q;
import com.ibm.icu.impl.number.Padder;
import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: WebvttCueParser */
public final class e {

    /* renamed from: a  reason: collision with root package name */
    public static final Pattern f9268a = Pattern.compile("^(\\S+)\\s+-->\\s+(\\S+)(.*)?$");

    /* renamed from: b  reason: collision with root package name */
    private static final Pattern f9269b = Pattern.compile("(\\S+?):(\\S+)");

    /* renamed from: c  reason: collision with root package name */
    private static final char f9270c = '<';

    /* renamed from: d  reason: collision with root package name */
    private static final char f9271d = '>';

    /* renamed from: e  reason: collision with root package name */
    private static final char f9272e = '/';
    private static final char f = '&';
    private static final char g = ';';
    private static final char h = ' ';
    private static final String i = "lt";
    private static final String j = "gt";
    private static final String k = "amp";
    private static final String l = "nbsp";
    private static final String m = "b";
    private static final String n = "i";
    private static final String o = "u";
    private static final String p = "c";
    private static final String q = "v";
    private static final String r = "lang";
    private static final int s = 1;
    private static final int t = 2;
    private static final String u = "WebvttCueParser";
    private final StringBuilder v = new StringBuilder();

    /* access modifiers changed from: private */
    /* compiled from: WebvttCueParser */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private static final String[] f9273a = new String[0];

        /* renamed from: b  reason: collision with root package name */
        public final String f9274b;

        /* renamed from: c  reason: collision with root package name */
        public final int f9275c;

        /* renamed from: d  reason: collision with root package name */
        public final String f9276d;

        /* renamed from: e  reason: collision with root package name */
        public final String[] f9277e;

        private a(String str, int i, String str2, String[] strArr) {
            this.f9275c = i;
            this.f9274b = str;
            this.f9276d = str2;
            this.f9277e = strArr;
        }

        public static a a(String str, int i) {
            String str2;
            String[] strArr;
            String trim = str.trim();
            if (trim.isEmpty()) {
                return null;
            }
            int indexOf = trim.indexOf(Padder.f14124a);
            if (indexOf == -1) {
                str2 = "";
            } else {
                String trim2 = trim.substring(indexOf).trim();
                trim = trim.substring(0, indexOf);
                str2 = trim2;
            }
            String[] q0 = b0.q0(trim, "\\.");
            String str3 = q0[0];
            if (q0.length > 1) {
                strArr = (String[]) Arrays.copyOfRange(q0, 1, q0.length);
            } else {
                strArr = f9273a;
            }
            return new a(str3, i, str2, strArr);
        }

        public static a b() {
            return new a("", 0, "", new String[0]);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: WebvttCueParser */
    public static final class b implements Comparable<b> {

        /* renamed from: a  reason: collision with root package name */
        public final int f9278a;

        /* renamed from: b  reason: collision with root package name */
        public final WebvttCssStyle f9279b;

        public b(int i, WebvttCssStyle webvttCssStyle) {
            this.f9278a = i;
            this.f9279b = webvttCssStyle;
        }

        /* renamed from: a */
        public int compareTo(@NonNull b bVar) {
            return this.f9278a - bVar.f9278a;
        }
    }

    private static void a(String str, SpannableStringBuilder spannableStringBuilder) {
        str.hashCode();
        char c2 = 65535;
        switch (str.hashCode()) {
            case 3309:
                if (str.equals(j)) {
                    c2 = 0;
                    break;
                }
                break;
            case 3464:
                if (str.equals(i)) {
                    c2 = 1;
                    break;
                }
                break;
            case 96708:
                if (str.equals(k)) {
                    c2 = 2;
                    break;
                }
                break;
            case 3374865:
                if (str.equals(l)) {
                    c2 = 3;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                spannableStringBuilder.append('>');
                return;
            case 1:
                spannableStringBuilder.append('<');
                return;
            case 2:
                spannableStringBuilder.append('&');
                return;
            case 3:
                spannableStringBuilder.append(h);
                return;
            default:
                Log.w(u, "ignoring unsupported entity: '&" + str + ";'");
                return;
        }
    }

    private static void b(String str, a aVar, SpannableStringBuilder spannableStringBuilder, List<WebvttCssStyle> list, List<b> list2) {
        int i2 = aVar.f9275c;
        int length = spannableStringBuilder.length();
        String str2 = aVar.f9274b;
        str2.hashCode();
        char c2 = 65535;
        switch (str2.hashCode()) {
            case 0:
                if (str2.equals("")) {
                    c2 = 0;
                    break;
                }
                break;
            case 98:
                if (str2.equals("b")) {
                    c2 = 1;
                    break;
                }
                break;
            case 99:
                if (str2.equals(p)) {
                    c2 = 2;
                    break;
                }
                break;
            case 105:
                if (str2.equals(n)) {
                    c2 = 3;
                    break;
                }
                break;
            case 117:
                if (str2.equals(o)) {
                    c2 = 4;
                    break;
                }
                break;
            case 118:
                if (str2.equals("v")) {
                    c2 = 5;
                    break;
                }
                break;
            case 3314158:
                if (str2.equals(r)) {
                    c2 = 6;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
            case 2:
            case 5:
            case 6:
                break;
            case 1:
                spannableStringBuilder.setSpan(new StyleSpan(1), i2, length, 33);
                break;
            case 3:
                spannableStringBuilder.setSpan(new StyleSpan(2), i2, length, 33);
                break;
            case 4:
                spannableStringBuilder.setSpan(new UnderlineSpan(), i2, length, 33);
                break;
            default:
                return;
        }
        list2.clear();
        e(list, str, aVar, list2);
        int size = list2.size();
        for (int i3 = 0; i3 < size; i3++) {
            c(spannableStringBuilder, list2.get(i3).f9279b, i2, length);
        }
    }

    private static void c(SpannableStringBuilder spannableStringBuilder, WebvttCssStyle webvttCssStyle, int i2, int i3) {
        if (webvttCssStyle != null) {
            if (webvttCssStyle.h() != -1) {
                spannableStringBuilder.setSpan(new StyleSpan(webvttCssStyle.h()), i2, i3, 33);
            }
            if (webvttCssStyle.l()) {
                spannableStringBuilder.setSpan(new StrikethroughSpan(), i2, i3, 33);
            }
            if (webvttCssStyle.m()) {
                spannableStringBuilder.setSpan(new UnderlineSpan(), i2, i3, 33);
            }
            if (webvttCssStyle.k()) {
                spannableStringBuilder.setSpan(new ForegroundColorSpan(webvttCssStyle.c()), i2, i3, 33);
            }
            if (webvttCssStyle.j()) {
                spannableStringBuilder.setSpan(new BackgroundColorSpan(webvttCssStyle.b()), i2, i3, 33);
            }
            if (webvttCssStyle.d() != null) {
                spannableStringBuilder.setSpan(new TypefaceSpan(webvttCssStyle.d()), i2, i3, 33);
            }
            if (webvttCssStyle.i() != null) {
                spannableStringBuilder.setSpan(new AlignmentSpan.Standard(webvttCssStyle.i()), i2, i3, 33);
            }
            int f2 = webvttCssStyle.f();
            if (f2 == 1) {
                spannableStringBuilder.setSpan(new AbsoluteSizeSpan((int) webvttCssStyle.e(), true), i2, i3, 33);
            } else if (f2 == 2) {
                spannableStringBuilder.setSpan(new RelativeSizeSpan(webvttCssStyle.e()), i2, i3, 33);
            } else if (f2 == 3) {
                spannableStringBuilder.setSpan(new RelativeSizeSpan(webvttCssStyle.e() / 100.0f), i2, i3, 33);
            }
        }
    }

    private static int d(String str, int i2) {
        int indexOf = str.indexOf(62, i2);
        return indexOf == -1 ? str.length() : indexOf + 1;
    }

    private static void e(List<WebvttCssStyle> list, String str, a aVar, List<b> list2) {
        int size = list.size();
        for (int i2 = 0; i2 < size; i2++) {
            WebvttCssStyle webvttCssStyle = list.get(i2);
            int g2 = webvttCssStyle.g(str, aVar.f9274b, aVar.f9277e, aVar.f9276d);
            if (g2 > 0) {
                list2.add(new b(g2, webvttCssStyle));
            }
        }
        Collections.sort(list2);
    }

    private static String f(String str) {
        String trim = str.trim();
        if (trim.isEmpty()) {
            return null;
        }
        return b0.r0(trim, "[ \\.]")[0];
    }

    private static boolean g(String str) {
        str.hashCode();
        char c2 = 65535;
        switch (str.hashCode()) {
            case 98:
                if (str.equals("b")) {
                    c2 = 0;
                    break;
                }
                break;
            case 99:
                if (str.equals(p)) {
                    c2 = 1;
                    break;
                }
                break;
            case 105:
                if (str.equals(n)) {
                    c2 = 2;
                    break;
                }
                break;
            case 117:
                if (str.equals(o)) {
                    c2 = 3;
                    break;
                }
                break;
            case 118:
                if (str.equals("v")) {
                    c2 = 4;
                    break;
                }
                break;
            case 3314158:
                if (str.equals(r)) {
                    c2 = 5;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
                return true;
            default:
                return false;
        }
    }

    private static boolean i(String str, Matcher matcher, q qVar, d.b bVar, StringBuilder sb, List<WebvttCssStyle> list) {
        try {
            bVar.j(g.c(matcher.group(1))).d(g.c(matcher.group(2)));
            j(matcher.group(3), bVar);
            sb.setLength(0);
            while (true) {
                String n2 = qVar.n();
                if (!TextUtils.isEmpty(n2)) {
                    if (sb.length() > 0) {
                        sb.append("\n");
                    }
                    sb.append(n2.trim());
                } else {
                    k(str, sb.toString(), bVar, list);
                    return true;
                }
            }
        } catch (NumberFormatException unused) {
            Log.w(u, "Skipping cue with bad header: " + matcher.group());
            return false;
        }
    }

    static void j(String str, d.b bVar) {
        Matcher matcher = f9269b.matcher(str);
        while (matcher.find()) {
            String group = matcher.group(1);
            String group2 = matcher.group(2);
            try {
                if ("line".equals(group)) {
                    l(group2, bVar);
                } else if ("align".equals(group)) {
                    bVar.l(o(group2));
                } else if ("position".equals(group)) {
                    n(group2, bVar);
                } else if ("size".equals(group)) {
                    bVar.m(g.b(group2));
                } else {
                    Log.w(u, "Unknown cue setting " + group + ":" + group2);
                }
            } catch (NumberFormatException unused) {
                Log.w(u, "Skipping bad cue setting: " + matcher.group());
            }
        }
    }

    static void k(String str, String str2, d.b bVar, List<WebvttCssStyle> list) {
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder();
        ArrayDeque arrayDeque = new ArrayDeque();
        ArrayList arrayList = new ArrayList();
        int i2 = 0;
        while (i2 < str2.length()) {
            char charAt = str2.charAt(i2);
            if (charAt == '&') {
                i2++;
                int indexOf = str2.indexOf(59, i2);
                int indexOf2 = str2.indexOf(32, i2);
                if (indexOf == -1) {
                    indexOf = indexOf2;
                } else if (indexOf2 != -1) {
                    indexOf = Math.min(indexOf, indexOf2);
                }
                if (indexOf != -1) {
                    a(str2.substring(i2, indexOf), spannableStringBuilder);
                    if (indexOf == indexOf2) {
                        spannableStringBuilder.append(Padder.f14124a);
                    }
                    i2 = indexOf + 1;
                } else {
                    spannableStringBuilder.append(charAt);
                }
            } else if (charAt != '<') {
                spannableStringBuilder.append(charAt);
                i2++;
            } else {
                int i3 = i2 + 1;
                if (i3 < str2.length()) {
                    int i4 = 1;
                    boolean z = str2.charAt(i3) == '/';
                    i3 = d(str2, i3);
                    int i5 = i3 - 2;
                    boolean z2 = str2.charAt(i5) == '/';
                    if (z) {
                        i4 = 2;
                    }
                    int i6 = i2 + i4;
                    if (!z2) {
                        i5 = i3 - 1;
                    }
                    String substring = str2.substring(i6, i5);
                    String f2 = f(substring);
                    if (f2 != null && g(f2)) {
                        if (z) {
                            while (!arrayDeque.isEmpty()) {
                                a aVar = (a) arrayDeque.pop();
                                b(str, aVar, spannableStringBuilder, list, arrayList);
                                if (aVar.f9274b.equals(f2)) {
                                    break;
                                }
                            }
                        } else if (!z2) {
                            arrayDeque.push(a.a(substring, spannableStringBuilder.length()));
                        }
                    }
                }
                i2 = i3;
            }
        }
        while (!arrayDeque.isEmpty()) {
            b(str, (a) arrayDeque.pop(), spannableStringBuilder, list, arrayList);
        }
        b(str, a.b(), spannableStringBuilder, list, arrayList);
        bVar.k(spannableStringBuilder);
    }

    private static void l(String str, d.b bVar) throws NumberFormatException {
        int indexOf = str.indexOf(44);
        if (indexOf != -1) {
            bVar.f(m(str.substring(indexOf + 1)));
            str = str.substring(0, indexOf);
        } else {
            bVar.f(Integer.MIN_VALUE);
        }
        if (str.endsWith("%")) {
            bVar.e(g.b(str)).g(0);
            return;
        }
        int parseInt = Integer.parseInt(str);
        if (parseInt < 0) {
            parseInt--;
        }
        bVar.e((float) parseInt).g(1);
    }

    private static int m(String str) {
        str.hashCode();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1364013995:
                if (str.equals(com.google.android.exoplayer2.text.ttml.b.J)) {
                    c2 = 0;
                    break;
                }
                break;
            case -1074341483:
                if (str.equals("middle")) {
                    c2 = 1;
                    break;
                }
                break;
            case 100571:
                if (str.equals(com.google.android.exoplayer2.text.ttml.b.M)) {
                    c2 = 2;
                    break;
                }
                break;
            case 109757538:
                if (str.equals("start")) {
                    c2 = 3;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
            case 1:
                return 1;
            case 2:
                return 2;
            case 3:
                return 0;
            default:
                Log.w(u, "Invalid anchor value: " + str);
                return Integer.MIN_VALUE;
        }
    }

    private static void n(String str, d.b bVar) throws NumberFormatException {
        int indexOf = str.indexOf(44);
        if (indexOf != -1) {
            bVar.i(m(str.substring(indexOf + 1)));
            str = str.substring(0, indexOf);
        } else {
            bVar.i(Integer.MIN_VALUE);
        }
        bVar.h(g.b(str));
    }

    private static Layout.Alignment o(String str) {
        str.hashCode();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1364013995:
                if (str.equals(com.google.android.exoplayer2.text.ttml.b.J)) {
                    c2 = 0;
                    break;
                }
                break;
            case -1074341483:
                if (str.equals("middle")) {
                    c2 = 1;
                    break;
                }
                break;
            case 100571:
                if (str.equals(com.google.android.exoplayer2.text.ttml.b.M)) {
                    c2 = 2;
                    break;
                }
                break;
            case 3317767:
                if (str.equals(com.google.android.exoplayer2.text.ttml.b.I)) {
                    c2 = 3;
                    break;
                }
                break;
            case 108511772:
                if (str.equals(com.google.android.exoplayer2.text.ttml.b.K)) {
                    c2 = 4;
                    break;
                }
                break;
            case 109757538:
                if (str.equals("start")) {
                    c2 = 5;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
            case 1:
                return Layout.Alignment.ALIGN_CENTER;
            case 2:
            case 4:
                return Layout.Alignment.ALIGN_OPPOSITE;
            case 3:
            case 5:
                return Layout.Alignment.ALIGN_NORMAL;
            default:
                Log.w(u, "Invalid alignment value: " + str);
                return null;
        }
    }

    public boolean h(q qVar, d.b bVar, List<WebvttCssStyle> list) {
        String n2 = qVar.n();
        if (n2 == null) {
            return false;
        }
        Pattern pattern = f9268a;
        Matcher matcher = pattern.matcher(n2);
        if (matcher.matches()) {
            return i(null, matcher, qVar, bVar, this.v, list);
        }
        String n3 = qVar.n();
        if (n3 == null) {
            return false;
        }
        Matcher matcher2 = pattern.matcher(n3);
        if (matcher2.matches()) {
            return i(n2.trim(), matcher2, qVar, bVar, this.v, list);
        }
        return false;
    }
}
