package com.google.android.exoplayer2.text.webvtt;

import com.google.android.exoplayer2.text.SubtitleDecoderException;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.q;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: WebvttParserUtil */
public final class g {

    /* renamed from: a  reason: collision with root package name */
    private static final Pattern f9280a = Pattern.compile("^NOTE(( |\t).*)?$");

    /* renamed from: b  reason: collision with root package name */
    private static final Pattern f9281b = Pattern.compile("^﻿?WEBVTT(( |\t).*)?$");

    private g() {
    }

    public static Matcher a(q qVar) {
        String n;
        while (true) {
            String n2 = qVar.n();
            if (n2 == null) {
                return null;
            }
            if (f9280a.matcher(n2).matches()) {
                do {
                    n = qVar.n();
                    if (n == null) {
                        break;
                    }
                } while (!n.isEmpty());
            } else {
                Matcher matcher = e.f9268a.matcher(n2);
                if (matcher.matches()) {
                    return matcher;
                }
            }
        }
    }

    public static float b(String str) throws NumberFormatException {
        if (str.endsWith("%")) {
            return Float.parseFloat(str.substring(0, str.length() - 1)) / 100.0f;
        }
        throw new NumberFormatException("Percentages must end with %");
    }

    public static long c(String str) throws NumberFormatException {
        String[] r0 = b0.r0(str, "\\.");
        long j = 0;
        for (String str2 : b0.q0(r0[0], ":")) {
            j = (j * 60) + Long.parseLong(str2);
        }
        long j2 = j * 1000;
        if (r0.length == 2) {
            j2 += Long.parseLong(r0[1]);
        }
        return j2 * 1000;
    }

    public static void d(q qVar) throws SubtitleDecoderException {
        String n = qVar.n();
        if (n == null || !f9281b.matcher(n).matches()) {
            throw new SubtitleDecoderException("Expected WEBVTT. Got " + n);
        }
    }
}
