package com.google.android.exoplayer2.trackselection;

import android.content.Context;
import android.graphics.Point;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.Pair;
import android.util.SparseArray;
import android.util.SparseBooleanArray;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.ExoPlaybackException;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.source.TrackGroup;
import com.google.android.exoplayer2.source.TrackGroupArray;
import com.google.android.exoplayer2.trackselection.a;
import com.google.android.exoplayer2.trackselection.d;
import com.google.android.exoplayer2.trackselection.f;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.y;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicReference;

public class DefaultTrackSelector extends d {

    /* renamed from: c  reason: collision with root package name */
    private static final float f9284c = 0.98f;

    /* renamed from: d  reason: collision with root package name */
    private static final int[] f9285d = new int[0];

    /* renamed from: e  reason: collision with root package name */
    private static final int f9286e = 1000;
    @Nullable
    private final f.a f;
    private final AtomicReference<Parameters> g;

    public static final class Parameters implements Parcelable {
        public static final Parcelable.Creator<Parameters> CREATOR = new a();

        /* renamed from: a  reason: collision with root package name */
        public static final Parameters f9287a = new Parameters();
        private final SparseBooleanArray I0;
        @Nullable
        public final String J0;
        @Nullable
        public final String K0;
        public final boolean L0;
        public final int M0;
        public final int N0;
        public final int O0;
        public final int P0;
        public final boolean Q0;
        public final int R0;
        public final int S0;
        public final boolean T0;
        public final boolean U0;
        public final boolean V0;
        public final boolean W0;
        public final boolean X0;
        public final int Y0;

        /* renamed from: b  reason: collision with root package name */
        private final SparseArray<Map<TrackGroupArray, SelectionOverride>> f9288b;

        static class a implements Parcelable.Creator<Parameters> {
            a() {
            }

            /* renamed from: a */
            public Parameters createFromParcel(Parcel parcel) {
                return new Parameters(parcel);
            }

            /* renamed from: b */
            public Parameters[] newArray(int i) {
                return new Parameters[i];
            }
        }

        private Parameters() {
            this(new SparseArray(), new SparseBooleanArray(), null, null, false, 0, false, false, true, Integer.MAX_VALUE, Integer.MAX_VALUE, Integer.MAX_VALUE, true, true, Integer.MAX_VALUE, Integer.MAX_VALUE, true, 0);
        }

        private static boolean c(SparseBooleanArray sparseBooleanArray, SparseBooleanArray sparseBooleanArray2) {
            int size = sparseBooleanArray.size();
            if (sparseBooleanArray2.size() != size) {
                return false;
            }
            for (int i = 0; i < size; i++) {
                if (sparseBooleanArray2.indexOfKey(sparseBooleanArray.keyAt(i)) < 0) {
                    return false;
                }
            }
            return true;
        }

        private static boolean d(SparseArray<Map<TrackGroupArray, SelectionOverride>> sparseArray, SparseArray<Map<TrackGroupArray, SelectionOverride>> sparseArray2) {
            int size = sparseArray.size();
            if (sparseArray2.size() != size) {
                return false;
            }
            for (int i = 0; i < size; i++) {
                int indexOfKey = sparseArray2.indexOfKey(sparseArray.keyAt(i));
                if (indexOfKey < 0 || !e(sparseArray.valueAt(i), sparseArray2.valueAt(indexOfKey))) {
                    return false;
                }
            }
            return true;
        }

        /* JADX WARNING: Removed duplicated region for block: B:6:0x001a  */
        private static boolean e(Map<TrackGroupArray, SelectionOverride> map, Map<TrackGroupArray, SelectionOverride> map2) {
            if (map2.size() != map.size()) {
                return false;
            }
            for (Map.Entry<TrackGroupArray, SelectionOverride> entry : map.entrySet()) {
                TrackGroupArray key = entry.getKey();
                if (!map2.containsKey(key) || !b0.b(entry.getValue(), map2.get(key))) {
                    return false;
                }
                while (r4.hasNext()) {
                }
            }
            return true;
        }

        private static SparseArray<Map<TrackGroupArray, SelectionOverride>> j(Parcel parcel) {
            int readInt = parcel.readInt();
            SparseArray<Map<TrackGroupArray, SelectionOverride>> sparseArray = new SparseArray<>(readInt);
            for (int i = 0; i < readInt; i++) {
                int readInt2 = parcel.readInt();
                int readInt3 = parcel.readInt();
                HashMap hashMap = new HashMap(readInt3);
                for (int i2 = 0; i2 < readInt3; i2++) {
                    hashMap.put((TrackGroupArray) parcel.readParcelable(TrackGroupArray.class.getClassLoader()), (SelectionOverride) parcel.readParcelable(SelectionOverride.class.getClassLoader()));
                }
                sparseArray.put(readInt2, hashMap);
            }
            return sparseArray;
        }

        private static void k(Parcel parcel, SparseArray<Map<TrackGroupArray, SelectionOverride>> sparseArray) {
            int size = sparseArray.size();
            parcel.writeInt(size);
            for (int i = 0; i < size; i++) {
                int keyAt = sparseArray.keyAt(i);
                Map<TrackGroupArray, SelectionOverride> valueAt = sparseArray.valueAt(i);
                int size2 = valueAt.size();
                parcel.writeInt(keyAt);
                parcel.writeInt(size2);
                for (Map.Entry<TrackGroupArray, SelectionOverride> entry : valueAt.entrySet()) {
                    parcel.writeParcelable(entry.getKey(), 0);
                    parcel.writeParcelable(entry.getValue(), 0);
                }
            }
        }

        public int describeContents() {
            return 0;
        }

        public boolean equals(@Nullable Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || Parameters.class != obj.getClass()) {
                return false;
            }
            Parameters parameters = (Parameters) obj;
            if (this.L0 == parameters.L0 && this.M0 == parameters.M0 && this.U0 == parameters.U0 && this.V0 == parameters.V0 && this.W0 == parameters.W0 && this.N0 == parameters.N0 && this.O0 == parameters.O0 && this.Q0 == parameters.Q0 && this.X0 == parameters.X0 && this.T0 == parameters.T0 && this.R0 == parameters.R0 && this.S0 == parameters.S0 && this.P0 == parameters.P0 && this.Y0 == parameters.Y0 && TextUtils.equals(this.J0, parameters.J0) && TextUtils.equals(this.K0, parameters.K0) && c(this.I0, parameters.I0) && d(this.f9288b, parameters.f9288b)) {
                return true;
            }
            return false;
        }

        public d f() {
            return new d(this);
        }

        public final boolean g(int i) {
            return this.I0.get(i);
        }

        @Nullable
        public final SelectionOverride h(int i, TrackGroupArray trackGroupArray) {
            Map<TrackGroupArray, SelectionOverride> map = this.f9288b.get(i);
            if (map != null) {
                return map.get(trackGroupArray);
            }
            return null;
        }

        public int hashCode() {
            int i;
            int i2 = (((((((((((((((((((((((((((this.L0 ? 1 : 0) * 31) + this.M0) * 31) + (this.U0 ? 1 : 0)) * 31) + (this.V0 ? 1 : 0)) * 31) + (this.W0 ? 1 : 0)) * 31) + this.N0) * 31) + this.O0) * 31) + (this.Q0 ? 1 : 0)) * 31) + (this.X0 ? 1 : 0)) * 31) + (this.T0 ? 1 : 0)) * 31) + this.R0) * 31) + this.S0) * 31) + this.P0) * 31) + this.Y0) * 31;
            String str = this.J0;
            int i3 = 0;
            if (str == null) {
                i = 0;
            } else {
                i = str.hashCode();
            }
            int i4 = (i2 + i) * 31;
            String str2 = this.K0;
            if (str2 != null) {
                i3 = str2.hashCode();
            }
            return i4 + i3;
        }

        public final boolean i(int i, TrackGroupArray trackGroupArray) {
            Map<TrackGroupArray, SelectionOverride> map = this.f9288b.get(i);
            return map != null && map.containsKey(trackGroupArray);
        }

        public void writeToParcel(Parcel parcel, int i) {
            k(parcel, this.f9288b);
            parcel.writeSparseBooleanArray(this.I0);
            parcel.writeString(this.J0);
            parcel.writeString(this.K0);
            b0.z0(parcel, this.L0);
            parcel.writeInt(this.M0);
            b0.z0(parcel, this.U0);
            b0.z0(parcel, this.V0);
            b0.z0(parcel, this.W0);
            parcel.writeInt(this.N0);
            parcel.writeInt(this.O0);
            parcel.writeInt(this.P0);
            b0.z0(parcel, this.Q0);
            b0.z0(parcel, this.X0);
            parcel.writeInt(this.R0);
            parcel.writeInt(this.S0);
            b0.z0(parcel, this.T0);
            parcel.writeInt(this.Y0);
        }

        Parameters(SparseArray<Map<TrackGroupArray, SelectionOverride>> sparseArray, SparseBooleanArray sparseBooleanArray, @Nullable String str, @Nullable String str2, boolean z, int i, boolean z2, boolean z3, boolean z4, int i2, int i3, int i4, boolean z5, boolean z6, int i5, int i6, boolean z7, int i7) {
            this.f9288b = sparseArray;
            this.I0 = sparseBooleanArray;
            this.J0 = b0.c0(str);
            this.K0 = b0.c0(str2);
            this.L0 = z;
            this.M0 = i;
            this.U0 = z2;
            this.V0 = z3;
            this.W0 = z4;
            this.N0 = i2;
            this.O0 = i3;
            this.P0 = i4;
            this.Q0 = z5;
            this.X0 = z6;
            this.R0 = i5;
            this.S0 = i6;
            this.T0 = z7;
            this.Y0 = i7;
        }

        Parameters(Parcel parcel) {
            this.f9288b = j(parcel);
            this.I0 = parcel.readSparseBooleanArray();
            this.J0 = parcel.readString();
            this.K0 = parcel.readString();
            this.L0 = b0.g0(parcel);
            this.M0 = parcel.readInt();
            this.U0 = b0.g0(parcel);
            this.V0 = b0.g0(parcel);
            this.W0 = b0.g0(parcel);
            this.N0 = parcel.readInt();
            this.O0 = parcel.readInt();
            this.P0 = parcel.readInt();
            this.Q0 = b0.g0(parcel);
            this.X0 = b0.g0(parcel);
            this.R0 = parcel.readInt();
            this.S0 = parcel.readInt();
            this.T0 = b0.g0(parcel);
            this.Y0 = parcel.readInt();
        }
    }

    /* access modifiers changed from: private */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        public final int f9291a;

        /* renamed from: b  reason: collision with root package name */
        public final int f9292b;
        @Nullable

        /* renamed from: c  reason: collision with root package name */
        public final String f9293c;

        public b(int i, int i2, @Nullable String str) {
            this.f9291a = i;
            this.f9292b = i2;
            this.f9293c = str;
        }

        public boolean equals(@Nullable Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || b.class != obj.getClass()) {
                return false;
            }
            b bVar = (b) obj;
            if (this.f9291a == bVar.f9291a && this.f9292b == bVar.f9292b && TextUtils.equals(this.f9293c, bVar.f9293c)) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            int i = ((this.f9291a * 31) + this.f9292b) * 31;
            String str = this.f9293c;
            return i + (str != null ? str.hashCode() : 0);
        }
    }

    /* access modifiers changed from: private */
    public static final class c implements Comparable<c> {
        private final int I0;
        private final int J0;
        private final int K0;
        private final int L0;
        private final int M0;

        /* renamed from: a  reason: collision with root package name */
        private final Parameters f9294a;

        /* renamed from: b  reason: collision with root package name */
        private final int f9295b;

        public c(Format format, Parameters parameters, int i) {
            this.f9294a = parameters;
            int i2 = 0;
            this.f9295b = DefaultTrackSelector.D(i, false) ? 1 : 0;
            this.I0 = DefaultTrackSelector.r(format, parameters.J0) ? 1 : 0;
            this.J0 = (format.f1 & 1) != 0 ? 1 : i2;
            this.K0 = format.a1;
            this.L0 = format.b1;
            this.M0 = format.J0;
        }

        /* renamed from: a */
        public int compareTo(c cVar) {
            int p;
            int i = this.f9295b;
            int i2 = cVar.f9295b;
            if (i != i2) {
                return DefaultTrackSelector.p(i, i2);
            }
            int i3 = this.I0;
            int i4 = cVar.I0;
            if (i3 != i4) {
                return DefaultTrackSelector.p(i3, i4);
            }
            int i5 = this.J0;
            int i6 = cVar.J0;
            if (i5 != i6) {
                return DefaultTrackSelector.p(i5, i6);
            }
            if (this.f9294a.U0) {
                return DefaultTrackSelector.p(cVar.M0, this.M0);
            }
            int i7 = 1;
            if (i != 1) {
                i7 = -1;
            }
            int i8 = this.K0;
            int i9 = cVar.K0;
            if (i8 != i9) {
                p = DefaultTrackSelector.p(i8, i9);
            } else {
                int i10 = this.L0;
                int i11 = cVar.L0;
                if (i10 != i11) {
                    p = DefaultTrackSelector.p(i10, i11);
                } else {
                    p = DefaultTrackSelector.p(this.M0, cVar.M0);
                }
            }
            return i7 * p;
        }

        public boolean equals(@Nullable Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || c.class != obj.getClass()) {
                return false;
            }
            c cVar = (c) obj;
            if (this.f9295b == cVar.f9295b && this.I0 == cVar.I0 && this.J0 == cVar.J0 && this.K0 == cVar.K0 && this.L0 == cVar.L0 && this.M0 == cVar.M0) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            return (((((((((this.f9295b * 31) + this.I0) * 31) + this.J0) * 31) + this.K0) * 31) + this.L0) * 31) + this.M0;
        }
    }

    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        private final SparseArray<Map<TrackGroupArray, SelectionOverride>> f9296a;

        /* renamed from: b  reason: collision with root package name */
        private final SparseBooleanArray f9297b;
        @Nullable

        /* renamed from: c  reason: collision with root package name */
        private String f9298c;
        @Nullable

        /* renamed from: d  reason: collision with root package name */
        private String f9299d;

        /* renamed from: e  reason: collision with root package name */
        private boolean f9300e;
        private int f;
        private boolean g;
        private boolean h;
        private boolean i;
        private int j;
        private int k;
        private int l;
        private boolean m;
        private boolean n;
        private int o;
        private int p;
        private boolean q;
        private int r;

        private static SparseArray<Map<TrackGroupArray, SelectionOverride>> g(SparseArray<Map<TrackGroupArray, SelectionOverride>> sparseArray) {
            SparseArray<Map<TrackGroupArray, SelectionOverride>> sparseArray2 = new SparseArray<>();
            for (int i2 = 0; i2 < sparseArray.size(); i2++) {
                sparseArray2.put(sparseArray.keyAt(i2), new HashMap(sparseArray.valueAt(i2)));
            }
            return sparseArray2;
        }

        public Parameters a() {
            return new Parameters(this.f9296a, this.f9297b, this.f9298c, this.f9299d, this.f9300e, this.f, this.g, this.h, this.i, this.j, this.k, this.l, this.m, this.n, this.o, this.p, this.q, this.r);
        }

        public final d b(int i2, TrackGroupArray trackGroupArray) {
            Map<TrackGroupArray, SelectionOverride> map = this.f9296a.get(i2);
            if (map != null && map.containsKey(trackGroupArray)) {
                map.remove(trackGroupArray);
                if (map.isEmpty()) {
                    this.f9296a.remove(i2);
                }
            }
            return this;
        }

        public final d c() {
            if (this.f9296a.size() == 0) {
                return this;
            }
            this.f9296a.clear();
            return this;
        }

        public final d d(int i2) {
            Map<TrackGroupArray, SelectionOverride> map = this.f9296a.get(i2);
            if (map != null && !map.isEmpty()) {
                this.f9296a.remove(i2);
            }
            return this;
        }

        public d e() {
            return o(Integer.MAX_VALUE, Integer.MAX_VALUE);
        }

        public d f() {
            return w(Integer.MAX_VALUE, Integer.MAX_VALUE, true);
        }

        public d h(boolean z) {
            this.h = z;
            return this;
        }

        public d i(boolean z) {
            this.i = z;
            return this;
        }

        public d j(int i2) {
            this.f = i2;
            return this;
        }

        public d k(boolean z) {
            this.n = z;
            return this;
        }

        public d l(boolean z) {
            this.m = z;
            return this;
        }

        public d m(boolean z) {
            this.g = z;
            return this;
        }

        public d n(int i2) {
            this.l = i2;
            return this;
        }

        public d o(int i2, int i3) {
            this.j = i2;
            this.k = i3;
            return this;
        }

        public d p() {
            return o(1279, 719);
        }

        public d q(String str) {
            this.f9298c = str;
            return this;
        }

        public d r(String str) {
            this.f9299d = str;
            return this;
        }

        public final d s(int i2, boolean z) {
            if (this.f9297b.get(i2) == z) {
                return this;
            }
            if (z) {
                this.f9297b.put(i2, true);
            } else {
                this.f9297b.delete(i2);
            }
            return this;
        }

        public d t(boolean z) {
            this.f9300e = z;
            return this;
        }

        public final d u(int i2, TrackGroupArray trackGroupArray, SelectionOverride selectionOverride) {
            Map<TrackGroupArray, SelectionOverride> map = this.f9296a.get(i2);
            if (map == null) {
                map = new HashMap<>();
                this.f9296a.put(i2, map);
            }
            if (map.containsKey(trackGroupArray) && b0.b(map.get(trackGroupArray), selectionOverride)) {
                return this;
            }
            map.put(trackGroupArray, selectionOverride);
            return this;
        }

        public d v(int i2) {
            if (this.r != i2) {
                this.r = i2;
            }
            return this;
        }

        public d w(int i2, int i3, boolean z) {
            this.o = i2;
            this.p = i3;
            this.q = z;
            return this;
        }

        public d x(Context context, boolean z) {
            Point M = b0.M(context);
            return w(M.x, M.y, z);
        }

        public d() {
            this(Parameters.f9287a);
        }

        private d(Parameters parameters) {
            this.f9296a = g(parameters.f9288b);
            this.f9297b = parameters.I0.clone();
            this.f9298c = parameters.J0;
            this.f9299d = parameters.K0;
            this.f9300e = parameters.L0;
            this.f = parameters.M0;
            this.g = parameters.U0;
            this.h = parameters.V0;
            this.i = parameters.W0;
            this.j = parameters.N0;
            this.k = parameters.O0;
            this.l = parameters.P0;
            this.m = parameters.Q0;
            this.n = parameters.X0;
            this.o = parameters.R0;
            this.p = parameters.S0;
            this.q = parameters.T0;
            this.r = parameters.Y0;
        }
    }

    public DefaultTrackSelector() {
        this((f.a) null);
    }

    private static List<Integer> B(TrackGroup trackGroup, int i, int i2, boolean z) {
        int i3;
        ArrayList arrayList = new ArrayList(trackGroup.f8715a);
        for (int i4 = 0; i4 < trackGroup.f8715a; i4++) {
            arrayList.add(Integer.valueOf(i4));
        }
        if (!(i == Integer.MAX_VALUE || i2 == Integer.MAX_VALUE)) {
            int i5 = Integer.MAX_VALUE;
            for (int i6 = 0; i6 < trackGroup.f8715a; i6++) {
                Format a2 = trackGroup.a(i6);
                int i7 = a2.S0;
                if (i7 > 0 && (i3 = a2.T0) > 0) {
                    Point x = x(z, i, i2, i7, i3);
                    int i8 = a2.S0;
                    int i9 = a2.T0;
                    int i10 = i8 * i9;
                    if (i8 >= ((int) (((float) x.x) * f9284c)) && i9 >= ((int) (((float) x.y) * f9284c)) && i10 < i5) {
                        i5 = i10;
                    }
                }
            }
            if (i5 != Integer.MAX_VALUE) {
                for (int size = arrayList.size() - 1; size >= 0; size--) {
                    int B = trackGroup.a(((Integer) arrayList.get(size)).intValue()).B();
                    if (B == -1 || B > i5) {
                        arrayList.remove(size);
                    }
                }
            }
        }
        return arrayList;
    }

    protected static boolean D(int i, boolean z) {
        int i2 = i & 7;
        return i2 == 4 || (z && i2 == 3);
    }

    private static boolean E(Format format, int i, b bVar) {
        if (!D(i, false) || format.a1 != bVar.f9291a || format.b1 != bVar.f9292b) {
            return false;
        }
        String str = bVar.f9293c;
        if (str == null || TextUtils.equals(str, format.N0)) {
            return true;
        }
        return false;
    }

    private static boolean F(Format format, @Nullable String str, int i, int i2, int i3, int i4, int i5) {
        if (!D(i, false) || (i & i2) == 0) {
            return false;
        }
        if (str != null && !b0.b(format.N0, str)) {
            return false;
        }
        int i6 = format.S0;
        if (i6 != -1 && i6 > i3) {
            return false;
        }
        int i7 = format.T0;
        if (i7 != -1 && i7 > i4) {
            return false;
        }
        int i8 = format.J0;
        if (i8 == -1 || i8 <= i5) {
            return true;
        }
        return false;
    }

    private static void G(d.a aVar, int[][][] iArr, y[] yVarArr, f[] fVarArr, int i) {
        boolean z;
        if (i != 0) {
            boolean z2 = false;
            int i2 = 0;
            int i3 = -1;
            int i4 = -1;
            while (true) {
                if (i2 >= aVar.c()) {
                    z = true;
                    break;
                }
                int e2 = aVar.e(i2);
                f fVar = fVarArr[i2];
                if ((e2 == 1 || e2 == 2) && fVar != null && H(iArr[i2], aVar.g(i2), fVar)) {
                    if (e2 == 1) {
                        if (i4 != -1) {
                            break;
                        }
                        i4 = i2;
                    } else if (i3 != -1) {
                        break;
                    } else {
                        i3 = i2;
                    }
                }
                i2++;
            }
            z = false;
            if (!(i4 == -1 || i3 == -1)) {
                z2 = true;
            }
            if (z && z2) {
                y yVar = new y(i);
                yVarArr[i4] = yVar;
                yVarArr[i3] = yVar;
            }
        }
    }

    private static boolean H(int[][] iArr, TrackGroupArray trackGroupArray, f fVar) {
        if (fVar == null) {
            return false;
        }
        int b2 = trackGroupArray.b(fVar.a());
        for (int i = 0; i < fVar.length(); i++) {
            if ((iArr[b2][fVar.g(i)] & 32) != 32) {
                return false;
            }
        }
        return true;
    }

    @Nullable
    private static f I(TrackGroupArray trackGroupArray, int[][] iArr, int i, Parameters parameters, f.a aVar) throws ExoPlaybackException {
        int i2 = parameters.W0 ? 24 : 16;
        boolean z = parameters.V0 && (i & i2) != 0;
        for (int i3 = 0; i3 < trackGroupArray.f8718b; i3++) {
            TrackGroup a2 = trackGroupArray.a(i3);
            int[] w = w(a2, iArr[i3], z, i2, parameters.N0, parameters.O0, parameters.P0, parameters.R0, parameters.S0, parameters.T0);
            if (w.length > 0) {
                return ((f.a) com.google.android.exoplayer2.util.a.g(aVar)).a(a2, w);
            }
        }
        return null;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:40:0x0083, code lost:
        if (o(r2.J0, r10) < 0) goto L_0x0088;
     */
    @Nullable
    private static f L(TrackGroupArray trackGroupArray, int[][] iArr, Parameters parameters) {
        int i;
        int i2;
        int i3;
        int i4;
        TrackGroupArray trackGroupArray2 = trackGroupArray;
        int i5 = -1;
        int i6 = 0;
        TrackGroup trackGroup = null;
        int i7 = 0;
        int i8 = 0;
        int i9 = -1;
        int i10 = -1;
        while (i6 < trackGroupArray2.f8718b) {
            TrackGroup a2 = trackGroupArray2.a(i6);
            List<Integer> B = B(a2, parameters.R0, parameters.S0, parameters.T0);
            int[] iArr2 = iArr[i6];
            int i11 = 0;
            while (i11 < a2.f8715a) {
                if (D(iArr2[i11], parameters.X0)) {
                    Format a3 = a2.a(i11);
                    boolean z = true;
                    boolean z2 = B.contains(Integer.valueOf(i11)) && ((i2 = a3.S0) == i5 || i2 <= parameters.N0) && (((i3 = a3.T0) == i5 || i3 <= parameters.O0) && ((i4 = a3.J0) == i5 || i4 <= parameters.P0));
                    if (z2 || parameters.Q0) {
                        int i12 = z2 ? 2 : 1;
                        boolean D = D(iArr2[i11], false);
                        if (D) {
                            i12 += 1000;
                        }
                        boolean z3 = i12 > i8;
                        if (i12 == i8) {
                            if (!parameters.U0) {
                                int B2 = a3.B();
                                if (B2 != i9) {
                                    i = o(B2, i9);
                                } else {
                                    i = o(a3.J0, i10);
                                }
                                if (D) {
                                }
                            }
                            z = false;
                            z3 = z;
                        }
                        if (z3) {
                            i10 = a3.J0;
                            i9 = a3.B();
                            trackGroup = a2;
                            i7 = i11;
                            i8 = i12;
                        }
                    }
                }
                i11++;
                i5 = -1;
            }
            i6++;
            trackGroupArray2 = trackGroupArray;
            i5 = -1;
        }
        if (trackGroup == null) {
            return null;
        }
        return new c(trackGroup, i7);
    }

    private static int o(int i, int i2) {
        if (i == -1) {
            return i2 == -1 ? 0 : -1;
        }
        if (i2 == -1) {
            return 1;
        }
        return i - i2;
    }

    /* access modifiers changed from: private */
    public static int p(int i, int i2) {
        if (i > i2) {
            return 1;
        }
        return i2 > i ? -1 : 0;
    }

    private static void q(TrackGroup trackGroup, int[] iArr, int i, @Nullable String str, int i2, int i3, int i4, List<Integer> list) {
        for (int size = list.size() - 1; size >= 0; size--) {
            int intValue = list.get(size).intValue();
            if (!F(trackGroup.a(intValue), str, iArr[intValue], i, i2, i3, i4)) {
                list.remove(size);
            }
        }
    }

    protected static boolean r(Format format, @Nullable String str) {
        return str != null && TextUtils.equals(str, b0.c0(format.g1));
    }

    protected static boolean s(Format format) {
        return TextUtils.isEmpty(format.g1) || r(format, C.r0);
    }

    private static int t(TrackGroup trackGroup, int[] iArr, b bVar) {
        int i = 0;
        for (int i2 = 0; i2 < trackGroup.f8715a; i2++) {
            if (E(trackGroup.a(i2), iArr[i2], bVar)) {
                i++;
            }
        }
        return i;
    }

    private static int[] u(TrackGroup trackGroup, int[] iArr, boolean z) {
        int t;
        HashSet hashSet = new HashSet();
        b bVar = null;
        int i = 0;
        for (int i2 = 0; i2 < trackGroup.f8715a; i2++) {
            Format a2 = trackGroup.a(i2);
            b bVar2 = new b(a2.a1, a2.b1, z ? null : a2.N0);
            if (hashSet.add(bVar2) && (t = t(trackGroup, iArr, bVar2)) > i) {
                i = t;
                bVar = bVar2;
            }
        }
        if (i <= 1) {
            return f9285d;
        }
        int[] iArr2 = new int[i];
        int i3 = 0;
        for (int i4 = 0; i4 < trackGroup.f8715a; i4++) {
            if (E(trackGroup.a(i4), iArr[i4], (b) com.google.android.exoplayer2.util.a.g(bVar))) {
                iArr2[i3] = i4;
                i3++;
            }
        }
        return iArr2;
    }

    private static int v(TrackGroup trackGroup, int[] iArr, int i, @Nullable String str, int i2, int i3, int i4, List<Integer> list) {
        int i5 = 0;
        for (int i6 = 0; i6 < list.size(); i6++) {
            int intValue = list.get(i6).intValue();
            if (F(trackGroup.a(intValue), str, iArr[intValue], i, i2, i3, i4)) {
                i5++;
            }
        }
        return i5;
    }

    private static int[] w(TrackGroup trackGroup, int[] iArr, boolean z, int i, int i2, int i3, int i4, int i5, int i6, boolean z2) {
        String str;
        int v;
        if (trackGroup.f8715a < 2) {
            return f9285d;
        }
        List<Integer> B = B(trackGroup, i5, i6, z2);
        if (B.size() < 2) {
            return f9285d;
        }
        if (!z) {
            HashSet hashSet = new HashSet();
            String str2 = null;
            int i7 = 0;
            for (int i8 = 0; i8 < B.size(); i8++) {
                String str3 = trackGroup.a(B.get(i8).intValue()).N0;
                if (hashSet.add(str3) && (v = v(trackGroup, iArr, i, str3, i2, i3, i4, B)) > i7) {
                    i7 = v;
                    str2 = str3;
                }
            }
            str = str2;
        } else {
            str = null;
        }
        q(trackGroup, iArr, i, str, i2, i3, i4, B);
        return B.size() < 2 ? f9285d : b0.u0(B);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:7:0x000d, code lost:
        if (r1 != r3) goto L_0x0013;
     */
    private static Point x(boolean z, int i, int i2, int i3, int i4) {
        if (z) {
            boolean z2 = true;
            boolean z3 = i3 > i4;
            if (i <= i2) {
                z2 = false;
            }
        }
        i2 = i;
        i = i2;
        int i5 = i3 * i;
        int i6 = i4 * i2;
        if (i5 >= i6) {
            return new Point(i2, b0.h(i6, i3));
        }
        return new Point(b0.h(i5, i4), i);
    }

    @Nullable
    @Deprecated
    public final SelectionOverride A(int i, TrackGroupArray trackGroupArray) {
        return y().h(i, trackGroupArray);
    }

    @Deprecated
    public final boolean C(int i, TrackGroupArray trackGroupArray) {
        return y().i(i, trackGroupArray);
    }

    /* access modifiers changed from: protected */
    public f[] J(d.a aVar, int[][][] iArr, int[] iArr2, Parameters parameters) throws ExoPlaybackException {
        int c2 = aVar.c();
        f[] fVarArr = new f[c2];
        boolean z = false;
        int i = 0;
        boolean z2 = false;
        while (true) {
            boolean z3 = true;
            if (i >= c2) {
                break;
            }
            if (2 == aVar.e(i)) {
                if (!z) {
                    fVarArr[i] = O(aVar.g(i), iArr[i], iArr2[i], parameters, this.f);
                    z = fVarArr[i] != null;
                }
                if (aVar.g(i).f8718b <= 0) {
                    z3 = false;
                }
                z2 |= z3;
            }
            i++;
        }
        boolean z4 = false;
        boolean z5 = false;
        for (int i2 = 0; i2 < c2; i2++) {
            int e2 = aVar.e(i2);
            if (e2 != 1) {
                if (e2 != 2) {
                    if (e2 != 3) {
                        fVarArr[i2] = M(e2, aVar.g(i2), iArr[i2], parameters);
                    } else if (!z5) {
                        fVarArr[i2] = N(aVar.g(i2), iArr[i2], parameters);
                        z5 = fVarArr[i2] != null;
                    }
                }
            } else if (!z4) {
                fVarArr[i2] = K(aVar.g(i2), iArr[i2], iArr2[i2], parameters, z2 ? null : this.f);
                z4 = fVarArr[i2] != null;
            }
        }
        return fVarArr;
    }

    /* access modifiers changed from: protected */
    @Nullable
    public f K(TrackGroupArray trackGroupArray, int[][] iArr, int i, Parameters parameters, @Nullable f.a aVar) throws ExoPlaybackException {
        c cVar = null;
        int i2 = -1;
        int i3 = -1;
        for (int i4 = 0; i4 < trackGroupArray.f8718b; i4++) {
            TrackGroup a2 = trackGroupArray.a(i4);
            int[] iArr2 = iArr[i4];
            for (int i5 = 0; i5 < a2.f8715a; i5++) {
                if (D(iArr2[i5], parameters.X0)) {
                    c cVar2 = new c(a2.a(i5), parameters, iArr2[i5]);
                    if (cVar == null || cVar2.compareTo(cVar) > 0) {
                        i2 = i4;
                        i3 = i5;
                        cVar = cVar2;
                    }
                }
            }
        }
        if (i2 == -1) {
            return null;
        }
        TrackGroup a3 = trackGroupArray.a(i2);
        if (!parameters.U0 && aVar != null) {
            int[] u = u(a3, iArr[i2], parameters.V0);
            if (u.length > 0) {
                return aVar.a(a3, u);
            }
        }
        return new c(a3, i3);
    }

    /* access modifiers changed from: protected */
    @Nullable
    public f M(int i, TrackGroupArray trackGroupArray, int[][] iArr, Parameters parameters) throws ExoPlaybackException {
        TrackGroup trackGroup = null;
        int i2 = 0;
        int i3 = 0;
        for (int i4 = 0; i4 < trackGroupArray.f8718b; i4++) {
            TrackGroup a2 = trackGroupArray.a(i4);
            int[] iArr2 = iArr[i4];
            for (int i5 = 0; i5 < a2.f8715a; i5++) {
                if (D(iArr2[i5], parameters.X0)) {
                    int i6 = 1;
                    if ((a2.a(i5).f1 & 1) != 0) {
                        i6 = 2;
                    }
                    if (D(iArr2[i5], false)) {
                        i6 += 1000;
                    }
                    if (i6 > i3) {
                        trackGroup = a2;
                        i2 = i5;
                        i3 = i6;
                    }
                }
            }
        }
        if (trackGroup == null) {
            return null;
        }
        return new c(trackGroup, i2);
    }

    /* access modifiers changed from: protected */
    @Nullable
    public f N(TrackGroupArray trackGroupArray, int[][] iArr, Parameters parameters) throws ExoPlaybackException {
        TrackGroup trackGroup = null;
        int i = 0;
        int i2 = 0;
        for (int i3 = 0; i3 < trackGroupArray.f8718b; i3++) {
            TrackGroup a2 = trackGroupArray.a(i3);
            int[] iArr2 = iArr[i3];
            for (int i4 = 0; i4 < a2.f8715a; i4++) {
                if (D(iArr2[i4], parameters.X0)) {
                    Format a3 = a2.a(i4);
                    int i5 = a3.f1 & (~parameters.M0);
                    int i6 = 1;
                    boolean z = (i5 & 1) != 0;
                    boolean z2 = (i5 & 2) != 0;
                    boolean r = r(a3, parameters.K0);
                    if (r || (parameters.L0 && s(a3))) {
                        i6 = (z ? 8 : !z2 ? 6 : 4) + (r ? 1 : 0);
                    } else if (z) {
                        i6 = 3;
                    } else if (z2) {
                        if (r(a3, parameters.J0)) {
                            i6 = 2;
                        }
                    }
                    if (D(iArr2[i4], false)) {
                        i6 += 1000;
                    }
                    if (i6 > i2) {
                        trackGroup = a2;
                        i = i4;
                        i2 = i6;
                    }
                }
            }
        }
        if (trackGroup == null) {
            return null;
        }
        return new c(trackGroup, i);
    }

    /* access modifiers changed from: protected */
    @Nullable
    public f O(TrackGroupArray trackGroupArray, int[][] iArr, int i, Parameters parameters, @Nullable f.a aVar) throws ExoPlaybackException {
        f I = (parameters.U0 || aVar == null) ? null : I(trackGroupArray, iArr, i, parameters, aVar);
        return I == null ? L(trackGroupArray, iArr, parameters) : I;
    }

    public void P(Parameters parameters) {
        com.google.android.exoplayer2.util.a.g(parameters);
        if (!this.g.getAndSet(parameters).equals(parameters)) {
            b();
        }
    }

    public void Q(d dVar) {
        P(dVar.a());
    }

    @Deprecated
    public final void R(int i, boolean z) {
        Q(k().s(i, z));
    }

    @Deprecated
    public final void S(int i, TrackGroupArray trackGroupArray, SelectionOverride selectionOverride) {
        Q(k().u(i, trackGroupArray, selectionOverride));
    }

    @Deprecated
    public void T(int i) {
        Q(k().v(i));
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.trackselection.d
    public final Pair<y[], f[]> i(d.a aVar, int[][][] iArr, int[] iArr2) throws ExoPlaybackException {
        Parameters parameters = this.g.get();
        int c2 = aVar.c();
        f[] J = J(aVar, iArr, iArr2, parameters);
        for (int i = 0; i < c2; i++) {
            if (parameters.g(i)) {
                J[i] = null;
            } else {
                TrackGroupArray g2 = aVar.g(i);
                if (parameters.i(i, g2)) {
                    SelectionOverride h = parameters.h(i, g2);
                    if (h == null) {
                        J[i] = null;
                    } else if (h.I0 == 1) {
                        J[i] = new c(g2.a(h.f9289a), h.f9290b[0]);
                    } else {
                        J[i] = ((f.a) com.google.android.exoplayer2.util.a.g(this.f)).a(g2.a(h.f9289a), h.f9290b);
                    }
                }
            }
        }
        y[] yVarArr = new y[c2];
        for (int i2 = 0; i2 < c2; i2++) {
            yVarArr[i2] = !parameters.g(i2) && (aVar.e(i2) == 5 || J[i2] != null) ? y.f9698a : null;
        }
        G(aVar, iArr, yVarArr, J, parameters.Y0);
        return Pair.create(yVarArr, J);
    }

    public d k() {
        return y().f();
    }

    @Deprecated
    public final void l(int i, TrackGroupArray trackGroupArray) {
        Q(k().b(i, trackGroupArray));
    }

    @Deprecated
    public final void m() {
        Q(k().c());
    }

    @Deprecated
    public final void n(int i) {
        Q(k().d(i));
    }

    public Parameters y() {
        return this.g.get();
    }

    @Deprecated
    public final boolean z(int i) {
        return y().g(i);
    }

    public DefaultTrackSelector(com.google.android.exoplayer2.upstream.c cVar) {
        this(new a.C0227a(cVar));
    }

    public DefaultTrackSelector(@Nullable f.a aVar) {
        this.f = aVar;
        this.g = new AtomicReference<>(Parameters.f9287a);
    }

    public static final class SelectionOverride implements Parcelable {
        public static final Parcelable.Creator<SelectionOverride> CREATOR = new a();
        public final int I0;

        /* renamed from: a  reason: collision with root package name */
        public final int f9289a;

        /* renamed from: b  reason: collision with root package name */
        public final int[] f9290b;

        static class a implements Parcelable.Creator<SelectionOverride> {
            a() {
            }

            /* renamed from: a */
            public SelectionOverride createFromParcel(Parcel parcel) {
                return new SelectionOverride(parcel);
            }

            /* renamed from: b */
            public SelectionOverride[] newArray(int i) {
                return new SelectionOverride[i];
            }
        }

        public SelectionOverride(int i, int... iArr) {
            this.f9289a = i;
            int[] copyOf = Arrays.copyOf(iArr, iArr.length);
            this.f9290b = copyOf;
            this.I0 = iArr.length;
            Arrays.sort(copyOf);
        }

        public boolean a(int i) {
            for (int i2 : this.f9290b) {
                if (i2 == i) {
                    return true;
                }
            }
            return false;
        }

        public int describeContents() {
            return 0;
        }

        public boolean equals(@Nullable Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || SelectionOverride.class != obj.getClass()) {
                return false;
            }
            SelectionOverride selectionOverride = (SelectionOverride) obj;
            if (this.f9289a != selectionOverride.f9289a || !Arrays.equals(this.f9290b, selectionOverride.f9290b)) {
                return false;
            }
            return true;
        }

        public int hashCode() {
            return (this.f9289a * 31) + Arrays.hashCode(this.f9290b);
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeInt(this.f9289a);
            parcel.writeInt(this.f9290b.length);
            parcel.writeIntArray(this.f9290b);
        }

        SelectionOverride(Parcel parcel) {
            this.f9289a = parcel.readInt();
            int readByte = parcel.readByte();
            this.I0 = readByte;
            int[] iArr = new int[readByte];
            this.f9290b = iArr;
            parcel.readIntArray(iArr);
        }
    }
}
