package com.google.android.exoplayer2.trackselection;

import androidx.annotation.Nullable;
import androidx.work.t;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.source.TrackGroup;
import com.google.android.exoplayer2.source.d0.l;
import com.google.android.exoplayer2.trackselection.f;
import com.google.android.exoplayer2.upstream.c;
import com.google.android.exoplayer2.util.b0;
import java.util.List;

/* compiled from: AdaptiveTrackSelection */
public class a extends b {
    public static final int g = 10000;
    public static final int h = 25000;
    public static final int i = 25000;
    public static final float j = 0.75f;
    public static final float k = 0.75f;
    public static final long l = 2000;
    private final c m;
    private final long n;
    private final long o;
    private final long p;
    private final float q;
    private final float r;
    private final long s;
    private final com.google.android.exoplayer2.util.c t;
    private float u;
    private int v;
    private int w;
    private long x;

    /* renamed from: com.google.android.exoplayer2.trackselection.a$a  reason: collision with other inner class name */
    /* compiled from: AdaptiveTrackSelection */
    public static final class C0227a implements f.a {

        /* renamed from: a  reason: collision with root package name */
        private final c f9301a;

        /* renamed from: b  reason: collision with root package name */
        private final int f9302b;

        /* renamed from: c  reason: collision with root package name */
        private final int f9303c;

        /* renamed from: d  reason: collision with root package name */
        private final int f9304d;

        /* renamed from: e  reason: collision with root package name */
        private final float f9305e;
        private final float f;
        private final long g;
        private final com.google.android.exoplayer2.util.c h;

        public C0227a(c cVar) {
            this(cVar, 10000, 25000, 25000, 0.75f, 0.75f, a.l, com.google.android.exoplayer2.util.c.f9577a);
        }

        /* renamed from: b */
        public a a(TrackGroup trackGroup, int... iArr) {
            return new a(trackGroup, iArr, this.f9301a, (long) this.f9302b, (long) this.f9303c, (long) this.f9304d, this.f9305e, this.f, this.g, this.h);
        }

        public C0227a(c cVar, int i, int i2, int i3, float f2) {
            this(cVar, i, i2, i3, f2, 0.75f, a.l, com.google.android.exoplayer2.util.c.f9577a);
        }

        public C0227a(c cVar, int i, int i2, int i3, float f2, float f3, long j, com.google.android.exoplayer2.util.c cVar2) {
            this.f9301a = cVar;
            this.f9302b = i;
            this.f9303c = i2;
            this.f9304d = i3;
            this.f9305e = f2;
            this.f = f3;
            this.g = j;
            this.h = cVar2;
        }
    }

    public a(TrackGroup trackGroup, int[] iArr, c cVar) {
        this(trackGroup, iArr, cVar, t.f4799c, 25000, 25000, 0.75f, 0.75f, l, com.google.android.exoplayer2.util.c.f9577a);
    }

    private int r(long j2) {
        long d2 = (long) (((float) this.m.d()) * this.q);
        int i2 = 0;
        for (int i3 = 0; i3 < this.f9307b; i3++) {
            if (j2 == Long.MIN_VALUE || !q(i3, j2)) {
                if (((long) Math.round(((float) d(i3).J0) * this.u)) <= d2) {
                    return i3;
                }
                i2 = i3;
            }
        }
        return i2;
    }

    private long s(long j2) {
        return (j2 > C.f7870b ? 1 : (j2 == C.f7870b ? 0 : -1)) != 0 && (j2 > this.n ? 1 : (j2 == this.n ? 0 : -1)) <= 0 ? (long) (((float) j2) * this.r) : this.n;
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public int b() {
        return this.v;
    }

    @Override // com.google.android.exoplayer2.trackselection.b, com.google.android.exoplayer2.trackselection.f
    public void e() {
        this.x = C.f7870b;
    }

    @Override // com.google.android.exoplayer2.trackselection.b, com.google.android.exoplayer2.trackselection.f
    public int h(long j2, List<? extends l> list) {
        int i2;
        int i3;
        long b2 = this.t.b();
        long j3 = this.x;
        if (j3 != C.f7870b && b2 - j3 < this.s) {
            return list.size();
        }
        this.x = b2;
        if (list.isEmpty()) {
            return 0;
        }
        int size = list.size();
        if (b0.O(((l) list.get(size - 1)).f - j2, this.u) < this.p) {
            return size;
        }
        Format d2 = d(r(b2));
        for (int i4 = 0; i4 < size; i4++) {
            l lVar = (l) list.get(i4);
            Format format = lVar.f8780c;
            if (b0.O(lVar.f - j2, this.u) >= this.p && format.J0 < d2.J0 && (i2 = format.T0) != -1 && i2 < 720 && (i3 = format.S0) != -1 && i3 < 1280 && i2 < d2.T0) {
                return i4;
            }
        }
        return size;
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public int l() {
        return this.w;
    }

    @Override // com.google.android.exoplayer2.trackselection.b, com.google.android.exoplayer2.trackselection.f
    public void m(float f) {
        this.u = f;
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public void n(long j2, long j3, long j4) {
        long b2 = this.t.b();
        int i2 = this.v;
        int r2 = r(b2);
        this.v = r2;
        if (r2 != i2) {
            if (!q(i2, b2)) {
                Format d2 = d(i2);
                Format d3 = d(this.v);
                if (d3.J0 > d2.J0 && j3 < s(j4)) {
                    this.v = i2;
                } else if (d3.J0 < d2.J0 && j3 >= this.o) {
                    this.v = i2;
                }
            }
            if (this.v != i2) {
                this.w = 3;
            }
        }
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    @Nullable
    public Object o() {
        return null;
    }

    public a(TrackGroup trackGroup, int[] iArr, c cVar, long j2, long j3, long j4, float f, float f2, long j5, com.google.android.exoplayer2.util.c cVar2) {
        super(trackGroup, iArr);
        this.m = cVar;
        this.n = j2 * 1000;
        this.o = j3 * 1000;
        this.p = j4 * 1000;
        this.q = f;
        this.r = f2;
        this.s = j5;
        this.t = cVar2;
        this.u = 1.0f;
        this.w = 1;
        this.x = C.f7870b;
        this.v = r(Long.MIN_VALUE);
    }
}
