package com.google.android.exoplayer2.trackselection;

import android.os.SystemClock;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.source.TrackGroup;
import com.google.android.exoplayer2.source.d0.l;
import java.util.Arrays;
import java.util.Comparator;
import java.util.List;

/* compiled from: BaseTrackSelection */
public abstract class b implements f {

    /* renamed from: a  reason: collision with root package name */
    protected final TrackGroup f9306a;

    /* renamed from: b  reason: collision with root package name */
    protected final int f9307b;

    /* renamed from: c  reason: collision with root package name */
    protected final int[] f9308c;

    /* renamed from: d  reason: collision with root package name */
    private final Format[] f9309d;

    /* renamed from: e  reason: collision with root package name */
    private final long[] f9310e;
    private int f;

    /* renamed from: com.google.android.exoplayer2.trackselection.b$b  reason: collision with other inner class name */
    /* compiled from: BaseTrackSelection */
    private static final class C0228b implements Comparator<Format> {
        private C0228b() {
        }

        /* renamed from: a */
        public int compare(Format format, Format format2) {
            return format2.J0 - format.J0;
        }
    }

    public b(TrackGroup trackGroup, int... iArr) {
        int i = 0;
        com.google.android.exoplayer2.util.a.i(iArr.length > 0);
        this.f9306a = (TrackGroup) com.google.android.exoplayer2.util.a.g(trackGroup);
        int length = iArr.length;
        this.f9307b = length;
        this.f9309d = new Format[length];
        for (int i2 = 0; i2 < iArr.length; i2++) {
            this.f9309d[i2] = trackGroup.a(iArr[i2]);
        }
        Arrays.sort(this.f9309d, new C0228b());
        this.f9308c = new int[this.f9307b];
        while (true) {
            int i3 = this.f9307b;
            if (i < i3) {
                this.f9308c[i] = trackGroup.b(this.f9309d[i]);
                i++;
            } else {
                this.f9310e = new long[i3];
                return;
            }
        }
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public final TrackGroup a() {
        return this.f9306a;
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public final boolean c(int i, long j) {
        long elapsedRealtime = SystemClock.elapsedRealtime();
        boolean q = q(i, elapsedRealtime);
        int i2 = 0;
        while (i2 < this.f9307b && !q) {
            q = i2 != i && !q(i2, elapsedRealtime);
            i2++;
        }
        if (!q) {
            return false;
        }
        long[] jArr = this.f9310e;
        jArr[i] = Math.max(jArr[i], elapsedRealtime + j);
        return true;
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public final Format d(int i) {
        return this.f9309d[i];
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public void e() {
    }

    public boolean equals(@Nullable Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        b bVar = (b) obj;
        if (this.f9306a != bVar.f9306a || !Arrays.equals(this.f9308c, bVar.f9308c)) {
            return false;
        }
        return true;
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public void f() {
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public final int g(int i) {
        return this.f9308c[i];
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public int h(long j, List<? extends l> list) {
        return list.size();
    }

    public int hashCode() {
        if (this.f == 0) {
            this.f = (System.identityHashCode(this.f9306a) * 31) + Arrays.hashCode(this.f9308c);
        }
        return this.f;
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public final int i(Format format) {
        for (int i = 0; i < this.f9307b; i++) {
            if (this.f9309d[i] == format) {
                return i;
            }
        }
        return -1;
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public final int j() {
        return this.f9308c[b()];
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public final Format k() {
        return this.f9309d[b()];
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public final int length() {
        return this.f9308c.length;
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public void m(float f2) {
    }

    @Override // com.google.android.exoplayer2.trackselection.f
    public final int p(int i) {
        for (int i2 = 0; i2 < this.f9307b; i2++) {
            if (this.f9308c[i2] == i) {
                return i2;
            }
        }
        return -1;
    }

    /* access modifiers changed from: protected */
    public final boolean q(int i, long j) {
        return this.f9310e[i] > j;
    }
}
