package com.google.android.exoplayer2.ui;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import android.widget.FrameLayout;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public final class AspectRatioFrameLayout extends FrameLayout {
    public static final int I0 = 2;
    public static final int J0 = 3;
    public static final int K0 = 4;
    private static final float L0 = 0.01f;

    /* renamed from: a  reason: collision with root package name */
    public static final int f9333a = 0;

    /* renamed from: b  reason: collision with root package name */
    public static final int f9334b = 1;
    private final c M0;
    private b N0;
    private float O0;
    private int P0;

    @Retention(RetentionPolicy.SOURCE)
    public @interface ResizeMode {
    }

    public interface b {
        void a(float f, float f2, boolean z);
    }

    private final class c implements Runnable {
        private boolean I0;
        private boolean J0;

        /* renamed from: a  reason: collision with root package name */
        private float f9335a;

        /* renamed from: b  reason: collision with root package name */
        private float f9336b;

        private c() {
        }

        public void a(float f, float f2, boolean z) {
            this.f9335a = f;
            this.f9336b = f2;
            this.I0 = z;
            if (!this.J0) {
                this.J0 = true;
                AspectRatioFrameLayout.this.post(this);
            }
        }

        public void run() {
            this.J0 = false;
            if (AspectRatioFrameLayout.this.N0 != null) {
                AspectRatioFrameLayout.this.N0.a(this.f9335a, this.f9336b, this.I0);
            }
        }
    }

    public AspectRatioFrameLayout(Context context) {
        this(context, null);
    }

    public int getResizeMode() {
        return this.P0;
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        float f;
        float f2;
        super.onMeasure(i, i2);
        if (this.O0 > 0.0f) {
            int measuredWidth = getMeasuredWidth();
            int measuredHeight = getMeasuredHeight();
            float f3 = (float) measuredWidth;
            float f4 = (float) measuredHeight;
            float f5 = f3 / f4;
            float f6 = (this.O0 / f5) - 1.0f;
            if (Math.abs(f6) <= L0) {
                this.M0.a(this.O0, f5, false);
                return;
            }
            int i3 = this.P0;
            if (i3 != 0) {
                if (i3 == 1) {
                    f2 = this.O0;
                } else if (i3 != 2) {
                    if (i3 == 4) {
                        if (f6 > 0.0f) {
                            f = this.O0;
                        } else {
                            f2 = this.O0;
                        }
                    }
                    this.M0.a(this.O0, f5, true);
                    super.onMeasure(View.MeasureSpec.makeMeasureSpec(measuredWidth, 1073741824), View.MeasureSpec.makeMeasureSpec(measuredHeight, 1073741824));
                } else {
                    f = this.O0;
                }
                measuredHeight = (int) (f3 / f2);
                this.M0.a(this.O0, f5, true);
                super.onMeasure(View.MeasureSpec.makeMeasureSpec(measuredWidth, 1073741824), View.MeasureSpec.makeMeasureSpec(measuredHeight, 1073741824));
            } else if (f6 > 0.0f) {
                f2 = this.O0;
                measuredHeight = (int) (f3 / f2);
                this.M0.a(this.O0, f5, true);
                super.onMeasure(View.MeasureSpec.makeMeasureSpec(measuredWidth, 1073741824), View.MeasureSpec.makeMeasureSpec(measuredHeight, 1073741824));
            } else {
                f = this.O0;
            }
            measuredWidth = (int) (f4 * f);
            this.M0.a(this.O0, f5, true);
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(measuredWidth, 1073741824), View.MeasureSpec.makeMeasureSpec(measuredHeight, 1073741824));
        }
    }

    public void setAspectRatio(float f) {
        if (this.O0 != f) {
            this.O0 = f;
            requestLayout();
        }
    }

    public void setAspectRatioListener(b bVar) {
        this.N0 = bVar;
    }

    public void setResizeMode(int i) {
        if (this.P0 != i) {
            this.P0 = i;
            requestLayout();
        }
    }

    public AspectRatioFrameLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.P0 = 0;
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(attributeSet, R.styleable.AspectRatioFrameLayout, 0, 0);
            try {
                this.P0 = obtainStyledAttributes.getInt(R.styleable.AspectRatioFrameLayout_resize_mode, 0);
            } finally {
                obtainStyledAttributes.recycle();
            }
        }
        this.M0 = new c();
    }
}
