package com.google.android.exoplayer2.ui;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Point;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import androidx.annotation.ColorInt;
import androidx.annotation.Nullable;
import androidx.core.view.ViewCompat;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.ui.f;
import com.google.android.exoplayer2.util.b0;
import java.util.Formatter;
import java.util.Iterator;
import java.util.Locale;
import java.util.concurrent.CopyOnWriteArraySet;

public class DefaultTimeBar extends View implements f {
    public static final int I0 = 4;
    public static final int J0 = 12;
    public static final int K0 = 0;
    public static final int L0 = 16;
    public static final int M0 = -1;
    public static final int N0 = -1291845888;
    private static final int O0 = -50;
    private static final int P0 = 3;
    private static final long Q0 = 1000;
    private static final int R0 = 20;
    private static final String S0 = "android.widget.SeekBar";

    /* renamed from: a  reason: collision with root package name */
    public static final int f9337a = 4;

    /* renamed from: b  reason: collision with root package name */
    public static final int f9338b = 26;
    private int A1;
    @Nullable
    private long[] B1;
    @Nullable
    private boolean[] C1;
    private final Rect T0 = new Rect();
    private final Rect U0 = new Rect();
    private final Rect V0 = new Rect();
    private final Rect W0 = new Rect();
    private final Paint X0;
    private final Paint Y0;
    private final Paint Z0;
    private final Paint a1;
    private final Paint b1;
    private final Paint c1;
    @Nullable
    private final Drawable d1;
    private final int e1;
    private final int f1;
    private final int g1;
    private final int h1;
    private final int i1;
    private final int j1;
    private final int k1;
    private final int l1;
    private final StringBuilder m1;
    private final Formatter n1;
    private final Runnable o1;
    private final CopyOnWriteArraySet<f.a> p1;
    private final int[] q1;
    private final Point r1;
    private int s1;
    private long t1;
    private int u1;
    private boolean v1;
    private long w1;
    private long x1;
    private long y1;
    private long z1;

    class a implements Runnable {
        a() {
        }

        public void run() {
            DefaultTimeBar.this.t(false);
        }
    }

    public DefaultTimeBar(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        boolean z;
        Paint paint = new Paint();
        this.X0 = paint;
        Paint paint2 = new Paint();
        this.Y0 = paint2;
        Paint paint3 = new Paint();
        this.Z0 = paint3;
        Paint paint4 = new Paint();
        this.a1 = paint4;
        Paint paint5 = new Paint();
        this.b1 = paint5;
        Paint paint6 = new Paint();
        this.c1 = paint6;
        paint6.setAntiAlias(true);
        this.p1 = new CopyOnWriteArraySet<>();
        this.q1 = new int[2];
        this.r1 = new Point();
        DisplayMetrics displayMetrics = context.getResources().getDisplayMetrics();
        this.l1 = e(displayMetrics, O0);
        int e2 = e(displayMetrics, 4);
        int e3 = e(displayMetrics, 26);
        int e4 = e(displayMetrics, 4);
        int e5 = e(displayMetrics, 12);
        int e6 = e(displayMetrics, 0);
        int e7 = e(displayMetrics, 16);
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(attributeSet, R.styleable.DefaultTimeBar, 0, 0);
            try {
                Drawable drawable = obtainStyledAttributes.getDrawable(R.styleable.DefaultTimeBar_scrubber_drawable);
                this.d1 = drawable;
                if (drawable != null) {
                    q(drawable);
                    e3 = Math.max(drawable.getMinimumHeight(), e3);
                }
                this.e1 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.DefaultTimeBar_bar_height, e2);
                this.f1 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.DefaultTimeBar_touch_target_height, e3);
                this.g1 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.DefaultTimeBar_ad_marker_width, e4);
                this.h1 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.DefaultTimeBar_scrubber_enabled_size, e5);
                this.i1 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.DefaultTimeBar_scrubber_disabled_size, e6);
                this.j1 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.DefaultTimeBar_scrubber_dragged_size, e7);
                int i = obtainStyledAttributes.getInt(R.styleable.DefaultTimeBar_played_color, -1);
                int i2 = obtainStyledAttributes.getInt(R.styleable.DefaultTimeBar_scrubber_color, j(i));
                int i3 = obtainStyledAttributes.getInt(R.styleable.DefaultTimeBar_buffered_color, h(i));
                int i4 = obtainStyledAttributes.getInt(R.styleable.DefaultTimeBar_unplayed_color, k(i));
                int i5 = obtainStyledAttributes.getInt(R.styleable.DefaultTimeBar_ad_marker_color, N0);
                int i6 = obtainStyledAttributes.getInt(R.styleable.DefaultTimeBar_played_ad_marker_color, i(i5));
                paint.setColor(i);
                paint6.setColor(i2);
                paint2.setColor(i3);
                paint3.setColor(i4);
                paint4.setColor(i5);
                paint5.setColor(i6);
            } finally {
                obtainStyledAttributes.recycle();
            }
        } else {
            this.e1 = e2;
            this.f1 = e3;
            this.g1 = e4;
            this.h1 = e5;
            this.i1 = e6;
            this.j1 = e7;
            paint.setColor(-1);
            paint6.setColor(j(-1));
            paint2.setColor(h(-1));
            paint3.setColor(k(-1));
            paint4.setColor(N0);
            this.d1 = null;
        }
        StringBuilder sb = new StringBuilder();
        this.m1 = sb;
        this.n1 = new Formatter(sb, Locale.getDefault());
        this.o1 = new a();
        Drawable drawable2 = this.d1;
        if (drawable2 != null) {
            z = true;
            this.k1 = (drawable2.getMinimumWidth() + 1) / 2;
        } else {
            z = true;
            this.k1 = (Math.max(this.i1, Math.max(this.h1, this.j1)) + 1) / 2;
        }
        this.x1 = C.f7870b;
        this.t1 = C.f7870b;
        this.s1 = 20;
        setFocusable(z);
        if (b0.f9571a >= 16) {
            m();
        }
    }

    private static int e(DisplayMetrics displayMetrics, int i) {
        return (int) ((((float) i) * displayMetrics.density) + 0.5f);
    }

    private void f(Canvas canvas) {
        int i;
        if (this.x1 > 0) {
            Rect rect = this.W0;
            int n = b0.n(rect.right, rect.left, this.U0.right);
            int centerY = this.W0.centerY();
            Drawable drawable = this.d1;
            if (drawable == null) {
                if (this.v1 || isFocused()) {
                    i = this.j1;
                } else {
                    i = isEnabled() ? this.h1 : this.i1;
                }
                canvas.drawCircle((float) n, (float) centerY, (float) (i / 2), this.c1);
                return;
            }
            int intrinsicWidth = drawable.getIntrinsicWidth() / 2;
            int intrinsicHeight = this.d1.getIntrinsicHeight() / 2;
            this.d1.setBounds(n - intrinsicWidth, centerY - intrinsicHeight, n + intrinsicWidth, centerY + intrinsicHeight);
            this.d1.draw(canvas);
        }
    }

    private void g(Canvas canvas) {
        int height = this.U0.height();
        int centerY = this.U0.centerY() - (height / 2);
        int i = height + centerY;
        if (this.x1 <= 0) {
            Rect rect = this.U0;
            canvas.drawRect((float) rect.left, (float) centerY, (float) rect.right, (float) i, this.Z0);
            return;
        }
        Rect rect2 = this.V0;
        int i2 = rect2.left;
        int i3 = rect2.right;
        int max = Math.max(Math.max(this.U0.left, i3), this.W0.right);
        int i4 = this.U0.right;
        if (max < i4) {
            canvas.drawRect((float) max, (float) centerY, (float) i4, (float) i, this.Z0);
        }
        int max2 = Math.max(i2, this.W0.right);
        if (i3 > max2) {
            canvas.drawRect((float) max2, (float) centerY, (float) i3, (float) i, this.Y0);
        }
        if (this.W0.width() > 0) {
            Rect rect3 = this.W0;
            canvas.drawRect((float) rect3.left, (float) centerY, (float) rect3.right, (float) i, this.X0);
        }
        if (this.A1 != 0) {
            long[] jArr = (long[]) com.google.android.exoplayer2.util.a.g(this.B1);
            boolean[] zArr = (boolean[]) com.google.android.exoplayer2.util.a.g(this.C1);
            int i5 = this.g1 / 2;
            for (int i6 = 0; i6 < this.A1; i6++) {
                long o = b0.o(jArr[i6], 0, this.x1);
                Rect rect4 = this.U0;
                int min = rect4.left + Math.min(rect4.width() - this.g1, Math.max(0, ((int) ((((long) this.U0.width()) * o) / this.x1)) - i5));
                canvas.drawRect((float) min, (float) centerY, (float) (min + this.g1), (float) i, zArr[i6] ? this.b1 : this.a1);
            }
        }
    }

    private long getPositionIncrement() {
        long j = this.t1;
        if (j != C.f7870b) {
            return j;
        }
        long j2 = this.x1;
        if (j2 == C.f7870b) {
            return 0;
        }
        return j2 / ((long) this.s1);
    }

    private String getProgressText() {
        return b0.Q(this.m1, this.n1, this.y1);
    }

    private long getScrubberPosition() {
        if (this.U0.width() <= 0 || this.x1 == C.f7870b) {
            return 0;
        }
        return (((long) this.W0.width()) * this.x1) / ((long) this.U0.width());
    }

    public static int h(int i) {
        return (i & ViewCompat.MEASURED_SIZE_MASK) | -872415232;
    }

    public static int i(int i) {
        return (i & ViewCompat.MEASURED_SIZE_MASK) | 855638016;
    }

    public static int j(int i) {
        return i | ViewCompat.MEASURED_STATE_MASK;
    }

    public static int k(int i) {
        return (i & ViewCompat.MEASURED_SIZE_MASK) | 855638016;
    }

    private boolean l(float f, float f2) {
        return this.T0.contains((int) f, (int) f2);
    }

    @TargetApi(16)
    private void m() {
        if (getImportantForAccessibility() == 0) {
            setImportantForAccessibility(1);
        }
    }

    private void n(float f) {
        Rect rect = this.W0;
        Rect rect2 = this.U0;
        rect.right = b0.n((int) f, rect2.left, rect2.right);
    }

    private Point o(MotionEvent motionEvent) {
        getLocationOnScreen(this.q1);
        this.r1.set(((int) motionEvent.getRawX()) - this.q1[0], ((int) motionEvent.getRawY()) - this.q1[1]);
        return this.r1;
    }

    private boolean p(long j) {
        if (this.x1 <= 0) {
            return false;
        }
        long scrubberPosition = getScrubberPosition();
        long o = b0.o(scrubberPosition + j, 0, this.x1);
        this.w1 = o;
        if (o == scrubberPosition) {
            return false;
        }
        if (!this.v1) {
            s();
        }
        Iterator<f.a> it = this.p1.iterator();
        while (it.hasNext()) {
            it.next().a(this, this.w1);
        }
        u();
        return true;
    }

    private boolean q(Drawable drawable) {
        return b0.f9571a >= 23 && r(drawable, getLayoutDirection());
    }

    private static boolean r(Drawable drawable, int i) {
        return b0.f9571a >= 23 && drawable.setLayoutDirection(i);
    }

    private void s() {
        this.v1 = true;
        setPressed(true);
        ViewParent parent = getParent();
        if (parent != null) {
            parent.requestDisallowInterceptTouchEvent(true);
        }
        Iterator<f.a> it = this.p1.iterator();
        while (it.hasNext()) {
            it.next().f(this, getScrubberPosition());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void t(boolean z) {
        this.v1 = false;
        setPressed(false);
        ViewParent parent = getParent();
        if (parent != null) {
            parent.requestDisallowInterceptTouchEvent(false);
        }
        invalidate();
        Iterator<f.a> it = this.p1.iterator();
        while (it.hasNext()) {
            it.next().c(this, getScrubberPosition(), z);
        }
    }

    private void u() {
        this.V0.set(this.U0);
        this.W0.set(this.U0);
        long j = this.v1 ? this.w1 : this.y1;
        if (this.x1 > 0) {
            int width = (int) ((((long) this.U0.width()) * this.z1) / this.x1);
            Rect rect = this.V0;
            Rect rect2 = this.U0;
            rect.right = Math.min(rect2.left + width, rect2.right);
            int width2 = (int) ((((long) this.U0.width()) * j) / this.x1);
            Rect rect3 = this.W0;
            Rect rect4 = this.U0;
            rect3.right = Math.min(rect4.left + width2, rect4.right);
        } else {
            Rect rect5 = this.V0;
            int i = this.U0.left;
            rect5.right = i;
            this.W0.right = i;
        }
        invalidate(this.T0);
    }

    private void v() {
        Drawable drawable = this.d1;
        if (drawable != null && drawable.isStateful() && this.d1.setState(getDrawableState())) {
            invalidate();
        }
    }

    @Override // com.google.android.exoplayer2.ui.f
    public void a(@Nullable long[] jArr, @Nullable boolean[] zArr, int i) {
        com.google.android.exoplayer2.util.a.a(i == 0 || !(jArr == null || zArr == null));
        this.A1 = i;
        this.B1 = jArr;
        this.C1 = zArr;
        u();
    }

    @Override // com.google.android.exoplayer2.ui.f
    public void b(f.a aVar) {
        this.p1.remove(aVar);
    }

    @Override // com.google.android.exoplayer2.ui.f
    public void c(f.a aVar) {
        this.p1.add(aVar);
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        v();
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.d1;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
    }

    public void onDraw(Canvas canvas) {
        canvas.save();
        g(canvas);
        f(canvas);
        canvas.restore();
    }

    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        if (accessibilityEvent.getEventType() == 4) {
            accessibilityEvent.getText().add(getProgressText());
        }
        accessibilityEvent.setClassName(S0);
    }

    @TargetApi(21)
    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName(S0);
        accessibilityNodeInfo.setContentDescription(getProgressText());
        if (this.x1 > 0) {
            int i = b0.f9571a;
            if (i >= 21) {
                accessibilityNodeInfo.addAction(AccessibilityNodeInfo.AccessibilityAction.ACTION_SCROLL_FORWARD);
                accessibilityNodeInfo.addAction(AccessibilityNodeInfo.AccessibilityAction.ACTION_SCROLL_BACKWARD);
            } else if (i >= 16) {
                accessibilityNodeInfo.addAction(4096);
                accessibilityNodeInfo.addAction(8192);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:8:0x001a  */
    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (isEnabled()) {
            long positionIncrement = getPositionIncrement();
            if (i != 66) {
                switch (i) {
                    case 21:
                        positionIncrement = -positionIncrement;
                        if (p(positionIncrement)) {
                            removeCallbacks(this.o1);
                            postDelayed(this.o1, 1000);
                            return true;
                        }
                        break;
                    case 22:
                        if (p(positionIncrement)) {
                        }
                        break;
                }
            }
            if (this.v1) {
                removeCallbacks(this.o1);
                this.o1.run();
                return true;
            }
        }
        return super.onKeyDown(i, keyEvent);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int i5 = ((i4 - i2) - this.f1) / 2;
        int paddingLeft = getPaddingLeft();
        int paddingRight = (i3 - i) - getPaddingRight();
        int i6 = this.f1;
        int i7 = ((i6 - this.e1) / 2) + i5;
        this.T0.set(paddingLeft, i5, paddingRight, i6 + i5);
        Rect rect = this.U0;
        Rect rect2 = this.T0;
        int i8 = rect2.left;
        int i9 = this.k1;
        rect.set(i8 + i9, i7, rect2.right - i9, this.e1 + i7);
        u();
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode == 0) {
            size = this.f1;
        } else if (mode != 1073741824) {
            size = Math.min(this.f1, size);
        }
        setMeasuredDimension(View.MeasureSpec.getSize(i), size);
        v();
    }

    public void onRtlPropertiesChanged(int i) {
        Drawable drawable = this.d1;
        if (drawable != null && r(drawable, i)) {
            invalidate();
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0026, code lost:
        if (r3 != 3) goto L_0x0090;
     */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z = false;
        if (isEnabled() && this.x1 > 0) {
            Point o = o(motionEvent);
            int i = o.x;
            int i2 = o.y;
            int action = motionEvent.getAction();
            if (action != 0) {
                if (action != 1) {
                    if (action == 2) {
                        if (this.v1) {
                            if (i2 < this.l1) {
                                int i3 = this.u1;
                                n((float) (i3 + ((i - i3) / 3)));
                            } else {
                                this.u1 = i;
                                n((float) i);
                            }
                            this.w1 = getScrubberPosition();
                            Iterator<f.a> it = this.p1.iterator();
                            while (it.hasNext()) {
                                it.next().a(this, this.w1);
                            }
                            u();
                            invalidate();
                            return true;
                        }
                    }
                }
                if (this.v1) {
                    if (motionEvent.getAction() == 3) {
                        z = true;
                    }
                    t(z);
                    return true;
                }
            } else {
                float f = (float) i;
                if (l(f, (float) i2)) {
                    n(f);
                    s();
                    this.w1 = getScrubberPosition();
                    u();
                    invalidate();
                    return true;
                }
            }
        }
        return false;
    }

    @TargetApi(16)
    public boolean performAccessibilityAction(int i, @Nullable Bundle bundle) {
        if (super.performAccessibilityAction(i, bundle)) {
            return true;
        }
        if (this.x1 <= 0) {
            return false;
        }
        if (i == 8192) {
            if (p(-getPositionIncrement())) {
                t(false);
            }
        } else if (i != 4096) {
            return false;
        } else {
            if (p(getPositionIncrement())) {
                t(false);
            }
        }
        sendAccessibilityEvent(4);
        return true;
    }

    public void setAdMarkerColor(@ColorInt int i) {
        this.a1.setColor(i);
        invalidate(this.T0);
    }

    public void setBufferedColor(@ColorInt int i) {
        this.Y0.setColor(i);
        invalidate(this.T0);
    }

    @Override // com.google.android.exoplayer2.ui.f
    public void setBufferedPosition(long j) {
        this.z1 = j;
        u();
    }

    @Override // com.google.android.exoplayer2.ui.f
    public void setDuration(long j) {
        this.x1 = j;
        if (this.v1 && j == C.f7870b) {
            t(true);
        }
        u();
    }

    @Override // com.google.android.exoplayer2.ui.f
    public void setEnabled(boolean z) {
        super.setEnabled(z);
        if (this.v1 && !z) {
            t(true);
        }
    }

    @Override // com.google.android.exoplayer2.ui.f
    public void setKeyCountIncrement(int i) {
        com.google.android.exoplayer2.util.a.a(i > 0);
        this.s1 = i;
        this.t1 = C.f7870b;
    }

    @Override // com.google.android.exoplayer2.ui.f
    public void setKeyTimeIncrement(long j) {
        com.google.android.exoplayer2.util.a.a(j > 0);
        this.s1 = -1;
        this.t1 = j;
    }

    public void setPlayedAdMarkerColor(@ColorInt int i) {
        this.b1.setColor(i);
        invalidate(this.T0);
    }

    public void setPlayedColor(@ColorInt int i) {
        this.X0.setColor(i);
        invalidate(this.T0);
    }

    @Override // com.google.android.exoplayer2.ui.f
    public void setPosition(long j) {
        this.y1 = j;
        setContentDescription(getProgressText());
        u();
    }

    public void setScrubberColor(@ColorInt int i) {
        this.c1.setColor(i);
        invalidate(this.T0);
    }

    public void setUnplayedColor(@ColorInt int i) {
        this.Z0.setColor(i);
        invalidate(this.T0);
    }
}
