package com.google.android.exoplayer2.ui;

import android.app.Notification;
import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.graphics.Bitmap;
import android.os.Handler;
import android.os.Looper;
import android.support.v4.media.session.MediaSessionCompat;
import androidx.annotation.DrawableRes;
import androidx.annotation.Nullable;
import androidx.annotation.StringRes;
import androidx.core.app.NotificationCompat;
import androidx.core.app.r;
import androidx.media.k.a;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.DefaultRenderersFactory;
import com.google.android.exoplayer2.Player;
import com.google.android.exoplayer2.c0;
import com.google.android.exoplayer2.u;
import com.google.android.exoplayer2.util.NotificationUtil;
import com.google.android.exoplayer2.util.b0;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.checkerframework.checker.nullness.qual.RequiresNonNull;

public class PlayerNotificationManager {

    /* renamed from: a  reason: collision with root package name */
    public static final String f9345a = "com.google.android.exoplayer.play";

    /* renamed from: b  reason: collision with root package name */
    public static final String f9346b = "com.google.android.exoplayer.pause";

    /* renamed from: c  reason: collision with root package name */
    public static final String f9347c = "com.google.android.exoplayer.prev";

    /* renamed from: d  reason: collision with root package name */
    public static final String f9348d = "com.google.android.exoplayer.next";

    /* renamed from: e  reason: collision with root package name */
    public static final String f9349e = "com.google.android.exoplayer.ffwd";
    public static final String f = "com.google.android.exoplayer.rewind";
    public static final String g = "com.google.android.exoplayer.stop";
    public static final int h = 15000;
    public static final int i = 5000;
    private static final long j = 3000;
    @Nullable
    private f A;
    @Nullable
    private MediaSessionCompat.Token B;
    private boolean C;
    private boolean D;
    @Nullable
    private String E;
    @Nullable
    private PendingIntent F;
    private long G;
    private long H;
    private int I;
    private boolean J;
    private int K;
    private int L;
    @DrawableRes
    private int M;
    private int N;
    private int O;
    private boolean P;
    private boolean Q;
    private boolean R;
    private int S;
    private final Context k;
    private final String l;
    private final int m;
    private final d n;
    @Nullable
    private final c o;
    private final Handler p;
    private final r q;
    private final IntentFilter r;
    private final Player.b s;
    private final e t;
    private final Map<String, NotificationCompat.Action> u;
    private final Map<String, NotificationCompat.Action> v;
    @Nullable
    private Player w;
    private com.google.android.exoplayer2.d x;
    private boolean y;
    private int z;

    @Retention(RetentionPolicy.SOURCE)
    public @interface Priority {
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface Visibility {
    }

    public final class b {

        /* renamed from: a  reason: collision with root package name */
        private final int f9350a;

        class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ Bitmap f9352a;

            a(Bitmap bitmap) {
                this.f9352a = bitmap;
            }

            public void run() {
                if (PlayerNotificationManager.this.w != null && b.this.f9350a == PlayerNotificationManager.this.z && PlayerNotificationManager.this.y) {
                    PlayerNotificationManager.this.Q(this.f9352a);
                }
            }
        }

        public void b(Bitmap bitmap) {
            if (bitmap != null) {
                PlayerNotificationManager.this.p.post(new a(bitmap));
            }
        }

        private b(int i) {
            this.f9350a = i;
        }
    }

    public interface c {
        void a(Player player, String str, Intent intent);

        List<String> b(Player player);

        Map<String, NotificationCompat.Action> c(Context context);
    }

    public interface d {
        @Nullable
        PendingIntent a(Player player);

        String b(Player player);

        @Nullable
        Bitmap c(Player player, b bVar);

        @Nullable
        String d(Player player);
    }

    /* access modifiers changed from: private */
    public class e extends BroadcastReceiver {

        /* renamed from: a  reason: collision with root package name */
        private final c0.c f9354a = new c0.c();

        public e() {
        }

        /* JADX WARNING: Code restructure failed: missing block: B:26:0x0086, code lost:
            if (r0.f8011d == false) goto L_0x0088;
         */
        public void onReceive(Context context, Intent intent) {
            Player player = PlayerNotificationManager.this.w;
            if (player != null && PlayerNotificationManager.this.y) {
                String action = intent.getAction();
                if (PlayerNotificationManager.f9345a.equals(action) || PlayerNotificationManager.f9346b.equals(action)) {
                    PlayerNotificationManager.this.x.e(player, PlayerNotificationManager.f9345a.equals(action));
                } else if (PlayerNotificationManager.f9349e.equals(action) || PlayerNotificationManager.f.equals(action)) {
                    PlayerNotificationManager.this.x.c(player, player.A(), player.getCurrentPosition() + (PlayerNotificationManager.f9349e.equals(action) ? PlayerNotificationManager.this.G : -PlayerNotificationManager.this.H));
                } else if (PlayerNotificationManager.f9348d.equals(action)) {
                    int R = player.R();
                    if (R != -1) {
                        PlayerNotificationManager.this.x.c(player, R, C.f7870b);
                    }
                } else if (PlayerNotificationManager.f9347c.equals(action)) {
                    player.V().l(player.A(), this.f9354a);
                    int J = player.J();
                    if (J != -1) {
                        if (player.getCurrentPosition() > PlayerNotificationManager.j) {
                            c0.c cVar = this.f9354a;
                            if (cVar.f8012e) {
                            }
                        }
                        PlayerNotificationManager.this.x.c(player, J, C.f7870b);
                        return;
                    }
                    PlayerNotificationManager.this.x.c(player, player.A(), C.f7870b);
                } else if (PlayerNotificationManager.g.equals(action)) {
                    PlayerNotificationManager.this.x.b(player, true);
                    PlayerNotificationManager.this.P();
                } else if (PlayerNotificationManager.this.o != null && PlayerNotificationManager.this.v.containsKey(action)) {
                    PlayerNotificationManager.this.o.a(player, action, intent);
                }
            }
        }
    }

    public interface f {
        void a(int i, Notification notification);

        void b(int i);
    }

    private class g extends Player.a {
        private g() {
        }

        @Override // com.google.android.exoplayer2.Player.b, com.google.android.exoplayer2.Player.a
        public void a0(boolean z, int i) {
            if (!((PlayerNotificationManager.this.R == z || i == 1) && PlayerNotificationManager.this.S == i)) {
                PlayerNotificationManager.this.O();
            }
            PlayerNotificationManager.this.R = z;
            PlayerNotificationManager.this.S = i;
        }

        @Override // com.google.android.exoplayer2.Player.b, com.google.android.exoplayer2.Player.a
        public void d0(c0 c0Var, @Nullable Object obj, int i) {
            if (PlayerNotificationManager.this.w != null && PlayerNotificationManager.this.w.getPlaybackState() != 1) {
                PlayerNotificationManager.this.O();
            }
        }

        @Override // com.google.android.exoplayer2.Player.b, com.google.android.exoplayer2.Player.a
        public void e(u uVar) {
            if (PlayerNotificationManager.this.w != null && PlayerNotificationManager.this.w.getPlaybackState() != 1) {
                PlayerNotificationManager.this.O();
            }
        }

        @Override // com.google.android.exoplayer2.Player.b, com.google.android.exoplayer2.Player.a
        public void i(int i) {
            PlayerNotificationManager.this.O();
        }

        @Override // com.google.android.exoplayer2.Player.b, com.google.android.exoplayer2.Player.a
        public void onRepeatModeChanged(int i) {
            if (PlayerNotificationManager.this.w != null && PlayerNotificationManager.this.w.getPlaybackState() != 1) {
                PlayerNotificationManager.this.O();
            }
        }
    }

    public PlayerNotificationManager(Context context, String str, int i2, d dVar) {
        this(context, str, i2, dVar, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void O() {
        if (this.w != null) {
            Notification Q2 = Q(null);
            if (!this.y) {
                this.y = true;
                this.k.registerReceiver(this.t, this.r);
                f fVar = this.A;
                if (fVar != null) {
                    fVar.a(this.m, Q2);
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void P() {
        if (this.y) {
            this.q.b(this.m);
            this.y = false;
            this.k.unregisterReceiver(this.t);
            f fVar = this.A;
            if (fVar != null) {
                fVar.b(this.m);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @RequiresNonNull({"player"})
    private Notification Q(@Nullable Bitmap bitmap) {
        Notification q2 = q(this.w, bitmap);
        this.q.C(this.m, q2);
        return q2;
    }

    private static Map<String, NotificationCompat.Action> r(Context context) {
        HashMap hashMap = new HashMap();
        hashMap.put(f9345a, new NotificationCompat.Action(R.drawable.exo_notification_play, context.getString(R.string.exo_controls_play_description), PendingIntent.getBroadcast(context, 0, new Intent(f9345a).setPackage(context.getPackageName()), 268435456)));
        hashMap.put(f9346b, new NotificationCompat.Action(R.drawable.exo_notification_pause, context.getString(R.string.exo_controls_pause_description), PendingIntent.getBroadcast(context, 0, new Intent(f9346b).setPackage(context.getPackageName()), 268435456)));
        hashMap.put(g, new NotificationCompat.Action(R.drawable.exo_notification_stop, context.getString(R.string.exo_controls_stop_description), PendingIntent.getBroadcast(context, 0, new Intent(g).setPackage(context.getPackageName()), 268435456)));
        hashMap.put(f, new NotificationCompat.Action(R.drawable.exo_notification_rewind, context.getString(R.string.exo_controls_rewind_description), PendingIntent.getBroadcast(context, 0, new Intent(f).setPackage(context.getPackageName()), 268435456)));
        hashMap.put(f9349e, new NotificationCompat.Action(R.drawable.exo_notification_fastforward, context.getString(R.string.exo_controls_fastforward_description), PendingIntent.getBroadcast(context, 0, new Intent(f9349e).setPackage(context.getPackageName()), 268435456)));
        hashMap.put(f9347c, new NotificationCompat.Action(R.drawable.exo_notification_previous, context.getString(R.string.exo_controls_previous_description), PendingIntent.getBroadcast(context, 0, new Intent(f9347c).setPackage(context.getPackageName()), 268435456)));
        hashMap.put(f9348d, new NotificationCompat.Action(R.drawable.exo_notification_next, context.getString(R.string.exo_controls_next_description), PendingIntent.getBroadcast(context, 0, new Intent(f9348d).setPackage(context.getPackageName()), 268435456)));
        return hashMap;
    }

    public static PlayerNotificationManager s(Context context, String str, @StringRes int i2, int i3, d dVar) {
        NotificationUtil.a(context, str, i2, 2);
        return new PlayerNotificationManager(context, str, i3, dVar);
    }

    private void v() {
        if (this.y && this.w != null) {
            Q(null);
        }
    }

    public final void A(int i2) {
        if (this.K != i2) {
            this.K = i2;
            v();
        }
    }

    public final void B(long j2) {
        if (this.G != j2) {
            this.G = j2;
            v();
        }
    }

    public final void C(MediaSessionCompat.Token token) {
        if (!b0.b(this.B, token)) {
            this.B = token;
            v();
        }
    }

    public final void D(f fVar) {
        this.A = fVar;
    }

    public final void E(boolean z2) {
        if (this.P != z2) {
            this.P = z2;
            v();
        }
    }

    public final void F(@Nullable Player player) {
        Player player2 = this.w;
        if (player2 != player) {
            if (player2 != null) {
                player2.y(this.s);
                if (player == null) {
                    P();
                }
            }
            this.w = player;
            if (player != null) {
                this.R = player.h();
                this.S = player.getPlaybackState();
                player.s(this.s);
                if (this.S != 1) {
                    O();
                }
            }
        }
    }

    public final void G(int i2) {
        if (this.O != i2) {
            if (i2 == -2 || i2 == -1 || i2 == 0 || i2 == 1 || i2 == 2) {
                this.O = i2;
                v();
                return;
            }
            throw new IllegalArgumentException();
        }
    }

    public final void H(long j2) {
        if (this.H != j2) {
            this.H = j2;
            v();
        }
    }

    public final void I(@DrawableRes int i2) {
        if (this.M != i2) {
            this.M = i2;
            v();
        }
    }

    public final void J(@Nullable String str) {
        if (!b0.b(str, this.E)) {
            this.E = str;
            if (g.equals(str)) {
                this.F = ((NotificationCompat.Action) com.google.android.exoplayer2.util.a.g(this.u.get(g))).x;
            } else if (str != null) {
                this.F = ((NotificationCompat.Action) com.google.android.exoplayer2.util.a.g(this.v.get(str))).x;
            } else {
                this.F = null;
            }
            v();
        }
    }

    public final void K(boolean z2) {
        if (this.Q != z2) {
            this.Q = z2;
            v();
        }
    }

    public final void L(boolean z2) {
        if (this.C != z2) {
            this.C = z2;
            v();
        }
    }

    public final void M(boolean z2) {
        if (this.D != z2) {
            this.D = z2;
            v();
        }
    }

    public final void N(int i2) {
        if (this.N != i2) {
            if (i2 == -1 || i2 == 0 || i2 == 1) {
                this.N = i2;
                v();
                return;
            }
            throw new IllegalStateException();
        }
    }

    /* access modifiers changed from: protected */
    public Notification q(Player player, @Nullable Bitmap bitmap) {
        PendingIntent pendingIntent;
        NotificationCompat.Action action;
        boolean e2 = player.e();
        NotificationCompat.e eVar = new NotificationCompat.e(this.k, this.l);
        List<String> u2 = u(player);
        for (int i2 = 0; i2 < u2.size(); i2++) {
            String str = u2.get(i2);
            if (this.u.containsKey(str)) {
                action = this.u.get(str);
            } else {
                action = this.v.get(str);
            }
            if (action != null) {
                eVar.b(action);
            }
        }
        a.b bVar = new a.b();
        eVar.x0(bVar);
        MediaSessionCompat.Token token = this.B;
        if (token != null) {
            bVar.I(token);
        }
        bVar.J(t(player));
        boolean z2 = this.E != null && !e2;
        bVar.K(z2);
        if (z2 && (pendingIntent = this.F) != null) {
            eVar.T(pendingIntent);
            bVar.H(this.F);
        }
        eVar.D(this.I).g0(this.P).I(this.L).J(this.J).r0(this.M).E0(this.N).i0(this.O).S(this.K);
        if (!this.Q || player.v() || !player.h() || player.getPlaybackState() != 3) {
            eVar.p0(false).C0(false);
        } else {
            eVar.F0(System.currentTimeMillis() - player.H()).p0(true).C0(true);
        }
        eVar.O(this.n.b(player));
        eVar.N(this.n.d(player));
        if (bitmap == null) {
            d dVar = this.n;
            int i3 = this.z + 1;
            this.z = i3;
            bitmap = dVar.c(player, new b(i3));
        }
        if (bitmap != null) {
            eVar.a0(bitmap);
        }
        PendingIntent a2 = this.n.a(player);
        if (a2 != null) {
            eVar.M(a2);
        }
        return eVar.h();
    }

    /* access modifiers changed from: protected */
    public int[] t(Player player) {
        if (!this.D) {
            return new int[0];
        }
        return new int[]{(this.C ? 1 : 0) + (this.G > 0 ? 1 : 0)};
    }

    /* access modifiers changed from: protected */
    public List<String> u(Player player) {
        ArrayList arrayList = new ArrayList();
        if (!player.e()) {
            if (this.C) {
                arrayList.add(f9347c);
            }
            if (this.H > 0) {
                arrayList.add(f);
            }
            if (this.D) {
                if (player.h()) {
                    arrayList.add(f9346b);
                } else {
                    arrayList.add(f9345a);
                }
            }
            if (this.G > 0) {
                arrayList.add(f9349e);
            }
            if (this.C && player.R() != -1) {
                arrayList.add(f9348d);
            }
            c cVar = this.o;
            if (cVar != null) {
                arrayList.addAll(cVar.b(player));
            }
            if (g.equals(this.E)) {
                arrayList.add(this.E);
            }
        }
        return arrayList;
    }

    public final void w(int i2) {
        if (this.I != i2) {
            if (i2 == 0 || i2 == 1 || i2 == 2) {
                this.I = i2;
                v();
                return;
            }
            throw new IllegalArgumentException();
        }
    }

    public final void x(int i2) {
        if (this.L != i2) {
            this.L = i2;
            v();
        }
    }

    public final void y(boolean z2) {
        if (this.J != z2) {
            this.J = z2;
            v();
        }
    }

    public final void z(com.google.android.exoplayer2.d dVar) {
        if (dVar == null) {
            dVar = new com.google.android.exoplayer2.e();
        }
        this.x = dVar;
    }

    public PlayerNotificationManager(Context context, String str, int i2, d dVar, @Nullable c cVar) {
        Map<String, NotificationCompat.Action> map;
        this.k = context.getApplicationContext();
        this.l = str;
        this.m = i2;
        this.n = dVar;
        this.o = cVar;
        this.x = new com.google.android.exoplayer2.e();
        this.p = new Handler(Looper.getMainLooper());
        this.q = r.p(context);
        this.s = new g();
        this.t = new e();
        this.r = new IntentFilter();
        this.C = true;
        this.D = true;
        this.P = true;
        this.J = true;
        this.Q = true;
        this.L = 0;
        this.M = R.drawable.exo_notification_small_icon;
        this.K = 0;
        this.O = -1;
        this.G = 15000;
        this.H = DefaultRenderersFactory.f7874a;
        this.E = g;
        this.I = 1;
        this.N = 1;
        Map<String, NotificationCompat.Action> r2 = r(context);
        this.u = r2;
        for (String str2 : r2.keySet()) {
            this.r.addAction(str2);
        }
        if (cVar != null) {
            map = cVar.c(context);
        } else {
            map = Collections.emptyMap();
        }
        this.v = map;
        for (String str3 : map.keySet()) {
            this.r.addAction(str3);
        }
        this.F = ((NotificationCompat.Action) com.google.android.exoplayer2.util.a.g(this.u.get(g))).x;
    }
}
