package com.google.android.exoplayer2.ui;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.SurfaceView;
import android.view.TextureView;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.ExoPlaybackException;
import com.google.android.exoplayer2.Player;
import com.google.android.exoplayer2.d;
import com.google.android.exoplayer2.metadata.Metadata;
import com.google.android.exoplayer2.metadata.id3.ApicFrame;
import com.google.android.exoplayer2.source.TrackGroupArray;
import com.google.android.exoplayer2.text.Cue;
import com.google.android.exoplayer2.text.h;
import com.google.android.exoplayer2.trackselection.f;
import com.google.android.exoplayer2.ui.AspectRatioFrameLayout;
import com.google.android.exoplayer2.ui.PlayerControlView;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.g;
import com.google.android.exoplayer2.v;
import com.google.android.exoplayer2.video.e;
import java.util.List;

public class PlayerView extends FrameLayout {
    private static final int I0 = 2;

    /* renamed from: a  reason: collision with root package name */
    private static final int f9357a = 0;

    /* renamed from: b  reason: collision with root package name */
    private static final int f9358b = 1;
    private final AspectRatioFrameLayout J0;
    private final View K0;
    private final View L0;
    private final ImageView M0;
    private final SubtitleView N0;
    @Nullable
    private final View O0;
    @Nullable
    private final TextView P0;
    private final PlayerControlView Q0;
    private final b R0;
    private final FrameLayout S0;
    private Player T0;
    private boolean U0;
    private boolean V0;
    private Bitmap W0;
    private boolean X0;
    private boolean Y0;
    @Nullable
    private g<? super ExoPlaybackException> Z0;
    @Nullable
    private CharSequence a1;
    private int b1;
    private boolean c1;
    private boolean d1;
    private boolean e1;
    private int f1;

    /* access modifiers changed from: private */
    public final class b extends Player.a implements h, e, View.OnLayoutChangeListener {
        private b() {
        }

        @Override // com.google.android.exoplayer2.Player.b, com.google.android.exoplayer2.Player.a
        public void a0(boolean z, int i) {
            PlayerView.this.G();
            PlayerView.this.H();
            if (!PlayerView.this.w() || !PlayerView.this.d1) {
                PlayerView.this.x(false);
            } else {
                PlayerView.this.t();
            }
        }

        @Override // com.google.android.exoplayer2.video.e
        public void b(int i, int i2, int i3, float f) {
            if (PlayerView.this.J0 != null) {
                float f2 = (i2 == 0 || i == 0) ? 1.0f : (((float) i) * f) / ((float) i2);
                if (PlayerView.this.L0 instanceof TextureView) {
                    if (i3 == 90 || i3 == 270) {
                        f2 = 1.0f / f2;
                    }
                    if (PlayerView.this.f1 != 0) {
                        PlayerView.this.L0.removeOnLayoutChangeListener(this);
                    }
                    PlayerView.this.f1 = i3;
                    if (PlayerView.this.f1 != 0) {
                        PlayerView.this.L0.addOnLayoutChangeListener(this);
                    }
                    PlayerView.n((TextureView) PlayerView.this.L0, PlayerView.this.f1);
                }
                PlayerView.this.J0.setAspectRatio(f2);
            }
        }

        @Override // com.google.android.exoplayer2.video.e
        public void d() {
            if (PlayerView.this.K0 != null) {
                PlayerView.this.K0.setVisibility(4);
            }
        }

        @Override // com.google.android.exoplayer2.text.h
        public void g(List<Cue> list) {
            if (PlayerView.this.N0 != null) {
                PlayerView.this.N0.g(list);
            }
        }

        @Override // com.google.android.exoplayer2.Player.b, com.google.android.exoplayer2.Player.a
        public void i(int i) {
            if (PlayerView.this.w() && PlayerView.this.d1) {
                PlayerView.this.t();
            }
        }

        @Override // com.google.android.exoplayer2.Player.b, com.google.android.exoplayer2.Player.a
        public void o0(TrackGroupArray trackGroupArray, com.google.android.exoplayer2.trackselection.g gVar) {
            PlayerView.this.I(false);
        }

        public void onLayoutChange(View view, int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8) {
            PlayerView.n((TextureView) view, PlayerView.this.f1);
        }
    }

    public PlayerView(Context context) {
        this(context, null);
    }

    private static void B(AspectRatioFrameLayout aspectRatioFrameLayout, int i) {
        aspectRatioFrameLayout.setResizeMode(i);
    }

    private boolean C() {
        Player player = this.T0;
        if (player == null) {
            return true;
        }
        int playbackState = player.getPlaybackState();
        if (!this.c1 || (playbackState != 1 && playbackState != 4 && this.T0.h())) {
            return false;
        }
        return true;
    }

    private void E(boolean z) {
        if (this.U0) {
            this.Q0.setShowTimeoutMs(z ? 0 : this.b1);
            this.Q0.V();
        }
    }

    public static void F(@NonNull Player player, @Nullable PlayerView playerView, @Nullable PlayerView playerView2) {
        if (playerView != playerView2) {
            if (playerView2 != null) {
                playerView2.setPlayer(player);
            }
            if (playerView != null) {
                playerView.setPlayer(null);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void G() {
        Player player;
        if (this.O0 != null) {
            int i = 0;
            boolean z = this.X0 && (player = this.T0) != null && player.getPlaybackState() == 2 && this.T0.h();
            View view = this.O0;
            if (!z) {
                i = 8;
            }
            view.setVisibility(i);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void H() {
        TextView textView = this.P0;
        if (textView != null) {
            CharSequence charSequence = this.a1;
            if (charSequence != null) {
                textView.setText(charSequence);
                this.P0.setVisibility(0);
                return;
            }
            ExoPlaybackException exoPlaybackException = null;
            Player player = this.T0;
            if (!(player == null || player.getPlaybackState() != 1 || this.Z0 == null)) {
                exoPlaybackException = this.T0.n();
            }
            if (exoPlaybackException != null) {
                this.P0.setText((CharSequence) this.Z0.a(exoPlaybackException).second);
                this.P0.setVisibility(0);
                return;
            }
            this.P0.setVisibility(8);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void I(boolean z) {
        Player player = this.T0;
        if (player != null && !player.U().c()) {
            if (z && !this.Y0) {
                o();
            }
            com.google.android.exoplayer2.trackselection.g a0 = this.T0.a0();
            for (int i = 0; i < a0.f9320a; i++) {
                if (this.T0.b0(i) == 2 && a0.a(i) != null) {
                    s();
                    return;
                }
            }
            o();
            if (this.V0) {
                for (int i2 = 0; i2 < a0.f9320a; i2++) {
                    f a2 = a0.a(i2);
                    if (a2 != null) {
                        for (int i3 = 0; i3 < a2.length(); i3++) {
                            Metadata metadata = a2.d(i3).L0;
                            if (metadata != null && z(metadata)) {
                                return;
                            }
                        }
                        continue;
                    }
                }
                if (y(this.W0)) {
                    return;
                }
            }
            s();
        } else if (!this.Y0) {
            s();
            o();
        }
    }

    /* access modifiers changed from: private */
    public static void n(TextureView textureView, int i) {
        float width = (float) textureView.getWidth();
        float height = (float) textureView.getHeight();
        if (width == 0.0f || height == 0.0f || i == 0) {
            textureView.setTransform(null);
            return;
        }
        Matrix matrix = new Matrix();
        float f = width / 2.0f;
        float f2 = height / 2.0f;
        matrix.postRotate((float) i, f, f2);
        RectF rectF = new RectF(0.0f, 0.0f, width, height);
        RectF rectF2 = new RectF();
        matrix.mapRect(rectF2, rectF);
        matrix.postScale(width / rectF2.width(), height / rectF2.height(), f, f2);
        textureView.setTransform(matrix);
    }

    private void o() {
        View view = this.K0;
        if (view != null) {
            view.setVisibility(0);
        }
    }

    private static void p(Resources resources, ImageView imageView) {
        imageView.setImageDrawable(resources.getDrawable(R.drawable.exo_edit_mode_logo));
        imageView.setBackgroundColor(resources.getColor(R.color.exo_edit_mode_background_color));
    }

    @TargetApi(23)
    private static void q(Resources resources, ImageView imageView) {
        imageView.setImageDrawable(resources.getDrawable(R.drawable.exo_edit_mode_logo, null));
        imageView.setBackgroundColor(resources.getColor(R.color.exo_edit_mode_background_color, null));
    }

    private void s() {
        ImageView imageView = this.M0;
        if (imageView != null) {
            imageView.setImageResource(17170445);
            this.M0.setVisibility(4);
        }
    }

    @SuppressLint({"InlinedApi"})
    private boolean v(int i) {
        return i == 19 || i == 270 || i == 22 || i == 271 || i == 20 || i == 269 || i == 21 || i == 268 || i == 23;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean w() {
        Player player = this.T0;
        return player != null && player.e() && this.T0.h();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void x(boolean z) {
        if ((!w() || !this.d1) && this.U0) {
            boolean z2 = this.Q0.L() && this.Q0.getShowTimeoutMs() <= 0;
            boolean C = C();
            if (z || z2 || C) {
                E(C);
            }
        }
    }

    private boolean y(Bitmap bitmap) {
        if (bitmap != null) {
            int width = bitmap.getWidth();
            int height = bitmap.getHeight();
            if (width > 0 && height > 0) {
                AspectRatioFrameLayout aspectRatioFrameLayout = this.J0;
                if (aspectRatioFrameLayout != null) {
                    aspectRatioFrameLayout.setAspectRatio(((float) width) / ((float) height));
                }
                this.M0.setImageBitmap(bitmap);
                this.M0.setVisibility(0);
                return true;
            }
        }
        return false;
    }

    private boolean z(Metadata metadata) {
        for (int i = 0; i < metadata.b(); i++) {
            Metadata.Entry a2 = metadata.a(i);
            if (a2 instanceof ApicFrame) {
                byte[] bArr = ((ApicFrame) a2).L0;
                return y(BitmapFactory.decodeByteArray(bArr, 0, bArr.length));
            }
        }
        return false;
    }

    public void A(@Nullable long[] jArr, @Nullable boolean[] zArr) {
        com.google.android.exoplayer2.util.a.i(this.Q0 != null);
        this.Q0.U(jArr, zArr);
    }

    public void D() {
        E(C());
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        Player player = this.T0;
        if (player == null || !player.e()) {
            boolean z = v(keyEvent.getKeyCode()) && this.U0 && !this.Q0.L();
            x(true);
            if (z || r(keyEvent) || super.dispatchKeyEvent(keyEvent)) {
                return true;
            }
            return false;
        }
        this.S0.requestFocus();
        return super.dispatchKeyEvent(keyEvent);
    }

    public boolean getControllerAutoShow() {
        return this.c1;
    }

    public boolean getControllerHideOnTouch() {
        return this.e1;
    }

    public int getControllerShowTimeoutMs() {
        return this.b1;
    }

    public Bitmap getDefaultArtwork() {
        return this.W0;
    }

    public FrameLayout getOverlayFrameLayout() {
        return this.S0;
    }

    public Player getPlayer() {
        return this.T0;
    }

    public int getResizeMode() {
        com.google.android.exoplayer2.util.a.i(this.J0 != null);
        return this.J0.getResizeMode();
    }

    public SubtitleView getSubtitleView() {
        return this.N0;
    }

    public boolean getUseArtwork() {
        return this.V0;
    }

    public boolean getUseController() {
        return this.U0;
    }

    public View getVideoSurfaceView() {
        return this.L0;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (!this.U0 || this.T0 == null || motionEvent.getActionMasked() != 0) {
            return false;
        }
        if (!this.Q0.L()) {
            x(true);
        } else if (this.e1) {
            this.Q0.H();
        }
        return true;
    }

    public boolean onTrackballEvent(MotionEvent motionEvent) {
        if (!this.U0 || this.T0 == null) {
            return false;
        }
        x(true);
        return true;
    }

    public boolean r(KeyEvent keyEvent) {
        return this.U0 && this.Q0.E(keyEvent);
    }

    public void setAspectRatioListener(AspectRatioFrameLayout.b bVar) {
        com.google.android.exoplayer2.util.a.i(this.J0 != null);
        this.J0.setAspectRatioListener(bVar);
    }

    public void setControlDispatcher(@Nullable d dVar) {
        com.google.android.exoplayer2.util.a.i(this.Q0 != null);
        this.Q0.setControlDispatcher(dVar);
    }

    public void setControllerAutoShow(boolean z) {
        this.c1 = z;
    }

    public void setControllerHideDuringAds(boolean z) {
        this.d1 = z;
    }

    public void setControllerHideOnTouch(boolean z) {
        com.google.android.exoplayer2.util.a.i(this.Q0 != null);
        this.e1 = z;
    }

    public void setControllerShowTimeoutMs(int i) {
        com.google.android.exoplayer2.util.a.i(this.Q0 != null);
        this.b1 = i;
        if (this.Q0.L()) {
            D();
        }
    }

    public void setControllerVisibilityListener(PlayerControlView.d dVar) {
        com.google.android.exoplayer2.util.a.i(this.Q0 != null);
        this.Q0.setVisibilityListener(dVar);
    }

    public void setCustomErrorMessage(@Nullable CharSequence charSequence) {
        com.google.android.exoplayer2.util.a.i(this.P0 != null);
        this.a1 = charSequence;
        H();
    }

    public void setDefaultArtwork(Bitmap bitmap) {
        if (this.W0 != bitmap) {
            this.W0 = bitmap;
            I(false);
        }
    }

    public void setErrorMessageProvider(@Nullable g<? super ExoPlaybackException> gVar) {
        if (this.Z0 != gVar) {
            this.Z0 = gVar;
            H();
        }
    }

    public void setFastForwardIncrementMs(int i) {
        com.google.android.exoplayer2.util.a.i(this.Q0 != null);
        this.Q0.setFastForwardIncrementMs(i);
    }

    public void setKeepContentOnPlayerReset(boolean z) {
        if (this.Y0 != z) {
            this.Y0 = z;
            I(false);
        }
    }

    public void setPlaybackPreparer(@Nullable v vVar) {
        com.google.android.exoplayer2.util.a.i(this.Q0 != null);
        this.Q0.setPlaybackPreparer(vVar);
    }

    public void setPlayer(Player player) {
        Player player2 = this.T0;
        if (player2 != player) {
            if (player2 != null) {
                player2.y(this.R0);
                Player.d E = this.T0.E();
                if (E != null) {
                    E.c0(this.R0);
                    View view = this.L0;
                    if (view instanceof TextureView) {
                        E.q((TextureView) view);
                    } else if (view instanceof SurfaceView) {
                        E.S((SurfaceView) view);
                    }
                }
                Player.c e0 = this.T0.e0();
                if (e0 != null) {
                    e0.w(this.R0);
                }
            }
            this.T0 = player;
            if (this.U0) {
                this.Q0.setPlayer(player);
            }
            SubtitleView subtitleView = this.N0;
            if (subtitleView != null) {
                subtitleView.setCues(null);
            }
            G();
            H();
            I(true);
            if (player != null) {
                Player.d E2 = player.E();
                if (E2 != null) {
                    View view2 = this.L0;
                    if (view2 instanceof TextureView) {
                        E2.Z((TextureView) view2);
                    } else if (view2 instanceof SurfaceView) {
                        E2.u((SurfaceView) view2);
                    }
                    E2.C(this.R0);
                }
                Player.c e02 = player.e0();
                if (e02 != null) {
                    e02.T(this.R0);
                }
                player.s(this.R0);
                x(false);
                return;
            }
            t();
        }
    }

    public void setRepeatToggleModes(int i) {
        com.google.android.exoplayer2.util.a.i(this.Q0 != null);
        this.Q0.setRepeatToggleModes(i);
    }

    public void setResizeMode(int i) {
        com.google.android.exoplayer2.util.a.i(this.J0 != null);
        this.J0.setResizeMode(i);
    }

    public void setRewindIncrementMs(int i) {
        com.google.android.exoplayer2.util.a.i(this.Q0 != null);
        this.Q0.setRewindIncrementMs(i);
    }

    public void setShowBuffering(boolean z) {
        if (this.X0 != z) {
            this.X0 = z;
            G();
        }
    }

    public void setShowMultiWindowTimeBar(boolean z) {
        com.google.android.exoplayer2.util.a.i(this.Q0 != null);
        this.Q0.setShowMultiWindowTimeBar(z);
    }

    public void setShowShuffleButton(boolean z) {
        com.google.android.exoplayer2.util.a.i(this.Q0 != null);
        this.Q0.setShowShuffleButton(z);
    }

    public void setShutterBackgroundColor(int i) {
        View view = this.K0;
        if (view != null) {
            view.setBackgroundColor(i);
        }
    }

    public void setUseArtwork(boolean z) {
        com.google.android.exoplayer2.util.a.i(!z || this.M0 != null);
        if (this.V0 != z) {
            this.V0 = z;
            I(false);
        }
    }

    public void setUseController(boolean z) {
        com.google.android.exoplayer2.util.a.i(!z || this.Q0 != null);
        if (this.U0 != z) {
            this.U0 = z;
            if (z) {
                this.Q0.setPlayer(this.T0);
                return;
            }
            PlayerControlView playerControlView = this.Q0;
            if (playerControlView != null) {
                playerControlView.H();
                this.Q0.setPlayer(null);
            }
        }
    }

    public void setVisibility(int i) {
        super.setVisibility(i);
        View view = this.L0;
        if (view instanceof SurfaceView) {
            view.setVisibility(i);
        }
    }

    public void t() {
        PlayerControlView playerControlView = this.Q0;
        if (playerControlView != null) {
            playerControlView.H();
        }
    }

    public boolean u() {
        PlayerControlView playerControlView = this.Q0;
        return playerControlView != null && playerControlView.L();
    }

    public PlayerView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* JADX INFO: finally extract failed */
    public PlayerView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        int i2;
        int i3;
        boolean z;
        int i4;
        boolean z2;
        boolean z3;
        int i5;
        boolean z4;
        boolean z5;
        boolean z6;
        boolean z7;
        int i6;
        boolean z8;
        if (isInEditMode()) {
            this.J0 = null;
            this.K0 = null;
            this.L0 = null;
            this.M0 = null;
            this.N0 = null;
            this.O0 = null;
            this.P0 = null;
            this.Q0 = null;
            this.R0 = null;
            this.S0 = null;
            ImageView imageView = new ImageView(context);
            if (b0.f9571a >= 23) {
                q(getResources(), imageView);
            } else {
                p(getResources(), imageView);
            }
            addView(imageView);
            return;
        }
        int i7 = R.layout.exo_player_view;
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(attributeSet, R.styleable.PlayerView, 0, 0);
            try {
                int i8 = R.styleable.PlayerView_shutter_background_color;
                boolean hasValue = obtainStyledAttributes.hasValue(i8);
                int color = obtainStyledAttributes.getColor(i8, 0);
                int resourceId = obtainStyledAttributes.getResourceId(R.styleable.PlayerView_player_layout_id, i7);
                boolean z9 = obtainStyledAttributes.getBoolean(R.styleable.PlayerView_use_artwork, true);
                int resourceId2 = obtainStyledAttributes.getResourceId(R.styleable.PlayerView_default_artwork, 0);
                boolean z10 = obtainStyledAttributes.getBoolean(R.styleable.PlayerView_use_controller, true);
                int i9 = obtainStyledAttributes.getInt(R.styleable.PlayerView_surface_type, 1);
                int i10 = obtainStyledAttributes.getInt(R.styleable.PlayerView_resize_mode, 0);
                int i11 = obtainStyledAttributes.getInt(R.styleable.PlayerView_show_timeout, 5000);
                boolean z11 = obtainStyledAttributes.getBoolean(R.styleable.PlayerView_hide_on_touch, true);
                boolean z12 = obtainStyledAttributes.getBoolean(R.styleable.PlayerView_auto_show, true);
                z6 = obtainStyledAttributes.getBoolean(R.styleable.PlayerView_show_buffering, false);
                this.Y0 = obtainStyledAttributes.getBoolean(R.styleable.PlayerView_keep_content_on_player_reset, this.Y0);
                boolean z13 = obtainStyledAttributes.getBoolean(R.styleable.PlayerView_hide_during_ads, true);
                obtainStyledAttributes.recycle();
                i6 = i10;
                i3 = i9;
                z = z10;
                i4 = resourceId2;
                z2 = z9;
                z3 = hasValue;
                i5 = color;
                z4 = z12;
                z5 = z11;
                z7 = z13;
                i7 = resourceId;
                i2 = i11;
            } catch (Throwable th) {
                obtainStyledAttributes.recycle();
                throw th;
            }
        } else {
            i6 = 0;
            z7 = true;
            z6 = false;
            z5 = true;
            z4 = true;
            i5 = 0;
            z3 = false;
            z2 = true;
            i4 = 0;
            z = true;
            i3 = 1;
            i2 = 5000;
        }
        LayoutInflater.from(context).inflate(i7, this);
        this.R0 = new b();
        setDescendantFocusability(262144);
        AspectRatioFrameLayout aspectRatioFrameLayout = (AspectRatioFrameLayout) findViewById(R.id.exo_content_frame);
        this.J0 = aspectRatioFrameLayout;
        if (aspectRatioFrameLayout != null) {
            B(aspectRatioFrameLayout, i6);
        }
        View findViewById = findViewById(R.id.exo_shutter);
        this.K0 = findViewById;
        if (findViewById != null && z3) {
            findViewById.setBackgroundColor(i5);
        }
        if (aspectRatioFrameLayout == null || i3 == 0) {
            this.L0 = null;
        } else {
            ViewGroup.LayoutParams layoutParams = new ViewGroup.LayoutParams(-1, -1);
            View textureView = i3 == 2 ? new TextureView(context) : new SurfaceView(context);
            this.L0 = textureView;
            textureView.setLayoutParams(layoutParams);
            aspectRatioFrameLayout.addView(textureView, 0);
        }
        this.S0 = (FrameLayout) findViewById(R.id.exo_overlay);
        ImageView imageView2 = (ImageView) findViewById(R.id.exo_artwork);
        this.M0 = imageView2;
        this.V0 = z2 && imageView2 != null;
        if (i4 != 0) {
            this.W0 = BitmapFactory.decodeResource(context.getResources(), i4);
        }
        SubtitleView subtitleView = (SubtitleView) findViewById(R.id.exo_subtitles);
        this.N0 = subtitleView;
        if (subtitleView != null) {
            subtitleView.f();
            subtitleView.h();
        }
        View findViewById2 = findViewById(R.id.exo_buffering);
        this.O0 = findViewById2;
        if (findViewById2 != null) {
            findViewById2.setVisibility(8);
        }
        this.X0 = z6;
        TextView textView = (TextView) findViewById(R.id.exo_error_message);
        this.P0 = textView;
        if (textView != null) {
            textView.setVisibility(8);
        }
        PlayerControlView playerControlView = (PlayerControlView) findViewById(R.id.exo_controller);
        View findViewById3 = findViewById(R.id.exo_controller_placeholder);
        if (playerControlView != null) {
            this.Q0 = playerControlView;
            z8 = false;
        } else if (findViewById3 != null) {
            z8 = false;
            PlayerControlView playerControlView2 = new PlayerControlView(context, null, 0, attributeSet);
            this.Q0 = playerControlView2;
            playerControlView2.setLayoutParams(findViewById3.getLayoutParams());
            ViewGroup viewGroup = (ViewGroup) findViewById3.getParent();
            int indexOfChild = viewGroup.indexOfChild(findViewById3);
            viewGroup.removeView(findViewById3);
            viewGroup.addView(playerControlView2, indexOfChild);
        } else {
            z8 = false;
            this.Q0 = null;
        }
        PlayerControlView playerControlView3 = this.Q0;
        this.b1 = playerControlView3 != null ? i2 : 0;
        this.e1 = z5;
        this.c1 = z4;
        this.d1 = z7;
        if (z && playerControlView3 != null) {
            z8 = true;
        }
        this.U0 = z8;
        t();
    }
}
