package com.google.android.exoplayer2.ui;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.View;
import android.view.accessibility.CaptioningManager;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.text.CaptionStyleCompat;
import com.google.android.exoplayer2.text.Cue;
import com.google.android.exoplayer2.text.h;
import com.google.android.exoplayer2.util.b0;
import java.util.ArrayList;
import java.util.List;

public final class SubtitleView extends View implements h {

    /* renamed from: a  reason: collision with root package name */
    public static final float f9360a = 0.0533f;

    /* renamed from: b  reason: collision with root package name */
    public static final float f9361b = 0.08f;
    private final List<e> I0;
    private List<Cue> J0;
    private int K0;
    private float L0;
    private boolean M0;
    private boolean N0;
    private CaptionStyleCompat O0;
    private float P0;

    public SubtitleView(Context context) {
        this(context, null);
    }

    private float a(Cue cue, int i, int i2) {
        int i3 = cue.c1;
        if (i3 != Integer.MIN_VALUE) {
            float f = cue.d1;
            if (f != Float.MIN_VALUE) {
                return Math.max(b(i3, f, i, i2), 0.0f);
            }
        }
        return 0.0f;
    }

    private float b(int i, float f, int i2, int i3) {
        float f2;
        if (i == 0) {
            f2 = (float) i3;
        } else if (i == 1) {
            f2 = (float) i2;
        } else if (i != 2) {
            return Float.MIN_VALUE;
        } else {
            return f;
        }
        return f * f2;
    }

    private void e(int i, float f) {
        if (this.K0 != i || this.L0 != f) {
            this.K0 = i;
            this.L0 = f;
            invalidate();
        }
    }

    @TargetApi(19)
    private float getUserCaptionFontScaleV19() {
        return ((CaptioningManager) getContext().getSystemService("captioning")).getFontScale();
    }

    @TargetApi(19)
    private CaptionStyleCompat getUserCaptionStyleV19() {
        return CaptionStyleCompat.a(((CaptioningManager) getContext().getSystemService("captioning")).getUserStyle());
    }

    public void c(int i, float f) {
        Resources resources;
        Context context = getContext();
        if (context == null) {
            resources = Resources.getSystem();
        } else {
            resources = context.getResources();
        }
        e(2, TypedValue.applyDimension(i, f, resources.getDisplayMetrics()));
    }

    public void d(float f, boolean z) {
        e(z ? 1 : 0, f);
    }

    public void dispatchDraw(Canvas canvas) {
        List<Cue> list = this.J0;
        int i = 0;
        int size = list == null ? 0 : list.size();
        int top2 = getTop();
        int bottom = getBottom();
        int left = getLeft() + getPaddingLeft();
        int paddingTop = getPaddingTop() + top2;
        int right = getRight() - getPaddingRight();
        int paddingBottom = bottom - getPaddingBottom();
        if (paddingBottom > paddingTop && right > left) {
            int i2 = bottom - top2;
            int i3 = paddingBottom - paddingTop;
            float b2 = b(this.K0, this.L0, i2, i3);
            if (b2 > 0.0f) {
                while (i < size) {
                    Cue cue = this.J0.get(i);
                    this.I0.get(i).b(cue, this.M0, this.N0, this.O0, b2, a(cue, i2, i3), this.P0, canvas, left, paddingTop, right, paddingBottom);
                    i++;
                    paddingBottom = paddingBottom;
                    right = right;
                }
            }
        }
    }

    public void f() {
        setStyle((b0.f9571a < 19 || isInEditMode()) ? CaptionStyleCompat.g : getUserCaptionStyleV19());
    }

    @Override // com.google.android.exoplayer2.text.h
    public void g(List<Cue> list) {
        setCues(list);
    }

    public void h() {
        setFractionalTextSize(((b0.f9571a < 19 || isInEditMode()) ? 1.0f : getUserCaptionFontScaleV19()) * 0.0533f);
    }

    public void setApplyEmbeddedFontSizes(boolean z) {
        if (this.N0 != z) {
            this.N0 = z;
            invalidate();
        }
    }

    public void setApplyEmbeddedStyles(boolean z) {
        if (this.M0 != z || this.N0 != z) {
            this.M0 = z;
            this.N0 = z;
            invalidate();
        }
    }

    public void setBottomPaddingFraction(float f) {
        if (this.P0 != f) {
            this.P0 = f;
            invalidate();
        }
    }

    public void setCues(@Nullable List<Cue> list) {
        int i;
        if (this.J0 != list) {
            this.J0 = list;
            if (list == null) {
                i = 0;
            } else {
                i = list.size();
            }
            while (this.I0.size() < i) {
                this.I0.add(new e(getContext()));
            }
            invalidate();
        }
    }

    public void setFractionalTextSize(float f) {
        d(f, false);
    }

    public void setStyle(CaptionStyleCompat captionStyleCompat) {
        if (this.O0 != captionStyleCompat) {
            this.O0 = captionStyleCompat;
            invalidate();
        }
    }

    public SubtitleView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.I0 = new ArrayList();
        this.K0 = 0;
        this.L0 = 0.0533f;
        this.M0 = true;
        this.N0 = true;
        this.O0 = CaptionStyleCompat.g;
        this.P0 = 0.08f;
    }
}
