package com.google.android.exoplayer2.ui;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.Pair;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.CheckedTextView;
import android.widget.LinearLayout;
import androidx.annotation.AttrRes;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.source.TrackGroup;
import com.google.android.exoplayer2.source.TrackGroupArray;
import com.google.android.exoplayer2.trackselection.DefaultTrackSelector;
import com.google.android.exoplayer2.trackselection.d;
import java.util.Arrays;

public class TrackSelectionView extends LinearLayout {
    private final CheckedTextView I0;
    private final CheckedTextView J0;
    private final b K0;
    private boolean L0;
    private g M0;
    private CheckedTextView[][] N0;
    private DefaultTrackSelector O0;
    private int P0;
    private TrackGroupArray Q0;
    private boolean R0;
    @Nullable
    private DefaultTrackSelector.SelectionOverride S0;

    /* renamed from: a  reason: collision with root package name */
    private final int f9362a;

    /* renamed from: b  reason: collision with root package name */
    private final LayoutInflater f9363b;

    static class a implements DialogInterface.OnClickListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ TrackSelectionView f9364a;

        a(TrackSelectionView trackSelectionView) {
            this.f9364a = trackSelectionView;
        }

        public void onClick(DialogInterface dialogInterface, int i) {
            this.f9364a.c();
        }
    }

    /* access modifiers changed from: private */
    public class b implements View.OnClickListener {
        private b() {
        }

        public void onClick(View view) {
            TrackSelectionView.this.h(view);
        }

        /* synthetic */ b(TrackSelectionView trackSelectionView, a aVar) {
            this();
        }
    }

    public TrackSelectionView(Context context) {
        this(context, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c() {
        DefaultTrackSelector.d k = this.O0.k();
        k.s(this.P0, this.R0);
        DefaultTrackSelector.SelectionOverride selectionOverride = this.S0;
        if (selectionOverride != null) {
            k.u(this.P0, this.Q0, selectionOverride);
        } else {
            k.d(this.P0);
        }
        this.O0.Q(k);
    }

    public static Pair<AlertDialog, TrackSelectionView> d(Activity activity, CharSequence charSequence, DefaultTrackSelector defaultTrackSelector, int i) {
        AlertDialog.Builder builder = new AlertDialog.Builder(activity);
        View inflate = LayoutInflater.from(builder.getContext()).inflate(R.layout.exo_track_selection_dialog, (ViewGroup) null);
        TrackSelectionView trackSelectionView = (TrackSelectionView) inflate.findViewById(R.id.exo_track_selection_view);
        trackSelectionView.g(defaultTrackSelector, i);
        return Pair.create(builder.setTitle(charSequence).setView(inflate).setPositiveButton(17039370, new a(trackSelectionView)).setNegativeButton(17039360, (DialogInterface.OnClickListener) null).create(), trackSelectionView);
    }

    private static int[] e(int[] iArr, int i) {
        int[] copyOf = Arrays.copyOf(iArr, iArr.length + 1);
        copyOf[copyOf.length - 1] = i;
        return copyOf;
    }

    private static int[] f(int[] iArr, int i) {
        int[] iArr2 = new int[(iArr.length - 1)];
        int i2 = 0;
        for (int i3 : iArr) {
            if (i3 != i) {
                iArr2[i2] = i3;
                i2++;
            }
        }
        return iArr2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void h(View view) {
        if (view == this.I0) {
            j();
        } else if (view == this.J0) {
            i();
        } else {
            k(view);
        }
        l();
    }

    private void i() {
        this.R0 = false;
        this.S0 = null;
    }

    private void j() {
        this.R0 = true;
        this.S0 = null;
    }

    private void k(View view) {
        this.R0 = false;
        Pair pair = (Pair) view.getTag();
        int intValue = ((Integer) pair.first).intValue();
        int intValue2 = ((Integer) pair.second).intValue();
        DefaultTrackSelector.SelectionOverride selectionOverride = this.S0;
        if (selectionOverride == null || selectionOverride.f9289a != intValue || !this.L0) {
            this.S0 = new DefaultTrackSelector.SelectionOverride(intValue, intValue2);
            return;
        }
        int i = selectionOverride.I0;
        int[] iArr = selectionOverride.f9290b;
        if (!((CheckedTextView) view).isChecked()) {
            this.S0 = new DefaultTrackSelector.SelectionOverride(intValue, e(iArr, intValue2));
        } else if (i == 1) {
            this.S0 = null;
            this.R0 = true;
        } else {
            this.S0 = new DefaultTrackSelector.SelectionOverride(intValue, f(iArr, intValue2));
        }
    }

    private void l() {
        this.I0.setChecked(this.R0);
        this.J0.setChecked(!this.R0 && this.S0 == null);
        int i = 0;
        while (i < this.N0.length) {
            int i2 = 0;
            while (true) {
                CheckedTextView[][] checkedTextViewArr = this.N0;
                if (i2 >= checkedTextViewArr[i].length) {
                    break;
                }
                CheckedTextView checkedTextView = checkedTextViewArr[i][i2];
                DefaultTrackSelector.SelectionOverride selectionOverride = this.S0;
                checkedTextView.setChecked(selectionOverride != null && selectionOverride.f9289a == i && selectionOverride.a(i2));
                i2++;
            }
            i++;
        }
    }

    private void m() {
        d.a aVar;
        for (int childCount = getChildCount() - 1; childCount >= 3; childCount--) {
            removeViewAt(childCount);
        }
        DefaultTrackSelector defaultTrackSelector = this.O0;
        if (defaultTrackSelector == null) {
            aVar = null;
        } else {
            aVar = defaultTrackSelector.f();
        }
        if (this.O0 == null || aVar == null) {
            this.I0.setEnabled(false);
            this.J0.setEnabled(false);
            return;
        }
        this.I0.setEnabled(true);
        this.J0.setEnabled(true);
        this.Q0 = aVar.g(this.P0);
        DefaultTrackSelector.Parameters y = this.O0.y();
        this.R0 = y.g(this.P0);
        this.S0 = y.h(this.P0, this.Q0);
        this.N0 = new CheckedTextView[this.Q0.f8718b][];
        int i = 0;
        while (true) {
            TrackGroupArray trackGroupArray = this.Q0;
            if (i < trackGroupArray.f8718b) {
                TrackGroup a2 = trackGroupArray.a(i);
                boolean z = this.L0 && this.Q0.a(i).f8715a > 1 && aVar.a(this.P0, i, false) != 0;
                this.N0[i] = new CheckedTextView[a2.f8715a];
                for (int i2 = 0; i2 < a2.f8715a; i2++) {
                    if (i2 == 0) {
                        addView(this.f9363b.inflate(R.layout.exo_list_divider, (ViewGroup) this, false));
                    }
                    CheckedTextView checkedTextView = (CheckedTextView) this.f9363b.inflate(z ? 17367056 : 17367055, (ViewGroup) this, false);
                    checkedTextView.setBackgroundResource(this.f9362a);
                    checkedTextView.setText(this.M0.a(a2.a(i2)));
                    if (aVar.h(this.P0, i, i2) == 4) {
                        checkedTextView.setFocusable(true);
                        checkedTextView.setTag(Pair.create(Integer.valueOf(i), Integer.valueOf(i2)));
                        checkedTextView.setOnClickListener(this.K0);
                    } else {
                        checkedTextView.setFocusable(false);
                        checkedTextView.setEnabled(false);
                    }
                    this.N0[i][i2] = checkedTextView;
                    addView(checkedTextView);
                }
                i++;
            } else {
                l();
                return;
            }
        }
    }

    public void g(DefaultTrackSelector defaultTrackSelector, int i) {
        this.O0 = defaultTrackSelector;
        this.P0 = i;
        m();
    }

    public void setAllowAdaptiveSelections(boolean z) {
        if (this.L0 != z) {
            this.L0 = z;
            m();
        }
    }

    public void setShowDisableOption(boolean z) {
        this.I0.setVisibility(z ? 0 : 8);
    }

    public void setTrackNameProvider(g gVar) {
        this.M0 = (g) com.google.android.exoplayer2.util.a.g(gVar);
        m();
    }

    public TrackSelectionView(Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public TrackSelectionView(Context context, @Nullable AttributeSet attributeSet, @AttrRes int i) {
        super(context, attributeSet, i);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(new int[]{16843534});
        int resourceId = obtainStyledAttributes.getResourceId(0, 0);
        this.f9362a = resourceId;
        obtainStyledAttributes.recycle();
        LayoutInflater from = LayoutInflater.from(context);
        this.f9363b = from;
        b bVar = new b(this, null);
        this.K0 = bVar;
        this.M0 = new c(getResources());
        CheckedTextView checkedTextView = (CheckedTextView) from.inflate(17367055, (ViewGroup) this, false);
        this.I0 = checkedTextView;
        checkedTextView.setBackgroundResource(resourceId);
        checkedTextView.setText(R.string.exo_track_selection_none);
        checkedTextView.setEnabled(false);
        checkedTextView.setFocusable(true);
        checkedTextView.setOnClickListener(bVar);
        checkedTextView.setVisibility(8);
        addView(checkedTextView);
        addView(from.inflate(R.layout.exo_list_divider, (ViewGroup) this, false));
        CheckedTextView checkedTextView2 = (CheckedTextView) from.inflate(17367055, (ViewGroup) this, false);
        this.J0 = checkedTextView2;
        checkedTextView2.setBackgroundResource(resourceId);
        checkedTextView2.setText(R.string.exo_track_selection_auto);
        checkedTextView2.setEnabled(false);
        checkedTextView2.setFocusable(true);
        checkedTextView2.setOnClickListener(bVar);
        addView(checkedTextView2);
    }
}
