package com.google.android.exoplayer2.ui;

import android.content.res.Resources;
import android.text.TextUtils;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.util.a;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.n;
import java.util.Locale;

/* compiled from: DefaultTrackNameProvider */
public class c implements g {

    /* renamed from: a  reason: collision with root package name */
    private final Resources f9373a;

    public c(Resources resources) {
        this.f9373a = (Resources) a.g(resources);
    }

    private String b(Format format) {
        int i = format.a1;
        if (i == -1 || i < 1) {
            return "";
        }
        if (i == 1) {
            return this.f9373a.getString(R.string.exo_track_mono);
        }
        if (i == 2) {
            return this.f9373a.getString(R.string.exo_track_stereo);
        }
        if (i == 6 || i == 7) {
            return this.f9373a.getString(R.string.exo_track_surround_5_point_1);
        }
        if (i != 8) {
            return this.f9373a.getString(R.string.exo_track_surround);
        }
        return this.f9373a.getString(R.string.exo_track_surround_7_point_1);
    }

    private String c(Format format) {
        int i = format.J0;
        if (i == -1) {
            return "";
        }
        return this.f9373a.getString(R.string.exo_track_bitrate, Float.valueOf(((float) i) / 1000000.0f));
    }

    private String d(Format format) {
        String str = format.g1;
        return (TextUtils.isEmpty(str) || C.r0.equals(str)) ? "" : e(str);
    }

    private String e(String str) {
        return (b0.f9571a >= 21 ? Locale.forLanguageTag(str) : new Locale(str)).getDisplayLanguage();
    }

    private String f(Format format) {
        int i = format.S0;
        int i2 = format.T0;
        if (i == -1 || i2 == -1) {
            return "";
        }
        return this.f9373a.getString(R.string.exo_track_resolution, Integer.valueOf(i), Integer.valueOf(i2));
    }

    private static int g(Format format) {
        int g = n.g(format.N0);
        if (g != -1) {
            return g;
        }
        if (n.j(format.K0) != null) {
            return 2;
        }
        if (n.a(format.K0) != null) {
            return 1;
        }
        if (format.S0 != -1 || format.T0 != -1) {
            return 2;
        }
        if (format.a1 == -1 && format.b1 == -1) {
            return -1;
        }
        return 1;
    }

    private String h(String... strArr) {
        String str = "";
        for (String str2 : strArr) {
            if (str2.length() > 0) {
                if (TextUtils.isEmpty(str)) {
                    str = str2;
                } else {
                    str = this.f9373a.getString(R.string.exo_item_list, str, str2);
                }
            }
        }
        return str;
    }

    @Override // com.google.android.exoplayer2.ui.g
    public String a(Format format) {
        String str;
        int g = g(format);
        if (g == 2) {
            str = h(f(format), c(format));
        } else if (g == 1) {
            str = h(d(format), b(format), c(format));
        } else {
            str = d(format);
        }
        return str.length() == 0 ? this.f9373a.getString(R.string.exo_track_unknown) : str;
    }
}
