package com.google.android.exoplayer2.ui;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.text.Layout;
import android.text.SpannableStringBuilder;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.style.AbsoluteSizeSpan;
import android.text.style.RelativeSizeSpan;
import android.util.Log;
import androidx.core.view.ViewCompat;
import com.google.android.exoplayer2.text.CaptionStyleCompat;
import com.google.android.exoplayer2.text.Cue;
import com.google.android.exoplayer2.util.b0;

/* access modifiers changed from: package-private */
/* compiled from: SubtitlePainter */
public final class e {

    /* renamed from: a  reason: collision with root package name */
    private static final String f9375a = "SubtitlePainter";

    /* renamed from: b  reason: collision with root package name */
    private static final float f9376b = 0.125f;
    private int A;
    private int B;
    private float C;
    private float D;
    private float E;
    private int F;
    private int G;
    private int H;
    private int I;
    private StaticLayout J;
    private int K;
    private int L;
    private int M;
    private Rect N;

    /* renamed from: c  reason: collision with root package name */
    private final RectF f9377c = new RectF();

    /* renamed from: d  reason: collision with root package name */
    private final float f9378d;

    /* renamed from: e  reason: collision with root package name */
    private final float f9379e;
    private final float f;
    private final float g;
    private final float h;
    private final float i;
    private final TextPaint j;
    private final Paint k;
    private CharSequence l;
    private Layout.Alignment m;
    private Bitmap n;
    private float o;
    private int p;
    private int q;
    private float r;
    private int s;
    private float t;
    private float u;
    private boolean v;
    private boolean w;
    private int x;
    private int y;
    private int z;

    public e(Context context) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(null, new int[]{16843287, 16843288}, 0, 0);
        this.i = (float) obtainStyledAttributes.getDimensionPixelSize(0, 0);
        this.h = obtainStyledAttributes.getFloat(1, 1.0f);
        obtainStyledAttributes.recycle();
        float round = (float) Math.round((((float) context.getResources().getDisplayMetrics().densityDpi) * 2.0f) / 160.0f);
        this.f9378d = round;
        this.f9379e = round;
        this.f = round;
        this.g = round;
        TextPaint textPaint = new TextPaint();
        this.j = textPaint;
        textPaint.setAntiAlias(true);
        textPaint.setSubpixelText(true);
        Paint paint = new Paint();
        this.k = paint;
        paint.setAntiAlias(true);
        paint.setStyle(Paint.Style.FILL);
    }

    private static boolean a(CharSequence charSequence, CharSequence charSequence2) {
        return charSequence == charSequence2 || (charSequence != null && charSequence.equals(charSequence2));
    }

    private void c(Canvas canvas) {
        canvas.drawBitmap(this.n, (Rect) null, this.N, (Paint) null);
    }

    private void d(Canvas canvas, boolean z2) {
        if (z2) {
            e(canvas);
        } else {
            c(canvas);
        }
    }

    private void e(Canvas canvas) {
        int i2;
        StaticLayout staticLayout = this.J;
        if (staticLayout != null) {
            int save = canvas.save();
            canvas.translate((float) this.K, (float) this.L);
            if (Color.alpha(this.z) > 0) {
                this.k.setColor(this.z);
                canvas.drawRect((float) (-this.M), 0.0f, (float) (staticLayout.getWidth() + this.M), (float) staticLayout.getHeight(), this.k);
            }
            if (Color.alpha(this.y) > 0) {
                this.k.setColor(this.y);
                float lineTop = (float) staticLayout.getLineTop(0);
                int lineCount = staticLayout.getLineCount();
                int i3 = 0;
                while (i3 < lineCount) {
                    float lineLeft = staticLayout.getLineLeft(i3);
                    float lineRight = staticLayout.getLineRight(i3);
                    RectF rectF = this.f9377c;
                    int i4 = this.M;
                    rectF.left = lineLeft - ((float) i4);
                    rectF.right = ((float) i4) + lineRight;
                    rectF.top = lineTop;
                    rectF.bottom = (float) staticLayout.getLineBottom(i3);
                    RectF rectF2 = this.f9377c;
                    float f2 = rectF2.bottom;
                    if (lineRight - lineLeft > 0.0f) {
                        float f3 = this.f9378d;
                        canvas.drawRoundRect(rectF2, f3, f3, this.k);
                    }
                    i3++;
                    lineTop = f2;
                }
            }
            int i5 = this.B;
            boolean z2 = true;
            if (i5 == 1) {
                this.j.setStrokeJoin(Paint.Join.ROUND);
                this.j.setStrokeWidth(this.f9379e);
                this.j.setColor(this.A);
                this.j.setStyle(Paint.Style.FILL_AND_STROKE);
                staticLayout.draw(canvas);
            } else if (i5 == 2) {
                TextPaint textPaint = this.j;
                float f4 = this.f;
                float f5 = this.g;
                textPaint.setShadowLayer(f4, f5, f5, this.A);
            } else if (i5 == 3 || i5 == 4) {
                if (i5 != 3) {
                    z2 = false;
                }
                int i6 = -1;
                if (z2) {
                    i2 = -1;
                } else {
                    i2 = this.A;
                }
                if (z2) {
                    i6 = this.A;
                }
                float f6 = this.f / 2.0f;
                this.j.setColor(this.x);
                this.j.setStyle(Paint.Style.FILL);
                float f7 = -f6;
                this.j.setShadowLayer(this.f, f7, f7, i2);
                staticLayout.draw(canvas);
                this.j.setShadowLayer(this.f, f6, f6, i6);
            }
            this.j.setColor(this.x);
            this.j.setStyle(Paint.Style.FILL);
            staticLayout.draw(canvas);
            this.j.setShadowLayer(0.0f, 0.0f, 0.0f, 0);
            canvas.restoreToCount(save);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x005b  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x005e  */
    private void f() {
        int i2;
        int i3;
        float f2;
        float f3;
        int i4 = this.H;
        int i5 = this.F;
        int i6 = this.I;
        int i7 = this.G;
        float f4 = (float) (i4 - i5);
        float f5 = ((float) i5) + (this.r * f4);
        float f6 = (float) (i6 - i7);
        float f7 = ((float) i7) + (this.o * f6);
        int round = Math.round(f4 * this.t);
        float f8 = this.u;
        if (f8 != Float.MIN_VALUE) {
            i2 = Math.round(f6 * f8);
        } else {
            i2 = Math.round(((float) round) * (((float) this.n.getHeight()) / ((float) this.n.getWidth())));
        }
        int i8 = this.q;
        if (i8 == 2) {
            f3 = (float) round;
        } else {
            if (i8 == 1) {
                f3 = (float) (round / 2);
            }
            int round2 = Math.round(f5);
            i3 = this.s;
            if (i3 != 2) {
                f2 = (float) i2;
            } else {
                if (i3 == 1) {
                    f2 = (float) (i2 / 2);
                }
                int round3 = Math.round(f7);
                this.N = new Rect(round2, round3, round + round2, i2 + round3);
            }
            f7 -= f2;
            int round32 = Math.round(f7);
            this.N = new Rect(round2, round32, round + round2, i2 + round32);
        }
        f5 -= f3;
        int round22 = Math.round(f5);
        i3 = this.s;
        if (i3 != 2) {
        }
        f7 -= f2;
        int round322 = Math.round(f7);
        this.N = new Rect(round22, round322, round + round22, i2 + round322);
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x009d  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x00ce A[LOOP:2: B:27:0x00cc->B:28:0x00ce, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00f5  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x0117  */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x011e  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x0124  */
    private void g() {
        SpannableStringBuilder spannableStringBuilder;
        Layout.Alignment alignment;
        int lineCount;
        int i2;
        int i3;
        float f2;
        int i4;
        int i5;
        int i6;
        int i7;
        int round;
        int i8;
        SpannableStringBuilder spannableStringBuilder2;
        int i9 = this.H - this.F;
        int i10 = this.I - this.G;
        this.j.setTextSize(this.C);
        int i11 = (int) ((this.C * f9376b) + 0.5f);
        int i12 = i11 * 2;
        int i13 = i9 - i12;
        float f3 = this.t;
        if (f3 != Float.MIN_VALUE) {
            i13 = (int) (((float) i13) * f3);
        }
        if (i13 <= 0) {
            Log.w(f9375a, "Skipped drawing subtitle cue (insufficient space)");
            return;
        }
        CharSequence charSequence = this.l;
        if (!this.v) {
            charSequence = charSequence.toString();
        } else {
            if (!this.w) {
                spannableStringBuilder2 = new SpannableStringBuilder(charSequence);
                int length = spannableStringBuilder2.length();
                AbsoluteSizeSpan[] absoluteSizeSpanArr = (AbsoluteSizeSpan[]) spannableStringBuilder2.getSpans(0, length, AbsoluteSizeSpan.class);
                RelativeSizeSpan[] relativeSizeSpanArr = (RelativeSizeSpan[]) spannableStringBuilder2.getSpans(0, length, RelativeSizeSpan.class);
                for (AbsoluteSizeSpan absoluteSizeSpan : absoluteSizeSpanArr) {
                    spannableStringBuilder2.removeSpan(absoluteSizeSpan);
                }
                for (RelativeSizeSpan relativeSizeSpan : relativeSizeSpanArr) {
                    spannableStringBuilder2.removeSpan(relativeSizeSpan);
                }
            } else if (this.D > 0.0f) {
                spannableStringBuilder2 = new SpannableStringBuilder(charSequence);
                spannableStringBuilder2.setSpan(new AbsoluteSizeSpan((int) this.D), 0, spannableStringBuilder2.length(), 16711680);
            }
            spannableStringBuilder = spannableStringBuilder2;
            alignment = this.m;
            if (alignment == null) {
                alignment = Layout.Alignment.ALIGN_CENTER;
            }
            StaticLayout staticLayout = new StaticLayout(spannableStringBuilder, this.j, i13, alignment, this.h, this.i, true);
            this.J = staticLayout;
            int height = staticLayout.getHeight();
            lineCount = this.J.getLineCount();
            i2 = 0;
            for (i3 = 0; i3 < lineCount; i3++) {
                i2 = Math.max((int) Math.ceil((double) this.J.getLineWidth(i3)), i2);
            }
            if (this.t == Float.MIN_VALUE || i2 >= i13) {
                i13 = i2;
            }
            int i14 = i13 + i12;
            f2 = this.r;
            if (f2 == Float.MIN_VALUE) {
                int round2 = Math.round(((float) i9) * f2);
                int i15 = this.F;
                int i16 = round2 + i15;
                int i17 = this.s;
                if (i17 == 2) {
                    i16 -= i14;
                } else if (i17 == 1) {
                    i16 = ((i16 * 2) - i14) / 2;
                }
                i5 = Math.max(i16, i15);
                i4 = Math.min(i14 + i5, this.H);
            } else {
                i5 = (i9 - i14) / 2;
                i4 = i5 + i14;
            }
            i6 = i4 - i5;
            if (i6 > 0) {
                Log.w(f9375a, "Skipped drawing subtitle cue (invalid horizontal positioning)");
                return;
            }
            float f4 = this.o;
            if (f4 != Float.MIN_VALUE) {
                if (this.p == 0) {
                    round = Math.round(((float) i10) * f4);
                    i8 = this.G;
                } else {
                    int lineBottom = this.J.getLineBottom(0) - this.J.getLineTop(0);
                    float f5 = this.o;
                    if (f5 >= 0.0f) {
                        round = Math.round(f5 * ((float) lineBottom));
                        i8 = this.G;
                    } else {
                        round = Math.round((f5 + 1.0f) * ((float) lineBottom));
                        i8 = this.I;
                    }
                }
                i7 = round + i8;
                int i18 = this.q;
                if (i18 == 2) {
                    i7 -= height;
                } else if (i18 == 1) {
                    i7 = ((i7 * 2) - height) / 2;
                }
                int i19 = i7 + height;
                int i20 = this.I;
                if (i19 > i20) {
                    i7 = i20 - height;
                } else {
                    int i21 = this.G;
                    if (i7 < i21) {
                        i7 = i21;
                    }
                }
            } else {
                i7 = (this.I - height) - ((int) (((float) i10) * this.E));
            }
            this.J = new StaticLayout(spannableStringBuilder, this.j, i6, alignment, this.h, this.i, true);
            this.K = i5;
            this.L = i7;
            this.M = i11;
            return;
        }
        spannableStringBuilder = charSequence;
        alignment = this.m;
        if (alignment == null) {
        }
        StaticLayout staticLayout2 = new StaticLayout(spannableStringBuilder, this.j, i13, alignment, this.h, this.i, true);
        this.J = staticLayout2;
        int height2 = staticLayout2.getHeight();
        lineCount = this.J.getLineCount();
        i2 = 0;
        while (i3 < lineCount) {
        }
        i13 = i2;
        int i142 = i13 + i12;
        f2 = this.r;
        if (f2 == Float.MIN_VALUE) {
        }
        i6 = i4 - i5;
        if (i6 > 0) {
        }
    }

    public void b(Cue cue, boolean z2, boolean z3, CaptionStyleCompat captionStyleCompat, float f2, float f3, float f4, Canvas canvas, int i2, int i3, int i4, int i5) {
        boolean z4 = cue.S0 == null;
        int i6 = ViewCompat.MEASURED_STATE_MASK;
        if (z4) {
            if (!TextUtils.isEmpty(cue.Q0)) {
                i6 = (!cue.a1 || !z2) ? captionStyleCompat.j : cue.b1;
            } else {
                return;
            }
        }
        if (a(this.l, cue.Q0) && b0.b(this.m, cue.R0) && this.n == cue.S0 && this.o == cue.T0 && this.p == cue.U0 && b0.b(Integer.valueOf(this.q), Integer.valueOf(cue.V0)) && this.r == cue.W0 && b0.b(Integer.valueOf(this.s), Integer.valueOf(cue.X0)) && this.t == cue.Y0 && this.u == cue.Z0 && this.v == z2 && this.w == z3 && this.x == captionStyleCompat.h && this.y == captionStyleCompat.i && this.z == i6 && this.B == captionStyleCompat.k && this.A == captionStyleCompat.l && b0.b(this.j.getTypeface(), captionStyleCompat.m) && this.C == f2 && this.D == f3 && this.E == f4 && this.F == i2 && this.G == i3 && this.H == i4 && this.I == i5) {
            d(canvas, z4);
            return;
        }
        this.l = cue.Q0;
        this.m = cue.R0;
        this.n = cue.S0;
        this.o = cue.T0;
        this.p = cue.U0;
        this.q = cue.V0;
        this.r = cue.W0;
        this.s = cue.X0;
        this.t = cue.Y0;
        this.u = cue.Z0;
        this.v = z2;
        this.w = z3;
        this.x = captionStyleCompat.h;
        this.y = captionStyleCompat.i;
        this.z = i6;
        this.B = captionStyleCompat.k;
        this.A = captionStyleCompat.l;
        this.j.setTypeface(captionStyleCompat.m);
        this.C = f2;
        this.D = f3;
        this.E = f4;
        this.F = i2;
        this.G = i3;
        this.H = i4;
        this.I = i5;
        if (z4) {
            g();
        } else {
            f();
        }
        d(canvas, z4);
    }
}
