package com.google.android.exoplayer2.upstream;

import android.content.Context;
import android.content.res.AssetManager;
import android.net.Uri;
import java.io.EOFException;
import java.io.IOException;
import java.io.InputStream;

public final class AssetDataSource implements h {

    /* renamed from: b  reason: collision with root package name */
    private final AssetManager f9380b;

    /* renamed from: c  reason: collision with root package name */
    private final w<? super AssetDataSource> f9381c;

    /* renamed from: d  reason: collision with root package name */
    private Uri f9382d;

    /* renamed from: e  reason: collision with root package name */
    private InputStream f9383e;
    private long f;
    private boolean g;

    public static final class AssetDataSourceException extends IOException {
        public AssetDataSourceException(IOException iOException) {
            super(iOException);
        }
    }

    public AssetDataSource(Context context) {
        this(context, null);
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public void close() throws AssetDataSourceException {
        this.f9382d = null;
        try {
            InputStream inputStream = this.f9383e;
            if (inputStream != null) {
                inputStream.close();
            }
            this.f9383e = null;
            if (this.g) {
                this.g = false;
                w<? super AssetDataSource> wVar = this.f9381c;
                if (wVar != null) {
                    wVar.b(this);
                }
            }
        } catch (IOException e2) {
            throw new AssetDataSourceException(e2);
        } catch (Throwable th) {
            this.f9383e = null;
            if (this.g) {
                this.g = false;
                w<? super AssetDataSource> wVar2 = this.f9381c;
                if (wVar2 != null) {
                    wVar2.b(this);
                }
            }
            throw th;
        }
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public Uri getUri() {
        return this.f9382d;
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public long o(DataSpec dataSpec) throws AssetDataSourceException {
        try {
            Uri uri = dataSpec.f9390c;
            this.f9382d = uri;
            String path = uri.getPath();
            if (path.startsWith("/android_asset/")) {
                path = path.substring(15);
            } else if (path.startsWith("/")) {
                path = path.substring(1);
            }
            InputStream open = this.f9380b.open(path, 1);
            this.f9383e = open;
            if (open.skip(dataSpec.f) >= dataSpec.f) {
                long j = dataSpec.g;
                if (j != -1) {
                    this.f = j;
                } else {
                    long available = (long) this.f9383e.available();
                    this.f = available;
                    if (available == 2147483647L) {
                        this.f = -1;
                    }
                }
                this.g = true;
                w<? super AssetDataSource> wVar = this.f9381c;
                if (wVar != null) {
                    wVar.c(this, dataSpec);
                }
                return this.f;
            }
            throw new EOFException();
        } catch (IOException e2) {
            throw new AssetDataSourceException(e2);
        }
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public int read(byte[] bArr, int i, int i2) throws AssetDataSourceException {
        if (i2 == 0) {
            return 0;
        }
        long j = this.f;
        if (j == 0) {
            return -1;
        }
        if (j != -1) {
            try {
                i2 = (int) Math.min(j, (long) i2);
            } catch (IOException e2) {
                throw new AssetDataSourceException(e2);
            }
        }
        int read = this.f9383e.read(bArr, i, i2);
        if (read != -1) {
            long j2 = this.f;
            if (j2 != -1) {
                this.f = j2 - ((long) read);
            }
            w<? super AssetDataSource> wVar = this.f9381c;
            if (wVar != null) {
                wVar.a(this, read);
            }
            return read;
        } else if (this.f == -1) {
            return -1;
        } else {
            throw new AssetDataSourceException(new EOFException());
        }
    }

    public AssetDataSource(Context context, w<? super AssetDataSource> wVar) {
        this.f9380b = context.getAssets();
        this.f9381c = wVar;
    }
}
