package com.google.android.exoplayer2.upstream;

import android.content.ContentResolver;
import android.content.Context;
import android.content.res.AssetFileDescriptor;
import android.net.Uri;
import java.io.EOFException;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.nio.channels.FileChannel;

public final class ContentDataSource implements h {

    /* renamed from: b  reason: collision with root package name */
    private final ContentResolver f9384b;

    /* renamed from: c  reason: collision with root package name */
    private final w<? super ContentDataSource> f9385c;

    /* renamed from: d  reason: collision with root package name */
    private Uri f9386d;

    /* renamed from: e  reason: collision with root package name */
    private AssetFileDescriptor f9387e;
    private FileInputStream f;
    private long g;
    private boolean h;

    public static class ContentDataSourceException extends IOException {
        public ContentDataSourceException(IOException iOException) {
            super(iOException);
        }
    }

    public ContentDataSource(Context context) {
        this(context, null);
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public void close() throws ContentDataSourceException {
        this.f9386d = null;
        try {
            FileInputStream fileInputStream = this.f;
            if (fileInputStream != null) {
                fileInputStream.close();
            }
            this.f = null;
            try {
                AssetFileDescriptor assetFileDescriptor = this.f9387e;
                if (assetFileDescriptor != null) {
                    assetFileDescriptor.close();
                }
                this.f9387e = null;
                if (this.h) {
                    this.h = false;
                    w<? super ContentDataSource> wVar = this.f9385c;
                    if (wVar != null) {
                        wVar.b(this);
                    }
                }
            } catch (IOException e2) {
                throw new ContentDataSourceException(e2);
            } catch (Throwable th) {
                this.f9387e = null;
                if (this.h) {
                    this.h = false;
                    w<? super ContentDataSource> wVar2 = this.f9385c;
                    if (wVar2 != null) {
                        wVar2.b(this);
                    }
                }
                throw th;
            }
        } catch (IOException e3) {
            throw new ContentDataSourceException(e3);
        } catch (Throwable th2) {
            this.f = null;
            try {
                AssetFileDescriptor assetFileDescriptor2 = this.f9387e;
                if (assetFileDescriptor2 != null) {
                    assetFileDescriptor2.close();
                }
                this.f9387e = null;
                if (this.h) {
                    this.h = false;
                    w<? super ContentDataSource> wVar3 = this.f9385c;
                    if (wVar3 != null) {
                        wVar3.b(this);
                    }
                }
                throw th2;
            } catch (IOException e4) {
                throw new ContentDataSourceException(e4);
            } catch (Throwable th3) {
                this.f9387e = null;
                if (this.h) {
                    this.h = false;
                    w<? super ContentDataSource> wVar4 = this.f9385c;
                    if (wVar4 != null) {
                        wVar4.b(this);
                    }
                }
                throw th3;
            }
        }
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public Uri getUri() {
        return this.f9386d;
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public long o(DataSpec dataSpec) throws ContentDataSourceException {
        try {
            Uri uri = dataSpec.f9390c;
            this.f9386d = uri;
            AssetFileDescriptor openAssetFileDescriptor = this.f9384b.openAssetFileDescriptor(uri, "r");
            this.f9387e = openAssetFileDescriptor;
            if (openAssetFileDescriptor != null) {
                this.f = new FileInputStream(this.f9387e.getFileDescriptor());
                long startOffset = this.f9387e.getStartOffset();
                long skip = this.f.skip(dataSpec.f + startOffset) - startOffset;
                if (skip == dataSpec.f) {
                    long j = dataSpec.g;
                    long j2 = -1;
                    if (j != -1) {
                        this.g = j;
                    } else {
                        long length = this.f9387e.getLength();
                        if (length == -1) {
                            FileChannel channel = this.f.getChannel();
                            long size = channel.size();
                            if (size != 0) {
                                j2 = size - channel.position();
                            }
                            this.g = j2;
                        } else {
                            this.g = length - skip;
                        }
                    }
                    this.h = true;
                    w<? super ContentDataSource> wVar = this.f9385c;
                    if (wVar != null) {
                        wVar.c(this, dataSpec);
                    }
                    return this.g;
                }
                throw new EOFException();
            }
            throw new FileNotFoundException("Could not open file descriptor for: " + this.f9386d);
        } catch (IOException e2) {
            throw new ContentDataSourceException(e2);
        }
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public int read(byte[] bArr, int i, int i2) throws ContentDataSourceException {
        if (i2 == 0) {
            return 0;
        }
        long j = this.g;
        if (j == 0) {
            return -1;
        }
        if (j != -1) {
            try {
                i2 = (int) Math.min(j, (long) i2);
            } catch (IOException e2) {
                throw new ContentDataSourceException(e2);
            }
        }
        int read = this.f.read(bArr, i, i2);
        if (read != -1) {
            long j2 = this.g;
            if (j2 != -1) {
                this.g = j2 - ((long) read);
            }
            w<? super ContentDataSource> wVar = this.f9385c;
            if (wVar != null) {
                wVar.a(this, read);
            }
            return read;
        } else if (this.g == -1) {
            return -1;
        } else {
            throw new ContentDataSourceException(new EOFException());
        }
    }

    public ContentDataSource(Context context, w<? super ContentDataSource> wVar) {
        this.f9384b = context.getContentResolver();
        this.f9385c = wVar;
    }
}
