package com.google.android.exoplayer2.upstream;

import android.net.Uri;
import java.io.EOFException;
import java.io.IOException;
import java.io.RandomAccessFile;

public final class FileDataSource implements h {

    /* renamed from: b  reason: collision with root package name */
    private final w<? super FileDataSource> f9393b;

    /* renamed from: c  reason: collision with root package name */
    private RandomAccessFile f9394c;

    /* renamed from: d  reason: collision with root package name */
    private Uri f9395d;

    /* renamed from: e  reason: collision with root package name */
    private long f9396e;
    private boolean f;

    public static class FileDataSourceException extends IOException {
        public FileDataSourceException(IOException iOException) {
            super(iOException);
        }
    }

    public FileDataSource() {
        this(null);
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public void close() throws FileDataSourceException {
        this.f9395d = null;
        try {
            RandomAccessFile randomAccessFile = this.f9394c;
            if (randomAccessFile != null) {
                randomAccessFile.close();
            }
            this.f9394c = null;
            if (this.f) {
                this.f = false;
                w<? super FileDataSource> wVar = this.f9393b;
                if (wVar != null) {
                    wVar.b(this);
                }
            }
        } catch (IOException e2) {
            throw new FileDataSourceException(e2);
        } catch (Throwable th) {
            this.f9394c = null;
            if (this.f) {
                this.f = false;
                w<? super FileDataSource> wVar2 = this.f9393b;
                if (wVar2 != null) {
                    wVar2.b(this);
                }
            }
            throw th;
        }
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public Uri getUri() {
        return this.f9395d;
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public long o(DataSpec dataSpec) throws FileDataSourceException {
        try {
            this.f9395d = dataSpec.f9390c;
            RandomAccessFile randomAccessFile = new RandomAccessFile(dataSpec.f9390c.getPath(), "r");
            this.f9394c = randomAccessFile;
            randomAccessFile.seek(dataSpec.f);
            long j = dataSpec.g;
            if (j == -1) {
                j = this.f9394c.length() - dataSpec.f;
            }
            this.f9396e = j;
            if (j >= 0) {
                this.f = true;
                w<? super FileDataSource> wVar = this.f9393b;
                if (wVar != null) {
                    wVar.c(this, dataSpec);
                }
                return this.f9396e;
            }
            throw new EOFException();
        } catch (IOException e2) {
            throw new FileDataSourceException(e2);
        }
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public int read(byte[] bArr, int i, int i2) throws FileDataSourceException {
        if (i2 == 0) {
            return 0;
        }
        long j = this.f9396e;
        if (j == 0) {
            return -1;
        }
        try {
            int read = this.f9394c.read(bArr, i, (int) Math.min(j, (long) i2));
            if (read > 0) {
                this.f9396e -= (long) read;
                w<? super FileDataSource> wVar = this.f9393b;
                if (wVar != null) {
                    wVar.a(this, read);
                }
            }
            return read;
        } catch (IOException e2) {
            throw new FileDataSourceException(e2);
        }
    }

    public FileDataSource(w<? super FileDataSource> wVar) {
        this.f9393b = wVar;
    }
}
