package com.google.android.exoplayer2.upstream;

import android.text.TextUtils;
import com.google.android.exoplayer2.upstream.h;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.n;
import com.google.android.exoplayer2.util.s;
import java.io.IOException;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface HttpDataSource extends h {

    /* renamed from: a  reason: collision with root package name */
    public static final s<String> f9397a = new a();

    public static final class InvalidContentTypeException extends HttpDataSourceException {
        public final String contentType;

        public InvalidContentTypeException(String str, DataSpec dataSpec) {
            super("Invalid content type: " + str, dataSpec, 1);
            this.contentType = str;
        }
    }

    public static final class InvalidResponseCodeException extends HttpDataSourceException {
        public final Map<String, List<String>> headerFields;
        public final int responseCode;

        public InvalidResponseCodeException(int i, Map<String, List<String>> map, DataSpec dataSpec) {
            super("Response code: " + i, dataSpec, 1);
            this.responseCode = i;
            this.headerFields = map;
        }
    }

    static class a implements s<String> {
        a() {
        }

        /* renamed from: b */
        public boolean a(String str) {
            String w0 = b0.w0(str);
            return !TextUtils.isEmpty(w0) && (!w0.contains("text") || w0.contains(n.O)) && !w0.contains("html") && !w0.contains("xml");
        }
    }

    public static abstract class b implements c {

        /* renamed from: a  reason: collision with root package name */
        private final d f9398a = new d();

        @Override // com.google.android.exoplayer2.upstream.HttpDataSource.c
        @Deprecated
        public final void b(String str, String str2) {
            this.f9398a.e(str, str2);
        }

        @Override // com.google.android.exoplayer2.upstream.HttpDataSource.c
        @Deprecated
        public final void c(String str) {
            this.f9398a.d(str);
        }

        @Override // com.google.android.exoplayer2.upstream.HttpDataSource.c
        @Deprecated
        public final void d() {
            this.f9398a.a();
        }

        @Override // com.google.android.exoplayer2.upstream.HttpDataSource.c
        public final d e() {
            return this.f9398a;
        }

        /* access modifiers changed from: protected */
        public abstract HttpDataSource f(d dVar);

        @Override // com.google.android.exoplayer2.upstream.HttpDataSource.c, com.google.android.exoplayer2.upstream.h.a
        public final HttpDataSource a() {
            return f(this.f9398a);
        }
    }

    public interface c extends h.a {
        @Override // com.google.android.exoplayer2.upstream.h.a
        HttpDataSource a();

        @Deprecated
        void b(String str, String str2);

        @Deprecated
        void c(String str);

        @Deprecated
        void d();

        d e();
    }

    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        private final Map<String, String> f9399a = new HashMap();

        /* renamed from: b  reason: collision with root package name */
        private Map<String, String> f9400b;

        public synchronized void a() {
            this.f9400b = null;
            this.f9399a.clear();
        }

        public synchronized void b(Map<String, String> map) {
            this.f9400b = null;
            this.f9399a.clear();
            this.f9399a.putAll(map);
        }

        public synchronized Map<String, String> c() {
            if (this.f9400b == null) {
                this.f9400b = Collections.unmodifiableMap(new HashMap(this.f9399a));
            }
            return this.f9400b;
        }

        public synchronized void d(String str) {
            this.f9400b = null;
            this.f9399a.remove(str);
        }

        public synchronized void e(String str, String str2) {
            this.f9400b = null;
            this.f9399a.put(str, str2);
        }

        public synchronized void f(Map<String, String> map) {
            this.f9400b = null;
            this.f9399a.putAll(map);
        }
    }

    void a(String str, String str2);

    Map<String, List<String>> b();

    void c();

    @Override // com.google.android.exoplayer2.upstream.h
    void close() throws HttpDataSourceException;

    void d(String str);

    @Override // com.google.android.exoplayer2.upstream.h
    long o(DataSpec dataSpec) throws HttpDataSourceException;

    @Override // com.google.android.exoplayer2.upstream.h
    int read(byte[] bArr, int i, int i2) throws HttpDataSourceException;

    public static class HttpDataSourceException extends IOException {
        public static final int TYPE_CLOSE = 3;
        public static final int TYPE_OPEN = 1;
        public static final int TYPE_READ = 2;
        public final DataSpec dataSpec;
        public final int type;

        @Retention(RetentionPolicy.SOURCE)
        public @interface Type {
        }

        public HttpDataSourceException(DataSpec dataSpec2, int i) {
            this.dataSpec = dataSpec2;
            this.type = i;
        }

        public HttpDataSourceException(String str, DataSpec dataSpec2, int i) {
            super(str);
            this.dataSpec = dataSpec2;
            this.type = i;
        }

        public HttpDataSourceException(IOException iOException, DataSpec dataSpec2, int i) {
            super(iOException);
            this.dataSpec = dataSpec2;
            this.type = i;
        }

        public HttpDataSourceException(String str, IOException iOException, DataSpec dataSpec2, int i) {
            super(str, iOException);
            this.dataSpec = dataSpec2;
            this.type = i;
        }
    }
}
