package com.google.android.exoplayer2.upstream;

import android.annotation.SuppressLint;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.SystemClock;
import android.util.Log;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.z;
import java.io.IOException;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.concurrent.ExecutorService;

public final class Loader implements r {

    /* renamed from: a  reason: collision with root package name */
    public static final int f9401a = 0;

    /* renamed from: b  reason: collision with root package name */
    public static final int f9402b = 1;

    /* renamed from: c  reason: collision with root package name */
    public static final int f9403c = 2;

    /* renamed from: d  reason: collision with root package name */
    public static final int f9404d = 3;

    /* renamed from: e  reason: collision with root package name */
    private final ExecutorService f9405e;
    private b<? extends c> f;
    private IOException g;

    @Retention(RetentionPolicy.SOURCE)
    public @interface RetryAction {
    }

    public static final class UnexpectedLoaderException extends IOException {
        public UnexpectedLoaderException(Throwable th) {
            super("Unexpected " + th.getClass().getSimpleName() + ": " + th.getMessage(), th);
        }
    }

    public interface a<T extends c> {
        void j(T t, long j, long j2, boolean z);

        void l(T t, long j, long j2);

        int p(T t, long j, long j2, IOException iOException);
    }

    /* access modifiers changed from: private */
    @SuppressLint({"HandlerLeak"})
    public final class b<T extends c> extends Handler implements Runnable {
        private static final int I0 = 1;
        private static final int J0 = 2;
        private static final int K0 = 3;
        private static final int L0 = 4;

        /* renamed from: a  reason: collision with root package name */
        private static final String f9406a = "LoadTask";

        /* renamed from: b  reason: collision with root package name */
        private static final int f9407b = 0;
        public final int M0;
        private final T N0;
        private final long O0;
        @Nullable
        private a<T> P0;
        private IOException Q0;
        private int R0;
        private volatile Thread S0;
        private volatile boolean T0;
        private volatile boolean U0;

        public b(Looper looper, T t, a<T> aVar, int i, long j) {
            super(looper);
            this.N0 = t;
            this.P0 = aVar;
            this.M0 = i;
            this.O0 = j;
        }

        private void b() {
            this.Q0 = null;
            Loader.this.f9405e.execute(Loader.this.f);
        }

        private void c() {
            Loader.this.f = null;
        }

        private long d() {
            return (long) Math.min((this.R0 - 1) * 1000, 5000);
        }

        public void a(boolean z) {
            this.U0 = z;
            this.Q0 = null;
            if (hasMessages(0)) {
                removeMessages(0);
                if (!z) {
                    sendEmptyMessage(1);
                }
            } else {
                this.T0 = true;
                this.N0.b();
                if (this.S0 != null) {
                    this.S0.interrupt();
                }
            }
            if (z) {
                c();
                long elapsedRealtime = SystemClock.elapsedRealtime();
                this.P0.j(this.N0, elapsedRealtime, elapsedRealtime - this.O0, true);
                this.P0 = null;
            }
        }

        public void e(int i) throws IOException {
            IOException iOException = this.Q0;
            if (iOException != null && this.R0 > i) {
                throw iOException;
            }
        }

        public void f(long j) {
            com.google.android.exoplayer2.util.a.i(Loader.this.f == null);
            Loader.this.f = this;
            if (j > 0) {
                sendEmptyMessageDelayed(0, j);
            } else {
                b();
            }
        }

        public void handleMessage(Message message) {
            if (!this.U0) {
                int i = message.what;
                if (i == 0) {
                    b();
                } else if (i != 4) {
                    c();
                    long elapsedRealtime = SystemClock.elapsedRealtime();
                    long j = elapsedRealtime - this.O0;
                    if (this.T0) {
                        this.P0.j(this.N0, elapsedRealtime, j, false);
                        return;
                    }
                    int i2 = message.what;
                    int i3 = 1;
                    if (i2 == 1) {
                        this.P0.j(this.N0, elapsedRealtime, j, false);
                    } else if (i2 == 2) {
                        try {
                            this.P0.l(this.N0, elapsedRealtime, j);
                        } catch (RuntimeException e2) {
                            Log.e(f9406a, "Unexpected exception handling load completed", e2);
                            Loader.this.g = new UnexpectedLoaderException(e2);
                        }
                    } else if (i2 == 3) {
                        IOException iOException = (IOException) message.obj;
                        this.Q0 = iOException;
                        int p = this.P0.p(this.N0, elapsedRealtime, j, iOException);
                        if (p == 3) {
                            Loader.this.g = this.Q0;
                        } else if (p != 2) {
                            if (p != 1) {
                                i3 = 1 + this.R0;
                            }
                            this.R0 = i3;
                            f(d());
                        }
                    }
                } else {
                    throw ((Error) message.obj);
                }
            }
        }

        public void run() {
            try {
                this.S0 = Thread.currentThread();
                if (!this.T0) {
                    z.a("load:" + this.N0.getClass().getSimpleName());
                    try {
                        this.N0.a();
                    } finally {
                        z.c();
                    }
                }
                if (!this.U0) {
                    sendEmptyMessage(2);
                }
            } catch (IOException e2) {
                if (!this.U0) {
                    obtainMessage(3, e2).sendToTarget();
                }
            } catch (InterruptedException unused) {
                com.google.android.exoplayer2.util.a.i(this.T0);
                if (!this.U0) {
                    sendEmptyMessage(2);
                }
            } catch (Exception e3) {
                Log.e(f9406a, "Unexpected exception loading stream", e3);
                if (!this.U0) {
                    obtainMessage(3, new UnexpectedLoaderException(e3)).sendToTarget();
                }
            } catch (OutOfMemoryError e4) {
                Log.e(f9406a, "OutOfMemory error loading stream", e4);
                if (!this.U0) {
                    obtainMessage(3, new UnexpectedLoaderException(e4)).sendToTarget();
                }
            } catch (Error e5) {
                Log.e(f9406a, "Unexpected error loading stream", e5);
                if (!this.U0) {
                    obtainMessage(4, e5).sendToTarget();
                }
                throw e5;
            }
        }
    }

    public interface c {
        void a() throws IOException, InterruptedException;

        void b();
    }

    public interface d {
        void h();
    }

    /* access modifiers changed from: private */
    public static final class e implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        private final d f9408a;

        public e(d dVar) {
            this.f9408a = dVar;
        }

        public void run() {
            this.f9408a.h();
        }
    }

    public Loader(String str) {
        this.f9405e = b0.b0(str);
    }

    @Override // com.google.android.exoplayer2.upstream.r
    public void a() throws IOException {
        b(Integer.MIN_VALUE);
    }

    @Override // com.google.android.exoplayer2.upstream.r
    public void b(int i) throws IOException {
        IOException iOException = this.g;
        if (iOException == null) {
            b<? extends c> bVar = this.f;
            if (bVar != null) {
                if (i == Integer.MIN_VALUE) {
                    i = bVar.M0;
                }
                bVar.e(i);
                return;
            }
            return;
        }
        throw iOException;
    }

    public void g() {
        this.f.a(false);
    }

    public boolean h() {
        return this.f != null;
    }

    public void i() {
        j(null);
    }

    public void j(@Nullable d dVar) {
        b<? extends c> bVar = this.f;
        if (bVar != null) {
            bVar.a(true);
        }
        if (dVar != null) {
            this.f9405e.execute(new e(dVar));
        }
        this.f9405e.shutdown();
    }

    public <T extends c> long k(T t, a<T> aVar, int i) {
        Looper myLooper = Looper.myLooper();
        com.google.android.exoplayer2.util.a.i(myLooper != null);
        this.g = null;
        long elapsedRealtime = SystemClock.elapsedRealtime();
        new b(myLooper, t, aVar, i, elapsedRealtime).f(0);
        return elapsedRealtime;
    }
}
