package com.google.android.exoplayer2.upstream;

import android.content.Context;
import android.content.res.AssetFileDescriptor;
import android.content.res.Resources;
import android.net.Uri;
import android.text.TextUtils;
import java.io.EOFException;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

public final class RawResourceDataSource implements h {

    /* renamed from: b  reason: collision with root package name */
    public static final String f9409b = "rawresource";

    /* renamed from: c  reason: collision with root package name */
    private final Resources f9410c;

    /* renamed from: d  reason: collision with root package name */
    private final w<? super RawResourceDataSource> f9411d;

    /* renamed from: e  reason: collision with root package name */
    private Uri f9412e;
    private AssetFileDescriptor f;
    private InputStream g;
    private long h;
    private boolean i;

    public static class RawResourceDataSourceException extends IOException {
        public RawResourceDataSourceException(String str) {
            super(str);
        }

        public RawResourceDataSourceException(IOException iOException) {
            super(iOException);
        }
    }

    public RawResourceDataSource(Context context) {
        this(context, null);
    }

    public static Uri e(int i2) {
        return Uri.parse("rawresource:///" + i2);
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public void close() throws RawResourceDataSourceException {
        this.f9412e = null;
        try {
            InputStream inputStream = this.g;
            if (inputStream != null) {
                inputStream.close();
            }
            this.g = null;
            try {
                AssetFileDescriptor assetFileDescriptor = this.f;
                if (assetFileDescriptor != null) {
                    assetFileDescriptor.close();
                }
                this.f = null;
                if (this.i) {
                    this.i = false;
                    w<? super RawResourceDataSource> wVar = this.f9411d;
                    if (wVar != null) {
                        wVar.b(this);
                    }
                }
            } catch (IOException e2) {
                throw new RawResourceDataSourceException(e2);
            } catch (Throwable th) {
                this.f = null;
                if (this.i) {
                    this.i = false;
                    w<? super RawResourceDataSource> wVar2 = this.f9411d;
                    if (wVar2 != null) {
                        wVar2.b(this);
                    }
                }
                throw th;
            }
        } catch (IOException e3) {
            throw new RawResourceDataSourceException(e3);
        } catch (Throwable th2) {
            this.g = null;
            try {
                AssetFileDescriptor assetFileDescriptor2 = this.f;
                if (assetFileDescriptor2 != null) {
                    assetFileDescriptor2.close();
                }
                this.f = null;
                if (this.i) {
                    this.i = false;
                    w<? super RawResourceDataSource> wVar3 = this.f9411d;
                    if (wVar3 != null) {
                        wVar3.b(this);
                    }
                }
                throw th2;
            } catch (IOException e4) {
                throw new RawResourceDataSourceException(e4);
            } catch (Throwable th3) {
                this.f = null;
                if (this.i) {
                    this.i = false;
                    w<? super RawResourceDataSource> wVar4 = this.f9411d;
                    if (wVar4 != null) {
                        wVar4.b(this);
                    }
                }
                throw th3;
            }
        }
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public Uri getUri() {
        return this.f9412e;
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public long o(DataSpec dataSpec) throws RawResourceDataSourceException {
        try {
            Uri uri = dataSpec.f9390c;
            this.f9412e = uri;
            if (TextUtils.equals(f9409b, uri.getScheme())) {
                try {
                    this.f = this.f9410c.openRawResourceFd(Integer.parseInt(this.f9412e.getLastPathSegment()));
                    FileInputStream fileInputStream = new FileInputStream(this.f.getFileDescriptor());
                    this.g = fileInputStream;
                    fileInputStream.skip(this.f.getStartOffset());
                    if (this.g.skip(dataSpec.f) >= dataSpec.f) {
                        long j = dataSpec.g;
                        long j2 = -1;
                        if (j != -1) {
                            this.h = j;
                        } else {
                            long length = this.f.getLength();
                            if (length != -1) {
                                j2 = length - dataSpec.f;
                            }
                            this.h = j2;
                        }
                        this.i = true;
                        w<? super RawResourceDataSource> wVar = this.f9411d;
                        if (wVar != null) {
                            wVar.c(this, dataSpec);
                        }
                        return this.h;
                    }
                    throw new EOFException();
                } catch (NumberFormatException unused) {
                    throw new RawResourceDataSourceException("Resource identifier must be an integer.");
                }
            } else {
                throw new RawResourceDataSourceException("URI must use scheme rawresource");
            }
        } catch (IOException e2) {
            throw new RawResourceDataSourceException(e2);
        }
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public int read(byte[] bArr, int i2, int i3) throws RawResourceDataSourceException {
        if (i3 == 0) {
            return 0;
        }
        long j = this.h;
        if (j == 0) {
            return -1;
        }
        if (j != -1) {
            try {
                i3 = (int) Math.min(j, (long) i3);
            } catch (IOException e2) {
                throw new RawResourceDataSourceException(e2);
            }
        }
        int read = this.g.read(bArr, i2, i3);
        if (read != -1) {
            long j2 = this.h;
            if (j2 != -1) {
                this.h = j2 - ((long) read);
            }
            w<? super RawResourceDataSource> wVar = this.f9411d;
            if (wVar != null) {
                wVar.a(this, read);
            }
            return read;
        } else if (this.h == -1) {
            return -1;
        } else {
            throw new RawResourceDataSourceException(new EOFException());
        }
    }

    public RawResourceDataSource(Context context, w<? super RawResourceDataSource> wVar) {
        this.f9410c = context.getResources();
        this.f9411d = wVar;
    }
}
