package com.google.android.exoplayer2.upstream.cache;

import com.google.android.exoplayer2.upstream.DataSpec;
import com.google.android.exoplayer2.upstream.cache.Cache;
import com.google.android.exoplayer2.upstream.g;
import com.google.android.exoplayer2.util.a;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.t;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;

public final class CacheDataSink implements g {

    /* renamed from: a  reason: collision with root package name */
    public static final int f9419a = 20480;

    /* renamed from: b  reason: collision with root package name */
    private final Cache f9420b;

    /* renamed from: c  reason: collision with root package name */
    private final long f9421c;

    /* renamed from: d  reason: collision with root package name */
    private final int f9422d;

    /* renamed from: e  reason: collision with root package name */
    private final boolean f9423e;
    private DataSpec f;
    private File g;
    private OutputStream h;
    private FileOutputStream i;
    private long j;
    private long k;
    private t l;

    public static class CacheDataSinkException extends Cache.CacheException {
        public CacheDataSinkException(IOException iOException) {
            super(iOException);
        }
    }

    public CacheDataSink(Cache cache, long j2) {
        this(cache, j2, f9419a, true);
    }

    private void a() throws IOException {
        OutputStream outputStream = this.h;
        if (outputStream != null) {
            try {
                outputStream.flush();
                if (this.f9423e) {
                    this.i.getFD().sync();
                }
                b0.k(this.h);
                this.h = null;
                File file = this.g;
                this.g = null;
                this.f9420b.g(file);
            } catch (Throwable th) {
                b0.k(this.h);
                this.h = null;
                File file2 = this.g;
                this.g = null;
                file2.delete();
                throw th;
            }
        }
    }

    private void b() throws IOException {
        long j2;
        long j3 = this.f.g;
        if (j3 == -1) {
            j2 = this.f9421c;
        } else {
            j2 = Math.min(j3 - this.k, this.f9421c);
        }
        Cache cache = this.f9420b;
        DataSpec dataSpec = this.f;
        this.g = cache.a(dataSpec.h, this.k + dataSpec.f9392e, j2);
        FileOutputStream fileOutputStream = new FileOutputStream(this.g);
        this.i = fileOutputStream;
        if (this.f9422d > 0) {
            t tVar = this.l;
            if (tVar == null) {
                this.l = new t(this.i, this.f9422d);
            } else {
                tVar.a(fileOutputStream);
            }
            this.h = this.l;
        } else {
            this.h = fileOutputStream;
        }
        this.j = 0;
    }

    @Override // com.google.android.exoplayer2.upstream.g
    public void close() throws CacheDataSinkException {
        if (this.f != null) {
            try {
                a();
            } catch (IOException e2) {
                throw new CacheDataSinkException(e2);
            }
        }
    }

    @Override // com.google.android.exoplayer2.upstream.g
    public void n(byte[] bArr, int i2, int i3) throws CacheDataSinkException {
        if (this.f != null) {
            int i4 = 0;
            while (i4 < i3) {
                try {
                    if (this.j == this.f9421c) {
                        a();
                        b();
                    }
                    int min = (int) Math.min((long) (i3 - i4), this.f9421c - this.j);
                    this.h.write(bArr, i2 + i4, min);
                    i4 += min;
                    long j2 = (long) min;
                    this.j += j2;
                    this.k += j2;
                } catch (IOException e2) {
                    throw new CacheDataSinkException(e2);
                }
            }
        }
    }

    @Override // com.google.android.exoplayer2.upstream.g
    public void o(DataSpec dataSpec) throws CacheDataSinkException {
        if (dataSpec.g != -1 || dataSpec.a(2)) {
            this.f = dataSpec;
            this.k = 0;
            try {
                b();
            } catch (IOException e2) {
                throw new CacheDataSinkException(e2);
            }
        } else {
            this.f = null;
        }
    }

    public CacheDataSink(Cache cache, long j2, boolean z) {
        this(cache, j2, f9419a, z);
    }

    public CacheDataSink(Cache cache, long j2, int i2) {
        this(cache, j2, i2, true);
    }

    public CacheDataSink(Cache cache, long j2, int i2, boolean z) {
        this.f9420b = (Cache) a.g(cache);
        this.f9421c = j2;
        this.f9422d = i2;
        this.f9423e = z;
    }
}
