package com.google.android.exoplayer2.upstream.cache;

import android.net.Uri;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.upstream.DataSourceException;
import com.google.android.exoplayer2.upstream.DataSpec;
import com.google.android.exoplayer2.upstream.FileDataSource;
import com.google.android.exoplayer2.upstream.cache.Cache;
import com.google.android.exoplayer2.upstream.g;
import com.google.android.exoplayer2.upstream.h;
import com.google.android.exoplayer2.upstream.v;
import java.io.IOException;
import java.io.InterruptedIOException;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public final class CacheDataSource implements h {

    /* renamed from: b  reason: collision with root package name */
    public static final long f9424b = 2097152;

    /* renamed from: c  reason: collision with root package name */
    public static final int f9425c = 1;

    /* renamed from: d  reason: collision with root package name */
    public static final int f9426d = 2;

    /* renamed from: e  reason: collision with root package name */
    public static final int f9427e = 4;
    private static final int f = -1;
    public static final int g = 0;
    public static final int h = 1;
    private static final long i = 102400;
    private boolean A;
    private boolean B;
    private long C;
    private long D;
    private final Cache j;
    private final h k;
    private final h l;
    private final h m;
    @Nullable
    private final a n;
    private final boolean o;
    private final boolean p;
    private final boolean q;
    private h r;
    private boolean s;
    private Uri t;
    private Uri u;
    private int v;
    private String w;
    private long x;
    private long y;
    private d z;

    @Retention(RetentionPolicy.SOURCE)
    public @interface CacheIgnoredReason {
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface Flags {
    }

    public interface a {
        void a(int i);

        void b(long j, long j2);
    }

    public CacheDataSource(Cache cache, h hVar) {
        this(cache, hVar, 0, 2097152);
    }

    private void e() throws IOException {
        h hVar = this.r;
        if (hVar != null) {
            try {
                hVar.close();
            } finally {
                this.r = null;
                this.s = false;
                d dVar = this.z;
                if (dVar != null) {
                    this.j.n(dVar);
                    this.z = null;
                }
            }
        }
    }

    private static Uri f(Cache cache, String str, Uri uri) {
        Uri b2 = j.b(cache.c(str));
        return b2 == null ? uri : b2;
    }

    private void g(IOException iOException) {
        if (j() || (iOException instanceof Cache.CacheException)) {
            this.A = true;
        }
    }

    private boolean h() {
        return this.r == this.m;
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:12:? */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r1v0, types: [java.io.IOException] */
    /* JADX WARN: Type inference failed for: r1v1, types: [java.lang.Throwable] */
    /* JADX WARN: Type inference failed for: r1v3, types: [java.lang.Throwable] */
    private static boolean i(IOException iOException) {
        while (iOException != 0) {
            if ((iOException instanceof DataSourceException) && ((DataSourceException) iOException).reason == 0) {
                return true;
            }
            iOException = iOException.getCause();
        }
        return false;
    }

    private boolean j() {
        return this.r == this.k;
    }

    private boolean k() {
        return !j();
    }

    private boolean l() {
        return this.r == this.l;
    }

    private void m() {
        a aVar = this.n;
        if (aVar != null && this.C > 0) {
            aVar.b(this.j.j(), this.C);
            this.C = 0;
        }
    }

    private void n(int i2) {
        a aVar = this.n;
        if (aVar != null) {
            aVar.a(i2);
        }
    }

    private void p(boolean z2) throws IOException {
        d dVar;
        DataSpec dataSpec;
        h hVar;
        long j2;
        if (this.B) {
            dVar = null;
        } else if (this.o) {
            try {
                dVar = this.j.m(this.w, this.x);
            } catch (InterruptedException unused) {
                Thread.currentThread().interrupt();
                throw new InterruptedIOException();
            }
        } else {
            dVar = this.j.o(this.w, this.x);
        }
        if (dVar == null) {
            hVar = this.m;
            dataSpec = new DataSpec(this.t, this.x, this.y, this.w, this.v);
        } else if (dVar.J0) {
            Uri fromFile = Uri.fromFile(dVar.K0);
            long j3 = this.x - dVar.f9437b;
            long j4 = dVar.I0 - j3;
            long j5 = this.y;
            if (j5 != -1) {
                j4 = Math.min(j4, j5);
            }
            dataSpec = new DataSpec(fromFile, this.x, j3, j4, this.w, this.v);
            hVar = this.k;
        } else {
            if (dVar.g()) {
                j2 = this.y;
            } else {
                j2 = dVar.I0;
                long j6 = this.y;
                if (j6 != -1) {
                    j2 = Math.min(j2, j6);
                }
            }
            DataSpec dataSpec2 = new DataSpec(this.t, this.x, j2, this.w, this.v);
            h hVar2 = this.l;
            if (hVar2 == null) {
                hVar2 = this.m;
                this.j.n(dVar);
                dVar = null;
            }
            dataSpec = dataSpec2;
            hVar = hVar2;
        }
        this.D = (this.B || hVar != this.m) ? Long.MAX_VALUE : this.x + i;
        if (z2) {
            com.google.android.exoplayer2.util.a.i(h());
            if (hVar != this.m) {
                try {
                    e();
                } catch (Throwable th) {
                    if (dVar.b()) {
                        this.j.n(dVar);
                    }
                    throw th;
                }
            } else {
                return;
            }
        }
        if (dVar != null && dVar.b()) {
            this.z = dVar;
        }
        this.r = hVar;
        this.s = dataSpec.g == -1;
        long o2 = hVar.o(dataSpec);
        k kVar = new k();
        if (this.s && o2 != -1) {
            this.y = o2;
            j.e(kVar, this.x + o2);
        }
        if (k()) {
            Uri uri = this.r.getUri();
            this.u = uri;
            if (true ^ this.t.equals(uri)) {
                j.f(kVar, this.u);
            } else {
                j.d(kVar);
            }
        }
        if (l()) {
            this.j.e(this.w, kVar);
        }
    }

    private void q() throws IOException {
        this.y = 0;
        if (l()) {
            this.j.b(this.w, this.x);
        }
    }

    private int r(DataSpec dataSpec) {
        if (!this.p || !this.A) {
            return (!this.q || dataSpec.g != -1) ? -1 : 1;
        }
        return 0;
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public void close() throws IOException {
        this.t = null;
        this.u = null;
        m();
        try {
            e();
        } catch (IOException e2) {
            g(e2);
            throw e2;
        }
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public Uri getUri() {
        return this.u;
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public long o(DataSpec dataSpec) throws IOException {
        try {
            String e2 = e.e(dataSpec);
            this.w = e2;
            Uri uri = dataSpec.f9390c;
            this.t = uri;
            this.u = f(this.j, e2, uri);
            this.v = dataSpec.i;
            this.x = dataSpec.f;
            int r2 = r(dataSpec);
            boolean z2 = r2 != -1;
            this.B = z2;
            if (z2) {
                n(r2);
            }
            long j2 = dataSpec.g;
            if (j2 == -1) {
                if (!this.B) {
                    long d2 = this.j.d(this.w);
                    this.y = d2;
                    if (d2 != -1) {
                        long j3 = d2 - dataSpec.f;
                        this.y = j3;
                        if (j3 <= 0) {
                            throw new DataSourceException(0);
                        }
                    }
                    p(false);
                    return this.y;
                }
            }
            this.y = j2;
            p(false);
            return this.y;
        } catch (IOException e3) {
            g(e3);
            throw e3;
        }
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public int read(byte[] bArr, int i2, int i3) throws IOException {
        if (i3 == 0) {
            return 0;
        }
        if (this.y == 0) {
            return -1;
        }
        try {
            if (this.x >= this.D) {
                p(true);
            }
            int read = this.r.read(bArr, i2, i3);
            if (read != -1) {
                if (j()) {
                    this.C += (long) read;
                }
                long j2 = (long) read;
                this.x += j2;
                long j3 = this.y;
                if (j3 != -1) {
                    this.y = j3 - j2;
                }
            } else if (this.s) {
                q();
            } else {
                long j4 = this.y;
                if (j4 <= 0) {
                    if (j4 == -1) {
                    }
                }
                e();
                p(false);
                return read(bArr, i2, i3);
            }
            return read;
        } catch (IOException e2) {
            if (!this.s || !i(e2)) {
                g(e2);
                throw e2;
            }
            q();
            return -1;
        }
    }

    public CacheDataSource(Cache cache, h hVar, int i2) {
        this(cache, hVar, i2, 2097152);
    }

    public CacheDataSource(Cache cache, h hVar, int i2, long j2) {
        this(cache, hVar, new FileDataSource(), new CacheDataSink(cache, j2), i2, null);
    }

    public CacheDataSource(Cache cache, h hVar, h hVar2, g gVar, int i2, @Nullable a aVar) {
        this.j = cache;
        this.k = hVar2;
        boolean z2 = false;
        this.o = (i2 & 1) != 0;
        this.p = (i2 & 2) != 0;
        this.q = (i2 & 4) != 0 ? true : z2;
        this.m = hVar;
        if (gVar != null) {
            this.l = new v(hVar, gVar);
        } else {
            this.l = null;
        }
        this.n = aVar;
    }
}
