package com.google.android.exoplayer2.upstream.cache;

import android.net.Uri;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.upstream.DataSpec;
import com.google.android.exoplayer2.upstream.cache.Cache;
import com.google.android.exoplayer2.upstream.h;
import com.google.android.exoplayer2.util.PriorityTaskManager;
import com.google.android.exoplayer2.util.b0;
import java.io.EOFException;
import java.io.IOException;
import java.util.concurrent.atomic.AtomicBoolean;

/* compiled from: CacheUtil */
public final class e {

    /* renamed from: a  reason: collision with root package name */
    public static final int f9438a = 131072;

    /* compiled from: CacheUtil */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        public volatile long f9439a;

        /* renamed from: b  reason: collision with root package name */
        public volatile long f9440b;

        /* renamed from: c  reason: collision with root package name */
        public volatile long f9441c = -1;

        public long a() {
            return this.f9439a + this.f9440b;
        }
    }

    private e() {
    }

    public static void a(DataSpec dataSpec, Cache cache, h hVar, @Nullable a aVar, @Nullable AtomicBoolean atomicBoolean) throws IOException, InterruptedException {
        b(dataSpec, cache, new CacheDataSource(cache, hVar), new byte[131072], null, 0, aVar, atomicBoolean, false);
    }

    public static void b(DataSpec dataSpec, Cache cache, CacheDataSource cacheDataSource, byte[] bArr, PriorityTaskManager priorityTaskManager, int i, @Nullable a aVar, @Nullable AtomicBoolean atomicBoolean, boolean z) throws IOException, InterruptedException {
        a aVar2 = aVar;
        com.google.android.exoplayer2.util.a.g(cacheDataSource);
        com.google.android.exoplayer2.util.a.g(bArr);
        if (aVar2 != null) {
            d(dataSpec, cache, aVar2);
        } else {
            aVar2 = new a();
        }
        String e2 = e(dataSpec);
        long j = dataSpec.f9392e;
        long j2 = dataSpec.g;
        if (j2 == -1) {
            j2 = cache.d(e2);
        }
        long j3 = j;
        long j4 = j2;
        while (true) {
            long j5 = 0;
            if (j4 == 0) {
                return;
            }
            if (atomicBoolean == null || !atomicBoolean.get()) {
                int i2 = (j4 > -1 ? 1 : (j4 == -1 ? 0 : -1));
                long h = cache.h(e2, j3, i2 != 0 ? j4 : Long.MAX_VALUE);
                if (h <= 0) {
                    long j6 = -h;
                    if (f(dataSpec, j3, j6, cacheDataSource, bArr, priorityTaskManager, i, aVar2) >= j6) {
                        h = j6;
                    } else if (z && i2 != 0) {
                        throw new EOFException();
                    } else {
                        return;
                    }
                }
                j3 += h;
                if (i2 != 0) {
                    j5 = h;
                }
                j4 -= j5;
            } else {
                throw new InterruptedException();
            }
        }
    }

    public static String c(Uri uri) {
        return uri.toString();
    }

    public static void d(DataSpec dataSpec, Cache cache, a aVar) {
        String e2 = e(dataSpec);
        long j = dataSpec.f9392e;
        long j2 = dataSpec.g;
        if (j2 == -1) {
            j2 = cache.d(e2);
        }
        aVar.f9441c = j2;
        aVar.f9439a = 0;
        aVar.f9440b = 0;
        long j3 = j;
        long j4 = j2;
        while (j4 != 0) {
            int i = (j4 > -1 ? 1 : (j4 == -1 ? 0 : -1));
            long h = cache.h(e2, j3, i != 0 ? j4 : Long.MAX_VALUE);
            if (h > 0) {
                aVar.f9439a += h;
            } else {
                h = -h;
                if (h == Long.MAX_VALUE) {
                    return;
                }
            }
            j3 += h;
            if (i == 0) {
                h = 0;
            }
            j4 -= h;
        }
    }

    public static String e(DataSpec dataSpec) {
        String str = dataSpec.h;
        return str != null ? str : c(dataSpec.f9390c);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:36:0x008d, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:37:0x008e, code lost:
        com.google.android.exoplayer2.util.b0.j(r21);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:38:0x0091, code lost:
        throw r0;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x008d A[ExcHandler: all (r0v1 'th' java.lang.Throwable A[CUSTOM_DECLARE]), Splitter:B:3:0x000d] */
    private static long f(DataSpec dataSpec, long j, long j2, h hVar, byte[] bArr, PriorityTaskManager priorityTaskManager, int i, a aVar) throws IOException, InterruptedException {
        DataSpec dataSpec2;
        DataSpec dataSpec3 = dataSpec;
        while (true) {
            if (priorityTaskManager != null) {
                priorityTaskManager.b(i);
            }
            try {
                if (!Thread.interrupted()) {
                    dataSpec2 = new DataSpec(dataSpec3.f9390c, dataSpec3.f9391d, j, (dataSpec3.f + j) - dataSpec3.f9392e, -1, dataSpec3.h, dataSpec3.i | 2);
                    long o = hVar.o(dataSpec2);
                    if (aVar.f9441c == -1 && o != -1) {
                        aVar.f9441c = dataSpec2.f9392e + o;
                    }
                    long j3 = 0;
                    while (true) {
                        if (j3 == j2) {
                            break;
                        } else if (!Thread.interrupted()) {
                            int read = hVar.read(bArr, 0, j2 != -1 ? (int) Math.min((long) bArr.length, j2 - j3) : bArr.length);
                            if (read != -1) {
                                long j4 = (long) read;
                                j3 += j4;
                                aVar.f9440b += j4;
                            } else if (aVar.f9441c == -1) {
                                aVar.f9441c = dataSpec2.f9392e + j3;
                            }
                        } else {
                            throw new InterruptedException();
                        }
                    }
                    b0.j(hVar);
                    return j3;
                }
                throw new InterruptedException();
            } catch (PriorityTaskManager.PriorityTooLowException unused) {
                dataSpec3 = dataSpec2;
            } catch (Throwable th) {
            }
            b0.j(hVar);
        }
    }

    public static void g(Cache cache, String str) {
        for (d dVar : cache.p(str)) {
            try {
                cache.f(dVar);
            } catch (Cache.CacheException unused) {
            }
        }
    }
}
