package com.google.android.exoplayer2.upstream.cache;

import android.util.SparseArray;
import com.google.android.exoplayer2.upstream.cache.Cache;
import com.google.android.exoplayer2.util.a;
import com.google.android.exoplayer2.util.b;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.t;
import java.io.BufferedInputStream;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.File;
import java.io.IOException;
import java.io.OutputStream;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.util.Collection;
import java.util.HashMap;
import java.util.Random;
import java.util.Set;
import javax.crypto.Cipher;
import javax.crypto.CipherInputStream;
import javax.crypto.CipherOutputStream;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;

/* compiled from: CachedContentIndex */
class g {

    /* renamed from: a  reason: collision with root package name */
    public static final String f9447a = "cached_content_index.exi";

    /* renamed from: b  reason: collision with root package name */
    private static final int f9448b = 2;

    /* renamed from: c  reason: collision with root package name */
    private static final int f9449c = 1;

    /* renamed from: d  reason: collision with root package name */
    private final HashMap<String, f> f9450d;

    /* renamed from: e  reason: collision with root package name */
    private final SparseArray<String> f9451e;
    private final b f;
    private final Cipher g;
    private final SecretKeySpec h;
    private final boolean i;
    private boolean j;
    private t k;

    public g(File file) {
        this(file, null);
    }

    private void a(f fVar) {
        this.f9450d.put(fVar.f9445d, fVar);
        this.f9451e.put(fVar.f9444c, fVar.f9445d);
    }

    private f b(String str) {
        f fVar = new f(k(this.f9451e), str);
        a(fVar);
        this.j = true;
        return fVar;
    }

    private static Cipher g() throws NoSuchPaddingException, NoSuchAlgorithmException {
        if (b0.f9571a == 18) {
            try {
                return Cipher.getInstance("AES/CBC/PKCS5PADDING", "BC");
            } catch (Throwable unused) {
            }
        }
        return Cipher.getInstance("AES/CBC/PKCS5PADDING");
    }

    public static int k(SparseArray<String> sparseArray) {
        int i2;
        int size = sparseArray.size();
        int i3 = 0;
        if (size == 0) {
            i2 = 0;
        } else {
            i2 = sparseArray.keyAt(size - 1) + 1;
        }
        if (i2 >= 0) {
            return i2;
        }
        while (i3 < size && i3 == sparseArray.keyAt(i3)) {
            i3++;
        }
        return i3;
    }

    /* JADX WARNING: Removed duplicated region for block: B:46:0x009b  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00a2  */
    private boolean o() {
        Throwable th;
        DataInputStream dataInputStream = null;
        try {
            BufferedInputStream bufferedInputStream = new BufferedInputStream(this.f.c());
            DataInputStream dataInputStream2 = new DataInputStream(bufferedInputStream);
            try {
                int readInt = dataInputStream2.readInt();
                if (readInt >= 0) {
                    if (readInt <= 2) {
                        if ((dataInputStream2.readInt() & 1) != 0) {
                            if (this.g == null) {
                                b0.k(dataInputStream2);
                                return false;
                            }
                            byte[] bArr = new byte[16];
                            dataInputStream2.readFully(bArr);
                            try {
                                this.g.init(2, this.h, new IvParameterSpec(bArr));
                                dataInputStream2 = new DataInputStream(new CipherInputStream(bufferedInputStream, this.g));
                            } catch (InvalidAlgorithmParameterException | InvalidKeyException e2) {
                                throw new IllegalStateException(e2);
                            }
                        } else if (this.i) {
                            this.j = true;
                        }
                        int readInt2 = dataInputStream2.readInt();
                        int i2 = 0;
                        for (int i3 = 0; i3 < readInt2; i3++) {
                            f j2 = f.j(readInt, dataInputStream2);
                            a(j2);
                            i2 += j2.g(readInt);
                        }
                        int readInt3 = dataInputStream2.readInt();
                        boolean z = dataInputStream2.read() == -1;
                        if (readInt3 != i2 || !z) {
                            b0.k(dataInputStream2);
                            return false;
                        }
                        b0.k(dataInputStream2);
                        return true;
                    }
                }
                b0.k(dataInputStream2);
                return false;
            } catch (IOException unused) {
                dataInputStream = dataInputStream2;
                if (dataInputStream != null) {
                }
                return false;
            } catch (Throwable th2) {
                th = th2;
                dataInputStream = dataInputStream2;
                if (dataInputStream != null) {
                }
                throw th;
            }
        } catch (IOException unused2) {
            if (dataInputStream != null) {
                b0.k(dataInputStream);
            }
            return false;
        } catch (Throwable th3) {
            th = th3;
            if (dataInputStream != null) {
                b0.k(dataInputStream);
            }
            throw th;
        }
    }

    private void r() throws Cache.CacheException {
        Throwable th;
        IOException e2;
        DataOutputStream dataOutputStream = null;
        try {
            OutputStream e3 = this.f.e();
            t tVar = this.k;
            if (tVar == null) {
                this.k = new t(e3);
            } else {
                tVar.a(e3);
            }
            DataOutputStream dataOutputStream2 = new DataOutputStream(this.k);
            try {
                dataOutputStream2.writeInt(2);
                int i2 = 0;
                dataOutputStream2.writeInt(this.i ? 1 : 0);
                if (this.i) {
                    byte[] bArr = new byte[16];
                    new Random().nextBytes(bArr);
                    dataOutputStream2.write(bArr);
                    try {
                        this.g.init(1, this.h, new IvParameterSpec(bArr));
                        dataOutputStream2.flush();
                        dataOutputStream2 = new DataOutputStream(new CipherOutputStream(this.k, this.g));
                    } catch (InvalidAlgorithmParameterException | InvalidKeyException e4) {
                        throw new IllegalStateException(e4);
                    }
                }
                dataOutputStream2.writeInt(this.f9450d.size());
                for (f fVar : this.f9450d.values()) {
                    fVar.n(dataOutputStream2);
                    i2 += fVar.g(2);
                }
                dataOutputStream2.writeInt(i2);
                this.f.b(dataOutputStream2);
                b0.k(null);
            } catch (IOException e5) {
                e2 = e5;
                dataOutputStream = dataOutputStream2;
                try {
                    throw new Cache.CacheException(e2);
                } catch (Throwable th2) {
                    th = th2;
                    b0.k(dataOutputStream);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                dataOutputStream = dataOutputStream2;
                b0.k(dataOutputStream);
                throw th;
            }
        } catch (IOException e6) {
            e2 = e6;
            throw new Cache.CacheException(e2);
        }
    }

    public void c(String str, k kVar) {
        if (l(str).b(kVar)) {
            this.j = true;
        }
    }

    public int d(String str) {
        return l(str).f9444c;
    }

    public f e(String str) {
        return this.f9450d.get(str);
    }

    public Collection<f> f() {
        return this.f9450d.values();
    }

    public i h(String str) {
        f e2 = e(str);
        return e2 != null ? e2.d() : l.f9462b;
    }

    public String i(int i2) {
        return this.f9451e.get(i2);
    }

    public Set<String> j() {
        return this.f9450d.keySet();
    }

    public f l(String str) {
        f fVar = this.f9450d.get(str);
        return fVar == null ? b(str) : fVar;
    }

    public void m() {
        a.i(!this.j);
        if (!o()) {
            this.f.a();
            this.f9450d.clear();
            this.f9451e.clear();
        }
    }

    public void n(String str) {
        f fVar = this.f9450d.get(str);
        if (fVar != null && fVar.h() && !fVar.i()) {
            this.f9450d.remove(str);
            this.f9451e.remove(fVar.f9444c);
            this.j = true;
        }
    }

    public void p() {
        int size = this.f9450d.size();
        String[] strArr = new String[size];
        this.f9450d.keySet().toArray(strArr);
        for (int i2 = 0; i2 < size; i2++) {
            n(strArr[i2]);
        }
    }

    public void q() throws Cache.CacheException {
        if (this.j) {
            r();
            this.j = false;
        }
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public g(File file, byte[] bArr) {
        this(file, bArr, bArr != null);
    }

    public g(File file, byte[] bArr, boolean z) {
        this.i = z;
        boolean z2 = true;
        if (bArr != null) {
            a.a(bArr.length != 16 ? false : z2);
            try {
                this.g = g();
                this.h = new SecretKeySpec(bArr, "AES");
            } catch (NoSuchAlgorithmException | NoSuchPaddingException e2) {
                throw new IllegalStateException(e2);
            }
        } else {
            a.i(!z);
            this.g = null;
            this.h = null;
        }
        this.f9450d = new HashMap<>();
        this.f9451e = new SparseArray<>();
        this.f = new b(new File(file, f9447a));
    }
}
