package com.google.android.exoplayer2.upstream.cache;

import android.util.Log;
import androidx.annotation.NonNull;
import com.google.android.exoplayer2.upstream.cache.Cache;
import java.util.Arrays;
import java.util.Iterator;
import java.util.TreeSet;

/* compiled from: CachedRegionTracker */
public final class h implements Cache.a {
    public static final int I0 = -2;

    /* renamed from: a  reason: collision with root package name */
    private static final String f9452a = "CachedRegionTracker";

    /* renamed from: b  reason: collision with root package name */
    public static final int f9453b = -1;
    private final Cache J0;
    private final String K0;
    private final com.google.android.exoplayer2.g0.a L0;
    private final TreeSet<a> M0 = new TreeSet<>();
    private final a N0 = new a(0, 0);

    /* access modifiers changed from: private */
    /* compiled from: CachedRegionTracker */
    public static class a implements Comparable<a> {
        public int I0;

        /* renamed from: a  reason: collision with root package name */
        public long f9454a;

        /* renamed from: b  reason: collision with root package name */
        public long f9455b;

        public a(long j, long j2) {
            this.f9454a = j;
            this.f9455b = j2;
        }

        /* renamed from: a */
        public int compareTo(@NonNull a aVar) {
            long j = this.f9454a;
            long j2 = aVar.f9454a;
            if (j < j2) {
                return -1;
            }
            return j == j2 ? 0 : 1;
        }
    }

    public h(Cache cache, String str, com.google.android.exoplayer2.g0.a aVar) {
        this.J0 = cache;
        this.K0 = str;
        this.L0 = aVar;
        synchronized (this) {
            Iterator<d> descendingIterator = cache.l(str, this).descendingIterator();
            while (descendingIterator.hasNext()) {
                g(descendingIterator.next());
            }
        }
    }

    private void g(d dVar) {
        long j = dVar.f9437b;
        a aVar = new a(j, dVar.I0 + j);
        a floor = this.M0.floor(aVar);
        a ceiling = this.M0.ceiling(aVar);
        boolean h = h(floor, aVar);
        if (h(aVar, ceiling)) {
            if (h) {
                floor.f9455b = ceiling.f9455b;
                floor.I0 = ceiling.I0;
            } else {
                aVar.f9455b = ceiling.f9455b;
                aVar.I0 = ceiling.I0;
                this.M0.add(aVar);
            }
            this.M0.remove(ceiling);
        } else if (h) {
            floor.f9455b = aVar.f9455b;
            int i = floor.I0;
            while (true) {
                com.google.android.exoplayer2.g0.a aVar2 = this.L0;
                if (i >= aVar2.f8403d - 1) {
                    break;
                }
                int i2 = i + 1;
                if (aVar2.f[i2] > floor.f9455b) {
                    break;
                }
                i = i2;
            }
            floor.I0 = i;
        } else {
            int binarySearch = Arrays.binarySearch(this.L0.f, aVar.f9455b);
            if (binarySearch < 0) {
                binarySearch = (-binarySearch) - 2;
            }
            aVar.I0 = binarySearch;
            this.M0.add(aVar);
        }
    }

    private boolean h(a aVar, a aVar2) {
        return (aVar == null || aVar2 == null || aVar.f9455b != aVar2.f9454a) ? false : true;
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache.a
    public synchronized void b(Cache cache, d dVar) {
        long j = dVar.f9437b;
        a aVar = new a(j, dVar.I0 + j);
        a floor = this.M0.floor(aVar);
        if (floor == null) {
            Log.e(f9452a, "Removed a span we were not aware of");
            return;
        }
        this.M0.remove(floor);
        long j2 = floor.f9454a;
        long j3 = aVar.f9454a;
        if (j2 < j3) {
            a aVar2 = new a(j2, j3);
            int binarySearch = Arrays.binarySearch(this.L0.f, aVar2.f9455b);
            if (binarySearch < 0) {
                binarySearch = (-binarySearch) - 2;
            }
            aVar2.I0 = binarySearch;
            this.M0.add(aVar2);
        }
        long j4 = floor.f9455b;
        long j5 = aVar.f9455b;
        if (j4 > j5) {
            a aVar3 = new a(j5 + 1, j4);
            aVar3.I0 = floor.I0;
            this.M0.add(aVar3);
        }
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache.a
    public void c(Cache cache, d dVar, d dVar2) {
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache.a
    public synchronized void d(Cache cache, d dVar) {
        g(dVar);
    }

    public synchronized int f(long j) {
        a aVar = this.N0;
        aVar.f9454a = j;
        a floor = this.M0.floor(aVar);
        if (floor != null) {
            long j2 = floor.f9455b;
            if (j <= j2) {
                int i = floor.I0;
                if (i != -1) {
                    com.google.android.exoplayer2.g0.a aVar2 = this.L0;
                    if (i == aVar2.f8403d - 1) {
                        if (j2 == aVar2.f[i] + ((long) aVar2.f8404e[i])) {
                            return -2;
                        }
                    }
                    return (int) ((aVar2.h[i] + ((aVar2.g[i] * (j2 - aVar2.f[i])) / ((long) aVar2.f8404e[i]))) / 1000);
                }
            }
        }
        return -1;
    }

    public void i() {
        this.J0.q(this.K0, this);
    }
}
