package com.google.android.exoplayer2.upstream.cache;

import android.os.ConditionVariable;
import android.util.Log;
import androidx.annotation.NonNull;
import com.google.android.exoplayer2.upstream.cache.Cache;
import java.io.File;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.NavigableSet;
import java.util.Set;
import java.util.TreeSet;

/* compiled from: SimpleCache */
public final class o implements Cache {

    /* renamed from: a  reason: collision with root package name */
    private static final String f9468a = "SimpleCache";

    /* renamed from: b  reason: collision with root package name */
    private static final HashSet<File> f9469b = new HashSet<>();

    /* renamed from: c  reason: collision with root package name */
    private static boolean f9470c;

    /* renamed from: d  reason: collision with root package name */
    private final File f9471d;

    /* renamed from: e  reason: collision with root package name */
    private final c f9472e;
    private final g f;
    private final HashMap<String, ArrayList<Cache.a>> g;
    private long h;
    private boolean i;

    /* compiled from: SimpleCache */
    class a extends Thread {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ConditionVariable f9473a;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        a(String str, ConditionVariable conditionVariable) {
            super(str);
            this.f9473a = conditionVariable;
        }

        public void run() {
            synchronized (o.this) {
                this.f9473a.open();
                o.this.w();
                o.this.f9472e.e();
            }
        }
    }

    public o(File file, c cVar) {
        this(file, cVar, null, false);
    }

    private void A(d dVar) {
        ArrayList<Cache.a> arrayList = this.g.get(dVar.f9436a);
        if (arrayList != null) {
            for (int size = arrayList.size() - 1; size >= 0; size--) {
                arrayList.get(size).b(this, dVar);
            }
        }
        this.f9472e.b(this, dVar);
    }

    private void B(p pVar, d dVar) {
        ArrayList<Cache.a> arrayList = this.g.get(pVar.f9436a);
        if (arrayList != null) {
            for (int size = arrayList.size() - 1; size >= 0; size--) {
                arrayList.get(size).c(this, pVar, dVar);
            }
        }
        this.f9472e.c(this, pVar, dVar);
    }

    private void C(d dVar, boolean z) throws Cache.CacheException {
        f e2 = this.f.e(dVar.f9436a);
        if (e2 != null && e2.k(dVar)) {
            this.h -= dVar.I0;
            if (z) {
                try {
                    this.f.n(e2.f9445d);
                    this.f.q();
                } catch (Throwable th) {
                    A(dVar);
                    throw th;
                }
            }
            A(dVar);
        }
    }

    private void D() throws Cache.CacheException {
        ArrayList arrayList = new ArrayList();
        for (f fVar : this.f.f()) {
            Iterator<p> it = fVar.f().iterator();
            while (it.hasNext()) {
                p next = it.next();
                if (!next.K0.exists()) {
                    arrayList.add(next);
                }
            }
        }
        for (int i2 = 0; i2 < arrayList.size(); i2++) {
            C((d) arrayList.get(i2), false);
        }
        this.f.p();
        this.f.q();
    }

    private static synchronized void G(File file) {
        synchronized (o.class) {
            if (!f9470c) {
                f9469b.remove(file.getAbsoluteFile());
            }
        }
    }

    private void t(p pVar) {
        this.f.l(pVar.f9436a).a(pVar);
        this.h += pVar.I0;
        z(pVar);
    }

    @Deprecated
    public static synchronized void u() {
        synchronized (o.class) {
            f9470c = true;
            f9469b.clear();
        }
    }

    private p v(String str, long j) throws Cache.CacheException {
        p e2;
        f e3 = this.f.e(str);
        if (e3 == null) {
            return p.l(str, j);
        }
        while (true) {
            e2 = e3.e(j);
            if (!e2.J0 || e2.K0.exists()) {
                return e2;
            }
            D();
        }
        return e2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void w() {
        if (!this.f9471d.exists()) {
            this.f9471d.mkdirs();
            return;
        }
        this.f.m();
        File[] listFiles = this.f9471d.listFiles();
        if (listFiles != null) {
            for (File file : listFiles) {
                if (!file.getName().equals(g.f9447a)) {
                    p i2 = file.length() > 0 ? p.i(file, this.f) : null;
                    if (i2 != null) {
                        t(i2);
                    } else {
                        file.delete();
                    }
                }
            }
            this.f.p();
            try {
                this.f.q();
            } catch (Cache.CacheException e2) {
                Log.e(f9468a, "Storing index file failed", e2);
            }
        }
    }

    public static synchronized boolean x(File file) {
        boolean contains;
        synchronized (o.class) {
            contains = f9469b.contains(file.getAbsoluteFile());
        }
        return contains;
    }

    private static synchronized boolean y(File file) {
        synchronized (o.class) {
            if (f9470c) {
                return true;
            }
            return f9469b.add(file.getAbsoluteFile());
        }
    }

    private void z(p pVar) {
        ArrayList<Cache.a> arrayList = this.g.get(pVar.f9436a);
        if (arrayList != null) {
            for (int size = arrayList.size() - 1; size >= 0; size--) {
                arrayList.get(size).d(this, pVar);
            }
        }
        this.f9472e.d(this, pVar);
    }

    /* renamed from: E */
    public synchronized p m(String str, long j) throws InterruptedException, Cache.CacheException {
        p F;
        while (true) {
            F = o(str, j);
            if (F == null) {
                wait();
            }
        }
        return F;
    }

    /* renamed from: F */
    public synchronized p o(String str, long j) throws Cache.CacheException {
        com.google.android.exoplayer2.util.a.i(!this.i);
        p v = v(str, j);
        if (v.J0) {
            p m = this.f.e(str).m(v);
            B(v, m);
            return m;
        }
        f l = this.f.l(str);
        if (l.i()) {
            return null;
        }
        l.l(true);
        return v;
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    public synchronized File a(String str, long j, long j2) throws Cache.CacheException {
        f e2;
        com.google.android.exoplayer2.util.a.i(!this.i);
        e2 = this.f.e(str);
        com.google.android.exoplayer2.util.a.g(e2);
        com.google.android.exoplayer2.util.a.i(e2.i());
        if (!this.f9471d.exists()) {
            this.f9471d.mkdirs();
            D();
        }
        this.f9472e.a(this, str, j, j2);
        return p.n(this.f9471d, e2.f9444c, j, System.currentTimeMillis());
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    public synchronized void b(String str, long j) throws Cache.CacheException {
        k kVar = new k();
        j.e(kVar, j);
        e(str, kVar);
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    public synchronized i c(String str) {
        com.google.android.exoplayer2.util.a.i(!this.i);
        return this.f.h(str);
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    public synchronized long d(String str) {
        return j.a(c(str));
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    public synchronized void e(String str, k kVar) throws Cache.CacheException {
        com.google.android.exoplayer2.util.a.i(!this.i);
        this.f.c(str, kVar);
        this.f.q();
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    public synchronized void f(d dVar) throws Cache.CacheException {
        com.google.android.exoplayer2.util.a.i(!this.i);
        C(dVar, true);
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    public synchronized void g(File file) throws Cache.CacheException {
        boolean z = true;
        com.google.android.exoplayer2.util.a.i(!this.i);
        p i2 = p.i(file, this.f);
        com.google.android.exoplayer2.util.a.i(i2 != null);
        f e2 = this.f.e(i2.f9436a);
        com.google.android.exoplayer2.util.a.g(e2);
        com.google.android.exoplayer2.util.a.i(e2.i());
        if (file.exists()) {
            if (file.length() == 0) {
                file.delete();
                return;
            }
            long a2 = j.a(e2.d());
            if (a2 != -1) {
                if (i2.f9437b + i2.I0 > a2) {
                    z = false;
                }
                com.google.android.exoplayer2.util.a.i(z);
            }
            t(i2);
            this.f.q();
            notifyAll();
        }
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    public synchronized long h(String str, long j, long j2) {
        f e2;
        com.google.android.exoplayer2.util.a.i(!this.i);
        e2 = this.f.e(str);
        return e2 != null ? e2.c(j, j2) : -j2;
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    public synchronized Set<String> i() {
        com.google.android.exoplayer2.util.a.i(!this.i);
        return new HashSet(this.f.j());
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    public synchronized long j() {
        com.google.android.exoplayer2.util.a.i(!this.i);
        return this.h;
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    public synchronized boolean k(String str, long j, long j2) {
        boolean z;
        z = true;
        com.google.android.exoplayer2.util.a.i(!this.i);
        f e2 = this.f.e(str);
        if (e2 == null || e2.c(j, j2) < j2) {
            z = false;
        }
        return z;
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    public synchronized NavigableSet<d> l(String str, Cache.a aVar) {
        com.google.android.exoplayer2.util.a.i(!this.i);
        ArrayList<Cache.a> arrayList = this.g.get(str);
        if (arrayList == null) {
            arrayList = new ArrayList<>();
            this.g.put(str, arrayList);
        }
        arrayList.add(aVar);
        return p(str);
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    public synchronized void n(d dVar) {
        com.google.android.exoplayer2.util.a.i(!this.i);
        f e2 = this.f.e(dVar.f9436a);
        com.google.android.exoplayer2.util.a.g(e2);
        com.google.android.exoplayer2.util.a.i(e2.i());
        e2.l(false);
        this.f.n(e2.f9445d);
        notifyAll();
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    @NonNull
    public synchronized NavigableSet<d> p(String str) {
        TreeSet treeSet;
        com.google.android.exoplayer2.util.a.i(!this.i);
        f e2 = this.f.e(str);
        if (e2 != null) {
            if (!e2.h()) {
                treeSet = new TreeSet((Collection) e2.f());
            }
        }
        treeSet = new TreeSet();
        return treeSet;
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    public synchronized void q(String str, Cache.a aVar) {
        if (!this.i) {
            ArrayList<Cache.a> arrayList = this.g.get(str);
            if (arrayList != null) {
                arrayList.remove(aVar);
                if (arrayList.isEmpty()) {
                    this.g.remove(str);
                }
            }
        }
    }

    @Override // com.google.android.exoplayer2.upstream.cache.Cache
    public synchronized void release() throws Cache.CacheException {
        if (!this.i) {
            this.g.clear();
            try {
                D();
            } finally {
                G(this.f9471d);
                this.i = true;
            }
        }
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public o(File file, c cVar, byte[] bArr) {
        this(file, cVar, bArr, bArr != null);
    }

    public o(File file, c cVar, byte[] bArr, boolean z) {
        this(file, cVar, new g(file, bArr, z));
    }

    o(File file, c cVar, g gVar) {
        if (y(file)) {
            this.f9471d = file;
            this.f9472e = cVar;
            this.f = gVar;
            this.g = new HashMap<>();
            ConditionVariable conditionVariable = new ConditionVariable();
            new a("SimpleCache.initialize()", conditionVariable).start();
            conditionVariable.block();
            return;
        }
        throw new IllegalStateException("Another SimpleCache instance uses the folder: " + file);
    }
}
