package com.google.android.exoplayer2.upstream;

import android.net.Uri;
import android.util.Base64;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.ParserException;
import com.google.android.exoplayer2.util.b0;
import java.io.IOException;
import java.net.URLDecoder;

/* compiled from: DataSchemeDataSource */
public final class f implements h {

    /* renamed from: b  reason: collision with root package name */
    public static final String f9480b = "data";

    /* renamed from: c  reason: collision with root package name */
    private DataSpec f9481c;

    /* renamed from: d  reason: collision with root package name */
    private int f9482d;

    /* renamed from: e  reason: collision with root package name */
    private byte[] f9483e;

    @Override // com.google.android.exoplayer2.upstream.h
    public void close() throws IOException {
        this.f9481c = null;
        this.f9483e = null;
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public Uri getUri() {
        DataSpec dataSpec = this.f9481c;
        if (dataSpec != null) {
            return dataSpec.f9390c;
        }
        return null;
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public long o(DataSpec dataSpec) throws IOException {
        this.f9481c = dataSpec;
        Uri uri = dataSpec.f9390c;
        String scheme = uri.getScheme();
        if ("data".equals(scheme)) {
            String[] q0 = b0.q0(uri.getSchemeSpecificPart(), ",");
            if (q0.length == 2) {
                String str = q0[1];
                if (q0[0].contains(";base64")) {
                    try {
                        this.f9483e = Base64.decode(str, 0);
                    } catch (IllegalArgumentException e2) {
                        throw new ParserException("Error while parsing Base64 encoded string: " + str, e2);
                    }
                } else {
                    this.f9483e = URLDecoder.decode(str, C.i).getBytes();
                }
                return (long) this.f9483e.length;
            }
            throw new ParserException("Unexpected URI format: " + uri);
        }
        throw new ParserException("Unsupported scheme: " + scheme);
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public int read(byte[] bArr, int i, int i2) {
        if (i2 == 0) {
            return 0;
        }
        int length = this.f9483e.length - this.f9482d;
        if (length == 0) {
            return -1;
        }
        int min = Math.min(i2, length);
        System.arraycopy(this.f9483e, this.f9482d, bArr, i, min);
        this.f9482d += min;
        return min;
    }
}
