package com.google.android.exoplayer2.upstream;

import android.content.Context;
import android.net.Uri;
import android.util.Log;
import com.google.android.exoplayer2.util.a;
import com.google.android.exoplayer2.util.b0;
import java.io.IOException;

/* compiled from: DefaultDataSource */
public final class l implements h {

    /* renamed from: b  reason: collision with root package name */
    private static final String f9503b = "DefaultDataSource";

    /* renamed from: c  reason: collision with root package name */
    private static final String f9504c = "asset";

    /* renamed from: d  reason: collision with root package name */
    private static final String f9505d = "content";

    /* renamed from: e  reason: collision with root package name */
    private static final String f9506e = "rtmp";
    private static final String f = "rawresource";
    private final Context g;
    private final w<? super h> h;
    private final h i;
    private h j;
    private h k;
    private h l;
    private h m;
    private h n;
    private h o;
    private h p;

    public l(Context context, w<? super h> wVar, String str, boolean z) {
        this(context, wVar, str, 8000, 8000, z);
    }

    private h e() {
        if (this.k == null) {
            this.k = new AssetDataSource(this.g, this.h);
        }
        return this.k;
    }

    private h f() {
        if (this.l == null) {
            this.l = new ContentDataSource(this.g, this.h);
        }
        return this.l;
    }

    private h g() {
        if (this.n == null) {
            this.n = new f();
        }
        return this.n;
    }

    private h h() {
        if (this.j == null) {
            this.j = new FileDataSource(this.h);
        }
        return this.j;
    }

    private h i() {
        if (this.o == null) {
            this.o = new RawResourceDataSource(this.g, this.h);
        }
        return this.o;
    }

    private h j() {
        if (this.m == null) {
            try {
                this.m = (h) Class.forName("com.google.android.exoplayer2.f0.a.c").getConstructor(new Class[0]).newInstance(new Object[0]);
            } catch (ClassNotFoundException unused) {
                Log.w(f9503b, "Attempting to play RTMP stream without depending on the RTMP extension");
            } catch (Exception e2) {
                throw new RuntimeException("Error instantiating RTMP extension", e2);
            }
            if (this.m == null) {
                this.m = this.i;
            }
        }
        return this.m;
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public void close() throws IOException {
        h hVar = this.p;
        if (hVar != null) {
            try {
                hVar.close();
            } finally {
                this.p = null;
            }
        }
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public Uri getUri() {
        h hVar = this.p;
        if (hVar == null) {
            return null;
        }
        return hVar.getUri();
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public long o(DataSpec dataSpec) throws IOException {
        a.i(this.p == null);
        String scheme = dataSpec.f9390c.getScheme();
        if (b0.Z(dataSpec.f9390c)) {
            if (dataSpec.f9390c.getPath().startsWith("/android_asset/")) {
                this.p = e();
            } else {
                this.p = h();
            }
        } else if (f9504c.equals(scheme)) {
            this.p = e();
        } else if ("content".equals(scheme)) {
            this.p = f();
        } else if (f9506e.equals(scheme)) {
            this.p = j();
        } else if ("data".equals(scheme)) {
            this.p = g();
        } else if ("rawresource".equals(scheme)) {
            this.p = i();
        } else {
            this.p = this.i;
        }
        return this.p.o(dataSpec);
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public int read(byte[] bArr, int i2, int i3) throws IOException {
        return this.p.read(bArr, i2, i3);
    }

    public l(Context context, w<? super h> wVar, String str, int i2, int i3, boolean z) {
        this(context, wVar, new n(str, null, wVar, i2, i3, z, null));
    }

    public l(Context context, w<? super h> wVar, h hVar) {
        this.g = context.getApplicationContext();
        this.h = wVar;
        this.i = (h) a.g(hVar);
    }
}
