package com.google.android.exoplayer2.upstream;

import android.net.Uri;
import android.text.TextUtils;
import android.util.Log;
import c.a.b.c.b;
import com.google.android.exoplayer2.upstream.HttpDataSource;
import com.google.android.exoplayer2.util.a;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.s;
import com.ibm.icu.impl.locale.f;
import com.lzy.okgo.model.HttpHeaders;
import java.io.EOFException;
import java.io.IOException;
import java.io.InputStream;
import java.io.InterruptedIOException;
import java.io.OutputStream;
import java.lang.reflect.Method;
import java.net.HttpURLConnection;
import java.net.NoRouteToHostException;
import java.net.ProtocolException;
import java.net.URL;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicReference;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: DefaultHttpDataSource */
public class n implements HttpDataSource {

    /* renamed from: b  reason: collision with root package name */
    public static final int f9510b = 8000;

    /* renamed from: c  reason: collision with root package name */
    public static final int f9511c = 8000;

    /* renamed from: d  reason: collision with root package name */
    private static final String f9512d = "DefaultHttpDataSource";

    /* renamed from: e  reason: collision with root package name */
    private static final int f9513e = 20;
    private static final long f = 2048;
    private static final Pattern g = Pattern.compile("^bytes (\\d+)-(\\d+)/(\\d+)$");
    private static final AtomicReference<byte[]> h = new AtomicReference<>();
    private final boolean i;
    private final int j;
    private final int k;
    private final String l;
    private final s<String> m;
    private final HttpDataSource.d n;
    private final HttpDataSource.d o;
    private final w<? super n> p;
    private DataSpec q;
    private HttpURLConnection r;
    private InputStream s;
    private boolean t;
    private long u;
    private long v;
    private long w;
    private long x;

    public n(String str, s<String> sVar) {
        this(str, sVar, null);
    }

    private void h() {
        HttpURLConnection httpURLConnection = this.r;
        if (httpURLConnection != null) {
            try {
                httpURLConnection.disconnect();
            } catch (Exception e2) {
                Log.e(f9512d, "Unexpected error while disconnecting", e2);
            }
            this.r = null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:9:0x003a  */
    private static long j(HttpURLConnection httpURLConnection) {
        long j2;
        String headerField;
        String headerField2 = httpURLConnection.getHeaderField(HttpHeaders.HEAD_KEY_CONTENT_LENGTH);
        if (!TextUtils.isEmpty(headerField2)) {
            try {
                j2 = Long.parseLong(headerField2);
            } catch (NumberFormatException unused) {
                Log.e(f9512d, "Unexpected Content-Length [" + headerField2 + "]");
            }
            headerField = httpURLConnection.getHeaderField(HttpHeaders.HEAD_KEY_CONTENT_RANGE);
            if (!TextUtils.isEmpty(headerField)) {
                return j2;
            }
            Matcher matcher = g.matcher(headerField);
            if (!matcher.find()) {
                return j2;
            }
            try {
                long parseLong = (Long.parseLong(matcher.group(2)) - Long.parseLong(matcher.group(1))) + 1;
                if (j2 < 0) {
                    return parseLong;
                }
                if (j2 == parseLong) {
                    return j2;
                }
                Log.w(f9512d, "Inconsistent headers [" + headerField2 + "] [" + headerField + "]");
                return Math.max(j2, parseLong);
            } catch (NumberFormatException unused2) {
                Log.e(f9512d, "Unexpected Content-Range [" + headerField + "]");
                return j2;
            }
        }
        j2 = -1;
        headerField = httpURLConnection.getHeaderField(HttpHeaders.HEAD_KEY_CONTENT_RANGE);
        if (!TextUtils.isEmpty(headerField)) {
        }
    }

    private static URL k(URL url, String str) throws IOException {
        if (str != null) {
            URL url2 = new URL(url, str);
            String protocol = url2.getProtocol();
            if (b.f4999a.equals(protocol) || "http".equals(protocol)) {
                return url2;
            }
            throw new ProtocolException("Unsupported protocol redirect: " + protocol);
        }
        throw new ProtocolException("Null location redirect");
    }

    private HttpURLConnection l(DataSpec dataSpec) throws IOException {
        HttpURLConnection m2;
        URL url = new URL(dataSpec.f9390c.toString());
        byte[] bArr = dataSpec.f9391d;
        long j2 = dataSpec.f;
        long j3 = dataSpec.g;
        boolean a2 = dataSpec.a(1);
        if (!this.i) {
            return m(url, bArr, j2, j3, a2, true);
        }
        int i2 = 0;
        while (true) {
            int i3 = i2 + 1;
            if (i2 <= 20) {
                m2 = m(url, bArr, j2, j3, a2, false);
                int responseCode = m2.getResponseCode();
                if (responseCode == 300 || responseCode == 301 || responseCode == 302 || responseCode == 303 || (bArr == null && (responseCode == 307 || responseCode == 308))) {
                    bArr = null;
                    String headerField = m2.getHeaderField(HttpHeaders.HEAD_KEY_LOCATION);
                    m2.disconnect();
                    url = k(url, headerField);
                    i2 = i3;
                    j2 = j2;
                }
            } else {
                throw new NoRouteToHostException("Too many redirects: " + i3);
            }
        }
        return m2;
    }

    private HttpURLConnection m(URL url, byte[] bArr, long j2, long j3, boolean z, boolean z2) throws IOException {
        HttpURLConnection httpURLConnection = (HttpURLConnection) url.openConnection();
        httpURLConnection.setConnectTimeout(this.j);
        httpURLConnection.setReadTimeout(this.k);
        HttpDataSource.d dVar = this.n;
        if (dVar != null) {
            for (Map.Entry<String, String> entry : dVar.c().entrySet()) {
                httpURLConnection.setRequestProperty(entry.getKey(), entry.getValue());
            }
        }
        for (Map.Entry<String, String> entry2 : this.o.c().entrySet()) {
            httpURLConnection.setRequestProperty(entry2.getKey(), entry2.getValue());
        }
        if (!(j2 == 0 && j3 == -1)) {
            String str = "bytes=" + j2 + f.f14027b;
            if (j3 != -1) {
                str = str + ((j2 + j3) - 1);
            }
            httpURLConnection.setRequestProperty(HttpHeaders.HEAD_KEY_RANGE, str);
        }
        httpURLConnection.setRequestProperty(HttpHeaders.HEAD_KEY_USER_AGENT, this.l);
        if (!z) {
            httpURLConnection.setRequestProperty(HttpHeaders.HEAD_KEY_ACCEPT_ENCODING, "identity");
        }
        httpURLConnection.setInstanceFollowRedirects(z2);
        httpURLConnection.setDoOutput(bArr != null);
        if (bArr != null) {
            httpURLConnection.setRequestMethod("POST");
            if (bArr.length == 0) {
                httpURLConnection.connect();
            } else {
                httpURLConnection.setFixedLengthStreamingMode(bArr.length);
                httpURLConnection.connect();
                OutputStream outputStream = httpURLConnection.getOutputStream();
                outputStream.write(bArr);
                outputStream.close();
            }
        } else {
            httpURLConnection.connect();
        }
        return httpURLConnection;
    }

    private static void n(HttpURLConnection httpURLConnection, long j2) {
        int i2 = b0.f9571a;
        if (i2 == 19 || i2 == 20) {
            try {
                InputStream inputStream = httpURLConnection.getInputStream();
                if (j2 == -1) {
                    if (inputStream.read() == -1) {
                        return;
                    }
                } else if (j2 <= 2048) {
                    return;
                }
                String name = inputStream.getClass().getName();
                if ("com.android.okhttp.internal.http.HttpTransport$ChunkedInputStream".equals(name) || "com.android.okhttp.internal.http.HttpTransport$FixedLengthInputStream".equals(name)) {
                    Method declaredMethod = inputStream.getClass().getSuperclass().getDeclaredMethod("unexpectedEndOfInput", new Class[0]);
                    declaredMethod.setAccessible(true);
                    declaredMethod.invoke(inputStream, new Object[0]);
                }
            } catch (Exception unused) {
            }
        }
    }

    private int p(byte[] bArr, int i2, int i3) throws IOException {
        if (i3 == 0) {
            return 0;
        }
        long j2 = this.v;
        if (j2 != -1) {
            long j3 = j2 - this.x;
            if (j3 == 0) {
                return -1;
            }
            i3 = (int) Math.min((long) i3, j3);
        }
        int read = this.s.read(bArr, i2, i3);
        if (read != -1) {
            this.x += (long) read;
            w<? super n> wVar = this.p;
            if (wVar != null) {
                wVar.a(this, read);
            }
            return read;
        } else if (this.v == -1) {
            return -1;
        } else {
            throw new EOFException();
        }
    }

    private void q() throws IOException {
        if (this.w != this.u) {
            byte[] andSet = h.getAndSet(null);
            if (andSet == null) {
                andSet = new byte[4096];
            }
            while (true) {
                long j2 = this.w;
                long j3 = this.u;
                if (j2 != j3) {
                    int read = this.s.read(andSet, 0, (int) Math.min(j3 - j2, (long) andSet.length));
                    if (Thread.currentThread().isInterrupted()) {
                        throw new InterruptedIOException();
                    } else if (read != -1) {
                        this.w += (long) read;
                        w<? super n> wVar = this.p;
                        if (wVar != null) {
                            wVar.a(this, read);
                        }
                    } else {
                        throw new EOFException();
                    }
                } else {
                    h.set(andSet);
                    return;
                }
            }
        }
    }

    @Override // com.google.android.exoplayer2.upstream.HttpDataSource
    public void a(String str, String str2) {
        a.g(str);
        a.g(str2);
        this.o.e(str, str2);
    }

    @Override // com.google.android.exoplayer2.upstream.HttpDataSource
    public Map<String, List<String>> b() {
        HttpURLConnection httpURLConnection = this.r;
        if (httpURLConnection == null) {
            return null;
        }
        return httpURLConnection.getHeaderFields();
    }

    @Override // com.google.android.exoplayer2.upstream.HttpDataSource
    public void c() {
        this.o.a();
    }

    @Override // com.google.android.exoplayer2.upstream.h, com.google.android.exoplayer2.upstream.HttpDataSource
    public void close() throws HttpDataSource.HttpDataSourceException {
        boolean z;
        try {
            if (this.s != null) {
                n(this.r, f());
                try {
                    this.s.close();
                } catch (IOException e2) {
                    throw new HttpDataSource.HttpDataSourceException(e2, this.q, 3);
                }
            }
            if (!z) {
                return;
            }
        } finally {
            this.s = null;
            h();
            if (this.t) {
                this.t = false;
                w<? super n> wVar = this.p;
                if (wVar != null) {
                    wVar.b(this);
                }
            }
        }
    }

    @Override // com.google.android.exoplayer2.upstream.HttpDataSource
    public void d(String str) {
        a.g(str);
        this.o.d(str);
    }

    /* access modifiers changed from: protected */
    public final long e() {
        return this.x;
    }

    /* access modifiers changed from: protected */
    public final long f() {
        long j2 = this.v;
        return j2 == -1 ? j2 : j2 - this.x;
    }

    /* access modifiers changed from: protected */
    public final long g() {
        return this.w;
    }

    @Override // com.google.android.exoplayer2.upstream.h
    public Uri getUri() {
        HttpURLConnection httpURLConnection = this.r;
        if (httpURLConnection == null) {
            return null;
        }
        return Uri.parse(httpURLConnection.getURL().toString());
    }

    /* access modifiers changed from: protected */
    public final HttpURLConnection i() {
        return this.r;
    }

    @Override // com.google.android.exoplayer2.upstream.h, com.google.android.exoplayer2.upstream.HttpDataSource
    public long o(DataSpec dataSpec) throws HttpDataSource.HttpDataSourceException {
        this.q = dataSpec;
        long j2 = 0;
        this.x = 0;
        this.w = 0;
        try {
            HttpURLConnection l2 = l(dataSpec);
            this.r = l2;
            try {
                int responseCode = l2.getResponseCode();
                if (responseCode < 200 || responseCode > 299) {
                    Map<String, List<String>> headerFields = this.r.getHeaderFields();
                    h();
                    HttpDataSource.InvalidResponseCodeException invalidResponseCodeException = new HttpDataSource.InvalidResponseCodeException(responseCode, headerFields, dataSpec);
                    if (responseCode == 416) {
                        invalidResponseCodeException.initCause(new DataSourceException(0));
                    }
                    throw invalidResponseCodeException;
                }
                String contentType = this.r.getContentType();
                s<String> sVar = this.m;
                if (sVar == null || sVar.a(contentType)) {
                    if (responseCode == 200) {
                        long j3 = dataSpec.f;
                        if (j3 != 0) {
                            j2 = j3;
                        }
                    }
                    this.u = j2;
                    if (!dataSpec.a(1)) {
                        long j4 = dataSpec.g;
                        long j5 = -1;
                        if (j4 != -1) {
                            this.v = j4;
                        } else {
                            long j6 = j(this.r);
                            if (j6 != -1) {
                                j5 = j6 - this.u;
                            }
                            this.v = j5;
                        }
                    } else {
                        this.v = dataSpec.g;
                    }
                    try {
                        this.s = this.r.getInputStream();
                        this.t = true;
                        w<? super n> wVar = this.p;
                        if (wVar != null) {
                            wVar.c(this, dataSpec);
                        }
                        return this.v;
                    } catch (IOException e2) {
                        h();
                        throw new HttpDataSource.HttpDataSourceException(e2, dataSpec, 1);
                    }
                } else {
                    h();
                    throw new HttpDataSource.InvalidContentTypeException(contentType, dataSpec);
                }
            } catch (IOException e3) {
                h();
                throw new HttpDataSource.HttpDataSourceException("Unable to connect to " + dataSpec.f9390c.toString(), e3, dataSpec, 1);
            }
        } catch (IOException e4) {
            throw new HttpDataSource.HttpDataSourceException("Unable to connect to " + dataSpec.f9390c.toString(), e4, dataSpec, 1);
        }
    }

    @Override // com.google.android.exoplayer2.upstream.h, com.google.android.exoplayer2.upstream.HttpDataSource
    public int read(byte[] bArr, int i2, int i3) throws HttpDataSource.HttpDataSourceException {
        try {
            q();
            return p(bArr, i2, i3);
        } catch (IOException e2) {
            throw new HttpDataSource.HttpDataSourceException(e2, this.q, 2);
        }
    }

    public n(String str, s<String> sVar, w<? super n> wVar) {
        this(str, sVar, wVar, 8000, 8000);
    }

    public n(String str, s<String> sVar, w<? super n> wVar, int i2, int i3) {
        this(str, sVar, wVar, i2, i3, false, null);
    }

    public n(String str, s<String> sVar, w<? super n> wVar, int i2, int i3, boolean z, HttpDataSource.d dVar) {
        this.l = a.e(str);
        this.m = sVar;
        this.p = wVar;
        this.o = new HttpDataSource.d();
        this.j = i2;
        this.k = i3;
        this.i = z;
        this.n = dVar;
    }
}
