package com.google.android.exoplayer2.util;

import java.io.IOException;
import java.util.Collections;
import java.util.PriorityQueue;

public final class PriorityTaskManager {

    /* renamed from: a  reason: collision with root package name */
    private final Object f9555a = new Object();

    /* renamed from: b  reason: collision with root package name */
    private final PriorityQueue<Integer> f9556b = new PriorityQueue<>(10, Collections.reverseOrder());

    /* renamed from: c  reason: collision with root package name */
    private int f9557c = Integer.MIN_VALUE;

    public static class PriorityTooLowException extends IOException {
        public PriorityTooLowException(int i, int i2) {
            super("Priority too low [priority=" + i + ", highest=" + i2 + "]");
        }
    }

    public void a(int i) {
        synchronized (this.f9555a) {
            this.f9556b.add(Integer.valueOf(i));
            this.f9557c = Math.max(this.f9557c, i);
        }
    }

    public void b(int i) throws InterruptedException {
        synchronized (this.f9555a) {
            while (this.f9557c != i) {
                this.f9555a.wait();
            }
        }
    }

    public boolean c(int i) {
        boolean z;
        synchronized (this.f9555a) {
            z = this.f9557c == i;
        }
        return z;
    }

    public void d(int i) throws PriorityTooLowException {
        synchronized (this.f9555a) {
            if (this.f9557c != i) {
                throw new PriorityTooLowException(i, this.f9557c);
            }
        }
    }

    public void e(int i) {
        synchronized (this.f9555a) {
            this.f9556b.remove(Integer.valueOf(i));
            this.f9557c = this.f9556b.isEmpty() ? Integer.MIN_VALUE : this.f9556b.peek().intValue();
            this.f9555a.notifyAll();
        }
    }
}
