package com.google.android.exoplayer2.util;

import android.util.Log;
import androidx.annotation.NonNull;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/* compiled from: AtomicFile */
public final class b {

    /* renamed from: a  reason: collision with root package name */
    private static final String f9566a = "AtomicFile";

    /* renamed from: b  reason: collision with root package name */
    private final File f9567b;

    /* renamed from: c  reason: collision with root package name */
    private final File f9568c;

    /* access modifiers changed from: private */
    /* compiled from: AtomicFile */
    public static final class a extends OutputStream {

        /* renamed from: a  reason: collision with root package name */
        private final FileOutputStream f9569a;

        /* renamed from: b  reason: collision with root package name */
        private boolean f9570b = false;

        public a(File file) throws FileNotFoundException {
            this.f9569a = new FileOutputStream(file);
        }

        @Override // java.io.OutputStream, java.io.Closeable, java.lang.AutoCloseable
        public void close() throws IOException {
            if (!this.f9570b) {
                this.f9570b = true;
                flush();
                try {
                    this.f9569a.getFD().sync();
                } catch (IOException e2) {
                    Log.w(b.f9566a, "Failed to sync file descriptor:", e2);
                }
                this.f9569a.close();
            }
        }

        @Override // java.io.OutputStream, java.io.Flushable
        public void flush() throws IOException {
            this.f9569a.flush();
        }

        @Override // java.io.OutputStream
        public void write(int i) throws IOException {
            this.f9569a.write(i);
        }

        @Override // java.io.OutputStream
        public void write(@NonNull byte[] bArr) throws IOException {
            this.f9569a.write(bArr);
        }

        @Override // java.io.OutputStream
        public void write(@NonNull byte[] bArr, int i, int i2) throws IOException {
            this.f9569a.write(bArr, i, i2);
        }
    }

    public b(File file) {
        this.f9567b = file;
        this.f9568c = new File(file.getPath() + ".bak");
    }

    private void d() {
        if (this.f9568c.exists()) {
            this.f9567b.delete();
            this.f9568c.renameTo(this.f9567b);
        }
    }

    public void a() {
        this.f9567b.delete();
        this.f9568c.delete();
    }

    public void b(OutputStream outputStream) throws IOException {
        outputStream.close();
        this.f9568c.delete();
    }

    public InputStream c() throws FileNotFoundException {
        d();
        return new FileInputStream(this.f9567b);
    }

    public OutputStream e() throws IOException {
        if (this.f9567b.exists()) {
            if (this.f9568c.exists()) {
                this.f9567b.delete();
            } else if (!this.f9567b.renameTo(this.f9568c)) {
                Log.w(f9566a, "Couldn't rename file " + this.f9567b + " to backup file " + this.f9568c);
            }
        }
        try {
            return new a(this.f9567b);
        } catch (FileNotFoundException e2) {
            if (this.f9567b.getParentFile().mkdirs()) {
                try {
                    return new a(this.f9567b);
                } catch (FileNotFoundException e3) {
                    throw new IOException("Couldn't create " + this.f9567b, e3);
                }
            } else {
                throw new IOException("Couldn't create directory " + this.f9567b, e2);
            }
        }
    }
}
