package com.google.android.exoplayer2.util;

import android.net.NetworkInfo;
import android.os.SystemClock;
import android.util.Log;
import android.view.Surface;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.ExoPlaybackException;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.c0;
import com.google.android.exoplayer2.d0.b;
import com.google.android.exoplayer2.metadata.Metadata;
import com.google.android.exoplayer2.source.TrackGroup;
import com.google.android.exoplayer2.source.TrackGroupArray;
import com.google.android.exoplayer2.source.t;
import com.google.android.exoplayer2.trackselection.d;
import com.google.android.exoplayer2.trackselection.f;
import com.google.android.exoplayer2.trackselection.g;
import com.google.android.exoplayer2.u;
import com.ibm.icu.impl.units.e;
import java.io.IOException;
import java.text.NumberFormat;
import java.util.Locale;

/* compiled from: EventLogger */
public class h implements b {
    private static final NumberFormat I0;

    /* renamed from: a  reason: collision with root package name */
    private static final String f9589a = "EventLogger";

    /* renamed from: b  reason: collision with root package name */
    private static final int f9590b = 3;
    @Nullable
    private final d J0;
    private final c0.c K0 = new c0.c();
    private final c0.b L0 = new c0.b();
    private final long M0 = SystemClock.elapsedRealtime();

    static {
        NumberFormat instance = NumberFormat.getInstance(Locale.US);
        I0 = instance;
        instance.setMinimumFractionDigits(2);
        instance.setMaximumFractionDigits(2);
        instance.setGroupingUsed(false);
    }

    public h(@Nullable d dVar) {
        this.J0 = dVar;
    }

    private void B(b.a aVar, String str, String str2) {
        D(d(aVar, str, str2));
    }

    private void E(b.a aVar, String str, String str2, Throwable th) {
        I(d(aVar, str, str2), th);
    }

    private void H(b.a aVar, String str, Throwable th) {
        I(c(aVar, str), th);
    }

    private void K(b.a aVar, String str, Exception exc) {
        E(aVar, "internalError", str, exc);
    }

    private void M(Metadata metadata, String str) {
        for (int i = 0; i < metadata.b(); i++) {
            D(str + metadata.a(i));
        }
    }

    private static String a(int i, int i2) {
        return i < 2 ? "N/A" : i2 != 0 ? i2 != 8 ? i2 != 16 ? "?" : "YES" : "YES_NOT_SEAMLESS" : "NO";
    }

    private static String b(int i) {
        return i != 0 ? i != 1 ? i != 2 ? i != 3 ? i != 4 ? "?" : "INTERNAL" : "AD_INSERTION" : "SEEK_ADJUSTMENT" : "SEEK" : "PERIOD_TRANSITION";
    }

    private String c(b.a aVar, String str) {
        return str + " [" + e(aVar) + "]";
    }

    private String d(b.a aVar, String str, String str2) {
        return str + " [" + e(aVar) + ", " + str2 + "]";
    }

    private String e(b.a aVar) {
        String str = "window=" + aVar.f8024c;
        if (aVar.f8025d != null) {
            str = str + ", period=" + aVar.f8025d.f9052a;
            if (aVar.f8025d.b()) {
                str = (str + ", adGroup=" + aVar.f8025d.f9053b) + ", ad=" + aVar.f8025d.f9054c;
            }
        }
        return l(aVar.f8022a - this.M0) + ", " + l(aVar.f) + ", " + str;
    }

    private static String g(int i) {
        return i != 0 ? i != 1 ? i != 2 ? i != 3 ? i != 4 ? "?" : "YES" : "NO_EXCEEDS_CAPABILITIES" : "NO_UNSUPPORTED_DRM" : "NO_UNSUPPORTED_TYPE" : "NO";
    }

    private static String h(int i) {
        return i != 0 ? i != 1 ? i != 2 ? "?" : "ALL" : "ONE" : "OFF";
    }

    private static String i(int i) {
        return i != 1 ? i != 2 ? i != 3 ? i != 4 ? "?" : "ENDED" : "READY" : "BUFFERING" : "IDLE";
    }

    private static String l(long j) {
        return j == C.f7870b ? "?" : I0.format((double) (((float) j) / 1000.0f));
    }

    private static String p(int i) {
        return i != 0 ? i != 1 ? i != 2 ? "?" : "DYNAMIC" : "RESET" : "PREPARED";
    }

    private static String q(f fVar, TrackGroup trackGroup, int i) {
        return s((fVar == null || fVar.a() != trackGroup || fVar.p(i) == -1) ? false : true);
    }

    private static String s(boolean z) {
        return z ? "[X]" : "[ ]";
    }

    private static String t(int i) {
        if (i == 0) {
            return e.c.j;
        }
        if (i == 1) {
            return "audio";
        }
        if (i == 2) {
            return "video";
        }
        if (i == 3) {
            return "text";
        }
        if (i == 4) {
            return com.google.android.exoplayer2.text.ttml.b.l;
        }
        if (i == 5) {
            return "none";
        }
        if (i < 10000) {
            return "?";
        }
        return "custom (" + i + ")";
    }

    private void v(b.a aVar, String str) {
        D(c(aVar, str));
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void A(b.a aVar, int i, long j, long j2) {
        E(aVar, "audioTrackUnderrun", i + ", " + j + ", " + j2 + "]", null);
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void C(b.a aVar, t.b bVar, t.c cVar, IOException iOException, boolean z) {
        K(aVar, "loadError", iOException);
    }

    /* access modifiers changed from: protected */
    public void D(String str) {
        Log.d(f9589a, str);
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void F(b.a aVar, @Nullable NetworkInfo networkInfo) {
        B(aVar, "networkTypeChanged", networkInfo == null ? "none" : networkInfo.toString());
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void G(b.a aVar, int i, com.google.android.exoplayer2.decoder.d dVar) {
        B(aVar, "decoderEnabled", t(i));
    }

    /* access modifiers changed from: protected */
    public void I(String str, Throwable th) {
        Log.e(f9589a, str, th);
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void J(b.a aVar, Metadata metadata) {
        D("metadata [" + e(aVar) + ", ");
        M(metadata, "  ");
        D("]");
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void L(b.a aVar, int i) {
        B(aVar, "repeatMode", h(i));
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void O(b.a aVar, boolean z, int i) {
        B(aVar, "state", z + ", " + i(i));
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void Q(b.a aVar) {
        v(aVar, "mediaPeriodReleased");
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void T(b.a aVar) {
        v(aVar, "drmKeysLoaded");
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void W(b.a aVar, TrackGroupArray trackGroupArray, g gVar) {
        String str;
        String str2;
        int i;
        d dVar = this.J0;
        d.a f = dVar != null ? dVar.f() : null;
        if (f == null) {
            B(aVar, "tracksChanged", "[]");
            return;
        }
        D("tracksChanged [" + e(aVar) + ", ");
        int c2 = f.c();
        int i2 = 0;
        while (true) {
            str = "  ]";
            str2 = " [";
            if (i2 >= c2) {
                break;
            }
            TrackGroupArray g = f.g(i2);
            f a2 = gVar.a(i2);
            if (g.f8718b > 0) {
                StringBuilder sb = new StringBuilder();
                i = c2;
                sb.append("  Renderer:");
                sb.append(i2);
                sb.append(str2);
                D(sb.toString());
                int i3 = 0;
                while (i3 < g.f8718b) {
                    TrackGroup a3 = g.a(i3);
                    String a4 = a(a3.f8715a, f.a(i2, i3, false));
                    D("    Group:" + i3 + ", adaptive_supported=" + a4 + str2);
                    int i4 = 0;
                    while (i4 < a3.f8715a) {
                        String q = q(a2, a3, i4);
                        String g2 = g(f.h(i2, i3, i4));
                        D("      " + q + " Track:" + i4 + ", " + Format.E(a3.a(i4)) + ", supported=" + g2);
                        i4++;
                        str2 = str2;
                    }
                    D("    ]");
                    i3++;
                    g = g;
                    str = str;
                }
                if (a2 != null) {
                    int i5 = 0;
                    while (true) {
                        if (i5 >= a2.length()) {
                            break;
                        }
                        Metadata metadata = a2.d(i5).L0;
                        if (metadata != null) {
                            D("    Metadata [");
                            M(metadata, "      ");
                            D("    ]");
                            break;
                        }
                        i5++;
                    }
                }
                D(str);
            } else {
                i = c2;
            }
            i2++;
            c2 = i;
        }
        String str3 = str2;
        TrackGroupArray l = f.l();
        if (l.f8718b > 0) {
            D("  Renderer:None [");
            int i6 = 0;
            while (i6 < l.f8718b) {
                D("    Group:" + i6 + str3);
                TrackGroup a5 = l.a(i6);
                for (int i7 = 0; i7 < a5.f8715a; i7++) {
                    String s = s(false);
                    String g3 = g(0);
                    D("      " + s + " Track:" + i7 + ", " + Format.E(a5.a(i7)) + ", supported=" + g3);
                }
                D("    ]");
                i6++;
                str3 = str3;
            }
            D(str);
        }
        D("]");
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void Z(b.a aVar, t.c cVar) {
        B(aVar, "downstreamFormatChanged", Format.E(cVar.f9109c));
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void b0(b.a aVar, boolean z) {
        B(aVar, "shuffleModeEnabled", Boolean.toString(z));
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void c0(b.a aVar, int i, long j) {
        B(aVar, "droppedFrames", Integer.toString(i));
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void e0(b.a aVar) {
        v(aVar, "mediaPeriodCreated");
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void f(b.a aVar, int i, long j, long j2) {
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void f0(b.a aVar, int i, int i2) {
        B(aVar, "viewportSizeChanged", i + ", " + i2);
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void g0(b.a aVar, int i) {
        int h = aVar.f8023b.h();
        int o = aVar.f8023b.o();
        D("timelineChanged [" + e(aVar) + ", periodCount=" + h + ", windowCount=" + o + ", reason=" + p(i));
        for (int i2 = 0; i2 < Math.min(h, 3); i2++) {
            aVar.f8023b.f(i2, this.L0);
            D("  period [" + l(this.L0.h()) + "]");
        }
        if (h > 3) {
            D("  ...");
        }
        for (int i3 = 0; i3 < Math.min(o, 3); i3++) {
            aVar.f8023b.l(i3, this.K0);
            D("  window [" + l(this.K0.c()) + ", " + this.K0.f8011d + ", " + this.K0.f8012e + "]");
        }
        if (o > 3) {
            D("  ...");
        }
        D("]");
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void h0(b.a aVar, t.b bVar, t.c cVar) {
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void i0(b.a aVar) {
        v(aVar, "seekStarted");
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void j(b.a aVar, int i, int i2, int i3, float f) {
        B(aVar, "videoSizeChanged", i + ", " + i2);
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void j0(b.a aVar, Surface surface) {
        B(aVar, "renderedFirstFrame", surface.toString());
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void k(b.a aVar, t.b bVar, t.c cVar) {
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void m(b.a aVar, t.b bVar, t.c cVar) {
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void n(b.a aVar, int i, Format format) {
        B(aVar, "decoderInputFormatChanged", t(i) + ", " + Format.E(format));
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void o(b.a aVar) {
        v(aVar, "seekProcessed");
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void p0(b.a aVar, int i, com.google.android.exoplayer2.decoder.d dVar) {
        B(aVar, "decoderDisabled", t(i));
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void q0(b.a aVar) {
        v(aVar, "mediaPeriodReadingStarted");
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void r(b.a aVar, int i, String str, long j) {
        B(aVar, "decoderInitialized", t(i) + ", " + str);
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void t0(b.a aVar, int i) {
        B(aVar, "audioSessionId", Integer.toString(i));
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void u(b.a aVar, int i) {
        B(aVar, "positionDiscontinuity", b(i));
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void u0(b.a aVar) {
        v(aVar, "drmKeysRemoved");
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void v0(b.a aVar, ExoPlaybackException exoPlaybackException) {
        H(aVar, "playerFailed", exoPlaybackException);
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void w(b.a aVar, Exception exc) {
        K(aVar, "drmSessionManagerError", exc);
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void x(b.a aVar) {
        v(aVar, "drmKeysRestored");
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void x0(b.a aVar, t.c cVar) {
        B(aVar, "upstreamDiscarded", Format.E(cVar.f9109c));
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void y(b.a aVar, u uVar) {
        B(aVar, "playbackParameters", b0.u("speed=%.2f, pitch=%.2f, skipSilence=%s", Float.valueOf(uVar.f9329b), Float.valueOf(uVar.f9330c), Boolean.valueOf(uVar.f9331d)));
    }

    @Override // com.google.android.exoplayer2.d0.b
    public void z(b.a aVar, boolean z) {
        B(aVar, "loading", Boolean.toString(z));
    }
}
