package com.google.android.exoplayer2.video;

import android.annotation.TargetApi;
import android.content.Context;
import android.graphics.SurfaceTexture;
import android.opengl.EGL14;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import android.util.Log;
import android.view.Surface;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.util.EGLSurfaceTexture;
import com.google.android.exoplayer2.util.b0;
import org.checkerframework.checker.nullness.qual.MonotonicNonNull;

@TargetApi(17)
public final class DummySurface extends Surface {
    private static final String I0 = "EGL_KHR_surfaceless_context";
    private static int J0 = 0;
    private static boolean K0 = false;

    /* renamed from: a  reason: collision with root package name */
    private static final String f9653a = "DummySurface";

    /* renamed from: b  reason: collision with root package name */
    private static final String f9654b = "EGL_EXT_protected_content";
    public final boolean L0;
    private final b M0;
    private boolean N0;

    /* access modifiers changed from: private */
    public static class b extends HandlerThread implements Handler.Callback {

        /* renamed from: a  reason: collision with root package name */
        private static final int f9655a = 1;

        /* renamed from: b  reason: collision with root package name */
        private static final int f9656b = 2;
        @MonotonicNonNull
        private EGLSurfaceTexture I0;
        @MonotonicNonNull
        private Handler J0;
        @Nullable
        private Error K0;
        @Nullable
        private RuntimeException L0;
        @Nullable
        private DummySurface M0;

        public b() {
            super("dummySurface");
        }

        private void b(int i) {
            com.google.android.exoplayer2.util.a.g(this.I0);
            this.I0.g(i);
            this.M0 = new DummySurface(this, this.I0.f(), i != 0);
        }

        private void d() {
            com.google.android.exoplayer2.util.a.g(this.I0);
            this.I0.h();
        }

        public DummySurface a(int i) {
            boolean z;
            start();
            this.J0 = new Handler(getLooper(), this);
            this.I0 = new EGLSurfaceTexture(this.J0);
            synchronized (this) {
                z = false;
                this.J0.obtainMessage(1, i, 0).sendToTarget();
                while (this.M0 == null && this.L0 == null && this.K0 == null) {
                    try {
                        wait();
                    } catch (InterruptedException unused) {
                        z = true;
                    }
                }
            }
            if (z) {
                Thread.currentThread().interrupt();
            }
            RuntimeException runtimeException = this.L0;
            if (runtimeException == null) {
                Error error = this.K0;
                if (error == null) {
                    return (DummySurface) com.google.android.exoplayer2.util.a.g(this.M0);
                }
                throw error;
            }
            throw runtimeException;
        }

        public void c() {
            com.google.android.exoplayer2.util.a.g(this.J0);
            this.J0.sendEmptyMessage(2);
        }

        public boolean handleMessage(Message message) {
            int i = message.what;
            if (i == 1) {
                try {
                    b(message.arg1);
                    synchronized (this) {
                        notify();
                    }
                } catch (RuntimeException e2) {
                    Log.e(DummySurface.f9653a, "Failed to initialize dummy surface", e2);
                    this.L0 = e2;
                    synchronized (this) {
                        notify();
                    }
                } catch (Error e3) {
                    try {
                        Log.e(DummySurface.f9653a, "Failed to initialize dummy surface", e3);
                        this.K0 = e3;
                        synchronized (this) {
                            notify();
                        }
                    } catch (Throwable th) {
                        synchronized (this) {
                            notify();
                            throw th;
                        }
                    }
                }
                return true;
            } else if (i != 2) {
                return true;
            } else {
                try {
                    d();
                } catch (Throwable th2) {
                    quit();
                    throw th2;
                }
                quit();
                return true;
            }
        }
    }

    private static void a() {
        if (b0.f9571a < 17) {
            throw new UnsupportedOperationException("Unsupported prior to API level 17");
        }
    }

    @TargetApi(24)
    private static int b(Context context) {
        String eglQueryString;
        int i = b0.f9571a;
        if (i < 26 && ("samsung".equals(b0.f9573c) || "XT1650".equals(b0.f9574d))) {
            return 0;
        }
        if ((i >= 26 || context.getPackageManager().hasSystemFeature("android.hardware.vr.high_performance")) && (eglQueryString = EGL14.eglQueryString(EGL14.eglGetDisplay(0), 12373)) != null && eglQueryString.contains(f9654b)) {
            return eglQueryString.contains(I0) ? 1 : 2;
        }
        return 0;
    }

    public static synchronized boolean c(Context context) {
        boolean z;
        synchronized (DummySurface.class) {
            z = true;
            if (!K0) {
                J0 = b0.f9571a < 24 ? 0 : b(context);
                K0 = true;
            }
            if (J0 == 0) {
                z = false;
            }
        }
        return z;
    }

    public static DummySurface d(Context context, boolean z) {
        a();
        int i = 0;
        com.google.android.exoplayer2.util.a.i(!z || c(context));
        b bVar = new b();
        if (z) {
            i = J0;
        }
        return bVar.a(i);
    }

    public void release() {
        super.release();
        synchronized (this.M0) {
            if (!this.N0) {
                this.M0.c();
                this.N0 = true;
            }
        }
    }

    private DummySurface(b bVar, SurfaceTexture surfaceTexture, boolean z) {
        super(surfaceTexture);
        this.M0 = bVar;
        this.L0 = z;
    }
}
