package com.google.android.exoplayer2.video;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.content.Context;
import android.graphics.Point;
import android.media.MediaCodec;
import android.media.MediaCrypto;
import android.media.MediaFormat;
import android.os.Handler;
import android.os.SystemClock;
import android.util.Log;
import android.view.Surface;
import androidx.annotation.CallSuper;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.work.t;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.ExoPlaybackException;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.decoder.DecoderInputBuffer;
import com.google.android.exoplayer2.decoder.d;
import com.google.android.exoplayer2.drm.DrmInitData;
import com.google.android.exoplayer2.drm.h;
import com.google.android.exoplayer2.mediacodec.MediaCodecRenderer;
import com.google.android.exoplayer2.mediacodec.MediaCodecUtil;
import com.google.android.exoplayer2.util.b0;
import com.google.android.exoplayer2.util.n;
import com.google.android.exoplayer2.util.z;
import com.google.android.exoplayer2.video.f;
import com.ibm.icu.impl.h2;
import com.ibm.icu.impl.z0;
import com.lzy.okgo.model.Progress;
import java.nio.ByteBuffer;
import kotlin.text.Typography;

@TargetApi(16)
/* compiled from: MediaCodecVideoRenderer */
public class c extends MediaCodecRenderer {
    private static final String S1 = "MediaCodecVideoRenderer";
    private static final String T1 = "crop-left";
    private static final String U1 = "crop-right";
    private static final String V1 = "crop-bottom";
    private static final String W1 = "crop-top";
    private static final int[] X1 = {1920, 1600, 1440, com.ibm.icu.impl.t2.b.n, 960, 854, 640, 540, 480};
    private static final int Y1 = 10;
    private static boolean Z1;
    private static boolean a2;
    private int A2;
    private float B2;
    private int C2;
    private int D2;
    private int E2;
    private float F2;
    private boolean G2;
    private int H2;
    C0229c I2;
    private long J2;
    private long K2;
    private int L2;
    private final Context b2;
    private final d c2;
    private final f.a d2;
    private final long e2;
    private final int f2;
    private final boolean g2;
    private final long[] h2;
    private final long[] i2;
    private b j2;
    private boolean k2;
    private Surface l2;
    private Surface m2;
    private int n2;
    private boolean o2;
    private long p2;
    private long q2;
    private long r2;
    private int s2;
    private int t2;
    private int u2;
    private long v2;
    private int w2;
    private float x2;
    private int y2;
    private int z2;

    /* access modifiers changed from: protected */
    /* compiled from: MediaCodecVideoRenderer */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        public final int f9664a;

        /* renamed from: b  reason: collision with root package name */
        public final int f9665b;

        /* renamed from: c  reason: collision with root package name */
        public final int f9666c;

        public b(int i, int i2, int i3) {
            this.f9664a = i;
            this.f9665b = i2;
            this.f9666c = i3;
        }
    }

    /* access modifiers changed from: private */
    @TargetApi(23)
    /* renamed from: com.google.android.exoplayer2.video.c$c  reason: collision with other inner class name */
    /* compiled from: MediaCodecVideoRenderer */
    public final class C0229c implements MediaCodec.OnFrameRenderedListener {
        public void onFrameRendered(@NonNull MediaCodec mediaCodec, long j, long j2) {
            c cVar = c.this;
            if (this == cVar.I2) {
                cVar.N0();
            }
        }

        private C0229c(MediaCodec mediaCodec) {
            mediaCodec.setOnFrameRenderedListener(this, new Handler());
        }
    }

    public c(Context context, com.google.android.exoplayer2.mediacodec.b bVar) {
        this(context, bVar, 0);
    }

    @TargetApi(21)
    private static void B0(MediaFormat mediaFormat, int i) {
        mediaFormat.setFeatureEnabled("tunneled-playback", true);
        mediaFormat.setInteger("audio-session-id", i);
    }

    private static boolean C0() {
        return b0.f9571a <= 22 && "foster".equals(b0.f9572b) && "NVIDIA".equals(b0.f9573c);
    }

    private static Point E0(com.google.android.exoplayer2.mediacodec.a aVar, Format format) throws MediaCodecUtil.DecoderQueryException {
        int i = format.T0;
        int i3 = format.S0;
        boolean z = i > i3;
        int i4 = z ? i : i3;
        if (z) {
            i = i3;
        }
        float f = ((float) i) / ((float) i4);
        int[] iArr = X1;
        for (int i5 : iArr) {
            int i6 = (int) (((float) i5) * f);
            if (i5 <= i4 || i6 <= i) {
                break;
            }
            if (b0.f9571a >= 21) {
                int i7 = z ? i6 : i5;
                if (!z) {
                    i5 = i6;
                }
                Point b3 = aVar.b(i7, i5);
                if (aVar.p(b3.x, b3.y, (double) format.U0)) {
                    return b3;
                }
            } else {
                int h = b0.h(i5, 16) * 16;
                int h3 = b0.h(i6, 16) * 16;
                if (h * h3 <= MediaCodecUtil.l()) {
                    int i8 = z ? h3 : h;
                    if (!z) {
                        h = h3;
                    }
                    return new Point(i8, h);
                }
            }
        }
        return null;
    }

    private static int G0(com.google.android.exoplayer2.mediacodec.a aVar, Format format) {
        if (format.O0 == -1) {
            return H0(aVar, format.N0, format.S0, format.T0);
        }
        int size = format.P0.size();
        int i = 0;
        for (int i3 = 0; i3 < size; i3++) {
            i += format.P0.get(i3).length;
        }
        return format.O0 + i;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    private static int H0(com.google.android.exoplayer2.mediacodec.a aVar, String str, int i, int i3) {
        char c3;
        int i4;
        if (i == -1 || i3 == -1) {
            return -1;
        }
        str.hashCode();
        int i5 = 4;
        switch (str.hashCode()) {
            case -1664118616:
                if (str.equals(n.g)) {
                    c3 = 0;
                    break;
                }
                c3 = 65535;
                break;
            case -1662541442:
                if (str.equals(n.i)) {
                    c3 = 1;
                    break;
                }
                c3 = 65535;
                break;
            case 1187890754:
                if (str.equals(n.l)) {
                    c3 = 2;
                    break;
                }
                c3 = 65535;
                break;
            case 1331836730:
                if (str.equals(n.h)) {
                    c3 = 3;
                    break;
                }
                c3 = 65535;
                break;
            case 1599127256:
                if (str.equals(n.j)) {
                    c3 = 4;
                    break;
                }
                c3 = 65535;
                break;
            case 1599127257:
                if (str.equals(n.k)) {
                    c3 = 5;
                    break;
                }
                c3 = 65535;
                break;
            default:
                c3 = 65535;
                break;
        }
        switch (c3) {
            case 0:
            case 2:
            case 4:
                i4 = i * i3;
                i5 = 2;
                break;
            case 1:
            case 5:
                i4 = i * i3;
                break;
            case 3:
                String str2 = b0.f9574d;
                if (!"BRAVIA 4K 2015".equals(str2) && (!"Amazon".equals(b0.f9573c) || (!"KFSOWI".equals(str2) && (!"AFTS".equals(str2) || !aVar.h)))) {
                    i4 = b0.h(i, 16) * b0.h(i3, 16) * 16 * 16;
                    i5 = 2;
                    break;
                } else {
                    return -1;
                }
                break;
            default:
                return -1;
        }
        return (i4 * 3) / (i5 * 2);
    }

    private static boolean J0(long j) {
        return j < -30000;
    }

    private static boolean K0(long j) {
        return j < -500000;
    }

    private void M0() {
        if (this.s2 > 0) {
            long elapsedRealtime = SystemClock.elapsedRealtime();
            this.d2.d(this.s2, elapsedRealtime - this.r2);
            this.s2 = 0;
            this.r2 = elapsedRealtime;
        }
    }

    private void O0() {
        int i = this.y2;
        if (i != -1 || this.z2 != -1) {
            if (this.C2 != i || this.D2 != this.z2 || this.E2 != this.A2 || this.F2 != this.B2) {
                this.d2.h(i, this.z2, this.A2, this.B2);
                this.C2 = this.y2;
                this.D2 = this.z2;
                this.E2 = this.A2;
                this.F2 = this.B2;
            }
        }
    }

    private void P0() {
        if (this.o2) {
            this.d2.g(this.l2);
        }
    }

    private void Q0() {
        int i = this.C2;
        if (i != -1 || this.D2 != -1) {
            this.d2.h(i, this.D2, this.E2, this.F2);
        }
    }

    private void T0() {
        this.q2 = this.e2 > 0 ? SystemClock.elapsedRealtime() + this.e2 : C.f7870b;
    }

    @TargetApi(23)
    private static void U0(MediaCodec mediaCodec, Surface surface) {
        mediaCodec.setOutputSurface(surface);
    }

    private void V0(Surface surface) throws ExoPlaybackException {
        if (surface == null) {
            Surface surface2 = this.m2;
            if (surface2 != null) {
                surface = surface2;
            } else {
                com.google.android.exoplayer2.mediacodec.a W = W();
                if (W != null && Z0(W)) {
                    surface = DummySurface.d(this.b2, W.h);
                    this.m2 = surface;
                }
            }
        }
        if (this.l2 != surface) {
            this.l2 = surface;
            int state = getState();
            if (state == 1 || state == 2) {
                MediaCodec U = U();
                if (b0.f9571a < 23 || U == null || surface == null || this.k2) {
                    n0();
                    d0();
                } else {
                    U0(U, surface);
                }
            }
            if (surface == null || surface == this.m2) {
                z0();
                y0();
                return;
            }
            Q0();
            y0();
            if (state == 2) {
                T0();
            }
        } else if (surface != null && surface != this.m2) {
            Q0();
            P0();
        }
    }

    private boolean Z0(com.google.android.exoplayer2.mediacodec.a aVar) {
        return b0.f9571a >= 23 && !this.G2 && !A0(aVar.f8556c) && (!aVar.h || DummySurface.c(this.b2));
    }

    private static boolean x0(boolean z, Format format, Format format2) {
        return format.N0.equals(format2.N0) && format.V0 == format2.V0 && (z || (format.S0 == format2.S0 && format.T0 == format2.T0)) && b0.b(format.Z0, format2.Z0);
    }

    private void y0() {
        MediaCodec U;
        this.o2 = false;
        if (b0.f9571a >= 23 && this.G2 && (U = U()) != null) {
            this.I2 = new C0229c(U);
        }
    }

    private void z0() {
        this.C2 = -1;
        this.D2 = -1;
        this.F2 = -1.0f;
        this.E2 = -1;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:383:0x05c8 A[ADDED_TO_REGION] */
    public boolean A0(String str) {
        char c3 = 27;
        char c4 = 0;
        if (b0.f9571a >= 27 || str.startsWith("OMX.google")) {
            return false;
        }
        synchronized (c.class) {
            if (!Z1) {
                String str2 = b0.f9572b;
                switch (str2.hashCode()) {
                    case -2144781245:
                        if (str2.equals("GIONEE_SWW1609")) {
                            c3 = z0.f14782a;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -2144781185:
                        if (str2.equals("GIONEE_SWW1627")) {
                            c3 = '(';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -2144781160:
                        if (str2.equals("GIONEE_SWW1631")) {
                            c3 = ')';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -2097309513:
                        if (str2.equals("K50a40")) {
                            c3 = '9';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -2022874474:
                        if (str2.equals("CP8676_I02")) {
                            c3 = 16;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1978993182:
                        if (str2.equals("NX541J")) {
                            c3 = 'E';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1978990237:
                        if (str2.equals("NX573J")) {
                            c3 = 'F';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1936688988:
                        if (str2.equals("PGN528")) {
                            c3 = 'P';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1936688066:
                        if (str2.equals("PGN610")) {
                            c3 = 'Q';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1936688065:
                        if (str2.equals("PGN611")) {
                            c3 = 'R';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1931988508:
                        if (str2.equals("AquaPowerM")) {
                            c3 = '\n';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1696512866:
                        if (str2.equals("XT1663")) {
                            c3 = 's';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1680025915:
                        if (str2.equals("ComioS1")) {
                            c3 = 15;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1615810839:
                        if (str2.equals("Phantom6")) {
                            c3 = 'S';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1554255044:
                        if (str2.equals("vernee_M5")) {
                            c3 = 'l';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1481772737:
                        if (str2.equals("panell_dl")) {
                            c3 = 'L';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1481772730:
                        if (str2.equals("panell_ds")) {
                            c3 = 'M';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1481772729:
                        if (str2.equals("panell_dt")) {
                            c3 = 'N';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1320080169:
                        if (str2.equals("GiONEE_GBL7319")) {
                            c3 = '%';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1217592143:
                        if (str2.equals("BRAVIA_ATV2")) {
                            c3 = '\r';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1180384755:
                        if (str2.equals("iris60")) {
                            c3 = '5';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1139198265:
                        if (str2.equals("Slate_Pro")) {
                            c3 = '`';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -1052835013:
                        if (str2.equals("namath")) {
                            c3 = 'C';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -993250464:
                        if (str2.equals("A10-70F")) {
                            c3 = 3;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -965403638:
                        if (str2.equals("s905x018")) {
                            c3 = 'b';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -958336948:
                        if (str2.equals("ELUGA_Ray_X")) {
                            c3 = com.alibaba.fastjson.parser.c.f5609e;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -879245230:
                        if (str2.equals("tcl_eu")) {
                            c3 = 'h';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -842500323:
                        if (str2.equals("nicklaus_f")) {
                            c3 = 'D';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -821392978:
                        if (str2.equals("A7000-a")) {
                            c3 = 6;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -797483286:
                        if (str2.equals("SVP-DTV15")) {
                            c3 = 'a';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -794946968:
                        if (str2.equals("watson")) {
                            c3 = 'm';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -788334647:
                        if (str2.equals("whyred")) {
                            c3 = 'n';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -782144577:
                        if (str2.equals("OnePlus5T")) {
                            c3 = 'G';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -575125681:
                        if (str2.equals("GiONEE_CBL7513")) {
                            c3 = '$';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -521118391:
                        if (str2.equals("GIONEE_GBL7360")) {
                            c3 = Typography.amp;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -430914369:
                        if (str2.equals("Pixi4-7_3G")) {
                            c3 = 'T';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -290434366:
                        if (str2.equals("taido_row")) {
                            c3 = 'c';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -282781963:
                        if (str2.equals("BLACK-1X")) {
                            c3 = '\f';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -277133239:
                        if (str2.equals("Z12_PRO")) {
                            c3 = 't';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -173639913:
                        if (str2.equals("ELUGA_A3_Pro")) {
                            c3 = 23;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case -56598463:
                        if (str2.equals("woods_fn")) {
                            c3 = 'p';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 2126:
                        if (str2.equals("C1")) {
                            c3 = 14;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 2564:
                        if (str2.equals("Q5")) {
                            c3 = z0.f14783b;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 2715:
                        if (str2.equals("V1")) {
                            c3 = h2.f13856d;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 2719:
                        if (str2.equals("V5")) {
                            c3 = 'k';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 3483:
                        if (str2.equals("mh")) {
                            c3 = '@';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 73405:
                        if (str2.equals("JGZ")) {
                            c3 = '8';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 75739:
                        if (str2.equals("M5c")) {
                            c3 = Typography.less;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 76779:
                        if (str2.equals("MX6")) {
                            c3 = 'B';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 78669:
                        if (str2.equals("P85")) {
                            c3 = 'J';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 79305:
                        if (str2.equals("PLE")) {
                            c3 = 'V';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 80618:
                        if (str2.equals("QX1")) {
                            c3 = '^';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 88274:
                        if (str2.equals("Z80")) {
                            c3 = 'u';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 98846:
                        if (str2.equals("cv1")) {
                            c3 = 19;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 98848:
                        if (str2.equals("cv3")) {
                            c3 = 20;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 99329:
                        if (str2.equals("deb")) {
                            c3 = 21;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 101481:
                        if (str2.equals("flo")) {
                            c3 = '#';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 1513190:
                        if (str2.equals("1601")) {
                            c3 = 0;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 1514184:
                        if (str2.equals("1713")) {
                            c3 = 1;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 1514185:
                        if (str2.equals("1714")) {
                            c3 = 2;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 2436959:
                        if (str2.equals("P681")) {
                            c3 = 'I';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 2463773:
                        if (str2.equals("Q350")) {
                            c3 = 'X';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 2464648:
                        if (str2.equals("Q427")) {
                            c3 = 'Z';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 2689555:
                        if (str2.equals("XE2X")) {
                            c3 = 'r';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 3351335:
                        if (str2.equals("mido")) {
                            c3 = 'A';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 3386211:
                        if (str2.equals("p212")) {
                            c3 = 'H';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 41325051:
                        if (str2.equals("MEIZU_M5")) {
                            c3 = '?';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 55178625:
                        if (str2.equals("Aura_Note_2")) {
                            c3 = 11;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 61542055:
                        if (str2.equals("A1601")) {
                            c3 = 4;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 65355429:
                        if (str2.equals("E5643")) {
                            c3 = 22;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 66214468:
                        if (str2.equals("F3111")) {
                            c3 = 28;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 66214470:
                        if (str2.equals("F3113")) {
                            c3 = 29;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 66214473:
                        if (str2.equals("F3116")) {
                            c3 = 30;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 66215429:
                        if (str2.equals("F3211")) {
                            c3 = 31;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 66215431:
                        if (str2.equals("F3213")) {
                            c3 = ' ';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 66215433:
                        if (str2.equals("F3215")) {
                            c3 = '!';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 66216390:
                        if (str2.equals("F3311")) {
                            c3 = Typography.quote;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 76402249:
                        if (str2.equals("PRO7S")) {
                            c3 = 'W';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 76404105:
                        if (str2.equals("Q4260")) {
                            c3 = 'Y';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 76404911:
                        if (str2.equals("Q4310")) {
                            c3 = '[';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 80963634:
                        if (str2.equals("V23GB")) {
                            c3 = 'j';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 82882791:
                        if (str2.equals("X3_HK")) {
                            c3 = 'q';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 102844228:
                        if (str2.equals("le_x6")) {
                            c3 = ':';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 165221241:
                        if (str2.equals("A2016a40")) {
                            c3 = 5;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 182191441:
                        if (str2.equals("CPY83_I00")) {
                            c3 = 18;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 245388979:
                        if (str2.equals("marino_f")) {
                            c3 = Typography.greater;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 287431619:
                        if (str2.equals("griffin")) {
                            c3 = '-';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 307593612:
                        if (str2.equals("A7010a48")) {
                            c3 = '\b';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 308517133:
                        if (str2.equals("A7020a48")) {
                            c3 = '\t';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 316215098:
                        if (str2.equals("TB3-730F")) {
                            c3 = 'd';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 316215116:
                        if (str2.equals("TB3-730X")) {
                            c3 = 'e';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 316246811:
                        if (str2.equals("TB3-850F")) {
                            c3 = 'f';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 316246818:
                        if (str2.equals("TB3-850M")) {
                            c3 = 'g';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 407160593:
                        if (str2.equals("Pixi5-10_4G")) {
                            c3 = 'U';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 507412548:
                        if (str2.equals("QM16XE_U")) {
                            c3 = ']';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 793982701:
                        if (str2.equals("GIONEE_WBL5708")) {
                            c3 = '*';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 794038622:
                        if (str2.equals("GIONEE_WBL7365")) {
                            c3 = '+';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 794040393:
                        if (str2.equals("GIONEE_WBL7519")) {
                            c3 = ',';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 835649806:
                        if (str2.equals("manning")) {
                            c3 = '=';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 917340916:
                        if (str2.equals("A7000plus")) {
                            c3 = 7;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 958008161:
                        if (str2.equals("j2xlteins")) {
                            c3 = '7';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 1060579533:
                        if (str2.equals("panell_d")) {
                            c3 = 'K';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 1150207623:
                        if (str2.equals("LS-5017")) {
                            c3 = ';';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 1176899427:
                        if (str2.equals("itel_S41")) {
                            c3 = '6';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 1280332038:
                        if (str2.equals("hwALE-H")) {
                            c3 = '/';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 1306947716:
                        if (str2.equals("EverStar_S")) {
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 1349174697:
                        if (str2.equals("htc_e56ml_dtul")) {
                            c3 = '.';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 1522194893:
                        if (str2.equals("woods_f")) {
                            c3 = 'o';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 1691543273:
                        if (str2.equals("CPH1609")) {
                            c3 = 17;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 1709443163:
                        if (str2.equals("iball8735_9806")) {
                            c3 = '3';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 1865889110:
                        if (str2.equals("santoni")) {
                            c3 = '_';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 1906253259:
                        if (str2.equals("PB2-670M")) {
                            c3 = 'O';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 1977196784:
                        if (str2.equals("Infinix-X572")) {
                            c3 = '4';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 2029784656:
                        if (str2.equals("HWBLN-H")) {
                            c3 = '0';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 2030379515:
                        if (str2.equals("HWCAM-H")) {
                            c3 = '1';
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 2047190025:
                        if (str2.equals("ELUGA_Note")) {
                            c3 = 24;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 2047252157:
                        if (str2.equals("ELUGA_Prim")) {
                            c3 = 25;
                            break;
                        }
                        c3 = 65535;
                        break;
                    case 2048319463:
                        if (str2.equals("HWVNS-H")) {
                            c3 = '2';
                            break;
                        }
                        c3 = 65535;
                        break;
                    default:
                        c3 = 65535;
                        break;
                }
                switch (c3) {
                    case 0:
                    case 1:
                    case 2:
                    case 3:
                    case 4:
                    case 5:
                    case 6:
                    case 7:
                    case '\b':
                    case '\t':
                    case '\n':
                    case 11:
                    case '\f':
                    case '\r':
                    case 14:
                    case 15:
                    case 16:
                    case 17:
                    case 18:
                    case 19:
                    case 20:
                    case 21:
                    case 22:
                    case 23:
                    case 24:
                    case 25:
                    case 26:
                    case 27:
                    case 28:
                    case 29:
                    case 30:
                    case 31:
                    case ' ':
                    case '!':
                    case '\"':
                    case '#':
                    case '$':
                    case '%':
                    case '&':
                    case '\'':
                    case '(':
                    case ')':
                    case '*':
                    case '+':
                    case ',':
                    case '-':
                    case '.':
                    case '/':
                    case '0':
                    case '1':
                    case '2':
                    case '3':
                    case '4':
                    case '5':
                    case '6':
                    case '7':
                    case '8':
                    case '9':
                    case ':':
                    case ';':
                    case '<':
                    case '=':
                    case '>':
                    case '?':
                    case '@':
                    case 'A':
                    case 'B':
                    case 'C':
                    case 'D':
                    case 'E':
                    case 'F':
                    case 'G':
                    case 'H':
                    case 'I':
                    case 'J':
                    case 'K':
                    case 'L':
                    case 'M':
                    case 'N':
                    case 'O':
                    case 'P':
                    case 'Q':
                    case 'R':
                    case 'S':
                    case 'T':
                    case 'U':
                    case 'V':
                    case 'W':
                    case 'X':
                    case 'Y':
                    case 'Z':
                    case '[':
                    case '\\':
                    case ']':
                    case '^':
                    case '_':
                    case '`':
                    case 'a':
                    case 'b':
                    case 'c':
                    case 'd':
                    case 'e':
                    case 'f':
                    case 'g':
                    case 'h':
                    case 'i':
                    case 'j':
                    case 'k':
                    case 'l':
                    case 'm':
                    case 'n':
                    case 'o':
                    case 'p':
                    case 'q':
                    case 'r':
                    case 's':
                    case 't':
                    case 'u':
                        a2 = true;
                        break;
                }
                String str3 = b0.f9574d;
                int hashCode = str3.hashCode();
                if (hashCode != 2006354) {
                    if (hashCode == 2006367) {
                        if (str3.equals("AFTN")) {
                            c4 = 1;
                            if (c4 != 0 || c4 == 1) {
                                a2 = true;
                            }
                            Z1 = true;
                        }
                    }
                } else if (str3.equals("AFTA")) {
                    if (c4 != 0) {
                    }
                    a2 = true;
                    Z1 = true;
                }
                c4 = 65535;
                if (c4 != 0) {
                }
                a2 = true;
                Z1 = true;
            }
        }
        return a2;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void B() {
        super.B();
        this.s2 = 0;
        this.r2 = SystemClock.elapsedRealtime();
        this.v2 = SystemClock.elapsedRealtime() * 1000;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void C() {
        this.q2 = C.f7870b;
        M0();
        super.C();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void D(Format[] formatArr, long j) throws ExoPlaybackException {
        if (this.K2 == C.f7870b) {
            this.K2 = j;
        } else {
            int i = this.L2;
            if (i == this.h2.length) {
                Log.w(S1, "Too many stream changes, so dropping offset: " + this.h2[this.L2 - 1]);
            } else {
                this.L2 = i + 1;
            }
            long[] jArr = this.h2;
            int i3 = this.L2;
            jArr[i3 - 1] = j;
            this.i2[i3 - 1] = this.J2;
        }
        super.D(formatArr, j);
    }

    /* access modifiers changed from: protected */
    public void D0(MediaCodec mediaCodec, int i, long j) {
        z.a("dropVideoBuffer");
        mediaCodec.releaseOutputBuffer(i, false);
        z.c();
        b1(1);
    }

    /* access modifiers changed from: protected */
    public b F0(com.google.android.exoplayer2.mediacodec.a aVar, Format format, Format[] formatArr) throws MediaCodecUtil.DecoderQueryException {
        int i = format.S0;
        int i3 = format.T0;
        int G0 = G0(aVar, format);
        if (formatArr.length == 1) {
            return new b(i, i3, G0);
        }
        boolean z = false;
        for (Format format2 : formatArr) {
            if (x0(aVar.f, format, format2)) {
                int i4 = format2.S0;
                z |= i4 == -1 || format2.T0 == -1;
                i = Math.max(i, i4);
                i3 = Math.max(i3, format2.T0);
                G0 = Math.max(G0, G0(aVar, format2));
            }
        }
        if (z) {
            Log.w(S1, "Resolutions unknown. Codec max resolution: " + i + com.ibm.icu.impl.locale.f.f14028c + i3);
            Point E0 = E0(aVar, format);
            if (E0 != null) {
                i = Math.max(i, E0.x);
                i3 = Math.max(i3, E0.y);
                G0 = Math.max(G0, H0(aVar, format.N0, i, i3));
                Log.w(S1, "Codec max resolution adjusted to: " + i + com.ibm.icu.impl.locale.f.f14028c + i3);
            }
        }
        return new b(i, i3, G0);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public int H(MediaCodec mediaCodec, com.google.android.exoplayer2.mediacodec.a aVar, Format format, Format format2) {
        if (!x0(aVar.f, format, format2)) {
            return 0;
        }
        int i = format2.S0;
        b bVar = this.j2;
        if (i > bVar.f9664a || format2.T0 > bVar.f9665b || G0(aVar, format2) > this.j2.f9666c) {
            return 0;
        }
        return format.C(format2) ? 1 : 3;
    }

    /* access modifiers changed from: protected */
    @SuppressLint({"InlinedApi"})
    public MediaFormat I0(Format format, b bVar, boolean z, int i) {
        MediaFormat mediaFormat = new MediaFormat();
        mediaFormat.setString(tv.danmaku.ijk.media.player.misc.c.f23083a, format.N0);
        mediaFormat.setInteger("width", format.S0);
        mediaFormat.setInteger("height", format.T0);
        com.google.android.exoplayer2.mediacodec.c.e(mediaFormat, format.P0);
        com.google.android.exoplayer2.mediacodec.c.c(mediaFormat, "frame-rate", format.U0);
        com.google.android.exoplayer2.mediacodec.c.d(mediaFormat, "rotation-degrees", format.V0);
        com.google.android.exoplayer2.mediacodec.c.b(mediaFormat, format.Z0);
        mediaFormat.setInteger("max-width", bVar.f9664a);
        mediaFormat.setInteger("max-height", bVar.f9665b);
        com.google.android.exoplayer2.mediacodec.c.d(mediaFormat, "max-input-size", bVar.f9666c);
        if (b0.f9571a >= 23) {
            mediaFormat.setInteger(Progress.PRIORITY, 0);
        }
        if (z) {
            mediaFormat.setInteger("auto-frc", 0);
        }
        if (i != 0) {
            B0(mediaFormat, i);
        }
        return mediaFormat;
    }

    /* access modifiers changed from: protected */
    public boolean L0(MediaCodec mediaCodec, int i, long j, long j3) throws ExoPlaybackException {
        int F = F(j3);
        if (F == 0) {
            return false;
        }
        this.R1.i++;
        b1(this.u2 + F);
        T();
        return true;
    }

    /* access modifiers changed from: package-private */
    public void N0() {
        if (!this.o2) {
            this.o2 = true;
            this.d2.g(this.l2);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void P(com.google.android.exoplayer2.mediacodec.a aVar, MediaCodec mediaCodec, Format format, MediaCrypto mediaCrypto) throws MediaCodecUtil.DecoderQueryException {
        b F0 = F0(aVar, format, o());
        this.j2 = F0;
        MediaFormat I0 = I0(format, F0, this.g2, this.H2);
        if (this.l2 == null) {
            com.google.android.exoplayer2.util.a.i(Z0(aVar));
            if (this.m2 == null) {
                this.m2 = DummySurface.d(this.b2, aVar.h);
            }
            this.l2 = this.m2;
        }
        mediaCodec.configure(I0, this.l2, mediaCrypto, 0);
        if (b0.f9571a >= 23 && this.G2) {
            this.I2 = new C0229c(mediaCodec);
        }
    }

    /* access modifiers changed from: protected */
    public void R0(MediaCodec mediaCodec, int i, long j) {
        O0();
        z.a("releaseOutputBuffer");
        mediaCodec.releaseOutputBuffer(i, true);
        z.c();
        this.v2 = SystemClock.elapsedRealtime() * 1000;
        this.R1.f8040e++;
        this.t2 = 0;
        N0();
    }

    /* access modifiers changed from: protected */
    @TargetApi(21)
    public void S0(MediaCodec mediaCodec, int i, long j, long j3) {
        O0();
        z.a("releaseOutputBuffer");
        mediaCodec.releaseOutputBuffer(i, j3);
        z.c();
        this.v2 = SystemClock.elapsedRealtime() * 1000;
        this.R1.f8040e++;
        this.t2 = 0;
        N0();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    @CallSuper
    public void T() throws ExoPlaybackException {
        super.T();
        this.u2 = 0;
    }

    /* access modifiers changed from: protected */
    public boolean W0(long j, long j3) {
        return K0(j);
    }

    /* access modifiers changed from: protected */
    public boolean X0(long j, long j3) {
        return J0(j);
    }

    /* access modifiers changed from: protected */
    public boolean Y0(long j, long j3) {
        return J0(j) && j3 > 100000;
    }

    /* access modifiers changed from: protected */
    public void a1(MediaCodec mediaCodec, int i, long j) {
        z.a("skipVideoBuffer");
        mediaCodec.releaseOutputBuffer(i, false);
        z.c();
        this.R1.f++;
    }

    /* access modifiers changed from: protected */
    public void b1(int i) {
        d dVar = this.R1;
        dVar.g += i;
        this.s2 += i;
        int i3 = this.t2 + i;
        this.t2 = i3;
        dVar.h = Math.max(i3, dVar.h);
        if (this.s2 >= this.f2) {
            M0();
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void e0(String str, long j, long j3) {
        this.d2.b(str, j, j3);
        this.k2 = A0(str);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void f0(Format format) throws ExoPlaybackException {
        super.f0(format);
        this.d2.f(format);
        this.x2 = format.W0;
        this.w2 = format.V0;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void g0(MediaCodec mediaCodec, MediaFormat mediaFormat) {
        int i;
        int i3;
        boolean z = mediaFormat.containsKey(U1) && mediaFormat.containsKey(T1) && mediaFormat.containsKey(V1) && mediaFormat.containsKey(W1);
        if (z) {
            i = (mediaFormat.getInteger(U1) - mediaFormat.getInteger(T1)) + 1;
        } else {
            i = mediaFormat.getInteger("width");
        }
        this.y2 = i;
        if (z) {
            i3 = (mediaFormat.getInteger(V1) - mediaFormat.getInteger(W1)) + 1;
        } else {
            i3 = mediaFormat.getInteger("height");
        }
        this.z2 = i3;
        float f = this.x2;
        this.B2 = f;
        if (b0.f9571a >= 21) {
            int i4 = this.w2;
            if (i4 == 90 || i4 == 270) {
                int i5 = this.y2;
                this.y2 = i3;
                this.z2 = i5;
                this.B2 = 1.0f / f;
            }
        } else {
            this.A2 = this.w2;
        }
        mediaCodec.setVideoScalingMode(this.n2);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    @CallSuper
    public void h0(long j) {
        this.u2--;
        while (true) {
            int i = this.L2;
            if (i != 0 && j >= this.i2[0]) {
                long[] jArr = this.h2;
                this.K2 = jArr[0];
                int i3 = i - 1;
                this.L2 = i3;
                System.arraycopy(jArr, 1, jArr, 0, i3);
                long[] jArr2 = this.i2;
                System.arraycopy(jArr2, 1, jArr2, 0, this.L2);
            } else {
                return;
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    @CallSuper
    public void i0(DecoderInputBuffer decoderInputBuffer) {
        this.u2++;
        this.J2 = Math.max(decoderInputBuffer.M0, this.J2);
        if (b0.f9571a < 23 && this.G2) {
            N0();
        }
    }

    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer, com.google.android.exoplayer2.Renderer
    public boolean isReady() {
        Surface surface;
        if (super.isReady() && (this.o2 || (((surface = this.m2) != null && this.l2 == surface) || U() == null || this.G2))) {
            this.q2 = C.f7870b;
            return true;
        } else if (this.q2 == C.f7870b) {
            return false;
        } else {
            if (SystemClock.elapsedRealtime() < this.q2) {
                return true;
            }
            this.q2 = C.f7870b;
            return false;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public boolean k0(long j, long j3, MediaCodec mediaCodec, ByteBuffer byteBuffer, int i, int i3, long j4, boolean z) throws ExoPlaybackException {
        if (this.p2 == C.f7870b) {
            this.p2 = j;
        }
        long j5 = j4 - this.K2;
        if (z) {
            a1(mediaCodec, i, j5);
            return true;
        }
        long j6 = j4 - j;
        if (this.l2 != this.m2) {
            long elapsedRealtime = SystemClock.elapsedRealtime() * 1000;
            boolean z3 = getState() == 2;
            if (this.o2 && (!z3 || !Y0(j6, elapsedRealtime - this.v2))) {
                if (z3 && j != this.p2) {
                    long nanoTime = System.nanoTime();
                    long b3 = this.c2.b(j4, ((j6 - (elapsedRealtime - j3)) * 1000) + nanoTime);
                    long j7 = (b3 - nanoTime) / 1000;
                    if (W0(j7, j3) && L0(mediaCodec, i, j5, j)) {
                        return false;
                    }
                    if (X0(j7, j3)) {
                        D0(mediaCodec, i, j5);
                        return true;
                    } else if (b0.f9571a >= 21) {
                        if (j7 < 50000) {
                            S0(mediaCodec, i, j5, b3);
                            return true;
                        }
                    } else if (j7 < 30000) {
                        if (j7 > 11000) {
                            try {
                                Thread.sleep((j7 - t.f4799c) / 1000);
                            } catch (InterruptedException unused) {
                                Thread.currentThread().interrupt();
                                return false;
                            }
                        }
                        R0(mediaCodec, i, j5);
                        return true;
                    }
                }
                return false;
            } else if (b0.f9571a >= 21) {
                S0(mediaCodec, i, j5, System.nanoTime());
                return true;
            } else {
                R0(mediaCodec, i, j5);
                return true;
            }
        } else if (!J0(j6)) {
            return false;
        } else {
            a1(mediaCodec, i, j5);
            return true;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    @CallSuper
    public void n0() {
        try {
            super.n0();
            this.u2 = 0;
            Surface surface = this.m2;
            if (surface != null) {
                if (this.l2 == surface) {
                    this.l2 = null;
                }
                surface.release();
                this.m2 = null;
            }
        } catch (Throwable th) {
            this.u2 = 0;
            if (this.m2 != null) {
                Surface surface2 = this.l2;
                Surface surface3 = this.m2;
                if (surface2 == surface3) {
                    this.l2 = null;
                }
                surface3.release();
                this.m2 = null;
            }
            throw th;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void q() {
        this.y2 = -1;
        this.z2 = -1;
        this.B2 = -1.0f;
        this.x2 = -1.0f;
        this.K2 = C.f7870b;
        this.J2 = C.f7870b;
        this.L2 = 0;
        z0();
        y0();
        this.c2.d();
        this.I2 = null;
        this.G2 = false;
        try {
            super.q();
        } finally {
            this.R1.a();
            this.d2.c(this.R1);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void s(boolean z) throws ExoPlaybackException {
        super.s(z);
        int i = l().f9699b;
        this.H2 = i;
        this.G2 = i != 0;
        this.d2.e(this.R1);
        this.c2.e();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public boolean s0(com.google.android.exoplayer2.mediacodec.a aVar) {
        return this.l2 != null || Z0(aVar);
    }

    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.w.b
    public void t(int i, Object obj) throws ExoPlaybackException {
        if (i == 1) {
            V0((Surface) obj);
        } else if (i == 4) {
            this.n2 = ((Integer) obj).intValue();
            MediaCodec U = U();
            if (U != null) {
                U.setVideoScalingMode(this.n2);
            }
        } else {
            super.t(i, obj);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public int v0(com.google.android.exoplayer2.mediacodec.b bVar, com.google.android.exoplayer2.drm.d<h> dVar, Format format) throws MediaCodecUtil.DecoderQueryException {
        boolean z;
        int i;
        int i3;
        String str = format.N0;
        int i4 = 0;
        if (!n.n(str)) {
            return 0;
        }
        DrmInitData drmInitData = format.Q0;
        if (drmInitData != null) {
            z = false;
            for (int i5 = 0; i5 < drmInitData.J0; i5++) {
                z |= drmInitData.e(i5).L0;
            }
        } else {
            z = false;
        }
        com.google.android.exoplayer2.mediacodec.a b3 = bVar.b(str, z);
        boolean z3 = true;
        if (b3 == null) {
            if (!z || bVar.b(str, false) == null) {
                return 1;
            }
            return 2;
        } else if (!com.google.android.exoplayer2.a.G(dVar, drmInitData)) {
            return 2;
        } else {
            boolean k = b3.k(format.K0);
            if (k && (i = format.S0) > 0 && (i3 = format.T0) > 0) {
                if (b0.f9571a >= 21) {
                    k = b3.p(i, i3, (double) format.U0);
                } else {
                    if (i * i3 > MediaCodecUtil.l()) {
                        z3 = false;
                    }
                    if (!z3) {
                        Log.d(S1, "FalseCheck [legacyFrameSize, " + format.S0 + com.ibm.icu.impl.locale.f.f14028c + format.T0 + "] [" + b0.f9575e + "]");
                    }
                    k = z3;
                }
            }
            int i6 = b3.f ? 16 : 8;
            if (b3.g) {
                i4 = 32;
            }
            return (k ? 4 : 3) | i6 | i4;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.mediacodec.MediaCodecRenderer
    public void z(long j, boolean z) throws ExoPlaybackException {
        super.z(j, z);
        y0();
        this.p2 = C.f7870b;
        this.t2 = 0;
        this.J2 = C.f7870b;
        int i = this.L2;
        if (i != 0) {
            this.K2 = this.h2[i - 1];
            this.L2 = 0;
        }
        if (z) {
            T0();
        } else {
            this.q2 = C.f7870b;
        }
    }

    public c(Context context, com.google.android.exoplayer2.mediacodec.b bVar, long j) {
        this(context, bVar, j, null, null, -1);
    }

    public c(Context context, com.google.android.exoplayer2.mediacodec.b bVar, long j, @Nullable Handler handler, @Nullable f fVar, int i) {
        this(context, bVar, j, null, false, handler, fVar, i);
    }

    public c(Context context, com.google.android.exoplayer2.mediacodec.b bVar, long j, @Nullable com.google.android.exoplayer2.drm.d<h> dVar, boolean z, @Nullable Handler handler, @Nullable f fVar, int i) {
        super(2, bVar, dVar, z);
        this.e2 = j;
        this.f2 = i;
        Context applicationContext = context.getApplicationContext();
        this.b2 = applicationContext;
        this.c2 = new d(applicationContext);
        this.d2 = new f.a(handler, fVar);
        this.g2 = C0();
        this.h2 = new long[10];
        this.i2 = new long[10];
        this.K2 = C.f7870b;
        this.J2 = C.f7870b;
        this.q2 = C.f7870b;
        this.y2 = -1;
        this.z2 = -1;
        this.B2 = -1.0f;
        this.x2 = -1.0f;
        this.n2 = 1;
        z0();
    }
}
