package com.google.android.exoplayer2.video;

import android.annotation.TargetApi;
import android.content.Context;
import android.hardware.display.DisplayManager;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import android.view.Choreographer;
import android.view.Display;
import android.view.WindowManager;
import androidx.annotation.Nullable;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.util.b0;

@TargetApi(16)
/* compiled from: VideoFrameReleaseTimeHelper */
public final class d {

    /* renamed from: a  reason: collision with root package name */
    private static final long f9668a = 500;

    /* renamed from: b  reason: collision with root package name */
    private static final long f9669b = 20000000;

    /* renamed from: c  reason: collision with root package name */
    private static final long f9670c = 80;

    /* renamed from: d  reason: collision with root package name */
    private static final int f9671d = 6;

    /* renamed from: e  reason: collision with root package name */
    private final WindowManager f9672e;
    private final b f;
    private final a g;
    private long h;
    private long i;
    private long j;
    private long k;
    private long l;
    private boolean m;
    private long n;
    private long o;
    private long p;

    /* access modifiers changed from: private */
    @TargetApi(17)
    /* compiled from: VideoFrameReleaseTimeHelper */
    public final class a implements DisplayManager.DisplayListener {

        /* renamed from: a  reason: collision with root package name */
        private final DisplayManager f9673a;

        public a(DisplayManager displayManager) {
            this.f9673a = displayManager;
        }

        public void a() {
            this.f9673a.registerDisplayListener(this, null);
        }

        public void b() {
            this.f9673a.unregisterDisplayListener(this);
        }

        public void onDisplayAdded(int i) {
        }

        public void onDisplayChanged(int i) {
            if (i == 0) {
                d.this.h();
            }
        }

        public void onDisplayRemoved(int i) {
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: VideoFrameReleaseTimeHelper */
    public static final class b implements Choreographer.FrameCallback, Handler.Callback {
        private static final int I0 = 2;
        private static final b J0 = new b();

        /* renamed from: a  reason: collision with root package name */
        private static final int f9675a = 0;

        /* renamed from: b  reason: collision with root package name */
        private static final int f9676b = 1;
        public volatile long K0 = C.f7870b;
        private final Handler L0;
        private final HandlerThread M0;
        private Choreographer N0;
        private int O0;

        private b() {
            HandlerThread handlerThread = new HandlerThread("ChoreographerOwner:Handler");
            this.M0 = handlerThread;
            handlerThread.start();
            Handler handler = new Handler(handlerThread.getLooper(), this);
            this.L0 = handler;
            handler.sendEmptyMessage(0);
        }

        private void b() {
            int i = this.O0 + 1;
            this.O0 = i;
            if (i == 1) {
                this.N0.postFrameCallback(this);
            }
        }

        private void c() {
            this.N0 = Choreographer.getInstance();
        }

        public static b d() {
            return J0;
        }

        private void f() {
            int i = this.O0 - 1;
            this.O0 = i;
            if (i == 0) {
                this.N0.removeFrameCallback(this);
                this.K0 = C.f7870b;
            }
        }

        public void a() {
            this.L0.sendEmptyMessage(1);
        }

        public void doFrame(long j) {
            this.K0 = j;
            this.N0.postFrameCallbackDelayed(this, d.f9668a);
        }

        public void e() {
            this.L0.sendEmptyMessage(2);
        }

        public boolean handleMessage(Message message) {
            int i = message.what;
            if (i == 0) {
                c();
                return true;
            } else if (i == 1) {
                b();
                return true;
            } else if (i != 2) {
                return false;
            } else {
                f();
                return true;
            }
        }
    }

    public d() {
        this(null);
    }

    private static long c(long j2, long j3, long j4) {
        long j5;
        long j6 = j3 + (((j2 - j3) / j4) * j4);
        if (j2 <= j6) {
            j5 = j6 - j4;
        } else {
            j6 = j4 + j6;
            j5 = j6;
        }
        return j6 - j2 < j2 - j5 ? j6 : j5;
    }

    private boolean f(long j2, long j3) {
        return Math.abs((j3 - this.n) - (j2 - this.o)) > f9669b;
    }

    @TargetApi(17)
    private a g(Context context) {
        DisplayManager displayManager = (DisplayManager) context.getSystemService("display");
        if (displayManager == null) {
            return null;
        }
        return new a(displayManager);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void h() {
        Display defaultDisplay = this.f9672e.getDefaultDisplay();
        if (defaultDisplay != null) {
            long refreshRate = (long) (1.0E9d / ((double) defaultDisplay.getRefreshRate()));
            this.h = refreshRate;
            this.i = (refreshRate * f9670c) / 100;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x0048  */
    public long b(long j2, long j3) {
        long j4;
        long j5;
        b bVar;
        long j6 = 1000 * j2;
        if (this.m) {
            if (j2 != this.j) {
                this.p++;
                this.k = this.l;
            }
            long j7 = this.p;
            if (j7 >= 6) {
                j5 = this.k + ((j6 - this.o) / j7);
                if (f(j5, j3)) {
                    this.m = false;
                } else {
                    j4 = (this.n + j5) - this.o;
                    if (!this.m) {
                        this.o = j6;
                        this.n = j3;
                        this.p = 0;
                        this.m = true;
                    }
                    this.j = j2;
                    this.l = j5;
                    bVar = this.f;
                    if (bVar != null || this.h == C.f7870b) {
                        return j4;
                    }
                    long j8 = bVar.K0;
                    if (j8 == C.f7870b) {
                        return j4;
                    }
                    return c(j4, j8, this.h) - this.i;
                }
            } else if (f(j6, j3)) {
                this.m = false;
            }
        }
        j4 = j3;
        j5 = j6;
        if (!this.m) {
        }
        this.j = j2;
        this.l = j5;
        bVar = this.f;
        if (bVar != null) {
        }
        return j4;
    }

    public void d() {
        if (this.f9672e != null) {
            a aVar = this.g;
            if (aVar != null) {
                aVar.b();
            }
            this.f.e();
        }
    }

    public void e() {
        this.m = false;
        if (this.f9672e != null) {
            this.f.a();
            a aVar = this.g;
            if (aVar != null) {
                aVar.a();
            }
            h();
        }
    }

    public d(@Nullable Context context) {
        a aVar = null;
        if (context != null) {
            context = context.getApplicationContext();
            this.f9672e = (WindowManager) context.getSystemService("window");
        } else {
            this.f9672e = null;
        }
        if (this.f9672e != null) {
            this.g = b0.f9571a >= 17 ? g(context) : aVar;
            this.f = b.d();
        } else {
            this.g = null;
            this.f = null;
        }
        this.h = C.f7870b;
        this.i = C.f7870b;
    }
}
