package com.google.android.gms.auth.api.signin;

import android.accounts.Account;
import android.net.Uri;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.internal.ReflectedParcelable;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.b;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;
import com.google.android.gms.common.util.g;
import com.google.android.gms.common.util.k;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class GoogleSignInAccount extends AbstractSafeParcelable implements ReflectedParcelable {
    public static final Parcelable.Creator<GoogleSignInAccount> CREATOR = new c();

    /* renamed from: a */
    private static g f9700a = k.e();
    private String I0;
    private String J0;
    private String K0;
    private String L0;
    private Uri M0;
    private String N0;
    private long O0;
    private String P0;
    private List<Scope> Q0;
    private String R0;
    private String S0;
    private Set<Scope> T0 = new HashSet();

    /* renamed from: b */
    private final int f9701b;

    GoogleSignInAccount(int i, String str, String str2, String str3, String str4, Uri uri, String str5, long j, String str6, List<Scope> list, String str7, String str8) {
        this.f9701b = i;
        this.I0 = str;
        this.J0 = str2;
        this.K0 = str3;
        this.L0 = str4;
        this.M0 = uri;
        this.N0 = str5;
        this.O0 = j;
        this.P0 = str6;
        this.Q0 = list;
        this.R0 = str7;
        this.S0 = str8;
    }

    public static GoogleSignInAccount Q1(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        JSONObject jSONObject = new JSONObject(str);
        String optString = jSONObject.optString("photoUrl", null);
        Uri parse = !TextUtils.isEmpty(optString) ? Uri.parse(optString) : null;
        long parseLong = Long.parseLong(jSONObject.getString("expirationTime"));
        HashSet hashSet = new HashSet();
        JSONArray jSONArray = jSONObject.getJSONArray("grantedScopes");
        int length = jSONArray.length();
        for (int i = 0; i < length; i++) {
            hashSet.add(new Scope(jSONArray.getString(i)));
        }
        GoogleSignInAccount U1 = U1(jSONObject.optString("id"), jSONObject.optString("tokenId", null), jSONObject.optString("email", null), jSONObject.optString("displayName", null), jSONObject.optString("givenName", null), jSONObject.optString("familyName", null), parse, Long.valueOf(parseLong), jSONObject.getString("obfuscatedIdentifier"), hashSet);
        U1.N0 = jSONObject.optString("serverAuthCode", null);
        return U1;
    }

    private static GoogleSignInAccount U1(String str, String str2, String str3, String str4, String str5, String str6, Uri uri, Long l, String str7, Set<Scope> set) {
        return new GoogleSignInAccount(3, str, str2, str3, str4, uri, null, (l == null ? Long.valueOf(f9700a.a() / 1000) : l).longValue(), a0.g(str7), new ArrayList((Collection) a0.k(set)), str5, str6);
    }

    private final JSONObject X1() {
        JSONObject jSONObject = new JSONObject();
        try {
            if (u1() != null) {
                jSONObject.put("id", u1());
            }
            if (z1() != null) {
                jSONObject.put("tokenId", z1());
            }
            if (x0() != null) {
                jSONObject.put("email", x0());
            }
            if (o0() != null) {
                jSONObject.put("displayName", o0());
            }
            if (m1() != null) {
                jSONObject.put("givenName", m1());
            }
            if (d1() != null) {
                jSONObject.put("familyName", d1());
            }
            if (C1() != null) {
                jSONObject.put("photoUrl", C1().toString());
            }
            if (E1() != null) {
                jSONObject.put("serverAuthCode", E1());
            }
            jSONObject.put("expirationTime", this.O0);
            jSONObject.put("obfuscatedIdentifier", this.P0);
            JSONArray jSONArray = new JSONArray();
            List<Scope> list = this.Q0;
            Scope[] scopeArr = (Scope[]) list.toArray(new Scope[list.size()]);
            Arrays.sort(scopeArr, b.f9711a);
            for (Scope scope : scopeArr) {
                jSONArray.put(scope.e0());
            }
            jSONObject.put("grantedScopes", jSONArray);
            return jSONObject;
        } catch (JSONException e2) {
            throw new RuntimeException(e2);
        }
    }

    public static GoogleSignInAccount e0() {
        Account account = new Account("<<default account>>", b.f10067a);
        return U1(null, null, account.name, null, null, null, null, 0L, account.name, new HashSet());
    }

    public Uri C1() {
        return this.M0;
    }

    public Set<Scope> D1() {
        HashSet hashSet = new HashSet(this.Q0);
        hashSet.addAll(this.T0);
        return hashSet;
    }

    public String E1() {
        return this.N0;
    }

    public boolean F1() {
        return f9700a.a() / 1000 >= this.O0 - 300;
    }

    public GoogleSignInAccount L1(Scope... scopeArr) {
        if (scopeArr != null) {
            Collections.addAll(this.T0, scopeArr);
        }
        return this;
    }

    public final String V1() {
        return this.P0;
    }

    public final String W1() {
        JSONObject X1 = X1();
        X1.remove("serverAuthCode");
        return X1.toString();
    }

    public String d1() {
        return this.S0;
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof GoogleSignInAccount)) {
            return false;
        }
        GoogleSignInAccount googleSignInAccount = (GoogleSignInAccount) obj;
        return googleSignInAccount.P0.equals(this.P0) && googleSignInAccount.D1().equals(D1());
    }

    public int hashCode() {
        return ((this.P0.hashCode() + 527) * 31) + D1().hashCode();
    }

    public String m1() {
        return this.R0;
    }

    public Account o() {
        if (this.K0 == null) {
            return null;
        }
        return new Account(this.K0, b.f10067a);
    }

    public String o0() {
        return this.L0;
    }

    public Set<Scope> s1() {
        return new HashSet(this.Q0);
    }

    public String u1() {
        return this.I0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        int a2 = a.a(parcel);
        a.F(parcel, 1, this.f9701b);
        a.X(parcel, 2, u1(), false);
        a.X(parcel, 3, z1(), false);
        a.X(parcel, 4, x0(), false);
        a.X(parcel, 5, o0(), false);
        a.S(parcel, 6, C1(), i, false);
        a.X(parcel, 7, E1(), false);
        a.K(parcel, 8, this.O0);
        a.X(parcel, 9, this.P0, false);
        a.c0(parcel, 10, this.Q0, false);
        a.X(parcel, 11, m1(), false);
        a.X(parcel, 12, d1(), false);
        a.b(parcel, a2);
    }

    public String x0() {
        return this.K0;
    }

    public String z1() {
        return this.J0;
    }
}
