package com.google.android.gms.auth.api.signin;

import android.accounts.Account;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.gms.auth.api.signin.internal.GoogleSignInOptionsExtensionParcelable;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.api.a;
import com.google.android.gms.common.internal.ReflectedParcelable;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.b;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.j;
import com.google.android.gms.common.util.VisibleForTesting;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

@SafeParcelable.Class(creator = "GoogleSignInOptionsCreator")
public class GoogleSignInOptions extends AbstractSafeParcelable implements a.d.f, ReflectedParcelable {
    public static final Parcelable.Creator<GoogleSignInOptions> CREATOR = new e();
    @VisibleForTesting
    public static final Scope I0 = new Scope(j.f10173c);
    @VisibleForTesting
    public static final Scope J0;
    @VisibleForTesting
    public static final Scope K0 = new Scope(j.f);
    public static final GoogleSignInOptions L0 = new a().d().f().b();
    public static final GoogleSignInOptions M0;
    private static Comparator<Scope> N0 = new d();
    @VisibleForTesting

    /* renamed from: a  reason: collision with root package name */
    public static final Scope f9702a = new Scope(j.f10171a);
    @VisibleForTesting

    /* renamed from: b  reason: collision with root package name */
    public static final Scope f9703b = new Scope("email");
    @SafeParcelable.VersionField(id = 1)
    private final int O0;
    @SafeParcelable.Field(getter = "getScopes", id = 2)
    private final ArrayList<Scope> P0;
    @SafeParcelable.Field(getter = "getAccount", id = 3)
    private Account Q0;
    @SafeParcelable.Field(getter = "isIdTokenRequested", id = 4)
    private boolean R0;
    @SafeParcelable.Field(getter = "isServerAuthCodeRequested", id = 5)
    private final boolean S0;
    @SafeParcelable.Field(getter = "isForceCodeForRefreshToken", id = 6)
    private final boolean T0;
    @SafeParcelable.Field(getter = "getServerClientId", id = 7)
    private String U0;
    @SafeParcelable.Field(getter = "getHostedDomain", id = 8)
    private String V0;
    @SafeParcelable.Field(getter = "getExtensions", id = 9)
    private ArrayList<GoogleSignInOptionsExtensionParcelable> W0;
    private Map<Integer, GoogleSignInOptionsExtensionParcelable> X0;

    static {
        Scope scope = new Scope(j.g);
        J0 = scope;
        M0 = new a().g(scope, new Scope[0]).b();
    }

    @SafeParcelable.Constructor
    GoogleSignInOptions(@SafeParcelable.Param(id = 1) int i, @SafeParcelable.Param(id = 2) ArrayList<Scope> arrayList, @SafeParcelable.Param(id = 3) Account account, @SafeParcelable.Param(id = 4) boolean z, @SafeParcelable.Param(id = 5) boolean z2, @SafeParcelable.Param(id = 6) boolean z3, @SafeParcelable.Param(id = 7) String str, @SafeParcelable.Param(id = 8) String str2, @SafeParcelable.Param(id = 9) ArrayList<GoogleSignInOptionsExtensionParcelable> arrayList2) {
        this(i, arrayList, account, z, z2, z3, str, str2, C1(arrayList2));
    }

    /* access modifiers changed from: private */
    public static Map<Integer, GoogleSignInOptionsExtensionParcelable> C1(@Nullable List<GoogleSignInOptionsExtensionParcelable> list) {
        HashMap hashMap = new HashMap();
        if (list == null) {
            return hashMap;
        }
        for (GoogleSignInOptionsExtensionParcelable googleSignInOptionsExtensionParcelable : list) {
            hashMap.put(Integer.valueOf(googleSignInOptionsExtensionParcelable.e0()), googleSignInOptionsExtensionParcelable);
        }
        return hashMap;
    }

    @Nullable
    public static GoogleSignInOptions D1(@Nullable String str) throws JSONException {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        JSONObject jSONObject = new JSONObject(str);
        HashSet hashSet = new HashSet();
        JSONArray jSONArray = jSONObject.getJSONArray("scopes");
        int length = jSONArray.length();
        for (int i = 0; i < length; i++) {
            hashSet.add(new Scope(jSONArray.getString(i)));
        }
        String optString = jSONObject.optString("accountName", null);
        return new GoogleSignInOptions(3, new ArrayList(hashSet), !TextUtils.isEmpty(optString) ? new Account(optString, b.f10067a) : null, jSONObject.getBoolean("idTokenRequested"), jSONObject.getBoolean("serverAuthRequested"), jSONObject.getBoolean("forceCodeForRefreshToken"), jSONObject.optString("serverClientId", null), jSONObject.optString("hostedDomain", null), new HashMap());
    }

    private final JSONObject O1() {
        JSONObject jSONObject = new JSONObject();
        try {
            JSONArray jSONArray = new JSONArray();
            Collections.sort(this.P0, N0);
            ArrayList<Scope> arrayList = this.P0;
            int size = arrayList.size();
            int i = 0;
            while (i < size) {
                Scope scope = arrayList.get(i);
                i++;
                jSONArray.put(scope.e0());
            }
            jSONObject.put("scopes", jSONArray);
            Account account = this.Q0;
            if (account != null) {
                jSONObject.put("accountName", account.name);
            }
            jSONObject.put("idTokenRequested", this.R0);
            jSONObject.put("forceCodeForRefreshToken", this.T0);
            jSONObject.put("serverAuthRequested", this.S0);
            if (!TextUtils.isEmpty(this.U0)) {
                jSONObject.put("serverClientId", this.U0);
            }
            if (!TextUtils.isEmpty(this.V0)) {
                jSONObject.put("hostedDomain", this.V0);
            }
            return jSONObject;
        } catch (JSONException e2) {
            throw new RuntimeException(e2);
        }
    }

    public final String U1() {
        return O1().toString();
    }

    @KeepForSdk
    public String d1() {
        return this.U0;
    }

    @KeepForSdk
    public ArrayList<GoogleSignInOptionsExtensionParcelable> e0() {
        return this.W0;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0047, code lost:
        if (r1.equals(r4.o()) != false) goto L_0x0049;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:0x0066, code lost:
        if (r3.U0.equals(r4.d1()) != false) goto L_0x0068;
     */
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        try {
            GoogleSignInOptions googleSignInOptions = (GoogleSignInOptions) obj;
            if (this.W0.size() <= 0) {
                if (googleSignInOptions.W0.size() <= 0) {
                    if (this.P0.size() == googleSignInOptions.x0().size()) {
                        if (this.P0.containsAll(googleSignInOptions.x0())) {
                            Account account = this.Q0;
                            if (account == null) {
                                if (googleSignInOptions.o() == null) {
                                }
                            }
                            if (TextUtils.isEmpty(this.U0)) {
                                if (TextUtils.isEmpty(googleSignInOptions.d1())) {
                                }
                            }
                            if (this.T0 == googleSignInOptions.m1() && this.R0 == googleSignInOptions.s1() && this.S0 == googleSignInOptions.u1()) {
                                return true;
                            }
                            return false;
                        }
                    }
                }
            }
        } catch (ClassCastException unused) {
        }
        return false;
    }

    public int hashCode() {
        ArrayList arrayList = new ArrayList();
        ArrayList<Scope> arrayList2 = this.P0;
        int size = arrayList2.size();
        int i = 0;
        while (i < size) {
            Scope scope = arrayList2.get(i);
            i++;
            arrayList.add(scope.e0());
        }
        Collections.sort(arrayList);
        return new com.google.android.gms.auth.api.signin.internal.a().a(arrayList).a(this.Q0).a(this.U0).c(this.T0).c(this.R0).c(this.S0).b();
    }

    @KeepForSdk
    public boolean m1() {
        return this.T0;
    }

    @KeepForSdk
    public Account o() {
        return this.Q0;
    }

    public Scope[] o0() {
        ArrayList<Scope> arrayList = this.P0;
        return (Scope[]) arrayList.toArray(new Scope[arrayList.size()]);
    }

    @KeepForSdk
    public boolean s1() {
        return this.R0;
    }

    @KeepForSdk
    public boolean u1() {
        return this.S0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        int a2 = com.google.android.gms.common.internal.safeparcel.a.a(parcel);
        com.google.android.gms.common.internal.safeparcel.a.F(parcel, 1, this.O0);
        com.google.android.gms.common.internal.safeparcel.a.c0(parcel, 2, x0(), false);
        com.google.android.gms.common.internal.safeparcel.a.S(parcel, 3, o(), i, false);
        com.google.android.gms.common.internal.safeparcel.a.g(parcel, 4, s1());
        com.google.android.gms.common.internal.safeparcel.a.g(parcel, 5, u1());
        com.google.android.gms.common.internal.safeparcel.a.g(parcel, 6, m1());
        com.google.android.gms.common.internal.safeparcel.a.X(parcel, 7, d1(), false);
        com.google.android.gms.common.internal.safeparcel.a.X(parcel, 8, this.V0, false);
        com.google.android.gms.common.internal.safeparcel.a.c0(parcel, 9, e0(), false);
        com.google.android.gms.common.internal.safeparcel.a.b(parcel, a2);
    }

    @KeepForSdk
    public ArrayList<Scope> x0() {
        return new ArrayList<>(this.P0);
    }

    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private Set<Scope> f9704a = new HashSet();

        /* renamed from: b  reason: collision with root package name */
        private boolean f9705b;

        /* renamed from: c  reason: collision with root package name */
        private boolean f9706c;

        /* renamed from: d  reason: collision with root package name */
        private boolean f9707d;

        /* renamed from: e  reason: collision with root package name */
        private String f9708e;
        private Account f;
        private String g;
        private Map<Integer, GoogleSignInOptionsExtensionParcelable> h = new HashMap();

        public a() {
        }

        private final String l(String str) {
            a0.g(str);
            String str2 = this.f9708e;
            a0.b(str2 == null || str2.equals(str), "two different server client ids provided");
            return str;
        }

        public final a a(a aVar) {
            if (!this.h.containsKey(Integer.valueOf(aVar.b()))) {
                if (aVar.c() != null) {
                    this.f9704a.addAll(aVar.c());
                }
                this.h.put(Integer.valueOf(aVar.b()), new GoogleSignInOptionsExtensionParcelable(aVar));
                return this;
            }
            throw new IllegalStateException("Only one extension per type may be added");
        }

        public final GoogleSignInOptions b() {
            if (this.f9704a.contains(GoogleSignInOptions.K0)) {
                Set<Scope> set = this.f9704a;
                Scope scope = GoogleSignInOptions.J0;
                if (set.contains(scope)) {
                    this.f9704a.remove(scope);
                }
            }
            if (this.f9707d && (this.f == null || !this.f9704a.isEmpty())) {
                d();
            }
            return new GoogleSignInOptions(3, new ArrayList(this.f9704a), this.f, this.f9707d, this.f9705b, this.f9706c, this.f9708e, this.g, this.h, null);
        }

        public final a c() {
            this.f9704a.add(GoogleSignInOptions.f9703b);
            return this;
        }

        public final a d() {
            this.f9704a.add(GoogleSignInOptions.I0);
            return this;
        }

        public final a e(String str) {
            this.f9707d = true;
            this.f9708e = l(str);
            return this;
        }

        public final a f() {
            this.f9704a.add(GoogleSignInOptions.f9702a);
            return this;
        }

        public final a g(Scope scope, Scope... scopeArr) {
            this.f9704a.add(scope);
            this.f9704a.addAll(Arrays.asList(scopeArr));
            return this;
        }

        public final a h(String str) {
            return i(str, false);
        }

        public final a i(String str, boolean z) {
            this.f9705b = true;
            this.f9708e = l(str);
            this.f9706c = z;
            return this;
        }

        public final a j(String str) {
            this.f = new Account(a0.g(str), b.f10067a);
            return this;
        }

        public final a k(String str) {
            this.g = a0.g(str);
            return this;
        }

        public a(@NonNull GoogleSignInOptions googleSignInOptions) {
            a0.k(googleSignInOptions);
            this.f9704a = new HashSet(googleSignInOptions.P0);
            this.f9705b = googleSignInOptions.S0;
            this.f9706c = googleSignInOptions.T0;
            this.f9707d = googleSignInOptions.R0;
            this.f9708e = googleSignInOptions.U0;
            this.f = googleSignInOptions.Q0;
            this.g = googleSignInOptions.V0;
            this.h = GoogleSignInOptions.C1(googleSignInOptions.W0);
        }
    }

    private GoogleSignInOptions(int i, ArrayList<Scope> arrayList, Account account, boolean z, boolean z2, boolean z3, String str, String str2, Map<Integer, GoogleSignInOptionsExtensionParcelable> map) {
        this.O0 = i;
        this.P0 = arrayList;
        this.Q0 = account;
        this.R0 = z;
        this.S0 = z2;
        this.T0 = z3;
        this.U0 = str;
        this.V0 = str2;
        this.W0 = new ArrayList<>(map.values());
        this.X0 = map;
    }

    /* synthetic */ GoogleSignInOptions(int i, ArrayList arrayList, Account account, boolean z, boolean z2, boolean z3, String str, String str2, Map map, d dVar) {
        this(3, arrayList, account, z, z2, z3, str, str2, map);
    }
}
