package com.google.android.gms.auth.api.signin.internal;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import com.google.android.gms.auth.api.signin.GoogleSignInAccount;
import com.google.android.gms.auth.api.signin.GoogleSignInOptions;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.VisibleForTesting;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;
import javax.annotation.Nullable;
import javax.annotation.concurrent.GuardedBy;
import org.json.JSONException;

public class b {

    /* renamed from: a  reason: collision with root package name */
    private static final Lock f9716a = new ReentrantLock();
    @GuardedBy("sLk")

    /* renamed from: b  reason: collision with root package name */
    private static b f9717b;

    /* renamed from: c  reason: collision with root package name */
    private final Lock f9718c = new ReentrantLock();
    @GuardedBy("mLk")

    /* renamed from: d  reason: collision with root package name */
    private final SharedPreferences f9719d;

    @VisibleForTesting
    private b(Context context) {
        this.f9719d = context.getSharedPreferences("com.google.android.gms.signin", 0);
    }

    @KeepForSdk
    public static b b(Context context) {
        a0.k(context);
        Lock lock = f9716a;
        lock.lock();
        try {
            if (f9717b == null) {
                f9717b = new b(context.getApplicationContext());
            }
            b bVar = f9717b;
            lock.unlock();
            return bVar;
        } catch (Throwable th) {
            f9716a.unlock();
            throw th;
        }
    }

    private final void g(String str, String str2) {
        this.f9718c.lock();
        try {
            this.f9719d.edit().putString(str, str2).apply();
        } finally {
            this.f9718c.unlock();
        }
    }

    private static String h(String str, String str2) {
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 1 + String.valueOf(str2).length());
        sb.append(str);
        sb.append(":");
        sb.append(str2);
        return sb.toString();
    }

    @VisibleForTesting
    @Nullable
    private final GoogleSignInAccount i(String str) {
        String k;
        if (!TextUtils.isEmpty(str) && (k = k(h("googleSignInAccount", str))) != null) {
            try {
                return GoogleSignInAccount.Q1(k);
            } catch (JSONException unused) {
            }
        }
        return null;
    }

    @VisibleForTesting
    @Nullable
    private final GoogleSignInOptions j(String str) {
        String k;
        if (!TextUtils.isEmpty(str) && (k = k(h("googleSignInOptions", str))) != null) {
            try {
                return GoogleSignInOptions.D1(k);
            } catch (JSONException unused) {
            }
        }
        return null;
    }

    @Nullable
    private final String k(String str) {
        this.f9718c.lock();
        try {
            return this.f9719d.getString(str, null);
        } finally {
            this.f9718c.unlock();
        }
    }

    private final void m(String str) {
        this.f9718c.lock();
        try {
            this.f9719d.edit().remove(str).apply();
        } finally {
            this.f9718c.unlock();
        }
    }

    @KeepForSdk
    public void a() {
        this.f9718c.lock();
        try {
            this.f9719d.edit().clear().apply();
        } finally {
            this.f9718c.unlock();
        }
    }

    @KeepForSdk
    @Nullable
    public GoogleSignInAccount c() {
        return i(k("defaultGoogleSignInAccount"));
    }

    @KeepForSdk
    @Nullable
    public GoogleSignInOptions d() {
        return j(k("defaultGoogleSignInAccount"));
    }

    @KeepForSdk
    @Nullable
    public String e() {
        return k("refreshToken");
    }

    @KeepForSdk
    public void f(GoogleSignInAccount googleSignInAccount, GoogleSignInOptions googleSignInOptions) {
        a0.k(googleSignInAccount);
        a0.k(googleSignInOptions);
        g("defaultGoogleSignInAccount", googleSignInAccount.V1());
        a0.k(googleSignInAccount);
        a0.k(googleSignInOptions);
        String V1 = googleSignInAccount.V1();
        g(h("googleSignInAccount", V1), googleSignInAccount.W1());
        g(h("googleSignInOptions", V1), googleSignInOptions.U1());
    }

    public final void l() {
        String k = k("defaultGoogleSignInAccount");
        m("defaultGoogleSignInAccount");
        if (!TextUtils.isEmpty(k)) {
            m(h("googleSignInAccount", k));
            m(h("googleSignInOptions", k));
        }
    }
}
