package com.google.android.gms.common;

import android.app.Activity;
import android.app.PendingIntent;
import android.content.IntentSender;
import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.Nullable;
import c.a.c.a.a.e.f.c;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;
import com.google.android.gms.common.internal.y;

@SafeParcelable.Class(creator = "ConnectionResultCreator")
public final class ConnectionResult extends AbstractSafeParcelable {
    public static final Parcelable.Creator<ConnectionResult> CREATOR = new s();
    public static final int I0 = 1;
    public static final int J0 = 2;
    public static final int K0 = 3;
    public static final int L0 = 4;
    public static final int M0 = 5;
    public static final int N0 = 6;
    public static final int O0 = 7;
    public static final int P0 = 8;
    public static final int Q0 = 9;
    public static final int R0 = 10;
    public static final int S0 = 11;
    public static final int T0 = 13;
    public static final int U0 = 14;
    public static final int V0 = 15;
    public static final int W0 = 16;
    public static final int X0 = 17;
    public static final int Y0 = 18;
    public static final int Z0 = 19;
    @KeepForSdk

    /* renamed from: a  reason: collision with root package name */
    public static final int f9720a = -1;
    public static final int a1 = 20;

    /* renamed from: b  reason: collision with root package name */
    public static final int f9721b = 0;
    @Deprecated
    public static final int b1 = 1500;
    @KeepForSdk
    public static final ConnectionResult c1 = new ConnectionResult(0);
    @SafeParcelable.VersionField(id = 1)
    private final int d1;
    @SafeParcelable.Field(getter = "getErrorCode", id = 2)
    private final int e1;
    @SafeParcelable.Field(getter = "getResolution", id = 3)
    private final PendingIntent f1;
    @SafeParcelable.Field(getter = "getErrorMessage", id = 4)
    private final String g1;

    @SafeParcelable.Constructor
    ConnectionResult(@SafeParcelable.Param(id = 1) int i, @SafeParcelable.Param(id = 2) int i2, @SafeParcelable.Param(id = 3) PendingIntent pendingIntent, @SafeParcelable.Param(id = 4) String str) {
        this.d1 = i;
        this.e1 = i2;
        this.f1 = pendingIntent;
        this.g1 = str;
    }

    static String u1(int i) {
        if (i == 99) {
            return "UNFINISHED";
        }
        if (i == 1500) {
            return "DRIVE_EXTERNAL_STORAGE_REQUIRED";
        }
        switch (i) {
            case -1:
                return "UNKNOWN";
            case 0:
                return c.g;
            case 1:
                return "SERVICE_MISSING";
            case 2:
                return "SERVICE_VERSION_UPDATE_REQUIRED";
            case 3:
                return "SERVICE_DISABLED";
            case 4:
                return "SIGN_IN_REQUIRED";
            case 5:
                return "INVALID_ACCOUNT";
            case 6:
                return "RESOLUTION_REQUIRED";
            case 7:
                return "NETWORK_ERROR";
            case 8:
                return "INTERNAL_ERROR";
            case 9:
                return "SERVICE_INVALID";
            case 10:
                return "DEVELOPER_ERROR";
            case 11:
                return "LICENSE_CHECK_FAILED";
            default:
                switch (i) {
                    case 13:
                        return "CANCELED";
                    case 14:
                        return "TIMEOUT";
                    case 15:
                        return "INTERRUPTED";
                    case 16:
                        return "API_UNAVAILABLE";
                    case 17:
                        return "SIGN_IN_FAILED";
                    case 18:
                        return "SERVICE_UPDATING";
                    case 19:
                        return "SERVICE_MISSING_PERMISSION";
                    case 20:
                        return "RESTRICTED_PROFILE";
                    case 21:
                        return "API_VERSION_UPDATE_REQUIRED";
                    default:
                        StringBuilder sb = new StringBuilder(31);
                        sb.append("UNKNOWN_ERROR_CODE(");
                        sb.append(i);
                        sb.append(")");
                        return sb.toString();
                }
        }
    }

    public final boolean d1() {
        return (this.e1 == 0 || this.f1 == null) ? false : true;
    }

    public final int e0() {
        return this.e1;
    }

    public final boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof ConnectionResult)) {
            return false;
        }
        ConnectionResult connectionResult = (ConnectionResult) obj;
        return this.e1 == connectionResult.e1 && y.a(this.f1, connectionResult.f1) && y.a(this.g1, connectionResult.g1);
    }

    public final int hashCode() {
        return y.b(Integer.valueOf(this.e1), this.f1, this.g1);
    }

    public final boolean m1() {
        return this.e1 == 0;
    }

    @Nullable
    public final String o0() {
        return this.g1;
    }

    public final void s1(Activity activity, int i) throws IntentSender.SendIntentException {
        if (d1()) {
            activity.startIntentSenderForResult(this.f1.getIntentSender(), i, null, 0, 0, 0);
        }
    }

    public final String toString() {
        return y.c(this).a("statusCode", u1(this.e1)).a("resolution", this.f1).a("message", this.g1).toString();
    }

    public final void writeToParcel(Parcel parcel, int i) {
        int a2 = a.a(parcel);
        a.F(parcel, 1, this.d1);
        a.F(parcel, 2, e0());
        a.S(parcel, 3, x0(), i, false);
        a.X(parcel, 4, o0(), false);
        a.b(parcel, a2);
    }

    @Nullable
    public final PendingIntent x0() {
        return this.f1;
    }

    public ConnectionResult(int i) {
        this(i, null, null);
    }

    public ConnectionResult(int i, PendingIntent pendingIntent) {
        this(i, pendingIntent, null);
    }

    public ConnectionResult(int i, PendingIntent pendingIntent, String str) {
        this(1, i, pendingIntent, str);
    }
}
