package com.google.android.gms.common;

import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.Nullable;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;
import com.google.android.gms.common.internal.y;

@KeepForSdk
@SafeParcelable.Class(creator = "FeatureCreator")
public class Feature extends AbstractSafeParcelable {
    public static final Parcelable.Creator<Feature> CREATOR = new t();
    @SafeParcelable.Field(defaultValue = "-1", getter = "getVersion", id = 3)
    private final long I0;
    @SafeParcelable.Field(getter = "getName", id = 1)

    /* renamed from: a  reason: collision with root package name */
    private final String f9724a;
    @SafeParcelable.Field(getter = "getOldVersion", id = 2)
    @Deprecated

    /* renamed from: b  reason: collision with root package name */
    private final int f9725b;

    @KeepForSdk
    public Feature(String str, long j) {
        this.f9724a = str;
        this.I0 = j;
        this.f9725b = -1;
    }

    @KeepForSdk
    public String e0() {
        return this.f9724a;
    }

    public boolean equals(@Nullable Object obj) {
        if (obj instanceof Feature) {
            Feature feature = (Feature) obj;
            if (((e0() == null || !e0().equals(feature.e0())) && (e0() != null || feature.e0() != null)) || o0() != feature.o0()) {
                return false;
            }
            return true;
        }
        return false;
    }

    public int hashCode() {
        return y.b(e0(), Long.valueOf(o0()));
    }

    @KeepForSdk
    public long o0() {
        long j = this.I0;
        return j == -1 ? (long) this.f9725b : j;
    }

    public String toString() {
        return y.c(this).a("name", e0()).a("version", Long.valueOf(o0())).toString();
    }

    public void writeToParcel(Parcel parcel, int i) {
        int a2 = a.a(parcel);
        a.X(parcel, 1, e0(), false);
        a.F(parcel, 2, this.f9725b);
        a.K(parcel, 3, o0());
        a.b(parcel, a2);
    }

    @SafeParcelable.Constructor
    public Feature(@SafeParcelable.Param(id = 1) String str, @SafeParcelable.Param(id = 2) int i, @SafeParcelable.Param(id = 3) long j) {
        this.f9724a = str;
        this.f9725b = i;
        this.I0 = j;
    }
}
