package com.google.android.gms.common;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.widget.FrameLayout;
import com.google.android.gms.base.R;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.internal.SignInButtonImpl;
import com.google.android.gms.common.internal.d0;
import com.google.android.gms.dynamic.RemoteCreator;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public final class SignInButton extends FrameLayout implements View.OnClickListener {
    public static final int I0 = 2;
    public static final int J0 = 0;
    public static final int K0 = 1;
    public static final int L0 = 2;

    /* renamed from: a  reason: collision with root package name */
    public static final int f9726a = 0;

    /* renamed from: b  reason: collision with root package name */
    public static final int f9727b = 1;
    private int M0;
    private int N0;
    private View O0;
    private View.OnClickListener P0;

    @Retention(RetentionPolicy.SOURCE)
    public @interface ButtonSize {
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface ColorScheme {
    }

    public SignInButton(Context context) {
        this(context, null);
    }

    public final void a(int i, int i2) {
        this.M0 = i;
        this.N0 = i2;
        Context context = getContext();
        View view = this.O0;
        if (view != null) {
            removeView(view);
        }
        try {
            this.O0 = d0.c(context, this.M0, this.N0);
        } catch (RemoteCreator.RemoteCreatorException unused) {
            Log.w("SignInButton", "Sign in button not found, using placeholder instead");
            int i3 = this.M0;
            int i4 = this.N0;
            SignInButtonImpl signInButtonImpl = new SignInButtonImpl(context);
            signInButtonImpl.a(context.getResources(), i3, i4);
            this.O0 = signInButtonImpl;
        }
        addView(this.O0);
        this.O0.setEnabled(isEnabled());
        this.O0.setOnClickListener(this);
    }

    @Deprecated
    public final void b(int i, int i2, Scope[] scopeArr) {
        a(i, i2);
    }

    public final void onClick(View view) {
        View.OnClickListener onClickListener = this.P0;
        if (onClickListener != null && view == this.O0) {
            onClickListener.onClick(this);
        }
    }

    public final void setColorScheme(int i) {
        a(this.M0, i);
    }

    public final void setEnabled(boolean z) {
        super.setEnabled(z);
        this.O0.setEnabled(z);
    }

    public final void setOnClickListener(View.OnClickListener onClickListener) {
        this.P0 = onClickListener;
        View view = this.O0;
        if (view != null) {
            view.setOnClickListener(this);
        }
    }

    @Deprecated
    public final void setScopes(Scope[] scopeArr) {
        a(this.M0, this.N0);
    }

    public final void setSize(int i) {
        a(i, this.N0);
    }

    public SignInButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* JADX INFO: finally extract failed */
    public SignInButton(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.P0 = null;
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(attributeSet, R.styleable.SignInButton, 0, 0);
        try {
            this.M0 = obtainStyledAttributes.getInt(R.styleable.SignInButton_buttonSize, 0);
            this.N0 = obtainStyledAttributes.getInt(R.styleable.SignInButton_colorScheme, 2);
            obtainStyledAttributes.recycle();
            a(this.M0, this.N0);
        } catch (Throwable th) {
            obtainStyledAttributes.recycle();
            throw th;
        }
    }
}
