package com.google.android.gms.common.api;

import android.app.Activity;
import android.app.PendingIntent;
import android.content.IntentSender;
import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.Nullable;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.ReflectedParcelable;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;
import com.google.android.gms.common.internal.y;
import com.google.android.gms.common.util.VisibleForTesting;

@KeepForSdk
@SafeParcelable.Class(creator = "StatusCreator")
public final class Status extends AbstractSafeParcelable implements p, ReflectedParcelable {
    public static final Parcelable.Creator<Status> CREATOR = new y();
    @KeepForSdk
    public static final Status I0 = new Status(8);
    @KeepForSdk
    public static final Status J0 = new Status(15);
    @KeepForSdk
    public static final Status K0 = new Status(16);
    private static final Status L0 = new Status(17);
    @KeepForSdk
    public static final Status M0 = new Status(18);
    @VisibleForTesting
    @KeepForSdk

    /* renamed from: a  reason: collision with root package name */
    public static final Status f9731a = new Status(0);
    @KeepForSdk

    /* renamed from: b  reason: collision with root package name */
    public static final Status f9732b = new Status(14);
    @SafeParcelable.VersionField(id = 1000)
    private final int N0;
    @SafeParcelable.Field(getter = "getStatusCode", id = 1)
    private final int O0;
    @Nullable
    @SafeParcelable.Field(getter = "getStatusMessage", id = 2)
    private final String P0;
    @Nullable
    @SafeParcelable.Field(getter = "getPendingIntent", id = 3)
    private final PendingIntent Q0;

    @SafeParcelable.Constructor
    @KeepForSdk
    Status(@SafeParcelable.Param(id = 1000) int i, @SafeParcelable.Param(id = 1) int i2, @Nullable @SafeParcelable.Param(id = 2) String str, @Nullable @SafeParcelable.Param(id = 3) PendingIntent pendingIntent) {
        this.N0 = i;
        this.O0 = i2;
        this.P0 = str;
        this.Q0 = pendingIntent;
    }

    public final String C1() {
        String str = this.P0;
        if (str != null) {
            return str;
        }
        return f.a(this.O0);
    }

    @Override // com.google.android.gms.common.api.p
    @KeepForSdk
    public final Status d() {
        return this;
    }

    @VisibleForTesting
    public final boolean d1() {
        return this.Q0 != null;
    }

    public final PendingIntent e0() {
        return this.Q0;
    }

    public final boolean equals(Object obj) {
        if (!(obj instanceof Status)) {
            return false;
        }
        Status status = (Status) obj;
        if (this.N0 != status.N0 || this.O0 != status.O0 || !y.a(this.P0, status.P0) || !y.a(this.Q0, status.Q0)) {
            return false;
        }
        return true;
    }

    public final int hashCode() {
        return y.b(Integer.valueOf(this.N0), Integer.valueOf(this.O0), this.P0, this.Q0);
    }

    public final boolean m1() {
        return this.O0 == 16;
    }

    public final int o0() {
        return this.O0;
    }

    public final boolean s1() {
        return this.O0 == 14;
    }

    public final String toString() {
        return y.c(this).a("statusCode", C1()).a("resolution", this.Q0).toString();
    }

    public final boolean u1() {
        return this.O0 <= 0;
    }

    @KeepForSdk
    public final void writeToParcel(Parcel parcel, int i) {
        int a2 = a.a(parcel);
        a.F(parcel, 1, o0());
        a.X(parcel, 2, x0(), false);
        a.S(parcel, 3, this.Q0, i, false);
        a.F(parcel, 1000, this.N0);
        a.b(parcel, a2);
    }

    @Nullable
    public final String x0() {
        return this.P0;
    }

    public final void z1(Activity activity, int i) throws IntentSender.SendIntentException {
        if (d1()) {
            activity.startIntentSenderForResult(this.Q0.getIntentSender(), i, null, 0, 0, 0);
        }
    }

    @KeepForSdk
    public Status(int i) {
        this(i, null);
    }

    @KeepForSdk
    public Status(int i, @Nullable String str) {
        this(1, i, str, null);
    }

    @KeepForSdk
    public Status(int i, @Nullable String str, @Nullable PendingIntent pendingIntent) {
        this(1, i, str, pendingIntent);
    }
}
