package com.google.android.gms.common.api;

import android.accounts.Account;
import android.content.Context;
import android.content.Intent;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Looper;
import androidx.annotation.Nullable;
import com.google.android.gms.auth.api.signin.GoogleSignInAccount;
import com.google.android.gms.common.Feature;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.api.a.d;
import com.google.android.gms.common.api.i;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.e;
import com.google.android.gms.common.internal.p;
import com.google.android.gms.common.util.VisibleForTesting;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.Collections;
import java.util.List;
import java.util.Set;

public final class a<O extends d> {

    /* renamed from: a  reason: collision with root package name */
    private final AbstractC0232a<?, O> f9733a;

    /* renamed from: b  reason: collision with root package name */
    private final i<?, O> f9734b = null;

    /* renamed from: c  reason: collision with root package name */
    private final g<?> f9735c;

    /* renamed from: d  reason: collision with root package name */
    private final j<?> f9736d;

    /* renamed from: e  reason: collision with root package name */
    private final String f9737e;

    @VisibleForTesting
    @KeepForSdk
    /* renamed from: com.google.android.gms.common.api.a$a  reason: collision with other inner class name */
    public static abstract class AbstractC0232a<T extends f, O> extends e<T, O> {
        @KeepForSdk
        public abstract T c(Context context, Looper looper, com.google.android.gms.common.internal.f fVar, O o, i.b bVar, i.c cVar);
    }

    @KeepForSdk
    public interface b {
    }

    @KeepForSdk
    public static class c<C extends b> {
    }

    public interface d {

        /* renamed from: com.google.android.gms.common.api.a$d$a  reason: collision with other inner class name */
        public interface AbstractC0233a extends c, e {
            Account o();
        }

        public interface b extends c {
            GoogleSignInAccount k();
        }

        public interface c extends d {
        }

        /* renamed from: com.google.android.gms.common.api.a$d$d  reason: collision with other inner class name */
        public static final class C0234d implements e {
            private C0234d() {
            }
        }

        public interface e extends d {
        }

        public interface f extends c, e {
        }
    }

    @VisibleForTesting
    @KeepForSdk
    public static abstract class e<T extends b, O> {
        @KeepForSdk

        /* renamed from: a  reason: collision with root package name */
        public static final int f9738a = 1;
        @KeepForSdk

        /* renamed from: b  reason: collision with root package name */
        public static final int f9739b = 2;
        @KeepForSdk

        /* renamed from: c  reason: collision with root package name */
        public static final int f9740c = Integer.MAX_VALUE;

        @KeepForSdk
        public List<Scope> a(O o) {
            return Collections.emptyList();
        }

        @KeepForSdk
        public int b() {
            return Integer.MAX_VALUE;
        }
    }

    @KeepForSdk
    public interface f extends b {
        @KeepForSdk
        boolean a();

        @KeepForSdk
        void c(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr);

        @KeepForSdk
        boolean d();

        @KeepForSdk
        void disconnect();

        @KeepForSdk
        boolean e();

        @KeepForSdk
        void f(p pVar, Set<Scope> set);

        @KeepForSdk
        String g();

        @KeepForSdk
        void i(e.c cVar);

        @KeepForSdk
        boolean isConnected();

        @KeepForSdk
        void k(e.AbstractC0237e eVar);

        @KeepForSdk
        Feature[] l();

        @KeepForSdk
        boolean o();

        @KeepForSdk
        int p();

        @KeepForSdk
        Feature[] r();

        @KeepForSdk
        Intent s();

        @KeepForSdk
        boolean t();

        @Nullable
        @KeepForSdk
        IBinder u();
    }

    @VisibleForTesting
    @KeepForSdk
    public static final class g<C extends f> extends c<C> {
    }

    public interface h<T extends IInterface> extends b {
        Context getContext();

        void j(int i, T t);

        String m();

        T n(IBinder iBinder);

        String v();
    }

    @VisibleForTesting
    public static abstract class i<T extends h, O> extends e<T, O> {
    }

    @VisibleForTesting
    public static final class j<C extends h> extends c<C> {
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: com.google.android.gms.common.api.a$a<C extends com.google.android.gms.common.api.a$f, O extends com.google.android.gms.common.api.a$d> */
    /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: com.google.android.gms.common.api.a$g<C extends com.google.android.gms.common.api.a$f> */
    /* JADX WARN: Multi-variable type inference failed */
    public <C extends f> a(String str, AbstractC0232a<C, O> aVar, g<C> gVar) {
        a0.l(aVar, "Cannot construct an Api with a null ClientBuilder");
        a0.l(gVar, "Cannot construct an Api with a null ClientKey");
        this.f9737e = str;
        this.f9733a = aVar;
        this.f9735c = gVar;
        this.f9736d = null;
    }

    public final c<?> a() {
        g<?> gVar = this.f9735c;
        if (gVar != null) {
            return gVar;
        }
        throw new IllegalStateException("This API was constructed with null client keys. This should not be possible.");
    }

    public final String b() {
        return this.f9737e;
    }

    public final e<?, O> c() {
        return this.f9733a;
    }

    public final AbstractC0232a<?, O> d() {
        a0.r(this.f9733a != null, "This API was constructed with a SimpleClientBuilder. Use getSimpleClientBuilder");
        return this.f9733a;
    }
}
