package com.google.android.gms.common.api;

import android.accounts.Account;
import android.app.Activity;
import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import androidx.annotation.MainThread;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import com.google.android.gms.auth.api.signin.GoogleSignInAccount;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.api.a;
import com.google.android.gms.common.api.a.d;
import com.google.android.gms.common.api.internal.b;
import com.google.android.gms.common.api.internal.d;
import com.google.android.gms.common.api.internal.e0;
import com.google.android.gms.common.api.internal.f2;
import com.google.android.gms.common.api.internal.g;
import com.google.android.gms.common.api.internal.l;
import com.google.android.gms.common.api.internal.m;
import com.google.android.gms.common.api.internal.p;
import com.google.android.gms.common.api.internal.q;
import com.google.android.gms.common.api.internal.q1;
import com.google.android.gms.common.api.internal.u;
import com.google.android.gms.common.api.internal.w;
import com.google.android.gms.common.api.internal.y;
import com.google.android.gms.common.api.internal.z2;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.f;
import com.google.android.gms.tasks.k;
import com.google.android.gms.tasks.l;
import java.util.Collections;
import java.util.Set;

@KeepForSdk
public class h<O extends a.d> {

    /* renamed from: a  reason: collision with root package name */
    private final Context f9753a;

    /* renamed from: b  reason: collision with root package name */
    private final a<O> f9754b;

    /* renamed from: c  reason: collision with root package name */
    private final O f9755c;

    /* renamed from: d  reason: collision with root package name */
    private final z2<O> f9756d;

    /* renamed from: e  reason: collision with root package name */
    private final Looper f9757e;
    private final int f;
    private final i g;
    private final u h;
    protected final g i;

    @KeepForSdk
    public static class a {
        @KeepForSdk

        /* renamed from: a  reason: collision with root package name */
        public static final a f9758a = new C0235a().a();

        /* renamed from: b  reason: collision with root package name */
        public final u f9759b;

        /* renamed from: c  reason: collision with root package name */
        public final Looper f9760c;

        @KeepForSdk
        /* renamed from: com.google.android.gms.common.api.h$a$a  reason: collision with other inner class name */
        public static class C0235a {

            /* renamed from: a  reason: collision with root package name */
            private u f9761a;

            /* renamed from: b  reason: collision with root package name */
            private Looper f9762b;

            @KeepForSdk
            public a a() {
                if (this.f9761a == null) {
                    this.f9761a = new b();
                }
                if (this.f9762b == null) {
                    this.f9762b = Looper.getMainLooper();
                }
                return new a(this.f9761a, this.f9762b);
            }

            @KeepForSdk
            public C0235a b(Looper looper) {
                a0.l(looper, "Looper must not be null.");
                this.f9762b = looper;
                return this;
            }

            @KeepForSdk
            public C0235a c(u uVar) {
                a0.l(uVar, "StatusExceptionMapper must not be null.");
                this.f9761a = uVar;
                return this;
            }
        }

        @KeepForSdk
        private a(u uVar, Account account, Looper looper) {
            this.f9759b = uVar;
            this.f9760c = looper;
        }
    }

    @KeepForSdk
    protected h(@NonNull Context context, a<O> aVar, Looper looper) {
        a0.l(context, "Null context is not permitted.");
        a0.l(aVar, "Api must not be null.");
        a0.l(looper, "Looper must not be null.");
        Context applicationContext = context.getApplicationContext();
        this.f9753a = applicationContext;
        this.f9754b = aVar;
        this.f9755c = null;
        this.f9757e = looper;
        this.f9756d = z2.a(aVar);
        this.g = new q1(this);
        g n = g.n(applicationContext);
        this.i = n;
        this.f = n.r();
        this.h = new b();
    }

    private final <A extends a.b, T extends d.a<? extends p, A>> T t(int i2, @NonNull T t) {
        t.w();
        this.i.j(this, i2, t);
        return t;
    }

    private final <TResult, A extends a.b> k<TResult> v(int i2, @NonNull w<A, TResult> wVar) {
        l lVar = new l();
        this.i.k(this, i2, wVar, lVar, this.h);
        return lVar.a();
    }

    @KeepForSdk
    public i a() {
        return this.g;
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public f.a b() {
        Account account;
        Set<Scope> set;
        GoogleSignInAccount k;
        GoogleSignInAccount k2;
        f.a aVar = new f.a();
        O o = this.f9755c;
        if (!(o instanceof a.d.b) || (k2 = ((a.d.b) o).k()) == null) {
            O o2 = this.f9755c;
            account = o2 instanceof a.d.AbstractC0233a ? ((a.d.AbstractC0233a) o2).o() : null;
        } else {
            account = k2.o();
        }
        f.a e2 = aVar.e(account);
        O o3 = this.f9755c;
        if (!(o3 instanceof a.d.b) || (k = ((a.d.b) o3).k()) == null) {
            set = Collections.emptySet();
        } else {
            set = k.D1();
        }
        return e2.a(set).h(this.f9753a.getClass().getName()).i(this.f9753a.getPackageName());
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public k<Boolean> c() {
        return this.i.v(this);
    }

    @KeepForSdk
    public <A extends a.b, T extends d.a<? extends p, A>> T d(@NonNull T t) {
        return (T) t(2, t);
    }

    @KeepForSdk
    public <TResult, A extends a.b> k<TResult> e(w<A, TResult> wVar) {
        return v(2, wVar);
    }

    @KeepForSdk
    public <A extends a.b, T extends d.a<? extends p, A>> T f(@NonNull T t) {
        return (T) t(0, t);
    }

    @KeepForSdk
    public <TResult, A extends a.b> k<TResult> g(w<A, TResult> wVar) {
        return v(0, wVar);
    }

    @KeepForSdk
    @Deprecated
    public <A extends a.b, T extends p<A, ?>, U extends y<A, ?>> k<Void> h(@NonNull T t, U u) {
        a0.k(t);
        a0.k(u);
        a0.l(t.b(), "Listener has already been released.");
        a0.l(u.a(), "Listener has already been released.");
        a0.b(t.b().equals(u.a()), "Listener registration and unregistration methods must be constructed with the same ListenerHolder.");
        return this.i.f(this, t, u);
    }

    @KeepForSdk
    public <A extends a.b> k<Void> i(@NonNull q<A, ?> qVar) {
        a0.k(qVar);
        a0.l(qVar.f9911a.b(), "Listener has already been released.");
        a0.l(qVar.f9912b.a(), "Listener has already been released.");
        return this.i.f(this, qVar.f9911a, qVar.f9912b);
    }

    @KeepForSdk
    public k<Boolean> j(@NonNull l.a<?> aVar) {
        a0.l(aVar, "Listener key cannot be null.");
        return this.i.e(this, aVar);
    }

    @KeepForSdk
    public <A extends a.b, T extends d.a<? extends p, A>> T k(@NonNull T t) {
        return (T) t(1, t);
    }

    @KeepForSdk
    public <TResult, A extends a.b> k<TResult> l(w<A, TResult> wVar) {
        return v(1, wVar);
    }

    public final a<O> m() {
        return this.f9754b;
    }

    @KeepForSdk
    public O n() {
        return this.f9755c;
    }

    @KeepForSdk
    public Context o() {
        return this.f9753a;
    }

    public final int p() {
        return this.f;
    }

    @KeepForSdk
    public Looper q() {
        return this.f9757e;
    }

    @KeepForSdk
    public <L> com.google.android.gms.common.api.internal.l<L> r(@NonNull L l, String str) {
        return m.a(l, this.f9757e, str);
    }

    @WorkerThread
    public a.f s(Looper looper, g.a<O> aVar) {
        return this.f9754b.d().c(this.f9753a, looper, b().c(), this.f9755c, aVar, aVar);
    }

    public f2 u(Context context, Handler handler) {
        return new f2(context, handler, b().c());
    }

    public final z2<O> w() {
        return this.f9756d;
    }

    @KeepForSdk
    @Deprecated
    public h(@NonNull Context context, a<O> aVar, @Nullable O o, Looper looper, u uVar) {
        this(context, aVar, o, new a.C0235a().b(looper).c(uVar).a());
    }

    @KeepForSdk
    @MainThread
    public h(@NonNull Activity activity, a<O> aVar, @Nullable O o, a aVar2) {
        a0.l(activity, "Null activity is not permitted.");
        a0.l(aVar, "Api must not be null.");
        a0.l(aVar2, "Settings must not be null; use Settings.DEFAULT_SETTINGS instead.");
        Context applicationContext = activity.getApplicationContext();
        this.f9753a = applicationContext;
        this.f9754b = aVar;
        this.f9755c = o;
        this.f9757e = aVar2.f9760c;
        z2<O> b2 = z2.b(aVar, o);
        this.f9756d = b2;
        this.g = new q1(this);
        g n = g.n(applicationContext);
        this.i = n;
        this.f = n.r();
        this.h = aVar2.f9759b;
        if (!(activity instanceof GoogleApiActivity)) {
            e0.r(activity, n, b2);
        }
        n.i(this);
    }

    @KeepForSdk
    public h(@NonNull Context context, a<O> aVar, @Nullable O o, a aVar2) {
        a0.l(context, "Null context is not permitted.");
        a0.l(aVar, "Api must not be null.");
        a0.l(aVar2, "Settings must not be null; use Settings.DEFAULT_SETTINGS instead.");
        Context applicationContext = context.getApplicationContext();
        this.f9753a = applicationContext;
        this.f9754b = aVar;
        this.f9755c = o;
        this.f9757e = aVar2.f9760c;
        this.f9756d = z2.b(aVar, o);
        this.g = new q1(this);
        g n = g.n(applicationContext);
        this.i = n;
        this.f = n.r();
        this.h = aVar2.f9759b;
        n.i(this);
    }

    @KeepForSdk
    @Deprecated
    public h(@NonNull Activity activity, a<O> aVar, @Nullable O o, u uVar) {
        this(activity, (a) aVar, (a.d) o, new a.C0235a().c(uVar).b(activity.getMainLooper()).a());
    }

    @KeepForSdk
    @Deprecated
    public h(@NonNull Context context, a<O> aVar, @Nullable O o, u uVar) {
        this(context, aVar, o, new a.C0235a().c(uVar).a());
    }
}
