package com.google.android.gms.common.api.internal;

import android.os.Looper;
import android.os.Message;
import android.os.RemoteException;
import android.util.Log;
import android.util.Pair;
import androidx.annotation.NonNull;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.annotation.KeepName;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.i;
import com.google.android.gms.common.api.k;
import com.google.android.gms.common.api.m;
import com.google.android.gms.common.api.p;
import com.google.android.gms.common.api.q;
import com.google.android.gms.common.api.s;
import com.google.android.gms.common.api.t;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.internal.base.o;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicReference;

@KeepForSdk
@KeepName
public abstract class BasePendingResult<R extends p> extends k<R> {

    /* renamed from: a  reason: collision with root package name */
    static final ThreadLocal<Boolean> f9774a = new g3();

    /* renamed from: b  reason: collision with root package name */
    private final Object f9775b;

    /* renamed from: c  reason: collision with root package name */
    private final a<R> f9776c;

    /* renamed from: d  reason: collision with root package name */
    private final WeakReference<i> f9777d;

    /* renamed from: e  reason: collision with root package name */
    private final CountDownLatch f9778e;
    private final ArrayList<k.a> f;
    private q<? super R> g;
    private final AtomicReference<t2> h;
    private R i;
    private Status j;
    private volatile boolean k;
    private boolean l;
    private boolean m;
    @KeepName
    private b mResultGuardian;
    private com.google.android.gms.common.internal.q n;
    private volatile n2<R> o;
    private boolean p;

    @VisibleForTesting
    public static class a<R extends p> extends o {
        public a() {
            this(Looper.getMainLooper());
        }

        public final void a(q<? super R> qVar, R r) {
            sendMessage(obtainMessage(1, new Pair(qVar, r)));
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v2, resolved type: com.google.android.gms.common.api.q */
        /* JADX WARN: Multi-variable type inference failed */
        public void handleMessage(Message message) {
            int i = message.what;
            if (i == 1) {
                Pair pair = (Pair) message.obj;
                q qVar = (q) pair.first;
                p pVar = (p) pair.second;
                try {
                    qVar.a(pVar);
                } catch (RuntimeException e2) {
                    BasePendingResult.t(pVar);
                    throw e2;
                }
            } else if (i != 2) {
                StringBuilder sb = new StringBuilder(45);
                sb.append("Don't know how to handle message: ");
                sb.append(i);
                Log.wtf("BasePendingResult", sb.toString(), new Exception());
            } else {
                ((BasePendingResult) message.obj).u(Status.J0);
            }
        }

        public a(Looper looper) {
            super(looper);
        }
    }

    /* access modifiers changed from: private */
    public final class b {
        private b() {
        }

        /* access modifiers changed from: protected */
        public final void finalize() throws Throwable {
            BasePendingResult.t(BasePendingResult.this.i);
            super.finalize();
        }

        /* synthetic */ b(BasePendingResult basePendingResult, g3 g3Var) {
            this();
        }
    }

    @Deprecated
    BasePendingResult() {
        this.f9775b = new Object();
        this.f9778e = new CountDownLatch(1);
        this.f = new ArrayList<>();
        this.h = new AtomicReference<>();
        this.p = false;
        this.f9776c = new a<>(Looper.getMainLooper());
        this.f9777d = new WeakReference<>(null);
    }

    private final R m() {
        R r;
        synchronized (this.f9775b) {
            a0.r(!this.k, "Result has already been consumed.");
            a0.r(n(), "Result is not ready.");
            r = this.i;
            this.i = null;
            this.g = null;
            this.k = true;
        }
        t2 andSet = this.h.getAndSet(null);
        if (andSet != null) {
            andSet.a(this);
        }
        return r;
    }

    private final void r(R r) {
        this.i = r;
        this.n = null;
        this.f9778e.countDown();
        this.j = this.i.d();
        if (this.l) {
            this.g = null;
        } else if (this.g != null) {
            this.f9776c.removeMessages(2);
            this.f9776c.a(this.g, m());
        } else if (this.i instanceof m) {
            this.mResultGuardian = new b(this, null);
        }
        ArrayList<k.a> arrayList = this.f;
        int size = arrayList.size();
        int i2 = 0;
        while (i2 < size) {
            k.a aVar = arrayList.get(i2);
            i2++;
            aVar.a(this.j);
        }
        this.f.clear();
    }

    public static void t(p pVar) {
        if (pVar instanceof m) {
            try {
                ((m) pVar).release();
            } catch (RuntimeException e2) {
                String valueOf = String.valueOf(pVar);
                StringBuilder sb = new StringBuilder(valueOf.length() + 18);
                sb.append("Unable to release ");
                sb.append(valueOf);
                Log.w("BasePendingResult", sb.toString(), e2);
            }
        }
    }

    @Override // com.google.android.gms.common.api.k
    public final void c(k.a aVar) {
        a0.b(aVar != null, "Callback cannot be null.");
        synchronized (this.f9775b) {
            if (n()) {
                aVar.a(this.j);
            } else {
                this.f.add(aVar);
            }
        }
    }

    @Override // com.google.android.gms.common.api.k
    public final R d() {
        a0.j("await must not be called on the UI thread");
        boolean z = true;
        a0.r(!this.k, "Result has already been consumed");
        if (this.o != null) {
            z = false;
        }
        a0.r(z, "Cannot await if then() has been called.");
        try {
            this.f9778e.await();
        } catch (InterruptedException unused) {
            u(Status.f9732b);
        }
        a0.r(n(), "Result is not ready.");
        return m();
    }

    @Override // com.google.android.gms.common.api.k
    public final R e(long j2, TimeUnit timeUnit) {
        if (j2 > 0) {
            a0.j("await must not be called on the UI thread when time is greater than zero.");
        }
        boolean z = true;
        a0.r(!this.k, "Result has already been consumed.");
        if (this.o != null) {
            z = false;
        }
        a0.r(z, "Cannot await if then() has been called.");
        try {
            if (!this.f9778e.await(j2, timeUnit)) {
                u(Status.J0);
            }
        } catch (InterruptedException unused) {
            u(Status.f9732b);
        }
        a0.r(n(), "Result is not ready.");
        return m();
    }

    @Override // com.google.android.gms.common.api.k
    @KeepForSdk
    public void f() {
        synchronized (this.f9775b) {
            if (!this.l) {
                if (!this.k) {
                    com.google.android.gms.common.internal.q qVar = this.n;
                    if (qVar != null) {
                        try {
                            qVar.cancel();
                        } catch (RemoteException unused) {
                        }
                    }
                    t(this.i);
                    this.l = true;
                    r(l(Status.K0));
                }
            }
        }
    }

    @Override // com.google.android.gms.common.api.k
    public boolean g() {
        boolean z;
        synchronized (this.f9775b) {
            z = this.l;
        }
        return z;
    }

    @Override // com.google.android.gms.common.api.k
    @KeepForSdk
    public final void h(q<? super R> qVar) {
        synchronized (this.f9775b) {
            if (qVar == null) {
                this.g = null;
                return;
            }
            boolean z = true;
            a0.r(!this.k, "Result has already been consumed.");
            if (this.o != null) {
                z = false;
            }
            a0.r(z, "Cannot set callbacks if then() has been called.");
            if (!g()) {
                if (n()) {
                    this.f9776c.a(qVar, m());
                } else {
                    this.g = qVar;
                }
            }
        }
    }

    @Override // com.google.android.gms.common.api.k
    @KeepForSdk
    public final void i(q<? super R> qVar, long j2, TimeUnit timeUnit) {
        synchronized (this.f9775b) {
            if (qVar == null) {
                this.g = null;
                return;
            }
            boolean z = true;
            a0.r(!this.k, "Result has already been consumed.");
            if (this.o != null) {
                z = false;
            }
            a0.r(z, "Cannot set callbacks if then() has been called.");
            if (!g()) {
                if (n()) {
                    this.f9776c.a(qVar, m());
                } else {
                    this.g = qVar;
                    a<R> aVar = this.f9776c;
                    aVar.sendMessageDelayed(aVar.obtainMessage(2, this), timeUnit.toMillis(j2));
                }
            }
        }
    }

    @Override // com.google.android.gms.common.api.k
    public <S extends p> t<S> j(s<? super R, ? extends S> sVar) {
        t<S> c2;
        a0.r(!this.k, "Result has already been consumed.");
        synchronized (this.f9775b) {
            boolean z = false;
            a0.r(this.o == null, "Cannot call then() twice.");
            a0.r(this.g == null, "Cannot call then() if callbacks are set.");
            if (!this.l) {
                z = true;
            }
            a0.r(z, "Cannot call then() if result was canceled.");
            this.p = true;
            this.o = new n2<>(this.f9777d);
            c2 = this.o.c(sVar);
            if (n()) {
                this.f9776c.a(this.o, m());
            } else {
                this.g = this.o;
            }
        }
        return c2;
    }

    @Override // com.google.android.gms.common.api.k
    public final Integer k() {
        return null;
    }

    /* access modifiers changed from: protected */
    @NonNull
    @KeepForSdk
    public abstract R l(Status status);

    @KeepForSdk
    public final boolean n() {
        return this.f9778e.getCount() == 0;
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public final void o(com.google.android.gms.common.internal.q qVar) {
        synchronized (this.f9775b) {
            this.n = qVar;
        }
    }

    @KeepForSdk
    public final void p(R r) {
        synchronized (this.f9775b) {
            if (this.m || this.l) {
                t(r);
                return;
            }
            n();
            boolean z = true;
            a0.r(!n(), "Results have already been set");
            if (this.k) {
                z = false;
            }
            a0.r(z, "Result has already been consumed");
            r(r);
        }
    }

    public final void s(t2 t2Var) {
        this.h.set(t2Var);
    }

    public final void u(Status status) {
        synchronized (this.f9775b) {
            if (!n()) {
                p(l(status));
                this.m = true;
            }
        }
    }

    public final boolean v() {
        boolean g2;
        synchronized (this.f9775b) {
            if (this.f9777d.get() == null || !this.p) {
                f();
            }
            g2 = g();
        }
        return g2;
    }

    public final void w() {
        this.p = this.p || f9774a.get().booleanValue();
    }

    @KeepForSdk
    protected BasePendingResult(i iVar) {
        this.f9775b = new Object();
        this.f9778e = new CountDownLatch(1);
        this.f = new ArrayList<>();
        this.h = new AtomicReference<>();
        this.p = false;
        this.f9776c = new a<>(iVar != null ? iVar.r() : Looper.getMainLooper());
        this.f9777d = new WeakReference<>(iVar);
    }

    @KeepForSdk
    @Deprecated
    protected BasePendingResult(Looper looper) {
        this.f9775b = new Object();
        this.f9778e = new CountDownLatch(1);
        this.f = new ArrayList<>();
        this.h = new AtomicReference<>();
        this.p = false;
        this.f9776c = new a<>(looper);
        this.f9777d = new WeakReference<>(null);
    }

    @VisibleForTesting
    @KeepForSdk
    protected BasePendingResult(@NonNull a<R> aVar) {
        this.f9775b = new Object();
        this.f9778e = new CountDownLatch(1);
        this.f = new ArrayList<>();
        this.h = new AtomicReference<>();
        this.p = false;
        this.f9776c = (a) a0.l(aVar, "CallbackHandler must not be null");
        this.f9777d = new WeakReference<>(null);
    }
}
