package com.google.android.gms.common.api.internal;

import android.util.Log;
import android.util.SparseArray;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.i;
import com.google.android.gms.common.internal.a0;
import com.ibm.icu.impl.number.Padder;
import java.io.FileDescriptor;
import java.io.PrintWriter;

public class a3 extends c3 {
    private final SparseArray<a> L0 = new SparseArray<>();

    /* access modifiers changed from: private */
    public class a implements i.c {

        /* renamed from: c  reason: collision with root package name */
        public final int f9784c;

        /* renamed from: d  reason: collision with root package name */
        public final i f9785d;

        /* renamed from: e  reason: collision with root package name */
        public final i.c f9786e;

        public a(int i, i iVar, i.c cVar) {
            this.f9784c = i;
            this.f9785d = iVar;
            this.f9786e = cVar;
            iVar.C(this);
        }

        @Override // com.google.android.gms.common.api.i.c
        public final void y(@NonNull ConnectionResult connectionResult) {
            String valueOf = String.valueOf(connectionResult);
            StringBuilder sb = new StringBuilder(valueOf.length() + 27);
            sb.append("beginFailureResolution for ");
            sb.append(valueOf);
            Log.d("AutoManageHelper", sb.toString());
            a3.this.o(connectionResult, this.f9784c);
        }
    }

    private a3(k kVar) {
        super(kVar);
        this.f9780a.i("AutoManageHelper", this);
    }

    public static a3 r(j jVar) {
        k e2 = LifecycleCallback.e(jVar);
        a3 a3Var = (a3) e2.q("AutoManageHelper", a3.class);
        if (a3Var != null) {
            return a3Var;
        }
        return new a3(e2);
    }

    @Nullable
    private final a u(int i) {
        if (this.L0.size() <= i) {
            return null;
        }
        SparseArray<a> sparseArray = this.L0;
        return sparseArray.get(sparseArray.keyAt(i));
    }

    @Override // com.google.android.gms.common.api.internal.LifecycleCallback
    public void a(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        for (int i = 0; i < this.L0.size(); i++) {
            a u = u(i);
            if (u != null) {
                printWriter.append((CharSequence) str).append("GoogleApiClient #").print(u.f9784c);
                printWriter.println(":");
                u.f9785d.j(String.valueOf(str).concat("  "), fileDescriptor, printWriter, strArr);
            }
        }
    }

    @Override // com.google.android.gms.common.api.internal.c3, com.google.android.gms.common.api.internal.LifecycleCallback
    public void k() {
        super.k();
        boolean z = this.f9805b;
        String valueOf = String.valueOf(this.L0);
        StringBuilder sb = new StringBuilder(valueOf.length() + 14);
        sb.append("onStart ");
        sb.append(z);
        sb.append(Padder.f14124a);
        sb.append(valueOf);
        Log.d("AutoManageHelper", sb.toString());
        if (this.I0.get() == null) {
            for (int i = 0; i < this.L0.size(); i++) {
                a u = u(i);
                if (u != null) {
                    u.f9785d.g();
                }
            }
        }
    }

    @Override // com.google.android.gms.common.api.internal.c3, com.google.android.gms.common.api.internal.LifecycleCallback
    public void l() {
        super.l();
        for (int i = 0; i < this.L0.size(); i++) {
            a u = u(i);
            if (u != null) {
                u.f9785d.i();
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.api.internal.c3
    public final void n(ConnectionResult connectionResult, int i) {
        Log.w("AutoManageHelper", "Unresolved error while connecting client. Stopping auto-manage.");
        if (i < 0) {
            Log.wtf("AutoManageHelper", "AutoManageLifecycleHelper received onErrorResolutionFailed callback but no failing client ID is set", new Exception());
            return;
        }
        a aVar = this.L0.get(i);
        if (aVar != null) {
            s(i);
            i.c cVar = aVar.f9786e;
            if (cVar != null) {
                cVar.y(connectionResult);
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.api.internal.c3
    public final void p() {
        for (int i = 0; i < this.L0.size(); i++) {
            a u = u(i);
            if (u != null) {
                u.f9785d.g();
            }
        }
    }

    public final void s(int i) {
        a aVar = this.L0.get(i);
        this.L0.remove(i);
        if (aVar != null) {
            aVar.f9785d.G(aVar);
            aVar.f9785d.i();
        }
    }

    public final void t(int i, i iVar, i.c cVar) {
        a0.l(iVar, "GoogleApiClient instance cannot be null");
        boolean z = this.L0.indexOfKey(i) < 0;
        StringBuilder sb = new StringBuilder(54);
        sb.append("Already managing a GoogleApiClient with id ");
        sb.append(i);
        a0.r(z, sb.toString());
        d3 d3Var = this.I0.get();
        boolean z2 = this.f9805b;
        String valueOf = String.valueOf(d3Var);
        StringBuilder sb2 = new StringBuilder(valueOf.length() + 49);
        sb2.append("starting AutoManage for client ");
        sb2.append(i);
        sb2.append(Padder.f14124a);
        sb2.append(z2);
        sb2.append(Padder.f14124a);
        sb2.append(valueOf);
        Log.d("AutoManageHelper", sb2.toString());
        this.L0.put(i, new a(i, iVar, cVar));
        if (this.f9805b && d3Var == null) {
            String valueOf2 = String.valueOf(iVar);
            StringBuilder sb3 = new StringBuilder(valueOf2.length() + 11);
            sb3.append("connecting ");
            sb3.append(valueOf2);
            Log.d("AutoManageHelper", sb3.toString());
            iVar.g();
        }
    }
}
