package com.google.android.gms.common.api.internal;

import android.content.Context;
import android.os.Bundle;
import android.os.Looper;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.a;
import com.google.android.gms.common.api.internal.d;
import com.google.android.gms.common.api.p;
import com.google.android.gms.common.e;
import com.google.android.gms.common.internal.f;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.Lock;

public final class f1 implements s1, i3 {

    /* renamed from: c */
    private final Lock f9820c;

    /* renamed from: d */
    private final Condition f9821d;

    /* renamed from: e */
    private final Context f9822e;
    private final e f;
    private final h1 g;
    final Map<a.c<?>, a.f> h;
    final Map<a.c<?>, ConnectionResult> i = new HashMap();
    private final f j;
    private final Map<a<?>, Boolean> k;
    private final a.AbstractC0232a<? extends c.c.a.a.g.e, c.c.a.a.g.a> l;
    private volatile e1 m;
    private ConnectionResult n = null;
    int o;
    final w0 p;
    final t1 q;

    public f1(Context context, w0 w0Var, Lock lock, Looper looper, e eVar, Map<a.c<?>, a.f> map, f fVar, Map<a<?>, Boolean> map2, a.AbstractC0232a<? extends c.c.a.a.g.e, c.c.a.a.g.a> aVar, ArrayList<h3> arrayList, t1 t1Var) {
        this.f9822e = context;
        this.f9820c = lock;
        this.f = eVar;
        this.h = map;
        this.j = fVar;
        this.k = map2;
        this.l = aVar;
        this.p = w0Var;
        this.q = t1Var;
        int size = arrayList.size();
        int i2 = 0;
        while (i2 < size) {
            h3 h3Var = arrayList.get(i2);
            i2++;
            h3Var.a(this);
        }
        this.g = new h1(this, looper);
        this.f9821d = lock.newCondition();
        this.m = new v0(this);
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final boolean a() {
        return this.m instanceof k0;
    }

    @Override // com.google.android.gms.common.api.i.b
    public final void b(int i2) {
        this.f9820c.lock();
        try {
            this.m.b(i2);
        } finally {
            this.f9820c.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final void c(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        String concat = String.valueOf(str).concat("  ");
        printWriter.append((CharSequence) str).append("mState=").println(this.m);
        for (a<?> aVar : this.k.keySet()) {
            printWriter.append((CharSequence) str).append((CharSequence) aVar.b()).println(":");
            this.h.get(aVar.a()).c(concat, fileDescriptor, printWriter, strArr);
        }
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final void connect() {
        this.m.connect();
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final boolean d(s sVar) {
        return false;
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final void disconnect() {
        if (this.m.disconnect()) {
            this.i.clear();
        }
    }

    @Override // com.google.android.gms.common.api.i.b
    public final void e(Bundle bundle) {
        this.f9820c.lock();
        try {
            this.m.e(bundle);
        } finally {
            this.f9820c.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final ConnectionResult f(long j2, TimeUnit timeUnit) {
        connect();
        long nanos = timeUnit.toNanos(j2);
        while (a()) {
            if (nanos <= 0) {
                try {
                    disconnect();
                    return new ConnectionResult(14, null);
                } catch (InterruptedException unused) {
                    Thread.currentThread().interrupt();
                    return new ConnectionResult(15, null);
                }
            } else {
                nanos = this.f9821d.awaitNanos(nanos);
            }
        }
        if (isConnected()) {
            return ConnectionResult.c1;
        }
        ConnectionResult connectionResult = this.n;
        if (connectionResult != null) {
            return connectionResult;
        }
        return new ConnectionResult(13, null);
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final void g() {
        if (isConnected()) {
            ((h0) this.m).c();
        }
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final void h() {
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final ConnectionResult i(a<?> aVar) {
        a.c<?> a2 = aVar.a();
        if (!this.h.containsKey(a2)) {
            return null;
        }
        if (this.h.get(a2).isConnected()) {
            return ConnectionResult.c1;
        }
        if (this.i.containsKey(a2)) {
            return this.i.get(a2);
        }
        return null;
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final boolean isConnected() {
        return this.m instanceof h0;
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final ConnectionResult j() {
        connect();
        while (a()) {
            try {
                this.f9821d.await();
            } catch (InterruptedException unused) {
                Thread.currentThread().interrupt();
                return new ConnectionResult(15, null);
            }
        }
        if (isConnected()) {
            return ConnectionResult.c1;
        }
        ConnectionResult connectionResult = this.n;
        if (connectionResult != null) {
            return connectionResult;
        }
        return new ConnectionResult(13, null);
    }

    public final void l(g1 g1Var) {
        this.g.sendMessage(this.g.obtainMessage(1, g1Var));
    }

    @Override // com.google.android.gms.common.api.internal.i3
    public final void m(ConnectionResult connectionResult, a<?> aVar, boolean z) {
        this.f9820c.lock();
        try {
            this.m.m(connectionResult, aVar, z);
        } finally {
            this.f9820c.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final <A extends a.b, T extends d.a<? extends p, A>> T n(T t) {
        t.w();
        return (T) this.m.n(t);
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final <A extends a.b, R extends p, T extends d.a<R, A>> T o(T t) {
        t.w();
        return (T) this.m.o(t);
    }

    public final void p() {
        this.f9820c.lock();
        try {
            this.m = new k0(this, this.j, this.k, this.f, this.l, this.f9820c, this.f9822e);
            this.m.d();
            this.f9821d.signalAll();
        } finally {
            this.f9820c.unlock();
        }
    }

    public final void r(RuntimeException runtimeException) {
        this.g.sendMessage(this.g.obtainMessage(2, runtimeException));
    }

    public final void s() {
        this.f9820c.lock();
        try {
            this.p.R();
            this.m = new h0(this);
            this.m.d();
            this.f9821d.signalAll();
        } finally {
            this.f9820c.unlock();
        }
    }

    public final void t(ConnectionResult connectionResult) {
        this.f9820c.lock();
        try {
            this.n = connectionResult;
            this.m = new v0(this);
            this.m.d();
            this.f9821d.signalAll();
        } finally {
            this.f9820c.unlock();
        }
    }
}
