package com.google.android.gms.common.api.internal;

import android.app.Application;
import android.app.PendingIntent;
import android.content.Context;
import android.os.Bundle;
import android.os.DeadObjectException;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Looper;
import android.os.Message;
import android.os.RemoteException;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import androidx.work.m;
import androidx.work.t;
import c.c.a.a.g.e;
import com.google.android.exoplayer2.DefaultRenderersFactory;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.Feature;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.UnsupportedApiCallException;
import com.google.android.gms.common.api.a;
import com.google.android.gms.common.api.h;
import com.google.android.gms.common.api.i;
import com.google.android.gms.common.api.internal.d;
import com.google.android.gms.common.api.internal.l;
import com.google.android.gms.common.d;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.e;
import com.google.android.gms.common.internal.e0;
import com.google.android.gms.common.internal.o;
import com.google.android.gms.common.internal.p;
import com.google.android.gms.common.internal.y;
import com.google.android.gms.common.util.v;
import com.google.android.gms.tasks.k;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.Queue;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.atomic.AtomicInteger;
import javax.annotation.concurrent.GuardedBy;

@KeepForSdk
public class g implements Handler.Callback {
    private static final Object I0 = new Object();
    @GuardedBy("lock")
    private static g J0;

    /* renamed from: a  reason: collision with root package name */
    public static final Status f9827a = new Status(4, "Sign-out occurred while this API call was in progress.");

    /* renamed from: b  reason: collision with root package name */
    private static final Status f9828b = new Status(4, "The user must be signed in to make this API call.");
    private long K0 = DefaultRenderersFactory.f7874a;
    private long L0 = 120000;
    private long M0 = t.f4799c;
    private final Context N0;
    private final d O0;
    private final o P0;
    private final AtomicInteger Q0 = new AtomicInteger(1);
    private final AtomicInteger R0 = new AtomicInteger(0);
    private final Map<z2<?>, a<?>> S0 = new ConcurrentHashMap(5, 0.75f, 1);
    @GuardedBy("lock")
    private e0 T0 = null;
    @GuardedBy("lock")
    private final Set<z2<?>> U0 = new b.b.b();
    private final Set<z2<?>> V0 = new b.b.b();
    private final Handler W0;

    public class a<O extends a.d> implements i.b, i.c, i3 {

        /* renamed from: c  reason: collision with root package name */
        private final Queue<a1> f9829c = new LinkedList();

        /* renamed from: d  reason: collision with root package name */
        private final a.f f9830d;

        /* renamed from: e  reason: collision with root package name */
        private final a.b f9831e;
        private final z2<O> f;
        private final b0 g;
        private final Set<b3> h = new HashSet();
        private final Map<l.a<?>, w1> i = new HashMap();
        private final int j;
        private final f2 k;
        private boolean l;
        private final List<b> m = new ArrayList();
        private ConnectionResult n = null;

        @WorkerThread
        public a(h<O> hVar) {
            a.f s = hVar.s(g.this.W0.getLooper(), this);
            this.f9830d = s;
            if (s instanceof e0) {
                this.f9831e = ((e0) s).p0();
            } else {
                this.f9831e = s;
            }
            this.f = hVar.w();
            this.g = new b0();
            this.j = hVar.p();
            if (s.t()) {
                this.k = hVar.u(g.this.N0, g.this.W0);
            } else {
                this.k = null;
            }
        }

        @WorkerThread
        private final void B() {
            if (this.l) {
                g.this.W0.removeMessages(11, this.f);
                g.this.W0.removeMessages(9, this.f);
                this.l = false;
            }
        }

        private final void C() {
            g.this.W0.removeMessages(12, this.f);
            g.this.W0.sendMessageDelayed(g.this.W0.obtainMessage(12, this.f), g.this.M0);
        }

        @WorkerThread
        private final void G(a1 a1Var) {
            a1Var.d(this.g, f());
            try {
                a1Var.c(this);
            } catch (DeadObjectException unused) {
                b(1);
                this.f9830d.disconnect();
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        @WorkerThread
        private final boolean H(boolean z) {
            a0.d(g.this.W0);
            if (!this.f9830d.isConnected() || this.i.size() != 0) {
                return false;
            }
            if (this.g.e()) {
                if (z) {
                    C();
                }
                return false;
            }
            this.f9830d.disconnect();
            return true;
        }

        @WorkerThread
        private final boolean M(@NonNull ConnectionResult connectionResult) {
            synchronized (g.I0) {
                if (g.this.T0 == null || !g.this.U0.contains(this.f)) {
                    return false;
                }
                g.this.T0.o(connectionResult, this.j);
                return true;
            }
        }

        @WorkerThread
        private final void N(ConnectionResult connectionResult) {
            for (b3 b3Var : this.h) {
                String str = null;
                if (y.a(connectionResult, ConnectionResult.c1)) {
                    str = this.f9830d.g();
                }
                b3Var.b(this.f, connectionResult, str);
            }
            this.h.clear();
        }

        @Nullable
        @WorkerThread
        private final Feature h(@Nullable Feature[] featureArr) {
            if (!(featureArr == null || featureArr.length == 0)) {
                Feature[] r = this.f9830d.r();
                if (r == null) {
                    r = new Feature[0];
                }
                b.b.a aVar = new b.b.a(r.length);
                for (Feature feature : r) {
                    aVar.put(feature.e0(), Long.valueOf(feature.o0()));
                }
                for (Feature feature2 : featureArr) {
                    if (!aVar.containsKey(feature2.e0()) || ((Long) aVar.get(feature2.e0())).longValue() < feature2.o0()) {
                        return feature2;
                    }
                }
            }
            return null;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        @WorkerThread
        private final void j(b bVar) {
            if (!this.m.contains(bVar) || this.l) {
                return;
            }
            if (!this.f9830d.isConnected()) {
                a();
            } else {
                v();
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        @WorkerThread
        private final void r(b bVar) {
            Feature[] g2;
            if (this.m.remove(bVar)) {
                g.this.W0.removeMessages(15, bVar);
                g.this.W0.removeMessages(16, bVar);
                Feature feature = bVar.f9833b;
                ArrayList arrayList = new ArrayList(this.f9829c.size());
                for (a1 a1Var : this.f9829c) {
                    if ((a1Var instanceof a2) && (g2 = ((a2) a1Var).g(this)) != null && com.google.android.gms.common.util.b.e(g2, feature)) {
                        arrayList.add(a1Var);
                    }
                }
                int size = arrayList.size();
                int i2 = 0;
                while (i2 < size) {
                    Object obj = arrayList.get(i2);
                    i2++;
                    a1 a1Var2 = (a1) obj;
                    this.f9829c.remove(a1Var2);
                    a1Var2.e(new UnsupportedApiCallException(feature));
                }
            }
        }

        @WorkerThread
        private final boolean s(a1 a1Var) {
            if (!(a1Var instanceof a2)) {
                G(a1Var);
                return true;
            }
            a2 a2Var = (a2) a1Var;
            Feature h2 = h(a2Var.g(this));
            if (h2 == null) {
                G(a1Var);
                return true;
            } else if (a2Var.h(this)) {
                b bVar = new b(this.f, h2, null);
                int indexOf = this.m.indexOf(bVar);
                if (indexOf >= 0) {
                    b bVar2 = this.m.get(indexOf);
                    g.this.W0.removeMessages(15, bVar2);
                    g.this.W0.sendMessageDelayed(Message.obtain(g.this.W0, 15, bVar2), g.this.K0);
                    return false;
                }
                this.m.add(bVar);
                g.this.W0.sendMessageDelayed(Message.obtain(g.this.W0, 15, bVar), g.this.K0);
                g.this.W0.sendMessageDelayed(Message.obtain(g.this.W0, 16, bVar), g.this.L0);
                ConnectionResult connectionResult = new ConnectionResult(2, null);
                if (M(connectionResult)) {
                    return false;
                }
                g.this.w(connectionResult, this.j);
                return false;
            } else {
                a2Var.e(new UnsupportedApiCallException(h2));
                return false;
            }
        }

        /* access modifiers changed from: private */
        @WorkerThread
        public final void t() {
            z();
            N(ConnectionResult.c1);
            B();
            Iterator<w1> it = this.i.values().iterator();
            while (it.hasNext()) {
                w1 next = it.next();
                if (h(next.f9953a.c()) != null) {
                    it.remove();
                } else {
                    try {
                        next.f9953a.d(this.f9831e, new com.google.android.gms.tasks.l<>());
                    } catch (DeadObjectException unused) {
                        b(1);
                        this.f9830d.disconnect();
                    } catch (RemoteException unused2) {
                        it.remove();
                    }
                }
            }
            v();
            C();
        }

        /* access modifiers changed from: private */
        @WorkerThread
        public final void u() {
            z();
            this.l = true;
            this.g.g();
            g.this.W0.sendMessageDelayed(Message.obtain(g.this.W0, 9, this.f), g.this.K0);
            g.this.W0.sendMessageDelayed(Message.obtain(g.this.W0, 11, this.f), g.this.L0);
            g.this.P0.a();
        }

        @WorkerThread
        private final void v() {
            ArrayList arrayList = new ArrayList(this.f9829c);
            int size = arrayList.size();
            int i2 = 0;
            while (i2 < size) {
                Object obj = arrayList.get(i2);
                i2++;
                a1 a1Var = (a1) obj;
                if (!this.f9830d.isConnected()) {
                    return;
                }
                if (s(a1Var)) {
                    this.f9829c.remove(a1Var);
                }
            }
        }

        @WorkerThread
        public final ConnectionResult A() {
            a0.d(g.this.W0);
            return this.n;
        }

        @WorkerThread
        public final boolean D() {
            return H(true);
        }

        /* access modifiers changed from: package-private */
        public final e E() {
            f2 f2Var = this.k;
            if (f2Var == null) {
                return null;
            }
            return f2Var.V0();
        }

        @WorkerThread
        public final void F(Status status) {
            a0.d(g.this.W0);
            for (a1 a1Var : this.f9829c) {
                a1Var.b(status);
            }
            this.f9829c.clear();
        }

        @WorkerThread
        public final void L(@NonNull ConnectionResult connectionResult) {
            a0.d(g.this.W0);
            this.f9830d.disconnect();
            y(connectionResult);
        }

        @WorkerThread
        public final void a() {
            a0.d(g.this.W0);
            if (!this.f9830d.isConnected() && !this.f9830d.a()) {
                int b2 = g.this.P0.b(g.this.N0, this.f9830d);
                if (b2 != 0) {
                    y(new ConnectionResult(b2, null));
                    return;
                }
                c cVar = new c(this.f9830d, this.f);
                if (this.f9830d.t()) {
                    this.k.U0(cVar);
                }
                this.f9830d.i(cVar);
            }
        }

        @Override // com.google.android.gms.common.api.i.b
        public final void b(int i2) {
            if (Looper.myLooper() == g.this.W0.getLooper()) {
                u();
            } else {
                g.this.W0.post(new l1(this));
            }
        }

        public final int c() {
            return this.j;
        }

        /* access modifiers changed from: package-private */
        public final boolean d() {
            return this.f9830d.isConnected();
        }

        @Override // com.google.android.gms.common.api.i.b
        public final void e(@Nullable Bundle bundle) {
            if (Looper.myLooper() == g.this.W0.getLooper()) {
                t();
            } else {
                g.this.W0.post(new k1(this));
            }
        }

        public final boolean f() {
            return this.f9830d.t();
        }

        @WorkerThread
        public final void g() {
            a0.d(g.this.W0);
            if (this.l) {
                a();
            }
        }

        @WorkerThread
        public final void k(a1 a1Var) {
            a0.d(g.this.W0);
            if (!this.f9830d.isConnected()) {
                this.f9829c.add(a1Var);
                ConnectionResult connectionResult = this.n;
                if (connectionResult == null || !connectionResult.d1()) {
                    a();
                } else {
                    y(this.n);
                }
            } else if (s(a1Var)) {
                C();
            } else {
                this.f9829c.add(a1Var);
            }
        }

        @WorkerThread
        public final void l(b3 b3Var) {
            a0.d(g.this.W0);
            this.h.add(b3Var);
        }

        @Override // com.google.android.gms.common.api.internal.i3
        public final void m(ConnectionResult connectionResult, com.google.android.gms.common.api.a<?> aVar, boolean z) {
            if (Looper.myLooper() == g.this.W0.getLooper()) {
                y(connectionResult);
            } else {
                g.this.W0.post(new m1(this, connectionResult));
            }
        }

        public final a.f o() {
            return this.f9830d;
        }

        @WorkerThread
        public final void p() {
            Status status;
            a0.d(g.this.W0);
            if (this.l) {
                B();
                if (g.this.O0.j(g.this.N0) == 18) {
                    status = new Status(8, "Connection timed out while waiting for Google Play services update to complete.");
                } else {
                    status = new Status(8, "API failed to connect while resuming due to an unknown error.");
                }
                F(status);
                this.f9830d.disconnect();
            }
        }

        @WorkerThread
        public final void w() {
            a0.d(g.this.W0);
            F(g.f9827a);
            this.g.f();
            for (l.a aVar : (l.a[]) this.i.keySet().toArray(new l.a[this.i.size()])) {
                k(new y2(aVar, new com.google.android.gms.tasks.l()));
            }
            N(new ConnectionResult(4));
            if (this.f9830d.isConnected()) {
                this.f9830d.k(new n1(this));
            }
        }

        public final Map<l.a<?>, w1> x() {
            return this.i;
        }

        @Override // com.google.android.gms.common.api.i.c
        @WorkerThread
        public final void y(@NonNull ConnectionResult connectionResult) {
            a0.d(g.this.W0);
            f2 f2Var = this.k;
            if (f2Var != null) {
                f2Var.W0();
            }
            z();
            g.this.P0.a();
            N(connectionResult);
            if (connectionResult.e0() == 4) {
                F(g.f9828b);
            } else if (this.f9829c.isEmpty()) {
                this.n = connectionResult;
            } else if (!M(connectionResult) && !g.this.w(connectionResult, this.j)) {
                if (connectionResult.e0() == 18) {
                    this.l = true;
                }
                if (this.l) {
                    g.this.W0.sendMessageDelayed(Message.obtain(g.this.W0, 9, this.f), g.this.K0);
                    return;
                }
                String c2 = this.f.c();
                StringBuilder sb = new StringBuilder(String.valueOf(c2).length() + 38);
                sb.append("API: ");
                sb.append(c2);
                sb.append(" is not available on this device.");
                F(new Status(17, sb.toString()));
            }
        }

        @WorkerThread
        public final void z() {
            a0.d(g.this.W0);
            this.n = null;
        }
    }

    /* access modifiers changed from: private */
    public class c implements i2, e.c {

        /* renamed from: a  reason: collision with root package name */
        private final a.f f9834a;

        /* renamed from: b  reason: collision with root package name */
        private final z2<?> f9835b;

        /* renamed from: c  reason: collision with root package name */
        private p f9836c = null;

        /* renamed from: d  reason: collision with root package name */
        private Set<Scope> f9837d = null;

        /* renamed from: e  reason: collision with root package name */
        private boolean f9838e = false;

        public c(a.f fVar, z2<?> z2Var) {
            this.f9834a = fVar;
            this.f9835b = z2Var;
        }

        /* access modifiers changed from: private */
        @WorkerThread
        public final void g() {
            p pVar;
            if (this.f9838e && (pVar = this.f9836c) != null) {
                this.f9834a.f(pVar, this.f9837d);
            }
        }

        @Override // com.google.android.gms.common.internal.e.c
        public final void a(@NonNull ConnectionResult connectionResult) {
            g.this.W0.post(new p1(this, connectionResult));
        }

        @Override // com.google.android.gms.common.api.internal.i2
        @WorkerThread
        public final void b(p pVar, Set<Scope> set) {
            if (pVar == null || set == null) {
                Log.wtf("GoogleApiManager", "Received null response from onSignInSuccess", new Exception());
                c(new ConnectionResult(4));
                return;
            }
            this.f9836c = pVar;
            this.f9837d = set;
            g();
        }

        @Override // com.google.android.gms.common.api.internal.i2
        @WorkerThread
        public final void c(ConnectionResult connectionResult) {
            ((a) g.this.S0.get(this.f9835b)).L(connectionResult);
        }
    }

    @KeepForSdk
    private g(Context context, Looper looper, d dVar) {
        this.N0 = context;
        com.google.android.gms.internal.base.o oVar = new com.google.android.gms.internal.base.o(looper, this);
        this.W0 = oVar;
        this.O0 = dVar;
        this.P0 = new o(dVar);
        oVar.sendMessage(oVar.obtainMessage(6));
    }

    @KeepForSdk
    public static void b() {
        synchronized (I0) {
            g gVar = J0;
            if (gVar != null) {
                gVar.R0.incrementAndGet();
                Handler handler = gVar.W0;
                handler.sendMessageAtFrontOfQueue(handler.obtainMessage(10));
            }
        }
    }

    public static g n(Context context) {
        g gVar;
        synchronized (I0) {
            if (J0 == null) {
                HandlerThread handlerThread = new HandlerThread("GoogleApiHandler", 9);
                handlerThread.start();
                J0 = new g(context.getApplicationContext(), handlerThread.getLooper(), d.v());
            }
            gVar = J0;
        }
        return gVar;
    }

    @WorkerThread
    private final void o(h<?> hVar) {
        z2<?> w = hVar.w();
        a<?> aVar = this.S0.get(w);
        if (aVar == null) {
            aVar = new a<>(hVar);
            this.S0.put(w, aVar);
        }
        if (aVar.f()) {
            this.V0.add(w);
        }
        aVar.a();
    }

    public static g q() {
        g gVar;
        synchronized (I0) {
            a0.l(J0, "Must guarantee manager is non-null before using getInstance");
            gVar = J0;
        }
        return gVar;
    }

    public final void E() {
        Handler handler = this.W0;
        handler.sendMessage(handler.obtainMessage(3));
    }

    /* access modifiers changed from: package-private */
    public final void a() {
        this.R0.incrementAndGet();
        Handler handler = this.W0;
        handler.sendMessage(handler.obtainMessage(10));
    }

    /* access modifiers changed from: package-private */
    public final PendingIntent c(z2<?> z2Var, int i) {
        c.c.a.a.g.e E;
        a<?> aVar = this.S0.get(z2Var);
        if (aVar == null || (E = aVar.E()) == null) {
            return null;
        }
        return PendingIntent.getActivity(this.N0, i, E.s(), 134217728);
    }

    public final <O extends a.d> k<Boolean> e(@NonNull h<O> hVar, @NonNull l.a<?> aVar) {
        com.google.android.gms.tasks.l lVar = new com.google.android.gms.tasks.l();
        y2 y2Var = new y2(aVar, lVar);
        Handler handler = this.W0;
        handler.sendMessage(handler.obtainMessage(13, new v1(y2Var, this.R0.get(), hVar)));
        return lVar.a();
    }

    public final <O extends a.d> k<Void> f(@NonNull h<O> hVar, @NonNull p<a.b, ?> pVar, @NonNull y<a.b, ?> yVar) {
        com.google.android.gms.tasks.l lVar = new com.google.android.gms.tasks.l();
        w2 w2Var = new w2(new w1(pVar, yVar), lVar);
        Handler handler = this.W0;
        handler.sendMessage(handler.obtainMessage(8, new v1(w2Var, this.R0.get(), hVar)));
        return lVar.a();
    }

    public final k<Map<z2<?>, String>> g(Iterable<? extends h<?>> iterable) {
        b3 b3Var = new b3(iterable);
        Handler handler = this.W0;
        handler.sendMessage(handler.obtainMessage(2, b3Var));
        return b3Var.a();
    }

    public final void h(ConnectionResult connectionResult, int i) {
        if (!w(connectionResult, i)) {
            Handler handler = this.W0;
            handler.sendMessage(handler.obtainMessage(5, i, 0, connectionResult));
        }
    }

    @WorkerThread
    public boolean handleMessage(Message message) {
        int i = message.what;
        long j = m.h;
        a<?> aVar = null;
        switch (i) {
            case 1:
                if (((Boolean) message.obj).booleanValue()) {
                    j = t.f4799c;
                }
                this.M0 = j;
                this.W0.removeMessages(12);
                for (z2<?> z2Var : this.S0.keySet()) {
                    Handler handler = this.W0;
                    handler.sendMessageDelayed(handler.obtainMessage(12, z2Var), this.M0);
                }
                break;
            case 2:
                b3 b3Var = (b3) message.obj;
                Iterator<z2<?>> it = b3Var.c().iterator();
                while (true) {
                    if (!it.hasNext()) {
                        break;
                    } else {
                        z2<?> next = it.next();
                        a<?> aVar2 = this.S0.get(next);
                        if (aVar2 == null) {
                            b3Var.b(next, new ConnectionResult(13), null);
                            break;
                        } else if (aVar2.d()) {
                            b3Var.b(next, ConnectionResult.c1, aVar2.o().g());
                        } else if (aVar2.A() != null) {
                            b3Var.b(next, aVar2.A(), null);
                        } else {
                            aVar2.l(b3Var);
                            aVar2.a();
                        }
                    }
                }
            case 3:
                for (a<?> aVar3 : this.S0.values()) {
                    aVar3.z();
                    aVar3.a();
                }
                break;
            case 4:
            case 8:
            case 13:
                v1 v1Var = (v1) message.obj;
                a<?> aVar4 = this.S0.get(v1Var.f9945c.w());
                if (aVar4 == null) {
                    o(v1Var.f9945c);
                    aVar4 = this.S0.get(v1Var.f9945c.w());
                }
                if (!aVar4.f() || this.R0.get() == v1Var.f9944b) {
                    aVar4.k(v1Var.f9943a);
                    break;
                } else {
                    v1Var.f9943a.b(f9827a);
                    aVar4.w();
                    break;
                }
                break;
            case 5:
                int i2 = message.arg1;
                ConnectionResult connectionResult = (ConnectionResult) message.obj;
                Iterator<a<?>> it2 = this.S0.values().iterator();
                while (true) {
                    if (it2.hasNext()) {
                        a<?> next2 = it2.next();
                        if (next2.c() == i2) {
                            aVar = next2;
                        }
                    }
                }
                if (aVar != null) {
                    String h = this.O0.h(connectionResult.e0());
                    String o0 = connectionResult.o0();
                    StringBuilder sb = new StringBuilder(String.valueOf(h).length() + 69 + String.valueOf(o0).length());
                    sb.append("Error resolution was canceled by the user, original error message: ");
                    sb.append(h);
                    sb.append(": ");
                    sb.append(o0);
                    aVar.F(new Status(17, sb.toString()));
                    break;
                } else {
                    StringBuilder sb2 = new StringBuilder(76);
                    sb2.append("Could not find API instance ");
                    sb2.append(i2);
                    sb2.append(" while trying to fail enqueued calls.");
                    Log.wtf("GoogleApiManager", sb2.toString(), new Exception());
                    break;
                }
            case 6:
                if (v.c() && (this.N0.getApplicationContext() instanceof Application)) {
                    c.c((Application) this.N0.getApplicationContext());
                    c.b().a(new j1(this));
                    if (!c.b().f(true)) {
                        this.M0 = m.h;
                        break;
                    }
                }
                break;
            case 7:
                o((h) message.obj);
                break;
            case 9:
                if (this.S0.containsKey(message.obj)) {
                    this.S0.get(message.obj).g();
                    break;
                }
                break;
            case 10:
                for (z2<?> z2Var2 : this.V0) {
                    this.S0.remove(z2Var2).w();
                }
                this.V0.clear();
                break;
            case 11:
                if (this.S0.containsKey(message.obj)) {
                    this.S0.get(message.obj).p();
                    break;
                }
                break;
            case 12:
                if (this.S0.containsKey(message.obj)) {
                    this.S0.get(message.obj).D();
                    break;
                }
                break;
            case 14:
                f0 f0Var = (f0) message.obj;
                z2<?> b2 = f0Var.b();
                if (!this.S0.containsKey(b2)) {
                    f0Var.a().c(Boolean.FALSE);
                    break;
                } else {
                    f0Var.a().c(Boolean.valueOf(this.S0.get(b2).H(false)));
                    break;
                }
            case 15:
                b bVar = (b) message.obj;
                if (this.S0.containsKey(bVar.f9832a)) {
                    this.S0.get(bVar.f9832a).j(bVar);
                    break;
                }
                break;
            case 16:
                b bVar2 = (b) message.obj;
                if (this.S0.containsKey(bVar2.f9832a)) {
                    this.S0.get(bVar2.f9832a).r(bVar2);
                    break;
                }
                break;
            default:
                StringBuilder sb3 = new StringBuilder(31);
                sb3.append("Unknown message id: ");
                sb3.append(i);
                Log.w("GoogleApiManager", sb3.toString());
                return false;
        }
        return true;
    }

    public final void i(h<?> hVar) {
        Handler handler = this.W0;
        handler.sendMessage(handler.obtainMessage(7, hVar));
    }

    public final <O extends a.d> void j(h<O> hVar, int i, d.a<? extends com.google.android.gms.common.api.p, a.b> aVar) {
        v2 v2Var = new v2(i, aVar);
        Handler handler = this.W0;
        handler.sendMessage(handler.obtainMessage(4, new v1(v2Var, this.R0.get(), hVar)));
    }

    public final <O extends a.d, ResultT> void k(h<O> hVar, int i, w<a.b, ResultT> wVar, com.google.android.gms.tasks.l<ResultT> lVar, u uVar) {
        x2 x2Var = new x2(i, wVar, lVar, uVar);
        Handler handler = this.W0;
        handler.sendMessage(handler.obtainMessage(4, new v1(x2Var, this.R0.get(), hVar)));
    }

    public final void l(@NonNull e0 e0Var) {
        synchronized (I0) {
            if (this.T0 != e0Var) {
                this.T0 = e0Var;
                this.U0.clear();
            }
            this.U0.addAll(e0Var.s());
        }
    }

    /* access modifiers changed from: package-private */
    public final void p(@NonNull e0 e0Var) {
        synchronized (I0) {
            if (this.T0 == e0Var) {
                this.T0 = null;
                this.U0.clear();
            }
        }
    }

    public final int r() {
        return this.Q0.getAndIncrement();
    }

    public final k<Boolean> v(h<?> hVar) {
        f0 f0Var = new f0(hVar.w());
        Handler handler = this.W0;
        handler.sendMessage(handler.obtainMessage(14, f0Var));
        return f0Var.a().a();
    }

    /* access modifiers changed from: package-private */
    public final boolean w(ConnectionResult connectionResult, int i) {
        return this.O0.J(this.N0, connectionResult, i);
    }

    /* access modifiers changed from: private */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        private final z2<?> f9832a;

        /* renamed from: b  reason: collision with root package name */
        private final Feature f9833b;

        private b(z2<?> z2Var, Feature feature) {
            this.f9832a = z2Var;
            this.f9833b = feature;
        }

        public final boolean equals(Object obj) {
            if (obj != null && (obj instanceof b)) {
                b bVar = (b) obj;
                if (!y.a(this.f9832a, bVar.f9832a) || !y.a(this.f9833b, bVar.f9833b)) {
                    return false;
                }
                return true;
            }
            return false;
        }

        public final int hashCode() {
            return y.b(this.f9832a, this.f9833b);
        }

        public final String toString() {
            return y.c(this).a("key", this.f9832a).a("feature", this.f9833b).toString();
        }

        /* synthetic */ b(z2 z2Var, Feature feature, j1 j1Var) {
            this(z2Var, feature);
        }
    }
}
