package com.google.android.gms.common.api.internal;

import android.content.Context;
import android.content.res.Resources;
import android.text.TextUtils;
import androidx.constraintlayout.core.motion.h.w;
import com.google.android.gms.common.R;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.f0;
import com.google.android.gms.common.internal.m1;
import com.google.android.gms.common.util.VisibleForTesting;
import javax.annotation.concurrent.GuardedBy;

@KeepForSdk
@Deprecated
public final class h {

    /* renamed from: a  reason: collision with root package name */
    private static final Object f9842a = new Object();
    @GuardedBy("sLock")

    /* renamed from: b  reason: collision with root package name */
    private static h f9843b;

    /* renamed from: c  reason: collision with root package name */
    private final String f9844c;

    /* renamed from: d  reason: collision with root package name */
    private final Status f9845d;

    /* renamed from: e  reason: collision with root package name */
    private final boolean f9846e;
    private final boolean f;

    @VisibleForTesting
    @KeepForSdk
    h(Context context) {
        Resources resources = context.getResources();
        int identifier = resources.getIdentifier("google_app_measurement_enable", w.b.f1677b, resources.getResourcePackageName(R.string.common_google_play_services_unknown_issue));
        boolean z = false;
        boolean z2 = true;
        if (identifier != 0) {
            z = resources.getInteger(identifier) != 0 ? true : z;
            this.f = !z;
            z2 = z;
        } else {
            this.f = false;
        }
        this.f9846e = z2;
        String a2 = m1.a(context);
        a2 = a2 == null ? new f0(context).a("google_app_id") : a2;
        if (TextUtils.isEmpty(a2)) {
            this.f9845d = new Status(10, "Missing google app id value from from string resources with name google_app_id.");
            this.f9844c = null;
            return;
        }
        this.f9844c = a2;
        this.f9845d = Status.f9731a;
    }

    @KeepForSdk
    private static h b(String str) {
        h hVar;
        synchronized (f9842a) {
            hVar = f9843b;
            if (hVar == null) {
                StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 34);
                sb.append("Initialize must be called before ");
                sb.append(str);
                sb.append(".");
                throw new IllegalStateException(sb.toString());
            }
        }
        return hVar;
    }

    @VisibleForTesting
    @KeepForSdk
    static void c() {
        synchronized (f9842a) {
            f9843b = null;
        }
    }

    @KeepForSdk
    public static String d() {
        return b("getGoogleAppId").f9844c;
    }

    @KeepForSdk
    public static Status e(Context context) {
        Status status;
        a0.l(context, "Context must not be null.");
        synchronized (f9842a) {
            if (f9843b == null) {
                f9843b = new h(context);
            }
            status = f9843b.f9845d;
        }
        return status;
    }

    @KeepForSdk
    public static Status f(Context context, String str, boolean z) {
        a0.l(context, "Context must not be null.");
        a0.h(str, "App ID must be nonempty.");
        synchronized (f9842a) {
            h hVar = f9843b;
            if (hVar != null) {
                return hVar.a(str);
            }
            h hVar2 = new h(str, z);
            f9843b = hVar2;
            return hVar2.f9845d;
        }
    }

    @KeepForSdk
    public static boolean g() {
        h b2 = b("isMeasurementEnabled");
        return b2.f9845d.u1() && b2.f9846e;
    }

    @KeepForSdk
    public static boolean h() {
        return b("isMeasurementExplicitlyDisabled").f;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    @KeepForSdk
    public final Status a(String str) {
        String str2 = this.f9844c;
        if (str2 == null || str2.equals(str)) {
            return Status.f9731a;
        }
        String str3 = this.f9844c;
        StringBuilder sb = new StringBuilder(String.valueOf(str3).length() + 97);
        sb.append("Initialize was called with two different Google App IDs.  Only the first app ID will be used: '");
        sb.append(str3);
        sb.append("'.");
        return new Status(10, sb.toString());
    }

    @VisibleForTesting
    @KeepForSdk
    h(String str, boolean z) {
        this.f9844c = str;
        this.f9845d = Status.f9731a;
        this.f9846e = z;
        this.f = !z;
    }
}
