package com.google.android.gms.common.api.internal;

import android.app.PendingIntent;
import android.content.Context;
import android.os.Bundle;
import android.os.Looper;
import android.util.Log;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.a;
import com.google.android.gms.common.api.internal.d;
import com.google.android.gms.common.api.p;
import com.google.android.gms.common.e;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.f;
import com.google.android.gms.internal.base.o;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Map;
import java.util.Set;
import java.util.WeakHashMap;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.Lock;

public final class j3 implements s1 {

    /* renamed from: c */
    private final Context f9860c;

    /* renamed from: d */
    private final w0 f9861d;

    /* renamed from: e */
    private final Looper f9862e;
    private final f1 f;
    private final f1 g;
    private final Map<a.c<?>, f1> h;
    private final Set<s> i = Collections.newSetFromMap(new WeakHashMap());
    private final a.f j;
    private Bundle k;
    private ConnectionResult l = null;
    private ConnectionResult m = null;
    private boolean n = false;
    private final Lock o;
    private int p = 0;

    private j3(Context context, w0 w0Var, Lock lock, Looper looper, e eVar, Map<a.c<?>, a.f> map, Map<a.c<?>, a.f> map2, f fVar, a.AbstractC0232a<? extends c.c.a.a.g.e, c.c.a.a.g.a> aVar, a.f fVar2, ArrayList<h3> arrayList, ArrayList<h3> arrayList2, Map<a<?>, Boolean> map3, Map<a<?>, Boolean> map4) {
        this.f9860c = context;
        this.f9861d = w0Var;
        this.o = lock;
        this.f9862e = looper;
        this.j = fVar2;
        this.f = new f1(context, w0Var, lock, looper, eVar, map2, null, map4, null, arrayList2, new l3(this, null));
        this.g = new f1(context, w0Var, lock, looper, eVar, map, fVar, map3, aVar, arrayList, new m3(this, null));
        b.b.a aVar2 = new b.b.a();
        for (a.c<?> cVar : map2.keySet()) {
            aVar2.put(cVar, this.f);
        }
        for (a.c<?> cVar2 : map.keySet()) {
            aVar2.put(cVar2, this.g);
        }
        this.h = Collections.unmodifiableMap(aVar2);
    }

    private final void C() {
        ConnectionResult connectionResult;
        if (x(this.l)) {
            if (x(this.m) || E()) {
                int i2 = this.p;
                if (i2 != 1) {
                    if (i2 != 2) {
                        Log.wtf("CompositeGAC", "Attempted to call success callbacks in CONNECTION_MODE_NONE. Callbacks should be disabled via GmsClientSupervisor", new AssertionError());
                        this.p = 0;
                        return;
                    }
                    this.f9861d.b(this.k);
                }
                D();
                this.p = 0;
                return;
            }
            ConnectionResult connectionResult2 = this.m;
            if (connectionResult2 == null) {
                return;
            }
            if (this.p == 1) {
                D();
                return;
            }
            p(connectionResult2);
            this.f.disconnect();
        } else if (this.l == null || !x(this.m)) {
            ConnectionResult connectionResult3 = this.l;
            if (connectionResult3 != null && (connectionResult = this.m) != null) {
                if (this.g.o < this.f.o) {
                    connectionResult3 = connectionResult;
                }
                p(connectionResult3);
            }
        } else {
            this.g.disconnect();
            p(this.l);
        }
    }

    private final void D() {
        for (s sVar : this.i) {
            sVar.onComplete();
        }
        this.i.clear();
    }

    private final boolean E() {
        ConnectionResult connectionResult = this.m;
        return connectionResult != null && connectionResult.e0() == 4;
    }

    static /* synthetic */ ConnectionResult b(j3 j3Var, ConnectionResult connectionResult) {
        j3Var.l = connectionResult;
        return connectionResult;
    }

    public static j3 e(Context context, w0 w0Var, Lock lock, Looper looper, e eVar, Map<a.c<?>, a.f> map, f fVar, Map<a<?>, Boolean> map2, a.AbstractC0232a<? extends c.c.a.a.g.e, c.c.a.a.g.a> aVar, ArrayList<h3> arrayList) {
        b.b.a aVar2 = new b.b.a();
        b.b.a aVar3 = new b.b.a();
        a.f fVar2 = null;
        for (Map.Entry<a.c<?>, a.f> entry : map.entrySet()) {
            a.f value = entry.getValue();
            if (value.e()) {
                fVar2 = value;
            }
            if (value.t()) {
                aVar2.put(entry.getKey(), value);
            } else {
                aVar3.put(entry.getKey(), value);
            }
        }
        a0.r(!aVar2.isEmpty(), "CompositeGoogleApiClient should not be used without any APIs that require sign-in.");
        b.b.a aVar4 = new b.b.a();
        b.b.a aVar5 = new b.b.a();
        for (a<?> aVar6 : map2.keySet()) {
            a.c<?> a2 = aVar6.a();
            if (aVar2.containsKey(a2)) {
                aVar4.put(aVar6, map2.get(aVar6));
            } else if (aVar3.containsKey(a2)) {
                aVar5.put(aVar6, map2.get(aVar6));
            } else {
                throw new IllegalStateException("Each API in the isOptionalMap must have a corresponding client in the clients map.");
            }
        }
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        int size = arrayList.size();
        int i2 = 0;
        while (i2 < size) {
            h3 h3Var = arrayList.get(i2);
            i2++;
            h3 h3Var2 = h3Var;
            if (aVar4.containsKey(h3Var2.f9852c)) {
                arrayList2.add(h3Var2);
            } else if (aVar5.containsKey(h3Var2.f9852c)) {
                arrayList3.add(h3Var2);
            } else {
                throw new IllegalStateException("Each ClientCallbacks must have a corresponding API in the isOptionalMap");
            }
        }
        return new j3(context, w0Var, lock, looper, eVar, aVar2, aVar3, fVar, aVar, fVar2, arrayList2, arrayList3, aVar4, aVar5);
    }

    static /* synthetic */ Lock k(j3 j3Var) {
        return j3Var.o;
    }

    private final void l(int i2, boolean z) {
        this.f9861d.c(i2, z);
        this.m = null;
        this.l = null;
    }

    private final void m(Bundle bundle) {
        Bundle bundle2 = this.k;
        if (bundle2 == null) {
            this.k = bundle;
        } else if (bundle != null) {
            bundle2.putAll(bundle);
        }
    }

    private final void p(ConnectionResult connectionResult) {
        int i2 = this.p;
        if (i2 != 1) {
            if (i2 != 2) {
                Log.wtf("CompositeGAC", "Attempted to call failure callbacks in CONNECTION_MODE_NONE. Callbacks should be disabled via GmsClientSupervisor", new Exception());
                this.p = 0;
            }
            this.f9861d.a(connectionResult);
        }
        D();
        this.p = 0;
    }

    static /* synthetic */ void q(j3 j3Var, int i2, boolean z) {
        j3Var.l(i2, z);
    }

    static /* synthetic */ void r(j3 j3Var, Bundle bundle) {
        j3Var.m(bundle);
    }

    private final boolean s(d.a<? extends p, ? extends a.b> aVar) {
        a.c<? extends a.b> z = aVar.z();
        a0.b(this.h.containsKey(z), "GoogleApiClient is not configured to use the API required for this call.");
        return this.h.get(z).equals(this.g);
    }

    static /* synthetic */ boolean t(j3 j3Var, boolean z) {
        j3Var.n = z;
        return z;
    }

    private final PendingIntent u() {
        if (this.j == null) {
            return null;
        }
        return PendingIntent.getActivity(this.f9860c, System.identityHashCode(this.f9861d), this.j.s(), 134217728);
    }

    static /* synthetic */ void w(j3 j3Var) {
        j3Var.C();
    }

    private static boolean x(ConnectionResult connectionResult) {
        return connectionResult != null && connectionResult.m1();
    }

    static /* synthetic */ boolean y(j3 j3Var) {
        return j3Var.n;
    }

    static /* synthetic */ ConnectionResult z(j3 j3Var) {
        return j3Var.m;
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final boolean a() {
        this.o.lock();
        try {
            return this.p == 2;
        } finally {
            this.o.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final void c(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        printWriter.append((CharSequence) str).append("authClient").println(":");
        this.g.c(String.valueOf(str).concat("  "), fileDescriptor, printWriter, strArr);
        printWriter.append((CharSequence) str).append("anonClient").println(":");
        this.f.c(String.valueOf(str).concat("  "), fileDescriptor, printWriter, strArr);
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final void connect() {
        this.p = 2;
        this.n = false;
        this.m = null;
        this.l = null;
        this.f.connect();
        this.g.connect();
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final boolean d(s sVar) {
        this.o.lock();
        try {
            if ((a() || isConnected()) && !this.g.isConnected()) {
                this.i.add(sVar);
                if (this.p == 0) {
                    this.p = 1;
                }
                this.m = null;
                this.g.connect();
                return true;
            }
            this.o.unlock();
            return false;
        } finally {
            this.o.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final void disconnect() {
        this.m = null;
        this.l = null;
        this.p = 0;
        this.f.disconnect();
        this.g.disconnect();
        D();
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final ConnectionResult f(long j2, TimeUnit timeUnit) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final void g() {
        this.f.g();
        this.g.g();
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final void h() {
        this.o.lock();
        try {
            boolean a2 = a();
            this.g.disconnect();
            this.m = new ConnectionResult(4);
            if (a2) {
                new o(this.f9862e).post(new k3(this));
            } else {
                D();
            }
        } finally {
            this.o.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final ConnectionResult i(a<?> aVar) {
        if (!this.h.get(aVar.a()).equals(this.g)) {
            return this.f.i(aVar);
        }
        if (E()) {
            return new ConnectionResult(4, u());
        }
        return this.g.i(aVar);
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final boolean isConnected() {
        this.o.lock();
        try {
            boolean z = true;
            if (!this.f.isConnected() || (!this.g.isConnected() && !E() && this.p != 1)) {
                z = false;
            }
            return z;
        } finally {
            this.o.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final ConnectionResult j() {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final <A extends a.b, T extends d.a<? extends p, A>> T n(T t) {
        if (!s(t)) {
            return (T) this.f.n(t);
        }
        if (!E()) {
            return (T) this.g.n(t);
        }
        t.a(new Status(4, null, u()));
        return t;
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final <A extends a.b, R extends p, T extends d.a<R, A>> T o(T t) {
        if (!s(t)) {
            return (T) this.f.o(t);
        }
        if (!E()) {
            return (T) this.g.o(t);
        }
        t.a(new Status(4, null, u()));
        return t;
    }
}
