package com.google.android.gms.common.api.internal;

import android.content.Context;
import android.os.Bundle;
import android.os.Looper;
import android.util.Log;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.api.a;
import com.google.android.gms.common.api.internal.d;
import com.google.android.gms.common.e;
import com.google.android.gms.common.internal.ResolveAccountResponse;
import com.google.android.gms.common.internal.f;
import com.google.android.gms.common.internal.p;
import com.google.android.gms.signin.internal.zaj;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.Future;
import java.util.concurrent.locks.Lock;
import javax.annotation.concurrent.GuardedBy;

public final class k0 implements e1 {

    /* renamed from: a  reason: collision with root package name */
    private final f1 f9863a;

    /* renamed from: b  reason: collision with root package name */
    private final Lock f9864b;

    /* renamed from: c  reason: collision with root package name */
    private final Context f9865c;

    /* renamed from: d  reason: collision with root package name */
    private final e f9866d;

    /* renamed from: e  reason: collision with root package name */
    private ConnectionResult f9867e;
    private int f;
    private int g = 0;
    private int h;
    private final Bundle i = new Bundle();
    private final Set<a.c> j = new HashSet();
    private c.c.a.a.g.e k;
    private boolean l;
    private boolean m;
    private boolean n;
    private p o;
    private boolean p;
    private boolean q;
    private final f r;
    private final Map<a<?>, Boolean> s;
    private final a.AbstractC0232a<? extends c.c.a.a.g.e, c.c.a.a.g.a> t;
    private ArrayList<Future<?>> u = new ArrayList<>();

    public k0(f1 f1Var, f fVar, Map<a<?>, Boolean> map, e eVar, a.AbstractC0232a<? extends c.c.a.a.g.e, c.c.a.a.g.a> aVar, Lock lock, Context context) {
        this.f9863a = f1Var;
        this.r = fVar;
        this.s = map;
        this.f9866d = eVar;
        this.t = aVar;
        this.f9864b = lock;
        this.f9865c = context;
    }

    /* access modifiers changed from: private */
    @GuardedBy("mLock")
    public final boolean A(ConnectionResult connectionResult) {
        return this.l && !connectionResult.d1();
    }

    /* access modifiers changed from: private */
    @GuardedBy("mLock")
    public final void B(ConnectionResult connectionResult) {
        q();
        u(!connectionResult.d1());
        this.f9863a.t(connectionResult);
        this.f9863a.q.a(connectionResult);
    }

    /* access modifiers changed from: private */
    @GuardedBy("mLock")
    public final void h(zaj zaj) {
        if (x(0)) {
            ConnectionResult e0 = zaj.e0();
            if (e0.m1()) {
                ResolveAccountResponse o0 = zaj.o0();
                ConnectionResult o02 = o0.o0();
                if (!o02.m1()) {
                    String valueOf = String.valueOf(o02);
                    StringBuilder sb = new StringBuilder(valueOf.length() + 48);
                    sb.append("Sign-in succeeded with resolve account failure: ");
                    sb.append(valueOf);
                    Log.wtf("GoogleApiClientConnecting", sb.toString(), new Exception());
                    B(o02);
                    return;
                }
                this.n = true;
                this.o = o0.e0();
                this.p = o0.x0();
                this.q = o0.d1();
                k();
            } else if (A(e0)) {
                p();
                k();
            } else {
                B(e0);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @GuardedBy("mLock")
    private final boolean j() {
        int i2 = this.h - 1;
        this.h = i2;
        if (i2 > 0) {
            return false;
        }
        if (i2 < 0) {
            Log.w("GoogleApiClientConnecting", this.f9863a.p.T());
            Log.wtf("GoogleApiClientConnecting", "GoogleApiClient received too many callbacks for the given step. Clients may be in an unexpected state; GoogleApiClient will now disconnect.", new Exception());
            B(new ConnectionResult(8, null));
            return false;
        }
        ConnectionResult connectionResult = this.f9867e;
        if (connectionResult == null) {
            return true;
        }
        this.f9863a.o = this.f;
        B(connectionResult);
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @GuardedBy("mLock")
    private final void k() {
        if (this.h == 0) {
            if (!this.m || this.n) {
                ArrayList arrayList = new ArrayList();
                this.g = 1;
                this.h = this.f9863a.h.size();
                for (a.c<?> cVar : this.f9863a.h.keySet()) {
                    if (!this.f9863a.i.containsKey(cVar)) {
                        arrayList.add(this.f9863a.h.get(cVar));
                    } else if (j()) {
                        l();
                    }
                }
                if (!arrayList.isEmpty()) {
                    this.u.add(i1.a().submit(new q0(this, arrayList)));
                }
            }
        }
    }

    @GuardedBy("mLock")
    private final void l() {
        this.f9863a.s();
        i1.a().execute(new l0(this));
        c.c.a.a.g.e eVar = this.k;
        if (eVar != null) {
            if (this.p) {
                eVar.b(this.o, this.q);
            }
            u(false);
        }
        for (a.c<?> cVar : this.f9863a.i.keySet()) {
            this.f9863a.h.get(cVar).disconnect();
        }
        this.f9863a.q.b(this.i.isEmpty() ? null : this.i);
    }

    /* access modifiers changed from: private */
    @GuardedBy("mLock")
    public final void p() {
        this.m = false;
        this.f9863a.p.t = Collections.emptySet();
        for (a.c<?> cVar : this.j) {
            if (!this.f9863a.i.containsKey(cVar)) {
                this.f9863a.i.put(cVar, new ConnectionResult(17, null));
            }
        }
    }

    private final void q() {
        ArrayList<Future<?>> arrayList = this.u;
        int size = arrayList.size();
        int i2 = 0;
        while (i2 < size) {
            Future<?> future = arrayList.get(i2);
            i2++;
            future.cancel(true);
        }
        this.u.clear();
    }

    /* access modifiers changed from: private */
    public final Set<Scope> r() {
        if (this.r == null) {
            return Collections.emptySet();
        }
        HashSet hashSet = new HashSet(this.r.l());
        Map<a<?>, f.b> i2 = this.r.i();
        for (a<?> aVar : i2.keySet()) {
            if (!this.f9863a.i.containsKey(aVar.a())) {
                hashSet.addAll(i2.get(aVar).f10111a);
            }
        }
        return hashSet;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x0022, code lost:
        if (r7 != false) goto L_0x0024;
     */
    @GuardedBy("mLock")
    private final void t(ConnectionResult connectionResult, a<?> aVar, boolean z) {
        boolean z2;
        int b2 = aVar.c().b();
        boolean z3 = false;
        if (z) {
            if (!connectionResult.d1() && this.f9866d.d(connectionResult.e0()) == null) {
                z2 = false;
            } else {
                z2 = true;
            }
        }
        if (this.f9867e == null || b2 < this.f) {
            z3 = true;
        }
        if (z3) {
            this.f9867e = connectionResult;
            this.f = b2;
        }
        this.f9863a.i.put(aVar.a(), connectionResult);
    }

    @GuardedBy("mLock")
    private final void u(boolean z) {
        c.c.a.a.g.e eVar = this.k;
        if (eVar != null) {
            if (eVar.isConnected() && z) {
                this.k.h();
            }
            this.k.disconnect();
            if (this.r.o()) {
                this.k = null;
            }
            this.o = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @GuardedBy("mLock")
    private final boolean x(int i2) {
        if (this.g == i2) {
            return true;
        }
        Log.w("GoogleApiClientConnecting", this.f9863a.p.T());
        String valueOf = String.valueOf(this);
        StringBuilder sb = new StringBuilder(valueOf.length() + 23);
        sb.append("Unexpected callback in ");
        sb.append(valueOf);
        Log.w("GoogleApiClientConnecting", sb.toString());
        int i3 = this.h;
        StringBuilder sb2 = new StringBuilder(33);
        sb2.append("mRemainingConnections=");
        sb2.append(i3);
        Log.w("GoogleApiClientConnecting", sb2.toString());
        String z = z(this.g);
        String z2 = z(i2);
        StringBuilder sb3 = new StringBuilder(String.valueOf(z).length() + 70 + String.valueOf(z2).length());
        sb3.append("GoogleApiClient connecting is in step ");
        sb3.append(z);
        sb3.append(" but received callback for step ");
        sb3.append(z2);
        Log.wtf("GoogleApiClientConnecting", sb3.toString(), new Exception());
        B(new ConnectionResult(8, null));
        return false;
    }

    private static String z(int i2) {
        return i2 != 0 ? i2 != 1 ? "UNKNOWN" : "STEP_GETTING_REMOTE_SERVICE" : "STEP_SERVICE_BINDINGS_AND_SIGN_IN";
    }

    @Override // com.google.android.gms.common.api.internal.e1
    @GuardedBy("mLock")
    public final void b(int i2) {
        B(new ConnectionResult(8, null));
    }

    @Override // com.google.android.gms.common.api.internal.e1
    public final void connect() {
    }

    @Override // com.google.android.gms.common.api.internal.e1
    @GuardedBy("mLock")
    public final void d() {
        this.f9863a.i.clear();
        this.m = false;
        this.f9867e = null;
        this.g = 0;
        this.l = true;
        this.n = false;
        this.p = false;
        HashMap hashMap = new HashMap();
        boolean z = false;
        for (a<?> aVar : this.s.keySet()) {
            a.f fVar = this.f9863a.h.get(aVar.a());
            z |= aVar.c().b() == 1;
            boolean booleanValue = this.s.get(aVar).booleanValue();
            if (fVar.t()) {
                this.m = true;
                if (booleanValue) {
                    this.j.add(aVar.a());
                } else {
                    this.l = false;
                }
            }
            hashMap.put(fVar, new m0(this, aVar, booleanValue));
        }
        if (z) {
            this.m = false;
        }
        if (this.m) {
            this.r.p(Integer.valueOf(System.identityHashCode(this.f9863a.p)));
            t0 t0Var = new t0(this, null);
            a.AbstractC0232a<? extends c.c.a.a.g.e, c.c.a.a.g.a> aVar2 = this.t;
            Context context = this.f9865c;
            Looper r2 = this.f9863a.p.r();
            f fVar2 = this.r;
            this.k = (c.c.a.a.g.e) aVar2.c(context, r2, fVar2, fVar2.m(), t0Var, t0Var);
        }
        this.h = this.f9863a.h.size();
        this.u.add(i1.a().submit(new n0(this, hashMap)));
    }

    @Override // com.google.android.gms.common.api.internal.e1
    @GuardedBy("mLock")
    public final boolean disconnect() {
        q();
        u(true);
        this.f9863a.t(null);
        return true;
    }

    @Override // com.google.android.gms.common.api.internal.e1
    @GuardedBy("mLock")
    public final void e(Bundle bundle) {
        if (x(1)) {
            if (bundle != null) {
                this.i.putAll(bundle);
            }
            if (j()) {
                l();
            }
        }
    }

    @Override // com.google.android.gms.common.api.internal.e1
    @GuardedBy("mLock")
    public final void m(ConnectionResult connectionResult, a<?> aVar, boolean z) {
        if (x(1)) {
            t(connectionResult, aVar, z);
            if (j()) {
                l();
            }
        }
    }

    @Override // com.google.android.gms.common.api.internal.e1
    public final <A extends a.b, T extends d.a<? extends com.google.android.gms.common.api.p, A>> T n(T t2) {
        throw new IllegalStateException("GoogleApiClient is not connected yet.");
    }

    @Override // com.google.android.gms.common.api.internal.e1
    public final <A extends a.b, R extends com.google.android.gms.common.api.p, T extends d.a<R, A>> T o(T t2) {
        this.f9863a.p.l.add(t2);
        return t2;
    }
}
