package com.google.android.gms.common.api.internal;

import android.os.Looper;
import android.util.Log;
import androidx.annotation.NonNull;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.i;
import com.google.android.gms.common.api.k;
import com.google.android.gms.common.api.m;
import com.google.android.gms.common.api.p;
import com.google.android.gms.common.api.q;
import com.google.android.gms.common.api.r;
import com.google.android.gms.common.api.s;
import com.google.android.gms.common.api.t;
import com.google.android.gms.common.internal.a0;
import java.lang.ref.WeakReference;
import javax.annotation.concurrent.GuardedBy;

public final class n2<R extends p> extends t<R> implements q<R> {

    /* renamed from: a  reason: collision with root package name */
    private s<? super R, ? extends p> f9891a = null;

    /* renamed from: b  reason: collision with root package name */
    private n2<? extends p> f9892b = null;

    /* renamed from: c  reason: collision with root package name */
    private volatile r<? super R> f9893c = null;

    /* renamed from: d  reason: collision with root package name */
    private k<R> f9894d = null;

    /* renamed from: e  reason: collision with root package name */
    private final Object f9895e = new Object();
    private Status f = null;
    private final WeakReference<i> g;
    private final p2 h;
    private boolean i = false;

    public n2(WeakReference<i> weakReference) {
        a0.l(weakReference, "GoogleApiClient reference must not be null");
        this.g = weakReference;
        i iVar = weakReference.get();
        this.h = new p2(this, iVar != null ? iVar.r() : Looper.getMainLooper());
    }

    /* access modifiers changed from: private */
    public static void g(p pVar) {
        if (pVar instanceof m) {
            try {
                ((m) pVar).release();
            } catch (RuntimeException e2) {
                String valueOf = String.valueOf(pVar);
                StringBuilder sb = new StringBuilder(valueOf.length() + 18);
                sb.append("Unable to release ");
                sb.append(valueOf);
                Log.w("TransformedResultImpl", sb.toString(), e2);
            }
        }
    }

    @GuardedBy("mSyncToken")
    private final void h() {
        if (this.f9891a != null || this.f9893c != null) {
            i iVar = this.g.get();
            if (!(this.i || this.f9891a == null || iVar == null)) {
                iVar.H(this);
                this.i = true;
            }
            Status status = this.f;
            if (status != null) {
                o(status);
                return;
            }
            k<R> kVar = this.f9894d;
            if (kVar != null) {
                kVar.h(this);
            }
        }
    }

    @GuardedBy("mSyncToken")
    private final boolean j() {
        return (this.f9893c == null || this.g.get() == null) ? false : true;
    }

    /* access modifiers changed from: private */
    public final void m(Status status) {
        synchronized (this.f9895e) {
            this.f = status;
            o(status);
        }
    }

    private final void o(Status status) {
        synchronized (this.f9895e) {
            s<? super R, ? extends p> sVar = this.f9891a;
            if (sVar != null) {
                Status b2 = sVar.b(status);
                a0.l(b2, "onFailure must not return null");
                this.f9892b.m(b2);
            } else if (j()) {
                this.f9893c.b(status);
            }
        }
    }

    @Override // com.google.android.gms.common.api.q
    public final void a(R r) {
        synchronized (this.f9895e) {
            if (!r.d().u1()) {
                m(r.d());
                g(r);
            } else if (this.f9891a != null) {
                d2.a().submit(new o2(this, r));
            } else if (j()) {
                this.f9893c.c(r);
            }
        }
    }

    @Override // com.google.android.gms.common.api.t
    public final void b(@NonNull r<? super R> rVar) {
        synchronized (this.f9895e) {
            boolean z = true;
            a0.r(this.f9893c == null, "Cannot call andFinally() twice.");
            if (this.f9891a != null) {
                z = false;
            }
            a0.r(z, "Cannot call then() and andFinally() on the same TransformedResult.");
            this.f9893c = rVar;
            h();
        }
    }

    @Override // com.google.android.gms.common.api.t
    @NonNull
    public final <S extends p> t<S> c(@NonNull s<? super R, ? extends S> sVar) {
        n2<? extends p> n2Var;
        synchronized (this.f9895e) {
            boolean z = true;
            a0.r(this.f9891a == null, "Cannot call then() twice.");
            if (this.f9893c != null) {
                z = false;
            }
            a0.r(z, "Cannot call then() and andFinally() on the same TransformedResult.");
            this.f9891a = sVar;
            n2Var = new n2<>(this.g);
            this.f9892b = n2Var;
            h();
        }
        return n2Var;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.google.android.gms.common.api.k<?> */
    /* JADX WARN: Multi-variable type inference failed */
    public final void d(k<?> kVar) {
        synchronized (this.f9895e) {
            this.f9894d = kVar;
            h();
        }
    }

    /* access modifiers changed from: package-private */
    public final void i() {
        this.f9893c = null;
    }
}
