package com.google.android.gms.common.api.internal;

import android.content.Context;
import android.os.Looper;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.a;
import com.google.android.gms.common.api.internal.d;
import com.google.android.gms.common.api.p;
import com.google.android.gms.common.e;
import com.google.android.gms.common.internal.f;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.LinkedList;
import java.util.Map;
import java.util.Queue;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.Lock;
import javax.annotation.concurrent.GuardedBy;

public final class o3 implements s1 {

    /* renamed from: c  reason: collision with root package name */
    private final Map<a.c<?>, n3<?>> f9901c = new HashMap();

    /* renamed from: d  reason: collision with root package name */
    private final Map<a.c<?>, n3<?>> f9902d = new HashMap();

    /* renamed from: e  reason: collision with root package name */
    private final Map<a<?>, Boolean> f9903e;
    private final g f;
    private final w0 g;
    private final Lock h;
    private final Looper i;
    private final e j;
    private final Condition k;
    private final f l;
    private final boolean m;
    private final boolean n;
    private final Queue<d.a<?, ?>> o = new LinkedList();
    @GuardedBy("mLock")
    private boolean p;
    @GuardedBy("mLock")
    private Map<z2<?>, ConnectionResult> q;
    @GuardedBy("mLock")
    private Map<z2<?>, ConnectionResult> r;
    @GuardedBy("mLock")
    private a0 s;
    @GuardedBy("mLock")
    private ConnectionResult t;

    public o3(Context context, Lock lock, Looper looper, e eVar, Map<a.c<?>, a.f> map, f fVar, Map<a<?>, Boolean> map2, a.AbstractC0232a<? extends c.c.a.a.g.e, c.c.a.a.g.a> aVar, ArrayList<h3> arrayList, w0 w0Var, boolean z) {
        boolean z2;
        boolean z3;
        boolean z4;
        this.h = lock;
        this.i = looper;
        this.k = lock.newCondition();
        this.j = eVar;
        this.g = w0Var;
        this.f9903e = map2;
        this.l = fVar;
        this.m = z;
        HashMap hashMap = new HashMap();
        for (a<?> aVar2 : map2.keySet()) {
            hashMap.put(aVar2.a(), aVar2);
        }
        HashMap hashMap2 = new HashMap();
        int size = arrayList.size();
        int i2 = 0;
        while (i2 < size) {
            h3 h3Var = arrayList.get(i2);
            i2++;
            h3 h3Var2 = h3Var;
            hashMap2.put(h3Var2.f9852c, h3Var2);
        }
        boolean z5 = false;
        boolean z6 = true;
        boolean z7 = false;
        for (Map.Entry<a.c<?>, a.f> entry : map.entrySet()) {
            a aVar3 = (a) hashMap.get(entry.getKey());
            a.f value = entry.getValue();
            if (value.o()) {
                z3 = z6;
                if (!this.f9903e.get(aVar3).booleanValue()) {
                    z4 = true;
                    z2 = true;
                } else {
                    z2 = z7;
                    z4 = true;
                }
            } else {
                z4 = z5;
                z2 = z7;
                z3 = false;
            }
            n3<?> n3Var = new n3<>(context, aVar3, looper, value, (h3) hashMap2.get(aVar3), fVar, aVar);
            this.f9901c.put(entry.getKey(), n3Var);
            if (value.t()) {
                this.f9902d.put(entry.getKey(), n3Var);
            }
            z5 = z4;
            z6 = z3;
            z7 = z2;
        }
        this.n = z5 && !z6 && !z7;
        this.f = g.q();
    }

    @Nullable
    private final ConnectionResult b(@NonNull a.c<?> cVar) {
        this.h.lock();
        try {
            n3<?> n3Var = this.f9901c.get(cVar);
            Map<z2<?>, ConnectionResult> map = this.q;
            if (map != null && n3Var != null) {
                return map.get(n3Var.w());
            }
            this.h.unlock();
            return null;
        } finally {
            this.h.unlock();
        }
    }

    /* access modifiers changed from: private */
    public final boolean m(n3<?> n3Var, ConnectionResult connectionResult) {
        return !connectionResult.m1() && !connectionResult.d1() && this.f9903e.get(n3Var.m()).booleanValue() && n3Var.x().o() && this.j.o(connectionResult.e0());
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x001f A[Catch:{ all -> 0x0044 }] */
    private final boolean r() {
        this.h.lock();
        try {
            if (this.p) {
                if (this.m) {
                    for (a.c<?> cVar : this.f9902d.keySet()) {
                        ConnectionResult b2 = b(cVar);
                        if (b2 == null || !b2.m1()) {
                            this.h.unlock();
                            return false;
                        }
                        while (r0.hasNext()) {
                        }
                    }
                    this.h.unlock();
                    return true;
                }
            }
            return false;
        } finally {
            this.h.unlock();
        }
    }

    /* access modifiers changed from: private */
    @GuardedBy("mLock")
    public final void s() {
        if (this.l == null) {
            this.g.t = Collections.emptySet();
            return;
        }
        HashSet hashSet = new HashSet(this.l.l());
        Map<a<?>, f.b> i2 = this.l.i();
        for (a<?> aVar : i2.keySet()) {
            ConnectionResult i3 = i(aVar);
            if (i3 != null && i3.m1()) {
                hashSet.addAll(i2.get(aVar).f10111a);
            }
        }
        this.g.t = hashSet;
    }

    /* access modifiers changed from: private */
    @GuardedBy("mLock")
    public final void t() {
        while (!this.o.isEmpty()) {
            n(this.o.remove());
        }
        this.g.b(null);
    }

    /* access modifiers changed from: private */
    @Nullable
    @GuardedBy("mLock")
    public final ConnectionResult u() {
        int i2 = 0;
        ConnectionResult connectionResult = null;
        ConnectionResult connectionResult2 = null;
        int i3 = 0;
        for (n3<?> n3Var : this.f9901c.values()) {
            a<?> m2 = n3Var.m();
            ConnectionResult connectionResult3 = this.q.get(n3Var.w());
            if (!connectionResult3.m1() && (!this.f9903e.get(m2).booleanValue() || connectionResult3.d1() || this.j.o(connectionResult3.e0()))) {
                if (connectionResult3.e0() != 4 || !this.m) {
                    int b2 = m2.c().b();
                    if (connectionResult == null || i2 > b2) {
                        connectionResult = connectionResult3;
                        i2 = b2;
                    }
                } else {
                    int b3 = m2.c().b();
                    if (connectionResult2 == null || i3 > b3) {
                        connectionResult2 = connectionResult3;
                        i3 = b3;
                    }
                }
            }
        }
        return (connectionResult == null || connectionResult2 == null || i2 <= i3) ? connectionResult : connectionResult2;
    }

    private final <T extends d.a<? extends p, ? extends a.b>> boolean w(@NonNull T t2) {
        a.c<?> z = t2.z();
        ConnectionResult b2 = b(z);
        if (b2 == null || b2.e0() != 4) {
            return false;
        }
        t2.a(new Status(4, null, this.f.c(this.f9901c.get(z).w(), System.identityHashCode(this.g))));
        return true;
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final boolean a() {
        this.h.lock();
        try {
            return this.q == null && this.p;
        } finally {
            this.h.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final void c(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final void connect() {
        this.h.lock();
        try {
            if (!this.p) {
                this.p = true;
                this.q = null;
                this.r = null;
                this.s = null;
                this.t = null;
                this.f.E();
                this.f.g(this.f9901c.values()).f(new com.google.android.gms.common.util.d0.a(this.i), new q3(this));
                this.h.unlock();
            }
        } finally {
            this.h.unlock();
        }
    }

    /* JADX INFO: finally extract failed */
    @Override // com.google.android.gms.common.api.internal.s1
    public final boolean d(s sVar) {
        this.h.lock();
        try {
            if (!this.p || r()) {
                this.h.unlock();
                return false;
            }
            this.f.E();
            this.s = new a0(this, sVar);
            this.f.g(this.f9902d.values()).f(new com.google.android.gms.common.util.d0.a(this.i), this.s);
            this.h.unlock();
            return true;
        } catch (Throwable th) {
            this.h.unlock();
            throw th;
        }
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final void disconnect() {
        this.h.lock();
        try {
            this.p = false;
            this.q = null;
            this.r = null;
            a0 a0Var = this.s;
            if (a0Var != null) {
                a0Var.a();
                this.s = null;
            }
            this.t = null;
            while (!this.o.isEmpty()) {
                d.a<?, ?> remove = this.o.remove();
                remove.s(null);
                remove.f();
            }
            this.k.signalAll();
        } finally {
            this.h.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.s1
    @GuardedBy("mLock")
    public final ConnectionResult f(long j2, TimeUnit timeUnit) {
        connect();
        long nanos = timeUnit.toNanos(j2);
        while (a()) {
            if (nanos <= 0) {
                try {
                    disconnect();
                    return new ConnectionResult(14, null);
                } catch (InterruptedException unused) {
                    Thread.currentThread().interrupt();
                    return new ConnectionResult(15, null);
                }
            } else {
                nanos = this.k.awaitNanos(nanos);
            }
        }
        if (isConnected()) {
            return ConnectionResult.c1;
        }
        ConnectionResult connectionResult = this.t;
        if (connectionResult != null) {
            return connectionResult;
        }
        return new ConnectionResult(13, null);
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final void g() {
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final void h() {
        this.h.lock();
        try {
            this.f.a();
            a0 a0Var = this.s;
            if (a0Var != null) {
                a0Var.a();
                this.s = null;
            }
            if (this.r == null) {
                this.r = new b.b.a(this.f9902d.size());
            }
            ConnectionResult connectionResult = new ConnectionResult(4);
            for (n3<?> n3Var : this.f9902d.values()) {
                this.r.put(n3Var.w(), connectionResult);
            }
            Map<z2<?>, ConnectionResult> map = this.q;
            if (map != null) {
                map.putAll(this.r);
            }
        } finally {
            this.h.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.s1
    @Nullable
    public final ConnectionResult i(@NonNull a<?> aVar) {
        return b(aVar.a());
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final boolean isConnected() {
        this.h.lock();
        try {
            return this.q != null && this.t == null;
        } finally {
            this.h.unlock();
        }
    }

    @Override // com.google.android.gms.common.api.internal.s1
    @GuardedBy("mLock")
    public final ConnectionResult j() {
        connect();
        while (a()) {
            try {
                this.k.await();
            } catch (InterruptedException unused) {
                Thread.currentThread().interrupt();
                return new ConnectionResult(15, null);
            }
        }
        if (isConnected()) {
            return ConnectionResult.c1;
        }
        ConnectionResult connectionResult = this.t;
        if (connectionResult != null) {
            return connectionResult;
        }
        return new ConnectionResult(13, null);
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final <A extends a.b, T extends d.a<? extends p, A>> T n(@NonNull T t2) {
        a.c<A> z = t2.z();
        if (this.m && w(t2)) {
            return t2;
        }
        this.g.B.b(t2);
        return (T) this.f9901c.get(z).k(t2);
    }

    @Override // com.google.android.gms.common.api.internal.s1
    public final <A extends a.b, R extends p, T extends d.a<R, A>> T o(@NonNull T t2) {
        if (this.m && w(t2)) {
            return t2;
        }
        if (!isConnected()) {
            this.o.add(t2);
            return t2;
        }
        this.g.B.b(t2);
        return (T) this.f9901c.get(t2.z()).f(t2);
    }
}
