package com.google.android.gms.common.api.internal;

import android.app.Activity;
import android.app.Fragment;
import android.content.Intent;
import android.os.Bundle;
import android.os.Looper;
import androidx.annotation.NonNull;
import b.b.a;
import c.c.a.a.d.b.e;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.lang.ref.WeakReference;
import java.util.Map;
import java.util.WeakHashMap;

public final class zza extends Fragment implements k {

    /* renamed from: a  reason: collision with root package name */
    private static WeakHashMap<Activity, WeakReference<zza>> f9977a = new WeakHashMap<>();
    private int I0 = 0;
    private Bundle J0;

    /* renamed from: b  reason: collision with root package name */
    private Map<String, LifecycleCallback> f9978b = new a();

    public static zza b(Activity activity) {
        zza zza;
        WeakReference<zza> weakReference = f9977a.get(activity);
        if (weakReference != null && (zza = weakReference.get()) != null) {
            return zza;
        }
        try {
            zza zza2 = (zza) activity.getFragmentManager().findFragmentByTag("LifecycleFragmentImpl");
            if (zza2 == null || zza2.isRemoving()) {
                zza2 = new zza();
                activity.getFragmentManager().beginTransaction().add(zza2, "LifecycleFragmentImpl").commitAllowingStateLoss();
            }
            f9977a.put(activity, new WeakReference<>(zza2));
            return zza2;
        } catch (ClassCastException e2) {
            throw new IllegalStateException("Fragment with tag LifecycleFragmentImpl is not a LifecycleFragmentImpl", e2);
        }
    }

    public final void dump(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        super.dump(str, fileDescriptor, printWriter, strArr);
        for (LifecycleCallback lifecycleCallback : this.f9978b.values()) {
            lifecycleCallback.a(str, fileDescriptor, printWriter, strArr);
        }
    }

    @Override // com.google.android.gms.common.api.internal.k
    public final boolean g() {
        return this.I0 > 0;
    }

    @Override // com.google.android.gms.common.api.internal.k
    public final void i(String str, @NonNull LifecycleCallback lifecycleCallback) {
        if (!this.f9978b.containsKey(str)) {
            this.f9978b.put(str, lifecycleCallback);
            if (this.I0 > 0) {
                new e(Looper.getMainLooper()).post(new r3(this, lifecycleCallback, str));
                return;
            }
            return;
        }
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 59);
        sb.append("LifecycleCallback with tag ");
        sb.append(str);
        sb.append(" already added to this fragment.");
        throw new IllegalArgumentException(sb.toString());
    }

    public final void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        for (LifecycleCallback lifecycleCallback : this.f9978b.values()) {
            lifecycleCallback.f(i, i2, intent);
        }
    }

    public final void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        this.I0 = 1;
        this.J0 = bundle;
        for (Map.Entry<String, LifecycleCallback> entry : this.f9978b.entrySet()) {
            entry.getValue().g(bundle != null ? bundle.getBundle(entry.getKey()) : null);
        }
    }

    public final void onDestroy() {
        super.onDestroy();
        this.I0 = 5;
        for (LifecycleCallback lifecycleCallback : this.f9978b.values()) {
            lifecycleCallback.h();
        }
    }

    public final void onResume() {
        super.onResume();
        this.I0 = 3;
        for (LifecycleCallback lifecycleCallback : this.f9978b.values()) {
            lifecycleCallback.i();
        }
    }

    public final void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        if (bundle != null) {
            for (Map.Entry<String, LifecycleCallback> entry : this.f9978b.entrySet()) {
                Bundle bundle2 = new Bundle();
                entry.getValue().j(bundle2);
                bundle.putBundle(entry.getKey(), bundle2);
            }
        }
    }

    public final void onStart() {
        super.onStart();
        this.I0 = 2;
        for (LifecycleCallback lifecycleCallback : this.f9978b.values()) {
            lifecycleCallback.k();
        }
    }

    public final void onStop() {
        super.onStop();
        this.I0 = 4;
        for (LifecycleCallback lifecycleCallback : this.f9978b.values()) {
            lifecycleCallback.l();
        }
    }

    @Override // com.google.android.gms.common.api.internal.k
    public final <T extends LifecycleCallback> T q(String str, Class<T> cls) {
        return cls.cast(this.f9978b.get(str));
    }

    @Override // com.google.android.gms.common.api.internal.k
    public final Activity t() {
        return getActivity();
    }

    @Override // com.google.android.gms.common.api.internal.k
    public final boolean x() {
        return this.I0 >= 2;
    }
}
