package com.google.android.gms.common;

import android.content.ComponentName;
import android.content.ServiceConnection;
import android.os.IBinder;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.a0;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;

@KeepForSdk
public class b implements ServiceConnection {

    /* renamed from: a  reason: collision with root package name */
    private boolean f9985a = false;

    /* renamed from: b  reason: collision with root package name */
    private final BlockingQueue<IBinder> f9986b = new LinkedBlockingQueue();

    @KeepForSdk
    public IBinder a() throws InterruptedException {
        a0.j("BlockingServiceConnection.getService() called on main thread");
        if (!this.f9985a) {
            this.f9985a = true;
            return this.f9986b.take();
        }
        throw new IllegalStateException("Cannot call get on this connection more than once");
    }

    @KeepForSdk
    public IBinder b(long j, TimeUnit timeUnit) throws InterruptedException, TimeoutException {
        a0.j("BlockingServiceConnection.getServiceWithTimeout() called on main thread");
        if (!this.f9985a) {
            this.f9985a = true;
            IBinder poll = this.f9986b.poll(j, timeUnit);
            if (poll != null) {
                return poll;
            }
            throw new TimeoutException("Timed out waiting for the service connection");
        }
        throw new IllegalStateException("Cannot call get on this connection more than once");
    }

    public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
        this.f9986b.add(iBinder);
    }

    public void onServiceDisconnected(ComponentName componentName) {
    }
}
