package com.google.android.gms.common;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.app.Notification;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.res.Resources;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import android.util.TypedValue;
import android.widget.ProgressBar;
import androidx.annotation.GuardedBy;
import androidx.annotation.MainThread;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import androidx.core.app.NotificationCompat;
import androidx.fragment.app.FragmentActivity;
import com.google.android.gms.base.R;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.api.GoogleApiActivity;
import com.google.android.gms.common.api.h;
import com.google.android.gms.common.api.internal.k;
import com.google.android.gms.common.api.internal.r1;
import com.google.android.gms.common.api.internal.u1;
import com.google.android.gms.common.api.internal.zabq;
import com.google.android.gms.common.internal.HideFirstParty;
import com.google.android.gms.common.internal.ShowFirstParty;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.g;
import com.google.android.gms.common.internal.i;
import com.google.android.gms.common.util.l;
import com.google.android.gms.common.util.v;
import com.google.android.gms.internal.base.o;
import com.google.android.gms.tasks.n;
import com.ibm.icu.text.DateFormat;
import java.util.ArrayList;
import java.util.Arrays;

public class d extends e {
    private static final Object g = new Object();
    private static final d h = new d();
    public static final int i = e.f10014a;
    public static final String j = "com.google.android.gms";
    @GuardedBy("mLock")
    private String k;

    /* access modifiers changed from: private */
    @SuppressLint({"HandlerLeak"})
    public class a extends o {

        /* renamed from: b  reason: collision with root package name */
        private final Context f9988b;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        public a(Context context) {
            super(Looper.myLooper() == null ? Looper.getMainLooper() : Looper.myLooper());
            this.f9988b = context.getApplicationContext();
        }

        public final void handleMessage(Message message) {
            int i = message.what;
            if (i != 1) {
                StringBuilder sb = new StringBuilder(50);
                sb.append("Don't know how to handle this message: ");
                sb.append(i);
                Log.w("GoogleApiAvailability", sb.toString());
                return;
            }
            int j = d.this.j(this.f9988b);
            if (d.this.o(j)) {
                d.this.A(this.f9988b, j);
            }
        }
    }

    public static Dialog C(Activity activity, DialogInterface.OnCancelListener onCancelListener) {
        ProgressBar progressBar = new ProgressBar(activity, null, 16842874);
        progressBar.setIndeterminate(true);
        progressBar.setVisibility(0);
        AlertDialog.Builder builder = new AlertDialog.Builder(activity);
        builder.setView(progressBar);
        builder.setMessage(g.d(activity, 18));
        builder.setPositiveButton("", (DialogInterface.OnClickListener) null);
        AlertDialog create = builder.create();
        F(activity, create, "GooglePlayServicesUpdatingDialog", onCancelListener);
        return create;
    }

    static Dialog D(Context context, int i2, i iVar, DialogInterface.OnCancelListener onCancelListener) {
        AlertDialog.Builder builder = null;
        if (i2 == 0) {
            return null;
        }
        TypedValue typedValue = new TypedValue();
        context.getTheme().resolveAttribute(16843529, typedValue, true);
        if ("Theme.Dialog.Alert".equals(context.getResources().getResourceEntryName(typedValue.resourceId))) {
            builder = new AlertDialog.Builder(context, 5);
        }
        if (builder == null) {
            builder = new AlertDialog.Builder(context);
        }
        builder.setMessage(g.d(context, i2));
        if (onCancelListener != null) {
            builder.setOnCancelListener(onCancelListener);
        }
        String c2 = g.c(context, i2);
        if (c2 != null) {
            builder.setPositiveButton(c2, iVar);
        }
        String g2 = g.g(context, i2);
        if (g2 != null) {
            builder.setTitle(g2);
        }
        return builder.create();
    }

    static void F(Activity activity, Dialog dialog, String str, DialogInterface.OnCancelListener onCancelListener) {
        if (activity instanceof FragmentActivity) {
            k.B(dialog, onCancelListener).show(((FragmentActivity) activity).getSupportFragmentManager(), str);
            return;
        }
        ErrorDialogFragment.b(dialog, onCancelListener).show(activity.getFragmentManager(), str);
    }

    @TargetApi(20)
    private final void H(Context context, int i2, String str, PendingIntent pendingIntent) {
        int i3;
        if (i2 == 18) {
            G(context);
        } else if (pendingIntent != null) {
            String f = g.f(context, i2);
            String e2 = g.e(context, i2);
            Resources resources = context.getResources();
            NotificationManager notificationManager = (NotificationManager) context.getSystemService("notification");
            NotificationCompat.e x0 = new NotificationCompat.e(context).c0(true).C(true).O(f).x0(new NotificationCompat.c().A(e2));
            if (l.g(context)) {
                a0.q(v.i());
                x0.r0(context.getApplicationInfo().icon).i0(2);
                if (l.h(context)) {
                    x0.a(R.drawable.common_full_open_on_phone, resources.getString(R.string.common_open_on_phone), pendingIntent);
                } else {
                    x0.M(pendingIntent);
                }
            } else {
                x0.r0(17301642).z0(resources.getString(R.string.common_google_play_services_notification_ticker)).F0(System.currentTimeMillis()).M(pendingIntent).N(e2);
            }
            if (v.n()) {
                a0.q(v.n());
                String K = K();
                if (K == null) {
                    K = "com.google.android.gms.availability";
                    NotificationChannel notificationChannel = notificationManager.getNotificationChannel(K);
                    String b2 = g.b(context);
                    if (notificationChannel == null) {
                        notificationManager.createNotificationChannel(new NotificationChannel(K, b2, 4));
                    } else if (!b2.contentEquals(notificationChannel.getName())) {
                        notificationChannel.setName(b2);
                        notificationManager.createNotificationChannel(notificationChannel);
                    }
                }
                x0.G(K);
            }
            Notification h2 = x0.h();
            if (i2 == 1 || i2 == 2 || i2 == 3) {
                i3 = 10436;
                g.k.set(false);
            } else {
                i3 = 39789;
            }
            notificationManager.notify(i3, h2);
        } else if (i2 == 6) {
            Log.w("GoogleApiAvailability", "Missing resolution for ConnectionResult.RESOLUTION_REQUIRED. Call GoogleApiAvailability#showErrorNotification(Context, ConnectionResult) instead.");
        }
    }

    @VisibleForTesting(otherwise = 2)
    private final String K() {
        String str;
        synchronized (g) {
            str = this.k;
        }
        return str;
    }

    public static d v() {
        return h;
    }

    public void A(Context context, int i2) {
        H(context, i2, null, g(context, i2, 0, "n"));
    }

    public void B(Context context, ConnectionResult connectionResult) {
        H(context, connectionResult.e0(), null, u(context, connectionResult));
    }

    @Nullable
    public final zabq E(Context context, r1 r1Var) {
        IntentFilter intentFilter = new IntentFilter("android.intent.action.PACKAGE_ADDED");
        intentFilter.addDataScheme("package");
        zabq zabq = new zabq(r1Var);
        context.registerReceiver(zabq, intentFilter);
        zabq.b(context);
        if (n(context, "com.google.android.gms")) {
            return zabq;
        }
        r1Var.a();
        zabq.a();
        return null;
    }

    /* access modifiers changed from: package-private */
    public final void G(Context context) {
        new a(context).sendEmptyMessageDelayed(1, 120000);
    }

    public final boolean I(Activity activity, @NonNull k kVar, int i2, int i3, DialogInterface.OnCancelListener onCancelListener) {
        Dialog D = D(activity, i2, i.c(kVar, e(activity, i2, DateFormat.DAY), 2), onCancelListener);
        if (D == null) {
            return false;
        }
        F(activity, D, f.m, onCancelListener);
        return true;
    }

    public final boolean J(Context context, ConnectionResult connectionResult, int i2) {
        PendingIntent u = u(context, connectionResult);
        if (u == null) {
            return false;
        }
        H(context, connectionResult.e0(), null, GoogleApiActivity.a(context, u, i2));
        return true;
    }

    @Override // com.google.android.gms.common.e
    @ShowFirstParty
    @KeepForSdk
    public int c(Context context) {
        return super.c(context);
    }

    @Override // com.google.android.gms.common.e
    @Nullable
    @ShowFirstParty
    @KeepForSdk
    public Intent e(Context context, int i2, @Nullable String str) {
        return super.e(context, i2, str);
    }

    @Override // com.google.android.gms.common.e
    @Nullable
    public PendingIntent f(Context context, int i2, int i3) {
        return super.f(context, i2, i3);
    }

    @Override // com.google.android.gms.common.e
    public final String h(int i2) {
        return super.h(i2);
    }

    @Override // com.google.android.gms.common.e
    @HideFirstParty
    public int j(Context context) {
        return super.j(context);
    }

    @Override // com.google.android.gms.common.e
    @ShowFirstParty
    @KeepForSdk
    public int k(Context context, int i2) {
        return super.k(context, i2);
    }

    @Override // com.google.android.gms.common.e
    public final boolean o(int i2) {
        return super.o(i2);
    }

    public com.google.android.gms.tasks.k<Void> r(h<?> hVar, h<?>... hVarArr) {
        a0.l(hVar, "Requested API must not be null.");
        for (h<?> hVar2 : hVarArr) {
            a0.l(hVar2, "Requested API must not be null.");
        }
        ArrayList arrayList = new ArrayList(hVarArr.length + 1);
        arrayList.add(hVar);
        arrayList.addAll(Arrays.asList(hVarArr));
        return com.google.android.gms.common.api.internal.g.q().g(arrayList).m(new q(this));
    }

    public Dialog s(Activity activity, int i2, int i3) {
        return t(activity, i2, i3, null);
    }

    public Dialog t(Activity activity, int i2, int i3, DialogInterface.OnCancelListener onCancelListener) {
        return D(activity, i2, i.a(activity, e(activity, i2, DateFormat.DAY), i3), onCancelListener);
    }

    @Nullable
    public PendingIntent u(Context context, ConnectionResult connectionResult) {
        if (connectionResult.d1()) {
            return connectionResult.x0();
        }
        return f(context, connectionResult.e0(), 0);
    }

    @MainThread
    public com.google.android.gms.tasks.k<Void> w(Activity activity) {
        int i2 = i;
        a0.f("makeGooglePlayServicesAvailable must be called from the main thread");
        int k2 = k(activity, i2);
        if (k2 == 0) {
            return n.g(null);
        }
        u1 s = u1.s(activity);
        s.o(new ConnectionResult(k2, null), 0);
        return s.r();
    }

    @TargetApi(26)
    public void x(@NonNull Context context, @NonNull String str) {
        if (v.n()) {
            a0.k(((NotificationManager) context.getSystemService("notification")).getNotificationChannel(str));
        }
        synchronized (g) {
            this.k = str;
        }
    }

    public boolean y(Activity activity, int i2, int i3) {
        return z(activity, i2, i3, null);
    }

    public boolean z(Activity activity, int i2, int i3, DialogInterface.OnCancelListener onCancelListener) {
        Dialog t = t(activity, i2, i3, onCancelListener);
        if (t == null) {
            return false;
        }
        F(activity, t, f.m, onCancelListener);
        return true;
    }
}
