package com.google.android.gms.common;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.Signature;
import android.util.Log;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.ShowFirstParty;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.p.c;
import javax.annotation.CheckReturnValue;

@ShowFirstParty
@KeepForSdk
@CheckReturnValue
public class h {

    /* renamed from: a  reason: collision with root package name */
    private static h f10025a;

    /* renamed from: b  reason: collision with root package name */
    private final Context f10026b;

    /* renamed from: c  reason: collision with root package name */
    private volatile String f10027c;

    private h(Context context) {
        this.f10026b = context.getApplicationContext();
    }

    @KeepForSdk
    public static h a(Context context) {
        a0.k(context);
        synchronized (h.class) {
            if (f10025a == null) {
                u.c(context);
                f10025a = new h(context);
            }
        }
        return f10025a;
    }

    private static w e(PackageInfo packageInfo, w... wVarArr) {
        Signature[] signatureArr = packageInfo.signatures;
        if (signatureArr == null) {
            return null;
        }
        if (signatureArr.length != 1) {
            Log.w("GoogleSignatureVerifier", "Package has more than one signature.");
            return null;
        }
        x xVar = new x(packageInfo.signatures[0].toByteArray());
        for (int i = 0; i < wVarArr.length; i++) {
            if (wVarArr[i].equals(xVar)) {
                return wVarArr[i];
            }
        }
        return null;
    }

    private final d0 f(String str, int i) {
        ApplicationInfo applicationInfo;
        try {
            PackageInfo h = c.a(this.f10026b).h(str, 64, i);
            boolean k = g.k(this.f10026b);
            if (h == null) {
                return d0.d("null pkg");
            }
            if (h.signatures.length != 1) {
                return d0.d("single cert required");
            }
            x xVar = new x(h.signatures[0].toByteArray());
            String str2 = h.packageName;
            d0 a2 = u.a(str2, xVar, k, false);
            return (!a2.f9991b || (applicationInfo = h.applicationInfo) == null || (applicationInfo.flags & 2) == 0 || !u.a(str2, xVar, false, true).f9991b) ? a2 : d0.d("debuggable release cert app rejected");
        } catch (PackageManager.NameNotFoundException unused) {
            String valueOf = String.valueOf(str);
            return d0.d(valueOf.length() != 0 ? "no pkg ".concat(valueOf) : new String("no pkg "));
        }
    }

    public static boolean g(PackageInfo packageInfo, boolean z) {
        w wVar;
        if (!(packageInfo == null || packageInfo.signatures == null)) {
            if (z) {
                wVar = e(packageInfo, z.f10287a);
            } else {
                wVar = e(packageInfo, z.f10287a[0]);
            }
            if (wVar != null) {
                return true;
            }
        }
        return false;
    }

    private final d0 h(String str) {
        d0 d0Var;
        ApplicationInfo applicationInfo;
        if (str == null) {
            return d0.d("null pkg");
        }
        if (str.equals(this.f10027c)) {
            return d0.f();
        }
        try {
            PackageInfo e2 = c.a(this.f10026b).e(str, 64);
            boolean k = g.k(this.f10026b);
            if (e2 == null) {
                d0Var = d0.d("null pkg");
            } else if (e2.signatures.length != 1) {
                d0Var = d0.d("single cert required");
            } else {
                x xVar = new x(e2.signatures[0].toByteArray());
                String str2 = e2.packageName;
                d0 a2 = u.a(str2, xVar, k, false);
                d0Var = (!a2.f9991b || (applicationInfo = e2.applicationInfo) == null || (applicationInfo.flags & 2) == 0 || !u.a(str2, xVar, false, true).f9991b) ? a2 : d0.d("debuggable release cert app rejected");
            }
            if (d0Var.f9991b) {
                this.f10027c = str;
            }
            return d0Var;
        } catch (PackageManager.NameNotFoundException unused) {
            return d0.d(str.length() != 0 ? "no pkg ".concat(str) : new String("no pkg "));
        }
    }

    @KeepForSdk
    public boolean b(PackageInfo packageInfo) {
        if (packageInfo == null) {
            return false;
        }
        if (g(packageInfo, false)) {
            return true;
        }
        if (g(packageInfo, true)) {
            if (g.k(this.f10026b)) {
                return true;
            }
            Log.w("GoogleSignatureVerifier", "Test-keys aren't accepted on this build.");
        }
        return false;
    }

    @ShowFirstParty
    @KeepForSdk
    public boolean c(String str) {
        d0 h = h(str);
        h.g();
        return h.f9991b;
    }

    @ShowFirstParty
    @KeepForSdk
    public boolean d(int i) {
        d0 d0Var;
        String[] f = c.a(this.f10026b).f(i);
        if (f == null || f.length == 0) {
            d0Var = d0.d("no pkgs");
        } else {
            d0Var = null;
            for (String str : f) {
                d0Var = f(str, i);
                if (d0Var.f9991b) {
                    break;
                }
            }
        }
        d0Var.g();
        return d0Var.f9991b;
    }
}
