package com.google.android.gms.common.images;

import android.net.Uri;
import android.os.Parcel;
import android.os.Parcelable;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;
import com.google.android.gms.common.internal.y;
import java.util.Locale;
import org.json.JSONException;
import org.json.JSONObject;

@SafeParcelable.Class(creator = "WebImageCreator")
public final class WebImage extends AbstractSafeParcelable {
    public static final Parcelable.Creator<WebImage> CREATOR = new f();
    @SafeParcelable.Field(getter = "getWidth", id = 3)
    private final int I0;
    @SafeParcelable.Field(getter = "getHeight", id = 4)
    private final int J0;
    @SafeParcelable.VersionField(id = 1)

    /* renamed from: a  reason: collision with root package name */
    private final int f10042a;
    @SafeParcelable.Field(getter = "getUrl", id = 2)

    /* renamed from: b  reason: collision with root package name */
    private final Uri f10043b;

    @SafeParcelable.Constructor
    WebImage(@SafeParcelable.Param(id = 1) int i, @SafeParcelable.Param(id = 2) Uri uri, @SafeParcelable.Param(id = 3) int i2, @SafeParcelable.Param(id = 4) int i3) {
        this.f10042a = i;
        this.f10043b = uri;
        this.I0 = i2;
        this.J0 = i3;
    }

    private static Uri x0(JSONObject jSONObject) {
        if (jSONObject.has("url")) {
            try {
                return Uri.parse(jSONObject.getString("url"));
            } catch (JSONException unused) {
            }
        }
        return null;
    }

    public final int b() {
        return this.J0;
    }

    public final int e() {
        return this.I0;
    }

    public final Uri e0() {
        return this.f10043b;
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj != null && (obj instanceof WebImage)) {
            WebImage webImage = (WebImage) obj;
            return y.a(this.f10043b, webImage.f10043b) && this.I0 == webImage.I0 && this.J0 == webImage.J0;
        }
    }

    public final int hashCode() {
        return y.b(this.f10043b, Integer.valueOf(this.I0), Integer.valueOf(this.J0));
    }

    @KeepForSdk
    public final JSONObject o0() {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("url", this.f10043b.toString());
            jSONObject.put("width", this.I0);
            jSONObject.put("height", this.J0);
        } catch (JSONException unused) {
        }
        return jSONObject;
    }

    public final String toString() {
        return String.format(Locale.US, "Image %dx%d %s", Integer.valueOf(this.I0), Integer.valueOf(this.J0), this.f10043b.toString());
    }

    public final void writeToParcel(Parcel parcel, int i) {
        int a2 = a.a(parcel);
        a.F(parcel, 1, this.f10042a);
        a.S(parcel, 2, e0(), i, false);
        a.F(parcel, 3, e());
        a.F(parcel, 4, b());
        a.b(parcel, a2);
    }

    public WebImage(Uri uri, int i, int i2) throws IllegalArgumentException {
        this(1, uri, i, i2);
        if (uri == null) {
            throw new IllegalArgumentException("url cannot be null");
        } else if (i < 0 || i2 < 0) {
            throw new IllegalArgumentException("width and height must not be negative");
        }
    }

    public WebImage(Uri uri) throws IllegalArgumentException {
        this(uri, 0, 0);
    }

    @KeepForSdk
    public WebImage(JSONObject jSONObject) throws IllegalArgumentException {
        this(x0(jSONObject), jSONObject.optInt("width", 0), jSONObject.optInt("height", 0));
    }
}
