package com.google.android.gms.common.internal;

import android.accounts.Account;
import android.os.IBinder;
import android.os.Parcel;
import android.os.Parcelable;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.internal.p;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;
import javax.annotation.Nullable;

@SafeParcelable.Class(creator = "AuthAccountRequestCreator")
public class AuthAccountRequest extends AbstractSafeParcelable {
    public static final Parcelable.Creator<AuthAccountRequest> CREATOR = new j0();
    @SafeParcelable.Field(id = 3)
    private final Scope[] I0;
    @SafeParcelable.Field(id = 4)
    private Integer J0;
    @SafeParcelable.Field(id = 5)
    private Integer K0;
    @SafeParcelable.Field(id = 6, type = "android.accounts.Account")
    private Account L0;
    @SafeParcelable.VersionField(id = 1)

    /* renamed from: a  reason: collision with root package name */
    private final int f10052a;
    @SafeParcelable.Field(id = 2)
    @Deprecated

    /* renamed from: b  reason: collision with root package name */
    private final IBinder f10053b;

    @SafeParcelable.Constructor
    AuthAccountRequest(@SafeParcelable.Param(id = 1) int i, @SafeParcelable.Param(id = 2) IBinder iBinder, @SafeParcelable.Param(id = 3) Scope[] scopeArr, @SafeParcelable.Param(id = 4) Integer num, @SafeParcelable.Param(id = 5) Integer num2, @SafeParcelable.Param(id = 6) Account account) {
        this.f10052a = i;
        this.f10053b = iBinder;
        this.I0 = scopeArr;
        this.J0 = num;
        this.K0 = num2;
        this.L0 = account;
    }

    public AuthAccountRequest d1(@Nullable Integer num) {
        this.J0 = num;
        return this;
    }

    @Nullable
    public Integer e0() {
        return this.J0;
    }

    public AuthAccountRequest m1(@Nullable Integer num) {
        this.K0 = num;
        return this;
    }

    public Account o() {
        Account account = this.L0;
        if (account != null) {
            return account;
        }
        IBinder iBinder = this.f10053b;
        if (iBinder != null) {
            return a.m(p.a.e(iBinder));
        }
        return null;
    }

    @Nullable
    public Integer o0() {
        return this.K0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        int a2 = a.a(parcel);
        a.F(parcel, 1, this.f10052a);
        a.B(parcel, 2, this.f10053b, false);
        a.b0(parcel, 3, this.I0, i, false);
        a.I(parcel, 4, this.J0, false);
        a.I(parcel, 5, this.K0, false);
        a.S(parcel, 6, this.L0, i, false);
        a.b(parcel, a2);
    }

    public Set<Scope> x0() {
        return new HashSet(Arrays.asList(this.I0));
    }

    @Deprecated
    public AuthAccountRequest(p pVar, Set<Scope> set) {
        this(3, pVar.asBinder(), (Scope[]) set.toArray(new Scope[set.size()]), null, null, null);
    }

    public AuthAccountRequest(Account account, Set<Scope> set) {
        this(3, null, (Scope[]) set.toArray(new Scope[set.size()]), null, null, (Account) a0.k(account));
    }
}
