package com.google.android.gms.common.internal;

import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.Nullable;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;

@KeepForSdk
@SafeParcelable.Class(creator = "ClientIdentityCreator")
@SafeParcelable.Reserved({1000})
public class ClientIdentity extends AbstractSafeParcelable {
    @KeepForSdk
    public static final Parcelable.Creator<ClientIdentity> CREATOR = new k0();
    @SafeParcelable.Field(defaultValueUnchecked = "0", id = 1)

    /* renamed from: a  reason: collision with root package name */
    private final int f10055a;
    @Nullable
    @SafeParcelable.Field(defaultValueUnchecked = "null", id = 2)

    /* renamed from: b  reason: collision with root package name */
    private final String f10056b;

    @SafeParcelable.Constructor
    public ClientIdentity(@SafeParcelable.Param(id = 1) int i, @Nullable @SafeParcelable.Param(id = 2) String str) {
        this.f10055a = i;
        this.f10056b = str;
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (obj != null && (obj instanceof ClientIdentity)) {
            ClientIdentity clientIdentity = (ClientIdentity) obj;
            return clientIdentity.f10055a == this.f10055a && y.a(clientIdentity.f10056b, this.f10056b);
        }
    }

    public int hashCode() {
        return this.f10055a;
    }

    public String toString() {
        int i = this.f10055a;
        String str = this.f10056b;
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 12);
        sb.append(i);
        sb.append(":");
        sb.append(str);
        return sb.toString();
    }

    public void writeToParcel(Parcel parcel, int i) {
        int a2 = a.a(parcel);
        a.F(parcel, 1, this.f10055a);
        a.X(parcel, 2, this.f10056b, false);
        a.b(parcel, a2);
    }
}
