package com.google.android.gms.common.internal;

import android.accounts.Account;
import android.os.Bundle;
import android.os.IBinder;
import android.os.Parcel;
import android.os.Parcelable;
import com.google.android.gms.common.Feature;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.e;
import com.google.android.gms.common.internal.p;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;

@KeepForSdk
@SafeParcelable.Class(creator = "GetServiceRequestCreator")
@SafeParcelable.Reserved({9})
public class GetServiceRequest extends AbstractSafeParcelable {
    public static final Parcelable.Creator<GetServiceRequest> CREATOR = new a1();
    @SafeParcelable.Field(id = 3)
    private int I0;
    @SafeParcelable.Field(id = 4)
    String J0;
    @SafeParcelable.Field(id = 5)
    IBinder K0;
    @SafeParcelable.Field(id = 6)
    Scope[] L0;
    @SafeParcelable.Field(id = 7)
    Bundle M0;
    @SafeParcelable.Field(id = 8)
    Account N0;
    @SafeParcelable.Field(id = 10)
    Feature[] O0;
    @SafeParcelable.Field(id = 11)
    Feature[] P0;
    @SafeParcelable.Field(id = 12)
    private boolean Q0;
    @SafeParcelable.VersionField(id = 1)

    /* renamed from: a  reason: collision with root package name */
    private final int f10059a;
    @SafeParcelable.Field(id = 2)

    /* renamed from: b  reason: collision with root package name */
    private final int f10060b;

    public GetServiceRequest(int i) {
        this.f10059a = 4;
        this.I0 = e.f10014a;
        this.f10060b = i;
        this.Q0 = true;
    }

    @KeepForSdk
    public Bundle e0() {
        return this.M0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        int a2 = a.a(parcel);
        a.F(parcel, 1, this.f10059a);
        a.F(parcel, 2, this.f10060b);
        a.F(parcel, 3, this.I0);
        a.X(parcel, 4, this.J0, false);
        a.B(parcel, 5, this.K0, false);
        a.b0(parcel, 6, this.L0, i, false);
        a.k(parcel, 7, this.M0, false);
        a.S(parcel, 8, this.N0, i, false);
        a.b0(parcel, 10, this.O0, i, false);
        a.b0(parcel, 11, this.P0, i, false);
        a.g(parcel, 12, this.Q0);
        a.b(parcel, a2);
    }

    @SafeParcelable.Constructor
    GetServiceRequest(@SafeParcelable.Param(id = 1) int i, @SafeParcelable.Param(id = 2) int i2, @SafeParcelable.Param(id = 3) int i3, @SafeParcelable.Param(id = 4) String str, @SafeParcelable.Param(id = 5) IBinder iBinder, @SafeParcelable.Param(id = 6) Scope[] scopeArr, @SafeParcelable.Param(id = 7) Bundle bundle, @SafeParcelable.Param(id = 8) Account account, @SafeParcelable.Param(id = 10) Feature[] featureArr, @SafeParcelable.Param(id = 11) Feature[] featureArr2, @SafeParcelable.Param(id = 12) boolean z) {
        this.f10059a = i;
        this.f10060b = i2;
        this.I0 = i3;
        if ("com.google.android.gms".equals(str)) {
            this.J0 = "com.google.android.gms";
        } else {
            this.J0 = str;
        }
        if (i < 2) {
            this.N0 = iBinder != null ? a.m(p.a.e(iBinder)) : null;
        } else {
            this.K0 = iBinder;
            this.N0 = account;
        }
        this.L0 = scopeArr;
        this.M0 = bundle;
        this.O0 = featureArr;
        this.P0 = featureArr2;
        this.Q0 = z;
    }
}
