package com.google.android.gms.common.internal;

import android.accounts.Account;
import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.Nullable;
import com.google.android.gms.auth.api.signin.GoogleSignInAccount;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;

@SafeParcelable.Class(creator = "ResolveAccountRequestCreator")
public class ResolveAccountRequest extends AbstractSafeParcelable {
    public static final Parcelable.Creator<ResolveAccountRequest> CREATOR = new v0();
    @SafeParcelable.Field(getter = "getSessionId", id = 3)
    private final int I0;
    @SafeParcelable.Field(getter = "getSignInAccountHint", id = 4)
    private final GoogleSignInAccount J0;
    @SafeParcelable.VersionField(id = 1)

    /* renamed from: a  reason: collision with root package name */
    private final int f10061a;
    @SafeParcelable.Field(getter = "getAccount", id = 2)

    /* renamed from: b  reason: collision with root package name */
    private final Account f10062b;

    @SafeParcelable.Constructor
    ResolveAccountRequest(@SafeParcelable.Param(id = 1) int i, @SafeParcelable.Param(id = 2) Account account, @SafeParcelable.Param(id = 3) int i2, @SafeParcelable.Param(id = 4) GoogleSignInAccount googleSignInAccount) {
        this.f10061a = i;
        this.f10062b = account;
        this.I0 = i2;
        this.J0 = googleSignInAccount;
    }

    public int e0() {
        return this.I0;
    }

    public Account o() {
        return this.f10062b;
    }

    @Nullable
    public GoogleSignInAccount o0() {
        return this.J0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        int a2 = a.a(parcel);
        a.F(parcel, 1, this.f10061a);
        a.S(parcel, 2, o(), i, false);
        a.F(parcel, 3, e0());
        a.S(parcel, 4, o0(), i, false);
        a.b(parcel, a2);
    }

    public ResolveAccountRequest(Account account, int i, GoogleSignInAccount googleSignInAccount) {
        this(2, account, i, googleSignInAccount);
    }
}
