package com.google.android.gms.common.internal;

import android.os.IBinder;
import android.os.Parcel;
import android.os.Parcelable;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.internal.p;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;

@SafeParcelable.Class(creator = "ResolveAccountResponseCreator")
public class ResolveAccountResponse extends AbstractSafeParcelable {
    public static final Parcelable.Creator<ResolveAccountResponse> CREATOR = new w0();
    @SafeParcelable.Field(getter = "getConnectionResult", id = 3)
    private ConnectionResult I0;
    @SafeParcelable.Field(getter = "getSaveDefaultAccount", id = 4)
    private boolean J0;
    @SafeParcelable.Field(getter = "isFromCrossClientAuth", id = 5)
    private boolean K0;
    @SafeParcelable.VersionField(id = 1)

    /* renamed from: a  reason: collision with root package name */
    private final int f10063a;
    @SafeParcelable.Field(id = 2)

    /* renamed from: b  reason: collision with root package name */
    private IBinder f10064b;

    @SafeParcelable.Constructor
    ResolveAccountResponse(@SafeParcelable.Param(id = 1) int i, @SafeParcelable.Param(id = 2) IBinder iBinder, @SafeParcelable.Param(id = 3) ConnectionResult connectionResult, @SafeParcelable.Param(id = 4) boolean z, @SafeParcelable.Param(id = 5) boolean z2) {
        this.f10063a = i;
        this.f10064b = iBinder;
        this.I0 = connectionResult;
        this.J0 = z;
        this.K0 = z2;
    }

    public boolean d1() {
        return this.K0;
    }

    public p e0() {
        return p.a.e(this.f10064b);
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof ResolveAccountResponse)) {
            return false;
        }
        ResolveAccountResponse resolveAccountResponse = (ResolveAccountResponse) obj;
        return this.I0.equals(resolveAccountResponse.I0) && e0().equals(resolveAccountResponse.e0());
    }

    public ResolveAccountResponse m1(p pVar) {
        this.f10064b = pVar == null ? null : pVar.asBinder();
        return this;
    }

    public ConnectionResult o0() {
        return this.I0;
    }

    public ResolveAccountResponse s1(boolean z) {
        this.K0 = z;
        return this;
    }

    public ResolveAccountResponse u1(boolean z) {
        this.J0 = z;
        return this;
    }

    public void writeToParcel(Parcel parcel, int i) {
        int a2 = a.a(parcel);
        a.F(parcel, 1, this.f10063a);
        a.B(parcel, 2, this.f10064b, false);
        a.S(parcel, 3, o0(), i, false);
        a.g(parcel, 4, x0());
        a.g(parcel, 5, d1());
        a.b(parcel, a2);
    }

    public boolean x0() {
        return this.J0;
    }

    public ResolveAccountResponse(ConnectionResult connectionResult) {
        this(1, null, connectionResult, false, false);
    }

    public ResolveAccountResponse(int i) {
        this(new ConnectionResult(i, null));
    }
}
