package com.google.android.gms.common.internal;

import android.accounts.Account;
import android.app.PendingIntent;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Bundle;
import android.os.DeadObjectException;
import android.os.Handler;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Looper;
import android.os.Message;
import android.os.RemoteException;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.BinderThread;
import androidx.annotation.CallSuper;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.Feature;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.internal.m;
import com.google.android.gms.common.internal.r;
import com.google.android.gms.common.internal.s;
import com.google.android.gms.common.util.VisibleForTesting;
import com.ibm.icu.impl.number.Padder;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.Locale;
import java.util.Set;
import java.util.concurrent.atomic.AtomicInteger;
import javax.annotation.concurrent.GuardedBy;

@KeepForSdk
public abstract class e<T extends IInterface> {
    @KeepForSdk

    /* renamed from: a  reason: collision with root package name */
    public static final int f10081a = 1;
    @KeepForSdk

    /* renamed from: b  reason: collision with root package name */
    public static final int f10082b = 4;
    @KeepForSdk

    /* renamed from: c  reason: collision with root package name */
    public static final int f10083c = 5;

    /* renamed from: d  reason: collision with root package name */
    private static final Feature[] f10084d = new Feature[0];
    @KeepForSdk

    /* renamed from: e  reason: collision with root package name */
    public static final String f10085e = "pendingIntent";
    @KeepForSdk
    public static final String f = "<<default account>>";
    @KeepForSdk
    public static final String[] g = {"service_esmobile", "service_googleme"};
    private final a A;
    private final b B;
    private final int C;
    private final String D;
    private ConnectionResult E;
    private boolean F;
    private volatile zzb G;
    @VisibleForTesting
    protected AtomicInteger H;
    private int h;
    private long i;
    private long j;
    private int k;
    private long l;
    @VisibleForTesting
    private e1 m;
    private final Context n;
    private final Looper o;
    private final m p;
    private final com.google.android.gms.common.e q;
    final Handler r;
    private final Object s;
    private final Object t;
    @GuardedBy("mServiceBrokerLock")
    private s u;
    @VisibleForTesting
    protected c v;
    @GuardedBy("mLock")
    private T w;
    private final ArrayList<h<?>> x;
    @GuardedBy("mLock")
    private j y;
    @GuardedBy("mLock")
    private int z;

    @KeepForSdk
    public interface a {
        @KeepForSdk
        void b(int i);

        @KeepForSdk
        void e(@Nullable Bundle bundle);
    }

    @KeepForSdk
    public interface b {
        void y(@NonNull ConnectionResult connectionResult);
    }

    @KeepForSdk
    public interface c {
        @KeepForSdk
        void a(@NonNull ConnectionResult connectionResult);
    }

    protected class d implements c {
        @KeepForSdk
        public d() {
        }

        @Override // com.google.android.gms.common.internal.e.c
        public void a(@NonNull ConnectionResult connectionResult) {
            if (connectionResult.m1()) {
                e eVar = e.this;
                eVar.f(null, eVar.F());
            } else if (e.this.B != null) {
                e.this.B.y(connectionResult);
            }
        }
    }

    @KeepForSdk
    /* renamed from: com.google.android.gms.common.internal.e$e  reason: collision with other inner class name */
    public interface AbstractC0237e {
        @KeepForSdk
        void a();
    }

    private abstract class f extends h<Boolean> {

        /* renamed from: d  reason: collision with root package name */
        private final int f10087d;

        /* renamed from: e  reason: collision with root package name */
        private final Bundle f10088e;

        @BinderThread
        protected f(int i, Bundle bundle) {
            super(Boolean.TRUE);
            this.f10087d = i;
            this.f10088e = bundle;
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        /* access modifiers changed from: protected */
        @Override // com.google.android.gms.common.internal.e.h
        public final /* synthetic */ void c(Boolean bool) {
            PendingIntent pendingIntent = null;
            if (bool == null) {
                e.this.T(1, null);
                return;
            }
            int i = this.f10087d;
            if (i != 0) {
                if (i != 10) {
                    e.this.T(1, null);
                    Bundle bundle = this.f10088e;
                    if (bundle != null) {
                        pendingIntent = (PendingIntent) bundle.getParcelable(e.f10085e);
                    }
                    f(new ConnectionResult(this.f10087d, pendingIntent));
                    return;
                }
                e.this.T(1, null);
                throw new IllegalStateException(String.format("A fatal developer error has occurred. Class name: %s. Start service action: %s. Service Descriptor: %s. ", getClass().getSimpleName(), e.this.v(), e.this.m()));
            } else if (!g()) {
                e.this.T(1, null);
                f(new ConnectionResult(8, null));
            }
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.gms.common.internal.e.h
        public final void d() {
        }

        /* access modifiers changed from: protected */
        public abstract void f(ConnectionResult connectionResult);

        /* access modifiers changed from: protected */
        public abstract boolean g();
    }

    final class g extends c.c.a.a.d.b.e {
        public g(Looper looper) {
            super(looper);
        }

        private static void a(Message message) {
            h hVar = (h) message.obj;
            hVar.d();
            hVar.b();
        }

        private static boolean b(Message message) {
            int i = message.what;
            return i == 2 || i == 1 || i == 7;
        }

        public final void handleMessage(Message message) {
            ConnectionResult connectionResult;
            ConnectionResult connectionResult2;
            if (e.this.H.get() == message.arg1) {
                int i = message.what;
                if ((i == 1 || i == 7 || ((i == 4 && !e.this.z()) || message.what == 5)) && !e.this.a()) {
                    a(message);
                    return;
                }
                int i2 = message.what;
                PendingIntent pendingIntent = null;
                if (i2 == 4) {
                    e.this.E = new ConnectionResult(message.arg2);
                    if (!e.this.j0() || e.this.F) {
                        if (e.this.E != null) {
                            connectionResult2 = e.this.E;
                        } else {
                            connectionResult2 = new ConnectionResult(8);
                        }
                        e.this.v.a(connectionResult2);
                        e.this.J(connectionResult2);
                        return;
                    }
                    e.this.T(3, null);
                } else if (i2 == 5) {
                    if (e.this.E != null) {
                        connectionResult = e.this.E;
                    } else {
                        connectionResult = new ConnectionResult(8);
                    }
                    e.this.v.a(connectionResult);
                    e.this.J(connectionResult);
                } else if (i2 == 3) {
                    Object obj = message.obj;
                    if (obj instanceof PendingIntent) {
                        pendingIntent = (PendingIntent) obj;
                    }
                    ConnectionResult connectionResult3 = new ConnectionResult(message.arg2, pendingIntent);
                    e.this.v.a(connectionResult3);
                    e.this.J(connectionResult3);
                } else if (i2 == 6) {
                    e.this.T(5, null);
                    if (e.this.A != null) {
                        e.this.A.b(message.arg2);
                    }
                    e.this.K(message.arg2);
                    e.this.Y(5, 1, null);
                } else if (i2 == 2 && !e.this.isConnected()) {
                    a(message);
                } else if (b(message)) {
                    ((h) message.obj).e();
                } else {
                    int i3 = message.what;
                    StringBuilder sb = new StringBuilder(45);
                    sb.append("Don't know how to handle message: ");
                    sb.append(i3);
                    Log.wtf("GmsClient", sb.toString(), new Exception());
                }
            } else if (b(message)) {
                a(message);
            }
        }
    }

    /* access modifiers changed from: protected */
    public abstract class h<TListener> {

        /* renamed from: a  reason: collision with root package name */
        private TListener f10090a;

        /* renamed from: b  reason: collision with root package name */
        private boolean f10091b = false;

        public h(TListener tlistener) {
            this.f10090a = tlistener;
        }

        public final void a() {
            synchronized (this) {
                this.f10090a = null;
            }
        }

        public final void b() {
            a();
            synchronized (e.this.x) {
                e.this.x.remove(this);
            }
        }

        /* access modifiers changed from: protected */
        public abstract void c(TListener tlistener);

        /* access modifiers changed from: protected */
        public abstract void d();

        public final void e() {
            TListener tlistener;
            synchronized (this) {
                tlistener = this.f10090a;
                if (this.f10091b) {
                    String valueOf = String.valueOf(this);
                    StringBuilder sb = new StringBuilder(valueOf.length() + 47);
                    sb.append("Callback proxy ");
                    sb.append(valueOf);
                    sb.append(" being reused. This is not safe.");
                    Log.w("GmsClient", sb.toString());
                }
            }
            if (tlistener != null) {
                try {
                    c(tlistener);
                } catch (RuntimeException e2) {
                    d();
                    throw e2;
                }
            } else {
                d();
            }
            synchronized (this) {
                this.f10091b = true;
            }
            b();
        }
    }

    @VisibleForTesting
    public static final class i extends r.a {

        /* renamed from: d  reason: collision with root package name */
        private e f10093d;

        /* renamed from: e  reason: collision with root package name */
        private final int f10094e;

        public i(@NonNull e eVar, int i) {
            this.f10093d = eVar;
            this.f10094e = i;
        }

        @Override // com.google.android.gms.common.internal.r
        @BinderThread
        public final void i0(int i, @NonNull IBinder iBinder, @NonNull zzb zzb) {
            a0.l(this.f10093d, "onPostInitCompleteWithConnectionInfo can be called only once per call togetRemoteService");
            a0.k(zzb);
            this.f10093d.X(zzb);
            r0(i, iBinder, zzb.f10168a);
        }

        @Override // com.google.android.gms.common.internal.r
        @BinderThread
        public final void o0(int i, @Nullable Bundle bundle) {
            Log.wtf("GmsClient", "received deprecated onAccountValidationComplete callback, ignoring", new Exception());
        }

        @Override // com.google.android.gms.common.internal.r
        @BinderThread
        public final void r0(int i, @NonNull IBinder iBinder, @Nullable Bundle bundle) {
            a0.l(this.f10093d, "onPostInitComplete can be called only once per call to getRemoteService");
            this.f10093d.L(i, iBinder, bundle, this.f10094e);
            this.f10093d = null;
        }
    }

    @VisibleForTesting
    public final class j implements ServiceConnection {

        /* renamed from: a  reason: collision with root package name */
        private final int f10095a;

        public j(int i) {
            this.f10095a = i;
        }

        public final void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            s sVar;
            if (iBinder == null) {
                e.this.a0(16);
                return;
            }
            synchronized (e.this.t) {
                e eVar = e.this;
                IInterface queryLocalInterface = iBinder.queryLocalInterface("com.google.android.gms.common.internal.IGmsServiceBroker");
                if (queryLocalInterface == null || !(queryLocalInterface instanceof s)) {
                    sVar = new s.a.C0240a(iBinder);
                } else {
                    sVar = (s) queryLocalInterface;
                }
                eVar.u = sVar;
            }
            e.this.S(0, null, this.f10095a);
        }

        public final void onServiceDisconnected(ComponentName componentName) {
            synchronized (e.this.t) {
                e.this.u = null;
            }
            Handler handler = e.this.r;
            handler.sendMessage(handler.obtainMessage(6, this.f10095a, 1));
        }
    }

    /* access modifiers changed from: protected */
    public final class k extends f {
        private final IBinder g;

        @BinderThread
        public k(int i, IBinder iBinder, Bundle bundle) {
            super(i, bundle);
            this.g = iBinder;
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.gms.common.internal.e.f
        public final void f(ConnectionResult connectionResult) {
            if (e.this.B != null) {
                e.this.B.y(connectionResult);
            }
            e.this.J(connectionResult);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.gms.common.internal.e.f
        public final boolean g() {
            try {
                String interfaceDescriptor = this.g.getInterfaceDescriptor();
                if (!e.this.m().equals(interfaceDescriptor)) {
                    String m = e.this.m();
                    StringBuilder sb = new StringBuilder(String.valueOf(m).length() + 34 + String.valueOf(interfaceDescriptor).length());
                    sb.append("service descriptor mismatch: ");
                    sb.append(m);
                    sb.append(" vs. ");
                    sb.append(interfaceDescriptor);
                    Log.e("GmsClient", sb.toString());
                    return false;
                }
                IInterface n = e.this.n(this.g);
                if (n == null || (!e.this.Y(2, 4, n) && !e.this.Y(3, 4, n))) {
                    return false;
                }
                e.this.E = null;
                Bundle w = e.this.w();
                if (e.this.A == null) {
                    return true;
                }
                e.this.A.e(w);
                return true;
            } catch (RemoteException unused) {
                Log.w("GmsClient", "service probably died");
                return false;
            }
        }
    }

    /* access modifiers changed from: protected */
    public final class l extends f {
        @BinderThread
        public l(int i, @Nullable Bundle bundle) {
            super(i, null);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.gms.common.internal.e.f
        public final void f(ConnectionResult connectionResult) {
            if (!e.this.z() || !e.this.j0()) {
                e.this.v.a(connectionResult);
                e.this.J(connectionResult);
                return;
            }
            e.this.a0(16);
        }

        /* access modifiers changed from: protected */
        @Override // com.google.android.gms.common.internal.e.f
        public final boolean g() {
            e.this.v.a(ConnectionResult.c1);
            return true;
        }
    }

    @KeepForSdk
    protected e(Context context, Looper looper, int i2, a aVar, b bVar, String str) {
        this(context, looper, m.c(context), com.google.android.gms.common.e.i(), i2, (a) a0.k(aVar), (b) a0.k(bVar), str);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void T(int i2, T t2) {
        e1 e1Var;
        e1 e1Var2;
        a0.a((i2 == 4) == (t2 != null));
        synchronized (this.s) {
            this.z = i2;
            this.w = t2;
            M(i2, t2);
            if (i2 != 1) {
                if (i2 == 2 || i2 == 3) {
                    if (!(this.y == null || (e1Var2 = this.m) == null)) {
                        String c2 = e1Var2.c();
                        String a2 = this.m.a();
                        StringBuilder sb = new StringBuilder(String.valueOf(c2).length() + 70 + String.valueOf(a2).length());
                        sb.append("Calling connect() while still connected, missing disconnect() for ");
                        sb.append(c2);
                        sb.append(" on ");
                        sb.append(a2);
                        Log.e("GmsClient", sb.toString());
                        this.p.f(this.m.c(), this.m.a(), this.m.b(), this.y, h0());
                        this.H.incrementAndGet();
                    }
                    this.y = new j(this.H.get());
                    if (this.z != 3 || D() == null) {
                        e1Var = new e1(H(), v(), false, 129);
                    } else {
                        e1Var = new e1(getContext().getPackageName(), D(), true, 129);
                    }
                    this.m = e1Var;
                    if (!this.p.g(new m.a(e1Var.c(), this.m.a(), this.m.b()), this.y, h0())) {
                        String c3 = this.m.c();
                        String a3 = this.m.a();
                        StringBuilder sb2 = new StringBuilder(String.valueOf(c3).length() + 34 + String.valueOf(a3).length());
                        sb2.append("unable to connect to service: ");
                        sb2.append(c3);
                        sb2.append(" on ");
                        sb2.append(a3);
                        Log.e("GmsClient", sb2.toString());
                        S(16, null, this.H.get());
                    }
                } else if (i2 == 4) {
                    I(t2);
                }
            } else if (this.y != null) {
                this.p.f(this.m.c(), this.m.a(), this.m.b(), this.y, h0());
                this.y = null;
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void X(zzb zzb) {
        this.G = zzb;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final boolean Y(int i2, int i3, T t2) {
        synchronized (this.s) {
            if (this.z != i2) {
                return false;
            }
            T(i3, t2);
            return true;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void a0(int i2) {
        int i3;
        if (i0()) {
            i3 = 5;
            this.F = true;
        } else {
            i3 = 4;
        }
        Handler handler = this.r;
        handler.sendMessage(handler.obtainMessage(i3, this.H.get(), 16));
    }

    @Nullable
    private final String h0() {
        String str = this.D;
        return str == null ? this.n.getClass().getName() : str;
    }

    private final boolean i0() {
        boolean z2;
        synchronized (this.s) {
            z2 = this.z == 3;
        }
        return z2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final boolean j0() {
        if (this.F || TextUtils.isEmpty(m()) || TextUtils.isEmpty(D())) {
            return false;
        }
        try {
            Class.forName(m());
            return true;
        } catch (ClassNotFoundException unused) {
            return false;
        }
    }

    @KeepForSdk
    public Account A() {
        return null;
    }

    @KeepForSdk
    public Feature[] B() {
        return f10084d;
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public Bundle C() {
        return new Bundle();
    }

    /* access modifiers changed from: protected */
    @Nullable
    @KeepForSdk
    public String D() {
        return null;
    }

    @KeepForSdk
    public final Looper E() {
        return this.o;
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public Set<Scope> F() {
        return Collections.EMPTY_SET;
    }

    @KeepForSdk
    public final T G() throws DeadObjectException {
        T t2;
        synchronized (this.s) {
            if (this.z != 5) {
                y();
                a0.r(this.w != null, "Client is connected but service is null");
                t2 = this.w;
            } else {
                throw new DeadObjectException();
            }
        }
        return t2;
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public String H() {
        return "com.google.android.gms";
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    @CallSuper
    public void I(@NonNull T t2) {
        this.j = System.currentTimeMillis();
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    @CallSuper
    public void J(ConnectionResult connectionResult) {
        this.k = connectionResult.e0();
        this.l = System.currentTimeMillis();
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    @CallSuper
    public void K(int i2) {
        this.h = i2;
        this.i = System.currentTimeMillis();
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public void L(int i2, IBinder iBinder, Bundle bundle, int i3) {
        Handler handler = this.r;
        handler.sendMessage(handler.obtainMessage(1, i3, -1, new k(i2, iBinder, bundle)));
    }

    /* access modifiers changed from: package-private */
    @KeepForSdk
    public void M(int i2, T t2) {
    }

    @KeepForSdk
    public void N(int i2) {
        Handler handler = this.r;
        handler.sendMessage(handler.obtainMessage(6, this.H.get(), i2));
    }

    /* access modifiers changed from: protected */
    @VisibleForTesting
    @KeepForSdk
    public void O(@NonNull c cVar, int i2, @Nullable PendingIntent pendingIntent) {
        this.v = (c) a0.l(cVar, "Connection progress callbacks cannot be null.");
        Handler handler = this.r;
        handler.sendMessage(handler.obtainMessage(3, this.H.get(), i2, pendingIntent));
    }

    /* access modifiers changed from: protected */
    public final void S(int i2, @Nullable Bundle bundle, int i3) {
        Handler handler = this.r;
        handler.sendMessage(handler.obtainMessage(7, i3, -1, new l(i2, null)));
    }

    @KeepForSdk
    public boolean a() {
        boolean z2;
        synchronized (this.s) {
            int i2 = this.z;
            if (i2 != 2) {
                if (i2 != 3) {
                    z2 = false;
                }
            }
            z2 = true;
        }
        return z2;
    }

    @KeepForSdk
    public void c(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        int i2;
        T t2;
        s sVar;
        synchronized (this.s) {
            i2 = this.z;
            t2 = this.w;
        }
        synchronized (this.t) {
            sVar = this.u;
        }
        printWriter.append((CharSequence) str).append("mConnectState=");
        if (i2 == 1) {
            printWriter.print("DISCONNECTED");
        } else if (i2 == 2) {
            printWriter.print("REMOTE_CONNECTING");
        } else if (i2 == 3) {
            printWriter.print("LOCAL_CONNECTING");
        } else if (i2 == 4) {
            printWriter.print("CONNECTED");
        } else if (i2 != 5) {
            printWriter.print("UNKNOWN");
        } else {
            printWriter.print("DISCONNECTING");
        }
        printWriter.append(" mService=");
        if (t2 == null) {
            printWriter.append("null");
        } else {
            printWriter.append((CharSequence) m()).append("@").append((CharSequence) Integer.toHexString(System.identityHashCode(t2.asBinder())));
        }
        printWriter.append(" mServiceBroker=");
        if (sVar == null) {
            printWriter.println("null");
        } else {
            printWriter.append("IGmsServiceBroker@").println(Integer.toHexString(System.identityHashCode(sVar.asBinder())));
        }
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss.SSS", Locale.US);
        if (this.j > 0) {
            PrintWriter append = printWriter.append((CharSequence) str).append("lastConnectedTime=");
            long j2 = this.j;
            String format = simpleDateFormat.format(new Date(this.j));
            StringBuilder sb = new StringBuilder(String.valueOf(format).length() + 21);
            sb.append(j2);
            sb.append(Padder.f14124a);
            sb.append(format);
            append.println(sb.toString());
        }
        if (this.i > 0) {
            printWriter.append((CharSequence) str).append("lastSuspendedCause=");
            int i3 = this.h;
            if (i3 == 1) {
                printWriter.append("CAUSE_SERVICE_DISCONNECTED");
            } else if (i3 != 2) {
                printWriter.append((CharSequence) String.valueOf(i3));
            } else {
                printWriter.append("CAUSE_NETWORK_LOST");
            }
            PrintWriter append2 = printWriter.append(" lastSuspendedTime=");
            long j3 = this.i;
            String format2 = simpleDateFormat.format(new Date(this.i));
            StringBuilder sb2 = new StringBuilder(String.valueOf(format2).length() + 21);
            sb2.append(j3);
            sb2.append(Padder.f14124a);
            sb2.append(format2);
            append2.println(sb2.toString());
        }
        if (this.l > 0) {
            printWriter.append((CharSequence) str).append("lastFailedStatus=").append((CharSequence) com.google.android.gms.common.api.f.a(this.k));
            PrintWriter append3 = printWriter.append(" lastFailedTime=");
            long j4 = this.l;
            String format3 = simpleDateFormat.format(new Date(this.l));
            StringBuilder sb3 = new StringBuilder(String.valueOf(format3).length() + 21);
            sb3.append(j4);
            sb3.append(Padder.f14124a);
            sb3.append(format3);
            append3.println(sb3.toString());
        }
    }

    @KeepForSdk
    public boolean d() {
        return false;
    }

    @KeepForSdk
    public void disconnect() {
        this.H.incrementAndGet();
        synchronized (this.x) {
            int size = this.x.size();
            for (int i2 = 0; i2 < size; i2++) {
                this.x.get(i2).a();
            }
            this.x.clear();
        }
        synchronized (this.t) {
            this.u = null;
        }
        T(1, null);
    }

    @KeepForSdk
    public boolean e() {
        return false;
    }

    @KeepForSdk
    @WorkerThread
    public void f(p pVar, Set<Scope> set) {
        Bundle C2 = C();
        GetServiceRequest getServiceRequest = new GetServiceRequest(this.C);
        getServiceRequest.J0 = this.n.getPackageName();
        getServiceRequest.M0 = C2;
        if (set != null) {
            getServiceRequest.L0 = (Scope[]) set.toArray(new Scope[set.size()]);
        }
        if (t()) {
            getServiceRequest.N0 = A() != null ? A() : new Account("<<default account>>", b.f10067a);
            if (pVar != null) {
                getServiceRequest.K0 = pVar.asBinder();
            }
        } else if (d()) {
            getServiceRequest.N0 = A();
        }
        getServiceRequest.O0 = f10084d;
        getServiceRequest.P0 = B();
        try {
            synchronized (this.t) {
                s sVar = this.u;
                if (sVar != null) {
                    sVar.W(new i(this, this.H.get()), getServiceRequest);
                } else {
                    Log.w("GmsClient", "mServiceBroker is null, client disconnected");
                }
            }
        } catch (DeadObjectException e2) {
            Log.w("GmsClient", "IGmsServiceBroker.getService failed", e2);
            N(1);
        } catch (SecurityException e3) {
            throw e3;
        } catch (RemoteException | RuntimeException e4) {
            Log.w("GmsClient", "IGmsServiceBroker.getService failed", e4);
            L(8, null, null, this.H.get());
        }
    }

    @KeepForSdk
    public String g() {
        e1 e1Var;
        if (isConnected() && (e1Var = this.m) != null) {
            return e1Var.a();
        }
        throw new RuntimeException("Failed to connect when checking package");
    }

    @KeepForSdk
    public final Context getContext() {
        return this.n;
    }

    @KeepForSdk
    public void i(@NonNull c cVar) {
        this.v = (c) a0.l(cVar, "Connection progress callbacks cannot be null.");
        T(2, null);
    }

    @KeepForSdk
    public boolean isConnected() {
        boolean z2;
        synchronized (this.s) {
            z2 = this.z == 4;
        }
        return z2;
    }

    @KeepForSdk
    public void k(@NonNull AbstractC0237e eVar) {
        eVar.a();
    }

    /* access modifiers changed from: protected */
    @NonNull
    @KeepForSdk
    public abstract String m();

    /* access modifiers changed from: protected */
    @Nullable
    @KeepForSdk
    public abstract T n(IBinder iBinder);

    @KeepForSdk
    public boolean o() {
        return true;
    }

    @KeepForSdk
    public int p() {
        return com.google.android.gms.common.e.f10014a;
    }

    @Nullable
    @KeepForSdk
    public final Feature[] r() {
        zzb zzb = this.G;
        if (zzb == null) {
            return null;
        }
        return zzb.f10169b;
    }

    @KeepForSdk
    public Intent s() {
        throw new UnsupportedOperationException("Not a sign in API");
    }

    @KeepForSdk
    public boolean t() {
        return false;
    }

    @Nullable
    @KeepForSdk
    public IBinder u() {
        synchronized (this.t) {
            s sVar = this.u;
            if (sVar == null) {
                return null;
            }
            return sVar.asBinder();
        }
    }

    /* access modifiers changed from: protected */
    @NonNull
    @KeepForSdk
    public abstract String v();

    @KeepForSdk
    public Bundle w() {
        return null;
    }

    @KeepForSdk
    public void x() {
        int k2 = this.q.k(this.n, p());
        if (k2 != 0) {
            T(1, null);
            O(new d(), k2, null);
            return;
        }
        i(new d());
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public final void y() {
        if (!isConnected()) {
            throw new IllegalStateException("Not connected. Call connect() and wait for onConnected() to be called.");
        }
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public boolean z() {
        return false;
    }

    @VisibleForTesting
    @KeepForSdk
    protected e(Context context, Looper looper, m mVar, com.google.android.gms.common.e eVar, int i2, a aVar, b bVar, String str) {
        this.s = new Object();
        this.t = new Object();
        this.x = new ArrayList<>();
        this.z = 1;
        this.E = null;
        this.F = false;
        this.G = null;
        this.H = new AtomicInteger(0);
        this.n = (Context) a0.l(context, "Context must not be null");
        this.o = (Looper) a0.l(looper, "Looper must not be null");
        this.p = (m) a0.l(mVar, "Supervisor must not be null");
        this.q = (com.google.android.gms.common.e) a0.l(eVar, "API availability must not be null");
        this.r = new g(looper);
        this.C = i2;
        this.A = aVar;
        this.B = bVar;
        this.D = str;
    }

    @VisibleForTesting
    @KeepForSdk
    protected e(Context context, Handler handler, m mVar, com.google.android.gms.common.e eVar, int i2, a aVar, b bVar) {
        this.s = new Object();
        this.t = new Object();
        this.x = new ArrayList<>();
        this.z = 1;
        this.E = null;
        this.F = false;
        this.G = null;
        this.H = new AtomicInteger(0);
        this.n = (Context) a0.l(context, "Context must not be null");
        this.r = (Handler) a0.l(handler, "Handler must not be null");
        this.o = handler.getLooper();
        this.p = (m) a0.l(mVar, "Supervisor must not be null");
        this.q = (com.google.android.gms.common.e) a0.l(eVar, "API availability must not be null");
        this.C = i2;
        this.A = aVar;
        this.B = bVar;
        this.D = null;
    }
}
