package com.google.android.gms.common.internal;

import android.accounts.Account;
import android.content.Context;
import android.view.View;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.api.i;
import com.google.android.gms.common.util.VisibleForTesting;
import java.util.Collection;
import java.util.Collections;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import javax.annotation.Nullable;

@VisibleForTesting
@KeepForSdk
public final class f {

    /* renamed from: a  reason: collision with root package name */
    public static final String f10101a = "com.google.android.gms.common.internal.ClientSettings.sessionId";

    /* renamed from: b  reason: collision with root package name */
    private final Account f10102b;

    /* renamed from: c  reason: collision with root package name */
    private final Set<Scope> f10103c;

    /* renamed from: d  reason: collision with root package name */
    private final Set<Scope> f10104d;

    /* renamed from: e  reason: collision with root package name */
    private final Map<com.google.android.gms.common.api.a<?>, b> f10105e;
    private final int f;
    private final View g;
    private final String h;
    private final String i;
    private final c.c.a.a.g.a j;
    private final boolean k;
    private Integer l;

    @KeepForSdk
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        private Account f10106a;

        /* renamed from: b  reason: collision with root package name */
        private b.b.b<Scope> f10107b;

        /* renamed from: c  reason: collision with root package name */
        private Map<com.google.android.gms.common.api.a<?>, b> f10108c;

        /* renamed from: d  reason: collision with root package name */
        private int f10109d = 0;

        /* renamed from: e  reason: collision with root package name */
        private View f10110e;
        private String f;
        private String g;
        private c.c.a.a.g.a h = c.c.a.a.g.a.f5170a;
        private boolean i;

        public final a a(Collection<Scope> collection) {
            if (this.f10107b == null) {
                this.f10107b = new b.b.b<>();
            }
            this.f10107b.addAll(collection);
            return this;
        }

        public final a b(Scope scope) {
            if (this.f10107b == null) {
                this.f10107b = new b.b.b<>();
            }
            this.f10107b.add(scope);
            return this;
        }

        @KeepForSdk
        public final f c() {
            return new f(this.f10106a, this.f10107b, this.f10108c, this.f10109d, this.f10110e, this.f, this.g, this.h, this.i);
        }

        public final a d() {
            this.i = true;
            return this;
        }

        public final a e(Account account) {
            this.f10106a = account;
            return this;
        }

        public final a f(int i2) {
            this.f10109d = i2;
            return this;
        }

        public final a g(Map<com.google.android.gms.common.api.a<?>, b> map) {
            this.f10108c = map;
            return this;
        }

        public final a h(String str) {
            this.g = str;
            return this;
        }

        @KeepForSdk
        public final a i(String str) {
            this.f = str;
            return this;
        }

        public final a j(c.c.a.a.g.a aVar) {
            this.h = aVar;
            return this;
        }

        public final a k(View view) {
            this.f10110e = view;
            return this;
        }
    }

    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        public final Set<Scope> f10111a;

        public b(Set<Scope> set) {
            a0.k(set);
            this.f10111a = Collections.unmodifiableSet(set);
        }
    }

    @KeepForSdk
    public f(Account account, Set<Scope> set, Map<com.google.android.gms.common.api.a<?>, b> map, int i2, View view, String str, String str2, c.c.a.a.g.a aVar) {
        this(account, set, map, i2, view, str, str2, aVar, false);
    }

    @KeepForSdk
    public static f a(Context context) {
        return new i.a(context).j();
    }

    @KeepForSdk
    @Nullable
    public final Account b() {
        return this.f10102b;
    }

    @KeepForSdk
    @Nullable
    @Deprecated
    public final String c() {
        Account account = this.f10102b;
        if (account != null) {
            return account.name;
        }
        return null;
    }

    @KeepForSdk
    public final Account d() {
        Account account = this.f10102b;
        if (account != null) {
            return account;
        }
        return new Account("<<default account>>", b.f10067a);
    }

    @KeepForSdk
    public final Set<Scope> e() {
        return this.f10104d;
    }

    @KeepForSdk
    public final Set<Scope> f(com.google.android.gms.common.api.a<?> aVar) {
        b bVar = this.f10105e.get(aVar);
        if (bVar == null || bVar.f10111a.isEmpty()) {
            return this.f10103c;
        }
        HashSet hashSet = new HashSet(this.f10103c);
        hashSet.addAll(bVar.f10111a);
        return hashSet;
    }

    @Nullable
    public final Integer g() {
        return this.l;
    }

    @KeepForSdk
    public final int h() {
        return this.f;
    }

    public final Map<com.google.android.gms.common.api.a<?>, b> i() {
        return this.f10105e;
    }

    @Nullable
    public final String j() {
        return this.i;
    }

    @KeepForSdk
    @Nullable
    public final String k() {
        return this.h;
    }

    @KeepForSdk
    public final Set<Scope> l() {
        return this.f10103c;
    }

    @Nullable
    public final c.c.a.a.g.a m() {
        return this.j;
    }

    @KeepForSdk
    @Nullable
    public final View n() {
        return this.g;
    }

    public final boolean o() {
        return this.k;
    }

    public final void p(Integer num) {
        this.l = num;
    }

    public f(Account account, Set<Scope> set, Map<com.google.android.gms.common.api.a<?>, b> map, int i2, View view, String str, String str2, c.c.a.a.g.a aVar, boolean z) {
        this.f10102b = account;
        Set<Scope> unmodifiableSet = set == null ? Collections.EMPTY_SET : Collections.unmodifiableSet(set);
        this.f10103c = unmodifiableSet;
        map = map == null ? Collections.EMPTY_MAP : map;
        this.f10105e = map;
        this.g = view;
        this.f = i2;
        this.h = str;
        this.i = str2;
        this.j = aVar;
        this.k = z;
        HashSet hashSet = new HashSet(unmodifiableSet);
        for (b bVar : map.values()) {
            hashSet.addAll(bVar.f10111a);
        }
        this.f10104d = Collections.unmodifiableSet(hashSet);
    }
}
