package com.google.android.gms.common.internal;

import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.i;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.internal.base.o;
import java.util.ArrayList;
import java.util.concurrent.atomic.AtomicInteger;

public final class l implements Handler.Callback {
    @VisibleForTesting
    private final ArrayList<i.b> I0 = new ArrayList<>();
    private final ArrayList<i.c> J0 = new ArrayList<>();
    private volatile boolean K0 = false;
    private final AtomicInteger L0 = new AtomicInteger(0);
    private boolean M0 = false;
    private final Handler N0;
    private final Object O0 = new Object();

    /* renamed from: a  reason: collision with root package name */
    private final a f10128a;

    /* renamed from: b  reason: collision with root package name */
    private final ArrayList<i.b> f10129b = new ArrayList<>();

    @VisibleForTesting
    public interface a {
        boolean isConnected();

        Bundle w();
    }

    public l(Looper looper, a aVar) {
        this.f10128a = aVar;
        this.N0 = new o(looper, this);
    }

    public final boolean a() {
        return this.K0;
    }

    public final void b() {
        this.K0 = false;
        this.L0.incrementAndGet();
    }

    public final void c() {
        this.K0 = true;
    }

    public final boolean d(i.b bVar) {
        boolean contains;
        a0.k(bVar);
        synchronized (this.O0) {
            contains = this.f10129b.contains(bVar);
        }
        return contains;
    }

    public final boolean e(i.c cVar) {
        boolean contains;
        a0.k(cVar);
        synchronized (this.O0) {
            contains = this.J0.contains(cVar);
        }
        return contains;
    }

    @VisibleForTesting
    public final void f(ConnectionResult connectionResult) {
        a0.e(this.N0, "onConnectionFailure must only be called on the Handler thread");
        this.N0.removeMessages(1);
        synchronized (this.O0) {
            ArrayList arrayList = new ArrayList(this.J0);
            int i = this.L0.get();
            int size = arrayList.size();
            int i2 = 0;
            while (i2 < size) {
                Object obj = arrayList.get(i2);
                i2++;
                i.c cVar = (i.c) obj;
                if (this.K0) {
                    if (this.L0.get() == i) {
                        if (this.J0.contains(cVar)) {
                            cVar.y(connectionResult);
                        }
                    }
                }
                return;
            }
        }
    }

    /* access modifiers changed from: protected */
    @VisibleForTesting
    public final void g() {
        synchronized (this.O0) {
            h(this.f10128a.w());
        }
    }

    @VisibleForTesting
    public final void h(Bundle bundle) {
        a0.e(this.N0, "onConnectionSuccess must only be called on the Handler thread");
        synchronized (this.O0) {
            boolean z = true;
            a0.q(!this.M0);
            this.N0.removeMessages(1);
            this.M0 = true;
            if (this.I0.size() != 0) {
                z = false;
            }
            a0.q(z);
            ArrayList arrayList = new ArrayList(this.f10129b);
            int i = this.L0.get();
            int size = arrayList.size();
            int i2 = 0;
            while (i2 < size) {
                Object obj = arrayList.get(i2);
                i2++;
                i.b bVar = (i.b) obj;
                if (!this.K0 || !this.f10128a.isConnected() || this.L0.get() != i) {
                    break;
                } else if (!this.I0.contains(bVar)) {
                    bVar.e(bundle);
                }
            }
            this.I0.clear();
            this.M0 = false;
        }
    }

    public final boolean handleMessage(Message message) {
        int i = message.what;
        if (i == 1) {
            i.b bVar = (i.b) message.obj;
            synchronized (this.O0) {
                if (this.K0 && this.f10128a.isConnected() && this.f10129b.contains(bVar)) {
                    bVar.e(this.f10128a.w());
                }
            }
            return true;
        }
        StringBuilder sb = new StringBuilder(45);
        sb.append("Don't know how to handle message: ");
        sb.append(i);
        Log.wtf("GmsClientEvents", sb.toString(), new Exception());
        return false;
    }

    @VisibleForTesting
    public final void i(int i) {
        a0.e(this.N0, "onUnintentionalDisconnection must only be called on the Handler thread");
        this.N0.removeMessages(1);
        synchronized (this.O0) {
            this.M0 = true;
            ArrayList arrayList = new ArrayList(this.f10129b);
            int i2 = this.L0.get();
            int size = arrayList.size();
            int i3 = 0;
            while (i3 < size) {
                Object obj = arrayList.get(i3);
                i3++;
                i.b bVar = (i.b) obj;
                if (!this.K0 || this.L0.get() != i2) {
                    break;
                } else if (this.f10129b.contains(bVar)) {
                    bVar.b(i);
                }
            }
            this.I0.clear();
            this.M0 = false;
        }
    }

    public final void j(i.b bVar) {
        a0.k(bVar);
        synchronized (this.O0) {
            if (this.f10129b.contains(bVar)) {
                String valueOf = String.valueOf(bVar);
                StringBuilder sb = new StringBuilder(valueOf.length() + 62);
                sb.append("registerConnectionCallbacks(): listener ");
                sb.append(valueOf);
                sb.append(" is already registered");
                Log.w("GmsClientEvents", sb.toString());
            } else {
                this.f10129b.add(bVar);
            }
        }
        if (this.f10128a.isConnected()) {
            Handler handler = this.N0;
            handler.sendMessage(handler.obtainMessage(1, bVar));
        }
    }

    public final void k(i.c cVar) {
        a0.k(cVar);
        synchronized (this.O0) {
            if (this.J0.contains(cVar)) {
                String valueOf = String.valueOf(cVar);
                StringBuilder sb = new StringBuilder(valueOf.length() + 67);
                sb.append("registerConnectionFailedListener(): listener ");
                sb.append(valueOf);
                sb.append(" is already registered");
                Log.w("GmsClientEvents", sb.toString());
            } else {
                this.J0.add(cVar);
            }
        }
    }

    public final void l(i.b bVar) {
        a0.k(bVar);
        synchronized (this.O0) {
            if (!this.f10129b.remove(bVar)) {
                String valueOf = String.valueOf(bVar);
                StringBuilder sb = new StringBuilder(valueOf.length() + 52);
                sb.append("unregisterConnectionCallbacks(): listener ");
                sb.append(valueOf);
                sb.append(" not found");
                Log.w("GmsClientEvents", sb.toString());
            } else if (this.M0) {
                this.I0.add(bVar);
            }
        }
    }

    public final void m(i.c cVar) {
        a0.k(cVar);
        synchronized (this.O0) {
            if (!this.J0.remove(cVar)) {
                String valueOf = String.valueOf(cVar);
                StringBuilder sb = new StringBuilder(valueOf.length() + 57);
                sb.append("unregisterConnectionFailedListener(): listener ");
                sb.append(valueOf);
                sb.append(" not found");
                Log.w("GmsClientEvents", sb.toString());
            }
        }
    }
}
