package com.google.android.gms.common.server.converter;

import android.os.Parcel;
import android.os.Parcelable;
import android.util.SparseArray;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;
import com.google.android.gms.common.server.response.FastJsonResponse;
import java.util.ArrayList;
import java.util.HashMap;

@SafeParcelable.Class(creator = "StringToIntConverterCreator")
@KeepForSdk
public final class StringToIntConverter extends AbstractSafeParcelable implements FastJsonResponse.a<String, Integer> {
    public static final Parcelable.Creator<StringToIntConverter> CREATOR = new b();
    private final SparseArray<String> I0;
    @SafeParcelable.Field(getter = "getSerializedMap", id = 2)
    private final ArrayList<zaa> J0;
    @SafeParcelable.VersionField(id = 1)

    /* renamed from: a  reason: collision with root package name */
    private final int f10196a;

    /* renamed from: b  reason: collision with root package name */
    private final HashMap<String, Integer> f10197b;

    @SafeParcelable.Constructor
    StringToIntConverter(@SafeParcelable.Param(id = 1) int i, @SafeParcelable.Param(id = 2) ArrayList<zaa> arrayList) {
        this.f10196a = i;
        this.f10197b = new HashMap<>();
        this.I0 = new SparseArray<>();
        this.J0 = null;
        int size = arrayList.size();
        int i2 = 0;
        while (i2 < size) {
            zaa zaa2 = arrayList.get(i2);
            i2++;
            zaa zaa3 = zaa2;
            e0(zaa3.f10199b, zaa3.I0);
        }
    }

    @Override // com.google.android.gms.common.server.response.FastJsonResponse.a
    public final int Q() {
        return 0;
    }

    @KeepForSdk
    public final StringToIntConverter e0(String str, int i) {
        this.f10197b.put(str, Integer.valueOf(i));
        this.I0.put(i, str);
        return this;
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse.a
    public final /* synthetic */ Integer i(String str) {
        Integer num = this.f10197b.get(str);
        return num == null ? this.f10197b.get("gms_unknown") : num;
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse.a
    public final /* synthetic */ String j(Integer num) {
        String str = this.I0.get(num.intValue());
        return (str != null || !this.f10197b.containsKey("gms_unknown")) ? str : "gms_unknown";
    }

    @Override // com.google.android.gms.common.server.response.FastJsonResponse.a
    public final int l() {
        return 7;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        int a2 = a.a(parcel);
        a.F(parcel, 1, this.f10196a);
        ArrayList arrayList = new ArrayList();
        for (String str : this.f10197b.keySet()) {
            arrayList.add(new zaa(str, this.f10197b.get(str).intValue()));
        }
        a.c0(parcel, 2, arrayList, false);
        a.b(parcel, a2);
    }

    @SafeParcelable.Class(creator = "StringToIntConverterEntryCreator")
    public static final class zaa extends AbstractSafeParcelable {
        public static final Parcelable.Creator<zaa> CREATOR = new c();
        @SafeParcelable.Field(id = 3)
        final int I0;
        @SafeParcelable.VersionField(id = 1)

        /* renamed from: a  reason: collision with root package name */
        private final int f10198a;
        @SafeParcelable.Field(id = 2)

        /* renamed from: b  reason: collision with root package name */
        final String f10199b;

        @SafeParcelable.Constructor
        zaa(@SafeParcelable.Param(id = 1) int i, @SafeParcelable.Param(id = 2) String str, @SafeParcelable.Param(id = 3) int i2) {
            this.f10198a = i;
            this.f10199b = str;
            this.I0 = i2;
        }

        public final void writeToParcel(Parcel parcel, int i) {
            int a2 = a.a(parcel);
            a.F(parcel, 1, this.f10198a);
            a.X(parcel, 2, this.f10199b, false);
            a.F(parcel, 3, this.I0);
            a.b(parcel, a2);
        }

        zaa(String str, int i) {
            this.f10198a = 1;
            this.f10199b = str;
            this.I0 = i;
        }
    }

    @KeepForSdk
    public StringToIntConverter() {
        this.f10196a = 1;
        this.f10197b = new HashMap<>();
        this.I0 = new SparseArray<>();
        this.J0 = null;
    }
}
