package com.google.android.gms.common.server.response;

import android.os.Parcel;
import android.util.Log;
import com.alipay.sdk.util.g;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.ShowFirstParty;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.y;
import com.google.android.gms.common.server.converter.zaa;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.common.util.c;
import com.google.android.gms.common.util.r;
import com.google.android.gms.common.util.s;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

@ShowFirstParty
@KeepForSdk
public abstract class FastJsonResponse {

    @ShowFirstParty
    public interface a<I, O> {
        int Q();

        O i(I i);

        I j(O o);

        int l();
    }

    private static void G(StringBuilder sb, Field field, Object obj) {
        int i = field.f10203b;
        if (i == 11) {
            sb.append(((FastJsonResponse) field.N0.cast(obj)).toString());
        } else if (i == 7) {
            sb.append("\"");
            sb.append(r.b((String) obj));
            sb.append("\"");
        } else {
            sb.append(obj);
        }
    }

    private static <O> boolean H(String str, O o) {
        if (o != null) {
            return true;
        }
        if (!Log.isLoggable("FastJsonResponse", 6)) {
            return false;
        }
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 58);
        sb.append("Output field (");
        sb.append(str);
        sb.append(") has a null value, but expected a primitive");
        Log.e("FastJsonResponse", sb.toString());
        return false;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    protected static <O, I> I J(Field<I, O> field, Object obj) {
        return ((Field) field).Q0 != null ? field.j(obj) : obj;
    }

    private final <I, O> void r(Field<I, O> field, I i) {
        String str = field.L0;
        O i2 = field.i(i);
        switch (field.J0) {
            case 0:
                if (H(str, i2)) {
                    j(field, str, i2.intValue());
                    return;
                }
                return;
            case 1:
                w(field, str, i2);
                return;
            case 2:
                if (H(str, i2)) {
                    k(field, str, i2.longValue());
                    return;
                }
                return;
            case 3:
            default:
                int i3 = field.J0;
                StringBuilder sb = new StringBuilder(44);
                sb.append("Unsupported type for conversion: ");
                sb.append(i3);
                throw new IllegalStateException(sb.toString());
            case 4:
                if (H(str, i2)) {
                    t(field, str, i2.doubleValue());
                    return;
                }
                return;
            case 5:
                v(field, str, i2);
                return;
            case 6:
                if (H(str, i2)) {
                    h(field, str, i2.booleanValue());
                    return;
                }
                return;
            case 7:
                l(field, str, i2);
                return;
            case 8:
            case 9:
                if (H(str, i2)) {
                    i(field, str, (byte[]) i2);
                    return;
                }
                return;
        }
    }

    public final <O> void A(Field<BigInteger, O> field, BigInteger bigInteger) {
        if (((Field) field).Q0 != null) {
            r(field, bigInteger);
        } else {
            w(field, field.L0, bigInteger);
        }
    }

    public final <O> void B(Field<ArrayList<Integer>, O> field, ArrayList<Integer> arrayList) {
        if (((Field) field).Q0 != null) {
            r(field, arrayList);
        } else {
            x(field, field.L0, arrayList);
        }
    }

    public final <O> void C(Field<Map<String, String>, O> field, Map<String, String> map) {
        if (((Field) field).Q0 != null) {
            r(field, map);
        } else {
            y(field, field.L0, map);
        }
    }

    public final <O> void E(Field<Boolean, O> field, boolean z) {
        if (((Field) field).Q0 != null) {
            r(field, Boolean.valueOf(z));
        } else {
            h(field, field.L0, z);
        }
    }

    public final <O> void F(Field<byte[], O> field, byte[] bArr) {
        if (((Field) field).Q0 != null) {
            r(field, bArr);
        } else {
            i(field, field.L0, bArr);
        }
    }

    /* access modifiers changed from: protected */
    public void K(Field<?, ?> field, String str, ArrayList<BigInteger> arrayList) {
        throw new UnsupportedOperationException("BigInteger list not supported");
    }

    public final <O> void L(Field<ArrayList<BigInteger>, O> field, ArrayList<BigInteger> arrayList) {
        if (((Field) field).Q0 != null) {
            r(field, arrayList);
        } else {
            K(field, field.L0, arrayList);
        }
    }

    /* access modifiers changed from: protected */
    public void M(Field<?, ?> field, String str, ArrayList<Long> arrayList) {
        throw new UnsupportedOperationException("Long list not supported");
    }

    public final <O> void N(Field<ArrayList<Long>, O> field, ArrayList<Long> arrayList) {
        if (((Field) field).Q0 != null) {
            r(field, arrayList);
        } else {
            M(field, field.L0, arrayList);
        }
    }

    /* access modifiers changed from: protected */
    public void P(Field<?, ?> field, String str, ArrayList<Float> arrayList) {
        throw new UnsupportedOperationException("Float list not supported");
    }

    public final <O> void Q(Field<ArrayList<Float>, O> field, ArrayList<Float> arrayList) {
        if (((Field) field).Q0 != null) {
            r(field, arrayList);
        } else {
            P(field, field.L0, arrayList);
        }
    }

    /* access modifiers changed from: protected */
    public void R(Field<?, ?> field, String str, ArrayList<Double> arrayList) {
        throw new UnsupportedOperationException("Double list not supported");
    }

    public final <O> void S(Field<ArrayList<Double>, O> field, ArrayList<Double> arrayList) {
        if (((Field) field).Q0 != null) {
            r(field, arrayList);
        } else {
            R(field, field.L0, arrayList);
        }
    }

    /* access modifiers changed from: protected */
    public void T(Field<?, ?> field, String str, ArrayList<BigDecimal> arrayList) {
        throw new UnsupportedOperationException("BigDecimal list not supported");
    }

    public final <O> void U(Field<ArrayList<BigDecimal>, O> field, ArrayList<BigDecimal> arrayList) {
        if (((Field) field).Q0 != null) {
            r(field, arrayList);
        } else {
            T(field, field.L0, arrayList);
        }
    }

    /* access modifiers changed from: protected */
    public void V(Field<?, ?> field, String str, ArrayList<Boolean> arrayList) {
        throw new UnsupportedOperationException("Boolean list not supported");
    }

    public final <O> void W(Field<ArrayList<Boolean>, O> field, ArrayList<Boolean> arrayList) {
        if (((Field) field).Q0 != null) {
            r(field, arrayList);
        } else {
            V(field, field.L0, arrayList);
        }
    }

    public final <O> void X(Field<ArrayList<String>, O> field, ArrayList<String> arrayList) {
        if (((Field) field).Q0 != null) {
            r(field, arrayList);
        } else {
            m(field, field.L0, arrayList);
        }
    }

    @KeepForSdk
    public <T extends FastJsonResponse> void a(Field<?, ?> field, String str, ArrayList<T> arrayList) {
        throw new UnsupportedOperationException("Concrete type array not supported");
    }

    @KeepForSdk
    public <T extends FastJsonResponse> void b(Field<?, ?> field, String str, T t) {
        throw new UnsupportedOperationException("Concrete type not supported");
    }

    @KeepForSdk
    public abstract Map<String, Field<?, ?>> c();

    /* access modifiers changed from: protected */
    @KeepForSdk
    public Object d(Field field) {
        String str = field.L0;
        if (field.N0 == null) {
            return e(str);
        }
        a0.s(e(str) == null, "Concrete field shouldn't be value object: %s", field.L0);
        try {
            char upperCase = Character.toUpperCase(str.charAt(0));
            String substring = str.substring(1);
            StringBuilder sb = new StringBuilder(String.valueOf(substring).length() + 4);
            sb.append("get");
            sb.append(upperCase);
            sb.append(substring);
            return getClass().getMethod(sb.toString(), new Class[0]).invoke(this, new Object[0]);
        } catch (Exception e2) {
            throw new RuntimeException(e2);
        }
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public abstract Object e(String str);

    /* access modifiers changed from: protected */
    @KeepForSdk
    public boolean f(Field field) {
        if (field.J0 != 11) {
            return g(field.L0);
        }
        if (field.K0) {
            throw new UnsupportedOperationException("Concrete type arrays not supported");
        }
        throw new UnsupportedOperationException("Concrete types not supported");
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public abstract boolean g(String str);

    /* access modifiers changed from: protected */
    @KeepForSdk
    public void h(Field<?, ?> field, String str, boolean z) {
        throw new UnsupportedOperationException("Boolean not supported");
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public void i(Field<?, ?> field, String str, byte[] bArr) {
        throw new UnsupportedOperationException("byte[] not supported");
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public void j(Field<?, ?> field, String str, int i) {
        throw new UnsupportedOperationException("Integer not supported");
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public void k(Field<?, ?> field, String str, long j) {
        throw new UnsupportedOperationException("Long not supported");
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public void l(Field<?, ?> field, String str, String str2) {
        throw new UnsupportedOperationException("String not supported");
    }

    /* access modifiers changed from: protected */
    @KeepForSdk
    public void m(Field<?, ?> field, String str, ArrayList<String> arrayList) {
        throw new UnsupportedOperationException("String list not supported");
    }

    public final <O> void n(Field<Double, O> field, double d2) {
        if (((Field) field).Q0 != null) {
            r(field, Double.valueOf(d2));
        } else {
            t(field, field.L0, d2);
        }
    }

    public final <O> void o(Field<Float, O> field, float f) {
        if (((Field) field).Q0 != null) {
            r(field, Float.valueOf(f));
        } else {
            u(field, field.L0, f);
        }
    }

    public final <O> void p(Field<Integer, O> field, int i) {
        if (((Field) field).Q0 != null) {
            r(field, Integer.valueOf(i));
        } else {
            j(field, field.L0, i);
        }
    }

    public final <O> void q(Field<Long, O> field, long j) {
        if (((Field) field).Q0 != null) {
            r(field, Long.valueOf(j));
        } else {
            k(field, field.L0, j);
        }
    }

    public final <O> void s(Field<String, O> field, String str) {
        if (((Field) field).Q0 != null) {
            r(field, str);
        } else {
            l(field, field.L0, str);
        }
    }

    /* access modifiers changed from: protected */
    public void t(Field<?, ?> field, String str, double d2) {
        throw new UnsupportedOperationException("Double not supported");
    }

    @KeepForSdk
    public String toString() {
        Map<String, Field<?, ?>> c2 = c();
        StringBuilder sb = new StringBuilder(100);
        for (String str : c2.keySet()) {
            Field<?, ?> field = c2.get(str);
            if (f(field)) {
                Object J = J(field, d(field));
                if (sb.length() == 0) {
                    sb.append("{");
                } else {
                    sb.append(",");
                }
                sb.append("\"");
                sb.append(str);
                sb.append("\":");
                if (J != null) {
                    switch (field.J0) {
                        case 8:
                            sb.append("\"");
                            sb.append(c.d((byte[]) J));
                            sb.append("\"");
                            continue;
                        case 9:
                            sb.append("\"");
                            sb.append(c.e((byte[]) J));
                            sb.append("\"");
                            continue;
                        case 10:
                            s.a(sb, (HashMap) J);
                            continue;
                        default:
                            if (!field.I0) {
                                G(sb, field, J);
                                break;
                            } else {
                                ArrayList arrayList = (ArrayList) J;
                                sb.append("[");
                                int size = arrayList.size();
                                for (int i = 0; i < size; i++) {
                                    if (i > 0) {
                                        sb.append(",");
                                    }
                                    Object obj = arrayList.get(i);
                                    if (obj != null) {
                                        G(sb, field, obj);
                                    }
                                }
                                sb.append("]");
                                continue;
                            }
                    }
                } else {
                    sb.append("null");
                }
            }
        }
        if (sb.length() > 0) {
            sb.append(g.f6033d);
        } else {
            sb.append("{}");
        }
        return sb.toString();
    }

    /* access modifiers changed from: protected */
    public void u(Field<?, ?> field, String str, float f) {
        throw new UnsupportedOperationException("Float not supported");
    }

    /* access modifiers changed from: protected */
    public void v(Field<?, ?> field, String str, BigDecimal bigDecimal) {
        throw new UnsupportedOperationException("BigDecimal not supported");
    }

    /* access modifiers changed from: protected */
    public void w(Field<?, ?> field, String str, BigInteger bigInteger) {
        throw new UnsupportedOperationException("BigInteger not supported");
    }

    /* access modifiers changed from: protected */
    public void x(Field<?, ?> field, String str, ArrayList<Integer> arrayList) {
        throw new UnsupportedOperationException("Integer list not supported");
    }

    /* access modifiers changed from: protected */
    public void y(Field<?, ?> field, String str, Map<String, String> map) {
        throw new UnsupportedOperationException("String map not supported");
    }

    public final <O> void z(Field<BigDecimal, O> field, BigDecimal bigDecimal) {
        if (((Field) field).Q0 != null) {
            r(field, bigDecimal);
        } else {
            v(field, field.L0, bigDecimal);
        }
    }

    @VisibleForTesting
    @SafeParcelable.Class(creator = "FieldCreator")
    @ShowFirstParty
    @KeepForSdk
    public static class Field<I, O> extends AbstractSafeParcelable {
        public static final i CREATOR = new i();
        @SafeParcelable.Field(getter = "isTypeInArray", id = 3)
        protected final boolean I0;
        @SafeParcelable.Field(getter = "getTypeOut", id = 4)
        protected final int J0;
        @SafeParcelable.Field(getter = "isTypeOutArray", id = 5)
        protected final boolean K0;
        @SafeParcelable.Field(getter = "getOutputFieldName", id = 6)
        protected final String L0;
        @SafeParcelable.Field(getter = "getSafeParcelableFieldId", id = 7)
        protected final int M0;
        protected final Class<? extends FastJsonResponse> N0;
        @SafeParcelable.Field(getter = "getConcreteTypeName", id = 8)
        private final String O0;
        private zak P0;
        @SafeParcelable.Field(getter = "getWrappedConverter", id = 9, type = "com.google.android.gms.common.server.converter.ConverterWrapper")
        private a<I, O> Q0;
        @SafeParcelable.VersionField(getter = "getVersionCode", id = 1)

        /* renamed from: a  reason: collision with root package name */
        private final int f10202a;
        @SafeParcelable.Field(getter = "getTypeIn", id = 2)

        /* renamed from: b  reason: collision with root package name */
        protected final int f10203b;

        @SafeParcelable.Constructor
        Field(@SafeParcelable.Param(id = 1) int i, @SafeParcelable.Param(id = 2) int i2, @SafeParcelable.Param(id = 3) boolean z, @SafeParcelable.Param(id = 4) int i3, @SafeParcelable.Param(id = 5) boolean z2, @SafeParcelable.Param(id = 6) String str, @SafeParcelable.Param(id = 7) int i4, @SafeParcelable.Param(id = 8) String str2, @SafeParcelable.Param(id = 9) zaa zaa) {
            this.f10202a = i;
            this.f10203b = i2;
            this.I0 = z;
            this.J0 = i3;
            this.K0 = z2;
            this.L0 = str;
            this.M0 = i4;
            if (str2 == null) {
                this.N0 = null;
                this.O0 = null;
            } else {
                this.N0 = SafeParcelResponse.class;
                this.O0 = str2;
            }
            if (zaa == null) {
                this.Q0 = null;
            } else {
                this.Q0 = (a<I, O>) zaa.o0();
            }
        }

        @KeepForSdk
        public static Field<String, String> C1(String str, int i) {
            return new Field<>(7, false, 7, false, str, i, null, null);
        }

        @KeepForSdk
        public static Field<ArrayList<String>, ArrayList<String>> D1(String str, int i) {
            return new Field<>(7, true, 7, true, str, i, null, null);
        }

        @KeepForSdk
        public static Field F1(String str, int i, a<?, ?> aVar, boolean z) {
            return new Field(aVar.l(), z, aVar.Q(), false, str, i, null, aVar);
        }

        private final String U1() {
            String str = this.O0;
            if (str == null) {
                return null;
            }
            return str;
        }

        private final zaa W1() {
            a<I, O> aVar = this.Q0;
            if (aVar == null) {
                return null;
            }
            return zaa.e0(aVar);
        }

        @KeepForSdk
        public static <T extends FastJsonResponse> Field<ArrayList<T>, ArrayList<T>> d1(String str, int i, Class<T> cls) {
            return new Field<>(11, true, 11, true, str, i, cls, null);
        }

        @VisibleForTesting
        @KeepForSdk
        public static Field<byte[], byte[]> e0(String str, int i) {
            return new Field<>(8, false, 8, false, str, i, null, null);
        }

        @KeepForSdk
        public static Field<Double, Double> m1(String str, int i) {
            return new Field<>(4, false, 4, false, str, i, null, null);
        }

        @KeepForSdk
        public static Field<Boolean, Boolean> o0(String str, int i) {
            return new Field<>(6, false, 6, false, str, i, null, null);
        }

        @KeepForSdk
        public static Field<Float, Float> s1(String str, int i) {
            return new Field<>(3, false, 3, false, str, i, null, null);
        }

        @VisibleForTesting
        @KeepForSdk
        public static Field<Integer, Integer> u1(String str, int i) {
            return new Field<>(0, false, 0, false, str, i, null, null);
        }

        @KeepForSdk
        public static <T extends FastJsonResponse> Field<T, T> x0(String str, int i, Class<T> cls) {
            return new Field<>(11, false, 11, false, str, i, cls, null);
        }

        @KeepForSdk
        public static Field<Long, Long> z1(String str, int i) {
            return new Field<>(2, false, 2, false, str, i, null, null);
        }

        @KeepForSdk
        public int E1() {
            return this.M0;
        }

        public final void O1(zak zak) {
            this.P0 = zak;
        }

        public final Field<I, O> Q1() {
            return new Field<>(this.f10202a, this.f10203b, this.I0, this.J0, this.K0, this.L0, this.M0, this.O0, W1());
        }

        public final boolean V1() {
            return this.Q0 != null;
        }

        public final FastJsonResponse X1() throws InstantiationException, IllegalAccessException {
            Class<? extends FastJsonResponse> cls = this.N0;
            if (cls != SafeParcelResponse.class) {
                return (FastJsonResponse) cls.newInstance();
            }
            a0.l(this.P0, "The field mapping dictionary must be set if the concrete type is a SafeParcelResponse object.");
            return new SafeParcelResponse(this.P0, this.O0);
        }

        public final Map<String, Field<?, ?>> Y1() {
            a0.k(this.O0);
            a0.k(this.P0);
            return this.P0.s1(this.O0);
        }

        public final O i(I i) {
            return this.Q0.i(i);
        }

        public final I j(O o) {
            return this.Q0.j(o);
        }

        public String toString() {
            y.a a2 = y.c(this).a("versionCode", Integer.valueOf(this.f10202a)).a("typeIn", Integer.valueOf(this.f10203b)).a("typeInArray", Boolean.valueOf(this.I0)).a("typeOut", Integer.valueOf(this.J0)).a("typeOutArray", Boolean.valueOf(this.K0)).a("outputFieldName", this.L0).a("safeParcelFieldId", Integer.valueOf(this.M0)).a("concreteTypeName", U1());
            Class<? extends FastJsonResponse> cls = this.N0;
            if (cls != null) {
                a2.a("concreteType.class", cls.getCanonicalName());
            }
            a<I, O> aVar = this.Q0;
            if (aVar != null) {
                a2.a("converterName", aVar.getClass().getCanonicalName());
            }
            return a2.toString();
        }

        public void writeToParcel(Parcel parcel, int i) {
            int a2 = com.google.android.gms.common.internal.safeparcel.a.a(parcel);
            com.google.android.gms.common.internal.safeparcel.a.F(parcel, 1, this.f10202a);
            com.google.android.gms.common.internal.safeparcel.a.F(parcel, 2, this.f10203b);
            com.google.android.gms.common.internal.safeparcel.a.g(parcel, 3, this.I0);
            com.google.android.gms.common.internal.safeparcel.a.F(parcel, 4, this.J0);
            com.google.android.gms.common.internal.safeparcel.a.g(parcel, 5, this.K0);
            com.google.android.gms.common.internal.safeparcel.a.X(parcel, 6, this.L0, false);
            com.google.android.gms.common.internal.safeparcel.a.F(parcel, 7, E1());
            com.google.android.gms.common.internal.safeparcel.a.X(parcel, 8, U1(), false);
            com.google.android.gms.common.internal.safeparcel.a.S(parcel, 9, W1(), i, false);
            com.google.android.gms.common.internal.safeparcel.a.b(parcel, a2);
        }

        private Field(int i, boolean z, int i2, boolean z2, String str, int i3, Class<? extends FastJsonResponse> cls, a<I, O> aVar) {
            this.f10202a = 1;
            this.f10203b = i;
            this.I0 = z;
            this.J0 = i2;
            this.K0 = z2;
            this.L0 = str;
            this.M0 = i3;
            this.N0 = cls;
            if (cls == null) {
                this.O0 = null;
            } else {
                this.O0 = cls.getCanonicalName();
            }
            this.Q0 = aVar;
        }
    }
}
