package com.google.android.gms.common.server.response;

import android.util.Log;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.ShowFirstParty;
import com.google.android.gms.common.server.response.FastJsonResponse;
import com.google.android.gms.common.util.c;
import com.google.android.gms.common.util.r;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import java.util.Stack;
import kotlin.text.Typography;
import okio.c1.b;

@ShowFirstParty
@KeepForSdk
public class FastParser<T extends FastJsonResponse> {

    /* renamed from: a  reason: collision with root package name */
    private static final char[] f10204a = {'u', 'l', 'l'};

    /* renamed from: b  reason: collision with root package name */
    private static final char[] f10205b = {'r', 'u', 'e'};

    /* renamed from: c  reason: collision with root package name */
    private static final char[] f10206c = {'r', 'u', 'e', Typography.quote};

    /* renamed from: d  reason: collision with root package name */
    private static final char[] f10207d = {'a', 'l', 's', 'e'};

    /* renamed from: e  reason: collision with root package name */
    private static final char[] f10208e = {'a', 'l', 's', 'e', Typography.quote};
    private static final char[] f = {'\n'};
    private static final a<Integer> g = new a();
    private static final a<Long> h = new b();
    private static final a<Float> i = new c();
    private static final a<Double> j = new d();
    private static final a<Boolean> k = new e();
    private static final a<String> l = new f();
    private static final a<BigInteger> m = new g();
    private static final a<BigDecimal> n = new h();
    private final char[] o = new char[1];
    private final char[] p = new char[32];
    private final char[] q = new char[1024];
    private final StringBuilder r = new StringBuilder(32);
    private final StringBuilder s = new StringBuilder(1024);
    private final Stack<Integer> t = new Stack<>();

    @ShowFirstParty
    @KeepForSdk
    public static class ParseException extends Exception {
        public ParseException(String str) {
            super(str);
        }

        public ParseException(String str, Throwable th) {
            super(str, th);
        }

        public ParseException(Throwable th) {
            super(th);
        }
    }

    /* access modifiers changed from: private */
    public interface a<O> {
        O a(FastParser fastParser, BufferedReader bufferedReader) throws ParseException, IOException;
    }

    private final char A(BufferedReader bufferedReader) throws ParseException, IOException {
        if (bufferedReader.read(this.o) == -1) {
            return 0;
        }
        while (Character.isWhitespace(this.o[0])) {
            if (bufferedReader.read(this.o) == -1) {
                return 0;
            }
        }
        return this.o[0];
    }

    private final void B(int i2) throws ParseException {
        if (!this.t.isEmpty()) {
            int intValue = this.t.pop().intValue();
            if (intValue != i2) {
                StringBuilder sb = new StringBuilder(46);
                sb.append("Expected state ");
                sb.append(i2);
                sb.append(" but had ");
                sb.append(intValue);
                throw new ParseException(sb.toString());
            }
            return;
        }
        StringBuilder sb2 = new StringBuilder(46);
        sb2.append("Expected state ");
        sb2.append(i2);
        sb2.append(" but had empty stack");
        throw new ParseException(sb2.toString());
    }

    private final int c(BufferedReader bufferedReader, char[] cArr) throws ParseException, IOException {
        int i2;
        char A = A(bufferedReader);
        if (A == 0) {
            throw new ParseException("Unexpected EOF");
        } else if (A == ',') {
            throw new ParseException("Missing value");
        } else if (A == 'n') {
            n(bufferedReader, f10204a);
            return 0;
        } else {
            bufferedReader.mark(1024);
            if (A == '\"') {
                i2 = 0;
                boolean z = false;
                while (i2 < cArr.length && bufferedReader.read(cArr, i2, 1) != -1) {
                    char c2 = cArr[i2];
                    if (Character.isISOControl(c2)) {
                        throw new ParseException("Unexpected control character while reading string");
                    } else if (c2 != '\"' || z) {
                        z = c2 == '\\' ? !z : false;
                        i2++;
                    } else {
                        bufferedReader.reset();
                        bufferedReader.skip((long) (i2 + 1));
                        return i2;
                    }
                }
            } else {
                cArr[0] = A;
                i2 = 1;
                while (i2 < cArr.length && bufferedReader.read(cArr, i2, 1) != -1) {
                    if (cArr[i2] == '}' || cArr[i2] == ',' || Character.isWhitespace(cArr[i2]) || cArr[i2] == ']') {
                        bufferedReader.reset();
                        bufferedReader.skip((long) (i2 - 1));
                        cArr[i2] = 0;
                        return i2;
                    }
                    i2++;
                }
            }
            if (i2 == cArr.length) {
                throw new ParseException("Absurdly long value");
            }
            throw new ParseException("Unexpected EOF");
        }
    }

    private final String d(BufferedReader bufferedReader) throws ParseException, IOException {
        this.t.push(2);
        char A = A(bufferedReader);
        if (A == '\"') {
            this.t.push(3);
            String m2 = m(bufferedReader, this.p, this.r, null);
            B(3);
            if (A(bufferedReader) == ':') {
                return m2;
            }
            throw new ParseException("Expected key/value separator");
        } else if (A == ']') {
            B(2);
            B(1);
            B(5);
            return null;
        } else if (A == '}') {
            B(2);
            return null;
        } else {
            StringBuilder sb = new StringBuilder(19);
            sb.append("Unexpected token: ");
            sb.append(A);
            throw new ParseException(sb.toString());
        }
    }

    private final String e(BufferedReader bufferedReader, char[] cArr, StringBuilder sb, char[] cArr2) throws ParseException, IOException {
        char A = A(bufferedReader);
        if (A == '\"') {
            return m(bufferedReader, cArr, sb, cArr2);
        }
        if (A == 'n') {
            n(bufferedReader, f10204a);
            return null;
        }
        throw new ParseException("Expected string");
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.util.ArrayList<T extends com.google.android.gms.common.server.response.FastJsonResponse> */
    /* JADX WARN: Multi-variable type inference failed */
    private final <T extends FastJsonResponse> ArrayList<T> f(BufferedReader bufferedReader, FastJsonResponse.Field<?, ?> field) throws ParseException, IOException {
        ArrayList<T> arrayList = (ArrayList<T>) new ArrayList();
        char A = A(bufferedReader);
        if (A == ']') {
            B(5);
            return arrayList;
        } else if (A == 'n') {
            n(bufferedReader, f10204a);
            B(5);
            return null;
        } else if (A == '{') {
            this.t.push(1);
            while (true) {
                try {
                    FastJsonResponse X1 = field.X1();
                    if (!i(bufferedReader, X1)) {
                        return arrayList;
                    }
                    arrayList.add(X1);
                    char A2 = A(bufferedReader);
                    if (A2 != ',') {
                        if (A2 == ']') {
                            B(5);
                            return arrayList;
                        }
                        StringBuilder sb = new StringBuilder(19);
                        sb.append("Unexpected token: ");
                        sb.append(A2);
                        throw new ParseException(sb.toString());
                    } else if (A(bufferedReader) == '{') {
                        this.t.push(1);
                    } else {
                        throw new ParseException("Expected start of next object in array");
                    }
                } catch (InstantiationException e2) {
                    throw new ParseException("Error instantiating inner object", e2);
                } catch (IllegalAccessException e3) {
                    throw new ParseException("Error instantiating inner object", e3);
                }
            }
        } else {
            StringBuilder sb2 = new StringBuilder(19);
            sb2.append("Unexpected token: ");
            sb2.append(A);
            throw new ParseException(sb2.toString());
        }
    }

    private final <O> ArrayList<O> g(BufferedReader bufferedReader, a<O> aVar) throws ParseException, IOException {
        char A = A(bufferedReader);
        if (A == 'n') {
            n(bufferedReader, f10204a);
            return null;
        } else if (A == '[') {
            this.t.push(5);
            ArrayList<O> arrayList = new ArrayList<>();
            while (true) {
                bufferedReader.mark(1024);
                char A2 = A(bufferedReader);
                if (A2 == 0) {
                    throw new ParseException("Unexpected EOF");
                } else if (A2 != ',') {
                    if (A2 != ']') {
                        bufferedReader.reset();
                        arrayList.add(aVar.a(this, bufferedReader));
                    } else {
                        B(5);
                        return arrayList;
                    }
                }
            }
        } else {
            throw new ParseException("Expected start of array");
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r18v0, resolved type: com.google.android.gms.common.server.response.FastJsonResponse */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARNING: Removed duplicated region for block: B:115:0x027d  */
    /* JADX WARNING: Removed duplicated region for block: B:119:0x029b  */
    private final boolean i(BufferedReader bufferedReader, FastJsonResponse fastJsonResponse) throws ParseException, IOException {
        int i2;
        char A;
        HashMap hashMap;
        Map<String, FastJsonResponse.Field<?, ?>> c2 = fastJsonResponse.c();
        String d2 = d(bufferedReader);
        if (d2 == null) {
            B(1);
            return false;
        }
        while (d2 != null) {
            FastJsonResponse.Field<?, ?> field = c2.get(d2);
            if (field == null) {
                d2 = l(bufferedReader);
            } else {
                this.t.push(4);
                switch (field.f10203b) {
                    case 0:
                        if (field.I0) {
                            fastJsonResponse.B(field, g(bufferedReader, (a<O>) g));
                        } else {
                            fastJsonResponse.p(field, r(bufferedReader));
                        }
                        i2 = 4;
                        B(i2);
                        B(2);
                        A = A(bufferedReader);
                        if (A == ',') {
                            d2 = d(bufferedReader);
                            break;
                        } else if (A == '}') {
                            d2 = null;
                            break;
                        } else {
                            StringBuilder sb = new StringBuilder(55);
                            sb.append("Expected end of object or field separator, but found: ");
                            sb.append(A);
                            throw new ParseException(sb.toString());
                        }
                    case 1:
                        if (field.I0) {
                            fastJsonResponse.L(field, g(bufferedReader, (a<O>) m));
                        } else {
                            fastJsonResponse.A(field, v(bufferedReader));
                        }
                        i2 = 4;
                        B(i2);
                        B(2);
                        A = A(bufferedReader);
                        if (A == ',') {
                        }
                        break;
                    case 2:
                        if (field.I0) {
                            fastJsonResponse.N(field, g(bufferedReader, (a<O>) h));
                        } else {
                            fastJsonResponse.q(field, s(bufferedReader));
                        }
                        i2 = 4;
                        B(i2);
                        B(2);
                        A = A(bufferedReader);
                        if (A == ',') {
                        }
                        break;
                    case 3:
                        if (field.I0) {
                            fastJsonResponse.Q(field, g(bufferedReader, (a<O>) i));
                        } else {
                            fastJsonResponse.o(field, w(bufferedReader));
                        }
                        i2 = 4;
                        B(i2);
                        B(2);
                        A = A(bufferedReader);
                        if (A == ',') {
                        }
                        break;
                    case 4:
                        if (field.I0) {
                            fastJsonResponse.S(field, g(bufferedReader, (a<O>) j));
                        } else {
                            fastJsonResponse.n(field, y(bufferedReader));
                        }
                        i2 = 4;
                        B(i2);
                        B(2);
                        A = A(bufferedReader);
                        if (A == ',') {
                        }
                        break;
                    case 5:
                        if (field.I0) {
                            fastJsonResponse.U(field, g(bufferedReader, (a<O>) n));
                        } else {
                            fastJsonResponse.z(field, z(bufferedReader));
                        }
                        i2 = 4;
                        B(i2);
                        B(2);
                        A = A(bufferedReader);
                        if (A == ',') {
                        }
                        break;
                    case 6:
                        if (field.I0) {
                            fastJsonResponse.W(field, g(bufferedReader, (a<O>) k));
                            i2 = 4;
                            B(i2);
                            B(2);
                            A = A(bufferedReader);
                            if (A == ',') {
                            }
                        } else {
                            fastJsonResponse.E(field, j(bufferedReader, false));
                            i2 = 4;
                            B(i2);
                            B(2);
                            A = A(bufferedReader);
                            if (A == ',') {
                            }
                        }
                        break;
                    case 7:
                        if (field.I0) {
                            fastJsonResponse.X(field, g(bufferedReader, (a<O>) l));
                        } else {
                            fastJsonResponse.s(field, p(bufferedReader));
                        }
                        i2 = 4;
                        B(i2);
                        B(2);
                        A = A(bufferedReader);
                        if (A == ',') {
                        }
                        break;
                    case 8:
                        fastJsonResponse.F(field, c.a(e(bufferedReader, this.q, this.s, f)));
                        i2 = 4;
                        B(i2);
                        B(2);
                        A = A(bufferedReader);
                        if (A == ',') {
                        }
                        break;
                    case 9:
                        fastJsonResponse.F(field, c.b(e(bufferedReader, this.q, this.s, f)));
                        i2 = 4;
                        B(i2);
                        B(2);
                        A = A(bufferedReader);
                        if (A == ',') {
                        }
                        break;
                    case 10:
                        char A2 = A(bufferedReader);
                        if (A2 == 'n') {
                            n(bufferedReader, f10204a);
                            hashMap = null;
                        } else if (A2 == '{') {
                            this.t.push(1);
                            hashMap = new HashMap();
                            while (true) {
                                char A3 = A(bufferedReader);
                                if (A3 == 0) {
                                    throw new ParseException("Unexpected EOF");
                                } else if (A3 == '\"') {
                                    String m2 = m(bufferedReader, this.p, this.r, null);
                                    if (A(bufferedReader) != ':') {
                                        String valueOf = String.valueOf(m2);
                                        throw new ParseException(valueOf.length() != 0 ? "No map value found for key ".concat(valueOf) : new String("No map value found for key "));
                                    } else if (A(bufferedReader) != '\"') {
                                        String valueOf2 = String.valueOf(m2);
                                        throw new ParseException(valueOf2.length() != 0 ? "Expected String value for key ".concat(valueOf2) : new String("Expected String value for key "));
                                    } else {
                                        hashMap.put(m2, m(bufferedReader, this.p, this.r, null));
                                        char A4 = A(bufferedReader);
                                        if (A4 != ',') {
                                            if (A4 == '}') {
                                                B(1);
                                            } else {
                                                StringBuilder sb2 = new StringBuilder(48);
                                                sb2.append("Unexpected character while parsing string map: ");
                                                sb2.append(A4);
                                                throw new ParseException(sb2.toString());
                                            }
                                        }
                                    }
                                } else if (A3 == '}') {
                                    B(1);
                                }
                            }
                        } else {
                            throw new ParseException("Expected start of a map object");
                        }
                        fastJsonResponse.C(field, hashMap);
                        i2 = 4;
                        B(i2);
                        B(2);
                        A = A(bufferedReader);
                        if (A == ',') {
                        }
                        break;
                    case 11:
                        if (field.I0) {
                            char A5 = A(bufferedReader);
                            if (A5 == 'n') {
                                n(bufferedReader, f10204a);
                                fastJsonResponse.a(field, field.L0, null);
                            } else {
                                this.t.push(5);
                                if (A5 == '[') {
                                    fastJsonResponse.a(field, field.L0, f(bufferedReader, field));
                                } else {
                                    throw new ParseException("Expected array start");
                                }
                            }
                        } else {
                            char A6 = A(bufferedReader);
                            if (A6 == 'n') {
                                n(bufferedReader, f10204a);
                                fastJsonResponse.b(field, field.L0, null);
                            } else {
                                this.t.push(1);
                                if (A6 == '{') {
                                    try {
                                        FastJsonResponse X1 = field.X1();
                                        i(bufferedReader, X1);
                                        fastJsonResponse.b(field, field.L0, X1);
                                    } catch (InstantiationException e2) {
                                        throw new ParseException("Error instantiating inner object", e2);
                                    } catch (IllegalAccessException e3) {
                                        throw new ParseException("Error instantiating inner object", e3);
                                    }
                                } else {
                                    throw new ParseException("Expected start of object");
                                }
                            }
                        }
                        i2 = 4;
                        B(i2);
                        B(2);
                        A = A(bufferedReader);
                        if (A == ',') {
                        }
                        break;
                    default:
                        int i3 = field.f10203b;
                        StringBuilder sb3 = new StringBuilder(30);
                        sb3.append("Invalid field type ");
                        sb3.append(i3);
                        throw new ParseException(sb3.toString());
                }
            }
        }
        B(1);
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final boolean j(BufferedReader bufferedReader, boolean z) throws ParseException, IOException {
        while (true) {
            char A = A(bufferedReader);
            if (A != '\"') {
                if (A == 'f') {
                    n(bufferedReader, z ? f10208e : f10207d);
                    return false;
                } else if (A == 'n') {
                    n(bufferedReader, f10204a);
                    return false;
                } else if (A == 't') {
                    n(bufferedReader, z ? f10206c : f10205b);
                    return true;
                } else {
                    StringBuilder sb = new StringBuilder(19);
                    sb.append("Unexpected token: ");
                    sb.append(A);
                    throw new ParseException(sb.toString());
                }
            } else if (!z) {
                z = true;
            } else {
                throw new ParseException("No boolean value found in string");
            }
        }
    }

    private final String l(BufferedReader bufferedReader) throws ParseException, IOException {
        bufferedReader.mark(1024);
        char A = A(bufferedReader);
        if (A != '\"') {
            if (A != ',') {
                int i2 = 1;
                if (A == '[') {
                    this.t.push(5);
                    bufferedReader.mark(32);
                    if (A(bufferedReader) == ']') {
                        B(5);
                    } else {
                        bufferedReader.reset();
                        boolean z = false;
                        boolean z2 = false;
                        while (i2 > 0) {
                            char A2 = A(bufferedReader);
                            if (A2 == 0) {
                                throw new ParseException("Unexpected EOF while parsing array");
                            } else if (!Character.isISOControl(A2)) {
                                if (A2 == '\"' && !z) {
                                    z2 = !z2;
                                }
                                if (A2 == '[' && !z2) {
                                    i2++;
                                }
                                if (A2 == ']' && !z2) {
                                    i2--;
                                }
                                z = (A2 != '\\' || !z2) ? false : !z;
                            } else {
                                throw new ParseException("Unexpected control character while reading array");
                            }
                        }
                        B(5);
                    }
                } else if (A != '{') {
                    bufferedReader.reset();
                    c(bufferedReader, this.q);
                } else {
                    this.t.push(1);
                    bufferedReader.mark(32);
                    char A3 = A(bufferedReader);
                    if (A3 == '}') {
                        B(1);
                    } else if (A3 == '\"') {
                        bufferedReader.reset();
                        d(bufferedReader);
                        do {
                        } while (l(bufferedReader) != null);
                        B(1);
                    } else {
                        StringBuilder sb = new StringBuilder(18);
                        sb.append("Unexpected token ");
                        sb.append(A3);
                        throw new ParseException(sb.toString());
                    }
                }
            } else {
                throw new ParseException("Missing value");
            }
        } else if (bufferedReader.read(this.o) != -1) {
            char c2 = this.o[0];
            boolean z3 = false;
            do {
                if (c2 != '\"' || z3) {
                    z3 = c2 == '\\' ? !z3 : false;
                    if (bufferedReader.read(this.o) != -1) {
                        c2 = this.o[0];
                    } else {
                        throw new ParseException("Unexpected EOF while parsing string");
                    }
                }
            } while (!Character.isISOControl(c2));
            throw new ParseException("Unexpected control character while reading string");
        } else {
            throw new ParseException("Unexpected EOF while parsing string");
        }
        char A4 = A(bufferedReader);
        if (A4 == ',') {
            B(2);
            return d(bufferedReader);
        } else if (A4 == '}') {
            B(2);
            return null;
        } else {
            StringBuilder sb2 = new StringBuilder(18);
            sb2.append("Unexpected token ");
            sb2.append(A4);
            throw new ParseException(sb2.toString());
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:37:0x0030 A[SYNTHETIC] */
    private static String m(BufferedReader bufferedReader, char[] cArr, StringBuilder sb, char[] cArr2) throws ParseException, IOException {
        boolean z;
        sb.setLength(0);
        bufferedReader.mark(cArr.length);
        boolean z2 = false;
        boolean z3 = false;
        while (true) {
            int read = bufferedReader.read(cArr);
            if (read != -1) {
                for (int i2 = 0; i2 < read; i2++) {
                    char c2 = cArr[i2];
                    if (Character.isISOControl(c2)) {
                        if (cArr2 != null) {
                            int i3 = 0;
                            while (true) {
                                if (i3 >= cArr2.length) {
                                    break;
                                } else if (cArr2[i3] == c2) {
                                    z = true;
                                    break;
                                } else {
                                    i3++;
                                }
                            }
                            if (!z) {
                                throw new ParseException("Unexpected control character while reading string");
                            }
                        }
                        z = false;
                        if (!z) {
                        }
                    }
                    if (c2 != '\"' || z2) {
                        if (c2 == '\\') {
                            z2 = !z2;
                            z3 = true;
                        } else {
                            z2 = false;
                        }
                    } else {
                        sb.append(cArr, 0, i2);
                        bufferedReader.reset();
                        bufferedReader.skip((long) (i2 + 1));
                        if (z3) {
                            return r.c(sb.toString());
                        }
                        return sb.toString();
                    }
                }
                sb.append(cArr, 0, read);
                bufferedReader.mark(cArr.length);
            } else {
                throw new ParseException("Unexpected EOF while parsing string");
            }
        }
    }

    private final void n(BufferedReader bufferedReader, char[] cArr) throws ParseException, IOException {
        int i2 = 0;
        while (i2 < cArr.length) {
            int read = bufferedReader.read(this.p, 0, cArr.length - i2);
            if (read != -1) {
                for (int i3 = 0; i3 < read; i3++) {
                    if (cArr[i3 + i2] != this.p[i3]) {
                        throw new ParseException("Unexpected character");
                    }
                }
                i2 += read;
            } else {
                throw new ParseException("Unexpected EOF");
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final String p(BufferedReader bufferedReader) throws ParseException, IOException {
        return e(bufferedReader, this.p, this.r, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final int r(BufferedReader bufferedReader) throws ParseException, IOException {
        boolean z;
        int i2;
        int i3;
        int c2 = c(bufferedReader, this.q);
        int i4 = 0;
        if (c2 == 0) {
            return 0;
        }
        char[] cArr = this.q;
        if (c2 > 0) {
            if (cArr[0] == '-') {
                i3 = Integer.MIN_VALUE;
                i2 = 1;
                z = true;
            } else {
                i3 = -2147483647;
                i2 = 0;
                z = false;
            }
            if (i2 < c2) {
                int i5 = i2 + 1;
                int digit = Character.digit(cArr[i2], 10);
                if (digit >= 0) {
                    int i6 = -digit;
                    i2 = i5;
                    i4 = i6;
                } else {
                    throw new ParseException("Unexpected non-digit character");
                }
            }
            while (i2 < c2) {
                int i7 = i2 + 1;
                int digit2 = Character.digit(cArr[i2], 10);
                if (digit2 < 0) {
                    throw new ParseException("Unexpected non-digit character");
                } else if (i4 >= -214748364) {
                    int i8 = i4 * 10;
                    if (i8 >= i3 + digit2) {
                        i4 = i8 - digit2;
                        i2 = i7;
                    } else {
                        throw new ParseException("Number too large");
                    }
                } else {
                    throw new ParseException("Number too large");
                }
            }
            if (!z) {
                return -i4;
            }
            if (i2 > 1) {
                return i4;
            }
            throw new ParseException("No digits to parse");
        }
        throw new ParseException("No number to parse");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final long s(BufferedReader bufferedReader) throws ParseException, IOException {
        long j2;
        boolean z;
        int c2 = c(bufferedReader, this.q);
        long j3 = 0;
        if (c2 == 0) {
            return 0;
        }
        char[] cArr = this.q;
        if (c2 > 0) {
            int i2 = 0;
            if (cArr[0] == '-') {
                j2 = Long.MIN_VALUE;
                i2 = 1;
                z = true;
            } else {
                j2 = -9223372036854775807L;
                z = false;
            }
            if (i2 < c2) {
                int i3 = i2 + 1;
                int digit = Character.digit(cArr[i2], 10);
                if (digit >= 0) {
                    i2 = i3;
                    j3 = (long) (-digit);
                } else {
                    throw new ParseException("Unexpected non-digit character");
                }
            }
            while (i2 < c2) {
                int i4 = i2 + 1;
                int digit2 = Character.digit(cArr[i2], 10);
                if (digit2 < 0) {
                    throw new ParseException("Unexpected non-digit character");
                } else if (j3 >= b.f22693c) {
                    long j4 = j3 * 10;
                    long j5 = (long) digit2;
                    if (j4 >= j2 + j5) {
                        j3 = j4 - j5;
                        i2 = i4;
                    } else {
                        throw new ParseException("Number too large");
                    }
                } else {
                    throw new ParseException("Number too large");
                }
            }
            if (!z) {
                return -j3;
            }
            if (i2 > 1) {
                return j3;
            }
            throw new ParseException("No digits to parse");
        }
        throw new ParseException("No number to parse");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final BigInteger v(BufferedReader bufferedReader) throws ParseException, IOException {
        int c2 = c(bufferedReader, this.q);
        if (c2 == 0) {
            return null;
        }
        return new BigInteger(new String(this.q, 0, c2));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final float w(BufferedReader bufferedReader) throws ParseException, IOException {
        int c2 = c(bufferedReader, this.q);
        if (c2 == 0) {
            return 0.0f;
        }
        return Float.parseFloat(new String(this.q, 0, c2));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final double y(BufferedReader bufferedReader) throws ParseException, IOException {
        int c2 = c(bufferedReader, this.q);
        if (c2 == 0) {
            return 0.0d;
        }
        return Double.parseDouble(new String(this.q, 0, c2));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final BigDecimal z(BufferedReader bufferedReader) throws ParseException, IOException {
        int c2 = c(bufferedReader, this.q);
        if (c2 == 0) {
            return null;
        }
        return new BigDecimal(new String(this.q, 0, c2));
    }

    @KeepForSdk
    public void a(InputStream inputStream, T t2) throws ParseException {
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(inputStream), 1024);
        try {
            this.t.push(0);
            char A = A(bufferedReader);
            if (A != 0) {
                if (A == '[') {
                    this.t.push(5);
                    Map<String, FastJsonResponse.Field<?, ?>> c2 = t2.c();
                    if (c2.size() == 1) {
                        FastJsonResponse.Field<?, ?> value = c2.entrySet().iterator().next().getValue();
                        t2.a(value, value.L0, f(bufferedReader, value));
                    } else {
                        throw new ParseException("Object array response class must have a single Field");
                    }
                } else if (A == '{') {
                    this.t.push(1);
                    i(bufferedReader, t2);
                } else {
                    StringBuilder sb = new StringBuilder(19);
                    sb.append("Unexpected token: ");
                    sb.append(A);
                    throw new ParseException(sb.toString());
                }
                B(0);
                try {
                    bufferedReader.close();
                } catch (IOException unused) {
                    Log.w("FastParser", "Failed to close reader while parsing.");
                }
            } else {
                throw new ParseException("No data to parse");
            }
        } catch (IOException e2) {
            throw new ParseException(e2);
        } catch (Throwable th) {
            try {
                bufferedReader.close();
            } catch (IOException unused2) {
                Log.w("FastParser", "Failed to close reader while parsing.");
            }
            throw th;
        }
    }
}
