package com.google.android.gms.common.server.response;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.SparseArray;
import com.alipay.sdk.util.g;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.safeparcel.SafeParcelReader;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;
import com.google.android.gms.common.server.response.FastJsonResponse;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.common.util.b;
import com.google.android.gms.common.util.c;
import com.google.android.gms.common.util.r;
import com.google.android.gms.common.util.s;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

@VisibleForTesting
@KeepForSdk
@SafeParcelable.Class(creator = "SafeParcelResponseCreator")
public class SafeParcelResponse extends FastSafeParcelableJsonResponse {
    @KeepForSdk
    public static final Parcelable.Creator<SafeParcelResponse> CREATOR = new m();
    private final int I0;
    @SafeParcelable.Field(getter = "getFieldMappingDictionary", id = 3)
    private final zak J0;
    private final String K0;
    private int L0;
    private int M0;
    @SafeParcelable.VersionField(getter = "getVersionCode", id = 1)

    /* renamed from: a  reason: collision with root package name */
    private final int f10209a;
    @SafeParcelable.Field(getter = "getParcel", id = 2)

    /* renamed from: b  reason: collision with root package name */
    private final Parcel f10210b;

    public SafeParcelResponse(zak zak, String str) {
        this.f10209a = 1;
        this.f10210b = Parcel.obtain();
        this.I0 = 0;
        this.J0 = (zak) a0.k(zak);
        this.K0 = (String) a0.k(str);
        this.L0 = 0;
    }

    @KeepForSdk
    public static <T extends FastJsonResponse & SafeParcelable> SafeParcelResponse Z(T t) {
        String canonicalName = t.getClass().getCanonicalName();
        zak zak = new zak(t.getClass());
        a0(zak, t);
        zak.d1();
        zak.x0();
        return new SafeParcelResponse(t, zak, canonicalName);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: com.google.android.gms.common.server.response.zak */
    /* JADX WARN: Multi-variable type inference failed */
    private static void a0(zak zak, FastJsonResponse fastJsonResponse) {
        Class<?> cls = fastJsonResponse.getClass();
        if (!zak.o0(cls)) {
            Map<String, FastJsonResponse.Field<?, ?>> c2 = fastJsonResponse.c();
            zak.e0(cls, c2);
            for (String str : c2.keySet()) {
                FastJsonResponse.Field<?, ?> field = c2.get(str);
                Class<? extends FastJsonResponse> cls2 = field.N0;
                if (cls2 != null) {
                    try {
                        a0(zak, (FastJsonResponse) cls2.newInstance());
                    } catch (InstantiationException e2) {
                        String valueOf = String.valueOf(field.N0.getCanonicalName());
                        throw new IllegalStateException(valueOf.length() != 0 ? "Could not instantiate an object of type ".concat(valueOf) : new String("Could not instantiate an object of type "), e2);
                    } catch (IllegalAccessException e3) {
                        String valueOf2 = String.valueOf(field.N0.getCanonicalName());
                        throw new IllegalStateException(valueOf2.length() != 0 ? "Could not access object of type ".concat(valueOf2) : new String("Could not access object of type "), e3);
                    }
                }
            }
        }
    }

    private static void b0(StringBuilder sb, int i, Object obj) {
        switch (i) {
            case 0:
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
            case 6:
                sb.append(obj);
                return;
            case 7:
                sb.append("\"");
                sb.append(r.b(obj.toString()));
                sb.append("\"");
                return;
            case 8:
                sb.append("\"");
                sb.append(c.d((byte[]) obj));
                sb.append("\"");
                return;
            case 9:
                sb.append("\"");
                sb.append(c.e((byte[]) obj));
                sb.append("\"");
                return;
            case 10:
                s.a(sb, (HashMap) obj);
                return;
            case 11:
                throw new IllegalArgumentException("Method does not accept concrete type.");
            default:
                StringBuilder sb2 = new StringBuilder(26);
                sb2.append("Unknown type = ");
                sb2.append(i);
                throw new IllegalArgumentException(sb2.toString());
        }
    }

    private final void c0(StringBuilder sb, Map<String, FastJsonResponse.Field<?, ?>> map, Parcel parcel) {
        SparseArray sparseArray = new SparseArray();
        for (Map.Entry<String, FastJsonResponse.Field<?, ?>> entry : map.entrySet()) {
            sparseArray.put(entry.getValue().E1(), entry);
        }
        sb.append('{');
        int h0 = SafeParcelReader.h0(parcel);
        boolean z = false;
        while (parcel.dataPosition() < h0) {
            int X = SafeParcelReader.X(parcel);
            Map.Entry entry2 = (Map.Entry) sparseArray.get(SafeParcelReader.O(X));
            if (entry2 != null) {
                if (z) {
                    sb.append(",");
                }
                FastJsonResponse.Field<?, ?> field = (FastJsonResponse.Field) entry2.getValue();
                sb.append("\"");
                sb.append((String) entry2.getKey());
                sb.append("\":");
                if (field.V1()) {
                    switch (field.J0) {
                        case 0:
                            e0(sb, field, FastJsonResponse.J(field, Integer.valueOf(SafeParcelReader.Z(parcel, X))));
                            break;
                        case 1:
                            e0(sb, field, FastJsonResponse.J(field, SafeParcelReader.c(parcel, X)));
                            break;
                        case 2:
                            e0(sb, field, FastJsonResponse.J(field, Long.valueOf(SafeParcelReader.c0(parcel, X))));
                            break;
                        case 3:
                            e0(sb, field, FastJsonResponse.J(field, Float.valueOf(SafeParcelReader.V(parcel, X))));
                            break;
                        case 4:
                            e0(sb, field, FastJsonResponse.J(field, Double.valueOf(SafeParcelReader.T(parcel, X))));
                            break;
                        case 5:
                            e0(sb, field, FastJsonResponse.J(field, SafeParcelReader.a(parcel, X)));
                            break;
                        case 6:
                            e0(sb, field, FastJsonResponse.J(field, Boolean.valueOf(SafeParcelReader.P(parcel, X))));
                            break;
                        case 7:
                            e0(sb, field, FastJsonResponse.J(field, SafeParcelReader.G(parcel, X)));
                            break;
                        case 8:
                        case 9:
                            e0(sb, field, FastJsonResponse.J(field, SafeParcelReader.h(parcel, X)));
                            break;
                        case 10:
                            Bundle g = SafeParcelReader.g(parcel, X);
                            HashMap hashMap = new HashMap();
                            for (String str : g.keySet()) {
                                hashMap.put(str, g.getString(str));
                            }
                            e0(sb, field, FastJsonResponse.J(field, hashMap));
                            break;
                        case 11:
                            throw new IllegalArgumentException("Method does not accept concrete type.");
                        default:
                            int i = field.J0;
                            StringBuilder sb2 = new StringBuilder(36);
                            sb2.append("Unknown field out type = ");
                            sb2.append(i);
                            throw new IllegalArgumentException(sb2.toString());
                    }
                } else if (field.K0) {
                    sb.append("[");
                    switch (field.J0) {
                        case 0:
                            b.m(sb, SafeParcelReader.u(parcel, X));
                            break;
                        case 1:
                            b.o(sb, SafeParcelReader.d(parcel, X));
                            break;
                        case 2:
                            b.n(sb, SafeParcelReader.w(parcel, X));
                            break;
                        case 3:
                            b.l(sb, SafeParcelReader.o(parcel, X));
                            break;
                        case 4:
                            b.k(sb, SafeParcelReader.l(parcel, X));
                            break;
                        case 5:
                            b.o(sb, SafeParcelReader.b(parcel, X));
                            break;
                        case 6:
                            b.p(sb, SafeParcelReader.e(parcel, X));
                            break;
                        case 7:
                            b.q(sb, SafeParcelReader.H(parcel, X));
                            break;
                        case 8:
                        case 9:
                        case 10:
                            throw new UnsupportedOperationException("List of type BASE64, BASE64_URL_SAFE, or STRING_MAP is not supported");
                        case 11:
                            Parcel[] z2 = SafeParcelReader.z(parcel, X);
                            int length = z2.length;
                            for (int i2 = 0; i2 < length; i2++) {
                                if (i2 > 0) {
                                    sb.append(",");
                                }
                                z2[i2].setDataPosition(0);
                                c0(sb, field.Y1(), z2[i2]);
                            }
                            break;
                        default:
                            throw new IllegalStateException("Unknown field type out.");
                    }
                    sb.append("]");
                } else {
                    switch (field.J0) {
                        case 0:
                            sb.append(SafeParcelReader.Z(parcel, X));
                            break;
                        case 1:
                            sb.append(SafeParcelReader.c(parcel, X));
                            break;
                        case 2:
                            sb.append(SafeParcelReader.c0(parcel, X));
                            break;
                        case 3:
                            sb.append(SafeParcelReader.V(parcel, X));
                            break;
                        case 4:
                            sb.append(SafeParcelReader.T(parcel, X));
                            break;
                        case 5:
                            sb.append(SafeParcelReader.a(parcel, X));
                            break;
                        case 6:
                            sb.append(SafeParcelReader.P(parcel, X));
                            break;
                        case 7:
                            String G = SafeParcelReader.G(parcel, X);
                            sb.append("\"");
                            sb.append(r.b(G));
                            sb.append("\"");
                            break;
                        case 8:
                            byte[] h = SafeParcelReader.h(parcel, X);
                            sb.append("\"");
                            sb.append(c.d(h));
                            sb.append("\"");
                            break;
                        case 9:
                            byte[] h2 = SafeParcelReader.h(parcel, X);
                            sb.append("\"");
                            sb.append(c.e(h2));
                            sb.append("\"");
                            break;
                        case 10:
                            Bundle g2 = SafeParcelReader.g(parcel, X);
                            Set<String> keySet = g2.keySet();
                            keySet.size();
                            sb.append("{");
                            boolean z3 = true;
                            for (String str2 : keySet) {
                                if (!z3) {
                                    sb.append(",");
                                }
                                sb.append("\"");
                                sb.append(str2);
                                sb.append("\"");
                                sb.append(":");
                                sb.append("\"");
                                sb.append(r.b(g2.getString(str2)));
                                sb.append("\"");
                                z3 = false;
                            }
                            sb.append(g.f6033d);
                            break;
                        case 11:
                            Parcel y = SafeParcelReader.y(parcel, X);
                            y.setDataPosition(0);
                            c0(sb, field.Y1(), y);
                            break;
                        default:
                            throw new IllegalStateException("Unknown field type out");
                    }
                }
                z = true;
            }
        }
        if (parcel.dataPosition() == h0) {
            sb.append('}');
            return;
        }
        StringBuilder sb3 = new StringBuilder(37);
        sb3.append("Overread allowed size end=");
        sb3.append(h0);
        throw new SafeParcelReader.ParseException(sb3.toString(), parcel);
    }

    private final void d0(FastJsonResponse.Field<?, ?> field) {
        if (field.M0 != -1) {
            Parcel parcel = this.f10210b;
            if (parcel != null) {
                int i = this.L0;
                if (i == 0) {
                    this.M0 = a.a(parcel);
                    this.L0 = 1;
                } else if (i == 1) {
                } else {
                    if (i != 2) {
                        throw new IllegalStateException("Unknown parse state in SafeParcelResponse.");
                    }
                    throw new IllegalStateException("Attempted to parse JSON with a SafeParcelResponse object that is already filled with data.");
                }
            } else {
                throw new IllegalStateException("Internal Parcel object is null.");
            }
        } else {
            throw new IllegalStateException("Field does not have a valid safe parcelable field id.");
        }
    }

    private final void e0(StringBuilder sb, FastJsonResponse.Field<?, ?> field, Object obj) {
        if (field.I0) {
            ArrayList arrayList = (ArrayList) obj;
            sb.append("[");
            int size = arrayList.size();
            for (int i = 0; i < size; i++) {
                if (i != 0) {
                    sb.append(",");
                }
                b0(sb, field.f10203b, arrayList.get(i));
            }
            sb.append("]");
            return;
        }
        b0(sb, field.f10203b, obj);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:3:0x0005, code lost:
        if (r0 != 1) goto L_0x001a;
     */
    private final Parcel f0() {
        int i = this.L0;
        if (i == 0) {
            this.M0 = a.a(this.f10210b);
        }
        a.b(this.f10210b, this.M0);
        this.L0 = 2;
        return this.f10210b;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void K(FastJsonResponse.Field<?, ?> field, String str, ArrayList<BigInteger> arrayList) {
        d0(field);
        int size = arrayList.size();
        BigInteger[] bigIntegerArr = new BigInteger[size];
        for (int i = 0; i < size; i++) {
            bigIntegerArr[i] = arrayList.get(i);
        }
        a.f(this.f10210b, field.E1(), bigIntegerArr, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void M(FastJsonResponse.Field<?, ?> field, String str, ArrayList<Long> arrayList) {
        d0(field);
        int size = arrayList.size();
        long[] jArr = new long[size];
        for (int i = 0; i < size; i++) {
            jArr[i] = arrayList.get(i).longValue();
        }
        a.L(this.f10210b, field.E1(), jArr, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void P(FastJsonResponse.Field<?, ?> field, String str, ArrayList<Float> arrayList) {
        d0(field);
        int size = arrayList.size();
        float[] fArr = new float[size];
        for (int i = 0; i < size; i++) {
            fArr[i] = arrayList.get(i).floatValue();
        }
        a.x(this.f10210b, field.E1(), fArr, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void R(FastJsonResponse.Field<?, ?> field, String str, ArrayList<Double> arrayList) {
        d0(field);
        int size = arrayList.size();
        double[] dArr = new double[size];
        for (int i = 0; i < size; i++) {
            dArr[i] = arrayList.get(i).doubleValue();
        }
        a.s(this.f10210b, field.E1(), dArr, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void T(FastJsonResponse.Field<?, ?> field, String str, ArrayList<BigDecimal> arrayList) {
        d0(field);
        int size = arrayList.size();
        BigDecimal[] bigDecimalArr = new BigDecimal[size];
        for (int i = 0; i < size; i++) {
            bigDecimalArr[i] = arrayList.get(i);
        }
        a.d(this.f10210b, field.E1(), bigDecimalArr, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void V(FastJsonResponse.Field<?, ?> field, String str, ArrayList<Boolean> arrayList) {
        d0(field);
        int size = arrayList.size();
        boolean[] zArr = new boolean[size];
        for (int i = 0; i < size; i++) {
            zArr[i] = arrayList.get(i).booleanValue();
        }
        a.h(this.f10210b, field.E1(), zArr, true);
    }

    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public <T extends FastJsonResponse> void a(FastJsonResponse.Field<?, ?> field, String str, ArrayList<T> arrayList) {
        d0(field);
        ArrayList arrayList2 = new ArrayList();
        arrayList.size();
        int size = arrayList.size();
        int i = 0;
        while (i < size) {
            T t = arrayList.get(i);
            i++;
            arrayList2.add(((SafeParcelResponse) t).f0());
        }
        a.Q(this.f10210b, field.E1(), arrayList2, true);
    }

    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public <T extends FastJsonResponse> void b(FastJsonResponse.Field<?, ?> field, String str, T t) {
        d0(field);
        a.O(this.f10210b, field.E1(), ((SafeParcelResponse) t).f0(), true);
    }

    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public Map<String, FastJsonResponse.Field<?, ?>> c() {
        zak zak = this.J0;
        if (zak == null) {
            return null;
        }
        return zak.s1(this.K0);
    }

    @Override // com.google.android.gms.common.server.response.FastSafeParcelableJsonResponse, com.google.android.gms.common.server.response.FastJsonResponse
    public Object e(String str) {
        throw new UnsupportedOperationException("Converting to JSON does not require this method.");
    }

    @Override // com.google.android.gms.common.server.response.FastSafeParcelableJsonResponse, com.google.android.gms.common.server.response.FastJsonResponse
    public boolean g(String str) {
        throw new UnsupportedOperationException("Converting to JSON does not require this method.");
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public void h(FastJsonResponse.Field<?, ?> field, String str, boolean z) {
        d0(field);
        a.g(this.f10210b, field.E1(), z);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public void i(FastJsonResponse.Field<?, ?> field, String str, byte[] bArr) {
        d0(field);
        a.m(this.f10210b, field.E1(), bArr, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public void j(FastJsonResponse.Field<?, ?> field, String str, int i) {
        d0(field);
        a.F(this.f10210b, field.E1(), i);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public void k(FastJsonResponse.Field<?, ?> field, String str, long j) {
        d0(field);
        a.K(this.f10210b, field.E1(), j);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public void l(FastJsonResponse.Field<?, ?> field, String str, String str2) {
        d0(field);
        a.X(this.f10210b, field.E1(), str2, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public void m(FastJsonResponse.Field<?, ?> field, String str, ArrayList<String> arrayList) {
        d0(field);
        int size = arrayList.size();
        String[] strArr = new String[size];
        for (int i = 0; i < size; i++) {
            strArr[i] = arrayList.get(i);
        }
        a.Y(this.f10210b, field.E1(), strArr, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void t(FastJsonResponse.Field<?, ?> field, String str, double d2) {
        d0(field);
        a.r(this.f10210b, field.E1(), d2);
    }

    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public String toString() {
        a0.l(this.J0, "Cannot convert to JSON on client side.");
        Parcel f0 = f0();
        f0.setDataPosition(0);
        StringBuilder sb = new StringBuilder(100);
        c0(sb, this.J0.s1(this.K0), f0);
        return sb.toString();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void u(FastJsonResponse.Field<?, ?> field, String str, float f) {
        d0(field);
        a.w(this.f10210b, field.E1(), f);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void v(FastJsonResponse.Field<?, ?> field, String str, BigDecimal bigDecimal) {
        d0(field);
        a.c(this.f10210b, field.E1(), bigDecimal, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void w(FastJsonResponse.Field<?, ?> field, String str, BigInteger bigInteger) {
        d0(field);
        a.e(this.f10210b, field.E1(), bigInteger, true);
    }

    public void writeToParcel(Parcel parcel, int i) {
        zak zak;
        int a2 = a.a(parcel);
        a.F(parcel, 1, this.f10209a);
        a.O(parcel, 2, f0(), false);
        int i2 = this.I0;
        if (i2 == 0) {
            zak = null;
        } else if (i2 == 1) {
            zak = this.J0;
        } else if (i2 == 2) {
            zak = this.J0;
        } else {
            int i3 = this.I0;
            StringBuilder sb = new StringBuilder(34);
            sb.append("Invalid creation type: ");
            sb.append(i3);
            throw new IllegalStateException(sb.toString());
        }
        a.S(parcel, 3, zak, i, false);
        a.b(parcel, a2);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void x(FastJsonResponse.Field<?, ?> field, String str, ArrayList<Integer> arrayList) {
        d0(field);
        int size = arrayList.size();
        int[] iArr = new int[size];
        for (int i = 0; i < size; i++) {
            iArr[i] = arrayList.get(i).intValue();
        }
        a.G(this.f10210b, field.E1(), iArr, true);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    public final void y(FastJsonResponse.Field<?, ?> field, String str, Map<String, String> map) {
        d0(field);
        Bundle bundle = new Bundle();
        for (String str2 : map.keySet()) {
            bundle.putString(str2, map.get(str2));
        }
        a.k(this.f10210b, field.E1(), bundle, true);
    }

    private SafeParcelResponse(SafeParcelable safeParcelable, zak zak, String str) {
        this.f10209a = 1;
        Parcel obtain = Parcel.obtain();
        this.f10210b = obtain;
        safeParcelable.writeToParcel(obtain, 0);
        this.I0 = 1;
        this.J0 = (zak) a0.k(zak);
        this.K0 = (String) a0.k(str);
        this.L0 = 2;
    }

    @SafeParcelable.Constructor
    SafeParcelResponse(@SafeParcelable.Param(id = 1) int i, @SafeParcelable.Param(id = 2) Parcel parcel, @SafeParcelable.Param(id = 3) zak zak) {
        this.f10209a = i;
        this.f10210b = (Parcel) a0.k(parcel);
        this.I0 = 2;
        this.J0 = zak;
        if (zak == null) {
            this.K0 = null;
        } else {
            this.K0 = zak.m1();
        }
        this.L0 = 2;
    }
}
