package com.google.android.gms.common.server.response;

import android.os.Parcel;
import android.os.Parcelable;
import com.google.android.gms.common.internal.ShowFirstParty;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;
import com.google.android.gms.common.server.response.FastJsonResponse;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

@ShowFirstParty
@SafeParcelable.Class(creator = "FieldMappingDictionaryCreator")
public final class zak extends AbstractSafeParcelable {
    public static final Parcelable.Creator<zak> CREATOR = new k();
    @SafeParcelable.Field(getter = "getSerializedDictionary", id = 2)
    private final ArrayList<zal> I0;
    @SafeParcelable.Field(getter = "getRootClassName", id = 3)
    private final String J0;
    @SafeParcelable.VersionField(id = 1)

    /* renamed from: a  reason: collision with root package name */
    private final int f10211a;

    /* renamed from: b  reason: collision with root package name */
    private final HashMap<String, Map<String, FastJsonResponse.Field<?, ?>>> f10212b;

    @SafeParcelable.Constructor
    zak(@SafeParcelable.Param(id = 1) int i, @SafeParcelable.Param(id = 2) ArrayList<zal> arrayList, @SafeParcelable.Param(id = 3) String str) {
        this.f10211a = i;
        this.I0 = null;
        HashMap<String, Map<String, FastJsonResponse.Field<?, ?>>> hashMap = new HashMap<>();
        int size = arrayList.size();
        for (int i2 = 0; i2 < size; i2++) {
            zal zal = arrayList.get(i2);
            String str2 = zal.f10214b;
            HashMap hashMap2 = new HashMap();
            int size2 = zal.I0.size();
            for (int i3 = 0; i3 < size2; i3++) {
                zam zam = zal.I0.get(i3);
                hashMap2.put(zam.f10216b, zam.I0);
            }
            hashMap.put(str2, hashMap2);
        }
        this.f10212b = hashMap;
        this.J0 = (String) a0.k(str);
        x0();
    }

    public final void d1() {
        for (String str : this.f10212b.keySet()) {
            Map<String, FastJsonResponse.Field<?, ?>> map = this.f10212b.get(str);
            HashMap hashMap = new HashMap();
            for (String str2 : map.keySet()) {
                hashMap.put(str2, map.get(str2).Q1());
            }
            this.f10212b.put(str, hashMap);
        }
    }

    public final void e0(Class<? extends FastJsonResponse> cls, Map<String, FastJsonResponse.Field<?, ?>> map) {
        this.f10212b.put(cls.getCanonicalName(), map);
    }

    public final String m1() {
        return this.J0;
    }

    public final boolean o0(Class<? extends FastJsonResponse> cls) {
        return this.f10212b.containsKey(cls.getCanonicalName());
    }

    public final Map<String, FastJsonResponse.Field<?, ?>> s1(String str) {
        return this.f10212b.get(str);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        for (String str : this.f10212b.keySet()) {
            sb.append(str);
            sb.append(":\n");
            Map<String, FastJsonResponse.Field<?, ?>> map = this.f10212b.get(str);
            for (String str2 : map.keySet()) {
                sb.append("  ");
                sb.append(str2);
                sb.append(": ");
                sb.append(map.get(str2));
            }
        }
        return sb.toString();
    }

    public final void writeToParcel(Parcel parcel, int i) {
        int a2 = a.a(parcel);
        a.F(parcel, 1, this.f10211a);
        ArrayList arrayList = new ArrayList();
        for (String str : this.f10212b.keySet()) {
            arrayList.add(new zal(str, this.f10212b.get(str)));
        }
        a.c0(parcel, 2, arrayList, false);
        a.X(parcel, 3, this.J0, false);
        a.b(parcel, a2);
    }

    public final void x0() {
        for (String str : this.f10212b.keySet()) {
            Map<String, FastJsonResponse.Field<?, ?>> map = this.f10212b.get(str);
            for (String str2 : map.keySet()) {
                map.get(str2).O1(this);
            }
        }
    }

    public zak(Class<? extends FastJsonResponse> cls) {
        this.f10211a = 1;
        this.I0 = null;
        this.f10212b = new HashMap<>();
        this.J0 = cls.getCanonicalName();
    }
}
