package com.google.android.gms.common.stats;

import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;
import java.util.List;

@SafeParcelable.Class(creator = "WakeLockEventCreator")
public final class WakeLockEvent extends StatsEvent {
    public static final Parcelable.Creator<WakeLockEvent> CREATOR = new e();
    @SafeParcelable.Field(getter = "getEventType", id = 11)
    private int I0;
    @SafeParcelable.Field(getter = "getWakeLockName", id = 4)
    private final String J0;
    @SafeParcelable.Field(getter = "getSecondaryWakeLockName", id = 10)
    private final String K0;
    @SafeParcelable.Field(getter = "getCodePackage", id = 17)
    private final String L0;
    @SafeParcelable.Field(getter = "getWakeLockType", id = 5)
    private final int M0;
    @SafeParcelable.Field(getter = "getCallingPackages", id = 6)
    private final List<String> N0;
    @SafeParcelable.Field(getter = "getEventKey", id = 12)
    private final String O0;
    @SafeParcelable.Field(getter = "getElapsedRealtime", id = 8)
    private final long P0;
    @SafeParcelable.Field(getter = "getDeviceState", id = 14)
    private int Q0;
    @SafeParcelable.Field(getter = "getHostPackage", id = 13)
    private final String R0;
    @SafeParcelable.Field(getter = "getBeginPowerPercentage", id = 15)
    private final float S0;
    @SafeParcelable.Field(getter = "getTimeout", id = 16)
    private final long T0;
    @SafeParcelable.Field(getter = "getAcquiredWithTimeout", id = 18)
    private final boolean U0;
    private long V0;
    @SafeParcelable.VersionField(id = 1)

    /* renamed from: a  reason: collision with root package name */
    private final int f10219a;
    @SafeParcelable.Field(getter = "getTimeMillis", id = 2)

    /* renamed from: b  reason: collision with root package name */
    private final long f10220b;

    @SafeParcelable.Constructor
    WakeLockEvent(@SafeParcelable.Param(id = 1) int i, @SafeParcelable.Param(id = 2) long j, @SafeParcelable.Param(id = 11) int i2, @SafeParcelable.Param(id = 4) String str, @SafeParcelable.Param(id = 5) int i3, @SafeParcelable.Param(id = 6) List<String> list, @SafeParcelable.Param(id = 12) String str2, @SafeParcelable.Param(id = 8) long j2, @SafeParcelable.Param(id = 14) int i4, @SafeParcelable.Param(id = 10) String str3, @SafeParcelable.Param(id = 13) String str4, @SafeParcelable.Param(id = 15) float f, @SafeParcelable.Param(id = 16) long j3, @SafeParcelable.Param(id = 17) String str5, @SafeParcelable.Param(id = 18) boolean z) {
        this.f10219a = i;
        this.f10220b = j;
        this.I0 = i2;
        this.J0 = str;
        this.K0 = str3;
        this.L0 = str5;
        this.M0 = i3;
        this.V0 = -1;
        this.N0 = list;
        this.O0 = str2;
        this.P0 = j2;
        this.Q0 = i4;
        this.R0 = str4;
        this.S0 = f;
        this.T0 = j3;
        this.U0 = z;
    }

    @Override // com.google.android.gms.common.stats.StatsEvent
    public final String d1() {
        String str;
        String str2 = this.J0;
        int i = this.M0;
        List<String> list = this.N0;
        String str3 = "";
        if (list == null) {
            str = str3;
        } else {
            str = TextUtils.join(",", list);
        }
        int i2 = this.Q0;
        String str4 = this.K0;
        if (str4 == null) {
            str4 = str3;
        }
        String str5 = this.R0;
        if (str5 == null) {
            str5 = str3;
        }
        float f = this.S0;
        String str6 = this.L0;
        if (str6 != null) {
            str3 = str6;
        }
        boolean z = this.U0;
        StringBuilder sb = new StringBuilder(String.valueOf(str2).length() + 51 + String.valueOf(str).length() + String.valueOf(str4).length() + String.valueOf(str5).length() + String.valueOf(str3).length());
        sb.append("\t");
        sb.append(str2);
        sb.append("\t");
        sb.append(i);
        sb.append("\t");
        sb.append(str);
        sb.append("\t");
        sb.append(i2);
        sb.append("\t");
        sb.append(str4);
        sb.append("\t");
        sb.append(str5);
        sb.append("\t");
        sb.append(f);
        sb.append("\t");
        sb.append(str3);
        sb.append("\t");
        sb.append(z);
        return sb.toString();
    }

    @Override // com.google.android.gms.common.stats.StatsEvent
    public final int e0() {
        return this.I0;
    }

    @Override // com.google.android.gms.common.stats.StatsEvent
    public final long o0() {
        return this.f10220b;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        int a2 = a.a(parcel);
        a.F(parcel, 1, this.f10219a);
        a.K(parcel, 2, o0());
        a.X(parcel, 4, this.J0, false);
        a.F(parcel, 5, this.M0);
        a.Z(parcel, 6, this.N0, false);
        a.K(parcel, 8, this.P0);
        a.X(parcel, 10, this.K0, false);
        a.F(parcel, 11, e0());
        a.X(parcel, 12, this.O0, false);
        a.X(parcel, 13, this.R0, false);
        a.F(parcel, 14, this.Q0);
        a.w(parcel, 15, this.S0);
        a.K(parcel, 16, this.T0);
        a.X(parcel, 17, this.L0, false);
        a.g(parcel, 18, this.U0);
        a.b(parcel, a2);
    }

    @Override // com.google.android.gms.common.stats.StatsEvent
    public final long x0() {
        return this.V0;
    }

    public WakeLockEvent(long j, int i, String str, int i2, List<String> list, String str2, long j2, int i3, String str3, String str4, float f, long j3, String str5, boolean z) {
        this(2, j, i, str, i2, list, str2, j2, i3, str3, str4, f, j3, str5, z);
    }
}
