package com.google.android.gms.common;

import android.os.IBinder;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.RemoteException;
import android.util.Log;
import com.google.android.gms.common.internal.g1;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;
import com.google.android.gms.dynamic.d;
import com.google.android.gms.dynamic.f;
import javax.annotation.Nullable;

@SafeParcelable.Class(creator = "GoogleCertificatesQueryCreator")
public final class zzk extends AbstractSafeParcelable {
    public static final Parcelable.Creator<zzk> CREATOR = new c0();
    @SafeParcelable.Field(getter = "getAllowTestKeys", id = 3)
    private final boolean I0;
    @SafeParcelable.Field(defaultValue = "false", getter = "getForbidTestKeys", id = 4)
    private final boolean J0;
    @SafeParcelable.Field(getter = "getCallingPackage", id = 1)

    /* renamed from: a  reason: collision with root package name */
    private final String f10288a;
    @Nullable
    @SafeParcelable.Field(getter = "getCallingCertificateBinder", id = 2, type = "android.os.IBinder")

    /* renamed from: b  reason: collision with root package name */
    private final w f10289b;

    @SafeParcelable.Constructor
    zzk(@SafeParcelable.Param(id = 1) String str, @SafeParcelable.Param(id = 2) @Nullable IBinder iBinder, @SafeParcelable.Param(id = 3) boolean z, @SafeParcelable.Param(id = 4) boolean z2) {
        this.f10288a = str;
        this.f10289b = e0(iBinder);
        this.I0 = z;
        this.J0 = z2;
    }

    @Nullable
    private static w e0(@Nullable IBinder iBinder) {
        byte[] bArr;
        if (iBinder == null) {
            return null;
        }
        try {
            d c2 = g1.e(iBinder).c();
            if (c2 == null) {
                bArr = null;
            } else {
                bArr = (byte[]) f.m(c2);
            }
            if (bArr != null) {
                return new x(bArr);
            }
            Log.e("GoogleCertificatesQuery", "Could not unwrap certificate");
            return null;
        } catch (RemoteException e2) {
            Log.e("GoogleCertificatesQuery", "Could not unwrap certificate", e2);
            return null;
        }
    }

    public final void writeToParcel(Parcel parcel, int i) {
        IBinder iBinder;
        int a2 = a.a(parcel);
        a.X(parcel, 1, this.f10288a, false);
        w wVar = this.f10289b;
        if (wVar == null) {
            Log.w("GoogleCertificatesQuery", "certificate binder is null");
            iBinder = null;
        } else {
            iBinder = wVar.asBinder();
        }
        a.B(parcel, 2, iBinder, false);
        a.g(parcel, 3, this.I0);
        a.g(parcel, 4, this.J0);
        a.b(parcel, a2);
    }

    zzk(String str, @Nullable w wVar, boolean z, boolean z2) {
        this.f10288a = str;
        this.f10289b = wVar;
        this.I0 = z;
        this.J0 = z2;
    }
}
