package com.google.android.gms.dynamite;

import android.content.ContentResolver;
import android.content.Context;
import android.database.Cursor;
import android.net.Uri;
import android.os.IBinder;
import android.os.IInterface;
import android.os.RemoteException;
import android.util.Log;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.e;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.DynamiteApi;
import com.google.android.gms.common.util.i;
import com.google.android.gms.dynamic.d;
import com.google.android.gms.dynamic.f;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import javax.annotation.concurrent.GuardedBy;

@KeepForSdk
public final class DynamiteModule {
    @GuardedBy("DynamiteModule.class")

    /* renamed from: a  reason: collision with root package name */
    private static Boolean f10315a = null;
    @GuardedBy("DynamiteModule.class")

    /* renamed from: b  reason: collision with root package name */
    private static i f10316b = null;
    @GuardedBy("DynamiteModule.class")

    /* renamed from: c  reason: collision with root package name */
    private static k f10317c = null;
    @GuardedBy("DynamiteModule.class")

    /* renamed from: d  reason: collision with root package name */
    private static String f10318d = null;
    @GuardedBy("DynamiteModule.class")

    /* renamed from: e  reason: collision with root package name */
    private static int f10319e = -1;
    private static final ThreadLocal<b> f = new ThreadLocal<>();
    private static final a.AbstractC0247a g = new a();
    @KeepForSdk
    public static final a h = new b();
    @KeepForSdk
    public static final a i = new c();
    @KeepForSdk
    public static final a j = new d();
    @KeepForSdk
    public static final a k = new e();
    @KeepForSdk
    public static final a l = new f();
    private static final a m = new g();
    private final Context n;

    @DynamiteApi
    public static class DynamiteLoaderClassLoader {
        @GuardedBy("DynamiteLoaderClassLoader.class")
        public static ClassLoader sClassLoader;
    }

    @KeepForSdk
    public static class LoadingException extends Exception {
        private LoadingException(String str) {
            super(str);
        }

        private LoadingException(String str, Throwable th) {
            super(str, th);
        }

        /* synthetic */ LoadingException(String str, a aVar) {
            this(str);
        }

        /* synthetic */ LoadingException(String str, Throwable th, a aVar) {
            this(str, th);
        }
    }

    public interface a {

        /* renamed from: com.google.android.gms.dynamite.DynamiteModule$a$a  reason: collision with other inner class name */
        public interface AbstractC0247a {
            int a(Context context, String str);

            int b(Context context, String str, boolean z) throws LoadingException;
        }

        public static class b {

            /* renamed from: a  reason: collision with root package name */
            public int f10320a = 0;

            /* renamed from: b  reason: collision with root package name */
            public int f10321b = 0;

            /* renamed from: c  reason: collision with root package name */
            public int f10322c = 0;
        }

        b a(Context context, String str, AbstractC0247a aVar) throws LoadingException;
    }

    /* access modifiers changed from: private */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        public Cursor f10323a;

        private b() {
        }

        /* synthetic */ b(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public static class c implements a.AbstractC0247a {

        /* renamed from: a  reason: collision with root package name */
        private final int f10324a;

        /* renamed from: b  reason: collision with root package name */
        private final int f10325b = 0;

        public c(int i, int i2) {
            this.f10324a = i;
        }

        @Override // com.google.android.gms.dynamite.DynamiteModule.a.AbstractC0247a
        public final int a(Context context, String str) {
            return this.f10324a;
        }

        @Override // com.google.android.gms.dynamite.DynamiteModule.a.AbstractC0247a
        public final int b(Context context, String str, boolean z) {
            return 0;
        }
    }

    private DynamiteModule(Context context) {
        this.n = (Context) a0.k(context);
    }

    @KeepForSdk
    public static int a(Context context, String str) {
        try {
            ClassLoader classLoader = context.getApplicationContext().getClassLoader();
            StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 61);
            sb.append("com.google.android.gms.dynamite.descriptors.");
            sb.append(str);
            sb.append(".ModuleDescriptor");
            Class<?> loadClass = classLoader.loadClass(sb.toString());
            Field declaredField = loadClass.getDeclaredField("MODULE_ID");
            Field declaredField2 = loadClass.getDeclaredField("MODULE_VERSION");
            if (declaredField.get(null).equals(str)) {
                return declaredField2.getInt(null);
            }
            String valueOf = String.valueOf(declaredField.get(null));
            StringBuilder sb2 = new StringBuilder(valueOf.length() + 51 + String.valueOf(str).length());
            sb2.append("Module descriptor id '");
            sb2.append(valueOf);
            sb2.append("' didn't match expected id '");
            sb2.append(str);
            sb2.append("'");
            Log.e("DynamiteModule", sb2.toString());
            return 0;
        } catch (ClassNotFoundException unused) {
            StringBuilder sb3 = new StringBuilder(String.valueOf(str).length() + 45);
            sb3.append("Local module descriptor class for ");
            sb3.append(str);
            sb3.append(" not found.");
            Log.w("DynamiteModule", sb3.toString());
            return 0;
        } catch (Exception e2) {
            String valueOf2 = String.valueOf(e2.getMessage());
            Log.e("DynamiteModule", valueOf2.length() != 0 ? "Failed to load module descriptor class: ".concat(valueOf2) : new String("Failed to load module descriptor class: "));
            return 0;
        }
    }

    @KeepForSdk
    public static int c(Context context, String str) {
        return f(context, str, false);
    }

    @KeepForSdk
    public static DynamiteModule e(Context context, a aVar, String str) throws LoadingException {
        Cursor cursor;
        ThreadLocal<b> threadLocal = f;
        b bVar = threadLocal.get();
        b bVar2 = new b(null);
        threadLocal.set(bVar2);
        try {
            a.b a2 = aVar.a(context, str, g);
            int i2 = a2.f10320a;
            int i3 = a2.f10321b;
            StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 68 + String.valueOf(str).length());
            sb.append("Considering local module ");
            sb.append(str);
            sb.append(":");
            sb.append(i2);
            sb.append(" and remote module ");
            sb.append(str);
            sb.append(":");
            sb.append(i3);
            Log.i("DynamiteModule", sb.toString());
            int i4 = a2.f10322c;
            if (i4 == 0 || ((i4 == -1 && a2.f10320a == 0) || (i4 == 1 && a2.f10321b == 0))) {
                int i5 = a2.f10320a;
                int i6 = a2.f10321b;
                StringBuilder sb2 = new StringBuilder(91);
                sb2.append("No acceptable module found. Local version is ");
                sb2.append(i5);
                sb2.append(" and remote version is ");
                sb2.append(i6);
                sb2.append(".");
                throw new LoadingException(sb2.toString(), (a) null);
            } else if (i4 == -1) {
                DynamiteModule m2 = m(context, str);
                Cursor cursor2 = bVar2.f10323a;
                if (cursor2 != null) {
                    cursor2.close();
                }
                threadLocal.set(bVar);
                return m2;
            } else if (i4 == 1) {
                try {
                    DynamiteModule g2 = g(context, str, a2.f10321b);
                    Cursor cursor3 = bVar2.f10323a;
                    if (cursor3 != null) {
                        cursor3.close();
                    }
                    threadLocal.set(bVar);
                    return g2;
                } catch (LoadingException e2) {
                    String valueOf = String.valueOf(e2.getMessage());
                    Log.w("DynamiteModule", valueOf.length() != 0 ? "Failed to load remote module: ".concat(valueOf) : new String("Failed to load remote module: "));
                    int i7 = a2.f10320a;
                    if (i7 == 0 || aVar.a(context, str, new c(i7, 0)).f10322c != -1) {
                        throw new LoadingException("Remote load failed. No local fallback found.", e2, null);
                    }
                    return m(context, str);
                }
            } else {
                int i8 = a2.f10322c;
                StringBuilder sb3 = new StringBuilder(47);
                sb3.append("VersionPolicy returned invalid code:");
                sb3.append(i8);
                throw new LoadingException(sb3.toString(), (a) null);
            }
        } finally {
            cursor = bVar2.f10323a;
            if (cursor != null) {
                cursor.close();
            }
            f.set(bVar);
        }
    }

    public static int f(Context context, String str, boolean z) {
        Boolean bool;
        try {
            synchronized (DynamiteModule.class) {
                Boolean bool2 = f10315a;
                if (bool2 == null) {
                    try {
                        Class<?> loadClass = context.getApplicationContext().getClassLoader().loadClass(DynamiteLoaderClassLoader.class.getName());
                        Field declaredField = loadClass.getDeclaredField("sClassLoader");
                        synchronized (loadClass) {
                            ClassLoader classLoader = (ClassLoader) declaredField.get(null);
                            if (classLoader != null) {
                                if (classLoader == ClassLoader.getSystemClassLoader()) {
                                    bool = Boolean.FALSE;
                                } else {
                                    try {
                                        h(classLoader);
                                    } catch (LoadingException unused) {
                                    }
                                    bool = Boolean.TRUE;
                                }
                            } else if ("com.google.android.gms".equals(context.getApplicationContext().getPackageName())) {
                                declaredField.set(null, ClassLoader.getSystemClassLoader());
                                bool = Boolean.FALSE;
                            } else {
                                try {
                                    int l2 = l(context, str, z);
                                    String str2 = f10318d;
                                    if (str2 != null) {
                                        if (!str2.isEmpty()) {
                                            h hVar = new h(f10318d, ClassLoader.getSystemClassLoader());
                                            h(hVar);
                                            declaredField.set(null, hVar);
                                            f10315a = Boolean.TRUE;
                                            return l2;
                                        }
                                    }
                                    return l2;
                                } catch (LoadingException unused2) {
                                    declaredField.set(null, ClassLoader.getSystemClassLoader());
                                    bool = Boolean.FALSE;
                                    bool2 = bool;
                                    f10315a = bool2;
                                    if (!bool2.booleanValue()) {
                                        return j(context, str, z);
                                    }
                                    try {
                                        return l(context, str, z);
                                    } catch (LoadingException e2) {
                                        String valueOf = String.valueOf(e2.getMessage());
                                        Log.w("DynamiteModule", valueOf.length() != 0 ? "Failed to retrieve remote module version: ".concat(valueOf) : new String("Failed to retrieve remote module version: "));
                                        return 0;
                                    }
                                }
                            }
                        }
                    } catch (ClassNotFoundException | IllegalAccessException | NoSuchFieldException e3) {
                        String valueOf2 = String.valueOf(e3);
                        StringBuilder sb = new StringBuilder(valueOf2.length() + 30);
                        sb.append("Failed to load module via V2: ");
                        sb.append(valueOf2);
                        Log.w("DynamiteModule", sb.toString());
                        bool2 = Boolean.FALSE;
                    }
                }
            }
        } catch (Throwable th) {
            i.a(context, th);
            throw th;
        }
    }

    private static DynamiteModule g(Context context, String str, int i2) throws LoadingException {
        Boolean bool;
        d dVar;
        try {
            synchronized (DynamiteModule.class) {
                bool = f10315a;
            }
            if (bool == null) {
                throw new LoadingException("Failed to determine which loading route to use.", (a) null);
            } else if (bool.booleanValue()) {
                return k(context, str, i2);
            } else {
                StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 51);
                sb.append("Selected remote version of ");
                sb.append(str);
                sb.append(", version >= ");
                sb.append(i2);
                Log.i("DynamiteModule", sb.toString());
                i n2 = n(context);
                if (n2 != null) {
                    if (n2.M0() >= 2) {
                        dVar = n2.F0(f.y(context), str, i2);
                    } else {
                        Log.w("DynamiteModule", "Dynamite loader version < 2, falling back to createModuleContext");
                        dVar = n2.f0(f.y(context), str, i2);
                    }
                    if (f.m(dVar) != null) {
                        return new DynamiteModule((Context) f.m(dVar));
                    }
                    throw new LoadingException("Failed to load remote module.", (a) null);
                }
                throw new LoadingException("Failed to create IDynamiteLoader.", (a) null);
            }
        } catch (RemoteException e2) {
            throw new LoadingException("Failed to load remote module.", e2, null);
        } catch (LoadingException e3) {
            throw e3;
        } catch (Throwable th) {
            i.a(context, th);
            throw new LoadingException("Failed to load remote module.", th, null);
        }
    }

    @GuardedBy("DynamiteModule.class")
    private static void h(ClassLoader classLoader) throws LoadingException {
        k kVar;
        try {
            IBinder iBinder = (IBinder) classLoader.loadClass("com.google.android.gms.dynamiteloader.DynamiteLoaderV2").getConstructor(new Class[0]).newInstance(new Object[0]);
            if (iBinder == null) {
                kVar = null;
            } else {
                IInterface queryLocalInterface = iBinder.queryLocalInterface("com.google.android.gms.dynamite.IDynamiteLoaderV2");
                if (queryLocalInterface instanceof k) {
                    kVar = (k) queryLocalInterface;
                } else {
                    kVar = new l(iBinder);
                }
            }
            f10317c = kVar;
        } catch (ClassNotFoundException | IllegalAccessException | InstantiationException | NoSuchMethodException | InvocationTargetException e2) {
            throw new LoadingException("Failed to instantiate dynamite loader", e2, null);
        }
    }

    private static Boolean i() {
        Boolean valueOf;
        synchronized (DynamiteModule.class) {
            valueOf = Boolean.valueOf(f10319e >= 2);
        }
        return valueOf;
    }

    private static int j(Context context, String str, boolean z) {
        i n2 = n(context);
        if (n2 == null) {
            return 0;
        }
        try {
            if (n2.M0() >= 2) {
                return n2.s0(f.y(context), str, z);
            }
            Log.w("DynamiteModule", "IDynamite loader version < 2, falling back to getModuleVersion2");
            return n2.B0(f.y(context), str, z);
        } catch (RemoteException e2) {
            String valueOf = String.valueOf(e2.getMessage());
            Log.w("DynamiteModule", valueOf.length() != 0 ? "Failed to retrieve remote module version: ".concat(valueOf) : new String("Failed to retrieve remote module version: "));
            return 0;
        }
    }

    private static DynamiteModule k(Context context, String str, int i2) throws LoadingException, RemoteException {
        k kVar;
        d dVar;
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 51);
        sb.append("Selected remote version of ");
        sb.append(str);
        sb.append(", version >= ");
        sb.append(i2);
        Log.i("DynamiteModule", sb.toString());
        synchronized (DynamiteModule.class) {
            kVar = f10317c;
        }
        if (kVar != null) {
            b bVar = f.get();
            if (bVar == null || bVar.f10323a == null) {
                throw new LoadingException("No result cursor", (a) null);
            }
            Context applicationContext = context.getApplicationContext();
            Cursor cursor = bVar.f10323a;
            f.y(null);
            if (i().booleanValue()) {
                Log.v("DynamiteModule", "Dynamite loader version >= 2, using loadModule2NoCrashUtils");
                dVar = kVar.P(f.y(applicationContext), str, i2, f.y(cursor));
            } else {
                Log.w("DynamiteModule", "Dynamite loader version < 2, falling back to loadModule2");
                dVar = kVar.M(f.y(applicationContext), str, i2, f.y(cursor));
            }
            Context context2 = (Context) f.m(dVar);
            if (context2 != null) {
                return new DynamiteModule(context2);
            }
            throw new LoadingException("Failed to get module context", (a) null);
        }
        throw new LoadingException("DynamiteLoaderV2 was not cached.", (a) null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:31:0x007f  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00a3 A[Catch:{ all -> 0x00ac }] */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00a4 A[Catch:{ all -> 0x00ac }] */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x00b0  */
    private static int l(Context context, String str, boolean z) throws LoadingException {
        Throwable th;
        Cursor cursor;
        Exception e2;
        Cursor cursor2 = null;
        try {
            ContentResolver contentResolver = context.getContentResolver();
            String str2 = z ? "api_force_staging" : "api";
            StringBuilder sb = new StringBuilder(str2.length() + 42 + String.valueOf(str).length());
            sb.append("content://com.google.android.gms.chimera/");
            sb.append(str2);
            sb.append("/");
            sb.append(str);
            Cursor query = contentResolver.query(Uri.parse(sb.toString()), null, null, null, null);
            if (query != null) {
                try {
                    if (query.moveToFirst()) {
                        int i2 = query.getInt(0);
                        if (i2 > 0) {
                            synchronized (DynamiteModule.class) {
                                f10318d = query.getString(2);
                                int columnIndex = query.getColumnIndex("loaderVersion");
                                if (columnIndex >= 0) {
                                    f10319e = query.getInt(columnIndex);
                                }
                            }
                            b bVar = f.get();
                            if (bVar != null && bVar.f10323a == null) {
                                bVar.f10323a = query;
                                if (cursor2 != null) {
                                    cursor2.close();
                                }
                                return i2;
                            }
                        }
                        cursor2 = query;
                        if (cursor2 != null) {
                        }
                        return i2;
                    }
                } catch (Exception e3) {
                    cursor = query;
                    e2 = e3;
                    try {
                        if (!(e2 instanceof LoadingException)) {
                            throw e2;
                        }
                        throw new LoadingException("V2 version check failed", e2, null);
                    } catch (Throwable th2) {
                        th = th2;
                        cursor2 = cursor;
                        if (cursor2 != null) {
                        }
                        throw th;
                    }
                } catch (Throwable th3) {
                    cursor2 = query;
                    th = th3;
                    if (cursor2 != null) {
                        cursor2.close();
                    }
                    throw th;
                }
            }
            Log.w("DynamiteModule", "Failed to retrieve remote module version.");
            throw new LoadingException("Failed to connect to dynamite module ContentResolver.", (a) null);
        } catch (Exception e4) {
            e2 = e4;
            cursor = null;
            if (!(e2 instanceof LoadingException)) {
            }
        } catch (Throwable th4) {
            th = th4;
            if (cursor2 != null) {
            }
            throw th;
        }
    }

    private static DynamiteModule m(Context context, String str) {
        String valueOf = String.valueOf(str);
        Log.i("DynamiteModule", valueOf.length() != 0 ? "Selected local version of ".concat(valueOf) : new String("Selected local version of "));
        return new DynamiteModule(context.getApplicationContext());
    }

    private static i n(Context context) {
        i iVar;
        synchronized (DynamiteModule.class) {
            i iVar2 = f10316b;
            if (iVar2 != null) {
                return iVar2;
            }
            if (e.i().j(context) != 0) {
                return null;
            }
            try {
                IBinder iBinder = (IBinder) context.createPackageContext("com.google.android.gms", 3).getClassLoader().loadClass("com.google.android.gms.chimera.container.DynamiteLoaderImpl").newInstance();
                if (iBinder == null) {
                    iVar = null;
                } else {
                    IInterface queryLocalInterface = iBinder.queryLocalInterface("com.google.android.gms.dynamite.IDynamiteLoader");
                    if (queryLocalInterface instanceof i) {
                        iVar = (i) queryLocalInterface;
                    } else {
                        iVar = new j(iBinder);
                    }
                }
                if (iVar != null) {
                    f10316b = iVar;
                    return iVar;
                }
            } catch (Exception e2) {
                String valueOf = String.valueOf(e2.getMessage());
                Log.e("DynamiteModule", valueOf.length() != 0 ? "Failed to load IDynamiteLoader from GmsCore: ".concat(valueOf) : new String("Failed to load IDynamiteLoader from GmsCore: "));
            }
            return null;
        }
    }

    @KeepForSdk
    public final Context b() {
        return this.n;
    }

    @KeepForSdk
    public final IBinder d(String str) throws LoadingException {
        try {
            return (IBinder) this.n.getClassLoader().loadClass(str).newInstance();
        } catch (ClassNotFoundException | IllegalAccessException | InstantiationException e2) {
            String valueOf = String.valueOf(str);
            throw new LoadingException(valueOf.length() != 0 ? "Failed to instantiate module class: ".concat(valueOf) : new String("Failed to instantiate module class: "), e2, null);
        }
    }
}
