package com.google.android.gms.internal.base;

import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.SystemClock;

public final class e extends Drawable implements Drawable.Callback {
    private int I0;
    private int J0;
    private int K0;
    private int L0;
    private int M0;
    private boolean N0;
    private boolean O0;
    private i P0;
    private Drawable Q0;
    private Drawable R0;
    private boolean S0;
    private boolean T0;
    private boolean U0;
    private int V0;

    /* renamed from: a  reason: collision with root package name */
    private int f10330a;

    /* renamed from: b  reason: collision with root package name */
    private long f10331b;

    public e(Drawable drawable, Drawable drawable2) {
        this(null);
        drawable = drawable == null ? g.a() : drawable;
        this.Q0 = drawable;
        drawable.setCallback(this);
        i iVar = this.P0;
        iVar.f10335b = drawable.getChangingConfigurations() | iVar.f10335b;
        drawable2 = drawable2 == null ? g.a() : drawable2;
        this.R0 = drawable2;
        drawable2.setCallback(this);
        i iVar2 = this.P0;
        iVar2.f10335b = drawable2.getChangingConfigurations() | iVar2.f10335b;
    }

    private final boolean a() {
        if (!this.S0) {
            this.T0 = (this.Q0.getConstantState() == null || this.R0.getConstantState() == null) ? false : true;
            this.S0 = true;
        }
        return this.T0;
    }

    public final void b(int i) {
        this.I0 = 0;
        this.J0 = this.K0;
        this.M0 = 0;
        this.L0 = 250;
        this.f10330a = 1;
        invalidateSelf();
    }

    public final Drawable c() {
        return this.R0;
    }

    public final void draw(Canvas canvas) {
        int i = this.f10330a;
        boolean z = false;
        boolean z2 = true;
        if (i == 1) {
            this.f10331b = SystemClock.uptimeMillis();
            this.f10330a = 2;
        } else if (i == 2 && this.f10331b >= 0) {
            float uptimeMillis = ((float) (SystemClock.uptimeMillis() - this.f10331b)) / ((float) this.L0);
            if (uptimeMillis < 1.0f) {
                z2 = false;
            }
            if (z2) {
                this.f10330a = 0;
            }
            this.M0 = (int) ((((float) this.J0) * Math.min(uptimeMillis, 1.0f)) + 0.0f);
            z = z2;
        } else {
            z = true;
        }
        int i2 = this.M0;
        boolean z3 = this.N0;
        Drawable drawable = this.Q0;
        Drawable drawable2 = this.R0;
        if (z) {
            if (!z3 || i2 == 0) {
                drawable.draw(canvas);
            }
            int i3 = this.K0;
            if (i2 == i3) {
                drawable2.setAlpha(i3);
                drawable2.draw(canvas);
                return;
            }
            return;
        }
        if (z3) {
            drawable.setAlpha(this.K0 - i2);
        }
        drawable.draw(canvas);
        if (z3) {
            drawable.setAlpha(this.K0);
        }
        if (i2 > 0) {
            drawable2.setAlpha(i2);
            drawable2.draw(canvas);
            drawable2.setAlpha(this.K0);
        }
        invalidateSelf();
    }

    public final int getChangingConfigurations() {
        int changingConfigurations = super.getChangingConfigurations();
        i iVar = this.P0;
        return changingConfigurations | iVar.f10334a | iVar.f10335b;
    }

    public final Drawable.ConstantState getConstantState() {
        if (!a()) {
            return null;
        }
        this.P0.f10334a = getChangingConfigurations();
        return this.P0;
    }

    public final int getIntrinsicHeight() {
        return Math.max(this.Q0.getIntrinsicHeight(), this.R0.getIntrinsicHeight());
    }

    public final int getIntrinsicWidth() {
        return Math.max(this.Q0.getIntrinsicWidth(), this.R0.getIntrinsicWidth());
    }

    public final int getOpacity() {
        if (!this.U0) {
            this.V0 = Drawable.resolveOpacity(this.Q0.getOpacity(), this.R0.getOpacity());
            this.U0 = true;
        }
        return this.V0;
    }

    public final void invalidateDrawable(Drawable drawable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.invalidateDrawable(this);
        }
    }

    public final Drawable mutate() {
        if (!this.O0 && super.mutate() == this) {
            if (a()) {
                this.Q0.mutate();
                this.R0.mutate();
                this.O0 = true;
            } else {
                throw new IllegalStateException("One or more children of this LayerDrawable does not have constant state; this drawable cannot be mutated.");
            }
        }
        return this;
    }

    /* access modifiers changed from: protected */
    public final void onBoundsChange(Rect rect) {
        this.Q0.setBounds(rect);
        this.R0.setBounds(rect);
    }

    public final void scheduleDrawable(Drawable drawable, Runnable runnable, long j) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.scheduleDrawable(this, runnable, j);
        }
    }

    public final void setAlpha(int i) {
        if (this.M0 == this.K0) {
            this.M0 = i;
        }
        this.K0 = i;
        invalidateSelf();
    }

    public final void setColorFilter(ColorFilter colorFilter) {
        this.Q0.setColorFilter(colorFilter);
        this.R0.setColorFilter(colorFilter);
    }

    public final void unscheduleDrawable(Drawable drawable, Runnable runnable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.unscheduleDrawable(this, runnable);
        }
    }

    e(i iVar) {
        this.f10330a = 0;
        this.K0 = 255;
        this.M0 = 0;
        this.N0 = true;
        this.P0 = new i(iVar);
    }
}
