package com.google.android.gms.internal.measurement;

import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.RandomAccess;

/* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
final class a5 extends p2<Long> implements m4, y5, RandomAccess {

    /* renamed from: b  reason: collision with root package name */
    private static final a5 f10344b;
    private long[] I0;
    private int J0;

    static {
        a5 a5Var = new a5(new long[0], 0);
        f10344b = a5Var;
        a5Var.M();
    }

    a5() {
        this(new long[10], 0);
    }

    public static a5 d() {
        return f10344b;
    }

    private final void e(int i) {
        if (i < 0 || i >= this.J0) {
            throw new IndexOutOfBoundsException(f(i));
        }
    }

    private final String f(int i) {
        int i2 = this.J0;
        StringBuilder sb = new StringBuilder(35);
        sb.append("Index:");
        sb.append(i);
        sb.append(", Size:");
        sb.append(i2);
        return sb.toString();
    }

    @Override // com.google.android.gms.internal.measurement.m4
    public final void V0(long j) {
        b();
        int i = this.J0;
        long[] jArr = this.I0;
        if (i == jArr.length) {
            long[] jArr2 = new long[(((i * 3) / 2) + 1)];
            System.arraycopy(jArr, 0, jArr2, 0, i);
            this.I0 = jArr2;
        }
        long[] jArr3 = this.I0;
        int i2 = this.J0;
        this.J0 = i2 + 1;
        jArr3[i2] = j;
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [int, java.lang.Object] */
    @Override // java.util.List, com.google.android.gms.internal.measurement.p2, java.util.AbstractList
    public final /* synthetic */ void add(int i, Long l) {
        int i2;
        long longValue = l.longValue();
        b();
        if (i < 0 || i > (i2 = this.J0)) {
            throw new IndexOutOfBoundsException(f(i));
        }
        long[] jArr = this.I0;
        if (i2 < jArr.length) {
            System.arraycopy(jArr, i, jArr, i + 1, i2 - i);
        } else {
            long[] jArr2 = new long[(((i2 * 3) / 2) + 1)];
            System.arraycopy(jArr, 0, jArr2, 0, i);
            System.arraycopy(this.I0, i, jArr2, i + 1, this.J0 - i);
            this.I0 = jArr2;
        }
        this.I0[i] = longValue;
        this.J0++;
        ((AbstractList) this).modCount++;
    }

    @Override // java.util.AbstractCollection, java.util.List, com.google.android.gms.internal.measurement.p2, java.util.Collection
    public final boolean addAll(Collection<? extends Long> collection) {
        b();
        f4.d(collection);
        if (!(collection instanceof a5)) {
            return super.addAll(collection);
        }
        a5 a5Var = (a5) collection;
        int i = a5Var.J0;
        if (i == 0) {
            return false;
        }
        int i2 = this.J0;
        if (Integer.MAX_VALUE - i2 >= i) {
            int i3 = i2 + i;
            long[] jArr = this.I0;
            if (i3 > jArr.length) {
                this.I0 = Arrays.copyOf(jArr, i3);
            }
            System.arraycopy(a5Var.I0, 0, this.I0, this.J0, a5Var.J0);
            this.J0 = i3;
            ((AbstractList) this).modCount++;
            return true;
        }
        throw new OutOfMemoryError();
    }

    @Override // com.google.android.gms.internal.measurement.p2
    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof a5)) {
            return super.equals(obj);
        }
        a5 a5Var = (a5) obj;
        if (this.J0 != a5Var.J0) {
            return false;
        }
        long[] jArr = a5Var.I0;
        for (int i = 0; i < this.J0; i++) {
            if (this.I0[i] != jArr[i]) {
                return false;
            }
        }
        return true;
    }

    @Override // java.util.List, java.util.AbstractList
    public final /* synthetic */ Object get(int i) {
        return Long.valueOf(h(i));
    }

    @Override // com.google.android.gms.internal.measurement.m4
    public final long h(int i) {
        e(i);
        return this.I0[i];
    }

    @Override // com.google.android.gms.internal.measurement.p2
    public final int hashCode() {
        int i = 1;
        for (int i2 = 0; i2 < this.J0; i2++) {
            i = (i * 31) + f4.b(this.I0[i2]);
        }
        return i;
    }

    @Override // java.util.List, com.google.android.gms.internal.measurement.p2
    public final boolean remove(Object obj) {
        b();
        for (int i = 0; i < this.J0; i++) {
            if (obj.equals(Long.valueOf(this.I0[i]))) {
                long[] jArr = this.I0;
                System.arraycopy(jArr, i + 1, jArr, i, (this.J0 - i) - 1);
                this.J0--;
                ((AbstractList) this).modCount++;
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public final void removeRange(int i, int i2) {
        b();
        if (i2 >= i) {
            long[] jArr = this.I0;
            System.arraycopy(jArr, i2, jArr, i, this.J0 - i2);
            this.J0 -= i2 - i;
            ((AbstractList) this).modCount++;
            return;
        }
        throw new IndexOutOfBoundsException("toIndex < fromIndex");
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [int, java.lang.Object] */
    @Override // java.util.List, com.google.android.gms.internal.measurement.p2, java.util.AbstractList
    public final /* synthetic */ Long set(int i, Long l) {
        long longValue = l.longValue();
        b();
        e(i);
        long[] jArr = this.I0;
        long j = jArr[i];
        jArr[i] = longValue;
        return Long.valueOf(j);
    }

    public final int size() {
        return this.J0;
    }

    @Override // com.google.android.gms.internal.measurement.m4
    /* renamed from: w0 */
    public final m4 a(int i) {
        if (i >= this.J0) {
            return new a5(Arrays.copyOf(this.I0, i), this.J0);
        }
        throw new IllegalArgumentException();
    }

    private a5(long[] jArr, int i) {
        this.I0 = jArr;
        this.J0 = i;
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // java.util.List, com.google.android.gms.internal.measurement.p2, java.util.AbstractList
    public final /* synthetic */ Long remove(int i) {
        b();
        e(i);
        long[] jArr = this.I0;
        long j = jArr[i];
        int i2 = this.J0;
        if (i < i2 - 1) {
            System.arraycopy(jArr, i + 1, jArr, i, (i2 - i) - 1);
        }
        this.J0--;
        ((AbstractList) this).modCount++;
        return Long.valueOf(j);
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // java.util.AbstractCollection, java.util.List, com.google.android.gms.internal.measurement.p2, java.util.Collection, java.util.AbstractList
    public final /* synthetic */ boolean add(Long l) {
        V0(l.longValue());
        return true;
    }
}
