package com.google.android.gms.internal.measurement;

import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.RandomAccess;

/* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
final class c4 extends p2<Float> implements l4<Float>, y5, RandomAccess {

    /* renamed from: b  reason: collision with root package name */
    private static final c4 f10362b;
    private float[] I0;
    private int J0;

    static {
        c4 c4Var = new c4(new float[0], 0);
        f10362b = c4Var;
        c4Var.M();
    }

    c4() {
        this(new float[10], 0);
    }

    private final void e(int i) {
        if (i < 0 || i >= this.J0) {
            throw new IndexOutOfBoundsException(f(i));
        }
    }

    private final String f(int i) {
        int i2 = this.J0;
        StringBuilder sb = new StringBuilder(35);
        sb.append("Index:");
        sb.append(i);
        sb.append(", Size:");
        sb.append(i2);
        return sb.toString();
    }

    /* Return type fixed from 'com.google.android.gms.internal.measurement.l4' to match base method */
    @Override // com.google.android.gms.internal.measurement.l4
    public final /* synthetic */ l4<Float> a(int i) {
        if (i >= this.J0) {
            return new c4(Arrays.copyOf(this.I0, i), this.J0);
        }
        throw new IllegalArgumentException();
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [int, java.lang.Object] */
    @Override // java.util.List, com.google.android.gms.internal.measurement.p2, java.util.AbstractList
    public final /* synthetic */ void add(int i, Float f) {
        int i2;
        float floatValue = f.floatValue();
        b();
        if (i < 0 || i > (i2 = this.J0)) {
            throw new IndexOutOfBoundsException(f(i));
        }
        float[] fArr = this.I0;
        if (i2 < fArr.length) {
            System.arraycopy(fArr, i, fArr, i + 1, i2 - i);
        } else {
            float[] fArr2 = new float[(((i2 * 3) / 2) + 1)];
            System.arraycopy(fArr, 0, fArr2, 0, i);
            System.arraycopy(this.I0, i, fArr2, i + 1, this.J0 - i);
            this.I0 = fArr2;
        }
        this.I0[i] = floatValue;
        this.J0++;
        ((AbstractList) this).modCount++;
    }

    @Override // java.util.AbstractCollection, java.util.List, com.google.android.gms.internal.measurement.p2, java.util.Collection
    public final boolean addAll(Collection<? extends Float> collection) {
        b();
        f4.d(collection);
        if (!(collection instanceof c4)) {
            return super.addAll(collection);
        }
        c4 c4Var = (c4) collection;
        int i = c4Var.J0;
        if (i == 0) {
            return false;
        }
        int i2 = this.J0;
        if (Integer.MAX_VALUE - i2 >= i) {
            int i3 = i2 + i;
            float[] fArr = this.I0;
            if (i3 > fArr.length) {
                this.I0 = Arrays.copyOf(fArr, i3);
            }
            System.arraycopy(c4Var.I0, 0, this.I0, this.J0, c4Var.J0);
            this.J0 = i3;
            ((AbstractList) this).modCount++;
            return true;
        }
        throw new OutOfMemoryError();
    }

    public final void d(float f) {
        b();
        int i = this.J0;
        float[] fArr = this.I0;
        if (i == fArr.length) {
            float[] fArr2 = new float[(((i * 3) / 2) + 1)];
            System.arraycopy(fArr, 0, fArr2, 0, i);
            this.I0 = fArr2;
        }
        float[] fArr3 = this.I0;
        int i2 = this.J0;
        this.J0 = i2 + 1;
        fArr3[i2] = f;
    }

    @Override // com.google.android.gms.internal.measurement.p2
    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof c4)) {
            return super.equals(obj);
        }
        c4 c4Var = (c4) obj;
        if (this.J0 != c4Var.J0) {
            return false;
        }
        float[] fArr = c4Var.I0;
        for (int i = 0; i < this.J0; i++) {
            if (Float.floatToIntBits(this.I0[i]) != Float.floatToIntBits(fArr[i])) {
                return false;
            }
        }
        return true;
    }

    @Override // java.util.List, java.util.AbstractList
    public final /* synthetic */ Object get(int i) {
        e(i);
        return Float.valueOf(this.I0[i]);
    }

    @Override // com.google.android.gms.internal.measurement.p2
    public final int hashCode() {
        int i = 1;
        for (int i2 = 0; i2 < this.J0; i2++) {
            i = (i * 31) + Float.floatToIntBits(this.I0[i2]);
        }
        return i;
    }

    @Override // java.util.List, com.google.android.gms.internal.measurement.p2
    public final boolean remove(Object obj) {
        b();
        for (int i = 0; i < this.J0; i++) {
            if (obj.equals(Float.valueOf(this.I0[i]))) {
                float[] fArr = this.I0;
                System.arraycopy(fArr, i + 1, fArr, i, (this.J0 - i) - 1);
                this.J0--;
                ((AbstractList) this).modCount++;
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public final void removeRange(int i, int i2) {
        b();
        if (i2 >= i) {
            float[] fArr = this.I0;
            System.arraycopy(fArr, i2, fArr, i, this.J0 - i2);
            this.J0 -= i2 - i;
            ((AbstractList) this).modCount++;
            return;
        }
        throw new IndexOutOfBoundsException("toIndex < fromIndex");
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [int, java.lang.Object] */
    @Override // java.util.List, com.google.android.gms.internal.measurement.p2, java.util.AbstractList
    public final /* synthetic */ Float set(int i, Float f) {
        float floatValue = f.floatValue();
        b();
        e(i);
        float[] fArr = this.I0;
        float f2 = fArr[i];
        fArr[i] = floatValue;
        return Float.valueOf(f2);
    }

    public final int size() {
        return this.J0;
    }

    private c4(float[] fArr, int i) {
        this.I0 = fArr;
        this.J0 = i;
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // java.util.List, com.google.android.gms.internal.measurement.p2, java.util.AbstractList
    public final /* synthetic */ Float remove(int i) {
        b();
        e(i);
        float[] fArr = this.I0;
        float f = fArr[i];
        int i2 = this.J0;
        if (i < i2 - 1) {
            System.arraycopy(fArr, i + 1, fArr, i, (i2 - i) - 1);
        }
        this.J0--;
        ((AbstractList) this).modCount++;
        return Float.valueOf(f);
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // java.util.AbstractCollection, java.util.List, com.google.android.gms.internal.measurement.p2, java.util.Collection, java.util.AbstractList
    public final /* synthetic */ boolean add(Float f) {
        d(f.floatValue());
        return true;
    }
}
