package com.google.android.gms.internal.measurement;

import com.google.android.gms.internal.measurement.d4;
import com.google.android.gms.internal.measurement.d4.b;
import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
public abstract class d4<MessageType extends d4<MessageType, BuilderType>, BuilderType extends b<MessageType, BuilderType>> extends m2<MessageType, BuilderType> {
    private static Map<Object, d4<?, ?>> zzd = new ConcurrentHashMap();
    protected v6 zzb = v6.a();
    private int zzc = -1;

    /* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
    public static class a<T extends d4<T, ?>> extends q2<T> {

        /* renamed from: b  reason: collision with root package name */
        private final T f10369b;

        public a(T t) {
            this.f10369b = t;
        }
    }

    /* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
    public static abstract class b<MessageType extends d4<MessageType, BuilderType>, BuilderType extends b<MessageType, BuilderType>> extends o2<MessageType, BuilderType> {
        private boolean I0 = false;

        /* renamed from: a  reason: collision with root package name */
        private final MessageType f10370a;

        /* renamed from: b  reason: collision with root package name */
        protected MessageType f10371b;

        protected b(MessageType messagetype) {
            this.f10370a = messagetype;
            this.f10371b = (MessageType) ((d4) messagetype.q(e.f10375d, null, null));
        }

        private static void u(MessageType messagetype, MessageType messagetype2) {
            w5.a().c(messagetype).i(messagetype, messagetype2);
        }

        /* access modifiers changed from: private */
        /* renamed from: v */
        public final BuilderType n(h3 h3Var, q3 q3Var) throws IOException {
            x();
            try {
                w5.a().c(this.f10371b).h(this.f10371b, m3.p(h3Var), q3Var);
                return this;
            } catch (RuntimeException e2) {
                if (e2.getCause() instanceof IOException) {
                    throw ((IOException) e2.getCause());
                }
                throw e2;
            }
        }

        private final BuilderType w(byte[] bArr, int i, int i2, q3 q3Var) throws zzfo {
            x();
            try {
                w5.a().c(this.f10371b).f(this.f10371b, bArr, 0, i2 + 0, new u2(q3Var));
                return this;
            } catch (zzfo e2) {
                throw e2;
            } catch (IndexOutOfBoundsException unused) {
                throw zzfo.a();
            } catch (IOException e3) {
                throw new RuntimeException("Reading from byte array should not throw IOException.", e3);
            }
        }

        @Override // com.google.android.gms.internal.measurement.n5
        public final boolean a() {
            return d4.u(this.f10371b, false);
        }

        @Override // com.google.android.gms.internal.measurement.n5
        public final /* synthetic */ l5 b() {
            return this.f10370a;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v2, resolved type: com.google.android.gms.internal.measurement.d4$b */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.android.gms.internal.measurement.o2, java.lang.Object
        public /* synthetic */ Object clone() throws CloneNotSupportedException {
            b bVar = (b) this.f10370a.q(e.f10376e, null, null);
            bVar.m((d4) k());
            return bVar;
        }

        @Override // com.google.android.gms.internal.measurement.o2
        public final /* synthetic */ o2 p(byte[] bArr, int i, int i2) throws zzfo {
            return w(bArr, 0, i2, q3.a());
        }

        @Override // com.google.android.gms.internal.measurement.o2
        public final /* synthetic */ o2 q(byte[] bArr, int i, int i2, q3 q3Var) throws zzfo {
            return w(bArr, 0, i2, q3Var);
        }

        @Override // com.google.android.gms.internal.measurement.o2
        public final /* synthetic */ o2 s() {
            return (b) clone();
        }

        /* renamed from: t */
        public final BuilderType m(MessageType messagetype) {
            x();
            u(this.f10371b, messagetype);
            return this;
        }

        /* access modifiers changed from: protected */
        public final void x() {
            if (this.I0) {
                MessageType messagetype = (MessageType) ((d4) this.f10371b.q(e.f10375d, null, null));
                u(messagetype, this.f10371b);
                this.f10371b = messagetype;
                this.I0 = false;
            }
        }

        /* renamed from: y */
        public MessageType k() {
            if (this.I0) {
                return this.f10371b;
            }
            MessageType messagetype = this.f10371b;
            w5.a().c(messagetype).c(messagetype);
            this.I0 = true;
            return this.f10371b;
        }

        /* renamed from: z */
        public final MessageType o() {
            MessageType messagetype = (MessageType) ((d4) k());
            if (messagetype.a()) {
                return messagetype;
            }
            throw new zzhw(messagetype);
        }
    }

    /* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
    static final class c implements x3<c> {
        @Override // com.google.android.gms.internal.measurement.x3
        public final q5 C(q5 q5Var, q5 q5Var2) {
            throw new NoSuchMethodError();
        }

        @Override // com.google.android.gms.internal.measurement.x3
        public final zzim c() {
            throw new NoSuchMethodError();
        }

        @Override // java.lang.Comparable
        public final /* synthetic */ int compareTo(Object obj) {
            throw new NoSuchMethodError();
        }

        @Override // com.google.android.gms.internal.measurement.x3
        public final zzip d() {
            throw new NoSuchMethodError();
        }

        @Override // com.google.android.gms.internal.measurement.x3
        public final boolean e() {
            throw new NoSuchMethodError();
        }

        @Override // com.google.android.gms.internal.measurement.x3
        public final boolean f() {
            throw new NoSuchMethodError();
        }

        @Override // com.google.android.gms.internal.measurement.x3
        public final k5 m(k5 k5Var, l5 l5Var) {
            throw new NoSuchMethodError();
        }

        @Override // com.google.android.gms.internal.measurement.x3
        public final int zza() {
            throw new NoSuchMethodError();
        }
    }

    /* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
    public static abstract class d<MessageType extends d<MessageType, BuilderType>, BuilderType> extends d4<MessageType, BuilderType> implements n5 {
        protected w3<c> zzc = w3.c();

        /* access modifiers changed from: package-private */
        public final w3<c> A() {
            if (this.zzc.o()) {
                this.zzc = (w3) this.zzc.clone();
            }
            return this.zzc;
        }
    }

    /* JADX INFO: Failed to restore enum class, 'enum' modifier removed */
    /* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
    public static final class e {

        /* renamed from: a  reason: collision with root package name */
        public static final int f10372a = 1;

        /* renamed from: b  reason: collision with root package name */
        public static final int f10373b = 2;

        /* renamed from: c  reason: collision with root package name */
        public static final int f10374c = 3;

        /* renamed from: d  reason: collision with root package name */
        public static final int f10375d = 4;

        /* renamed from: e  reason: collision with root package name */
        public static final int f10376e = 5;
        public static final int f = 6;
        public static final int g = 7;
        private static final /* synthetic */ int[] h = {1, 2, 3, 4, 5, 6, 7};
        public static final int i = 1;
        public static final int j = 2;
        private static final /* synthetic */ int[] k = {1, 2};
        public static final int l = 1;
        public static final int m = 2;
        private static final /* synthetic */ int[] n = {1, 2};

        public static int[] a() {
            return (int[]) h.clone();
        }
    }

    /* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
    public static class f<ContainingType extends l5, Type> extends r3<ContainingType, Type> {
    }

    static <T extends d4<?, ?>> T m(Class<T> cls) {
        d4<?, ?> d4Var = zzd.get(cls);
        if (d4Var == null) {
            try {
                Class.forName(cls.getName(), true, cls.getClassLoader());
                d4Var = (T) zzd.get(cls);
            } catch (ClassNotFoundException e2) {
                throw new IllegalStateException("Class initialization cannot fail.", e2);
            }
        }
        if (d4Var == null) {
            d4Var = (T) ((d4) ((d4) z6.c(cls)).q(e.f, null, null));
            if (d4Var != null) {
                zzd.put(cls, d4Var);
            } else {
                throw new IllegalStateException();
            }
        }
        return (T) d4Var;
    }

    protected static <E> l4<E> n(l4<E> l4Var) {
        int size = l4Var.size();
        return l4Var.a(size == 0 ? 10 : size << 1);
    }

    protected static m4 p(m4 m4Var) {
        int size = m4Var.size();
        return m4Var.w0(size == 0 ? 10 : size << 1);
    }

    protected static Object r(l5 l5Var, String str, Object[] objArr) {
        return new z5(l5Var, str, objArr);
    }

    static Object s(Method method, Object obj, Object... objArr) {
        try {
            return method.invoke(obj, objArr);
        } catch (IllegalAccessException e2) {
            throw new RuntimeException("Couldn't use Java reflection to implement protocol message reflection.", e2);
        } catch (InvocationTargetException e3) {
            Throwable cause = e3.getCause();
            if (cause instanceof RuntimeException) {
                throw ((RuntimeException) cause);
            } else if (cause instanceof Error) {
                throw ((Error) cause);
            } else {
                throw new RuntimeException("Unexpected exception thrown by generated accessor method.", cause);
            }
        }
    }

    protected static <T extends d4<?, ?>> void t(Class<T> cls, T t) {
        zzd.put(cls, t);
    }

    protected static final <T extends d4<T, ?>> boolean u(T t, boolean z) {
        byte byteValue = ((Byte) t.q(e.f10372a, null, null)).byteValue();
        if (byteValue == 1) {
            return true;
        }
        if (byteValue == 0) {
            return false;
        }
        boolean b2 = w5.a().c(t).b(t);
        if (z) {
            t.q(e.f10373b, b2 ? t : null, null);
        }
        return b2;
    }

    protected static j4 x() {
        return g4.e();
    }

    protected static m4 y() {
        return a5.d();
    }

    protected static <E> l4<E> z() {
        return a6.f();
    }

    @Override // com.google.android.gms.internal.measurement.n5
    public final boolean a() {
        return u(this, true);
    }

    @Override // com.google.android.gms.internal.measurement.n5
    public final /* synthetic */ l5 b() {
        return (d4) q(e.f, null, null);
    }

    @Override // com.google.android.gms.internal.measurement.l5
    public final /* synthetic */ k5 c() {
        b bVar = (b) q(e.f10376e, null, null);
        bVar.m(this);
        return bVar;
    }

    @Override // com.google.android.gms.internal.measurement.l5
    public final /* synthetic */ k5 d() {
        return (b) q(e.f10376e, null, null);
    }

    @Override // com.google.android.gms.internal.measurement.l5
    public final void e(zzen zzen) throws IOException {
        w5.a().c(this).g(this, p3.O(zzen));
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!((d4) q(e.f, null, null)).getClass().isInstance(obj)) {
            return false;
        }
        return w5.a().c(this).e(this, (d4) obj);
    }

    @Override // com.google.android.gms.internal.measurement.l5
    public final int h() {
        if (this.zzc == -1) {
            this.zzc = w5.a().c(this).d(this);
        }
        return this.zzc;
    }

    public int hashCode() {
        int i = this.zza;
        if (i != 0) {
            return i;
        }
        int a2 = w5.a().c(this).a(this);
        this.zza = a2;
        return a2;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.gms.internal.measurement.m2
    public final int j() {
        return this.zzc;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.gms.internal.measurement.m2
    public final void l(int i) {
        this.zzc = i;
    }

    /* access modifiers changed from: protected */
    public abstract Object q(int i, Object obj, Object obj2);

    public String toString() {
        return m5.a(this, super.toString());
    }

    /* access modifiers changed from: protected */
    public final <MessageType extends d4<MessageType, BuilderType>, BuilderType extends b<MessageType, BuilderType>> BuilderType v() {
        return (BuilderType) ((b) q(e.f10376e, null, null));
    }

    public final BuilderType w() {
        BuilderType buildertype = (BuilderType) ((b) q(e.f10376e, null, null));
        buildertype.m(this);
        return buildertype;
    }
}
