package com.google.android.gms.internal.measurement;

import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.RandomAccess;

/* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
final class g4 extends p2<Integer> implements j4, y5, RandomAccess {

    /* renamed from: b  reason: collision with root package name */
    private static final g4 f10418b;
    private int[] I0;
    private int J0;

    static {
        g4 g4Var = new g4(new int[0], 0);
        f10418b = g4Var;
        g4Var.M();
    }

    g4() {
        this(new int[10], 0);
    }

    public static g4 e() {
        return f10418b;
    }

    private final void g(int i) {
        if (i < 0 || i >= this.J0) {
            throw new IndexOutOfBoundsException(i(i));
        }
    }

    private final String i(int i) {
        int i2 = this.J0;
        StringBuilder sb = new StringBuilder(35);
        sb.append("Index:");
        sb.append(i);
        sb.append(", Size:");
        sb.append(i2);
        return sb.toString();
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [int, java.lang.Object] */
    @Override // java.util.List, com.google.android.gms.internal.measurement.p2, java.util.AbstractList
    public final /* synthetic */ void add(int i, Integer num) {
        int i2;
        int intValue = num.intValue();
        b();
        if (i < 0 || i > (i2 = this.J0)) {
            throw new IndexOutOfBoundsException(i(i));
        }
        int[] iArr = this.I0;
        if (i2 < iArr.length) {
            System.arraycopy(iArr, i, iArr, i + 1, i2 - i);
        } else {
            int[] iArr2 = new int[(((i2 * 3) / 2) + 1)];
            System.arraycopy(iArr, 0, iArr2, 0, i);
            System.arraycopy(this.I0, i, iArr2, i + 1, this.J0 - i);
            this.I0 = iArr2;
        }
        this.I0[i] = intValue;
        this.J0++;
        ((AbstractList) this).modCount++;
    }

    @Override // java.util.AbstractCollection, java.util.List, com.google.android.gms.internal.measurement.p2, java.util.Collection
    public final boolean addAll(Collection<? extends Integer> collection) {
        b();
        f4.d(collection);
        if (!(collection instanceof g4)) {
            return super.addAll(collection);
        }
        g4 g4Var = (g4) collection;
        int i = g4Var.J0;
        if (i == 0) {
            return false;
        }
        int i2 = this.J0;
        if (Integer.MAX_VALUE - i2 >= i) {
            int i3 = i2 + i;
            int[] iArr = this.I0;
            if (i3 > iArr.length) {
                this.I0 = Arrays.copyOf(iArr, i3);
            }
            System.arraycopy(g4Var.I0, 0, this.I0, this.J0, g4Var.J0);
            this.J0 = i3;
            ((AbstractList) this).modCount++;
            return true;
        }
        throw new OutOfMemoryError();
    }

    public final int d(int i) {
        g(i);
        return this.I0[i];
    }

    @Override // com.google.android.gms.internal.measurement.p2
    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof g4)) {
            return super.equals(obj);
        }
        g4 g4Var = (g4) obj;
        if (this.J0 != g4Var.J0) {
            return false;
        }
        int[] iArr = g4Var.I0;
        for (int i = 0; i < this.J0; i++) {
            if (this.I0[i] != iArr[i]) {
                return false;
            }
        }
        return true;
    }

    public final void f(int i) {
        b();
        int i2 = this.J0;
        int[] iArr = this.I0;
        if (i2 == iArr.length) {
            int[] iArr2 = new int[(((i2 * 3) / 2) + 1)];
            System.arraycopy(iArr, 0, iArr2, 0, i2);
            this.I0 = iArr2;
        }
        int[] iArr3 = this.I0;
        int i3 = this.J0;
        this.J0 = i3 + 1;
        iArr3[i3] = i;
    }

    @Override // java.util.List, java.util.AbstractList
    public final /* synthetic */ Object get(int i) {
        return Integer.valueOf(d(i));
    }

    @Override // com.google.android.gms.internal.measurement.j4
    /* renamed from: h */
    public final j4 a(int i) {
        if (i >= this.J0) {
            return new g4(Arrays.copyOf(this.I0, i), this.J0);
        }
        throw new IllegalArgumentException();
    }

    @Override // com.google.android.gms.internal.measurement.p2
    public final int hashCode() {
        int i = 1;
        for (int i2 = 0; i2 < this.J0; i2++) {
            i = (i * 31) + this.I0[i2];
        }
        return i;
    }

    @Override // java.util.List, com.google.android.gms.internal.measurement.p2
    public final boolean remove(Object obj) {
        b();
        for (int i = 0; i < this.J0; i++) {
            if (obj.equals(Integer.valueOf(this.I0[i]))) {
                int[] iArr = this.I0;
                System.arraycopy(iArr, i + 1, iArr, i, (this.J0 - i) - 1);
                this.J0--;
                ((AbstractList) this).modCount++;
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public final void removeRange(int i, int i2) {
        b();
        if (i2 >= i) {
            int[] iArr = this.I0;
            System.arraycopy(iArr, i2, iArr, i, this.J0 - i2);
            this.J0 -= i2 - i;
            ((AbstractList) this).modCount++;
            return;
        }
        throw new IndexOutOfBoundsException("toIndex < fromIndex");
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [int, java.lang.Object] */
    @Override // java.util.List, com.google.android.gms.internal.measurement.p2, java.util.AbstractList
    public final /* synthetic */ Integer set(int i, Integer num) {
        int intValue = num.intValue();
        b();
        g(i);
        int[] iArr = this.I0;
        int i2 = iArr[i];
        iArr[i] = intValue;
        return Integer.valueOf(i2);
    }

    public final int size() {
        return this.J0;
    }

    private g4(int[] iArr, int i) {
        this.I0 = iArr;
        this.J0 = i;
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // java.util.List, com.google.android.gms.internal.measurement.p2, java.util.AbstractList
    public final /* synthetic */ Integer remove(int i) {
        b();
        g(i);
        int[] iArr = this.I0;
        int i2 = iArr[i];
        int i3 = this.J0;
        if (i < i3 - 1) {
            System.arraycopy(iArr, i + 1, iArr, i, (i3 - i) - 1);
        }
        this.J0--;
        ((AbstractList) this).modCount++;
        return Integer.valueOf(i2);
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // java.util.AbstractCollection, java.util.List, com.google.android.gms.internal.measurement.p2, java.util.Collection, java.util.AbstractList
    public final /* synthetic */ boolean add(Integer num) {
        f(num.intValue());
        return true;
    }
}
