package com.google.android.gms.internal.measurement;

import java.lang.Comparable;
import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.SortedMap;
import java.util.TreeMap;

/* access modifiers changed from: package-private */
/* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
public class g6<K extends Comparable<K>, V> extends AbstractMap<K, V> {
    private Map<K, V> I0;
    private boolean J0;
    private volatile n6 K0;
    private Map<K, V> L0;
    private volatile h6 M0;

    /* renamed from: a  reason: collision with root package name */
    private final int f10421a;

    /* renamed from: b  reason: collision with root package name */
    private List<l6> f10422b;

    private g6(int i) {
        this.f10421a = i;
        this.f10422b = Collections.emptyList();
        this.I0 = Collections.emptyMap();
        this.L0 = Collections.emptyMap();
    }

    private final int a(K k) {
        int size = this.f10422b.size() - 1;
        if (size >= 0) {
            int compareTo = k.compareTo((Comparable) this.f10422b.get(size).getKey());
            if (compareTo > 0) {
                return -(size + 2);
            }
            if (compareTo == 0) {
                return size;
            }
        }
        int i = 0;
        while (i <= size) {
            int i2 = (i + size) / 2;
            int compareTo2 = k.compareTo((Comparable) this.f10422b.get(i2).getKey());
            if (compareTo2 < 0) {
                size = i2 - 1;
            } else if (compareTo2 <= 0) {
                return i2;
            } else {
                i = i2 + 1;
            }
        }
        return -(i + 1);
    }

    static <FieldDescriptorType extends x3<FieldDescriptorType>> g6<FieldDescriptorType, Object> b(int i) {
        return new f6(i);
    }

    /* access modifiers changed from: private */
    public final V k(int i) {
        p();
        V v = (V) this.f10422b.remove(i).getValue();
        if (!this.I0.isEmpty()) {
            Iterator<Map.Entry<K, V>> it = q().entrySet().iterator();
            this.f10422b.add(new l6(this, it.next()));
            it.remove();
        }
        return v;
    }

    /* access modifiers changed from: private */
    public final void p() {
        if (this.J0) {
            throw new UnsupportedOperationException();
        }
    }

    private final SortedMap<K, V> q() {
        p();
        if (this.I0.isEmpty() && !(this.I0 instanceof TreeMap)) {
            TreeMap treeMap = new TreeMap();
            this.I0 = treeMap;
            this.L0 = treeMap.descendingMap();
        }
        return (SortedMap) this.I0;
    }

    public void clear() {
        p();
        if (!this.f10422b.isEmpty()) {
            this.f10422b.clear();
        }
        if (!this.I0.isEmpty()) {
            this.I0.clear();
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.android.gms.internal.measurement.g6<K extends java.lang.Comparable<K>, V> */
    /* JADX WARN: Multi-variable type inference failed */
    public boolean containsKey(Object obj) {
        Comparable comparable = (Comparable) obj;
        return a(comparable) >= 0 || this.I0.containsKey(comparable);
    }

    /* renamed from: d */
    public final V put(K k, V v) {
        p();
        int a2 = a(k);
        if (a2 >= 0) {
            return (V) this.f10422b.get(a2).setValue(v);
        }
        p();
        if (this.f10422b.isEmpty() && !(this.f10422b instanceof ArrayList)) {
            this.f10422b = new ArrayList(this.f10421a);
        }
        int i = -(a2 + 1);
        if (i >= this.f10421a) {
            return q().put(k, v);
        }
        int size = this.f10422b.size();
        int i2 = this.f10421a;
        if (size == i2) {
            l6 remove = this.f10422b.remove(i2 - 1);
            q().put((K) ((Comparable) remove.getKey()), (V) remove.getValue());
        }
        this.f10422b.add(i, new l6(this, k, v));
        return null;
    }

    public void e() {
        Map<K, V> map;
        Map<K, V> map2;
        if (!this.J0) {
            if (this.I0.isEmpty()) {
                map = Collections.emptyMap();
            } else {
                map = Collections.unmodifiableMap(this.I0);
            }
            this.I0 = map;
            if (this.L0.isEmpty()) {
                map2 = Collections.emptyMap();
            } else {
                map2 = Collections.unmodifiableMap(this.L0);
            }
            this.L0 = map2;
            this.J0 = true;
        }
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        if (this.K0 == null) {
            this.K0 = new n6(this, null);
        }
        return this.K0;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof g6)) {
            return super.equals(obj);
        }
        g6 g6Var = (g6) obj;
        int size = size();
        if (size != g6Var.size()) {
            return false;
        }
        int j = j();
        if (j != g6Var.j()) {
            return entrySet().equals(g6Var.entrySet());
        }
        for (int i = 0; i < j; i++) {
            if (!h(i).equals(g6Var.h(i))) {
                return false;
            }
        }
        if (j != size) {
            return this.I0.equals(g6Var.I0);
        }
        return true;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.android.gms.internal.measurement.g6<K extends java.lang.Comparable<K>, V> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        Comparable comparable = (Comparable) obj;
        int a2 = a(comparable);
        return a2 >= 0 ? (V) this.f10422b.get(a2).getValue() : this.I0.get(comparable);
    }

    public final Map.Entry<K, V> h(int i) {
        return this.f10422b.get(i);
    }

    public int hashCode() {
        int j = j();
        int i = 0;
        for (int i2 = 0; i2 < j; i2++) {
            i += this.f10422b.get(i2).hashCode();
        }
        return this.I0.size() > 0 ? i + this.I0.hashCode() : i;
    }

    public final boolean i() {
        return this.J0;
    }

    public final int j() {
        return this.f10422b.size();
    }

    public final Iterable<Map.Entry<K, V>> m() {
        if (this.I0.isEmpty()) {
            return k6.a();
        }
        return this.I0.entrySet();
    }

    /* access modifiers changed from: package-private */
    public final Set<Map.Entry<K, V>> o() {
        if (this.M0 == null) {
            this.M0 = new h6(this, null);
        }
        return this.M0;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.google.android.gms.internal.measurement.g6<K extends java.lang.Comparable<K>, V> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // java.util.AbstractMap, java.util.Map
    public V remove(Object obj) {
        p();
        Comparable comparable = (Comparable) obj;
        int a2 = a(comparable);
        if (a2 >= 0) {
            return (V) k(a2);
        }
        if (this.I0.isEmpty()) {
            return null;
        }
        return this.I0.remove(comparable);
    }

    public int size() {
        return this.f10422b.size() + this.I0.size();
    }

    /* synthetic */ g6(int i, f6 f6Var) {
        this(i);
    }
}
