package com.google.android.gms.internal.measurement;

import android.app.Activity;
import android.app.Application;
import android.content.Context;
import android.content.SharedPreferences;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.os.RemoteException;
import android.util.Log;
import android.util.Pair;
import androidx.annotation.NonNull;
import androidx.annotation.Size;
import androidx.annotation.WorkerThread;
import androidx.work.t;
import com.google.android.exoplayer2.DefaultRenderersFactory;
import com.google.android.gms.common.api.internal.h;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.common.util.g;
import com.google.android.gms.common.util.k;
import com.google.android.gms.dynamite.DynamiteModule;
import com.google.android.gms.dynamite.descriptors.com.google.android.gms.measurement.dynamite.ModuleDescriptor;
import com.google.android.gms.measurement.internal.c6;
import com.google.android.gms.measurement.internal.g6;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Random;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

/* compiled from: com.google.android.gms:play-services-measurement-sdk-api@@17.2.0 */
public class ic {

    /* renamed from: a  reason: collision with root package name */
    private static volatile ic f10456a = null;

    /* renamed from: b  reason: collision with root package name */
    private static Boolean f10457b = null;

    /* renamed from: c  reason: collision with root package name */
    private static Boolean f10458c = null;

    /* renamed from: d  reason: collision with root package name */
    private static boolean f10459d = false;

    /* renamed from: e  reason: collision with root package name */
    private static Boolean f10460e = null;
    @VisibleForTesting
    private static String f = "use_dynamite_api";
    @VisibleForTesting
    private static String g = "allow_remote_dynamite";
    private static boolean h;
    private static boolean i;
    private final String j;
    protected final g k;
    private final ExecutorService l;
    private final com.google.android.gms.measurement.a.a m;
    private List<Pair<g6, b>> n;
    private int o;
    private boolean p;
    private String q;
    private za r;

    /* access modifiers changed from: package-private */
    /* compiled from: com.google.android.gms:play-services-measurement-sdk-api@@17.2.0 */
    public abstract class a implements Runnable {
        private final boolean I0;

        /* renamed from: a  reason: collision with root package name */
        final long f10461a;

        /* renamed from: b  reason: collision with root package name */
        final long f10462b;

        a(ic icVar) {
            this(true);
        }

        /* access modifiers changed from: package-private */
        public abstract void a() throws RemoteException;

        /* access modifiers changed from: protected */
        public void b() {
        }

        public void run() {
            if (ic.this.p) {
                b();
                return;
            }
            try {
                a();
            } catch (Exception e2) {
                ic.this.s(e2, false, this.I0);
                b();
            }
        }

        a(boolean z) {
            this.f10461a = ic.this.k.a();
            this.f10462b = ic.this.k.b();
            this.I0 = z;
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: com.google.android.gms:play-services-measurement-sdk-api@@17.2.0 */
    public static class b extends dc {

        /* renamed from: d  reason: collision with root package name */
        private final g6 f10463d;

        b(g6 g6Var) {
            this.f10463d = g6Var;
        }

        @Override // com.google.android.gms.internal.measurement.ec
        public final void u(String str, String str2, Bundle bundle, long j) {
            this.f10463d.a(str, str2, bundle, j);
        }

        @Override // com.google.android.gms.internal.measurement.ec
        public final int zza() {
            return System.identityHashCode(this.f10463d);
        }
    }

    /* compiled from: com.google.android.gms:play-services-measurement-sdk-api@@17.2.0 */
    static class c extends dc {

        /* renamed from: d  reason: collision with root package name */
        private final c6 f10464d;

        c(c6 c6Var) {
            this.f10464d = c6Var;
        }

        @Override // com.google.android.gms.internal.measurement.ec
        public final void u(String str, String str2, Bundle bundle, long j) {
            this.f10464d.a(str, str2, bundle, j);
        }

        @Override // com.google.android.gms.internal.measurement.ec
        public final int zza() {
            return System.identityHashCode(this.f10464d);
        }
    }

    /* compiled from: com.google.android.gms:play-services-measurement-sdk-api@@17.2.0 */
    class d implements Application.ActivityLifecycleCallbacks {
        d() {
        }

        public final void onActivityCreated(Activity activity, Bundle bundle) {
            ic.this.n(new e0(this, activity, bundle));
        }

        public final void onActivityDestroyed(Activity activity) {
            ic.this.n(new j0(this, activity));
        }

        public final void onActivityPaused(Activity activity) {
            ic.this.n(new i0(this, activity));
        }

        public final void onActivityResumed(Activity activity) {
            ic.this.n(new f0(this, activity));
        }

        public final void onActivitySaveInstanceState(Activity activity, Bundle bundle) {
            x8 x8Var = new x8();
            ic.this.n(new k0(this, activity, x8Var));
            Bundle y = x8Var.y(50);
            if (y != null) {
                bundle.putAll(y);
            }
        }

        public final void onActivityStarted(Activity activity) {
            ic.this.n(new g0(this, activity));
        }

        public final void onActivityStopped(Activity activity) {
            ic.this.n(new h0(this, activity));
        }
    }

    private ic(Context context, String str, String str2, String str3, Bundle bundle) {
        if (str == null || !S(str2, str3)) {
            this.j = "FA";
        } else {
            this.j = str;
        }
        this.k = k.e();
        this.l = new ThreadPoolExecutor(0, 1, 30, TimeUnit.SECONDS, new LinkedBlockingQueue());
        this.m = new com.google.android.gms.measurement.a.a(this);
        boolean z = false;
        if (!(!a0(context) || i0())) {
            this.q = null;
            this.p = true;
            Log.w(this.j, "Disabling data collection. Found google_app_id in strings.xml but Google Analytics for Firebase is missing. Remove this value or add Google Analytics for Firebase to resume data collection.");
            return;
        }
        if (!S(str2, str3)) {
            this.q = "fa";
            if (str2 == null || str3 == null) {
                if ((str2 == null) ^ (str3 == null ? true : z)) {
                    Log.w(this.j, "Specified origin or custom app id is null. Both parameters will be ignored.");
                }
            } else {
                Log.v(this.j, "Deferring to Google Analytics for Firebase for event data collection. https://goo.gl/J1sWQy");
                this.p = true;
                return;
            }
        } else {
            this.q = str2;
        }
        n(new b(this, str2, str3, context, bundle));
        Application application = (Application) context.getApplicationContext();
        if (application == null) {
            Log.w(this.j, "Unable to register lifecycle notifications. Application null.");
        } else {
            application.registerActivityLifecycleCallbacks(new d());
        }
    }

    private final void A(String str, String str2, Object obj, boolean z) {
        n(new a0(this, str, str2, obj, z));
    }

    private static boolean C(Context context, @Size(min = 1) String str) {
        a0.g(str);
        try {
            ApplicationInfo c2 = com.google.android.gms.common.p.c.a(context).c(context.getPackageName(), 128);
            if (c2 != null) {
                Bundle bundle = c2.metaData;
                if (bundle != null) {
                    return bundle.getBoolean(str);
                }
            }
        } catch (PackageManager.NameNotFoundException unused) {
        }
        return false;
    }

    public static boolean N(Context context) {
        g0(context);
        synchronized (ic.class) {
            if (!f10459d) {
                try {
                    String str = (String) Class.forName("android.os.SystemProperties").getMethod("get", String.class, String.class).invoke(null, "measurement.dynamite.enabled", "");
                    if ("true".equals(str)) {
                        f10460e = Boolean.TRUE;
                    } else if ("false".equals(str)) {
                        f10460e = Boolean.FALSE;
                    } else {
                        f10460e = null;
                    }
                } catch (Exception e2) {
                    Log.e("FA", "Unable to call SystemProperties.get()", e2);
                    f10460e = null;
                } finally {
                    f10459d = true;
                }
            }
        }
        Boolean bool = f10460e;
        if (bool == null) {
            bool = f10457b;
        }
        return bool.booleanValue();
    }

    /* access modifiers changed from: private */
    public static boolean S(String str, String str2) {
        return (str2 == null || str == null || i0()) ? false : true;
    }

    private static boolean a0(Context context) {
        try {
            h.e(context);
            if (h.d() != null) {
                return true;
            }
            return false;
        } catch (IllegalStateException unused) {
        }
    }

    /* access modifiers changed from: private */
    public static int b0(Context context) {
        return DynamiteModule.c(context, ModuleDescriptor.MODULE_ID);
    }

    public static ic d(@NonNull Context context) {
        return e(context, null, null, null, null);
    }

    /* access modifiers changed from: private */
    public static int d0(Context context) {
        return DynamiteModule.a(context, ModuleDescriptor.MODULE_ID);
    }

    public static ic e(Context context, String str, String str2, String str3, Bundle bundle) {
        a0.k(context);
        if (f10456a == null) {
            synchronized (ic.class) {
                if (f10456a == null) {
                    f10456a = new ic(context, str, str2, str3, bundle);
                }
            }
        }
        return f10456a;
    }

    /* access modifiers changed from: private */
    public static void g0(Context context) {
        synchronized (ic.class) {
            try {
                if (f10457b != null && f10458c != null) {
                    return;
                }
                if (C(context, "app_measurement_internal_disable_startup_flags")) {
                    Boolean bool = Boolean.FALSE;
                    f10457b = bool;
                    f10458c = bool;
                    return;
                }
                SharedPreferences sharedPreferences = context.getSharedPreferences("com.google.android.gms.measurement.prefs", 0);
                f10457b = Boolean.valueOf(sharedPreferences.getBoolean(f, false));
                f10458c = Boolean.valueOf(sharedPreferences.getBoolean(g, false));
                SharedPreferences.Editor edit = sharedPreferences.edit();
                edit.remove(f);
                edit.remove(g);
                edit.apply();
            } catch (Exception e2) {
                Log.e("FA", "Exception reading flag from SharedPreferences.", e2);
                Boolean bool2 = Boolean.FALSE;
                f10457b = bool2;
                f10458c = bool2;
            }
        }
    }

    private static boolean i0() {
        try {
            Class.forName("com.google.firebase.analytics.FirebaseAnalytics");
            return true;
        } catch (ClassNotFoundException unused) {
            return false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void n(a aVar) {
        this.l.execute(aVar);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void s(Exception exc, boolean z, boolean z2) {
        this.p |= z;
        if (z) {
            Log.w(this.j, "Data collection startup failed. No data will be collected.", exc);
            return;
        }
        if (z2) {
            j(5, "Error with data collection. Data lost.", exc, null, null);
        }
        Log.w(this.j, "Error with data collection. Data lost.", exc);
    }

    private final void y(String str, String str2, Bundle bundle, boolean z, boolean z2, Long l2) {
        n(new c0(this, l2, str, str2, bundle, z, z2));
    }

    public final void B(boolean z) {
        n(new e(this, z));
    }

    public final List<Bundle> G(String str, String str2) {
        x8 x8Var = new x8();
        n(new d(this, str, str2, x8Var));
        List<Bundle> list = (List) x8.e(x8Var.y(DefaultRenderersFactory.f7874a), List.class);
        return list == null ? Collections.emptyList() : list;
    }

    public final void H() {
        n(new h(this));
    }

    public final void I(long j2) {
        n(new j(this, j2));
    }

    public final void J(g6 g6Var) {
        a0.k(g6Var);
        n(new y(this, g6Var));
    }

    public final void K(String str) {
        n(new i(this, str));
    }

    public final void L(String str, String str2, Bundle bundle) {
        n(new kc(this, str, str2, bundle));
    }

    public final void M(boolean z) {
        n(new z(this, z));
    }

    public final String P() {
        x8 x8Var = new x8();
        n(new n(this, x8Var));
        return x8Var.m(500);
    }

    public final void R(String str) {
        n(new l(this, str));
    }

    public final int U(String str) {
        x8 x8Var = new x8();
        n(new v(this, str, x8Var));
        Integer num = (Integer) x8.e(x8Var.y(t.f4799c), Integer.class);
        if (num == null) {
            return 25;
        }
        return num.intValue();
    }

    public final String V() {
        x8 x8Var = new x8();
        n(new m(this, x8Var));
        return x8Var.m(50);
    }

    public final long Y() {
        x8 x8Var = new x8();
        n(new p(this, x8Var));
        Long l2 = (Long) x8.e(x8Var.y(500), Long.class);
        if (l2 != null) {
            return l2.longValue();
        }
        long nextLong = new Random(System.nanoTime() ^ this.k.a()).nextLong();
        int i2 = this.o + 1;
        this.o = i2;
        return nextLong + ((long) i2);
    }

    public final String Z() {
        x8 x8Var = new x8();
        n(new o(this, x8Var));
        return x8Var.m(500);
    }

    public final Bundle a(Bundle bundle, boolean z) {
        x8 x8Var = new x8();
        n(new s(this, bundle, x8Var));
        if (z) {
            return x8Var.y(DefaultRenderersFactory.f7874a);
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public final za b(Context context, boolean z) {
        DynamiteModule.a aVar;
        if (z) {
            try {
                aVar = DynamiteModule.l;
            } catch (DynamiteModule.LoadingException e2) {
                s(e2, true, false);
                return null;
            }
        } else {
            aVar = DynamiteModule.i;
        }
        return y9.asInterface(DynamiteModule.e(context, aVar, ModuleDescriptor.MODULE_ID).d("com.google.android.gms.measurement.internal.AppMeasurementDynamiteService"));
    }

    public final String c0() {
        x8 x8Var = new x8();
        n(new r(this, x8Var));
        return x8Var.m(500);
    }

    @WorkerThread
    public final String e0() {
        x8 x8Var = new x8();
        n(new u(this, x8Var));
        return x8Var.m(120000);
    }

    public final com.google.android.gms.measurement.a.a f() {
        return this.m;
    }

    public final String f0() {
        return this.q;
    }

    public final Object g(int i2) {
        x8 x8Var = new x8();
        n(new w(this, x8Var, i2));
        return x8.e(x8Var.y(15000), Object.class);
    }

    public final Map<String, Object> i(String str, String str2, boolean z) {
        x8 x8Var = new x8();
        n(new q(this, str, str2, z, x8Var));
        Bundle y = x8Var.y(DefaultRenderersFactory.f7874a);
        if (y == null || y.size() == 0) {
            return Collections.emptyMap();
        }
        HashMap hashMap = new HashMap(y.size());
        for (String str3 : y.keySet()) {
            Object obj = y.get(str3);
            if ((obj instanceof Double) || (obj instanceof Long) || (obj instanceof String)) {
                hashMap.put(str3, obj);
            }
        }
        return hashMap;
    }

    public final void j(int i2, String str, Object obj, Object obj2, Object obj3) {
        n(new t(this, false, 5, str, obj, null, null));
    }

    public final void k(long j2) {
        n(new g(this, j2));
    }

    public final void l(Activity activity, String str, String str2) {
        n(new f(this, activity, str, str2));
    }

    public final void m(Bundle bundle) {
        n(new d0(this, bundle));
    }

    public final void q(c6 c6Var) {
        n(new k(this, c6Var));
    }

    public final void r(g6 g6Var) {
        a0.k(g6Var);
        n(new x(this, g6Var));
    }

    public final void t(String str) {
        n(new c(this, str));
    }

    public final void u(@NonNull String str, Bundle bundle) {
        y(null, str, bundle, false, true, null);
    }

    public final void v(String str, String str2) {
        A(null, str, str2, false);
    }

    public final void w(String str, String str2, Bundle bundle) {
        y(str, str2, bundle, true, true, null);
    }

    public final void x(String str, String str2, Bundle bundle, long j2) {
        y(str, str2, bundle, true, false, Long.valueOf(j2));
    }

    public final void z(String str, String str2, Object obj) {
        A(str, str2, obj, true);
    }
}
