package com.google.android.gms.internal.measurement;

import android.annotation.SuppressLint;
import android.content.Context;
import android.net.Uri;
import android.util.Log;
import java.util.concurrent.atomic.AtomicInteger;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public abstract class m1<T> {

    /* renamed from: a  reason: collision with root package name */
    private static final Object f10499a = new Object();
    @SuppressLint({"StaticFieldLeak"})

    /* renamed from: b  reason: collision with root package name */
    private static Context f10500b;

    /* renamed from: c  reason: collision with root package name */
    private static boolean f10501c;

    /* renamed from: d  reason: collision with root package name */
    private static z1<i1> f10502d;

    /* renamed from: e  reason: collision with root package name */
    private static final AtomicInteger f10503e = new AtomicInteger();
    private final s1 f;
    private final String g;
    private final T h;
    private volatile int i;
    private volatile T j;

    private m1(s1 s1Var, String str, T t) {
        this.i = -1;
        if (s1Var.f10578b != null) {
            this.f = s1Var;
            this.g = str;
            this.h = t;
            return;
        }
        throw new IllegalArgumentException("Must pass a valid SharedPreferences file name or ContentProvider URI");
    }

    private final String f(String str) {
        if (str != null && str.isEmpty()) {
            return this.g;
        }
        String valueOf = String.valueOf(str);
        String valueOf2 = String.valueOf(this.g);
        return valueOf2.length() != 0 ? valueOf.concat(valueOf2) : new String(valueOf);
    }

    static void g() {
        f10503e.incrementAndGet();
    }

    public static void h(Context context) {
        synchronized (f10499a) {
            Context applicationContext = context.getApplicationContext();
            if (applicationContext != null) {
                context = applicationContext;
            }
            if (f10500b != context) {
                x0.e();
                v1.c();
                h1.c();
                f10503e.incrementAndGet();
                f10500b = context;
                f10502d = d2.a(p1.f10529a);
            }
        }
    }

    /* access modifiers changed from: private */
    public static m1<Double> i(s1 s1Var, String str, double d2) {
        return new q1(s1Var, str, Double.valueOf(d2));
    }

    /* access modifiers changed from: private */
    public static m1<Long> j(s1 s1Var, String str, long j2) {
        return new o1(s1Var, str, Long.valueOf(j2));
    }

    /* access modifiers changed from: private */
    public static m1<String> k(s1 s1Var, String str, String str2) {
        return new t1(s1Var, str, str2);
    }

    /* access modifiers changed from: private */
    public static m1<Boolean> l(s1 s1Var, String str, boolean z) {
        return new r1(s1Var, str, Boolean.valueOf(z));
    }

    static final /* synthetic */ i1 o() {
        new l1();
        return l1.a(f10500b);
    }

    /* access modifiers changed from: package-private */
    public abstract T e(Object obj);

    public final String m() {
        return f(this.f.f10580d);
    }

    /* JADX WARNING: Removed duplicated region for block: B:38:0x00b3  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x00b4  */
    public final T n() {
        T t;
        c1 c1Var;
        Object b2;
        int i2 = f10503e.get();
        if (this.i < i2) {
            synchronized (this) {
                if (this.i < i2) {
                    if (f10500b != null) {
                        s1 s1Var = this.f;
                        T t2 = null;
                        String b3 = f10502d.zza().b(s1Var.f10578b, null, s1Var.f10580d, this.g);
                        if (b3 != null) {
                            t = e(b3);
                        } else {
                            String str = (String) h1.a(f10500b).b("gms:phenotype:phenotype_flag:debug_bypass_phenotype");
                            if (!(str != null && w0.f10637c.matcher(str).matches())) {
                                Uri uri = this.f.f10578b;
                                if (uri != null) {
                                    c1Var = k1.b(f10500b, uri) ? x0.a(f10500b.getContentResolver(), this.f.f10578b) : null;
                                } else {
                                    c1Var = v1.a(f10500b, null);
                                }
                                if (!(c1Var == null || (b2 = c1Var.b(m())) == null)) {
                                    t = e(b2);
                                    if (t != null) {
                                        Object b4 = h1.a(f10500b).b(f(this.f.f10579c));
                                        if (b4 != null) {
                                            t2 = e(b4);
                                        }
                                        if (t2 != null) {
                                            t = t2;
                                        } else {
                                            t = this.h;
                                        }
                                    }
                                }
                            } else if (Log.isLoggable("PhenotypeFlag", 3)) {
                                String valueOf = String.valueOf(m());
                                Log.d("PhenotypeFlag", valueOf.length() != 0 ? "Bypass reading Phenotype values for flag: ".concat(valueOf) : new String("Bypass reading Phenotype values for flag: "));
                            }
                            t = null;
                            if (t != null) {
                            }
                        }
                        this.j = t;
                        this.i = i2;
                    } else {
                        throw new IllegalStateException("Must call PhenotypeFlag.init() first");
                    }
                }
            }
        }
        return this.j;
    }

    /* synthetic */ m1(s1 s1Var, String str, Object obj, o1 o1Var) {
        this(s1Var, str, obj);
    }
}
