package com.google.android.gms.internal.measurement;

import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.RandomAccess;

/* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
final class o3 extends p2<Double> implements l4<Double>, y5, RandomAccess {

    /* renamed from: b  reason: collision with root package name */
    private static final o3 f10521b;
    private double[] I0;
    private int J0;

    static {
        o3 o3Var = new o3(new double[0], 0);
        f10521b = o3Var;
        o3Var.M();
    }

    o3() {
        this(new double[10], 0);
    }

    private final void e(int i) {
        if (i < 0 || i >= this.J0) {
            throw new IndexOutOfBoundsException(f(i));
        }
    }

    private final String f(int i) {
        int i2 = this.J0;
        StringBuilder sb = new StringBuilder(35);
        sb.append("Index:");
        sb.append(i);
        sb.append(", Size:");
        sb.append(i2);
        return sb.toString();
    }

    /* Return type fixed from 'com.google.android.gms.internal.measurement.l4' to match base method */
    @Override // com.google.android.gms.internal.measurement.l4
    public final /* synthetic */ l4<Double> a(int i) {
        if (i >= this.J0) {
            return new o3(Arrays.copyOf(this.I0, i), this.J0);
        }
        throw new IllegalArgumentException();
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [int, java.lang.Object] */
    @Override // java.util.List, com.google.android.gms.internal.measurement.p2, java.util.AbstractList
    public final /* synthetic */ void add(int i, Double d2) {
        int i2;
        double doubleValue = d2.doubleValue();
        b();
        if (i < 0 || i > (i2 = this.J0)) {
            throw new IndexOutOfBoundsException(f(i));
        }
        double[] dArr = this.I0;
        if (i2 < dArr.length) {
            System.arraycopy(dArr, i, dArr, i + 1, i2 - i);
        } else {
            double[] dArr2 = new double[(((i2 * 3) / 2) + 1)];
            System.arraycopy(dArr, 0, dArr2, 0, i);
            System.arraycopy(this.I0, i, dArr2, i + 1, this.J0 - i);
            this.I0 = dArr2;
        }
        this.I0[i] = doubleValue;
        this.J0++;
        ((AbstractList) this).modCount++;
    }

    @Override // java.util.AbstractCollection, java.util.List, com.google.android.gms.internal.measurement.p2, java.util.Collection
    public final boolean addAll(Collection<? extends Double> collection) {
        b();
        f4.d(collection);
        if (!(collection instanceof o3)) {
            return super.addAll(collection);
        }
        o3 o3Var = (o3) collection;
        int i = o3Var.J0;
        if (i == 0) {
            return false;
        }
        int i2 = this.J0;
        if (Integer.MAX_VALUE - i2 >= i) {
            int i3 = i2 + i;
            double[] dArr = this.I0;
            if (i3 > dArr.length) {
                this.I0 = Arrays.copyOf(dArr, i3);
            }
            System.arraycopy(o3Var.I0, 0, this.I0, this.J0, o3Var.J0);
            this.J0 = i3;
            ((AbstractList) this).modCount++;
            return true;
        }
        throw new OutOfMemoryError();
    }

    public final void d(double d2) {
        b();
        int i = this.J0;
        double[] dArr = this.I0;
        if (i == dArr.length) {
            double[] dArr2 = new double[(((i * 3) / 2) + 1)];
            System.arraycopy(dArr, 0, dArr2, 0, i);
            this.I0 = dArr2;
        }
        double[] dArr3 = this.I0;
        int i2 = this.J0;
        this.J0 = i2 + 1;
        dArr3[i2] = d2;
    }

    @Override // com.google.android.gms.internal.measurement.p2
    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof o3)) {
            return super.equals(obj);
        }
        o3 o3Var = (o3) obj;
        if (this.J0 != o3Var.J0) {
            return false;
        }
        double[] dArr = o3Var.I0;
        for (int i = 0; i < this.J0; i++) {
            if (Double.doubleToLongBits(this.I0[i]) != Double.doubleToLongBits(dArr[i])) {
                return false;
            }
        }
        return true;
    }

    @Override // java.util.List, java.util.AbstractList
    public final /* synthetic */ Object get(int i) {
        e(i);
        return Double.valueOf(this.I0[i]);
    }

    @Override // com.google.android.gms.internal.measurement.p2
    public final int hashCode() {
        int i = 1;
        for (int i2 = 0; i2 < this.J0; i2++) {
            i = (i * 31) + f4.b(Double.doubleToLongBits(this.I0[i2]));
        }
        return i;
    }

    @Override // java.util.List, com.google.android.gms.internal.measurement.p2
    public final boolean remove(Object obj) {
        b();
        for (int i = 0; i < this.J0; i++) {
            if (obj.equals(Double.valueOf(this.I0[i]))) {
                double[] dArr = this.I0;
                System.arraycopy(dArr, i + 1, dArr, i, (this.J0 - i) - 1);
                this.J0--;
                ((AbstractList) this).modCount++;
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public final void removeRange(int i, int i2) {
        b();
        if (i2 >= i) {
            double[] dArr = this.I0;
            System.arraycopy(dArr, i2, dArr, i, this.J0 - i2);
            this.J0 -= i2 - i;
            ((AbstractList) this).modCount++;
            return;
        }
        throw new IndexOutOfBoundsException("toIndex < fromIndex");
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [int, java.lang.Object] */
    @Override // java.util.List, com.google.android.gms.internal.measurement.p2, java.util.AbstractList
    public final /* synthetic */ Double set(int i, Double d2) {
        double doubleValue = d2.doubleValue();
        b();
        e(i);
        double[] dArr = this.I0;
        double d3 = dArr[i];
        dArr[i] = doubleValue;
        return Double.valueOf(d3);
    }

    public final int size() {
        return this.J0;
    }

    private o3(double[] dArr, int i) {
        this.I0 = dArr;
        this.J0 = i;
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // java.util.List, com.google.android.gms.internal.measurement.p2, java.util.AbstractList
    public final /* synthetic */ Double remove(int i) {
        b();
        e(i);
        double[] dArr = this.I0;
        double d2 = dArr[i];
        int i2 = this.J0;
        if (i < i2 - 1) {
            System.arraycopy(dArr, i + 1, dArr, i, (i2 - i) - 1);
        }
        this.J0--;
        ((AbstractList) this).modCount++;
        return Double.valueOf(d2);
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // java.util.AbstractCollection, java.util.List, com.google.android.gms.internal.measurement.p2, java.util.Collection, java.util.AbstractList
    public final /* synthetic */ boolean add(Double d2) {
        d(d2.doubleValue());
        return true;
    }
}
