package com.google.android.gms.internal.measurement;

import com.google.android.gms.internal.measurement.d4;
import com.ibm.icu.message2.f;
import java.io.IOException;
import java.lang.reflect.Field;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import sun.misc.Unsafe;

/* access modifiers changed from: package-private */
/* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
public final class p5<T> implements b6<T> {

    /* renamed from: a  reason: collision with root package name */
    private static final int[] f10532a = new int[0];

    /* renamed from: b  reason: collision with root package name */
    private static final Unsafe f10533b = z6.t();

    /* renamed from: c  reason: collision with root package name */
    private final int[] f10534c;

    /* renamed from: d  reason: collision with root package name */
    private final Object[] f10535d;

    /* renamed from: e  reason: collision with root package name */
    private final int f10536e;
    private final int f;
    private final l5 g;
    private final boolean h;
    private final boolean i;
    private final boolean j;
    private final boolean k;
    private final int[] l;
    private final int m;
    private final int n;
    private final t5 o;
    private final v4 p;
    private final t6<?, ?> q;
    private final s3<?> r;
    private final f5 s;

    private p5(int[] iArr, Object[] objArr, int i2, int i3, l5 l5Var, boolean z, boolean z2, int[] iArr2, int i4, int i5, t5 t5Var, v4 v4Var, t6<?, ?> t6Var, s3<?> s3Var, f5 f5Var) {
        this.f10534c = iArr;
        this.f10535d = objArr;
        this.f10536e = i2;
        this.f = i3;
        this.i = l5Var instanceof d4;
        this.j = z;
        this.h = s3Var != null && s3Var.h(l5Var);
        this.k = false;
        this.l = iArr2;
        this.m = i4;
        this.n = i5;
        this.o = t5Var;
        this.p = v4Var;
        this.q = t6Var;
        this.r = s3Var;
        this.g = l5Var;
        this.s = f5Var;
    }

    private final void A(T t, T t2, int i2) {
        long P = (long) (P(i2) & 1048575);
        if (B(t2, i2)) {
            Object F = z6.F(t, P);
            Object F2 = z6.F(t2, P);
            if (F != null && F2 != null) {
                z6.j(t, P, f4.e(F, F2));
                I(t, i2);
            } else if (F2 != null) {
                z6.j(t, P, F2);
                I(t, i2);
            }
        }
    }

    private final boolean B(T t, int i2) {
        if (this.j) {
            int P = P(i2);
            long j2 = (long) (P & 1048575);
            switch ((P & 267386880) >>> 20) {
                case 0:
                    return z6.C(t, j2) != 0.0d;
                case 1:
                    return z6.x(t, j2) != 0.0f;
                case 2:
                    return z6.o(t, j2) != 0;
                case 3:
                    return z6.o(t, j2) != 0;
                case 4:
                    return z6.b(t, j2) != 0;
                case 5:
                    return z6.o(t, j2) != 0;
                case 6:
                    return z6.b(t, j2) != 0;
                case 7:
                    return z6.w(t, j2);
                case 8:
                    Object F = z6.F(t, j2);
                    if (F instanceof String) {
                        return !((String) F).isEmpty();
                    }
                    if (F instanceof zzdu) {
                        return !zzdu.zza.equals(F);
                    }
                    throw new IllegalArgumentException();
                case 9:
                    return z6.F(t, j2) != null;
                case 10:
                    return !zzdu.zza.equals(z6.F(t, j2));
                case 11:
                    return z6.b(t, j2) != 0;
                case 12:
                    return z6.b(t, j2) != 0;
                case 13:
                    return z6.b(t, j2) != 0;
                case 14:
                    return z6.o(t, j2) != 0;
                case 15:
                    return z6.b(t, j2) != 0;
                case 16:
                    return z6.o(t, j2) != 0;
                case 17:
                    return z6.F(t, j2) != null;
                default:
                    throw new IllegalArgumentException();
            }
        } else {
            int R = R(i2);
            return (z6.b(t, (long) (R & 1048575)) & (1 << (R >>> 20))) != 0;
        }
    }

    private final boolean C(T t, int i2, int i3) {
        return z6.b(t, (long) (R(i3) & 1048575)) == i2;
    }

    private final boolean D(T t, int i2, int i3, int i4) {
        if (this.j) {
            return B(t, i2);
        }
        return (i3 & i4) != 0;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: com.google.android.gms.internal.measurement.b6 */
    /* JADX WARN: Multi-variable type inference failed */
    private static boolean E(Object obj, int i2, b6 b6Var) {
        return b6Var.b(z6.F(obj, (long) (i2 & 1048575)));
    }

    private static <T> double F(T t, long j2) {
        return ((Double) z6.F(t, j2)).doubleValue();
    }

    private final int G(int i2, int i3) {
        int length = (this.f10534c.length / 3) - 1;
        while (i3 <= length) {
            int i4 = (length + i3) >>> 1;
            int i5 = i4 * 3;
            int i6 = this.f10534c[i5];
            if (i2 == i6) {
                return i5;
            }
            if (i2 < i6) {
                length = i4 - 1;
            } else {
                i3 = i4 + 1;
            }
        }
        return -1;
    }

    private final Object H(int i2) {
        return this.f10535d[(i2 / 3) << 1];
    }

    private final void I(T t, int i2) {
        if (!this.j) {
            int R = R(i2);
            long j2 = (long) (R & 1048575);
            z6.h(t, j2, z6.b(t, j2) | (1 << (R >>> 20)));
        }
    }

    private final void J(T t, int i2, int i3) {
        z6.h(t, (long) (R(i3) & 1048575), i2);
    }

    /* JADX WARNING: Removed duplicated region for block: B:170:0x0496  */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x002f  */
    private final void K(T t, o7 o7Var) throws IOException {
        Map.Entry<?, Object> entry;
        Iterator<Map.Entry<?, Object>> it;
        int length;
        int i2;
        int i3;
        int i4;
        if (this.h) {
            w3<?> b2 = this.r.b(t);
            if (!b2.f10641b.isEmpty()) {
                it = b2.p();
                entry = it.next();
                int i5 = -1;
                length = this.f10534c.length;
                Unsafe unsafe = f10533b;
                int i6 = 0;
                for (i2 = 0; i2 < length; i2 = i3 + 3) {
                    int P = P(i2);
                    int[] iArr = this.f10534c;
                    int i7 = iArr[i2];
                    int i8 = (267386880 & P) >>> 20;
                    if (this.j || i8 > 17) {
                        i3 = i2;
                        i4 = 0;
                    } else {
                        int i9 = iArr[i2 + 2];
                        int i10 = i9 & 1048575;
                        i3 = i2;
                        if (i10 != i5) {
                            i6 = unsafe.getInt(t, (long) i10);
                            i5 = i10;
                        }
                        i4 = 1 << (i9 >>> 20);
                    }
                    while (entry != null && this.r.a(entry) <= i7) {
                        this.r.g(o7Var, entry);
                        entry = it.hasNext() ? it.next() : null;
                    }
                    long j2 = (long) (P & 1048575);
                    switch (i8) {
                        case 0:
                            if ((i4 & i6) != 0) {
                                o7Var.w(i7, z6.C(t, j2));
                                continue;
                            }
                        case 1:
                            if ((i4 & i6) != 0) {
                                o7Var.x(i7, z6.x(t, j2));
                            } else {
                                continue;
                            }
                        case 2:
                            if ((i4 & i6) != 0) {
                                o7Var.v(i7, unsafe.getLong(t, j2));
                            } else {
                                continue;
                            }
                        case 3:
                            if ((i4 & i6) != 0) {
                                o7Var.m(i7, unsafe.getLong(t, j2));
                            } else {
                                continue;
                            }
                        case 4:
                            if ((i4 & i6) != 0) {
                                o7Var.l(i7, unsafe.getInt(t, j2));
                            } else {
                                continue;
                            }
                        case 5:
                            if ((i4 & i6) != 0) {
                                o7Var.I(i7, unsafe.getLong(t, j2));
                            } else {
                                continue;
                            }
                        case 6:
                            if ((i4 & i6) != 0) {
                                o7Var.H(i7, unsafe.getInt(t, j2));
                            } else {
                                continue;
                            }
                        case 7:
                            if ((i4 & i6) != 0) {
                                o7Var.b(i7, z6.w(t, j2));
                            } else {
                                continue;
                            }
                        case 8:
                            if ((i4 & i6) != 0) {
                                w(i7, unsafe.getObject(t, j2), o7Var);
                            } else {
                                continue;
                            }
                        case 9:
                            if ((i4 & i6) != 0) {
                                o7Var.e(i7, unsafe.getObject(t, j2), r(i3));
                            } else {
                                continue;
                            }
                        case 10:
                            if ((i4 & i6) != 0) {
                                o7Var.i(i7, (zzdu) unsafe.getObject(t, j2));
                            } else {
                                continue;
                            }
                        case 11:
                            if ((i4 & i6) != 0) {
                                o7Var.K(i7, unsafe.getInt(t, j2));
                            } else {
                                continue;
                            }
                        case 12:
                            if ((i4 & i6) != 0) {
                                o7Var.f(i7, unsafe.getInt(t, j2));
                            } else {
                                continue;
                            }
                        case 13:
                            if ((i4 & i6) != 0) {
                                o7Var.u(i7, unsafe.getInt(t, j2));
                            } else {
                                continue;
                            }
                        case 14:
                            if ((i4 & i6) != 0) {
                                o7Var.d(i7, unsafe.getLong(t, j2));
                            } else {
                                continue;
                            }
                        case 15:
                            if ((i4 & i6) != 0) {
                                o7Var.A(i7, unsafe.getInt(t, j2));
                            } else {
                                continue;
                            }
                        case 16:
                            if ((i4 & i6) != 0) {
                                o7Var.L(i7, unsafe.getLong(t, j2));
                            } else {
                                continue;
                            }
                        case 17:
                            if ((i4 & i6) != 0) {
                                o7Var.k(i7, unsafe.getObject(t, j2), r(i3));
                            } else {
                                continue;
                            }
                        case 18:
                            d6.l(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, false);
                            continue;
                        case 19:
                            d6.y(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, false);
                            continue;
                        case 20:
                            d6.C(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, false);
                            continue;
                        case 21:
                            d6.G(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, false);
                            continue;
                        case 22:
                            d6.T(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, false);
                            continue;
                        case 23:
                            d6.N(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, false);
                            continue;
                        case 24:
                            d6.a0(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, false);
                            continue;
                        case 25:
                            d6.d0(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, false);
                            continue;
                        case 26:
                            d6.j(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var);
                            break;
                        case 27:
                            d6.k(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, r(i3));
                            break;
                        case 28:
                            d6.w(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var);
                            break;
                        case 29:
                            d6.W(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, false);
                            continue;
                        case 30:
                            d6.c0(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, false);
                            continue;
                        case 31:
                            d6.b0(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, false);
                            continue;
                        case 32:
                            d6.Q(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, false);
                            continue;
                        case 33:
                            d6.Z(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, false);
                            continue;
                        case 34:
                            d6.K(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, false);
                            continue;
                        case 35:
                            d6.l(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, true);
                            break;
                        case 36:
                            d6.y(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, true);
                            break;
                        case 37:
                            d6.C(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, true);
                            break;
                        case 38:
                            d6.G(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, true);
                            break;
                        case 39:
                            d6.T(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, true);
                            break;
                        case 40:
                            d6.N(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, true);
                            break;
                        case 41:
                            d6.a0(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, true);
                            break;
                        case 42:
                            d6.d0(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, true);
                            break;
                        case 43:
                            d6.W(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, true);
                            break;
                        case 44:
                            d6.c0(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, true);
                            break;
                        case 45:
                            d6.b0(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, true);
                            break;
                        case 46:
                            d6.Q(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, true);
                            break;
                        case 47:
                            d6.Z(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, true);
                            break;
                        case 48:
                            d6.K(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, true);
                            break;
                        case 49:
                            d6.x(this.f10534c[i3], (List) unsafe.getObject(t, j2), o7Var, r(i3));
                            break;
                        case 50:
                            y(o7Var, i7, unsafe.getObject(t, j2), i3);
                            break;
                        case 51:
                            if (C(t, i7, i3)) {
                                o7Var.w(i7, F(t, j2));
                                break;
                            }
                            break;
                        case 52:
                            if (C(t, i7, i3)) {
                                o7Var.x(i7, M(t, j2));
                                break;
                            }
                            break;
                        case 53:
                            if (C(t, i7, i3)) {
                                o7Var.v(i7, S(t, j2));
                                break;
                            }
                            break;
                        case 54:
                            if (C(t, i7, i3)) {
                                o7Var.m(i7, S(t, j2));
                                break;
                            }
                            break;
                        case 55:
                            if (C(t, i7, i3)) {
                                o7Var.l(i7, Q(t, j2));
                                break;
                            }
                            break;
                        case 56:
                            if (C(t, i7, i3)) {
                                o7Var.I(i7, S(t, j2));
                                break;
                            }
                            break;
                        case 57:
                            if (C(t, i7, i3)) {
                                o7Var.H(i7, Q(t, j2));
                                break;
                            }
                            break;
                        case 58:
                            if (C(t, i7, i3)) {
                                o7Var.b(i7, V(t, j2));
                                break;
                            }
                            break;
                        case 59:
                            if (C(t, i7, i3)) {
                                w(i7, unsafe.getObject(t, j2), o7Var);
                                break;
                            }
                            break;
                        case 60:
                            if (C(t, i7, i3)) {
                                o7Var.e(i7, unsafe.getObject(t, j2), r(i3));
                                break;
                            }
                            break;
                        case 61:
                            if (C(t, i7, i3)) {
                                o7Var.i(i7, (zzdu) unsafe.getObject(t, j2));
                                break;
                            }
                            break;
                        case 62:
                            if (C(t, i7, i3)) {
                                o7Var.K(i7, Q(t, j2));
                                break;
                            }
                            break;
                        case 63:
                            if (C(t, i7, i3)) {
                                o7Var.f(i7, Q(t, j2));
                                break;
                            }
                            break;
                        case 64:
                            if (C(t, i7, i3)) {
                                o7Var.u(i7, Q(t, j2));
                                break;
                            }
                            break;
                        case 65:
                            if (C(t, i7, i3)) {
                                o7Var.d(i7, S(t, j2));
                                break;
                            }
                            break;
                        case 66:
                            if (C(t, i7, i3)) {
                                o7Var.A(i7, Q(t, j2));
                                break;
                            }
                            break;
                        case 67:
                            if (C(t, i7, i3)) {
                                o7Var.L(i7, S(t, j2));
                                break;
                            }
                            break;
                        case 68:
                            if (C(t, i7, i3)) {
                                o7Var.k(i7, unsafe.getObject(t, j2), r(i3));
                                break;
                            }
                            break;
                    }
                }
                while (entry != null) {
                    this.r.g(o7Var, entry);
                    entry = it.hasNext() ? it.next() : null;
                }
                x(this.q, t, o7Var);
            }
        }
        it = null;
        entry = null;
        int i52 = -1;
        length = this.f10534c.length;
        Unsafe unsafe2 = f10533b;
        int i62 = 0;
        while (i2 < length) {
        }
        while (entry != null) {
        }
        x(this.q, t, o7Var);
    }

    private final void L(T t, T t2, int i2) {
        int P = P(i2);
        int i3 = this.f10534c[i2];
        long j2 = (long) (P & 1048575);
        if (C(t2, i3, i2)) {
            Object F = z6.F(t, j2);
            Object F2 = z6.F(t2, j2);
            if (F != null && F2 != null) {
                z6.j(t, j2, f4.e(F, F2));
                J(t, i3, i2);
            } else if (F2 != null) {
                z6.j(t, j2, F2);
                J(t, i3, i2);
            }
        }
    }

    private static <T> float M(T t, long j2) {
        return ((Float) z6.F(t, j2)).floatValue();
    }

    private final k4 N(int i2) {
        return (k4) this.f10535d[((i2 / 3) << 1) + 1];
    }

    private final boolean O(T t, T t2, int i2) {
        return B(t, i2) == B(t2, i2);
    }

    private final int P(int i2) {
        return this.f10534c[i2 + 1];
    }

    private static <T> int Q(T t, long j2) {
        return ((Integer) z6.F(t, j2)).intValue();
    }

    private final int R(int i2) {
        return this.f10534c[i2 + 2];
    }

    private static <T> long S(T t, long j2) {
        return ((Long) z6.F(t, j2)).longValue();
    }

    private static v6 T(Object obj) {
        d4 d4Var = (d4) obj;
        v6 v6Var = d4Var.zzb;
        if (v6Var != v6.a()) {
            return v6Var;
        }
        v6 g2 = v6.g();
        d4Var.zzb = g2;
        return g2;
    }

    private static boolean U(int i2) {
        return (i2 & 536870912) != 0;
    }

    private static <T> boolean V(T t, long j2) {
        return ((Boolean) z6.F(t, j2)).booleanValue();
    }

    private final int W(int i2) {
        if (i2 < this.f10536e || i2 > this.f) {
            return -1;
        }
        return G(i2, 0);
    }

    private final int j(int i2, int i3) {
        if (i2 < this.f10536e || i2 > this.f) {
            return -1;
        }
        return G(i2, i3);
    }

    private static <UT, UB> int k(t6<UT, UB> t6Var, T t) {
        return t6Var.s(t6Var.k(t));
    }

    private final int l(T t, byte[] bArr, int i2, int i3, int i4, int i5, int i6, int i7, int i8, long j2, int i9, u2 u2Var) throws IOException {
        int i10;
        Unsafe unsafe = f10533b;
        long j3 = (long) (this.f10534c[i9 + 2] & 1048575);
        switch (i8) {
            case 51:
                if (i6 == 1) {
                    unsafe.putObject(t, j2, Double.valueOf(r2.m(bArr, i2)));
                    i10 = i2 + 8;
                    unsafe.putInt(t, j3, i5);
                    return i10;
                }
                return i2;
            case 52:
                if (i6 == 5) {
                    unsafe.putObject(t, j2, Float.valueOf(r2.o(bArr, i2)));
                    i10 = i2 + 4;
                    unsafe.putInt(t, j3, i5);
                    return i10;
                }
                return i2;
            case 53:
            case 54:
                if (i6 == 0) {
                    i10 = r2.k(bArr, i2, u2Var);
                    unsafe.putObject(t, j2, Long.valueOf(u2Var.f10604b));
                    unsafe.putInt(t, j3, i5);
                    return i10;
                }
                return i2;
            case 55:
            case 62:
                if (i6 == 0) {
                    i10 = r2.i(bArr, i2, u2Var);
                    unsafe.putObject(t, j2, Integer.valueOf(u2Var.f10603a));
                    unsafe.putInt(t, j3, i5);
                    return i10;
                }
                return i2;
            case 56:
            case 65:
                if (i6 == 1) {
                    unsafe.putObject(t, j2, Long.valueOf(r2.l(bArr, i2)));
                    i10 = i2 + 8;
                    unsafe.putInt(t, j3, i5);
                    return i10;
                }
                return i2;
            case 57:
            case 64:
                if (i6 == 5) {
                    unsafe.putObject(t, j2, Integer.valueOf(r2.h(bArr, i2)));
                    i10 = i2 + 4;
                    unsafe.putInt(t, j3, i5);
                    return i10;
                }
                return i2;
            case 58:
                if (i6 == 0) {
                    i10 = r2.k(bArr, i2, u2Var);
                    unsafe.putObject(t, j2, Boolean.valueOf(u2Var.f10604b != 0));
                    unsafe.putInt(t, j3, i5);
                    return i10;
                }
                return i2;
            case 59:
                if (i6 == 2) {
                    int i11 = r2.i(bArr, i2, u2Var);
                    int i12 = u2Var.f10603a;
                    if (i12 == 0) {
                        unsafe.putObject(t, j2, "");
                    } else if ((i7 & 536870912) == 0 || c7.g(bArr, i11, i11 + i12)) {
                        unsafe.putObject(t, j2, new String(bArr, i11, i12, f4.f10397a));
                        i11 += i12;
                    } else {
                        throw zzfo.h();
                    }
                    unsafe.putInt(t, j3, i5);
                    return i11;
                }
                return i2;
            case 60:
                if (i6 == 2) {
                    int g2 = r2.g(r(i9), bArr, i2, i3, u2Var);
                    Object object = unsafe.getInt(t, j3) == i5 ? unsafe.getObject(t, j2) : null;
                    if (object == null) {
                        unsafe.putObject(t, j2, u2Var.f10605c);
                    } else {
                        unsafe.putObject(t, j2, f4.e(object, u2Var.f10605c));
                    }
                    unsafe.putInt(t, j3, i5);
                    return g2;
                }
                return i2;
            case 61:
                if (i6 == 2) {
                    i10 = r2.q(bArr, i2, u2Var);
                    unsafe.putObject(t, j2, u2Var.f10605c);
                    unsafe.putInt(t, j3, i5);
                    return i10;
                }
                return i2;
            case 63:
                if (i6 == 0) {
                    int i13 = r2.i(bArr, i2, u2Var);
                    int i14 = u2Var.f10603a;
                    k4 N = N(i9);
                    if (N == null || N.a(i14)) {
                        unsafe.putObject(t, j2, Integer.valueOf(i14));
                        i10 = i13;
                        unsafe.putInt(t, j3, i5);
                        return i10;
                    }
                    T(t).c(i4, Long.valueOf((long) i14));
                    return i13;
                }
                return i2;
            case 66:
                if (i6 == 0) {
                    i10 = r2.i(bArr, i2, u2Var);
                    unsafe.putObject(t, j2, Integer.valueOf(h3.k(u2Var.f10603a)));
                    unsafe.putInt(t, j3, i5);
                    return i10;
                }
                return i2;
            case 67:
                if (i6 == 0) {
                    i10 = r2.k(bArr, i2, u2Var);
                    unsafe.putObject(t, j2, Long.valueOf(h3.b(u2Var.f10604b)));
                    unsafe.putInt(t, j3, i5);
                    return i10;
                }
                return i2;
            case 68:
                if (i6 == 3) {
                    i10 = r2.f(r(i9), bArr, i2, i3, (i4 & -8) | 4, u2Var);
                    Object object2 = unsafe.getInt(t, j3) == i5 ? unsafe.getObject(t, j2) : null;
                    if (object2 == null) {
                        unsafe.putObject(t, j2, u2Var.f10605c);
                    } else {
                        unsafe.putObject(t, j2, f4.e(object2, u2Var.f10605c));
                    }
                    unsafe.putInt(t, j3, i5);
                    return i10;
                }
                return i2;
            default:
                return i2;
        }
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:57)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:15)
        */
    /* JADX WARNING: Removed duplicated region for block: B:112:0x0236  */
    /* JADX WARNING: Removed duplicated region for block: B:240:0x0420 A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:243:0x041f A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:248:0x041f A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x016e  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x01e8  */
    private final int m(T r16, byte[] r17, int r18, int r19, int r20, int r21, int r22, int r23, long r24, int r26, long r27, com.google.android.gms.internal.measurement.u2 r29) throws java.io.IOException {
        /*
        // Method dump skipped, instructions count: 1126
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.measurement.p5.m(java.lang.Object, byte[], int, int, int, int, int, int, long, int, long, com.google.android.gms.internal.measurement.u2):int");
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:30:0x003e */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:34:0x003e */
    private final <K, V> int n(T t, byte[] bArr, int i2, int i3, int i4, long j2, u2 u2Var) throws IOException {
        Unsafe unsafe = f10533b;
        Object H = H(i4);
        Object object = unsafe.getObject(t, j2);
        if (this.s.c(object)) {
            Object g2 = this.s.g(H);
            this.s.e(g2, object);
            unsafe.putObject(t, j2, g2);
            object = g2;
        }
        d5<?, ?> f2 = this.s.f(H);
        Map<?, ?> a2 = this.s.a(object);
        int i5 = r2.i(bArr, i2, u2Var);
        int i6 = u2Var.f10603a;
        if (i6 < 0 || i6 > i3 - i5) {
            throw zzfo.a();
        }
        int i7 = i6 + i5;
        f.a aVar = (K) f2.f10378b;
        f.a aVar2 = (V) f2.f10380d;
        while (i5 < i7) {
            int i8 = i5 + 1;
            byte b2 = bArr[i5];
            int i9 = b2;
            if (b2 < 0) {
                i8 = r2.d(b2, bArr, i8, u2Var);
                i9 = u2Var.f10603a;
            }
            int i10 = (i9 == 1 ? 1 : 0) >>> 3;
            int i11 = (i9 == 1 ? 1 : 0) & 7;
            if (i10 != 1) {
                if (i10 == 2 && i11 == f2.f10379c.zzb()) {
                    i5 = p(bArr, i8, i3, f2.f10379c, f2.f10380d.getClass(), u2Var);
                    aVar2 = (V) u2Var.f10605c;
                }
            } else if (i11 == f2.f10377a.zzb()) {
                i5 = p(bArr, i8, i3, f2.f10377a, null, u2Var);
                aVar = (K) u2Var.f10605c;
            }
            i5 = r2.a(i9, bArr, i8, i3, u2Var);
        }
        if (i5 == i7) {
            a2.put(aVar, aVar2);
            return i7;
        }
        throw zzfo.g();
    }

    private static int p(byte[] bArr, int i2, int i3, zzim zzim, Class<?> cls, u2 u2Var) throws IOException {
        switch (o5.f10523a[zzim.ordinal()]) {
            case 1:
                int k2 = r2.k(bArr, i2, u2Var);
                u2Var.f10605c = Boolean.valueOf(u2Var.f10604b != 0);
                return k2;
            case 2:
                return r2.q(bArr, i2, u2Var);
            case 3:
                u2Var.f10605c = Double.valueOf(r2.m(bArr, i2));
                return i2 + 8;
            case 4:
            case 5:
                u2Var.f10605c = Integer.valueOf(r2.h(bArr, i2));
                return i2 + 4;
            case 6:
            case 7:
                u2Var.f10605c = Long.valueOf(r2.l(bArr, i2));
                return i2 + 8;
            case 8:
                u2Var.f10605c = Float.valueOf(r2.o(bArr, i2));
                return i2 + 4;
            case 9:
            case 10:
            case 11:
                int i4 = r2.i(bArr, i2, u2Var);
                u2Var.f10605c = Integer.valueOf(u2Var.f10603a);
                return i4;
            case 12:
            case 13:
                int k3 = r2.k(bArr, i2, u2Var);
                u2Var.f10605c = Long.valueOf(u2Var.f10604b);
                return k3;
            case 14:
                return r2.g(w5.a().b(cls), bArr, i2, i3, u2Var);
            case 15:
                int i5 = r2.i(bArr, i2, u2Var);
                u2Var.f10605c = Integer.valueOf(h3.k(u2Var.f10603a));
                return i5;
            case 16:
                int k4 = r2.k(bArr, i2, u2Var);
                u2Var.f10605c = Long.valueOf(h3.b(u2Var.f10604b));
                return k4;
            case 17:
                return r2.p(bArr, i2, u2Var);
            default:
                throw new RuntimeException("unsupported field type.");
        }
    }

    static <T> p5<T> q(Class<T> cls, j5 j5Var, t5 t5Var, v4 v4Var, t6<?, ?> t6Var, s3<?> s3Var, f5 f5Var) {
        int i2;
        int i3;
        int[] iArr;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        boolean z;
        int i11;
        z5 z5Var;
        int i12;
        Class<?> cls2;
        int i13;
        String str;
        int i14;
        int i15;
        int i16;
        int i17;
        Field field;
        int i18;
        char charAt;
        int i19;
        Field field2;
        Field field3;
        int i20;
        char charAt2;
        int i21;
        char charAt3;
        int i22;
        char charAt4;
        int i23;
        int i24;
        char charAt5;
        int i25;
        char charAt6;
        int i26;
        char charAt7;
        int i27;
        char charAt8;
        int i28;
        char charAt9;
        int i29;
        char charAt10;
        int i30;
        char charAt11;
        int i31;
        char charAt12;
        int i32;
        char charAt13;
        char charAt14;
        if (j5Var instanceof z5) {
            z5 z5Var2 = (z5) j5Var;
            int i33 = 0;
            boolean z2 = z5Var2.zza() == d4.e.j;
            String a2 = z5Var2.a();
            int length = a2.length();
            int charAt15 = a2.charAt(0);
            if (charAt15 >= 55296) {
                int i34 = charAt15 & 8191;
                int i35 = 1;
                int i36 = 13;
                while (true) {
                    i2 = i35 + 1;
                    charAt14 = a2.charAt(i35);
                    if (charAt14 < 55296) {
                        break;
                    }
                    i34 |= (charAt14 & 8191) << i36;
                    i36 += 13;
                    i35 = i2;
                }
                charAt15 = i34 | (charAt14 << i36);
            } else {
                i2 = 1;
            }
            int i37 = i2 + 1;
            int charAt16 = a2.charAt(i2);
            if (charAt16 >= 55296) {
                int i38 = charAt16 & 8191;
                int i39 = 13;
                while (true) {
                    i32 = i37 + 1;
                    charAt13 = a2.charAt(i37);
                    if (charAt13 < 55296) {
                        break;
                    }
                    i38 |= (charAt13 & 8191) << i39;
                    i39 += 13;
                    i37 = i32;
                }
                charAt16 = i38 | (charAt13 << i39);
                i37 = i32;
            }
            if (charAt16 == 0) {
                iArr = f10532a;
                i8 = 0;
                i7 = 0;
                i6 = 0;
                i5 = 0;
                i4 = 0;
                i3 = 0;
            } else {
                int i40 = i37 + 1;
                int charAt17 = a2.charAt(i37);
                if (charAt17 >= 55296) {
                    int i41 = charAt17 & 8191;
                    int i42 = 13;
                    while (true) {
                        i31 = i40 + 1;
                        charAt12 = a2.charAt(i40);
                        if (charAt12 < 55296) {
                            break;
                        }
                        i41 |= (charAt12 & 8191) << i42;
                        i42 += 13;
                        i40 = i31;
                    }
                    charAt17 = i41 | (charAt12 << i42);
                    i40 = i31;
                }
                int i43 = i40 + 1;
                int charAt18 = a2.charAt(i40);
                if (charAt18 >= 55296) {
                    int i44 = charAt18 & 8191;
                    int i45 = 13;
                    while (true) {
                        i30 = i43 + 1;
                        charAt11 = a2.charAt(i43);
                        if (charAt11 < 55296) {
                            break;
                        }
                        i44 |= (charAt11 & 8191) << i45;
                        i45 += 13;
                        i43 = i30;
                    }
                    charAt18 = i44 | (charAt11 << i45);
                    i43 = i30;
                }
                int i46 = i43 + 1;
                i6 = a2.charAt(i43);
                if (i6 >= 55296) {
                    int i47 = i6 & 8191;
                    int i48 = 13;
                    while (true) {
                        i29 = i46 + 1;
                        charAt10 = a2.charAt(i46);
                        if (charAt10 < 55296) {
                            break;
                        }
                        i47 |= (charAt10 & 8191) << i48;
                        i48 += 13;
                        i46 = i29;
                    }
                    i6 = i47 | (charAt10 << i48);
                    i46 = i29;
                }
                int i49 = i46 + 1;
                int charAt19 = a2.charAt(i46);
                if (charAt19 >= 55296) {
                    int i50 = charAt19 & 8191;
                    int i51 = 13;
                    while (true) {
                        i28 = i49 + 1;
                        charAt9 = a2.charAt(i49);
                        if (charAt9 < 55296) {
                            break;
                        }
                        i50 |= (charAt9 & 8191) << i51;
                        i51 += 13;
                        i49 = i28;
                    }
                    charAt19 = i50 | (charAt9 << i51);
                    i49 = i28;
                }
                int i52 = i49 + 1;
                i4 = a2.charAt(i49);
                if (i4 >= 55296) {
                    int i53 = i4 & 8191;
                    int i54 = 13;
                    while (true) {
                        i27 = i52 + 1;
                        charAt8 = a2.charAt(i52);
                        if (charAt8 < 55296) {
                            break;
                        }
                        i53 |= (charAt8 & 8191) << i54;
                        i54 += 13;
                        i52 = i27;
                    }
                    i4 = i53 | (charAt8 << i54);
                    i52 = i27;
                }
                int i55 = i52 + 1;
                int charAt20 = a2.charAt(i52);
                if (charAt20 >= 55296) {
                    int i56 = charAt20 & 8191;
                    int i57 = 13;
                    while (true) {
                        i26 = i55 + 1;
                        charAt7 = a2.charAt(i55);
                        if (charAt7 < 55296) {
                            break;
                        }
                        i56 |= (charAt7 & 8191) << i57;
                        i57 += 13;
                        i55 = i26;
                    }
                    charAt20 = i56 | (charAt7 << i57);
                    i55 = i26;
                }
                int i58 = i55 + 1;
                int charAt21 = a2.charAt(i55);
                if (charAt21 >= 55296) {
                    int i59 = charAt21 & 8191;
                    int i60 = i58;
                    int i61 = 13;
                    while (true) {
                        i25 = i60 + 1;
                        charAt6 = a2.charAt(i60);
                        if (charAt6 < 55296) {
                            break;
                        }
                        i59 |= (charAt6 & 8191) << i61;
                        i61 += 13;
                        i60 = i25;
                    }
                    charAt21 = i59 | (charAt6 << i61);
                    i23 = i25;
                } else {
                    i23 = i58;
                }
                int i62 = i23 + 1;
                int charAt22 = a2.charAt(i23);
                if (charAt22 >= 55296) {
                    int i63 = charAt22 & 8191;
                    int i64 = i62;
                    int i65 = 13;
                    while (true) {
                        i24 = i64 + 1;
                        charAt5 = a2.charAt(i64);
                        if (charAt5 < 55296) {
                            break;
                        }
                        i63 |= (charAt5 & 8191) << i65;
                        i65 += 13;
                        i64 = i24;
                    }
                    charAt22 = i63 | (charAt5 << i65);
                    i62 = i24;
                }
                int i66 = (charAt17 << 1) + charAt18;
                i7 = charAt19;
                i5 = i66;
                i3 = charAt22;
                i33 = charAt17;
                i37 = i62;
                iArr = new int[(charAt22 + charAt20 + charAt21)];
                i8 = charAt20;
            }
            Unsafe unsafe = f10533b;
            Object[] b2 = z5Var2.b();
            Class<?> cls3 = z5Var2.d().getClass();
            int[] iArr2 = new int[(i4 * 3)];
            Object[] objArr = new Object[(i4 << 1)];
            int i67 = i3 + i8;
            int i68 = i3;
            int i69 = i37;
            int i70 = i67;
            int i71 = 0;
            int i72 = 0;
            while (i69 < length) {
                int i73 = i69 + 1;
                int charAt23 = a2.charAt(i69);
                if (charAt23 >= 55296) {
                    int i74 = charAt23 & 8191;
                    int i75 = i73;
                    int i76 = 13;
                    while (true) {
                        i22 = i75 + 1;
                        charAt4 = a2.charAt(i75);
                        i9 = i3;
                        if (charAt4 < 55296) {
                            break;
                        }
                        i74 |= (charAt4 & 8191) << i76;
                        i76 += 13;
                        i75 = i22;
                        i3 = i9;
                    }
                    charAt23 = i74 | (charAt4 << i76);
                    i10 = i22;
                } else {
                    i9 = i3;
                    i10 = i73;
                }
                int i77 = i10 + 1;
                int charAt24 = a2.charAt(i10);
                if (charAt24 >= 55296) {
                    int i78 = charAt24 & 8191;
                    int i79 = i77;
                    int i80 = 13;
                    while (true) {
                        i21 = i79 + 1;
                        charAt3 = a2.charAt(i79);
                        z = z2;
                        if (charAt3 < 55296) {
                            break;
                        }
                        i78 |= (charAt3 & 8191) << i80;
                        i80 += 13;
                        i79 = i21;
                        z2 = z;
                    }
                    charAt24 = i78 | (charAt3 << i80);
                    i11 = i21;
                } else {
                    z = z2;
                    i11 = i77;
                }
                int i81 = charAt24 & 255;
                if ((charAt24 & 1024) != 0) {
                    iArr[i71] = i72;
                    i71++;
                }
                if (i81 >= 51) {
                    int i82 = i11 + 1;
                    int charAt25 = a2.charAt(i11);
                    char c2 = 55296;
                    if (charAt25 >= 55296) {
                        int i83 = charAt25 & 8191;
                        int i84 = 13;
                        while (true) {
                            i20 = i82 + 1;
                            charAt2 = a2.charAt(i82);
                            if (charAt2 < c2) {
                                break;
                            }
                            i83 |= (charAt2 & 8191) << i84;
                            i84 += 13;
                            i82 = i20;
                            c2 = 55296;
                        }
                        charAt25 = i83 | (charAt2 << i84);
                        i82 = i20;
                    }
                    int i85 = i81 - 51;
                    if (i85 == 9 || i85 == 17) {
                        objArr[((i72 / 3) << 1) + 1] = b2[i5];
                        i5++;
                    } else if (i85 == 12 && (charAt15 & 1) == 1) {
                        objArr[((i72 / 3) << 1) + 1] = b2[i5];
                        i5++;
                    }
                    int i86 = charAt25 << 1;
                    Object obj = b2[i86];
                    if (obj instanceof Field) {
                        field2 = (Field) obj;
                    } else {
                        field2 = u(cls3, (String) obj);
                        b2[i86] = field2;
                    }
                    z5Var = z5Var2;
                    i15 = (int) unsafe.objectFieldOffset(field2);
                    int i87 = i86 + 1;
                    Object obj2 = b2[i87];
                    if (obj2 instanceof Field) {
                        field3 = (Field) obj2;
                    } else {
                        field3 = u(cls3, (String) obj2);
                        b2[i87] = field3;
                    }
                    cls2 = cls3;
                    i12 = i5;
                    i11 = i82;
                    str = a2;
                    i13 = 0;
                    i14 = (int) unsafe.objectFieldOffset(field3);
                    i16 = i33;
                } else {
                    z5Var = z5Var2;
                    int i88 = i5 + 1;
                    Field u = u(cls3, (String) b2[i5]);
                    if (i81 == 9 || i81 == 17) {
                        i17 = 1;
                        objArr[((i72 / 3) << 1) + 1] = u.getType();
                    } else {
                        if (i81 == 27 || i81 == 49) {
                            i17 = 1;
                            i19 = i88 + 1;
                            objArr[((i72 / 3) << 1) + 1] = b2[i88];
                        } else if (i81 == 12 || i81 == 30 || i81 == 44) {
                            i17 = 1;
                            if ((charAt15 & 1) == 1) {
                                i19 = i88 + 1;
                                objArr[((i72 / 3) << 1) + 1] = b2[i88];
                            }
                        } else {
                            if (i81 == 50) {
                                int i89 = i68 + 1;
                                iArr[i68] = i72;
                                int i90 = (i72 / 3) << 1;
                                int i91 = i88 + 1;
                                objArr[i90] = b2[i88];
                                if ((charAt24 & 2048) != 0) {
                                    i88 = i91 + 1;
                                    objArr[i90 + 1] = b2[i91];
                                    i68 = i89;
                                } else {
                                    i88 = i91;
                                    i17 = 1;
                                    i68 = i89;
                                }
                            }
                            i17 = 1;
                        }
                        i88 = i19;
                    }
                    i15 = (int) unsafe.objectFieldOffset(u);
                    if ((charAt15 & 1) != i17 || i81 > 17) {
                        i12 = i88;
                        i16 = i33;
                        cls2 = cls3;
                        str = a2;
                        i14 = 0;
                        i13 = 0;
                    } else {
                        int i92 = i11 + 1;
                        str = a2;
                        int charAt26 = str.charAt(i11);
                        if (charAt26 >= 55296) {
                            int i93 = charAt26 & 8191;
                            int i94 = 13;
                            while (true) {
                                i18 = i92 + 1;
                                charAt = str.charAt(i92);
                                if (charAt < 55296) {
                                    break;
                                }
                                i93 |= (charAt & 8191) << i94;
                                i94 += 13;
                                i92 = i18;
                            }
                            charAt26 = i93 | (charAt << i94);
                            i92 = i18;
                        }
                        int i95 = (i33 << 1) + (charAt26 / 32);
                        Object obj3 = b2[i95];
                        i12 = i88;
                        if (obj3 instanceof Field) {
                            field = (Field) obj3;
                        } else {
                            field = u(cls3, (String) obj3);
                            b2[i95] = field;
                        }
                        i16 = i33;
                        cls2 = cls3;
                        i14 = (int) unsafe.objectFieldOffset(field);
                        i13 = charAt26 % 32;
                        i11 = i92;
                    }
                    if (i81 >= 18 && i81 <= 49) {
                        iArr[i70] = i15;
                        i70++;
                    }
                }
                int i96 = i72 + 1;
                iArr2[i72] = charAt23;
                int i97 = i96 + 1;
                iArr2[i96] = i15 | ((charAt24 & 256) != 0 ? 268435456 : 0) | ((charAt24 & 512) != 0 ? 536870912 : 0) | (i81 << 20);
                i72 = i97 + 1;
                iArr2[i97] = (i13 << 20) | i14;
                i33 = i16;
                a2 = str;
                i69 = i11;
                cls3 = cls2;
                i7 = i7;
                length = length;
                i3 = i9;
                z2 = z;
                i6 = i6;
                i5 = i12;
                z5Var2 = z5Var;
            }
            return new p5<>(iArr2, objArr, i6, i7, z5Var2.d(), z2, false, iArr, i3, i67, t5Var, v4Var, t6Var, s3Var, f5Var);
        }
        ((q6) j5Var).zza();
        int i98 = d4.e.j;
        throw new NoSuchMethodError();
    }

    private final b6 r(int i2) {
        int i3 = (i2 / 3) << 1;
        b6 b6Var = (b6) this.f10535d[i3];
        if (b6Var != null) {
            return b6Var;
        }
        b6<T> b2 = w5.a().b((Class) this.f10535d[i3 + 1]);
        this.f10535d[i3] = b2;
        return b2;
    }

    private final <K, V, UT, UB> UB s(int i2, int i3, Map<K, V> map, k4 k4Var, UB ub, t6<UT, UB> t6Var) {
        d5<?, ?> f2 = this.s.f(H(i2));
        Iterator<Map.Entry<K, V>> it = map.entrySet().iterator();
        while (it.hasNext()) {
            Map.Entry<K, V> next = it.next();
            if (!k4Var.a(next.getValue().intValue())) {
                if (ub == null) {
                    ub = t6Var.a();
                }
                d3 l2 = zzdu.l(e5.a(f2, next.getKey(), next.getValue()));
                try {
                    e5.b(l2.b(), f2, next.getKey(), next.getValue());
                    t6Var.e(ub, i3, l2.a());
                    it.remove();
                } catch (IOException e2) {
                    throw new RuntimeException(e2);
                }
            }
        }
        return ub;
    }

    private final <UT, UB> UB t(Object obj, int i2, UB ub, t6<UT, UB> t6Var) {
        k4 N;
        int i3 = this.f10534c[i2];
        Object F = z6.F(obj, (long) (P(i2) & 1048575));
        return (F == null || (N = N(i2)) == null) ? ub : (UB) s(i2, i3, (Map<K, V>) this.s.a(F), N, ub, t6Var);
    }

    private static Field u(Class<?> cls, String str) {
        try {
            return cls.getDeclaredField(str);
        } catch (NoSuchFieldException unused) {
            Field[] declaredFields = cls.getDeclaredFields();
            for (Field field : declaredFields) {
                if (str.equals(field.getName())) {
                    return field;
                }
            }
            String name = cls.getName();
            String arrays = Arrays.toString(declaredFields);
            StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 40 + name.length() + String.valueOf(arrays).length());
            sb.append("Field ");
            sb.append(str);
            sb.append(" for ");
            sb.append(name);
            sb.append(" not found. Known fields are ");
            sb.append(arrays);
            throw new RuntimeException(sb.toString());
        }
    }

    private static List<?> v(Object obj, long j2) {
        return (List) z6.F(obj, j2);
    }

    private static void w(int i2, Object obj, o7 o7Var) throws IOException {
        if (obj instanceof String) {
            o7Var.r(i2, (String) obj);
        } else {
            o7Var.i(i2, (zzdu) obj);
        }
    }

    private static <UT, UB> void x(t6<UT, UB> t6Var, T t, o7 o7Var) throws IOException {
        t6Var.g(t6Var.k(t), o7Var);
    }

    private final <K, V> void y(o7 o7Var, int i2, Object obj, int i3) throws IOException {
        if (obj != null) {
            o7Var.M(i2, this.s.f(H(i3)), this.s.d(obj));
        }
    }

    private final void z(Object obj, int i2, c6 c6Var) throws IOException {
        if (U(i2)) {
            z6.j(obj, (long) (i2 & 1048575), c6Var.m());
        } else if (this.i) {
            z6.j(obj, (long) (i2 & 1048575), c6Var.u());
        } else {
            z6.j(obj, (long) (i2 & 1048575), c6Var.i());
        }
    }

    @Override // com.google.android.gms.internal.measurement.b6
    public final int a(T t) {
        int i2;
        int i3;
        int length = this.f10534c.length;
        int i4 = 0;
        for (int i5 = 0; i5 < length; i5 += 3) {
            int P = P(i5);
            int i6 = this.f10534c[i5];
            long j2 = (long) (1048575 & P);
            int i7 = 37;
            switch ((P & 267386880) >>> 20) {
                case 0:
                    i3 = i4 * 53;
                    i2 = f4.b(Double.doubleToLongBits(z6.C(t, j2)));
                    i4 = i3 + i2;
                    break;
                case 1:
                    i3 = i4 * 53;
                    i2 = Float.floatToIntBits(z6.x(t, j2));
                    i4 = i3 + i2;
                    break;
                case 2:
                    i3 = i4 * 53;
                    i2 = f4.b(z6.o(t, j2));
                    i4 = i3 + i2;
                    break;
                case 3:
                    i3 = i4 * 53;
                    i2 = f4.b(z6.o(t, j2));
                    i4 = i3 + i2;
                    break;
                case 4:
                    i3 = i4 * 53;
                    i2 = z6.b(t, j2);
                    i4 = i3 + i2;
                    break;
                case 5:
                    i3 = i4 * 53;
                    i2 = f4.b(z6.o(t, j2));
                    i4 = i3 + i2;
                    break;
                case 6:
                    i3 = i4 * 53;
                    i2 = z6.b(t, j2);
                    i4 = i3 + i2;
                    break;
                case 7:
                    i3 = i4 * 53;
                    i2 = f4.c(z6.w(t, j2));
                    i4 = i3 + i2;
                    break;
                case 8:
                    i3 = i4 * 53;
                    i2 = ((String) z6.F(t, j2)).hashCode();
                    i4 = i3 + i2;
                    break;
                case 9:
                    Object F = z6.F(t, j2);
                    if (F != null) {
                        i7 = F.hashCode();
                    }
                    i4 = (i4 * 53) + i7;
                    break;
                case 10:
                    i3 = i4 * 53;
                    i2 = z6.F(t, j2).hashCode();
                    i4 = i3 + i2;
                    break;
                case 11:
                    i3 = i4 * 53;
                    i2 = z6.b(t, j2);
                    i4 = i3 + i2;
                    break;
                case 12:
                    i3 = i4 * 53;
                    i2 = z6.b(t, j2);
                    i4 = i3 + i2;
                    break;
                case 13:
                    i3 = i4 * 53;
                    i2 = z6.b(t, j2);
                    i4 = i3 + i2;
                    break;
                case 14:
                    i3 = i4 * 53;
                    i2 = f4.b(z6.o(t, j2));
                    i4 = i3 + i2;
                    break;
                case 15:
                    i3 = i4 * 53;
                    i2 = z6.b(t, j2);
                    i4 = i3 + i2;
                    break;
                case 16:
                    i3 = i4 * 53;
                    i2 = f4.b(z6.o(t, j2));
                    i4 = i3 + i2;
                    break;
                case 17:
                    Object F2 = z6.F(t, j2);
                    if (F2 != null) {
                        i7 = F2.hashCode();
                    }
                    i4 = (i4 * 53) + i7;
                    break;
                case 18:
                case 19:
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                case 25:
                case 26:
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32:
                case 33:
                case 34:
                case 35:
                case 36:
                case 37:
                case 38:
                case 39:
                case 40:
                case 41:
                case 42:
                case 43:
                case 44:
                case 45:
                case 46:
                case 47:
                case 48:
                case 49:
                    i3 = i4 * 53;
                    i2 = z6.F(t, j2).hashCode();
                    i4 = i3 + i2;
                    break;
                case 50:
                    i3 = i4 * 53;
                    i2 = z6.F(t, j2).hashCode();
                    i4 = i3 + i2;
                    break;
                case 51:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = f4.b(Double.doubleToLongBits(F(t, j2)));
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 52:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = Float.floatToIntBits(M(t, j2));
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 53:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = f4.b(S(t, j2));
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 54:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = f4.b(S(t, j2));
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 55:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = Q(t, j2);
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 56:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = f4.b(S(t, j2));
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 57:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = Q(t, j2);
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 58:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = f4.c(V(t, j2));
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 59:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = ((String) z6.F(t, j2)).hashCode();
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 60:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = z6.F(t, j2).hashCode();
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 61:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = z6.F(t, j2).hashCode();
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 62:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = Q(t, j2);
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 63:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = Q(t, j2);
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 64:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = Q(t, j2);
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 65:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = f4.b(S(t, j2));
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 66:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = Q(t, j2);
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 67:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = f4.b(S(t, j2));
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
                case 68:
                    if (C(t, i6, i5)) {
                        i3 = i4 * 53;
                        i2 = z6.F(t, j2).hashCode();
                        i4 = i3 + i2;
                        break;
                    } else {
                        break;
                    }
            }
        }
        int hashCode = (i4 * 53) + this.q.k(t).hashCode();
        return this.h ? (hashCode * 53) + this.r.b(t).hashCode() : hashCode;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r4v5, types: [com.google.android.gms.internal.measurement.b6] */
    /* JADX WARN: Type inference failed for: r4v12 */
    /* JADX WARN: Type inference failed for: r4v14, types: [com.google.android.gms.internal.measurement.b6] */
    /* JADX WARN: Type inference failed for: r4v17 */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // com.google.android.gms.internal.measurement.b6
    public final boolean b(T t) {
        int i2;
        int i3 = -1;
        int i4 = 0;
        int i5 = 0;
        while (true) {
            boolean z = true;
            if (i4 >= this.m) {
                return !this.h || this.r.b(t).r();
            }
            int i6 = this.l[i4];
            int i7 = this.f10534c[i6];
            int P = P(i6);
            if (!this.j) {
                int i8 = this.f10534c[i6 + 2];
                int i9 = i8 & 1048575;
                i2 = 1 << (i8 >>> 20);
                if (i9 != i3) {
                    i5 = f10533b.getInt(t, (long) i9);
                    i3 = i9;
                }
            } else {
                i2 = 0;
            }
            if (((268435456 & P) != 0) && !D(t, i6, i5, i2)) {
                return false;
            }
            int i10 = (267386880 & P) >>> 20;
            if (i10 != 9 && i10 != 17) {
                if (i10 != 27) {
                    if (i10 == 60 || i10 == 68) {
                        if (C(t, i7, i6) && !E(t, P, r(i6))) {
                            return false;
                        }
                    } else if (i10 != 49) {
                        if (i10 != 50) {
                            continue;
                        } else {
                            Map<?, ?> d2 = this.s.d(z6.F(t, (long) (P & 1048575)));
                            if (!d2.isEmpty()) {
                                if (this.s.f(H(i6)).f10379c.zza() == zzip.MESSAGE) {
                                    b6<T> b6Var = 0;
                                    Iterator<?> it = d2.values().iterator();
                                    while (true) {
                                        if (!it.hasNext()) {
                                            break;
                                        }
                                        Object next = it.next();
                                        if (b6Var == null) {
                                            b6Var = w5.a().b(next.getClass());
                                        }
                                        boolean b2 = b6Var.b(next);
                                        b6Var = b6Var;
                                        if (!b2) {
                                            z = false;
                                            break;
                                        }
                                    }
                                }
                            }
                            if (!z) {
                                return false;
                            }
                        }
                    }
                }
                List list = (List) z6.F(t, (long) (P & 1048575));
                if (!list.isEmpty()) {
                    ?? r2 = r(i6);
                    int i11 = 0;
                    while (true) {
                        if (i11 >= list.size()) {
                            break;
                        } else if (!r2.b(list.get(i11))) {
                            z = false;
                            break;
                        } else {
                            i11++;
                        }
                    }
                }
                if (!z) {
                    return false;
                }
            } else if (D(t, i6, i5, i2) && !E(t, P, r(i6))) {
                return false;
            }
            i4++;
        }
    }

    @Override // com.google.android.gms.internal.measurement.b6
    public final void c(T t) {
        int i2;
        int i3 = this.m;
        while (true) {
            i2 = this.n;
            if (i3 >= i2) {
                break;
            }
            long P = (long) (P(this.l[i3]) & 1048575);
            Object F = z6.F(t, P);
            if (F != null) {
                z6.j(t, P, this.s.b(F));
            }
            i3++;
        }
        int length = this.l.length;
        while (i2 < length) {
            this.p.e(t, (long) this.l[i2]);
            i2++;
        }
        this.q.q(t);
        if (this.h) {
            this.r.j(t);
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // com.google.android.gms.internal.measurement.b6
    public final int d(T t) {
        int i2;
        int i3;
        long j2;
        int i4;
        int G;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int B;
        int i10;
        int i11;
        int i12;
        int i13 = 267386880;
        int i14 = 1;
        if (this.j) {
            Unsafe unsafe = f10533b;
            int i15 = 0;
            int i16 = 0;
            while (i15 < this.f10534c.length) {
                int P = P(i15);
                int i17 = (P & i13) >>> 20;
                int i18 = this.f10534c[i15];
                long j3 = (long) (P & 1048575);
                int i19 = (i17 < zzex.DOUBLE_LIST_PACKED.zza() || i17 > zzex.SINT64_LIST_PACKED.zza()) ? 0 : this.f10534c[i15 + 2] & 1048575;
                switch (i17) {
                    case 0:
                        if (B(t, i15)) {
                            B = zzen.B(i18, 0.0d);
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 1:
                        if (B(t, i15)) {
                            B = zzen.C(i18, 0.0f);
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 2:
                        if (B(t, i15)) {
                            B = zzen.c0(i18, z6.o(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 3:
                        if (B(t, i15)) {
                            B = zzen.i0(i18, z6.o(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 4:
                        if (B(t, i15)) {
                            B = zzen.m0(i18, z6.b(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 5:
                        if (B(t, i15)) {
                            B = zzen.r0(i18, 0);
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 6:
                        if (B(t, i15)) {
                            B = zzen.y0(i18, 0);
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 7:
                        if (B(t, i15)) {
                            B = zzen.H(i18, true);
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 8:
                        if (B(t, i15)) {
                            Object F = z6.F(t, j3);
                            if (F instanceof zzdu) {
                                B = zzen.U(i18, (zzdu) F);
                                break;
                            } else {
                                B = zzen.G(i18, (String) F);
                                break;
                            }
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 9:
                        if (B(t, i15)) {
                            B = d6.a(i18, z6.F(t, j3), r(i15));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 10:
                        if (B(t, i15)) {
                            B = zzen.U(i18, (zzdu) z6.F(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 11:
                        if (B(t, i15)) {
                            B = zzen.q0(i18, z6.b(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 12:
                        if (B(t, i15)) {
                            B = zzen.D0(i18, z6.b(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 13:
                        if (B(t, i15)) {
                            B = zzen.B0(i18, 0);
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 14:
                        if (B(t, i15)) {
                            B = zzen.v0(i18, 0);
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 15:
                        if (B(t, i15)) {
                            B = zzen.u0(i18, z6.b(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 16:
                        if (B(t, i15)) {
                            B = zzen.n0(i18, z6.o(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 17:
                        if (B(t, i15)) {
                            B = zzen.V(i18, (l5) z6.F(t, j3), r(i15));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 18:
                        B = d6.U(i18, v(t, j3), false);
                        break;
                    case 19:
                        B = d6.R(i18, v(t, j3), false);
                        break;
                    case 20:
                        B = d6.d(i18, v(t, j3), false);
                        break;
                    case 21:
                        B = d6.t(i18, v(t, j3), false);
                        break;
                    case 22:
                        B = d6.H(i18, v(t, j3), false);
                        break;
                    case 23:
                        B = d6.U(i18, v(t, j3), false);
                        break;
                    case 24:
                        B = d6.R(i18, v(t, j3), false);
                        break;
                    case 25:
                        B = d6.X(i18, v(t, j3), false);
                        break;
                    case 26:
                        B = d6.b(i18, v(t, j3));
                        break;
                    case 27:
                        B = d6.c(i18, v(t, j3), r(i15));
                        break;
                    case 28:
                        B = d6.r(i18, v(t, j3));
                        break;
                    case 29:
                        B = d6.L(i18, v(t, j3), false);
                        break;
                    case 30:
                        B = d6.D(i18, v(t, j3), false);
                        break;
                    case 31:
                        B = d6.R(i18, v(t, j3), false);
                        break;
                    case 32:
                        B = d6.U(i18, v(t, j3), false);
                        break;
                    case 33:
                        B = d6.O(i18, v(t, j3), false);
                        break;
                    case 34:
                        B = d6.z(i18, v(t, j3), false);
                        break;
                    case 35:
                        i11 = d6.V((List) unsafe.getObject(t, j3));
                        if (i11 > 0) {
                            if (this.k) {
                                unsafe.putInt(t, (long) i19, i11);
                            }
                            i12 = zzen.h0(i18);
                            i10 = zzen.p0(i11);
                            B = i12 + i10 + i11;
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 36:
                        i11 = d6.S((List) unsafe.getObject(t, j3));
                        if (i11 > 0) {
                            if (this.k) {
                                unsafe.putInt(t, (long) i19, i11);
                            }
                            i12 = zzen.h0(i18);
                            i10 = zzen.p0(i11);
                            B = i12 + i10 + i11;
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 37:
                        i11 = d6.e((List) unsafe.getObject(t, j3));
                        if (i11 > 0) {
                            if (this.k) {
                                unsafe.putInt(t, (long) i19, i11);
                            }
                            i12 = zzen.h0(i18);
                            i10 = zzen.p0(i11);
                            B = i12 + i10 + i11;
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 38:
                        i11 = d6.u((List) unsafe.getObject(t, j3));
                        if (i11 > 0) {
                            if (this.k) {
                                unsafe.putInt(t, (long) i19, i11);
                            }
                            i12 = zzen.h0(i18);
                            i10 = zzen.p0(i11);
                            B = i12 + i10 + i11;
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 39:
                        i11 = d6.I((List) unsafe.getObject(t, j3));
                        if (i11 > 0) {
                            if (this.k) {
                                unsafe.putInt(t, (long) i19, i11);
                            }
                            i12 = zzen.h0(i18);
                            i10 = zzen.p0(i11);
                            B = i12 + i10 + i11;
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 40:
                        i11 = d6.V((List) unsafe.getObject(t, j3));
                        if (i11 > 0) {
                            if (this.k) {
                                unsafe.putInt(t, (long) i19, i11);
                            }
                            i12 = zzen.h0(i18);
                            i10 = zzen.p0(i11);
                            B = i12 + i10 + i11;
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 41:
                        i11 = d6.S((List) unsafe.getObject(t, j3));
                        if (i11 > 0) {
                            if (this.k) {
                                unsafe.putInt(t, (long) i19, i11);
                            }
                            i12 = zzen.h0(i18);
                            i10 = zzen.p0(i11);
                            B = i12 + i10 + i11;
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 42:
                        i11 = d6.Y((List) unsafe.getObject(t, j3));
                        if (i11 > 0) {
                            if (this.k) {
                                unsafe.putInt(t, (long) i19, i11);
                            }
                            i12 = zzen.h0(i18);
                            i10 = zzen.p0(i11);
                            B = i12 + i10 + i11;
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 43:
                        i11 = d6.M((List) unsafe.getObject(t, j3));
                        if (i11 > 0) {
                            if (this.k) {
                                unsafe.putInt(t, (long) i19, i11);
                            }
                            i12 = zzen.h0(i18);
                            i10 = zzen.p0(i11);
                            B = i12 + i10 + i11;
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 44:
                        i11 = d6.E((List) unsafe.getObject(t, j3));
                        if (i11 > 0) {
                            if (this.k) {
                                unsafe.putInt(t, (long) i19, i11);
                            }
                            i12 = zzen.h0(i18);
                            i10 = zzen.p0(i11);
                            B = i12 + i10 + i11;
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 45:
                        i11 = d6.S((List) unsafe.getObject(t, j3));
                        if (i11 > 0) {
                            if (this.k) {
                                unsafe.putInt(t, (long) i19, i11);
                            }
                            i12 = zzen.h0(i18);
                            i10 = zzen.p0(i11);
                            B = i12 + i10 + i11;
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 46:
                        i11 = d6.V((List) unsafe.getObject(t, j3));
                        if (i11 > 0) {
                            if (this.k) {
                                unsafe.putInt(t, (long) i19, i11);
                            }
                            i12 = zzen.h0(i18);
                            i10 = zzen.p0(i11);
                            B = i12 + i10 + i11;
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 47:
                        i11 = d6.P((List) unsafe.getObject(t, j3));
                        if (i11 > 0) {
                            if (this.k) {
                                unsafe.putInt(t, (long) i19, i11);
                            }
                            i12 = zzen.h0(i18);
                            i10 = zzen.p0(i11);
                            B = i12 + i10 + i11;
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 48:
                        i11 = d6.A((List) unsafe.getObject(t, j3));
                        if (i11 > 0) {
                            if (this.k) {
                                unsafe.putInt(t, (long) i19, i11);
                            }
                            i12 = zzen.h0(i18);
                            i10 = zzen.p0(i11);
                            B = i12 + i10 + i11;
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 49:
                        B = d6.s(i18, v(t, j3), r(i15));
                        break;
                    case 50:
                        B = this.s.h(i18, z6.F(t, j3), H(i15));
                        break;
                    case 51:
                        if (C(t, i18, i15)) {
                            B = zzen.B(i18, 0.0d);
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 52:
                        if (C(t, i18, i15)) {
                            B = zzen.C(i18, 0.0f);
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 53:
                        if (C(t, i18, i15)) {
                            B = zzen.c0(i18, S(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 54:
                        if (C(t, i18, i15)) {
                            B = zzen.i0(i18, S(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 55:
                        if (C(t, i18, i15)) {
                            B = zzen.m0(i18, Q(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 56:
                        if (C(t, i18, i15)) {
                            B = zzen.r0(i18, 0);
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 57:
                        if (C(t, i18, i15)) {
                            B = zzen.y0(i18, 0);
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 58:
                        if (C(t, i18, i15)) {
                            B = zzen.H(i18, true);
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 59:
                        if (C(t, i18, i15)) {
                            Object F2 = z6.F(t, j3);
                            if (F2 instanceof zzdu) {
                                B = zzen.U(i18, (zzdu) F2);
                                break;
                            } else {
                                B = zzen.G(i18, (String) F2);
                                break;
                            }
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 60:
                        if (C(t, i18, i15)) {
                            B = d6.a(i18, z6.F(t, j3), r(i15));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 61:
                        if (C(t, i18, i15)) {
                            B = zzen.U(i18, (zzdu) z6.F(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 62:
                        if (C(t, i18, i15)) {
                            B = zzen.q0(i18, Q(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 63:
                        if (C(t, i18, i15)) {
                            B = zzen.D0(i18, Q(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 64:
                        if (C(t, i18, i15)) {
                            B = zzen.B0(i18, 0);
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 65:
                        if (C(t, i18, i15)) {
                            B = zzen.v0(i18, 0);
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 66:
                        if (C(t, i18, i15)) {
                            B = zzen.u0(i18, Q(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 67:
                        if (C(t, i18, i15)) {
                            B = zzen.n0(i18, S(t, j3));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    case 68:
                        if (C(t, i18, i15)) {
                            B = zzen.V(i18, (l5) z6.F(t, j3), r(i15));
                            break;
                        } else {
                            continue;
                            i15 += 3;
                            i13 = 267386880;
                        }
                    default:
                        i15 += 3;
                        i13 = 267386880;
                }
                i16 += B;
                i15 += 3;
                i13 = 267386880;
            }
            return i16 + k(this.q, t);
        }
        Unsafe unsafe2 = f10533b;
        int i20 = -1;
        int i21 = 0;
        int i22 = 0;
        int i23 = 0;
        while (i21 < this.f10534c.length) {
            int P2 = P(i21);
            int[] iArr = this.f10534c;
            int i24 = iArr[i21];
            int i25 = (P2 & 267386880) >>> 20;
            if (i25 <= 17) {
                int i26 = iArr[i21 + 2];
                int i27 = i26 & 1048575;
                i2 = i14 << (i26 >>> 20);
                if (i27 != i20) {
                    i23 = unsafe2.getInt(t, (long) i27);
                    i20 = i27;
                }
                i3 = i26;
            } else {
                i3 = (!this.k || i25 < zzex.DOUBLE_LIST_PACKED.zza() || i25 > zzex.SINT64_LIST_PACKED.zza()) ? 0 : this.f10534c[i21 + 2] & 1048575;
                i2 = 0;
            }
            long j4 = (long) (P2 & 1048575);
            switch (i25) {
                case 0:
                    j2 = 0;
                    if ((i23 & i2) != 0) {
                        i22 += zzen.B(i24, 0.0d);
                        break;
                    }
                    break;
                case 1:
                    j2 = 0;
                    if ((i23 & i2) != 0) {
                        i22 += zzen.C(i24, 0.0f);
                        break;
                    }
                case 2:
                    j2 = 0;
                    if ((i23 & i2) != 0) {
                        i4 = zzen.c0(i24, unsafe2.getLong(t, j4));
                        i22 += i4;
                    }
                    break;
                case 3:
                    j2 = 0;
                    if ((i23 & i2) != 0) {
                        i4 = zzen.i0(i24, unsafe2.getLong(t, j4));
                        i22 += i4;
                    }
                    break;
                case 4:
                    j2 = 0;
                    if ((i23 & i2) != 0) {
                        i4 = zzen.m0(i24, unsafe2.getInt(t, j4));
                        i22 += i4;
                    }
                    break;
                case 5:
                    j2 = 0;
                    if ((i23 & i2) != 0) {
                        i4 = zzen.r0(i24, 0);
                        i22 += i4;
                    }
                    break;
                case 6:
                    if ((i23 & i2) != 0) {
                        i22 += zzen.y0(i24, 0);
                        j2 = 0;
                        break;
                    }
                    j2 = 0;
                case 7:
                    if ((i23 & i2) != 0) {
                        i22 += zzen.H(i24, true);
                        j2 = 0;
                        break;
                    }
                    j2 = 0;
                case 8:
                    if ((i23 & i2) != 0) {
                        Object object = unsafe2.getObject(t, j4);
                        if (object instanceof zzdu) {
                            G = zzen.U(i24, (zzdu) object);
                        } else {
                            G = zzen.G(i24, (String) object);
                        }
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 9:
                    if ((i23 & i2) != 0) {
                        G = d6.a(i24, unsafe2.getObject(t, j4), r(i21));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 10:
                    if ((i23 & i2) != 0) {
                        G = zzen.U(i24, (zzdu) unsafe2.getObject(t, j4));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 11:
                    if ((i23 & i2) != 0) {
                        G = zzen.q0(i24, unsafe2.getInt(t, j4));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 12:
                    if ((i23 & i2) != 0) {
                        G = zzen.D0(i24, unsafe2.getInt(t, j4));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 13:
                    if ((i23 & i2) != 0) {
                        i5 = zzen.B0(i24, 0);
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 14:
                    if ((i23 & i2) != 0) {
                        G = zzen.v0(i24, 0);
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 15:
                    if ((i23 & i2) != 0) {
                        G = zzen.u0(i24, unsafe2.getInt(t, j4));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 16:
                    if ((i23 & i2) != 0) {
                        G = zzen.n0(i24, unsafe2.getLong(t, j4));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 17:
                    if ((i23 & i2) != 0) {
                        G = zzen.V(i24, (l5) unsafe2.getObject(t, j4), r(i21));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 18:
                    G = d6.U(i24, (List) unsafe2.getObject(t, j4), false);
                    i22 += G;
                    j2 = 0;
                    break;
                case 19:
                    i6 = d6.R(i24, (List) unsafe2.getObject(t, j4), false);
                    i22 += i6;
                    j2 = 0;
                    break;
                case 20:
                    i6 = d6.d(i24, (List) unsafe2.getObject(t, j4), false);
                    i22 += i6;
                    j2 = 0;
                    break;
                case 21:
                    i6 = d6.t(i24, (List) unsafe2.getObject(t, j4), false);
                    i22 += i6;
                    j2 = 0;
                    break;
                case 22:
                    i6 = d6.H(i24, (List) unsafe2.getObject(t, j4), false);
                    i22 += i6;
                    j2 = 0;
                    break;
                case 23:
                    i6 = d6.U(i24, (List) unsafe2.getObject(t, j4), false);
                    i22 += i6;
                    j2 = 0;
                    break;
                case 24:
                    i6 = d6.R(i24, (List) unsafe2.getObject(t, j4), false);
                    i22 += i6;
                    j2 = 0;
                    break;
                case 25:
                    i6 = d6.X(i24, (List) unsafe2.getObject(t, j4), false);
                    i22 += i6;
                    j2 = 0;
                    break;
                case 26:
                    G = d6.b(i24, (List) unsafe2.getObject(t, j4));
                    i22 += G;
                    j2 = 0;
                    break;
                case 27:
                    G = d6.c(i24, (List) unsafe2.getObject(t, j4), r(i21));
                    i22 += G;
                    j2 = 0;
                    break;
                case 28:
                    G = d6.r(i24, (List) unsafe2.getObject(t, j4));
                    i22 += G;
                    j2 = 0;
                    break;
                case 29:
                    G = d6.L(i24, (List) unsafe2.getObject(t, j4), false);
                    i22 += G;
                    j2 = 0;
                    break;
                case 30:
                    i6 = d6.D(i24, (List) unsafe2.getObject(t, j4), false);
                    i22 += i6;
                    j2 = 0;
                    break;
                case 31:
                    i6 = d6.R(i24, (List) unsafe2.getObject(t, j4), false);
                    i22 += i6;
                    j2 = 0;
                    break;
                case 32:
                    i6 = d6.U(i24, (List) unsafe2.getObject(t, j4), false);
                    i22 += i6;
                    j2 = 0;
                    break;
                case 33:
                    i6 = d6.O(i24, (List) unsafe2.getObject(t, j4), false);
                    i22 += i6;
                    j2 = 0;
                    break;
                case 34:
                    i6 = d6.z(i24, (List) unsafe2.getObject(t, j4), false);
                    i22 += i6;
                    j2 = 0;
                    break;
                case 35:
                    i9 = d6.V((List) unsafe2.getObject(t, j4));
                    if (i9 > 0) {
                        if (this.k) {
                            unsafe2.putInt(t, (long) i3, i9);
                        }
                        i8 = zzen.h0(i24);
                        i7 = zzen.p0(i9);
                        i5 = i8 + i7 + i9;
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 36:
                    i9 = d6.S((List) unsafe2.getObject(t, j4));
                    if (i9 > 0) {
                        if (this.k) {
                            unsafe2.putInt(t, (long) i3, i9);
                        }
                        i8 = zzen.h0(i24);
                        i7 = zzen.p0(i9);
                        i5 = i8 + i7 + i9;
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 37:
                    i9 = d6.e((List) unsafe2.getObject(t, j4));
                    if (i9 > 0) {
                        if (this.k) {
                            unsafe2.putInt(t, (long) i3, i9);
                        }
                        i8 = zzen.h0(i24);
                        i7 = zzen.p0(i9);
                        i5 = i8 + i7 + i9;
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 38:
                    i9 = d6.u((List) unsafe2.getObject(t, j4));
                    if (i9 > 0) {
                        if (this.k) {
                            unsafe2.putInt(t, (long) i3, i9);
                        }
                        i8 = zzen.h0(i24);
                        i7 = zzen.p0(i9);
                        i5 = i8 + i7 + i9;
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 39:
                    i9 = d6.I((List) unsafe2.getObject(t, j4));
                    if (i9 > 0) {
                        if (this.k) {
                            unsafe2.putInt(t, (long) i3, i9);
                        }
                        i8 = zzen.h0(i24);
                        i7 = zzen.p0(i9);
                        i5 = i8 + i7 + i9;
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 40:
                    i9 = d6.V((List) unsafe2.getObject(t, j4));
                    if (i9 > 0) {
                        if (this.k) {
                            unsafe2.putInt(t, (long) i3, i9);
                        }
                        i8 = zzen.h0(i24);
                        i7 = zzen.p0(i9);
                        i5 = i8 + i7 + i9;
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 41:
                    i9 = d6.S((List) unsafe2.getObject(t, j4));
                    if (i9 > 0) {
                        if (this.k) {
                            unsafe2.putInt(t, (long) i3, i9);
                        }
                        i8 = zzen.h0(i24);
                        i7 = zzen.p0(i9);
                        i5 = i8 + i7 + i9;
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 42:
                    i9 = d6.Y((List) unsafe2.getObject(t, j4));
                    if (i9 > 0) {
                        if (this.k) {
                            unsafe2.putInt(t, (long) i3, i9);
                        }
                        i8 = zzen.h0(i24);
                        i7 = zzen.p0(i9);
                        i5 = i8 + i7 + i9;
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 43:
                    i9 = d6.M((List) unsafe2.getObject(t, j4));
                    if (i9 > 0) {
                        if (this.k) {
                            unsafe2.putInt(t, (long) i3, i9);
                        }
                        i8 = zzen.h0(i24);
                        i7 = zzen.p0(i9);
                        i5 = i8 + i7 + i9;
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 44:
                    i9 = d6.E((List) unsafe2.getObject(t, j4));
                    if (i9 > 0) {
                        if (this.k) {
                            unsafe2.putInt(t, (long) i3, i9);
                        }
                        i8 = zzen.h0(i24);
                        i7 = zzen.p0(i9);
                        i5 = i8 + i7 + i9;
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 45:
                    i9 = d6.S((List) unsafe2.getObject(t, j4));
                    if (i9 > 0) {
                        if (this.k) {
                            unsafe2.putInt(t, (long) i3, i9);
                        }
                        i8 = zzen.h0(i24);
                        i7 = zzen.p0(i9);
                        i5 = i8 + i7 + i9;
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 46:
                    i9 = d6.V((List) unsafe2.getObject(t, j4));
                    if (i9 > 0) {
                        if (this.k) {
                            unsafe2.putInt(t, (long) i3, i9);
                        }
                        i8 = zzen.h0(i24);
                        i7 = zzen.p0(i9);
                        i5 = i8 + i7 + i9;
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 47:
                    i9 = d6.P((List) unsafe2.getObject(t, j4));
                    if (i9 > 0) {
                        if (this.k) {
                            unsafe2.putInt(t, (long) i3, i9);
                        }
                        i8 = zzen.h0(i24);
                        i7 = zzen.p0(i9);
                        i5 = i8 + i7 + i9;
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 48:
                    i9 = d6.A((List) unsafe2.getObject(t, j4));
                    if (i9 > 0) {
                        if (this.k) {
                            unsafe2.putInt(t, (long) i3, i9);
                        }
                        i8 = zzen.h0(i24);
                        i7 = zzen.p0(i9);
                        i5 = i8 + i7 + i9;
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 49:
                    G = d6.s(i24, (List) unsafe2.getObject(t, j4), r(i21));
                    i22 += G;
                    j2 = 0;
                    break;
                case 50:
                    G = this.s.h(i24, unsafe2.getObject(t, j4), H(i21));
                    i22 += G;
                    j2 = 0;
                    break;
                case 51:
                    if (C(t, i24, i21)) {
                        G = zzen.B(i24, 0.0d);
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 52:
                    if (C(t, i24, i21)) {
                        i5 = zzen.C(i24, 0.0f);
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 53:
                    if (C(t, i24, i21)) {
                        G = zzen.c0(i24, S(t, j4));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 54:
                    if (C(t, i24, i21)) {
                        G = zzen.i0(i24, S(t, j4));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 55:
                    if (C(t, i24, i21)) {
                        G = zzen.m0(i24, Q(t, j4));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 56:
                    if (C(t, i24, i21)) {
                        G = zzen.r0(i24, 0);
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 57:
                    if (C(t, i24, i21)) {
                        i5 = zzen.y0(i24, 0);
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 58:
                    if (C(t, i24, i21)) {
                        i5 = zzen.H(i24, true);
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 59:
                    if (C(t, i24, i21)) {
                        Object object2 = unsafe2.getObject(t, j4);
                        if (object2 instanceof zzdu) {
                            G = zzen.U(i24, (zzdu) object2);
                        } else {
                            G = zzen.G(i24, (String) object2);
                        }
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 60:
                    if (C(t, i24, i21)) {
                        G = d6.a(i24, unsafe2.getObject(t, j4), r(i21));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 61:
                    if (C(t, i24, i21)) {
                        G = zzen.U(i24, (zzdu) unsafe2.getObject(t, j4));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 62:
                    if (C(t, i24, i21)) {
                        G = zzen.q0(i24, Q(t, j4));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 63:
                    if (C(t, i24, i21)) {
                        G = zzen.D0(i24, Q(t, j4));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 64:
                    if (C(t, i24, i21)) {
                        i5 = zzen.B0(i24, 0);
                        i22 += i5;
                    }
                    j2 = 0;
                    break;
                case 65:
                    if (C(t, i24, i21)) {
                        G = zzen.v0(i24, 0);
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 66:
                    if (C(t, i24, i21)) {
                        G = zzen.u0(i24, Q(t, j4));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 67:
                    if (C(t, i24, i21)) {
                        G = zzen.n0(i24, S(t, j4));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                case 68:
                    if (C(t, i24, i21)) {
                        G = zzen.V(i24, (l5) unsafe2.getObject(t, j4), r(i21));
                        i22 += G;
                    }
                    j2 = 0;
                    break;
                default:
                    j2 = 0;
                    break;
            }
            i21 += 3;
            i14 = 1;
        }
        int i28 = 0;
        int k2 = i22 + k(this.q, t);
        if (!this.h) {
            return k2;
        }
        w3<?> b2 = this.r.b(t);
        for (int i29 = 0; i29 < b2.f10641b.j(); i29++) {
            Map.Entry<T, Object> h2 = b2.f10641b.h(i29);
            i28 += w3.a(h2.getKey(), h2.getValue());
        }
        for (Map.Entry<T, Object> entry : b2.f10641b.m()) {
            i28 += w3.a(entry.getKey(), entry.getValue());
        }
        return k2 + i28;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:14:0x006a, code lost:
        if (com.google.android.gms.internal.measurement.d6.q(com.google.android.gms.internal.measurement.z6.F(r10, r6), com.google.android.gms.internal.measurement.z6.F(r11, r6)) != false) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x007e, code lost:
        if (com.google.android.gms.internal.measurement.z6.o(r10, r6) == com.google.android.gms.internal.measurement.z6.o(r11, r6)) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0090, code lost:
        if (com.google.android.gms.internal.measurement.z6.b(r10, r6) == com.google.android.gms.internal.measurement.z6.b(r11, r6)) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x00a4, code lost:
        if (com.google.android.gms.internal.measurement.z6.o(r10, r6) == com.google.android.gms.internal.measurement.z6.o(r11, r6)) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x00b6, code lost:
        if (com.google.android.gms.internal.measurement.z6.b(r10, r6) == com.google.android.gms.internal.measurement.z6.b(r11, r6)) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x00c8, code lost:
        if (com.google.android.gms.internal.measurement.z6.b(r10, r6) == com.google.android.gms.internal.measurement.z6.b(r11, r6)) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:38:0x00da, code lost:
        if (com.google.android.gms.internal.measurement.z6.b(r10, r6) == com.google.android.gms.internal.measurement.z6.b(r11, r6)) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:42:0x00f0, code lost:
        if (com.google.android.gms.internal.measurement.d6.q(com.google.android.gms.internal.measurement.z6.F(r10, r6), com.google.android.gms.internal.measurement.z6.F(r11, r6)) != false) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:46:0x0106, code lost:
        if (com.google.android.gms.internal.measurement.d6.q(com.google.android.gms.internal.measurement.z6.F(r10, r6), com.google.android.gms.internal.measurement.z6.F(r11, r6)) != false) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:50:0x011c, code lost:
        if (com.google.android.gms.internal.measurement.d6.q(com.google.android.gms.internal.measurement.z6.F(r10, r6), com.google.android.gms.internal.measurement.z6.F(r11, r6)) != false) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:54:0x012e, code lost:
        if (com.google.android.gms.internal.measurement.z6.w(r10, r6) == com.google.android.gms.internal.measurement.z6.w(r11, r6)) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:58:0x0140, code lost:
        if (com.google.android.gms.internal.measurement.z6.b(r10, r6) == com.google.android.gms.internal.measurement.z6.b(r11, r6)) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:62:0x0154, code lost:
        if (com.google.android.gms.internal.measurement.z6.o(r10, r6) == com.google.android.gms.internal.measurement.z6.o(r11, r6)) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:66:0x0165, code lost:
        if (com.google.android.gms.internal.measurement.z6.b(r10, r6) == com.google.android.gms.internal.measurement.z6.b(r11, r6)) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:70:0x0178, code lost:
        if (com.google.android.gms.internal.measurement.z6.o(r10, r6) == com.google.android.gms.internal.measurement.z6.o(r11, r6)) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:74:0x018b, code lost:
        if (com.google.android.gms.internal.measurement.z6.o(r10, r6) == com.google.android.gms.internal.measurement.z6.o(r11, r6)) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:78:0x01a4, code lost:
        if (java.lang.Float.floatToIntBits(com.google.android.gms.internal.measurement.z6.x(r10, r6)) == java.lang.Float.floatToIntBits(com.google.android.gms.internal.measurement.z6.x(r11, r6))) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:82:0x01bf, code lost:
        if (java.lang.Double.doubleToLongBits(com.google.android.gms.internal.measurement.z6.C(r10, r6)) == java.lang.Double.doubleToLongBits(com.google.android.gms.internal.measurement.z6.C(r11, r6))) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x0038, code lost:
        if (com.google.android.gms.internal.measurement.d6.q(com.google.android.gms.internal.measurement.z6.F(r10, r6), com.google.android.gms.internal.measurement.z6.F(r11, r6)) != false) goto L_0x01c2;
     */
    @Override // com.google.android.gms.internal.measurement.b6
    public final boolean e(T t, T t2) {
        int length = this.f10534c.length;
        int i2 = 0;
        while (true) {
            boolean z = true;
            if (i2 < length) {
                int P = P(i2);
                long j2 = (long) (P & 1048575);
                switch ((P & 267386880) >>> 20) {
                    case 0:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 1:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 2:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 3:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 4:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 5:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 6:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 7:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 8:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 9:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 10:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 11:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 12:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 13:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 14:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 15:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 16:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 17:
                        if (O(t, t2, i2)) {
                            break;
                        }
                        z = false;
                        break;
                    case 18:
                    case 19:
                    case 20:
                    case 21:
                    case 22:
                    case 23:
                    case 24:
                    case 25:
                    case 26:
                    case 27:
                    case 28:
                    case 29:
                    case 30:
                    case 31:
                    case 32:
                    case 33:
                    case 34:
                    case 35:
                    case 36:
                    case 37:
                    case 38:
                    case 39:
                    case 40:
                    case 41:
                    case 42:
                    case 43:
                    case 44:
                    case 45:
                    case 46:
                    case 47:
                    case 48:
                    case 49:
                        z = d6.q(z6.F(t, j2), z6.F(t2, j2));
                        break;
                    case 50:
                        z = d6.q(z6.F(t, j2), z6.F(t2, j2));
                        break;
                    case 51:
                    case 52:
                    case 53:
                    case 54:
                    case 55:
                    case 56:
                    case 57:
                    case 58:
                    case 59:
                    case 60:
                    case 61:
                    case 62:
                    case 63:
                    case 64:
                    case 65:
                    case 66:
                    case 67:
                    case 68:
                        long R = (long) (R(i2) & 1048575);
                        if (z6.b(t, R) == z6.b(t2, R)) {
                            break;
                        }
                        z = false;
                        break;
                }
                if (!z) {
                    return false;
                }
                i2 += 3;
            } else if (!this.q.k(t).equals(this.q.k(t2))) {
                return false;
            } else {
                if (this.h) {
                    return this.r.b(t).equals(this.r.b(t2));
                }
                return true;
            }
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v13, types: [int] */
    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Code restructure failed: missing block: B:88:0x01e2, code lost:
        if (r0 == r8) goto L_0x0230;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:94:0x020f, code lost:
        if (r0 == r15) goto L_0x0230;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:97:0x022e, code lost:
        if (r0 == r15) goto L_0x0230;
     */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // com.google.android.gms.internal.measurement.b6
    public final void f(T t, byte[] bArr, int i2, int i3, u2 u2Var) throws IOException {
        byte b2;
        int i4;
        int i5;
        int i6;
        int i7;
        Unsafe unsafe;
        int i8;
        int i9;
        int i10;
        int i11;
        p5<T> p5Var = this;
        T t2 = t;
        byte[] bArr2 = bArr;
        int i12 = i3;
        u2 u2Var2 = u2Var;
        if (p5Var.j) {
            Unsafe unsafe2 = f10533b;
            int i13 = -1;
            int i14 = i2;
            int i15 = -1;
            int i16 = 0;
            while (i14 < i12) {
                int i17 = i14 + 1;
                byte b3 = bArr2[i14];
                if (b3 < 0) {
                    i4 = r2.d(b3, bArr2, i17, u2Var2);
                    b2 = u2Var2.f10603a;
                } else {
                    b2 = b3;
                    i4 = i17;
                }
                int i18 = b2 >>> 3;
                int i19 = b2 & 7;
                if (i18 > i15) {
                    i5 = p5Var.j(i18, i16 / 3);
                } else {
                    i5 = p5Var.W(i18);
                }
                if (i5 == i13) {
                    i6 = i18;
                    i8 = i4;
                    unsafe = unsafe2;
                    i7 = 0;
                } else {
                    int i20 = p5Var.f10534c[i5 + 1];
                    int i21 = (267386880 & i20) >>> 20;
                    long j2 = (long) (1048575 & i20);
                    if (i21 <= 17) {
                        boolean z = true;
                        switch (i21) {
                            case 0:
                                i10 = i5;
                                if (i19 == 1) {
                                    z6.f(t2, j2, r2.m(bArr2, i4));
                                    i14 = i4 + 8;
                                    i15 = i18;
                                    i16 = i10;
                                    break;
                                }
                                i6 = i18;
                                i9 = i4;
                                unsafe = unsafe2;
                                i7 = i10;
                                i8 = i9;
                                break;
                            case 1:
                                i10 = i5;
                                if (i19 == 5) {
                                    z6.g(t2, j2, r2.o(bArr2, i4));
                                    i14 = i4 + 4;
                                    i15 = i18;
                                    i16 = i10;
                                    break;
                                }
                                i6 = i18;
                                i9 = i4;
                                unsafe = unsafe2;
                                i7 = i10;
                                i8 = i9;
                                break;
                            case 2:
                            case 3:
                                i10 = i5;
                                if (i19 == 0) {
                                    i11 = r2.k(bArr2, i4, u2Var2);
                                    unsafe2.putLong(t, j2, u2Var2.f10604b);
                                    i14 = i11;
                                    i15 = i18;
                                    i16 = i10;
                                    break;
                                }
                                i6 = i18;
                                i9 = i4;
                                unsafe = unsafe2;
                                i7 = i10;
                                i8 = i9;
                                break;
                            case 4:
                            case 11:
                                i10 = i5;
                                if (i19 == 0) {
                                    i14 = r2.i(bArr2, i4, u2Var2);
                                    unsafe2.putInt(t2, j2, u2Var2.f10603a);
                                    i15 = i18;
                                    i16 = i10;
                                    break;
                                }
                                i6 = i18;
                                i9 = i4;
                                unsafe = unsafe2;
                                i7 = i10;
                                i8 = i9;
                                break;
                            case 5:
                            case 14:
                                if (i19 == 1) {
                                    i10 = i5;
                                    unsafe2.putLong(t, j2, r2.l(bArr2, i4));
                                    i14 = i4 + 8;
                                    i15 = i18;
                                    i16 = i10;
                                    break;
                                }
                                break;
                            case 6:
                            case 13:
                                if (i19 == 5) {
                                    unsafe2.putInt(t2, j2, r2.h(bArr2, i4));
                                    i14 = i4 + 4;
                                    i16 = i5;
                                    i15 = i18;
                                    break;
                                }
                                break;
                            case 7:
                                if (i19 == 0) {
                                    int k2 = r2.k(bArr2, i4, u2Var2);
                                    if (u2Var2.f10604b == 0) {
                                        z = false;
                                    }
                                    z6.k(t2, j2, z);
                                    i14 = k2;
                                    i16 = i5;
                                    i15 = i18;
                                    break;
                                }
                                break;
                            case 8:
                                if (i19 == 2) {
                                    if ((536870912 & i20) == 0) {
                                        i14 = r2.n(bArr2, i4, u2Var2);
                                    } else {
                                        i14 = r2.p(bArr2, i4, u2Var2);
                                    }
                                    unsafe2.putObject(t2, j2, u2Var2.f10605c);
                                    i16 = i5;
                                    i15 = i18;
                                    break;
                                }
                                break;
                            case 9:
                                if (i19 == 2) {
                                    i14 = r2.g(p5Var.r(i5), bArr2, i4, i12, u2Var2);
                                    Object object = unsafe2.getObject(t2, j2);
                                    if (object == null) {
                                        unsafe2.putObject(t2, j2, u2Var2.f10605c);
                                    } else {
                                        unsafe2.putObject(t2, j2, f4.e(object, u2Var2.f10605c));
                                    }
                                    i16 = i5;
                                    i15 = i18;
                                    break;
                                }
                                break;
                            case 10:
                                if (i19 == 2) {
                                    i14 = r2.q(bArr2, i4, u2Var2);
                                    unsafe2.putObject(t2, j2, u2Var2.f10605c);
                                    i16 = i5;
                                    i15 = i18;
                                    break;
                                }
                                break;
                            case 12:
                                i10 = i5;
                                if (i19 == 0) {
                                    i14 = r2.i(bArr2, i4, u2Var2);
                                    unsafe2.putInt(t2, j2, u2Var2.f10603a);
                                    i15 = i18;
                                    i16 = i10;
                                    break;
                                }
                                i6 = i18;
                                i9 = i4;
                                unsafe = unsafe2;
                                i7 = i10;
                                i8 = i9;
                                break;
                            case 15:
                                i10 = i5;
                                if (i19 == 0) {
                                    i14 = r2.i(bArr2, i4, u2Var2);
                                    unsafe2.putInt(t2, j2, h3.k(u2Var2.f10603a));
                                    i15 = i18;
                                    i16 = i10;
                                    break;
                                }
                                i6 = i18;
                                i9 = i4;
                                unsafe = unsafe2;
                                i7 = i10;
                                i8 = i9;
                                break;
                            case 16:
                                if (i19 == 0) {
                                    i11 = r2.k(bArr2, i4, u2Var2);
                                    i10 = i5;
                                    unsafe2.putLong(t, j2, h3.b(u2Var2.f10604b));
                                    i14 = i11;
                                    i15 = i18;
                                    i16 = i10;
                                    break;
                                }
                                break;
                        }
                        i13 = -1;
                    } else if (i21 != 27) {
                        i7 = i5;
                        if (i21 <= 49) {
                            i6 = i18;
                            unsafe = unsafe2;
                            i14 = m(t, bArr, i4, i3, b2, i18, i19, i7, (long) i20, i21, j2, u2Var);
                        } else {
                            i6 = i18;
                            i9 = i4;
                            unsafe = unsafe2;
                            if (i21 == 50) {
                                if (i19 == 2) {
                                    i14 = n(t, bArr, i9, i3, i7, j2, u2Var);
                                }
                                i8 = i9;
                            } else {
                                i14 = l(t, bArr, i9, i3, b2, i6, i19, i20, i21, j2, i7, u2Var);
                            }
                        }
                        i8 = i14;
                    } else if (i19 == 2) {
                        l4 l4Var = (l4) unsafe2.getObject(t2, j2);
                        if (!l4Var.zza()) {
                            int size = l4Var.size();
                            l4Var = l4Var.a(size == 0 ? 10 : size << 1);
                            unsafe2.putObject(t2, j2, l4Var);
                        }
                        i14 = r2.e(p5Var.r(i5), b2, bArr, i4, i3, l4Var, u2Var);
                        i15 = i18;
                        i16 = i5;
                        i13 = -1;
                    }
                    i7 = i5;
                    i6 = i18;
                    i9 = i4;
                    unsafe = unsafe2;
                    i8 = i9;
                }
                i14 = r2.c(b2, bArr, i8, i3, T(t), u2Var);
                p5Var = this;
                t2 = t;
                bArr2 = bArr;
                i12 = i3;
                u2Var2 = u2Var;
                unsafe2 = unsafe;
                i16 = i7;
                i15 = i6;
                i13 = -1;
            }
            if (i14 != i12) {
                throw zzfo.g();
            }
            return;
        }
        o(t, bArr, i2, i3, 0, u2Var);
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x003b  */
    /* JADX WARNING: Removed duplicated region for block: B:163:0x0513  */
    /* JADX WARNING: Removed duplicated region for block: B:178:0x0552  */
    /* JADX WARNING: Removed duplicated region for block: B:331:0x0a2a  */
    @Override // com.google.android.gms.internal.measurement.b6
    public final void g(T t, o7 o7Var) throws IOException {
        Map.Entry<?, Object> entry;
        Iterator<Map.Entry<?, Object>> it;
        int length;
        int i2;
        Map.Entry<?, Object> entry2;
        Iterator<Map.Entry<?, Object>> it2;
        int length2;
        if (o7Var.zza() == d4.e.m) {
            x(this.q, t, o7Var);
            if (this.h) {
                w3<?> b2 = this.r.b(t);
                if (!b2.f10641b.isEmpty()) {
                    it2 = b2.q();
                    entry2 = it2.next();
                    for (length2 = this.f10534c.length - 3; length2 >= 0; length2 -= 3) {
                        int P = P(length2);
                        int i3 = this.f10534c[length2];
                        while (entry2 != null && this.r.a(entry2) > i3) {
                            this.r.g(o7Var, entry2);
                            entry2 = it2.hasNext() ? it2.next() : null;
                        }
                        switch ((P & 267386880) >>> 20) {
                            case 0:
                                if (B(t, length2)) {
                                    o7Var.w(i3, z6.C(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 1:
                                if (B(t, length2)) {
                                    o7Var.x(i3, z6.x(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 2:
                                if (B(t, length2)) {
                                    o7Var.v(i3, z6.o(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 3:
                                if (B(t, length2)) {
                                    o7Var.m(i3, z6.o(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 4:
                                if (B(t, length2)) {
                                    o7Var.l(i3, z6.b(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 5:
                                if (B(t, length2)) {
                                    o7Var.I(i3, z6.o(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 6:
                                if (B(t, length2)) {
                                    o7Var.H(i3, z6.b(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 7:
                                if (B(t, length2)) {
                                    o7Var.b(i3, z6.w(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 8:
                                if (B(t, length2)) {
                                    w(i3, z6.F(t, (long) (P & 1048575)), o7Var);
                                    break;
                                } else {
                                    break;
                                }
                            case 9:
                                if (B(t, length2)) {
                                    o7Var.e(i3, z6.F(t, (long) (P & 1048575)), r(length2));
                                    break;
                                } else {
                                    break;
                                }
                            case 10:
                                if (B(t, length2)) {
                                    o7Var.i(i3, (zzdu) z6.F(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 11:
                                if (B(t, length2)) {
                                    o7Var.K(i3, z6.b(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 12:
                                if (B(t, length2)) {
                                    o7Var.f(i3, z6.b(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 13:
                                if (B(t, length2)) {
                                    o7Var.u(i3, z6.b(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 14:
                                if (B(t, length2)) {
                                    o7Var.d(i3, z6.o(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 15:
                                if (B(t, length2)) {
                                    o7Var.A(i3, z6.b(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 16:
                                if (B(t, length2)) {
                                    o7Var.L(i3, z6.o(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 17:
                                if (B(t, length2)) {
                                    o7Var.k(i3, z6.F(t, (long) (P & 1048575)), r(length2));
                                    break;
                                } else {
                                    break;
                                }
                            case 18:
                                d6.l(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, false);
                                break;
                            case 19:
                                d6.y(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, false);
                                break;
                            case 20:
                                d6.C(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, false);
                                break;
                            case 21:
                                d6.G(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, false);
                                break;
                            case 22:
                                d6.T(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, false);
                                break;
                            case 23:
                                d6.N(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, false);
                                break;
                            case 24:
                                d6.a0(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, false);
                                break;
                            case 25:
                                d6.d0(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, false);
                                break;
                            case 26:
                                d6.j(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var);
                                break;
                            case 27:
                                d6.k(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, r(length2));
                                break;
                            case 28:
                                d6.w(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var);
                                break;
                            case 29:
                                d6.W(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, false);
                                break;
                            case 30:
                                d6.c0(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, false);
                                break;
                            case 31:
                                d6.b0(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, false);
                                break;
                            case 32:
                                d6.Q(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, false);
                                break;
                            case 33:
                                d6.Z(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, false);
                                break;
                            case 34:
                                d6.K(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, false);
                                break;
                            case 35:
                                d6.l(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, true);
                                break;
                            case 36:
                                d6.y(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, true);
                                break;
                            case 37:
                                d6.C(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, true);
                                break;
                            case 38:
                                d6.G(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, true);
                                break;
                            case 39:
                                d6.T(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, true);
                                break;
                            case 40:
                                d6.N(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, true);
                                break;
                            case 41:
                                d6.a0(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, true);
                                break;
                            case 42:
                                d6.d0(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, true);
                                break;
                            case 43:
                                d6.W(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, true);
                                break;
                            case 44:
                                d6.c0(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, true);
                                break;
                            case 45:
                                d6.b0(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, true);
                                break;
                            case 46:
                                d6.Q(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, true);
                                break;
                            case 47:
                                d6.Z(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, true);
                                break;
                            case 48:
                                d6.K(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, true);
                                break;
                            case 49:
                                d6.x(this.f10534c[length2], (List) z6.F(t, (long) (P & 1048575)), o7Var, r(length2));
                                break;
                            case 50:
                                y(o7Var, i3, z6.F(t, (long) (P & 1048575)), length2);
                                break;
                            case 51:
                                if (C(t, i3, length2)) {
                                    o7Var.w(i3, F(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 52:
                                if (C(t, i3, length2)) {
                                    o7Var.x(i3, M(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 53:
                                if (C(t, i3, length2)) {
                                    o7Var.v(i3, S(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 54:
                                if (C(t, i3, length2)) {
                                    o7Var.m(i3, S(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 55:
                                if (C(t, i3, length2)) {
                                    o7Var.l(i3, Q(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 56:
                                if (C(t, i3, length2)) {
                                    o7Var.I(i3, S(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 57:
                                if (C(t, i3, length2)) {
                                    o7Var.H(i3, Q(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 58:
                                if (C(t, i3, length2)) {
                                    o7Var.b(i3, V(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 59:
                                if (C(t, i3, length2)) {
                                    w(i3, z6.F(t, (long) (P & 1048575)), o7Var);
                                    break;
                                } else {
                                    break;
                                }
                            case 60:
                                if (C(t, i3, length2)) {
                                    o7Var.e(i3, z6.F(t, (long) (P & 1048575)), r(length2));
                                    break;
                                } else {
                                    break;
                                }
                            case 61:
                                if (C(t, i3, length2)) {
                                    o7Var.i(i3, (zzdu) z6.F(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 62:
                                if (C(t, i3, length2)) {
                                    o7Var.K(i3, Q(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 63:
                                if (C(t, i3, length2)) {
                                    o7Var.f(i3, Q(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 64:
                                if (C(t, i3, length2)) {
                                    o7Var.u(i3, Q(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 65:
                                if (C(t, i3, length2)) {
                                    o7Var.d(i3, S(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 66:
                                if (C(t, i3, length2)) {
                                    o7Var.A(i3, Q(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 67:
                                if (C(t, i3, length2)) {
                                    o7Var.L(i3, S(t, (long) (P & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 68:
                                if (C(t, i3, length2)) {
                                    o7Var.k(i3, z6.F(t, (long) (P & 1048575)), r(length2));
                                    break;
                                } else {
                                    break;
                                }
                        }
                    }
                    while (entry2 != null) {
                        this.r.g(o7Var, entry2);
                        entry2 = it2.hasNext() ? it2.next() : null;
                    }
                }
            }
            it2 = null;
            entry2 = null;
            while (length2 >= 0) {
            }
            while (entry2 != null) {
            }
        } else if (this.j) {
            if (this.h) {
                w3<?> b3 = this.r.b(t);
                if (!b3.f10641b.isEmpty()) {
                    it = b3.p();
                    entry = it.next();
                    length = this.f10534c.length;
                    for (i2 = 0; i2 < length; i2 += 3) {
                        int P2 = P(i2);
                        int i4 = this.f10534c[i2];
                        while (entry != null && this.r.a(entry) <= i4) {
                            this.r.g(o7Var, entry);
                            entry = it.hasNext() ? it.next() : null;
                        }
                        switch ((P2 & 267386880) >>> 20) {
                            case 0:
                                if (B(t, i2)) {
                                    o7Var.w(i4, z6.C(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 1:
                                if (B(t, i2)) {
                                    o7Var.x(i4, z6.x(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 2:
                                if (B(t, i2)) {
                                    o7Var.v(i4, z6.o(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 3:
                                if (B(t, i2)) {
                                    o7Var.m(i4, z6.o(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 4:
                                if (B(t, i2)) {
                                    o7Var.l(i4, z6.b(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 5:
                                if (B(t, i2)) {
                                    o7Var.I(i4, z6.o(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 6:
                                if (B(t, i2)) {
                                    o7Var.H(i4, z6.b(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 7:
                                if (B(t, i2)) {
                                    o7Var.b(i4, z6.w(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 8:
                                if (B(t, i2)) {
                                    w(i4, z6.F(t, (long) (P2 & 1048575)), o7Var);
                                    break;
                                } else {
                                    break;
                                }
                            case 9:
                                if (B(t, i2)) {
                                    o7Var.e(i4, z6.F(t, (long) (P2 & 1048575)), r(i2));
                                    break;
                                } else {
                                    break;
                                }
                            case 10:
                                if (B(t, i2)) {
                                    o7Var.i(i4, (zzdu) z6.F(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 11:
                                if (B(t, i2)) {
                                    o7Var.K(i4, z6.b(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 12:
                                if (B(t, i2)) {
                                    o7Var.f(i4, z6.b(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 13:
                                if (B(t, i2)) {
                                    o7Var.u(i4, z6.b(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 14:
                                if (B(t, i2)) {
                                    o7Var.d(i4, z6.o(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 15:
                                if (B(t, i2)) {
                                    o7Var.A(i4, z6.b(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 16:
                                if (B(t, i2)) {
                                    o7Var.L(i4, z6.o(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 17:
                                if (B(t, i2)) {
                                    o7Var.k(i4, z6.F(t, (long) (P2 & 1048575)), r(i2));
                                    break;
                                } else {
                                    break;
                                }
                            case 18:
                                d6.l(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, false);
                                break;
                            case 19:
                                d6.y(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, false);
                                break;
                            case 20:
                                d6.C(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, false);
                                break;
                            case 21:
                                d6.G(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, false);
                                break;
                            case 22:
                                d6.T(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, false);
                                break;
                            case 23:
                                d6.N(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, false);
                                break;
                            case 24:
                                d6.a0(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, false);
                                break;
                            case 25:
                                d6.d0(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, false);
                                break;
                            case 26:
                                d6.j(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var);
                                break;
                            case 27:
                                d6.k(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, r(i2));
                                break;
                            case 28:
                                d6.w(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var);
                                break;
                            case 29:
                                d6.W(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, false);
                                break;
                            case 30:
                                d6.c0(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, false);
                                break;
                            case 31:
                                d6.b0(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, false);
                                break;
                            case 32:
                                d6.Q(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, false);
                                break;
                            case 33:
                                d6.Z(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, false);
                                break;
                            case 34:
                                d6.K(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, false);
                                break;
                            case 35:
                                d6.l(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, true);
                                break;
                            case 36:
                                d6.y(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, true);
                                break;
                            case 37:
                                d6.C(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, true);
                                break;
                            case 38:
                                d6.G(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, true);
                                break;
                            case 39:
                                d6.T(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, true);
                                break;
                            case 40:
                                d6.N(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, true);
                                break;
                            case 41:
                                d6.a0(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, true);
                                break;
                            case 42:
                                d6.d0(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, true);
                                break;
                            case 43:
                                d6.W(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, true);
                                break;
                            case 44:
                                d6.c0(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, true);
                                break;
                            case 45:
                                d6.b0(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, true);
                                break;
                            case 46:
                                d6.Q(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, true);
                                break;
                            case 47:
                                d6.Z(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, true);
                                break;
                            case 48:
                                d6.K(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, true);
                                break;
                            case 49:
                                d6.x(this.f10534c[i2], (List) z6.F(t, (long) (P2 & 1048575)), o7Var, r(i2));
                                break;
                            case 50:
                                y(o7Var, i4, z6.F(t, (long) (P2 & 1048575)), i2);
                                break;
                            case 51:
                                if (C(t, i4, i2)) {
                                    o7Var.w(i4, F(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 52:
                                if (C(t, i4, i2)) {
                                    o7Var.x(i4, M(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 53:
                                if (C(t, i4, i2)) {
                                    o7Var.v(i4, S(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 54:
                                if (C(t, i4, i2)) {
                                    o7Var.m(i4, S(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 55:
                                if (C(t, i4, i2)) {
                                    o7Var.l(i4, Q(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 56:
                                if (C(t, i4, i2)) {
                                    o7Var.I(i4, S(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 57:
                                if (C(t, i4, i2)) {
                                    o7Var.H(i4, Q(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 58:
                                if (C(t, i4, i2)) {
                                    o7Var.b(i4, V(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 59:
                                if (C(t, i4, i2)) {
                                    w(i4, z6.F(t, (long) (P2 & 1048575)), o7Var);
                                    break;
                                } else {
                                    break;
                                }
                            case 60:
                                if (C(t, i4, i2)) {
                                    o7Var.e(i4, z6.F(t, (long) (P2 & 1048575)), r(i2));
                                    break;
                                } else {
                                    break;
                                }
                            case 61:
                                if (C(t, i4, i2)) {
                                    o7Var.i(i4, (zzdu) z6.F(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 62:
                                if (C(t, i4, i2)) {
                                    o7Var.K(i4, Q(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 63:
                                if (C(t, i4, i2)) {
                                    o7Var.f(i4, Q(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 64:
                                if (C(t, i4, i2)) {
                                    o7Var.u(i4, Q(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 65:
                                if (C(t, i4, i2)) {
                                    o7Var.d(i4, S(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 66:
                                if (C(t, i4, i2)) {
                                    o7Var.A(i4, Q(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 67:
                                if (C(t, i4, i2)) {
                                    o7Var.L(i4, S(t, (long) (P2 & 1048575)));
                                    break;
                                } else {
                                    break;
                                }
                            case 68:
                                if (C(t, i4, i2)) {
                                    o7Var.k(i4, z6.F(t, (long) (P2 & 1048575)), r(i2));
                                    break;
                                } else {
                                    break;
                                }
                        }
                    }
                    while (entry != null) {
                        this.r.g(o7Var, entry);
                        entry = it.hasNext() ? it.next() : null;
                    }
                    x(this.q, t, o7Var);
                }
            }
            it = null;
            entry = null;
            length = this.f10534c.length;
            while (i2 < length) {
            }
            while (entry != null) {
            }
            x(this.q, t, o7Var);
        } else {
            K(t, o7Var);
        }
    }

    /*  JADX ERROR: StackOverflowError in pass: MarkFinallyVisitor
        java.lang.StackOverflowError
        	at jadx.core.dex.instructions.IfNode.isSame(IfNode.java:122)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.sameInsns(MarkFinallyVisitor.java:451)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.compareBlocks(MarkFinallyVisitor.java:436)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.checkBlocksTree(MarkFinallyVisitor.java:408)
        	at jadx.core.dex.visitors.MarkFinallyVisitor.checkBlocksTree(MarkFinallyVisitor.java:411)
        */
    @Override // com.google.android.gms.internal.measurement.b6
    public final void h(T r13, com.google.android.gms.internal.measurement.c6 r14, com.google.android.gms.internal.measurement.q3 r15) throws java.io.IOException {
        /*
        // Method dump skipped, instructions count: 1646
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.measurement.p5.h(java.lang.Object, com.google.android.gms.internal.measurement.c6, com.google.android.gms.internal.measurement.q3):void");
    }

    @Override // com.google.android.gms.internal.measurement.b6
    public final void i(T t, T t2) {
        Objects.requireNonNull(t2);
        for (int i2 = 0; i2 < this.f10534c.length; i2 += 3) {
            int P = P(i2);
            long j2 = (long) (1048575 & P);
            int i3 = this.f10534c[i2];
            switch ((P & 267386880) >>> 20) {
                case 0:
                    if (B(t2, i2)) {
                        z6.f(t, j2, z6.C(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 1:
                    if (B(t2, i2)) {
                        z6.g(t, j2, z6.x(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 2:
                    if (B(t2, i2)) {
                        z6.i(t, j2, z6.o(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 3:
                    if (B(t2, i2)) {
                        z6.i(t, j2, z6.o(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 4:
                    if (B(t2, i2)) {
                        z6.h(t, j2, z6.b(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 5:
                    if (B(t2, i2)) {
                        z6.i(t, j2, z6.o(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 6:
                    if (B(t2, i2)) {
                        z6.h(t, j2, z6.b(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 7:
                    if (B(t2, i2)) {
                        z6.k(t, j2, z6.w(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 8:
                    if (B(t2, i2)) {
                        z6.j(t, j2, z6.F(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 9:
                    A(t, t2, i2);
                    break;
                case 10:
                    if (B(t2, i2)) {
                        z6.j(t, j2, z6.F(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 11:
                    if (B(t2, i2)) {
                        z6.h(t, j2, z6.b(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 12:
                    if (B(t2, i2)) {
                        z6.h(t, j2, z6.b(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 13:
                    if (B(t2, i2)) {
                        z6.h(t, j2, z6.b(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 14:
                    if (B(t2, i2)) {
                        z6.i(t, j2, z6.o(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 15:
                    if (B(t2, i2)) {
                        z6.h(t, j2, z6.b(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 16:
                    if (B(t2, i2)) {
                        z6.i(t, j2, z6.o(t2, j2));
                        I(t, i2);
                        break;
                    } else {
                        break;
                    }
                case 17:
                    A(t, t2, i2);
                    break;
                case 18:
                case 19:
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                case 25:
                case 26:
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32:
                case 33:
                case 34:
                case 35:
                case 36:
                case 37:
                case 38:
                case 39:
                case 40:
                case 41:
                case 42:
                case 43:
                case 44:
                case 45:
                case 46:
                case 47:
                case 48:
                case 49:
                    this.p.c(t, t2, j2);
                    break;
                case 50:
                    d6.n(this.s, t, t2, j2);
                    break;
                case 51:
                case 52:
                case 53:
                case 54:
                case 55:
                case 56:
                case 57:
                case 58:
                case 59:
                    if (C(t2, i3, i2)) {
                        z6.j(t, j2, z6.F(t2, j2));
                        J(t, i3, i2);
                        break;
                    } else {
                        break;
                    }
                case 60:
                    L(t, t2, i2);
                    break;
                case 61:
                case 62:
                case 63:
                case 64:
                case 65:
                case 66:
                case 67:
                    if (C(t2, i3, i2)) {
                        z6.j(t, j2, z6.F(t2, j2));
                        J(t, i3, i2);
                        break;
                    } else {
                        break;
                    }
                case 68:
                    L(t, t2, i2);
                    break;
            }
        }
        if (!this.j) {
            d6.o(this.q, t, t2);
            if (this.h) {
                d6.m(this.r, t, t2);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Code restructure failed: missing block: B:114:0x036a, code lost:
        if (r0 == r4) goto L_0x03dd;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:121:0x03b3, code lost:
        if (r0 == r15) goto L_0x03dd;
     */
    public final int o(T t, byte[] bArr, int i2, int i3, int i4, u2 u2Var) throws IOException {
        Unsafe unsafe;
        int i5;
        T t2;
        p5<T> p5Var;
        byte b2;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        T t3;
        u2 u2Var2;
        int i12;
        int i13;
        int i14;
        int i15;
        int i16;
        int i17;
        int i18;
        int i19;
        u2 u2Var3;
        u2 u2Var4;
        int i20;
        u2 u2Var5;
        p5<T> p5Var2 = this;
        T t4 = t;
        byte[] bArr2 = bArr;
        int i21 = i3;
        int i22 = i4;
        u2 u2Var6 = u2Var;
        Unsafe unsafe2 = f10533b;
        int i23 = i2;
        int i24 = -1;
        int i25 = 0;
        int i26 = 0;
        int i27 = 0;
        int i28 = -1;
        while (true) {
            if (i23 < i21) {
                int i29 = i23 + 1;
                byte b3 = bArr2[i23];
                if (b3 < 0) {
                    i6 = r2.d(b3, bArr2, i29, u2Var6);
                    b2 = u2Var6.f10603a;
                } else {
                    b2 = b3;
                    i6 = i29;
                }
                int i30 = b2 >>> 3;
                int i31 = b2 & 7;
                if (i30 > i24) {
                    i7 = p5Var2.j(i30, i25 / 3);
                } else {
                    i7 = p5Var2.W(i30);
                }
                if (i7 == -1) {
                    i8 = i30;
                    i11 = i6;
                    i10 = b2;
                    unsafe = unsafe2;
                    i5 = i22;
                    i9 = 0;
                } else {
                    int[] iArr = p5Var2.f10534c;
                    int i32 = iArr[i7 + 1];
                    int i33 = (i32 & 267386880) >>> 20;
                    long j2 = (long) (i32 & 1048575);
                    if (i33 <= 17) {
                        int i34 = iArr[i7 + 2];
                        int i35 = 1 << (i34 >>> 20);
                        int i36 = i34 & 1048575;
                        if (i36 != i28) {
                            if (i28 != -1) {
                                unsafe2.putInt(t4, (long) i28, i27);
                            }
                            i27 = unsafe2.getInt(t4, (long) i36);
                            i28 = i36;
                        }
                        switch (i33) {
                            case 0:
                                i17 = i7;
                                i16 = i30;
                                i15 = i28;
                                i18 = b2;
                                bArr2 = bArr;
                                u2Var3 = u2Var;
                                i19 = i6;
                                if (i31 == 1) {
                                    z6.f(t4, j2, r2.m(bArr2, i19));
                                    i23 = i19 + 8;
                                    i27 |= i35;
                                    i28 = i15;
                                    i26 = i18;
                                    i25 = i17;
                                    i24 = i16;
                                    u2Var6 = u2Var3;
                                    i21 = i3;
                                    i22 = i4;
                                    break;
                                }
                                i11 = i19;
                                i9 = i17;
                                unsafe = unsafe2;
                                i8 = i16;
                                i28 = i15;
                                i10 = i18;
                                i5 = i4;
                                break;
                            case 1:
                                i17 = i7;
                                i16 = i30;
                                i15 = i28;
                                i18 = b2;
                                bArr2 = bArr;
                                u2Var3 = u2Var;
                                i19 = i6;
                                if (i31 == 5) {
                                    z6.g(t4, j2, r2.o(bArr2, i19));
                                    i23 = i19 + 4;
                                    i27 |= i35;
                                    i28 = i15;
                                    i26 = i18;
                                    i25 = i17;
                                    i24 = i16;
                                    u2Var6 = u2Var3;
                                    i21 = i3;
                                    i22 = i4;
                                    break;
                                }
                                i11 = i19;
                                i9 = i17;
                                unsafe = unsafe2;
                                i8 = i16;
                                i28 = i15;
                                i10 = i18;
                                i5 = i4;
                                break;
                            case 2:
                            case 3:
                                i17 = i7;
                                i16 = i30;
                                i15 = i28;
                                i18 = b2;
                                bArr2 = bArr;
                                i19 = i6;
                                if (i31 == 0) {
                                    int k2 = r2.k(bArr2, i19, u2Var);
                                    unsafe2.putLong(t, j2, u2Var.f10604b);
                                    i27 |= i35;
                                    i23 = k2;
                                    i26 = i18;
                                    i25 = i17;
                                    i24 = i16;
                                    u2Var6 = u2Var;
                                    i28 = i15;
                                    i21 = i3;
                                    i22 = i4;
                                    break;
                                }
                                i11 = i19;
                                i9 = i17;
                                unsafe = unsafe2;
                                i8 = i16;
                                i28 = i15;
                                i10 = i18;
                                i5 = i4;
                                break;
                            case 4:
                            case 11:
                                i17 = i7;
                                i16 = i30;
                                i15 = i28;
                                i18 = b2;
                                bArr2 = bArr;
                                u2Var3 = u2Var;
                                i19 = i6;
                                if (i31 == 0) {
                                    i23 = r2.i(bArr2, i19, u2Var3);
                                    unsafe2.putInt(t4, j2, u2Var3.f10603a);
                                    i27 |= i35;
                                    i28 = i15;
                                    i26 = i18;
                                    i25 = i17;
                                    i24 = i16;
                                    u2Var6 = u2Var3;
                                    i21 = i3;
                                    i22 = i4;
                                    break;
                                }
                                i11 = i19;
                                i9 = i17;
                                unsafe = unsafe2;
                                i8 = i16;
                                i28 = i15;
                                i10 = i18;
                                i5 = i4;
                                break;
                            case 5:
                            case 14:
                                i17 = i7;
                                i16 = i30;
                                i18 = b2;
                                bArr2 = bArr;
                                u2Var3 = u2Var;
                                if (i31 == 1) {
                                    i15 = i28;
                                    i19 = i6;
                                    unsafe2.putLong(t, j2, r2.l(bArr2, i6));
                                    i23 = i19 + 8;
                                    i27 |= i35;
                                    i28 = i15;
                                    i26 = i18;
                                    i25 = i17;
                                    i24 = i16;
                                    u2Var6 = u2Var3;
                                    i21 = i3;
                                    i22 = i4;
                                    break;
                                }
                                i15 = i28;
                                i19 = i6;
                                i11 = i19;
                                i9 = i17;
                                unsafe = unsafe2;
                                i8 = i16;
                                i28 = i15;
                                i10 = i18;
                                i5 = i4;
                                break;
                            case 6:
                            case 13:
                                i20 = i3;
                                i17 = i7;
                                i16 = i30;
                                i18 = b2;
                                bArr2 = bArr;
                                u2Var4 = u2Var;
                                if (i31 == 5) {
                                    unsafe2.putInt(t4, j2, r2.h(bArr2, i6));
                                    i23 = i6 + 4;
                                    i27 |= i35;
                                    i26 = i18;
                                    i25 = i17;
                                    i24 = i16;
                                    u2Var6 = u2Var4;
                                    i22 = i4;
                                    i21 = i20;
                                    break;
                                }
                                i15 = i28;
                                i19 = i6;
                                i11 = i19;
                                i9 = i17;
                                unsafe = unsafe2;
                                i8 = i16;
                                i28 = i15;
                                i10 = i18;
                                i5 = i4;
                                break;
                            case 7:
                                i20 = i3;
                                i17 = i7;
                                i16 = i30;
                                i18 = b2;
                                bArr2 = bArr;
                                u2Var4 = u2Var;
                                if (i31 == 0) {
                                    int k3 = r2.k(bArr2, i6, u2Var4);
                                    z6.k(t4, j2, u2Var4.f10604b != 0);
                                    i27 |= i35;
                                    i23 = k3;
                                    i26 = i18;
                                    i25 = i17;
                                    i24 = i16;
                                    u2Var6 = u2Var4;
                                    i22 = i4;
                                    i21 = i20;
                                    break;
                                }
                                i15 = i28;
                                i19 = i6;
                                i11 = i19;
                                i9 = i17;
                                unsafe = unsafe2;
                                i8 = i16;
                                i28 = i15;
                                i10 = i18;
                                i5 = i4;
                                break;
                            case 8:
                                i20 = i3;
                                i17 = i7;
                                i16 = i30;
                                i18 = b2;
                                bArr2 = bArr;
                                u2Var4 = u2Var;
                                if (i31 == 2) {
                                    if ((i32 & 536870912) == 0) {
                                        i23 = r2.n(bArr2, i6, u2Var4);
                                    } else {
                                        i23 = r2.p(bArr2, i6, u2Var4);
                                    }
                                    unsafe2.putObject(t4, j2, u2Var4.f10605c);
                                    i27 |= i35;
                                    i26 = i18;
                                    i25 = i17;
                                    i24 = i16;
                                    u2Var6 = u2Var4;
                                    i22 = i4;
                                    i21 = i20;
                                    break;
                                }
                                i15 = i28;
                                i19 = i6;
                                i11 = i19;
                                i9 = i17;
                                unsafe = unsafe2;
                                i8 = i16;
                                i28 = i15;
                                i10 = i18;
                                i5 = i4;
                                break;
                            case 9:
                                i17 = i7;
                                i16 = i30;
                                i18 = b2;
                                bArr2 = bArr;
                                u2Var4 = u2Var;
                                if (i31 == 2) {
                                    i20 = i3;
                                    i23 = r2.g(p5Var2.r(i17), bArr2, i6, i20, u2Var4);
                                    if ((i27 & i35) == 0) {
                                        unsafe2.putObject(t4, j2, u2Var4.f10605c);
                                    } else {
                                        unsafe2.putObject(t4, j2, f4.e(unsafe2.getObject(t4, j2), u2Var4.f10605c));
                                    }
                                    i27 |= i35;
                                    i26 = i18;
                                    i25 = i17;
                                    i24 = i16;
                                    u2Var6 = u2Var4;
                                    i22 = i4;
                                    i21 = i20;
                                    break;
                                } else {
                                    i15 = i28;
                                    i19 = i6;
                                    i11 = i19;
                                    i9 = i17;
                                    unsafe = unsafe2;
                                    i8 = i16;
                                    i28 = i15;
                                    i10 = i18;
                                    i5 = i4;
                                    break;
                                }
                            case 10:
                                i17 = i7;
                                i16 = i30;
                                i18 = b2;
                                bArr2 = bArr;
                                u2Var3 = u2Var;
                                if (i31 == 2) {
                                    i23 = r2.q(bArr2, i6, u2Var3);
                                    unsafe2.putObject(t4, j2, u2Var3.f10605c);
                                    i27 |= i35;
                                    i26 = i18;
                                    i25 = i17;
                                    i24 = i16;
                                    u2Var6 = u2Var3;
                                    i21 = i3;
                                    i22 = i4;
                                    break;
                                }
                                i15 = i28;
                                i19 = i6;
                                i11 = i19;
                                i9 = i17;
                                unsafe = unsafe2;
                                i8 = i16;
                                i28 = i15;
                                i10 = i18;
                                i5 = i4;
                                break;
                            case 12:
                                i17 = i7;
                                i16 = i30;
                                i18 = b2;
                                bArr2 = bArr;
                                u2Var3 = u2Var;
                                if (i31 == 0) {
                                    i23 = r2.i(bArr2, i6, u2Var3);
                                    int i37 = u2Var3.f10603a;
                                    k4 N = p5Var2.N(i17);
                                    if (N == null || N.a(i37)) {
                                        unsafe2.putInt(t4, j2, i37);
                                        i27 |= i35;
                                        i26 = i18;
                                        i25 = i17;
                                        i24 = i16;
                                        u2Var6 = u2Var3;
                                        i21 = i3;
                                        i22 = i4;
                                        break;
                                    } else {
                                        T(t).c(i18, Long.valueOf((long) i37));
                                        i26 = i18;
                                        i25 = i17;
                                        i24 = i16;
                                        u2Var6 = u2Var3;
                                        i21 = i3;
                                        i22 = i4;
                                    }
                                }
                                i15 = i28;
                                i19 = i6;
                                i11 = i19;
                                i9 = i17;
                                unsafe = unsafe2;
                                i8 = i16;
                                i28 = i15;
                                i10 = i18;
                                i5 = i4;
                                break;
                            case 15:
                                i17 = i7;
                                i16 = i30;
                                i18 = b2;
                                bArr2 = bArr;
                                u2Var3 = u2Var;
                                if (i31 == 0) {
                                    i23 = r2.i(bArr2, i6, u2Var3);
                                    unsafe2.putInt(t4, j2, h3.k(u2Var3.f10603a));
                                    i27 |= i35;
                                    i26 = i18;
                                    i25 = i17;
                                    i24 = i16;
                                    u2Var6 = u2Var3;
                                    i21 = i3;
                                    i22 = i4;
                                    break;
                                }
                                i15 = i28;
                                i19 = i6;
                                i11 = i19;
                                i9 = i17;
                                unsafe = unsafe2;
                                i8 = i16;
                                i28 = i15;
                                i10 = i18;
                                i5 = i4;
                                break;
                            case 16:
                                i17 = i7;
                                i16 = i30;
                                i18 = b2;
                                if (i31 == 0) {
                                    bArr2 = bArr;
                                    int k4 = r2.k(bArr2, i6, u2Var);
                                    u2Var3 = u2Var;
                                    unsafe2.putLong(t, j2, h3.b(u2Var.f10604b));
                                    i27 |= i35;
                                    i23 = k4;
                                    i26 = i18;
                                    i25 = i17;
                                    i24 = i16;
                                    u2Var6 = u2Var3;
                                    i21 = i3;
                                    i22 = i4;
                                    break;
                                } else {
                                    i15 = i28;
                                    i19 = i6;
                                    i11 = i19;
                                    i9 = i17;
                                    unsafe = unsafe2;
                                    i8 = i16;
                                    i28 = i15;
                                    i10 = i18;
                                    i5 = i4;
                                    break;
                                }
                            case 17:
                                if (i31 == 3) {
                                    i23 = r2.f(p5Var2.r(i7), bArr, i6, i3, (i30 << 3) | 4, u2Var);
                                    if ((i27 & i35) == 0) {
                                        u2Var5 = u2Var;
                                        unsafe2.putObject(t4, j2, u2Var5.f10605c);
                                    } else {
                                        u2Var5 = u2Var;
                                        unsafe2.putObject(t4, j2, f4.e(unsafe2.getObject(t4, j2), u2Var5.f10605c));
                                    }
                                    i27 |= i35;
                                    bArr2 = bArr;
                                    i21 = i3;
                                    i26 = b2;
                                    i25 = i7;
                                    i24 = i30;
                                    i22 = i4;
                                    u2Var6 = u2Var5;
                                    break;
                                } else {
                                    i17 = i7;
                                    i16 = i30;
                                    i18 = b2;
                                    i15 = i28;
                                    i19 = i6;
                                    i11 = i19;
                                    i9 = i17;
                                    unsafe = unsafe2;
                                    i8 = i16;
                                    i28 = i15;
                                    i10 = i18;
                                    i5 = i4;
                                    break;
                                }
                            default:
                                i17 = i7;
                                i16 = i30;
                                i15 = i28;
                                i18 = b2;
                                i19 = i6;
                                i11 = i19;
                                i9 = i17;
                                unsafe = unsafe2;
                                i8 = i16;
                                i28 = i15;
                                i10 = i18;
                                i5 = i4;
                                break;
                        }
                    } else {
                        bArr2 = bArr;
                        if (i33 != 27) {
                            i13 = i27;
                            if (i33 <= 49) {
                                i8 = i30;
                                i12 = b2;
                                i9 = i7;
                                unsafe = unsafe2;
                                i23 = m(t, bArr, i6, i3, b2, i30, i31, i7, (long) i32, i33, j2, u2Var);
                            } else {
                                i8 = i30;
                                i14 = i6;
                                i12 = b2;
                                i9 = i7;
                                unsafe = unsafe2;
                                if (i33 != 50) {
                                    i23 = l(t, bArr, i14, i3, i12, i8, i31, i32, i33, j2, i9, u2Var);
                                    if (i23 != i14) {
                                        p5Var2 = this;
                                        t4 = t;
                                        i21 = i3;
                                        i22 = i4;
                                        i26 = i12;
                                        i24 = i8;
                                        i28 = i28;
                                        i25 = i9;
                                        i27 = i13;
                                        unsafe2 = unsafe;
                                        bArr2 = bArr;
                                        u2Var6 = u2Var;
                                    }
                                } else if (i31 == 2) {
                                    i23 = n(t, bArr, i14, i3, i9, j2, u2Var);
                                }
                                i5 = i4;
                                i11 = i23;
                                i28 = i28;
                                i27 = i13;
                                i10 = i12;
                            }
                            p5Var2 = this;
                            t4 = t;
                            bArr2 = bArr;
                            i21 = i3;
                            i22 = i4;
                            u2Var6 = u2Var;
                            i28 = i28;
                            i25 = i9;
                            i27 = i13;
                            i24 = i8;
                            i26 = i12;
                            unsafe2 = unsafe;
                        } else if (i31 == 2) {
                            l4 l4Var = (l4) unsafe2.getObject(t4, j2);
                            if (!l4Var.zza()) {
                                int size = l4Var.size();
                                l4Var = l4Var.a(size == 0 ? 10 : size << 1);
                                unsafe2.putObject(t4, j2, l4Var);
                            }
                            i23 = r2.e(p5Var2.r(i7), b2, bArr, i6, i3, l4Var, u2Var);
                            i22 = i4;
                            i24 = i30;
                            i26 = b2;
                            i25 = i7;
                            u2Var6 = u2Var6;
                            i28 = i28;
                            i27 = i27;
                            i21 = i3;
                        } else {
                            i13 = i27;
                            i8 = i30;
                            i14 = i6;
                            i12 = b2;
                            i9 = i7;
                            unsafe = unsafe2;
                        }
                        i5 = i4;
                        i11 = i14;
                        i28 = i28;
                        i27 = i13;
                        i10 = i12;
                    }
                }
                if (i10 != i5 || i5 == 0) {
                    if (this.h) {
                        u2Var2 = u2Var;
                        if (u2Var2.f10606d == q3.a()) {
                            t3 = t;
                        } else if (u2Var2.f10606d.b(this.g, i8) == null) {
                            i23 = r2.c(i10, bArr, i11, i3, T(t), u2Var);
                            t4 = t;
                            i21 = i3;
                            i26 = i10;
                            p5Var2 = this;
                            u2Var6 = u2Var2;
                            i24 = i8;
                            i25 = i9;
                            unsafe2 = unsafe;
                            bArr2 = bArr;
                            i22 = i5;
                        } else {
                            T t5 = t;
                            t5.A();
                            w3<d4.c> w3Var = t5.zzc;
                            throw new NoSuchMethodError();
                        }
                    } else {
                        t3 = t;
                        u2Var2 = u2Var;
                    }
                    i23 = r2.c(i10, bArr, i11, i3, T(t), u2Var);
                    i26 = i10;
                    p5Var2 = this;
                    u2Var6 = u2Var2;
                    i24 = i8;
                    t4 = t3;
                    i25 = i9;
                    unsafe2 = unsafe;
                    bArr2 = bArr;
                    i21 = i3;
                    i22 = i5;
                } else {
                    p5Var = this;
                    t2 = t;
                    i23 = i11;
                    i26 = i10;
                }
            } else {
                unsafe = unsafe2;
                i5 = i22;
                t2 = t4;
                p5Var = p5Var2;
            }
        }
        if (i28 != -1) {
            unsafe.putInt(t2, (long) i28, i27);
        }
        v6 v6Var = null;
        for (int i38 = p5Var.m; i38 < p5Var.n; i38++) {
            v6Var = (v6) p5Var.t(t2, p5Var.l[i38], v6Var, (t6<UT, UB>) p5Var.q);
        }
        if (v6Var != null) {
            p5Var.q.n(t2, v6Var);
        }
        if (i5 == 0) {
            if (i23 != i3) {
                throw zzfo.g();
            }
        } else if (i23 > i3 || i26 != i5) {
            throw zzfo.g();
        }
        return i23;
    }

    @Override // com.google.android.gms.internal.measurement.b6
    public final T zza() {
        return (T) this.o.a(this.g);
    }
}
