package com.google.android.gms.internal.measurement;

import java.util.AbstractList;
import java.util.Arrays;
import java.util.Collection;
import java.util.RandomAccess;

/* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
final class t2 extends p2<Boolean> implements l4<Boolean>, y5, RandomAccess {

    /* renamed from: b  reason: collision with root package name */
    private static final t2 f10593b;
    private boolean[] I0;
    private int J0;

    static {
        t2 t2Var = new t2(new boolean[0], 0);
        f10593b = t2Var;
        t2Var.M();
    }

    t2() {
        this(new boolean[10], 0);
    }

    private final void e(int i) {
        if (i < 0 || i >= this.J0) {
            throw new IndexOutOfBoundsException(f(i));
        }
    }

    private final String f(int i) {
        int i2 = this.J0;
        StringBuilder sb = new StringBuilder(35);
        sb.append("Index:");
        sb.append(i);
        sb.append(", Size:");
        sb.append(i2);
        return sb.toString();
    }

    /* Return type fixed from 'com.google.android.gms.internal.measurement.l4' to match base method */
    @Override // com.google.android.gms.internal.measurement.l4
    public final /* synthetic */ l4<Boolean> a(int i) {
        if (i >= this.J0) {
            return new t2(Arrays.copyOf(this.I0, i), this.J0);
        }
        throw new IllegalArgumentException();
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [int, java.lang.Object] */
    @Override // java.util.List, com.google.android.gms.internal.measurement.p2, java.util.AbstractList
    public final /* synthetic */ void add(int i, Boolean bool) {
        int i2;
        boolean booleanValue = bool.booleanValue();
        b();
        if (i < 0 || i > (i2 = this.J0)) {
            throw new IndexOutOfBoundsException(f(i));
        }
        boolean[] zArr = this.I0;
        if (i2 < zArr.length) {
            System.arraycopy(zArr, i, zArr, i + 1, i2 - i);
        } else {
            boolean[] zArr2 = new boolean[(((i2 * 3) / 2) + 1)];
            System.arraycopy(zArr, 0, zArr2, 0, i);
            System.arraycopy(this.I0, i, zArr2, i + 1, this.J0 - i);
            this.I0 = zArr2;
        }
        this.I0[i] = booleanValue;
        this.J0++;
        ((AbstractList) this).modCount++;
    }

    @Override // java.util.AbstractCollection, java.util.List, com.google.android.gms.internal.measurement.p2, java.util.Collection
    public final boolean addAll(Collection<? extends Boolean> collection) {
        b();
        f4.d(collection);
        if (!(collection instanceof t2)) {
            return super.addAll(collection);
        }
        t2 t2Var = (t2) collection;
        int i = t2Var.J0;
        if (i == 0) {
            return false;
        }
        int i2 = this.J0;
        if (Integer.MAX_VALUE - i2 >= i) {
            int i3 = i2 + i;
            boolean[] zArr = this.I0;
            if (i3 > zArr.length) {
                this.I0 = Arrays.copyOf(zArr, i3);
            }
            System.arraycopy(t2Var.I0, 0, this.I0, this.J0, t2Var.J0);
            this.J0 = i3;
            ((AbstractList) this).modCount++;
            return true;
        }
        throw new OutOfMemoryError();
    }

    public final void d(boolean z) {
        b();
        int i = this.J0;
        boolean[] zArr = this.I0;
        if (i == zArr.length) {
            boolean[] zArr2 = new boolean[(((i * 3) / 2) + 1)];
            System.arraycopy(zArr, 0, zArr2, 0, i);
            this.I0 = zArr2;
        }
        boolean[] zArr3 = this.I0;
        int i2 = this.J0;
        this.J0 = i2 + 1;
        zArr3[i2] = z;
    }

    @Override // com.google.android.gms.internal.measurement.p2
    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof t2)) {
            return super.equals(obj);
        }
        t2 t2Var = (t2) obj;
        if (this.J0 != t2Var.J0) {
            return false;
        }
        boolean[] zArr = t2Var.I0;
        for (int i = 0; i < this.J0; i++) {
            if (this.I0[i] != zArr[i]) {
                return false;
            }
        }
        return true;
    }

    @Override // java.util.List, java.util.AbstractList
    public final /* synthetic */ Object get(int i) {
        e(i);
        return Boolean.valueOf(this.I0[i]);
    }

    @Override // com.google.android.gms.internal.measurement.p2
    public final int hashCode() {
        int i = 1;
        for (int i2 = 0; i2 < this.J0; i2++) {
            i = (i * 31) + f4.c(this.I0[i2]);
        }
        return i;
    }

    @Override // java.util.List, com.google.android.gms.internal.measurement.p2
    public final boolean remove(Object obj) {
        b();
        for (int i = 0; i < this.J0; i++) {
            if (obj.equals(Boolean.valueOf(this.I0[i]))) {
                boolean[] zArr = this.I0;
                System.arraycopy(zArr, i + 1, zArr, i, (this.J0 - i) - 1);
                this.J0--;
                ((AbstractList) this).modCount++;
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public final void removeRange(int i, int i2) {
        b();
        if (i2 >= i) {
            boolean[] zArr = this.I0;
            System.arraycopy(zArr, i2, zArr, i, this.J0 - i2);
            this.J0 -= i2 - i;
            ((AbstractList) this).modCount++;
            return;
        }
        throw new IndexOutOfBoundsException("toIndex < fromIndex");
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [int, java.lang.Object] */
    @Override // java.util.List, com.google.android.gms.internal.measurement.p2, java.util.AbstractList
    public final /* synthetic */ Boolean set(int i, Boolean bool) {
        boolean booleanValue = bool.booleanValue();
        b();
        e(i);
        boolean[] zArr = this.I0;
        boolean z = zArr[i];
        zArr[i] = booleanValue;
        return Boolean.valueOf(z);
    }

    public final int size() {
        return this.J0;
    }

    private t2(boolean[] zArr, int i) {
        this.I0 = zArr;
        this.J0 = i;
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // java.util.List, com.google.android.gms.internal.measurement.p2, java.util.AbstractList
    public final /* synthetic */ Boolean remove(int i) {
        b();
        e(i);
        boolean[] zArr = this.I0;
        boolean z = zArr[i];
        int i2 = this.J0;
        if (i < i2 - 1) {
            System.arraycopy(zArr, i + 1, zArr, i, (i2 - i) - 1);
        }
        this.J0--;
        ((AbstractList) this).modCount++;
        return Boolean.valueOf(z);
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // java.util.AbstractCollection, java.util.List, com.google.android.gms.internal.measurement.p2, java.util.Collection, java.util.AbstractList
    public final /* synthetic */ boolean add(Boolean bool) {
        d(bool.booleanValue());
        return true;
    }
}
