package com.google.android.gms.internal.measurement;

import android.content.Context;
import android.content.SharedPreferences;
import androidx.annotation.GuardedBy;
import b.b.a;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class v1 implements c1 {
    @GuardedBy("SharedPreferencesLoader.class")

    /* renamed from: a  reason: collision with root package name */
    private static final Map<String, v1> f10614a = new a();

    /* renamed from: b  reason: collision with root package name */
    private final SharedPreferences f10615b;

    /* renamed from: c  reason: collision with root package name */
    private final SharedPreferences.OnSharedPreferenceChangeListener f10616c;

    /* renamed from: d  reason: collision with root package name */
    private final Object f10617d = new Object();

    /* renamed from: e  reason: collision with root package name */
    private volatile Map<String, ?> f10618e;
    @GuardedBy("this")
    private final List<d1> f = new ArrayList();

    private v1(SharedPreferences sharedPreferences) {
        u1 u1Var = new u1(this);
        this.f10616c = u1Var;
        this.f10615b = sharedPreferences;
        sharedPreferences.registerOnSharedPreferenceChangeListener(u1Var);
    }

    static v1 a(Context context, String str) {
        v1 v1Var;
        SharedPreferences sharedPreferences;
        if (!((!y0.a() || str.startsWith("direct_boot:")) ? true : y0.b(context))) {
            return null;
        }
        synchronized (v1.class) {
            Map<String, v1> map = f10614a;
            v1Var = map.get(str);
            if (v1Var == null) {
                if (str.startsWith("direct_boot:")) {
                    if (y0.a()) {
                        context = context.createDeviceProtectedStorageContext();
                    }
                    sharedPreferences = context.getSharedPreferences(str.substring(12), 0);
                } else {
                    sharedPreferences = context.getSharedPreferences(str, 0);
                }
                v1Var = new v1(sharedPreferences);
                map.put(str, v1Var);
            }
        }
        return v1Var;
    }

    static synchronized void c() {
        synchronized (v1.class) {
            for (v1 v1Var : f10614a.values()) {
                v1Var.f10615b.unregisterOnSharedPreferenceChangeListener(v1Var.f10616c);
            }
            f10614a.clear();
        }
    }

    @Override // com.google.android.gms.internal.measurement.c1
    public final Object b(String str) {
        Map<String, ?> map = this.f10618e;
        if (map == null) {
            synchronized (this.f10617d) {
                map = this.f10618e;
                if (map == null) {
                    map = this.f10615b.getAll();
                    this.f10618e = map;
                }
            }
        }
        if (map != null) {
            return map.get(str);
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public final /* synthetic */ void d(SharedPreferences sharedPreferences, String str) {
        synchronized (this.f10617d) {
            this.f10618e = null;
            m1.g();
        }
        synchronized (this) {
            for (d1 d1Var : this.f) {
                d1Var.zza();
            }
        }
    }
}
