package com.google.android.gms.internal.measurement;

import android.content.ContentResolver;
import android.database.ContentObserver;
import android.database.Cursor;
import android.database.sqlite.SQLiteException;
import android.net.Uri;
import android.os.StrictMode;
import android.util.Log;
import androidx.annotation.GuardedBy;
import b.b.a;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class x0 implements c1 {
    @GuardedBy("ConfigurationContentLoader.class")

    /* renamed from: a  reason: collision with root package name */
    private static final Map<Uri, x0> f10655a = new a();

    /* renamed from: b  reason: collision with root package name */
    private static final String[] f10656b = {"key", "value"};

    /* renamed from: c  reason: collision with root package name */
    private final ContentResolver f10657c;

    /* renamed from: d  reason: collision with root package name */
    private final Uri f10658d;

    /* renamed from: e  reason: collision with root package name */
    private final ContentObserver f10659e;
    private final Object f = new Object();
    private volatile Map<String, String> g;
    @GuardedBy("this")
    private final List<d1> h = new ArrayList();

    private x0(ContentResolver contentResolver, Uri uri) {
        z0 z0Var = new z0(this, null);
        this.f10659e = z0Var;
        this.f10657c = contentResolver;
        this.f10658d = uri;
        contentResolver.registerContentObserver(uri, false, z0Var);
    }

    public static x0 a(ContentResolver contentResolver, Uri uri) {
        x0 x0Var;
        synchronized (x0.class) {
            Map<Uri, x0> map = f10655a;
            x0Var = map.get(uri);
            if (x0Var == null) {
                try {
                    x0 x0Var2 = new x0(contentResolver, uri);
                    try {
                        map.put(uri, x0Var2);
                    } catch (SecurityException unused) {
                    }
                    x0Var = x0Var2;
                } catch (SecurityException unused2) {
                }
            }
        }
        return x0Var;
    }

    static synchronized void e() {
        synchronized (x0.class) {
            for (x0 x0Var : f10655a.values()) {
                x0Var.f10657c.unregisterContentObserver(x0Var.f10659e);
            }
            f10655a.clear();
        }
    }

    /* JADX INFO: finally extract failed */
    private final Map<String, String> g() {
        StrictMode.ThreadPolicy allowThreadDiskReads = StrictMode.allowThreadDiskReads();
        try {
            Map<String, String> map = (Map) f1.a(new b1(this));
            StrictMode.setThreadPolicy(allowThreadDiskReads);
            return map;
        } catch (SQLiteException | IllegalStateException | SecurityException unused) {
            Log.e("ConfigurationContentLoader", "PhenotypeFlag unable to load ContentProvider, using default values");
            StrictMode.setThreadPolicy(allowThreadDiskReads);
            return null;
        } catch (Throwable th) {
            StrictMode.setThreadPolicy(allowThreadDiskReads);
            throw th;
        }
    }

    @Override // com.google.android.gms.internal.measurement.c1
    public final /* synthetic */ Object b(String str) {
        return c().get(str);
    }

    public final Map<String, String> c() {
        Map<String, String> map = this.g;
        if (map == null) {
            synchronized (this.f) {
                map = this.g;
                if (map == null) {
                    map = g();
                    this.g = map;
                }
            }
        }
        if (map != null) {
            return map;
        }
        return Collections.emptyMap();
    }

    public final void d() {
        synchronized (this.f) {
            this.g = null;
            m1.g();
        }
        synchronized (this) {
            for (d1 d1Var : this.h) {
                d1Var.zza();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public final /* synthetic */ Map f() {
        Map map;
        Cursor query = this.f10657c.query(this.f10658d, f10656b, null, null, null);
        if (query == null) {
            return Collections.emptyMap();
        }
        try {
            int count = query.getCount();
            if (count == 0) {
                return Collections.emptyMap();
            }
            if (count <= 256) {
                map = new a(count);
            } else {
                map = new HashMap(count, 1.0f);
            }
            while (query.moveToNext()) {
                map.put(query.getString(0), query.getString(1));
            }
            query.close();
            return map;
        } finally {
            query.close();
        }
    }
}
