package com.google.android.gms.internal.measurement;

import java.io.IOException;
import java.util.Objects;
import java.util.logging.Level;
import java.util.logging.Logger;

/* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
public abstract class zzen extends v2 {

    /* renamed from: a  reason: collision with root package name */
    private static final Logger f10708a = Logger.getLogger(zzen.class.getName());

    /* renamed from: b  reason: collision with root package name */
    private static final boolean f10709b = z6.m();

    /* renamed from: c  reason: collision with root package name */
    p3 f10710c;

    /* access modifiers changed from: package-private */
    /* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
    public static class a extends zzen {

        /* renamed from: d  reason: collision with root package name */
        private final byte[] f10711d;

        /* renamed from: e  reason: collision with root package name */
        private final int f10712e;
        private final int f;
        private int g;

        a(byte[] bArr, int i, int i2) {
            super();
            Objects.requireNonNull(bArr, "buffer");
            int i3 = i2 + 0;
            if ((i2 | 0 | (bArr.length - i3)) >= 0) {
                this.f10711d = bArr;
                this.f10712e = 0;
                this.g = 0;
                this.f = i3;
                return;
            }
            throw new IllegalArgumentException(String.format("Array range is invalid. Buffer.length=%d, offset=%d, length=%d", Integer.valueOf(bArr.length), 0, Integer.valueOf(i2)));
        }

        private final void G0(byte[] bArr, int i, int i2) throws IOException {
            try {
                System.arraycopy(bArr, i, this.f10711d, this.g, i2);
                this.g += i2;
            } catch (IndexOutOfBoundsException e2) {
                throw new zza(String.format("Pos: %d, limit: %d, len: %d", Integer.valueOf(this.g), Integer.valueOf(this.f), Integer.valueOf(i2)), e2);
            }
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void O(int i) throws IOException {
            if (!zzen.f10709b || s2.b() || b() < 5) {
                while ((i & -128) != 0) {
                    byte[] bArr = this.f10711d;
                    int i2 = this.g;
                    this.g = i2 + 1;
                    bArr[i2] = (byte) ((i & 127) | 128);
                    i >>>= 7;
                }
                try {
                    byte[] bArr2 = this.f10711d;
                    int i3 = this.g;
                    this.g = i3 + 1;
                    bArr2[i3] = (byte) i;
                } catch (IndexOutOfBoundsException e2) {
                    throw new zza(String.format("Pos: %d, limit: %d, len: %d", Integer.valueOf(this.g), Integer.valueOf(this.f), 1), e2);
                }
            } else if ((i & -128) == 0) {
                byte[] bArr3 = this.f10711d;
                int i4 = this.g;
                this.g = i4 + 1;
                z6.l(bArr3, (long) i4, (byte) i);
            } else {
                byte[] bArr4 = this.f10711d;
                int i5 = this.g;
                this.g = i5 + 1;
                z6.l(bArr4, (long) i5, (byte) (i | 128));
                int i6 = i >>> 7;
                if ((i6 & -128) == 0) {
                    byte[] bArr5 = this.f10711d;
                    int i7 = this.g;
                    this.g = i7 + 1;
                    z6.l(bArr5, (long) i7, (byte) i6);
                    return;
                }
                byte[] bArr6 = this.f10711d;
                int i8 = this.g;
                this.g = i8 + 1;
                z6.l(bArr6, (long) i8, (byte) (i6 | 128));
                int i9 = i6 >>> 7;
                if ((i9 & -128) == 0) {
                    byte[] bArr7 = this.f10711d;
                    int i10 = this.g;
                    this.g = i10 + 1;
                    z6.l(bArr7, (long) i10, (byte) i9);
                    return;
                }
                byte[] bArr8 = this.f10711d;
                int i11 = this.g;
                this.g = i11 + 1;
                z6.l(bArr8, (long) i11, (byte) (i9 | 128));
                int i12 = i9 >>> 7;
                if ((i12 & -128) == 0) {
                    byte[] bArr9 = this.f10711d;
                    int i13 = this.g;
                    this.g = i13 + 1;
                    z6.l(bArr9, (long) i13, (byte) i12);
                    return;
                }
                byte[] bArr10 = this.f10711d;
                int i14 = this.g;
                this.g = i14 + 1;
                z6.l(bArr10, (long) i14, (byte) (i12 | 128));
                byte[] bArr11 = this.f10711d;
                int i15 = this.g;
                this.g = i15 + 1;
                z6.l(bArr11, (long) i15, (byte) (i12 >>> 7));
            }
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void P(int i, int i2) throws IOException {
            m(i, 0);
            j(i2);
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void R(int i, zzdu zzdu) throws IOException {
            m(1, 3);
            Y(2, i);
            o(3, zzdu);
            m(1, 4);
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void T(byte[] bArr, int i, int i2) throws IOException {
            O(i2);
            G0(bArr, 0, i2);
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void Y(int i, int i2) throws IOException {
            m(i, 0);
            O(i2);
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void Z(int i, long j) throws IOException {
            m(i, 1);
            a0(j);
        }

        @Override // com.google.android.gms.internal.measurement.v2
        public final void a(byte[] bArr, int i, int i2) throws IOException {
            G0(bArr, i, i2);
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void a0(long j) throws IOException {
            try {
                byte[] bArr = this.f10711d;
                int i = this.g;
                int i2 = i + 1;
                this.g = i2;
                bArr[i] = (byte) ((int) j);
                int i3 = i2 + 1;
                this.g = i3;
                bArr[i2] = (byte) ((int) (j >> 8));
                int i4 = i3 + 1;
                this.g = i4;
                bArr[i3] = (byte) ((int) (j >> 16));
                int i5 = i4 + 1;
                this.g = i5;
                bArr[i4] = (byte) ((int) (j >> 24));
                int i6 = i5 + 1;
                this.g = i6;
                bArr[i5] = (byte) ((int) (j >> 32));
                int i7 = i6 + 1;
                this.g = i7;
                bArr[i6] = (byte) ((int) (j >> 40));
                int i8 = i7 + 1;
                this.g = i8;
                bArr[i7] = (byte) ((int) (j >> 48));
                this.g = i8 + 1;
                bArr[i8] = (byte) ((int) (j >> 56));
            } catch (IndexOutOfBoundsException e2) {
                throw new zza(String.format("Pos: %d, limit: %d, len: %d", Integer.valueOf(this.g), Integer.valueOf(this.f), 1), e2);
            }
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final int b() {
            return this.f - this.g;
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void f0(int i) throws IOException {
            try {
                byte[] bArr = this.f10711d;
                int i2 = this.g;
                int i3 = i2 + 1;
                this.g = i3;
                bArr[i2] = (byte) i;
                int i4 = i3 + 1;
                this.g = i4;
                bArr[i3] = (byte) (i >> 8);
                int i5 = i4 + 1;
                this.g = i5;
                bArr[i4] = (byte) (i >> 16);
                this.g = i5 + 1;
                bArr[i5] = (byte) (i >>> 24);
            } catch (IndexOutOfBoundsException e2) {
                throw new zza(String.format("Pos: %d, limit: %d, len: %d", Integer.valueOf(this.g), Integer.valueOf(this.f), 1), e2);
            }
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void g(byte b2) throws IOException {
            try {
                byte[] bArr = this.f10711d;
                int i = this.g;
                this.g = i + 1;
                bArr[i] = b2;
            } catch (IndexOutOfBoundsException e2) {
                throw new zza(String.format("Pos: %d, limit: %d, len: %d", Integer.valueOf(this.g), Integer.valueOf(this.f), 1), e2);
            }
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void j(int i) throws IOException {
            if (i >= 0) {
                O(i);
            } else {
                t((long) i);
            }
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void k0(int i, int i2) throws IOException {
            m(i, 5);
            f0(i2);
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void m(int i, int i2) throws IOException {
            O((i << 3) | i2);
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void n(int i, long j) throws IOException {
            m(i, 0);
            t(j);
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void o(int i, zzdu zzdu) throws IOException {
            m(i, 2);
            u(zzdu);
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void p(int i, l5 l5Var) throws IOException {
            m(1, 3);
            Y(2, i);
            m(3, 2);
            v(l5Var);
            m(1, 4);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.android.gms.internal.measurement.zzen
        public final void q(int i, l5 l5Var, b6 b6Var) throws IOException {
            m(i, 2);
            m2 m2Var = (m2) l5Var;
            int j = m2Var.j();
            if (j == -1) {
                j = b6Var.d(m2Var);
                m2Var.l(j);
            }
            O(j);
            b6Var.g(l5Var, this.f10710c);
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void r(int i, String str) throws IOException {
            m(i, 2);
            w(str);
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void s(int i, boolean z) throws IOException {
            m(i, 0);
            g(z ? (byte) 1 : 0);
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void t(long j) throws IOException {
            if (!zzen.f10709b || b() < 10) {
                while ((j & -128) != 0) {
                    byte[] bArr = this.f10711d;
                    int i = this.g;
                    this.g = i + 1;
                    bArr[i] = (byte) ((((int) j) & 127) | 128);
                    j >>>= 7;
                }
                try {
                    byte[] bArr2 = this.f10711d;
                    int i2 = this.g;
                    this.g = i2 + 1;
                    bArr2[i2] = (byte) ((int) j);
                } catch (IndexOutOfBoundsException e2) {
                    throw new zza(String.format("Pos: %d, limit: %d, len: %d", Integer.valueOf(this.g), Integer.valueOf(this.f), 1), e2);
                }
            } else {
                while ((j & -128) != 0) {
                    byte[] bArr3 = this.f10711d;
                    int i3 = this.g;
                    this.g = i3 + 1;
                    z6.l(bArr3, (long) i3, (byte) ((((int) j) & 127) | 128));
                    j >>>= 7;
                }
                byte[] bArr4 = this.f10711d;
                int i4 = this.g;
                this.g = i4 + 1;
                z6.l(bArr4, (long) i4, (byte) ((int) j));
            }
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void u(zzdu zzdu) throws IOException {
            O(zzdu.zza());
            zzdu.g(this);
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void v(l5 l5Var) throws IOException {
            O(l5Var.h());
            l5Var.e(this);
        }

        @Override // com.google.android.gms.internal.measurement.zzen
        public final void w(String str) throws IOException {
            int i = this.g;
            try {
                int p0 = zzen.p0(str.length() * 3);
                int p02 = zzen.p0(str.length());
                if (p02 == p0) {
                    int i2 = i + p02;
                    this.g = i2;
                    int e2 = c7.e(str, this.f10711d, i2, b());
                    this.g = i;
                    O((e2 - i) - p02);
                    this.g = e2;
                    return;
                }
                O(c7.d(str));
                this.g = c7.e(str, this.f10711d, this.g, b());
            } catch (f7 e3) {
                this.g = i;
                x(str, e3);
            } catch (IndexOutOfBoundsException e4) {
                throw new zza(e4);
            }
        }
    }

    /* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
    public static class zza extends IOException {
        zza() {
            super("CodedOutputStream was writing to a flat byte array and ran out of space.");
        }

        zza(Throwable th) {
            super("CodedOutputStream was writing to a flat byte array and ran out of space.", th);
        }

        /* JADX WARNING: Illegal instructions before constructor call */
        zza(String str, Throwable th) {
            super(r3.length() != 0 ? "CodedOutputStream was writing to a flat byte array and ran out of space.: ".concat(r3) : new String("CodedOutputStream was writing to a flat byte array and ran out of space.: "), th);
            String valueOf = String.valueOf(str);
        }
    }

    private zzen() {
    }

    public static int A(float f) {
        return 4;
    }

    public static int A0(int i) {
        return 4;
    }

    public static int B(int i, double d2) {
        return h0(i) + 8;
    }

    public static int B0(int i, int i2) {
        return h0(i) + 4;
    }

    public static int C(int i, float f) {
        return h0(i) + 4;
    }

    public static int C0(int i) {
        return l0(i);
    }

    public static int D(int i, q4 q4Var) {
        return (h0(1) << 1) + q0(2, i) + c(3, q4Var);
    }

    public static int D0(int i, int i2) {
        return h0(i) + l0(i2);
    }

    public static int E(int i, l5 l5Var) {
        return (h0(1) << 1) + q0(2, i) + h0(3) + J(l5Var);
    }

    @Deprecated
    public static int E0(int i) {
        return p0(i);
    }

    static int F(int i, l5 l5Var, b6 b6Var) {
        return h0(i) + e(l5Var, b6Var);
    }

    private static int F0(int i) {
        return (i >> 31) ^ (i << 1);
    }

    public static int G(int i, String str) {
        return h0(i) + K(str);
    }

    public static int H(int i, boolean z) {
        return h0(i) + 1;
    }

    public static int I(zzdu zzdu) {
        int zza2 = zzdu.zza();
        return p0(zza2) + zza2;
    }

    public static int J(l5 l5Var) {
        int h = l5Var.h();
        return p0(h) + h;
    }

    public static int K(String str) {
        int i;
        try {
            i = c7.d(str);
        } catch (f7 unused) {
            i = str.getBytes(f4.f10397a).length;
        }
        return p0(i) + i;
    }

    public static int L(boolean z) {
        return 1;
    }

    public static int M(byte[] bArr) {
        int length = bArr.length;
        return p0(length) + length;
    }

    public static int U(int i, zzdu zzdu) {
        int h0 = h0(i);
        int zza2 = zzdu.zza();
        return h0 + p0(zza2) + zza2;
    }

    @Deprecated
    static int V(int i, l5 l5Var, b6 b6Var) {
        int h0 = h0(i) << 1;
        m2 m2Var = (m2) l5Var;
        int j = m2Var.j();
        if (j == -1) {
            j = b6Var.d(m2Var);
            m2Var.l(j);
        }
        return h0 + j;
    }

    @Deprecated
    public static int W(l5 l5Var) {
        return l5Var.h();
    }

    public static int c(int i, q4 q4Var) {
        int h0 = h0(i);
        int b2 = q4Var.b();
        return h0 + p0(b2) + b2;
    }

    public static int c0(int i, long j) {
        return h0(i) + j0(j);
    }

    public static int d(q4 q4Var) {
        int b2 = q4Var.b();
        return p0(b2) + b2;
    }

    public static int d0(int i, zzdu zzdu) {
        return (h0(1) << 1) + q0(2, i) + U(3, zzdu);
    }

    static int e(l5 l5Var, b6 b6Var) {
        m2 m2Var = (m2) l5Var;
        int j = m2Var.j();
        if (j == -1) {
            j = b6Var.d(m2Var);
            m2Var.l(j);
        }
        return p0(j) + j;
    }

    public static int e0(long j) {
        return j0(j);
    }

    public static zzen f(byte[] bArr) {
        return new a(bArr, 0, bArr.length);
    }

    public static int h0(int i) {
        return p0(i << 3);
    }

    public static int i0(int i, long j) {
        return h0(i) + j0(j);
    }

    public static int j0(long j) {
        int i;
        if ((-128 & j) == 0) {
            return 1;
        }
        if (j < 0) {
            return 10;
        }
        if ((-34359738368L & j) != 0) {
            i = 6;
            j >>>= 28;
        } else {
            i = 2;
        }
        if ((-2097152 & j) != 0) {
            i += 2;
            j >>>= 14;
        }
        return (j & -16384) != 0 ? i + 1 : i;
    }

    public static int l0(int i) {
        if (i >= 0) {
            return p0(i);
        }
        return 10;
    }

    public static int m0(int i, int i2) {
        return h0(i) + l0(i2);
    }

    public static int n0(int i, long j) {
        return h0(i) + j0(z0(j));
    }

    public static int o0(long j) {
        return j0(z0(j));
    }

    public static int p0(int i) {
        if ((i & -128) == 0) {
            return 1;
        }
        if ((i & -16384) == 0) {
            return 2;
        }
        if ((-2097152 & i) == 0) {
            return 3;
        }
        return (i & -268435456) == 0 ? 4 : 5;
    }

    public static int q0(int i, int i2) {
        return h0(i) + p0(i2);
    }

    public static int r0(int i, long j) {
        return h0(i) + 8;
    }

    public static int s0(long j) {
        return 8;
    }

    public static int t0(int i) {
        return p0(F0(i));
    }

    public static int u0(int i, int i2) {
        return h0(i) + p0(F0(i2));
    }

    public static int v0(int i, long j) {
        return h0(i) + 8;
    }

    public static int w0(long j) {
        return 8;
    }

    public static int x0(int i) {
        return 4;
    }

    public static int y0(int i, int i2) {
        return h0(i) + 4;
    }

    public static int z(double d2) {
        return 8;
    }

    private static long z0(long j) {
        return (j >> 63) ^ (j << 1);
    }

    public final void N() {
        if (b() != 0) {
            throw new IllegalStateException("Did not write as much data as expected.");
        }
    }

    public abstract void O(int i) throws IOException;

    public abstract void P(int i, int i2) throws IOException;

    public final void Q(int i, long j) throws IOException {
        n(i, z0(j));
    }

    public abstract void R(int i, zzdu zzdu) throws IOException;

    public final void S(long j) throws IOException {
        t(z0(j));
    }

    /* access modifiers changed from: package-private */
    public abstract void T(byte[] bArr, int i, int i2) throws IOException;

    public final void X(int i) throws IOException {
        O(F0(i));
    }

    public abstract void Y(int i, int i2) throws IOException;

    public abstract void Z(int i, long j) throws IOException;

    public abstract void a0(long j) throws IOException;

    public abstract int b();

    public abstract void f0(int i) throws IOException;

    public abstract void g(byte b2) throws IOException;

    public final void g0(int i, int i2) throws IOException {
        Y(i, F0(i2));
    }

    public final void h(double d2) throws IOException {
        a0(Double.doubleToRawLongBits(d2));
    }

    public final void i(float f) throws IOException {
        f0(Float.floatToRawIntBits(f));
    }

    public abstract void j(int i) throws IOException;

    public final void k(int i, double d2) throws IOException {
        Z(i, Double.doubleToRawLongBits(d2));
    }

    public abstract void k0(int i, int i2) throws IOException;

    public final void l(int i, float f) throws IOException {
        k0(i, Float.floatToRawIntBits(f));
    }

    public abstract void m(int i, int i2) throws IOException;

    public abstract void n(int i, long j) throws IOException;

    public abstract void o(int i, zzdu zzdu) throws IOException;

    public abstract void p(int i, l5 l5Var) throws IOException;

    /* access modifiers changed from: package-private */
    public abstract void q(int i, l5 l5Var, b6 b6Var) throws IOException;

    public abstract void r(int i, String str) throws IOException;

    public abstract void s(int i, boolean z) throws IOException;

    public abstract void t(long j) throws IOException;

    public abstract void u(zzdu zzdu) throws IOException;

    public abstract void v(l5 l5Var) throws IOException;

    public abstract void w(String str) throws IOException;

    /* access modifiers changed from: package-private */
    public final void x(String str, f7 f7Var) throws IOException {
        f10708a.logp(Level.WARNING, "com.google.protobuf.CodedOutputStream", "inefficientWriteStringNoTag", "Converting ill-formed UTF-16. Your Protocol Buffer will not round trip correctly!", (Throwable) f7Var);
        byte[] bytes = str.getBytes(f4.f10397a);
        try {
            O(bytes.length);
            a(bytes, 0, bytes.length);
        } catch (IndexOutOfBoundsException e2) {
            throw new zza(e2);
        } catch (zza e3) {
            throw e3;
        }
    }

    public final void y(boolean z) throws IOException {
        g(z ? (byte) 1 : 0);
    }
}
