package com.google.android.gms.internal.measurement;

import java.util.Arrays;
import java.util.Collections;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Set;

/* compiled from: com.google.android.gms:play-services-measurement-base@@17.2.0 */
public final class zzgi<K, V> extends LinkedHashMap<K, V> {

    /* renamed from: a  reason: collision with root package name */
    private static final zzgi f10716a;
    private boolean zza = true;

    static {
        zzgi zzgi = new zzgi();
        f10716a = zzgi;
        zzgi.zza = false;
    }

    private zzgi() {
    }

    private static int a(Object obj) {
        if (obj instanceof byte[]) {
            return f4.j((byte[]) obj);
        }
        if (!(obj instanceof i4)) {
            return obj.hashCode();
        }
        throw new UnsupportedOperationException();
    }

    private final void b() {
        if (!this.zza) {
            throw new UnsupportedOperationException();
        }
    }

    public static <K, V> zzgi<K, V> zza() {
        return f10716a;
    }

    public final void clear() {
        b();
        super.clear();
    }

    @Override // java.util.LinkedHashMap, java.util.AbstractMap, java.util.Map, java.util.HashMap
    public final Set<Map.Entry<K, V>> entrySet() {
        return isEmpty() ? Collections.emptySet() : super.entrySet();
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x005c A[RETURN] */
    public final boolean equals(Object obj) {
        boolean z;
        boolean z2;
        if (obj instanceof Map) {
            Map map = (Map) obj;
            if (this != map) {
                if (size() == map.size()) {
                    Iterator<Map.Entry<K, V>> it = entrySet().iterator();
                    while (true) {
                        if (!it.hasNext()) {
                            break;
                        }
                        Map.Entry<K, V> next = it.next();
                        if (map.containsKey(next.getKey())) {
                            V value = next.getValue();
                            Object obj2 = map.get(next.getKey());
                            if (!(value instanceof byte[]) || !(obj2 instanceof byte[])) {
                                z2 = value.equals(obj2);
                                continue;
                            } else {
                                z2 = Arrays.equals((byte[]) value, (byte[]) obj2);
                                continue;
                            }
                            if (!z2) {
                                break;
                            }
                        } else {
                            break;
                        }
                    }
                }
                z = false;
                if (!z) {
                    return true;
                }
            }
            z = true;
            if (!z) {
                return false;
            }
        }
        return false;
    }

    public final int hashCode() {
        int i = 0;
        for (Map.Entry<K, V> entry : entrySet()) {
            i += a(entry.getValue()) ^ a(entry.getKey());
        }
        return i;
    }

    @Override // java.util.AbstractMap, java.util.Map, java.util.HashMap
    public final V put(K k, V v) {
        b();
        f4.d(k);
        f4.d(v);
        return (V) super.put(k, v);
    }

    @Override // java.util.AbstractMap, java.util.Map, java.util.HashMap
    public final void putAll(Map<? extends K, ? extends V> map) {
        b();
        for (Object obj : map.keySet()) {
            f4.d(obj);
            f4.d(map.get(obj));
        }
        super.putAll(map);
    }

    @Override // java.util.AbstractMap, java.util.Map, java.util.HashMap
    public final V remove(Object obj) {
        b();
        return (V) super.remove(obj);
    }

    public final zzgi<K, V> zzb() {
        return isEmpty() ? new zzgi<>() : new zzgi<>(this);
    }

    public final void zzc() {
        this.zza = false;
    }

    public final boolean zzd() {
        return this.zza;
    }

    public final void zza(zzgi<K, V> zzgi) {
        b();
        if (!zzgi.isEmpty()) {
            putAll(zzgi);
        }
    }

    private zzgi(Map<K, V> map) {
        super(map);
    }
}
