package com.google.android.gms.measurement;

import android.content.Context;
import android.os.Bundle;
import androidx.annotation.Keep;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresPermission;
import androidx.annotation.Size;
import androidx.annotation.WorkerThread;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.ShowFirstParty;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.measurement.a.a;
import com.google.android.gms.measurement.internal.a6;
import com.google.android.gms.measurement.internal.b5;
import com.google.android.gms.measurement.internal.b6;
import com.google.android.gms.measurement.internal.c6;
import com.google.android.gms.measurement.internal.d6;
import com.google.android.gms.measurement.internal.d7;
import com.google.android.gms.measurement.internal.g6;
import com.google.android.gms.measurement.internal.k7;
import com.google.android.gms.measurement.internal.y5;
import com.google.android.gms.measurement.internal.zzkj;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Deprecated
@ShowFirstParty
@KeepForSdk
/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public class AppMeasurement {
    @ShowFirstParty
    @KeepForSdk

    /* renamed from: a  reason: collision with root package name */
    public static final String f10721a = "crash";
    @ShowFirstParty
    @KeepForSdk

    /* renamed from: b  reason: collision with root package name */
    public static final String f10722b = "fcm";
    @ShowFirstParty
    @KeepForSdk

    /* renamed from: c  reason: collision with root package name */
    public static final String f10723c = "fiam";

    /* renamed from: d  reason: collision with root package name */
    private static volatile AppMeasurement f10724d;

    /* renamed from: e  reason: collision with root package name */
    private final b5 f10725e;
    private final d7 f;
    private final boolean g;

    @ShowFirstParty
    @KeepForSdk
    /* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
    public static class ConditionalUserProperty {
        @ShowFirstParty
        @Keep
        @KeepForSdk
        public boolean mActive;
        @ShowFirstParty
        @Keep
        @KeepForSdk
        public String mAppId;
        @ShowFirstParty
        @Keep
        @KeepForSdk
        public long mCreationTimestamp;
        @Keep
        public String mExpiredEventName;
        @Keep
        public Bundle mExpiredEventParams;
        @ShowFirstParty
        @Keep
        @KeepForSdk
        public String mName;
        @ShowFirstParty
        @Keep
        @KeepForSdk
        public String mOrigin;
        @ShowFirstParty
        @Keep
        @KeepForSdk
        public long mTimeToLive;
        @Keep
        public String mTimedOutEventName;
        @Keep
        public Bundle mTimedOutEventParams;
        @ShowFirstParty
        @Keep
        @KeepForSdk
        public String mTriggerEventName;
        @ShowFirstParty
        @Keep
        @KeepForSdk
        public long mTriggerTimeout;
        @Keep
        public String mTriggeredEventName;
        @Keep
        public Bundle mTriggeredEventParams;
        @ShowFirstParty
        @Keep
        @KeepForSdk
        public long mTriggeredTimestamp;
        @ShowFirstParty
        @Keep
        @KeepForSdk
        public Object mValue;

        @KeepForSdk
        public ConditionalUserProperty() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private final Bundle a() {
            Bundle bundle = new Bundle();
            String str = this.mAppId;
            if (str != null) {
                bundle.putString(com.alipay.sdk.app.c.b.t0, str);
            }
            String str2 = this.mOrigin;
            if (str2 != null) {
                bundle.putString("origin", str2);
            }
            String str3 = this.mName;
            if (str3 != null) {
                bundle.putString("name", str3);
            }
            Object obj = this.mValue;
            if (obj != null) {
                y5.b(bundle, obj);
            }
            String str4 = this.mTriggerEventName;
            if (str4 != null) {
                bundle.putString(a.C0251a.f10740d, str4);
            }
            bundle.putLong(a.C0251a.f10741e, this.mTriggerTimeout);
            String str5 = this.mTimedOutEventName;
            if (str5 != null) {
                bundle.putString(a.C0251a.f, str5);
            }
            Bundle bundle2 = this.mTimedOutEventParams;
            if (bundle2 != null) {
                bundle.putBundle(a.C0251a.g, bundle2);
            }
            String str6 = this.mTriggeredEventName;
            if (str6 != null) {
                bundle.putString(a.C0251a.h, str6);
            }
            Bundle bundle3 = this.mTriggeredEventParams;
            if (bundle3 != null) {
                bundle.putBundle(a.C0251a.i, bundle3);
            }
            bundle.putLong(a.C0251a.j, this.mTimeToLive);
            String str7 = this.mExpiredEventName;
            if (str7 != null) {
                bundle.putString(a.C0251a.k, str7);
            }
            Bundle bundle4 = this.mExpiredEventParams;
            if (bundle4 != null) {
                bundle.putBundle(a.C0251a.l, bundle4);
            }
            bundle.putLong(a.C0251a.m, this.mCreationTimestamp);
            bundle.putBoolean(a.C0251a.n, this.mActive);
            bundle.putLong(a.C0251a.o, this.mTriggeredTimestamp);
            return bundle;
        }

        @KeepForSdk
        public ConditionalUserProperty(ConditionalUserProperty conditionalUserProperty) {
            a0.k(conditionalUserProperty);
            this.mAppId = conditionalUserProperty.mAppId;
            this.mOrigin = conditionalUserProperty.mOrigin;
            this.mCreationTimestamp = conditionalUserProperty.mCreationTimestamp;
            this.mName = conditionalUserProperty.mName;
            Object obj = conditionalUserProperty.mValue;
            if (obj != null) {
                Object a2 = k7.a(obj);
                this.mValue = a2;
                if (a2 == null) {
                    this.mValue = conditionalUserProperty.mValue;
                }
            }
            this.mActive = conditionalUserProperty.mActive;
            this.mTriggerEventName = conditionalUserProperty.mTriggerEventName;
            this.mTriggerTimeout = conditionalUserProperty.mTriggerTimeout;
            this.mTimedOutEventName = conditionalUserProperty.mTimedOutEventName;
            if (conditionalUserProperty.mTimedOutEventParams != null) {
                this.mTimedOutEventParams = new Bundle(conditionalUserProperty.mTimedOutEventParams);
            }
            this.mTriggeredEventName = conditionalUserProperty.mTriggeredEventName;
            if (conditionalUserProperty.mTriggeredEventParams != null) {
                this.mTriggeredEventParams = new Bundle(conditionalUserProperty.mTriggeredEventParams);
            }
            this.mTriggeredTimestamp = conditionalUserProperty.mTriggeredTimestamp;
            this.mTimeToLive = conditionalUserProperty.mTimeToLive;
            this.mExpiredEventName = conditionalUserProperty.mExpiredEventName;
            if (conditionalUserProperty.mExpiredEventParams != null) {
                this.mExpiredEventParams = new Bundle(conditionalUserProperty.mExpiredEventParams);
            }
        }

        private ConditionalUserProperty(@NonNull Bundle bundle) {
            a0.k(bundle);
            this.mAppId = (String) y5.a(bundle, com.alipay.sdk.app.c.b.t0, String.class, null);
            this.mOrigin = (String) y5.a(bundle, "origin", String.class, null);
            this.mName = (String) y5.a(bundle, "name", String.class, null);
            this.mValue = y5.a(bundle, "value", Object.class, null);
            this.mTriggerEventName = (String) y5.a(bundle, a.C0251a.f10740d, String.class, null);
            this.mTriggerTimeout = ((Long) y5.a(bundle, a.C0251a.f10741e, Long.class, 0L)).longValue();
            this.mTimedOutEventName = (String) y5.a(bundle, a.C0251a.f, String.class, null);
            this.mTimedOutEventParams = (Bundle) y5.a(bundle, a.C0251a.g, Bundle.class, null);
            this.mTriggeredEventName = (String) y5.a(bundle, a.C0251a.h, String.class, null);
            this.mTriggeredEventParams = (Bundle) y5.a(bundle, a.C0251a.i, Bundle.class, null);
            this.mTimeToLive = ((Long) y5.a(bundle, a.C0251a.j, Long.class, 0L)).longValue();
            this.mExpiredEventName = (String) y5.a(bundle, a.C0251a.k, String.class, null);
            this.mExpiredEventParams = (Bundle) y5.a(bundle, a.C0251a.l, Bundle.class, null);
        }
    }

    @ShowFirstParty
    @KeepForSdk
    /* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
    public static final class a extends b6 {
        @ShowFirstParty
        @KeepForSdk

        /* renamed from: c  reason: collision with root package name */
        public static final String f10726c = "_ae";
        @ShowFirstParty
        @KeepForSdk

        /* renamed from: d  reason: collision with root package name */
        public static final String f10727d = "_ar";

        private a() {
        }
    }

    @ShowFirstParty
    @KeepForSdk
    /* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
    public interface b extends c6 {
        @Override // com.google.android.gms.measurement.internal.c6
        @ShowFirstParty
        @KeepForSdk
        @WorkerThread
        void a(String str, String str2, Bundle bundle, long j);
    }

    @ShowFirstParty
    @KeepForSdk
    /* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
    public interface c extends g6 {
        @Override // com.google.android.gms.measurement.internal.g6
        @ShowFirstParty
        @KeepForSdk
        @WorkerThread
        void a(String str, String str2, Bundle bundle, long j);
    }

    @ShowFirstParty
    @KeepForSdk
    /* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
    public static final class d extends a6 {
        @ShowFirstParty
        @KeepForSdk

        /* renamed from: c  reason: collision with root package name */
        public static final String f10728c = "fatal";
        @ShowFirstParty
        @KeepForSdk

        /* renamed from: d  reason: collision with root package name */
        public static final String f10729d = "timestamp";
        @ShowFirstParty
        @KeepForSdk

        /* renamed from: e  reason: collision with root package name */
        public static final String f10730e = "type";

        private d() {
        }
    }

    @ShowFirstParty
    @KeepForSdk
    /* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
    public static final class e extends d6 {
        @ShowFirstParty
        @KeepForSdk

        /* renamed from: c  reason: collision with root package name */
        public static final String f10731c = "_ln";

        private e() {
        }
    }

    private AppMeasurement(b5 b5Var) {
        a0.k(b5Var);
        this.f10725e = b5Var;
        this.f = null;
        this.g = false;
    }

    @Keep
    @Deprecated
    @RequiresPermission(allOf = {"android.permission.INTERNET", "android.permission.ACCESS_NETWORK_STATE", "android.permission.WAKE_LOCK"})
    @ShowFirstParty
    @KeepForSdk
    public static AppMeasurement getInstance(Context context) {
        return n(context, null, null);
    }

    public static AppMeasurement m(Context context, Bundle bundle) {
        if (f10724d == null) {
            synchronized (AppMeasurement.class) {
                if (f10724d == null) {
                    d7 p = p(context, bundle);
                    if (p != null) {
                        f10724d = new AppMeasurement(p);
                    } else {
                        f10724d = new AppMeasurement(b5.c(context, null, null, bundle));
                    }
                }
            }
        }
        return f10724d;
    }

    @VisibleForTesting
    private static AppMeasurement n(Context context, String str, String str2) {
        if (f10724d == null) {
            synchronized (AppMeasurement.class) {
                if (f10724d == null) {
                    d7 p = p(context, null);
                    if (p != null) {
                        f10724d = new AppMeasurement(p);
                    } else {
                        f10724d = new AppMeasurement(b5.c(context, null, null, null));
                    }
                }
            }
        }
        return f10724d;
    }

    private static d7 p(Context context, Bundle bundle) {
        try {
            return (d7) Class.forName("com.google.firebase.analytics.FirebaseAnalytics").getDeclaredMethod("getScionFrontendApiImplementation", Context.class, Bundle.class).invoke(null, context, bundle);
        } catch (ClassNotFoundException unused) {
            return null;
        }
    }

    @KeepForSdk
    public Boolean a() {
        if (this.g) {
            return (Boolean) this.f.a(4);
        }
        return this.f10725e.H().b0();
    }

    @KeepForSdk
    public Double b() {
        if (this.g) {
            return (Double) this.f.a(2);
        }
        return this.f10725e.H().f0();
    }

    @Keep
    public void beginAdUnitExposure(@NonNull @Size(min = 1) String str) {
        if (this.g) {
            this.f.b(str);
        } else {
            this.f10725e.U().A(str, this.f10725e.m().b());
        }
    }

    @KeepForSdk
    public Integer c() {
        if (this.g) {
            return (Integer) this.f.a(3);
        }
        return this.f10725e.H().e0();
    }

    @ShowFirstParty
    @Keep
    @KeepForSdk
    public void clearConditionalUserProperty(@NonNull @Size(max = 24, min = 1) String str, @Nullable String str2, @Nullable Bundle bundle) {
        if (this.g) {
            this.f.o(str, str2, bundle);
        } else {
            this.f10725e.H().A0(str, str2, bundle);
        }
    }

    /* access modifiers changed from: protected */
    @VisibleForTesting
    @Keep
    public void clearConditionalUserPropertyAs(@NonNull @Size(min = 1) String str, @NonNull @Size(max = 24, min = 1) String str2, @Nullable String str3, @Nullable Bundle bundle) {
        if (!this.g) {
            this.f10725e.H().Y(str, str2, str3, bundle);
            return;
        }
        throw new IllegalStateException("Unexpected call on client side");
    }

    @KeepForSdk
    public Long d() {
        if (this.g) {
            return (Long) this.f.a(1);
        }
        return this.f10725e.H().d0();
    }

    @KeepForSdk
    public String e() {
        if (this.g) {
            return (String) this.f.a(0);
        }
        return this.f10725e.H().c0();
    }

    @Keep
    public void endAdUnitExposure(@NonNull @Size(min = 1) String str) {
        if (this.g) {
            this.f.m(str);
        } else {
            this.f10725e.U().E(str, this.f10725e.m().b());
        }
    }

    @ShowFirstParty
    @KeepForSdk
    @WorkerThread
    public Map<String, Object> f(boolean z) {
        if (this.g) {
            return this.f.n(null, null, z);
        }
        List<zzkj> y0 = this.f10725e.H().y0(z);
        b.b.a aVar = new b.b.a(y0.size());
        for (zzkj zzkj : y0) {
            aVar.put(zzkj.f11236b, zzkj.e0());
        }
        return aVar;
    }

    @ShowFirstParty
    @KeepForSdk
    public void g(String str, String str2, Bundle bundle, long j) {
        if (this.g) {
            this.f.u(str, str2, bundle, j);
        } else {
            this.f10725e.H().U(str, str2, bundle, true, false, j);
        }
    }

    @Keep
    public long generateEventId() {
        if (this.g) {
            return this.f.f();
        }
        return this.f10725e.I().w0();
    }

    @Nullable
    @Keep
    public String getAppInstanceId() {
        if (this.g) {
            return this.f.d();
        }
        return this.f10725e.H().g0();
    }

    @Keep
    @ShowFirstParty
    @KeepForSdk
    @WorkerThread
    public List<ConditionalUserProperty> getConditionalUserProperties(@Nullable String str, @Nullable @Size(max = 23, min = 1) String str2) {
        List<Bundle> list;
        int i;
        if (this.g) {
            list = this.f.j(str, str2);
        } else {
            list = this.f10725e.H().C(str, str2);
        }
        if (list == null) {
            i = 0;
        } else {
            i = list.size();
        }
        ArrayList arrayList = new ArrayList(i);
        for (Bundle bundle : list) {
            arrayList.add(new ConditionalUserProperty(bundle));
        }
        return arrayList;
    }

    /* access modifiers changed from: protected */
    @VisibleForTesting
    @Keep
    @WorkerThread
    public List<ConditionalUserProperty> getConditionalUserPropertiesAs(@NonNull @Size(min = 1) String str, @Nullable String str2, @Nullable @Size(max = 23, min = 1) String str3) {
        int i;
        if (!this.g) {
            ArrayList<Bundle> D = this.f10725e.H().D(str, str2, str3);
            int i2 = 0;
            if (D == null) {
                i = 0;
            } else {
                i = D.size();
            }
            ArrayList arrayList = new ArrayList(i);
            int size = D.size();
            while (i2 < size) {
                Bundle bundle = D.get(i2);
                i2++;
                arrayList.add(new ConditionalUserProperty(bundle));
            }
            return arrayList;
        }
        throw new IllegalStateException("Unexpected call on client side");
    }

    @Nullable
    @Keep
    public String getCurrentScreenClass() {
        if (this.g) {
            return this.f.c();
        }
        return this.f10725e.H().j0();
    }

    @Nullable
    @Keep
    public String getCurrentScreenName() {
        if (this.g) {
            return this.f.zza();
        }
        return this.f10725e.H().i0();
    }

    @Nullable
    @Keep
    public String getGmpAppId() {
        if (this.g) {
            return this.f.e();
        }
        return this.f10725e.H().k0();
    }

    @Keep
    @ShowFirstParty
    @KeepForSdk
    @WorkerThread
    public int getMaxUserProperties(@NonNull @Size(min = 1) String str) {
        if (this.g) {
            return this.f.l(str);
        }
        this.f10725e.H();
        a0.g(str);
        return 25;
    }

    /* access modifiers changed from: protected */
    @VisibleForTesting
    @Keep
    @WorkerThread
    public Map<String, Object> getUserProperties(@Nullable String str, @Nullable @Size(max = 24, min = 1) String str2, boolean z) {
        if (this.g) {
            return this.f.n(str, str2, z);
        }
        return this.f10725e.H().F(str, str2, z);
    }

    /* access modifiers changed from: protected */
    @VisibleForTesting
    @Keep
    @WorkerThread
    public Map<String, Object> getUserPropertiesAs(@NonNull @Size(min = 1) String str, @Nullable String str2, @Nullable @Size(max = 23, min = 1) String str3, boolean z) {
        if (!this.g) {
            return this.f10725e.H().E(str, str2, str3, z);
        }
        throw new IllegalStateException("Unexpected call on client side");
    }

    @ShowFirstParty
    @KeepForSdk
    public void h(c cVar) {
        if (this.g) {
            this.f.s(cVar);
        } else {
            this.f10725e.H().K(cVar);
        }
    }

    @ShowFirstParty
    @KeepForSdk
    @WorkerThread
    public void i(b bVar) {
        if (this.g) {
            this.f.r(bVar);
        } else {
            this.f10725e.H().J(bVar);
        }
    }

    @KeepForSdk
    @Deprecated
    public void j(boolean z) {
        if (this.g) {
            this.f.t(z);
        } else {
            this.f10725e.H().Z(z);
        }
    }

    @ShowFirstParty
    @KeepForSdk
    public void k(String str, String str2, Object obj) {
        a0.g(str);
        if (this.g) {
            this.f.v(str, str2, obj);
        } else {
            this.f10725e.H().W(str, str2, obj, true);
        }
    }

    @ShowFirstParty
    @KeepForSdk
    public void l(c cVar) {
        if (this.g) {
            this.f.p(cVar);
        } else {
            this.f10725e.H().r0(cVar);
        }
    }

    @ShowFirstParty
    @Keep
    public void logEventInternal(String str, String str2, Bundle bundle) {
        if (this.g) {
            this.f.q(str, str2, bundle);
        } else {
            this.f10725e.H().S(str, str2, bundle);
        }
    }

    public final void o(boolean z) {
        if (this.g) {
            this.f.k(z);
        } else {
            this.f10725e.H().w0(z);
        }
    }

    @ShowFirstParty
    @Keep
    @KeepForSdk
    public void setConditionalUserProperty(@NonNull ConditionalUserProperty conditionalUserProperty) {
        a0.k(conditionalUserProperty);
        if (this.g) {
            this.f.g(conditionalUserProperty.a());
        } else {
            this.f10725e.H().H(conditionalUserProperty.a());
        }
    }

    /* access modifiers changed from: protected */
    @VisibleForTesting
    @Keep
    public void setConditionalUserPropertyAs(@NonNull ConditionalUserProperty conditionalUserProperty) {
        a0.k(conditionalUserProperty);
        if (!this.g) {
            this.f10725e.H().p0(conditionalUserProperty.a());
            return;
        }
        throw new IllegalStateException("Unexpected call on client side");
    }

    private AppMeasurement(d7 d7Var) {
        a0.k(d7Var);
        this.f = d7Var;
        this.f10725e = null;
        this.g = true;
    }
}
