package com.google.android.gms.measurement.a;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresPermission;
import androidx.annotation.Size;
import androidx.annotation.WorkerThread;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.ShowFirstParty;
import com.google.android.gms.internal.measurement.ic;
import com.google.android.gms.measurement.internal.c6;
import com.google.android.gms.measurement.internal.g6;
import java.util.List;
import java.util.Map;

@KeepForSdk
/* compiled from: com.google.android.gms:play-services-measurement-sdk-api@@17.2.0 */
public class a {

    /* renamed from: a  reason: collision with root package name */
    private final ic f10736a;

    @KeepForSdk
    /* renamed from: com.google.android.gms.measurement.a.a$a  reason: collision with other inner class name */
    /* compiled from: com.google.android.gms:play-services-measurement-sdk-api@@17.2.0 */
    public static final class C0251a {
        @KeepForSdk

        /* renamed from: a  reason: collision with root package name */
        public static final String f10737a = "origin";
        @KeepForSdk

        /* renamed from: b  reason: collision with root package name */
        public static final String f10738b = "name";
        @KeepForSdk

        /* renamed from: c  reason: collision with root package name */
        public static final String f10739c = "value";
        @KeepForSdk

        /* renamed from: d  reason: collision with root package name */
        public static final String f10740d = "trigger_event_name";
        @KeepForSdk

        /* renamed from: e  reason: collision with root package name */
        public static final String f10741e = "trigger_timeout";
        @KeepForSdk
        public static final String f = "timed_out_event_name";
        @KeepForSdk
        public static final String g = "timed_out_event_params";
        @KeepForSdk
        public static final String h = "triggered_event_name";
        @KeepForSdk
        public static final String i = "triggered_event_params";
        @KeepForSdk
        public static final String j = "time_to_live";
        @KeepForSdk
        public static final String k = "expired_event_name";
        @KeepForSdk
        public static final String l = "expired_event_params";
        @KeepForSdk
        public static final String m = "creation_timestamp";
        @KeepForSdk
        public static final String n = "active";
        @KeepForSdk
        public static final String o = "triggered_timestamp";

        private C0251a() {
        }
    }

    @ShowFirstParty
    @KeepForSdk
    /* compiled from: com.google.android.gms:play-services-measurement-sdk-api@@17.2.0 */
    public interface b extends c6 {
        @Override // com.google.android.gms.measurement.internal.c6
        @ShowFirstParty
        @KeepForSdk
        @WorkerThread
        void a(String str, String str2, Bundle bundle, long j);
    }

    @ShowFirstParty
    @KeepForSdk
    /* compiled from: com.google.android.gms:play-services-measurement-sdk-api@@17.2.0 */
    public interface c extends g6 {
        @Override // com.google.android.gms.measurement.internal.g6
        @ShowFirstParty
        @KeepForSdk
        @WorkerThread
        void a(String str, String str2, Bundle bundle, long j);
    }

    public a(ic icVar) {
        this.f10736a = icVar;
    }

    @RequiresPermission(allOf = {"android.permission.INTERNET", "android.permission.ACCESS_NETWORK_STATE", "android.permission.WAKE_LOCK"})
    @KeepForSdk
    public static a k(@NonNull Context context) {
        return ic.d(context).f();
    }

    @RequiresPermission(allOf = {"android.permission.INTERNET", "android.permission.ACCESS_NETWORK_STATE", "android.permission.WAKE_LOCK"})
    @KeepForSdk
    public static a l(@NonNull Context context, @NonNull String str, @NonNull String str2, @NonNull String str3, Bundle bundle) {
        return ic.e(context, str, str2, str3, bundle).f();
    }

    @KeepForSdk
    public void a(@NonNull @Size(min = 1) String str) {
        this.f10736a.K(str);
    }

    @KeepForSdk
    public void b(@NonNull @Size(max = 24, min = 1) String str, @Nullable String str2, @Nullable Bundle bundle) {
        this.f10736a.L(str, str2, bundle);
    }

    @KeepForSdk
    public void c(@NonNull @Size(min = 1) String str) {
        this.f10736a.R(str);
    }

    @KeepForSdk
    public long d() {
        return this.f10736a.Y();
    }

    @KeepForSdk
    public String e() {
        return this.f10736a.f0();
    }

    @Nullable
    @KeepForSdk
    public String f() {
        return this.f10736a.V();
    }

    @KeepForSdk
    @WorkerThread
    public List<Bundle> g(@Nullable String str, @Nullable @Size(max = 23, min = 1) String str2) {
        return this.f10736a.G(str, str2);
    }

    @Nullable
    @KeepForSdk
    public String h() {
        return this.f10736a.c0();
    }

    @Nullable
    @KeepForSdk
    public String i() {
        return this.f10736a.Z();
    }

    @Nullable
    @KeepForSdk
    public String j() {
        return this.f10736a.P();
    }

    @KeepForSdk
    @WorkerThread
    public int m(@NonNull @Size(min = 1) String str) {
        return this.f10736a.U(str);
    }

    @KeepForSdk
    @WorkerThread
    public Map<String, Object> n(@Nullable String str, @Nullable @Size(max = 24, min = 1) String str2, boolean z) {
        return this.f10736a.i(str, str2, z);
    }

    @KeepForSdk
    public void o(String str, String str2, Bundle bundle) {
        this.f10736a.w(str, str2, bundle);
    }

    @KeepForSdk
    public void p(String str, String str2, Bundle bundle, long j) {
        this.f10736a.x(str, str2, bundle, j);
    }

    @KeepForSdk
    public void q(Bundle bundle) {
        this.f10736a.a(bundle, false);
    }

    @KeepForSdk
    public Bundle r(Bundle bundle) {
        return this.f10736a.a(bundle, true);
    }

    @ShowFirstParty
    @KeepForSdk
    public void s(c cVar) {
        this.f10736a.r(cVar);
    }

    @KeepForSdk
    public void t(@NonNull Bundle bundle) {
        this.f10736a.m(bundle);
    }

    @KeepForSdk
    public void u(@NonNull Activity activity, @Nullable @Size(max = 36, min = 1) String str, @Nullable @Size(max = 36, min = 1) String str2) {
        this.f10736a.l(activity, str, str2);
    }

    @ShowFirstParty
    @KeepForSdk
    @WorkerThread
    public void v(b bVar) {
        this.f10736a.q(bVar);
    }

    @KeepForSdk
    public void w(boolean z) {
        this.f10736a.B(z);
    }

    @KeepForSdk
    public void x(String str, String str2, Object obj) {
        this.f10736a.z(str, str2, obj);
    }

    @ShowFirstParty
    @KeepForSdk
    public void y(c cVar) {
        this.f10736a.J(cVar);
    }
}
