package com.google.android.gms.measurement.internal;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.os.RemoteException;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.DynamiteApi;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.dynamic.d;
import com.google.android.gms.dynamic.f;
import com.google.android.gms.internal.measurement.ec;
import com.google.android.gms.internal.measurement.fc;
import com.google.android.gms.internal.measurement.y9;
import com.google.android.gms.internal.measurement.zb;
import com.google.android.gms.internal.measurement.zzv;
import com.liulishuo.filedownloader.model.FileDownloadModel;
import java.util.Map;

@DynamiteApi
/* compiled from: com.google.android.gms:play-services-measurement-sdk@@17.2.0 */
public class AppMeasurementDynamiteService extends y9 {
    @VisibleForTesting

    /* renamed from: d  reason: collision with root package name */
    b5 f10742d = null;

    /* renamed from: e  reason: collision with root package name */
    private Map<Integer, g6> f10743e = new b.b.a();

    /* compiled from: com.google.android.gms:play-services-measurement-sdk@@17.2.0 */
    class a implements c6 {

        /* renamed from: a  reason: collision with root package name */
        private ec f10744a;

        a(ec ecVar) {
            this.f10744a = ecVar;
        }

        @Override // com.google.android.gms.measurement.internal.c6
        public final void a(String str, String str2, Bundle bundle, long j) {
            try {
                this.f10744a.u(str, str2, bundle, j);
            } catch (RemoteException e2) {
                AppMeasurementDynamiteService.this.f10742d.h().K().b("Event interceptor threw exception", e2);
            }
        }
    }

    /* compiled from: com.google.android.gms:play-services-measurement-sdk@@17.2.0 */
    class b implements g6 {

        /* renamed from: a  reason: collision with root package name */
        private ec f10746a;

        b(ec ecVar) {
            this.f10746a = ecVar;
        }

        @Override // com.google.android.gms.measurement.internal.g6
        public final void a(String str, String str2, Bundle bundle, long j) {
            try {
                this.f10746a.u(str, str2, bundle, j);
            } catch (RemoteException e2) {
                AppMeasurementDynamiteService.this.f10742d.h().K().b("Event listener threw exception", e2);
            }
        }
    }

    private final void e() {
        if (this.f10742d == null) {
            throw new IllegalStateException("Attempting to perform action before initialize.");
        }
    }

    private final void m(zb zbVar, String str) {
        this.f10742d.I().P(zbVar, str);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void beginAdUnitExposure(String str, long j) throws RemoteException {
        e();
        this.f10742d.U().A(str, j);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void clearConditionalUserProperty(String str, String str2, Bundle bundle) throws RemoteException {
        e();
        this.f10742d.H().A0(str, str2, bundle);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void endAdUnitExposure(String str, long j) throws RemoteException {
        e();
        this.f10742d.U().E(str, j);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void generateEventId(zb zbVar) throws RemoteException {
        e();
        this.f10742d.I().N(zbVar, this.f10742d.I().w0());
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void getAppInstanceId(zb zbVar) throws RemoteException {
        e();
        this.f10742d.b().A(new g7(this, zbVar));
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void getCachedAppInstanceId(zb zbVar) throws RemoteException {
        e();
        m(zbVar, this.f10742d.H().g0());
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void getConditionalUserProperties(String str, String str2, zb zbVar) throws RemoteException {
        e();
        this.f10742d.b().A(new h8(this, zbVar, str, str2));
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void getCurrentScreenClass(zb zbVar) throws RemoteException {
        e();
        m(zbVar, this.f10742d.H().j0());
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void getCurrentScreenName(zb zbVar) throws RemoteException {
        e();
        m(zbVar, this.f10742d.H().i0());
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void getGmpAppId(zb zbVar) throws RemoteException {
        e();
        m(zbVar, this.f10742d.H().k0());
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void getMaxUserProperties(String str, zb zbVar) throws RemoteException {
        e();
        this.f10742d.H();
        a0.g(str);
        this.f10742d.I().M(zbVar, 25);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void getTestFlag(zb zbVar, int i) throws RemoteException {
        e();
        if (i == 0) {
            this.f10742d.I().P(zbVar, this.f10742d.H().c0());
        } else if (i == 1) {
            this.f10742d.I().N(zbVar, this.f10742d.H().d0().longValue());
        } else if (i == 2) {
            s9 I = this.f10742d.I();
            double doubleValue = this.f10742d.H().f0().doubleValue();
            Bundle bundle = new Bundle();
            bundle.putDouble("r", doubleValue);
            try {
                zbVar.g(bundle);
            } catch (RemoteException e2) {
                I.f11186a.h().K().b("Error returning double value to wrapper", e2);
            }
        } else if (i == 3) {
            this.f10742d.I().M(zbVar, this.f10742d.H().e0().intValue());
        } else if (i == 4) {
            this.f10742d.I().R(zbVar, this.f10742d.H().b0().booleanValue());
        }
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void getUserProperties(String str, String str2, boolean z, zb zbVar) throws RemoteException {
        e();
        this.f10742d.b().A(new i9(this, zbVar, str, str2, z));
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void initForTests(Map map) throws RemoteException {
        e();
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void initialize(d dVar, zzv zzv, long j) throws RemoteException {
        Context context = (Context) f.m(dVar);
        b5 b5Var = this.f10742d;
        if (b5Var == null) {
            this.f10742d = b5.a(context, zzv);
        } else {
            b5Var.h().K().a("Attempting to initialize multiple times");
        }
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void isDataCollectionEnabled(zb zbVar) throws RemoteException {
        e();
        this.f10742d.b().A(new w9(this, zbVar));
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void logEvent(String str, String str2, Bundle bundle, boolean z, boolean z2, long j) throws RemoteException {
        e();
        this.f10742d.H().U(str, str2, bundle, z, z2, j);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void logEventAndBundle(String str, String str2, Bundle bundle, zb zbVar, long j) throws RemoteException {
        Bundle bundle2;
        e();
        a0.g(str2);
        if (bundle == null) {
            bundle2 = new Bundle();
        }
        bundle2.putString("_o", "app");
        this.f10742d.b().A(new f6(this, zbVar, new zzan(str2, new zzam(bundle), "app", j), str));
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void logHealthData(int i, String str, d dVar, d dVar2, d dVar3) throws RemoteException {
        Object obj;
        Object obj2;
        e();
        Object obj3 = null;
        if (dVar == null) {
            obj = null;
        } else {
            obj = f.m(dVar);
        }
        if (dVar2 == null) {
            obj2 = null;
        } else {
            obj2 = f.m(dVar2);
        }
        if (dVar3 != null) {
            obj3 = f.m(dVar3);
        }
        this.f10742d.h().C(i, true, false, str, obj, obj2, obj3);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void onActivityCreated(d dVar, Bundle bundle, long j) throws RemoteException {
        e();
        b7 b7Var = this.f10742d.H().f10906c;
        if (b7Var != null) {
            this.f10742d.H().a0();
            b7Var.onActivityCreated((Activity) f.m(dVar), bundle);
        }
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void onActivityDestroyed(d dVar, long j) throws RemoteException {
        e();
        b7 b7Var = this.f10742d.H().f10906c;
        if (b7Var != null) {
            this.f10742d.H().a0();
            b7Var.onActivityDestroyed((Activity) f.m(dVar));
        }
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void onActivityPaused(d dVar, long j) throws RemoteException {
        e();
        b7 b7Var = this.f10742d.H().f10906c;
        if (b7Var != null) {
            this.f10742d.H().a0();
            b7Var.onActivityPaused((Activity) f.m(dVar));
        }
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void onActivityResumed(d dVar, long j) throws RemoteException {
        e();
        b7 b7Var = this.f10742d.H().f10906c;
        if (b7Var != null) {
            this.f10742d.H().a0();
            b7Var.onActivityResumed((Activity) f.m(dVar));
        }
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void onActivitySaveInstanceState(d dVar, zb zbVar, long j) throws RemoteException {
        e();
        b7 b7Var = this.f10742d.H().f10906c;
        Bundle bundle = new Bundle();
        if (b7Var != null) {
            this.f10742d.H().a0();
            b7Var.onActivitySaveInstanceState((Activity) f.m(dVar), bundle);
        }
        try {
            zbVar.g(bundle);
        } catch (RemoteException e2) {
            this.f10742d.h().K().b("Error returning bundle value to wrapper", e2);
        }
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void onActivityStarted(d dVar, long j) throws RemoteException {
        e();
        b7 b7Var = this.f10742d.H().f10906c;
        if (b7Var != null) {
            this.f10742d.H().a0();
            b7Var.onActivityStarted((Activity) f.m(dVar));
        }
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void onActivityStopped(d dVar, long j) throws RemoteException {
        e();
        b7 b7Var = this.f10742d.H().f10906c;
        if (b7Var != null) {
            this.f10742d.H().a0();
            b7Var.onActivityStopped((Activity) f.m(dVar));
        }
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void performAction(Bundle bundle, zb zbVar, long j) throws RemoteException {
        e();
        zbVar.g(null);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void registerOnMeasurementEventListener(ec ecVar) throws RemoteException {
        e();
        g6 g6Var = this.f10743e.get(Integer.valueOf(ecVar.zza()));
        if (g6Var == null) {
            g6Var = new b(ecVar);
            this.f10743e.put(Integer.valueOf(ecVar.zza()), g6Var);
        }
        this.f10742d.H().K(g6Var);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void resetAnalyticsData(long j) throws RemoteException {
        e();
        this.f10742d.H().B0(j);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void setConditionalUserProperty(Bundle bundle, long j) throws RemoteException {
        e();
        if (bundle == null) {
            this.f10742d.h().H().a("Conditional user property must not be null");
        } else {
            this.f10742d.H().I(bundle, j);
        }
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void setCurrentScreen(d dVar, String str, String str2, long j) throws RemoteException {
        e();
        this.f10742d.Q().G((Activity) f.m(dVar), str, str2);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void setDataCollectionEnabled(boolean z) throws RemoteException {
        e();
        this.f10742d.H().w0(z);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void setEventInterceptor(ec ecVar) throws RemoteException {
        e();
        i6 H = this.f10742d.H();
        a aVar = new a(ecVar);
        H.c();
        H.y();
        H.b().A(new q6(H, aVar));
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void setInstanceIdProvider(fc fcVar) throws RemoteException {
        e();
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void setMeasurementEnabled(boolean z, long j) throws RemoteException {
        e();
        this.f10742d.H().Z(z);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void setMinimumSessionDuration(long j) throws RemoteException {
        e();
        this.f10742d.H().G(j);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void setSessionTimeoutDuration(long j) throws RemoteException {
        e();
        this.f10742d.H().o0(j);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void setUserId(String str, long j) throws RemoteException {
        e();
        this.f10742d.H().X(null, FileDownloadModel.I0, str, true, j);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void setUserProperty(String str, String str2, d dVar, boolean z, long j) throws RemoteException {
        e();
        this.f10742d.H().X(str, str2, f.m(dVar), z, j);
    }

    @Override // com.google.android.gms.internal.measurement.za
    public void unregisterOnMeasurementEventListener(ec ecVar) throws RemoteException {
        e();
        g6 remove = this.f10743e.remove(Integer.valueOf(ecVar.zza()));
        if (remove == null) {
            remove = new b(ecVar);
        }
        this.f10742d.H().r0(remove);
    }
}
