package com.google.android.gms.measurement.internal;

import android.annotation.TargetApi;
import android.app.Activity;
import android.app.Application;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.text.TextUtils;
import androidx.annotation.MainThread;
import com.google.android.gms.internal.measurement.da;
import com.google.android.gms.internal.measurement.l9;
import kotlinx.coroutines.s0;

/* access modifiers changed from: package-private */
@TargetApi(14)
@MainThread
/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class b7 implements Application.ActivityLifecycleCallbacks {

    /* renamed from: a  reason: collision with root package name */
    private final /* synthetic */ i6 f10781a;

    private b7(i6 i6Var) {
        this.f10781a = i6Var;
    }

    /* access modifiers changed from: private */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0098  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x00e0  */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x0120 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x0121  */
    public final void b(boolean z, Uri uri, String str, String str2) {
        Bundle bundle;
        Bundle bundle2;
        try {
            if (this.f10781a.n().r(o.H0) || this.f10781a.n().r(o.J0) || this.f10781a.n().r(o.I0)) {
                s9 k = this.f10781a.k();
                if (!TextUtils.isEmpty(str2)) {
                    if (str2.contains("gclid") || str2.contains("utm_campaign") || str2.contains("utm_source") || str2.contains("utm_medium")) {
                        bundle = k.z(Uri.parse(str2.length() != 0 ? "https://google.com/search?".concat(str2) : new String("https://google.com/search?")));
                        if (bundle != null) {
                            bundle.putString("_cis", "referrer");
                        }
                        boolean z2 = false;
                        if (!z) {
                            bundle2 = this.f10781a.k().z(uri);
                            if (bundle2 != null) {
                                bundle2.putString("_cis", "intent");
                                if (this.f10781a.n().r(o.H0) && !bundle2.containsKey("gclid") && bundle != null && bundle.containsKey("gclid")) {
                                    bundle2.putString("_cer", String.format("gclid=%s", bundle.getString("gclid")));
                                }
                                this.f10781a.S(str, "_cmp", bundle2);
                            }
                        } else {
                            bundle2 = null;
                        }
                        if (this.f10781a.n().r(o.J0) && !this.f10781a.n().r(o.I0) && bundle != null && bundle.containsKey("gclid") && (bundle2 == null || !bundle2.containsKey("gclid"))) {
                            this.f10781a.W(s0.f22117c, "_lgclid", bundle.getString("gclid"), true);
                        }
                        if (TextUtils.isEmpty(str2)) {
                            this.f10781a.h().O().b("Activity created with referrer", str2);
                            if (this.f10781a.n().r(o.I0)) {
                                if (bundle != null) {
                                    this.f10781a.S(str, "_cmp", bundle);
                                } else {
                                    this.f10781a.h().O().b("Referrer does not contain valid parameters", str2);
                                }
                                this.f10781a.W(s0.f22117c, "_ldl", null, true);
                                return;
                            }
                            if (str2.contains("gclid") && (str2.contains("utm_campaign") || str2.contains("utm_source") || str2.contains("utm_medium") || str2.contains("utm_term") || str2.contains("utm_content"))) {
                                z2 = true;
                            }
                            if (!z2) {
                                this.f10781a.h().O().a("Activity created with data 'referrer' without required params");
                                return;
                            } else if (!TextUtils.isEmpty(str2)) {
                                this.f10781a.W(s0.f22117c, "_ldl", str2, true);
                                return;
                            } else {
                                return;
                            }
                        } else {
                            return;
                        }
                    } else {
                        k.h().O().a("Activity created with data 'referrer' without required params");
                    }
                }
            }
            bundle = null;
            boolean z22 = false;
            if (!z) {
            }
            this.f10781a.W(s0.f22117c, "_lgclid", bundle.getString("gclid"), true);
            if (TextUtils.isEmpty(str2)) {
            }
        } catch (Exception e2) {
            this.f10781a.h().H().b("Throwable caught in handleReferrerForOnActivityCreated", e2);
        }
    }

    public final void onActivityCreated(Activity activity, Bundle bundle) {
        try {
            this.f10781a.h().P().a("onActivityCreated");
            Intent intent = activity.getIntent();
            if (intent != null) {
                Uri data = intent.getData();
                if (data == null || !data.isHierarchical()) {
                    this.f10781a.s().E(activity, bundle);
                    return;
                }
                this.f10781a.k();
                String str = s9.V(intent) ? "gs" : s0.f22117c;
                String queryParameter = data.getQueryParameter("referrer");
                boolean z = bundle == null;
                if (!da.a() || !o.K0.a(null).booleanValue()) {
                    b(z, data, str, queryParameter);
                } else {
                    this.f10781a.b().A(new e7(this, z, data, str, queryParameter));
                }
                this.f10781a.s().E(activity, bundle);
            }
        } catch (Exception e2) {
            this.f10781a.h().H().b("Throwable caught in onActivityCreated", e2);
        } finally {
            this.f10781a.s().E(activity, bundle);
        }
    }

    public final void onActivityDestroyed(Activity activity) {
        this.f10781a.s().P(activity);
    }

    @MainThread
    public final void onActivityPaused(Activity activity) {
        this.f10781a.s().N(activity);
        t8 u = this.f10781a.u();
        u.b().A(new v8(u, u.m().b()));
    }

    @MainThread
    public final void onActivityResumed(Activity activity) {
        if (!l9.a() || !o.f0.a(null).booleanValue()) {
            this.f10781a.s().D(activity);
            this.f10781a.u().G();
            return;
        }
        this.f10781a.u().G();
        this.f10781a.s().D(activity);
    }

    public final void onActivitySaveInstanceState(Activity activity, Bundle bundle) {
        this.f10781a.s().O(activity, bundle);
    }

    public final void onActivityStarted(Activity activity) {
    }

    public final void onActivityStopped(Activity activity) {
    }

    /* synthetic */ b7(i6 i6Var, k6 k6Var) {
        this(i6Var);
    }
}
