package com.google.android.gms.measurement.internal;

import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.internal.measurement.zzbj;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Locale;
import java.util.regex.Pattern;
import java.util.regex.PatternSyntaxException;

/* compiled from: com.google.android.gms:play-services-measurement@@17.2.0 */
abstract class ea {

    /* renamed from: a  reason: collision with root package name */
    String f10839a;

    /* renamed from: b  reason: collision with root package name */
    int f10840b;

    /* renamed from: c  reason: collision with root package name */
    Boolean f10841c;

    /* renamed from: d  reason: collision with root package name */
    Boolean f10842d;

    /* renamed from: e  reason: collision with root package name */
    Long f10843e;
    Long f;

    ea(String str, int i) {
        this.f10839a = str;
        this.f10840b = i;
    }

    static Boolean b(double d2, zzbj.zzd zzd) {
        try {
            return h(new BigDecimal(d2), zzd, Math.ulp(d2));
        } catch (NumberFormatException unused) {
            return null;
        }
    }

    static Boolean c(long j, zzbj.zzd zzd) {
        try {
            return h(new BigDecimal(j), zzd, 0.0d);
        } catch (NumberFormatException unused) {
            return null;
        }
    }

    @VisibleForTesting
    static Boolean d(Boolean bool, boolean z) {
        if (bool == null) {
            return null;
        }
        return Boolean.valueOf(bool.booleanValue() != z);
    }

    static Boolean e(String str, zzbj.zzd zzd) {
        if (!p9.S(str)) {
            return null;
        }
        try {
            return h(new BigDecimal(str), zzd, 0.0d);
        } catch (NumberFormatException unused) {
            return null;
        }
    }

    private static Boolean f(String str, zzbj.zzf.zzb zzb, boolean z, String str2, List<String> list, String str3, w3 w3Var) {
        if (str == null) {
            return null;
        }
        if (zzb == zzbj.zzf.zzb.IN_LIST) {
            if (list == null || list.size() == 0) {
                return null;
            }
        } else if (str2 == null) {
            return null;
        }
        if (!z && zzb != zzbj.zzf.zzb.REGEXP) {
            str = str.toUpperCase(Locale.ENGLISH);
        }
        switch (aa.f10765a[zzb.ordinal()]) {
            case 1:
                try {
                    return Boolean.valueOf(Pattern.compile(str3, z ? 0 : 66).matcher(str).matches());
                } catch (PatternSyntaxException unused) {
                    if (w3Var != null) {
                        w3Var.K().b("Invalid regular expression in REGEXP audience filter. expression", str3);
                    }
                    return null;
                }
            case 2:
                return Boolean.valueOf(str.startsWith(str2));
            case 3:
                return Boolean.valueOf(str.endsWith(str2));
            case 4:
                return Boolean.valueOf(str.contains(str2));
            case 5:
                return Boolean.valueOf(str.equals(str2));
            case 6:
                return Boolean.valueOf(list.contains(str));
            default:
                return null;
        }
    }

    @VisibleForTesting
    static Boolean g(String str, zzbj.zzf zzf, w3 w3Var) {
        String str2;
        List<String> list;
        a0.k(zzf);
        if (str == null || !zzf.A() || zzf.B() == zzbj.zzf.zzb.UNKNOWN_MATCH_TYPE) {
            return null;
        }
        zzbj.zzf.zzb B = zzf.B();
        zzbj.zzf.zzb zzb = zzbj.zzf.zzb.IN_LIST;
        if (B == zzb) {
            if (zzf.H() == 0) {
                return null;
            }
        } else if (!zzf.C()) {
            return null;
        }
        zzbj.zzf.zzb B2 = zzf.B();
        boolean F = zzf.F();
        if (F || B2 == zzbj.zzf.zzb.REGEXP || B2 == zzb) {
            str2 = zzf.D();
        } else {
            str2 = zzf.D().toUpperCase(Locale.ENGLISH);
        }
        if (zzf.H() == 0) {
            list = null;
        } else {
            List<String> G = zzf.G();
            if (!F) {
                ArrayList arrayList = new ArrayList(G.size());
                for (String str3 : G) {
                    arrayList.add(str3.toUpperCase(Locale.ENGLISH));
                }
                G = Collections.unmodifiableList(arrayList);
            }
            list = G;
        }
        return f(str, B2, F, str2, list, B2 == zzbj.zzf.zzb.REGEXP ? str2 : null, w3Var);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:34:0x0081, code lost:
        if (r3 != null) goto L_0x0083;
     */
    @VisibleForTesting
    private static Boolean h(BigDecimal bigDecimal, zzbj.zzd zzd, double d2) {
        BigDecimal bigDecimal2;
        BigDecimal bigDecimal3;
        BigDecimal bigDecimal4;
        a0.k(zzd);
        if (zzd.A() && zzd.B() != zzbj.zzd.zza.UNKNOWN_COMPARISON_TYPE) {
            zzbj.zzd.zza B = zzd.B();
            zzbj.zzd.zza zza = zzbj.zzd.zza.BETWEEN;
            if (B == zza) {
                if (!zzd.G() || !zzd.I()) {
                    return null;
                }
            } else if (!zzd.E()) {
                return null;
            }
            zzbj.zzd.zza B2 = zzd.B();
            if (zzd.B() == zza) {
                if (p9.S(zzd.H()) && p9.S(zzd.J())) {
                    try {
                        BigDecimal bigDecimal5 = new BigDecimal(zzd.H());
                        bigDecimal3 = new BigDecimal(zzd.J());
                        bigDecimal2 = bigDecimal5;
                        bigDecimal4 = null;
                    } catch (NumberFormatException unused) {
                    }
                }
                return null;
            } else if (!p9.S(zzd.F())) {
                return null;
            } else {
                try {
                    bigDecimal4 = new BigDecimal(zzd.F());
                    bigDecimal2 = null;
                    bigDecimal3 = null;
                } catch (NumberFormatException unused2) {
                }
            }
            if (B2 == zza) {
                if (bigDecimal2 == null) {
                    return null;
                }
            }
            int i = aa.f10766b[B2.ordinal()];
            boolean z = false;
            if (i == 1) {
                if (bigDecimal.compareTo(bigDecimal4) == -1) {
                    z = true;
                }
                return Boolean.valueOf(z);
            } else if (i == 2) {
                if (bigDecimal.compareTo(bigDecimal4) == 1) {
                    z = true;
                }
                return Boolean.valueOf(z);
            } else if (i != 3) {
                if (i == 4) {
                    if (!(bigDecimal.compareTo(bigDecimal2) == -1 || bigDecimal.compareTo(bigDecimal3) == 1)) {
                        z = true;
                    }
                    return Boolean.valueOf(z);
                }
            } else if (d2 != 0.0d) {
                if (bigDecimal.compareTo(bigDecimal4.subtract(new BigDecimal(d2).multiply(new BigDecimal(2)))) == 1 && bigDecimal.compareTo(bigDecimal4.add(new BigDecimal(d2).multiply(new BigDecimal(2)))) == -1) {
                    z = true;
                }
                return Boolean.valueOf(z);
            } else {
                if (bigDecimal.compareTo(bigDecimal4) == 0) {
                    z = true;
                }
                return Boolean.valueOf(z);
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public abstract int a();
}
