package com.google.android.gms.measurement.internal;

import android.annotation.TargetApi;
import android.app.AlarmManager;
import android.app.PendingIntent;
import android.app.job.JobInfo;
import android.app.job.JobScheduler;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.os.Build;
import android.os.PersistableBundle;
import androidx.core.app.NotificationCompat;
import com.google.android.gms.common.util.g;
import com.google.android.gms.internal.measurement.x5;

/* compiled from: com.google.android.gms:play-services-measurement@@17.2.0 */
public final class g9 extends h9 {

    /* renamed from: d  reason: collision with root package name */
    private final AlarmManager f10873d = ((AlarmManager) i().getSystemService(NotificationCompat.t0));

    /* renamed from: e  reason: collision with root package name */
    private final g f10874e;
    private Integer f;

    protected g9(l9 l9Var) {
        super(l9Var);
        this.f10874e = new f9(this, l9Var.g0(), l9Var);
    }

    private final int A() {
        if (this.f == null) {
            String valueOf = String.valueOf(i().getPackageName());
            this.f = Integer.valueOf((valueOf.length() != 0 ? "measurement".concat(valueOf) : new String("measurement")).hashCode());
        }
        return this.f.intValue();
    }

    private final PendingIntent B() {
        Context i = i();
        return PendingIntent.getBroadcast(i, 0, new Intent().setClassName(i, "com.google.android.gms.measurement.AppMeasurementReceiver").setAction("com.google.android.gms.measurement.UPLOAD"), 0);
    }

    @TargetApi(24)
    private final void z() {
        int A = A();
        h().P().b("Cancelling job. JobID", Integer.valueOf(A));
        ((JobScheduler) i().getSystemService("jobscheduler")).cancel(A);
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void a() {
        super.a();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ y4 b() {
        return super.b();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void c() {
        super.c();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void d() {
        super.d();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void e() {
        super.e();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ i f() {
        return super.f();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ u3 g() {
        return super.g();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ w3 h() {
        return super.h();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ Context i() {
        return super.i();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ s9 k() {
        return super.k();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ k4 l() {
        return super.l();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ g m() {
        return super.m();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ ga n() {
        return super.n();
    }

    @Override // com.google.android.gms.measurement.internal.j9
    public final /* bridge */ /* synthetic */ x9 o() {
        return super.o();
    }

    @Override // com.google.android.gms.measurement.internal.j9
    public final /* bridge */ /* synthetic */ p9 p() {
        return super.p();
    }

    @Override // com.google.android.gms.measurement.internal.j9
    public final /* bridge */ /* synthetic */ d q() {
        return super.q();
    }

    @Override // com.google.android.gms.measurement.internal.j9
    public final /* bridge */ /* synthetic */ v4 r() {
        return super.r();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ fa v() {
        return super.v();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.measurement.internal.h9
    public final boolean w() {
        this.f10873d.cancel(B());
        if (Build.VERSION.SDK_INT < 24) {
            return false;
        }
        z();
        return false;
    }

    public final void x(long j) {
        t();
        v();
        Context i = i();
        if (!r4.b(i)) {
            h().O().a("Receiver not registered/enabled");
        }
        if (!s9.U(i, false)) {
            h().O().a("Service not registered/enabled");
        }
        y();
        long b2 = m().b() + j;
        if (j < Math.max(0L, o.E.a(null).longValue()) && !this.f10874e.d()) {
            h().P().a("Scheduling upload with DelayedRunnable");
            this.f10874e.c(j);
        }
        v();
        if (Build.VERSION.SDK_INT >= 24) {
            h().P().a("Scheduling upload with JobScheduler");
            Context i2 = i();
            ComponentName componentName = new ComponentName(i2, "com.google.android.gms.measurement.AppMeasurementJobService");
            int A = A();
            PersistableBundle persistableBundle = new PersistableBundle();
            persistableBundle.putString("action", "com.google.android.gms.measurement.UPLOAD");
            JobInfo build = new JobInfo.Builder(A, componentName).setMinimumLatency(j).setOverrideDeadline(j << 1).setExtras(persistableBundle).build();
            h().P().b("Scheduling job. JobID", Integer.valueOf(A));
            x5.b(i2, build, "com.google.android.gms", "UploadAlarm");
            return;
        }
        h().P().a("Scheduling upload with AlarmManager");
        this.f10873d.setInexactRepeating(2, b2, Math.max(o.z.a(null).longValue(), j), B());
    }

    public final void y() {
        t();
        this.f10873d.cancel(B());
        this.f10874e.e();
        if (Build.VERSION.SDK_INT >= 24) {
            z();
        }
    }
}
