package com.google.android.gms.measurement.internal;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.content.res.Resources;
import android.os.Bundle;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Size;
import androidx.annotation.WorkerThread;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.p.c;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.common.util.g;
import com.google.android.gms.common.util.x;
import java.lang.reflect.InvocationTargetException;
import java.util.Arrays;
import java.util.List;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class ga extends x5 {

    /* renamed from: b  reason: collision with root package name */
    private Boolean f10875b;
    @NonNull

    /* renamed from: c  reason: collision with root package name */
    private ia f10876c = b.f10767a;

    /* renamed from: d  reason: collision with root package name */
    private Boolean f10877d;

    ga(b5 b5Var) {
        super(b5Var);
        o.d(b5Var);
    }

    static String A() {
        return o.h.a(null);
    }

    public static long N() {
        return o.K.a(null).longValue();
    }

    public static long U() {
        return o.k.a(null).longValue();
    }

    public static boolean X() {
        return o.g.a(null).booleanValue();
    }

    private final String j(String str, String str2) {
        try {
            return (String) Class.forName("android.os.SystemProperties").getMethod("get", String.class, String.class).invoke(null, str, str2);
        } catch (ClassNotFoundException e2) {
            h().H().b("Could not find SystemProperties class", e2);
            return str2;
        } catch (NoSuchMethodException e3) {
            h().H().b("Could not find SystemProperties.get() method", e3);
            return str2;
        } catch (IllegalAccessException e4) {
            h().H().b("Could not access SystemProperties.get()", e4);
            return str2;
        } catch (InvocationTargetException e5) {
            h().H().b("SystemProperties.get() threw an exception", e5);
            return str2;
        }
    }

    @Nullable
    @VisibleForTesting
    private final Bundle s() {
        try {
            if (i().getPackageManager() == null) {
                h().H().a("Failed to load metadata: PackageManager is null");
                return null;
            }
            ApplicationInfo c2 = c.a(i()).c(i().getPackageName(), 128);
            if (c2 != null) {
                return c2.metaData;
            }
            h().H().a("Failed to load metadata: ApplicationInfo is null");
            return null;
        } catch (PackageManager.NameNotFoundException e2) {
            h().H().b("Failed to load metadata: Package name not found", e2);
            return null;
        }
    }

    public final boolean B(String str) {
        return "1".equals(this.f10876c.j(str, "measurement.event_sampling_enabled"));
    }

    public final boolean C(String str, p3<Boolean> p3Var) {
        return z(str, p3Var);
    }

    public final long D() {
        v();
        return 18202;
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean E(String str) {
        return z(str, o.U);
    }

    public final boolean F() {
        if (this.f10877d == null) {
            synchronized (this) {
                if (this.f10877d == null) {
                    ApplicationInfo applicationInfo = i().getApplicationInfo();
                    String a2 = x.a();
                    if (applicationInfo != null) {
                        String str = applicationInfo.processName;
                        this.f10877d = Boolean.valueOf(str != null && str.equals(a2));
                    }
                    if (this.f10877d == null) {
                        this.f10877d = Boolean.TRUE;
                        h().H().a("My process not in the list of running processes");
                    }
                }
            }
        }
        return this.f10877d.booleanValue();
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean G(String str) {
        return z(str, o.O);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final String H(String str) {
        p3<String> p3Var = o.P;
        if (str == null) {
            return p3Var.a(null);
        }
        return p3Var.a(this.f10876c.j(str, p3Var.b()));
    }

    public final boolean I() {
        v();
        Boolean u = u("firebase_analytics_collection_deactivated");
        return u != null && u.booleanValue();
    }

    public final Boolean J() {
        v();
        return u("firebase_analytics_collection_enabled");
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean K(String str) {
        return z(str, o.V);
    }

    public final Boolean L() {
        c();
        Boolean u = u("google_analytics_adid_collection_enabled");
        return Boolean.valueOf(u == null || u.booleanValue());
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean M(String str) {
        return z(str, o.X);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean O(String str) {
        return z(str, o.W);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean P(String str) {
        return z(str, o.Y);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean Q(String str) {
        return z(str, o.Z);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean R(String str) {
        return z(str, o.a0);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean S(String str) {
        return z(str, o.b0);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean T(String str) {
        return z(str, o.i0);
    }

    public final String V() {
        return j("debug.firebase.analytics.app", "");
    }

    public final String W() {
        return j("debug.deferred.deeplink", "");
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean Y() {
        if (this.f10875b == null) {
            Boolean u = u("app_measurement_lite");
            this.f10875b = u;
            if (u == null) {
                this.f10875b = Boolean.FALSE;
            }
        }
        return this.f10875b.booleanValue() || !this.f11186a.P();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void a() {
        super.a();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ y4 b() {
        return super.b();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void c() {
        super.c();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void d() {
        super.d();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void e() {
        super.e();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ i f() {
        return super.f();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ u3 g() {
        return super.g();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ w3 h() {
        return super.h();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ Context i() {
        return super.i();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ s9 k() {
        return super.k();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ k4 l() {
        return super.l();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ g m() {
        return super.m();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ ga n() {
        return super.n();
    }

    @WorkerThread
    public final int o(@Size(min = 1) String str) {
        return t(str, o.v);
    }

    @WorkerThread
    public final long p(String str, @NonNull p3<Long> p3Var) {
        if (str == null) {
            return p3Var.a(null).longValue();
        }
        String j = this.f10876c.j(str, p3Var.b());
        if (TextUtils.isEmpty(j)) {
            return p3Var.a(null).longValue();
        }
        try {
            return p3Var.a(Long.valueOf(Long.parseLong(j))).longValue();
        } catch (NumberFormatException unused) {
            return p3Var.a(null).longValue();
        }
    }

    /* access modifiers changed from: package-private */
    public final void q(@NonNull ia iaVar) {
        this.f10876c = iaVar;
    }

    public final boolean r(p3<Boolean> p3Var) {
        return z(null, p3Var);
    }

    @WorkerThread
    public final int t(String str, @NonNull p3<Integer> p3Var) {
        if (str == null) {
            return p3Var.a(null).intValue();
        }
        String j = this.f10876c.j(str, p3Var.b());
        if (TextUtils.isEmpty(j)) {
            return p3Var.a(null).intValue();
        }
        try {
            return p3Var.a(Integer.valueOf(Integer.parseInt(j))).intValue();
        } catch (NumberFormatException unused) {
            return p3Var.a(null).intValue();
        }
    }

    /* access modifiers changed from: package-private */
    @Nullable
    @VisibleForTesting
    public final Boolean u(@Size(min = 1) String str) {
        a0.g(str);
        Bundle s = s();
        if (s == null) {
            h().H().a("Failed to load metadata: Metadata bundle is null");
            return null;
        } else if (!s.containsKey(str)) {
            return null;
        } else {
            return Boolean.valueOf(s.getBoolean(str));
        }
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ fa v() {
        return super.v();
    }

    @WorkerThread
    public final double w(String str, @NonNull p3<Double> p3Var) {
        if (str == null) {
            return p3Var.a(null).doubleValue();
        }
        String j = this.f10876c.j(str, p3Var.b());
        if (TextUtils.isEmpty(j)) {
            return p3Var.a(null).doubleValue();
        }
        try {
            return p3Var.a(Double.valueOf(Double.parseDouble(j))).doubleValue();
        } catch (NumberFormatException unused) {
            return p3Var.a(null).doubleValue();
        }
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x002a A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:9:0x002b A[SYNTHETIC, Splitter:B:9:0x002b] */
    @Nullable
    @VisibleForTesting
    public final List<String> x(@Size(min = 1) String str) {
        Integer num;
        a0.g(str);
        Bundle s = s();
        if (s == null) {
            h().H().a("Failed to load metadata: Metadata bundle is null");
        } else if (s.containsKey(str)) {
            num = Integer.valueOf(s.getInt(str));
            if (num != null) {
                return null;
            }
            try {
                String[] stringArray = i().getResources().getStringArray(num.intValue());
                if (stringArray == null) {
                    return null;
                }
                return Arrays.asList(stringArray);
            } catch (Resources.NotFoundException e2) {
                h().H().b("Failed to load string array from metadata: resource not found", e2);
                return null;
            }
        }
        num = null;
        if (num != null) {
        }
    }

    public final boolean y(String str) {
        return "1".equals(this.f10876c.j(str, "gaia_collection_enabled"));
    }

    @WorkerThread
    public final boolean z(String str, @NonNull p3<Boolean> p3Var) {
        if (str == null) {
            return p3Var.a(null).booleanValue();
        }
        String j = this.f10876c.j(str, p3Var.b());
        if (TextUtils.isEmpty(j)) {
            return p3Var.a(null).booleanValue();
        }
        return p3Var.a(Boolean.valueOf(Boolean.parseBoolean(j))).booleanValue();
    }
}
