package com.google.android.gms.measurement.internal;

import android.os.Binder;
import android.text.TextUtils;
import androidx.annotation.BinderThread;
import androidx.annotation.Nullable;
import com.google.android.gms.common.g;
import com.google.android.gms.common.h;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.common.util.b0;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.concurrent.ExecutionException;

/* compiled from: com.google.android.gms:play-services-measurement@@17.2.0 */
public final class h5 extends r3 {

    /* renamed from: d  reason: collision with root package name */
    private final l9 f10884d;

    /* renamed from: e  reason: collision with root package name */
    private Boolean f10885e;
    @Nullable
    private String f;

    public h5(l9 l9Var) {
        this(l9Var, null);
    }

    @BinderThread
    private final void S0(zzm zzm, boolean z) {
        a0.k(zzm);
        y(zzm.f11237a, false);
        this.f10884d.b0().r0(zzm.f11238b, zzm.X0);
    }

    @VisibleForTesting
    private final void m(Runnable runnable) {
        a0.k(runnable);
        if (this.f10884d.b().I()) {
            runnable.run();
        } else {
            this.f10884d.b().A(runnable);
        }
    }

    @BinderThread
    private final void y(String str, boolean z) {
        boolean z2;
        if (!TextUtils.isEmpty(str)) {
            if (z) {
                try {
                    if (this.f10885e == null) {
                        if (!"com.google.android.gms".equals(this.f) && !b0.a(this.f10884d.i(), Binder.getCallingUid())) {
                            if (!h.a(this.f10884d.i()).d(Binder.getCallingUid())) {
                                z2 = false;
                                this.f10885e = Boolean.valueOf(z2);
                            }
                        }
                        z2 = true;
                        this.f10885e = Boolean.valueOf(z2);
                    }
                    if (this.f10885e.booleanValue()) {
                        return;
                    }
                } catch (SecurityException e2) {
                    this.f10884d.h().H().b("Measurement Service called with invalid calling package. appId", w3.y(str));
                    throw e2;
                }
            }
            if (this.f == null && g.u(this.f10884d.i(), Binder.getCallingUid(), str)) {
                this.f = str;
            }
            if (!str.equals(this.f)) {
                throw new SecurityException(String.format("Unknown calling package name '%s'.", str));
            }
            return;
        }
        this.f10884d.h().H().a("Measurement Service called without app package");
        throw new SecurityException("Measurement Service called without app package");
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final String C0(zzm zzm) {
        S0(zzm, false);
        return this.f10884d.V(zzm);
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final void I0(zzan zzan, zzm zzm) {
        a0.k(zzan);
        S0(zzm, false);
        m(new p5(this, zzan, zzm));
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final void K0(zzan zzan, String str, String str2) {
        a0.k(zzan);
        a0.g(str);
        y(str, true);
        m(new o5(this, zzan, str));
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final void L0(zzm zzm) {
        S0(zzm, false);
        m(new s5(this, zzm));
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final void O0(zzv zzv) {
        a0.k(zzv);
        a0.k(zzv.I0);
        y(zzv.f11239a, true);
        m(new j5(this, new zzv(zzv)));
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final List<zzkj> R(zzm zzm, boolean z) {
        S0(zzm, false);
        try {
            List<t9> list = (List) this.f10884d.b().x(new t5(this, zzm)).get();
            ArrayList arrayList = new ArrayList(list.size());
            for (t9 t9Var : list) {
                if (z || !s9.u0(t9Var.f11131c)) {
                    arrayList.add(new zzkj(t9Var));
                }
            }
            return arrayList;
        } catch (InterruptedException | ExecutionException e2) {
            this.f10884d.h().H().c("Failed to get user attributes. appId", w3.y(zzm.f11237a), e2);
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public final zzan R0(zzan zzan, zzm zzm) {
        zzam zzam;
        boolean z = false;
        if (!(!"_cmp".equals(zzan.f11233a) || (zzam = zzan.f11234b) == null || zzam.e0() == 0)) {
            String u1 = zzan.f11234b.u1("_cis");
            if (!TextUtils.isEmpty(u1) && (("referrer broadcast".equals(u1) || "referrer API".equals(u1)) && this.f10884d.J().M(zzm.f11237a))) {
                z = true;
            }
        }
        if (!z) {
            return zzan;
        }
        this.f10884d.h().N().b("Event has been filtered ", zzan.toString());
        return new zzan("_cmpx", zzan.f11234b, zzan.I0, zzan.J0);
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final List<zzkj> T(String str, String str2, String str3, boolean z) {
        y(str, true);
        try {
            List<t9> list = (List) this.f10884d.b().x(new l5(this, str, str2, str3)).get();
            ArrayList arrayList = new ArrayList(list.size());
            for (t9 t9Var : list) {
                if (z || !s9.u0(t9Var.f11131c)) {
                    arrayList.add(new zzkj(t9Var));
                }
            }
            return arrayList;
        } catch (InterruptedException | ExecutionException e2) {
            this.f10884d.h().H().c("Failed to get user attributes. appId", w3.y(str), e2);
            return Collections.emptyList();
        }
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final byte[] V(zzan zzan, String str) {
        a0.g(str);
        a0.k(zzan);
        y(str, true);
        this.f10884d.h().O().b("Log and bundle. event", this.f10884d.a0().z(zzan.f11233a));
        long c2 = this.f10884d.m().c() / 1000000;
        try {
            byte[] bArr = (byte[]) this.f10884d.b().C(new r5(this, zzan, str)).get();
            if (bArr == null) {
                this.f10884d.h().H().b("Log and bundle returned null. appId", w3.y(str));
                bArr = new byte[0];
            }
            this.f10884d.h().O().d("Log and bundle processed. event, size, time_ms", this.f10884d.a0().z(zzan.f11233a), Integer.valueOf(bArr.length), Long.valueOf((this.f10884d.m().c() / 1000000) - c2));
            return bArr;
        } catch (InterruptedException | ExecutionException e2) {
            this.f10884d.h().H().d("Failed to log and bundle. appId, event, error", w3.y(str), this.f10884d.a0().z(zzan.f11233a), e2);
            return null;
        }
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final void Z(zzv zzv, zzm zzm) {
        a0.k(zzv);
        a0.k(zzv.I0);
        S0(zzm, false);
        zzv zzv2 = new zzv(zzv);
        zzv2.f11239a = zzm.f11237a;
        m(new u5(this, zzv2, zzm));
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final void c0(zzm zzm) {
        y(zzm.f11237a, false);
        m(new m5(this, zzm));
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final List<zzv> e0(String str, String str2, zzm zzm) {
        S0(zzm, false);
        try {
            return (List) this.f10884d.b().x(new k5(this, zzm, str, str2)).get();
        } catch (InterruptedException | ExecutionException e2) {
            this.f10884d.h().H().b("Failed to get conditional user properties", e2);
            return Collections.emptyList();
        }
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final List<zzkj> j0(String str, String str2, boolean z, zzm zzm) {
        S0(zzm, false);
        try {
            List<t9> list = (List) this.f10884d.b().x(new i5(this, zzm, str, str2)).get();
            ArrayList arrayList = new ArrayList(list.size());
            for (t9 t9Var : list) {
                if (z || !s9.u0(t9Var.f11131c)) {
                    arrayList.add(new zzkj(t9Var));
                }
            }
            return arrayList;
        } catch (InterruptedException | ExecutionException e2) {
            this.f10884d.h().H().c("Failed to get user attributes. appId", w3.y(zzm.f11237a), e2);
            return Collections.emptyList();
        }
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final void k0(long j, String str, String str2, String str3) {
        m(new v5(this, str2, str3, str, j));
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final List<zzv> n0(String str, String str2, String str3) {
        y(str, true);
        try {
            return (List) this.f10884d.b().x(new n5(this, str, str2, str3)).get();
        } catch (InterruptedException | ExecutionException e2) {
            this.f10884d.h().H().b("Failed to get conditional user properties", e2);
            return Collections.emptyList();
        }
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final void u0(zzm zzm) {
        S0(zzm, false);
        m(new g5(this, zzm));
    }

    @Override // com.google.android.gms.measurement.internal.o3
    @BinderThread
    public final void w0(zzkj zzkj, zzm zzm) {
        a0.k(zzkj);
        S0(zzm, false);
        m(new q5(this, zzkj, zzm));
    }

    private h5(l9 l9Var, @Nullable String str) {
        a0.k(l9Var);
        this.f10884d = l9Var;
        this.f = null;
    }
}
