package com.google.android.gms.measurement.internal;

import android.accounts.Account;
import android.accounts.AccountManager;
import android.accounts.AuthenticatorException;
import android.accounts.OperationCanceledException;
import android.content.Context;
import android.content.pm.PackageManager;
import androidx.annotation.WorkerThread;
import androidx.core.content.d;
import com.google.android.gms.common.internal.b;
import com.google.android.gms.common.util.g;
import com.ibm.icu.impl.e;
import com.ibm.icu.impl.locale.f;
import java.io.IOException;
import java.util.Calendar;
import java.util.Locale;
import java.util.concurrent.TimeUnit;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class i extends w5 {

    /* renamed from: c  reason: collision with root package name */
    private long f10891c;

    /* renamed from: d  reason: collision with root package name */
    private String f10892d;

    /* renamed from: e  reason: collision with root package name */
    private Boolean f10893e;
    private AccountManager f;
    private Boolean g;
    private long h;

    i(b5 b5Var) {
        super(b5Var);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean A() {
        e();
        long a2 = m().a();
        if (a2 - this.h > e.j) {
            this.g = null;
        }
        Boolean bool = this.g;
        if (bool != null) {
            return bool.booleanValue();
        }
        if (d.a(i(), "android.permission.GET_ACCOUNTS") != 0) {
            h().L().a("Permission error checking for dasher/unicorn accounts");
            this.h = a2;
            this.g = Boolean.FALSE;
            return false;
        }
        if (this.f == null) {
            this.f = AccountManager.get(i());
        }
        try {
            Account[] result = this.f.getAccountsByTypeAndFeatures(b.f10067a, new String[]{"service_HOSTED"}, null, null).getResult();
            if (result == null || result.length <= 0) {
                Account[] result2 = this.f.getAccountsByTypeAndFeatures(b.f10067a, new String[]{"service_uca"}, null, null).getResult();
                if (result2 != null && result2.length > 0) {
                    this.g = Boolean.TRUE;
                    this.h = a2;
                    return true;
                }
                this.h = a2;
                this.g = Boolean.FALSE;
                return false;
            }
            this.g = Boolean.TRUE;
            this.h = a2;
            return true;
        } catch (AuthenticatorException | OperationCanceledException | IOException e2) {
            h().I().b("Exception checking account types", e2);
        }
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void a() {
        super.a();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ y4 b() {
        return super.b();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void c() {
        super.c();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void d() {
        super.d();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void e() {
        super.e();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ i f() {
        return super.f();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ u3 g() {
        return super.g();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ w3 h() {
        return super.h();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ Context i() {
        return super.i();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ s9 k() {
        return super.k();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ k4 l() {
        return super.l();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ g m() {
        return super.m();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ ga n() {
        return super.n();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.measurement.internal.w5
    public final boolean s() {
        Calendar instance = Calendar.getInstance();
        this.f10891c = TimeUnit.MINUTES.convert((long) (instance.get(15) + instance.get(16)), TimeUnit.MILLISECONDS);
        Locale locale = Locale.getDefault();
        String language = locale.getLanguage();
        Locale locale2 = Locale.ENGLISH;
        String lowerCase = language.toLowerCase(locale2);
        String lowerCase2 = locale.getCountry().toLowerCase(locale2);
        StringBuilder sb = new StringBuilder(String.valueOf(lowerCase).length() + 1 + String.valueOf(lowerCase2).length());
        sb.append(lowerCase);
        sb.append(f.f14027b);
        sb.append(lowerCase2);
        this.f10892d = sb.toString();
        return false;
    }

    public final boolean u(Context context) {
        if (this.f10893e == null) {
            v();
            this.f10893e = Boolean.FALSE;
            try {
                PackageManager packageManager = context.getPackageManager();
                if (packageManager != null) {
                    packageManager.getPackageInfo("com.google.android.gms", 128);
                    this.f10893e = Boolean.TRUE;
                }
            } catch (PackageManager.NameNotFoundException unused) {
            }
        }
        return this.f10893e.booleanValue();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ fa v() {
        return super.v();
    }

    public final long w() {
        p();
        return this.f10891c;
    }

    public final String x() {
        p();
        return this.f10892d;
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final long y() {
        e();
        return this.h;
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final void z() {
        e();
        this.g = null;
        this.h = 0;
    }
}
