package com.google.android.gms.measurement.internal;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import androidx.annotation.MainThread;
import androidx.annotation.WorkerThread;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.VisibleForTesting;

/* compiled from: com.google.android.gms:play-services-measurement@@17.2.0 */
class i4 extends BroadcastReceiver {
    @VisibleForTesting

    /* renamed from: a  reason: collision with root package name */
    private static final String f10898a = i4.class.getName();

    /* renamed from: b  reason: collision with root package name */
    private final l9 f10899b;

    /* renamed from: c  reason: collision with root package name */
    private boolean f10900c;

    /* renamed from: d  reason: collision with root package name */
    private boolean f10901d;

    i4(l9 l9Var) {
        a0.k(l9Var);
        this.f10899b = l9Var;
    }

    @WorkerThread
    public final void b() {
        this.f10899b.c0();
        this.f10899b.b().e();
        if (!this.f10900c) {
            this.f10899b.i().registerReceiver(this, new IntentFilter("android.net.conn.CONNECTIVITY_CHANGE"));
            this.f10901d = this.f10899b.U().A();
            this.f10899b.h().P().b("Registering connectivity change receiver. Network connected", Boolean.valueOf(this.f10901d));
            this.f10900c = true;
        }
    }

    @WorkerThread
    public final void c() {
        this.f10899b.c0();
        this.f10899b.b().e();
        this.f10899b.b().e();
        if (this.f10900c) {
            this.f10899b.h().P().a("Unregistering connectivity change receiver");
            this.f10900c = false;
            this.f10901d = false;
            try {
                this.f10899b.i().unregisterReceiver(this);
            } catch (IllegalArgumentException e2) {
                this.f10899b.h().H().b("Failed to unregister the network broadcast receiver", e2);
            }
        }
    }

    @MainThread
    public void onReceive(Context context, Intent intent) {
        this.f10899b.c0();
        String action = intent.getAction();
        this.f10899b.h().P().b("NetworkBroadcastReceiver received action", action);
        if ("android.net.conn.CONNECTIVITY_CHANGE".equals(action)) {
            boolean A = this.f10899b.U().A();
            if (this.f10901d != A) {
                this.f10901d = A;
                this.f10899b.b().A(new h4(this, A));
                return;
            }
            return;
        }
        this.f10899b.h().K().b("NetworkBroadcastReceiver received unknown action", action);
    }
}
