package com.google.android.gms.measurement.internal;

import android.app.Application;
import android.content.Context;
import android.os.Build;
import android.os.Bundle;
import android.text.TextUtils;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import androidx.core.app.NotificationCompat;
import com.alipay.sdk.app.c.b;
import com.google.android.exoplayer2.DefaultRenderersFactory;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.common.util.g;
import com.google.android.gms.common.util.h;
import com.google.android.gms.internal.measurement.db;
import com.google.android.gms.internal.measurement.z8;
import com.google.android.gms.measurement.a.a;
import com.google.firebase.analytics.FirebaseAnalytics;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.CopyOnWriteArraySet;
import java.util.concurrent.atomic.AtomicReference;
import kotlinx.coroutines.s0;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class i6 extends c3 {
    @VisibleForTesting

    /* renamed from: c  reason: collision with root package name */
    protected b7 f10906c;

    /* renamed from: d  reason: collision with root package name */
    private c6 f10907d;

    /* renamed from: e  reason: collision with root package name */
    private final Set<g6> f10908e = new CopyOnWriteArraySet();
    private boolean f;
    private final AtomicReference<String> g = new AtomicReference<>();
    @VisibleForTesting
    protected boolean h = true;

    protected i6(b5 b5Var) {
        super(b5Var);
    }

    /* access modifiers changed from: private */
    @WorkerThread
    public final void C0(Bundle bundle) {
        e();
        y();
        a0.k(bundle);
        a0.g(bundle.getString("name"));
        if (!this.f11186a.p()) {
            h().O().a("Conditional property not cleared since collection is disabled");
            return;
        }
        try {
            r().Q(new zzv(bundle.getString(b.t0), bundle.getString("origin"), new zzkj(bundle.getString("name"), 0, null, null), bundle.getLong(a.C0251a.m), bundle.getBoolean(a.C0251a.n), bundle.getString(a.C0251a.f10740d), null, bundle.getLong(a.C0251a.f10741e), null, bundle.getLong(a.C0251a.j), k().D(bundle.getString(b.t0), bundle.getString(a.C0251a.k), bundle.getBundle(a.C0251a.l), bundle.getString("origin"), bundle.getLong(a.C0251a.m), true, false)));
        } catch (IllegalArgumentException unused) {
        }
    }

    /* access modifiers changed from: private */
    @WorkerThread
    public final void D0(boolean z) {
        e();
        c();
        y();
        h().O().b("Setting app measurement enabled (FE)", Boolean.valueOf(z));
        l().A(z);
        l0();
    }

    @Nullable
    private final String E0(long j) {
        AtomicReference atomicReference = new AtomicReference();
        synchronized (atomicReference) {
            b().A(new o6(this, atomicReference));
            try {
                atomicReference.wait(j);
            } catch (InterruptedException unused) {
                h().K().a("Interrupted waiting for app instance id");
                return null;
            }
        }
        return (String) atomicReference.get();
    }

    private final void R(String str, String str2, long j, Object obj) {
        b().A(new m6(this, str, str2, obj, j));
    }

    /* access modifiers changed from: private */
    @WorkerThread
    public final void l0() {
        if (n().C(q().D(), o.l0)) {
            e();
            String a2 = l().t.a();
            if (a2 != null) {
                if ("unset".equals(a2)) {
                    V("app", "_npa", null, m().a());
                } else {
                    V("app", "_npa", Long.valueOf("true".equals(a2) ? 1 : 0), m().a());
                }
            }
        }
        if (!this.f11186a.p() || !this.h) {
            h().O().a("Updating Scion state (FE)");
            r().X();
            return;
        }
        h().O().a("Recording app launch after enabling measurement for the first time (FE)");
        h0();
    }

    @VisibleForTesting
    private final ArrayList<Bundle> m0(String str, String str2, String str3) {
        if (b().I()) {
            h().H().a("Cannot get conditional user properties from analytics worker thread");
            return new ArrayList<>(0);
        } else if (fa.a()) {
            h().H().a("Cannot get conditional user properties from main thread");
            return new ArrayList<>(0);
        } else {
            AtomicReference atomicReference = new AtomicReference();
            synchronized (atomicReference) {
                this.f11186a.b().A(new r6(this, atomicReference, str, str2, str3));
                try {
                    atomicReference.wait(DefaultRenderersFactory.f7874a);
                } catch (InterruptedException e2) {
                    h().K().c("Interrupted waiting for get conditional user properties", str, e2);
                }
            }
            List list = (List) atomicReference.get();
            if (list != null) {
                return s9.l0(list);
            }
            h().K().b("Timed out waiting for get conditional user properties", str);
            return new ArrayList<>();
        }
    }

    @VisibleForTesting
    private final Map<String, Object> n0(String str, String str2, String str3, boolean z) {
        if (b().I()) {
            h().H().a("Cannot get user properties from analytics worker thread");
            return Collections.emptyMap();
        } else if (fa.a()) {
            h().H().a("Cannot get user properties from main thread");
            return Collections.emptyMap();
        } else {
            AtomicReference atomicReference = new AtomicReference();
            synchronized (atomicReference) {
                this.f11186a.b().A(new t6(this, atomicReference, str, str2, str3, z));
                try {
                    atomicReference.wait(DefaultRenderersFactory.f7874a);
                } catch (InterruptedException e2) {
                    h().K().b("Interrupted waiting for get user properties", e2);
                }
            }
            List<zzkj> list = (List) atomicReference.get();
            if (list == null) {
                h().K().a("Timed out waiting for handle get user properties");
                return Collections.emptyMap();
            }
            b.b.a aVar = new b.b.a(list.size());
            for (zzkj zzkj : list) {
                aVar.put(zzkj.f11236b, zzkj.e0());
            }
            return aVar;
        }
    }

    private final void q0(Bundle bundle, long j) {
        a0.k(bundle);
        y5.a(bundle, b.t0, String.class, null);
        y5.a(bundle, "origin", String.class, null);
        y5.a(bundle, "name", String.class, null);
        y5.a(bundle, "value", Object.class, null);
        y5.a(bundle, a.C0251a.f10740d, String.class, null);
        y5.a(bundle, a.C0251a.f10741e, Long.class, 0L);
        y5.a(bundle, a.C0251a.f, String.class, null);
        y5.a(bundle, a.C0251a.g, Bundle.class, null);
        y5.a(bundle, a.C0251a.h, String.class, null);
        y5.a(bundle, a.C0251a.i, Bundle.class, null);
        y5.a(bundle, a.C0251a.j, Long.class, 0L);
        y5.a(bundle, a.C0251a.k, String.class, null);
        y5.a(bundle, a.C0251a.l, Bundle.class, null);
        a0.g(bundle.getString("name"));
        a0.g(bundle.getString("origin"));
        a0.k(bundle.get("value"));
        bundle.putLong(a.C0251a.m, j);
        String string = bundle.getString("name");
        Object obj = bundle.get("value");
        if (k().o0(string) != 0) {
            h().H().b("Invalid conditional user property name", g().C(string));
        } else if (k().j0(string, obj) != 0) {
            h().H().c("Invalid conditional user property value", g().C(string), obj);
        } else {
            Object p0 = k().p0(string, obj);
            if (p0 == null) {
                h().H().c("Unable to normalize conditional user property value", g().C(string), obj);
                return;
            }
            y5.b(bundle, p0);
            long j2 = bundle.getLong(a.C0251a.f10741e);
            if (TextUtils.isEmpty(bundle.getString(a.C0251a.f10740d)) || (j2 <= 15552000000L && j2 >= 1)) {
                long j3 = bundle.getLong(a.C0251a.j);
                if (j3 > 15552000000L || j3 < 1) {
                    h().H().c("Invalid conditional user property time to live", g().C(string), Long.valueOf(j3));
                } else {
                    b().A(new p6(this, bundle));
                }
            } else {
                h().H().c("Invalid conditional user property timeout", g().C(string), Long.valueOf(j2));
            }
        }
    }

    private final void t0(String str, String str2, long j, Bundle bundle, boolean z, boolean z2, boolean z3, String str3) {
        b().A(new j6(this, str, str2, j, s9.k0(bundle), z, z2, z3, str3));
    }

    private final void v0(String str, String str2, String str3, Bundle bundle) {
        long a2 = m().a();
        a0.g(str2);
        Bundle bundle2 = new Bundle();
        if (str != null) {
            bundle2.putString(b.t0, str);
        }
        bundle2.putString("name", str2);
        bundle2.putLong(a.C0251a.m, a2);
        if (str3 != null) {
            bundle2.putString(a.C0251a.k, str3);
            bundle2.putBundle(a.C0251a.l, bundle);
        }
        b().A(new s6(this, bundle2));
    }

    /* access modifiers changed from: private */
    @WorkerThread
    public final void z0(Bundle bundle) {
        e();
        y();
        a0.k(bundle);
        a0.g(bundle.getString("name"));
        a0.g(bundle.getString("origin"));
        a0.k(bundle.get("value"));
        if (!this.f11186a.p()) {
            h().O().a("Conditional property not sent since collection is disabled");
            return;
        }
        zzkj zzkj = new zzkj(bundle.getString("name"), bundle.getLong(a.C0251a.o), bundle.get("value"), bundle.getString("origin"));
        try {
            zzan D = k().D(bundle.getString(b.t0), bundle.getString(a.C0251a.h), bundle.getBundle(a.C0251a.i), bundle.getString("origin"), 0, true, false);
            r().Q(new zzv(bundle.getString(b.t0), bundle.getString("origin"), zzkj, bundle.getLong(a.C0251a.m), false, bundle.getString(a.C0251a.f10740d), k().D(bundle.getString(b.t0), bundle.getString(a.C0251a.f), bundle.getBundle(a.C0251a.g), bundle.getString("origin"), 0, true, false), bundle.getLong(a.C0251a.f10741e), D, bundle.getLong(a.C0251a.j), k().D(bundle.getString(b.t0), bundle.getString(a.C0251a.k), bundle.getBundle(a.C0251a.l), bundle.getString("origin"), 0, true, false)));
        } catch (IllegalArgumentException unused) {
        }
    }

    public final void A0(String str, String str2, Bundle bundle) {
        c();
        v0(null, str, str2, bundle);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.measurement.internal.c3
    public final boolean B() {
        return false;
    }

    public final void B0(long j) {
        O(null);
        b().A(new n6(this, j));
    }

    public final ArrayList<Bundle> C(String str, String str2) {
        c();
        return m0(null, str, str2);
    }

    public final ArrayList<Bundle> D(String str, String str2, String str3) {
        a0.g(str);
        a();
        return m0(str, str2, str3);
    }

    public final Map<String, Object> E(String str, String str2, String str3, boolean z) {
        a0.g(str);
        a();
        return n0(str, str2, str3, z);
    }

    public final Map<String, Object> F(String str, String str2, boolean z) {
        c();
        return n0(null, str, str2, z);
    }

    public final void G(long j) {
        c();
        b().A(new z6(this, j));
    }

    public final void H(Bundle bundle) {
        I(bundle, m().a());
    }

    public final void I(Bundle bundle, long j) {
        a0.k(bundle);
        c();
        Bundle bundle2 = new Bundle(bundle);
        if (!TextUtils.isEmpty(bundle2.getString(b.t0))) {
            h().K().a("Package name should be null when calling setConditionalUserProperty");
        }
        bundle2.remove(b.t0);
        q0(bundle2, j);
    }

    @WorkerThread
    public final void J(c6 c6Var) {
        c6 c6Var2;
        e();
        c();
        y();
        if (!(c6Var == null || c6Var == (c6Var2 = this.f10907d))) {
            a0.r(c6Var2 == null, "EventInterceptor already set.");
        }
        this.f10907d = c6Var;
    }

    public final void K(g6 g6Var) {
        c();
        y();
        a0.k(g6Var);
        if (!this.f10908e.add(g6Var)) {
            h().K().a("OnEventListener already registered");
        }
    }

    /* access modifiers changed from: package-private */
    public final void O(@Nullable String str) {
        this.g.set(str);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final void P(String str, String str2, long j, Bundle bundle) {
        c();
        e();
        Q(str, str2, j, bundle, true, this.f10907d == null || s9.u0(str2), false, null);
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:155:0x0456  */
    /* JADX WARNING: Removed duplicated region for block: B:166:0x050b  */
    /* JADX WARNING: Removed duplicated region for block: B:170:0x051a  */
    @WorkerThread
    public final void Q(String str, String str2, long j, Bundle bundle, boolean z, boolean z2, boolean z3, String str3) {
        long j2;
        long j3;
        String str4;
        int length;
        int i;
        int i2;
        int i3;
        String str5;
        String str6;
        String str7;
        String str8;
        String str9;
        n7 n7Var;
        ArrayList arrayList;
        Bundle bundle2;
        long j4;
        boolean z4;
        Class<?> cls;
        List<String> I;
        a0.g(str);
        a0.k(bundle);
        e();
        y();
        if (!this.f11186a.p()) {
            h().O().a("Event not sent since app measurement is disabled");
        } else if (!n().C(q().D(), o.v0) || (I = q().I()) == null || I.contains(str2)) {
            int i4 = 0;
            if (!this.f) {
                this.f = true;
                try {
                    if (!this.f11186a.P()) {
                        cls = Class.forName("com.google.android.gms.tagmanager.TagManagerService", true, i().getClassLoader());
                    } else {
                        cls = Class.forName("com.google.android.gms.tagmanager.TagManagerService");
                    }
                    try {
                        cls.getDeclaredMethod("initialize", Context.class).invoke(null, i());
                    } catch (Exception e2) {
                        h().K().b("Failed to invoke Tag Manager's initialize() method", e2);
                    }
                } catch (ClassNotFoundException unused) {
                    h().N().a("Tag Manager is not found and thus will not be used");
                }
            }
            if (n().C(q().D(), o.H0) && "_cmp".equals(str2) && bundle.containsKey("gclid")) {
                V(s0.f22117c, "_lgclid", bundle.getString("gclid"), m().a());
            }
            if (z3) {
                v();
                if (!"_iap".equals(str2)) {
                    s9 I2 = this.f11186a.I();
                    int i5 = 2;
                    if (I2.b0(NotificationCompat.r0, str2)) {
                        if (!I2.e0(NotificationCompat.r0, b6.f10779a, str2)) {
                            i5 = 13;
                        } else if (I2.a0(NotificationCompat.r0, 40, str2)) {
                            i5 = 0;
                        }
                    }
                    if (i5 != 0) {
                        h().J().b("Invalid public event name. Event will not be logged (FE)", g().z(str2));
                        this.f11186a.I();
                        this.f11186a.I().I(i5, "_ev", s9.G(str2, 40, true), str2 != null ? str2.length() : 0);
                        return;
                    }
                }
            }
            v();
            n7 L = s().L();
            if (L != null && !bundle.containsKey("_sc")) {
                L.f11021d = true;
            }
            m7.I(L, bundle, z && z3);
            boolean equals = "am".equals(str);
            boolean u0 = s9.u0(str2);
            if (z && this.f10907d != null && !u0 && !equals) {
                h().O().c("Passing event to registered event handler (FE)", g().z(str2), g().u(bundle));
                this.f10907d.a(str, str2, bundle, j);
            } else if (this.f11186a.u()) {
                int i0 = k().i0(str2);
                if (i0 != 0) {
                    h().J().b("Invalid event name. Event will not be logged (FE)", g().z(str2));
                    k();
                    String G = s9.G(str2, 40, true);
                    if (str2 != null) {
                        i4 = str2.length();
                    }
                    this.f11186a.I().T(str3, i0, "_ev", G, i4);
                    return;
                }
                String str10 = "_o";
                List<String> d2 = h.d(str10, "_sn", "_sc", "_si");
                Bundle B = k().B(str3, str2, bundle, d2, z3, true);
                n7 n7Var2 = (B == null || !B.containsKey("_sc") || !B.containsKey("_si")) ? null : new n7(B.getString("_sn"), B.getString("_sc"), Long.valueOf(B.getLong("_si")).longValue());
                n7 n7Var3 = n7Var2 == null ? L : n7Var2;
                String str11 = str3;
                String str12 = "_ae";
                if (n().T(str11)) {
                    v();
                    if (s().L() != null && str12.equals(str2)) {
                        long e3 = u().f11128e.e();
                        if (e3 > 0) {
                            k().J(B, e3);
                        }
                    }
                }
                if (z8.a() && n().r(o.X0)) {
                    if (!s0.f22117c.equals(str) && "_ssr".equals(str2)) {
                        s9 k = k();
                        String string = B.getString("_ffr");
                        String trim = com.google.android.gms.common.util.a0.b(string) ? null : string.trim();
                        if (s9.t0(trim, k.l().C.a())) {
                            k.h().O().a("Not logging duplicate session_start_with_rollout event");
                            z4 = false;
                        } else {
                            k.l().C.b(trim);
                            z4 = true;
                        }
                        if (!z4) {
                            return;
                        }
                    } else if (str12.equals(str2)) {
                        String a2 = k().l().C.a();
                        if (!TextUtils.isEmpty(a2)) {
                            B.putString("_ffr", a2);
                        }
                    }
                }
                ArrayList arrayList2 = new ArrayList();
                arrayList2.add(B);
                long nextLong = k().z0().nextLong();
                if (!n().C(q().D(), o.c0) || l().w.a() <= 0) {
                    j3 = j;
                } else if (!l().y(j) || !l().z.b()) {
                    j3 = j;
                } else {
                    h().P().a("Current session is expired, remove the session number, ID, and engagement time");
                    if (n().C(q().D(), o.Y)) {
                        j3 = j;
                        j2 = nextLong;
                        V(s0.f22117c, "_sid", null, m().a());
                    } else {
                        j3 = j;
                        j2 = nextLong;
                    }
                    if (n().C(q().D(), o.Z)) {
                        V(s0.f22117c, "_sno", null, m().a());
                    }
                    if (db.a() && n().C(q().D(), o.A0)) {
                        V(s0.f22117c, "_se", null, m().a());
                    }
                    if (n().S(q().D()) || B.getLong(FirebaseAnalytics.b.i, 0) != 1) {
                        str4 = str2;
                    } else {
                        h().P().a("EXTEND_SESSION param attached: initiate a new session or extend the current active session");
                        str4 = str2;
                        this.f11186a.E().f11127d.b(j3, true);
                    }
                    String[] strArr = (String[]) B.keySet().toArray(new String[bundle.size()]);
                    Arrays.sort(strArr);
                    length = strArr.length;
                    i = 0;
                    i2 = 0;
                    while (i < length) {
                        String str13 = strArr[i];
                        Object obj = B.get(str13);
                        k();
                        Bundle[] h0 = s9.h0(obj);
                        if (h0 != null) {
                            B.putInt(str13, h0.length);
                            int i6 = 0;
                            while (i6 < h0.length) {
                                Bundle bundle3 = h0[i6];
                                m7.I(n7Var3, bundle3, true);
                                Bundle B2 = k().B(str3, "_ep", bundle3, d2, z3, false);
                                B2.putString("_en", str4);
                                B2.putLong("_eid", j2);
                                B2.putString("_gn", str13);
                                B2.putInt("_ll", h0.length);
                                B2.putInt("_i", i6);
                                arrayList2.add(B2);
                                i6++;
                                str11 = str3;
                                B = B;
                                arrayList2 = arrayList2;
                                n7Var3 = n7Var3;
                                str12 = str12;
                                str10 = str10;
                                h0 = h0;
                                j2 = j2;
                            }
                            str8 = str10;
                            arrayList = arrayList2;
                            str9 = str12;
                            n7Var = n7Var3;
                            bundle2 = B;
                            j4 = j2;
                            i2 += h0.length;
                        } else {
                            str8 = str10;
                            j4 = j2;
                            arrayList = arrayList2;
                            str9 = str12;
                            n7Var = n7Var3;
                            bundle2 = B;
                        }
                        i++;
                        str11 = str3;
                        j2 = j4;
                        B = bundle2;
                        arrayList2 = arrayList;
                        length = length;
                        n7Var3 = n7Var;
                        str12 = str9;
                        strArr = strArr;
                        str10 = str8;
                    }
                    String str14 = str10;
                    if (i2 != 0) {
                        B.putLong("_eid", j2);
                        B.putInt("_epc", i2);
                    }
                    i3 = 0;
                    while (i3 < arrayList2.size()) {
                        Bundle bundle4 = (Bundle) arrayList2.get(i3);
                        if (i3 != 0) {
                            str7 = "_ep";
                            str6 = str;
                            str5 = str14;
                        } else {
                            str6 = str;
                            str5 = str14;
                            str7 = str4;
                        }
                        bundle4.putString(str5, str6);
                        if (z2) {
                            bundle4 = k().A(bundle4);
                        }
                        h().O().c("Logging event (FE)", g().z(str4), g().u(bundle4));
                        r().K(new zzan(str7, new zzam(bundle4), str, j), str3);
                        if (!equals) {
                            for (g6 g6Var : this.f10908e) {
                                g6Var.a(str, str2, new Bundle(bundle4), j);
                            }
                        }
                        i3++;
                        str14 = str5;
                        str4 = str4;
                    }
                    v();
                    if (s().L() != null && str12.equals(str4)) {
                        u().F(true, true);
                        return;
                    }
                }
                j2 = nextLong;
                if (n().S(q().D())) {
                }
                str4 = str2;
                String[] strArr2 = (String[]) B.keySet().toArray(new String[bundle.size()]);
                Arrays.sort(strArr2);
                length = strArr2.length;
                i = 0;
                i2 = 0;
                while (i < length) {
                }
                String str142 = str10;
                if (i2 != 0) {
                }
                i3 = 0;
                while (i3 < arrayList2.size()) {
                }
                v();
                if (s().L() != null) {
                }
            }
        } else {
            h().O().c("Dropping non-safelisted event. event name, origin", str2, str);
        }
    }

    public final void S(String str, String str2, Bundle bundle) {
        U(str, str2, bundle, true, true, m().a());
    }

    public final void T(String str, String str2, Bundle bundle, boolean z) {
        U(str, str2, bundle, false, true, m().a());
    }

    public final void U(String str, String str2, Bundle bundle, boolean z, boolean z2, long j) {
        c();
        t0(str == null ? "app" : str, str2, j, bundle == null ? new Bundle() : bundle, z2, !z2 || this.f10907d == null || s9.u0(str2), !z, null);
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x0081  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x008f  */
    @WorkerThread
    public final void V(String str, String str2, Object obj, long j) {
        Long l;
        String str3;
        a0.g(str);
        a0.g(str2);
        e();
        c();
        y();
        if (n().C(q().D(), o.l0) && FirebaseAnalytics.c.f12318b.equals(str2)) {
            if (obj instanceof String) {
                String str4 = (String) obj;
                if (!TextUtils.isEmpty(str4)) {
                    String str5 = "false";
                    Long valueOf = Long.valueOf(str5.equals(str4.toLowerCase(Locale.ENGLISH)) ? 1 : 0);
                    n4 n4Var = l().t;
                    if (valueOf.longValue() == 1) {
                        str5 = "true";
                    }
                    n4Var.b(str5);
                    l = valueOf;
                    str3 = "_npa";
                    if (!this.f11186a.p()) {
                        h().O().a("User property not set since app measurement is disabled");
                        return;
                    } else if (this.f11186a.u()) {
                        h().O().c("Setting user property (FE)", g().z(str3), l);
                        r().P(new zzkj(str3, j, l, str));
                        return;
                    } else {
                        return;
                    }
                }
            }
            if (obj == null) {
                l().t.b("unset");
                l = obj;
                str3 = "_npa";
                if (!this.f11186a.p()) {
                }
            }
        }
        str3 = str2;
        l = obj;
        if (!this.f11186a.p()) {
        }
    }

    public final void W(String str, String str2, Object obj, boolean z) {
        X(str, str2, obj, z, m().a());
    }

    public final void X(String str, String str2, Object obj, boolean z, long j) {
        if (str == null) {
            str = "app";
        }
        int i = 6;
        int i2 = 0;
        if (z) {
            i = k().o0(str2);
        } else {
            s9 k = k();
            if (k.b0("user property", str2)) {
                if (!k.e0("user property", d6.f10813a, str2)) {
                    i = 15;
                } else if (k.a0("user property", 24, str2)) {
                    i = 0;
                }
            }
        }
        if (i != 0) {
            k();
            String G = s9.G(str2, 24, true);
            if (str2 != null) {
                i2 = str2.length();
            }
            this.f11186a.I().I(i, "_ev", G, i2);
        } else if (obj != null) {
            int j0 = k().j0(str2, obj);
            if (j0 != 0) {
                k();
                String G2 = s9.G(str2, 24, true);
                if ((obj instanceof String) || (obj instanceof CharSequence)) {
                    i2 = String.valueOf(obj).length();
                }
                this.f11186a.I().I(j0, "_ev", G2, i2);
                return;
            }
            Object p0 = k().p0(str2, obj);
            if (p0 != null) {
                R(str, str2, j, p0);
            }
        } else {
            R(str, str2, j, null);
        }
    }

    public final void Y(String str, String str2, String str3, Bundle bundle) {
        a0.g(str);
        a();
        v0(str, str2, str3, bundle);
    }

    public final void Z(boolean z) {
        y();
        c();
        b().A(new x6(this, z));
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void a() {
        super.a();
    }

    public final void a0() {
        if (i().getApplicationContext() instanceof Application) {
            ((Application) i().getApplicationContext()).unregisterActivityLifecycleCallbacks(this.f10906c);
        }
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ y4 b() {
        return super.b();
    }

    public final Boolean b0() {
        AtomicReference atomicReference = new AtomicReference();
        return (Boolean) b().w(atomicReference, 15000, "boolean test flag value", new k6(this, atomicReference));
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void c() {
        super.c();
    }

    public final String c0() {
        AtomicReference atomicReference = new AtomicReference();
        return (String) b().w(atomicReference, 15000, "String test flag value", new u6(this, atomicReference));
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void d() {
        super.d();
    }

    public final Long d0() {
        AtomicReference atomicReference = new AtomicReference();
        return (Long) b().w(atomicReference, 15000, "long test flag value", new w6(this, atomicReference));
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void e() {
        super.e();
    }

    public final Integer e0() {
        AtomicReference atomicReference = new AtomicReference();
        return (Integer) b().w(atomicReference, 15000, "int test flag value", new v6(this, atomicReference));
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ i f() {
        return super.f();
    }

    public final Double f0() {
        AtomicReference atomicReference = new AtomicReference();
        return (Double) b().w(atomicReference, 15000, "double test flag value", new y6(this, atomicReference));
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ u3 g() {
        return super.g();
    }

    @Nullable
    public final String g0() {
        c();
        return this.g.get();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ w3 h() {
        return super.h();
    }

    @WorkerThread
    public final void h0() {
        e();
        c();
        y();
        if (this.f11186a.u()) {
            if (n().C(this.f11186a.T().D(), o.F0)) {
                ga n = n();
                n.v();
                Boolean u = n.u("google_analytics_deferred_deep_link_enabled");
                if (u != null && u.booleanValue()) {
                    h().O().a("Deferred Deep Link feature enabled.");
                    b().A(new h6(this));
                }
            }
            r().Z();
            this.h = false;
            String K = l().K();
            if (!TextUtils.isEmpty(K)) {
                f().p();
                if (!K.equals(Build.VERSION.RELEASE)) {
                    Bundle bundle = new Bundle();
                    bundle.putString("_po", K);
                    S(s0.f22117c, "_ou", bundle);
                }
            }
        }
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ Context i() {
        return super.i();
    }

    @Nullable
    public final String i0() {
        n7 M = this.f11186a.Q().M();
        if (M != null) {
            return M.f11018a;
        }
        return null;
    }

    @Nullable
    public final String j0() {
        n7 M = this.f11186a.Q().M();
        if (M != null) {
            return M.f11019b;
        }
        return null;
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ s9 k() {
        return super.k();
    }

    @Nullable
    public final String k0() {
        if (this.f11186a.M() != null) {
            return this.f11186a.M();
        }
        try {
            return com.google.android.gms.common.api.internal.h.d();
        } catch (IllegalStateException e2) {
            this.f11186a.h().H().b("getGoogleAppId failed with exception", e2);
            return null;
        }
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ k4 l() {
        return super.l();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ g m() {
        return super.m();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ ga n() {
        return super.n();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ z o() {
        return super.o();
    }

    public final void o0(long j) {
        c();
        b().A(new c7(this, j));
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ i6 p() {
        return super.p();
    }

    public final void p0(Bundle bundle) {
        a0.k(bundle);
        a0.g(bundle.getString(b.t0));
        a();
        q0(new Bundle(bundle), m().a());
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ t3 q() {
        return super.q();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ r7 r() {
        return super.r();
    }

    public final void r0(g6 g6Var) {
        c();
        y();
        a0.k(g6Var);
        if (!this.f10908e.remove(g6Var)) {
            h().K().a("OnEventListener had not been registered");
        }
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ m7 s() {
        return super.s();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ s3 t() {
        return super.t();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ t8 u() {
        return super.u();
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final void u0(String str, String str2, Bundle bundle) {
        c();
        e();
        P(str, str2, m().a(), bundle);
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ fa v() {
        return super.v();
    }

    public final void w0(boolean z) {
        y();
        c();
        b().A(new a7(this, z));
    }

    @Nullable
    public final String x0(long j) {
        if (b().I()) {
            h().H().a("Cannot retrieve app instance id from analytics worker thread");
            return null;
        } else if (fa.a()) {
            h().H().a("Cannot retrieve app instance id from main thread");
            return null;
        } else {
            long b2 = m().b();
            String E0 = E0(120000);
            long b3 = m().b() - b2;
            return (E0 != null || b3 >= 120000) ? E0 : E0(120000 - b3);
        }
    }

    public final List<zzkj> y0(boolean z) {
        c();
        y();
        h().O().a("Fetching user attributes (FE)");
        if (b().I()) {
            h().H().a("Cannot get all user properties from analytics worker thread");
            return Collections.emptyList();
        } else if (fa.a()) {
            h().H().a("Cannot get all user properties from main thread");
            return Collections.emptyList();
        } else {
            AtomicReference atomicReference = new AtomicReference();
            synchronized (atomicReference) {
                this.f11186a.b().A(new l6(this, atomicReference, z));
                try {
                    atomicReference.wait(DefaultRenderersFactory.f7874a);
                } catch (InterruptedException e2) {
                    h().K().b("Interrupted waiting for get user properties", e2);
                }
            }
            List<zzkj> list = (List) atomicReference.get();
            if (list != null) {
                return list;
            }
            h().K().a("Timed out waiting for get user properties");
            return Collections.emptyList();
        }
    }
}
