package com.google.android.gms.measurement.internal;

import android.content.SharedPreferences;
import android.os.Build;
import android.text.TextUtils;
import android.util.Pair;
import androidx.annotation.NonNull;
import androidx.annotation.WorkerThread;
import androidx.work.t;
import c.c.a.a.b.a.a;
import com.google.android.gms.common.util.VisibleForTesting;
import java.math.BigInteger;
import java.security.MessageDigest;
import java.util.Locale;

/* access modifiers changed from: package-private */
/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class k4 extends w5 {
    @VisibleForTesting

    /* renamed from: c  reason: collision with root package name */
    static final Pair<String, Long> f10939c = new Pair<>("", 0L);
    public m4 A = new m4(this, "deep_link_retrieval_complete", false);
    public l4 B = new l4(this, "deep_link_retrieval_attempts", 0);
    public final n4 C = new n4(this, "firebase_feature_rollouts", null);

    /* renamed from: d  reason: collision with root package name */
    private SharedPreferences f10940d;

    /* renamed from: e  reason: collision with root package name */
    public o4 f10941e;
    public final l4 f = new l4(this, "last_upload", 0);
    public final l4 g = new l4(this, "last_upload_attempt", 0);
    public final l4 h = new l4(this, "backoff", 0);
    public final l4 i = new l4(this, "last_delete_stale", 0);
    public final l4 j = new l4(this, "midnight_offset", 0);
    public final l4 k = new l4(this, "first_open_time", 0);
    public final l4 l = new l4(this, "app_install_time", 0);
    public final n4 m = new n4(this, "app_instance_id", null);
    private String n;
    private boolean o;
    private long p;
    public final l4 q = new l4(this, "time_before_start", t.f4799c);
    public final l4 r = new l4(this, "session_timeout", 1800000);
    public final m4 s = new m4(this, "start_new_session", true);
    public final n4 t = new n4(this, "non_personalized_ads", null);
    public final m4 u = new m4(this, "use_dynamite_api", false);
    public final m4 v = new m4(this, "allow_remote_dynamite", false);
    public final l4 w = new l4(this, "last_pause_time", 0);
    public final l4 x = new l4(this, "time_active", 0);
    public boolean y;
    public m4 z = new m4(this, "app_backgrounded", false);

    k4(b5 b5Var) {
        super(b5Var);
    }

    /* access modifiers changed from: private */
    @WorkerThread
    public final SharedPreferences N() {
        e();
        p();
        return this.f10940d;
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final void A(boolean z2) {
        e();
        h().P().b("Setting measurementEnabled", Boolean.valueOf(z2));
        SharedPreferences.Editor edit = N().edit();
        edit.putBoolean("measurement_enabled", z2);
        edit.apply();
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final void B(String str) {
        e();
        SharedPreferences.Editor edit = N().edit();
        edit.putString("gmp_app_id", str);
        edit.apply();
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean C(boolean z2) {
        e();
        return N().getBoolean("measurement_enabled", z2);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final void D(String str) {
        e();
        SharedPreferences.Editor edit = N().edit();
        edit.putString("admob_app_id", str);
        edit.apply();
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final void E(boolean z2) {
        e();
        h().P().b("Updating deferred analytics collection", Boolean.valueOf(z2));
        SharedPreferences.Editor edit = N().edit();
        edit.putBoolean("deferred_analytics_collection", z2);
        edit.apply();
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final String F() {
        e();
        return N().getString("gmp_app_id", null);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final String G() {
        e();
        return N().getString("admob_app_id", null);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final Boolean H() {
        e();
        if (!N().contains("use_service")) {
            return null;
        }
        return Boolean.valueOf(N().getBoolean("use_service", false));
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final void I() {
        e();
        h().P().a("Clearing collection preferences.");
        if (n().r(o.m0)) {
            Boolean J = J();
            SharedPreferences.Editor edit = N().edit();
            edit.clear();
            edit.apply();
            if (J != null) {
                A(J.booleanValue());
                return;
            }
            return;
        }
        boolean contains = N().contains("measurement_enabled");
        boolean z2 = true;
        if (contains) {
            z2 = C(true);
        }
        SharedPreferences.Editor edit2 = N().edit();
        edit2.clear();
        edit2.apply();
        if (contains) {
            A(z2);
        }
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final Boolean J() {
        e();
        if (N().contains("measurement_enabled")) {
            return Boolean.valueOf(N().getBoolean("measurement_enabled", true));
        }
        return null;
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final String K() {
        e();
        String string = N().getString("previous_os_version", null);
        f().p();
        String str = Build.VERSION.RELEASE;
        if (!TextUtils.isEmpty(str) && !str.equals(string)) {
            SharedPreferences.Editor edit = N().edit();
            edit.putString("previous_os_version", str);
            edit.apply();
        }
        return string;
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean L() {
        e();
        return N().getBoolean("deferred_analytics_collection", false);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean M() {
        return this.f10940d.contains("deferred_analytics_collection");
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.measurement.internal.w5
    @WorkerThread
    public final void o() {
        SharedPreferences sharedPreferences = i().getSharedPreferences("com.google.android.gms.measurement.prefs", 0);
        this.f10940d = sharedPreferences;
        boolean z2 = sharedPreferences.getBoolean("has_been_opened", false);
        this.y = z2;
        if (!z2) {
            SharedPreferences.Editor edit = this.f10940d.edit();
            edit.putBoolean("has_been_opened", true);
            edit.apply();
        }
        this.f10941e = new o4(this, "health_monitor", Math.max(0L, o.j.a(null).longValue()));
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.measurement.internal.w5
    public final boolean s() {
        return true;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    @WorkerThread
    public final Pair<String, Boolean> w(String str) {
        e();
        long b2 = m().b();
        if (this.n != null && b2 < this.p) {
            return new Pair<>(this.n, Boolean.valueOf(this.o));
        }
        this.p = b2 + n().p(str, o.i);
        a.e(true);
        try {
            a.C0110a b3 = a.b(i());
            if (b3 != null) {
                this.n = b3.a();
                this.o = b3.b();
            }
            if (this.n == null) {
                this.n = "";
            }
        } catch (Exception e2) {
            h().O().b("Unable to get advertising id", e2);
            this.n = "";
        }
        a.e(false);
        return new Pair<>(this.n, Boolean.valueOf(this.o));
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final void x(boolean z2) {
        e();
        h().P().b("Setting useService", Boolean.valueOf(z2));
        SharedPreferences.Editor edit = N().edit();
        edit.putBoolean("use_service", z2);
        edit.apply();
    }

    /* access modifiers changed from: package-private */
    public final boolean y(long j2) {
        return j2 - this.r.a() > this.w.a();
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final String z(String str) {
        e();
        String str2 = (String) w(str).first;
        MessageDigest A0 = s9.A0();
        if (A0 == null) {
            return null;
        }
        return String.format(Locale.US, "%032X", new BigInteger(1, A0.digest(str2.getBytes())));
    }
}
