package com.google.android.gms.measurement.internal;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Bundle;
import android.os.DeadObjectException;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Looper;
import android.os.RemoteException;
import androidx.annotation.MainThread;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.e;
import com.google.android.gms.common.stats.a;
import com.google.android.gms.common.util.VisibleForTesting;

@VisibleForTesting
/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class k8 implements ServiceConnection, e.a, e.b {
    final /* synthetic */ r7 I0;

    /* renamed from: a  reason: collision with root package name */
    private volatile boolean f10948a;

    /* renamed from: b  reason: collision with root package name */
    private volatile x3 f10949b;

    protected k8(r7 r7Var) {
        this.I0 = r7Var;
    }

    @WorkerThread
    public final void a() {
        if (this.f10949b != null && (this.f10949b.isConnected() || this.f10949b.a())) {
            this.f10949b.disconnect();
        }
        this.f10949b = null;
    }

    @Override // com.google.android.gms.common.internal.e.a
    @MainThread
    public final void b(int i) {
        a0.f("MeasurementServiceConnection.onConnectionSuspended");
        this.I0.h().O().a("Service connection suspended");
        this.I0.b().A(new o8(this));
    }

    @WorkerThread
    public final void c(Intent intent) {
        this.I0.e();
        Context i = this.I0.i();
        a b2 = a.b();
        synchronized (this) {
            if (this.f10948a) {
                this.I0.h().P().a("Connection attempt already in progress");
                return;
            }
            this.I0.h().P().a("Using local app measurement service");
            this.f10948a = true;
            b2.a(i, intent, this.I0.f11087c, 129);
        }
    }

    @Override // com.google.android.gms.common.internal.e.a
    @MainThread
    public final void e(@Nullable Bundle bundle) {
        a0.f("MeasurementServiceConnection.onConnected");
        synchronized (this) {
            try {
                this.I0.b().A(new l8(this, (o3) this.f10949b.G()));
            } catch (DeadObjectException | IllegalStateException unused) {
                this.f10949b = null;
                this.f10948a = false;
            }
        }
    }

    @WorkerThread
    public final void f() {
        this.I0.e();
        Context i = this.I0.i();
        synchronized (this) {
            if (this.f10948a) {
                this.I0.h().P().a("Connection attempt already in progress");
            } else if (this.f10949b == null || (!this.f10949b.a() && !this.f10949b.isConnected())) {
                this.f10949b = new x3(i, Looper.getMainLooper(), this, this);
                this.I0.h().P().a("Connecting to remote service");
                this.f10948a = true;
                this.f10949b.x();
            } else {
                this.I0.h().P().a("Already awaiting connection attempt");
            }
        }
    }

    @MainThread
    public final void onServiceConnected(ComponentName componentName, IBinder iBinder) {
        o3 o3Var;
        a0.f("MeasurementServiceConnection.onServiceConnected");
        synchronized (this) {
            if (iBinder == null) {
                this.f10948a = false;
                this.I0.h().H().a("Service connected with null binder");
                return;
            }
            o3 o3Var2 = null;
            try {
                String interfaceDescriptor = iBinder.getInterfaceDescriptor();
                if ("com.google.android.gms.measurement.internal.IMeasurementService".equals(interfaceDescriptor)) {
                    IInterface queryLocalInterface = iBinder.queryLocalInterface("com.google.android.gms.measurement.internal.IMeasurementService");
                    if (queryLocalInterface instanceof o3) {
                        o3Var = (o3) queryLocalInterface;
                    } else {
                        o3Var = new q3(iBinder);
                    }
                    o3Var2 = o3Var;
                    this.I0.h().P().a("Bound to IMeasurementService interface");
                } else {
                    this.I0.h().H().b("Got binder with a wrong descriptor", interfaceDescriptor);
                }
            } catch (RemoteException unused) {
                this.I0.h().H().a("Service connect failed to get IMeasurementService");
            }
            if (o3Var2 == null) {
                this.f10948a = false;
                try {
                    a.b().c(this.I0.i(), this.I0.f11087c);
                } catch (IllegalArgumentException unused2) {
                }
            } else {
                this.I0.b().A(new j8(this, o3Var2));
            }
        }
    }

    @MainThread
    public final void onServiceDisconnected(ComponentName componentName) {
        a0.f("MeasurementServiceConnection.onServiceDisconnected");
        this.I0.h().O().a("Service disconnected");
        this.I0.b().A(new m8(this, componentName));
    }

    @Override // com.google.android.gms.common.internal.e.b
    @MainThread
    public final void y(@NonNull ConnectionResult connectionResult) {
        a0.f("MeasurementServiceConnection.onConnectionFailed");
        w3 D = this.I0.f11186a.D();
        if (D != null) {
            D.K().b("Service connection failed", connectionResult);
        }
        synchronized (this) {
            this.f10948a = false;
            this.f10949b = null;
        }
        this.I0.b().A(new n8(this));
    }
}
