package com.google.android.gms.measurement.internal;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import androidx.annotation.MainThread;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Size;
import androidx.annotation.WorkerThread;
import b.b.a;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.common.util.g;
import java.util.Map;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class m7 extends c3 {
    @VisibleForTesting

    /* renamed from: c  reason: collision with root package name */
    protected n7 f10998c;

    /* renamed from: d  reason: collision with root package name */
    private volatile n7 f10999d;

    /* renamed from: e  reason: collision with root package name */
    private n7 f11000e;
    private final Map<Activity, n7> f = new a();
    private n7 g;
    private String h;

    public m7(b5 b5Var) {
        super(b5Var);
    }

    @VisibleForTesting
    private static String C(String str) {
        String[] split = str.split("\\.");
        String str2 = split.length > 0 ? split[split.length - 1] : "";
        return str2.length() > 100 ? str2.substring(0, 100) : str2;
    }

    @MainThread
    private final void F(Activity activity, n7 n7Var, boolean z) {
        n7 n7Var2 = this.f10999d == null ? this.f11000e : this.f10999d;
        if (n7Var.f11019b == null) {
            n7Var = new n7(n7Var.f11018a, C(activity.getClass().getCanonicalName()), n7Var.f11020c);
        }
        this.f11000e = this.f10999d;
        this.f10999d = n7Var;
        b().A(new p7(this, z, n7Var2, n7Var));
    }

    public static void I(n7 n7Var, Bundle bundle, boolean z) {
        if (bundle != null && n7Var != null && (!bundle.containsKey("_sc") || z)) {
            String str = n7Var.f11018a;
            if (str != null) {
                bundle.putString("_sn", str);
            } else {
                bundle.remove("_sn");
            }
            bundle.putString("_sc", n7Var.f11019b);
            bundle.putLong("_si", n7Var.f11020c);
        } else if (bundle != null && n7Var == null && z) {
            bundle.remove("_sn");
            bundle.remove("_sc");
            bundle.remove("_si");
        }
    }

    /* access modifiers changed from: private */
    @WorkerThread
    public final void J(@NonNull n7 n7Var, boolean z) {
        o().w(m().b());
        if (u().F(n7Var.f11021d, z)) {
            n7Var.f11021d = false;
        }
    }

    @MainThread
    private final n7 Q(@NonNull Activity activity) {
        a0.k(activity);
        n7 n7Var = this.f.get(activity);
        if (n7Var != null) {
            return n7Var;
        }
        n7 n7Var2 = new n7(null, C(activity.getClass().getCanonicalName()), k().w0());
        this.f.put(activity, n7Var2);
        return n7Var2;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.measurement.internal.c3
    public final boolean B() {
        return false;
    }

    @MainThread
    public final void D(Activity activity) {
        F(activity, Q(activity), false);
        z o = o();
        o.b().A(new a1(o, o.m().b()));
    }

    @MainThread
    public final void E(Activity activity, Bundle bundle) {
        Bundle bundle2;
        if (bundle != null && (bundle2 = bundle.getBundle("com.google.app_measurement.screen_service")) != null) {
            this.f.put(activity, new n7(bundle2.getString("name"), bundle2.getString("referrer_name"), bundle2.getLong("id")));
        }
    }

    public final void G(@NonNull Activity activity, @Nullable @Size(max = 36, min = 1) String str, @Nullable @Size(max = 36, min = 1) String str2) {
        if (this.f10999d == null) {
            h().M().a("setCurrentScreen cannot be called while no activity active");
        } else if (this.f.get(activity) == null) {
            h().M().a("setCurrentScreen must be called with an activity in the activity lifecycle");
        } else {
            if (str2 == null) {
                str2 = C(activity.getClass().getCanonicalName());
            }
            boolean equals = this.f10999d.f11019b.equals(str2);
            boolean t0 = s9.t0(this.f10999d.f11018a, str);
            if (equals && t0) {
                h().M().a("setCurrentScreen cannot be called with the same class and name");
            } else if (str != null && (str.length() <= 0 || str.length() > 100)) {
                h().M().b("Invalid screen name length in setCurrentScreen. Length", Integer.valueOf(str.length()));
            } else if (str2 == null || (str2.length() > 0 && str2.length() <= 100)) {
                h().P().c("Setting current screen to name, class", str == null ? "null" : str, str2);
                n7 n7Var = new n7(str, str2, k().w0());
                this.f.put(activity, n7Var);
                F(activity, n7Var, true);
            } else {
                h().M().b("Invalid class name length in setCurrentScreen. Length", Integer.valueOf(str2.length()));
            }
        }
    }

    @WorkerThread
    public final void K(String str, n7 n7Var) {
        e();
        synchronized (this) {
            String str2 = this.h;
            if (str2 == null || str2.equals(str) || n7Var != null) {
                this.h = str;
                this.g = n7Var;
            }
        }
    }

    @WorkerThread
    public final n7 L() {
        y();
        e();
        return this.f10998c;
    }

    public final n7 M() {
        c();
        return this.f10999d;
    }

    @MainThread
    public final void N(Activity activity) {
        n7 Q = Q(activity);
        this.f11000e = this.f10999d;
        this.f10999d = null;
        b().A(new o7(this, Q));
    }

    @MainThread
    public final void O(Activity activity, Bundle bundle) {
        n7 n7Var;
        if (bundle != null && (n7Var = this.f.get(activity)) != null) {
            Bundle bundle2 = new Bundle();
            bundle2.putLong("id", n7Var.f11020c);
            bundle2.putString("name", n7Var.f11018a);
            bundle2.putString("referrer_name", n7Var.f11019b);
            bundle.putBundle("com.google.app_measurement.screen_service", bundle2);
        }
    }

    @MainThread
    public final void P(Activity activity) {
        this.f.remove(activity);
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void a() {
        super.a();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ y4 b() {
        return super.b();
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void c() {
        super.c();
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void d() {
        super.d();
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void e() {
        super.e();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ i f() {
        return super.f();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ u3 g() {
        return super.g();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ w3 h() {
        return super.h();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ Context i() {
        return super.i();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ s9 k() {
        return super.k();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ k4 l() {
        return super.l();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ g m() {
        return super.m();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ ga n() {
        return super.n();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ z o() {
        return super.o();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ i6 p() {
        return super.p();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ t3 q() {
        return super.q();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ r7 r() {
        return super.r();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ m7 s() {
        return super.s();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ s3 t() {
        return super.t();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ t8 u() {
        return super.u();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ fa v() {
        return super.v();
    }
}
