package com.google.android.gms.measurement.internal;

import android.content.Context;
import androidx.annotation.Nullable;
import androidx.work.t;
import c.a.b.c.b;
import com.google.android.exoplayer2.DefaultRenderersFactory;
import com.google.android.exoplayer2.f;
import com.google.android.exoplayer2.g0.q.a;
import com.google.android.gms.common.g;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.internal.measurement.f8;
import com.google.android.gms.internal.measurement.n1;
import com.google.android.gms.internal.measurement.w9;
import com.google.android.gms.internal.measurement.x0;
import com.ibm.icu.impl.e;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

@VisibleForTesting
/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class o {
    public static p3<Long> A = a("measurement.upload.interval", 3600000L, 3600000L, g0.f10861a);
    public static p3<Boolean> A0;
    public static p3<Long> B;
    public static p3<Boolean> B0;
    public static p3<Long> C = a("measurement.upload.debug_upload_interval", 1000L, 1000L, i0.f10894a);
    public static p3<Boolean> C0;
    public static p3<Long> D = a("measurement.upload.minimum_delay", 500L, 500L, h0.f10878a);
    public static p3<Boolean> D0;
    public static p3<Long> E = a("measurement.alarm_manager.minimum_interval", 60000L, 60000L, k0.f10935a);
    private static p3<Boolean> E0;
    public static p3<Long> F;
    public static p3<Boolean> F0;
    public static p3<Long> G = a("measurement.upload.refresh_blacklisted_config_interval", 604800000L, 604800000L, m0.f10986a);
    public static p3<Boolean> G0;
    public static p3<Long> H = a("measurement.upload.initial_upload_delay_time", 15000L, 15000L, l0.f10957a);
    public static p3<Boolean> H0;
    public static p3<Long> I = a("measurement.upload.retry_time", 1800000L, 1800000L, o0.f11030a);
    public static p3<Boolean> I0;
    public static p3<Integer> J = a("measurement.upload.retry_count", 6, 6, q0.f11066a);
    public static p3<Boolean> J0;
    public static p3<Long> K = a("measurement.upload.max_queue_time", 2419200000L, 2419200000L, p0.f11047a);
    public static p3<Boolean> K0;
    public static p3<Integer> L = a("measurement.lifetimevalue.max_currency_tracked", 4, 4, s0.f11093a);
    public static p3<Boolean> L0;
    public static p3<Integer> M = a("measurement.audience.filter_result_max_count", 200, 200, r0.f11078a);
    public static p3<Boolean> M0;
    public static p3<Long> N;
    public static p3<Boolean> N0;
    public static p3<Boolean> O;
    public static p3<Boolean> O0;
    public static p3<String> P = a("measurement.test.string_flag", "---", "---", w0.f11167a);
    public static p3<Boolean> P0;
    public static p3<Long> Q = a("measurement.test.long_flag", -1L, -1L, v0.f11151a);
    public static p3<Boolean> Q0;
    public static p3<Integer> R = a("measurement.test.int_flag", -2, -2, y0.f11193a);
    public static p3<Boolean> R0;
    public static p3<Double> S;
    public static p3<Boolean> S0;
    public static p3<Integer> T = a("measurement.experiment.max_ids", 50, 50, z0.f11212a);
    public static p3<Boolean> T0;
    public static p3<Boolean> U;
    public static p3<Boolean> U0;
    public static p3<Boolean> V;
    public static p3<Boolean> V0;
    public static p3<Boolean> W;
    private static p3<Boolean> W0;
    public static p3<Boolean> X;
    public static p3<Boolean> X0;
    public static p3<Boolean> Y;
    public static p3<Boolean> Z;

    /* renamed from: a  reason: collision with root package name */
    static fa f11025a;
    public static p3<Boolean> a0;

    /* renamed from: b  reason: collision with root package name */
    private static List<p3<?>> f11026b = Collections.synchronizedList(new ArrayList());
    public static p3<Boolean> b0;

    /* renamed from: c  reason: collision with root package name */
    private static Set<p3<?>> f11027c = Collections.synchronizedSet(new HashSet());
    public static p3<Boolean> c0;

    /* renamed from: d  reason: collision with root package name */
    private static volatile b5 f11028d;
    public static p3<Boolean> d0;
    @VisibleForTesting

    /* renamed from: e  reason: collision with root package name */
    private static Boolean f11029e;
    public static p3<Boolean> e0;
    public static p3<Boolean> f;
    public static p3<Boolean> f0;
    public static p3<Boolean> g;
    public static p3<Boolean> g0;
    public static p3<String> h = a("measurement.log_tag", "FA", "FA-SVC", e0.f10820a);
    public static p3<Boolean> h0;
    public static p3<Long> i;
    public static p3<Boolean> i0;
    public static p3<Long> j;
    public static p3<Boolean> j0;
    public static p3<Long> k;
    public static p3<Boolean> k0;
    public static p3<String> l = a("measurement.config.url_scheme", b.f4999a, b.f4999a, x1.f11184a);
    public static p3<Boolean> l0;
    public static p3<String> m = a("measurement.config.url_authority", "app-measurement.com", "app-measurement.com", h2.f10880a);
    public static p3<Boolean> m0;
    public static p3<Integer> n = a("measurement.upload.max_bundles", 100, 100, u2.f11137a);
    public static p3<Boolean> n0;
    public static p3<Integer> o = a("measurement.upload.max_batch_size", 65536, 65536, e3.f10823a);
    public static p3<Boolean> o0;
    public static p3<Integer> p = a("measurement.upload.max_bundle_size", 65536, 65536, t.f11111a);
    public static p3<Boolean> p0;
    public static p3<Integer> q = a("measurement.upload.max_events_per_bundle", 1000, 1000, s.f11092a);
    public static p3<Boolean> q0;
    public static p3<Integer> r;
    public static p3<Boolean> r0;
    public static p3<Integer> s = a("measurement.upload.max_error_events_per_day", 1000, 1000, u.f11134a);
    public static p3<Boolean> s0;
    public static p3<Integer> t;
    public static p3<Boolean> t0;
    public static p3<Integer> u = a("measurement.upload.max_conversions_per_day", 500, 500, w.f11166a);
    public static p3<Boolean> u0;
    public static p3<Integer> v = a("measurement.upload.max_realtime_events_per_day", 10, 10, a0.f10750a);
    public static p3<Boolean> v0;
    public static p3<Integer> w;
    public static p3<Boolean> w0;
    public static p3<String> x = a("measurement.upload.url", "https://app-measurement.com/a", "https://app-measurement.com/a", c0.f10790a);
    public static p3<Boolean> x0;
    public static p3<Long> y = a("measurement.upload.backoff_period", 43200000L, 43200000L, b0.f10768a);
    public static p3<Boolean> y0;
    public static p3<Long> z = a("measurement.upload.window_interval", 3600000L, 3600000L, d0.f10807a);
    public static p3<Boolean> z0;

    static {
        Boolean bool = Boolean.FALSE;
        f = a("measurement.log_androidId_enabled", bool, bool, r.f11077a);
        g = a("measurement.upload_dsid_enabled", bool, bool, q.f11065a);
        Long valueOf = Long.valueOf((long) t.f4799c);
        i = a("measurement.ad_id_cache_time", valueOf, valueOf, n0.f11004a);
        Long valueOf2 = Long.valueOf((long) e.j);
        j = a("measurement.monitoring.sample_period_millis", valueOf2, valueOf2, b1.f10769a);
        k = a("measurement.config.cache_time", valueOf2, 3600000L, k1.f10936a);
        Integer valueOf3 = Integer.valueOf((int) a.f8444e);
        r = a("measurement.upload.max_events_per_day", valueOf3, valueOf3, v.f11150a);
        Integer valueOf4 = Integer.valueOf((int) f.f8383b);
        t = a("measurement.upload.max_public_events_per_day", valueOf4, valueOf4, x.f11182a);
        w = a("measurement.store.max_stored_events_per_app", valueOf3, valueOf3, y.f11192a);
        B = a("measurement.upload.realtime_upload_interval", valueOf, valueOf, f0.f10844a);
        F = a("measurement.upload.stale_data_deletion_interval", valueOf2, valueOf2, j0.f10917a);
        Long valueOf5 = Long.valueOf((long) DefaultRenderersFactory.f7874a);
        N = a("measurement.service_client.idle_disconnect_millis", valueOf5, valueOf5, u0.f11135a);
        O = a("measurement.test.boolean_flag", bool, bool, t0.f11112a);
        Double valueOf6 = Double.valueOf(-3.0d);
        S = a("measurement.test.double_flag", valueOf6, valueOf6, x0.f11183a);
        U = a("measurement.validation.internal_limits_internal_event_params", bool, bool, d1.f10808a);
        Boolean bool2 = Boolean.TRUE;
        V = a("measurement.reset_analytics.persist_time", bool2, bool2, c1.f10791a);
        W = a("measurement.sampling.time_zone_offset_enabled", bool, bool, f1.f10845a);
        X = a("measurement.referrer.enable_logging_install_referrer_cmp_from_apk", bool, bool, e1.f10821a);
        Y = a("measurement.client.sessions.session_id_enabled", bool2, bool2, h1.f10879a);
        Z = a("measurement.service.sessions.session_number_enabled", bool2, bool2, g1.f10862a);
        a0 = a("measurement.client.sessions.immediate_start_enabled_foreground", bool2, bool2, j1.f10918a);
        b0 = a("measurement.client.sessions.background_sessions_enabled", bool2, bool2, i1.f10895a);
        c0 = a("measurement.client.sessions.remove_expired_session_properties_enabled", bool2, bool2, l1.f10958a);
        d0 = a("measurement.service.sessions.session_number_backfill_enabled", bool2, bool2, n1.f11005a);
        e0 = a("measurement.service.sessions.remove_disabled_session_number", bool2, bool2, m1.f10987a);
        f0 = a("measurement.client.sessions.start_session_before_view_screen", bool2, bool2, p1.f11048a);
        g0 = a("measurement.client.sessions.check_on_startup", bool2, bool2, o1.f11031a);
        h0 = a("measurement.collection.firebase_global_collection_flag_enabled", bool2, bool2, r1.f11079a);
        Boolean bool3 = Boolean.FALSE;
        i0 = a("measurement.collection.efficient_engagement_reporting_enabled", bool3, bool3, q1.f11067a);
        j0 = a("measurement.collection.redundant_engagement_removal_enabled", bool3, bool3, t1.f11113a);
        k0 = a("measurement.personalized_ads_signals_collection_enabled", bool2, bool2, s1.f11094a);
        l0 = a("measurement.personalized_ads_property_translation_enabled", bool2, bool2, v1.f11152a);
        m0 = a("measurement.collection.init_params_control_enabled", bool2, bool2, u1.f11136a);
        n0 = a("measurement.upload.disable_is_uploader", bool2, bool2, w1.f11168a);
        o0 = a("measurement.experiment.enable_experiment_reporting", bool2, bool2, z1.f11213a);
        p0 = a("measurement.collection.log_event_and_bundle_v2", bool2, bool2, y1.f11194a);
        q0 = a("measurement.quality.checksum", bool3, bool3, null);
        r0 = a("measurement.module.collection.conditionally_omit_admob_app_id", bool2, bool2, c2.f10792a);
        s0 = a("measurement.sdk.dynamite.use_dynamite2", bool3, bool3, a2.f10753a);
        t0 = a("measurement.sdk.dynamite.allow_remote_dynamite", bool3, bool3, e2.f10822a);
        u0 = a("measurement.sdk.collection.validate_param_names_alphabetical", bool3, bool3, d2.f10809a);
        v0 = a("measurement.collection.event_safelist", bool2, bool2, g2.f10863a);
        w0 = a("measurement.service.audience.scoped_filters_v27", bool3, bool3, f2.f10846a);
        x0 = a("measurement.service.audience.session_scoped_event_aggregates", bool3, bool3, i2.f10896a);
        y0 = a("measurement.service.audience.session_scoped_user_engagement", bool3, bool3, k2.f10937a);
        z0 = a("measurement.service.audience.scoped_engagement_removal_when_session_expired", bool2, bool2, j2.f10919a);
        A0 = a("measurement.client.audience.scoped_engagement_removal_when_session_expired", bool2, bool2, m2.f10988a);
        B0 = a("measurement.service.audience.remove_disabled_session_scoped_user_engagement", bool3, bool3, l2.f10959a);
        C0 = a("measurement.service.audience.use_bundle_timestamp_for_property_filters", bool3, bool3, o2.f11032a);
        D0 = a("measurement.service.audience.not_prepend_timestamps_for_sequence_session_scoped_filters", bool3, bool3, n2.f11006a);
        E0 = a("measurement.service.audience.invalidate_config_cache_after_app_unisntall", bool3, bool3, q2.f11068a);
        F0 = a("measurement.sdk.collection.retrieve_deeplink_from_bow_2", bool2, bool2, p2.f11049a);
        G0 = a("measurement.app_launch.event_ordering_fix", bool3, bool3, s2.f11095a);
        H0 = a("measurement.sdk.collection.last_deep_link_referrer", bool3, bool3, r2.f11080a);
        I0 = a("measurement.sdk.collection.last_deep_link_referrer_campaign", bool3, bool3, t2.f11114a);
        J0 = a("measurement.sdk.collection.last_gclid_from_referrer", bool3, bool3, w2.f11169a);
        K0 = a("measurement.sdk.collection.worker_thread_referrer", bool2, bool2, v2.f11153a);
        L0 = a("measurement.upload.file_lock_state_check", bool3, bool3, y2.f11195a);
        M0 = a("measurement.sampling.calculate_bundle_timestamp_before_sampling", bool2, bool2, x2.f11185a);
        N0 = a("measurement.ga.ga_app_id", bool3, Boolean.valueOf(w9.a()), a3.f10754a);
        O0 = a("measurement.lifecycle.app_backgrounded_tracking", bool3, bool3, z2.f11214a);
        P0 = a("measurement.lifecycle.app_in_background_parameter", bool3, bool3, d3.f10810a);
        Q0 = a("measurement.integration.disable_firebase_instance_id", bool3, bool3, b3.f10772a);
        R0 = a("measurement.lifecycle.app_backgrounded_engagement", bool3, bool3, f3.f10847a);
        S0 = a("measurement.service.fix_gmp_version", bool3, bool3, h3.f10881a);
        T0 = a("measurement.collection.service.update_with_analytics_fix", bool3, bool3, g3.f10864a);
        U0 = a("measurement.service.disable_install_state_reporting", bool3, bool3, j3.f10920a);
        V0 = a("measurement.service.use_appinfo_modified", bool3, bool3, i3.f10897a);
        Boolean bool4 = Boolean.TRUE;
        W0 = a("measurement.upload.dsid_reflection_failure_logging", bool4, bool4, l3.f10960a);
        X0 = a("measurement.client.firebase_feature_rollout.v1.enable", bool4, bool4, k3.f10938a);
    }

    private static boolean B0() {
        if (f11025a != null) {
        }
        return false;
    }

    @VisibleForTesting
    private static <V> p3<V> a(@Nullable String str, @Nullable V v2, @Nullable V v3, @Nullable m3<V> m3Var) {
        p3<V> p3Var = new p3<>(str, v2, v3, m3Var);
        f11026b.add(p3Var);
        return p3Var;
    }

    public static Map<String, String> c(Context context) {
        x0 a2 = x0.a(context.getContentResolver(), n1.a("com.google.android.gms.measurement"));
        return a2 == null ? Collections.emptyMap() : a2.c();
    }

    static void d(b5 b5Var) {
        f11028d = b5Var;
    }

    static void e(fa faVar) {
        f11025a = faVar;
    }

    @VisibleForTesting
    static void f(Exception exc) {
        if (f11028d != null) {
            Context i2 = f11028d.i();
            if (f11029e == null) {
                f11029e = Boolean.valueOf(com.google.android.gms.common.e.i().k(i2, g.f10020a) == 0);
            }
            if (f11029e.booleanValue()) {
                f11028d.h().H().b("Got Exception on PhenotypeFlag.get on Play device", exc);
            }
        }
    }

    static final /* synthetic */ Long u0() {
        long j2;
        if (B0()) {
            j2 = f8.A();
        } else {
            j2 = f8.m();
        }
        return Long.valueOf(j2);
    }

    static final /* synthetic */ String x0() {
        return B0() ? f8.C() : f8.n();
    }
}
