package com.google.android.gms.measurement.internal;

import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.content.pm.ServiceInfo;
import android.os.Bundle;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import com.google.android.gms.common.p.b;
import com.google.android.gms.common.p.c;
import com.google.android.gms.common.stats.a;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.internal.measurement.a2;
import java.util.List;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class q4 {

    /* renamed from: a  reason: collision with root package name */
    final b5 f11069a;

    q4(b5 b5Var) {
        this.f11069a = b5Var;
    }

    @VisibleForTesting
    private final boolean c() {
        try {
            b a2 = c.a(this.f11069a.i());
            if (a2 == null) {
                this.f11069a.h().N().a("Failed to retrieve Package Manager to check Play Store compatibility");
                return false;
            } else if (a2.e("com.android.vending", 128).versionCode >= 80837300) {
                return true;
            } else {
                return false;
            }
        } catch (Exception e2) {
            this.f11069a.h().N().b("Failed to retrieve Play Store version", e2);
            return false;
        }
    }

    /* access modifiers changed from: package-private */
    @Nullable
    @VisibleForTesting
    @WorkerThread
    public final Bundle a(String str, a2 a2Var) {
        this.f11069a.b().e();
        if (a2Var == null) {
            this.f11069a.h().K().a("Attempting to use Install Referrer Service while it is not initialized");
            return null;
        }
        Bundle bundle = new Bundle();
        bundle.putString("package_name", str);
        try {
            Bundle g = a2Var.g(bundle);
            if (g != null) {
                return g;
            }
            this.f11069a.h().H().a("Install Referrer Service returned a null response");
            return null;
        } catch (Exception e2) {
            this.f11069a.h().H().b("Exception occurred while retrieving the Install Referrer", e2.getMessage());
            return null;
        }
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final void b(String str) {
        if (str == null || str.isEmpty()) {
            this.f11069a.h().N().a("Install Referrer Reporter was called with invalid app package name");
            return;
        }
        this.f11069a.b().e();
        if (!c()) {
            this.f11069a.h().N().a("Install Referrer Reporter is not available");
            return;
        }
        this.f11069a.h().N().a("Install Referrer Reporter is initializing");
        p4 p4Var = new p4(this, str);
        this.f11069a.b().e();
        Intent intent = new Intent("com.google.android.finsky.BIND_GET_INSTALL_REFERRER_SERVICE");
        intent.setComponent(new ComponentName("com.android.vending", "com.google.android.finsky.externalreferrer.GetInstallReferrerService"));
        PackageManager packageManager = this.f11069a.i().getPackageManager();
        if (packageManager == null) {
            this.f11069a.h().K().a("Failed to obtain Package Manager to verify binding conditions");
            return;
        }
        List<ResolveInfo> queryIntentServices = packageManager.queryIntentServices(intent, 0);
        if (queryIntentServices == null || queryIntentServices.isEmpty()) {
            this.f11069a.h().N().a("Play Service for fetching Install Referrer is unavailable on device");
            return;
        }
        ServiceInfo serviceInfo = queryIntentServices.get(0).serviceInfo;
        if (serviceInfo != null) {
            String str2 = serviceInfo.packageName;
            if (serviceInfo.name == null || !"com.android.vending".equals(str2) || !c()) {
                this.f11069a.h().N().a("Play Store missing or incompatible. Version 8.3.73 or later required");
                return;
            }
            try {
                this.f11069a.h().N().b("Install Referrer Service is", a.b().a(this.f11069a.i(), new Intent(intent), p4Var, 1) ? "available" : "not available");
            } catch (Exception e2) {
                this.f11069a.h().H().b("Exception occurred while binding to Install Referrer Service", e2.getMessage());
            }
        }
    }
}
