package com.google.android.gms.measurement.internal;

import android.annotation.TargetApi;
import android.app.job.JobParameters;
import android.content.Context;
import android.content.Intent;
import android.os.IBinder;
import androidx.annotation.MainThread;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.measurement.internal.u8;

/* compiled from: com.google.android.gms:play-services-measurement@@17.2.0 */
public final class q8<T extends Context & u8> {

    /* renamed from: a  reason: collision with root package name */
    private final T f11075a;

    public q8(T t) {
        a0.k(t);
        this.f11075a = t;
    }

    private final void f(Runnable runnable) {
        l9 d2 = l9.d(this.f11075a);
        d2.b().A(new r8(this, d2, runnable));
    }

    private final w3 j() {
        return b5.a(this.f11075a, null).h();
    }

    @MainThread
    public final int a(Intent intent, int i, int i2) {
        b5 a2 = b5.a(this.f11075a, null);
        w3 h = a2.h();
        if (intent == null) {
            h.K().a("AppMeasurementService started with null intent");
            return 2;
        }
        String action = intent.getAction();
        a2.v();
        h.P().c("Local AppMeasurementService called. startId, action", Integer.valueOf(i2), action);
        if ("com.google.android.gms.measurement.UPLOAD".equals(action)) {
            f(new p8(this, i2, h, intent));
        }
        return 2;
    }

    @MainThread
    public final IBinder b(Intent intent) {
        if (intent == null) {
            j().H().a("onBind called with null intent");
            return null;
        }
        String action = intent.getAction();
        if ("com.google.android.gms.measurement.START".equals(action)) {
            return new h5(l9.d(this.f11075a));
        }
        j().K().b("onBind received unknown action", action);
        return null;
    }

    @MainThread
    public final void c() {
        b5 a2 = b5.a(this.f11075a, null);
        w3 h = a2.h();
        a2.v();
        h.P().a("Local AppMeasurementService is starting up");
    }

    /* access modifiers changed from: package-private */
    public final /* synthetic */ void d(int i, w3 w3Var, Intent intent) {
        if (this.f11075a.a(i)) {
            w3Var.P().b("Local AppMeasurementService processed last upload request. StartId", Integer.valueOf(i));
            j().P().a("Completed wakeful intent.");
            this.f11075a.b(intent);
        }
    }

    /* access modifiers changed from: package-private */
    public final /* synthetic */ void e(w3 w3Var, JobParameters jobParameters) {
        w3Var.P().a("AppMeasurementJobService processed last upload request.");
        this.f11075a.c(jobParameters, false);
    }

    @TargetApi(24)
    @MainThread
    public final boolean g(JobParameters jobParameters) {
        b5 a2 = b5.a(this.f11075a, null);
        w3 h = a2.h();
        String string = jobParameters.getExtras().getString("action");
        a2.v();
        h.P().b("Local AppMeasurementJobService called. action", string);
        if (!"com.google.android.gms.measurement.UPLOAD".equals(string)) {
            return true;
        }
        f(new s8(this, h, jobParameters));
        return true;
    }

    @MainThread
    public final void h() {
        b5 a2 = b5.a(this.f11075a, null);
        w3 h = a2.h();
        a2.v();
        h.P().a("Local AppMeasurementService is shutting down");
    }

    @MainThread
    public final boolean i(Intent intent) {
        if (intent == null) {
            j().H().a("onUnbind called with null intent");
            return true;
        }
        j().P().b("onUnbind called for intent. action", intent.getAction());
        return true;
    }

    @MainThread
    public final void k(Intent intent) {
        if (intent == null) {
            j().H().a("onRebind called with null intent");
            return;
        }
        j().P().b("onRebind called. action", intent.getAction());
    }
}
