package com.google.android.gms.measurement.internal;

import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.net.Uri;
import android.os.Bundle;
import androidx.annotation.MainThread;
import com.google.android.gms.common.internal.a0;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class r4 {

    /* renamed from: a  reason: collision with root package name */
    private final w4 f11081a;

    public r4(w4 w4Var) {
        a0.k(w4Var);
        this.f11081a = w4Var;
    }

    public static boolean b(Context context) {
        ActivityInfo receiverInfo;
        a0.k(context);
        try {
            PackageManager packageManager = context.getPackageManager();
            if (packageManager == null || (receiverInfo = packageManager.getReceiverInfo(new ComponentName(context, "com.google.android.gms.measurement.AppMeasurementReceiver"), 0)) == null || !receiverInfo.enabled) {
                return false;
            }
            return true;
        } catch (PackageManager.NameNotFoundException unused) {
        }
    }

    @MainThread
    public final void a(Context context, Intent intent) {
        b5 a2 = b5.a(context, null);
        w3 h = a2.h();
        if (intent == null) {
            h.K().a("Receiver called with null intent");
            return;
        }
        a2.v();
        String action = intent.getAction();
        h.P().b("Local receiver got", action);
        if ("com.google.android.gms.measurement.UPLOAD".equals(action)) {
            Intent className = new Intent().setClassName(context, "com.google.android.gms.measurement.AppMeasurementService");
            className.setAction("com.google.android.gms.measurement.UPLOAD");
            h.P().a("Starting wakeful intent.");
            this.f11081a.a(context, className);
        } else if ("com.android.vending.INSTALL_REFERRER".equals(action)) {
            try {
                a2.b().A(new u4(this, a2, h));
            } catch (Exception e2) {
                h.K().b("Install Referrer Reporter encountered a problem", e2);
            }
            BroadcastReceiver.PendingResult b2 = this.f11081a.b();
            String stringExtra = intent.getStringExtra("referrer");
            if (stringExtra == null) {
                h.P().a("Install referrer extras are null");
                if (b2 != null) {
                    b2.finish();
                    return;
                }
                return;
            }
            h.N().b("Install referrer extras are", stringExtra);
            if (!stringExtra.contains("?")) {
                stringExtra = stringExtra.length() != 0 ? "?".concat(stringExtra) : new String("?");
            }
            Bundle z = a2.I().z(Uri.parse(stringExtra));
            if (z == null) {
                h.P().a("No campaign defined in install referrer broadcast");
                if (b2 != null) {
                    b2.finish();
                    return;
                }
                return;
            }
            long longExtra = intent.getLongExtra("referrer_timestamp_seconds", 0) * 1000;
            if (longExtra == 0) {
                h.K().a("Install referrer is missing timestamp");
            }
            a2.b().A(new t4(this, a2, longExtra, z, context, h, b2));
        }
    }
}
