package com.google.android.gms.measurement.internal;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ResolveInfo;
import android.os.RemoteException;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import com.google.android.gms.common.g;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.stats.a;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.internal.measurement.zb;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.atomic.AtomicReference;

@VisibleForTesting
/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class r7 extends c3 {

    /* renamed from: c  reason: collision with root package name */
    private final k8 f11087c;

    /* renamed from: d  reason: collision with root package name */
    private o3 f11088d;

    /* renamed from: e  reason: collision with root package name */
    private volatile Boolean f11089e;
    private final g f;
    private final d9 g;
    private final List<Runnable> h = new ArrayList();
    private final g i;

    protected r7(b5 b5Var) {
        super(b5Var);
        this.g = new d9(b5Var.m());
        this.f11087c = new k8(this);
        this.f = new q7(this, b5Var);
        this.i = new b8(this, b5Var);
    }

    @Nullable
    @WorkerThread
    private final zzm E(boolean z) {
        v();
        return q().C(z ? h().Q() : null);
    }

    /* access modifiers changed from: private */
    @WorkerThread
    public final void F(ComponentName componentName) {
        e();
        if (this.f11088d != null) {
            this.f11088d = null;
            h().P().b("Disconnected from device MeasurementService", componentName);
            e();
            a0();
        }
    }

    @WorkerThread
    private final void R(Runnable runnable) throws IllegalStateException {
        e();
        if (W()) {
            runnable.run();
        } else if (((long) this.h.size()) >= 1000) {
            h().H().a("Discarding data. Max runnable queue size reached");
        } else {
            this.h.add(runnable);
            this.i.c(60000);
            a0();
        }
    }

    private final boolean d0() {
        v();
        return true;
    }

    /* access modifiers changed from: private */
    @WorkerThread
    public final void e0() {
        e();
        this.g.a();
        this.f.c(o.N.a(null).longValue());
    }

    /* access modifiers changed from: private */
    @WorkerThread
    public final void f0() {
        e();
        if (W()) {
            h().P().a("Inactivity, disconnecting from the service");
            c0();
        }
    }

    /* access modifiers changed from: private */
    @WorkerThread
    public final void g0() {
        e();
        h().P().b("Processing queued up service tasks", Integer.valueOf(this.h.size()));
        for (Runnable runnable : this.h) {
            try {
                runnable.run();
            } catch (Exception e2) {
                h().H().b("Task exception while flushing queue", e2);
            }
        }
        this.h.clear();
        this.i.e();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.measurement.internal.c3
    public final boolean B() {
        return false;
    }

    @WorkerThread
    public final void G(zb zbVar) {
        e();
        y();
        R(new x7(this, E(false), zbVar));
    }

    @WorkerThread
    public final void H(zb zbVar, zzan zzan, String str) {
        e();
        y();
        if (k().u(g.f10020a) != 0) {
            h().K().a("Not bundling data. Service unavailable or out of date");
            k().S(zbVar, new byte[0]);
            return;
        }
        R(new y7(this, zzan, str, zbVar));
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final void I(zb zbVar, String str, String str2) {
        e();
        y();
        R(new e8(this, str, str2, E(false), zbVar));
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final void J(zb zbVar, String str, String str2, boolean z) {
        e();
        y();
        R(new g8(this, str, str2, z, E(false), zbVar));
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final void K(zzan zzan, String str) {
        a0.k(zzan);
        e();
        y();
        boolean d0 = d0();
        R(new d8(this, d0, d0 && t().F(zzan), zzan, E(true), str));
    }

    /* access modifiers changed from: protected */
    @VisibleForTesting
    @WorkerThread
    public final void L(o3 o3Var) {
        e();
        a0.k(o3Var);
        this.f11088d = o3Var;
        e0();
        g0();
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    @WorkerThread
    public final void M(o3 o3Var, AbstractSafeParcelable abstractSafeParcelable, zzm zzm) {
        int i2;
        List<AbstractSafeParcelable> D;
        e();
        c();
        y();
        boolean d0 = d0();
        int i3 = 0;
        int i4 = 100;
        while (i3 < 1001 && i4 == 100) {
            ArrayList arrayList = new ArrayList();
            if (!d0 || (D = t().D(100)) == null) {
                i2 = 0;
            } else {
                arrayList.addAll(D);
                i2 = D.size();
            }
            if (abstractSafeParcelable != null && i2 < 100) {
                arrayList.add(abstractSafeParcelable);
            }
            int size = arrayList.size();
            int i5 = 0;
            while (i5 < size) {
                Object obj = arrayList.get(i5);
                i5++;
                AbstractSafeParcelable abstractSafeParcelable2 = (AbstractSafeParcelable) obj;
                if (abstractSafeParcelable2 instanceof zzan) {
                    try {
                        o3Var.I0((zzan) abstractSafeParcelable2, zzm);
                    } catch (RemoteException e2) {
                        h().H().b("Failed to send event to the service", e2);
                    }
                } else if (abstractSafeParcelable2 instanceof zzkj) {
                    try {
                        o3Var.w0((zzkj) abstractSafeParcelable2, zzm);
                    } catch (RemoteException e3) {
                        h().H().b("Failed to send attribute to the service", e3);
                    }
                } else if (abstractSafeParcelable2 instanceof zzv) {
                    try {
                        o3Var.Z((zzv) abstractSafeParcelable2, zzm);
                    } catch (RemoteException e4) {
                        h().H().b("Failed to send conditional property to the service", e4);
                    }
                } else {
                    h().H().a("Discarding data. Unrecognized parcel type.");
                }
            }
            i3++;
            i4 = i2;
        }
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final void N(n7 n7Var) {
        e();
        y();
        R(new z7(this, n7Var));
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final void P(zzkj zzkj) {
        e();
        y();
        R(new t7(this, d0() && t().G(zzkj), zzkj, E(true)));
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final void Q(zzv zzv) {
        a0.k(zzv);
        e();
        y();
        v();
        R(new c8(this, true, t().H(zzv), new zzv(zzv), E(true), zzv));
    }

    @WorkerThread
    public final void S(AtomicReference<String> atomicReference) {
        e();
        y();
        R(new u7(this, atomicReference, E(false)));
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final void T(AtomicReference<List<zzv>> atomicReference, String str, String str2, String str3) {
        e();
        y();
        R(new f8(this, atomicReference, str, str2, str3, E(false)));
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final void U(AtomicReference<List<zzkj>> atomicReference, String str, String str2, String str3, boolean z) {
        e();
        y();
        R(new i8(this, atomicReference, str, str2, str3, z, E(false)));
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final void V(AtomicReference<List<zzkj>> atomicReference, boolean z) {
        e();
        y();
        R(new s7(this, atomicReference, E(false), z));
    }

    @WorkerThread
    public final boolean W() {
        e();
        y();
        return this.f11088d != null;
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final void X() {
        e();
        y();
        R(new a8(this, E(true)));
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final void Y() {
        e();
        c();
        y();
        zzm E = E(false);
        if (d0()) {
            t().I();
        }
        R(new v7(this, E));
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final void Z() {
        e();
        y();
        zzm E = E(true);
        boolean r = n().r(o.G0);
        if (r) {
            t().J();
        }
        R(new w7(this, E, r));
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void a() {
        super.a();
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x010c  */
    @WorkerThread
    public final void a0() {
        boolean z;
        boolean z2;
        e();
        y();
        if (!W()) {
            boolean z3 = false;
            if (this.f11089e == null) {
                e();
                y();
                Boolean H = l().H();
                if (H == null || !H.booleanValue()) {
                    v();
                    if (q().H() != 1) {
                        h().P().a("Checking service availability");
                        int u = k().u(g.f10020a);
                        if (u != 0) {
                            if (u != 1) {
                                if (u == 2) {
                                    h().O().a("Service container out of date");
                                    if (k().B0() >= 17443) {
                                        Boolean H2 = l().H();
                                        if (H2 == null || H2.booleanValue()) {
                                            z = true;
                                            z2 = false;
                                            if (!z && n().Y()) {
                                                h().H().a("No way to upload. Consider using the full version of Analytics");
                                                z2 = false;
                                            }
                                            if (z2) {
                                                l().x(z);
                                            }
                                        }
                                    }
                                } else if (u == 3) {
                                    h().K().a("Service disabled");
                                } else if (u == 9) {
                                    h().K().a("Service invalid");
                                } else if (u != 18) {
                                    h().K().b("Unexpected service status", Integer.valueOf(u));
                                } else {
                                    h().K().a("Service updating");
                                }
                                z = false;
                                z2 = false;
                                h().H().a("No way to upload. Consider using the full version of Analytics");
                                z2 = false;
                                if (z2) {
                                }
                            } else {
                                h().P().a("Service missing");
                            }
                            z = false;
                            z2 = true;
                            h().H().a("No way to upload. Consider using the full version of Analytics");
                            z2 = false;
                            if (z2) {
                            }
                        } else {
                            h().P().a("Service available");
                        }
                    }
                    z = true;
                    z2 = true;
                    h().H().a("No way to upload. Consider using the full version of Analytics");
                    z2 = false;
                    if (z2) {
                    }
                } else {
                    z = true;
                }
                this.f11089e = Boolean.valueOf(z);
            }
            if (this.f11089e.booleanValue()) {
                this.f11087c.f();
            } else if (!n().Y()) {
                v();
                List<ResolveInfo> queryIntentServices = i().getPackageManager().queryIntentServices(new Intent().setClassName(i(), "com.google.android.gms.measurement.AppMeasurementService"), 65536);
                if (queryIntentServices != null && queryIntentServices.size() > 0) {
                    z3 = true;
                }
                if (z3) {
                    Intent intent = new Intent("com.google.android.gms.measurement.START");
                    Context i2 = i();
                    v();
                    intent.setComponent(new ComponentName(i2, "com.google.android.gms.measurement.AppMeasurementService"));
                    this.f11087c.c(intent);
                    return;
                }
                h().H().a("Unable to use remote or local measurement implementation. Please register the AppMeasurementService service in the app manifest");
            }
        }
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ y4 b() {
        return super.b();
    }

    /* access modifiers changed from: package-private */
    public final Boolean b0() {
        return this.f11089e;
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void c() {
        super.c();
    }

    @WorkerThread
    public final void c0() {
        e();
        y();
        this.f11087c.a();
        try {
            a.b().c(i(), this.f11087c);
        } catch (IllegalArgumentException | IllegalStateException unused) {
        }
        this.f11088d = null;
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void d() {
        super.d();
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void e() {
        super.e();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ i f() {
        return super.f();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ u3 g() {
        return super.g();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ w3 h() {
        return super.h();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ Context i() {
        return super.i();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ s9 k() {
        return super.k();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ k4 l() {
        return super.l();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ com.google.android.gms.common.util.g m() {
        return super.m();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ ga n() {
        return super.n();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ z o() {
        return super.o();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ i6 p() {
        return super.p();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ t3 q() {
        return super.q();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ r7 r() {
        return super.r();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ m7 s() {
        return super.s();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ s3 t() {
        return super.t();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ t8 u() {
        return super.u();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ fa v() {
        return super.v();
    }
}
