package com.google.android.gms.measurement.internal;

import android.annotation.SuppressLint;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.ServiceInfo;
import android.content.pm.Signature;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.RemoteException;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import androidx.core.app.NotificationCompat;
import com.alipay.sdk.app.c.b;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.p.c;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.common.util.g;
import com.google.android.gms.common.util.h;
import com.google.android.gms.internal.measurement.zb;
import com.google.android.gms.measurement.a.a;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.ibm.icu.impl.e;
import com.liulishuo.filedownloader.model.FileDownloadModel;
import java.io.ByteArrayInputStream;
import java.math.BigInteger;
import java.net.MalformedURLException;
import java.net.URL;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;
import java.security.cert.CertificateException;
import java.security.cert.CertificateFactory;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Random;
import java.util.Set;
import java.util.TreeSet;
import java.util.concurrent.atomic.AtomicLong;
import javax.security.auth.x500.X500Principal;
import kotlinx.coroutines.s0;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class s9 extends w5 {

    /* renamed from: c  reason: collision with root package name */
    private static final String[] f11108c = {"firebase_", "google_", "ga_"};

    /* renamed from: d  reason: collision with root package name */
    private SecureRandom f11109d;

    /* renamed from: e  reason: collision with root package name */
    private final AtomicLong f11110e = new AtomicLong(0);
    private int f;
    private Integer g = null;

    s9(b5 b5Var) {
        super(b5Var);
    }

    static MessageDigest A0() {
        for (int i = 0; i < 2; i++) {
            try {
                MessageDigest instance = MessageDigest.getInstance("MD5");
                if (instance != null) {
                    return instance;
                }
            } catch (NoSuchAlgorithmException unused) {
            }
        }
        return null;
    }

    public static Bundle C(List<zzkj> list) {
        Bundle bundle = new Bundle();
        if (list == null) {
            return bundle;
        }
        for (zzkj zzkj : list) {
            String str = zzkj.L0;
            if (str != null) {
                bundle.putString(zzkj.f11236b, str);
            } else {
                Long l = zzkj.J0;
                if (l != null) {
                    bundle.putLong(zzkj.f11236b, l.longValue());
                } else {
                    Double d2 = zzkj.N0;
                    if (d2 != null) {
                        bundle.putDouble(zzkj.f11236b, d2.doubleValue());
                    }
                }
            }
        }
        return bundle;
    }

    private static Object E(int i, Object obj, boolean z) {
        if (obj == null) {
            return null;
        }
        if ((obj instanceof Long) || (obj instanceof Double)) {
            return obj;
        }
        if (obj instanceof Integer) {
            return Long.valueOf((long) ((Integer) obj).intValue());
        }
        if (obj instanceof Byte) {
            return Long.valueOf((long) ((Byte) obj).byteValue());
        }
        if (obj instanceof Short) {
            return Long.valueOf((long) ((Short) obj).shortValue());
        }
        if (obj instanceof Boolean) {
            return Long.valueOf(((Boolean) obj).booleanValue() ? 1 : 0);
        } else if (obj instanceof Float) {
            return Double.valueOf(((Float) obj).doubleValue());
        } else {
            if ((obj instanceof String) || (obj instanceof Character) || (obj instanceof CharSequence)) {
                return G(String.valueOf(obj), i, z);
            }
            return null;
        }
    }

    public static String G(String str, int i, boolean z) {
        if (str == null) {
            return null;
        }
        if (str.codePointCount(0, str.length()) <= i) {
            return str;
        }
        if (z) {
            return String.valueOf(str.substring(0, str.offsetByCodePoints(0, i))).concat("...");
        }
        return null;
    }

    private static void K(Bundle bundle, Object obj) {
        a0.k(bundle);
        if (obj == null) {
            return;
        }
        if ((obj instanceof String) || (obj instanceof CharSequence)) {
            bundle.putLong("_el", (long) String.valueOf(obj).length());
        }
    }

    static boolean U(Context context, boolean z) {
        a0.k(context);
        if (Build.VERSION.SDK_INT >= 24) {
            return m0(context, "com.google.android.gms.measurement.AppMeasurementJobService");
        }
        return m0(context, "com.google.android.gms.measurement.AppMeasurementService");
    }

    static boolean V(Intent intent) {
        String stringExtra = intent.getStringExtra("android.intent.extra.REFERRER_NAME");
        return "android-app://com.google.android.googlequicksearchbox/https/www.google.com".equals(stringExtra) || "https://www.google.com".equals(stringExtra) || "android-app://com.google.appcrawler".equals(stringExtra);
    }

    private static boolean W(Bundle bundle, int i) {
        if (bundle.getLong("_err") != 0) {
            return false;
        }
        bundle.putLong("_err", (long) i);
        return true;
    }

    static boolean X(Boolean bool, Boolean bool2) {
        if (bool == null && bool2 == null) {
            return true;
        }
        if (bool == null) {
            return false;
        }
        return bool.equals(bool2);
    }

    static boolean Y(String str) {
        a0.g(str);
        if (str.charAt(0) != '_' || str.equals("_ep")) {
            return true;
        }
        return false;
    }

    private final boolean c0(String str, String str2, int i, Object obj, boolean z) {
        if (obj != null && !(obj instanceof Long) && !(obj instanceof Float) && !(obj instanceof Integer) && !(obj instanceof Byte) && !(obj instanceof Short) && !(obj instanceof Boolean) && !(obj instanceof Double)) {
            if ((obj instanceof String) || (obj instanceof Character) || (obj instanceof CharSequence)) {
                String valueOf = String.valueOf(obj);
                if (valueOf.codePointCount(0, valueOf.length()) > i) {
                    h().M().d("Value is too long; discarded. Value kind, name, value length", str, str2, Integer.valueOf(valueOf.length()));
                    return false;
                }
            } else if ((obj instanceof Bundle) && z) {
                return true;
            } else {
                if ((obj instanceof Parcelable[]) && z) {
                    Parcelable[] parcelableArr = (Parcelable[]) obj;
                    for (Parcelable parcelable : parcelableArr) {
                        if (!(parcelable instanceof Bundle)) {
                            h().M().c("All Parcelable[] elements must be of type Bundle. Value type, name", parcelable.getClass(), str2);
                            return false;
                        }
                    }
                    return true;
                } else if (!(obj instanceof ArrayList) || !z) {
                    return false;
                } else {
                    ArrayList arrayList = (ArrayList) obj;
                    int size = arrayList.size();
                    int i2 = 0;
                    while (i2 < size) {
                        Object obj2 = arrayList.get(i2);
                        i2++;
                        if (!(obj2 instanceof Bundle)) {
                            h().M().c("All ArrayList elements must be of type Bundle. Value type, name", obj2.getClass(), str2);
                            return false;
                        }
                    }
                    return true;
                }
            }
        }
        return true;
    }

    static boolean d0(String str, String str2, String str3, String str4) {
        boolean isEmpty = TextUtils.isEmpty(str);
        boolean isEmpty2 = TextUtils.isEmpty(str2);
        if (!isEmpty && !isEmpty2) {
            return !str.equals(str2);
        }
        if (isEmpty && isEmpty2) {
            return (TextUtils.isEmpty(str3) || TextUtils.isEmpty(str4)) ? !TextUtils.isEmpty(str4) : !str3.equals(str4);
        }
        if (isEmpty || !isEmpty2) {
            return TextUtils.isEmpty(str3) || !str3.equals(str4);
        }
        if (TextUtils.isEmpty(str4)) {
            return false;
        }
        return TextUtils.isEmpty(str3) || !str3.equals(str4);
    }

    static boolean f0(@Nullable List<String> list, @Nullable List<String> list2) {
        if (list == null && list2 == null) {
            return true;
        }
        if (list == null) {
            return false;
        }
        return list.equals(list2);
    }

    static byte[] g0(Parcelable parcelable) {
        if (parcelable == null) {
            return null;
        }
        Parcel obtain = Parcel.obtain();
        try {
            parcelable.writeToParcel(obtain, 0);
            return obtain.marshall();
        } finally {
            obtain.recycle();
        }
    }

    static Bundle[] h0(Object obj) {
        if (obj instanceof Bundle) {
            return new Bundle[]{(Bundle) obj};
        } else if (obj instanceof Parcelable[]) {
            Parcelable[] parcelableArr = (Parcelable[]) obj;
            return (Bundle[]) Arrays.copyOf(parcelableArr, parcelableArr.length, Bundle[].class);
        } else if (!(obj instanceof ArrayList)) {
            return null;
        } else {
            ArrayList arrayList = (ArrayList) obj;
            return (Bundle[]) arrayList.toArray(new Bundle[arrayList.size()]);
        }
    }

    public static Bundle k0(Bundle bundle) {
        if (bundle == null) {
            return new Bundle();
        }
        Bundle bundle2 = new Bundle(bundle);
        for (String str : bundle2.keySet()) {
            Object obj = bundle2.get(str);
            if (obj instanceof Bundle) {
                bundle2.putBundle(str, new Bundle((Bundle) obj));
            } else {
                int i = 0;
                if (obj instanceof Parcelable[]) {
                    Parcelable[] parcelableArr = (Parcelable[]) obj;
                    while (i < parcelableArr.length) {
                        if (parcelableArr[i] instanceof Bundle) {
                            parcelableArr[i] = new Bundle((Bundle) parcelableArr[i]);
                        }
                        i++;
                    }
                } else if (obj instanceof List) {
                    List list = (List) obj;
                    while (i < list.size()) {
                        Object obj2 = list.get(i);
                        if (obj2 instanceof Bundle) {
                            list.set(i, new Bundle((Bundle) obj2));
                        }
                        i++;
                    }
                }
            }
        }
        return bundle2;
    }

    public static ArrayList<Bundle> l0(List<zzv> list) {
        if (list == null) {
            return new ArrayList<>(0);
        }
        ArrayList<Bundle> arrayList = new ArrayList<>(list.size());
        for (zzv zzv : list) {
            Bundle bundle = new Bundle();
            bundle.putString(b.t0, zzv.f11239a);
            bundle.putString("origin", zzv.f11240b);
            bundle.putLong(a.C0251a.m, zzv.J0);
            bundle.putString("name", zzv.I0.f11236b);
            y5.b(bundle, zzv.I0.e0());
            bundle.putBoolean(a.C0251a.n, zzv.K0);
            String str = zzv.L0;
            if (str != null) {
                bundle.putString(a.C0251a.f10740d, str);
            }
            zzan zzan = zzv.M0;
            if (zzan != null) {
                bundle.putString(a.C0251a.f, zzan.f11233a);
                zzam zzam = zzv.M0.f11234b;
                if (zzam != null) {
                    bundle.putBundle(a.C0251a.g, zzam.d1());
                }
            }
            bundle.putLong(a.C0251a.f10741e, zzv.N0);
            zzan zzan2 = zzv.O0;
            if (zzan2 != null) {
                bundle.putString(a.C0251a.h, zzan2.f11233a);
                zzam zzam2 = zzv.O0.f11234b;
                if (zzam2 != null) {
                    bundle.putBundle(a.C0251a.i, zzam2.d1());
                }
            }
            bundle.putLong(a.C0251a.o, zzv.I0.I0);
            bundle.putLong(a.C0251a.j, zzv.P0);
            zzan zzan3 = zzv.Q0;
            if (zzan3 != null) {
                bundle.putString(a.C0251a.k, zzan3.f11233a);
                zzam zzam3 = zzv.Q0.f11234b;
                if (zzam3 != null) {
                    bundle.putBundle(a.C0251a.l, zzam3.d1());
                }
            }
            arrayList.add(bundle);
        }
        return arrayList;
    }

    private static boolean m0(Context context, String str) {
        ServiceInfo serviceInfo;
        try {
            PackageManager packageManager = context.getPackageManager();
            if (packageManager == null || (serviceInfo = packageManager.getServiceInfo(new ComponentName(context, str), 0)) == null || !serviceInfo.enabled) {
                return false;
            }
            return true;
        } catch (PackageManager.NameNotFoundException unused) {
        }
    }

    @VisibleForTesting
    private final boolean q0(Context context, String str) {
        Signature[] signatureArr;
        X500Principal x500Principal = new X500Principal("CN=Android Debug,O=Android,C=US");
        try {
            PackageInfo e2 = c.a(context).e(str, 64);
            if (e2 == null || (signatureArr = e2.signatures) == null || signatureArr.length <= 0) {
                return true;
            }
            return ((X509Certificate) CertificateFactory.getInstance("X.509").generateCertificate(new ByteArrayInputStream(signatureArr[0].toByteArray()))).getSubjectX500Principal().equals(x500Principal);
        } catch (CertificateException e3) {
            h().H().b("Error obtaining certificate", e3);
            return true;
        } catch (PackageManager.NameNotFoundException e4) {
            h().H().b("Package name not found", e4);
            return true;
        }
    }

    static boolean t0(String str, String str2) {
        if (str == null && str2 == null) {
            return true;
        }
        if (str == null) {
            return false;
        }
        return str.equals(str2);
    }

    static boolean u0(String str) {
        return !TextUtils.isEmpty(str) && str.startsWith(com.ibm.icu.impl.locale.b.f14006b);
    }

    public static long w(long j, long j2) {
        return (j + (j2 * 60000)) / e.j;
    }

    @VisibleForTesting
    private static boolean x0(String str) {
        a0.k(str);
        return str.matches("^(1:\\d+:android:[a-f0-9]+|ca-app-pub-.*)$");
    }

    @VisibleForTesting
    static long y(byte[] bArr) {
        a0.k(bArr);
        int i = 0;
        a0.q(bArr.length > 0);
        long j = 0;
        int length = bArr.length - 1;
        while (length >= 0 && length >= bArr.length - 8) {
            j += (((long) bArr[length]) & 255) << i;
            i += 8;
            length--;
        }
        return j;
    }

    private static int y0(String str) {
        if ("_ldl".equals(str)) {
            return 2048;
        }
        return FileDownloadModel.I0.equals(str) ? 256 : 36;
    }

    /* access modifiers changed from: package-private */
    public final Bundle A(Bundle bundle) {
        Bundle bundle2 = new Bundle();
        if (bundle != null) {
            for (String str : bundle.keySet()) {
                Object F = F(str, bundle.get(str));
                if (F == null) {
                    h().M().b("Param value can't be null", g().B(str));
                } else {
                    L(bundle2, str, F);
                }
            }
        }
        return bundle2;
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x0065, code lost:
        if (a0("event param", 40, r15) == false) goto L_0x0056;
     */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x006b  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x00d8  */
    public final Bundle B(String str, String str2, Bundle bundle, @Nullable List<String> list, boolean z, boolean z2) {
        Set<String> set;
        int i;
        String str3;
        int i2;
        int i3;
        boolean z3;
        boolean z4;
        int i4;
        String[] strArr = null;
        if (bundle == null) {
            return null;
        }
        Bundle bundle2 = new Bundle(bundle);
        if (n().C(str, o.u0)) {
            set = new TreeSet<>(bundle.keySet());
        } else {
            set = bundle.keySet();
        }
        Iterator<String> it = set.iterator();
        int i5 = 0;
        while (it.hasNext()) {
            String next = it.next();
            if (list == null || !list.contains(next)) {
                int i6 = 14;
                if (z) {
                    if (b0("event param", next)) {
                        if (!e0("event param", strArr, next)) {
                            i = 14;
                            if (i == 0) {
                                if (n0("event param", next)) {
                                    if (e0("event param", strArr, next)) {
                                        if (a0("event param", 40, next)) {
                                            i6 = 0;
                                        }
                                    }
                                    i = i6;
                                }
                                i6 = 3;
                                i = i6;
                            }
                        }
                    }
                    i = 3;
                    if (i == 0) {
                    }
                }
                i = 0;
                if (i == 0) {
                }
            } else {
                i = 0;
            }
            if (i != 0) {
                if (W(bundle2, i)) {
                    bundle2.putString("_ev", G(next, 40, true));
                    if (i == 3) {
                        K(bundle2, next);
                    }
                }
                bundle2.remove(next);
            } else {
                Object obj = bundle.get(next);
                e();
                if (z2) {
                    if (obj instanceof Parcelable[]) {
                        i4 = ((Parcelable[]) obj).length;
                    } else {
                        if (obj instanceof ArrayList) {
                            i4 = ((ArrayList) obj).size();
                        }
                        z4 = true;
                        if (!z4) {
                            i3 = 17;
                            str3 = "_ev";
                            i2 = 40;
                            if (i3 == 0 && !str3.equals(next)) {
                                if (W(bundle2, i3)) {
                                    bundle2.putString(str3, G(next, i2, true));
                                    K(bundle2, bundle.get(next));
                                }
                                bundle2.remove(next);
                            } else if (!Y(next) && (i5 = i5 + 1) > 25) {
                                StringBuilder sb = new StringBuilder(48);
                                sb.append("Event can't contain more than 25 params");
                                h().J().c(sb.toString(), g().z(str2), g().u(bundle));
                                W(bundle2, 5);
                                bundle2.remove(next);
                            }
                        }
                    }
                    if (i4 > 1000) {
                        h().M().d("Parameter array is too long; discarded. Value kind, name, array length", "param", next, Integer.valueOf(i4));
                        z4 = false;
                        if (!z4) {
                        }
                    }
                    z4 = true;
                    if (!z4) {
                    }
                }
                if ((!n().E(str) || !u0(str2)) && !u0(next)) {
                    str3 = "_ev";
                    i2 = 40;
                    z3 = c0("param", next, 100, obj, z2);
                } else {
                    str3 = "_ev";
                    i2 = 40;
                    z3 = c0("param", next, 256, obj, z2);
                }
                i3 = z3 ? 0 : 4;
                if (i3 == 0) {
                }
                if (!Y(next)) {
                }
            }
            strArr = null;
        }
        return bundle2;
    }

    public final int B0() {
        if (this.g == null) {
            this.g = Integer.valueOf(com.google.android.gms.common.e.i().b(i()) / 1000);
        }
        return this.g.intValue();
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final String C0() {
        byte[] bArr = new byte[16];
        z0().nextBytes(bArr);
        return String.format(Locale.US, "%032x", new BigInteger(1, bArr));
    }

    /* access modifiers changed from: package-private */
    public final zzan D(String str, String str2, Bundle bundle, String str3, long j, boolean z, boolean z2) {
        Bundle bundle2;
        if (TextUtils.isEmpty(str2)) {
            return null;
        }
        if (i0(str2) == 0) {
            if (bundle == null) {
                bundle2 = new Bundle();
            }
            bundle2.putString("_o", str3);
            return new zzan(str2, new zzam(A(B(str, str2, bundle2, h.c("_o"), false, false))), str3, j);
        }
        h().H().b("Invalid conditional property event name", g().C(str2));
        throw new IllegalArgumentException();
    }

    public final boolean D0() {
        try {
            i().getClassLoader().loadClass("com.google.firebase.remoteconfig.FirebaseRemoteConfig");
            return true;
        } catch (ClassNotFoundException unused) {
            return false;
        }
    }

    /* access modifiers changed from: package-private */
    public final Object F(String str, Object obj) {
        int i = 256;
        if ("_ev".equals(str)) {
            return E(256, obj, true);
        }
        if (!u0(str)) {
            i = 100;
        }
        return E(i, obj, false);
    }

    public final URL H(long j, @NonNull String str, @NonNull String str2, long j2) {
        try {
            a0.g(str2);
            a0.g(str);
            String format = String.format("https://www.googleadservices.com/pagead/conversion/app/deeplink?id_type=adid&sdk_version=%s&rdid=%s&bundleid=%s&retry=%s", String.format("v%s.%s", Long.valueOf(j), Integer.valueOf(B0())), str2, str, Long.valueOf(j2));
            if (str.equals(n().W())) {
                format = format.concat("&ddl_test=1");
            }
            return new URL(format);
        } catch (IllegalArgumentException | MalformedURLException e2) {
            h().H().b("Failed to create BOW URL for Deferred Deep Link. exception", e2.getMessage());
            return null;
        }
    }

    public final void I(int i, String str, String str2, int i2) {
        T(null, i, str, str2, i2);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final void J(Bundle bundle, long j) {
        long j2 = bundle.getLong("_et");
        if (j2 != 0) {
            h().K().b("Params already contained engagement", Long.valueOf(j2));
        }
        bundle.putLong("_et", j + j2);
    }

    /* access modifiers changed from: package-private */
    public final void L(Bundle bundle, String str, Object obj) {
        if (bundle != null) {
            if (obj instanceof Long) {
                bundle.putLong(str, ((Long) obj).longValue());
            } else if (obj instanceof String) {
                bundle.putString(str, String.valueOf(obj));
            } else if (obj instanceof Double) {
                bundle.putDouble(str, ((Double) obj).doubleValue());
            } else if (str != null) {
                h().M().c("Not putting event parameter. Invalid value type. name, type", g().B(str), obj != null ? obj.getClass().getSimpleName() : null);
            }
        }
    }

    public final void M(zb zbVar, int i) {
        Bundle bundle = new Bundle();
        bundle.putInt("r", i);
        try {
            zbVar.g(bundle);
        } catch (RemoteException e2) {
            this.f11186a.h().K().b("Error returning int value to wrapper", e2);
        }
    }

    public final void N(zb zbVar, long j) {
        Bundle bundle = new Bundle();
        bundle.putLong("r", j);
        try {
            zbVar.g(bundle);
        } catch (RemoteException e2) {
            this.f11186a.h().K().b("Error returning long value to wrapper", e2);
        }
    }

    public final void O(zb zbVar, Bundle bundle) {
        try {
            zbVar.g(bundle);
        } catch (RemoteException e2) {
            this.f11186a.h().K().b("Error returning bundle value to wrapper", e2);
        }
    }

    public final void P(zb zbVar, String str) {
        Bundle bundle = new Bundle();
        bundle.putString("r", str);
        try {
            zbVar.g(bundle);
        } catch (RemoteException e2) {
            this.f11186a.h().K().b("Error returning string value to wrapper", e2);
        }
    }

    public final void Q(zb zbVar, ArrayList<Bundle> arrayList) {
        Bundle bundle = new Bundle();
        bundle.putParcelableArrayList("r", arrayList);
        try {
            zbVar.g(bundle);
        } catch (RemoteException e2) {
            this.f11186a.h().K().b("Error returning bundle list to wrapper", e2);
        }
    }

    public final void R(zb zbVar, boolean z) {
        Bundle bundle = new Bundle();
        bundle.putBoolean("r", z);
        try {
            zbVar.g(bundle);
        } catch (RemoteException e2) {
            this.f11186a.h().K().b("Error returning boolean value to wrapper", e2);
        }
    }

    public final void S(zb zbVar, byte[] bArr) {
        Bundle bundle = new Bundle();
        bundle.putByteArray("r", bArr);
        try {
            zbVar.g(bundle);
        } catch (RemoteException e2) {
            this.f11186a.h().K().b("Error returning byte array to wrapper", e2);
        }
    }

    /* access modifiers changed from: package-private */
    public final void T(String str, int i, String str2, String str3, int i2) {
        Bundle bundle = new Bundle();
        W(bundle, i);
        if (!TextUtils.isEmpty(str2) && !TextUtils.isEmpty(str3)) {
            bundle.putString(str2, str3);
        }
        if (i == 6 || i == 7 || i == 2) {
            bundle.putLong("_el", (long) i2);
        }
        this.f11186a.v();
        this.f11186a.H().S(s0.f22117c, "_err", bundle);
    }

    /* access modifiers changed from: package-private */
    @SuppressLint({"ApplySharedPref"})
    public final boolean Z(String str, double d2) {
        try {
            SharedPreferences.Editor edit = i().getSharedPreferences("google.analytics.deferred.deeplink.prefs", 0).edit();
            edit.putString("deeplink", str);
            edit.putLong("timestamp", Double.doubleToRawLongBits(d2));
            return edit.commit();
        } catch (Exception e2) {
            h().H().b("Failed to persist Deferred Deep Link. exception", e2);
            return false;
        }
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void a() {
        super.a();
    }

    /* access modifiers changed from: package-private */
    public final boolean a0(String str, int i, String str2) {
        if (str2 == null) {
            h().J().b("Name is required and can't be null. Type", str);
            return false;
        } else if (str2.codePointCount(0, str2.length()) <= i) {
            return true;
        } else {
            h().J().d("Name is too long. Type, maximum supported length, name", str, Integer.valueOf(i), str2);
            return false;
        }
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ y4 b() {
        return super.b();
    }

    /* access modifiers changed from: package-private */
    public final boolean b0(String str, String str2) {
        if (str2 == null) {
            h().J().b("Name is required and can't be null. Type", str);
            return false;
        } else if (str2.length() == 0) {
            h().J().b("Name is required and can't be empty. Type", str);
            return false;
        } else {
            int codePointAt = str2.codePointAt(0);
            if (!Character.isLetter(codePointAt)) {
                h().J().c("Name must start with a letter. Type, name", str, str2);
                return false;
            }
            int length = str2.length();
            int charCount = Character.charCount(codePointAt);
            while (charCount < length) {
                int codePointAt2 = str2.codePointAt(charCount);
                if (codePointAt2 == 95 || Character.isLetterOrDigit(codePointAt2)) {
                    charCount += Character.charCount(codePointAt2);
                } else {
                    h().J().c("Name must consist of letters, digits or _ (underscores). Type, name", str, str2);
                    return false;
                }
            }
            return true;
        }
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void c() {
        super.c();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void d() {
        super.d();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void e() {
        super.e();
    }

    /* access modifiers changed from: package-private */
    public final boolean e0(String str, String[] strArr, String str2) {
        boolean z;
        boolean z2;
        if (str2 == null) {
            h().J().b("Name is required and can't be null. Type", str);
            return false;
        }
        a0.k(str2);
        String[] strArr2 = f11108c;
        int length = strArr2.length;
        int i = 0;
        while (true) {
            if (i >= length) {
                z = false;
                break;
            } else if (str2.startsWith(strArr2[i])) {
                z = true;
                break;
            } else {
                i++;
            }
        }
        if (z) {
            h().J().c("Name starts with reserved prefix. Type, name", str, str2);
            return false;
        }
        if (strArr != null) {
            a0.k(strArr);
            int length2 = strArr.length;
            int i2 = 0;
            while (true) {
                if (i2 >= length2) {
                    z2 = false;
                    break;
                } else if (t0(str2, strArr[i2])) {
                    z2 = true;
                    break;
                } else {
                    i2++;
                }
            }
            if (z2) {
                h().J().c("Name is reserved. Type, name", str, str2);
                return false;
            }
        }
        return true;
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ i f() {
        return super.f();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ u3 g() {
        return super.g();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ w3 h() {
        return super.h();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ Context i() {
        return super.i();
    }

    /* access modifiers changed from: package-private */
    public final int i0(String str) {
        if (!n0(NotificationCompat.r0, str)) {
            return 2;
        }
        if (!e0(NotificationCompat.r0, b6.f10779a, str)) {
            return 13;
        }
        if (!a0(NotificationCompat.r0, 40, str)) {
            return 2;
        }
        return 0;
    }

    /* access modifiers changed from: package-private */
    public final int j0(String str, Object obj) {
        boolean z;
        if ("_ldl".equals(str)) {
            z = c0("user property referrer", str, y0(str), obj, false);
        } else {
            z = c0("user property", str, y0(str), obj, false);
        }
        return z ? 0 : 7;
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ s9 k() {
        return super.k();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ k4 l() {
        return super.l();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ g m() {
        return super.m();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ ga n() {
        return super.n();
    }

    /* access modifiers changed from: package-private */
    public final boolean n0(String str, String str2) {
        if (str2 == null) {
            h().J().b("Name is required and can't be null. Type", str);
            return false;
        } else if (str2.length() == 0) {
            h().J().b("Name is required and can't be empty. Type", str);
            return false;
        } else {
            int codePointAt = str2.codePointAt(0);
            if (Character.isLetter(codePointAt) || codePointAt == 95) {
                int length = str2.length();
                int charCount = Character.charCount(codePointAt);
                while (charCount < length) {
                    int codePointAt2 = str2.codePointAt(charCount);
                    if (codePointAt2 == 95 || Character.isLetterOrDigit(codePointAt2)) {
                        charCount += Character.charCount(codePointAt2);
                    } else {
                        h().J().c("Name must consist of letters, digits or _ (underscores). Type, name", str, str2);
                        return false;
                    }
                }
                return true;
            }
            h().J().c("Name must start with a letter or _ (underscore). Type, name", str, str2);
            return false;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.measurement.internal.w5
    @WorkerThread
    public final void o() {
        e();
        SecureRandom secureRandom = new SecureRandom();
        long nextLong = secureRandom.nextLong();
        if (nextLong == 0) {
            nextLong = secureRandom.nextLong();
            if (nextLong == 0) {
                h().K().a("Utils falling back to Random for random id");
            }
        }
        this.f11110e.set(nextLong);
    }

    /* access modifiers changed from: package-private */
    public final int o0(String str) {
        if (!n0("user property", str)) {
            return 6;
        }
        if (!e0("user property", d6.f10813a, str)) {
            return 15;
        }
        if (!a0("user property", 24, str)) {
            return 6;
        }
        return 0;
    }

    /* access modifiers changed from: package-private */
    public final Object p0(String str, Object obj) {
        if ("_ldl".equals(str)) {
            return E(y0(str), obj, true);
        }
        return E(y0(str), obj, false);
    }

    /* access modifiers changed from: package-private */
    public final boolean r0(String str, String str2) {
        if (!TextUtils.isEmpty(str)) {
            if (x0(str)) {
                return true;
            }
            if (this.f11186a.L()) {
                h().J().b("Invalid google_app_id. Firebase Analytics disabled. See https://goo.gl/NAOOOI. provided id", w3.y(str));
            }
            return false;
        } else if (TextUtils.isEmpty(str2)) {
            if (this.f11186a.L()) {
                h().J().a("Missing google_app_id. Firebase Analytics disabled. See https://goo.gl/NAOOOI");
            }
            return false;
        } else if (x0(str2)) {
            return true;
        } else {
            h().J().b("Invalid admob_app_id. Analytics disabled.", w3.y(str2));
            return false;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.measurement.internal.w5
    public final boolean s() {
        return true;
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean s0(String str) {
        e();
        if (c.a(i()).a(str) == 0) {
            return true;
        }
        h().O().b("Permission not granted", str);
        return false;
    }

    public final int u(int i) {
        return com.google.android.gms.common.e.i().k(i(), com.google.android.gms.common.g.f10020a);
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ fa v() {
        return super.v();
    }

    /* access modifiers changed from: package-private */
    public final boolean v0(String str) {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        String V = n().V();
        v();
        return V.equals(str);
    }

    public final long w0() {
        long andIncrement;
        long j;
        if (this.f11110e.get() == 0) {
            synchronized (this.f11110e) {
                long nextLong = new Random(System.nanoTime() ^ m().a()).nextLong();
                int i = this.f + 1;
                this.f = i;
                j = nextLong + ((long) i);
            }
            return j;
        }
        synchronized (this.f11110e) {
            this.f11110e.compareAndSet(-1, 1);
            andIncrement = this.f11110e.getAndIncrement();
        }
        return andIncrement;
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final long x(Context context, String str) {
        e();
        a0.k(context);
        a0.g(str);
        PackageManager packageManager = context.getPackageManager();
        MessageDigest A0 = A0();
        if (A0 == null) {
            h().H().a("Could not get MD5 instance");
            return -1;
        }
        if (packageManager != null) {
            try {
                if (!q0(context, str)) {
                    Signature[] signatureArr = c.a(context).e(i().getPackageName(), 64).signatures;
                    if (signatureArr != null && signatureArr.length > 0) {
                        return y(A0.digest(signatureArr[0].toByteArray()));
                    }
                    h().K().a("Could not get signatures");
                    return -1;
                }
            } catch (PackageManager.NameNotFoundException e2) {
                h().H().b("Package name not found", e2);
            }
        }
        return 0;
    }

    /* access modifiers changed from: package-private */
    public final Bundle z(@NonNull Uri uri) {
        String str;
        String str2;
        String str3;
        String str4;
        if (uri == null) {
            return null;
        }
        try {
            if (uri.isHierarchical()) {
                str4 = uri.getQueryParameter("utm_campaign");
                str3 = uri.getQueryParameter("utm_source");
                str2 = uri.getQueryParameter("utm_medium");
                str = uri.getQueryParameter("gclid");
            } else {
                str4 = null;
                str3 = null;
                str2 = null;
                str = null;
            }
            if (TextUtils.isEmpty(str4) && TextUtils.isEmpty(str3) && TextUtils.isEmpty(str2) && TextUtils.isEmpty(str)) {
                return null;
            }
            Bundle bundle = new Bundle();
            if (!TextUtils.isEmpty(str4)) {
                bundle.putString(FirebaseAnalytics.b.J, str4);
            }
            if (!TextUtils.isEmpty(str3)) {
                bundle.putString(FirebaseAnalytics.b.K, str3);
            }
            if (!TextUtils.isEmpty(str2)) {
                bundle.putString(FirebaseAnalytics.b.L, str2);
            }
            if (!TextUtils.isEmpty(str)) {
                bundle.putString("gclid", str);
            }
            String queryParameter = uri.getQueryParameter("utm_term");
            if (!TextUtils.isEmpty(queryParameter)) {
                bundle.putString(FirebaseAnalytics.b.M, queryParameter);
            }
            String queryParameter2 = uri.getQueryParameter("utm_content");
            if (!TextUtils.isEmpty(queryParameter2)) {
                bundle.putString(FirebaseAnalytics.b.N, queryParameter2);
            }
            String queryParameter3 = uri.getQueryParameter(FirebaseAnalytics.b.O);
            if (!TextUtils.isEmpty(queryParameter3)) {
                bundle.putString(FirebaseAnalytics.b.O, queryParameter3);
            }
            String queryParameter4 = uri.getQueryParameter(FirebaseAnalytics.b.P);
            if (!TextUtils.isEmpty(queryParameter4)) {
                bundle.putString(FirebaseAnalytics.b.P, queryParameter4);
            }
            String queryParameter5 = uri.getQueryParameter("anid");
            if (!TextUtils.isEmpty(queryParameter5)) {
                bundle.putString("anid", queryParameter5);
            }
            return bundle;
        } catch (UnsupportedOperationException e2) {
            h().K().b("Install referrer url isn't a hierarchical URI", e2);
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final SecureRandom z0() {
        e();
        if (this.f11109d == null) {
            this.f11109d = new SecureRandom();
        }
        return this.f11109d;
    }
}
