package com.google.android.gms.measurement.internal;

import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import android.text.TextUtils;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.internal.h;
import com.google.android.gms.common.internal.f0;
import com.google.android.gms.common.p.a;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.common.util.g;
import com.google.android.gms.internal.measurement.ob;
import com.google.android.gms.internal.measurement.w9;
import java.util.Iterator;
import java.util.List;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class t3 extends c3 {

    /* renamed from: c  reason: collision with root package name */
    private String f11115c;

    /* renamed from: d  reason: collision with root package name */
    private String f11116d;

    /* renamed from: e  reason: collision with root package name */
    private int f11117e;
    private String f;
    private String g;
    private long h;
    private long i;
    private long j;
    private List<String> k;
    private int l;
    private String m;
    private String n;
    private String o;

    t3(b5 b5Var, long j2) {
        super(b5Var);
        this.j = j2;
    }

    @VisibleForTesting
    @WorkerThread
    private final String J() {
        if (!ob.a() || !n().r(o.Q0)) {
            try {
                Class<?> loadClass = i().getClassLoader().loadClass("com.google.firebase.analytics.FirebaseAnalytics");
                if (loadClass == null) {
                    return null;
                }
                try {
                    Object invoke = loadClass.getDeclaredMethod("getInstance", Context.class).invoke(null, i());
                    if (invoke == null) {
                        return null;
                    }
                    try {
                        return (String) loadClass.getDeclaredMethod("getFirebaseInstanceId", new Class[0]).invoke(invoke, new Object[0]);
                    } catch (Exception unused) {
                        h().M().a("Failed to retrieve Firebase Instance Id");
                        return null;
                    }
                } catch (Exception unused2) {
                    h().L().a("Failed to obtain Firebase Analytics instance");
                    return null;
                }
            } catch (ClassNotFoundException unused3) {
                return null;
            }
        } else {
            h().P().a("Disabled IID for tests.");
            return null;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.measurement.internal.c3
    public final boolean B() {
        return true;
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final zzm C(String str) {
        String str2;
        String str3;
        Boolean u;
        e();
        c();
        String D = D();
        String E = E();
        y();
        String str4 = this.f11116d;
        long G = (long) G();
        y();
        String str5 = this.f;
        long D2 = n().D();
        y();
        e();
        if (this.h == 0) {
            this.h = this.f11186a.I().x(i(), i().getPackageName());
        }
        long j2 = this.h;
        boolean p = this.f11186a.p();
        boolean z = !l().y;
        e();
        c();
        if (!this.f11186a.p()) {
            str2 = null;
        } else {
            str2 = J();
        }
        y();
        long j3 = this.i;
        long q = this.f11186a.q();
        int H = H();
        boolean booleanValue = n().L().booleanValue();
        ga n2 = n();
        n2.c();
        Boolean u2 = n2.u("google_analytics_ssaid_collection_enabled");
        boolean booleanValue2 = Boolean.valueOf(u2 == null || u2.booleanValue()).booleanValue();
        boolean L = l().L();
        String F = F();
        Boolean valueOf = (!n().C(D(), o.k0) || (u = n().u("google_analytics_default_allow_ad_personalization_signals")) == null) ? null : Boolean.valueOf(!u.booleanValue());
        long j4 = this.j;
        List<String> list = n().C(D(), o.v0) ? this.k : null;
        if (!w9.a() || !n().C(D(), o.N0)) {
            str3 = null;
        } else {
            y();
            str3 = this.o;
        }
        return new zzm(D, E, str4, G, str5, D2, j2, str, p, z, str2, j3, q, H, booleanValue, booleanValue2, L, F, valueOf, j4, list, str3);
    }

    /* access modifiers changed from: package-private */
    public final String D() {
        y();
        return this.f11115c;
    }

    /* access modifiers changed from: package-private */
    public final String E() {
        y();
        return this.m;
    }

    /* access modifiers changed from: package-private */
    public final String F() {
        y();
        return this.n;
    }

    /* access modifiers changed from: package-private */
    public final int G() {
        y();
        return this.f11117e;
    }

    /* access modifiers changed from: package-private */
    public final int H() {
        y();
        return this.l;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public final List<String> I() {
        return this.k;
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void a() {
        super.a();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ y4 b() {
        return super.b();
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void c() {
        super.c();
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void d() {
        super.d();
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void e() {
        super.e();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ i f() {
        return super.f();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ u3 g() {
        return super.g();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ w3 h() {
        return super.h();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ Context i() {
        return super.i();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ s9 k() {
        return super.k();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ k4 l() {
        return super.l();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ g m() {
        return super.m();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ ga n() {
        return super.n();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ z o() {
        return super.o();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ i6 p() {
        return super.p();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ t3 q() {
        return super.q();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ r7 r() {
        return super.r();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ m7 s() {
        return super.s();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ s3 t() {
        return super.t();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ t8 u() {
        return super.u();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ fa v() {
        return super.v();
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:109:0x027b  */
    /* JADX WARNING: Removed duplicated region for block: B:114:0x028b  */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x00aa  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00c1  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x00d3  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00fe  */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x019f A[Catch:{ IllegalStateException -> 0x020d }] */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x01a1 A[Catch:{ IllegalStateException -> 0x020d }] */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x01ac  */
    /* JADX WARNING: Removed duplicated region for block: B:87:0x01ea  */
    /* JADX WARNING: Removed duplicated region for block: B:89:0x01fb  */
    /* JADX WARNING: Removed duplicated region for block: B:94:0x0230  */
    @Override // com.google.android.gms.measurement.internal.c3
    public final void w() {
        String str;
        boolean z;
        boolean z2;
        String d2;
        String str2;
        String packageName = i().getPackageName();
        PackageManager packageManager = i().getPackageManager();
        String str3 = "Unknown";
        String str4 = "";
        String str5 = "unknown";
        int i2 = Integer.MIN_VALUE;
        if (packageManager == null) {
            h().H().b("PackageManager is null, app identity information might be inaccurate. appId", w3.y(packageName));
        } else {
            try {
                str5 = packageManager.getInstallerPackageName(packageName);
            } catch (IllegalArgumentException unused) {
                h().H().b("Error retrieving app installer package name. appId", w3.y(packageName));
            }
            if (str5 == null) {
                str5 = "manual_install";
            } else if ("com.android.vending".equals(str5)) {
                str5 = str4;
            }
            try {
                PackageInfo packageInfo = packageManager.getPackageInfo(i().getPackageName(), 0);
                if (packageInfo != null) {
                    CharSequence applicationLabel = packageManager.getApplicationLabel(packageInfo.applicationInfo);
                    str = !TextUtils.isEmpty(applicationLabel) ? applicationLabel.toString() : str3;
                    try {
                        str3 = packageInfo.versionName;
                        i2 = packageInfo.versionCode;
                    } catch (PackageManager.NameNotFoundException unused2) {
                        str2 = str3;
                        str3 = str;
                    }
                    this.f11115c = packageName;
                    this.f = str5;
                    this.f11116d = str3;
                    this.f11117e = i2;
                    this.g = str;
                    this.h = 0;
                    v();
                    Status e2 = h.e(i());
                    boolean z3 = true;
                    z = (e2 == null && e2.u1()) | (TextUtils.isEmpty(this.f11186a.M()) && "am".equals(this.f11186a.N()));
                    if (!z) {
                        if (e2 == null) {
                            h().H().a("GoogleService failed to initialize (no status)");
                        } else {
                            h().H().c("GoogleService failed to initialize, status", Integer.valueOf(e2.o0()), e2.x0());
                        }
                    }
                    if (z) {
                        Boolean J = n().J();
                        if (n().I()) {
                            if (this.f11186a.L()) {
                                h().N().a("Collection disabled with firebase_analytics_collection_deactivated=1");
                            }
                        } else if (J == null || J.booleanValue()) {
                            if (J != null || !h.h()) {
                                h().P().a("Collection enabled");
                                z2 = true;
                                this.m = str4;
                                this.n = str4;
                                this.o = str4;
                                this.i = 0;
                                v();
                                if (!TextUtils.isEmpty(this.f11186a.M()) && "am".equals(this.f11186a.N())) {
                                    this.n = this.f11186a.M();
                                }
                                d2 = h.d();
                                this.m = !TextUtils.isEmpty(d2) ? str4 : d2;
                                if (!w9.a() && n().C(packageName, o.N0)) {
                                    f0 f0Var = new f0(i());
                                    String a2 = f0Var.a("ga_app_id");
                                    if (!TextUtils.isEmpty(a2)) {
                                        str4 = a2;
                                    }
                                    this.o = str4;
                                    if (!TextUtils.isEmpty(d2) || !TextUtils.isEmpty(a2)) {
                                        this.n = f0Var.a("admob_app_id");
                                    }
                                } else if (!TextUtils.isEmpty(d2)) {
                                    this.n = new f0(i()).a("admob_app_id");
                                }
                                if (z2) {
                                    h().P().c("App package, google app id", this.f11115c, this.m);
                                }
                                this.k = null;
                                if (n().C(this.f11115c, o.v0)) {
                                    v();
                                    List<String> x = n().x("analytics.safelisted_events");
                                    if (x != null) {
                                        if (x.size() != 0) {
                                            Iterator<String> it = x.iterator();
                                            while (true) {
                                                if (!it.hasNext()) {
                                                    break;
                                                }
                                                if (!k().n0("safelisted event", it.next())) {
                                                    break;
                                                }
                                            }
                                        } else {
                                            h().K().a("Safelisted event list cannot be empty. Ignoring");
                                        }
                                        z3 = false;
                                    }
                                    if (z3) {
                                        this.k = x;
                                    }
                                }
                                if (Build.VERSION.SDK_INT >= 16) {
                                    this.l = 0;
                                    return;
                                } else if (packageManager != null) {
                                    this.l = a.a(i()) ? 1 : 0;
                                    return;
                                } else {
                                    this.l = 0;
                                    return;
                                }
                            } else {
                                h().N().a("Collection disabled with google_app_measurement_enable=0");
                            }
                        } else if (this.f11186a.L()) {
                            h().N().a("Collection disabled with firebase_analytics_collection_enabled=0");
                        }
                    }
                    z2 = false;
                    this.m = str4;
                    this.n = str4;
                    this.o = str4;
                    this.i = 0;
                    v();
                    this.n = this.f11186a.M();
                    d2 = h.d();
                    this.m = !TextUtils.isEmpty(d2) ? str4 : d2;
                    if (!w9.a()) {
                    }
                    if (!TextUtils.isEmpty(d2)) {
                    }
                    if (z2) {
                    }
                    this.k = null;
                    if (n().C(this.f11115c, o.v0)) {
                    }
                    if (Build.VERSION.SDK_INT >= 16) {
                    }
                }
            } catch (PackageManager.NameNotFoundException unused3) {
                str2 = str3;
                h().H().c("Error retrieving package info. appId, appName", w3.y(packageName), str3);
                str = str3;
                str3 = str2;
                this.f11115c = packageName;
                this.f = str5;
                this.f11116d = str3;
                this.f11117e = i2;
                this.g = str;
                this.h = 0;
                v();
                Status e22 = h.e(i());
                boolean z32 = true;
                z = (e22 == null && e22.u1()) | (TextUtils.isEmpty(this.f11186a.M()) && "am".equals(this.f11186a.N()));
                if (!z) {
                }
                if (z) {
                }
                z2 = false;
                this.m = str4;
                this.n = str4;
                this.o = str4;
                this.i = 0;
                v();
                this.n = this.f11186a.M();
                d2 = h.d();
                this.m = !TextUtils.isEmpty(d2) ? str4 : d2;
                if (!w9.a()) {
                }
                if (!TextUtils.isEmpty(d2)) {
                }
                if (z2) {
                }
                this.k = null;
                if (n().C(this.f11115c, o.v0)) {
                }
                if (Build.VERSION.SDK_INT >= 16) {
                }
            }
        }
        str = str3;
        this.f11115c = packageName;
        this.f = str5;
        this.f11116d = str3;
        this.f11117e = i2;
        this.g = str;
        this.h = 0;
        v();
        Status e222 = h.e(i());
        boolean z322 = true;
        z = (e222 == null && e222.u1()) | (TextUtils.isEmpty(this.f11186a.M()) && "am".equals(this.f11186a.N()));
        if (!z) {
        }
        if (z) {
        }
        z2 = false;
        this.m = str4;
        this.n = str4;
        this.o = str4;
        this.i = 0;
        v();
        this.n = this.f11186a.M();
        try {
            d2 = h.d();
            this.m = !TextUtils.isEmpty(d2) ? str4 : d2;
            if (!w9.a()) {
            }
            if (!TextUtils.isEmpty(d2)) {
            }
            if (z2) {
            }
        } catch (IllegalStateException e3) {
            h().H().c("getGoogleAppId or isMeasurementEnabled failed with exception. appId", w3.y(packageName), e3);
        }
        this.k = null;
        if (n().C(this.f11115c, o.v0)) {
        }
        if (Build.VERSION.SDK_INT >= 16) {
        }
    }
}
