package com.google.android.gms.measurement.internal;

import android.content.Context;
import android.os.Bundle;
import androidx.annotation.Nullable;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.g;
import java.util.concurrent.atomic.AtomicReference;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class u3 extends w5 {

    /* renamed from: c  reason: collision with root package name */
    private static final AtomicReference<String[]> f11138c = new AtomicReference<>();

    /* renamed from: d  reason: collision with root package name */
    private static final AtomicReference<String[]> f11139d = new AtomicReference<>();

    /* renamed from: e  reason: collision with root package name */
    private static final AtomicReference<String[]> f11140e = new AtomicReference<>();

    u3(b5 b5Var) {
        super(b5Var);
    }

    @Nullable
    private static String A(String str, String[] strArr, String[] strArr2, AtomicReference<String[]> atomicReference) {
        String str2;
        a0.k(strArr);
        a0.k(strArr2);
        a0.k(atomicReference);
        a0.a(strArr.length == strArr2.length);
        for (int i = 0; i < strArr.length; i++) {
            if (s9.t0(str, strArr[i])) {
                synchronized (atomicReference) {
                    String[] strArr3 = atomicReference.get();
                    if (strArr3 == null) {
                        strArr3 = new String[strArr2.length];
                        atomicReference.set(strArr3);
                    }
                    if (strArr3[i] == null) {
                        strArr3[i] = strArr2[i] + "(" + strArr[i] + ")";
                    }
                    str2 = strArr3[i];
                }
                return str2;
            }
        }
        return str;
    }

    private final boolean D() {
        v();
        return this.f11186a.L() && this.f11186a.h().D(3);
    }

    @Nullable
    private final String x(zzam zzam) {
        if (zzam == null) {
            return null;
        }
        if (!D()) {
            return zzam.toString();
        }
        return u(zzam.d1());
    }

    /* access modifiers changed from: protected */
    @Nullable
    public final String B(String str) {
        if (str == null) {
            return null;
        }
        if (!D()) {
            return str;
        }
        return A(str, a6.f10759b, a6.f10758a, f11139d);
    }

    /* access modifiers changed from: protected */
    @Nullable
    public final String C(String str) {
        if (str == null) {
            return null;
        }
        if (!D()) {
            return str;
        }
        if (!str.startsWith("_exp_")) {
            return A(str, d6.f10814b, d6.f10813a, f11140e);
        }
        return "experiment_id" + "(" + str + ")";
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void a() {
        super.a();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ y4 b() {
        return super.b();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void c() {
        super.c();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void d() {
        super.d();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void e() {
        super.e();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ i f() {
        return super.f();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ u3 g() {
        return super.g();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ w3 h() {
        return super.h();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ Context i() {
        return super.i();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ s9 k() {
        return super.k();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ k4 l() {
        return super.l();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ g m() {
        return super.m();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ ga n() {
        return super.n();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.measurement.internal.w5
    public final boolean s() {
        return false;
    }

    /* access modifiers changed from: protected */
    @Nullable
    public final String u(Bundle bundle) {
        if (bundle == null) {
            return null;
        }
        if (!D()) {
            return bundle.toString();
        }
        StringBuilder sb = new StringBuilder();
        for (String str : bundle.keySet()) {
            if (sb.length() != 0) {
                sb.append(", ");
            } else {
                sb.append("Bundle[{");
            }
            sb.append(B(str));
            sb.append("=");
            sb.append(bundle.get(str));
        }
        sb.append("}]");
        return sb.toString();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ fa v() {
        return super.v();
    }

    /* access modifiers changed from: protected */
    @Nullable
    public final String w(l lVar) {
        if (lVar == null) {
            return null;
        }
        if (!D()) {
            return lVar.toString();
        }
        return "Event{appId='" + lVar.f10952a + "', name='" + z(lVar.f10953b) + "', params=" + x(lVar.f) + com.alipay.sdk.util.g.f6033d;
    }

    /* access modifiers changed from: protected */
    @Nullable
    public final String y(zzan zzan) {
        if (zzan == null) {
            return null;
        }
        if (!D()) {
            return zzan.toString();
        }
        return "origin=" + zzan.I0 + ",name=" + z(zzan.f11233a) + ",params=" + x(zzan.f11234b);
    }

    /* access modifiers changed from: protected */
    @Nullable
    public final String z(String str) {
        if (str == null) {
            return null;
        }
        if (!D()) {
            return str;
        }
        return A(str, b6.f10780b, b6.f10779a, f11138c);
    }
}
