package com.google.android.gms.measurement.internal;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.InetAddress;
import java.net.SocketAddress;
import java.net.SocketException;
import java.nio.channels.SocketChannel;
import java.util.ArrayList;
import java.util.Arrays;
import javax.net.ssl.HandshakeCompletedListener;
import javax.net.ssl.SSLSession;
import javax.net.ssl.SSLSocket;

/* access modifiers changed from: package-private */
/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class u9 extends SSLSocket {

    /* renamed from: a  reason: collision with root package name */
    private final SSLSocket f11149a;

    u9(v9 v9Var, SSLSocket sSLSocket) {
        this.f11149a = sSLSocket;
    }

    public final void addHandshakeCompletedListener(HandshakeCompletedListener handshakeCompletedListener) {
        this.f11149a.addHandshakeCompletedListener(handshakeCompletedListener);
    }

    @Override // java.net.Socket
    public final void bind(SocketAddress socketAddress) throws IOException {
        this.f11149a.bind(socketAddress);
    }

    @Override // java.net.Socket, java.io.Closeable, java.lang.AutoCloseable
    public final synchronized void close() throws IOException {
        this.f11149a.close();
    }

    @Override // java.net.Socket
    public final void connect(SocketAddress socketAddress) throws IOException {
        this.f11149a.connect(socketAddress);
    }

    public final boolean equals(Object obj) {
        return this.f11149a.equals(obj);
    }

    public final SocketChannel getChannel() {
        return this.f11149a.getChannel();
    }

    public final boolean getEnableSessionCreation() {
        return this.f11149a.getEnableSessionCreation();
    }

    public final String[] getEnabledCipherSuites() {
        return this.f11149a.getEnabledCipherSuites();
    }

    public final String[] getEnabledProtocols() {
        return this.f11149a.getEnabledProtocols();
    }

    public final InetAddress getInetAddress() {
        return this.f11149a.getInetAddress();
    }

    @Override // java.net.Socket
    public final InputStream getInputStream() throws IOException {
        return this.f11149a.getInputStream();
    }

    @Override // java.net.Socket
    public final boolean getKeepAlive() throws SocketException {
        return this.f11149a.getKeepAlive();
    }

    public final InetAddress getLocalAddress() {
        return this.f11149a.getLocalAddress();
    }

    public final int getLocalPort() {
        return this.f11149a.getLocalPort();
    }

    public final SocketAddress getLocalSocketAddress() {
        return this.f11149a.getLocalSocketAddress();
    }

    public final boolean getNeedClientAuth() {
        return this.f11149a.getNeedClientAuth();
    }

    @Override // java.net.Socket
    public final boolean getOOBInline() throws SocketException {
        return this.f11149a.getOOBInline();
    }

    @Override // java.net.Socket
    public final OutputStream getOutputStream() throws IOException {
        return this.f11149a.getOutputStream();
    }

    public final int getPort() {
        return this.f11149a.getPort();
    }

    @Override // java.net.Socket
    public final synchronized int getReceiveBufferSize() throws SocketException {
        return this.f11149a.getReceiveBufferSize();
    }

    public final SocketAddress getRemoteSocketAddress() {
        return this.f11149a.getRemoteSocketAddress();
    }

    @Override // java.net.Socket
    public final boolean getReuseAddress() throws SocketException {
        return this.f11149a.getReuseAddress();
    }

    @Override // java.net.Socket
    public final synchronized int getSendBufferSize() throws SocketException {
        return this.f11149a.getSendBufferSize();
    }

    public final SSLSession getSession() {
        return this.f11149a.getSession();
    }

    @Override // java.net.Socket
    public final int getSoLinger() throws SocketException {
        return this.f11149a.getSoLinger();
    }

    @Override // java.net.Socket
    public final synchronized int getSoTimeout() throws SocketException {
        return this.f11149a.getSoTimeout();
    }

    public final String[] getSupportedCipherSuites() {
        return this.f11149a.getSupportedCipherSuites();
    }

    public final String[] getSupportedProtocols() {
        return this.f11149a.getSupportedProtocols();
    }

    @Override // java.net.Socket
    public final boolean getTcpNoDelay() throws SocketException {
        return this.f11149a.getTcpNoDelay();
    }

    @Override // java.net.Socket
    public final int getTrafficClass() throws SocketException {
        return this.f11149a.getTrafficClass();
    }

    public final boolean getUseClientMode() {
        return this.f11149a.getUseClientMode();
    }

    public final boolean getWantClientAuth() {
        return this.f11149a.getWantClientAuth();
    }

    public final boolean isBound() {
        return this.f11149a.isBound();
    }

    public final boolean isClosed() {
        return this.f11149a.isClosed();
    }

    public final boolean isConnected() {
        return this.f11149a.isConnected();
    }

    public final boolean isInputShutdown() {
        return this.f11149a.isInputShutdown();
    }

    public final boolean isOutputShutdown() {
        return this.f11149a.isOutputShutdown();
    }

    public final void removeHandshakeCompletedListener(HandshakeCompletedListener handshakeCompletedListener) {
        this.f11149a.removeHandshakeCompletedListener(handshakeCompletedListener);
    }

    @Override // java.net.Socket
    public final void sendUrgentData(int i) throws IOException {
        this.f11149a.sendUrgentData(i);
    }

    public final void setEnableSessionCreation(boolean z) {
        this.f11149a.setEnableSessionCreation(z);
    }

    public final void setEnabledCipherSuites(String[] strArr) {
        this.f11149a.setEnabledCipherSuites(strArr);
    }

    public final void setEnabledProtocols(String[] strArr) {
        if (strArr != null && Arrays.asList(strArr).contains("SSLv3")) {
            ArrayList arrayList = new ArrayList(Arrays.asList(this.f11149a.getEnabledProtocols()));
            if (arrayList.size() > 1) {
                arrayList.remove("SSLv3");
            }
            strArr = (String[]) arrayList.toArray(new String[arrayList.size()]);
        }
        this.f11149a.setEnabledProtocols(strArr);
    }

    @Override // java.net.Socket
    public final void setKeepAlive(boolean z) throws SocketException {
        this.f11149a.setKeepAlive(z);
    }

    public final void setNeedClientAuth(boolean z) {
        this.f11149a.setNeedClientAuth(z);
    }

    @Override // java.net.Socket
    public final void setOOBInline(boolean z) throws SocketException {
        this.f11149a.setOOBInline(z);
    }

    public final void setPerformancePreferences(int i, int i2, int i3) {
        this.f11149a.setPerformancePreferences(i, i2, i3);
    }

    @Override // java.net.Socket
    public final synchronized void setReceiveBufferSize(int i) throws SocketException {
        this.f11149a.setReceiveBufferSize(i);
    }

    @Override // java.net.Socket
    public final void setReuseAddress(boolean z) throws SocketException {
        this.f11149a.setReuseAddress(z);
    }

    @Override // java.net.Socket
    public final synchronized void setSendBufferSize(int i) throws SocketException {
        this.f11149a.setSendBufferSize(i);
    }

    @Override // java.net.Socket
    public final void setSoLinger(boolean z, int i) throws SocketException {
        this.f11149a.setSoLinger(z, i);
    }

    @Override // java.net.Socket
    public final synchronized void setSoTimeout(int i) throws SocketException {
        this.f11149a.setSoTimeout(i);
    }

    @Override // java.net.Socket
    public final void setTcpNoDelay(boolean z) throws SocketException {
        this.f11149a.setTcpNoDelay(z);
    }

    @Override // java.net.Socket
    public final void setTrafficClass(int i) throws SocketException {
        this.f11149a.setTrafficClass(i);
    }

    public final void setUseClientMode(boolean z) {
        this.f11149a.setUseClientMode(z);
    }

    public final void setWantClientAuth(boolean z) {
        this.f11149a.setWantClientAuth(z);
    }

    @Override // java.net.Socket
    public final void shutdownInput() throws IOException {
        this.f11149a.shutdownInput();
    }

    @Override // java.net.Socket
    public final void shutdownOutput() throws IOException {
        this.f11149a.shutdownOutput();
    }

    @Override // javax.net.ssl.SSLSocket
    public final void startHandshake() throws IOException {
        this.f11149a.startHandshake();
    }

    public final String toString() {
        return this.f11149a.toString();
    }

    @Override // java.net.Socket
    public final void connect(SocketAddress socketAddress, int i) throws IOException {
        this.f11149a.connect(socketAddress, i);
    }
}
