package com.google.android.gms.measurement.internal;

import android.content.ContentValues;
import android.content.Context;
import android.database.sqlite.SQLiteException;
import android.text.TextUtils;
import androidx.annotation.WorkerThread;
import b.b.a;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.common.util.g;
import com.google.android.gms.internal.measurement.d4;
import com.google.android.gms.internal.measurement.p0;
import com.google.android.gms.internal.measurement.zzbj;
import com.google.android.gms.internal.measurement.zzfo;
import com.google.firebase.analytics.FirebaseAnalytics;
import java.util.ArrayList;
import java.util.Map;

/* compiled from: com.google.android.gms:play-services-measurement@@17.2.0 */
public final class v4 extends h9 implements ia {
    @VisibleForTesting

    /* renamed from: d  reason: collision with root package name */
    private static int f11155d = 65535;
    @VisibleForTesting

    /* renamed from: e  reason: collision with root package name */
    private static int f11156e = 2;
    private final Map<String, Map<String, String>> f = new a();
    private final Map<String, Map<String, Boolean>> g = new a();
    private final Map<String, Map<String, Boolean>> h = new a();
    private final Map<String, p0.b> i = new a();
    private final Map<String, Map<String, Integer>> j = new a();
    private final Map<String, String> k = new a();

    v4(l9 l9Var) {
        super(l9Var);
    }

    private final void A(String str, p0.b.a aVar) {
        a aVar2 = new a();
        a aVar3 = new a();
        a aVar4 = new a();
        if (aVar != null) {
            for (int i2 = 0; i2 < aVar.A(); i2++) {
                p0.a.C0248a aVar5 = (p0.a.C0248a) aVar.B(i2).w();
                if (TextUtils.isEmpty(aVar5.B())) {
                    h().K().a("EventConfig contained null event name");
                } else {
                    String b2 = b6.b(aVar5.B());
                    if (!TextUtils.isEmpty(b2)) {
                        aVar5 = aVar5.A(b2);
                        aVar.C(i2, aVar5);
                    }
                    aVar2.put(aVar5.B(), Boolean.valueOf(aVar5.C()));
                    aVar3.put(aVar5.B(), Boolean.valueOf(aVar5.D()));
                    if (aVar5.E()) {
                        if (aVar5.F() < f11156e || aVar5.F() > f11155d) {
                            h().K().c("Invalid sampling rate. Event name, sample rate", aVar5.B(), Integer.valueOf(aVar5.F()));
                        } else {
                            aVar4.put(aVar5.B(), Integer.valueOf(aVar5.F()));
                        }
                    }
                }
            }
        }
        this.g.put(str, aVar2);
        this.h.put(str, aVar3);
        this.j.put(str, aVar4);
    }

    @WorkerThread
    private final void M(String str) {
        t();
        e();
        a0.g(str);
        if (this.i.get(str) == null) {
            byte[] r0 = q().r0(str);
            if (r0 == null) {
                this.f.put(str, null);
                this.g.put(str, null);
                this.h.put(str, null);
                this.i.put(str, null);
                this.k.put(str, null);
                this.j.put(str, null);
                return;
            }
            p0.b.a aVar = (p0.b.a) y(str, r0).w();
            A(str, aVar);
            this.f.put(str, z((p0.b) ((d4) aVar.o())));
            this.i.put(str, (p0.b) ((d4) aVar.o()));
            this.k.put(str, null);
        }
    }

    @WorkerThread
    private final p0.b y(String str, byte[] bArr) {
        if (bArr == null) {
            return p0.b.N();
        }
        try {
            p0.b bVar = (p0.b) ((d4) ((p0.b.a) p9.B(p0.b.M(), bArr)).o());
            y3 P = h().P();
            String str2 = null;
            Long valueOf = bVar.E() ? Long.valueOf(bVar.F()) : null;
            if (bVar.G()) {
                str2 = bVar.H();
            }
            P.c("Parsed config. version, gmp_app_id", valueOf, str2);
            return bVar;
        } catch (zzfo e2) {
            h().K().c("Unable to merge remote config. appId", w3.y(str), e2);
            return p0.b.N();
        } catch (RuntimeException e3) {
            h().K().c("Unable to merge remote config. appId", w3.y(str), e3);
            return p0.b.N();
        }
    }

    private static Map<String, String> z(p0.b bVar) {
        a aVar = new a();
        if (bVar != null) {
            for (p0.c cVar : bVar.I()) {
                aVar.put(cVar.A(), cVar.B());
            }
        }
        return aVar;
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final boolean B(String str, byte[] bArr, String str2) {
        byte[] bArr2;
        boolean z;
        t();
        e();
        a0.g(str);
        p0.b.a aVar = (p0.b.a) y(str, bArr).w();
        if (aVar == null) {
            return false;
        }
        A(str, aVar);
        this.i.put(str, (p0.b) ((d4) aVar.o()));
        this.k.put(str, str2);
        this.f.put(str, z((p0.b) ((d4) aVar.o())));
        x9 o = o();
        ArrayList arrayList = new ArrayList(aVar.D());
        a0.k(arrayList);
        for (int i2 = 0; i2 < arrayList.size(); i2++) {
            zzbj.a.C0249a aVar2 = (zzbj.a.C0249a) arrayList.get(i2).w();
            if (aVar2.E() != 0) {
                for (int i3 = 0; i3 < aVar2.E(); i3++) {
                    zzbj.b.a aVar3 = (zzbj.b.a) aVar2.F(i3).w();
                    zzbj.b.a aVar4 = (zzbj.b.a) ((d4.b) aVar3.clone());
                    String b2 = b6.b(aVar3.D());
                    if (b2 != null) {
                        aVar4.B(b2);
                        z = true;
                    } else {
                        z = false;
                    }
                    for (int i4 = 0; i4 < aVar3.E(); i4++) {
                        zzbj.c C = aVar3.C(i4);
                        String a2 = a6.a(C.I());
                        if (a2 != null) {
                            aVar4.A(i4, (zzbj.c) ((d4) ((zzbj.c.a) C.w()).A(a2).o()));
                            z = true;
                        }
                    }
                    if (z) {
                        aVar2 = aVar2.B(i3, aVar4);
                        arrayList.set(i2, (zzbj.a) ((d4) aVar2.o()));
                    }
                }
            }
            if (aVar2.A() != 0) {
                for (int i5 = 0; i5 < aVar2.A(); i5++) {
                    zzbj.d D = aVar2.D(i5);
                    String a3 = d6.a(D.E());
                    if (a3 != null) {
                        aVar2 = aVar2.C(i5, ((zzbj.d.a) D.w()).A(a3));
                        arrayList.set(i2, (zzbj.a) ((d4) aVar2.o()));
                    }
                }
            }
        }
        o.q().P(str, arrayList);
        try {
            aVar.E();
            bArr2 = ((p0.b) ((d4) aVar.o())).i();
        } catch (RuntimeException e2) {
            h().K().c("Unable to serialize reduced-size config. Storing full config instead. appId", w3.y(str), e2);
            bArr2 = bArr;
        }
        d q = q();
        a0.g(str);
        q.e();
        q.t();
        ContentValues contentValues = new ContentValues();
        contentValues.put("remote_config", bArr2);
        try {
            if (((long) q.y().update("apps", contentValues, "app_id = ?", new String[]{str})) == 0) {
                q.h().H().b("Failed to update remote config (got 0). appId", w3.y(str));
            }
        } catch (SQLiteException e3) {
            q.h().H().c("Error storing remote config. appId", w3.y(str), e3);
        }
        this.i.put(str, (p0.b) ((d4) aVar.o()));
        return true;
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final String C(String str) {
        e();
        return this.k.get(str);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean D(String str, String str2) {
        Boolean bool;
        e();
        M(str);
        if (K(str) && s9.u0(str2)) {
            return true;
        }
        if (L(str) && s9.Y(str2)) {
            return true;
        }
        Map<String, Boolean> map = this.g.get(str);
        if (map == null || (bool = map.get(str2)) == null) {
            return false;
        }
        return bool.booleanValue();
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final void E(String str) {
        e();
        this.k.put(str, null);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean F(String str, String str2) {
        Boolean bool;
        e();
        M(str);
        if (FirebaseAnalytics.a.g.equals(str2)) {
            return true;
        }
        Map<String, Boolean> map = this.h.get(str);
        if (map == null || (bool = map.get(str2)) == null) {
            return false;
        }
        return bool.booleanValue();
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final int G(String str, String str2) {
        Integer num;
        e();
        M(str);
        Map<String, Integer> map = this.j.get(str);
        if (map == null || (num = map.get(str2)) == null) {
            return 1;
        }
        return num.intValue();
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final void H(String str) {
        e();
        this.i.remove(str);
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final boolean I(String str) {
        e();
        p0.b x = x(str);
        if (x == null) {
            return false;
        }
        return x.L();
    }

    /* access modifiers changed from: package-private */
    @WorkerThread
    public final long J(String str) {
        String j2 = j(str, "measurement.account.time_zone_offset_minutes");
        if (TextUtils.isEmpty(j2)) {
            return 0;
        }
        try {
            return Long.parseLong(j2);
        } catch (NumberFormatException e2) {
            h().K().c("Unable to parse timezone offset. appId", w3.y(str), e2);
            return 0;
        }
    }

    /* access modifiers changed from: package-private */
    public final boolean K(String str) {
        return "1".equals(j(str, "measurement.upload.blacklist_internal"));
    }

    /* access modifiers changed from: package-private */
    public final boolean L(String str) {
        return "1".equals(j(str, "measurement.upload.blacklist_public"));
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void a() {
        super.a();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ y4 b() {
        return super.b();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void c() {
        super.c();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void d() {
        super.d();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void e() {
        super.e();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ i f() {
        return super.f();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ u3 g() {
        return super.g();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ w3 h() {
        return super.h();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ Context i() {
        return super.i();
    }

    @Override // com.google.android.gms.measurement.internal.ia
    @WorkerThread
    public final String j(String str, String str2) {
        e();
        M(str);
        Map<String, String> map = this.f.get(str);
        if (map != null) {
            return map.get(str2);
        }
        return null;
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ s9 k() {
        return super.k();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ k4 l() {
        return super.l();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ g m() {
        return super.m();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ ga n() {
        return super.n();
    }

    @Override // com.google.android.gms.measurement.internal.j9
    public final /* bridge */ /* synthetic */ x9 o() {
        return super.o();
    }

    @Override // com.google.android.gms.measurement.internal.j9
    public final /* bridge */ /* synthetic */ p9 p() {
        return super.p();
    }

    @Override // com.google.android.gms.measurement.internal.j9
    public final /* bridge */ /* synthetic */ d q() {
        return super.q();
    }

    @Override // com.google.android.gms.measurement.internal.j9
    public final /* bridge */ /* synthetic */ v4 r() {
        return super.r();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ fa v() {
        return super.v();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.measurement.internal.h9
    public final boolean w() {
        return false;
    }

    /* access modifiers changed from: protected */
    @WorkerThread
    public final p0.b x(String str) {
        t();
        e();
        a0.g(str);
        M(str);
        return this.i.get(str);
    }
}
