package com.google.android.gms.measurement.internal;

import android.content.Context;
import android.text.TextUtils;
import android.util.Log;
import android.util.Pair;
import androidx.annotation.GuardedBy;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.common.util.g;
import com.ibm.icu.impl.locale.f;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class w3 extends w5 {

    /* renamed from: c  reason: collision with root package name */
    private char f11170c = 0;

    /* renamed from: d  reason: collision with root package name */
    private long f11171d = -1;
    @GuardedBy("this")

    /* renamed from: e  reason: collision with root package name */
    private String f11172e;
    private final y3 f = new y3(this, 6, false, false);
    private final y3 g = new y3(this, 6, true, false);
    private final y3 h = new y3(this, 6, false, true);
    private final y3 i = new y3(this, 5, false, false);
    private final y3 j = new y3(this, 5, true, false);
    private final y3 k = new y3(this, 5, false, true);
    private final y3 l = new y3(this, 4, false, false);
    private final y3 m = new y3(this, 3, false, false);
    private final y3 n = new y3(this, 2, false, false);

    w3(b5 b5Var) {
        super(b5Var);
    }

    static String A(boolean z, String str, Object obj, Object obj2, Object obj3) {
        String str2 = "";
        if (str == null) {
            str = str2;
        }
        String z2 = z(z, obj);
        String z3 = z(z, obj2);
        String z4 = z(z, obj3);
        StringBuilder sb = new StringBuilder();
        if (!TextUtils.isEmpty(str)) {
            sb.append(str);
            str2 = ": ";
        }
        String str3 = ", ";
        if (!TextUtils.isEmpty(z2)) {
            sb.append(str2);
            sb.append(z2);
            str2 = str3;
        }
        if (!TextUtils.isEmpty(z3)) {
            sb.append(str2);
            sb.append(z3);
        } else {
            str3 = str2;
        }
        if (!TextUtils.isEmpty(z4)) {
            sb.append(str3);
            sb.append(z4);
        }
        return sb.toString();
    }

    @VisibleForTesting
    private final String E() {
        String str;
        synchronized (this) {
            if (this.f11172e == null) {
                if (this.f11186a.O() != null) {
                    this.f11172e = this.f11186a.O();
                } else {
                    this.f11172e = ga.A();
                }
            }
            str = this.f11172e;
        }
        return str;
    }

    private static String G(String str) {
        if (TextUtils.isEmpty(str)) {
            return "";
        }
        int lastIndexOf = str.lastIndexOf(46);
        if (lastIndexOf == -1) {
            return str;
        }
        return str.substring(0, lastIndexOf);
    }

    protected static Object y(String str) {
        if (str == null) {
            return null;
        }
        return new b4(str);
    }

    @VisibleForTesting
    private static String z(boolean z, Object obj) {
        String className;
        String str = "";
        if (obj == null) {
            return str;
        }
        if (obj instanceof Integer) {
            obj = Long.valueOf((long) ((Integer) obj).intValue());
        }
        int i2 = 0;
        if (obj instanceof Long) {
            if (!z) {
                return String.valueOf(obj);
            }
            Long l2 = (Long) obj;
            if (Math.abs(l2.longValue()) < 100) {
                return String.valueOf(obj);
            }
            if (String.valueOf(obj).charAt(0) == '-') {
                str = f.f14027b;
            }
            String valueOf = String.valueOf(Math.abs(l2.longValue()));
            long round = Math.round(Math.pow(10.0d, (double) (valueOf.length() - 1)));
            long round2 = Math.round(Math.pow(10.0d, (double) valueOf.length()) - 1.0d);
            StringBuilder sb = new StringBuilder(str.length() + 43 + str.length());
            sb.append(str);
            sb.append(round);
            sb.append("...");
            sb.append(str);
            sb.append(round2);
            return sb.toString();
        } else if (obj instanceof Boolean) {
            return String.valueOf(obj);
        } else {
            if (obj instanceof Throwable) {
                Throwable th = (Throwable) obj;
                StringBuilder sb2 = new StringBuilder(z ? th.getClass().getName() : th.toString());
                String G = G(b5.class.getCanonicalName());
                StackTraceElement[] stackTrace = th.getStackTrace();
                int length = stackTrace.length;
                while (true) {
                    if (i2 >= length) {
                        break;
                    }
                    StackTraceElement stackTraceElement = stackTrace[i2];
                    if (!stackTraceElement.isNativeMethod() && (className = stackTraceElement.getClassName()) != null && G(className).equals(G)) {
                        sb2.append(": ");
                        sb2.append(stackTraceElement);
                        break;
                    }
                    i2++;
                }
                return sb2.toString();
            } else if (obj instanceof b4) {
                return b4.a((b4) obj);
            } else {
                if (z) {
                    return f.f14027b;
                }
                return String.valueOf(obj);
            }
        }
    }

    /* access modifiers changed from: protected */
    @VisibleForTesting
    public final void B(int i2, String str) {
        Log.println(i2, E(), str);
    }

    /* access modifiers changed from: protected */
    public final void C(int i2, boolean z, boolean z2, String str, Object obj, Object obj2, Object obj3) {
        if (!z && D(i2)) {
            B(i2, A(false, str, obj, obj2, obj3));
        }
        if (!z2 && i2 >= 5) {
            a0.k(str);
            y4 G = this.f11186a.G();
            if (G == null) {
                B(6, "Scheduler not set. Not logging error/warn");
            } else if (!G.t()) {
                B(6, "Scheduler not initialized. Not logging error/warn");
            } else {
                if (i2 < 0) {
                    i2 = 0;
                }
                G.A(new z3(this, i2 >= 9 ? 8 : i2, str, obj, obj2, obj3));
            }
        }
    }

    /* access modifiers changed from: protected */
    @VisibleForTesting
    public final boolean D(int i2) {
        return Log.isLoggable(E(), i2);
    }

    public final y3 H() {
        return this.f;
    }

    public final y3 I() {
        return this.g;
    }

    public final y3 J() {
        return this.h;
    }

    public final y3 K() {
        return this.i;
    }

    public final y3 L() {
        return this.j;
    }

    public final y3 M() {
        return this.k;
    }

    public final y3 N() {
        return this.l;
    }

    public final y3 O() {
        return this.m;
    }

    public final y3 P() {
        return this.n;
    }

    public final String Q() {
        Pair<String, Long> a2 = l().f10941e.a();
        if (a2 == null || a2 == k4.f10939c) {
            return null;
        }
        String valueOf = String.valueOf(a2.second);
        String str = (String) a2.first;
        StringBuilder sb = new StringBuilder(valueOf.length() + 1 + String.valueOf(str).length());
        sb.append(valueOf);
        sb.append(":");
        sb.append(str);
        return sb.toString();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void a() {
        super.a();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ y4 b() {
        return super.b();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void c() {
        super.c();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void d() {
        super.d();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void e() {
        super.e();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ i f() {
        return super.f();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ u3 g() {
        return super.g();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ w3 h() {
        return super.h();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ Context i() {
        return super.i();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ s9 k() {
        return super.k();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ k4 l() {
        return super.l();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ g m() {
        return super.m();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ ga n() {
        return super.n();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.measurement.internal.w5
    public final boolean s() {
        return false;
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ fa v() {
        return super.v();
    }
}
