package com.google.android.gms.measurement.internal;

import android.content.Context;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.g;
import java.lang.Thread;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.Callable;
import java.util.concurrent.Future;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.PriorityBlockingQueue;
import java.util.concurrent.Semaphore;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class y4 extends w5 {

    /* renamed from: c  reason: collision with root package name */
    private static final AtomicLong f11200c = new AtomicLong(Long.MIN_VALUE);

    /* renamed from: d  reason: collision with root package name */
    private c5 f11201d;

    /* renamed from: e  reason: collision with root package name */
    private c5 f11202e;
    private final PriorityBlockingQueue<z4<?>> f = new PriorityBlockingQueue<>();
    private final BlockingQueue<z4<?>> g = new LinkedBlockingQueue();
    private final Thread.UncaughtExceptionHandler h = new a5(this, "Thread death: Uncaught exception on worker thread");
    private final Thread.UncaughtExceptionHandler i = new a5(this, "Thread death: Uncaught exception on network thread");
    private final Object j = new Object();
    private final Semaphore k = new Semaphore(2);
    private volatile boolean l;

    y4(b5 b5Var) {
        super(b5Var);
    }

    private final void z(z4<?> z4Var) {
        synchronized (this.j) {
            this.f.add(z4Var);
            c5 c5Var = this.f11201d;
            if (c5Var == null) {
                c5 c5Var2 = new c5(this, "Measurement Worker", this.f);
                this.f11201d = c5Var2;
                c5Var2.setUncaughtExceptionHandler(this.h);
                this.f11201d.start();
            } else {
                c5Var.a();
            }
        }
    }

    public final void A(Runnable runnable) throws IllegalStateException {
        p();
        a0.k(runnable);
        z(new z4<>(this, runnable, false, "Task exception on worker thread"));
    }

    public final <V> Future<V> C(Callable<V> callable) throws IllegalStateException {
        p();
        a0.k(callable);
        z4<?> z4Var = new z4<>(this, (Callable<?>) callable, true, "Task exception on worker thread");
        if (Thread.currentThread() == this.f11201d) {
            z4Var.run();
        } else {
            z(z4Var);
        }
        return z4Var;
    }

    public final void D(Runnable runnable) throws IllegalStateException {
        p();
        a0.k(runnable);
        z4<?> z4Var = new z4<>(this, runnable, false, "Task exception on network thread");
        synchronized (this.j) {
            this.g.add(z4Var);
            c5 c5Var = this.f11202e;
            if (c5Var == null) {
                c5 c5Var2 = new c5(this, "Measurement Network", this.g);
                this.f11202e = c5Var2;
                c5Var2.setUncaughtExceptionHandler(this.i);
                this.f11202e.start();
            } else {
                c5Var.a();
            }
        }
    }

    public final boolean I() {
        return Thread.currentThread() == this.f11201d;
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void a() {
        super.a();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ y4 b() {
        return super.b();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ void c() {
        super.c();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final void d() {
        if (Thread.currentThread() != this.f11202e) {
            throw new IllegalStateException("Call expected from network thread");
        }
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final void e() {
        if (Thread.currentThread() != this.f11201d) {
            throw new IllegalStateException("Call expected from worker thread");
        }
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ i f() {
        return super.f();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ u3 g() {
        return super.g();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ w3 h() {
        return super.h();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ Context i() {
        return super.i();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ s9 k() {
        return super.k();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ k4 l() {
        return super.l();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ g m() {
        return super.m();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ ga n() {
        return super.n();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.gms.measurement.internal.w5
    public final boolean s() {
        return false;
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ fa v() {
        return super.v();
    }

    /* access modifiers changed from: package-private */
    public final <T> T w(AtomicReference<T> atomicReference, long j2, String str, Runnable runnable) {
        synchronized (atomicReference) {
            b().A(runnable);
            try {
                atomicReference.wait(15000);
            } catch (InterruptedException unused) {
                y3 K = h().K();
                String valueOf = String.valueOf(str);
                K.a(valueOf.length() != 0 ? "Interrupted waiting for ".concat(valueOf) : new String("Interrupted waiting for "));
                return null;
            }
        }
        T t = atomicReference.get();
        if (t == null) {
            y3 K2 = h().K();
            String valueOf2 = String.valueOf(str);
            K2.a(valueOf2.length() != 0 ? "Timed out waiting for ".concat(valueOf2) : new String("Timed out waiting for "));
        }
        return t;
    }

    public final <V> Future<V> x(Callable<V> callable) throws IllegalStateException {
        p();
        a0.k(callable);
        z4<?> z4Var = new z4<>(this, (Callable<?>) callable, false, "Task exception on worker thread");
        if (Thread.currentThread() == this.f11201d) {
            if (!this.f.isEmpty()) {
                h().K().a("Callable skipped the worker queue.");
            }
            z4Var.run();
        } else {
            z(z4Var);
        }
        return z4Var;
    }
}
