package com.google.android.gms.measurement.internal;

import android.content.Context;
import android.os.Bundle;
import androidx.annotation.WorkerThread;
import b.b.a;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.util.g;
import java.util.Map;

/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class z extends d4 {

    /* renamed from: b  reason: collision with root package name */
    private final Map<String, Long> f11209b = new a();

    /* renamed from: c  reason: collision with root package name */
    private final Map<String, Integer> f11210c = new a();

    /* renamed from: d  reason: collision with root package name */
    private long f11211d;

    public z(b5 b5Var) {
        super(b5Var);
    }

    @WorkerThread
    private final void B(String str, long j, n7 n7Var) {
        if (n7Var == null) {
            h().P().a("Not logging ad unit exposure. No active activity");
        } else if (j < 1000) {
            h().P().b("Not logging ad unit exposure. Less than 1000 ms. exposure", Long.valueOf(j));
        } else {
            Bundle bundle = new Bundle();
            bundle.putString("_ai", str);
            bundle.putLong("_xt", j);
            m7.I(n7Var, bundle, true);
            p().S("am", "_xu", bundle);
        }
    }

    /* access modifiers changed from: private */
    @WorkerThread
    public final void C(long j) {
        for (String str : this.f11209b.keySet()) {
            this.f11209b.put(str, Long.valueOf(j));
        }
        if (!this.f11209b.isEmpty()) {
            this.f11211d = j;
        }
    }

    /* access modifiers changed from: private */
    @WorkerThread
    public final void F(String str, long j) {
        c();
        e();
        a0.g(str);
        if (this.f11210c.isEmpty()) {
            this.f11211d = j;
        }
        Integer num = this.f11210c.get(str);
        if (num != null) {
            this.f11210c.put(str, Integer.valueOf(num.intValue() + 1));
        } else if (this.f11210c.size() >= 100) {
            h().K().a("Too many ads visible");
        } else {
            this.f11210c.put(str, 1);
            this.f11209b.put(str, Long.valueOf(j));
        }
    }

    /* access modifiers changed from: private */
    @WorkerThread
    public final void G(String str, long j) {
        c();
        e();
        a0.g(str);
        Integer num = this.f11210c.get(str);
        if (num != null) {
            n7 L = s().L();
            int intValue = num.intValue() - 1;
            if (intValue == 0) {
                this.f11210c.remove(str);
                Long l = this.f11209b.get(str);
                if (l == null) {
                    h().H().a("First ad unit exposure time was never set");
                } else {
                    this.f11209b.remove(str);
                    B(str, j - l.longValue(), L);
                }
                if (this.f11210c.isEmpty()) {
                    long j2 = this.f11211d;
                    if (j2 == 0) {
                        h().H().a("First ad exposure time was never set");
                        return;
                    }
                    x(j - j2, L);
                    this.f11211d = 0;
                    return;
                }
                return;
            }
            this.f11210c.put(str, Integer.valueOf(intValue));
            return;
        }
        h().H().b("Call to endAdUnitExposure for unknown ad unit id", str);
    }

    @WorkerThread
    private final void x(long j, n7 n7Var) {
        if (n7Var == null) {
            h().P().a("Not logging ad exposure. No active activity");
        } else if (j < 1000) {
            h().P().b("Not logging ad exposure. Less than 1000 ms. exposure", Long.valueOf(j));
        } else {
            Bundle bundle = new Bundle();
            bundle.putLong("_xt", j);
            m7.I(n7Var, bundle, true);
            p().S("am", "_xa", bundle);
        }
    }

    public final void A(String str, long j) {
        if (str == null || str.length() == 0) {
            h().H().a("Ad unit id must be a non-empty string");
        } else {
            b().A(new a(this, str, j));
        }
    }

    public final void E(String str, long j) {
        if (str == null || str.length() == 0) {
            h().H().a("Ad unit id must be a non-empty string");
        } else {
            b().A(new b2(this, str, j));
        }
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void a() {
        super.a();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ y4 b() {
        return super.b();
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void c() {
        super.c();
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void d() {
        super.d();
    }

    @Override // com.google.android.gms.measurement.internal.x5, com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ void e() {
        super.e();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ i f() {
        return super.f();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ u3 g() {
        return super.g();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ w3 h() {
        return super.h();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ Context i() {
        return super.i();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ s9 k() {
        return super.k();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ k4 l() {
        return super.l();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ g m() {
        return super.m();
    }

    @Override // com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ ga n() {
        return super.n();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ z o() {
        return super.o();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ i6 p() {
        return super.p();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ t3 q() {
        return super.q();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ r7 r() {
        return super.r();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ m7 s() {
        return super.s();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ s3 t() {
        return super.t();
    }

    @Override // com.google.android.gms.measurement.internal.d4
    public final /* bridge */ /* synthetic */ t8 u() {
        return super.u();
    }

    @Override // com.google.android.gms.measurement.internal.z5, com.google.android.gms.measurement.internal.x5
    public final /* bridge */ /* synthetic */ fa v() {
        return super.v();
    }

    @WorkerThread
    public final void w(long j) {
        n7 L = s().L();
        for (String str : this.f11209b.keySet()) {
            B(str, j - this.f11209b.get(str).longValue(), L);
        }
        if (!this.f11209b.isEmpty()) {
            x(j - this.f11211d, L);
        }
        C(j);
    }
}
