package com.google.android.gms.measurement.internal;

import android.os.Parcel;
import android.os.Parcelable;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;

@SafeParcelable.Class(creator = "UserAttributeParcelCreator")
/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class zzkj extends AbstractSafeParcelable {
    public static final Parcelable.Creator<zzkj> CREATOR = new r9();
    @SafeParcelable.Field(id = 3)
    public final long I0;
    @SafeParcelable.Field(id = 4)
    public final Long J0;
    @SafeParcelable.Field(id = 5)
    private final Float K0;
    @SafeParcelable.Field(id = 6)
    public final String L0;
    @SafeParcelable.Field(id = 7)
    public final String M0;
    @SafeParcelable.Field(id = 8)
    public final Double N0;
    @SafeParcelable.Field(id = 1)

    /* renamed from: a  reason: collision with root package name */
    private final int f11235a;
    @SafeParcelable.Field(id = 2)

    /* renamed from: b  reason: collision with root package name */
    public final String f11236b;

    zzkj(t9 t9Var) {
        this(t9Var.f11131c, t9Var.f11132d, t9Var.f11133e, t9Var.f11130b);
    }

    public final Object e0() {
        Long l = this.J0;
        if (l != null) {
            return l;
        }
        Double d2 = this.N0;
        if (d2 != null) {
            return d2;
        }
        String str = this.L0;
        if (str != null) {
            return str;
        }
        return null;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        int a2 = a.a(parcel);
        a.F(parcel, 1, this.f11235a);
        a.X(parcel, 2, this.f11236b, false);
        a.K(parcel, 3, this.I0);
        a.N(parcel, 4, this.J0, false);
        a.z(parcel, 5, null, false);
        a.X(parcel, 6, this.L0, false);
        a.X(parcel, 7, this.M0, false);
        a.u(parcel, 8, this.N0, false);
        a.b(parcel, a2);
    }

    zzkj(String str, long j, Object obj, String str2) {
        a0.g(str);
        this.f11235a = 2;
        this.f11236b = str;
        this.I0 = j;
        this.M0 = str2;
        if (obj == null) {
            this.J0 = null;
            this.K0 = null;
            this.N0 = null;
            this.L0 = null;
        } else if (obj instanceof Long) {
            this.J0 = (Long) obj;
            this.K0 = null;
            this.N0 = null;
            this.L0 = null;
        } else if (obj instanceof String) {
            this.J0 = null;
            this.K0 = null;
            this.N0 = null;
            this.L0 = (String) obj;
        } else if (obj instanceof Double) {
            this.J0 = null;
            this.K0 = null;
            this.N0 = (Double) obj;
            this.L0 = null;
        } else {
            throw new IllegalArgumentException("User attribute given of un-supported type");
        }
    }

    zzkj(String str, long j, String str2) {
        a0.g(str);
        this.f11235a = 2;
        this.f11236b = str;
        this.I0 = 0;
        this.J0 = null;
        this.K0 = null;
        this.N0 = null;
        this.L0 = null;
        this.M0 = null;
    }

    @SafeParcelable.Constructor
    zzkj(@SafeParcelable.Param(id = 1) int i, @SafeParcelable.Param(id = 2) String str, @SafeParcelable.Param(id = 3) long j, @SafeParcelable.Param(id = 4) Long l, @SafeParcelable.Param(id = 5) Float f, @SafeParcelable.Param(id = 6) String str2, @SafeParcelable.Param(id = 7) String str3, @SafeParcelable.Param(id = 8) Double d2) {
        this.f11235a = i;
        this.f11236b = str;
        this.I0 = j;
        this.J0 = l;
        Double d3 = null;
        this.K0 = null;
        if (i == 1) {
            this.N0 = f != null ? Double.valueOf(f.doubleValue()) : d3;
        } else {
            this.N0 = d2;
        }
        this.L0 = str2;
        this.M0 = str3;
    }
}
