package com.google.android.gms.measurement.internal;

import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.internal.safeparcel.a;
import java.util.List;

@SafeParcelable.Class(creator = "AppMetadataCreator")
@SafeParcelable.Reserved({1, 20})
/* compiled from: com.google.android.gms:play-services-measurement-impl@@17.2.0 */
public final class zzm extends AbstractSafeParcelable {
    public static final Parcelable.Creator<zzm> CREATOR = new y9();
    @SafeParcelable.Field(id = 4)
    public final String I0;
    @SafeParcelable.Field(id = 5)
    public final String J0;
    @SafeParcelable.Field(id = 6)
    public final long K0;
    @SafeParcelable.Field(id = 7)
    public final long L0;
    @SafeParcelable.Field(id = 8)
    public final String M0;
    @SafeParcelable.Field(defaultValue = "true", id = 9)
    public final boolean N0;
    @SafeParcelable.Field(id = 10)
    public final boolean O0;
    @SafeParcelable.Field(defaultValueUnchecked = "Integer.MIN_VALUE", id = 11)
    public final long P0;
    @SafeParcelable.Field(id = 12)
    public final String Q0;
    @SafeParcelable.Field(id = 13)
    public final long R0;
    @SafeParcelable.Field(id = 14)
    public final long S0;
    @SafeParcelable.Field(id = 15)
    public final int T0;
    @SafeParcelable.Field(defaultValue = "true", id = 16)
    public final boolean U0;
    @SafeParcelable.Field(defaultValue = "true", id = 17)
    public final boolean V0;
    @SafeParcelable.Field(id = 18)
    public final boolean W0;
    @SafeParcelable.Field(id = 19)
    public final String X0;
    @SafeParcelable.Field(id = 21)
    public final Boolean Y0;
    @SafeParcelable.Field(id = 22)
    public final long Z0;
    @SafeParcelable.Field(id = 2)

    /* renamed from: a  reason: collision with root package name */
    public final String f11237a;
    @SafeParcelable.Field(id = 23)
    public final List<String> a1;
    @SafeParcelable.Field(id = 3)

    /* renamed from: b  reason: collision with root package name */
    public final String f11238b;
    @SafeParcelable.Field(id = 24)
    public final String b1;

    zzm(String str, String str2, String str3, long j, String str4, long j2, long j3, String str5, boolean z, boolean z2, String str6, long j4, long j5, int i, boolean z3, boolean z4, boolean z5, String str7, Boolean bool, long j6, List<String> list, String str8) {
        a0.g(str);
        this.f11237a = str;
        this.f11238b = TextUtils.isEmpty(str2) ? null : str2;
        this.I0 = str3;
        this.P0 = j;
        this.J0 = str4;
        this.K0 = j2;
        this.L0 = j3;
        this.M0 = str5;
        this.N0 = z;
        this.O0 = z2;
        this.Q0 = str6;
        this.R0 = j4;
        this.S0 = j5;
        this.T0 = i;
        this.U0 = z3;
        this.V0 = z4;
        this.W0 = z5;
        this.X0 = str7;
        this.Y0 = bool;
        this.Z0 = j6;
        this.a1 = list;
        this.b1 = str8;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        int a2 = a.a(parcel);
        a.X(parcel, 2, this.f11237a, false);
        a.X(parcel, 3, this.f11238b, false);
        a.X(parcel, 4, this.I0, false);
        a.X(parcel, 5, this.J0, false);
        a.K(parcel, 6, this.K0);
        a.K(parcel, 7, this.L0);
        a.X(parcel, 8, this.M0, false);
        a.g(parcel, 9, this.N0);
        a.g(parcel, 10, this.O0);
        a.K(parcel, 11, this.P0);
        a.X(parcel, 12, this.Q0, false);
        a.K(parcel, 13, this.R0);
        a.K(parcel, 14, this.S0);
        a.F(parcel, 15, this.T0);
        a.g(parcel, 16, this.U0);
        a.g(parcel, 17, this.V0);
        a.g(parcel, 18, this.W0);
        a.X(parcel, 19, this.X0, false);
        a.j(parcel, 21, this.Y0, false);
        a.K(parcel, 22, this.Z0);
        a.Z(parcel, 23, this.a1, false);
        a.X(parcel, 24, this.b1, false);
        a.b(parcel, a2);
    }

    @SafeParcelable.Constructor
    zzm(@SafeParcelable.Param(id = 2) String str, @SafeParcelable.Param(id = 3) String str2, @SafeParcelable.Param(id = 4) String str3, @SafeParcelable.Param(id = 5) String str4, @SafeParcelable.Param(id = 6) long j, @SafeParcelable.Param(id = 7) long j2, @SafeParcelable.Param(id = 8) String str5, @SafeParcelable.Param(id = 9) boolean z, @SafeParcelable.Param(id = 10) boolean z2, @SafeParcelable.Param(id = 11) long j3, @SafeParcelable.Param(id = 12) String str6, @SafeParcelable.Param(id = 13) long j4, @SafeParcelable.Param(id = 14) long j5, @SafeParcelable.Param(id = 15) int i, @SafeParcelable.Param(id = 16) boolean z3, @SafeParcelable.Param(id = 17) boolean z4, @SafeParcelable.Param(id = 18) boolean z5, @SafeParcelable.Param(id = 19) String str7, @SafeParcelable.Param(id = 21) Boolean bool, @SafeParcelable.Param(id = 22) long j6, @SafeParcelable.Param(id = 23) List<String> list, @SafeParcelable.Param(id = 24) String str8) {
        this.f11237a = str;
        this.f11238b = str2;
        this.I0 = str3;
        this.P0 = j3;
        this.J0 = str4;
        this.K0 = j;
        this.L0 = j2;
        this.M0 = str5;
        this.N0 = z;
        this.O0 = z2;
        this.Q0 = str6;
        this.R0 = j4;
        this.S0 = j5;
        this.T0 = i;
        this.U0 = z3;
        this.V0 = z4;
        this.W0 = z5;
        this.X0 = str7;
        this.Y0 = bool;
        this.Z0 = j6;
        this.a1 = list;
        this.b1 = str8;
    }
}
