package com.google.android.gms.tasks;

import android.app.Activity;
import androidx.annotation.MainThread;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.gms.common.api.internal.LifecycleCallback;
import com.google.android.gms.common.api.internal.k;
import com.google.android.gms.common.internal.a0;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.CancellationException;
import java.util.concurrent.Executor;
import javax.annotation.concurrent.GuardedBy;

/* access modifiers changed from: package-private */
public final class i0<TResult> extends k<TResult> {

    /* renamed from: a  reason: collision with root package name */
    private final Object f11279a = new Object();

    /* renamed from: b  reason: collision with root package name */
    private final f0<TResult> f11280b = new f0<>();
    @GuardedBy("mLock")

    /* renamed from: c  reason: collision with root package name */
    private boolean f11281c;

    /* renamed from: d  reason: collision with root package name */
    private volatile boolean f11282d;
    @GuardedBy("mLock")

    /* renamed from: e  reason: collision with root package name */
    private TResult f11283e;
    @GuardedBy("mLock")
    private Exception f;

    private static class a extends LifecycleCallback {

        /* renamed from: b  reason: collision with root package name */
        private final List<WeakReference<e0<?>>> f11284b = new ArrayList();

        private a(k kVar) {
            super(kVar);
            this.f9780a.i("TaskOnStopCallback", this);
        }

        public static a m(Activity activity) {
            k c2 = LifecycleCallback.c(activity);
            a aVar = (a) c2.q("TaskOnStopCallback", a.class);
            return aVar == null ? new a(c2) : aVar;
        }

        @Override // com.google.android.gms.common.api.internal.LifecycleCallback
        @MainThread
        public void l() {
            synchronized (this.f11284b) {
                for (WeakReference<e0<?>> weakReference : this.f11284b) {
                    e0<?> e0Var = weakReference.get();
                    if (e0Var != null) {
                        e0Var.cancel();
                    }
                }
                this.f11284b.clear();
            }
        }

        public final <T> void n(e0<T> e0Var) {
            synchronized (this.f11284b) {
                this.f11284b.add(new WeakReference<>(e0Var));
            }
        }
    }

    i0() {
    }

    @GuardedBy("mLock")
    private final void D() {
        a0.r(this.f11281c, "Task is not yet complete");
    }

    @GuardedBy("mLock")
    private final void E() {
        a0.r(!this.f11281c, "Task is already complete");
    }

    @GuardedBy("mLock")
    private final void F() {
        if (this.f11282d) {
            throw new CancellationException("Task is already canceled.");
        }
    }

    private final void G() {
        synchronized (this.f11279a) {
            if (this.f11281c) {
                this.f11280b.a(this);
            }
        }
    }

    public final boolean A(@NonNull Exception exc) {
        a0.l(exc, "Exception must not be null");
        synchronized (this.f11279a) {
            if (this.f11281c) {
                return false;
            }
            this.f11281c = true;
            this.f = exc;
            this.f11280b.a(this);
            return true;
        }
    }

    public final boolean B(TResult tresult) {
        synchronized (this.f11279a) {
            if (this.f11281c) {
                return false;
            }
            this.f11281c = true;
            this.f11283e = tresult;
            this.f11280b.a(this);
            return true;
        }
    }

    public final boolean C() {
        synchronized (this.f11279a) {
            if (this.f11281c) {
                return false;
            }
            this.f11281c = true;
            this.f11282d = true;
            this.f11280b.a(this);
            return true;
        }
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final k<TResult> a(@NonNull Activity activity, @NonNull d dVar) {
        u uVar = new u(m.f11290a, dVar);
        this.f11280b.b(uVar);
        a.m(activity).n(uVar);
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final k<TResult> b(@NonNull d dVar) {
        return c(m.f11290a, dVar);
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final k<TResult> c(@NonNull Executor executor, @NonNull d dVar) {
        this.f11280b.b(new u(executor, dVar));
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final k<TResult> d(@NonNull Activity activity, @NonNull e<TResult> eVar) {
        w wVar = new w(m.f11290a, eVar);
        this.f11280b.b(wVar);
        a.m(activity).n(wVar);
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final k<TResult> e(@NonNull e<TResult> eVar) {
        return f(m.f11290a, eVar);
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final k<TResult> f(@NonNull Executor executor, @NonNull e<TResult> eVar) {
        this.f11280b.b(new w(executor, eVar));
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final k<TResult> g(@NonNull Activity activity, @NonNull f fVar) {
        y yVar = new y(m.f11290a, fVar);
        this.f11280b.b(yVar);
        a.m(activity).n(yVar);
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final k<TResult> h(@NonNull f fVar) {
        return i(m.f11290a, fVar);
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final k<TResult> i(@NonNull Executor executor, @NonNull f fVar) {
        this.f11280b.b(new y(executor, fVar));
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final k<TResult> j(@NonNull Activity activity, @NonNull g<? super TResult> gVar) {
        a0 a0Var = new a0(m.f11290a, gVar);
        this.f11280b.b(a0Var);
        a.m(activity).n(a0Var);
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final k<TResult> k(@NonNull g<? super TResult> gVar) {
        return l(m.f11290a, gVar);
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final k<TResult> l(@NonNull Executor executor, @NonNull g<? super TResult> gVar) {
        this.f11280b.b(new a0(executor, gVar));
        G();
        return this;
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final <TContinuationResult> k<TContinuationResult> m(@NonNull c<TResult, TContinuationResult> cVar) {
        return n(m.f11290a, cVar);
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final <TContinuationResult> k<TContinuationResult> n(@NonNull Executor executor, @NonNull c<TResult, TContinuationResult> cVar) {
        i0 i0Var = new i0();
        this.f11280b.b(new q(executor, cVar, i0Var));
        G();
        return i0Var;
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final <TContinuationResult> k<TContinuationResult> o(@NonNull c<TResult, k<TContinuationResult>> cVar) {
        return p(m.f11290a, cVar);
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final <TContinuationResult> k<TContinuationResult> p(@NonNull Executor executor, @NonNull c<TResult, k<TContinuationResult>> cVar) {
        i0 i0Var = new i0();
        this.f11280b.b(new s(executor, cVar, i0Var));
        G();
        return i0Var;
    }

    @Override // com.google.android.gms.tasks.k
    @Nullable
    public final Exception q() {
        Exception exc;
        synchronized (this.f11279a) {
            exc = this.f;
        }
        return exc;
    }

    @Override // com.google.android.gms.tasks.k
    public final TResult r() {
        TResult tresult;
        synchronized (this.f11279a) {
            D();
            F();
            if (this.f == null) {
                tresult = this.f11283e;
            } else {
                throw new RuntimeExecutionException(this.f);
            }
        }
        return tresult;
    }

    @Override // com.google.android.gms.tasks.k
    public final <X extends Throwable> TResult s(@NonNull Class<X> cls) throws Throwable {
        TResult tresult;
        synchronized (this.f11279a) {
            D();
            F();
            if (cls.isInstance(this.f)) {
                throw cls.cast(this.f);
            } else if (this.f == null) {
                tresult = this.f11283e;
            } else {
                throw new RuntimeExecutionException(this.f);
            }
        }
        return tresult;
    }

    @Override // com.google.android.gms.tasks.k
    public final boolean t() {
        return this.f11282d;
    }

    @Override // com.google.android.gms.tasks.k
    public final boolean u() {
        boolean z;
        synchronized (this.f11279a) {
            z = this.f11281c;
        }
        return z;
    }

    @Override // com.google.android.gms.tasks.k
    public final boolean v() {
        boolean z;
        synchronized (this.f11279a) {
            z = this.f11281c && !this.f11282d && this.f == null;
        }
        return z;
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final <TContinuationResult> k<TContinuationResult> w(@NonNull j<TResult, TContinuationResult> jVar) {
        return x(m.f11290a, jVar);
    }

    @Override // com.google.android.gms.tasks.k
    @NonNull
    public final <TContinuationResult> k<TContinuationResult> x(Executor executor, j<TResult, TContinuationResult> jVar) {
        i0 i0Var = new i0();
        this.f11280b.b(new c0(executor, jVar, i0Var));
        G();
        return i0Var;
    }

    public final void y(@NonNull Exception exc) {
        a0.l(exc, "Exception must not be null");
        synchronized (this.f11279a) {
            E();
            this.f11281c = true;
            this.f = exc;
        }
        this.f11280b.a(this);
    }

    public final void z(TResult tresult) {
        synchronized (this.f11279a) {
            E();
            this.f11281c = true;
            this.f11283e = tresult;
        }
        this.f11280b.a(this);
    }
}
