package com.google.android.gms.tasks;

import androidx.annotation.NonNull;
import com.google.android.gms.common.internal.a0;
import java.util.Arrays;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.Callable;
import java.util.concurrent.CancellationException;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import javax.annotation.concurrent.GuardedBy;

public final class n {

    /* access modifiers changed from: package-private */
    public interface b extends d, f, g<Object> {
    }

    /* access modifiers changed from: private */
    public static final class c implements b {

        /* renamed from: a  reason: collision with root package name */
        private final Object f11294a = new Object();

        /* renamed from: b  reason: collision with root package name */
        private final int f11295b;

        /* renamed from: c  reason: collision with root package name */
        private final i0<Void> f11296c;
        @GuardedBy("mLock")

        /* renamed from: d  reason: collision with root package name */
        private int f11297d;
        @GuardedBy("mLock")

        /* renamed from: e  reason: collision with root package name */
        private int f11298e;
        @GuardedBy("mLock")
        private int f;
        @GuardedBy("mLock")
        private Exception g;
        @GuardedBy("mLock")
        private boolean h;

        public c(int i, i0<Void> i0Var) {
            this.f11295b = i;
            this.f11296c = i0Var;
        }

        @GuardedBy("mLock")
        private final void b() {
            if (this.f11297d + this.f11298e + this.f != this.f11295b) {
                return;
            }
            if (this.g != null) {
                i0<Void> i0Var = this.f11296c;
                int i = this.f11298e;
                int i2 = this.f11295b;
                StringBuilder sb = new StringBuilder(54);
                sb.append(i);
                sb.append(" out of ");
                sb.append(i2);
                sb.append(" underlying tasks failed");
                i0Var.y(new ExecutionException(sb.toString(), this.g));
            } else if (this.h) {
                this.f11296c.C();
            } else {
                this.f11296c.z(null);
            }
        }

        @Override // com.google.android.gms.tasks.g
        public final void a(Object obj) {
            synchronized (this.f11294a) {
                this.f11297d++;
                b();
            }
        }

        @Override // com.google.android.gms.tasks.d
        public final void c() {
            synchronized (this.f11294a) {
                this.f++;
                this.h = true;
                b();
            }
        }

        @Override // com.google.android.gms.tasks.f
        public final void d(@NonNull Exception exc) {
            synchronized (this.f11294a) {
                this.f11298e++;
                this.g = exc;
                b();
            }
        }
    }

    private n() {
    }

    public static <TResult> TResult a(@NonNull k<TResult> kVar) throws ExecutionException, InterruptedException {
        a0.i();
        a0.l(kVar, "Task must not be null");
        if (kVar.u()) {
            return (TResult) o(kVar);
        }
        a aVar = new a(null);
        n(kVar, aVar);
        aVar.b();
        return (TResult) o(kVar);
    }

    public static <TResult> TResult b(@NonNull k<TResult> kVar, long j, @NonNull TimeUnit timeUnit) throws ExecutionException, InterruptedException, TimeoutException {
        a0.i();
        a0.l(kVar, "Task must not be null");
        a0.l(timeUnit, "TimeUnit must not be null");
        if (kVar.u()) {
            return (TResult) o(kVar);
        }
        a aVar = new a(null);
        n(kVar, aVar);
        if (aVar.e(j, timeUnit)) {
            return (TResult) o(kVar);
        }
        throw new TimeoutException("Timed out waiting for Task");
    }

    public static <TResult> k<TResult> c(@NonNull Callable<TResult> callable) {
        return d(m.f11290a, callable);
    }

    public static <TResult> k<TResult> d(@NonNull Executor executor, @NonNull Callable<TResult> callable) {
        a0.l(executor, "Executor must not be null");
        a0.l(callable, "Callback must not be null");
        i0 i0Var = new i0();
        executor.execute(new j0(i0Var, callable));
        return i0Var;
    }

    public static <TResult> k<TResult> e() {
        i0 i0Var = new i0();
        i0Var.C();
        return i0Var;
    }

    public static <TResult> k<TResult> f(@NonNull Exception exc) {
        i0 i0Var = new i0();
        i0Var.y(exc);
        return i0Var;
    }

    public static <TResult> k<TResult> g(TResult tresult) {
        i0 i0Var = new i0();
        i0Var.z(tresult);
        return i0Var;
    }

    public static k<Void> h(Collection<? extends k<?>> collection) {
        if (collection.isEmpty()) {
            return g(null);
        }
        Iterator<? extends k<?>> it = collection.iterator();
        while (it.hasNext()) {
            Objects.requireNonNull((k) it.next(), "null tasks are not accepted");
        }
        i0 i0Var = new i0();
        c cVar = new c(collection.size(), i0Var);
        Iterator<? extends k<?>> it2 = collection.iterator();
        while (it2.hasNext()) {
            n((k) it2.next(), cVar);
        }
        return i0Var;
    }

    public static k<Void> i(k<?>... kVarArr) {
        if (kVarArr.length == 0) {
            return g(null);
        }
        return h(Arrays.asList(kVarArr));
    }

    public static k<List<k<?>>> j(Collection<? extends k<?>> collection) {
        return h(collection).o(new l0(collection));
    }

    public static k<List<k<?>>> k(k<?>... kVarArr) {
        return j(Arrays.asList(kVarArr));
    }

    public static <TResult> k<List<TResult>> l(Collection<? extends k<?>> collection) {
        return h(collection).m(new k0(collection));
    }

    public static <TResult> k<List<TResult>> m(k<?>... kVarArr) {
        return l(Arrays.asList(kVarArr));
    }

    private static void n(k<?> kVar, b bVar) {
        Executor executor = m.f11291b;
        kVar.l(executor, bVar);
        kVar.i(executor, bVar);
        kVar.c(executor, bVar);
    }

    private static <TResult> TResult o(k<TResult> kVar) throws ExecutionException {
        if (kVar.v()) {
            return kVar.r();
        }
        if (kVar.t()) {
            throw new CancellationException("Task is already canceled");
        }
        throw new ExecutionException(kVar.q());
    }

    private static final class a implements b {

        /* renamed from: a  reason: collision with root package name */
        private final CountDownLatch f11293a;

        private a() {
            this.f11293a = new CountDownLatch(1);
        }

        @Override // com.google.android.gms.tasks.g
        public final void a(Object obj) {
            this.f11293a.countDown();
        }

        public final void b() throws InterruptedException {
            this.f11293a.await();
        }

        @Override // com.google.android.gms.tasks.d
        public final void c() {
            this.f11293a.countDown();
        }

        @Override // com.google.android.gms.tasks.f
        public final void d(@NonNull Exception exc) {
            this.f11293a.countDown();
        }

        public final boolean e(long j, TimeUnit timeUnit) throws InterruptedException {
            return this.f11293a.await(j, timeUnit);
        }

        /* synthetic */ a(j0 j0Var) {
            this();
        }
    }
}
