package com.google.android.material.appbar;

import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AnimationUtils;
import android.view.animation.Interpolator;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.ScrollView;
import androidx.annotation.ColorInt;
import androidx.annotation.DrawableRes;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.VisibleForTesting;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.util.h;
import androidx.core.view.NestedScrollingChild;
import androidx.core.view.OnApplyWindowInsetsListener;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.core.view.accessibility.AccessibilityViewCommand;
import androidx.customview.view.AbsSavedState;
import com.google.android.material.R;
import com.google.android.material.internal.m;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.i;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.List;

public class AppBarLayout extends LinearLayout implements CoordinatorLayout.b {
    static final int I0 = 2;
    static final int J0 = 4;
    static final int K0 = 8;
    private static final int L0 = R.style.Widget_Design_AppBarLayout;
    private static final int M0 = -1;

    /* renamed from: a  reason: collision with root package name */
    static final int f11350a = 0;

    /* renamed from: b  reason: collision with root package name */
    static final int f11351b = 1;
    private int N0;
    private int O0;
    private int P0;
    private int Q0;
    private boolean R0;
    private int S0;
    @Nullable
    private WindowInsetsCompat T0;
    private List<c> U0;
    private boolean V0;
    private boolean W0;
    private boolean X0;
    private boolean Y0;
    @IdRes
    private int Z0;
    @Nullable
    private WeakReference<View> a1;
    @Nullable
    private ValueAnimator b1;
    private int[] c1;
    @Nullable
    private Drawable d1;

    public static class Behavior extends BaseBehavior<AppBarLayout> {

        public static abstract class a extends BaseBehavior.d<AppBarLayout> {
        }

        public Behavior() {
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ int G() {
            return super.G();
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ int H() {
            return super.H();
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ boolean I() {
            return super.I();
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ boolean J() {
            return super.J();
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ void L(boolean z) {
            super.L(z);
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ boolean M(int i) {
            return super.M(i);
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ boolean N(int i) {
            return super.N(i);
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ void O(boolean z) {
            super.O(z);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ boolean p0(@NonNull CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, int i) {
            return super.m(coordinatorLayout, appBarLayout, i);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ boolean q0(@NonNull CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, int i, int i2, int i3, int i4) {
            return super.n(coordinatorLayout, appBarLayout, i, i2, i3, i4);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ void r0(CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, View view, int i, int i2, int[] iArr, int i3) {
            super.r(coordinatorLayout, appBarLayout, view, i, i2, iArr, i3);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ void s0(CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, View view, int i, int i2, int i3, int i4, int i5, int[] iArr) {
            super.u(coordinatorLayout, appBarLayout, view, i, i2, i3, i4, i5, iArr);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ void t0(@NonNull CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, Parcelable parcelable) {
            super.y(coordinatorLayout, appBarLayout, parcelable);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ Parcelable u0(@NonNull CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout) {
            return super.z(coordinatorLayout, appBarLayout);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ boolean v0(@NonNull CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, @NonNull View view, View view2, int i, int i2) {
            return super.B(coordinatorLayout, appBarLayout, view, view2, i, i2);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ void w0(CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, View view, int i) {
            super.D(coordinatorLayout, appBarLayout, view, i);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        public /* bridge */ /* synthetic */ void x0(@Nullable BaseBehavior.d dVar) {
            super.x0(dVar);
        }

        public Behavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    public static class ScrollingViewBehavior extends HeaderScrollingViewBehavior {
        public ScrollingViewBehavior() {
        }

        private static int Z(@NonNull AppBarLayout appBarLayout) {
            CoordinatorLayout.Behavior f = ((CoordinatorLayout.d) appBarLayout.getLayoutParams()).f();
            if (f instanceof BaseBehavior) {
                return ((BaseBehavior) f).U();
            }
            return 0;
        }

        private void a0(@NonNull View view, @NonNull View view2) {
            CoordinatorLayout.Behavior f = ((CoordinatorLayout.d) view2.getLayoutParams()).f();
            if (f instanceof BaseBehavior) {
                ViewCompat.offsetTopAndBottom(view, (((view2.getBottom() - view.getTop()) + ((BaseBehavior) f).n) + U()) - Q(view2));
            }
        }

        private void b0(View view, View view2) {
            if (view2 instanceof AppBarLayout) {
                AppBarLayout appBarLayout = (AppBarLayout) view2;
                if (appBarLayout.l()) {
                    appBarLayout.x(appBarLayout.z(view));
                }
            }
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ int G() {
            return super.G();
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ int H() {
            return super.H();
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ boolean I() {
            return super.I();
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ boolean J() {
            return super.J();
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ void L(boolean z) {
            super.L(z);
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ boolean M(int i) {
            return super.M(i);
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ boolean N(int i) {
            return super.N(i);
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior
        public /* bridge */ /* synthetic */ void O(boolean z) {
            super.O(z);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.android.material.appbar.HeaderScrollingViewBehavior
        public float R(View view) {
            int i;
            if (view instanceof AppBarLayout) {
                AppBarLayout appBarLayout = (AppBarLayout) view;
                int totalScrollRange = appBarLayout.getTotalScrollRange();
                int downNestedPreScrollRange = appBarLayout.getDownNestedPreScrollRange();
                int Z = Z(appBarLayout);
                if ((downNestedPreScrollRange == 0 || totalScrollRange + Z > downNestedPreScrollRange) && (i = totalScrollRange - downNestedPreScrollRange) != 0) {
                    return (((float) Z) / ((float) i)) + 1.0f;
                }
            }
            return 0.0f;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.android.material.appbar.HeaderScrollingViewBehavior
        public int T(View view) {
            if (view instanceof AppBarLayout) {
                return ((AppBarLayout) view).getTotalScrollRange();
            }
            return super.T(view);
        }

        /* access modifiers changed from: package-private */
        @Nullable
        /* renamed from: Y */
        public AppBarLayout P(@NonNull List<View> list) {
            int size = list.size();
            for (int i = 0; i < size; i++) {
                View view = list.get(i);
                if (view instanceof AppBarLayout) {
                    return (AppBarLayout) view;
                }
            }
            return null;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public boolean f(CoordinatorLayout coordinatorLayout, View view, View view2) {
            return view2 instanceof AppBarLayout;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public boolean i(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, @NonNull View view2) {
            a0(view, view2);
            b0(view, view2);
            return false;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public void j(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, @NonNull View view2) {
            if (view2 instanceof AppBarLayout) {
                ViewCompat.removeAccessibilityAction(coordinatorLayout, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_SCROLL_FORWARD.getId());
                ViewCompat.removeAccessibilityAction(coordinatorLayout, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_SCROLL_BACKWARD.getId());
            }
        }

        @Override // com.google.android.material.appbar.ViewOffsetBehavior, androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public /* bridge */ /* synthetic */ boolean m(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, int i) {
            return super.m(coordinatorLayout, view, i);
        }

        @Override // com.google.android.material.appbar.HeaderScrollingViewBehavior, androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public /* bridge */ /* synthetic */ boolean n(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, int i, int i2, int i3, int i4) {
            return super.n(coordinatorLayout, view, i, i2, i3, i4);
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public boolean x(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, @NonNull Rect rect, boolean z) {
            AppBarLayout Y = P(coordinatorLayout.q(view));
            if (Y != null) {
                rect.offset(view.getLeft(), view.getTop());
                Rect rect2 = this.f11384d;
                rect2.set(0, 0, coordinatorLayout.getWidth(), coordinatorLayout.getHeight());
                if (!rect2.contains(rect)) {
                    Y.s(false, !z);
                    return true;
                }
            }
            return false;
        }

        public ScrollingViewBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ScrollingViewBehavior_Layout);
            W(obtainStyledAttributes.getDimensionPixelSize(R.styleable.ScrollingViewBehavior_Layout_behavior_overlapTop, 0));
            obtainStyledAttributes.recycle();
        }
    }

    class a implements OnApplyWindowInsetsListener {
        a() {
        }

        @Override // androidx.core.view.OnApplyWindowInsetsListener
        public WindowInsetsCompat onApplyWindowInsets(View view, WindowInsetsCompat windowInsetsCompat) {
            return AppBarLayout.this.o(windowInsetsCompat);
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ MaterialShapeDrawable f11368a;

        b(MaterialShapeDrawable materialShapeDrawable) {
            this.f11368a = materialShapeDrawable;
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            this.f11368a.m0(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    public interface c<T extends AppBarLayout> {
        void a(T t, int i);
    }

    public interface d extends c<AppBarLayout> {
        @Override // com.google.android.material.appbar.AppBarLayout.c
        void a(AppBarLayout appBarLayout, int i);
    }

    public AppBarLayout(@NonNull Context context) {
        this(context, null);
    }

    private boolean A() {
        if (getChildCount() <= 0) {
            return false;
        }
        View childAt = getChildAt(0);
        if (childAt.getVisibility() == 8 || ViewCompat.getFitsSystemWindows(childAt)) {
            return false;
        }
        return true;
    }

    private void B(@NonNull MaterialShapeDrawable materialShapeDrawable, boolean z) {
        float dimension = getResources().getDimension(R.dimen.design_appbar_elevation);
        float f = z ? 0.0f : dimension;
        if (!z) {
            dimension = 0.0f;
        }
        ValueAnimator valueAnimator = this.b1;
        if (valueAnimator != null) {
            valueAnimator.cancel();
        }
        ValueAnimator ofFloat = ValueAnimator.ofFloat(f, dimension);
        this.b1 = ofFloat;
        ofFloat.setDuration((long) getResources().getInteger(R.integer.app_bar_elevation_anim_duration));
        this.b1.setInterpolator(com.google.android.material.a.a.f11326a);
        this.b1.addUpdateListener(new b(materialShapeDrawable));
        this.b1.start();
    }

    private void C() {
        setWillNotDraw(!y());
    }

    private void c() {
        WeakReference<View> weakReference = this.a1;
        if (weakReference != null) {
            weakReference.clear();
        }
        this.a1 = null;
    }

    @Nullable
    private View d(@Nullable View view) {
        int i;
        if (this.a1 == null && (i = this.Z0) != -1) {
            View findViewById = view != null ? view.findViewById(i) : null;
            if (findViewById == null && (getParent() instanceof ViewGroup)) {
                findViewById = ((ViewGroup) getParent()).findViewById(this.Z0);
            }
            if (findViewById != null) {
                this.a1 = new WeakReference<>(findViewById);
            }
        }
        WeakReference<View> weakReference = this.a1;
        if (weakReference != null) {
            return weakReference.get();
        }
        return null;
    }

    private boolean i() {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            if (((LayoutParams) getChildAt(i).getLayoutParams()).c()) {
                return true;
            }
        }
        return false;
    }

    private void k() {
        this.O0 = -1;
        this.P0 = -1;
        this.Q0 = -1;
    }

    private void t(boolean z, boolean z2, boolean z3) {
        int i = 0;
        int i2 = (z ? 1 : 2) | (z2 ? 4 : 0);
        if (z3) {
            i = 8;
        }
        this.S0 = i2 | i;
        requestLayout();
    }

    private boolean v(boolean z) {
        if (this.W0 == z) {
            return false;
        }
        this.W0 = z;
        refreshDrawableState();
        return true;
    }

    private boolean y() {
        return this.d1 != null && getTopInset() > 0;
    }

    public void a(@Nullable c cVar) {
        if (this.U0 == null) {
            this.U0 = new ArrayList();
        }
        if (cVar != null && !this.U0.contains(cVar)) {
            this.U0.add(cVar);
        }
    }

    public void b(d dVar) {
        a(dVar);
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof LayoutParams;
    }

    public void draw(@NonNull Canvas canvas) {
        super.draw(canvas);
        if (y()) {
            int save = canvas.save();
            canvas.translate(0.0f, (float) (-this.N0));
            this.d1.draw(canvas);
            canvas.restoreToCount(save);
        }
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        Drawable drawable = this.d1;
        if (drawable != null && drawable.isStateful() && drawable.setState(drawableState)) {
            invalidateDrawable(drawable);
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: e */
    public LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams(-1, -2);
    }

    /* renamed from: f */
    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    /* access modifiers changed from: protected */
    /* renamed from: g */
    public LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (Build.VERSION.SDK_INT >= 19 && (layoutParams instanceof LinearLayout.LayoutParams)) {
            return new LayoutParams((LinearLayout.LayoutParams) layoutParams);
        }
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new LayoutParams((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new LayoutParams(layoutParams);
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    @NonNull
    public CoordinatorLayout.Behavior<AppBarLayout> getBehavior() {
        return new Behavior();
    }

    /* access modifiers changed from: package-private */
    public int getDownNestedPreScrollRange() {
        int i;
        int minimumHeight;
        int i2 = this.P0;
        if (i2 != -1) {
            return i2;
        }
        int i3 = 0;
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            View childAt = getChildAt(childCount);
            LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
            int measuredHeight = childAt.getMeasuredHeight();
            int i4 = layoutParams.k;
            if ((i4 & 5) == 5) {
                int i5 = ((LinearLayout.LayoutParams) layoutParams).topMargin + ((LinearLayout.LayoutParams) layoutParams).bottomMargin;
                if ((i4 & 8) != 0) {
                    minimumHeight = ViewCompat.getMinimumHeight(childAt);
                } else if ((i4 & 2) != 0) {
                    minimumHeight = measuredHeight - ViewCompat.getMinimumHeight(childAt);
                } else {
                    i = i5 + measuredHeight;
                    if (childCount == 0 && ViewCompat.getFitsSystemWindows(childAt)) {
                        i = Math.min(i, measuredHeight - getTopInset());
                    }
                    i3 += i;
                }
                i = i5 + minimumHeight;
                i = Math.min(i, measuredHeight - getTopInset());
                i3 += i;
            } else if (i3 > 0) {
                break;
            }
        }
        int max = Math.max(0, i3);
        this.P0 = max;
        return max;
    }

    /* access modifiers changed from: package-private */
    public int getDownNestedScrollRange() {
        int i = this.Q0;
        if (i != -1) {
            return i;
        }
        int childCount = getChildCount();
        int i2 = 0;
        int i3 = 0;
        while (true) {
            if (i2 >= childCount) {
                break;
            }
            View childAt = getChildAt(i2);
            LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
            int measuredHeight = childAt.getMeasuredHeight() + ((LinearLayout.LayoutParams) layoutParams).topMargin + ((LinearLayout.LayoutParams) layoutParams).bottomMargin;
            int i4 = layoutParams.k;
            if ((i4 & 1) == 0) {
                break;
            }
            i3 += measuredHeight;
            if ((i4 & 2) != 0) {
                i3 -= ViewCompat.getMinimumHeight(childAt);
                break;
            }
            i2++;
        }
        int max = Math.max(0, i3);
        this.Q0 = max;
        return max;
    }

    @IdRes
    public int getLiftOnScrollTargetViewId() {
        return this.Z0;
    }

    public final int getMinimumHeightForVisibleOverlappingContent() {
        int topInset = getTopInset();
        int minimumHeight = ViewCompat.getMinimumHeight(this);
        if (minimumHeight == 0) {
            int childCount = getChildCount();
            minimumHeight = childCount >= 1 ? ViewCompat.getMinimumHeight(getChildAt(childCount - 1)) : 0;
            if (minimumHeight == 0) {
                return getHeight() / 3;
            }
        }
        return (minimumHeight * 2) + topInset;
    }

    /* access modifiers changed from: package-private */
    public int getPendingAction() {
        return this.S0;
    }

    @Nullable
    public Drawable getStatusBarForeground() {
        return this.d1;
    }

    @Deprecated
    public float getTargetElevation() {
        return 0.0f;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public final int getTopInset() {
        WindowInsetsCompat windowInsetsCompat = this.T0;
        if (windowInsetsCompat != null) {
            return windowInsetsCompat.getSystemWindowInsetTop();
        }
        return 0;
    }

    public final int getTotalScrollRange() {
        int i = this.O0;
        if (i != -1) {
            return i;
        }
        int childCount = getChildCount();
        int i2 = 0;
        int i3 = 0;
        while (true) {
            if (i2 >= childCount) {
                break;
            }
            View childAt = getChildAt(i2);
            LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
            int measuredHeight = childAt.getMeasuredHeight();
            int i4 = layoutParams.k;
            if ((i4 & 1) == 0) {
                break;
            }
            i3 += measuredHeight + ((LinearLayout.LayoutParams) layoutParams).topMargin + ((LinearLayout.LayoutParams) layoutParams).bottomMargin;
            if (i2 == 0 && ViewCompat.getFitsSystemWindows(childAt)) {
                i3 -= getTopInset();
            }
            if ((i4 & 2) != 0) {
                i3 -= ViewCompat.getMinimumHeight(childAt);
                break;
            }
            i2++;
        }
        int max = Math.max(0, i3);
        this.O0 = max;
        return max;
    }

    /* access modifiers changed from: package-private */
    public int getUpNestedPreScrollRange() {
        return getTotalScrollRange();
    }

    /* access modifiers changed from: package-private */
    public boolean h() {
        return this.R0;
    }

    /* access modifiers changed from: package-private */
    public boolean j() {
        return getTotalScrollRange() != 0;
    }

    public boolean l() {
        return this.Y0;
    }

    public boolean m() {
        return this.X0;
    }

    /* access modifiers changed from: package-private */
    public void n(int i) {
        this.N0 = i;
        if (!willNotDraw()) {
            ViewCompat.postInvalidateOnAnimation(this);
        }
        List<c> list = this.U0;
        if (list != null) {
            int size = list.size();
            for (int i2 = 0; i2 < size; i2++) {
                c cVar = this.U0.get(i2);
                if (cVar != null) {
                    cVar.a(this, i);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public WindowInsetsCompat o(WindowInsetsCompat windowInsetsCompat) {
        WindowInsetsCompat windowInsetsCompat2 = ViewCompat.getFitsSystemWindows(this) ? windowInsetsCompat : null;
        if (!h.a(this.T0, windowInsetsCompat2)) {
            this.T0 = windowInsetsCompat2;
            C();
            requestLayout();
        }
        return windowInsetsCompat;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        i.e(this);
    }

    /* access modifiers changed from: protected */
    public int[] onCreateDrawableState(int i) {
        if (this.c1 == null) {
            this.c1 = new int[4];
        }
        int[] iArr = this.c1;
        int[] onCreateDrawableState = super.onCreateDrawableState(i + iArr.length);
        boolean z = this.W0;
        int i2 = R.attr.state_liftable;
        if (!z) {
            i2 = -i2;
        }
        iArr[0] = i2;
        iArr[1] = (!z || !this.X0) ? -R.attr.state_lifted : R.attr.state_lifted;
        int i3 = R.attr.state_collapsible;
        if (!z) {
            i3 = -i3;
        }
        iArr[2] = i3;
        iArr[3] = (!z || !this.X0) ? -R.attr.state_collapsed : R.attr.state_collapsed;
        return LinearLayout.mergeDrawableStates(onCreateDrawableState, iArr);
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        c();
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        boolean z2 = true;
        if (ViewCompat.getFitsSystemWindows(this) && A()) {
            int topInset = getTopInset();
            for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
                ViewCompat.offsetTopAndBottom(getChildAt(childCount), topInset);
            }
        }
        k();
        this.R0 = false;
        int childCount2 = getChildCount();
        int i5 = 0;
        while (true) {
            if (i5 >= childCount2) {
                break;
            } else if (((LayoutParams) getChildAt(i5).getLayoutParams()).b() != null) {
                this.R0 = true;
                break;
            } else {
                i5++;
            }
        }
        Drawable drawable = this.d1;
        if (drawable != null) {
            drawable.setBounds(0, 0, getWidth(), getTopInset());
        }
        if (!this.V0) {
            if (!this.Y0 && !i()) {
                z2 = false;
            }
            v(z2);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
        int mode = View.MeasureSpec.getMode(i2);
        if (mode != 1073741824 && ViewCompat.getFitsSystemWindows(this) && A()) {
            int measuredHeight = getMeasuredHeight();
            if (mode == Integer.MIN_VALUE) {
                measuredHeight = androidx.core.f.a.c(getMeasuredHeight() + getTopInset(), 0, View.MeasureSpec.getSize(i2));
            } else if (mode == 0) {
                measuredHeight += getTopInset();
            }
            setMeasuredDimension(getMeasuredWidth(), measuredHeight);
        }
        k();
    }

    public void p(@Nullable c cVar) {
        List<c> list = this.U0;
        if (list != null && cVar != null) {
            list.remove(cVar);
        }
    }

    public void q(d dVar) {
        p(dVar);
    }

    /* access modifiers changed from: package-private */
    public void r() {
        this.S0 = 0;
    }

    public void s(boolean z, boolean z2) {
        t(z, z2, true);
    }

    @RequiresApi(21)
    public void setElevation(float f) {
        super.setElevation(f);
        i.d(this, f);
    }

    public void setExpanded(boolean z) {
        s(z, ViewCompat.isLaidOut(this));
    }

    public void setLiftOnScroll(boolean z) {
        this.Y0 = z;
    }

    public void setLiftOnScrollTargetViewId(@IdRes int i) {
        this.Z0 = i;
        c();
    }

    public void setOrientation(int i) {
        if (i == 1) {
            super.setOrientation(i);
            return;
        }
        throw new IllegalArgumentException("AppBarLayout is always vertical and does not support horizontal orientation");
    }

    public void setStatusBarForeground(@Nullable Drawable drawable) {
        Drawable drawable2 = this.d1;
        if (drawable2 != drawable) {
            Drawable drawable3 = null;
            if (drawable2 != null) {
                drawable2.setCallback(null);
            }
            if (drawable != null) {
                drawable3 = drawable.mutate();
            }
            this.d1 = drawable3;
            if (drawable3 != null) {
                if (drawable3.isStateful()) {
                    this.d1.setState(getDrawableState());
                }
                androidx.core.graphics.drawable.c.m(this.d1, ViewCompat.getLayoutDirection(this));
                this.d1.setVisible(getVisibility() == 0, false);
                this.d1.setCallback(this);
            }
            C();
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    public void setStatusBarForegroundColor(@ColorInt int i) {
        setStatusBarForeground(new ColorDrawable(i));
    }

    public void setStatusBarForegroundResource(@DrawableRes int i) {
        setStatusBarForeground(androidx.appcompat.a.a.a.d(getContext(), i));
    }

    @Deprecated
    public void setTargetElevation(float f) {
        if (Build.VERSION.SDK_INT >= 21) {
            b.b(this, f);
        }
    }

    public void setVisibility(int i) {
        super.setVisibility(i);
        boolean z = i == 0;
        Drawable drawable = this.d1;
        if (drawable != null) {
            drawable.setVisible(z, false);
        }
    }

    public boolean u(boolean z) {
        this.V0 = true;
        return v(z);
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(@NonNull Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.d1;
    }

    public boolean w(boolean z) {
        return x(z);
    }

    /* access modifiers changed from: package-private */
    public boolean x(boolean z) {
        if (this.X0 == z) {
            return false;
        }
        this.X0 = z;
        refreshDrawableState();
        if (!this.Y0 || !(getBackground() instanceof MaterialShapeDrawable)) {
            return true;
        }
        B((MaterialShapeDrawable) getBackground(), z);
        return true;
    }

    /* access modifiers changed from: package-private */
    public boolean z(@Nullable View view) {
        View d2 = d(view);
        if (d2 != null) {
            view = d2;
        }
        return view != null && (view.canScrollVertically(-1) || view.getScrollY() > 0);
    }

    /* access modifiers changed from: protected */
    public static class BaseBehavior<T extends AppBarLayout> extends HeaderBehavior<T> {
        private static final int l = 600;
        private static final int m = -1;
        private int n;
        private int o;
        private ValueAnimator p;
        private int q = -1;
        private boolean r;
        private float s;
        @Nullable
        private WeakReference<View> t;
        private d u;

        /* access modifiers changed from: package-private */
        public class a implements ValueAnimator.AnimatorUpdateListener {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ CoordinatorLayout f11352a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ AppBarLayout f11353b;

            a(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout) {
                this.f11352a = coordinatorLayout;
                this.f11353b = appBarLayout;
            }

            public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
                BaseBehavior.this.X(this.f11352a, this.f11353b, ((Integer) valueAnimator.getAnimatedValue()).intValue());
            }
        }

        /* access modifiers changed from: package-private */
        public class b implements AccessibilityViewCommand {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ CoordinatorLayout f11354a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ AppBarLayout f11355b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ View f11356c;

            /* renamed from: d  reason: collision with root package name */
            final /* synthetic */ int f11357d;

            b(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, View view, int i) {
                this.f11354a = coordinatorLayout;
                this.f11355b = appBarLayout;
                this.f11356c = view;
                this.f11357d = i;
            }

            /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.android.material.appbar.AppBarLayout$BaseBehavior */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // androidx.core.view.accessibility.AccessibilityViewCommand
            public boolean perform(@NonNull View view, @Nullable AccessibilityViewCommand.CommandArguments commandArguments) {
                BaseBehavior.this.r(this.f11354a, this.f11355b, this.f11356c, 0, this.f11357d, new int[]{0, 0}, 1);
                return true;
            }
        }

        /* access modifiers changed from: package-private */
        public class c implements AccessibilityViewCommand {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ AppBarLayout f11359a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ boolean f11360b;

            c(AppBarLayout appBarLayout, boolean z) {
                this.f11359a = appBarLayout;
                this.f11360b = z;
            }

            @Override // androidx.core.view.accessibility.AccessibilityViewCommand
            public boolean perform(@NonNull View view, @Nullable AccessibilityViewCommand.CommandArguments commandArguments) {
                this.f11359a.setExpanded(this.f11360b);
                return true;
            }
        }

        public static abstract class d<T extends AppBarLayout> {
            public abstract boolean a(@NonNull T t);
        }

        public BaseBehavior() {
        }

        private void A0(CoordinatorLayout coordinatorLayout, @NonNull T t2) {
            int U = U();
            int j0 = j0(t2, U);
            if (j0 >= 0) {
                View childAt = t2.getChildAt(j0);
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                int a2 = layoutParams.a();
                if ((a2 & 17) == 17) {
                    int i = -childAt.getTop();
                    int i2 = -childAt.getBottom();
                    if (j0 == t2.getChildCount() - 1) {
                        i2 += t2.getTopInset();
                    }
                    if (g0(a2, 2)) {
                        i2 += ViewCompat.getMinimumHeight(childAt);
                    } else if (g0(a2, 5)) {
                        int minimumHeight = ViewCompat.getMinimumHeight(childAt) + i2;
                        if (U < minimumHeight) {
                            i = minimumHeight;
                        } else {
                            i2 = minimumHeight;
                        }
                    }
                    if (g0(a2, 32)) {
                        i += ((LinearLayout.LayoutParams) layoutParams).topMargin;
                        i2 -= ((LinearLayout.LayoutParams) layoutParams).bottomMargin;
                    }
                    if (U < (i2 + i) / 2) {
                        i = i2;
                    }
                    c0(coordinatorLayout, t2, androidx.core.f.a.c(i, -t2.getTotalScrollRange(), 0), 0.0f);
                }
            }
        }

        private void B0(CoordinatorLayout coordinatorLayout, @NonNull T t2) {
            ViewCompat.removeAccessibilityAction(coordinatorLayout, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_SCROLL_FORWARD.getId());
            ViewCompat.removeAccessibilityAction(coordinatorLayout, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_SCROLL_BACKWARD.getId());
            View h0 = h0(coordinatorLayout);
            if (h0 != null && t2.getTotalScrollRange() != 0 && (((CoordinatorLayout.d) h0.getLayoutParams()).f() instanceof ScrollingViewBehavior)) {
                a0(coordinatorLayout, t2, h0);
            }
        }

        private void C0(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t2, int i, int i2, boolean z) {
            View i0 = i0(t2, i);
            if (i0 != null) {
                int a2 = ((LayoutParams) i0.getLayoutParams()).a();
                boolean z2 = false;
                if ((a2 & 1) != 0) {
                    int minimumHeight = ViewCompat.getMinimumHeight(i0);
                    if (i2 <= 0 || (a2 & 12) == 0 ? !((a2 & 2) == 0 || (-i) < (i0.getBottom() - minimumHeight) - t2.getTopInset()) : (-i) >= (i0.getBottom() - minimumHeight) - t2.getTopInset()) {
                        z2 = true;
                    }
                }
                if (t2.l()) {
                    z2 = t2.z(h0(coordinatorLayout));
                }
                boolean x = t2.x(z2);
                if (z || (x && z0(coordinatorLayout, t2))) {
                    t2.jumpDrawablesToCurrentState();
                }
            }
        }

        private void a0(CoordinatorLayout coordinatorLayout, @NonNull T t2, @NonNull View view) {
            if (U() != (-t2.getTotalScrollRange()) && view.canScrollVertically(1)) {
                b0(coordinatorLayout, t2, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_SCROLL_FORWARD, false);
            }
            if (U() == 0) {
                return;
            }
            if (view.canScrollVertically(-1)) {
                int i = -t2.getDownNestedPreScrollRange();
                if (i != 0) {
                    ViewCompat.replaceAccessibilityAction(coordinatorLayout, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_SCROLL_BACKWARD, null, new b(coordinatorLayout, t2, view, i));
                    return;
                }
                return;
            }
            b0(coordinatorLayout, t2, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_SCROLL_BACKWARD, true);
        }

        private void b0(CoordinatorLayout coordinatorLayout, @NonNull T t2, @NonNull AccessibilityNodeInfoCompat.AccessibilityActionCompat accessibilityActionCompat, boolean z) {
            ViewCompat.replaceAccessibilityAction(coordinatorLayout, accessibilityActionCompat, null, new c(t2, z));
        }

        private void c0(CoordinatorLayout coordinatorLayout, @NonNull T t2, int i, float f) {
            int i2;
            int abs = Math.abs(U() - i);
            float abs2 = Math.abs(f);
            if (abs2 > 0.0f) {
                i2 = Math.round((((float) abs) / abs2) * 1000.0f) * 3;
            } else {
                i2 = (int) (((((float) abs) / ((float) t2.getHeight())) + 1.0f) * 150.0f);
            }
            d0(coordinatorLayout, t2, i, i2);
        }

        private void d0(CoordinatorLayout coordinatorLayout, T t2, int i, int i2) {
            int U = U();
            if (U == i) {
                ValueAnimator valueAnimator = this.p;
                if (valueAnimator != null && valueAnimator.isRunning()) {
                    this.p.cancel();
                    return;
                }
                return;
            }
            ValueAnimator valueAnimator2 = this.p;
            if (valueAnimator2 == null) {
                ValueAnimator valueAnimator3 = new ValueAnimator();
                this.p = valueAnimator3;
                valueAnimator3.setInterpolator(com.google.android.material.a.a.f11330e);
                this.p.addUpdateListener(new a(coordinatorLayout, t2));
            } else {
                valueAnimator2.cancel();
            }
            this.p.setDuration((long) Math.min(i2, 600));
            this.p.setIntValues(U, i);
            this.p.start();
        }

        private boolean f0(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t2, @NonNull View view) {
            return t2.j() && coordinatorLayout.getHeight() - view.getHeight() <= t2.getHeight();
        }

        private static boolean g0(int i, int i2) {
            return (i & i2) == i2;
        }

        @Nullable
        private View h0(@NonNull CoordinatorLayout coordinatorLayout) {
            int childCount = coordinatorLayout.getChildCount();
            for (int i = 0; i < childCount; i++) {
                View childAt = coordinatorLayout.getChildAt(i);
                if ((childAt instanceof NestedScrollingChild) || (childAt instanceof ListView) || (childAt instanceof ScrollView)) {
                    return childAt;
                }
            }
            return null;
        }

        @Nullable
        private static View i0(@NonNull AppBarLayout appBarLayout, int i) {
            int abs = Math.abs(i);
            int childCount = appBarLayout.getChildCount();
            for (int i2 = 0; i2 < childCount; i2++) {
                View childAt = appBarLayout.getChildAt(i2);
                if (abs >= childAt.getTop() && abs <= childAt.getBottom()) {
                    return childAt;
                }
            }
            return null;
        }

        private int j0(@NonNull T t2, int i) {
            int childCount = t2.getChildCount();
            for (int i2 = 0; i2 < childCount; i2++) {
                View childAt = t2.getChildAt(i2);
                int top2 = childAt.getTop();
                int bottom = childAt.getBottom();
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (g0(layoutParams.a(), 32)) {
                    top2 -= ((LinearLayout.LayoutParams) layoutParams).topMargin;
                    bottom += ((LinearLayout.LayoutParams) layoutParams).bottomMargin;
                }
                int i3 = -i;
                if (top2 <= i3 && bottom >= i3) {
                    return i2;
                }
            }
            return -1;
        }

        private int m0(@NonNull T t2, int i) {
            int abs = Math.abs(i);
            int childCount = t2.getChildCount();
            int i2 = 0;
            int i3 = 0;
            while (true) {
                if (i3 >= childCount) {
                    break;
                }
                View childAt = t2.getChildAt(i3);
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                Interpolator b2 = layoutParams.b();
                if (abs < childAt.getTop() || abs > childAt.getBottom()) {
                    i3++;
                } else if (b2 != null) {
                    int a2 = layoutParams.a();
                    if ((a2 & 1) != 0) {
                        i2 = 0 + childAt.getHeight() + ((LinearLayout.LayoutParams) layoutParams).topMargin + ((LinearLayout.LayoutParams) layoutParams).bottomMargin;
                        if ((a2 & 2) != 0) {
                            i2 -= ViewCompat.getMinimumHeight(childAt);
                        }
                    }
                    if (ViewCompat.getFitsSystemWindows(childAt)) {
                        i2 -= t2.getTopInset();
                    }
                    if (i2 > 0) {
                        float f = (float) i2;
                        return Integer.signum(i) * (childAt.getTop() + Math.round(f * b2.getInterpolation(((float) (abs - childAt.getTop())) / f)));
                    }
                }
            }
            return i;
        }

        private boolean z0(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t2) {
            List<View> r2 = coordinatorLayout.r(t2);
            int size = r2.size();
            for (int i = 0; i < size; i++) {
                CoordinatorLayout.Behavior f = ((CoordinatorLayout.d) r2.get(i).getLayoutParams()).f();
                if (f instanceof ScrollingViewBehavior) {
                    if (((ScrollingViewBehavior) f).S() != 0) {
                        return true;
                    } else {
                        return false;
                    }
                }
            }
            return false;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.android.material.appbar.HeaderBehavior
        public int U() {
            return H() + this.n;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: e0 */
        public boolean P(T t2) {
            d dVar = this.u;
            if (dVar != null) {
                return dVar.a(t2);
            }
            WeakReference<View> weakReference = this.t;
            if (weakReference == null) {
                return true;
            }
            View view = weakReference.get();
            if (view == null || !view.isShown() || view.canScrollVertically(-1)) {
                return false;
            }
            return true;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: k0 */
        public int S(@NonNull T t2) {
            return -t2.getDownNestedScrollRange();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: l0 */
        public int T(@NonNull T t2) {
            return t2.getTotalScrollRange();
        }

        /* access modifiers changed from: package-private */
        @VisibleForTesting
        public boolean n0() {
            ValueAnimator valueAnimator = this.p;
            return valueAnimator != null && valueAnimator.isRunning();
        }

        /* access modifiers changed from: package-private */
        /* renamed from: o0 */
        public void V(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t2) {
            A0(coordinatorLayout, t2);
            if (t2.l()) {
                t2.x(t2.z(h0(coordinatorLayout)));
            }
        }

        /* renamed from: p0 */
        public boolean m(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t2, int i) {
            int i2;
            boolean m2 = super.m(coordinatorLayout, t2, i);
            int pendingAction = t2.getPendingAction();
            int i3 = this.q;
            if (i3 >= 0 && (pendingAction & 8) == 0) {
                View childAt = t2.getChildAt(i3);
                int i4 = -childAt.getBottom();
                if (this.r) {
                    i2 = ViewCompat.getMinimumHeight(childAt) + t2.getTopInset();
                } else {
                    i2 = Math.round(((float) childAt.getHeight()) * this.s);
                }
                X(coordinatorLayout, t2, i4 + i2);
            } else if (pendingAction != 0) {
                boolean z = (pendingAction & 4) != 0;
                if ((pendingAction & 2) != 0) {
                    int i5 = -t2.getUpNestedPreScrollRange();
                    if (z) {
                        c0(coordinatorLayout, t2, i5, 0.0f);
                    } else {
                        X(coordinatorLayout, t2, i5);
                    }
                } else if ((pendingAction & 1) != 0) {
                    if (z) {
                        c0(coordinatorLayout, t2, 0, 0.0f);
                    } else {
                        X(coordinatorLayout, t2, 0);
                    }
                }
            }
            t2.r();
            this.q = -1;
            N(androidx.core.f.a.c(H(), -t2.getTotalScrollRange(), 0));
            C0(coordinatorLayout, t2, H(), 0, true);
            t2.n(H());
            B0(coordinatorLayout, t2);
            return m2;
        }

        /* renamed from: q0 */
        public boolean n(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t2, int i, int i2, int i3, int i4) {
            if (((ViewGroup.MarginLayoutParams) ((CoordinatorLayout.d) t2.getLayoutParams())).height != -2) {
                return super.n(coordinatorLayout, t2, i, i2, i3, i4);
            }
            coordinatorLayout.I(t2, i, i2, View.MeasureSpec.makeMeasureSpec(0, 0), i4);
            return true;
        }

        /* renamed from: r0 */
        public void r(CoordinatorLayout coordinatorLayout, @NonNull T t2, View view, int i, int i2, int[] iArr, int i3) {
            int i4;
            int i5;
            if (i2 != 0) {
                if (i2 < 0) {
                    int i6 = -t2.getTotalScrollRange();
                    i5 = i6;
                    i4 = t2.getDownNestedPreScrollRange() + i6;
                } else {
                    i5 = -t2.getUpNestedPreScrollRange();
                    i4 = 0;
                }
                if (i5 != i4) {
                    iArr[1] = W(coordinatorLayout, t2, i2, i5, i4);
                }
            }
            if (t2.l()) {
                t2.x(t2.z(view));
            }
        }

        /* renamed from: s0 */
        public void u(CoordinatorLayout coordinatorLayout, @NonNull T t2, View view, int i, int i2, int i3, int i4, int i5, int[] iArr) {
            if (i4 < 0) {
                iArr[1] = W(coordinatorLayout, t2, i4, -t2.getDownNestedScrollRange(), 0);
            }
            if (i4 == 0) {
                B0(coordinatorLayout, t2);
            }
        }

        /* renamed from: t0 */
        public void y(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t2, Parcelable parcelable) {
            if (parcelable instanceof SavedState) {
                SavedState savedState = (SavedState) parcelable;
                super.y(coordinatorLayout, t2, savedState.a());
                this.q = savedState.I0;
                this.s = savedState.J0;
                this.r = savedState.K0;
                return;
            }
            super.y(coordinatorLayout, t2, parcelable);
            this.q = -1;
        }

        /* renamed from: u0 */
        public Parcelable z(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t2) {
            Parcelable z = super.z(coordinatorLayout, t2);
            int H = H();
            int childCount = t2.getChildCount();
            boolean z2 = false;
            for (int i = 0; i < childCount; i++) {
                View childAt = t2.getChildAt(i);
                int bottom = childAt.getBottom() + H;
                if (childAt.getTop() + H <= 0 && bottom >= 0) {
                    SavedState savedState = new SavedState(z);
                    savedState.I0 = i;
                    if (bottom == ViewCompat.getMinimumHeight(childAt) + t2.getTopInset()) {
                        z2 = true;
                    }
                    savedState.K0 = z2;
                    savedState.J0 = ((float) bottom) / ((float) childAt.getHeight());
                    return savedState;
                }
            }
            return z;
        }

        /* renamed from: v0 */
        public boolean B(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t2, @NonNull View view, View view2, int i, int i2) {
            ValueAnimator valueAnimator;
            boolean z = (i & 2) != 0 && (t2.l() || f0(coordinatorLayout, t2, view));
            if (z && (valueAnimator = this.p) != null) {
                valueAnimator.cancel();
            }
            this.t = null;
            this.o = i2;
            return z;
        }

        /* renamed from: w0 */
        public void D(CoordinatorLayout coordinatorLayout, @NonNull T t2, View view, int i) {
            if (this.o == 0 || i == 1) {
                A0(coordinatorLayout, t2);
                if (t2.l()) {
                    t2.x(t2.z(view));
                }
            }
            this.t = new WeakReference<>(view);
        }

        public void x0(@Nullable d dVar) {
            this.u = dVar;
        }

        /* access modifiers changed from: package-private */
        /* renamed from: y0 */
        public int Y(@NonNull CoordinatorLayout coordinatorLayout, @NonNull T t2, int i, int i2, int i3) {
            int U = U();
            int i4 = 0;
            if (i2 == 0 || U < i2 || U > i3) {
                this.n = 0;
            } else {
                int c2 = androidx.core.f.a.c(i, i2, i3);
                if (U != c2) {
                    int m0 = t2.h() ? m0(t2, c2) : c2;
                    boolean N = N(m0);
                    i4 = U - c2;
                    this.n = c2 - m0;
                    if (!N && t2.h()) {
                        coordinatorLayout.j(t2);
                    }
                    t2.n(H());
                    C0(coordinatorLayout, t2, c2, c2 < U ? -1 : 1, false);
                }
            }
            B0(coordinatorLayout, t2);
            return i4;
        }

        public BaseBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        /* access modifiers changed from: protected */
        public static class SavedState extends AbsSavedState {
            public static final Parcelable.Creator<SavedState> CREATOR = new a();
            int I0;
            float J0;
            boolean K0;

            static class a implements Parcelable.ClassLoaderCreator<SavedState> {
                a() {
                }

                @Nullable
                /* renamed from: a */
                public SavedState createFromParcel(@NonNull Parcel parcel) {
                    return new SavedState(parcel, null);
                }

                @NonNull
                /* renamed from: b */
                public SavedState createFromParcel(@NonNull Parcel parcel, ClassLoader classLoader) {
                    return new SavedState(parcel, classLoader);
                }

                @NonNull
                /* renamed from: c */
                public SavedState[] newArray(int i) {
                    return new SavedState[i];
                }
            }

            public SavedState(@NonNull Parcel parcel, ClassLoader classLoader) {
                super(parcel, classLoader);
                this.I0 = parcel.readInt();
                this.J0 = parcel.readFloat();
                this.K0 = parcel.readByte() != 0;
            }

            @Override // androidx.customview.view.AbsSavedState
            public void writeToParcel(@NonNull Parcel parcel, int i) {
                super.writeToParcel(parcel, i);
                parcel.writeInt(this.I0);
                parcel.writeFloat(this.J0);
                parcel.writeByte(this.K0 ? (byte) 1 : 0);
            }

            public SavedState(Parcelable parcelable) {
                super(parcelable);
            }
        }
    }

    public AppBarLayout(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.appBarLayoutStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public AppBarLayout(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i, r4), attributeSet, i);
        int i2 = L0;
        this.O0 = -1;
        this.P0 = -1;
        this.Q0 = -1;
        this.S0 = 0;
        Context context2 = getContext();
        setOrientation(1);
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 21) {
            b.a(this);
            b.c(this, attributeSet, i, i2);
        }
        TypedArray j = m.j(context2, attributeSet, R.styleable.AppBarLayout, i, i2, new int[0]);
        ViewCompat.setBackground(this, j.getDrawable(R.styleable.AppBarLayout_android_background));
        if (getBackground() instanceof ColorDrawable) {
            MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
            materialShapeDrawable.n0(ColorStateList.valueOf(((ColorDrawable) getBackground()).getColor()));
            materialShapeDrawable.Y(context2);
            ViewCompat.setBackground(this, materialShapeDrawable);
        }
        int i4 = R.styleable.AppBarLayout_expanded;
        if (j.hasValue(i4)) {
            t(j.getBoolean(i4, false), false, false);
        }
        if (i3 >= 21) {
            int i5 = R.styleable.AppBarLayout_elevation;
            if (j.hasValue(i5)) {
                b.b(this, (float) j.getDimensionPixelSize(i5, 0));
            }
        }
        if (i3 >= 26) {
            int i6 = R.styleable.AppBarLayout_android_keyboardNavigationCluster;
            if (j.hasValue(i6)) {
                setKeyboardNavigationCluster(j.getBoolean(i6, false));
            }
            int i7 = R.styleable.AppBarLayout_android_touchscreenBlocksFocus;
            if (j.hasValue(i7)) {
                setTouchscreenBlocksFocus(j.getBoolean(i7, false));
            }
        }
        this.Y0 = j.getBoolean(R.styleable.AppBarLayout_liftOnScroll, false);
        this.Z0 = j.getResourceId(R.styleable.AppBarLayout_liftOnScrollTargetViewId, -1);
        setStatusBarForeground(j.getDrawable(R.styleable.AppBarLayout_statusBarForeground));
        j.recycle();
        ViewCompat.setOnApplyWindowInsetsListener(this, new a());
    }

    public static class LayoutParams extends LinearLayout.LayoutParams {

        /* renamed from: a  reason: collision with root package name */
        public static final int f11362a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f11363b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f11364c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f11365d = 4;

        /* renamed from: e  reason: collision with root package name */
        public static final int f11366e = 8;
        public static final int f = 16;
        public static final int g = 32;
        static final int h = 5;
        static final int i = 17;
        static final int j = 10;
        int k = 1;
        Interpolator l;

        @Retention(RetentionPolicy.SOURCE)
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
        public @interface ScrollFlags {
        }

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.AppBarLayout_Layout);
            this.k = obtainStyledAttributes.getInt(R.styleable.AppBarLayout_Layout_layout_scrollFlags, 0);
            int i2 = R.styleable.AppBarLayout_Layout_layout_scrollInterpolator;
            if (obtainStyledAttributes.hasValue(i2)) {
                this.l = AnimationUtils.loadInterpolator(context, obtainStyledAttributes.getResourceId(i2, 0));
            }
            obtainStyledAttributes.recycle();
        }

        public int a() {
            return this.k;
        }

        public Interpolator b() {
            return this.l;
        }

        /* access modifiers changed from: package-private */
        public boolean c() {
            int i2 = this.k;
            return (i2 & 1) == 1 && (i2 & 10) != 0;
        }

        public void d(int i2) {
            this.k = i2;
        }

        public void e(Interpolator interpolator) {
            this.l = interpolator;
        }

        public LayoutParams(int i2, int i3) {
            super(i2, i3);
        }

        public LayoutParams(int i2, int i3, float f2) {
            super(i2, i3, f2);
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public LayoutParams(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        @RequiresApi(19)
        public LayoutParams(LinearLayout.LayoutParams layoutParams) {
            super(layoutParams);
        }

        @RequiresApi(19)
        public LayoutParams(@NonNull LayoutParams layoutParams) {
            super((LinearLayout.LayoutParams) layoutParams);
            this.k = layoutParams.k;
            this.l = layoutParams.l;
        }
    }
}
