package com.google.android.material.appbar;

import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.FrameLayout;
import androidx.annotation.ColorInt;
import androidx.annotation.DrawableRes;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.appcompat.widget.Toolbar;
import androidx.core.content.d;
import androidx.core.util.h;
import androidx.core.view.OnApplyWindowInsetsListener;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import com.google.android.material.R;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.badge.BadgeDrawable;
import com.google.android.material.internal.m;

public class CollapsingToolbarLayout extends FrameLayout {

    /* renamed from: a  reason: collision with root package name */
    private static final int f11370a = R.style.Widget_Design_CollapsingToolbar;

    /* renamed from: b  reason: collision with root package name */
    private static final int f11371b = 600;
    private boolean I0;
    private int J0;
    @Nullable
    private ViewGroup K0;
    @Nullable
    private View L0;
    private View M0;
    private int N0;
    private int O0;
    private int P0;
    private int Q0;
    private final Rect R0;
    @NonNull
    final com.google.android.material.internal.a S0;
    private boolean T0;
    private boolean U0;
    @Nullable
    private Drawable V0;
    @Nullable
    Drawable W0;
    private int X0;
    private boolean Y0;
    private ValueAnimator Z0;
    private long a1;
    private int b1;
    private AppBarLayout.d c1;
    int d1;
    @Nullable
    WindowInsetsCompat e1;

    class a implements OnApplyWindowInsetsListener {
        a() {
        }

        @Override // androidx.core.view.OnApplyWindowInsetsListener
        public WindowInsetsCompat onApplyWindowInsets(View view, @NonNull WindowInsetsCompat windowInsetsCompat) {
            return CollapsingToolbarLayout.this.m(windowInsetsCompat);
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ValueAnimator.AnimatorUpdateListener {
        b() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            CollapsingToolbarLayout.this.setScrimAlpha(((Integer) valueAnimator.getAnimatedValue()).intValue());
        }
    }

    private class c implements AppBarLayout.d {
        c() {
        }

        @Override // com.google.android.material.appbar.AppBarLayout.d, com.google.android.material.appbar.AppBarLayout.c
        public void a(AppBarLayout appBarLayout, int i) {
            CollapsingToolbarLayout collapsingToolbarLayout = CollapsingToolbarLayout.this;
            collapsingToolbarLayout.d1 = i;
            WindowInsetsCompat windowInsetsCompat = collapsingToolbarLayout.e1;
            int systemWindowInsetTop = windowInsetsCompat != null ? windowInsetsCompat.getSystemWindowInsetTop() : 0;
            int childCount = CollapsingToolbarLayout.this.getChildCount();
            for (int i2 = 0; i2 < childCount; i2++) {
                View childAt = CollapsingToolbarLayout.this.getChildAt(i2);
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                a i3 = CollapsingToolbarLayout.i(childAt);
                int i4 = layoutParams.f11376e;
                if (i4 == 1) {
                    i3.k(androidx.core.f.a.c(-i, 0, CollapsingToolbarLayout.this.g(childAt)));
                } else if (i4 == 2) {
                    i3.k(Math.round(((float) (-i)) * layoutParams.f));
                }
            }
            CollapsingToolbarLayout.this.s();
            CollapsingToolbarLayout collapsingToolbarLayout2 = CollapsingToolbarLayout.this;
            if (collapsingToolbarLayout2.W0 != null && systemWindowInsetTop > 0) {
                ViewCompat.postInvalidateOnAnimation(collapsingToolbarLayout2);
            }
            CollapsingToolbarLayout.this.S0.h0(((float) Math.abs(i)) / ((float) ((CollapsingToolbarLayout.this.getHeight() - ViewCompat.getMinimumHeight(CollapsingToolbarLayout.this)) - systemWindowInsetTop)));
        }
    }

    public CollapsingToolbarLayout(@NonNull Context context) {
        this(context, null);
    }

    private void a(int i) {
        b();
        ValueAnimator valueAnimator = this.Z0;
        if (valueAnimator == null) {
            ValueAnimator valueAnimator2 = new ValueAnimator();
            this.Z0 = valueAnimator2;
            valueAnimator2.setDuration(this.a1);
            this.Z0.setInterpolator(i > this.X0 ? com.google.android.material.a.a.f11328c : com.google.android.material.a.a.f11329d);
            this.Z0.addUpdateListener(new b());
        } else if (valueAnimator.isRunning()) {
            this.Z0.cancel();
        }
        this.Z0.setIntValues(this.X0, i);
        this.Z0.start();
    }

    private void b() {
        if (this.I0) {
            ViewGroup viewGroup = null;
            this.K0 = null;
            this.L0 = null;
            int i = this.J0;
            if (i != -1) {
                ViewGroup viewGroup2 = (ViewGroup) findViewById(i);
                this.K0 = viewGroup2;
                if (viewGroup2 != null) {
                    this.L0 = c(viewGroup2);
                }
            }
            if (this.K0 == null) {
                int childCount = getChildCount();
                int i2 = 0;
                while (true) {
                    if (i2 >= childCount) {
                        break;
                    }
                    View childAt = getChildAt(i2);
                    if (k(childAt)) {
                        viewGroup = (ViewGroup) childAt;
                        break;
                    }
                    i2++;
                }
                this.K0 = viewGroup;
            }
            r();
            this.I0 = false;
        }
    }

    @NonNull
    private View c(@NonNull View view) {
        ViewParent parent = view.getParent();
        while (parent != this && parent != null) {
            if (parent instanceof View) {
                view = (View) parent;
            }
            parent = parent.getParent();
        }
        return view;
    }

    private static int f(@NonNull View view) {
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (!(layoutParams instanceof ViewGroup.MarginLayoutParams)) {
            return view.getMeasuredHeight();
        }
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
        return view.getMeasuredHeight() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin;
    }

    private static CharSequence h(View view) {
        if (view instanceof Toolbar) {
            return ((Toolbar) view).getTitle();
        }
        if (Build.VERSION.SDK_INT < 21 || !(view instanceof android.widget.Toolbar)) {
            return null;
        }
        return ((android.widget.Toolbar) view).getTitle();
    }

    @NonNull
    static a i(@NonNull View view) {
        int i = R.id.view_offset_helper;
        a aVar = (a) view.getTag(i);
        if (aVar != null) {
            return aVar;
        }
        a aVar2 = new a(view);
        view.setTag(i, aVar2);
        return aVar2;
    }

    private static boolean k(View view) {
        return (view instanceof Toolbar) || (Build.VERSION.SDK_INT >= 21 && (view instanceof android.widget.Toolbar));
    }

    private boolean l(View view) {
        View view2 = this.L0;
        if (view2 == null || view2 == this) {
            if (view == this.K0) {
                return true;
            }
        } else if (view == view2) {
            return true;
        }
        return false;
    }

    private void p(boolean z) {
        int i;
        int i2;
        int i3;
        View view = this.L0;
        if (view == null) {
            view = this.K0;
        }
        int g = g(view);
        com.google.android.material.internal.c.a(this, this.M0, this.R0);
        ViewGroup viewGroup = this.K0;
        int i4 = 0;
        if (viewGroup instanceof Toolbar) {
            Toolbar toolbar = (Toolbar) viewGroup;
            i4 = toolbar.getTitleMarginStart();
            i2 = toolbar.getTitleMarginEnd();
            i = toolbar.getTitleMarginTop();
            i3 = toolbar.getTitleMarginBottom();
        } else if (Build.VERSION.SDK_INT < 24 || !(viewGroup instanceof android.widget.Toolbar)) {
            i3 = 0;
            i2 = 0;
            i = 0;
        } else {
            android.widget.Toolbar toolbar2 = (android.widget.Toolbar) viewGroup;
            i4 = toolbar2.getTitleMarginStart();
            i2 = toolbar2.getTitleMarginEnd();
            i = toolbar2.getTitleMarginTop();
            i3 = toolbar2.getTitleMarginBottom();
        }
        com.google.android.material.internal.a aVar = this.S0;
        Rect rect = this.R0;
        int i5 = rect.left + (z ? i2 : i4);
        int i6 = rect.top + g + i;
        int i7 = rect.right;
        if (!z) {
            i4 = i2;
        }
        aVar.P(i5, i6, i7 - i4, (rect.bottom + g) - i3);
    }

    private void q() {
        setContentDescription(getTitle());
    }

    private void r() {
        View view;
        if (!this.T0 && (view = this.M0) != null) {
            ViewParent parent = view.getParent();
            if (parent instanceof ViewGroup) {
                ((ViewGroup) parent).removeView(this.M0);
            }
        }
        if (this.T0 && this.K0 != null) {
            if (this.M0 == null) {
                this.M0 = new View(getContext());
            }
            if (this.M0.getParent() == null) {
                this.K0.addView(this.M0, -1, -1);
            }
        }
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof LayoutParams;
    }

    /* access modifiers changed from: protected */
    /* renamed from: d */
    public LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams(-1, -1);
    }

    public void draw(@NonNull Canvas canvas) {
        Drawable drawable;
        super.draw(canvas);
        b();
        if (this.K0 == null && (drawable = this.V0) != null && this.X0 > 0) {
            drawable.mutate().setAlpha(this.X0);
            this.V0.draw(canvas);
        }
        if (this.T0 && this.U0) {
            this.S0.j(canvas);
        }
        if (this.W0 != null && this.X0 > 0) {
            WindowInsetsCompat windowInsetsCompat = this.e1;
            int systemWindowInsetTop = windowInsetsCompat != null ? windowInsetsCompat.getSystemWindowInsetTop() : 0;
            if (systemWindowInsetTop > 0) {
                this.W0.setBounds(0, -this.d1, getWidth(), systemWindowInsetTop - this.d1);
                this.W0.mutate().setAlpha(this.X0);
                this.W0.draw(canvas);
            }
        }
    }

    /* access modifiers changed from: protected */
    public boolean drawChild(Canvas canvas, View view, long j) {
        boolean z;
        if (this.V0 == null || this.X0 <= 0 || !l(view)) {
            z = false;
        } else {
            this.V0.mutate().setAlpha(this.X0);
            this.V0.draw(canvas);
            z = true;
        }
        if (super.drawChild(canvas, view, j) || z) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        Drawable drawable = this.W0;
        boolean z = false;
        if (drawable != null && drawable.isStateful()) {
            z = false | drawable.setState(drawableState);
        }
        Drawable drawable2 = this.V0;
        if (drawable2 != null && drawable2.isStateful()) {
            z |= drawable2.setState(drawableState);
        }
        com.google.android.material.internal.a aVar = this.S0;
        if (aVar != null) {
            z |= aVar.l0(drawableState);
        }
        if (z) {
            invalidate();
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: e */
    public FrameLayout.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new LayoutParams(layoutParams);
    }

    /* access modifiers changed from: package-private */
    public final int g(@NonNull View view) {
        return ((getHeight() - i(view).c()) - view.getHeight()) - ((FrameLayout.LayoutParams) ((LayoutParams) view.getLayoutParams())).bottomMargin;
    }

    public int getCollapsedTitleGravity() {
        return this.S0.o();
    }

    @NonNull
    public Typeface getCollapsedTitleTypeface() {
        return this.S0.t();
    }

    @Nullable
    public Drawable getContentScrim() {
        return this.V0;
    }

    public int getExpandedTitleGravity() {
        return this.S0.y();
    }

    public int getExpandedTitleMarginBottom() {
        return this.Q0;
    }

    public int getExpandedTitleMarginEnd() {
        return this.P0;
    }

    public int getExpandedTitleMarginStart() {
        return this.N0;
    }

    public int getExpandedTitleMarginTop() {
        return this.O0;
    }

    @NonNull
    public Typeface getExpandedTitleTypeface() {
        return this.S0.B();
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public int getMaxLines() {
        return this.S0.D();
    }

    /* access modifiers changed from: package-private */
    public int getScrimAlpha() {
        return this.X0;
    }

    public long getScrimAnimationDuration() {
        return this.a1;
    }

    public int getScrimVisibleHeightTrigger() {
        int i = this.b1;
        if (i >= 0) {
            return i;
        }
        WindowInsetsCompat windowInsetsCompat = this.e1;
        int systemWindowInsetTop = windowInsetsCompat != null ? windowInsetsCompat.getSystemWindowInsetTop() : 0;
        int minimumHeight = ViewCompat.getMinimumHeight(this);
        if (minimumHeight > 0) {
            return Math.min((minimumHeight * 2) + systemWindowInsetTop, getHeight());
        }
        return getHeight() / 3;
    }

    @Nullable
    public Drawable getStatusBarScrim() {
        return this.W0;
    }

    @Nullable
    public CharSequence getTitle() {
        if (this.T0) {
            return this.S0.E();
        }
        return null;
    }

    public boolean j() {
        return this.T0;
    }

    /* access modifiers changed from: package-private */
    public WindowInsetsCompat m(@NonNull WindowInsetsCompat windowInsetsCompat) {
        WindowInsetsCompat windowInsetsCompat2 = ViewCompat.getFitsSystemWindows(this) ? windowInsetsCompat : null;
        if (!h.a(this.e1, windowInsetsCompat2)) {
            this.e1 = windowInsetsCompat2;
            requestLayout();
        }
        return windowInsetsCompat.consumeSystemWindowInsets();
    }

    public void n(int i, int i2, int i3, int i4) {
        this.N0 = i;
        this.O0 = i2;
        this.P0 = i3;
        this.Q0 = i4;
        requestLayout();
    }

    public void o(boolean z, boolean z2) {
        if (this.Y0 != z) {
            int i = 255;
            if (z2) {
                if (!z) {
                    i = 0;
                }
                a(i);
            } else {
                if (!z) {
                    i = 0;
                }
                setScrimAlpha(i);
            }
            this.Y0 = z;
        }
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        ViewParent parent = getParent();
        if (parent instanceof AppBarLayout) {
            ViewCompat.setFitsSystemWindows(this, ViewCompat.getFitsSystemWindows((View) parent));
            if (this.c1 == null) {
                this.c1 = new c();
            }
            ((AppBarLayout) parent).b(this.c1);
            ViewCompat.requestApplyInsets(this);
        }
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        ViewParent parent = getParent();
        AppBarLayout.d dVar = this.c1;
        if (dVar != null && (parent instanceof AppBarLayout)) {
            ((AppBarLayout) parent).q(dVar);
        }
        super.onDetachedFromWindow();
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        View view;
        super.onLayout(z, i, i2, i3, i4);
        WindowInsetsCompat windowInsetsCompat = this.e1;
        if (windowInsetsCompat != null) {
            int systemWindowInsetTop = windowInsetsCompat.getSystemWindowInsetTop();
            int childCount = getChildCount();
            for (int i5 = 0; i5 < childCount; i5++) {
                View childAt = getChildAt(i5);
                if (!ViewCompat.getFitsSystemWindows(childAt) && childAt.getTop() < systemWindowInsetTop) {
                    ViewCompat.offsetTopAndBottom(childAt, systemWindowInsetTop);
                }
            }
        }
        int childCount2 = getChildCount();
        for (int i6 = 0; i6 < childCount2; i6++) {
            i(getChildAt(i6)).h();
        }
        if (this.T0 && (view = this.M0) != null) {
            boolean z2 = true;
            boolean z3 = ViewCompat.isAttachedToWindow(view) && this.M0.getVisibility() == 0;
            this.U0 = z3;
            if (z3) {
                if (ViewCompat.getLayoutDirection(this) != 1) {
                    z2 = false;
                }
                p(z2);
                this.S0.Y(z2 ? this.P0 : this.N0, this.R0.top + this.O0, (i3 - i) - (z2 ? this.N0 : this.P0), (i4 - i2) - this.Q0);
                this.S0.N();
            }
        }
        if (this.K0 != null && this.T0 && TextUtils.isEmpty(this.S0.E())) {
            setTitle(h(this.K0));
        }
        s();
        int childCount3 = getChildCount();
        for (int i7 = 0; i7 < childCount3; i7++) {
            i(getChildAt(i7)).a();
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        b();
        super.onMeasure(i, i2);
        int mode = View.MeasureSpec.getMode(i2);
        WindowInsetsCompat windowInsetsCompat = this.e1;
        int systemWindowInsetTop = windowInsetsCompat != null ? windowInsetsCompat.getSystemWindowInsetTop() : 0;
        if (mode == 0 && systemWindowInsetTop > 0) {
            super.onMeasure(i, View.MeasureSpec.makeMeasureSpec(getMeasuredHeight() + systemWindowInsetTop, 1073741824));
        }
        ViewGroup viewGroup = this.K0;
        if (viewGroup != null) {
            View view = this.L0;
            if (view == null || view == this) {
                setMinimumHeight(f(viewGroup));
            } else {
                setMinimumHeight(f(view));
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        Drawable drawable = this.V0;
        if (drawable != null) {
            drawable.setBounds(0, 0, i, i2);
        }
    }

    /* access modifiers changed from: package-private */
    public final void s() {
        if (this.V0 != null || this.W0 != null) {
            setScrimsShown(getHeight() + this.d1 < getScrimVisibleHeightTrigger());
        }
    }

    public void setCollapsedTitleGravity(int i) {
        this.S0.U(i);
    }

    public void setCollapsedTitleTextAppearance(@StyleRes int i) {
        this.S0.R(i);
    }

    public void setCollapsedTitleTextColor(@ColorInt int i) {
        setCollapsedTitleTextColor(ColorStateList.valueOf(i));
    }

    public void setCollapsedTitleTypeface(@Nullable Typeface typeface) {
        this.S0.W(typeface);
    }

    public void setContentScrim(@Nullable Drawable drawable) {
        Drawable drawable2 = this.V0;
        if (drawable2 != drawable) {
            Drawable drawable3 = null;
            if (drawable2 != null) {
                drawable2.setCallback(null);
            }
            if (drawable != null) {
                drawable3 = drawable.mutate();
            }
            this.V0 = drawable3;
            if (drawable3 != null) {
                drawable3.setBounds(0, 0, getWidth(), getHeight());
                this.V0.setCallback(this);
                this.V0.setAlpha(this.X0);
            }
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    public void setContentScrimColor(@ColorInt int i) {
        setContentScrim(new ColorDrawable(i));
    }

    public void setContentScrimResource(@DrawableRes int i) {
        setContentScrim(d.i(getContext(), i));
    }

    public void setExpandedTitleColor(@ColorInt int i) {
        setExpandedTitleTextColor(ColorStateList.valueOf(i));
    }

    public void setExpandedTitleGravity(int i) {
        this.S0.d0(i);
    }

    public void setExpandedTitleMarginBottom(int i) {
        this.Q0 = i;
        requestLayout();
    }

    public void setExpandedTitleMarginEnd(int i) {
        this.P0 = i;
        requestLayout();
    }

    public void setExpandedTitleMarginStart(int i) {
        this.N0 = i;
        requestLayout();
    }

    public void setExpandedTitleMarginTop(int i) {
        this.O0 = i;
        requestLayout();
    }

    public void setExpandedTitleTextAppearance(@StyleRes int i) {
        this.S0.a0(i);
    }

    public void setExpandedTitleTextColor(@NonNull ColorStateList colorStateList) {
        this.S0.c0(colorStateList);
    }

    public void setExpandedTitleTypeface(@Nullable Typeface typeface) {
        this.S0.f0(typeface);
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void setMaxLines(int i) {
        this.S0.j0(i);
    }

    /* access modifiers changed from: package-private */
    public void setScrimAlpha(int i) {
        ViewGroup viewGroup;
        if (i != this.X0) {
            if (!(this.V0 == null || (viewGroup = this.K0) == null)) {
                ViewCompat.postInvalidateOnAnimation(viewGroup);
            }
            this.X0 = i;
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    public void setScrimAnimationDuration(@IntRange(from = 0) long j) {
        this.a1 = j;
    }

    public void setScrimVisibleHeightTrigger(@IntRange(from = 0) int i) {
        if (this.b1 != i) {
            this.b1 = i;
            s();
        }
    }

    public void setScrimsShown(boolean z) {
        o(z, ViewCompat.isLaidOut(this) && !isInEditMode());
    }

    public void setStatusBarScrim(@Nullable Drawable drawable) {
        Drawable drawable2 = this.W0;
        if (drawable2 != drawable) {
            Drawable drawable3 = null;
            if (drawable2 != null) {
                drawable2.setCallback(null);
            }
            if (drawable != null) {
                drawable3 = drawable.mutate();
            }
            this.W0 = drawable3;
            if (drawable3 != null) {
                if (drawable3.isStateful()) {
                    this.W0.setState(getDrawableState());
                }
                androidx.core.graphics.drawable.c.m(this.W0, ViewCompat.getLayoutDirection(this));
                this.W0.setVisible(getVisibility() == 0, false);
                this.W0.setCallback(this);
                this.W0.setAlpha(this.X0);
            }
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    public void setStatusBarScrimColor(@ColorInt int i) {
        setStatusBarScrim(new ColorDrawable(i));
    }

    public void setStatusBarScrimResource(@DrawableRes int i) {
        setStatusBarScrim(d.i(getContext(), i));
    }

    public void setTitle(@Nullable CharSequence charSequence) {
        this.S0.m0(charSequence);
        q();
    }

    public void setTitleEnabled(boolean z) {
        if (z != this.T0) {
            this.T0 = z;
            q();
            r();
            requestLayout();
        }
    }

    public void setVisibility(int i) {
        super.setVisibility(i);
        boolean z = i == 0;
        Drawable drawable = this.W0;
        if (!(drawable == null || drawable.isVisible() == z)) {
            this.W0.setVisible(z, false);
        }
        Drawable drawable2 = this.V0;
        if (drawable2 != null && drawable2.isVisible() != z) {
            this.V0.setVisible(z, false);
        }
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(@NonNull Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.V0 || drawable == this.W0;
    }

    public CollapsingToolbarLayout(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.collapsingToolbarLayoutStyle);
    }

    public void setCollapsedTitleTextColor(@NonNull ColorStateList colorStateList) {
        this.S0.T(colorStateList);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public CollapsingToolbarLayout(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i, r4), attributeSet, i);
        int i2 = f11370a;
        this.I0 = true;
        this.R0 = new Rect();
        this.b1 = -1;
        Context context2 = getContext();
        com.google.android.material.internal.a aVar = new com.google.android.material.internal.a(this);
        this.S0 = aVar;
        aVar.n0(com.google.android.material.a.a.f11330e);
        TypedArray j = m.j(context2, attributeSet, R.styleable.CollapsingToolbarLayout, i, i2, new int[0]);
        aVar.d0(j.getInt(R.styleable.CollapsingToolbarLayout_expandedTitleGravity, BadgeDrawable.J0));
        aVar.U(j.getInt(R.styleable.CollapsingToolbarLayout_collapsedTitleGravity, 8388627));
        int dimensionPixelSize = j.getDimensionPixelSize(R.styleable.CollapsingToolbarLayout_expandedTitleMargin, 0);
        this.Q0 = dimensionPixelSize;
        this.P0 = dimensionPixelSize;
        this.O0 = dimensionPixelSize;
        this.N0 = dimensionPixelSize;
        int i3 = R.styleable.CollapsingToolbarLayout_expandedTitleMarginStart;
        if (j.hasValue(i3)) {
            this.N0 = j.getDimensionPixelSize(i3, 0);
        }
        int i4 = R.styleable.CollapsingToolbarLayout_expandedTitleMarginEnd;
        if (j.hasValue(i4)) {
            this.P0 = j.getDimensionPixelSize(i4, 0);
        }
        int i5 = R.styleable.CollapsingToolbarLayout_expandedTitleMarginTop;
        if (j.hasValue(i5)) {
            this.O0 = j.getDimensionPixelSize(i5, 0);
        }
        int i6 = R.styleable.CollapsingToolbarLayout_expandedTitleMarginBottom;
        if (j.hasValue(i6)) {
            this.Q0 = j.getDimensionPixelSize(i6, 0);
        }
        this.T0 = j.getBoolean(R.styleable.CollapsingToolbarLayout_titleEnabled, true);
        setTitle(j.getText(R.styleable.CollapsingToolbarLayout_title));
        aVar.a0(R.style.TextAppearance_Design_CollapsingToolbar_Expanded);
        aVar.R(androidx.appcompat.R.style.TextAppearance_AppCompat_Widget_ActionBar_Title);
        int i7 = R.styleable.CollapsingToolbarLayout_expandedTitleTextAppearance;
        if (j.hasValue(i7)) {
            aVar.a0(j.getResourceId(i7, 0));
        }
        int i8 = R.styleable.CollapsingToolbarLayout_collapsedTitleTextAppearance;
        if (j.hasValue(i8)) {
            aVar.R(j.getResourceId(i8, 0));
        }
        this.b1 = j.getDimensionPixelSize(R.styleable.CollapsingToolbarLayout_scrimVisibleHeightTrigger, -1);
        int i9 = R.styleable.CollapsingToolbarLayout_maxLines;
        if (j.hasValue(i9)) {
            aVar.j0(j.getInt(i9, 1));
        }
        this.a1 = (long) j.getInt(R.styleable.CollapsingToolbarLayout_scrimAnimationDuration, 600);
        setContentScrim(j.getDrawable(R.styleable.CollapsingToolbarLayout_contentScrim));
        setStatusBarScrim(j.getDrawable(R.styleable.CollapsingToolbarLayout_statusBarScrim));
        this.J0 = j.getResourceId(R.styleable.CollapsingToolbarLayout_toolbarId, -1);
        j.recycle();
        setWillNotDraw(false);
        ViewCompat.setOnApplyWindowInsetsListener(this, new a());
    }

    @Override // android.widget.FrameLayout, android.widget.FrameLayout, android.view.ViewGroup
    public FrameLayout.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    public static class LayoutParams extends FrameLayout.LayoutParams {

        /* renamed from: a  reason: collision with root package name */
        private static final float f11372a = 0.5f;

        /* renamed from: b  reason: collision with root package name */
        public static final int f11373b = 0;

        /* renamed from: c  reason: collision with root package name */
        public static final int f11374c = 1;

        /* renamed from: d  reason: collision with root package name */
        public static final int f11375d = 2;

        /* renamed from: e  reason: collision with root package name */
        int f11376e = 0;
        float f = 0.5f;

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.CollapsingToolbarLayout_Layout);
            this.f11376e = obtainStyledAttributes.getInt(R.styleable.CollapsingToolbarLayout_Layout_layout_collapseMode, 0);
            d(obtainStyledAttributes.getFloat(R.styleable.CollapsingToolbarLayout_Layout_layout_collapseParallaxMultiplier, 0.5f));
            obtainStyledAttributes.recycle();
        }

        public int a() {
            return this.f11376e;
        }

        public float b() {
            return this.f;
        }

        public void c(int i) {
            this.f11376e = i;
        }

        public void d(float f2) {
            this.f = f2;
        }

        public LayoutParams(int i, int i2) {
            super(i, i2);
        }

        public LayoutParams(int i, int i2, int i3) {
            super(i, i2, i3);
        }

        public LayoutParams(@NonNull ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public LayoutParams(@NonNull ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        @RequiresApi(19)
        public LayoutParams(@NonNull FrameLayout.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }
}
