package com.google.android.material.appbar;

import android.content.Context;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.f.a;
import androidx.core.view.GravityCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import com.google.android.material.badge.BadgeDrawable;
import java.util.List;

abstract class HeaderScrollingViewBehavior extends ViewOffsetBehavior<View> {

    /* renamed from: d  reason: collision with root package name */
    final Rect f11384d = new Rect();

    /* renamed from: e  reason: collision with root package name */
    final Rect f11385e = new Rect();
    private int f = 0;
    private int g;

    public HeaderScrollingViewBehavior() {
    }

    private static int V(int i) {
        return i == 0 ? BadgeDrawable.f11396b : i;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.appbar.ViewOffsetBehavior
    public void K(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, int i) {
        View P = P(coordinatorLayout.q(view));
        if (P != null) {
            CoordinatorLayout.d dVar = (CoordinatorLayout.d) view.getLayoutParams();
            Rect rect = this.f11384d;
            rect.set(coordinatorLayout.getPaddingLeft() + ((ViewGroup.MarginLayoutParams) dVar).leftMargin, P.getBottom() + ((ViewGroup.MarginLayoutParams) dVar).topMargin, (coordinatorLayout.getWidth() - coordinatorLayout.getPaddingRight()) - ((ViewGroup.MarginLayoutParams) dVar).rightMargin, ((coordinatorLayout.getHeight() + P.getBottom()) - coordinatorLayout.getPaddingBottom()) - ((ViewGroup.MarginLayoutParams) dVar).bottomMargin);
            WindowInsetsCompat lastWindowInsets = coordinatorLayout.getLastWindowInsets();
            if (lastWindowInsets != null && ViewCompat.getFitsSystemWindows(coordinatorLayout) && !ViewCompat.getFitsSystemWindows(view)) {
                rect.left += lastWindowInsets.getSystemWindowInsetLeft();
                rect.right -= lastWindowInsets.getSystemWindowInsetRight();
            }
            Rect rect2 = this.f11385e;
            GravityCompat.apply(V(dVar.f2148c), view.getMeasuredWidth(), view.getMeasuredHeight(), rect, rect2, i);
            int Q = Q(P);
            view.layout(rect2.left, rect2.top - Q, rect2.right, rect2.bottom - Q);
            this.f = rect2.top - P.getBottom();
            return;
        }
        super.K(coordinatorLayout, view, i);
        this.f = 0;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public abstract View P(List<View> list);

    /* access modifiers changed from: package-private */
    public final int Q(View view) {
        if (this.g == 0) {
            return 0;
        }
        float R = R(view);
        int i = this.g;
        return a.c((int) (R * ((float) i)), 0, i);
    }

    /* access modifiers changed from: package-private */
    public float R(View view) {
        return 1.0f;
    }

    public final int S() {
        return this.g;
    }

    /* access modifiers changed from: package-private */
    public int T(@NonNull View view) {
        return view.getMeasuredHeight();
    }

    /* access modifiers changed from: package-private */
    public final int U() {
        return this.f;
    }

    public final void W(int i) {
        this.g = i;
    }

    /* access modifiers changed from: protected */
    public boolean X() {
        return false;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean n(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, int i, int i2, int i3, int i4) {
        View P;
        WindowInsetsCompat lastWindowInsets;
        int i5 = view.getLayoutParams().height;
        if ((i5 != -1 && i5 != -2) || (P = P(coordinatorLayout.q(view))) == null) {
            return false;
        }
        int size = View.MeasureSpec.getSize(i3);
        if (size <= 0) {
            size = coordinatorLayout.getHeight();
        } else if (ViewCompat.getFitsSystemWindows(P) && (lastWindowInsets = coordinatorLayout.getLastWindowInsets()) != null) {
            size += lastWindowInsets.getSystemWindowInsetTop() + lastWindowInsets.getSystemWindowInsetBottom();
        }
        int T = size + T(P);
        int measuredHeight = P.getMeasuredHeight();
        if (X()) {
            view.setTranslationY((float) (-measuredHeight));
        } else {
            T -= measuredHeight;
        }
        coordinatorLayout.I(view, i, i2, View.MeasureSpec.makeMeasureSpec(T, i5 == -1 ? 1073741824 : Integer.MIN_VALUE), i4);
        return true;
    }

    public HeaderScrollingViewBehavior(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }
}
