package com.google.android.material.appbar;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import androidx.annotation.ColorInt;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.appcompat.widget.Toolbar;
import androidx.core.graphics.drawable.c;
import androidx.core.view.ViewCompat;
import com.google.android.material.R;
import com.google.android.material.internal.m;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.i;
import com.google.android.material.theme.a.a;

public class MaterialToolbar extends Toolbar {
    private static final int w1 = R.style.Widget_MaterialComponents_Toolbar;
    @Nullable
    private Integer x1;

    public MaterialToolbar(@NonNull Context context) {
        this(context, null);
    }

    private void S(Context context) {
        Drawable background = getBackground();
        if (background == null || (background instanceof ColorDrawable)) {
            MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
            materialShapeDrawable.n0(ColorStateList.valueOf(background != null ? ((ColorDrawable) background).getColor() : 0));
            materialShapeDrawable.Y(context);
            materialShapeDrawable.m0(ViewCompat.getElevation(this));
            ViewCompat.setBackground(this, materialShapeDrawable);
        }
    }

    @Nullable
    private Drawable T(@Nullable Drawable drawable) {
        if (drawable == null || this.x1 == null) {
            return drawable;
        }
        Drawable r = c.r(drawable);
        c.n(r, this.x1.intValue());
        return r;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        i.e(this);
    }

    @RequiresApi(21)
    public void setElevation(float f) {
        super.setElevation(f);
        i.d(this, f);
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void setNavigationIcon(@Nullable Drawable drawable) {
        super.setNavigationIcon(T(drawable));
    }

    public void setNavigationIconTint(@ColorInt int i) {
        this.x1 = Integer.valueOf(i);
        Drawable navigationIcon = getNavigationIcon();
        if (navigationIcon != null) {
            setNavigationIcon(navigationIcon);
        }
    }

    public MaterialToolbar(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.toolbarStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public MaterialToolbar(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(a.c(context, attributeSet, i, r4), attributeSet, i);
        int i2 = w1;
        Context context2 = getContext();
        TypedArray j = m.j(context2, attributeSet, R.styleable.MaterialToolbar, i, i2, new int[0]);
        int i3 = R.styleable.MaterialToolbar_navigationIconTint;
        if (j.hasValue(i3)) {
            setNavigationIconTint(j.getColor(i3, -1));
        }
        j.recycle();
        S(context2);
    }
}
