package com.google.android.material.badge;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.annotation.AttrRes;
import androidx.annotation.ColorInt;
import androidx.annotation.Dimension;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.PluralsRes;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.annotation.StyleableRes;
import androidx.annotation.XmlRes;
import androidx.core.view.ViewCompat;
import com.google.android.material.R;
import com.google.android.material.i.c;
import com.google.android.material.i.d;
import com.google.android.material.internal.j;
import com.google.android.material.internal.m;
import com.google.android.material.shape.MaterialShapeDrawable;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.text.NumberFormat;

public class BadgeDrawable extends Drawable implements j.b {
    public static final int I0 = 8388693;
    public static final int J0 = 8388691;
    private static final int K0 = 4;
    private static final int L0 = -1;
    private static final int M0 = 9;
    @StyleRes
    private static final int N0 = R.style.Widget_MaterialComponents_Badge;
    @AttrRes
    private static final int O0 = R.attr.badgeStyle;
    static final String P0 = "+";

    /* renamed from: a  reason: collision with root package name */
    public static final int f11395a = 8388661;

    /* renamed from: b  reason: collision with root package name */
    public static final int f11396b = 8388659;
    @NonNull
    private final WeakReference<Context> Q0;
    @NonNull
    private final MaterialShapeDrawable R0 = new MaterialShapeDrawable();
    @NonNull
    private final j S0;
    @NonNull
    private final Rect T0 = new Rect();
    private final float U0;
    private final float V0;
    private final float W0;
    @NonNull
    private final SavedState X0;
    private float Y0;
    private float Z0;
    private int a1;
    private float b1;
    private float c1;
    private float d1;
    @Nullable
    private WeakReference<View> e1;
    @Nullable
    private WeakReference<FrameLayout> f1;

    @Retention(RetentionPolicy.SOURCE)
    public @interface BadgeGravity {
    }

    /* access modifiers changed from: package-private */
    public class a implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f11399a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ FrameLayout f11400b;

        a(View view, FrameLayout frameLayout) {
            this.f11399a = view;
            this.f11400b = frameLayout;
        }

        public void run() {
            BadgeDrawable.this.O(this.f11399a, this.f11400b);
        }
    }

    private BadgeDrawable(@NonNull Context context) {
        this.Q0 = new WeakReference<>(context);
        m.c(context);
        Resources resources = context.getResources();
        this.U0 = (float) resources.getDimensionPixelSize(R.dimen.mtrl_badge_radius);
        this.W0 = (float) resources.getDimensionPixelSize(R.dimen.mtrl_badge_long_text_horizontal_padding);
        this.V0 = (float) resources.getDimensionPixelSize(R.dimen.mtrl_badge_with_text_radius);
        j jVar = new j(this);
        this.S0 = jVar;
        jVar.e().setTextAlign(Paint.Align.CENTER);
        this.X0 = new SavedState(context);
        H(R.style.TextAppearance_MaterialComponents_Badge);
    }

    private void G(@Nullable d dVar) {
        Context context;
        if (this.S0.d() != dVar && (context = this.Q0.get()) != null) {
            this.S0.i(dVar, context);
            P();
        }
    }

    private void H(@StyleRes int i) {
        Context context = this.Q0.get();
        if (context != null) {
            G(new d(context, i));
        }
    }

    private void K(View view) {
        ViewGroup viewGroup = (ViewGroup) view.getParent();
        if (viewGroup == null || viewGroup.getId() != R.id.mtrl_anchor_parent) {
            WeakReference<FrameLayout> weakReference = this.f1;
            if (weakReference == null || weakReference.get() != viewGroup) {
                L(view);
                FrameLayout frameLayout = new FrameLayout(view.getContext());
                frameLayout.setId(R.id.mtrl_anchor_parent);
                frameLayout.setClipChildren(false);
                frameLayout.setClipToPadding(false);
                frameLayout.setLayoutParams(view.getLayoutParams());
                frameLayout.setMinimumWidth(view.getWidth());
                frameLayout.setMinimumHeight(view.getHeight());
                int indexOfChild = viewGroup.indexOfChild(view);
                viewGroup.removeViewAt(indexOfChild);
                view.setLayoutParams(new FrameLayout.LayoutParams(-1, -1));
                frameLayout.addView(view);
                viewGroup.addView(frameLayout, indexOfChild);
                this.f1 = new WeakReference<>(frameLayout);
                frameLayout.post(new a(view, frameLayout));
            }
        }
    }

    private static void L(View view) {
        ViewGroup viewGroup = (ViewGroup) view.getParent();
        viewGroup.setClipChildren(false);
        viewGroup.setClipToPadding(false);
    }

    private void P() {
        Context context = this.Q0.get();
        WeakReference<View> weakReference = this.e1;
        FrameLayout frameLayout = null;
        View view = weakReference != null ? weakReference.get() : null;
        if (context != null && view != null) {
            Rect rect = new Rect();
            rect.set(this.T0);
            Rect rect2 = new Rect();
            view.getDrawingRect(rect2);
            WeakReference<FrameLayout> weakReference2 = this.f1;
            if (weakReference2 != null) {
                frameLayout = weakReference2.get();
            }
            if (frameLayout != null || a.f11401a) {
                if (frameLayout == null) {
                    frameLayout = (ViewGroup) view.getParent();
                }
                frameLayout.offsetDescendantRectToMyCoords(view, rect2);
            }
            b(context, rect2, view);
            a.j(this.T0, this.Y0, this.Z0, this.c1, this.d1);
            this.R0.j0(this.b1);
            if (!rect.equals(this.T0)) {
                this.R0.setBounds(this.T0);
            }
        }
    }

    private void Q() {
        this.a1 = ((int) Math.pow(10.0d, ((double) p()) - 1.0d)) - 1;
    }

    private void b(@NonNull Context context, @NonNull Rect rect, @NonNull View view) {
        float f;
        float f2;
        int i = this.X0.O0;
        if (i == 8388691 || i == 8388693) {
            this.Z0 = (float) (rect.bottom - this.X0.R0);
        } else {
            this.Z0 = (float) (rect.top + this.X0.R0);
        }
        if (q() <= 9) {
            float f3 = !t() ? this.U0 : this.V0;
            this.b1 = f3;
            this.d1 = f3;
            this.c1 = f3;
        } else {
            float f4 = this.V0;
            this.b1 = f4;
            this.d1 = f4;
            this.c1 = (this.S0.f(k()) / 2.0f) + this.W0;
        }
        int dimensionPixelSize = context.getResources().getDimensionPixelSize(t() ? R.dimen.mtrl_badge_text_horizontal_edge_offset : R.dimen.mtrl_badge_horizontal_edge_offset);
        int i2 = this.X0.O0;
        if (i2 == 8388659 || i2 == 8388691) {
            if (ViewCompat.getLayoutDirection(view) == 0) {
                f = (((float) rect.left) - this.c1) + ((float) dimensionPixelSize) + ((float) this.X0.Q0);
            } else {
                f = ((((float) rect.right) + this.c1) - ((float) dimensionPixelSize)) - ((float) this.X0.Q0);
            }
            this.Y0 = f;
            return;
        }
        if (ViewCompat.getLayoutDirection(view) == 0) {
            f2 = ((((float) rect.right) + this.c1) - ((float) dimensionPixelSize)) - ((float) this.X0.Q0);
        } else {
            f2 = (((float) rect.left) - this.c1) + ((float) dimensionPixelSize) + ((float) this.X0.Q0);
        }
        this.Y0 = f2;
    }

    @NonNull
    public static BadgeDrawable d(@NonNull Context context) {
        return e(context, null, O0, N0);
    }

    @NonNull
    private static BadgeDrawable e(@NonNull Context context, AttributeSet attributeSet, @AttrRes int i, @StyleRes int i2) {
        BadgeDrawable badgeDrawable = new BadgeDrawable(context);
        badgeDrawable.u(context, attributeSet, i, i2);
        return badgeDrawable;
    }

    @NonNull
    public static BadgeDrawable f(@NonNull Context context, @XmlRes int i) {
        AttributeSet a2 = com.google.android.material.e.a.a(context, i, "badge");
        int styleAttribute = a2.getStyleAttribute();
        if (styleAttribute == 0) {
            styleAttribute = N0;
        }
        return e(context, a2, O0, styleAttribute);
    }

    @NonNull
    static BadgeDrawable g(@NonNull Context context, @NonNull SavedState savedState) {
        BadgeDrawable badgeDrawable = new BadgeDrawable(context);
        badgeDrawable.w(savedState);
        return badgeDrawable;
    }

    private void h(Canvas canvas) {
        Rect rect = new Rect();
        String k = k();
        this.S0.e().getTextBounds(k, 0, k.length(), rect);
        canvas.drawText(k, this.Y0, this.Z0 + ((float) (rect.height() / 2)), this.S0.e());
    }

    @NonNull
    private String k() {
        if (q() <= this.a1) {
            return NumberFormat.getInstance().format((long) q());
        }
        Context context = this.Q0.get();
        if (context == null) {
            return "";
        }
        return context.getString(R.string.mtrl_exceed_max_badge_number_suffix, Integer.valueOf(this.a1), P0);
    }

    private void u(Context context, AttributeSet attributeSet, @AttrRes int i, @StyleRes int i2) {
        TypedArray j = m.j(context, attributeSet, R.styleable.Badge, i, i2, new int[0]);
        E(j.getInt(R.styleable.Badge_maxCharacterCount, 4));
        int i3 = R.styleable.Badge_number;
        if (j.hasValue(i3)) {
            F(j.getInt(i3, 0));
        }
        x(v(context, j, R.styleable.Badge_backgroundColor));
        int i4 = R.styleable.Badge_badgeTextColor;
        if (j.hasValue(i4)) {
            z(v(context, j, i4));
        }
        y(j.getInt(R.styleable.Badge_badgeGravity, f11395a));
        D(j.getDimensionPixelOffset(R.styleable.Badge_horizontalOffset, 0));
        I(j.getDimensionPixelOffset(R.styleable.Badge_verticalOffset, 0));
        j.recycle();
    }

    private static int v(Context context, @NonNull TypedArray typedArray, @StyleableRes int i) {
        return c.a(context, typedArray, i).getDefaultColor();
    }

    private void w(@NonNull SavedState savedState) {
        E(savedState.K0);
        if (savedState.J0 != -1) {
            F(savedState.J0);
        }
        x(savedState.f11397a);
        z(savedState.f11398b);
        y(savedState.O0);
        D(savedState.Q0);
        I(savedState.R0);
        J(savedState.P0);
    }

    public void A(@StringRes int i) {
        this.X0.N0 = i;
    }

    public void B(CharSequence charSequence) {
        this.X0.L0 = charSequence;
    }

    public void C(@PluralsRes int i) {
        this.X0.M0 = i;
    }

    public void D(int i) {
        this.X0.Q0 = i;
        P();
    }

    public void E(int i) {
        if (this.X0.K0 != i) {
            this.X0.K0 = i;
            Q();
            this.S0.j(true);
            P();
            invalidateSelf();
        }
    }

    public void F(int i) {
        int max = Math.max(0, i);
        if (this.X0.J0 != max) {
            this.X0.J0 = max;
            this.S0.j(true);
            P();
            invalidateSelf();
        }
    }

    public void I(int i) {
        this.X0.R0 = i;
        P();
    }

    public void J(boolean z) {
        setVisible(z, false);
        this.X0.P0 = z;
        if (a.f11401a && n() != null && !z) {
            ((ViewGroup) n().getParent()).invalidate();
        }
    }

    public void M(@NonNull View view) {
        O(view, null);
    }

    @Deprecated
    public void N(@NonNull View view, @Nullable ViewGroup viewGroup) {
        if (viewGroup instanceof FrameLayout) {
            O(view, (FrameLayout) viewGroup);
            return;
        }
        throw new IllegalArgumentException("customBadgeParent must be a FrameLayout");
    }

    public void O(@NonNull View view, @Nullable FrameLayout frameLayout) {
        this.e1 = new WeakReference<>(view);
        boolean z = a.f11401a;
        if (!z || frameLayout != null) {
            this.f1 = new WeakReference<>(frameLayout);
        } else {
            K(view);
        }
        if (!z) {
            L(view);
        }
        P();
        invalidateSelf();
    }

    @Override // com.google.android.material.internal.j.b
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void a() {
        invalidateSelf();
    }

    public void c() {
        this.X0.J0 = -1;
        invalidateSelf();
    }

    public void draw(@NonNull Canvas canvas) {
        if (!getBounds().isEmpty() && getAlpha() != 0 && isVisible()) {
            this.R0.draw(canvas);
            if (t()) {
                h(canvas);
            }
        }
    }

    public int getAlpha() {
        return this.X0.I0;
    }

    public int getIntrinsicHeight() {
        return this.T0.height();
    }

    public int getIntrinsicWidth() {
        return this.T0.width();
    }

    public int getOpacity() {
        return -3;
    }

    @ColorInt
    public int i() {
        return this.R0.y().getDefaultColor();
    }

    public boolean isStateful() {
        return false;
    }

    public int j() {
        return this.X0.O0;
    }

    @ColorInt
    public int l() {
        return this.S0.e().getColor();
    }

    @Nullable
    public CharSequence m() {
        Context context;
        if (!isVisible()) {
            return null;
        }
        if (!t()) {
            return this.X0.L0;
        }
        if (this.X0.M0 <= 0 || (context = this.Q0.get()) == null) {
            return null;
        }
        if (q() <= this.a1) {
            return context.getResources().getQuantityString(this.X0.M0, q(), Integer.valueOf(q()));
        }
        return context.getString(this.X0.N0, Integer.valueOf(this.a1));
    }

    @Nullable
    public FrameLayout n() {
        WeakReference<FrameLayout> weakReference = this.f1;
        if (weakReference != null) {
            return weakReference.get();
        }
        return null;
    }

    public int o() {
        return this.X0.Q0;
    }

    @Override // com.google.android.material.internal.j.b
    public boolean onStateChange(int[] iArr) {
        return super.onStateChange(iArr);
    }

    public int p() {
        return this.X0.K0;
    }

    public int q() {
        if (!t()) {
            return 0;
        }
        return this.X0.J0;
    }

    @NonNull
    public SavedState r() {
        return this.X0;
    }

    public int s() {
        return this.X0.R0;
    }

    public void setAlpha(int i) {
        this.X0.I0 = i;
        this.S0.e().setAlpha(i);
        invalidateSelf();
    }

    public void setColorFilter(ColorFilter colorFilter) {
    }

    public boolean t() {
        return this.X0.J0 != -1;
    }

    public void x(@ColorInt int i) {
        this.X0.f11397a = i;
        ColorStateList valueOf = ColorStateList.valueOf(i);
        if (this.R0.y() != valueOf) {
            this.R0.n0(valueOf);
            invalidateSelf();
        }
    }

    public void y(int i) {
        if (this.X0.O0 != i) {
            this.X0.O0 = i;
            WeakReference<View> weakReference = this.e1;
            if (weakReference != null && weakReference.get() != null) {
                View view = this.e1.get();
                WeakReference<FrameLayout> weakReference2 = this.f1;
                O(view, weakReference2 != null ? weakReference2.get() : null);
            }
        }
    }

    public void z(@ColorInt int i) {
        this.X0.f11398b = i;
        if (this.S0.e().getColor() != i) {
            this.S0.e().setColor(i);
            invalidateSelf();
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static final class SavedState implements Parcelable {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        private int I0 = 255;
        private int J0 = -1;
        private int K0;
        @Nullable
        private CharSequence L0;
        @PluralsRes
        private int M0;
        @StringRes
        private int N0;
        private int O0;
        private boolean P0;
        @Dimension(unit = 1)
        private int Q0;
        @Dimension(unit = 1)
        private int R0;
        @ColorInt

        /* renamed from: a  reason: collision with root package name */
        private int f11397a;
        @ColorInt

        /* renamed from: b  reason: collision with root package name */
        private int f11398b;

        static class a implements Parcelable.Creator<SavedState> {
            a() {
            }

            @NonNull
            /* renamed from: a */
            public SavedState createFromParcel(@NonNull Parcel parcel) {
                return new SavedState(parcel);
            }

            @NonNull
            /* renamed from: b */
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        }

        public SavedState(@NonNull Context context) {
            this.f11398b = new d(context, R.style.TextAppearance_MaterialComponents_Badge).f11695e.getDefaultColor();
            this.L0 = context.getString(R.string.mtrl_badge_numberless_content_description);
            this.M0 = R.plurals.mtrl_badge_content_description;
            this.N0 = R.string.mtrl_exceed_max_badge_number_content_description;
            this.P0 = true;
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(@NonNull Parcel parcel, int i) {
            parcel.writeInt(this.f11397a);
            parcel.writeInt(this.f11398b);
            parcel.writeInt(this.I0);
            parcel.writeInt(this.J0);
            parcel.writeInt(this.K0);
            parcel.writeString(this.L0.toString());
            parcel.writeInt(this.M0);
            parcel.writeInt(this.O0);
            parcel.writeInt(this.Q0);
            parcel.writeInt(this.R0);
            parcel.writeInt(this.P0 ? 1 : 0);
        }

        protected SavedState(@NonNull Parcel parcel) {
            this.f11397a = parcel.readInt();
            this.f11398b = parcel.readInt();
            this.I0 = parcel.readInt();
            this.J0 = parcel.readInt();
            this.K0 = parcel.readInt();
            this.L0 = parcel.readString();
            this.M0 = parcel.readInt();
            this.O0 = parcel.readInt();
            this.Q0 = parcel.readInt();
            this.R0 = parcel.readInt();
            this.P0 = parcel.readInt() != 0;
        }
    }
}
