package com.google.android.material.bottomappbar;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Paint;
import android.graphics.Rect;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.Dimension;
import androidx.annotation.MenuRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.appcompat.widget.ActionMenuView;
import androidx.appcompat.widget.Toolbar;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.GravityCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.customview.view.AbsSavedState;
import com.google.android.material.R;
import com.google.android.material.a.k;
import com.google.android.material.behavior.HideBottomViewOnScrollBehavior;
import com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton;
import com.google.android.material.floatingactionbutton.FloatingActionButton;
import com.google.android.material.internal.m;
import com.google.android.material.internal.u;
import com.google.android.material.shape.MaterialShapeDrawable;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class BottomAppBar extends Toolbar implements CoordinatorLayout.b {
    public static final int A1 = 0;
    public static final int B1 = 1;
    private static final int C1 = 0;
    private static final int w1 = R.style.Widget_MaterialComponents_BottomAppBar;
    private static final long x1 = 300;
    public static final int y1 = 0;
    public static final int z1 = 1;
    private final int D1;
    private final MaterialShapeDrawable E1;
    @Nullable
    private Animator F1;
    @Nullable
    private Animator G1;
    private int H1;
    private int I1;
    private boolean J1;
    private final boolean K1;
    private final boolean L1;
    private final boolean M1;
    private int N1;
    private ArrayList<j> O1;
    @MenuRes
    private int P1;
    private boolean Q1;
    private boolean R1;
    private Behavior S1;
    private int T1;
    private int U1;
    private int V1;
    @NonNull
    AnimatorListenerAdapter W1;
    @NonNull
    k<FloatingActionButton> X1;

    @Retention(RetentionPolicy.SOURCE)
    public @interface FabAlignmentMode {
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface FabAnimationMode {
    }

    /* access modifiers changed from: package-private */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        int I0;
        boolean J0;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Nullable
            /* renamed from: a */
            public SavedState createFromParcel(@NonNull Parcel parcel) {
                return new SavedState(parcel, null);
            }

            @NonNull
            /* renamed from: b */
            public SavedState createFromParcel(@NonNull Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @NonNull
            /* renamed from: c */
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(@NonNull Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.I0);
            parcel.writeInt(this.J0 ? 1 : 0);
        }

        public SavedState(@NonNull Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.I0 = parcel.readInt();
            this.J0 = parcel.readInt() != 0;
        }
    }

    class a extends AnimatorListenerAdapter {
        a() {
        }

        public void onAnimationStart(Animator animator) {
            if (!BottomAppBar.this.Q1) {
                BottomAppBar bottomAppBar = BottomAppBar.this;
                bottomAppBar.M0(bottomAppBar.H1, BottomAppBar.this.R1);
            }
        }
    }

    class b implements k<FloatingActionButton> {
        b() {
        }

        /* renamed from: c */
        public void a(@NonNull FloatingActionButton floatingActionButton) {
            BottomAppBar.this.E1.o0(floatingActionButton.getVisibility() == 0 ? floatingActionButton.getScaleY() : 0.0f);
        }

        /* renamed from: d */
        public void b(@NonNull FloatingActionButton floatingActionButton) {
            float translationX = floatingActionButton.getTranslationX();
            if (BottomAppBar.this.getTopEdgeTreatment().m() != translationX) {
                BottomAppBar.this.getTopEdgeTreatment().s(translationX);
                BottomAppBar.this.E1.invalidateSelf();
            }
            float f = 0.0f;
            float max = Math.max(0.0f, -floatingActionButton.getTranslationY());
            if (BottomAppBar.this.getTopEdgeTreatment().d() != max) {
                BottomAppBar.this.getTopEdgeTreatment().n(max);
                BottomAppBar.this.E1.invalidateSelf();
            }
            MaterialShapeDrawable materialShapeDrawable = BottomAppBar.this.E1;
            if (floatingActionButton.getVisibility() == 0) {
                f = floatingActionButton.getScaleY();
            }
            materialShapeDrawable.o0(f);
        }
    }

    class c implements u.e {
        c() {
        }

        @Override // com.google.android.material.internal.u.e
        @NonNull
        public WindowInsetsCompat a(View view, @NonNull WindowInsetsCompat windowInsetsCompat, @NonNull u.f fVar) {
            boolean z;
            if (BottomAppBar.this.K1) {
                BottomAppBar.this.T1 = windowInsetsCompat.getSystemWindowInsetBottom();
            }
            boolean z2 = true;
            boolean z3 = false;
            if (BottomAppBar.this.L1) {
                z = BottomAppBar.this.V1 != windowInsetsCompat.getSystemWindowInsetLeft();
                BottomAppBar.this.V1 = windowInsetsCompat.getSystemWindowInsetLeft();
            } else {
                z = false;
            }
            if (BottomAppBar.this.M1) {
                if (BottomAppBar.this.U1 == windowInsetsCompat.getSystemWindowInsetRight()) {
                    z2 = false;
                }
                BottomAppBar.this.U1 = windowInsetsCompat.getSystemWindowInsetRight();
                z3 = z2;
            }
            if (z || z3) {
                BottomAppBar.this.B0();
                BottomAppBar.this.T0();
                BottomAppBar.this.S0();
            }
            return windowInsetsCompat;
        }
    }

    /* access modifiers changed from: package-private */
    public class d extends AnimatorListenerAdapter {
        d() {
        }

        public void onAnimationEnd(Animator animator) {
            BottomAppBar.this.F0();
            BottomAppBar.this.F1 = null;
        }

        public void onAnimationStart(Animator animator) {
            BottomAppBar.this.G0();
        }
    }

    /* access modifiers changed from: package-private */
    public class e extends FloatingActionButton.b {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f11428a;

        class a extends FloatingActionButton.b {
            a() {
            }

            @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.b
            public void b(FloatingActionButton floatingActionButton) {
                BottomAppBar.this.F0();
            }
        }

        e(int i) {
            this.f11428a = i;
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.b
        public void a(@NonNull FloatingActionButton floatingActionButton) {
            floatingActionButton.setTranslationX(BottomAppBar.this.K0(this.f11428a));
            floatingActionButton.A(new a());
        }
    }

    /* access modifiers changed from: package-private */
    public class f extends AnimatorListenerAdapter {
        f() {
        }

        public void onAnimationEnd(Animator animator) {
            BottomAppBar.this.F0();
            BottomAppBar.this.Q1 = false;
            BottomAppBar.this.G1 = null;
        }

        public void onAnimationStart(Animator animator) {
            BottomAppBar.this.G0();
        }
    }

    /* access modifiers changed from: package-private */
    public class g extends AnimatorListenerAdapter {
        final /* synthetic */ int I0;
        final /* synthetic */ boolean J0;

        /* renamed from: a  reason: collision with root package name */
        public boolean f11432a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ ActionMenuView f11433b;

        g(ActionMenuView actionMenuView, int i, boolean z) {
            this.f11433b = actionMenuView;
            this.I0 = i;
            this.J0 = z;
        }

        public void onAnimationCancel(Animator animator) {
            this.f11432a = true;
        }

        public void onAnimationEnd(Animator animator) {
            if (!this.f11432a) {
                boolean z = BottomAppBar.this.P1 != 0;
                BottomAppBar bottomAppBar = BottomAppBar.this;
                bottomAppBar.R0(bottomAppBar.P1);
                BottomAppBar.this.X0(this.f11433b, this.I0, this.J0, z);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class h implements Runnable {
        final /* synthetic */ boolean I0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ActionMenuView f11434a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f11435b;

        h(ActionMenuView actionMenuView, int i, boolean z) {
            this.f11434a = actionMenuView;
            this.f11435b = i;
            this.I0 = z;
        }

        public void run() {
            ActionMenuView actionMenuView = this.f11434a;
            actionMenuView.setTranslationX((float) BottomAppBar.this.J0(actionMenuView, this.f11435b, this.I0));
        }
    }

    /* access modifiers changed from: package-private */
    public class i extends AnimatorListenerAdapter {
        i() {
        }

        public void onAnimationStart(Animator animator) {
            BottomAppBar.this.W1.onAnimationStart(animator);
            FloatingActionButton H0 = BottomAppBar.this.H0();
            if (H0 != null) {
                H0.setTranslationX(BottomAppBar.this.getFabTranslationX());
            }
        }
    }

    /* access modifiers changed from: package-private */
    public interface j {
        void a(BottomAppBar bottomAppBar);

        void b(BottomAppBar bottomAppBar);
    }

    public BottomAppBar(@NonNull Context context) {
        this(context, null, 0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void A0(@NonNull FloatingActionButton floatingActionButton) {
        floatingActionButton.f(this.W1);
        floatingActionButton.g(new i());
        floatingActionButton.h(this.X1);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void B0() {
        Animator animator = this.G1;
        if (animator != null) {
            animator.cancel();
        }
        Animator animator2 = this.F1;
        if (animator2 != null) {
            animator2.cancel();
        }
    }

    private void D0(int i2, @NonNull List<Animator> list) {
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(H0(), "translationX", K0(i2));
        ofFloat.setDuration(x1);
        list.add(ofFloat);
    }

    private void E0(int i2, boolean z, @NonNull List<Animator> list) {
        ActionMenuView actionMenuView = getActionMenuView();
        if (actionMenuView != null) {
            Animator ofFloat = ObjectAnimator.ofFloat(actionMenuView, "alpha", 1.0f);
            if (Math.abs(actionMenuView.getTranslationX() - ((float) J0(actionMenuView, i2, z))) > 1.0f) {
                ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(actionMenuView, "alpha", 0.0f);
                ofFloat2.addListener(new g(actionMenuView, i2, z));
                AnimatorSet animatorSet = new AnimatorSet();
                animatorSet.setDuration(150L);
                animatorSet.playSequentially(ofFloat2, ofFloat);
                list.add(animatorSet);
            } else if (actionMenuView.getAlpha() < 1.0f) {
                list.add(ofFloat);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void F0() {
        ArrayList<j> arrayList;
        int i2 = this.N1 - 1;
        this.N1 = i2;
        if (i2 == 0 && (arrayList = this.O1) != null) {
            Iterator<j> it = arrayList.iterator();
            while (it.hasNext()) {
                it.next().b(this);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void G0() {
        ArrayList<j> arrayList;
        int i2 = this.N1;
        this.N1 = i2 + 1;
        if (i2 == 0 && (arrayList = this.O1) != null) {
            Iterator<j> it = arrayList.iterator();
            while (it.hasNext()) {
                it.next().a(this);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @Nullable
    private FloatingActionButton H0() {
        View I0 = I0();
        if (I0 instanceof FloatingActionButton) {
            return (FloatingActionButton) I0;
        }
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:6:0x001e  */
    @Nullable
    private View I0() {
        if (!(getParent() instanceof CoordinatorLayout)) {
            return null;
        }
        for (View view : ((CoordinatorLayout) getParent()).r(this)) {
            if ((view instanceof FloatingActionButton) || (view instanceof ExtendedFloatingActionButton)) {
                return view;
            }
            while (r0.hasNext()) {
            }
        }
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private float K0(int i2) {
        boolean j2 = u.j(this);
        int i3 = 1;
        if (i2 != 1) {
            return 0.0f;
        }
        int measuredWidth = (getMeasuredWidth() / 2) - (this.D1 + (j2 ? this.V1 : this.U1));
        if (j2) {
            i3 = -1;
        }
        return (float) (measuredWidth * i3);
    }

    private boolean L0() {
        FloatingActionButton H0 = H0();
        return H0 != null && H0.r();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void M0(int i2, boolean z) {
        if (!ViewCompat.isLaidOut(this)) {
            this.Q1 = false;
            R0(this.P1);
            return;
        }
        Animator animator = this.G1;
        if (animator != null) {
            animator.cancel();
        }
        ArrayList arrayList = new ArrayList();
        if (!L0()) {
            i2 = 0;
            z = false;
        }
        E0(i2, z, arrayList);
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.playTogether(arrayList);
        this.G1 = animatorSet;
        animatorSet.addListener(new f());
        this.G1.start();
    }

    private void N0(int i2) {
        if (this.H1 != i2 && ViewCompat.isLaidOut(this)) {
            Animator animator = this.F1;
            if (animator != null) {
                animator.cancel();
            }
            ArrayList arrayList = new ArrayList();
            if (this.I1 == 1) {
                D0(i2, arrayList);
            } else {
                C0(i2, arrayList);
            }
            AnimatorSet animatorSet = new AnimatorSet();
            animatorSet.playTogether(arrayList);
            this.F1 = animatorSet;
            animatorSet.addListener(new d());
            this.F1.start();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void S0() {
        ActionMenuView actionMenuView = getActionMenuView();
        if (actionMenuView != null && this.G1 == null) {
            actionMenuView.setAlpha(1.0f);
            if (!L0()) {
                W0(actionMenuView, 0, false);
            } else {
                W0(actionMenuView, this.H1, this.R1);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void T0() {
        getTopEdgeTreatment().s(getFabTranslationX());
        View I0 = I0();
        this.E1.o0((!this.R1 || !L0()) ? 0.0f : 1.0f);
        if (I0 != null) {
            I0.setTranslationY(getFabTranslationY());
            I0.setTranslationX(getFabTranslationX());
        }
    }

    private void W0(@NonNull ActionMenuView actionMenuView, int i2, boolean z) {
        X0(actionMenuView, i2, z, false);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void X0(@NonNull ActionMenuView actionMenuView, int i2, boolean z, boolean z2) {
        h hVar = new h(actionMenuView, i2, z);
        if (z2) {
            actionMenuView.post(hVar);
        } else {
            hVar.run();
        }
    }

    @Nullable
    private ActionMenuView getActionMenuView() {
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            View childAt = getChildAt(i2);
            if (childAt instanceof ActionMenuView) {
                return (ActionMenuView) childAt;
            }
        }
        return null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int getBottomInset() {
        return this.T1;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private float getFabTranslationX() {
        return K0(this.H1);
    }

    private float getFabTranslationY() {
        return -getTopEdgeTreatment().d();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int getLeftInset() {
        return this.V1;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int getRightInset() {
        return this.U1;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @NonNull
    private a getTopEdgeTreatment() {
        return (a) this.E1.getShapeAppearanceModel().p();
    }

    /* access modifiers changed from: protected */
    public void C0(int i2, List<Animator> list) {
        FloatingActionButton H0 = H0();
        if (H0 != null && !H0.q()) {
            G0();
            H0.o(new e(i2));
        }
    }

    /* access modifiers changed from: protected */
    public int J0(@NonNull ActionMenuView actionMenuView, int i2, boolean z) {
        if (i2 != 1 || !z) {
            return 0;
        }
        boolean j2 = u.j(this);
        int measuredWidth = j2 ? getMeasuredWidth() : 0;
        for (int i3 = 0; i3 < getChildCount(); i3++) {
            View childAt = getChildAt(i3);
            if ((childAt.getLayoutParams() instanceof Toolbar.LayoutParams) && (((Toolbar.LayoutParams) childAt.getLayoutParams()).f86a & GravityCompat.RELATIVE_HORIZONTAL_GRAVITY_MASK) == 8388611) {
                if (j2) {
                    measuredWidth = Math.min(measuredWidth, childAt.getLeft());
                } else {
                    measuredWidth = Math.max(measuredWidth, childAt.getRight());
                }
            }
        }
        return measuredWidth - ((j2 ? actionMenuView.getRight() : actionMenuView.getLeft()) + (j2 ? this.U1 : -this.V1));
    }

    public void O0() {
        getBehavior().J(this);
    }

    public void P0() {
        getBehavior().K(this);
    }

    /* access modifiers changed from: package-private */
    public void Q0(@NonNull j jVar) {
        ArrayList<j> arrayList = this.O1;
        if (arrayList != null) {
            arrayList.remove(jVar);
        }
    }

    public void R0(@MenuRes int i2) {
        if (i2 != 0) {
            this.P1 = 0;
            getMenu().clear();
            x(i2);
        }
    }

    public void U0(int i2, @MenuRes int i3) {
        this.P1 = i3;
        this.Q1 = true;
        M0(i2, this.R1);
        N0(i2);
        this.H1 = i2;
    }

    /* access modifiers changed from: package-private */
    public boolean V0(@Px int i2) {
        float f2 = (float) i2;
        if (f2 == getTopEdgeTreatment().h()) {
            return false;
        }
        getTopEdgeTreatment().r(f2);
        this.E1.invalidateSelf();
        return true;
    }

    @Nullable
    public ColorStateList getBackgroundTint() {
        return this.E1.Q();
    }

    @Dimension
    public float getCradleVerticalOffset() {
        return getTopEdgeTreatment().d();
    }

    public int getFabAlignmentMode() {
        return this.H1;
    }

    public int getFabAnimationMode() {
        return this.I1;
    }

    public float getFabCradleMargin() {
        return getTopEdgeTreatment().e();
    }

    @Dimension
    public float getFabCradleRoundedCornerRadius() {
        return getTopEdgeTreatment().f();
    }

    public boolean getHideOnScroll() {
        return this.J1;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        com.google.android.material.shape.i.f(this, this.E1);
        if (getParent() instanceof ViewGroup) {
            ((ViewGroup) getParent()).setClipChildren(false);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        super.onLayout(z, i2, i3, i4, i5);
        if (z) {
            B0();
            T0();
        }
        S0();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.a());
        this.H1 = savedState.I0;
        this.R1 = savedState.J0;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar
    @NonNull
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.I0 = this.H1;
        savedState.J0 = this.R1;
        return savedState;
    }

    public void setBackgroundTint(@Nullable ColorStateList colorStateList) {
        androidx.core.graphics.drawable.c.o(this.E1, colorStateList);
    }

    public void setCradleVerticalOffset(@Dimension float f2) {
        if (f2 != getCradleVerticalOffset()) {
            getTopEdgeTreatment().n(f2);
            this.E1.invalidateSelf();
            T0();
        }
    }

    public void setElevation(float f2) {
        this.E1.m0(f2);
        getBehavior().I(this, this.E1.J() - this.E1.I());
    }

    public void setFabAlignmentMode(int i2) {
        U0(i2, 0);
    }

    public void setFabAnimationMode(int i2) {
        this.I1 = i2;
    }

    public void setFabCradleMargin(@Dimension float f2) {
        if (f2 != getFabCradleMargin()) {
            getTopEdgeTreatment().p(f2);
            this.E1.invalidateSelf();
        }
    }

    public void setFabCradleRoundedCornerRadius(@Dimension float f2) {
        if (f2 != getFabCradleRoundedCornerRadius()) {
            getTopEdgeTreatment().q(f2);
            this.E1.invalidateSelf();
        }
    }

    public void setHideOnScroll(boolean z) {
        this.J1 = z;
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void setSubtitle(CharSequence charSequence) {
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void setTitle(CharSequence charSequence) {
    }

    /* access modifiers changed from: package-private */
    public void z0(@NonNull j jVar) {
        if (this.O1 == null) {
            this.O1 = new ArrayList<>();
        }
        this.O1.add(jVar);
    }

    public BottomAppBar(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.bottomAppBarStyle);
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    @NonNull
    public Behavior getBehavior() {
        if (this.S1 == null) {
            this.S1 = new Behavior();
        }
        return this.S1;
    }

    public static class Behavior extends HideBottomViewOnScrollBehavior<BottomAppBar> {
        @NonNull
        private final Rect i = new Rect();
        private WeakReference<BottomAppBar> j;
        private int k;
        private final View.OnLayoutChangeListener l = new a();

        class a implements View.OnLayoutChangeListener {
            a() {
            }

            public void onLayoutChange(View view, int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8) {
                BottomAppBar bottomAppBar = (BottomAppBar) Behavior.this.j.get();
                if (bottomAppBar == null || !(view instanceof FloatingActionButton)) {
                    view.removeOnLayoutChangeListener(this);
                    return;
                }
                FloatingActionButton floatingActionButton = (FloatingActionButton) view;
                floatingActionButton.l(Behavior.this.i);
                int height = Behavior.this.i.height();
                bottomAppBar.V0(height);
                CoordinatorLayout.d dVar = (CoordinatorLayout.d) view.getLayoutParams();
                if (Behavior.this.k == 0) {
                    ((ViewGroup.MarginLayoutParams) dVar).bottomMargin = bottomAppBar.getBottomInset() + (bottomAppBar.getResources().getDimensionPixelOffset(R.dimen.mtrl_bottomappbar_fab_bottom_margin) - ((floatingActionButton.getMeasuredHeight() - height) / 2));
                    ((ViewGroup.MarginLayoutParams) dVar).leftMargin = bottomAppBar.getLeftInset();
                    ((ViewGroup.MarginLayoutParams) dVar).rightMargin = bottomAppBar.getRightInset();
                    if (u.j(floatingActionButton)) {
                        ((ViewGroup.MarginLayoutParams) dVar).leftMargin += bottomAppBar.D1;
                    } else {
                        ((ViewGroup.MarginLayoutParams) dVar).rightMargin += bottomAppBar.D1;
                    }
                }
            }
        }

        public Behavior() {
        }

        /* renamed from: O */
        public boolean m(@NonNull CoordinatorLayout coordinatorLayout, @NonNull BottomAppBar bottomAppBar, int i2) {
            this.j = new WeakReference<>(bottomAppBar);
            View I0 = bottomAppBar.I0();
            if (I0 != null && !ViewCompat.isLaidOut(I0)) {
                CoordinatorLayout.d dVar = (CoordinatorLayout.d) I0.getLayoutParams();
                dVar.f2149d = 49;
                this.k = ((ViewGroup.MarginLayoutParams) dVar).bottomMargin;
                if (I0 instanceof FloatingActionButton) {
                    FloatingActionButton floatingActionButton = (FloatingActionButton) I0;
                    floatingActionButton.addOnLayoutChangeListener(this.l);
                    bottomAppBar.A0(floatingActionButton);
                }
                bottomAppBar.T0();
            }
            coordinatorLayout.H(bottomAppBar, i2);
            return super.m(coordinatorLayout, bottomAppBar, i2);
        }

        /* renamed from: P */
        public boolean B(@NonNull CoordinatorLayout coordinatorLayout, @NonNull BottomAppBar bottomAppBar, @NonNull View view, @NonNull View view2, int i2, int i3) {
            return bottomAppBar.getHideOnScroll() && super.B(coordinatorLayout, bottomAppBar, view, view2, i2, i3);
        }

        public Behavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public BottomAppBar(@NonNull Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i2, r6), attributeSet, i2);
        int i3 = w1;
        MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
        this.E1 = materialShapeDrawable;
        this.N1 = 0;
        this.P1 = 0;
        this.Q1 = false;
        this.R1 = true;
        this.W1 = new a();
        this.X1 = new b();
        Context context2 = getContext();
        TypedArray j2 = m.j(context2, attributeSet, R.styleable.BottomAppBar, i2, i3, new int[0]);
        ColorStateList a2 = com.google.android.material.i.c.a(context2, j2, R.styleable.BottomAppBar_backgroundTint);
        int dimensionPixelSize = j2.getDimensionPixelSize(R.styleable.BottomAppBar_elevation, 0);
        this.H1 = j2.getInt(R.styleable.BottomAppBar_fabAlignmentMode, 0);
        this.I1 = j2.getInt(R.styleable.BottomAppBar_fabAnimationMode, 0);
        this.J1 = j2.getBoolean(R.styleable.BottomAppBar_hideOnScroll, false);
        this.K1 = j2.getBoolean(R.styleable.BottomAppBar_paddingBottomSystemWindowInsets, false);
        this.L1 = j2.getBoolean(R.styleable.BottomAppBar_paddingLeftSystemWindowInsets, false);
        this.M1 = j2.getBoolean(R.styleable.BottomAppBar_paddingRightSystemWindowInsets, false);
        j2.recycle();
        this.D1 = getResources().getDimensionPixelOffset(R.dimen.mtrl_bottomappbar_fabOffsetEndMode);
        materialShapeDrawable.setShapeAppearanceModel(com.google.android.material.shape.m.a().G(new a((float) j2.getDimensionPixelOffset(R.styleable.BottomAppBar_fabCradleMargin, 0), (float) j2.getDimensionPixelOffset(R.styleable.BottomAppBar_fabCradleRoundedCornerRadius, 0), (float) j2.getDimensionPixelOffset(R.styleable.BottomAppBar_fabCradleVerticalOffset, 0))).m());
        materialShapeDrawable.w0(2);
        materialShapeDrawable.q0(Paint.Style.FILL);
        materialShapeDrawable.Y(context2);
        setElevation((float) dimensionPixelSize);
        androidx.core.graphics.drawable.c.o(materialShapeDrawable, a2);
        ViewCompat.setBackground(this, materialShapeDrawable);
        u.c(this, attributeSet, i2, i3, new c());
    }
}
