package com.google.android.material.bottomnavigation;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.appcompat.view.menu.i;
import androidx.appcompat.view.menu.n;
import androidx.appcompat.widget.h0;
import androidx.core.content.d;
import androidx.core.graphics.drawable.c;
import androidx.core.view.PointerIconCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.core.widget.TextViewCompat;
import com.google.android.material.R;
import com.google.android.material.badge.BadgeDrawable;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class BottomNavigationItemView extends FrameLayout implements n.a {

    /* renamed from: a  reason: collision with root package name */
    public static final int f11439a = -1;

    /* renamed from: b  reason: collision with root package name */
    private static final int[] f11440b = {16842912};
    private final int I0;
    private float J0;
    private float K0;
    private float L0;
    private int M0;
    private boolean N0;
    private ImageView O0;
    private final ViewGroup P0;
    private final TextView Q0;
    private final TextView R0;
    private int S0;
    @Nullable
    private i T0;
    @Nullable
    private ColorStateList U0;
    @Nullable
    private Drawable V0;
    @Nullable
    private Drawable W0;
    @Nullable
    private BadgeDrawable X0;

    class a implements View.OnLayoutChangeListener {
        a() {
        }

        public void onLayoutChange(View view, int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8) {
            if (BottomNavigationItemView.this.O0.getVisibility() == 0) {
                BottomNavigationItemView bottomNavigationItemView = BottomNavigationItemView.this;
                bottomNavigationItemView.o(bottomNavigationItemView.O0);
            }
        }
    }

    public BottomNavigationItemView(@NonNull Context context) {
        this(context, null);
    }

    private void g(float f, float f2) {
        this.J0 = f - f2;
        this.K0 = (f2 * 1.0f) / f;
        this.L0 = (f * 1.0f) / f2;
    }

    private int getItemVisiblePosition() {
        ViewGroup viewGroup = (ViewGroup) getParent();
        int indexOfChild = viewGroup.indexOfChild(this);
        int i = 0;
        for (int i2 = 0; i2 < indexOfChild; i2++) {
            View childAt = viewGroup.getChildAt(i2);
            if ((childAt instanceof BottomNavigationItemView) && childAt.getVisibility() == 0) {
                i++;
            }
        }
        return i;
    }

    @Nullable
    private FrameLayout h(View view) {
        ImageView imageView = this.O0;
        if (view != imageView || !com.google.android.material.badge.a.f11401a) {
            return null;
        }
        return (FrameLayout) imageView.getParent();
    }

    private boolean i() {
        return this.X0 != null;
    }

    private static void k(@NonNull View view, int i, int i2) {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) view.getLayoutParams();
        layoutParams.topMargin = i;
        layoutParams.gravity = i2;
        view.setLayoutParams(layoutParams);
    }

    private static void l(@NonNull View view, float f, float f2, int i) {
        view.setScaleX(f);
        view.setScaleY(f2);
        view.setVisibility(i);
    }

    private void m(@Nullable View view) {
        if (i() && view != null) {
            setClipChildren(false);
            setClipToPadding(false);
            com.google.android.material.badge.a.b(this.X0, view, h(view));
        }
    }

    private void n(@Nullable View view) {
        if (i()) {
            if (view != null) {
                setClipChildren(true);
                setClipToPadding(true);
                com.google.android.material.badge.a.g(this.X0, view);
            }
            this.X0 = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void o(View view) {
        if (i()) {
            com.google.android.material.badge.a.i(this.X0, view, h(view));
        }
    }

    private static void p(@NonNull View view, int i) {
        view.setPadding(view.getPaddingLeft(), view.getPaddingTop(), view.getPaddingRight(), i);
    }

    @Override // androidx.appcompat.view.menu.n.a
    public void b(boolean z, char c2) {
    }

    @Override // androidx.appcompat.view.menu.n.a
    public boolean d() {
        return false;
    }

    @Override // androidx.appcompat.view.menu.n.a
    public boolean e() {
        return true;
    }

    @Override // androidx.appcompat.view.menu.n.a
    public void f(@NonNull i iVar, int i) {
        CharSequence charSequence;
        this.T0 = iVar;
        setCheckable(iVar.isCheckable());
        setChecked(iVar.isChecked());
        setEnabled(iVar.isEnabled());
        setIcon(iVar.getIcon());
        setTitle(iVar.getTitle());
        setId(iVar.getItemId());
        if (!TextUtils.isEmpty(iVar.getContentDescription())) {
            setContentDescription(iVar.getContentDescription());
        }
        if (!TextUtils.isEmpty(iVar.getTooltipText())) {
            charSequence = iVar.getTooltipText();
        } else {
            charSequence = iVar.getTitle();
        }
        h0.a(this, charSequence);
        setVisibility(iVar.isVisible() ? 0 : 8);
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public BadgeDrawable getBadge() {
        return this.X0;
    }

    @Override // androidx.appcompat.view.menu.n.a
    public i getItemData() {
        return this.T0;
    }

    public int getItemPosition() {
        return this.S0;
    }

    /* access modifiers changed from: package-private */
    public void j() {
        n(this.O0);
    }

    public int[] onCreateDrawableState(int i) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i + 1);
        i iVar = this.T0;
        if (iVar != null && iVar.isCheckable() && this.T0.isChecked()) {
            FrameLayout.mergeDrawableStates(onCreateDrawableState, f11440b);
        }
        return onCreateDrawableState;
    }

    public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        BadgeDrawable badgeDrawable = this.X0;
        if (badgeDrawable != null && badgeDrawable.isVisible()) {
            CharSequence title = this.T0.getTitle();
            if (!TextUtils.isEmpty(this.T0.getContentDescription())) {
                title = this.T0.getContentDescription();
            }
            accessibilityNodeInfo.setContentDescription(((Object) title) + ", " + ((Object) this.X0.m()));
        }
        AccessibilityNodeInfoCompat wrap = AccessibilityNodeInfoCompat.wrap(accessibilityNodeInfo);
        wrap.setCollectionItemInfo(AccessibilityNodeInfoCompat.CollectionItemInfoCompat.obtain(0, 1, getItemVisiblePosition(), 1, false, isSelected()));
        if (isSelected()) {
            wrap.setClickable(false);
            wrap.removeAction(AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_CLICK);
        }
        wrap.setRoleDescription(getResources().getString(R.string.item_view_role_description));
    }

    /* access modifiers changed from: package-private */
    public void setBadge(@NonNull BadgeDrawable badgeDrawable) {
        this.X0 = badgeDrawable;
        ImageView imageView = this.O0;
        if (imageView != null) {
            m(imageView);
        }
    }

    @Override // androidx.appcompat.view.menu.n.a
    public void setCheckable(boolean z) {
        refreshDrawableState();
    }

    @Override // androidx.appcompat.view.menu.n.a
    public void setChecked(boolean z) {
        TextView textView = this.R0;
        textView.setPivotX((float) (textView.getWidth() / 2));
        TextView textView2 = this.R0;
        textView2.setPivotY((float) textView2.getBaseline());
        TextView textView3 = this.Q0;
        textView3.setPivotX((float) (textView3.getWidth() / 2));
        TextView textView4 = this.Q0;
        textView4.setPivotY((float) textView4.getBaseline());
        int i = this.M0;
        if (i != -1) {
            if (i == 0) {
                if (z) {
                    k(this.O0, this.I0, 49);
                    ViewGroup viewGroup = this.P0;
                    p(viewGroup, ((Integer) viewGroup.getTag(R.id.mtrl_view_tag_bottom_padding)).intValue());
                    this.R0.setVisibility(0);
                } else {
                    k(this.O0, this.I0, 17);
                    p(this.P0, 0);
                    this.R0.setVisibility(4);
                }
                this.Q0.setVisibility(4);
            } else if (i == 1) {
                ViewGroup viewGroup2 = this.P0;
                p(viewGroup2, ((Integer) viewGroup2.getTag(R.id.mtrl_view_tag_bottom_padding)).intValue());
                if (z) {
                    k(this.O0, (int) (((float) this.I0) + this.J0), 49);
                    l(this.R0, 1.0f, 1.0f, 0);
                    TextView textView5 = this.Q0;
                    float f = this.K0;
                    l(textView5, f, f, 4);
                } else {
                    k(this.O0, this.I0, 49);
                    TextView textView6 = this.R0;
                    float f2 = this.L0;
                    l(textView6, f2, f2, 4);
                    l(this.Q0, 1.0f, 1.0f, 0);
                }
            } else if (i == 2) {
                k(this.O0, this.I0, 17);
                this.R0.setVisibility(8);
                this.Q0.setVisibility(8);
            }
        } else if (this.N0) {
            if (z) {
                k(this.O0, this.I0, 49);
                ViewGroup viewGroup3 = this.P0;
                p(viewGroup3, ((Integer) viewGroup3.getTag(R.id.mtrl_view_tag_bottom_padding)).intValue());
                this.R0.setVisibility(0);
            } else {
                k(this.O0, this.I0, 17);
                p(this.P0, 0);
                this.R0.setVisibility(4);
            }
            this.Q0.setVisibility(4);
        } else {
            ViewGroup viewGroup4 = this.P0;
            p(viewGroup4, ((Integer) viewGroup4.getTag(R.id.mtrl_view_tag_bottom_padding)).intValue());
            if (z) {
                k(this.O0, (int) (((float) this.I0) + this.J0), 49);
                l(this.R0, 1.0f, 1.0f, 0);
                TextView textView7 = this.Q0;
                float f3 = this.K0;
                l(textView7, f3, f3, 4);
            } else {
                k(this.O0, this.I0, 49);
                TextView textView8 = this.R0;
                float f4 = this.L0;
                l(textView8, f4, f4, 4);
                l(this.Q0, 1.0f, 1.0f, 0);
            }
        }
        refreshDrawableState();
        setSelected(z);
    }

    @Override // androidx.appcompat.view.menu.n.a
    public void setEnabled(boolean z) {
        super.setEnabled(z);
        this.Q0.setEnabled(z);
        this.R0.setEnabled(z);
        this.O0.setEnabled(z);
        if (z) {
            ViewCompat.setPointerIcon(this, PointerIconCompat.getSystemIcon(getContext(), 1002));
        } else {
            ViewCompat.setPointerIcon(this, null);
        }
    }

    @Override // androidx.appcompat.view.menu.n.a
    public void setIcon(@Nullable Drawable drawable) {
        if (drawable != this.V0) {
            this.V0 = drawable;
            if (drawable != null) {
                Drawable.ConstantState constantState = drawable.getConstantState();
                if (constantState != null) {
                    drawable = constantState.newDrawable();
                }
                drawable = c.r(drawable).mutate();
                this.W0 = drawable;
                ColorStateList colorStateList = this.U0;
                if (colorStateList != null) {
                    c.o(drawable, colorStateList);
                }
            }
            this.O0.setImageDrawable(drawable);
        }
    }

    public void setIconSize(int i) {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) this.O0.getLayoutParams();
        layoutParams.width = i;
        layoutParams.height = i;
        this.O0.setLayoutParams(layoutParams);
    }

    public void setIconTintList(ColorStateList colorStateList) {
        Drawable drawable;
        this.U0 = colorStateList;
        if (this.T0 != null && (drawable = this.W0) != null) {
            c.o(drawable, colorStateList);
            this.W0.invalidateSelf();
        }
    }

    public void setItemBackground(int i) {
        setItemBackground(i == 0 ? null : d.i(getContext(), i));
    }

    public void setItemPosition(int i) {
        this.S0 = i;
    }

    public void setLabelVisibilityMode(int i) {
        if (this.M0 != i) {
            this.M0 = i;
            i iVar = this.T0;
            if (iVar != null) {
                setChecked(iVar.isChecked());
            }
        }
    }

    public void setShifting(boolean z) {
        if (this.N0 != z) {
            this.N0 = z;
            i iVar = this.T0;
            if (iVar != null) {
                setChecked(iVar.isChecked());
            }
        }
    }

    public void setTextAppearanceActive(@StyleRes int i) {
        TextViewCompat.E(this.R0, i);
        g(this.Q0.getTextSize(), this.R0.getTextSize());
    }

    public void setTextAppearanceInactive(@StyleRes int i) {
        TextViewCompat.E(this.Q0, i);
        g(this.Q0.getTextSize(), this.R0.getTextSize());
    }

    public void setTextColor(@Nullable ColorStateList colorStateList) {
        if (colorStateList != null) {
            this.Q0.setTextColor(colorStateList);
            this.R0.setTextColor(colorStateList);
        }
    }

    @Override // androidx.appcompat.view.menu.n.a
    public void setTitle(CharSequence charSequence) {
        this.Q0.setText(charSequence);
        this.R0.setText(charSequence);
        i iVar = this.T0;
        if (iVar == null || TextUtils.isEmpty(iVar.getContentDescription())) {
            setContentDescription(charSequence);
        }
        i iVar2 = this.T0;
        if (iVar2 != null && !TextUtils.isEmpty(iVar2.getTooltipText())) {
            charSequence = this.T0.getTooltipText();
        }
        h0.a(this, charSequence);
    }

    public BottomNavigationItemView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public BottomNavigationItemView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.S0 = -1;
        Resources resources = getResources();
        LayoutInflater.from(context).inflate(R.layout.design_bottom_navigation_item, (ViewGroup) this, true);
        setBackgroundResource(R.drawable.design_bottom_navigation_item_background);
        this.I0 = resources.getDimensionPixelSize(R.dimen.design_bottom_navigation_margin);
        this.O0 = (ImageView) findViewById(R.id.icon);
        ViewGroup viewGroup = (ViewGroup) findViewById(R.id.labelGroup);
        this.P0 = viewGroup;
        TextView textView = (TextView) findViewById(R.id.smallLabel);
        this.Q0 = textView;
        TextView textView2 = (TextView) findViewById(R.id.largeLabel);
        this.R0 = textView2;
        viewGroup.setTag(R.id.mtrl_view_tag_bottom_padding, Integer.valueOf(viewGroup.getPaddingBottom()));
        ViewCompat.setImportantForAccessibility(textView, 2);
        ViewCompat.setImportantForAccessibility(textView2, 2);
        setFocusable(true);
        g(textView.getTextSize(), textView2.getTextSize());
        ImageView imageView = this.O0;
        if (imageView != null) {
            imageView.addOnLayoutChangeListener(new a());
        }
    }

    public void setItemBackground(@Nullable Drawable drawable) {
        if (!(drawable == null || drawable.getConstantState() == null)) {
            drawable = drawable.getConstantState().newDrawable().mutate();
        }
        ViewCompat.setBackground(this, drawable);
    }
}
