package com.google.android.material.bottomnavigation;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.util.TypedValue;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityNodeInfo;
import androidx.annotation.Dimension;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.annotation.VisibleForTesting;
import androidx.appcompat.R;
import androidx.appcompat.view.menu.f;
import androidx.appcompat.view.menu.i;
import androidx.appcompat.view.menu.n;
import androidx.core.util.l;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.transition.AutoTransition;
import androidx.transition.TransitionSet;
import androidx.transition.w;
import b.g.b.a.b;
import com.google.android.material.badge.BadgeDrawable;
import com.google.android.material.internal.k;
import java.util.HashSet;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class BottomNavigationMenuView extends ViewGroup implements n {
    private static final int[] I0 = {16842912};
    private static final int[] J0 = {-16842910};

    /* renamed from: a  reason: collision with root package name */
    private static final long f11442a = 115;

    /* renamed from: b  reason: collision with root package name */
    private static final int f11443b = 5;
    @NonNull
    private final TransitionSet K0;
    private final int L0;
    private final int M0;
    private final int N0;
    private final int O0;
    private final int P0;
    @NonNull
    private final View.OnClickListener Q0;
    private final l.a<BottomNavigationItemView> R0;
    @NonNull
    private final SparseArray<View.OnTouchListener> S0;
    private boolean T0;
    private int U0;
    @Nullable
    private BottomNavigationItemView[] V0;
    private int W0;
    private int X0;
    private ColorStateList Y0;
    @Dimension
    private int Z0;
    private ColorStateList a1;
    @Nullable
    private final ColorStateList b1;
    @StyleRes
    private int c1;
    @StyleRes
    private int d1;
    private Drawable e1;
    private int f1;
    private int[] g1;
    @NonNull
    private SparseArray<BadgeDrawable> h1;
    private BottomNavigationPresenter i1;
    private f j1;

    class a implements View.OnClickListener {
        a() {
        }

        public void onClick(View view) {
            i itemData = ((BottomNavigationItemView) view).getItemData();
            if (!BottomNavigationMenuView.this.j1.P(itemData, BottomNavigationMenuView.this.i1, 0)) {
                itemData.setChecked(true);
            }
        }
    }

    public BottomNavigationMenuView(Context context) {
        this(context, null);
    }

    private BottomNavigationItemView getNewItem() {
        BottomNavigationItemView b2 = this.R0.b();
        return b2 == null ? new BottomNavigationItemView(getContext()) : b2;
    }

    private boolean j(int i, int i2) {
        if (i == -1) {
            if (i2 > 3) {
                return true;
            }
        } else if (i == 0) {
            return true;
        }
        return false;
    }

    private boolean k(int i) {
        return i != -1;
    }

    private void m() {
        HashSet hashSet = new HashSet();
        for (int i = 0; i < this.j1.size(); i++) {
            hashSet.add(Integer.valueOf(this.j1.getItem(i).getItemId()));
        }
        for (int i2 = 0; i2 < this.h1.size(); i2++) {
            int keyAt = this.h1.keyAt(i2);
            if (!hashSet.contains(Integer.valueOf(keyAt))) {
                this.h1.delete(keyAt);
            }
        }
    }

    private void q(int i) {
        if (!k(i)) {
            throw new IllegalArgumentException(i + " is not a valid view id");
        }
    }

    private void setBadgeIfNeeded(@NonNull BottomNavigationItemView bottomNavigationItemView) {
        BadgeDrawable badgeDrawable;
        int id = bottomNavigationItemView.getId();
        if (k(id) && (badgeDrawable = this.h1.get(id)) != null) {
            bottomNavigationItemView.setBadge(badgeDrawable);
        }
    }

    @Override // androidx.appcompat.view.menu.n
    public void c(f fVar) {
        this.j1 = fVar;
    }

    @SuppressLint({"ClickableViewAccessibility"})
    public void d() {
        removeAllViews();
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.V0;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                if (bottomNavigationItemView != null) {
                    this.R0.a(bottomNavigationItemView);
                    bottomNavigationItemView.j();
                }
            }
        }
        if (this.j1.size() == 0) {
            this.W0 = 0;
            this.X0 = 0;
            this.V0 = null;
            return;
        }
        m();
        this.V0 = new BottomNavigationItemView[this.j1.size()];
        boolean j = j(this.U0, this.j1.H().size());
        for (int i = 0; i < this.j1.size(); i++) {
            this.i1.m(true);
            this.j1.getItem(i).setCheckable(true);
            this.i1.m(false);
            BottomNavigationItemView newItem = getNewItem();
            this.V0[i] = newItem;
            newItem.setIconTintList(this.Y0);
            newItem.setIconSize(this.Z0);
            newItem.setTextColor(this.b1);
            newItem.setTextAppearanceInactive(this.c1);
            newItem.setTextAppearanceActive(this.d1);
            newItem.setTextColor(this.a1);
            Drawable drawable = this.e1;
            if (drawable != null) {
                newItem.setItemBackground(drawable);
            } else {
                newItem.setItemBackground(this.f1);
            }
            newItem.setShifting(j);
            newItem.setLabelVisibilityMode(this.U0);
            i iVar = (i) this.j1.getItem(i);
            newItem.f(iVar, 0);
            newItem.setItemPosition(i);
            int itemId = iVar.getItemId();
            newItem.setOnTouchListener(this.S0.get(itemId));
            newItem.setOnClickListener(this.Q0);
            int i2 = this.W0;
            if (i2 != 0 && itemId == i2) {
                this.X0 = i;
            }
            setBadgeIfNeeded(newItem);
            addView(newItem);
        }
        int min = Math.min(this.j1.size() - 1, this.X0);
        this.X0 = min;
        this.j1.getItem(min).setChecked(true);
    }

    @Nullable
    public ColorStateList e(int i) {
        TypedValue typedValue = new TypedValue();
        if (!getContext().getTheme().resolveAttribute(i, typedValue, true)) {
            return null;
        }
        ColorStateList c2 = androidx.appcompat.a.a.a.c(getContext(), typedValue.resourceId);
        if (!getContext().getTheme().resolveAttribute(R.attr.colorPrimary, typedValue, true)) {
            return null;
        }
        int i2 = typedValue.data;
        int defaultColor = c2.getDefaultColor();
        int[] iArr = J0;
        return new ColorStateList(new int[][]{iArr, I0, ViewGroup.EMPTY_STATE_SET}, new int[]{c2.getColorForState(iArr, defaultColor), i2, defaultColor});
    }

    /* access modifiers changed from: package-private */
    @Nullable
    @VisibleForTesting
    public BottomNavigationItemView f(int i) {
        q(i);
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.V0;
        if (bottomNavigationItemViewArr == null) {
            return null;
        }
        for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
            if (bottomNavigationItemView.getId() == i) {
                return bottomNavigationItemView;
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public BadgeDrawable g(int i) {
        return this.h1.get(i);
    }

    /* access modifiers changed from: package-private */
    public SparseArray<BadgeDrawable> getBadgeDrawables() {
        return this.h1;
    }

    @Nullable
    public ColorStateList getIconTintList() {
        return this.Y0;
    }

    @Nullable
    public Drawable getItemBackground() {
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.V0;
        if (bottomNavigationItemViewArr == null || bottomNavigationItemViewArr.length <= 0) {
            return this.e1;
        }
        return bottomNavigationItemViewArr[0].getBackground();
    }

    @Deprecated
    public int getItemBackgroundRes() {
        return this.f1;
    }

    @Dimension
    public int getItemIconSize() {
        return this.Z0;
    }

    @StyleRes
    public int getItemTextAppearanceActive() {
        return this.d1;
    }

    @StyleRes
    public int getItemTextAppearanceInactive() {
        return this.c1;
    }

    public ColorStateList getItemTextColor() {
        return this.a1;
    }

    public int getLabelVisibilityMode() {
        return this.U0;
    }

    public int getSelectedItemId() {
        return this.W0;
    }

    @Override // androidx.appcompat.view.menu.n
    public int getWindowAnimations() {
        return 0;
    }

    /* access modifiers changed from: package-private */
    public BadgeDrawable h(int i) {
        q(i);
        BadgeDrawable badgeDrawable = this.h1.get(i);
        if (badgeDrawable == null) {
            badgeDrawable = BadgeDrawable.d(getContext());
            this.h1.put(i, badgeDrawable);
        }
        BottomNavigationItemView f = f(i);
        if (f != null) {
            f.setBadge(badgeDrawable);
        }
        return badgeDrawable;
    }

    public boolean i() {
        return this.T0;
    }

    /* access modifiers changed from: package-private */
    public void l(int i) {
        q(i);
        BadgeDrawable badgeDrawable = this.h1.get(i);
        BottomNavigationItemView f = f(i);
        if (f != null) {
            f.j();
        }
        if (badgeDrawable != null) {
            this.h1.remove(i);
        }
    }

    @SuppressLint({"ClickableViewAccessibility"})
    public void n(int i, @Nullable View.OnTouchListener onTouchListener) {
        if (onTouchListener == null) {
            this.S0.remove(i);
        } else {
            this.S0.put(i, onTouchListener);
        }
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.V0;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                if (bottomNavigationItemView.getItemData().getItemId() == i) {
                    bottomNavigationItemView.setOnTouchListener(onTouchListener);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void o(int i) {
        int size = this.j1.size();
        for (int i2 = 0; i2 < size; i2++) {
            MenuItem item = this.j1.getItem(i2);
            if (i == item.getItemId()) {
                this.W0 = i;
                this.X0 = i2;
                item.setChecked(true);
                return;
            }
        }
    }

    public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        AccessibilityNodeInfoCompat.wrap(accessibilityNodeInfo).setCollectionInfo(AccessibilityNodeInfoCompat.CollectionInfoCompat.obtain(1, this.j1.H().size(), false, 1));
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        int childCount = getChildCount();
        int i5 = i3 - i;
        int i6 = i4 - i2;
        int i7 = 0;
        for (int i8 = 0; i8 < childCount; i8++) {
            View childAt = getChildAt(i8);
            if (childAt.getVisibility() != 8) {
                if (ViewCompat.getLayoutDirection(this) == 1) {
                    int i9 = i5 - i7;
                    childAt.layout(i9 - childAt.getMeasuredWidth(), 0, i9, i6);
                } else {
                    childAt.layout(i7, 0, childAt.getMeasuredWidth() + i7, i6);
                }
                i7 += childAt.getMeasuredWidth();
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        int size = View.MeasureSpec.getSize(i);
        int size2 = this.j1.H().size();
        int childCount = getChildCount();
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(this.P0, 1073741824);
        if (!j(this.U0, size2) || !this.T0) {
            int min = Math.min(size / (size2 == 0 ? 1 : size2), this.N0);
            int i3 = size - (size2 * min);
            for (int i4 = 0; i4 < childCount; i4++) {
                if (getChildAt(i4).getVisibility() != 8) {
                    int[] iArr = this.g1;
                    iArr[i4] = min;
                    if (i3 > 0) {
                        iArr[i4] = iArr[i4] + 1;
                        i3--;
                    }
                } else {
                    this.g1[i4] = 0;
                }
            }
        } else {
            View childAt = getChildAt(this.X0);
            int i5 = this.O0;
            if (childAt.getVisibility() != 8) {
                childAt.measure(View.MeasureSpec.makeMeasureSpec(this.N0, Integer.MIN_VALUE), makeMeasureSpec);
                i5 = Math.max(i5, childAt.getMeasuredWidth());
            }
            int i6 = size2 - (childAt.getVisibility() != 8 ? 1 : 0);
            int min2 = Math.min(size - (this.M0 * i6), Math.min(i5, this.N0));
            int i7 = size - min2;
            int min3 = Math.min(i7 / (i6 == 0 ? 1 : i6), this.L0);
            int i8 = i7 - (i6 * min3);
            int i9 = 0;
            while (i9 < childCount) {
                if (getChildAt(i9).getVisibility() != 8) {
                    int[] iArr2 = this.g1;
                    iArr2[i9] = i9 == this.X0 ? min2 : min3;
                    if (i8 > 0) {
                        iArr2[i9] = iArr2[i9] + 1;
                        i8--;
                    }
                } else {
                    this.g1[i9] = 0;
                }
                i9++;
            }
        }
        int i10 = 0;
        for (int i11 = 0; i11 < childCount; i11++) {
            View childAt2 = getChildAt(i11);
            if (childAt2.getVisibility() != 8) {
                childAt2.measure(View.MeasureSpec.makeMeasureSpec(this.g1[i11], 1073741824), makeMeasureSpec);
                childAt2.getLayoutParams().width = childAt2.getMeasuredWidth();
                i10 += childAt2.getMeasuredWidth();
            }
        }
        setMeasuredDimension(View.resolveSizeAndState(i10, View.MeasureSpec.makeMeasureSpec(i10, 1073741824), 0), View.resolveSizeAndState(this.P0, makeMeasureSpec, 0));
    }

    public void p() {
        f fVar = this.j1;
        if (!(fVar == null || this.V0 == null)) {
            int size = fVar.size();
            if (size != this.V0.length) {
                d();
                return;
            }
            int i = this.W0;
            for (int i2 = 0; i2 < size; i2++) {
                MenuItem item = this.j1.getItem(i2);
                if (item.isChecked()) {
                    this.W0 = item.getItemId();
                    this.X0 = i2;
                }
            }
            if (i != this.W0) {
                w.b(this, this.K0);
            }
            boolean j = j(this.U0, this.j1.H().size());
            for (int i3 = 0; i3 < size; i3++) {
                this.i1.m(true);
                this.V0[i3].setLabelVisibilityMode(this.U0);
                this.V0[i3].setShifting(j);
                this.V0[i3].f((i) this.j1.getItem(i3), 0);
                this.i1.m(false);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void setBadgeDrawables(SparseArray<BadgeDrawable> sparseArray) {
        this.h1 = sparseArray;
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.V0;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                bottomNavigationItemView.setBadge(sparseArray.get(bottomNavigationItemView.getId()));
            }
        }
    }

    public void setIconTintList(ColorStateList colorStateList) {
        this.Y0 = colorStateList;
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.V0;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                bottomNavigationItemView.setIconTintList(colorStateList);
            }
        }
    }

    public void setItemBackground(@Nullable Drawable drawable) {
        this.e1 = drawable;
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.V0;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                bottomNavigationItemView.setItemBackground(drawable);
            }
        }
    }

    public void setItemBackgroundRes(int i) {
        this.f1 = i;
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.V0;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                bottomNavigationItemView.setItemBackground(i);
            }
        }
    }

    public void setItemHorizontalTranslationEnabled(boolean z) {
        this.T0 = z;
    }

    public void setItemIconSize(@Dimension int i) {
        this.Z0 = i;
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.V0;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                bottomNavigationItemView.setIconSize(i);
            }
        }
    }

    public void setItemTextAppearanceActive(@StyleRes int i) {
        this.d1 = i;
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.V0;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                bottomNavigationItemView.setTextAppearanceActive(i);
                ColorStateList colorStateList = this.a1;
                if (colorStateList != null) {
                    bottomNavigationItemView.setTextColor(colorStateList);
                }
            }
        }
    }

    public void setItemTextAppearanceInactive(@StyleRes int i) {
        this.c1 = i;
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.V0;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                bottomNavigationItemView.setTextAppearanceInactive(i);
                ColorStateList colorStateList = this.a1;
                if (colorStateList != null) {
                    bottomNavigationItemView.setTextColor(colorStateList);
                }
            }
        }
    }

    public void setItemTextColor(ColorStateList colorStateList) {
        this.a1 = colorStateList;
        BottomNavigationItemView[] bottomNavigationItemViewArr = this.V0;
        if (bottomNavigationItemViewArr != null) {
            for (BottomNavigationItemView bottomNavigationItemView : bottomNavigationItemViewArr) {
                bottomNavigationItemView.setTextColor(colorStateList);
            }
        }
    }

    public void setLabelVisibilityMode(int i) {
        this.U0 = i;
    }

    public void setPresenter(BottomNavigationPresenter bottomNavigationPresenter) {
        this.i1 = bottomNavigationPresenter;
    }

    public BottomNavigationMenuView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.R0 = new l.c(5);
        this.S0 = new SparseArray<>(5);
        this.W0 = 0;
        this.X0 = 0;
        this.h1 = new SparseArray<>(5);
        Resources resources = getResources();
        this.L0 = resources.getDimensionPixelSize(com.google.android.material.R.dimen.design_bottom_navigation_item_max_width);
        this.M0 = resources.getDimensionPixelSize(com.google.android.material.R.dimen.design_bottom_navigation_item_min_width);
        this.N0 = resources.getDimensionPixelSize(com.google.android.material.R.dimen.design_bottom_navigation_active_item_max_width);
        this.O0 = resources.getDimensionPixelSize(com.google.android.material.R.dimen.design_bottom_navigation_active_item_min_width);
        this.P0 = resources.getDimensionPixelSize(com.google.android.material.R.dimen.design_bottom_navigation_height);
        this.b1 = e(16842808);
        AutoTransition autoTransition = new AutoTransition();
        this.K0 = autoTransition;
        autoTransition.b1(0);
        autoTransition.A0(f11442a);
        autoTransition.C0(new b());
        autoTransition.O0(new k());
        this.Q0 = new a();
        this.g1 = new int[5];
        ViewCompat.setImportantForAccessibility(this, 1);
    }
}
