package com.google.android.material.bottomnavigation;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.FrameLayout;
import androidx.annotation.DimenRes;
import androidx.annotation.Dimension;
import androidx.annotation.DrawableRes;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.StyleRes;
import androidx.annotation.VisibleForTesting;
import androidx.appcompat.c.g;
import androidx.appcompat.view.menu.f;
import androidx.appcompat.widget.f0;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.customview.view.AbsSavedState;
import com.google.android.material.R;
import com.google.android.material.badge.BadgeDrawable;
import com.google.android.material.internal.m;
import com.google.android.material.internal.u;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.i;

public class BottomNavigationView extends FrameLayout {

    /* renamed from: a  reason: collision with root package name */
    private static final int f11449a = R.style.Widget_Design_BottomNavigationView;

    /* renamed from: b  reason: collision with root package name */
    private static final int f11450b = 1;
    @NonNull
    private final f I0;
    @NonNull
    @VisibleForTesting
    final BottomNavigationMenuView J0;
    private final BottomNavigationPresenter K0;
    @Nullable
    private ColorStateList L0;
    private MenuInflater M0;
    private d N0;
    private c O0;

    /* access modifiers changed from: package-private */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        @Nullable
        Bundle I0;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Nullable
            /* renamed from: a */
            public SavedState createFromParcel(@NonNull Parcel parcel) {
                return new SavedState(parcel, null);
            }

            @NonNull
            /* renamed from: b */
            public SavedState createFromParcel(@NonNull Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @NonNull
            /* renamed from: c */
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        private void b(@NonNull Parcel parcel, ClassLoader classLoader) {
            this.I0 = parcel.readBundle(classLoader);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(@NonNull Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeBundle(this.I0);
        }

        public SavedState(@NonNull Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            b(parcel, classLoader == null ? getClass().getClassLoader() : classLoader);
        }
    }

    class a implements f.a {
        a() {
        }

        @Override // androidx.appcompat.view.menu.f.a
        public boolean a(f fVar, @NonNull MenuItem menuItem) {
            if (BottomNavigationView.this.O0 != null && menuItem.getItemId() == BottomNavigationView.this.getSelectedItemId()) {
                BottomNavigationView.this.O0.a(menuItem);
                return true;
            } else if (BottomNavigationView.this.N0 == null || BottomNavigationView.this.N0.a(menuItem)) {
                return false;
            } else {
                return true;
            }
        }

        @Override // androidx.appcompat.view.menu.f.a
        public void b(f fVar) {
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements u.e {
        b() {
        }

        @Override // com.google.android.material.internal.u.e
        @NonNull
        public WindowInsetsCompat a(View view, @NonNull WindowInsetsCompat windowInsetsCompat, @NonNull u.f fVar) {
            fVar.f11783d += windowInsetsCompat.getSystemWindowInsetBottom();
            boolean z = true;
            if (ViewCompat.getLayoutDirection(view) != 1) {
                z = false;
            }
            int systemWindowInsetLeft = windowInsetsCompat.getSystemWindowInsetLeft();
            int systemWindowInsetRight = windowInsetsCompat.getSystemWindowInsetRight();
            fVar.f11780a += z ? systemWindowInsetRight : systemWindowInsetLeft;
            int i = fVar.f11782c;
            if (!z) {
                systemWindowInsetLeft = systemWindowInsetRight;
            }
            fVar.f11782c = i + systemWindowInsetLeft;
            fVar.a(view);
            return windowInsetsCompat;
        }
    }

    public interface c {
        void a(@NonNull MenuItem menuItem);
    }

    public interface d {
        boolean a(@NonNull MenuItem menuItem);
    }

    public BottomNavigationView(@NonNull Context context) {
        this(context, null);
    }

    private void c(Context context) {
        View view = new View(context);
        view.setBackgroundColor(androidx.core.content.d.f(context, R.color.design_bottom_navigation_shadow_color));
        view.setLayoutParams(new FrameLayout.LayoutParams(-1, getResources().getDimensionPixelSize(R.dimen.design_bottom_navigation_shadow_height)));
        addView(view);
    }

    private void d() {
        u.d(this, new b());
    }

    @NonNull
    private MaterialShapeDrawable e(Context context) {
        MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
        Drawable background = getBackground();
        if (background instanceof ColorDrawable) {
            materialShapeDrawable.n0(ColorStateList.valueOf(((ColorDrawable) background).getColor()));
        }
        materialShapeDrawable.Y(context);
        return materialShapeDrawable;
    }

    private MenuInflater getMenuInflater() {
        if (this.M0 == null) {
            this.M0 = new g(getContext());
        }
        return this.M0;
    }

    private boolean l() {
        return Build.VERSION.SDK_INT < 21 && !(getBackground() instanceof MaterialShapeDrawable);
    }

    @Nullable
    public BadgeDrawable f(int i) {
        return this.J0.g(i);
    }

    public BadgeDrawable g(int i) {
        return this.J0.h(i);
    }

    @Nullable
    public Drawable getItemBackground() {
        return this.J0.getItemBackground();
    }

    @DrawableRes
    @Deprecated
    public int getItemBackgroundResource() {
        return this.J0.getItemBackgroundRes();
    }

    @Dimension
    public int getItemIconSize() {
        return this.J0.getItemIconSize();
    }

    @Nullable
    public ColorStateList getItemIconTintList() {
        return this.J0.getIconTintList();
    }

    @Nullable
    public ColorStateList getItemRippleColor() {
        return this.L0;
    }

    @StyleRes
    public int getItemTextAppearanceActive() {
        return this.J0.getItemTextAppearanceActive();
    }

    @StyleRes
    public int getItemTextAppearanceInactive() {
        return this.J0.getItemTextAppearanceInactive();
    }

    @Nullable
    public ColorStateList getItemTextColor() {
        return this.J0.getItemTextColor();
    }

    public int getLabelVisibilityMode() {
        return this.J0.getLabelVisibilityMode();
    }

    public int getMaxItemCount() {
        return 5;
    }

    @NonNull
    public Menu getMenu() {
        return this.I0;
    }

    @IdRes
    public int getSelectedItemId() {
        return this.J0.getSelectedItemId();
    }

    public void h(int i) {
        this.K0.m(true);
        getMenuInflater().inflate(i, this.I0);
        this.K0.m(false);
        this.K0.g(true);
    }

    public boolean i() {
        return this.J0.i();
    }

    public void j(int i) {
        this.J0.l(i);
    }

    public void k(int i, @Nullable View.OnTouchListener onTouchListener) {
        this.J0.n(i, onTouchListener);
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        i.e(this);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.a());
        this.I0.U(savedState.I0);
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        Bundle bundle = new Bundle();
        savedState.I0 = bundle;
        this.I0.W(bundle);
        return savedState;
    }

    public void setElevation(float f) {
        if (Build.VERSION.SDK_INT >= 21) {
            super.setElevation(f);
        }
        i.d(this, f);
    }

    public void setItemBackground(@Nullable Drawable drawable) {
        this.J0.setItemBackground(drawable);
        this.L0 = null;
    }

    public void setItemBackgroundResource(@DrawableRes int i) {
        this.J0.setItemBackgroundRes(i);
        this.L0 = null;
    }

    public void setItemHorizontalTranslationEnabled(boolean z) {
        if (this.J0.i() != z) {
            this.J0.setItemHorizontalTranslationEnabled(z);
            this.K0.g(false);
        }
    }

    public void setItemIconSize(@Dimension int i) {
        this.J0.setItemIconSize(i);
    }

    public void setItemIconSizeRes(@DimenRes int i) {
        setItemIconSize(getResources().getDimensionPixelSize(i));
    }

    public void setItemIconTintList(@Nullable ColorStateList colorStateList) {
        this.J0.setIconTintList(colorStateList);
    }

    public void setItemRippleColor(@Nullable ColorStateList colorStateList) {
        if (this.L0 != colorStateList) {
            this.L0 = colorStateList;
            if (colorStateList == null) {
                this.J0.setItemBackground(null);
                return;
            }
            ColorStateList a2 = com.google.android.material.j.b.a(colorStateList);
            if (Build.VERSION.SDK_INT >= 21) {
                this.J0.setItemBackground(new RippleDrawable(a2, null, null));
                return;
            }
            GradientDrawable gradientDrawable = new GradientDrawable();
            gradientDrawable.setCornerRadius(1.0E-5f);
            Drawable r = androidx.core.graphics.drawable.c.r(gradientDrawable);
            androidx.core.graphics.drawable.c.o(r, a2);
            this.J0.setItemBackground(r);
        } else if (colorStateList == null && this.J0.getItemBackground() != null) {
            this.J0.setItemBackground(null);
        }
    }

    public void setItemTextAppearanceActive(@StyleRes int i) {
        this.J0.setItemTextAppearanceActive(i);
    }

    public void setItemTextAppearanceInactive(@StyleRes int i) {
        this.J0.setItemTextAppearanceInactive(i);
    }

    public void setItemTextColor(@Nullable ColorStateList colorStateList) {
        this.J0.setItemTextColor(colorStateList);
    }

    public void setLabelVisibilityMode(int i) {
        if (this.J0.getLabelVisibilityMode() != i) {
            this.J0.setLabelVisibilityMode(i);
            this.K0.g(false);
        }
    }

    public void setOnNavigationItemReselectedListener(@Nullable c cVar) {
        this.O0 = cVar;
    }

    public void setOnNavigationItemSelectedListener(@Nullable d dVar) {
        this.N0 = dVar;
    }

    public void setSelectedItemId(@IdRes int i) {
        MenuItem findItem = this.I0.findItem(i);
        if (findItem != null && !this.I0.P(findItem, this.K0, 0)) {
            findItem.setChecked(true);
        }
    }

    public BottomNavigationView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.bottomNavigationStyle);
    }

    public BottomNavigationView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i, f11449a), attributeSet, i);
        BottomNavigationPresenter bottomNavigationPresenter = new BottomNavigationPresenter();
        this.K0 = bottomNavigationPresenter;
        Context context2 = getContext();
        f aVar = new a(context2);
        this.I0 = aVar;
        BottomNavigationMenuView bottomNavigationMenuView = new BottomNavigationMenuView(context2);
        this.J0 = bottomNavigationMenuView;
        FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(-2, -2);
        layoutParams.gravity = 17;
        bottomNavigationMenuView.setLayoutParams(layoutParams);
        bottomNavigationPresenter.b(bottomNavigationMenuView);
        bottomNavigationPresenter.c(1);
        bottomNavigationMenuView.setPresenter(bottomNavigationPresenter);
        aVar.b(bottomNavigationPresenter);
        bottomNavigationPresenter.l(getContext(), aVar);
        int[] iArr = R.styleable.BottomNavigationView;
        int i2 = R.style.Widget_Design_BottomNavigationView;
        int i3 = R.styleable.BottomNavigationView_itemTextAppearanceInactive;
        int i4 = R.styleable.BottomNavigationView_itemTextAppearanceActive;
        f0 k = m.k(context2, attributeSet, iArr, i, i2, i3, i4);
        int i5 = R.styleable.BottomNavigationView_itemIconTint;
        if (k.C(i5)) {
            bottomNavigationMenuView.setIconTintList(k.d(i5));
        } else {
            bottomNavigationMenuView.setIconTintList(bottomNavigationMenuView.e(16842808));
        }
        setItemIconSize(k.g(R.styleable.BottomNavigationView_itemIconSize, getResources().getDimensionPixelSize(R.dimen.design_bottom_navigation_icon_size)));
        if (k.C(i3)) {
            setItemTextAppearanceInactive(k.u(i3, 0));
        }
        if (k.C(i4)) {
            setItemTextAppearanceActive(k.u(i4, 0));
        }
        int i6 = R.styleable.BottomNavigationView_itemTextColor;
        if (k.C(i6)) {
            setItemTextColor(k.d(i6));
        }
        if (getBackground() == null || (getBackground() instanceof ColorDrawable)) {
            ViewCompat.setBackground(this, e(context2));
        }
        int i7 = R.styleable.BottomNavigationView_elevation;
        if (k.C(i7)) {
            setElevation((float) k.g(i7, 0));
        }
        androidx.core.graphics.drawable.c.o(getBackground().mutate(), com.google.android.material.i.c.b(context2, k, R.styleable.BottomNavigationView_backgroundTint));
        setLabelVisibilityMode(k.p(R.styleable.BottomNavigationView_labelVisibilityMode, -1));
        setItemHorizontalTranslationEnabled(k.a(R.styleable.BottomNavigationView_itemHorizontalTranslationEnabled, true));
        int u = k.u(R.styleable.BottomNavigationView_itemBackground, 0);
        if (u != 0) {
            bottomNavigationMenuView.setItemBackgroundRes(u);
        } else {
            setItemRippleColor(com.google.android.material.i.c.b(context2, k, R.styleable.BottomNavigationView_itemRippleColor));
        }
        int i8 = R.styleable.BottomNavigationView_menu;
        if (k.C(i8)) {
            h(k.u(i8, 0));
        }
        k.I();
        addView(bottomNavigationMenuView, layoutParams);
        if (l()) {
            c(context2);
        }
        aVar.X(new a());
        d();
    }
}
