package com.google.android.material.bottomsheet;

import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.annotation.VisibleForTesting;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.core.view.accessibility.AccessibilityViewCommand;
import androidx.customview.a.c;
import androidx.customview.view.AbsSavedState;
import com.google.android.material.R;
import com.google.android.material.internal.u;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.m;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

public class BottomSheetBehavior<V extends View> extends CoordinatorLayout.Behavior<V> {

    /* renamed from: a  reason: collision with root package name */
    public static final int f11453a = 1;

    /* renamed from: b  reason: collision with root package name */
    public static final int f11454b = 2;

    /* renamed from: c  reason: collision with root package name */
    public static final int f11455c = 3;

    /* renamed from: d  reason: collision with root package name */
    public static final int f11456d = 4;

    /* renamed from: e  reason: collision with root package name */
    public static final int f11457e = 5;
    public static final int f = 6;
    public static final int g = -1;
    public static final int h = 1;
    public static final int i = 2;
    public static final int j = 4;
    public static final int k = 8;
    public static final int l = -1;
    public static final int m = 0;
    private static final String n = "BottomSheetBehavior";
    private static final int o = 500;
    private static final float p = 0.5f;
    private static final float q = 0.1f;
    private static final int r = 500;
    private static final int s = R.style.Widget_Design_BottomSheet_Modal;
    private int A;
    private boolean B;
    private MaterialShapeDrawable C;
    private int D;
    private boolean E;
    private m F;
    private boolean G;
    private BottomSheetBehavior<V>.g H = null;
    @Nullable
    private ValueAnimator I;
    int J;
    int K;
    int L;
    float M = 0.5f;
    int N;
    float O = -1.0f;
    boolean P;
    private boolean Q;
    private boolean R = true;
    int S = 4;
    @Nullable
    androidx.customview.a.c T;
    private boolean U;
    private int V;
    private boolean W;
    private int X;
    int Y;
    int Z;
    @Nullable
    WeakReference<V> a0;
    @Nullable
    WeakReference<View> b0;
    @NonNull
    private final ArrayList<f> c0 = new ArrayList<>();
    @Nullable
    private VelocityTracker d0;
    int e0;
    private int f0;
    boolean g0;
    @Nullable
    private Map<View, Integer> h0;
    private int i0 = -1;
    private final c.AbstractC0048c j0 = new d();
    private int t = 0;
    private boolean u = true;
    private boolean v = false;
    private float w;
    private int x;
    private boolean y;
    private int z;

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface SaveFlags {
    }

    /* access modifiers changed from: protected */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        final int I0;
        int J0;
        boolean K0;
        boolean L0;
        boolean M0;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Nullable
            /* renamed from: a */
            public SavedState createFromParcel(@NonNull Parcel parcel) {
                return new SavedState(parcel, (ClassLoader) null);
            }

            @NonNull
            /* renamed from: b */
            public SavedState createFromParcel(@NonNull Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @NonNull
            /* renamed from: c */
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        }

        public SavedState(@NonNull Parcel parcel) {
            this(parcel, (ClassLoader) null);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(@NonNull Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.I0);
            parcel.writeInt(this.J0);
            parcel.writeInt(this.K0 ? 1 : 0);
            parcel.writeInt(this.L0 ? 1 : 0);
            parcel.writeInt(this.M0 ? 1 : 0);
        }

        public SavedState(@NonNull Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.I0 = parcel.readInt();
            this.J0 = parcel.readInt();
            boolean z = false;
            this.K0 = parcel.readInt() == 1;
            this.L0 = parcel.readInt() == 1;
            this.M0 = parcel.readInt() == 1 ? true : z;
        }

        public SavedState(Parcelable parcelable, @NonNull BottomSheetBehavior<?> bottomSheetBehavior) {
            super(parcelable);
            this.I0 = bottomSheetBehavior.S;
            this.J0 = ((BottomSheetBehavior) bottomSheetBehavior).x;
            this.K0 = ((BottomSheetBehavior) bottomSheetBehavior).u;
            this.L0 = bottomSheetBehavior.P;
            this.M0 = ((BottomSheetBehavior) bottomSheetBehavior).Q;
        }

        @Deprecated
        public SavedState(Parcelable parcelable, int i) {
            super(parcelable);
            this.I0 = i;
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface State {
    }

    /* access modifiers changed from: package-private */
    public class a implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f11458a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f11459b;

        a(View view, int i) {
            this.f11458a = view;
            this.f11459b = i;
        }

        public void run() {
            BottomSheetBehavior.this.F0(this.f11458a, this.f11459b);
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ValueAnimator.AnimatorUpdateListener {
        b() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            if (BottomSheetBehavior.this.C != null) {
                BottomSheetBehavior.this.C.o0(floatValue);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class c implements u.e {
        c() {
        }

        @Override // com.google.android.material.internal.u.e
        public WindowInsetsCompat a(View view, WindowInsetsCompat windowInsetsCompat, u.f fVar) {
            BottomSheetBehavior.this.D = windowInsetsCompat.getMandatorySystemGestureInsets().f2548e;
            BottomSheetBehavior.this.M0(false);
            return windowInsetsCompat;
        }
    }

    class d extends c.AbstractC0048c {
        d() {
        }

        private boolean n(@NonNull View view) {
            int top2 = view.getTop();
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            return top2 > (bottomSheetBehavior.Z + bottomSheetBehavior.a0()) / 2;
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public int a(@NonNull View view, int i, int i2) {
            return view.getLeft();
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public int b(@NonNull View view, int i, int i2) {
            int a0 = BottomSheetBehavior.this.a0();
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            return androidx.core.f.a.c(i, a0, bottomSheetBehavior.P ? bottomSheetBehavior.Z : bottomSheetBehavior.N);
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public int e(@NonNull View view) {
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            if (bottomSheetBehavior.P) {
                return bottomSheetBehavior.Z;
            }
            return bottomSheetBehavior.N;
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public void j(int i) {
            if (i == 1 && BottomSheetBehavior.this.R) {
                BottomSheetBehavior.this.C0(1);
            }
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public void k(@NonNull View view, int i, int i2, int i3, int i4) {
            BottomSheetBehavior.this.X(i2);
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public void l(@NonNull View view, float f, float f2) {
            int i;
            int i2 = 4;
            if (f2 >= 0.0f) {
                BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
                if (!bottomSheetBehavior.P || !bottomSheetBehavior.H0(view, f2)) {
                    if (f2 == 0.0f || Math.abs(f) > Math.abs(f2)) {
                        int top2 = view.getTop();
                        if (!BottomSheetBehavior.this.u) {
                            BottomSheetBehavior bottomSheetBehavior2 = BottomSheetBehavior.this;
                            int i3 = bottomSheetBehavior2.L;
                            if (top2 < i3) {
                                if (top2 < Math.abs(top2 - bottomSheetBehavior2.N)) {
                                    i = BottomSheetBehavior.this.J;
                                } else {
                                    i = BottomSheetBehavior.this.L;
                                }
                            } else if (Math.abs(top2 - i3) < Math.abs(top2 - BottomSheetBehavior.this.N)) {
                                i = BottomSheetBehavior.this.L;
                            } else {
                                i = BottomSheetBehavior.this.N;
                                BottomSheetBehavior.this.I0(view, i2, i, true);
                            }
                            i2 = 6;
                            BottomSheetBehavior.this.I0(view, i2, i, true);
                        } else if (Math.abs(top2 - BottomSheetBehavior.this.K) < Math.abs(top2 - BottomSheetBehavior.this.N)) {
                            i = BottomSheetBehavior.this.K;
                        } else {
                            i = BottomSheetBehavior.this.N;
                            BottomSheetBehavior.this.I0(view, i2, i, true);
                        }
                    } else {
                        if (BottomSheetBehavior.this.u) {
                            i = BottomSheetBehavior.this.N;
                        } else {
                            int top3 = view.getTop();
                            if (Math.abs(top3 - BottomSheetBehavior.this.L) < Math.abs(top3 - BottomSheetBehavior.this.N)) {
                                i = BottomSheetBehavior.this.L;
                                i2 = 6;
                            } else {
                                i = BottomSheetBehavior.this.N;
                            }
                        }
                        BottomSheetBehavior.this.I0(view, i2, i, true);
                    }
                } else if ((Math.abs(f) < Math.abs(f2) && f2 > 500.0f) || n(view)) {
                    i = BottomSheetBehavior.this.Z;
                    i2 = 5;
                    BottomSheetBehavior.this.I0(view, i2, i, true);
                } else if (BottomSheetBehavior.this.u) {
                    i = BottomSheetBehavior.this.K;
                } else if (Math.abs(view.getTop() - BottomSheetBehavior.this.J) < Math.abs(view.getTop() - BottomSheetBehavior.this.L)) {
                    i = BottomSheetBehavior.this.J;
                } else {
                    i = BottomSheetBehavior.this.L;
                    i2 = 6;
                    BottomSheetBehavior.this.I0(view, i2, i, true);
                }
            } else if (BottomSheetBehavior.this.u) {
                i = BottomSheetBehavior.this.K;
            } else {
                int top4 = view.getTop();
                BottomSheetBehavior bottomSheetBehavior3 = BottomSheetBehavior.this;
                int i4 = bottomSheetBehavior3.L;
                if (top4 > i4) {
                    i = i4;
                    i2 = 6;
                    BottomSheetBehavior.this.I0(view, i2, i, true);
                }
                i = bottomSheetBehavior3.J;
            }
            i2 = 3;
            BottomSheetBehavior.this.I0(view, i2, i, true);
        }

        @Override // androidx.customview.a.c.AbstractC0048c
        public boolean m(@NonNull View view, int i) {
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            int i2 = bottomSheetBehavior.S;
            if (i2 == 1 || bottomSheetBehavior.g0) {
                return false;
            }
            if (i2 == 3 && bottomSheetBehavior.e0 == i) {
                WeakReference<View> weakReference = bottomSheetBehavior.b0;
                View view2 = weakReference != null ? weakReference.get() : null;
                if (view2 != null && view2.canScrollVertically(-1)) {
                    return false;
                }
            }
            WeakReference<V> weakReference2 = BottomSheetBehavior.this.a0;
            if (weakReference2 == null || weakReference2.get() != view) {
                return false;
            }
            return true;
        }
    }

    /* access modifiers changed from: package-private */
    public class e implements AccessibilityViewCommand {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f11463a;

        e(int i) {
            this.f11463a = i;
        }

        @Override // androidx.core.view.accessibility.AccessibilityViewCommand
        public boolean perform(@NonNull View view, @Nullable AccessibilityViewCommand.CommandArguments commandArguments) {
            BottomSheetBehavior.this.B0(this.f11463a);
            return true;
        }
    }

    public static abstract class f {
        public abstract void a(@NonNull View view, float f);

        public abstract void b(@NonNull View view, int i);
    }

    /* access modifiers changed from: private */
    public class g implements Runnable {
        int I0;

        /* renamed from: a  reason: collision with root package name */
        private final View f11465a;

        /* renamed from: b  reason: collision with root package name */
        private boolean f11466b;

        g(View view, int i) {
            this.f11465a = view;
            this.I0 = i;
        }

        public void run() {
            androidx.customview.a.c cVar = BottomSheetBehavior.this.T;
            if (cVar == null || !cVar.o(true)) {
                BottomSheetBehavior.this.C0(this.I0);
            } else {
                ViewCompat.postOnAnimation(this.f11465a, this);
            }
            this.f11466b = false;
        }
    }

    public BottomSheetBehavior() {
    }

    private void D0(@NonNull View view) {
        if (Build.VERSION.SDK_INT >= 29 && !k0() && !this.y) {
            u.d(view, new c());
        }
    }

    private void G0(int i2) {
        V v2 = this.a0.get();
        if (v2 != null) {
            ViewParent parent = v2.getParent();
            if (parent == null || !parent.isLayoutRequested() || !ViewCompat.isAttachedToWindow(v2)) {
                F0(v2, i2);
            } else {
                v2.post(new a(v2, i2));
            }
        }
    }

    private void J0() {
        V v2;
        WeakReference<V> weakReference = this.a0;
        if (weakReference != null && (v2 = weakReference.get()) != null) {
            ViewCompat.removeAccessibilityAction(v2, 524288);
            ViewCompat.removeAccessibilityAction(v2, 262144);
            ViewCompat.removeAccessibilityAction(v2, 1048576);
            int i2 = this.i0;
            if (i2 != -1) {
                ViewCompat.removeAccessibilityAction(v2, i2);
            }
            int i3 = 6;
            if (this.S != 6) {
                this.i0 = N(v2, R.string.bottomsheet_action_expand_halfway, 6);
            }
            if (this.P && this.S != 5) {
                n0(v2, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_DISMISS, 5);
            }
            int i4 = this.S;
            if (i4 == 3) {
                if (this.u) {
                    i3 = 4;
                }
                n0(v2, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_COLLAPSE, i3);
            } else if (i4 == 4) {
                if (this.u) {
                    i3 = 3;
                }
                n0(v2, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_EXPAND, i3);
            } else if (i4 == 6) {
                n0(v2, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_COLLAPSE, 4);
                n0(v2, AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_EXPAND, 3);
            }
        }
    }

    private void K0(int i2) {
        ValueAnimator valueAnimator;
        if (i2 != 2) {
            boolean z2 = i2 == 3;
            if (this.G != z2) {
                this.G = z2;
                if (this.C != null && (valueAnimator = this.I) != null) {
                    if (valueAnimator.isRunning()) {
                        this.I.reverse();
                        return;
                    }
                    float f2 = z2 ? 0.0f : 1.0f;
                    this.I.setFloatValues(1.0f - f2, f2);
                    this.I.start();
                }
            }
        }
    }

    private void L0(boolean z2) {
        Map<View, Integer> map;
        WeakReference<V> weakReference = this.a0;
        if (weakReference != null) {
            ViewParent parent = weakReference.get().getParent();
            if (parent instanceof CoordinatorLayout) {
                CoordinatorLayout coordinatorLayout = (CoordinatorLayout) parent;
                int childCount = coordinatorLayout.getChildCount();
                if (Build.VERSION.SDK_INT >= 16 && z2) {
                    if (this.h0 == null) {
                        this.h0 = new HashMap(childCount);
                    } else {
                        return;
                    }
                }
                for (int i2 = 0; i2 < childCount; i2++) {
                    View childAt = coordinatorLayout.getChildAt(i2);
                    if (childAt != this.a0.get()) {
                        if (z2) {
                            if (Build.VERSION.SDK_INT >= 16) {
                                this.h0.put(childAt, Integer.valueOf(childAt.getImportantForAccessibility()));
                            }
                            if (this.v) {
                                ViewCompat.setImportantForAccessibility(childAt, 4);
                            }
                        } else if (this.v && (map = this.h0) != null && map.containsKey(childAt)) {
                            ViewCompat.setImportantForAccessibility(childAt, this.h0.get(childAt).intValue());
                        }
                    }
                }
                if (!z2) {
                    this.h0 = null;
                } else if (this.v) {
                    this.a0.get().sendAccessibilityEvent(8);
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void M0(boolean z2) {
        V v2;
        if (this.a0 != null) {
            P();
            if (this.S == 4 && (v2 = this.a0.get()) != null) {
                if (z2) {
                    G0(this.S);
                } else {
                    v2.requestLayout();
                }
            }
        }
    }

    private int N(V v2, @StringRes int i2, int i3) {
        return ViewCompat.addAccessibilityAction(v2, v2.getResources().getString(i2), S(i3));
    }

    private void P() {
        int R2 = R();
        if (this.u) {
            this.N = Math.max(this.Z - R2, this.K);
        } else {
            this.N = this.Z - R2;
        }
    }

    private void Q() {
        this.L = (int) (((float) this.Z) * (1.0f - this.M));
    }

    private int R() {
        int i2;
        if (this.y) {
            return Math.min(Math.max(this.z, this.Z - ((this.Y * 9) / 16)), this.X);
        }
        if (this.E || (i2 = this.D) <= 0) {
            return this.x;
        }
        return Math.max(this.x, i2 + this.A);
    }

    private AccessibilityViewCommand S(int i2) {
        return new e(i2);
    }

    private void T(@NonNull Context context, AttributeSet attributeSet, boolean z2) {
        U(context, attributeSet, z2, null);
    }

    private void U(@NonNull Context context, AttributeSet attributeSet, boolean z2, @Nullable ColorStateList colorStateList) {
        if (this.B) {
            this.F = m.e(context, attributeSet, R.attr.bottomSheetStyle, s).m();
            MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable(this.F);
            this.C = materialShapeDrawable;
            materialShapeDrawable.Y(context);
            if (!z2 || colorStateList == null) {
                TypedValue typedValue = new TypedValue();
                context.getTheme().resolveAttribute(16842801, typedValue, true);
                this.C.setTint(typedValue.data);
                return;
            }
            this.C.n0(colorStateList);
        }
    }

    private void V() {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(0.0f, 1.0f);
        this.I = ofFloat;
        ofFloat.setDuration(500L);
        this.I.addUpdateListener(new b());
    }

    @NonNull
    public static <V extends View> BottomSheetBehavior<V> Z(@NonNull V v2) {
        ViewGroup.LayoutParams layoutParams = v2.getLayoutParams();
        if (layoutParams instanceof CoordinatorLayout.d) {
            CoordinatorLayout.Behavior f2 = ((CoordinatorLayout.d) layoutParams).f();
            if (f2 instanceof BottomSheetBehavior) {
                return (BottomSheetBehavior) f2;
            }
            throw new IllegalArgumentException("The view is not associated with BottomSheetBehavior");
        }
        throw new IllegalArgumentException("The view is not a child of CoordinatorLayout");
    }

    private float h0() {
        VelocityTracker velocityTracker = this.d0;
        if (velocityTracker == null) {
            return 0.0f;
        }
        velocityTracker.computeCurrentVelocity(1000, this.w);
        return this.d0.getYVelocity(this.e0);
    }

    private void n0(V v2, AccessibilityNodeInfoCompat.AccessibilityActionCompat accessibilityActionCompat, int i2) {
        ViewCompat.replaceAccessibilityAction(v2, accessibilityActionCompat, null, S(i2));
    }

    private void o0() {
        this.e0 = -1;
        VelocityTracker velocityTracker = this.d0;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.d0 = null;
        }
    }

    private void p0(@NonNull SavedState savedState) {
        int i2 = this.t;
        if (i2 != 0) {
            if (i2 == -1 || (i2 & 1) == 1) {
                this.x = savedState.J0;
            }
            if (i2 == -1 || (i2 & 2) == 2) {
                this.u = savedState.K0;
            }
            if (i2 == -1 || (i2 & 4) == 4) {
                this.P = savedState.L0;
            }
            if (i2 == -1 || (i2 & 8) == 8) {
                this.Q = savedState.M0;
            }
        }
    }

    public void A0(boolean z2) {
        this.Q = z2;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean B(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v2, @NonNull View view, @NonNull View view2, int i2, int i3) {
        this.V = 0;
        this.W = false;
        if ((i2 & 2) != 0) {
            return true;
        }
        return false;
    }

    public void B0(int i2) {
        if (i2 != this.S) {
            if (this.a0 != null) {
                G0(i2);
            } else if (i2 == 4 || i2 == 3 || i2 == 6 || (this.P && i2 == 5)) {
                this.S = i2;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void C0(int i2) {
        V v2;
        if (this.S != i2) {
            this.S = i2;
            WeakReference<V> weakReference = this.a0;
            if (!(weakReference == null || (v2 = weakReference.get()) == null)) {
                if (i2 == 3) {
                    L0(true);
                } else if (i2 == 6 || i2 == 5 || i2 == 4) {
                    L0(false);
                }
                K0(i2);
                for (int i3 = 0; i3 < this.c0.size(); i3++) {
                    this.c0.get(i3).b(v2, i2);
                }
                J0();
            }
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void D(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v2, @NonNull View view, int i2) {
        int i3;
        int i4 = 3;
        if (v2.getTop() == a0()) {
            C0(3);
            return;
        }
        WeakReference<View> weakReference = this.b0;
        if (weakReference != null && view == weakReference.get() && this.W) {
            if (this.V > 0) {
                if (this.u) {
                    i3 = this.K;
                } else {
                    int top2 = v2.getTop();
                    int i5 = this.L;
                    if (top2 > i5) {
                        i3 = i5;
                    } else {
                        i3 = this.J;
                    }
                }
                I0(v2, i4, i3, false);
                this.W = false;
            } else if (!this.P || !H0(v2, h0())) {
                if (this.V == 0) {
                    int top3 = v2.getTop();
                    if (!this.u) {
                        int i6 = this.L;
                        if (top3 < i6) {
                            if (top3 < Math.abs(top3 - this.N)) {
                                i3 = this.J;
                                I0(v2, i4, i3, false);
                                this.W = false;
                            }
                            i3 = this.L;
                        } else if (Math.abs(top3 - i6) < Math.abs(top3 - this.N)) {
                            i3 = this.L;
                        } else {
                            i3 = this.N;
                        }
                    } else if (Math.abs(top3 - this.K) < Math.abs(top3 - this.N)) {
                        i3 = this.K;
                        I0(v2, i4, i3, false);
                        this.W = false;
                    } else {
                        i3 = this.N;
                    }
                } else if (this.u) {
                    i3 = this.N;
                } else {
                    int top4 = v2.getTop();
                    if (Math.abs(top4 - this.L) < Math.abs(top4 - this.N)) {
                        i3 = this.L;
                    } else {
                        i3 = this.N;
                    }
                }
                i4 = 4;
                I0(v2, i4, i3, false);
                this.W = false;
            } else {
                i3 = this.Z;
                i4 = 5;
                I0(v2, i4, i3, false);
                this.W = false;
            }
            i4 = 6;
            I0(v2, i4, i3, false);
            this.W = false;
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean E(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v2, @NonNull MotionEvent motionEvent) {
        if (!v2.isShown()) {
            return false;
        }
        int actionMasked = motionEvent.getActionMasked();
        if (this.S == 1 && actionMasked == 0) {
            return true;
        }
        androidx.customview.a.c cVar = this.T;
        if (cVar != null) {
            cVar.L(motionEvent);
        }
        if (actionMasked == 0) {
            o0();
        }
        if (this.d0 == null) {
            this.d0 = VelocityTracker.obtain();
        }
        this.d0.addMovement(motionEvent);
        if (this.T != null && actionMasked == 2 && !this.U && Math.abs(((float) this.f0) - motionEvent.getY()) > ((float) this.T.D())) {
            this.T.d(v2, motionEvent.getPointerId(motionEvent.getActionIndex()));
        }
        return !this.U;
    }

    public void E0(boolean z2) {
        this.v = z2;
    }

    /* access modifiers changed from: package-private */
    public void F0(@NonNull View view, int i2) {
        int i3;
        int i4;
        if (i2 == 4) {
            i3 = this.N;
        } else if (i2 == 6) {
            int i5 = this.L;
            if (!this.u || i5 > (i4 = this.K)) {
                i3 = i5;
            } else {
                i3 = i4;
                i2 = 3;
            }
        } else if (i2 == 3) {
            i3 = a0();
        } else if (!this.P || i2 != 5) {
            throw new IllegalArgumentException("Illegal state argument: " + i2);
        } else {
            i3 = this.Z;
        }
        I0(view, i2, i3, false);
    }

    /* access modifiers changed from: package-private */
    public boolean H0(@NonNull View view, float f2) {
        if (this.Q) {
            return true;
        }
        if (view.getTop() < this.N) {
            return false;
        }
        if (Math.abs((((float) view.getTop()) + (f2 * 0.1f)) - ((float) this.N)) / ((float) R()) > 0.5f) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public void I0(View view, int i2, int i3, boolean z2) {
        androidx.customview.a.c cVar = this.T;
        if (cVar != null && (!z2 ? cVar.V(view, view.getLeft(), i3) : cVar.T(view.getLeft(), i3))) {
            C0(2);
            K0(i2);
            if (this.H == null) {
                this.H = new g(view, i2);
            }
            if (!((g) this.H).f11466b) {
                BottomSheetBehavior<V>.g gVar = this.H;
                gVar.I0 = i2;
                ViewCompat.postOnAnimation(view, gVar);
                ((g) this.H).f11466b = true;
                return;
            }
            this.H.I0 = i2;
            return;
        }
        C0(i2);
    }

    public void O(@NonNull f fVar) {
        if (!this.c0.contains(fVar)) {
            this.c0.add(fVar);
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    @VisibleForTesting
    public void W() {
        this.I = null;
    }

    /* access modifiers changed from: package-private */
    public void X(int i2) {
        float f2;
        float f3;
        V v2 = this.a0.get();
        if (!(v2 == null || this.c0.isEmpty())) {
            int i3 = this.N;
            if (i2 > i3 || i3 == a0()) {
                int i4 = this.N;
                f2 = (float) (i4 - i2);
                f3 = (float) (this.Z - i4);
            } else {
                int i5 = this.N;
                f2 = (float) (i5 - i2);
                f3 = (float) (i5 - a0());
            }
            float f4 = f2 / f3;
            for (int i6 = 0; i6 < this.c0.size(); i6++) {
                this.c0.get(i6).a(v2, f4);
            }
        }
    }

    /* access modifiers changed from: package-private */
    @Nullable
    @VisibleForTesting
    public View Y(View view) {
        if (ViewCompat.isNestedScrollingEnabled(view)) {
            return view;
        }
        if (!(view instanceof ViewGroup)) {
            return null;
        }
        ViewGroup viewGroup = (ViewGroup) view;
        int childCount = viewGroup.getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View Y2 = Y(viewGroup.getChildAt(i2));
            if (Y2 != null) {
                return Y2;
            }
        }
        return null;
    }

    public int a0() {
        return this.u ? this.K : this.J;
    }

    @FloatRange(from = 0.0d, to = 1.0d)
    public float b0() {
        return this.M;
    }

    public int c0() {
        if (this.y) {
            return -1;
        }
        return this.x;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public int d0() {
        return this.z;
    }

    public int e0() {
        return this.t;
    }

    public boolean f0() {
        return this.Q;
    }

    public int g0() {
        return this.S;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void h(@NonNull CoordinatorLayout.d dVar) {
        super.h(dVar);
        this.a0 = null;
        this.T = null;
    }

    public boolean i0() {
        return this.R;
    }

    public boolean j0() {
        return this.u;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void k() {
        super.k();
        this.a0 = null;
        this.T = null;
    }

    public boolean k0() {
        return this.E;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean l(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v2, @NonNull MotionEvent motionEvent) {
        androidx.customview.a.c cVar;
        if (!v2.isShown() || !this.R) {
            this.U = true;
            return false;
        }
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            o0();
        }
        if (this.d0 == null) {
            this.d0 = VelocityTracker.obtain();
        }
        this.d0.addMovement(motionEvent);
        View view = null;
        if (actionMasked == 0) {
            int x2 = (int) motionEvent.getX();
            this.f0 = (int) motionEvent.getY();
            if (this.S != 2) {
                WeakReference<View> weakReference = this.b0;
                View view2 = weakReference != null ? weakReference.get() : null;
                if (view2 != null && coordinatorLayout.A(view2, x2, this.f0)) {
                    this.e0 = motionEvent.getPointerId(motionEvent.getActionIndex());
                    this.g0 = true;
                }
            }
            this.U = this.e0 == -1 && !coordinatorLayout.A(v2, x2, this.f0);
        } else if (actionMasked == 1 || actionMasked == 3) {
            this.g0 = false;
            this.e0 = -1;
            if (this.U) {
                this.U = false;
                return false;
            }
        }
        if (!this.U && (cVar = this.T) != null && cVar.U(motionEvent)) {
            return true;
        }
        WeakReference<View> weakReference2 = this.b0;
        if (weakReference2 != null) {
            view = weakReference2.get();
        }
        if (actionMasked != 2 || view == null || this.U || this.S == 1 || coordinatorLayout.A(view, (int) motionEvent.getX(), (int) motionEvent.getY()) || this.T == null || Math.abs(((float) this.f0) - motionEvent.getY()) <= ((float) this.T.D())) {
            return false;
        }
        return true;
    }

    public boolean l0() {
        return this.P;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean m(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v2, int i2) {
        MaterialShapeDrawable materialShapeDrawable;
        if (ViewCompat.getFitsSystemWindows(coordinatorLayout) && !ViewCompat.getFitsSystemWindows(v2)) {
            v2.setFitsSystemWindows(true);
        }
        if (this.a0 == null) {
            this.z = coordinatorLayout.getResources().getDimensionPixelSize(R.dimen.design_bottom_sheet_peek_height_min);
            D0(v2);
            this.a0 = new WeakReference<>(v2);
            if (this.B && (materialShapeDrawable = this.C) != null) {
                ViewCompat.setBackground(v2, materialShapeDrawable);
            }
            MaterialShapeDrawable materialShapeDrawable2 = this.C;
            if (materialShapeDrawable2 != null) {
                float f2 = this.O;
                if (f2 == -1.0f) {
                    f2 = ViewCompat.getElevation(v2);
                }
                materialShapeDrawable2.m0(f2);
                boolean z2 = this.S == 3;
                this.G = z2;
                this.C.o0(z2 ? 0.0f : 1.0f);
            }
            J0();
            if (ViewCompat.getImportantForAccessibility(v2) == 0) {
                ViewCompat.setImportantForAccessibility(v2, 1);
            }
        }
        if (this.T == null) {
            this.T = androidx.customview.a.c.q(coordinatorLayout, this.j0);
        }
        int top2 = v2.getTop();
        coordinatorLayout.H(v2, i2);
        this.Y = coordinatorLayout.getWidth();
        this.Z = coordinatorLayout.getHeight();
        int height = v2.getHeight();
        this.X = height;
        this.K = Math.max(0, this.Z - height);
        Q();
        P();
        int i3 = this.S;
        if (i3 == 3) {
            ViewCompat.offsetTopAndBottom(v2, a0());
        } else if (i3 == 6) {
            ViewCompat.offsetTopAndBottom(v2, this.L);
        } else if (this.P && i3 == 5) {
            ViewCompat.offsetTopAndBottom(v2, this.Z);
        } else if (i3 == 4) {
            ViewCompat.offsetTopAndBottom(v2, this.N);
        } else if (i3 == 1 || i3 == 2) {
            ViewCompat.offsetTopAndBottom(v2, top2 - v2.getTop());
        }
        this.b0 = new WeakReference<>(Y(v2));
        return true;
    }

    public void m0(@NonNull f fVar) {
        this.c0.remove(fVar);
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public boolean p(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v2, @NonNull View view, float f2, float f3) {
        WeakReference<View> weakReference = this.b0;
        if (weakReference == null || view != weakReference.get()) {
            return false;
        }
        if (this.S != 3 || super.p(coordinatorLayout, v2, view, f2, f3)) {
            return true;
        }
        return false;
    }

    @Deprecated
    public void q0(f fVar) {
        Log.w(n, "BottomSheetBehavior now supports multiple callbacks. `setBottomSheetCallback()` removes all existing callbacks, including ones set internally by library authors, which may result in unintended behavior. This may change in the future. Please use `addBottomSheetCallback()` and `removeBottomSheetCallback()` instead to set your own callbacks.");
        this.c0.clear();
        if (fVar != null) {
            this.c0.add(fVar);
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void r(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v2, @NonNull View view, int i2, int i3, @NonNull int[] iArr, int i4) {
        if (i4 != 1) {
            WeakReference<View> weakReference = this.b0;
            if (view == (weakReference != null ? weakReference.get() : null)) {
                int top2 = v2.getTop();
                int i5 = top2 - i3;
                if (i3 > 0) {
                    if (i5 < a0()) {
                        iArr[1] = top2 - a0();
                        ViewCompat.offsetTopAndBottom(v2, -iArr[1]);
                        C0(3);
                    } else if (this.R) {
                        iArr[1] = i3;
                        ViewCompat.offsetTopAndBottom(v2, -i3);
                        C0(1);
                    } else {
                        return;
                    }
                } else if (i3 < 0 && !view.canScrollVertically(-1)) {
                    int i6 = this.N;
                    if (i5 > i6 && !this.P) {
                        iArr[1] = top2 - i6;
                        ViewCompat.offsetTopAndBottom(v2, -iArr[1]);
                        C0(4);
                    } else if (this.R) {
                        iArr[1] = i3;
                        ViewCompat.offsetTopAndBottom(v2, -i3);
                        C0(1);
                    } else {
                        return;
                    }
                }
                X(v2.getTop());
                this.V = i3;
                this.W = true;
            }
        }
    }

    public void r0(boolean z2) {
        this.R = z2;
    }

    public void s0(int i2) {
        if (i2 >= 0) {
            this.J = i2;
            return;
        }
        throw new IllegalArgumentException("offset must be greater than or equal to 0");
    }

    public void t0(boolean z2) {
        if (this.u != z2) {
            this.u = z2;
            if (this.a0 != null) {
                P();
            }
            C0((!this.u || this.S != 6) ? this.S : 3);
            J0();
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void u(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v2, @NonNull View view, int i2, int i3, int i4, int i5, int i6, @NonNull int[] iArr) {
    }

    public void u0(boolean z2) {
        this.E = z2;
    }

    public void v0(@FloatRange(from = 0.0d, to = 1.0d) float f2) {
        if (f2 <= 0.0f || f2 >= 1.0f) {
            throw new IllegalArgumentException("ratio must be a float value between 0 and 1");
        }
        this.M = f2;
        if (this.a0 != null) {
            Q();
        }
    }

    public void w0(boolean z2) {
        if (this.P != z2) {
            this.P = z2;
            if (!z2 && this.S == 5) {
                B0(4);
            }
            J0();
        }
    }

    public void x0(int i2) {
        y0(i2, false);
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    public void y(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v2, @NonNull Parcelable parcelable) {
        SavedState savedState = (SavedState) parcelable;
        super.y(coordinatorLayout, v2, savedState.a());
        p0(savedState);
        int i2 = savedState.I0;
        if (i2 == 1 || i2 == 2) {
            this.S = 4;
        } else {
            this.S = i2;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0021  */
    /* JADX WARNING: Removed duplicated region for block: B:14:? A[RETURN, SYNTHETIC] */
    public final void y0(int i2, boolean z2) {
        boolean z3 = true;
        if (i2 == -1) {
            if (!this.y) {
                this.y = true;
                if (z3) {
                    M0(z2);
                    return;
                }
                return;
            }
        } else if (this.y || this.x != i2) {
            this.y = false;
            this.x = Math.max(0, i2);
            if (z3) {
            }
        }
        z3 = false;
        if (z3) {
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    @NonNull
    public Parcelable z(@NonNull CoordinatorLayout coordinatorLayout, @NonNull V v2) {
        return new SavedState(super.z(coordinatorLayout, v2), (BottomSheetBehavior<?>) this);
    }

    public void z0(int i2) {
        this.t = i2;
    }

    public BottomSheetBehavior(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        int i2;
        this.A = context.getResources().getDimensionPixelSize(R.dimen.mtrl_min_touch_target_size);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.BottomSheetBehavior_Layout);
        this.B = obtainStyledAttributes.hasValue(R.styleable.BottomSheetBehavior_Layout_shapeAppearance);
        int i3 = R.styleable.BottomSheetBehavior_Layout_backgroundTint;
        boolean hasValue = obtainStyledAttributes.hasValue(i3);
        if (hasValue) {
            U(context, attributeSet, hasValue, com.google.android.material.i.c.a(context, obtainStyledAttributes, i3));
        } else {
            T(context, attributeSet, hasValue);
        }
        V();
        if (Build.VERSION.SDK_INT >= 21) {
            this.O = obtainStyledAttributes.getDimension(R.styleable.BottomSheetBehavior_Layout_android_elevation, -1.0f);
        }
        int i4 = R.styleable.BottomSheetBehavior_Layout_behavior_peekHeight;
        TypedValue peekValue = obtainStyledAttributes.peekValue(i4);
        if (peekValue == null || (i2 = peekValue.data) != -1) {
            x0(obtainStyledAttributes.getDimensionPixelSize(i4, -1));
        } else {
            x0(i2);
        }
        w0(obtainStyledAttributes.getBoolean(R.styleable.BottomSheetBehavior_Layout_behavior_hideable, false));
        u0(obtainStyledAttributes.getBoolean(R.styleable.BottomSheetBehavior_Layout_gestureInsetBottomIgnored, false));
        t0(obtainStyledAttributes.getBoolean(R.styleable.BottomSheetBehavior_Layout_behavior_fitToContents, true));
        A0(obtainStyledAttributes.getBoolean(R.styleable.BottomSheetBehavior_Layout_behavior_skipCollapsed, false));
        r0(obtainStyledAttributes.getBoolean(R.styleable.BottomSheetBehavior_Layout_behavior_draggable, true));
        z0(obtainStyledAttributes.getInt(R.styleable.BottomSheetBehavior_Layout_behavior_saveFlags, 0));
        v0(obtainStyledAttributes.getFloat(R.styleable.BottomSheetBehavior_Layout_behavior_halfExpandedRatio, 0.5f));
        int i5 = R.styleable.BottomSheetBehavior_Layout_behavior_expandedOffset;
        TypedValue peekValue2 = obtainStyledAttributes.peekValue(i5);
        if (peekValue2 == null || peekValue2.type != 16) {
            s0(obtainStyledAttributes.getDimensionPixelOffset(i5, 0));
        } else {
            s0(peekValue2.data);
        }
        obtainStyledAttributes.recycle();
        this.w = (float) ViewConfiguration.get(context).getScaledMaximumFlingVelocity();
    }
}
