package com.google.android.material.bottomsheet;

import android.content.Context;
import android.content.DialogInterface;
import android.content.res.TypedArray;
import android.os.Build;
import android.os.Bundle;
import android.util.TypedValue;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.FrameLayout;
import androidx.annotation.LayoutRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.StyleRes;
import androidx.appcompat.app.e;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import com.google.android.material.R;
import com.google.android.material.bottomsheet.BottomSheetBehavior;

/* compiled from: BottomSheetDialog */
public class a extends e {
    private BottomSheetBehavior<FrameLayout> I0;
    private FrameLayout J0;
    boolean K0;
    boolean L0;
    private boolean M0;
    private boolean N0;
    @NonNull
    private BottomSheetBehavior.f O0;

    /* access modifiers changed from: package-private */
    /* renamed from: com.google.android.material.bottomsheet.a$a  reason: collision with other inner class name */
    /* compiled from: BottomSheetDialog */
    public class View$OnClickListenerC0253a implements View.OnClickListener {
        View$OnClickListenerC0253a() {
        }

        public void onClick(View view) {
            a aVar = a.this;
            if (aVar.L0 && aVar.isShowing() && a.this.k()) {
                a.this.cancel();
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: BottomSheetDialog */
    public class b extends AccessibilityDelegateCompat {
        b() {
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            if (a.this.L0) {
                accessibilityNodeInfoCompat.addAction(1048576);
                accessibilityNodeInfoCompat.setDismissable(true);
                return;
            }
            accessibilityNodeInfoCompat.setDismissable(false);
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public boolean performAccessibilityAction(View view, int i, Bundle bundle) {
            if (i == 1048576) {
                a aVar = a.this;
                if (aVar.L0) {
                    aVar.cancel();
                    return true;
                }
            }
            return super.performAccessibilityAction(view, i, bundle);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: BottomSheetDialog */
    public class c implements View.OnTouchListener {
        c() {
        }

        public boolean onTouch(View view, MotionEvent motionEvent) {
            return true;
        }
    }

    /* compiled from: BottomSheetDialog */
    class d extends BottomSheetBehavior.f {
        d() {
        }

        @Override // com.google.android.material.bottomsheet.BottomSheetBehavior.f
        public void a(@NonNull View view, float f) {
        }

        @Override // com.google.android.material.bottomsheet.BottomSheetBehavior.f
        public void b(@NonNull View view, int i) {
            if (i == 5) {
                a.this.cancel();
            }
        }
    }

    public a(@NonNull Context context) {
        this(context, 0);
    }

    private static int c(@NonNull Context context, int i) {
        if (i != 0) {
            return i;
        }
        TypedValue typedValue = new TypedValue();
        if (context.getTheme().resolveAttribute(R.attr.bottomSheetDialogTheme, typedValue, true)) {
            return typedValue.resourceId;
        }
        return R.style.Theme_Design_Light_BottomSheetDialog;
    }

    private FrameLayout f() {
        if (this.J0 == null) {
            FrameLayout frameLayout = (FrameLayout) View.inflate(getContext(), R.layout.design_bottom_sheet_dialog, null);
            this.J0 = frameLayout;
            BottomSheetBehavior<FrameLayout> Z = BottomSheetBehavior.Z((FrameLayout) frameLayout.findViewById(R.id.design_bottom_sheet));
            this.I0 = Z;
            Z.O(this.O0);
            this.I0.w0(this.L0);
        }
        return this.J0;
    }

    private View l(int i, @Nullable View view, @Nullable ViewGroup.LayoutParams layoutParams) {
        f();
        CoordinatorLayout coordinatorLayout = (CoordinatorLayout) this.J0.findViewById(R.id.coordinator);
        if (i != 0 && view == null) {
            view = getLayoutInflater().inflate(i, (ViewGroup) coordinatorLayout, false);
        }
        FrameLayout frameLayout = (FrameLayout) this.J0.findViewById(R.id.design_bottom_sheet);
        frameLayout.removeAllViews();
        if (layoutParams == null) {
            frameLayout.addView(view);
        } else {
            frameLayout.addView(view, layoutParams);
        }
        coordinatorLayout.findViewById(R.id.touch_outside).setOnClickListener(new View$OnClickListenerC0253a());
        ViewCompat.setAccessibilityDelegate(frameLayout, new b());
        frameLayout.setOnTouchListener(new c());
        return this.J0;
    }

    public void cancel() {
        BottomSheetBehavior<FrameLayout> g = g();
        if (!this.K0 || g.g0() == 5) {
            super.cancel();
        } else {
            g.B0(5);
        }
    }

    @NonNull
    public BottomSheetBehavior<FrameLayout> g() {
        if (this.I0 == null) {
            f();
        }
        return this.I0;
    }

    public boolean h() {
        return this.K0;
    }

    /* access modifiers changed from: package-private */
    public void i() {
        this.I0.m0(this.O0);
    }

    public void j(boolean z) {
        this.K0 = z;
    }

    /* access modifiers changed from: package-private */
    public boolean k() {
        if (!this.N0) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(new int[]{16843611});
            this.M0 = obtainStyledAttributes.getBoolean(0, true);
            obtainStyledAttributes.recycle();
            this.N0 = true;
        }
        return this.M0;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.e
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        Window window = getWindow();
        if (window != null) {
            if (Build.VERSION.SDK_INT >= 21) {
                window.clearFlags(67108864);
                window.addFlags(Integer.MIN_VALUE);
            }
            window.setLayout(-1, -1);
        }
    }

    /* access modifiers changed from: protected */
    public void onStart() {
        super.onStart();
        BottomSheetBehavior<FrameLayout> bottomSheetBehavior = this.I0;
        if (bottomSheetBehavior != null && bottomSheetBehavior.g0() == 5) {
            this.I0.B0(4);
        }
    }

    public void setCancelable(boolean z) {
        super.setCancelable(z);
        if (this.L0 != z) {
            this.L0 = z;
            BottomSheetBehavior<FrameLayout> bottomSheetBehavior = this.I0;
            if (bottomSheetBehavior != null) {
                bottomSheetBehavior.w0(z);
            }
        }
    }

    public void setCanceledOnTouchOutside(boolean z) {
        super.setCanceledOnTouchOutside(z);
        if (z && !this.L0) {
            this.L0 = true;
        }
        this.M0 = z;
        this.N0 = true;
    }

    @Override // androidx.appcompat.app.e, android.app.Dialog
    public void setContentView(@LayoutRes int i) {
        super.setContentView(l(i, null, null));
    }

    public a(@NonNull Context context, @StyleRes int i) {
        super(context, c(context, i));
        this.L0 = true;
        this.M0 = true;
        this.O0 = new d();
        e(1);
    }

    @Override // androidx.appcompat.app.e, android.app.Dialog
    public void setContentView(View view) {
        super.setContentView(l(0, view, null));
    }

    @Override // androidx.appcompat.app.e
    public void setContentView(View view, ViewGroup.LayoutParams layoutParams) {
        super.setContentView(l(0, view, layoutParams));
    }

    protected a(@NonNull Context context, boolean z, DialogInterface.OnCancelListener onCancelListener) {
        super(context, z, onCancelListener);
        this.L0 = true;
        this.M0 = true;
        this.O0 = new d();
        e(1);
        this.L0 = z;
    }
}
