package com.google.android.material.button;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextPaint;
import android.util.AttributeSet;
import android.util.Log;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.Button;
import android.widget.Checkable;
import android.widget.CompoundButton;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.DimenRes;
import androidx.annotation.Dimension;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.appcompat.widget.AppCompatButton;
import androidx.core.graphics.drawable.c;
import androidx.core.view.ViewCompat;
import androidx.core.widget.TextViewCompat;
import androidx.customview.view.AbsSavedState;
import com.google.android.material.R;
import com.google.android.material.internal.u;
import com.google.android.material.shape.i;
import com.google.android.material.shape.m;
import com.google.android.material.shape.q;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.Iterator;
import java.util.LinkedHashSet;

public class MaterialButton extends AppCompatButton implements Checkable, q {
    public static final int I0 = 1;
    public static final int J0 = 2;
    public static final int K0 = 3;
    public static final int L0 = 4;
    public static final int M0 = 16;
    public static final int N0 = 32;
    private static final String O0 = "MaterialButton";
    private static final int P0 = R.style.Widget_MaterialComponents_Button;

    /* renamed from: a  reason: collision with root package name */
    private static final int[] f11473a = {16842911};

    /* renamed from: b  reason: collision with root package name */
    private static final int[] f11474b = {16842912};
    @NonNull
    private final a Q0;
    @NonNull
    private final LinkedHashSet<a> R0;
    @Nullable
    private b S0;
    @Nullable
    private PorterDuff.Mode T0;
    @Nullable
    private ColorStateList U0;
    @Nullable
    private Drawable V0;
    @Px
    private int W0;
    @Px
    private int X0;
    @Px
    private int Y0;
    @Px
    private int Z0;
    private boolean a1;
    private boolean b1;
    private int c1;

    @Retention(RetentionPolicy.SOURCE)
    public @interface IconGravity {
    }

    /* access modifiers changed from: package-private */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        boolean I0;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @NonNull
            /* renamed from: a */
            public SavedState createFromParcel(@NonNull Parcel parcel) {
                return new SavedState(parcel, null);
            }

            @NonNull
            /* renamed from: b */
            public SavedState createFromParcel(@NonNull Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @NonNull
            /* renamed from: c */
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        private void b(@NonNull Parcel parcel) {
            boolean z = true;
            if (parcel.readInt() != 1) {
                z = false;
            }
            this.I0 = z;
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(@NonNull Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.I0 ? 1 : 0);
        }

        public SavedState(@NonNull Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            if (classLoader == null) {
                getClass().getClassLoader();
            }
            b(parcel);
        }
    }

    public interface a {
        void a(MaterialButton materialButton, boolean z);
    }

    interface b {
        void a(MaterialButton materialButton, boolean z);
    }

    public MaterialButton(@NonNull Context context) {
        this(context, null);
    }

    private boolean d() {
        int i = this.c1;
        return i == 3 || i == 4;
    }

    private boolean e() {
        int i = this.c1;
        return i == 1 || i == 2;
    }

    private boolean f() {
        int i = this.c1;
        return i == 16 || i == 32;
    }

    private boolean g() {
        return ViewCompat.getLayoutDirection(this) == 1;
    }

    @NonNull
    private String getA11yClassName() {
        return (c() ? CompoundButton.class : Button.class).getName();
    }

    private int getTextHeight() {
        TextPaint paint = getPaint();
        String charSequence = getText().toString();
        if (getTransformationMethod() != null) {
            charSequence = getTransformationMethod().getTransformation(charSequence, this).toString();
        }
        Rect rect = new Rect();
        paint.getTextBounds(charSequence, 0, charSequence.length(), rect);
        return Math.min(rect.height(), getLayout().getHeight());
    }

    private int getTextWidth() {
        TextPaint paint = getPaint();
        String charSequence = getText().toString();
        if (getTransformationMethod() != null) {
            charSequence = getTransformationMethod().getTransformation(charSequence, this).toString();
        }
        return Math.min((int) paint.measureText(charSequence), getLayout().getEllipsizedWidth());
    }

    private boolean h() {
        a aVar = this.Q0;
        return aVar != null && !aVar.o();
    }

    private void j() {
        if (e()) {
            TextViewCompat.w(this, this.V0, null, null, null);
        } else if (d()) {
            TextViewCompat.w(this, null, null, this.V0, null);
        } else if (f()) {
            TextViewCompat.w(this, null, this.V0, null, null);
        }
    }

    private void k(boolean z) {
        Drawable drawable = this.V0;
        if (drawable != null) {
            Drawable mutate = c.r(drawable).mutate();
            this.V0 = mutate;
            c.o(mutate, this.U0);
            PorterDuff.Mode mode = this.T0;
            if (mode != null) {
                c.p(this.V0, mode);
            }
            int i = this.W0;
            if (i == 0) {
                i = this.V0.getIntrinsicWidth();
            }
            int i2 = this.W0;
            if (i2 == 0) {
                i2 = this.V0.getIntrinsicHeight();
            }
            Drawable drawable2 = this.V0;
            int i3 = this.X0;
            int i4 = this.Y0;
            drawable2.setBounds(i3, i4, i + i3, i2 + i4);
        }
        if (z) {
            j();
            return;
        }
        Drawable[] h = TextViewCompat.h(this);
        boolean z2 = false;
        Drawable drawable3 = h[0];
        Drawable drawable4 = h[1];
        Drawable drawable5 = h[2];
        if ((e() && drawable3 != this.V0) || ((d() && drawable5 != this.V0) || (f() && drawable4 != this.V0))) {
            z2 = true;
        }
        if (z2) {
            j();
        }
    }

    private void l(int i, int i2) {
        if (this.V0 != null && getLayout() != null) {
            if (e() || d()) {
                this.Y0 = 0;
                int i3 = this.c1;
                boolean z = true;
                if (i3 == 1 || i3 == 3) {
                    this.X0 = 0;
                    k(false);
                    return;
                }
                int i4 = this.W0;
                if (i4 == 0) {
                    i4 = this.V0.getIntrinsicWidth();
                }
                int textWidth = (((((i - getTextWidth()) - ViewCompat.getPaddingEnd(this)) - i4) - this.Z0) - ViewCompat.getPaddingStart(this)) / 2;
                boolean g = g();
                if (this.c1 != 4) {
                    z = false;
                }
                if (g != z) {
                    textWidth = -textWidth;
                }
                if (this.X0 != textWidth) {
                    this.X0 = textWidth;
                    k(false);
                }
            } else if (f()) {
                this.X0 = 0;
                if (this.c1 == 16) {
                    this.Y0 = 0;
                    k(false);
                    return;
                }
                int i5 = this.W0;
                if (i5 == 0) {
                    i5 = this.V0.getIntrinsicHeight();
                }
                int textHeight = (((((i2 - getTextHeight()) - getPaddingTop()) - i5) - this.Z0) - getPaddingBottom()) / 2;
                if (this.Y0 != textHeight) {
                    this.Y0 = textHeight;
                    k(false);
                }
            }
        }
    }

    public void a(@NonNull a aVar) {
        this.R0.add(aVar);
    }

    public void b() {
        this.R0.clear();
    }

    public boolean c() {
        a aVar = this.Q0;
        return aVar != null && aVar.p();
    }

    @Nullable
    public ColorStateList getBackgroundTintList() {
        return getSupportBackgroundTintList();
    }

    @Nullable
    public PorterDuff.Mode getBackgroundTintMode() {
        return getSupportBackgroundTintMode();
    }

    @Px
    public int getCornerRadius() {
        if (h()) {
            return this.Q0.b();
        }
        return 0;
    }

    public Drawable getIcon() {
        return this.V0;
    }

    public int getIconGravity() {
        return this.c1;
    }

    @Px
    public int getIconPadding() {
        return this.Z0;
    }

    @Px
    public int getIconSize() {
        return this.W0;
    }

    public ColorStateList getIconTint() {
        return this.U0;
    }

    public PorterDuff.Mode getIconTintMode() {
        return this.T0;
    }

    @Dimension
    public int getInsetBottom() {
        return this.Q0.c();
    }

    @Dimension
    public int getInsetTop() {
        return this.Q0.d();
    }

    @Nullable
    public ColorStateList getRippleColor() {
        if (h()) {
            return this.Q0.h();
        }
        return null;
    }

    @Override // com.google.android.material.shape.q
    @NonNull
    public m getShapeAppearanceModel() {
        if (h()) {
            return this.Q0.i();
        }
        throw new IllegalStateException("Attempted to get ShapeAppearanceModel from a MaterialButton which has an overwritten background.");
    }

    public ColorStateList getStrokeColor() {
        if (h()) {
            return this.Q0.j();
        }
        return null;
    }

    @Px
    public int getStrokeWidth() {
        if (h()) {
            return this.Q0.k();
        }
        return 0;
    }

    @Override // androidx.core.view.TintableBackgroundView, androidx.appcompat.widget.AppCompatButton
    @Nullable
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public ColorStateList getSupportBackgroundTintList() {
        if (h()) {
            return this.Q0.l();
        }
        return super.getSupportBackgroundTintList();
    }

    @Override // androidx.core.view.TintableBackgroundView, androidx.appcompat.widget.AppCompatButton
    @Nullable
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        if (h()) {
            return this.Q0.m();
        }
        return super.getSupportBackgroundTintMode();
    }

    public void i(@NonNull a aVar) {
        this.R0.remove(aVar);
    }

    public boolean isChecked() {
        return this.a1;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (h()) {
            i.f(this, this.Q0.f());
        }
    }

    /* access modifiers changed from: protected */
    public int[] onCreateDrawableState(int i) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i + 2);
        if (c()) {
            Button.mergeDrawableStates(onCreateDrawableState, f11473a);
        }
        if (isChecked()) {
            Button.mergeDrawableStates(onCreateDrawableState, f11474b);
        }
        return onCreateDrawableState;
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void onInitializeAccessibilityEvent(@NonNull AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName(getA11yClassName());
        accessibilityEvent.setChecked(isChecked());
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName(getA11yClassName());
        accessibilityNodeInfo.setCheckable(c());
        accessibilityNodeInfo.setChecked(isChecked());
        accessibilityNodeInfo.setClickable(isClickable());
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.AppCompatButton
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        a aVar;
        super.onLayout(z, i, i2, i3, i4);
        if (Build.VERSION.SDK_INT == 21 && (aVar = this.Q0) != null) {
            aVar.H(i4 - i2, i3 - i);
        }
    }

    public void onRestoreInstanceState(@Nullable Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.a());
        setChecked(savedState.I0);
    }

    @NonNull
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.I0 = this.a1;
        return savedState;
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        l(i, i2);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.AppCompatButton
    public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        super.onTextChanged(charSequence, i, i2, i3);
        l(getMeasuredWidth(), getMeasuredHeight());
    }

    public boolean performClick() {
        toggle();
        return super.performClick();
    }

    public void setBackground(@NonNull Drawable drawable) {
        setBackgroundDrawable(drawable);
    }

    public void setBackgroundColor(@ColorInt int i) {
        if (h()) {
            this.Q0.r(i);
        } else {
            super.setBackgroundColor(i);
        }
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void setBackgroundDrawable(@NonNull Drawable drawable) {
        if (!h()) {
            super.setBackgroundDrawable(drawable);
        } else if (drawable != getBackground()) {
            Log.w(O0, "MaterialButton manages its own background to control elevation, shape, color and states. Consider using backgroundTint, shapeAppearance and other attributes where available. A custom background will ignore these attributes and you should consider handling interaction states such as pressed, focused and disabled");
            this.Q0.s();
            super.setBackgroundDrawable(drawable);
        } else {
            getBackground().setState(drawable.getState());
        }
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void setBackgroundResource(@DrawableRes int i) {
        setBackgroundDrawable(i != 0 ? androidx.appcompat.a.a.a.d(getContext(), i) : null);
    }

    public void setBackgroundTintList(@Nullable ColorStateList colorStateList) {
        setSupportBackgroundTintList(colorStateList);
    }

    public void setBackgroundTintMode(@Nullable PorterDuff.Mode mode) {
        setSupportBackgroundTintMode(mode);
    }

    public void setCheckable(boolean z) {
        if (h()) {
            this.Q0.t(z);
        }
    }

    public void setChecked(boolean z) {
        if (c() && isEnabled() && this.a1 != z) {
            this.a1 = z;
            refreshDrawableState();
            if (!this.b1) {
                this.b1 = true;
                Iterator<a> it = this.R0.iterator();
                while (it.hasNext()) {
                    it.next().a(this, this.a1);
                }
                this.b1 = false;
            }
        }
    }

    public void setCornerRadius(@Px int i) {
        if (h()) {
            this.Q0.u(i);
        }
    }

    public void setCornerRadiusResource(@DimenRes int i) {
        if (h()) {
            setCornerRadius(getResources().getDimensionPixelSize(i));
        }
    }

    @RequiresApi(21)
    public void setElevation(float f) {
        super.setElevation(f);
        if (h()) {
            this.Q0.f().m0(f);
        }
    }

    public void setIcon(@Nullable Drawable drawable) {
        if (this.V0 != drawable) {
            this.V0 = drawable;
            k(true);
            l(getMeasuredWidth(), getMeasuredHeight());
        }
    }

    public void setIconGravity(int i) {
        if (this.c1 != i) {
            this.c1 = i;
            l(getMeasuredWidth(), getMeasuredHeight());
        }
    }

    public void setIconPadding(@Px int i) {
        if (this.Z0 != i) {
            this.Z0 = i;
            setCompoundDrawablePadding(i);
        }
    }

    public void setIconResource(@DrawableRes int i) {
        setIcon(i != 0 ? androidx.appcompat.a.a.a.d(getContext(), i) : null);
    }

    public void setIconSize(@Px int i) {
        if (i < 0) {
            throw new IllegalArgumentException("iconSize cannot be less than 0");
        } else if (this.W0 != i) {
            this.W0 = i;
            k(true);
        }
    }

    public void setIconTint(@Nullable ColorStateList colorStateList) {
        if (this.U0 != colorStateList) {
            this.U0 = colorStateList;
            k(false);
        }
    }

    public void setIconTintMode(PorterDuff.Mode mode) {
        if (this.T0 != mode) {
            this.T0 = mode;
            k(false);
        }
    }

    public void setIconTintResource(@ColorRes int i) {
        setIconTint(androidx.appcompat.a.a.a.c(getContext(), i));
    }

    public void setInsetBottom(@Dimension int i) {
        this.Q0.v(i);
    }

    public void setInsetTop(@Dimension int i) {
        this.Q0.w(i);
    }

    /* access modifiers changed from: package-private */
    public void setInternalBackground(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
    }

    /* access modifiers changed from: package-private */
    public void setOnPressedChangeListenerInternal(@Nullable b bVar) {
        this.S0 = bVar;
    }

    public void setPressed(boolean z) {
        b bVar = this.S0;
        if (bVar != null) {
            bVar.a(this, z);
        }
        super.setPressed(z);
    }

    public void setRippleColor(@Nullable ColorStateList colorStateList) {
        if (h()) {
            this.Q0.x(colorStateList);
        }
    }

    public void setRippleColorResource(@ColorRes int i) {
        if (h()) {
            setRippleColor(androidx.appcompat.a.a.a.c(getContext(), i));
        }
    }

    @Override // com.google.android.material.shape.q
    public void setShapeAppearanceModel(@NonNull m mVar) {
        if (h()) {
            this.Q0.y(mVar);
            return;
        }
        throw new IllegalStateException("Attempted to set ShapeAppearanceModel on a MaterialButton which has an overwritten background.");
    }

    /* access modifiers changed from: package-private */
    public void setShouldDrawSurfaceColorStroke(boolean z) {
        if (h()) {
            this.Q0.z(z);
        }
    }

    public void setStrokeColor(@Nullable ColorStateList colorStateList) {
        if (h()) {
            this.Q0.A(colorStateList);
        }
    }

    public void setStrokeColorResource(@ColorRes int i) {
        if (h()) {
            setStrokeColor(androidx.appcompat.a.a.a.c(getContext(), i));
        }
    }

    public void setStrokeWidth(@Px int i) {
        if (h()) {
            this.Q0.B(i);
        }
    }

    public void setStrokeWidthResource(@DimenRes int i) {
        if (h()) {
            setStrokeWidth(getResources().getDimensionPixelSize(i));
        }
    }

    @Override // androidx.core.view.TintableBackgroundView, androidx.appcompat.widget.AppCompatButton
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void setSupportBackgroundTintList(@Nullable ColorStateList colorStateList) {
        if (h()) {
            this.Q0.C(colorStateList);
        } else {
            super.setSupportBackgroundTintList(colorStateList);
        }
    }

    @Override // androidx.core.view.TintableBackgroundView, androidx.appcompat.widget.AppCompatButton
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void setSupportBackgroundTintMode(@Nullable PorterDuff.Mode mode) {
        if (h()) {
            this.Q0.D(mode);
        } else {
            super.setSupportBackgroundTintMode(mode);
        }
    }

    public void toggle() {
        setChecked(!this.a1);
    }

    public MaterialButton(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.materialButtonStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public MaterialButton(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i, r6), attributeSet, i);
        int i2 = P0;
        this.R0 = new LinkedHashSet<>();
        boolean z = false;
        this.a1 = false;
        this.b1 = false;
        Context context2 = getContext();
        TypedArray j = com.google.android.material.internal.m.j(context2, attributeSet, R.styleable.MaterialButton, i, i2, new int[0]);
        this.Z0 = j.getDimensionPixelSize(R.styleable.MaterialButton_iconPadding, 0);
        this.T0 = u.k(j.getInt(R.styleable.MaterialButton_iconTintMode, -1), PorterDuff.Mode.SRC_IN);
        this.U0 = com.google.android.material.i.c.a(getContext(), j, R.styleable.MaterialButton_iconTint);
        this.V0 = com.google.android.material.i.c.d(getContext(), j, R.styleable.MaterialButton_icon);
        this.c1 = j.getInteger(R.styleable.MaterialButton_iconGravity, 1);
        this.W0 = j.getDimensionPixelSize(R.styleable.MaterialButton_iconSize, 0);
        a aVar = new a(this, m.e(context2, attributeSet, i, i2).m());
        this.Q0 = aVar;
        aVar.q(j);
        j.recycle();
        setCompoundDrawablePadding(this.Z0);
        k(this.V0 != null ? true : z);
    }
}
