package com.google.android.material.button;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.LinearLayout;
import androidx.annotation.BoolRes;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.MarginLayoutParamsCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import com.google.android.material.R;
import com.google.android.material.button.MaterialButton;
import com.google.android.material.internal.u;
import com.google.android.material.shape.m;
import java.util.ArrayList;
import java.util.Comparator;
import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.TreeMap;

public class MaterialButtonToggleGroup extends LinearLayout {

    /* renamed from: a  reason: collision with root package name */
    private static final String f11475a = MaterialButtonToggleGroup.class.getSimpleName();

    /* renamed from: b  reason: collision with root package name */
    private static final int f11476b = R.style.Widget_MaterialComponents_MaterialButtonToggleGroup;
    private final List<d> I0;
    private final c J0;
    private final f K0;
    private final LinkedHashSet<e> L0;
    private final Comparator<MaterialButton> M0;
    private Integer[] N0;
    private boolean O0;
    private boolean P0;
    private boolean Q0;
    @IdRes
    private int R0;

    class a implements Comparator<MaterialButton> {
        a() {
        }

        /* renamed from: a */
        public int compare(MaterialButton materialButton, MaterialButton materialButton2) {
            int compareTo = Boolean.valueOf(materialButton.isChecked()).compareTo(Boolean.valueOf(materialButton2.isChecked()));
            if (compareTo != 0) {
                return compareTo;
            }
            int compareTo2 = Boolean.valueOf(materialButton.isPressed()).compareTo(Boolean.valueOf(materialButton2.isPressed()));
            if (compareTo2 != 0) {
                return compareTo2;
            }
            return Integer.valueOf(MaterialButtonToggleGroup.this.indexOfChild(materialButton)).compareTo(Integer.valueOf(MaterialButtonToggleGroup.this.indexOfChild(materialButton2)));
        }
    }

    class b extends AccessibilityDelegateCompat {
        b() {
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            accessibilityNodeInfoCompat.setCollectionItemInfo(AccessibilityNodeInfoCompat.CollectionItemInfoCompat.obtain(0, 1, MaterialButtonToggleGroup.this.p(view), 1, false, ((MaterialButton) view).isChecked()));
        }
    }

    /* access modifiers changed from: private */
    public class c implements MaterialButton.a {
        private c() {
        }

        @Override // com.google.android.material.button.MaterialButton.a
        public void a(@NonNull MaterialButton materialButton, boolean z) {
            if (!MaterialButtonToggleGroup.this.O0) {
                if (MaterialButtonToggleGroup.this.P0) {
                    MaterialButtonToggleGroup.this.R0 = z ? materialButton.getId() : -1;
                }
                if (MaterialButtonToggleGroup.this.z(materialButton.getId(), z)) {
                    MaterialButtonToggleGroup.this.n(materialButton.getId(), materialButton.isChecked());
                }
                MaterialButtonToggleGroup.this.invalidate();
            }
        }

        /* synthetic */ c(MaterialButtonToggleGroup materialButtonToggleGroup, a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public static class d {

        /* renamed from: a  reason: collision with root package name */
        private static final com.google.android.material.shape.c f11480a = new com.google.android.material.shape.a(0.0f);

        /* renamed from: b  reason: collision with root package name */
        com.google.android.material.shape.c f11481b;

        /* renamed from: c  reason: collision with root package name */
        com.google.android.material.shape.c f11482c;

        /* renamed from: d  reason: collision with root package name */
        com.google.android.material.shape.c f11483d;

        /* renamed from: e  reason: collision with root package name */
        com.google.android.material.shape.c f11484e;

        d(com.google.android.material.shape.c cVar, com.google.android.material.shape.c cVar2, com.google.android.material.shape.c cVar3, com.google.android.material.shape.c cVar4) {
            this.f11481b = cVar;
            this.f11482c = cVar3;
            this.f11483d = cVar4;
            this.f11484e = cVar2;
        }

        public static d a(d dVar) {
            com.google.android.material.shape.c cVar = f11480a;
            return new d(cVar, dVar.f11484e, cVar, dVar.f11483d);
        }

        public static d b(d dVar, View view) {
            return u.j(view) ? c(dVar) : d(dVar);
        }

        public static d c(d dVar) {
            com.google.android.material.shape.c cVar = dVar.f11481b;
            com.google.android.material.shape.c cVar2 = dVar.f11484e;
            com.google.android.material.shape.c cVar3 = f11480a;
            return new d(cVar, cVar2, cVar3, cVar3);
        }

        public static d d(d dVar) {
            com.google.android.material.shape.c cVar = f11480a;
            return new d(cVar, cVar, dVar.f11482c, dVar.f11483d);
        }

        public static d e(d dVar, View view) {
            return u.j(view) ? d(dVar) : c(dVar);
        }

        public static d f(d dVar) {
            com.google.android.material.shape.c cVar = dVar.f11481b;
            com.google.android.material.shape.c cVar2 = f11480a;
            return new d(cVar, cVar2, dVar.f11482c, cVar2);
        }
    }

    public interface e {
        void a(MaterialButtonToggleGroup materialButtonToggleGroup, @IdRes int i, boolean z);
    }

    /* access modifiers changed from: private */
    public class f implements MaterialButton.b {
        private f() {
        }

        @Override // com.google.android.material.button.MaterialButton.b
        public void a(@NonNull MaterialButton materialButton, boolean z) {
            MaterialButtonToggleGroup.this.invalidate();
        }

        /* synthetic */ f(MaterialButtonToggleGroup materialButtonToggleGroup, a aVar) {
            this();
        }
    }

    public MaterialButtonToggleGroup(@NonNull Context context) {
        this(context, null);
    }

    private void A() {
        TreeMap treeMap = new TreeMap(this.M0);
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            treeMap.put(o(i), Integer.valueOf(i));
        }
        this.N0 = (Integer[]) treeMap.values().toArray(new Integer[0]);
    }

    private int getFirstVisibleChildIndex() {
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            if (r(i)) {
                return i;
            }
        }
        return -1;
    }

    private int getLastVisibleChildIndex() {
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            if (r(childCount)) {
                return childCount;
            }
        }
        return -1;
    }

    private int getVisibleButtonCount() {
        int i = 0;
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            if ((getChildAt(i2) instanceof MaterialButton) && r(i2)) {
                i++;
            }
        }
        return i;
    }

    private void h() {
        int firstVisibleChildIndex = getFirstVisibleChildIndex();
        if (firstVisibleChildIndex != -1) {
            for (int i = firstVisibleChildIndex + 1; i < getChildCount(); i++) {
                MaterialButton o = o(i);
                int min = Math.min(o.getStrokeWidth(), o(i - 1).getStrokeWidth());
                LinearLayout.LayoutParams i2 = i(o);
                if (getOrientation() == 0) {
                    MarginLayoutParamsCompat.setMarginEnd(i2, 0);
                    MarginLayoutParamsCompat.setMarginStart(i2, -min);
                    i2.topMargin = 0;
                } else {
                    i2.bottomMargin = 0;
                    i2.topMargin = -min;
                    MarginLayoutParamsCompat.setMarginStart(i2, 0);
                }
                o.setLayoutParams(i2);
            }
            v(firstVisibleChildIndex);
        }
    }

    @NonNull
    private LinearLayout.LayoutParams i(@NonNull View view) {
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (layoutParams instanceof LinearLayout.LayoutParams) {
            return (LinearLayout.LayoutParams) layoutParams;
        }
        return new LinearLayout.LayoutParams(layoutParams.width, layoutParams.height);
    }

    private void k(int i) {
        w(i, true);
        z(i, true);
        setCheckedId(i);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void n(@IdRes int i, boolean z) {
        Iterator<e> it = this.L0.iterator();
        while (it.hasNext()) {
            it.next().a(this, i, z);
        }
    }

    private MaterialButton o(int i) {
        return (MaterialButton) getChildAt(i);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int p(@Nullable View view) {
        if (!(view instanceof MaterialButton)) {
            return -1;
        }
        int i = 0;
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            if (getChildAt(i2) == view) {
                return i;
            }
            if ((getChildAt(i2) instanceof MaterialButton) && r(i2)) {
                i++;
            }
        }
        return -1;
    }

    @Nullable
    private d q(int i, int i2, int i3) {
        d dVar = this.I0.get(i);
        if (i2 == i3) {
            return dVar;
        }
        boolean z = getOrientation() == 0;
        if (i == i2) {
            return z ? d.e(dVar, this) : d.f(dVar);
        }
        if (i == i3) {
            return z ? d.b(dVar, this) : d.a(dVar);
        }
        return null;
    }

    private boolean r(int i) {
        return getChildAt(i).getVisibility() != 8;
    }

    private void setCheckedId(int i) {
        this.R0 = i;
        n(i, true);
    }

    private void setGeneratedIdIfNeeded(@NonNull MaterialButton materialButton) {
        if (materialButton.getId() == -1) {
            materialButton.setId(ViewCompat.generateViewId());
        }
    }

    private void setupButtonChild(@NonNull MaterialButton materialButton) {
        materialButton.setMaxLines(1);
        materialButton.setEllipsize(TextUtils.TruncateAt.END);
        materialButton.setCheckable(true);
        materialButton.a(this.J0);
        materialButton.setOnPressedChangeListenerInternal(this.K0);
        materialButton.setShouldDrawSurfaceColorStroke(true);
    }

    private void v(int i) {
        if (getChildCount() != 0 && i != -1) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) o(i).getLayoutParams();
            if (getOrientation() == 1) {
                layoutParams.topMargin = 0;
                layoutParams.bottomMargin = 0;
                return;
            }
            MarginLayoutParamsCompat.setMarginEnd(layoutParams, 0);
            MarginLayoutParamsCompat.setMarginStart(layoutParams, 0);
            layoutParams.leftMargin = 0;
            layoutParams.rightMargin = 0;
        }
    }

    private void w(@IdRes int i, boolean z) {
        View findViewById = findViewById(i);
        if (findViewById instanceof MaterialButton) {
            this.O0 = true;
            ((MaterialButton) findViewById).setChecked(z);
            this.O0 = false;
        }
    }

    private static void y(m.b bVar, @Nullable d dVar) {
        if (dVar == null) {
            bVar.o(0.0f);
        } else {
            bVar.L(dVar.f11481b).y(dVar.f11484e).Q(dVar.f11482c).D(dVar.f11483d);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean z(int i, boolean z) {
        List<Integer> checkedButtonIds = getCheckedButtonIds();
        if (!this.Q0 || !checkedButtonIds.isEmpty()) {
            if (z && this.P0) {
                checkedButtonIds.remove(Integer.valueOf(i));
                for (Integer num : checkedButtonIds) {
                    int intValue = num.intValue();
                    w(intValue, false);
                    n(intValue, false);
                }
            }
            return true;
        }
        w(i, true);
        this.R0 = i;
        return false;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void B() {
        int childCount = getChildCount();
        int firstVisibleChildIndex = getFirstVisibleChildIndex();
        int lastVisibleChildIndex = getLastVisibleChildIndex();
        for (int i = 0; i < childCount; i++) {
            MaterialButton o = o(i);
            if (o.getVisibility() != 8) {
                m.b v = o.getShapeAppearanceModel().v();
                y(v, q(i, firstVisibleChildIndex, lastVisibleChildIndex));
                o.setShapeAppearanceModel(v.m());
            }
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        if (!(view instanceof MaterialButton)) {
            Log.e(f11475a, "Child views must be of type MaterialButton.");
            return;
        }
        super.addView(view, i, layoutParams);
        MaterialButton materialButton = (MaterialButton) view;
        setGeneratedIdIfNeeded(materialButton);
        setupButtonChild(materialButton);
        if (materialButton.isChecked()) {
            z(materialButton.getId(), true);
            setCheckedId(materialButton.getId());
        }
        m shapeAppearanceModel = materialButton.getShapeAppearanceModel();
        this.I0.add(new d(shapeAppearanceModel.r(), shapeAppearanceModel.j(), shapeAppearanceModel.t(), shapeAppearanceModel.l()));
        ViewCompat.setAccessibilityDelegate(materialButton, new b());
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(@NonNull Canvas canvas) {
        A();
        super.dispatchDraw(canvas);
    }

    public void g(@NonNull e eVar) {
        this.L0.add(eVar);
    }

    @NonNull
    public CharSequence getAccessibilityClassName() {
        return MaterialButtonToggleGroup.class.getName();
    }

    @IdRes
    public int getCheckedButtonId() {
        if (this.P0) {
            return this.R0;
        }
        return -1;
    }

    @NonNull
    public List<Integer> getCheckedButtonIds() {
        ArrayList arrayList = new ArrayList();
        for (int i = 0; i < getChildCount(); i++) {
            MaterialButton o = o(i);
            if (o.isChecked()) {
                arrayList.add(Integer.valueOf(o.getId()));
            }
        }
        return arrayList;
    }

    /* access modifiers changed from: protected */
    public int getChildDrawingOrder(int i, int i2) {
        Integer[] numArr = this.N0;
        if (numArr != null && i2 < numArr.length) {
            return numArr[i2].intValue();
        }
        Log.w(f11475a, "Child order wasn't updated");
        return i2;
    }

    public void j(@IdRes int i) {
        if (i != this.R0) {
            k(i);
        }
    }

    public void l() {
        this.O0 = true;
        for (int i = 0; i < getChildCount(); i++) {
            MaterialButton o = o(i);
            o.setChecked(false);
            n(o.getId(), false);
        }
        this.O0 = false;
        setCheckedId(-1);
    }

    public void m() {
        this.L0.clear();
    }

    /* access modifiers changed from: protected */
    public void onFinishInflate() {
        super.onFinishInflate();
        int i = this.R0;
        if (i != -1) {
            k(i);
        }
    }

    public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        AccessibilityNodeInfoCompat.wrap(accessibilityNodeInfo).setCollectionInfo(AccessibilityNodeInfoCompat.CollectionInfoCompat.obtain(1, getVisibleButtonCount(), false, t() ? 1 : 2));
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        B();
        h();
        super.onMeasure(i, i2);
    }

    public void onViewRemoved(View view) {
        super.onViewRemoved(view);
        if (view instanceof MaterialButton) {
            MaterialButton materialButton = (MaterialButton) view;
            materialButton.i(this.J0);
            materialButton.setOnPressedChangeListenerInternal(null);
        }
        int indexOfChild = indexOfChild(view);
        if (indexOfChild >= 0) {
            this.I0.remove(indexOfChild);
        }
        B();
        h();
    }

    public boolean s() {
        return this.Q0;
    }

    public void setSelectionRequired(boolean z) {
        this.Q0 = z;
    }

    public void setSingleSelection(boolean z) {
        if (this.P0 != z) {
            this.P0 = z;
            l();
        }
    }

    public boolean t() {
        return this.P0;
    }

    public void u(@NonNull e eVar) {
        this.L0.remove(eVar);
    }

    public void x(@IdRes int i) {
        w(i, false);
        z(i, false);
        this.R0 = -1;
        n(i, false);
    }

    public MaterialButtonToggleGroup(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.materialButtonToggleGroupStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public MaterialButtonToggleGroup(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i, r4), attributeSet, i);
        int i2 = f11476b;
        this.I0 = new ArrayList();
        this.J0 = new c(this, null);
        this.K0 = new f(this, null);
        this.L0 = new LinkedHashSet<>();
        this.M0 = new a();
        this.O0 = false;
        TypedArray j = com.google.android.material.internal.m.j(getContext(), attributeSet, R.styleable.MaterialButtonToggleGroup, i, i2, new int[0]);
        setSingleSelection(j.getBoolean(R.styleable.MaterialButtonToggleGroup_singleSelection, false));
        this.R0 = j.getResourceId(R.styleable.MaterialButtonToggleGroup_checkedButton, -1);
        this.Q0 = j.getBoolean(R.styleable.MaterialButtonToggleGroup_selectionRequired, false);
        setChildrenDrawingOrderEnabled(true);
        j.recycle();
        ViewCompat.setImportantForAccessibility(this, 1);
    }

    public void setSingleSelection(@BoolRes int i) {
        setSingleSelection(getResources().getBoolean(i));
    }
}
