package com.google.android.material.button;

import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import androidx.annotation.Dimension;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.graphics.drawable.c;
import androidx.core.view.ViewCompat;
import com.google.android.material.R;
import com.google.android.material.internal.u;
import com.google.android.material.j.b;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.m;
import com.google.android.material.shape.q;

/* access modifiers changed from: package-private */
@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
/* compiled from: MaterialButtonHelper */
public class a {

    /* renamed from: a  reason: collision with root package name */
    private static final boolean f11486a = (Build.VERSION.SDK_INT >= 21);

    /* renamed from: b  reason: collision with root package name */
    private final MaterialButton f11487b;
    @NonNull

    /* renamed from: c  reason: collision with root package name */
    private m f11488c;

    /* renamed from: d  reason: collision with root package name */
    private int f11489d;

    /* renamed from: e  reason: collision with root package name */
    private int f11490e;
    private int f;
    private int g;
    private int h;
    private int i;
    @Nullable
    private PorterDuff.Mode j;
    @Nullable
    private ColorStateList k;
    @Nullable
    private ColorStateList l;
    @Nullable
    private ColorStateList m;
    @Nullable
    private Drawable n;
    private boolean o = false;
    private boolean p = false;
    private boolean q = false;
    private boolean r;
    private LayerDrawable s;
    private int t;

    a(MaterialButton materialButton, @NonNull m mVar) {
        this.f11487b = materialButton;
        this.f11488c = mVar;
    }

    private void E(@Dimension int i2, @Dimension int i3) {
        int paddingStart = ViewCompat.getPaddingStart(this.f11487b);
        int paddingTop = this.f11487b.getPaddingTop();
        int paddingEnd = ViewCompat.getPaddingEnd(this.f11487b);
        int paddingBottom = this.f11487b.getPaddingBottom();
        int i4 = this.f;
        int i5 = this.g;
        this.g = i3;
        this.f = i2;
        if (!this.p) {
            F();
        }
        ViewCompat.setPaddingRelative(this.f11487b, paddingStart, (paddingTop + i2) - i4, paddingEnd, (paddingBottom + i3) - i5);
    }

    private void F() {
        this.f11487b.setInternalBackground(a());
        MaterialShapeDrawable f2 = f();
        if (f2 != null) {
            f2.m0((float) this.t);
        }
    }

    private void G(@NonNull m mVar) {
        if (f() != null) {
            f().setShapeAppearanceModel(mVar);
        }
        if (n() != null) {
            n().setShapeAppearanceModel(mVar);
        }
        if (e() != null) {
            e().setShapeAppearanceModel(mVar);
        }
    }

    private void I() {
        MaterialShapeDrawable f2 = f();
        MaterialShapeDrawable n2 = n();
        if (f2 != null) {
            f2.D0((float) this.i, this.l);
            if (n2 != null) {
                n2.C0((float) this.i, this.o ? com.google.android.material.c.a.d(this.f11487b, R.attr.colorSurface) : 0);
            }
        }
    }

    @NonNull
    private InsetDrawable J(Drawable drawable) {
        return new InsetDrawable(drawable, this.f11489d, this.f, this.f11490e, this.g);
    }

    private Drawable a() {
        MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable(this.f11488c);
        materialShapeDrawable.Y(this.f11487b.getContext());
        c.o(materialShapeDrawable, this.k);
        PorterDuff.Mode mode = this.j;
        if (mode != null) {
            c.p(materialShapeDrawable, mode);
        }
        materialShapeDrawable.D0((float) this.i, this.l);
        MaterialShapeDrawable materialShapeDrawable2 = new MaterialShapeDrawable(this.f11488c);
        materialShapeDrawable2.setTint(0);
        materialShapeDrawable2.C0((float) this.i, this.o ? com.google.android.material.c.a.d(this.f11487b, R.attr.colorSurface) : 0);
        if (f11486a) {
            MaterialShapeDrawable materialShapeDrawable3 = new MaterialShapeDrawable(this.f11488c);
            this.n = materialShapeDrawable3;
            c.n(materialShapeDrawable3, -1);
            RippleDrawable rippleDrawable = new RippleDrawable(b.d(this.m), J(new LayerDrawable(new Drawable[]{materialShapeDrawable2, materialShapeDrawable})), this.n);
            this.s = rippleDrawable;
            return rippleDrawable;
        }
        com.google.android.material.j.a aVar = new com.google.android.material.j.a(this.f11488c);
        this.n = aVar;
        c.o(aVar, b.d(this.m));
        LayerDrawable layerDrawable = new LayerDrawable(new Drawable[]{materialShapeDrawable2, materialShapeDrawable, this.n});
        this.s = layerDrawable;
        return J(layerDrawable);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: boolean */
    /* JADX WARN: Multi-variable type inference failed */
    @Nullable
    private MaterialShapeDrawable g(boolean z) {
        LayerDrawable layerDrawable = this.s;
        if (layerDrawable == null || layerDrawable.getNumberOfLayers() <= 0) {
            return null;
        }
        if (f11486a) {
            return (MaterialShapeDrawable) ((LayerDrawable) ((InsetDrawable) this.s.getDrawable(0)).getDrawable()).getDrawable(!z);
        }
        return (MaterialShapeDrawable) this.s.getDrawable(!z ? 1 : 0);
    }

    @Nullable
    private MaterialShapeDrawable n() {
        return g(true);
    }

    /* access modifiers changed from: package-private */
    public void A(@Nullable ColorStateList colorStateList) {
        if (this.l != colorStateList) {
            this.l = colorStateList;
            I();
        }
    }

    /* access modifiers changed from: package-private */
    public void B(int i2) {
        if (this.i != i2) {
            this.i = i2;
            I();
        }
    }

    /* access modifiers changed from: package-private */
    public void C(@Nullable ColorStateList colorStateList) {
        if (this.k != colorStateList) {
            this.k = colorStateList;
            if (f() != null) {
                c.o(f(), this.k);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void D(@Nullable PorterDuff.Mode mode) {
        if (this.j != mode) {
            this.j = mode;
            if (f() != null && this.j != null) {
                c.p(f(), this.j);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void H(int i2, int i3) {
        Drawable drawable = this.n;
        if (drawable != null) {
            drawable.setBounds(this.f11489d, this.f, i3 - this.f11490e, i2 - this.g);
        }
    }

    /* access modifiers changed from: package-private */
    public int b() {
        return this.h;
    }

    public int c() {
        return this.g;
    }

    public int d() {
        return this.f;
    }

    @Nullable
    public q e() {
        LayerDrawable layerDrawable = this.s;
        if (layerDrawable == null || layerDrawable.getNumberOfLayers() <= 1) {
            return null;
        }
        if (this.s.getNumberOfLayers() > 2) {
            return (q) this.s.getDrawable(2);
        }
        return (q) this.s.getDrawable(1);
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public MaterialShapeDrawable f() {
        return g(false);
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public ColorStateList h() {
        return this.m;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public m i() {
        return this.f11488c;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public ColorStateList j() {
        return this.l;
    }

    /* access modifiers changed from: package-private */
    public int k() {
        return this.i;
    }

    /* access modifiers changed from: package-private */
    public ColorStateList l() {
        return this.k;
    }

    /* access modifiers changed from: package-private */
    public PorterDuff.Mode m() {
        return this.j;
    }

    /* access modifiers changed from: package-private */
    public boolean o() {
        return this.p;
    }

    /* access modifiers changed from: package-private */
    public boolean p() {
        return this.r;
    }

    /* access modifiers changed from: package-private */
    public void q(@NonNull TypedArray typedArray) {
        this.f11489d = typedArray.getDimensionPixelOffset(R.styleable.MaterialButton_android_insetLeft, 0);
        this.f11490e = typedArray.getDimensionPixelOffset(R.styleable.MaterialButton_android_insetRight, 0);
        this.f = typedArray.getDimensionPixelOffset(R.styleable.MaterialButton_android_insetTop, 0);
        this.g = typedArray.getDimensionPixelOffset(R.styleable.MaterialButton_android_insetBottom, 0);
        int i2 = R.styleable.MaterialButton_cornerRadius;
        if (typedArray.hasValue(i2)) {
            int dimensionPixelSize = typedArray.getDimensionPixelSize(i2, -1);
            this.h = dimensionPixelSize;
            y(this.f11488c.w((float) dimensionPixelSize));
            this.q = true;
        }
        this.i = typedArray.getDimensionPixelSize(R.styleable.MaterialButton_strokeWidth, 0);
        this.j = u.k(typedArray.getInt(R.styleable.MaterialButton_backgroundTintMode, -1), PorterDuff.Mode.SRC_IN);
        this.k = com.google.android.material.i.c.a(this.f11487b.getContext(), typedArray, R.styleable.MaterialButton_backgroundTint);
        this.l = com.google.android.material.i.c.a(this.f11487b.getContext(), typedArray, R.styleable.MaterialButton_strokeColor);
        this.m = com.google.android.material.i.c.a(this.f11487b.getContext(), typedArray, R.styleable.MaterialButton_rippleColor);
        this.r = typedArray.getBoolean(R.styleable.MaterialButton_android_checkable, false);
        this.t = typedArray.getDimensionPixelSize(R.styleable.MaterialButton_elevation, 0);
        int paddingStart = ViewCompat.getPaddingStart(this.f11487b);
        int paddingTop = this.f11487b.getPaddingTop();
        int paddingEnd = ViewCompat.getPaddingEnd(this.f11487b);
        int paddingBottom = this.f11487b.getPaddingBottom();
        if (typedArray.hasValue(R.styleable.MaterialButton_android_background)) {
            s();
        } else {
            F();
        }
        ViewCompat.setPaddingRelative(this.f11487b, paddingStart + this.f11489d, paddingTop + this.f, paddingEnd + this.f11490e, paddingBottom + this.g);
    }

    /* access modifiers changed from: package-private */
    public void r(int i2) {
        if (f() != null) {
            f().setTint(i2);
        }
    }

    /* access modifiers changed from: package-private */
    public void s() {
        this.p = true;
        this.f11487b.setSupportBackgroundTintList(this.k);
        this.f11487b.setSupportBackgroundTintMode(this.j);
    }

    /* access modifiers changed from: package-private */
    public void t(boolean z) {
        this.r = z;
    }

    /* access modifiers changed from: package-private */
    public void u(int i2) {
        if (!this.q || this.h != i2) {
            this.h = i2;
            this.q = true;
            y(this.f11488c.w((float) i2));
        }
    }

    public void v(@Dimension int i2) {
        E(this.f, i2);
    }

    public void w(@Dimension int i2) {
        E(i2, this.g);
    }

    /* access modifiers changed from: package-private */
    public void x(@Nullable ColorStateList colorStateList) {
        if (this.m != colorStateList) {
            this.m = colorStateList;
            boolean z = f11486a;
            if (z && (this.f11487b.getBackground() instanceof RippleDrawable)) {
                ((RippleDrawable) this.f11487b.getBackground()).setColor(b.d(colorStateList));
            } else if (!z && (this.f11487b.getBackground() instanceof com.google.android.material.j.a)) {
                ((com.google.android.material.j.a) this.f11487b.getBackground()).setTintList(b.d(colorStateList));
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void y(@NonNull m mVar) {
        this.f11488c = mVar;
        G(mVar);
    }

    /* access modifiers changed from: package-private */
    public void z(boolean z) {
        this.o = z;
        I();
    }
}
