package com.google.android.material.card;

import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import android.graphics.drawable.StateListDrawable;
import android.os.Build;
import android.util.AttributeSet;
import androidx.annotation.ColorInt;
import androidx.annotation.Dimension;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.core.view.ViewCompat;
import com.google.android.material.R;
import com.google.android.material.i.c;
import com.google.android.material.j.b;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.d;
import com.google.android.material.shape.e;
import com.google.android.material.shape.l;
import com.google.android.material.shape.m;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
/* compiled from: MaterialCardViewHelper */
class a {

    /* renamed from: a  reason: collision with root package name */
    private static final int[] f11496a = {16842912};

    /* renamed from: b  reason: collision with root package name */
    private static final int f11497b = -1;

    /* renamed from: c  reason: collision with root package name */
    private static final double f11498c = Math.cos(Math.toRadians(45.0d));

    /* renamed from: d  reason: collision with root package name */
    private static final float f11499d = 1.5f;

    /* renamed from: e  reason: collision with root package name */
    private static final int f11500e = 2;
    @NonNull
    private final MaterialCardView f;
    @NonNull
    private final Rect g = new Rect();
    @NonNull
    private final MaterialShapeDrawable h;
    @NonNull
    private final MaterialShapeDrawable i;
    @Dimension
    private int j;
    @Dimension
    private int k;
    @Dimension
    private int l;
    @Nullable
    private Drawable m;
    @Nullable
    private Drawable n;
    @Nullable
    private ColorStateList o;
    @Nullable
    private ColorStateList p;
    @Nullable
    private m q;
    @Nullable
    private ColorStateList r;
    @Nullable
    private Drawable s;
    @Nullable
    private LayerDrawable t;
    @Nullable
    private MaterialShapeDrawable u;
    @Nullable
    private MaterialShapeDrawable v;
    private boolean w = false;
    private boolean x;

    /* access modifiers changed from: package-private */
    /* renamed from: com.google.android.material.card.a$a  reason: collision with other inner class name */
    /* compiled from: MaterialCardViewHelper */
    public class C0255a extends InsetDrawable {
        C0255a(Drawable drawable, int i, int i2, int i3, int i4) {
            super(drawable, i, i2, i3, i4);
        }

        public int getMinimumHeight() {
            return -1;
        }

        public int getMinimumWidth() {
            return -1;
        }

        public boolean getPadding(Rect rect) {
            return false;
        }
    }

    public a(@NonNull MaterialCardView materialCardView, AttributeSet attributeSet, int i2, @StyleRes int i3) {
        this.f = materialCardView;
        MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable(materialCardView.getContext(), attributeSet, i2, i3);
        this.h = materialShapeDrawable;
        materialShapeDrawable.Y(materialCardView.getContext());
        materialShapeDrawable.u0(-12303292);
        m.b v2 = materialShapeDrawable.getShapeAppearanceModel().v();
        TypedArray obtainStyledAttributes = materialCardView.getContext().obtainStyledAttributes(attributeSet, R.styleable.CardView, i2, R.style.CardView);
        int i4 = R.styleable.CardView_cardCornerRadius;
        if (obtainStyledAttributes.hasValue(i4)) {
            v2.o(obtainStyledAttributes.getDimension(i4, 0.0f));
        }
        this.i = new MaterialShapeDrawable();
        R(v2.m());
        obtainStyledAttributes.recycle();
    }

    @NonNull
    private Drawable B(Drawable drawable) {
        int i2;
        int i3;
        if ((Build.VERSION.SDK_INT < 21) || this.f.getUseCompatPadding()) {
            int ceil = (int) Math.ceil((double) d());
            i3 = (int) Math.ceil((double) c());
            i2 = ceil;
        } else {
            i3 = 0;
            i2 = 0;
        }
        return new C0255a(drawable, i3, i2, i3, i2);
    }

    private boolean V() {
        return this.f.getPreventCornerOverlap() && !e();
    }

    private boolean W() {
        return this.f.getPreventCornerOverlap() && e() && this.f.getUseCompatPadding();
    }

    private float a() {
        return Math.max(Math.max(b(this.q.q(), this.h.R()), b(this.q.s(), this.h.S())), Math.max(b(this.q.k(), this.h.u()), b(this.q.i(), this.h.t())));
    }

    private void a0(Drawable drawable) {
        if (Build.VERSION.SDK_INT < 23 || !(this.f.getForeground() instanceof InsetDrawable)) {
            this.f.setForeground(B(drawable));
        } else {
            ((InsetDrawable) this.f.getForeground()).setDrawable(drawable);
        }
    }

    private float b(d dVar, float f2) {
        if (dVar instanceof l) {
            return (float) ((1.0d - f11498c) * ((double) f2));
        }
        if (dVar instanceof e) {
            return f2 / 2.0f;
        }
        return 0.0f;
    }

    private float c() {
        return this.f.getMaxCardElevation() + (W() ? a() : 0.0f);
    }

    private void c0() {
        Drawable drawable;
        if (!b.f11787a || (drawable = this.s) == null) {
            MaterialShapeDrawable materialShapeDrawable = this.u;
            if (materialShapeDrawable != null) {
                materialShapeDrawable.n0(this.o);
                return;
            }
            return;
        }
        ((RippleDrawable) drawable).setColor(this.o);
    }

    private float d() {
        return (this.f.getMaxCardElevation() * f11499d) + (W() ? a() : 0.0f);
    }

    private boolean e() {
        return Build.VERSION.SDK_INT >= 21 && this.h.d0();
    }

    @NonNull
    private Drawable f() {
        StateListDrawable stateListDrawable = new StateListDrawable();
        Drawable drawable = this.n;
        if (drawable != null) {
            stateListDrawable.addState(f11496a, drawable);
        }
        return stateListDrawable;
    }

    @NonNull
    private Drawable g() {
        StateListDrawable stateListDrawable = new StateListDrawable();
        MaterialShapeDrawable i2 = i();
        this.u = i2;
        i2.n0(this.o);
        stateListDrawable.addState(new int[]{16842919}, this.u);
        return stateListDrawable;
    }

    @NonNull
    private Drawable h() {
        if (!b.f11787a) {
            return g();
        }
        this.v = i();
        return new RippleDrawable(this.o, null, this.v);
    }

    @NonNull
    private MaterialShapeDrawable i() {
        return new MaterialShapeDrawable(this.q);
    }

    @NonNull
    private Drawable r() {
        if (this.s == null) {
            this.s = h();
        }
        if (this.t == null) {
            LayerDrawable layerDrawable = new LayerDrawable(new Drawable[]{this.s, this.i, f()});
            this.t = layerDrawable;
            layerDrawable.setId(2, R.id.mtrl_card_checked_layer_id);
        }
        return this.t;
    }

    private float t() {
        if (!this.f.getPreventCornerOverlap()) {
            return 0.0f;
        }
        if (Build.VERSION.SDK_INT < 21 || this.f.getUseCompatPadding()) {
            return (float) ((1.0d - f11498c) * ((double) this.f.getCardViewRadius()));
        }
        return 0.0f;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public Rect A() {
        return this.g;
    }

    /* access modifiers changed from: package-private */
    public boolean C() {
        return this.w;
    }

    /* access modifiers changed from: package-private */
    public boolean D() {
        return this.x;
    }

    /* access modifiers changed from: package-private */
    public void E(@NonNull TypedArray typedArray) {
        ColorStateList a2 = c.a(this.f.getContext(), typedArray, R.styleable.MaterialCardView_strokeColor);
        this.r = a2;
        if (a2 == null) {
            this.r = ColorStateList.valueOf(-1);
        }
        this.l = typedArray.getDimensionPixelSize(R.styleable.MaterialCardView_strokeWidth, 0);
        boolean z = typedArray.getBoolean(R.styleable.MaterialCardView_android_checkable, false);
        this.x = z;
        this.f.setLongClickable(z);
        this.p = c.a(this.f.getContext(), typedArray, R.styleable.MaterialCardView_checkedIconTint);
        K(c.d(this.f.getContext(), typedArray, R.styleable.MaterialCardView_checkedIcon));
        M(typedArray.getDimensionPixelSize(R.styleable.MaterialCardView_checkedIconSize, 0));
        L(typedArray.getDimensionPixelSize(R.styleable.MaterialCardView_checkedIconMargin, 0));
        ColorStateList a3 = c.a(this.f.getContext(), typedArray, R.styleable.MaterialCardView_rippleColor);
        this.o = a3;
        if (a3 == null) {
            this.o = ColorStateList.valueOf(com.google.android.material.c.a.d(this.f, R.attr.colorControlHighlight));
        }
        I(c.a(this.f.getContext(), typedArray, R.styleable.MaterialCardView_cardForegroundColor));
        c0();
        Z();
        d0();
        this.f.setBackgroundInternal(B(this.h));
        Drawable r2 = this.f.isClickable() ? r() : this.i;
        this.m = r2;
        this.f.setForeground(B(r2));
    }

    /* access modifiers changed from: package-private */
    public void F(int i2, int i3) {
        int i4;
        int i5;
        if (this.t != null) {
            int i6 = this.j;
            int i7 = this.k;
            int i8 = (i2 - i6) - i7;
            int i9 = (i3 - i6) - i7;
            if ((Build.VERSION.SDK_INT < 21) || this.f.getUseCompatPadding()) {
                i9 -= (int) Math.ceil((double) (d() * 2.0f));
                i8 -= (int) Math.ceil((double) (c() * 2.0f));
            }
            int i10 = this.j;
            if (ViewCompat.getLayoutDirection(this.f) == 1) {
                i4 = i8;
                i5 = i10;
            } else {
                i5 = i8;
                i4 = i10;
            }
            this.t.setLayerInset(2, i5, this.j, i4, i9);
        }
    }

    /* access modifiers changed from: package-private */
    public void G(boolean z) {
        this.w = z;
    }

    /* access modifiers changed from: package-private */
    public void H(ColorStateList colorStateList) {
        this.h.n0(colorStateList);
    }

    /* access modifiers changed from: package-private */
    public void I(@Nullable ColorStateList colorStateList) {
        MaterialShapeDrawable materialShapeDrawable = this.i;
        if (colorStateList == null) {
            colorStateList = ColorStateList.valueOf(0);
        }
        materialShapeDrawable.n0(colorStateList);
    }

    /* access modifiers changed from: package-private */
    public void J(boolean z) {
        this.x = z;
    }

    /* access modifiers changed from: package-private */
    public void K(@Nullable Drawable drawable) {
        this.n = drawable;
        if (drawable != null) {
            Drawable r2 = androidx.core.graphics.drawable.c.r(drawable.mutate());
            this.n = r2;
            androidx.core.graphics.drawable.c.o(r2, this.p);
        }
        if (this.t != null) {
            this.t.setDrawableByLayerId(R.id.mtrl_card_checked_layer_id, f());
        }
    }

    /* access modifiers changed from: package-private */
    public void L(@Dimension int i2) {
        this.j = i2;
    }

    /* access modifiers changed from: package-private */
    public void M(@Dimension int i2) {
        this.k = i2;
    }

    /* access modifiers changed from: package-private */
    public void N(@Nullable ColorStateList colorStateList) {
        this.p = colorStateList;
        Drawable drawable = this.n;
        if (drawable != null) {
            androidx.core.graphics.drawable.c.o(drawable, colorStateList);
        }
    }

    /* access modifiers changed from: package-private */
    public void O(float f2) {
        R(this.q.w(f2));
        this.m.invalidateSelf();
        if (W() || V()) {
            Y();
        }
        if (W()) {
            b0();
        }
    }

    /* access modifiers changed from: package-private */
    public void P(@FloatRange(from = 0.0d, to = 1.0d) float f2) {
        this.h.o0(f2);
        MaterialShapeDrawable materialShapeDrawable = this.i;
        if (materialShapeDrawable != null) {
            materialShapeDrawable.o0(f2);
        }
        MaterialShapeDrawable materialShapeDrawable2 = this.v;
        if (materialShapeDrawable2 != null) {
            materialShapeDrawable2.o0(f2);
        }
    }

    /* access modifiers changed from: package-private */
    public void Q(@Nullable ColorStateList colorStateList) {
        this.o = colorStateList;
        c0();
    }

    /* access modifiers changed from: package-private */
    public void R(@NonNull m mVar) {
        this.q = mVar;
        this.h.setShapeAppearanceModel(mVar);
        MaterialShapeDrawable materialShapeDrawable = this.h;
        materialShapeDrawable.t0(!materialShapeDrawable.d0());
        MaterialShapeDrawable materialShapeDrawable2 = this.i;
        if (materialShapeDrawable2 != null) {
            materialShapeDrawable2.setShapeAppearanceModel(mVar);
        }
        MaterialShapeDrawable materialShapeDrawable3 = this.v;
        if (materialShapeDrawable3 != null) {
            materialShapeDrawable3.setShapeAppearanceModel(mVar);
        }
        MaterialShapeDrawable materialShapeDrawable4 = this.u;
        if (materialShapeDrawable4 != null) {
            materialShapeDrawable4.setShapeAppearanceModel(mVar);
        }
    }

    /* access modifiers changed from: package-private */
    public void S(ColorStateList colorStateList) {
        if (this.r != colorStateList) {
            this.r = colorStateList;
            d0();
        }
    }

    /* access modifiers changed from: package-private */
    public void T(@Dimension int i2) {
        if (i2 != this.l) {
            this.l = i2;
            d0();
        }
    }

    /* access modifiers changed from: package-private */
    public void U(int i2, int i3, int i4, int i5) {
        this.g.set(i2, i3, i4, i5);
        Y();
    }

    /* access modifiers changed from: package-private */
    public void X() {
        Drawable drawable = this.m;
        Drawable r2 = this.f.isClickable() ? r() : this.i;
        this.m = r2;
        if (drawable != r2) {
            a0(r2);
        }
    }

    /* access modifiers changed from: package-private */
    public void Y() {
        int a2 = (int) ((V() || W() ? a() : 0.0f) - t());
        MaterialCardView materialCardView = this.f;
        Rect rect = this.g;
        materialCardView.m(rect.left + a2, rect.top + a2, rect.right + a2, rect.bottom + a2);
    }

    /* access modifiers changed from: package-private */
    public void Z() {
        this.h.m0(this.f.getCardElevation());
    }

    /* access modifiers changed from: package-private */
    public void b0() {
        if (!C()) {
            this.f.setBackgroundInternal(B(this.h));
        }
        this.f.setForeground(B(this.m));
    }

    /* access modifiers changed from: package-private */
    public void d0() {
        this.i.D0((float) this.l, this.r);
    }

    /* access modifiers changed from: package-private */
    @RequiresApi(api = 23)
    public void j() {
        Drawable drawable = this.s;
        if (drawable != null) {
            Rect bounds = drawable.getBounds();
            int i2 = bounds.bottom;
            this.s.setBounds(bounds.left, bounds.top, bounds.right, i2 - 1);
            this.s.setBounds(bounds.left, bounds.top, bounds.right, i2);
        }
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public MaterialShapeDrawable k() {
        return this.h;
    }

    /* access modifiers changed from: package-private */
    public ColorStateList l() {
        return this.h.y();
    }

    /* access modifiers changed from: package-private */
    public ColorStateList m() {
        return this.i.y();
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public Drawable n() {
        return this.n;
    }

    /* access modifiers changed from: package-private */
    @Dimension
    public int o() {
        return this.j;
    }

    /* access modifiers changed from: package-private */
    @Dimension
    public int p() {
        return this.k;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public ColorStateList q() {
        return this.p;
    }

    /* access modifiers changed from: package-private */
    public float s() {
        return this.h.R();
    }

    /* access modifiers changed from: package-private */
    @FloatRange(from = f11498c, to = 1.0d)
    public float u() {
        return this.h.z();
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public ColorStateList v() {
        return this.o;
    }

    /* access modifiers changed from: package-private */
    public m w() {
        return this.q;
    }

    /* access modifiers changed from: package-private */
    @ColorInt
    public int x() {
        ColorStateList colorStateList = this.r;
        if (colorStateList == null) {
            return -1;
        }
        return colorStateList.getDefaultColor();
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public ColorStateList y() {
        return this.r;
    }

    /* access modifiers changed from: package-private */
    @Dimension
    public int z() {
        return this.l;
    }
}
