package com.google.android.material.chip;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Outline;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.os.Bundle;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.PointerIcon;
import android.view.View;
import android.view.ViewOutlineProvider;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.TextView;
import androidx.annotation.AnimatorRes;
import androidx.annotation.BoolRes;
import androidx.annotation.CallSuper;
import androidx.annotation.ColorRes;
import androidx.annotation.DimenRes;
import androidx.annotation.Dimension;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RequiresApi;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.appcompat.widget.AppCompatCheckBox;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import com.google.android.material.R;
import com.google.android.material.a.h;
import com.google.android.material.chip.a;
import com.google.android.material.i.d;
import com.google.android.material.i.f;
import com.google.android.material.internal.m;
import com.google.android.material.internal.u;
import com.google.android.material.shape.i;
import com.google.android.material.shape.q;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.List;

public class Chip extends AppCompatCheckBox implements a.AbstractC0256a, q {
    private static final int I0 = 0;
    private static final int J0 = 1;
    private static final Rect K0 = new Rect();
    private static final int[] L0 = {16842913};
    private static final int[] M0 = {16842911};
    private static final String N0 = "http://schemas.android.com/apk/res/android";
    private static final int O0 = 48;
    private static final String P0 = "android.widget.Button";
    private static final String Q0 = "android.widget.CompoundButton";
    private static final String R0 = "android.view.View";

    /* renamed from: a  reason: collision with root package name */
    private static final String f11504a = "Chip";

    /* renamed from: b  reason: collision with root package name */
    private static final int f11505b = R.style.Widget_MaterialComponents_Chip_Action;
    @Nullable
    private a S0;
    @Nullable
    private InsetDrawable T0;
    @Nullable
    private RippleDrawable U0;
    @Nullable
    private View.OnClickListener V0;
    @Nullable
    private CompoundButton.OnCheckedChangeListener W0;
    private boolean X0;
    private boolean Y0;
    private boolean Z0;
    private boolean a1;
    private boolean b1;
    private int c1;
    @Dimension(unit = 1)
    private int d1;
    @NonNull
    private final c e1;
    private final Rect f1;
    private final RectF g1;
    private final f h1;

    class a extends f {
        a() {
        }

        @Override // com.google.android.material.i.f
        public void a(int i) {
        }

        @Override // com.google.android.material.i.f
        public void b(@NonNull Typeface typeface, boolean z) {
            Chip chip = Chip.this;
            chip.setText(chip.S0.H3() ? Chip.this.S0.O1() : Chip.this.getText());
            Chip.this.requestLayout();
            Chip.this.invalidate();
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends ViewOutlineProvider {
        b() {
        }

        @TargetApi(21)
        public void getOutline(View view, @NonNull Outline outline) {
            if (Chip.this.S0 != null) {
                Chip.this.S0.getOutline(outline);
            } else {
                outline.setAlpha(0.0f);
            }
        }
    }

    /* access modifiers changed from: private */
    public class c extends androidx.customview.a.a {
        c(Chip chip) {
            super(chip);
        }

        /* access modifiers changed from: protected */
        @Override // androidx.customview.a.a
        public boolean A(int i, int i2, Bundle bundle) {
            if (i2 != 16) {
                return false;
            }
            if (i == 0) {
                return Chip.this.performClick();
            }
            if (i == 1) {
                return Chip.this.y();
            }
            return false;
        }

        /* access modifiers changed from: protected */
        @Override // androidx.customview.a.a
        public void D(@NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            accessibilityNodeInfoCompat.setCheckable(Chip.this.r());
            accessibilityNodeInfoCompat.setClickable(Chip.this.isClickable());
            if (Chip.this.r() || Chip.this.isClickable()) {
                accessibilityNodeInfoCompat.setClassName(Chip.this.r() ? Chip.Q0 : Chip.P0);
            } else {
                accessibilityNodeInfoCompat.setClassName(Chip.R0);
            }
            CharSequence text = Chip.this.getText();
            if (Build.VERSION.SDK_INT >= 23) {
                accessibilityNodeInfoCompat.setText(text);
            } else {
                accessibilityNodeInfoCompat.setContentDescription(text);
            }
        }

        /* access modifiers changed from: protected */
        @Override // androidx.customview.a.a
        public void E(int i, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            CharSequence charSequence = "";
            if (i == 1) {
                CharSequence closeIconContentDescription = Chip.this.getCloseIconContentDescription();
                if (closeIconContentDescription != null) {
                    accessibilityNodeInfoCompat.setContentDescription(closeIconContentDescription);
                } else {
                    CharSequence text = Chip.this.getText();
                    Context context = Chip.this.getContext();
                    int i2 = R.string.mtrl_chip_close_icon_content_description;
                    Object[] objArr = new Object[1];
                    if (!TextUtils.isEmpty(text)) {
                        charSequence = text;
                    }
                    objArr[0] = charSequence;
                    accessibilityNodeInfoCompat.setContentDescription(context.getString(i2, objArr).trim());
                }
                accessibilityNodeInfoCompat.setBoundsInParent(Chip.this.getCloseIconTouchBoundsInt());
                accessibilityNodeInfoCompat.addAction(AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_CLICK);
                accessibilityNodeInfoCompat.setEnabled(Chip.this.isEnabled());
                return;
            }
            accessibilityNodeInfoCompat.setContentDescription(charSequence);
            accessibilityNodeInfoCompat.setBoundsInParent(Chip.K0);
        }

        /* access modifiers changed from: protected */
        @Override // androidx.customview.a.a
        public void F(int i, boolean z) {
            if (i == 1) {
                Chip.this.a1 = z;
                Chip.this.refreshDrawableState();
            }
        }

        /* access modifiers changed from: protected */
        @Override // androidx.customview.a.a
        public int p(float f, float f2) {
            return (!Chip.this.n() || !Chip.this.getCloseIconTouchBounds().contains(f, f2)) ? 0 : 1;
        }

        /* access modifiers changed from: protected */
        @Override // androidx.customview.a.a
        public void q(@NonNull List<Integer> list) {
            list.add(0);
            if (Chip.this.n() && Chip.this.x() && Chip.this.V0 != null) {
                list.add(1);
            }
        }
    }

    public Chip(Context context) {
        this(context, null);
    }

    private void B(@Nullable a aVar) {
        if (aVar != null) {
            aVar.j3(null);
        }
    }

    private void C() {
        if (!n() || !x() || this.V0 == null) {
            ViewCompat.setAccessibilityDelegate(this, null);
        } else {
            ViewCompat.setAccessibilityDelegate(this, this.e1);
        }
    }

    private void D() {
        if (com.google.android.material.j.b.f11787a) {
            E();
            return;
        }
        this.S0.G3(true);
        ViewCompat.setBackground(this, getBackgroundDrawable());
        F();
        l();
    }

    private void E() {
        this.U0 = new RippleDrawable(com.google.android.material.j.b.d(this.S0.M1()), getBackgroundDrawable(), null);
        this.S0.G3(false);
        ViewCompat.setBackground(this, this.U0);
        F();
    }

    private void F() {
        a aVar;
        if (!TextUtils.isEmpty(getText()) && (aVar = this.S0) != null) {
            int o1 = (int) (aVar.o1() + this.S0.Q1() + this.S0.U0());
            int t1 = (int) (this.S0.t1() + this.S0.R1() + this.S0.Q0());
            if (this.T0 != null) {
                Rect rect = new Rect();
                this.T0.getPadding(rect);
                t1 += rect.left;
                o1 += rect.right;
            }
            ViewCompat.setPaddingRelative(this, t1, getPaddingTop(), o1, getPaddingBottom());
        }
    }

    private void G() {
        TextPaint paint = getPaint();
        a aVar = this.S0;
        if (aVar != null) {
            paint.drawableState = aVar.getState();
        }
        d textAppearance = getTextAppearance();
        if (textAppearance != null) {
            textAppearance.j(getContext(), paint, this.h1);
        }
    }

    private void H(@Nullable AttributeSet attributeSet) {
        if (attributeSet != null) {
            if (attributeSet.getAttributeValue(N0, "background") != null) {
                Log.w(f11504a, "Do not set the background; Chip manages its own background drawable.");
            }
            if (attributeSet.getAttributeValue(N0, "drawableLeft") != null) {
                throw new UnsupportedOperationException("Please set left drawable using R.attr#chipIcon.");
            } else if (attributeSet.getAttributeValue(N0, "drawableStart") != null) {
                throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
            } else if (attributeSet.getAttributeValue(N0, "drawableEnd") != null) {
                throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
            } else if (attributeSet.getAttributeValue(N0, "drawableRight") != null) {
                throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
            } else if (!attributeSet.getAttributeBooleanValue(N0, "singleLine", true) || attributeSet.getAttributeIntValue(N0, "lines", 1) != 1 || attributeSet.getAttributeIntValue(N0, "minLines", 1) != 1 || attributeSet.getAttributeIntValue(N0, "maxLines", 1) != 1) {
                throw new UnsupportedOperationException("Chip does not support multi-line text");
            } else if (attributeSet.getAttributeIntValue(N0, "gravity", 8388627) != 8388627) {
                Log.w(f11504a, "Chip text must be vertically center and start aligned");
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @NonNull
    private RectF getCloseIconTouchBounds() {
        this.g1.setEmpty();
        if (n() && this.V0 != null) {
            this.S0.E1(this.g1);
        }
        return this.g1;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @NonNull
    private Rect getCloseIconTouchBoundsInt() {
        RectF closeIconTouchBounds = getCloseIconTouchBounds();
        this.f1.set((int) closeIconTouchBounds.left, (int) closeIconTouchBounds.top, (int) closeIconTouchBounds.right, (int) closeIconTouchBounds.bottom);
        return this.f1;
    }

    @Nullable
    private d getTextAppearance() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.P1();
        }
        return null;
    }

    private void i(@NonNull a aVar) {
        aVar.j3(this);
    }

    @NonNull
    private int[] j() {
        int i = 0;
        int i2 = isEnabled() ? 1 : 0;
        if (this.a1) {
            i2++;
        }
        if (this.Z0) {
            i2++;
        }
        if (this.Y0) {
            i2++;
        }
        if (isChecked()) {
            i2++;
        }
        int[] iArr = new int[i2];
        if (isEnabled()) {
            iArr[0] = 16842910;
            i = 1;
        }
        if (this.a1) {
            iArr[i] = 16842908;
            i++;
        }
        if (this.Z0) {
            iArr[i] = 16843623;
            i++;
        }
        if (this.Y0) {
            iArr[i] = 16842919;
            i++;
        }
        if (isChecked()) {
            iArr[i] = 16842913;
        }
        return iArr;
    }

    private void l() {
        if (getBackgroundDrawable() == this.T0 && this.S0.getCallback() == null) {
            this.S0.setCallback(this.T0);
        }
    }

    @SuppressLint({"PrivateApi"})
    private boolean m(@NonNull MotionEvent motionEvent) {
        if (motionEvent.getAction() == 10) {
            try {
                Field declaredField = androidx.customview.a.a.class.getDeclaredField(com.google.android.exoplayer2.text.ttml.b.f9243e);
                declaredField.setAccessible(true);
                if (((Integer) declaredField.get(this.e1)).intValue() != Integer.MIN_VALUE) {
                    Method declaredMethod = androidx.customview.a.a.class.getDeclaredMethod("M", Integer.TYPE);
                    declaredMethod.setAccessible(true);
                    declaredMethod.invoke(this.e1, Integer.MIN_VALUE);
                    return true;
                }
            } catch (NoSuchMethodException e2) {
                Log.e(f11504a, "Unable to send Accessibility Exit event", e2);
            } catch (IllegalAccessException e3) {
                Log.e(f11504a, "Unable to send Accessibility Exit event", e3);
            } catch (InvocationTargetException e4) {
                Log.e(f11504a, "Unable to send Accessibility Exit event", e4);
            } catch (NoSuchFieldException e5) {
                Log.e(f11504a, "Unable to send Accessibility Exit event", e5);
            }
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean n() {
        a aVar = this.S0;
        return (aVar == null || aVar.x1() == null) ? false : true;
    }

    private void o(Context context, @Nullable AttributeSet attributeSet, int i) {
        TypedArray j = m.j(context, attributeSet, R.styleable.Chip, i, f11505b, new int[0]);
        this.b1 = j.getBoolean(R.styleable.Chip_ensureMinTouchTargetSize, false);
        this.d1 = (int) Math.ceil((double) j.getDimension(R.styleable.Chip_chipMinTouchTargetSize, (float) Math.ceil((double) u.e(getContext(), 48))));
        j.recycle();
    }

    private void p() {
        if (Build.VERSION.SDK_INT >= 21) {
            setOutlineProvider(new b());
        }
    }

    private void q(int i, int i2, int i3, int i4) {
        this.T0 = new InsetDrawable((Drawable) this.S0, i, i2, i3, i4);
    }

    private void setCloseIconHovered(boolean z) {
        if (this.Z0 != z) {
            this.Z0 = z;
            refreshDrawableState();
        }
    }

    private void setCloseIconPressed(boolean z) {
        if (this.Y0 != z) {
            this.Y0 = z;
            refreshDrawableState();
        }
    }

    private void z() {
        if (this.T0 != null) {
            this.T0 = null;
            setMinWidth(0);
            setMinHeight((int) getChipMinHeight());
            D();
        }
    }

    public boolean A() {
        return this.b1;
    }

    @Override // com.google.android.material.chip.a.AbstractC0256a
    public void a() {
        k(this.d1);
        requestLayout();
        if (Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    /* access modifiers changed from: protected */
    public boolean dispatchHoverEvent(@NonNull MotionEvent motionEvent) {
        return m(motionEvent) || this.e1.i(motionEvent) || super.dispatchHoverEvent(motionEvent);
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        if (!this.e1.j(keyEvent) || this.e1.o() == Integer.MIN_VALUE) {
            return super.dispatchKeyEvent(keyEvent);
        }
        return true;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.AppCompatCheckBox
    public void drawableStateChanged() {
        super.drawableStateChanged();
        a aVar = this.S0;
        if ((aVar == null || !aVar.b2()) ? false : this.S0.e3(j())) {
            invalidate();
        }
    }

    @Nullable
    public Drawable getBackgroundDrawable() {
        InsetDrawable insetDrawable = this.T0;
        return insetDrawable == null ? this.S0 : insetDrawable;
    }

    @Nullable
    public Drawable getCheckedIcon() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.k1();
        }
        return null;
    }

    @Nullable
    public ColorStateList getCheckedIconTint() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.l1();
        }
        return null;
    }

    @Nullable
    public ColorStateList getChipBackgroundColor() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.m1();
        }
        return null;
    }

    public float getChipCornerRadius() {
        a aVar = this.S0;
        if (aVar != null) {
            return Math.max(0.0f, aVar.n1());
        }
        return 0.0f;
    }

    public Drawable getChipDrawable() {
        return this.S0;
    }

    public float getChipEndPadding() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.o1();
        }
        return 0.0f;
    }

    @Nullable
    public Drawable getChipIcon() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.p1();
        }
        return null;
    }

    public float getChipIconSize() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.q1();
        }
        return 0.0f;
    }

    @Nullable
    public ColorStateList getChipIconTint() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.r1();
        }
        return null;
    }

    public float getChipMinHeight() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.s1();
        }
        return 0.0f;
    }

    public float getChipStartPadding() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.t1();
        }
        return 0.0f;
    }

    @Nullable
    public ColorStateList getChipStrokeColor() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.u1();
        }
        return null;
    }

    public float getChipStrokeWidth() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.v1();
        }
        return 0.0f;
    }

    @Deprecated
    public CharSequence getChipText() {
        return getText();
    }

    @Nullable
    public Drawable getCloseIcon() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.x1();
        }
        return null;
    }

    @Nullable
    public CharSequence getCloseIconContentDescription() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.y1();
        }
        return null;
    }

    public float getCloseIconEndPadding() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.z1();
        }
        return 0.0f;
    }

    public float getCloseIconSize() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.A1();
        }
        return 0.0f;
    }

    public float getCloseIconStartPadding() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.B1();
        }
        return 0.0f;
    }

    @Nullable
    public ColorStateList getCloseIconTint() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.D1();
        }
        return null;
    }

    @Nullable
    public TextUtils.TruncateAt getEllipsize() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.H1();
        }
        return null;
    }

    public void getFocusedRect(@NonNull Rect rect) {
        if (this.e1.o() == 1 || this.e1.k() == 1) {
            rect.set(getCloseIconTouchBoundsInt());
        } else {
            super.getFocusedRect(rect);
        }
    }

    @Nullable
    public h getHideMotionSpec() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.I1();
        }
        return null;
    }

    public float getIconEndPadding() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.J1();
        }
        return 0.0f;
    }

    public float getIconStartPadding() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.K1();
        }
        return 0.0f;
    }

    @Nullable
    public ColorStateList getRippleColor() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.M1();
        }
        return null;
    }

    @Override // com.google.android.material.shape.q
    @NonNull
    public com.google.android.material.shape.m getShapeAppearanceModel() {
        return this.S0.getShapeAppearanceModel();
    }

    @Nullable
    public h getShowMotionSpec() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.N1();
        }
        return null;
    }

    public float getTextEndPadding() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.Q1();
        }
        return 0.0f;
    }

    public float getTextStartPadding() {
        a aVar = this.S0;
        if (aVar != null) {
            return aVar.R1();
        }
        return 0.0f;
    }

    public boolean k(@Dimension int i) {
        this.d1 = i;
        int i2 = 0;
        if (!A()) {
            if (this.T0 != null) {
                z();
            } else {
                D();
            }
            return false;
        }
        int max = Math.max(0, i - this.S0.getIntrinsicHeight());
        int max2 = Math.max(0, i - this.S0.getIntrinsicWidth());
        if (max2 > 0 || max > 0) {
            int i3 = max2 > 0 ? max2 / 2 : 0;
            if (max > 0) {
                i2 = max / 2;
            }
            if (this.T0 != null) {
                Rect rect = new Rect();
                this.T0.getPadding(rect);
                if (rect.top == i2 && rect.bottom == i2 && rect.left == i3 && rect.right == i3) {
                    D();
                    return true;
                }
            }
            if (Build.VERSION.SDK_INT >= 16) {
                if (getMinHeight() != i) {
                    setMinHeight(i);
                }
                if (getMinWidth() != i) {
                    setMinWidth(i);
                }
            } else {
                setMinHeight(i);
                setMinWidth(i);
            }
            q(i3, i2, i3, i2);
            D();
            return true;
        }
        if (this.T0 != null) {
            z();
        } else {
            D();
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        i.f(this, this.S0);
    }

    /* access modifiers changed from: protected */
    public int[] onCreateDrawableState(int i) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i + 2);
        if (isChecked()) {
            CheckBox.mergeDrawableStates(onCreateDrawableState, L0);
        }
        if (r()) {
            CheckBox.mergeDrawableStates(onCreateDrawableState, M0);
        }
        return onCreateDrawableState;
    }

    /* access modifiers changed from: protected */
    public void onFocusChanged(boolean z, int i, Rect rect) {
        super.onFocusChanged(z, i, rect);
        this.e1.z(z, i, rect);
    }

    public boolean onHoverEvent(@NonNull MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 7) {
            setCloseIconHovered(getCloseIconTouchBounds().contains(motionEvent.getX(), motionEvent.getY()));
        } else if (actionMasked == 10) {
            setCloseIconHovered(false);
        }
        return super.onHoverEvent(motionEvent);
    }

    public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        if (r() || isClickable()) {
            accessibilityNodeInfo.setClassName(r() ? Q0 : P0);
        } else {
            accessibilityNodeInfo.setClassName(R0);
        }
        accessibilityNodeInfo.setCheckable(r());
        accessibilityNodeInfo.setClickable(isClickable());
        if (getParent() instanceof ChipGroup) {
            ChipGroup chipGroup = (ChipGroup) getParent();
            AccessibilityNodeInfoCompat.wrap(accessibilityNodeInfo).setCollectionItemInfo(AccessibilityNodeInfoCompat.CollectionItemInfoCompat.obtain(chipGroup.b(this), 1, chipGroup.c() ? chipGroup.o(this) : -1, 1, false, isChecked()));
        }
    }

    @Nullable
    @TargetApi(24)
    public PointerIcon onResolvePointerIcon(@NonNull MotionEvent motionEvent, int i) {
        if (!getCloseIconTouchBounds().contains(motionEvent.getX(), motionEvent.getY()) || !isEnabled()) {
            return null;
        }
        return PointerIcon.getSystemIcon(getContext(), 1002);
    }

    @TargetApi(17)
    public void onRtlPropertiesChanged(int i) {
        super.onRtlPropertiesChanged(i);
        if (this.c1 != i) {
            this.c1 = i;
            F();
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:6:0x001e, code lost:
        if (r0 != 3) goto L_0x0040;
     */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0043  */
    @SuppressLint({"ClickableViewAccessibility"})
    public boolean onTouchEvent(@NonNull MotionEvent motionEvent) {
        boolean z;
        int actionMasked = motionEvent.getActionMasked();
        boolean contains = getCloseIconTouchBounds().contains(motionEvent.getX(), motionEvent.getY());
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked == 2) {
                    if (this.Y0) {
                        if (!contains) {
                            setCloseIconPressed(false);
                        }
                    }
                }
                z = false;
                if (!z || super.onTouchEvent(motionEvent)) {
                    return true;
                }
                return false;
            } else if (this.Y0) {
                y();
                z = true;
                setCloseIconPressed(false);
                if (!z) {
                }
                return true;
            }
            z = false;
            setCloseIconPressed(false);
            if (!z) {
            }
            return true;
        }
        if (contains) {
            setCloseIconPressed(true);
        }
        z = false;
        if (!z) {
        }
        return true;
        z = true;
        if (!z) {
        }
        return true;
    }

    public boolean r() {
        a aVar = this.S0;
        return aVar != null && aVar.V1();
    }

    @Deprecated
    public boolean s() {
        return t();
    }

    public void setBackground(Drawable drawable) {
        if (drawable == getBackgroundDrawable() || drawable == this.U0) {
            super.setBackground(drawable);
        } else {
            Log.w(f11504a, "Do not set the background; Chip manages its own background drawable.");
        }
    }

    public void setBackgroundColor(int i) {
        Log.w(f11504a, "Do not set the background color; Chip manages its own background drawable.");
    }

    @Override // androidx.appcompat.widget.AppCompatCheckBox
    public void setBackgroundDrawable(Drawable drawable) {
        if (drawable == getBackgroundDrawable() || drawable == this.U0) {
            super.setBackgroundDrawable(drawable);
        } else {
            Log.w(f11504a, "Do not set the background drawable; Chip manages its own background drawable.");
        }
    }

    @Override // androidx.appcompat.widget.AppCompatCheckBox
    public void setBackgroundResource(int i) {
        Log.w(f11504a, "Do not set the background resource; Chip manages its own background drawable.");
    }

    public void setBackgroundTintList(@Nullable ColorStateList colorStateList) {
        Log.w(f11504a, "Do not set the background tint list; Chip manages its own background drawable.");
    }

    public void setBackgroundTintMode(@Nullable PorterDuff.Mode mode) {
        Log.w(f11504a, "Do not set the background tint mode; Chip manages its own background drawable.");
    }

    public void setCheckable(boolean z) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.k2(z);
        }
    }

    public void setCheckableResource(@BoolRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.l2(i);
        }
    }

    public void setChecked(boolean z) {
        CompoundButton.OnCheckedChangeListener onCheckedChangeListener;
        a aVar = this.S0;
        if (aVar == null) {
            this.X0 = z;
        } else if (aVar.V1()) {
            boolean isChecked = isChecked();
            super.setChecked(z);
            if (isChecked != z && (onCheckedChangeListener = this.W0) != null) {
                onCheckedChangeListener.onCheckedChanged(this, z);
            }
        }
    }

    public void setCheckedIcon(@Nullable Drawable drawable) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.m2(drawable);
        }
    }

    @Deprecated
    public void setCheckedIconEnabled(boolean z) {
        setCheckedIconVisible(z);
    }

    @Deprecated
    public void setCheckedIconEnabledResource(@BoolRes int i) {
        setCheckedIconVisible(i);
    }

    public void setCheckedIconResource(@DrawableRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.p2(i);
        }
    }

    public void setCheckedIconTint(@Nullable ColorStateList colorStateList) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.q2(colorStateList);
        }
    }

    public void setCheckedIconTintResource(@ColorRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.r2(i);
        }
    }

    public void setCheckedIconVisible(@BoolRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.s2(i);
        }
    }

    public void setChipBackgroundColor(@Nullable ColorStateList colorStateList) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.u2(colorStateList);
        }
    }

    public void setChipBackgroundColorResource(@ColorRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.v2(i);
        }
    }

    @Deprecated
    public void setChipCornerRadius(float f) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.w2(f);
        }
    }

    @Deprecated
    public void setChipCornerRadiusResource(@DimenRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.x2(i);
        }
    }

    public void setChipDrawable(@NonNull a aVar) {
        a aVar2 = this.S0;
        if (aVar2 != aVar) {
            B(aVar2);
            this.S0 = aVar;
            aVar.u3(false);
            i(this.S0);
            k(this.d1);
        }
    }

    public void setChipEndPadding(float f) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.y2(f);
        }
    }

    public void setChipEndPaddingResource(@DimenRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.z2(i);
        }
    }

    public void setChipIcon(@Nullable Drawable drawable) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.A2(drawable);
        }
    }

    @Deprecated
    public void setChipIconEnabled(boolean z) {
        setChipIconVisible(z);
    }

    @Deprecated
    public void setChipIconEnabledResource(@BoolRes int i) {
        setChipIconVisible(i);
    }

    public void setChipIconResource(@DrawableRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.D2(i);
        }
    }

    public void setChipIconSize(float f) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.E2(f);
        }
    }

    public void setChipIconSizeResource(@DimenRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.F2(i);
        }
    }

    public void setChipIconTint(@Nullable ColorStateList colorStateList) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.G2(colorStateList);
        }
    }

    public void setChipIconTintResource(@ColorRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.H2(i);
        }
    }

    public void setChipIconVisible(@BoolRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.I2(i);
        }
    }

    public void setChipMinHeight(float f) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.K2(f);
        }
    }

    public void setChipMinHeightResource(@DimenRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.L2(i);
        }
    }

    public void setChipStartPadding(float f) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.M2(f);
        }
    }

    public void setChipStartPaddingResource(@DimenRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.N2(i);
        }
    }

    public void setChipStrokeColor(@Nullable ColorStateList colorStateList) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.O2(colorStateList);
        }
    }

    public void setChipStrokeColorResource(@ColorRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.P2(i);
        }
    }

    public void setChipStrokeWidth(float f) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.Q2(f);
        }
    }

    public void setChipStrokeWidthResource(@DimenRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.R2(i);
        }
    }

    @Deprecated
    public void setChipText(@Nullable CharSequence charSequence) {
        setText(charSequence);
    }

    @Deprecated
    public void setChipTextResource(@StringRes int i) {
        setText(getResources().getString(i));
    }

    public void setCloseIcon(@Nullable Drawable drawable) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.T2(drawable);
        }
        C();
    }

    public void setCloseIconContentDescription(@Nullable CharSequence charSequence) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.U2(charSequence);
        }
    }

    @Deprecated
    public void setCloseIconEnabled(boolean z) {
        setCloseIconVisible(z);
    }

    @Deprecated
    public void setCloseIconEnabledResource(@BoolRes int i) {
        setCloseIconVisible(i);
    }

    public void setCloseIconEndPadding(float f) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.X2(f);
        }
    }

    public void setCloseIconEndPaddingResource(@DimenRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.Y2(i);
        }
    }

    public void setCloseIconResource(@DrawableRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.Z2(i);
        }
        C();
    }

    public void setCloseIconSize(float f) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.a3(f);
        }
    }

    public void setCloseIconSizeResource(@DimenRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.b3(i);
        }
    }

    public void setCloseIconStartPadding(float f) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.c3(f);
        }
    }

    public void setCloseIconStartPaddingResource(@DimenRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.d3(i);
        }
    }

    public void setCloseIconTint(@Nullable ColorStateList colorStateList) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.f3(colorStateList);
        }
    }

    public void setCloseIconTintResource(@ColorRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.g3(i);
        }
    }

    public void setCloseIconVisible(@BoolRes int i) {
        setCloseIconVisible(getResources().getBoolean(i));
    }

    public void setCompoundDrawables(@Nullable Drawable drawable, @Nullable Drawable drawable2, @Nullable Drawable drawable3, @Nullable Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawables(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    public void setCompoundDrawablesRelative(@Nullable Drawable drawable, @Nullable Drawable drawable2, @Nullable Drawable drawable3, @Nullable Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawablesRelative(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesRelativeWithIntrinsicBounds(int i, int i2, int i3, int i4) {
        if (i != 0) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (i3 == 0) {
            super.setCompoundDrawablesRelativeWithIntrinsicBounds(i, i2, i3, i4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesWithIntrinsicBounds(int i, int i2, int i3, int i4) {
        if (i != 0) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (i3 == 0) {
            super.setCompoundDrawablesWithIntrinsicBounds(i, i2, i3, i4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    @RequiresApi(21)
    public void setElevation(float f) {
        super.setElevation(f);
        a aVar = this.S0;
        if (aVar != null) {
            aVar.m0(f);
        }
    }

    public void setEllipsize(TextUtils.TruncateAt truncateAt) {
        if (this.S0 != null) {
            if (truncateAt != TextUtils.TruncateAt.MARQUEE) {
                super.setEllipsize(truncateAt);
                a aVar = this.S0;
                if (aVar != null) {
                    aVar.k3(truncateAt);
                    return;
                }
                return;
            }
            throw new UnsupportedOperationException("Text within a chip are not allowed to scroll.");
        }
    }

    public void setEnsureMinTouchTargetSize(boolean z) {
        this.b1 = z;
        k(this.d1);
    }

    public void setGravity(int i) {
        if (i != 8388627) {
            Log.w(f11504a, "Chip text must be vertically center and start aligned");
        } else {
            super.setGravity(i);
        }
    }

    public void setHideMotionSpec(@Nullable h hVar) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.l3(hVar);
        }
    }

    public void setHideMotionSpecResource(@AnimatorRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.m3(i);
        }
    }

    public void setIconEndPadding(float f) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.n3(f);
        }
    }

    public void setIconEndPaddingResource(@DimenRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.o3(i);
        }
    }

    public void setIconStartPadding(float f) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.p3(f);
        }
    }

    public void setIconStartPaddingResource(@DimenRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.q3(i);
        }
    }

    public void setLayoutDirection(int i) {
        if (this.S0 != null && Build.VERSION.SDK_INT >= 17) {
            super.setLayoutDirection(i);
        }
    }

    public void setLines(int i) {
        if (i <= 1) {
            super.setLines(i);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    public void setMaxLines(int i) {
        if (i <= 1) {
            super.setMaxLines(i);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    public void setMaxWidth(@Px int i) {
        super.setMaxWidth(i);
        a aVar = this.S0;
        if (aVar != null) {
            aVar.r3(i);
        }
    }

    public void setMinLines(int i) {
        if (i <= 1) {
            super.setMinLines(i);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    /* access modifiers changed from: package-private */
    public void setOnCheckedChangeListenerInternal(CompoundButton.OnCheckedChangeListener onCheckedChangeListener) {
        this.W0 = onCheckedChangeListener;
    }

    public void setOnCloseIconClickListener(View.OnClickListener onClickListener) {
        this.V0 = onClickListener;
        C();
    }

    public void setRippleColor(@Nullable ColorStateList colorStateList) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.s3(colorStateList);
        }
        if (!this.S0.T1()) {
            E();
        }
    }

    public void setRippleColorResource(@ColorRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.t3(i);
            if (!this.S0.T1()) {
                E();
            }
        }
    }

    @Override // com.google.android.material.shape.q
    public void setShapeAppearanceModel(@NonNull com.google.android.material.shape.m mVar) {
        this.S0.setShapeAppearanceModel(mVar);
    }

    public void setShowMotionSpec(@Nullable h hVar) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.v3(hVar);
        }
    }

    public void setShowMotionSpecResource(@AnimatorRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.w3(i);
        }
    }

    public void setSingleLine(boolean z) {
        if (z) {
            super.setSingleLine(z);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    @Override // android.widget.TextView
    public void setText(CharSequence charSequence, TextView.BufferType bufferType) {
        a aVar = this.S0;
        if (aVar != null) {
            if (charSequence == null) {
                charSequence = "";
            }
            super.setText(aVar.H3() ? null : charSequence, bufferType);
            a aVar2 = this.S0;
            if (aVar2 != null) {
                aVar2.x3(charSequence);
            }
        }
    }

    public void setTextAppearance(@Nullable d dVar) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.y3(dVar);
        }
        G();
    }

    public void setTextAppearanceResource(@StyleRes int i) {
        setTextAppearance(getContext(), i);
    }

    public void setTextEndPadding(float f) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.A3(f);
        }
    }

    public void setTextEndPaddingResource(@DimenRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.B3(i);
        }
    }

    public void setTextStartPadding(float f) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.E3(f);
        }
    }

    public void setTextStartPaddingResource(@DimenRes int i) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.F3(i);
        }
    }

    public boolean t() {
        a aVar = this.S0;
        return aVar != null && aVar.X1();
    }

    @Deprecated
    public boolean u() {
        return v();
    }

    public boolean v() {
        a aVar = this.S0;
        return aVar != null && aVar.Z1();
    }

    @Deprecated
    public boolean w() {
        return x();
    }

    public boolean x() {
        a aVar = this.S0;
        return aVar != null && aVar.c2();
    }

    @CallSuper
    public boolean y() {
        boolean z = false;
        playSoundEffect(0);
        View.OnClickListener onClickListener = this.V0;
        if (onClickListener != null) {
            onClickListener.onClick(this);
            z = true;
        }
        this.e1.L(1, 1);
        return z;
    }

    public Chip(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.chipStyle);
    }

    public void setCloseIconVisible(boolean z) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.i3(z);
        }
        C();
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public Chip(Context context, AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i, r4), attributeSet, i);
        int i2 = f11505b;
        this.f1 = new Rect();
        this.g1 = new RectF();
        this.h1 = new a();
        Context context2 = getContext();
        H(attributeSet);
        a Z02 = a.Z0(context2, attributeSet, i, i2);
        o(context2, attributeSet, i);
        setChipDrawable(Z02);
        Z02.m0(ViewCompat.getElevation(this));
        TypedArray j = m.j(context2, attributeSet, R.styleable.Chip, i, i2, new int[0]);
        if (Build.VERSION.SDK_INT < 23) {
            setTextColor(com.google.android.material.i.c.a(context2, j, R.styleable.Chip_android_textColor));
        }
        boolean hasValue = j.hasValue(R.styleable.Chip_shapeAppearance);
        j.recycle();
        this.e1 = new c(this);
        C();
        if (!hasValue) {
            p();
        }
        setChecked(this.X0);
        setText(Z02.O1());
        setEllipsize(Z02.H1());
        G();
        if (!this.S0.H3()) {
            setLines(1);
            setHorizontallyScrolling(true);
        }
        setGravity(8388627);
        F();
        if (A()) {
            setMinHeight(this.d1);
        }
        this.c1 = ViewCompat.getLayoutDirection(this);
    }

    public void setCheckedIconVisible(boolean z) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.t2(z);
        }
    }

    public void setChipIconVisible(boolean z) {
        a aVar = this.S0;
        if (aVar != null) {
            aVar.J2(z);
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesRelativeWithIntrinsicBounds(@Nullable Drawable drawable, @Nullable Drawable drawable2, @Nullable Drawable drawable3, @Nullable Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawablesRelativeWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesWithIntrinsicBounds(@Nullable Drawable drawable, @Nullable Drawable drawable2, @Nullable Drawable drawable3, @Nullable Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set left drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawablesWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set right drawable using R.attr#closeIcon.");
        }
    }

    public void setTextAppearance(Context context, int i) {
        super.setTextAppearance(context, i);
        a aVar = this.S0;
        if (aVar != null) {
            aVar.z3(i);
        }
        G();
    }

    public void setTextAppearance(int i) {
        super.setTextAppearance(i);
        a aVar = this.S0;
        if (aVar != null) {
            aVar.z3(i);
        }
        G();
    }
}
