package com.google.android.material.circularreveal;

import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.Shader;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.view.View;
import androidx.annotation.ColorInt;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.view.ViewCompat;
import com.google.android.material.circularreveal.b;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public class CircularRevealHelper {

    /* renamed from: a  reason: collision with root package name */
    private static final boolean f11513a = false;

    /* renamed from: b  reason: collision with root package name */
    public static final int f11514b = 0;

    /* renamed from: c  reason: collision with root package name */
    public static final int f11515c = 1;

    /* renamed from: d  reason: collision with root package name */
    public static final int f11516d = 2;

    /* renamed from: e  reason: collision with root package name */
    public static final int f11517e;
    private final a f;
    @NonNull
    private final View g;
    @NonNull
    private final Path h = new Path();
    @NonNull
    private final Paint i = new Paint(7);
    @NonNull
    private final Paint j;
    @Nullable
    private b.e k;
    @Nullable
    private Drawable l;
    private Paint m;
    private boolean n;
    private boolean o;

    @Retention(RetentionPolicy.SOURCE)
    public @interface Strategy {
    }

    public interface a {
        void c(Canvas canvas);

        boolean d();
    }

    static {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 21) {
            f11517e = 2;
        } else if (i2 >= 18) {
            f11517e = 1;
        } else {
            f11517e = 0;
        }
    }

    public CircularRevealHelper(a aVar) {
        this.f = aVar;
        View view = (View) aVar;
        this.g = view;
        view.setWillNotDraw(false);
        Paint paint = new Paint(1);
        this.j = paint;
        paint.setColor(0);
    }

    private void d(@NonNull Canvas canvas, int i2, float f2) {
        this.m.setColor(i2);
        this.m.setStrokeWidth(f2);
        b.e eVar = this.k;
        canvas.drawCircle(eVar.f11526b, eVar.f11527c, eVar.f11528d - (f2 / 2.0f), this.m);
    }

    private void e(@NonNull Canvas canvas) {
        this.f.c(canvas);
        if (r()) {
            b.e eVar = this.k;
            canvas.drawCircle(eVar.f11526b, eVar.f11527c, eVar.f11528d, this.j);
        }
        if (p()) {
            d(canvas, ViewCompat.MEASURED_STATE_MASK, 10.0f);
            d(canvas, androidx.core.d.b.a.f2500c, 5.0f);
        }
        f(canvas);
    }

    private void f(@NonNull Canvas canvas) {
        if (q()) {
            Rect bounds = this.l.getBounds();
            float width = this.k.f11526b - (((float) bounds.width()) / 2.0f);
            float height = this.k.f11527c - (((float) bounds.height()) / 2.0f);
            canvas.translate(width, height);
            this.l.draw(canvas);
            canvas.translate(-width, -height);
        }
    }

    private float i(@NonNull b.e eVar) {
        return com.google.android.material.h.a.b(eVar.f11526b, eVar.f11527c, 0.0f, 0.0f, (float) this.g.getWidth(), (float) this.g.getHeight());
    }

    private void k() {
        if (f11517e == 1) {
            this.h.rewind();
            b.e eVar = this.k;
            if (eVar != null) {
                this.h.addCircle(eVar.f11526b, eVar.f11527c, eVar.f11528d, Path.Direction.CW);
            }
        }
        this.g.invalidate();
    }

    private boolean p() {
        b.e eVar = this.k;
        boolean z = eVar == null || eVar.a();
        if (f11517e != 0) {
            return !z;
        }
        if (z || !this.o) {
            return false;
        }
        return true;
    }

    private boolean q() {
        return (this.n || this.l == null || this.k == null) ? false : true;
    }

    private boolean r() {
        return !this.n && Color.alpha(this.j.getColor()) != 0;
    }

    public void a() {
        if (f11517e == 0) {
            this.n = true;
            this.o = false;
            this.g.buildDrawingCache();
            Bitmap drawingCache = this.g.getDrawingCache();
            if (!(drawingCache != null || this.g.getWidth() == 0 || this.g.getHeight() == 0)) {
                drawingCache = Bitmap.createBitmap(this.g.getWidth(), this.g.getHeight(), Bitmap.Config.ARGB_8888);
                this.g.draw(new Canvas(drawingCache));
            }
            if (drawingCache != null) {
                Paint paint = this.i;
                Shader.TileMode tileMode = Shader.TileMode.CLAMP;
                paint.setShader(new BitmapShader(drawingCache, tileMode, tileMode));
            }
            this.n = false;
            this.o = true;
        }
    }

    public void b() {
        if (f11517e == 0) {
            this.o = false;
            this.g.destroyDrawingCache();
            this.i.setShader(null);
            this.g.invalidate();
        }
    }

    public void c(@NonNull Canvas canvas) {
        if (p()) {
            int i2 = f11517e;
            if (i2 == 0) {
                b.e eVar = this.k;
                canvas.drawCircle(eVar.f11526b, eVar.f11527c, eVar.f11528d, this.i);
                if (r()) {
                    b.e eVar2 = this.k;
                    canvas.drawCircle(eVar2.f11526b, eVar2.f11527c, eVar2.f11528d, this.j);
                }
            } else if (i2 == 1) {
                int save = canvas.save();
                canvas.clipPath(this.h);
                this.f.c(canvas);
                if (r()) {
                    canvas.drawRect(0.0f, 0.0f, (float) this.g.getWidth(), (float) this.g.getHeight(), this.j);
                }
                canvas.restoreToCount(save);
            } else if (i2 == 2) {
                this.f.c(canvas);
                if (r()) {
                    canvas.drawRect(0.0f, 0.0f, (float) this.g.getWidth(), (float) this.g.getHeight(), this.j);
                }
            } else {
                throw new IllegalStateException("Unsupported strategy " + i2);
            }
        } else {
            this.f.c(canvas);
            if (r()) {
                canvas.drawRect(0.0f, 0.0f, (float) this.g.getWidth(), (float) this.g.getHeight(), this.j);
            }
        }
        f(canvas);
    }

    @Nullable
    public Drawable g() {
        return this.l;
    }

    @ColorInt
    public int h() {
        return this.j.getColor();
    }

    @Nullable
    public b.e j() {
        b.e eVar = this.k;
        if (eVar == null) {
            return null;
        }
        b.e eVar2 = new b.e(eVar);
        if (eVar2.a()) {
            eVar2.f11528d = i(eVar2);
        }
        return eVar2;
    }

    public boolean l() {
        return this.f.d() && !p();
    }

    public void m(@Nullable Drawable drawable) {
        this.l = drawable;
        this.g.invalidate();
    }

    public void n(@ColorInt int i2) {
        this.j.setColor(i2);
        this.g.invalidate();
    }

    public void o(@Nullable b.e eVar) {
        if (eVar == null) {
            this.k = null;
        } else {
            b.e eVar2 = this.k;
            if (eVar2 == null) {
                this.k = new b.e(eVar);
            } else {
                eVar2.c(eVar);
            }
            if (com.google.android.material.h.a.e(eVar.f11528d, i(eVar), 1.0E-4f)) {
                this.k.f11528d = Float.MAX_VALUE;
            }
        }
        k();
    }
}
