package com.google.android.material.d;

import android.content.Context;
import android.content.DialogInterface;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.database.Cursor;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.TypedValue;
import android.view.View;
import android.view.Window;
import android.widget.AdapterView;
import android.widget.ListAdapter;
import androidx.annotation.ArrayRes;
import androidx.annotation.AttrRes;
import androidx.annotation.Dimension;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.appcompat.app.c;
import androidx.appcompat.c.d;
import androidx.core.view.ViewCompat;
import com.google.android.material.R;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.theme.a.a;

/* compiled from: MaterialAlertDialogBuilder */
public class b extends c.a {
    @AttrRes

    /* renamed from: c  reason: collision with root package name */
    private static final int f11531c = R.attr.alertDialogStyle;
    @StyleRes

    /* renamed from: d  reason: collision with root package name */
    private static final int f11532d = R.style.MaterialAlertDialog_MaterialComponents;
    @AttrRes

    /* renamed from: e  reason: collision with root package name */
    private static final int f11533e = R.attr.materialAlertDialogTheme;
    @Nullable
    private Drawable f;
    @NonNull
    @Dimension
    private final Rect g;

    public b(@NonNull Context context) {
        this(context, 0);
    }

    private static Context P(@NonNull Context context) {
        int R = R(context);
        Context c2 = a.c(context, null, f11531c, f11532d);
        if (R == 0) {
            return c2;
        }
        return new d(c2, R);
    }

    private static int R(@NonNull Context context) {
        TypedValue a2 = com.google.android.material.i.b.a(context, f11533e);
        if (a2 == null) {
            return 0;
        }
        return a2.data;
    }

    private static int S(@NonNull Context context, int i) {
        return i == 0 ? R(context) : i;
    }

    @NonNull
    /* renamed from: A0 */
    public b G(@Nullable Cursor cursor, int i, @NonNull String str, @Nullable DialogInterface.OnClickListener onClickListener) {
        return (b) super.G(cursor, i, str, onClickListener);
    }

    @NonNull
    /* renamed from: B0 */
    public b H(@Nullable ListAdapter listAdapter, int i, @Nullable DialogInterface.OnClickListener onClickListener) {
        return (b) super.H(listAdapter, i, onClickListener);
    }

    @NonNull
    /* renamed from: C0 */
    public b I(@Nullable CharSequence[] charSequenceArr, int i, @Nullable DialogInterface.OnClickListener onClickListener) {
        return (b) super.I(charSequenceArr, i, onClickListener);
    }

    @NonNull
    /* renamed from: D0 */
    public b J(@StringRes int i) {
        return (b) super.J(i);
    }

    @NonNull
    /* renamed from: E0 */
    public b K(@Nullable CharSequence charSequence) {
        return (b) super.K(charSequence);
    }

    @NonNull
    /* renamed from: F0 */
    public b L(int i) {
        return (b) super.L(i);
    }

    @NonNull
    /* renamed from: G0 */
    public b M(@Nullable View view) {
        return (b) super.M(view);
    }

    @Nullable
    public Drawable Q() {
        return this.f;
    }

    @NonNull
    /* renamed from: T */
    public b c(@Nullable ListAdapter listAdapter, @Nullable DialogInterface.OnClickListener onClickListener) {
        return (b) super.c(listAdapter, onClickListener);
    }

    @NonNull
    public b U(@Nullable Drawable drawable) {
        this.f = drawable;
        return this;
    }

    @NonNull
    public b V(@Px int i) {
        this.g.bottom = i;
        return this;
    }

    @NonNull
    public b W(@Px int i) {
        if (Build.VERSION.SDK_INT < 17 || b().getResources().getConfiguration().getLayoutDirection() != 1) {
            this.g.right = i;
        } else {
            this.g.left = i;
        }
        return this;
    }

    @NonNull
    public b X(@Px int i) {
        if (Build.VERSION.SDK_INT < 17 || b().getResources().getConfiguration().getLayoutDirection() != 1) {
            this.g.left = i;
        } else {
            this.g.right = i;
        }
        return this;
    }

    @NonNull
    public b Y(@Px int i) {
        this.g.top = i;
        return this;
    }

    @NonNull
    /* renamed from: Z */
    public b d(boolean z) {
        return (b) super.d(z);
    }

    @Override // androidx.appcompat.app.c.a
    @NonNull
    public c a() {
        c a2 = super.a();
        Window window = a2.getWindow();
        View decorView = window.getDecorView();
        Drawable drawable = this.f;
        if (drawable instanceof MaterialShapeDrawable) {
            ((MaterialShapeDrawable) drawable).m0(ViewCompat.getElevation(decorView));
        }
        window.setBackgroundDrawable(c.b(this.f, this.g));
        decorView.setOnTouchListener(new a(a2, this.g));
        return a2;
    }

    @NonNull
    /* renamed from: a0 */
    public b e(@Nullable Cursor cursor, @Nullable DialogInterface.OnClickListener onClickListener, @NonNull String str) {
        return (b) super.e(cursor, onClickListener, str);
    }

    @NonNull
    /* renamed from: b0 */
    public b f(@Nullable View view) {
        return (b) super.f(view);
    }

    @NonNull
    /* renamed from: c0 */
    public b g(@DrawableRes int i) {
        return (b) super.g(i);
    }

    @NonNull
    /* renamed from: d0 */
    public b h(@Nullable Drawable drawable) {
        return (b) super.h(drawable);
    }

    @NonNull
    /* renamed from: e0 */
    public b i(@AttrRes int i) {
        return (b) super.i(i);
    }

    @NonNull
    /* renamed from: f0 */
    public b k(@ArrayRes int i, @Nullable DialogInterface.OnClickListener onClickListener) {
        return (b) super.k(i, onClickListener);
    }

    @NonNull
    /* renamed from: g0 */
    public b l(@Nullable CharSequence[] charSequenceArr, @Nullable DialogInterface.OnClickListener onClickListener) {
        return (b) super.l(charSequenceArr, onClickListener);
    }

    @NonNull
    /* renamed from: h0 */
    public b m(@StringRes int i) {
        return (b) super.m(i);
    }

    @NonNull
    /* renamed from: i0 */
    public b n(@Nullable CharSequence charSequence) {
        return (b) super.n(charSequence);
    }

    @NonNull
    /* renamed from: j0 */
    public b o(@ArrayRes int i, @Nullable boolean[] zArr, @Nullable DialogInterface.OnMultiChoiceClickListener onMultiChoiceClickListener) {
        return (b) super.o(i, zArr, onMultiChoiceClickListener);
    }

    @NonNull
    /* renamed from: k0 */
    public b p(@Nullable Cursor cursor, @NonNull String str, @NonNull String str2, @Nullable DialogInterface.OnMultiChoiceClickListener onMultiChoiceClickListener) {
        return (b) super.p(cursor, str, str2, onMultiChoiceClickListener);
    }

    @NonNull
    /* renamed from: l0 */
    public b q(@Nullable CharSequence[] charSequenceArr, @Nullable boolean[] zArr, @Nullable DialogInterface.OnMultiChoiceClickListener onMultiChoiceClickListener) {
        return (b) super.q(charSequenceArr, zArr, onMultiChoiceClickListener);
    }

    @NonNull
    /* renamed from: m0 */
    public b r(@StringRes int i, @Nullable DialogInterface.OnClickListener onClickListener) {
        return (b) super.r(i, onClickListener);
    }

    @NonNull
    /* renamed from: n0 */
    public b s(@Nullable CharSequence charSequence, @Nullable DialogInterface.OnClickListener onClickListener) {
        return (b) super.s(charSequence, onClickListener);
    }

    @NonNull
    /* renamed from: o0 */
    public b t(@Nullable Drawable drawable) {
        return (b) super.t(drawable);
    }

    @NonNull
    /* renamed from: p0 */
    public b u(@StringRes int i, @Nullable DialogInterface.OnClickListener onClickListener) {
        return (b) super.u(i, onClickListener);
    }

    @NonNull
    /* renamed from: q0 */
    public b v(@Nullable CharSequence charSequence, @Nullable DialogInterface.OnClickListener onClickListener) {
        return (b) super.v(charSequence, onClickListener);
    }

    @NonNull
    /* renamed from: r0 */
    public b w(@Nullable Drawable drawable) {
        return (b) super.w(drawable);
    }

    @NonNull
    /* renamed from: s0 */
    public b x(@Nullable DialogInterface.OnCancelListener onCancelListener) {
        return (b) super.x(onCancelListener);
    }

    @NonNull
    /* renamed from: t0 */
    public b y(@Nullable DialogInterface.OnDismissListener onDismissListener) {
        return (b) super.y(onDismissListener);
    }

    @NonNull
    /* renamed from: u0 */
    public b z(@Nullable AdapterView.OnItemSelectedListener onItemSelectedListener) {
        return (b) super.z(onItemSelectedListener);
    }

    @NonNull
    /* renamed from: v0 */
    public b A(@Nullable DialogInterface.OnKeyListener onKeyListener) {
        return (b) super.A(onKeyListener);
    }

    @NonNull
    /* renamed from: w0 */
    public b B(@StringRes int i, @Nullable DialogInterface.OnClickListener onClickListener) {
        return (b) super.B(i, onClickListener);
    }

    @NonNull
    /* renamed from: x0 */
    public b C(@Nullable CharSequence charSequence, @Nullable DialogInterface.OnClickListener onClickListener) {
        return (b) super.C(charSequence, onClickListener);
    }

    @NonNull
    /* renamed from: y0 */
    public b D(@Nullable Drawable drawable) {
        return (b) super.D(drawable);
    }

    @NonNull
    /* renamed from: z0 */
    public b F(@ArrayRes int i, int i2, @Nullable DialogInterface.OnClickListener onClickListener) {
        return (b) super.F(i, i2, onClickListener);
    }

    public b(@NonNull Context context, int i) {
        super(P(context), S(context, i));
        Context b2 = b();
        Resources.Theme theme = b2.getTheme();
        int i2 = f11531c;
        int i3 = f11532d;
        this.g = c.a(b2, i2, i3);
        int c2 = com.google.android.material.c.a.c(b2, R.attr.colorSurface, getClass().getCanonicalName());
        MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable(b2, null, i2, i3);
        materialShapeDrawable.Y(b2);
        materialShapeDrawable.n0(ColorStateList.valueOf(c2));
        if (Build.VERSION.SDK_INT >= 28) {
            TypedValue typedValue = new TypedValue();
            theme.resolveAttribute(16844145, typedValue, true);
            float dimension = typedValue.getDimension(b().getResources().getDisplayMetrics());
            if (typedValue.type == 5 && dimension >= 0.0f) {
                materialShapeDrawable.j0(dimension);
            }
        }
        this.f = materialShapeDrawable;
    }
}
