package com.google.android.material.datepicker;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.util.h;
import java.util.Arrays;

public final class CalendarConstraints implements Parcelable {
    public static final Parcelable.Creator<CalendarConstraints> CREATOR = new a();
    @NonNull
    private final DateValidator I0;
    @Nullable
    private Month J0;
    private final int K0;
    private final int L0;
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    private final Month f11534a;
    @NonNull

    /* renamed from: b  reason: collision with root package name */
    private final Month f11535b;

    public interface DateValidator extends Parcelable {
        boolean T0(long j);
    }

    static class a implements Parcelable.Creator<CalendarConstraints> {
        a() {
        }

        @NonNull
        /* renamed from: a */
        public CalendarConstraints createFromParcel(@NonNull Parcel parcel) {
            return new CalendarConstraints((Month) parcel.readParcelable(Month.class.getClassLoader()), (Month) parcel.readParcelable(Month.class.getClassLoader()), (DateValidator) parcel.readParcelable(DateValidator.class.getClassLoader()), (Month) parcel.readParcelable(Month.class.getClassLoader()), null);
        }

        @NonNull
        /* renamed from: b */
        public CalendarConstraints[] newArray(int i) {
            return new CalendarConstraints[i];
        }
    }

    /* synthetic */ CalendarConstraints(Month month, Month month2, DateValidator dateValidator, Month month3, a aVar) {
        this(month, month2, dateValidator, month3);
    }

    public int describeContents() {
        return 0;
    }

    /* access modifiers changed from: package-private */
    public Month e(Month month) {
        if (month.compareTo(this.f11534a) < 0) {
            return this.f11534a;
        }
        return month.compareTo(this.f11535b) > 0 ? this.f11535b : month;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof CalendarConstraints)) {
            return false;
        }
        CalendarConstraints calendarConstraints = (CalendarConstraints) obj;
        if (!this.f11534a.equals(calendarConstraints.f11534a) || !this.f11535b.equals(calendarConstraints.f11535b) || !h.a(this.J0, calendarConstraints.J0) || !this.I0.equals(calendarConstraints.I0)) {
            return false;
        }
        return true;
    }

    public DateValidator f() {
        return this.I0;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public Month g() {
        return this.f11535b;
    }

    /* access modifiers changed from: package-private */
    public int h() {
        return this.L0;
    }

    public int hashCode() {
        return Arrays.hashCode(new Object[]{this.f11534a, this.f11535b, this.J0, this.I0});
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public Month i() {
        return this.J0;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public Month j() {
        return this.f11534a;
    }

    /* access modifiers changed from: package-private */
    public int k() {
        return this.K0;
    }

    /* access modifiers changed from: package-private */
    public boolean l(long j) {
        if (this.f11534a.j(1) <= j) {
            Month month = this.f11535b;
            if (j <= month.j(month.K0)) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public void m(@Nullable Month month) {
        this.J0 = month;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeParcelable(this.f11534a, 0);
        parcel.writeParcelable(this.f11535b, 0);
        parcel.writeParcelable(this.J0, 0);
        parcel.writeParcelable(this.I0, 0);
    }

    private CalendarConstraints(@NonNull Month month, @NonNull Month month2, @NonNull DateValidator dateValidator, @Nullable Month month3) {
        this.f11534a = month;
        this.f11535b = month2;
        this.J0 = month3;
        this.I0 = dateValidator;
        if (month3 != null && month.compareTo(month3) > 0) {
            throw new IllegalArgumentException("start Month cannot be after current Month");
        } else if (month3 == null || month3.compareTo(month2) <= 0) {
            this.L0 = month.p(month2) + 1;
            this.K0 = (month2.I0 - month.I0) + 1;
        } else {
            throw new IllegalArgumentException("current Month cannot be after end Month");
        }
    }

    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        static final long f11536a = p.a(Month.b(1900, 0).L0);

        /* renamed from: b  reason: collision with root package name */
        static final long f11537b = p.a(Month.b(2100, 11).L0);

        /* renamed from: c  reason: collision with root package name */
        private static final String f11538c = "DEEP_COPY_VALIDATOR_KEY";

        /* renamed from: d  reason: collision with root package name */
        private long f11539d = f11536a;

        /* renamed from: e  reason: collision with root package name */
        private long f11540e = f11537b;
        private Long f;
        private DateValidator g = DateValidatorPointForward.a(Long.MIN_VALUE);

        public b() {
        }

        @NonNull
        public CalendarConstraints a() {
            Month month;
            Bundle bundle = new Bundle();
            bundle.putParcelable(f11538c, this.g);
            Month g2 = Month.g(this.f11539d);
            Month g3 = Month.g(this.f11540e);
            DateValidator dateValidator = (DateValidator) bundle.getParcelable(f11538c);
            Long l = this.f;
            if (l == null) {
                month = null;
            } else {
                month = Month.g(l.longValue());
            }
            return new CalendarConstraints(g2, g3, dateValidator, month, null);
        }

        @NonNull
        public b b(long j) {
            this.f11540e = j;
            return this;
        }

        @NonNull
        public b c(long j) {
            this.f = Long.valueOf(j);
            return this;
        }

        @NonNull
        public b d(long j) {
            this.f11539d = j;
            return this;
        }

        @NonNull
        public b e(@NonNull DateValidator dateValidator) {
            this.g = dateValidator;
            return this;
        }

        b(@NonNull CalendarConstraints calendarConstraints) {
            this.f11539d = calendarConstraints.f11534a.L0;
            this.f11540e = calendarConstraints.f11535b.L0;
            this.f = Long.valueOf(calendarConstraints.J0.L0);
            this.g = calendarConstraints.I0;
        }
    }
}
