package com.google.android.material.datepicker;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.KeyEvent;
import android.view.View;
import android.widget.GridView;
import android.widget.ListAdapter;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.util.i;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import com.google.android.material.R;
import com.google.android.material.internal.u;
import java.util.Calendar;

/* access modifiers changed from: package-private */
public final class MaterialCalendarGridView extends GridView {

    /* renamed from: a  reason: collision with root package name */
    private final Calendar f11545a;

    /* renamed from: b  reason: collision with root package name */
    private final boolean f11546b;

    class a extends AccessibilityDelegateCompat {
        a() {
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            accessibilityNodeInfoCompat.setCollectionInfo(null);
        }
    }

    public MaterialCalendarGridView(Context context) {
        this(context, null);
    }

    private void a(int i, Rect rect) {
        if (i == 33) {
            setSelection(getAdapter().i());
        } else if (i == 130) {
            setSelection(getAdapter().b());
        } else {
            super.onFocusChanged(true, i, rect);
        }
    }

    private static int c(@NonNull View view) {
        return view.getLeft() + (view.getWidth() / 2);
    }

    private static boolean d(@Nullable Long l, @Nullable Long l2, @Nullable Long l3, @Nullable Long l4) {
        return l == null || l2 == null || l3 == null || l4 == null || l3.longValue() > l2.longValue() || l4.longValue() < l.longValue();
    }

    @NonNull
    /* renamed from: b */
    public j getAdapter() {
        return (j) super.getAdapter();
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        getAdapter().notifyDataSetChanged();
    }

    /* access modifiers changed from: protected */
    public final void onDraw(@NonNull Canvas canvas) {
        int i;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        MaterialCalendarGridView materialCalendarGridView = this;
        super.onDraw(canvas);
        j b2 = getAdapter();
        DateSelector<?> dateSelector = b2.I0;
        b bVar = b2.K0;
        Long c2 = b2.getItem(b2.b());
        Long c3 = b2.getItem(b2.i());
        for (i<Long, Long> iVar : dateSelector.I()) {
            F f = iVar.f2818a;
            if (f != null) {
                if (iVar.f2819b != null) {
                    long longValue = f.longValue();
                    long longValue2 = iVar.f2819b.longValue();
                    if (!d(c2, c3, Long.valueOf(longValue), Long.valueOf(longValue2))) {
                        boolean j = u.j(this);
                        if (longValue < c2.longValue()) {
                            i2 = b2.b();
                            if (b2.f(i2)) {
                                i = 0;
                            } else if (!j) {
                                i = materialCalendarGridView.getChildAt(i2 - 1).getRight();
                            } else {
                                i = materialCalendarGridView.getChildAt(i2 - 1).getLeft();
                            }
                        } else {
                            materialCalendarGridView.f11545a.setTimeInMillis(longValue);
                            i2 = b2.a(materialCalendarGridView.f11545a.get(5));
                            i = c(materialCalendarGridView.getChildAt(i2));
                        }
                        if (longValue2 > c3.longValue()) {
                            i4 = Math.min(b2.i(), getChildCount() - 1);
                            if (b2.g(i4)) {
                                i3 = getWidth();
                            } else if (!j) {
                                i3 = materialCalendarGridView.getChildAt(i4).getRight();
                            } else {
                                i3 = materialCalendarGridView.getChildAt(i4).getLeft();
                            }
                        } else {
                            materialCalendarGridView.f11545a.setTimeInMillis(longValue2);
                            i4 = b2.a(materialCalendarGridView.f11545a.get(5));
                            i3 = c(materialCalendarGridView.getChildAt(i4));
                        }
                        int itemId = (int) b2.getItemId(i2);
                        int itemId2 = (int) b2.getItemId(i4);
                        while (itemId <= itemId2) {
                            int numColumns = getNumColumns() * itemId;
                            int numColumns2 = (getNumColumns() + numColumns) - 1;
                            View childAt = materialCalendarGridView.getChildAt(numColumns);
                            int top2 = childAt.getTop() + bVar.f11569a.e();
                            int bottom = childAt.getBottom() - bVar.f11569a.b();
                            if (!j) {
                                i6 = numColumns > i2 ? 0 : i;
                                i5 = i4 > numColumns2 ? getWidth() : i3;
                            } else {
                                int i7 = i4 > numColumns2 ? 0 : i3;
                                i5 = numColumns > i2 ? getWidth() : i;
                                i6 = i7;
                            }
                            canvas.drawRect((float) i6, (float) top2, (float) i5, (float) bottom, bVar.h);
                            itemId++;
                            materialCalendarGridView = this;
                            b2 = b2;
                        }
                    }
                }
            }
            materialCalendarGridView = this;
        }
    }

    /* access modifiers changed from: protected */
    public void onFocusChanged(boolean z, int i, Rect rect) {
        if (z) {
            a(i, rect);
        } else {
            super.onFocusChanged(false, i, rect);
        }
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (!super.onKeyDown(i, keyEvent)) {
            return false;
        }
        if (getSelectedItemPosition() == -1 || getSelectedItemPosition() >= getAdapter().b()) {
            return true;
        }
        if (19 != i) {
            return false;
        }
        setSelection(getAdapter().b());
        return true;
    }

    public void onMeasure(int i, int i2) {
        if (this.f11546b) {
            super.onMeasure(i, View.MeasureSpec.makeMeasureSpec(ViewCompat.MEASURED_SIZE_MASK, Integer.MIN_VALUE));
            getLayoutParams().height = getMeasuredHeight();
            return;
        }
        super.onMeasure(i, i2);
    }

    public void setSelection(int i) {
        if (i < getAdapter().b()) {
            super.setSelection(getAdapter().b());
        } else {
            super.setSelection(i);
        }
    }

    public MaterialCalendarGridView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    @Override // android.widget.GridView, android.widget.AbsListView
    public final void setAdapter(ListAdapter listAdapter) {
        if (listAdapter instanceof j) {
            super.setAdapter(listAdapter);
        } else {
            throw new IllegalArgumentException(String.format("%1$s must have its Adapter set to a %2$s", MaterialCalendarGridView.class.getCanonicalName(), j.class.getCanonicalName()));
        }
    }

    public MaterialCalendarGridView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f11545a = p.v();
        if (MaterialDatePicker.l0(getContext())) {
            setNextFocusLeftId(R.id.cancel_button);
            setNextFocusRightId(R.id.confirm_button);
        }
        this.f11546b = MaterialDatePicker.m0(getContext());
        ViewCompat.setAccessibilityDelegate(this, new a());
    }
}
