package com.google.android.material.datepicker;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.StateListDrawable;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.core.util.i;
import androidx.core.view.ViewCompat;
import androidx.fragment.app.m;
import com.google.android.material.R;
import com.google.android.material.datepicker.CalendarConstraints;
import com.google.android.material.internal.CheckableImageButton;
import com.google.android.material.shape.MaterialShapeDrawable;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.Iterator;
import java.util.LinkedHashSet;

public final class MaterialDatePicker<S> extends androidx.fragment.app.b {
    private static final String I0 = "CALENDAR_CONSTRAINTS_KEY";
    private static final String J0 = "TITLE_TEXT_RES_ID_KEY";
    private static final String K0 = "TITLE_TEXT_KEY";
    private static final String L0 = "INPUT_MODE_KEY";
    static final Object M0 = "CONFIRM_BUTTON_TAG";
    static final Object N0 = "CANCEL_BUTTON_TAG";
    static final Object O0 = "TOGGLE_BUTTON_TAG";
    public static final int P0 = 0;
    public static final int Q0 = 1;

    /* renamed from: a  reason: collision with root package name */
    private static final String f11548a = "OVERRIDE_THEME_RES_ID";

    /* renamed from: b  reason: collision with root package name */
    private static final String f11549b = "DATE_SELECTOR_KEY";
    private final LinkedHashSet<g<? super S>> R0 = new LinkedHashSet<>();
    private final LinkedHashSet<View.OnClickListener> S0 = new LinkedHashSet<>();
    private final LinkedHashSet<DialogInterface.OnCancelListener> T0 = new LinkedHashSet<>();
    private final LinkedHashSet<DialogInterface.OnDismissListener> U0 = new LinkedHashSet<>();
    @StyleRes
    private int V0;
    @Nullable
    private DateSelector<S> W0;
    private m<S> X0;
    @Nullable
    private CalendarConstraints Y0;
    private f<S> Z0;
    @StringRes
    private int a1;
    private CharSequence b1;
    private boolean c1;
    private int d1;
    private TextView e1;
    private CheckableImageButton f1;
    @Nullable
    private MaterialShapeDrawable g1;
    private Button h1;

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface InputMode {
    }

    class a implements View.OnClickListener {
        a() {
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v2, resolved type: com.google.android.material.datepicker.g */
        /* JADX WARN: Multi-variable type inference failed */
        public void onClick(View view) {
            Iterator it = MaterialDatePicker.this.R0.iterator();
            while (it.hasNext()) {
                ((g) it.next()).a(MaterialDatePicker.this.i0());
            }
            MaterialDatePicker.this.dismiss();
        }
    }

    class b implements View.OnClickListener {
        b() {
        }

        public void onClick(View view) {
            Iterator it = MaterialDatePicker.this.S0.iterator();
            while (it.hasNext()) {
                ((View.OnClickListener) it.next()).onClick(view);
            }
            MaterialDatePicker.this.dismiss();
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends l<S> {
        c() {
        }

        @Override // com.google.android.material.datepicker.l
        public void a() {
            MaterialDatePicker.this.h1.setEnabled(false);
        }

        @Override // com.google.android.material.datepicker.l
        public void b(S s) {
            MaterialDatePicker.this.w0();
            MaterialDatePicker.this.h1.setEnabled(MaterialDatePicker.this.W0.X0());
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements View.OnClickListener {
        d() {
        }

        public void onClick(View view) {
            MaterialDatePicker.this.h1.setEnabled(MaterialDatePicker.this.W0.X0());
            MaterialDatePicker.this.f1.toggle();
            MaterialDatePicker materialDatePicker = MaterialDatePicker.this;
            materialDatePicker.x0(materialDatePicker.f1);
            MaterialDatePicker.this.t0();
        }
    }

    public static final class e<S> {

        /* renamed from: a  reason: collision with root package name */
        final DateSelector<S> f11554a;

        /* renamed from: b  reason: collision with root package name */
        int f11555b = 0;

        /* renamed from: c  reason: collision with root package name */
        CalendarConstraints f11556c;

        /* renamed from: d  reason: collision with root package name */
        int f11557d = 0;

        /* renamed from: e  reason: collision with root package name */
        CharSequence f11558e = null;
        @Nullable
        S f = null;
        int g = 0;

        private e(DateSelector<S> dateSelector) {
            this.f11554a = dateSelector;
        }

        private Month b() {
            long j = this.f11556c.j().L0;
            long j2 = this.f11556c.g().L0;
            if (!this.f11554a.Z0().isEmpty()) {
                long longValue = this.f11554a.Z0().iterator().next().longValue();
                if (longValue >= j && longValue <= j2) {
                    return Month.g(longValue);
                }
            }
            long u0 = MaterialDatePicker.u0();
            if (j <= u0 && u0 <= j2) {
                j = u0;
            }
            return Month.g(j);
        }

        @NonNull
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
        public static <S> e<S> c(@NonNull DateSelector<S> dateSelector) {
            return new e<>(dateSelector);
        }

        @NonNull
        public static e<Long> d() {
            return new e<>(new SingleDateSelector());
        }

        @NonNull
        public static e<i<Long, Long>> e() {
            return new e<>(new RangeDateSelector());
        }

        @NonNull
        public MaterialDatePicker<S> a() {
            if (this.f11556c == null) {
                this.f11556c = new CalendarConstraints.b().a();
            }
            if (this.f11557d == 0) {
                this.f11557d = this.f11554a.E0();
            }
            S s = this.f;
            if (s != null) {
                this.f11554a.O(s);
            }
            if (this.f11556c.i() == null) {
                this.f11556c.m(b());
            }
            return MaterialDatePicker.n0(this);
        }

        @NonNull
        public e<S> f(CalendarConstraints calendarConstraints) {
            this.f11556c = calendarConstraints;
            return this;
        }

        @NonNull
        public e<S> g(int i) {
            this.g = i;
            return this;
        }

        @NonNull
        public e<S> h(S s) {
            this.f = s;
            return this;
        }

        @NonNull
        public e<S> i(@StyleRes int i) {
            this.f11555b = i;
            return this;
        }

        @NonNull
        public e<S> j(@StringRes int i) {
            this.f11557d = i;
            this.f11558e = null;
            return this;
        }

        @NonNull
        public e<S> k(@Nullable CharSequence charSequence) {
            this.f11558e = charSequence;
            this.f11557d = 0;
            return this;
        }
    }

    @NonNull
    private static Drawable b0(Context context) {
        StateListDrawable stateListDrawable = new StateListDrawable();
        stateListDrawable.addState(new int[]{16842912}, androidx.appcompat.a.a.a.d(context, R.drawable.material_ic_calendar_black_24dp));
        stateListDrawable.addState(new int[0], androidx.appcompat.a.a.a.d(context, R.drawable.material_ic_edit_black_24dp));
        return stateListDrawable;
    }

    private static int d0(@NonNull Context context) {
        Resources resources = context.getResources();
        int dimensionPixelSize = resources.getDimensionPixelSize(R.dimen.mtrl_calendar_navigation_height) + resources.getDimensionPixelOffset(R.dimen.mtrl_calendar_navigation_top_padding) + resources.getDimensionPixelOffset(R.dimen.mtrl_calendar_navigation_bottom_padding);
        int dimensionPixelSize2 = resources.getDimensionPixelSize(R.dimen.mtrl_calendar_days_of_week_height);
        int i = j.f11607a;
        return dimensionPixelSize + dimensionPixelSize2 + (resources.getDimensionPixelSize(R.dimen.mtrl_calendar_day_height) * i) + ((i - 1) * resources.getDimensionPixelOffset(R.dimen.mtrl_calendar_month_vertical_padding)) + resources.getDimensionPixelOffset(R.dimen.mtrl_calendar_bottom_padding);
    }

    private static int h0(@NonNull Context context) {
        Resources resources = context.getResources();
        int dimensionPixelOffset = resources.getDimensionPixelOffset(R.dimen.mtrl_calendar_content_padding);
        int i = Month.h().J0;
        return (dimensionPixelOffset * 2) + (resources.getDimensionPixelSize(R.dimen.mtrl_calendar_day_width) * i) + ((i - 1) * resources.getDimensionPixelOffset(R.dimen.mtrl_calendar_month_horizontal_padding));
    }

    private int j0(Context context) {
        int i = this.V0;
        if (i != 0) {
            return i;
        }
        return this.W0.K0(context);
    }

    private void k0(Context context) {
        this.f1.setTag(O0);
        this.f1.setImageDrawable(b0(context));
        this.f1.setChecked(this.d1 != 0);
        ViewCompat.setAccessibilityDelegate(this.f1, null);
        x0(this.f1);
        this.f1.setOnClickListener(new d());
    }

    static boolean l0(@NonNull Context context) {
        return o0(context, 16843277);
    }

    static boolean m0(@NonNull Context context) {
        return o0(context, R.attr.nestedScrollable);
    }

    @NonNull
    static <S> MaterialDatePicker<S> n0(@NonNull e<S> eVar) {
        MaterialDatePicker<S> materialDatePicker = new MaterialDatePicker<>();
        Bundle bundle = new Bundle();
        bundle.putInt(f11548a, eVar.f11555b);
        bundle.putParcelable(f11549b, eVar.f11554a);
        bundle.putParcelable(I0, eVar.f11556c);
        bundle.putInt(J0, eVar.f11557d);
        bundle.putCharSequence(K0, eVar.f11558e);
        bundle.putInt(L0, eVar.g);
        materialDatePicker.setArguments(bundle);
        return materialDatePicker;
    }

    static boolean o0(@NonNull Context context, int i) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(com.google.android.material.i.b.f(context, R.attr.materialCalendarStyle, f.class.getCanonicalName()), new int[]{i});
        boolean z = obtainStyledAttributes.getBoolean(0, false);
        obtainStyledAttributes.recycle();
        return z;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void t0() {
        int j0 = j0(requireContext());
        this.Z0 = f.f0(this.W0, j0, this.Y0);
        this.X0 = this.f1.isChecked() ? i.G(this.W0, j0, this.Y0) : this.Z0;
        w0();
        m b2 = getChildFragmentManager().b();
        b2.y(R.id.mtrl_calendar_frame, this.X0);
        b2.p();
        this.X0.A(new c());
    }

    public static long u0() {
        return Month.h().L0;
    }

    public static long v0() {
        return p.t().getTimeInMillis();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void w0() {
        String f0 = f0();
        this.e1.setContentDescription(String.format(getString(R.string.mtrl_picker_announce_current_selection), f0));
        this.e1.setText(f0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void x0(@NonNull CheckableImageButton checkableImageButton) {
        String str;
        if (this.f1.isChecked()) {
            str = checkableImageButton.getContext().getString(R.string.mtrl_picker_toggle_to_calendar_input_mode);
        } else {
            str = checkableImageButton.getContext().getString(R.string.mtrl_picker_toggle_to_text_input_mode);
        }
        this.f1.setContentDescription(str);
    }

    public boolean Q(DialogInterface.OnCancelListener onCancelListener) {
        return this.T0.add(onCancelListener);
    }

    public boolean R(DialogInterface.OnDismissListener onDismissListener) {
        return this.U0.add(onDismissListener);
    }

    public boolean S(View.OnClickListener onClickListener) {
        return this.S0.add(onClickListener);
    }

    public boolean U(g<? super S> gVar) {
        return this.R0.add(gVar);
    }

    public void V() {
        this.T0.clear();
    }

    public void W() {
        this.U0.clear();
    }

    public void Z() {
        this.S0.clear();
    }

    public void a0() {
        this.R0.clear();
    }

    public String f0() {
        return this.W0.D(getContext());
    }

    @Nullable
    public final S i0() {
        return this.W0.c1();
    }

    @Override // androidx.fragment.app.b
    public final void onCancel(@NonNull DialogInterface dialogInterface) {
        Iterator<DialogInterface.OnCancelListener> it = this.T0.iterator();
        while (it.hasNext()) {
            it.next().onCancel(dialogInterface);
        }
        super.onCancel(dialogInterface);
    }

    @Override // androidx.fragment.app.b, androidx.fragment.app.Fragment
    public final void onCreate(@Nullable Bundle bundle) {
        super.onCreate(bundle);
        if (bundle == null) {
            bundle = getArguments();
        }
        this.V0 = bundle.getInt(f11548a);
        this.W0 = (DateSelector) bundle.getParcelable(f11549b);
        this.Y0 = (CalendarConstraints) bundle.getParcelable(I0);
        this.a1 = bundle.getInt(J0);
        this.b1 = bundle.getCharSequence(K0);
        this.d1 = bundle.getInt(L0);
    }

    @Override // androidx.fragment.app.b
    @NonNull
    public final Dialog onCreateDialog(@Nullable Bundle bundle) {
        Dialog dialog = new Dialog(requireContext(), j0(requireContext()));
        Context context = dialog.getContext();
        this.c1 = l0(context);
        int f = com.google.android.material.i.b.f(context, R.attr.colorSurface, MaterialDatePicker.class.getCanonicalName());
        MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable(context, null, R.attr.materialCalendarStyle, R.style.Widget_MaterialComponents_MaterialCalendar);
        this.g1 = materialShapeDrawable;
        materialShapeDrawable.Y(context);
        this.g1.n0(ColorStateList.valueOf(f));
        this.g1.m0(ViewCompat.getElevation(dialog.getWindow().getDecorView()));
        return dialog;
    }

    @Override // androidx.fragment.app.Fragment
    @NonNull
    public final View onCreateView(@NonNull LayoutInflater layoutInflater, @Nullable ViewGroup viewGroup, @Nullable Bundle bundle) {
        View inflate = layoutInflater.inflate(this.c1 ? R.layout.mtrl_picker_fullscreen : R.layout.mtrl_picker_dialog, viewGroup);
        Context context = inflate.getContext();
        if (this.c1) {
            inflate.findViewById(R.id.mtrl_calendar_frame).setLayoutParams(new LinearLayout.LayoutParams(h0(context), -2));
        } else {
            View findViewById = inflate.findViewById(R.id.mtrl_calendar_main_pane);
            View findViewById2 = inflate.findViewById(R.id.mtrl_calendar_frame);
            findViewById.setLayoutParams(new LinearLayout.LayoutParams(h0(context), -1));
            findViewById2.setMinimumHeight(d0(requireContext()));
        }
        TextView textView = (TextView) inflate.findViewById(R.id.mtrl_picker_header_selection_text);
        this.e1 = textView;
        ViewCompat.setAccessibilityLiveRegion(textView, 1);
        this.f1 = (CheckableImageButton) inflate.findViewById(R.id.mtrl_picker_header_toggle);
        TextView textView2 = (TextView) inflate.findViewById(R.id.mtrl_picker_title_text);
        CharSequence charSequence = this.b1;
        if (charSequence != null) {
            textView2.setText(charSequence);
        } else {
            textView2.setText(this.a1);
        }
        k0(context);
        this.h1 = (Button) inflate.findViewById(R.id.confirm_button);
        if (this.W0.X0()) {
            this.h1.setEnabled(true);
        } else {
            this.h1.setEnabled(false);
        }
        this.h1.setTag(M0);
        this.h1.setOnClickListener(new a());
        Button button = (Button) inflate.findViewById(R.id.cancel_button);
        button.setTag(N0);
        button.setOnClickListener(new b());
        return inflate;
    }

    @Override // androidx.fragment.app.b
    public final void onDismiss(@NonNull DialogInterface dialogInterface) {
        Iterator<DialogInterface.OnDismissListener> it = this.U0.iterator();
        while (it.hasNext()) {
            it.next().onDismiss(dialogInterface);
        }
        ViewGroup viewGroup = (ViewGroup) getView();
        if (viewGroup != null) {
            viewGroup.removeAllViews();
        }
        super.onDismiss(dialogInterface);
    }

    @Override // androidx.fragment.app.b, androidx.fragment.app.Fragment
    public final void onSaveInstanceState(@NonNull Bundle bundle) {
        super.onSaveInstanceState(bundle);
        bundle.putInt(f11548a, this.V0);
        bundle.putParcelable(f11549b, this.W0);
        CalendarConstraints.b bVar = new CalendarConstraints.b(this.Y0);
        if (this.Z0.a0() != null) {
            bVar.c(this.Z0.a0().L0);
        }
        bundle.putParcelable(I0, bVar.a());
        bundle.putInt(J0, this.a1);
        bundle.putCharSequence(K0, this.b1);
    }

    @Override // androidx.fragment.app.b, androidx.fragment.app.Fragment
    public void onStart() {
        super.onStart();
        Window window = requireDialog().getWindow();
        if (this.c1) {
            window.setLayout(-1, -1);
            window.setBackgroundDrawable(this.g1);
        } else {
            window.setLayout(-2, -2);
            int dimensionPixelOffset = getResources().getDimensionPixelOffset(R.dimen.mtrl_calendar_dialog_background_inset);
            Rect rect = new Rect(dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset);
            window.setBackgroundDrawable(new InsetDrawable((Drawable) this.g1, dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset));
            window.getDecorView().setOnTouchListener(new com.google.android.material.d.a(requireDialog(), rect));
        }
        t0();
    }

    @Override // androidx.fragment.app.b, androidx.fragment.app.Fragment
    public void onStop() {
        this.X0.B();
        super.onStop();
    }

    public boolean p0(DialogInterface.OnCancelListener onCancelListener) {
        return this.T0.remove(onCancelListener);
    }

    public boolean q0(DialogInterface.OnDismissListener onDismissListener) {
        return this.U0.remove(onDismissListener);
    }

    public boolean r0(View.OnClickListener onClickListener) {
        return this.S0.remove(onClickListener);
    }

    public boolean s0(g<? super S> gVar) {
        return this.R0.remove(gVar);
    }
}
