package com.google.android.material.datepicker;

import android.content.Context;
import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import java.util.Arrays;
import java.util.Calendar;
import java.util.GregorianCalendar;

/* access modifiers changed from: package-private */
public final class Month implements Comparable<Month>, Parcelable {
    public static final Parcelable.Creator<Month> CREATOR = new a();
    final int I0;
    final int J0;
    final int K0;
    final long L0;
    @Nullable
    private String M0;
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    private final Calendar f11559a;

    /* renamed from: b  reason: collision with root package name */
    final int f11560b;

    static class a implements Parcelable.Creator<Month> {
        a() {
        }

        @NonNull
        /* renamed from: a */
        public Month createFromParcel(@NonNull Parcel parcel) {
            return Month.b(parcel.readInt(), parcel.readInt());
        }

        @NonNull
        /* renamed from: b */
        public Month[] newArray(int i) {
            return new Month[i];
        }
    }

    private Month(@NonNull Calendar calendar) {
        calendar.set(5, 1);
        Calendar f = p.f(calendar);
        this.f11559a = f;
        this.f11560b = f.get(2);
        this.I0 = f.get(1);
        this.J0 = f.getMaximum(7);
        this.K0 = f.getActualMaximum(5);
        this.L0 = f.getTimeInMillis();
    }

    @NonNull
    static Month b(int i, int i2) {
        Calendar v = p.v();
        v.set(1, i);
        v.set(2, i2);
        return new Month(v);
    }

    @NonNull
    static Month g(long j) {
        Calendar v = p.v();
        v.setTimeInMillis(j);
        return new Month(v);
    }

    @NonNull
    static Month h() {
        return new Month(p.t());
    }

    /* renamed from: a */
    public int compareTo(@NonNull Month month) {
        return this.f11559a.compareTo(month.f11559a);
    }

    public int describeContents() {
        return 0;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof Month)) {
            return false;
        }
        Month month = (Month) obj;
        if (this.f11560b == month.f11560b && this.I0 == month.I0) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        return Arrays.hashCode(new Object[]{Integer.valueOf(this.f11560b), Integer.valueOf(this.I0)});
    }

    /* access modifiers changed from: package-private */
    public int i() {
        int firstDayOfWeek = this.f11559a.get(7) - this.f11559a.getFirstDayOfWeek();
        return firstDayOfWeek < 0 ? firstDayOfWeek + this.J0 : firstDayOfWeek;
    }

    /* access modifiers changed from: package-private */
    public long j(int i) {
        Calendar f = p.f(this.f11559a);
        f.set(5, i);
        return f.getTimeInMillis();
    }

    /* access modifiers changed from: package-private */
    public int k(long j) {
        Calendar f = p.f(this.f11559a);
        f.setTimeInMillis(j);
        return f.get(5);
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public String l(Context context) {
        if (this.M0 == null) {
            this.M0 = d.i(context, this.f11559a.getTimeInMillis());
        }
        return this.M0;
    }

    /* access modifiers changed from: package-private */
    public long n() {
        return this.f11559a.getTimeInMillis();
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public Month o(int i) {
        Calendar f = p.f(this.f11559a);
        f.add(2, i);
        return new Month(f);
    }

    /* access modifiers changed from: package-private */
    public int p(@NonNull Month month) {
        if (this.f11559a instanceof GregorianCalendar) {
            return ((month.I0 - this.I0) * 12) + (month.f11560b - this.f11560b);
        }
        throw new IllegalArgumentException("Only Gregorian calendars are supported.");
    }

    public void writeToParcel(@NonNull Parcel parcel, int i) {
        parcel.writeInt(this.I0);
        parcel.writeInt(this.f11560b);
    }
}
