package com.google.android.material.datepicker;

import android.content.Context;
import android.content.res.Resources;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.DisplayMetrics;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.EditText;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.util.i;
import androidx.core.util.m;
import com.google.android.material.R;
import com.google.android.material.internal.d;
import com.google.android.material.internal.u;
import com.google.android.material.textfield.TextInputLayout;
import com.ibm.icu.impl.number.Padder;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collection;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class RangeDateSelector implements DateSelector<i<Long, Long>> {
    public static final Parcelable.Creator<RangeDateSelector> CREATOR = new c();
    @Nullable
    private Long I0 = null;
    @Nullable
    private Long J0 = null;
    @Nullable
    private Long K0 = null;
    @Nullable
    private Long L0 = null;

    /* renamed from: a  reason: collision with root package name */
    private String f11561a;

    /* renamed from: b  reason: collision with root package name */
    private final String f11562b = Padder.f14124a;

    class a extends c {
        final /* synthetic */ TextInputLayout N0;
        final /* synthetic */ TextInputLayout O0;
        final /* synthetic */ l P0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        a(String str, DateFormat dateFormat, TextInputLayout textInputLayout, CalendarConstraints calendarConstraints, TextInputLayout textInputLayout2, TextInputLayout textInputLayout3, l lVar) {
            super(str, dateFormat, textInputLayout, calendarConstraints);
            this.N0 = textInputLayout2;
            this.O0 = textInputLayout3;
            this.P0 = lVar;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.android.material.datepicker.c
        public void e() {
            RangeDateSelector.this.K0 = null;
            RangeDateSelector.this.k(this.N0, this.O0, this.P0);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.android.material.datepicker.c
        public void f(@Nullable Long l) {
            RangeDateSelector.this.K0 = l;
            RangeDateSelector.this.k(this.N0, this.O0, this.P0);
        }
    }

    class b extends c {
        final /* synthetic */ TextInputLayout N0;
        final /* synthetic */ TextInputLayout O0;
        final /* synthetic */ l P0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        b(String str, DateFormat dateFormat, TextInputLayout textInputLayout, CalendarConstraints calendarConstraints, TextInputLayout textInputLayout2, TextInputLayout textInputLayout3, l lVar) {
            super(str, dateFormat, textInputLayout, calendarConstraints);
            this.N0 = textInputLayout2;
            this.O0 = textInputLayout3;
            this.P0 = lVar;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.android.material.datepicker.c
        public void e() {
            RangeDateSelector.this.L0 = null;
            RangeDateSelector.this.k(this.N0, this.O0, this.P0);
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.android.material.datepicker.c
        public void f(@Nullable Long l) {
            RangeDateSelector.this.L0 = l;
            RangeDateSelector.this.k(this.N0, this.O0, this.P0);
        }
    }

    static class c implements Parcelable.Creator<RangeDateSelector> {
        c() {
        }

        @NonNull
        /* renamed from: a */
        public RangeDateSelector createFromParcel(@NonNull Parcel parcel) {
            RangeDateSelector rangeDateSelector = new RangeDateSelector();
            rangeDateSelector.I0 = (Long) parcel.readValue(Long.class.getClassLoader());
            rangeDateSelector.J0 = (Long) parcel.readValue(Long.class.getClassLoader());
            return rangeDateSelector;
        }

        @NonNull
        /* renamed from: b */
        public RangeDateSelector[] newArray(int i) {
            return new RangeDateSelector[i];
        }
    }

    private void f(@NonNull TextInputLayout textInputLayout, @NonNull TextInputLayout textInputLayout2) {
        if (textInputLayout.getError() != null && this.f11561a.contentEquals(textInputLayout.getError())) {
            textInputLayout.setError(null);
        }
        if (textInputLayout2.getError() != null && Padder.f14124a.contentEquals(textInputLayout2.getError())) {
            textInputLayout2.setError(null);
        }
    }

    private boolean h(long j, long j2) {
        return j <= j2;
    }

    private void i(@NonNull TextInputLayout textInputLayout, @NonNull TextInputLayout textInputLayout2) {
        textInputLayout.setError(this.f11561a);
        textInputLayout2.setError(Padder.f14124a);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void k(@NonNull TextInputLayout textInputLayout, @NonNull TextInputLayout textInputLayout2, @NonNull l<i<Long, Long>> lVar) {
        Long l = this.K0;
        if (l == null || this.L0 == null) {
            f(textInputLayout, textInputLayout2);
            lVar.a();
        } else if (h(l.longValue(), this.L0.longValue())) {
            this.I0 = this.K0;
            this.J0 = this.L0;
            lVar.b(c1());
        } else {
            i(textInputLayout, textInputLayout2);
            lVar.a();
        }
    }

    @Override // com.google.android.material.datepicker.DateSelector
    @NonNull
    public String D(@NonNull Context context) {
        Resources resources = context.getResources();
        Long l = this.I0;
        if (l == null && this.J0 == null) {
            return resources.getString(R.string.mtrl_picker_range_header_unselected);
        }
        Long l2 = this.J0;
        if (l2 == null) {
            return resources.getString(R.string.mtrl_picker_range_header_only_start_selected, d.c(l.longValue()));
        } else if (l == null) {
            return resources.getString(R.string.mtrl_picker_range_header_only_end_selected, d.c(l2.longValue()));
        } else {
            i<String, String> a2 = d.a(l, l2);
            return resources.getString(R.string.mtrl_picker_range_header_selected, a2.f2818a, a2.f2819b);
        }
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public int E0() {
        return R.string.mtrl_picker_range_header_title;
    }

    @Override // com.google.android.material.datepicker.DateSelector
    @NonNull
    public Collection<i<Long, Long>> I() {
        if (this.I0 == null || this.J0 == null) {
            return new ArrayList();
        }
        ArrayList arrayList = new ArrayList();
        arrayList.add(new i(this.I0, this.J0));
        return arrayList;
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public int K0(@NonNull Context context) {
        Resources resources = context.getResources();
        DisplayMetrics displayMetrics = resources.getDisplayMetrics();
        return com.google.android.material.i.b.f(context, Math.min(displayMetrics.widthPixels, displayMetrics.heightPixels) > resources.getDimensionPixelSize(R.dimen.mtrl_calendar_maximum_default_fullscreen_minor_axis) ? R.attr.materialCalendarTheme : R.attr.materialCalendarFullscreenTheme, MaterialDatePicker.class.getCanonicalName());
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public boolean X0() {
        Long l = this.I0;
        return (l == null || this.J0 == null || !h(l.longValue(), this.J0.longValue())) ? false : true;
    }

    @Override // com.google.android.material.datepicker.DateSelector
    @NonNull
    public Collection<Long> Z0() {
        ArrayList arrayList = new ArrayList();
        Long l = this.I0;
        if (l != null) {
            arrayList.add(l);
        }
        Long l2 = this.J0;
        if (l2 != null) {
            arrayList.add(l2);
        }
        return arrayList;
    }

    public int describeContents() {
        return 0;
    }

    @NonNull
    /* renamed from: g */
    public i<Long, Long> c1() {
        return new i<>(this.I0, this.J0);
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public void g1(long j) {
        Long l = this.I0;
        if (l == null) {
            this.I0 = Long.valueOf(j);
        } else if (this.J0 != null || !h(l.longValue(), j)) {
            this.J0 = null;
            this.I0 = Long.valueOf(j);
        } else {
            this.J0 = Long.valueOf(j);
        }
    }

    /* renamed from: j */
    public void O(@NonNull i<Long, Long> iVar) {
        Long l;
        F f = iVar.f2818a;
        if (!(f == null || iVar.f2819b == null)) {
            m.a(h(f.longValue(), iVar.f2819b.longValue()));
        }
        F f2 = iVar.f2818a;
        Long l2 = null;
        if (f2 == null) {
            l = null;
        } else {
            l = Long.valueOf(p.a(f2.longValue()));
        }
        this.I0 = l;
        S s = iVar.f2819b;
        if (s != null) {
            l2 = Long.valueOf(p.a(s.longValue()));
        }
        this.J0 = l2;
    }

    public void writeToParcel(@NonNull Parcel parcel, int i) {
        parcel.writeValue(this.I0);
        parcel.writeValue(this.J0);
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public View z0(@NonNull LayoutInflater layoutInflater, @Nullable ViewGroup viewGroup, @Nullable Bundle bundle, CalendarConstraints calendarConstraints, @NonNull l<i<Long, Long>> lVar) {
        View inflate = layoutInflater.inflate(R.layout.mtrl_picker_text_input_date_range, viewGroup, false);
        TextInputLayout textInputLayout = (TextInputLayout) inflate.findViewById(R.id.mtrl_picker_text_input_range_start);
        TextInputLayout textInputLayout2 = (TextInputLayout) inflate.findViewById(R.id.mtrl_picker_text_input_range_end);
        EditText editText = textInputLayout.getEditText();
        EditText editText2 = textInputLayout2.getEditText();
        if (d.a()) {
            editText.setInputType(17);
            editText2.setInputType(17);
        }
        this.f11561a = inflate.getResources().getString(R.string.mtrl_picker_invalid_range);
        SimpleDateFormat p = p.p();
        Long l = this.I0;
        if (l != null) {
            editText.setText(p.format(l));
            this.K0 = this.I0;
        }
        Long l2 = this.J0;
        if (l2 != null) {
            editText2.setText(p.format(l2));
            this.L0 = this.J0;
        }
        String q = p.q(inflate.getResources(), p);
        textInputLayout.setPlaceholderText(q);
        textInputLayout2.setPlaceholderText(q);
        editText.addTextChangedListener(new a(q, p, textInputLayout, calendarConstraints, textInputLayout, textInputLayout2, lVar));
        editText2.addTextChangedListener(new b(q, p, textInputLayout2, calendarConstraints, textInputLayout, textInputLayout2, lVar));
        u.o(editText);
        return inflate;
    }
}
