package com.google.android.material.datepicker;

import android.content.Context;
import android.content.res.Resources;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.EditText;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.util.i;
import com.google.android.material.R;
import com.google.android.material.internal.d;
import com.google.android.material.internal.u;
import com.google.android.material.textfield.TextInputLayout;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collection;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class SingleDateSelector implements DateSelector<Long> {
    public static final Parcelable.Creator<SingleDateSelector> CREATOR = new b();
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    private Long f11563a;

    class a extends c {
        final /* synthetic */ l N0;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        a(String str, DateFormat dateFormat, TextInputLayout textInputLayout, CalendarConstraints calendarConstraints, l lVar) {
            super(str, dateFormat, textInputLayout, calendarConstraints);
            this.N0 = lVar;
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.android.material.datepicker.c
        public void e() {
            this.N0.a();
        }

        /* access modifiers changed from: package-private */
        @Override // com.google.android.material.datepicker.c
        public void f(@Nullable Long l) {
            if (l == null) {
                SingleDateSelector.this.c();
            } else {
                SingleDateSelector.this.g1(l.longValue());
            }
            this.N0.b(SingleDateSelector.this.c1());
        }
    }

    static class b implements Parcelable.Creator<SingleDateSelector> {
        b() {
        }

        @NonNull
        /* renamed from: a */
        public SingleDateSelector createFromParcel(@NonNull Parcel parcel) {
            SingleDateSelector singleDateSelector = new SingleDateSelector();
            singleDateSelector.f11563a = (Long) parcel.readValue(Long.class.getClassLoader());
            return singleDateSelector;
        }

        @NonNull
        /* renamed from: b */
        public SingleDateSelector[] newArray(int i) {
            return new SingleDateSelector[i];
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c() {
        this.f11563a = null;
    }

    @Override // com.google.android.material.datepicker.DateSelector
    @NonNull
    public String D(@NonNull Context context) {
        Resources resources = context.getResources();
        Long l = this.f11563a;
        if (l == null) {
            return resources.getString(R.string.mtrl_picker_date_header_unselected);
        }
        String j = d.j(l.longValue());
        return resources.getString(R.string.mtrl_picker_date_header_selected, j);
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public int E0() {
        return R.string.mtrl_picker_date_header_title;
    }

    @Override // com.google.android.material.datepicker.DateSelector
    @NonNull
    public Collection<i<Long, Long>> I() {
        return new ArrayList();
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public int K0(Context context) {
        return com.google.android.material.i.b.f(context, R.attr.materialCalendarTheme, MaterialDatePicker.class.getCanonicalName());
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public boolean X0() {
        return this.f11563a != null;
    }

    @Override // com.google.android.material.datepicker.DateSelector
    @NonNull
    public Collection<Long> Z0() {
        ArrayList arrayList = new ArrayList();
        Long l = this.f11563a;
        if (l != null) {
            arrayList.add(l);
        }
        return arrayList;
    }

    @Nullable
    /* renamed from: d */
    public Long c1() {
        return this.f11563a;
    }

    public int describeContents() {
        return 0;
    }

    /* renamed from: e */
    public void O(@Nullable Long l) {
        this.f11563a = l == null ? null : Long.valueOf(p.a(l.longValue()));
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public void g1(long j) {
        this.f11563a = Long.valueOf(j);
    }

    public void writeToParcel(@NonNull Parcel parcel, int i) {
        parcel.writeValue(this.f11563a);
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public View z0(@NonNull LayoutInflater layoutInflater, @Nullable ViewGroup viewGroup, @Nullable Bundle bundle, CalendarConstraints calendarConstraints, @NonNull l<Long> lVar) {
        View inflate = layoutInflater.inflate(R.layout.mtrl_picker_text_input_date, viewGroup, false);
        TextInputLayout textInputLayout = (TextInputLayout) inflate.findViewById(R.id.mtrl_picker_text_input_date);
        EditText editText = textInputLayout.getEditText();
        if (d.a()) {
            editText.setInputType(17);
        }
        SimpleDateFormat p = p.p();
        String q = p.q(inflate.getResources(), p);
        textInputLayout.setPlaceholderText(q);
        Long l = this.f11563a;
        if (l != null) {
            editText.setText(p.format(l));
        }
        editText.addTextChangedListener(new a(q, p, textInputLayout, calendarConstraints, lVar));
        u.o(editText);
        return inflate;
    }
}
