package com.google.android.material.datepicker;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.StyleRes;
import androidx.core.view.ViewCompat;
import com.google.android.material.R;
import com.google.android.material.i.c;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.m;

/* compiled from: CalendarItemStyle */
final class a {
    @NonNull

    /* renamed from: a  reason: collision with root package name */
    private final Rect f11564a;

    /* renamed from: b  reason: collision with root package name */
    private final ColorStateList f11565b;

    /* renamed from: c  reason: collision with root package name */
    private final ColorStateList f11566c;

    /* renamed from: d  reason: collision with root package name */
    private final ColorStateList f11567d;

    /* renamed from: e  reason: collision with root package name */
    private final int f11568e;
    private final m f;

    private a(ColorStateList colorStateList, ColorStateList colorStateList2, ColorStateList colorStateList3, int i, m mVar, @NonNull Rect rect) {
        androidx.core.util.m.d(rect.left);
        androidx.core.util.m.d(rect.top);
        androidx.core.util.m.d(rect.right);
        androidx.core.util.m.d(rect.bottom);
        this.f11564a = rect;
        this.f11565b = colorStateList2;
        this.f11566c = colorStateList;
        this.f11567d = colorStateList3;
        this.f11568e = i;
        this.f = mVar;
    }

    @NonNull
    static a a(@NonNull Context context, @StyleRes int i) {
        androidx.core.util.m.b(i != 0, "Cannot create a CalendarItemStyle with a styleResId of 0");
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(i, R.styleable.MaterialCalendarItem);
        Rect rect = new Rect(obtainStyledAttributes.getDimensionPixelOffset(R.styleable.MaterialCalendarItem_android_insetLeft, 0), obtainStyledAttributes.getDimensionPixelOffset(R.styleable.MaterialCalendarItem_android_insetTop, 0), obtainStyledAttributes.getDimensionPixelOffset(R.styleable.MaterialCalendarItem_android_insetRight, 0), obtainStyledAttributes.getDimensionPixelOffset(R.styleable.MaterialCalendarItem_android_insetBottom, 0));
        ColorStateList a2 = c.a(context, obtainStyledAttributes, R.styleable.MaterialCalendarItem_itemFillColor);
        ColorStateList a3 = c.a(context, obtainStyledAttributes, R.styleable.MaterialCalendarItem_itemTextColor);
        ColorStateList a4 = c.a(context, obtainStyledAttributes, R.styleable.MaterialCalendarItem_itemStrokeColor);
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(R.styleable.MaterialCalendarItem_itemStrokeWidth, 0);
        m m = m.b(context, obtainStyledAttributes.getResourceId(R.styleable.MaterialCalendarItem_itemShapeAppearance, 0), obtainStyledAttributes.getResourceId(R.styleable.MaterialCalendarItem_itemShapeAppearanceOverlay, 0)).m();
        obtainStyledAttributes.recycle();
        return new a(a2, a3, a4, dimensionPixelSize, m, rect);
    }

    /* access modifiers changed from: package-private */
    public int b() {
        return this.f11564a.bottom;
    }

    /* access modifiers changed from: package-private */
    public int c() {
        return this.f11564a.left;
    }

    /* access modifiers changed from: package-private */
    public int d() {
        return this.f11564a.right;
    }

    /* access modifiers changed from: package-private */
    public int e() {
        return this.f11564a.top;
    }

    /* access modifiers changed from: package-private */
    public void f(@NonNull TextView textView) {
        MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
        MaterialShapeDrawable materialShapeDrawable2 = new MaterialShapeDrawable();
        materialShapeDrawable.setShapeAppearanceModel(this.f);
        materialShapeDrawable2.setShapeAppearanceModel(this.f);
        materialShapeDrawable.n0(this.f11566c);
        materialShapeDrawable.D0((float) this.f11568e, this.f11567d);
        textView.setTextColor(this.f11565b);
        Drawable rippleDrawable = Build.VERSION.SDK_INT >= 21 ? new RippleDrawable(this.f11565b.withAlpha(30), materialShapeDrawable, materialShapeDrawable2) : materialShapeDrawable;
        Rect rect = this.f11564a;
        ViewCompat.setBackground(textView, new InsetDrawable(rippleDrawable, rect.left, rect.top, rect.right, rect.bottom));
    }
}
