package com.google.android.material.datepicker;

import android.content.Context;
import android.text.TextUtils;
import android.view.View;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.material.R;
import com.google.android.material.internal.l;
import com.google.android.material.textfield.TextInputLayout;
import java.text.DateFormat;
import java.text.ParseException;
import java.util.Date;

/* access modifiers changed from: package-private */
/* compiled from: DateFormatTextWatcher */
public abstract class c extends l {

    /* renamed from: a  reason: collision with root package name */
    private static final int f11574a = 1000;
    private final DateFormat I0;
    private final CalendarConstraints J0;
    private final String K0;
    private final Runnable L0;
    private Runnable M0;
    @NonNull

    /* renamed from: b  reason: collision with root package name */
    private final TextInputLayout f11575b;

    /* compiled from: DateFormatTextWatcher */
    class a implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ String f11576a;

        a(String str) {
            this.f11576a = str;
        }

        public void run() {
            TextInputLayout textInputLayout = c.this.f11575b;
            DateFormat dateFormat = c.this.I0;
            Context context = textInputLayout.getContext();
            String string = context.getString(R.string.mtrl_picker_invalid_format);
            String format = String.format(context.getString(R.string.mtrl_picker_invalid_format_use), this.f11576a);
            String format2 = String.format(context.getString(R.string.mtrl_picker_invalid_format_example), dateFormat.format(new Date(p.t().getTimeInMillis())));
            textInputLayout.setError(string + "\n" + format + "\n" + format2);
            c.this.e();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DateFormatTextWatcher */
    public class b implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ long f11578a;

        b(long j) {
            this.f11578a = j;
        }

        public void run() {
            c.this.f11575b.setError(String.format(c.this.K0, d.c(this.f11578a)));
            c.this.e();
        }
    }

    c(String str, DateFormat dateFormat, @NonNull TextInputLayout textInputLayout, CalendarConstraints calendarConstraints) {
        this.I0 = dateFormat;
        this.f11575b = textInputLayout;
        this.J0 = calendarConstraints;
        this.K0 = textInputLayout.getContext().getString(R.string.mtrl_picker_out_of_range);
        this.L0 = new a(str);
    }

    private Runnable d(long j) {
        return new b(j);
    }

    /* access modifiers changed from: package-private */
    public void e() {
    }

    /* access modifiers changed from: package-private */
    public abstract void f(@Nullable Long l);

    public void g(View view, Runnable runnable) {
        view.postDelayed(runnable, 1000);
    }

    @Override // com.google.android.material.internal.l
    public void onTextChanged(@NonNull CharSequence charSequence, int i, int i2, int i3) {
        this.f11575b.removeCallbacks(this.L0);
        this.f11575b.removeCallbacks(this.M0);
        this.f11575b.setError(null);
        f(null);
        if (!TextUtils.isEmpty(charSequence)) {
            try {
                Date parse = this.I0.parse(charSequence.toString());
                this.f11575b.setError(null);
                long time = parse.getTime();
                if (!this.J0.f().T0(time) || !this.J0.l(time)) {
                    Runnable d2 = d(time);
                    this.M0 = d2;
                    g(this.f11575b, d2);
                    return;
                }
                f(Long.valueOf(parse.getTime()));
            } catch (ParseException unused) {
                g(this.f11575b, this.L0);
            }
        }
    }
}
