package com.google.android.material.datepicker;

import android.content.Context;
import android.graphics.Canvas;
import android.os.Build;
import android.os.Bundle;
import android.view.ContextThemeWrapper;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.GridView;
import android.widget.ListAdapter;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.annotation.VisibleForTesting;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.z;
import com.google.android.material.R;
import com.google.android.material.button.MaterialButton;
import java.util.Calendar;
import java.util.Iterator;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
/* compiled from: MaterialCalendar */
public final class f<S> extends m<S> {
    private static final String I0 = "GRID_SELECTOR_KEY";
    private static final String J0 = "CALENDAR_CONSTRAINTS_KEY";
    private static final String K0 = "CURRENT_MONTH_KEY";
    private static final int L0 = 3;
    @VisibleForTesting
    static final Object M0 = "MONTHS_VIEW_GROUP_TAG";
    @VisibleForTesting
    static final Object N0 = "NAVIGATION_PREV_TAG";
    @VisibleForTesting
    static final Object O0 = "NAVIGATION_NEXT_TAG";
    @VisibleForTesting
    static final Object P0 = "SELECTOR_TOGGLE_TAG";

    /* renamed from: b  reason: collision with root package name */
    private static final String f11582b = "THEME_RES_ID_KEY";
    @StyleRes
    private int Q0;
    @Nullable
    private DateSelector<S> R0;
    @Nullable
    private CalendarConstraints S0;
    @Nullable
    private Month T0;
    private k U0;
    private b V0;
    private RecyclerView W0;
    private RecyclerView X0;
    private View Y0;
    private View Z0;

    /* access modifiers changed from: package-private */
    /* compiled from: MaterialCalendar */
    public class a implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f11583a;

        a(int i) {
            this.f11583a = i;
        }

        public void run() {
            f.this.X0.smoothScrollToPosition(this.f11583a);
        }
    }

    /* compiled from: MaterialCalendar */
    class b extends AccessibilityDelegateCompat {
        b() {
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            accessibilityNodeInfoCompat.setCollectionInfo(null);
        }
    }

    /* compiled from: MaterialCalendar */
    class c extends n {

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f11586b;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(Context context, int i, boolean z, int i2) {
            super(context, i, z);
            this.f11586b = i2;
        }

        /* access modifiers changed from: protected */
        @Override // androidx.recyclerview.widget.LinearLayoutManager
        public void calculateExtraLayoutSpace(@NonNull RecyclerView.w wVar, @NonNull int[] iArr) {
            if (this.f11586b == 0) {
                iArr[0] = f.this.X0.getWidth();
                iArr[1] = f.this.X0.getWidth();
                return;
            }
            iArr[0] = f.this.X0.getHeight();
            iArr[1] = f.this.X0.getHeight();
        }
    }

    /* compiled from: MaterialCalendar */
    class d implements l {
        d() {
        }

        @Override // com.google.android.material.datepicker.f.l
        public void a(long j) {
            if (f.this.S0.f().T0(j)) {
                f.this.R0.g1(j);
                Iterator<l<S>> it = f.this.f11618a.iterator();
                while (it.hasNext()) {
                    it.next().b((S) f.this.R0.c1());
                }
                f.this.X0.getAdapter().notifyDataSetChanged();
                if (f.this.W0 != null) {
                    f.this.W0.getAdapter().notifyDataSetChanged();
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MaterialCalendar */
    public class e extends RecyclerView.l {

        /* renamed from: a  reason: collision with root package name */
        private final Calendar f11589a = p.v();

        /* renamed from: b  reason: collision with root package name */
        private final Calendar f11590b = p.v();

        e() {
        }

        @Override // androidx.recyclerview.widget.RecyclerView.l
        public void onDraw(@NonNull Canvas canvas, @NonNull RecyclerView recyclerView, @NonNull RecyclerView.w wVar) {
            int i;
            if ((recyclerView.getAdapter() instanceof q) && (recyclerView.getLayoutManager() instanceof GridLayoutManager)) {
                q qVar = (q) recyclerView.getAdapter();
                GridLayoutManager gridLayoutManager = (GridLayoutManager) recyclerView.getLayoutManager();
                for (androidx.core.util.i<Long, Long> iVar : f.this.R0.I()) {
                    F f = iVar.f2818a;
                    if (!(f == null || iVar.f2819b == null)) {
                        this.f11589a.setTimeInMillis(f.longValue());
                        this.f11590b.setTimeInMillis(iVar.f2819b.longValue());
                        int p = qVar.p(this.f11589a.get(1));
                        int p2 = qVar.p(this.f11590b.get(1));
                        View findViewByPosition = gridLayoutManager.findViewByPosition(p);
                        View findViewByPosition2 = gridLayoutManager.findViewByPosition(p2);
                        int s = p / gridLayoutManager.s();
                        int s2 = p2 / gridLayoutManager.s();
                        int i2 = s;
                        while (i2 <= s2) {
                            View findViewByPosition3 = gridLayoutManager.findViewByPosition(gridLayoutManager.s() * i2);
                            if (findViewByPosition3 != null) {
                                int top2 = findViewByPosition3.getTop() + f.this.V0.f11572d.e();
                                int bottom = findViewByPosition3.getBottom() - f.this.V0.f11572d.b();
                                int left = i2 == s ? findViewByPosition.getLeft() + (findViewByPosition.getWidth() / 2) : 0;
                                if (i2 == s2) {
                                    i = findViewByPosition2.getLeft() + (findViewByPosition2.getWidth() / 2);
                                } else {
                                    i = recyclerView.getWidth();
                                }
                                canvas.drawRect((float) left, (float) top2, (float) i, (float) bottom, f.this.V0.h);
                            }
                            i2++;
                        }
                    }
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.google.android.material.datepicker.f$f  reason: collision with other inner class name */
    /* compiled from: MaterialCalendar */
    public class C0259f extends AccessibilityDelegateCompat {
        C0259f() {
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            String str;
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            if (f.this.Z0.getVisibility() == 0) {
                str = f.this.getString(R.string.mtrl_picker_toggle_to_year_selection);
            } else {
                str = f.this.getString(R.string.mtrl_picker_toggle_to_day_selection);
            }
            accessibilityNodeInfoCompat.setHintText(str);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MaterialCalendar */
    public class g extends RecyclerView.p {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ k f11593a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ MaterialButton f11594b;

        g(k kVar, MaterialButton materialButton) {
            this.f11593a = kVar;
            this.f11594b = materialButton;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.p
        public void onScrollStateChanged(@NonNull RecyclerView recyclerView, int i) {
            if (i == 0) {
                CharSequence text = this.f11594b.getText();
                if (Build.VERSION.SDK_INT >= 16) {
                    recyclerView.announceForAccessibility(text);
                } else {
                    recyclerView.sendAccessibilityEvent(2048);
                }
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.p
        public void onScrolled(@NonNull RecyclerView recyclerView, int i, int i2) {
            int i3;
            if (i < 0) {
                i3 = f.this.d0().findFirstVisibleItemPosition();
            } else {
                i3 = f.this.d0().findLastVisibleItemPosition();
            }
            f.this.T0 = this.f11593a.o(i3);
            this.f11594b.setText(this.f11593a.p(i3));
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MaterialCalendar */
    public class h implements View.OnClickListener {
        h() {
        }

        public void onClick(View view) {
            f.this.k0();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MaterialCalendar */
    public class i implements View.OnClickListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ k f11597a;

        i(k kVar) {
            this.f11597a = kVar;
        }

        public void onClick(View view) {
            int findFirstVisibleItemPosition = f.this.d0().findFirstVisibleItemPosition() + 1;
            if (findFirstVisibleItemPosition < f.this.X0.getAdapter().getItemCount()) {
                f.this.i0(this.f11597a.o(findFirstVisibleItemPosition));
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MaterialCalendar */
    public class j implements View.OnClickListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ k f11599a;

        j(k kVar) {
            this.f11599a = kVar;
        }

        public void onClick(View view) {
            int findLastVisibleItemPosition = f.this.d0().findLastVisibleItemPosition() - 1;
            if (findLastVisibleItemPosition >= 0) {
                f.this.i0(this.f11599a.o(findLastVisibleItemPosition));
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MaterialCalendar */
    public enum k {
        DAY,
        YEAR
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MaterialCalendar */
    public interface l {
        void a(long j);
    }

    private void U(@NonNull View view, @NonNull k kVar) {
        MaterialButton materialButton = (MaterialButton) view.findViewById(R.id.month_navigation_fragment_toggle);
        materialButton.setTag(P0);
        ViewCompat.setAccessibilityDelegate(materialButton, new C0259f());
        MaterialButton materialButton2 = (MaterialButton) view.findViewById(R.id.month_navigation_previous);
        materialButton2.setTag(N0);
        MaterialButton materialButton3 = (MaterialButton) view.findViewById(R.id.month_navigation_next);
        materialButton3.setTag(O0);
        this.Y0 = view.findViewById(R.id.mtrl_calendar_year_selector_frame);
        this.Z0 = view.findViewById(R.id.mtrl_calendar_day_selector_frame);
        j0(k.DAY);
        materialButton.setText(this.T0.l(view.getContext()));
        this.X0.addOnScrollListener(new g(kVar, materialButton));
        materialButton.setOnClickListener(new h());
        materialButton3.setOnClickListener(new i(kVar));
        materialButton2.setOnClickListener(new j(kVar));
    }

    @NonNull
    private RecyclerView.l V() {
        return new e();
    }

    @Px
    static int b0(@NonNull Context context) {
        return context.getResources().getDimensionPixelSize(R.dimen.mtrl_calendar_day_height);
    }

    @NonNull
    public static <T> f<T> f0(@NonNull DateSelector<T> dateSelector, @StyleRes int i2, @NonNull CalendarConstraints calendarConstraints) {
        f<T> fVar = new f<>();
        Bundle bundle = new Bundle();
        bundle.putInt(f11582b, i2);
        bundle.putParcelable(I0, dateSelector);
        bundle.putParcelable(J0, calendarConstraints);
        bundle.putParcelable(K0, calendarConstraints.i());
        fVar.setArguments(bundle);
        return fVar;
    }

    private void h0(int i2) {
        this.X0.post(new a(i2));
    }

    @Override // com.google.android.material.datepicker.m
    public boolean A(@NonNull l<S> lVar) {
        return super.A(lVar);
    }

    @Override // com.google.android.material.datepicker.m
    @Nullable
    public DateSelector<S> C() {
        return this.R0;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public CalendarConstraints W() {
        return this.S0;
    }

    /* access modifiers changed from: package-private */
    public b Z() {
        return this.V0;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public Month a0() {
        return this.T0;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public LinearLayoutManager d0() {
        return (LinearLayoutManager) this.X0.getLayoutManager();
    }

    /* access modifiers changed from: package-private */
    public void i0(Month month) {
        k kVar = (k) this.X0.getAdapter();
        int q = kVar.q(month);
        int q2 = q - kVar.q(this.T0);
        boolean z = true;
        boolean z2 = Math.abs(q2) > 3;
        if (q2 <= 0) {
            z = false;
        }
        this.T0 = month;
        if (z2 && z) {
            this.X0.scrollToPosition(q - 3);
            h0(q);
        } else if (z2) {
            this.X0.scrollToPosition(q + 3);
            h0(q);
        } else {
            h0(q);
        }
    }

    /* access modifiers changed from: package-private */
    public void j0(k kVar) {
        this.U0 = kVar;
        if (kVar == k.YEAR) {
            this.W0.getLayoutManager().scrollToPosition(((q) this.W0.getAdapter()).p(this.T0.I0));
            this.Y0.setVisibility(0);
            this.Z0.setVisibility(8);
        } else if (kVar == k.DAY) {
            this.Y0.setVisibility(8);
            this.Z0.setVisibility(0);
            i0(this.T0);
        }
    }

    /* access modifiers changed from: package-private */
    public void k0() {
        k kVar = this.U0;
        k kVar2 = k.YEAR;
        if (kVar == kVar2) {
            j0(k.DAY);
        } else if (kVar == k.DAY) {
            j0(kVar2);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onCreate(@Nullable Bundle bundle) {
        super.onCreate(bundle);
        if (bundle == null) {
            bundle = getArguments();
        }
        this.Q0 = bundle.getInt(f11582b);
        this.R0 = (DateSelector) bundle.getParcelable(I0);
        this.S0 = (CalendarConstraints) bundle.getParcelable(J0);
        this.T0 = (Month) bundle.getParcelable(K0);
    }

    @Override // androidx.fragment.app.Fragment
    @NonNull
    public View onCreateView(@NonNull LayoutInflater layoutInflater, @Nullable ViewGroup viewGroup, @Nullable Bundle bundle) {
        int i2;
        int i3;
        ContextThemeWrapper contextThemeWrapper = new ContextThemeWrapper(getContext(), this.Q0);
        this.V0 = new b(contextThemeWrapper);
        LayoutInflater cloneInContext = layoutInflater.cloneInContext(contextThemeWrapper);
        Month j2 = this.S0.j();
        if (MaterialDatePicker.l0(contextThemeWrapper)) {
            i3 = R.layout.mtrl_calendar_vertical;
            i2 = 1;
        } else {
            i3 = R.layout.mtrl_calendar_horizontal;
            i2 = 0;
        }
        View inflate = cloneInContext.inflate(i3, viewGroup, false);
        GridView gridView = (GridView) inflate.findViewById(R.id.mtrl_calendar_days_of_week);
        ViewCompat.setAccessibilityDelegate(gridView, new b());
        gridView.setAdapter((ListAdapter) new e());
        gridView.setNumColumns(j2.J0);
        gridView.setEnabled(false);
        this.X0 = (RecyclerView) inflate.findViewById(R.id.mtrl_calendar_months);
        this.X0.setLayoutManager(new c(getContext(), i2, false, i2));
        this.X0.setTag(M0);
        k kVar = new k(contextThemeWrapper, this.R0, this.S0, new d());
        this.X0.setAdapter(kVar);
        int integer = contextThemeWrapper.getResources().getInteger(R.integer.mtrl_calendar_year_selector_span);
        RecyclerView recyclerView = (RecyclerView) inflate.findViewById(R.id.mtrl_calendar_year_selector_frame);
        this.W0 = recyclerView;
        if (recyclerView != null) {
            recyclerView.setHasFixedSize(true);
            this.W0.setLayoutManager(new GridLayoutManager((Context) contextThemeWrapper, integer, 1, false));
            this.W0.setAdapter(new q(this));
            this.W0.addItemDecoration(V());
        }
        if (inflate.findViewById(R.id.month_navigation_fragment_toggle) != null) {
            U(inflate, kVar);
        }
        if (!MaterialDatePicker.l0(contextThemeWrapper)) {
            new z().attachToRecyclerView(this.X0);
        }
        this.X0.scrollToPosition(kVar.q(this.T0));
        return inflate;
    }

    @Override // androidx.fragment.app.Fragment
    public void onSaveInstanceState(@NonNull Bundle bundle) {
        super.onSaveInstanceState(bundle);
        bundle.putInt(f11582b, this.Q0);
        bundle.putParcelable(I0, this.R0);
        bundle.putParcelable(J0, this.S0);
        bundle.putParcelable(K0, this.T0);
    }
}
