package com.google.android.material.datepicker;

import android.app.DatePickerDialog;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import androidx.annotation.AttrRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import com.google.android.material.R;
import com.google.android.material.d.a;
import com.google.android.material.d.c;
import com.google.android.material.i.b;
import com.google.android.material.shape.MaterialShapeDrawable;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP, RestrictTo.Scope.TESTS})
/* compiled from: MaterialStyledDatePickerDialog */
public class h extends DatePickerDialog {
    @AttrRes

    /* renamed from: a  reason: collision with root package name */
    private static final int f11603a = 16843612;
    @StyleRes

    /* renamed from: b  reason: collision with root package name */
    private static final int f11604b = R.style.MaterialAlertDialog_MaterialComponents_Picker_Date_Spinner;
    @NonNull
    private final Drawable I0;
    @NonNull
    private final Rect J0;

    public h(@NonNull Context context) {
        this(context, 0);
    }

    /* access modifiers changed from: protected */
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        getWindow().setBackgroundDrawable(this.I0);
        getWindow().getDecorView().setOnTouchListener(new a(this, this.J0));
    }

    public h(@NonNull Context context, int i) {
        this(context, i, null, -1, -1, -1);
    }

    public h(@NonNull Context context, @Nullable DatePickerDialog.OnDateSetListener onDateSetListener, int i, int i2, int i3) {
        this(context, 0, onDateSetListener, i, i2, i3);
    }

    public h(@NonNull Context context, int i, @Nullable DatePickerDialog.OnDateSetListener onDateSetListener, int i2, int i3, int i4) {
        super(context, i, onDateSetListener, i2, i3, i4);
        Context context2 = getContext();
        int f = b.f(getContext(), R.attr.colorSurface, getClass().getCanonicalName());
        int i5 = f11604b;
        MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable(context2, null, f11603a, i5);
        if (Build.VERSION.SDK_INT >= 21) {
            materialShapeDrawable.n0(ColorStateList.valueOf(f));
        } else {
            materialShapeDrawable.n0(ColorStateList.valueOf(0));
        }
        Rect a2 = c.a(context2, f11603a, i5);
        this.J0 = a2;
        this.I0 = c.b(materialShapeDrawable, a2);
    }
}
