package com.google.android.material.datepicker;

import android.os.Bundle;
import android.view.ContextThemeWrapper;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import java.util.Iterator;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
/* compiled from: MaterialTextInputPicker */
public final class i<S> extends m<S> {
    private static final String I0 = "DATE_SELECTOR_KEY";
    private static final String J0 = "CALENDAR_CONSTRAINTS_KEY";

    /* renamed from: b  reason: collision with root package name */
    private static final String f11605b = "THEME_RES_ID_KEY";
    @StyleRes
    private int K0;
    @Nullable
    private DateSelector<S> L0;
    @Nullable
    private CalendarConstraints M0;

    /* compiled from: MaterialTextInputPicker */
    class a extends l<S> {
        a() {
        }

        @Override // com.google.android.material.datepicker.l
        public void a() {
            Iterator<l<S>> it = i.this.f11618a.iterator();
            while (it.hasNext()) {
                it.next().a();
            }
        }

        @Override // com.google.android.material.datepicker.l
        public void b(S s) {
            Iterator<l<S>> it = i.this.f11618a.iterator();
            while (it.hasNext()) {
                it.next().b(s);
            }
        }
    }

    @NonNull
    static <T> i<T> G(DateSelector<T> dateSelector, @StyleRes int i, @NonNull CalendarConstraints calendarConstraints) {
        i<T> iVar = new i<>();
        Bundle bundle = new Bundle();
        bundle.putInt(f11605b, i);
        bundle.putParcelable(I0, dateSelector);
        bundle.putParcelable(J0, calendarConstraints);
        iVar.setArguments(bundle);
        return iVar;
    }

    @Override // com.google.android.material.datepicker.m
    @NonNull
    public DateSelector<S> C() {
        DateSelector<S> dateSelector = this.L0;
        if (dateSelector != null) {
            return dateSelector;
        }
        throw new IllegalStateException("dateSelector should not be null. Use MaterialTextInputPicker#newInstance() to create this fragment with a DateSelector, and call this method after the fragment has been created.");
    }

    @Override // androidx.fragment.app.Fragment
    public void onCreate(@Nullable Bundle bundle) {
        super.onCreate(bundle);
        if (bundle == null) {
            bundle = getArguments();
        }
        this.K0 = bundle.getInt(f11605b);
        this.L0 = (DateSelector) bundle.getParcelable(I0);
        this.M0 = (CalendarConstraints) bundle.getParcelable(J0);
    }

    @Override // androidx.fragment.app.Fragment
    @NonNull
    public View onCreateView(@NonNull LayoutInflater layoutInflater, @Nullable ViewGroup viewGroup, @Nullable Bundle bundle) {
        return this.L0.z0(layoutInflater.cloneInContext(new ContextThemeWrapper(getContext(), this.K0)), viewGroup, bundle, this.M0, new a());
    }

    @Override // androidx.fragment.app.Fragment
    public void onSaveInstanceState(@NonNull Bundle bundle) {
        super.onSaveInstanceState(bundle);
        bundle.putInt(f11605b, this.K0);
        bundle.putParcelable(I0, this.L0);
        bundle.putParcelable(J0, this.M0);
    }
}
