package com.google.android.material.datepicker;

import android.annotation.TargetApi;
import android.content.res.Resources;
import android.icu.text.DateFormat;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.material.R;
import com.ibm.icu.impl.number.Padder;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Locale;
import java.util.TimeZone;
import java.util.concurrent.atomic.AtomicReference;

/* access modifiers changed from: package-private */
/* compiled from: UtcDates */
public class p {

    /* renamed from: a  reason: collision with root package name */
    static final String f11624a = "UTC";

    /* renamed from: b  reason: collision with root package name */
    static AtomicReference<o> f11625b = new AtomicReference<>();

    private p() {
    }

    static void A(@Nullable o oVar) {
        f11625b.set(oVar);
    }

    static long a(long j) {
        Calendar v = v();
        v.setTimeInMillis(j);
        return f(v).getTimeInMillis();
    }

    private static int b(@NonNull String str, @NonNull String str2, int i, int i2) {
        while (i2 >= 0 && i2 < str.length() && str2.indexOf(str.charAt(i2)) == -1) {
            if (str.charAt(i2) == '\'') {
                do {
                    i2 += i;
                    if (i2 < 0 || i2 >= str.length()) {
                        break;
                    }
                } while (str.charAt(i2) != '\'');
            }
            i2 += i;
        }
        return i2;
    }

    @TargetApi(24)
    static DateFormat c(Locale locale) {
        return e(com.ibm.icu.text.DateFormat.ABBR_MONTH_DAY, locale);
    }

    @TargetApi(24)
    static DateFormat d(Locale locale) {
        return e(com.ibm.icu.text.DateFormat.ABBR_MONTH_WEEKDAY_DAY, locale);
    }

    @TargetApi(24)
    private static DateFormat e(String str, Locale locale) {
        DateFormat instanceForSkeleton = DateFormat.getInstanceForSkeleton(str, locale);
        instanceForSkeleton.setTimeZone(u());
        return instanceForSkeleton;
    }

    static Calendar f(Calendar calendar) {
        Calendar w = w(calendar);
        Calendar v = v();
        v.set(w.get(1), w.get(2), w.get(5));
        return v;
    }

    private static java.text.DateFormat g(int i, Locale locale) {
        java.text.DateFormat dateInstance = java.text.DateFormat.getDateInstance(i, locale);
        dateInstance.setTimeZone(s());
        return dateInstance;
    }

    static java.text.DateFormat h() {
        return i(Locale.getDefault());
    }

    static java.text.DateFormat i(Locale locale) {
        return g(0, locale);
    }

    static java.text.DateFormat j() {
        return k(Locale.getDefault());
    }

    static java.text.DateFormat k(Locale locale) {
        return g(2, locale);
    }

    static java.text.DateFormat l() {
        return m(Locale.getDefault());
    }

    static java.text.DateFormat m(Locale locale) {
        SimpleDateFormat simpleDateFormat = (SimpleDateFormat) k(locale);
        simpleDateFormat.applyPattern(z(simpleDateFormat.toPattern()));
        return simpleDateFormat;
    }

    static SimpleDateFormat n(String str) {
        return o(str, Locale.getDefault());
    }

    private static SimpleDateFormat o(String str, Locale locale) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat(str, locale);
        simpleDateFormat.setTimeZone(s());
        return simpleDateFormat;
    }

    static SimpleDateFormat p() {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat(((SimpleDateFormat) java.text.DateFormat.getDateInstance(3, Locale.getDefault())).toLocalizedPattern().replaceAll("\\s+", ""), Locale.getDefault());
        simpleDateFormat.setTimeZone(s());
        simpleDateFormat.setLenient(false);
        return simpleDateFormat;
    }

    static String q(Resources resources, SimpleDateFormat simpleDateFormat) {
        String localizedPattern = simpleDateFormat.toLocalizedPattern();
        return localizedPattern.replaceAll(com.ibm.icu.text.DateFormat.DAY, resources.getString(R.string.mtrl_picker_text_input_day_abbr)).replaceAll("M", resources.getString(R.string.mtrl_picker_text_input_month_abbr)).replaceAll(com.ibm.icu.text.DateFormat.YEAR, resources.getString(R.string.mtrl_picker_text_input_year_abbr));
    }

    static o r() {
        o oVar = f11625b.get();
        return oVar == null ? o.e() : oVar;
    }

    private static TimeZone s() {
        return TimeZone.getTimeZone(f11624a);
    }

    static Calendar t() {
        Calendar c2 = r().c();
        c2.set(11, 0);
        c2.set(12, 0);
        c2.set(13, 0);
        c2.set(14, 0);
        c2.setTimeZone(s());
        return c2;
    }

    @TargetApi(24)
    private static android.icu.util.TimeZone u() {
        return android.icu.util.TimeZone.getTimeZone(f11624a);
    }

    static Calendar v() {
        return w(null);
    }

    static Calendar w(@Nullable Calendar calendar) {
        Calendar instance = Calendar.getInstance(s());
        if (calendar == null) {
            instance.clear();
        } else {
            instance.setTimeInMillis(calendar.getTimeInMillis());
        }
        return instance;
    }

    @TargetApi(24)
    static DateFormat x(Locale locale) {
        return e(com.ibm.icu.text.DateFormat.YEAR_ABBR_MONTH_DAY, locale);
    }

    @TargetApi(24)
    static DateFormat y(Locale locale) {
        return e(com.ibm.icu.text.DateFormat.YEAR_ABBR_MONTH_WEEKDAY_DAY, locale);
    }

    @NonNull
    private static String z(@NonNull String str) {
        int b2 = b(str, "yY", 1, 0);
        if (b2 >= str.length()) {
            return str;
        }
        String str2 = "EMd";
        int b3 = b(str, str2, 1, b2);
        if (b3 < str.length()) {
            str2 = str2 + ",";
        }
        return str.replace(str.substring(b(str, str2, -1, b2) + 1, b3), Padder.f14124a).trim();
    }
}
