package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.annotation.AnimatorRes;
import androidx.annotation.ColorInt;
import androidx.annotation.DimenRes;
import androidx.annotation.DrawableRes;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.VisibleForTesting;
import androidx.appcompat.widget.f;
import androidx.appcompat.widget.h;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.TintableBackgroundView;
import androidx.core.view.ViewCompat;
import androidx.core.widget.u;
import com.google.android.material.R;
import com.google.android.material.a.k;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.floatingactionbutton.d;
import com.google.android.material.internal.VisibilityAwareImageButton;
import com.google.android.material.shape.m;
import com.google.android.material.shape.q;
import com.google.android.material.stateful.ExtendableSavedState;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.List;

public class FloatingActionButton extends VisibilityAwareImageButton implements TintableBackgroundView, u, com.google.android.material.g.a, q, CoordinatorLayout.b {
    private static final String I0 = "expandableWidgetHelper";
    private static final int J0 = R.style.Widget_Design_FloatingActionButton;
    public static final int K0 = 1;
    public static final int L0 = 0;
    public static final int M0 = -1;
    public static final int N0 = 0;
    private static final int O0 = 470;

    /* renamed from: b  reason: collision with root package name */
    private static final String f11644b = "FloatingActionButton";
    @Nullable
    private ColorStateList P0;
    @Nullable
    private PorterDuff.Mode Q0;
    @Nullable
    private ColorStateList R0;
    @Nullable
    private PorterDuff.Mode S0;
    @Nullable
    private ColorStateList T0;
    private int U0;
    private int V0;
    private int W0;
    private int X0;
    private int Y0;
    boolean Z0;
    final Rect a1;
    private final Rect b1;
    @NonNull
    private final h c1;
    @NonNull
    private final com.google.android.material.g.c d1;
    private d e1;

    public static class Behavior extends BaseBehavior<FloatingActionButton> {
        public Behavior() {
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        public /* bridge */ /* synthetic */ boolean G(@NonNull CoordinatorLayout coordinatorLayout, @NonNull FloatingActionButton floatingActionButton, @NonNull Rect rect) {
            return super.b(coordinatorLayout, floatingActionButton, rect);
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        public /* bridge */ /* synthetic */ boolean H() {
            return super.H();
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        public /* bridge */ /* synthetic */ boolean K(CoordinatorLayout coordinatorLayout, @NonNull FloatingActionButton floatingActionButton, View view) {
            return super.i(coordinatorLayout, floatingActionButton, view);
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        public /* bridge */ /* synthetic */ boolean L(@NonNull CoordinatorLayout coordinatorLayout, @NonNull FloatingActionButton floatingActionButton, int i) {
            return super.m(coordinatorLayout, floatingActionButton, i);
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        public /* bridge */ /* synthetic */ void M(boolean z) {
            super.M(z);
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        @VisibleForTesting
        public /* bridge */ /* synthetic */ void N(b bVar) {
            super.N(bVar);
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior, com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        public /* bridge */ /* synthetic */ void h(@NonNull CoordinatorLayout.d dVar) {
            super.h(dVar);
        }

        public Behavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface Size {
    }

    /* access modifiers changed from: package-private */
    public class a implements d.j {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ b f11649a;

        a(b bVar) {
            this.f11649a = bVar;
        }

        @Override // com.google.android.material.floatingactionbutton.d.j
        public void a() {
            this.f11649a.b(FloatingActionButton.this);
        }

        @Override // com.google.android.material.floatingactionbutton.d.j
        public void b() {
            this.f11649a.a(FloatingActionButton.this);
        }
    }

    public static abstract class b {
        public void a(FloatingActionButton floatingActionButton) {
        }

        public void b(FloatingActionButton floatingActionButton) {
        }
    }

    /* access modifiers changed from: private */
    public class c implements com.google.android.material.k.c {
        c() {
        }

        @Override // com.google.android.material.k.c
        public void a(@Nullable Drawable drawable) {
            if (drawable != null) {
                FloatingActionButton.super.setBackgroundDrawable(drawable);
            }
        }

        @Override // com.google.android.material.k.c
        public void b(int i, int i2, int i3, int i4) {
            FloatingActionButton.this.a1.set(i, i2, i3, i4);
            FloatingActionButton floatingActionButton = FloatingActionButton.this;
            floatingActionButton.setPadding(i + floatingActionButton.X0, i2 + FloatingActionButton.this.X0, i3 + FloatingActionButton.this.X0, i4 + FloatingActionButton.this.X0);
        }

        @Override // com.google.android.material.k.c
        public boolean c() {
            return FloatingActionButton.this.Z0;
        }

        @Override // com.google.android.material.k.c
        public float d() {
            return ((float) FloatingActionButton.this.getSizeDimension()) / 2.0f;
        }
    }

    class d<T extends FloatingActionButton> implements d.i {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        private final k<T> f11652a;

        d(@NonNull k<T> kVar) {
            this.f11652a = kVar;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.android.material.a.k<T extends com.google.android.material.floatingactionbutton.FloatingActionButton> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.android.material.floatingactionbutton.d.i
        public void a() {
            this.f11652a.b(FloatingActionButton.this);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.google.android.material.a.k<T extends com.google.android.material.floatingactionbutton.FloatingActionButton> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // com.google.android.material.floatingactionbutton.d.i
        public void b() {
            this.f11652a.a(FloatingActionButton.this);
        }

        public boolean equals(@Nullable Object obj) {
            return (obj instanceof d) && ((d) obj).f11652a.equals(this.f11652a);
        }

        public int hashCode() {
            return this.f11652a.hashCode();
        }
    }

    public FloatingActionButton(@NonNull Context context) {
        this(context, null);
    }

    @Nullable
    private d.j C(@Nullable b bVar) {
        if (bVar == null) {
            return null;
        }
        return new a(bVar);
    }

    private d getImpl() {
        if (this.e1 == null) {
            this.e1 = j();
        }
        return this.e1;
    }

    @NonNull
    private d j() {
        if (Build.VERSION.SDK_INT >= 21) {
            return new e(this, new c());
        }
        return new d(this, new c());
    }

    private int m(int i) {
        int i2 = this.W0;
        if (i2 != 0) {
            return i2;
        }
        Resources resources = getResources();
        if (i != -1) {
            if (i != 1) {
                return resources.getDimensionPixelSize(R.dimen.design_fab_size_normal);
            }
            return resources.getDimensionPixelSize(R.dimen.design_fab_size_mini);
        } else if (Math.max(resources.getConfiguration().screenWidthDp, resources.getConfiguration().screenHeightDp) < O0) {
            return m(1);
        } else {
            return m(0);
        }
    }

    private void s(@NonNull Rect rect) {
        int i = rect.left;
        Rect rect2 = this.a1;
        rect.left = i + rect2.left;
        rect.top += rect2.top;
        rect.right -= rect2.right;
        rect.bottom -= rect2.bottom;
    }

    private void t() {
        Drawable drawable = getDrawable();
        if (drawable != null) {
            ColorStateList colorStateList = this.R0;
            if (colorStateList == null) {
                androidx.core.graphics.drawable.c.c(drawable);
                return;
            }
            int colorForState = colorStateList.getColorForState(getDrawableState(), 0);
            PorterDuff.Mode mode = this.S0;
            if (mode == null) {
                mode = PorterDuff.Mode.SRC_IN;
            }
            drawable.mutate().setColorFilter(f.e(colorForState, mode));
        }
    }

    private static int x(int i, int i2) {
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode == Integer.MIN_VALUE) {
            return Math.min(i, size);
        }
        if (mode == 0) {
            return i;
        }
        if (mode == 1073741824) {
            return size;
        }
        throw new IllegalArgumentException();
    }

    public void A(@Nullable b bVar) {
        B(bVar, true);
    }

    /* access modifiers changed from: package-private */
    public void B(@Nullable b bVar, boolean z) {
        getImpl().f0(C(bVar), z);
    }

    @Override // com.google.android.material.g.b
    public boolean a(boolean z) {
        return this.d1.f(z);
    }

    @Override // com.google.android.material.g.b
    public boolean b() {
        return this.d1.c();
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        getImpl().E(getDrawableState());
    }

    public void f(@NonNull Animator.AnimatorListener animatorListener) {
        getImpl().d(animatorListener);
    }

    public void g(@NonNull Animator.AnimatorListener animatorListener) {
        getImpl().e(animatorListener);
    }

    @Nullable
    public ColorStateList getBackgroundTintList() {
        return this.P0;
    }

    @Nullable
    public PorterDuff.Mode getBackgroundTintMode() {
        return this.Q0;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    @NonNull
    public CoordinatorLayout.Behavior<FloatingActionButton> getBehavior() {
        return new Behavior();
    }

    public float getCompatElevation() {
        return getImpl().n();
    }

    public float getCompatHoveredFocusedTranslationZ() {
        return getImpl().q();
    }

    public float getCompatPressedTranslationZ() {
        return getImpl().t();
    }

    @Nullable
    public Drawable getContentBackground() {
        return getImpl().k();
    }

    @Px
    public int getCustomSize() {
        return this.W0;
    }

    @Override // com.google.android.material.g.a
    public int getExpandedComponentIdHint() {
        return this.d1.b();
    }

    @Nullable
    public com.google.android.material.a.h getHideMotionSpec() {
        return getImpl().p();
    }

    @ColorInt
    @Deprecated
    public int getRippleColor() {
        ColorStateList colorStateList = this.T0;
        if (colorStateList != null) {
            return colorStateList.getDefaultColor();
        }
        return 0;
    }

    @Nullable
    public ColorStateList getRippleColorStateList() {
        return this.T0;
    }

    @Override // com.google.android.material.shape.q
    @NonNull
    public m getShapeAppearanceModel() {
        return (m) androidx.core.util.m.g(getImpl().u());
    }

    @Nullable
    public com.google.android.material.a.h getShowMotionSpec() {
        return getImpl().v();
    }

    public int getSize() {
        return this.V0;
    }

    /* access modifiers changed from: package-private */
    public int getSizeDimension() {
        return m(this.V0);
    }

    @Override // androidx.core.view.TintableBackgroundView
    @Nullable
    public ColorStateList getSupportBackgroundTintList() {
        return getBackgroundTintList();
    }

    @Override // androidx.core.view.TintableBackgroundView
    @Nullable
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        return getBackgroundTintMode();
    }

    @Override // androidx.core.widget.u
    @Nullable
    public ColorStateList getSupportImageTintList() {
        return this.R0;
    }

    @Override // androidx.core.widget.u
    @Nullable
    public PorterDuff.Mode getSupportImageTintMode() {
        return this.S0;
    }

    public boolean getUseCompatPadding() {
        return this.Z0;
    }

    public void h(@NonNull k<? extends FloatingActionButton> kVar) {
        getImpl().f(new d(kVar));
    }

    public void i() {
        setCustomSize(0);
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        getImpl().A();
    }

    @Deprecated
    public boolean k(@NonNull Rect rect) {
        if (!ViewCompat.isLaidOut(this)) {
            return false;
        }
        rect.set(0, 0, getWidth(), getHeight());
        s(rect);
        return true;
    }

    public void l(@NonNull Rect rect) {
        rect.set(0, 0, getMeasuredWidth(), getMeasuredHeight());
        s(rect);
    }

    public void n() {
        o(null);
    }

    public void o(@Nullable b bVar) {
        p(bVar, true);
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        getImpl().B();
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        getImpl().D();
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        int sizeDimension = getSizeDimension();
        this.X0 = (sizeDimension - this.Y0) / 2;
        getImpl().i0();
        int min = Math.min(x(sizeDimension, i), x(sizeDimension, i2));
        Rect rect = this.a1;
        setMeasuredDimension(rect.left + min + rect.right, min + rect.top + rect.bottom);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof ExtendableSavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        ExtendableSavedState extendableSavedState = (ExtendableSavedState) parcelable;
        super.onRestoreInstanceState(extendableSavedState.a());
        this.d1.d((Bundle) androidx.core.util.m.g(extendableSavedState.I0.get(I0)));
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        Parcelable onSaveInstanceState = super.onSaveInstanceState();
        if (onSaveInstanceState == null) {
            onSaveInstanceState = new Bundle();
        }
        ExtendableSavedState extendableSavedState = new ExtendableSavedState(onSaveInstanceState);
        extendableSavedState.I0.put(I0, this.d1.e());
        return extendableSavedState;
    }

    public boolean onTouchEvent(@NonNull MotionEvent motionEvent) {
        if (motionEvent.getAction() != 0 || !k(this.b1) || this.b1.contains((int) motionEvent.getX(), (int) motionEvent.getY())) {
            return super.onTouchEvent(motionEvent);
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public void p(@Nullable b bVar, boolean z) {
        getImpl().w(C(bVar), z);
    }

    public boolean q() {
        return getImpl().y();
    }

    public boolean r() {
        return getImpl().z();
    }

    public void setBackgroundColor(int i) {
        Log.i(f11644b, "Setting a custom background is not supported.");
    }

    public void setBackgroundDrawable(Drawable drawable) {
        Log.i(f11644b, "Setting a custom background is not supported.");
    }

    public void setBackgroundResource(int i) {
        Log.i(f11644b, "Setting a custom background is not supported.");
    }

    public void setBackgroundTintList(@Nullable ColorStateList colorStateList) {
        if (this.P0 != colorStateList) {
            this.P0 = colorStateList;
            getImpl().O(colorStateList);
        }
    }

    public void setBackgroundTintMode(@Nullable PorterDuff.Mode mode) {
        if (this.Q0 != mode) {
            this.Q0 = mode;
            getImpl().P(mode);
        }
    }

    public void setCompatElevation(float f) {
        getImpl().Q(f);
    }

    public void setCompatElevationResource(@DimenRes int i) {
        setCompatElevation(getResources().getDimension(i));
    }

    public void setCompatHoveredFocusedTranslationZ(float f) {
        getImpl().T(f);
    }

    public void setCompatHoveredFocusedTranslationZResource(@DimenRes int i) {
        setCompatHoveredFocusedTranslationZ(getResources().getDimension(i));
    }

    public void setCompatPressedTranslationZ(float f) {
        getImpl().X(f);
    }

    public void setCompatPressedTranslationZResource(@DimenRes int i) {
        setCompatPressedTranslationZ(getResources().getDimension(i));
    }

    public void setCustomSize(@Px int i) {
        if (i < 0) {
            throw new IllegalArgumentException("Custom size must be non-negative");
        } else if (i != this.W0) {
            this.W0 = i;
            requestLayout();
        }
    }

    @RequiresApi(21)
    public void setElevation(float f) {
        super.setElevation(f);
        getImpl().j0(f);
    }

    public void setEnsureMinTouchTargetSize(boolean z) {
        if (z != getImpl().o()) {
            getImpl().R(z);
            requestLayout();
        }
    }

    @Override // com.google.android.material.g.a
    public void setExpandedComponentIdHint(@IdRes int i) {
        this.d1.g(i);
    }

    public void setHideMotionSpec(@Nullable com.google.android.material.a.h hVar) {
        getImpl().S(hVar);
    }

    public void setHideMotionSpecResource(@AnimatorRes int i) {
        setHideMotionSpec(com.google.android.material.a.h.d(getContext(), i));
    }

    public void setImageDrawable(@Nullable Drawable drawable) {
        if (getDrawable() != drawable) {
            super.setImageDrawable(drawable);
            getImpl().h0();
            if (this.R0 != null) {
                t();
            }
        }
    }

    public void setImageResource(@DrawableRes int i) {
        this.c1.g(i);
        t();
    }

    public void setRippleColor(@ColorInt int i) {
        setRippleColor(ColorStateList.valueOf(i));
    }

    public void setScaleX(float f) {
        super.setScaleX(f);
        getImpl().I();
    }

    public void setScaleY(float f) {
        super.setScaleY(f);
        getImpl().I();
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    @VisibleForTesting
    public void setShadowPaddingEnabled(boolean z) {
        getImpl().Z(z);
    }

    @Override // com.google.android.material.shape.q
    public void setShapeAppearanceModel(@NonNull m mVar) {
        getImpl().a0(mVar);
    }

    public void setShowMotionSpec(@Nullable com.google.android.material.a.h hVar) {
        getImpl().b0(hVar);
    }

    public void setShowMotionSpecResource(@AnimatorRes int i) {
        setShowMotionSpec(com.google.android.material.a.h.d(getContext(), i));
    }

    public void setSize(int i) {
        this.W0 = 0;
        if (i != this.V0) {
            this.V0 = i;
            requestLayout();
        }
    }

    @Override // androidx.core.view.TintableBackgroundView
    public void setSupportBackgroundTintList(@Nullable ColorStateList colorStateList) {
        setBackgroundTintList(colorStateList);
    }

    @Override // androidx.core.view.TintableBackgroundView
    public void setSupportBackgroundTintMode(@Nullable PorterDuff.Mode mode) {
        setBackgroundTintMode(mode);
    }

    @Override // androidx.core.widget.u
    public void setSupportImageTintList(@Nullable ColorStateList colorStateList) {
        if (this.R0 != colorStateList) {
            this.R0 = colorStateList;
            t();
        }
    }

    @Override // androidx.core.widget.u
    public void setSupportImageTintMode(@Nullable PorterDuff.Mode mode) {
        if (this.S0 != mode) {
            this.S0 = mode;
            t();
        }
    }

    public void setTranslationX(float f) {
        super.setTranslationX(f);
        getImpl().J();
    }

    public void setTranslationY(float f) {
        super.setTranslationY(f);
        getImpl().J();
    }

    public void setTranslationZ(float f) {
        super.setTranslationZ(f);
        getImpl().J();
    }

    public void setUseCompatPadding(boolean z) {
        if (this.Z0 != z) {
            this.Z0 = z;
            getImpl().C();
        }
    }

    @Override // com.google.android.material.internal.VisibilityAwareImageButton
    public void setVisibility(int i) {
        super.setVisibility(i);
    }

    public void u(@NonNull Animator.AnimatorListener animatorListener) {
        getImpl().K(animatorListener);
    }

    public void v(@NonNull Animator.AnimatorListener animatorListener) {
        getImpl().L(animatorListener);
    }

    public void w(@NonNull k<? extends FloatingActionButton> kVar) {
        getImpl().M(new d(kVar));
    }

    public boolean y() {
        return getImpl().o();
    }

    public void z() {
        A(null);
    }

    protected static class BaseBehavior<T extends FloatingActionButton> extends CoordinatorLayout.Behavior<T> {

        /* renamed from: a  reason: collision with root package name */
        private static final boolean f11645a = true;

        /* renamed from: b  reason: collision with root package name */
        private Rect f11646b;

        /* renamed from: c  reason: collision with root package name */
        private b f11647c;

        /* renamed from: d  reason: collision with root package name */
        private boolean f11648d;

        public BaseBehavior() {
            this.f11648d = true;
        }

        private static boolean I(@NonNull View view) {
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (layoutParams instanceof CoordinatorLayout.d) {
                return ((CoordinatorLayout.d) layoutParams).f() instanceof BottomSheetBehavior;
            }
            return false;
        }

        private void J(@NonNull CoordinatorLayout coordinatorLayout, @NonNull FloatingActionButton floatingActionButton) {
            int i;
            Rect rect = floatingActionButton.a1;
            if (rect != null && rect.centerX() > 0 && rect.centerY() > 0) {
                CoordinatorLayout.d dVar = (CoordinatorLayout.d) floatingActionButton.getLayoutParams();
                int i2 = 0;
                if (floatingActionButton.getRight() >= coordinatorLayout.getWidth() - ((ViewGroup.MarginLayoutParams) dVar).rightMargin) {
                    i = rect.right;
                } else {
                    i = floatingActionButton.getLeft() <= ((ViewGroup.MarginLayoutParams) dVar).leftMargin ? -rect.left : 0;
                }
                if (floatingActionButton.getBottom() >= coordinatorLayout.getHeight() - ((ViewGroup.MarginLayoutParams) dVar).bottomMargin) {
                    i2 = rect.bottom;
                } else if (floatingActionButton.getTop() <= ((ViewGroup.MarginLayoutParams) dVar).topMargin) {
                    i2 = -rect.top;
                }
                if (i2 != 0) {
                    ViewCompat.offsetTopAndBottom(floatingActionButton, i2);
                }
                if (i != 0) {
                    ViewCompat.offsetLeftAndRight(floatingActionButton, i);
                }
            }
        }

        private boolean O(@NonNull View view, @NonNull FloatingActionButton floatingActionButton) {
            CoordinatorLayout.d dVar = (CoordinatorLayout.d) floatingActionButton.getLayoutParams();
            if (this.f11648d && dVar.e() == view.getId() && floatingActionButton.getUserSetVisibility() == 0) {
                return true;
            }
            return false;
        }

        private boolean P(CoordinatorLayout coordinatorLayout, @NonNull AppBarLayout appBarLayout, @NonNull FloatingActionButton floatingActionButton) {
            if (!O(appBarLayout, floatingActionButton)) {
                return false;
            }
            if (this.f11646b == null) {
                this.f11646b = new Rect();
            }
            Rect rect = this.f11646b;
            com.google.android.material.internal.c.a(coordinatorLayout, appBarLayout, rect);
            if (rect.bottom <= appBarLayout.getMinimumHeightForVisibleOverlappingContent()) {
                floatingActionButton.p(this.f11647c, false);
                return true;
            }
            floatingActionButton.B(this.f11647c, false);
            return true;
        }

        private boolean Q(@NonNull View view, @NonNull FloatingActionButton floatingActionButton) {
            if (!O(view, floatingActionButton)) {
                return false;
            }
            if (view.getTop() < (floatingActionButton.getHeight() / 2) + ((ViewGroup.MarginLayoutParams) ((CoordinatorLayout.d) floatingActionButton.getLayoutParams())).topMargin) {
                floatingActionButton.p(this.f11647c, false);
                return true;
            }
            floatingActionButton.B(this.f11647c, false);
            return true;
        }

        /* renamed from: G */
        public boolean b(@NonNull CoordinatorLayout coordinatorLayout, @NonNull FloatingActionButton floatingActionButton, @NonNull Rect rect) {
            Rect rect2 = floatingActionButton.a1;
            rect.set(floatingActionButton.getLeft() + rect2.left, floatingActionButton.getTop() + rect2.top, floatingActionButton.getRight() - rect2.right, floatingActionButton.getBottom() - rect2.bottom);
            return true;
        }

        public boolean H() {
            return this.f11648d;
        }

        /* renamed from: K */
        public boolean i(CoordinatorLayout coordinatorLayout, @NonNull FloatingActionButton floatingActionButton, View view) {
            if (view instanceof AppBarLayout) {
                P(coordinatorLayout, (AppBarLayout) view, floatingActionButton);
                return false;
            } else if (!I(view)) {
                return false;
            } else {
                Q(view, floatingActionButton);
                return false;
            }
        }

        /* renamed from: L */
        public boolean m(@NonNull CoordinatorLayout coordinatorLayout, @NonNull FloatingActionButton floatingActionButton, int i) {
            List<View> q = coordinatorLayout.q(floatingActionButton);
            int size = q.size();
            for (int i2 = 0; i2 < size; i2++) {
                View view = q.get(i2);
                if (!(view instanceof AppBarLayout)) {
                    if (I(view) && Q(view, floatingActionButton)) {
                        break;
                    }
                } else if (P(coordinatorLayout, (AppBarLayout) view, floatingActionButton)) {
                    break;
                }
            }
            coordinatorLayout.H(floatingActionButton, i);
            J(coordinatorLayout, floatingActionButton);
            return true;
        }

        public void M(boolean z) {
            this.f11648d = z;
        }

        @VisibleForTesting
        public void N(b bVar) {
            this.f11647c = bVar;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public void h(@NonNull CoordinatorLayout.d dVar) {
            if (dVar.h == 0) {
                dVar.h = 80;
            }
        }

        public BaseBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.FloatingActionButton_Behavior_Layout);
            this.f11648d = obtainStyledAttributes.getBoolean(R.styleable.FloatingActionButton_Behavior_Layout_behavior_autoHide, true);
            obtainStyledAttributes.recycle();
        }
    }

    public FloatingActionButton(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.floatingActionButtonStyle);
    }

    public void setRippleColor(@Nullable ColorStateList colorStateList) {
        if (this.T0 != colorStateList) {
            this.T0 = colorStateList;
            getImpl().Y(this.T0);
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public FloatingActionButton(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i, r6), attributeSet, i);
        int i2 = J0;
        this.a1 = new Rect();
        this.b1 = new Rect();
        Context context2 = getContext();
        TypedArray j = com.google.android.material.internal.m.j(context2, attributeSet, R.styleable.FloatingActionButton, i, i2, new int[0]);
        this.P0 = com.google.android.material.i.c.a(context2, j, R.styleable.FloatingActionButton_backgroundTint);
        this.Q0 = com.google.android.material.internal.u.k(j.getInt(R.styleable.FloatingActionButton_backgroundTintMode, -1), null);
        this.T0 = com.google.android.material.i.c.a(context2, j, R.styleable.FloatingActionButton_rippleColor);
        this.V0 = j.getInt(R.styleable.FloatingActionButton_fabSize, -1);
        this.W0 = j.getDimensionPixelSize(R.styleable.FloatingActionButton_fabCustomSize, 0);
        this.U0 = j.getDimensionPixelSize(R.styleable.FloatingActionButton_borderWidth, 0);
        float dimension = j.getDimension(R.styleable.FloatingActionButton_elevation, 0.0f);
        float dimension2 = j.getDimension(R.styleable.FloatingActionButton_hoveredFocusedTranslationZ, 0.0f);
        float dimension3 = j.getDimension(R.styleable.FloatingActionButton_pressedTranslationZ, 0.0f);
        this.Z0 = j.getBoolean(R.styleable.FloatingActionButton_useCompatPadding, false);
        int dimensionPixelSize = getResources().getDimensionPixelSize(R.dimen.mtrl_fab_min_touch_target);
        this.Y0 = j.getDimensionPixelSize(R.styleable.FloatingActionButton_maxImageSize, 0);
        com.google.android.material.a.h c2 = com.google.android.material.a.h.c(context2, j, R.styleable.FloatingActionButton_showMotionSpec);
        com.google.android.material.a.h c3 = com.google.android.material.a.h.c(context2, j, R.styleable.FloatingActionButton_hideMotionSpec);
        m m = m.g(context2, attributeSet, i, i2, m.f11865a).m();
        boolean z = j.getBoolean(R.styleable.FloatingActionButton_ensureMinTouchTargetSize, false);
        setEnabled(j.getBoolean(R.styleable.FloatingActionButton_android_enabled, true));
        j.recycle();
        h hVar = new h(this);
        this.c1 = hVar;
        hVar.f(attributeSet, i);
        this.d1 = new com.google.android.material.g.c(this);
        getImpl().a0(m);
        getImpl().x(this.P0, this.Q0, this.T0, this.U0);
        getImpl().W(dimensionPixelSize);
        getImpl().Q(dimension);
        getImpl().T(dimension2);
        getImpl().X(dimension3);
        getImpl().V(this.Y0);
        getImpl().b0(c2);
        getImpl().S(c3);
        getImpl().R(z);
        setScaleType(ImageView.ScaleType.MATRIX);
    }
}
