package com.google.android.material.floatingactionbutton;

import android.annotation.TargetApi;
import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.LinearGradient;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.graphics.drawable.Drawable;
import androidx.annotation.ColorInt;
import androidx.annotation.Dimension;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.graphics.g;
import com.google.android.material.shape.m;
import com.google.android.material.shape.n;

/* access modifiers changed from: package-private */
@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
/* compiled from: BorderDrawable */
public class c extends Drawable {

    /* renamed from: a  reason: collision with root package name */
    private static final float f11661a = 1.3333f;

    /* renamed from: b  reason: collision with root package name */
    private final n f11662b = n.k();
    @NonNull

    /* renamed from: c  reason: collision with root package name */
    private final Paint f11663c;

    /* renamed from: d  reason: collision with root package name */
    private final Path f11664d = new Path();

    /* renamed from: e  reason: collision with root package name */
    private final Rect f11665e = new Rect();
    private final RectF f = new RectF();
    private final RectF g = new RectF();
    private final b h = new b();
    @Dimension
    float i;
    @ColorInt
    private int j;
    @ColorInt
    private int k;
    @ColorInt
    private int l;
    @ColorInt
    private int m;
    @ColorInt
    private int n;
    private boolean o = true;
    private m p;
    @Nullable
    private ColorStateList q;

    /* compiled from: BorderDrawable */
    private class b extends Drawable.ConstantState {
        private b() {
        }

        public int getChangingConfigurations() {
            return 0;
        }

        @NonNull
        public Drawable newDrawable() {
            return c.this;
        }
    }

    c(m mVar) {
        this.p = mVar;
        Paint paint = new Paint(1);
        this.f11663c = paint;
        paint.setStyle(Paint.Style.STROKE);
    }

    @NonNull
    private Shader a() {
        Rect rect = this.f11665e;
        copyBounds(rect);
        float height = this.i / ((float) rect.height());
        return new LinearGradient(0.0f, (float) rect.top, 0.0f, (float) rect.bottom, new int[]{g.t(this.j, this.n), g.t(this.k, this.n), g.t(g.B(this.k, 0), this.n), g.t(g.B(this.m, 0), this.n), g.t(this.m, this.n), g.t(this.l, this.n)}, new float[]{0.0f, height, 0.5f, 0.5f, 1.0f - height, 1.0f}, Shader.TileMode.CLAMP);
    }

    /* access modifiers changed from: protected */
    @NonNull
    public RectF b() {
        this.g.set(getBounds());
        return this.g;
    }

    public m c() {
        return this.p;
    }

    /* access modifiers changed from: package-private */
    public void d(@Nullable ColorStateList colorStateList) {
        if (colorStateList != null) {
            this.n = colorStateList.getColorForState(getState(), this.n);
        }
        this.q = colorStateList;
        this.o = true;
        invalidateSelf();
    }

    public void draw(@NonNull Canvas canvas) {
        if (this.o) {
            this.f11663c.setShader(a());
            this.o = false;
        }
        float strokeWidth = this.f11663c.getStrokeWidth() / 2.0f;
        copyBounds(this.f11665e);
        this.f.set(this.f11665e);
        float min = Math.min(this.p.r().a(b()), this.f.width() / 2.0f);
        if (this.p.u(b())) {
            this.f.inset(strokeWidth, strokeWidth);
            canvas.drawRoundRect(this.f, min, min, this.f11663c);
        }
    }

    public void e(@Dimension float f2) {
        if (this.i != f2) {
            this.i = f2;
            this.f11663c.setStrokeWidth(f2 * f11661a);
            this.o = true;
            invalidateSelf();
        }
    }

    /* access modifiers changed from: package-private */
    public void f(@ColorInt int i2, @ColorInt int i3, @ColorInt int i4, @ColorInt int i5) {
        this.j = i2;
        this.k = i3;
        this.l = i4;
        this.m = i5;
    }

    public void g(m mVar) {
        this.p = mVar;
        invalidateSelf();
    }

    @Nullable
    public Drawable.ConstantState getConstantState() {
        return this.h;
    }

    public int getOpacity() {
        return this.i > 0.0f ? -3 : -2;
    }

    @TargetApi(21)
    public void getOutline(@NonNull Outline outline) {
        if (this.p.u(b())) {
            outline.setRoundRect(getBounds(), this.p.r().a(b()));
            return;
        }
        copyBounds(this.f11665e);
        this.f.set(this.f11665e);
        this.f11662b.d(this.p, 1.0f, this.f, this.f11664d);
        if (this.f11664d.isConvex()) {
            outline.setConvexPath(this.f11664d);
        }
    }

    public boolean getPadding(@NonNull Rect rect) {
        if (!this.p.u(b())) {
            return true;
        }
        int round = Math.round(this.i);
        rect.set(round, round, round, round);
        return true;
    }

    public boolean isStateful() {
        ColorStateList colorStateList = this.q;
        return (colorStateList != null && colorStateList.isStateful()) || super.isStateful();
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        this.o = true;
    }

    /* access modifiers changed from: protected */
    public boolean onStateChange(int[] iArr) {
        int colorForState;
        ColorStateList colorStateList = this.q;
        if (!(colorStateList == null || (colorForState = colorStateList.getColorForState(iArr, this.n)) == this.n)) {
            this.o = true;
            this.n = colorForState;
        }
        if (this.o) {
            invalidateSelf();
        }
        return this.o;
    }

    public void setAlpha(@IntRange(from = 0, to = 255) int i2) {
        this.f11663c.setAlpha(i2);
        invalidateSelf();
    }

    public void setColorFilter(@Nullable ColorFilter colorFilter) {
        this.f11663c.setColorFilter(colorFilter);
        invalidateSelf();
    }
}
