package com.google.android.material.imageview;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.Rect;
import android.graphics.RectF;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewOutlineProvider;
import androidx.annotation.ColorRes;
import androidx.annotation.DimenRes;
import androidx.annotation.Dimension;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.appcompat.widget.AppCompatImageView;
import com.google.android.material.R;
import com.google.android.material.i.c;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.m;
import com.google.android.material.shape.n;
import com.google.android.material.shape.q;

public class ShapeableImageView extends AppCompatImageView implements q {

    /* renamed from: a  reason: collision with root package name */
    private static final int f11702a = R.style.Widget_MaterialComponents_ShapeableImageView;

    /* renamed from: b  reason: collision with root package name */
    private static final int f11703b = Integer.MIN_VALUE;
    private final n I0;
    private final RectF J0;
    private final RectF K0;
    private final Paint L0;
    private final Paint M0;
    private final Path N0;
    @Nullable
    private ColorStateList O0;
    @Nullable
    private MaterialShapeDrawable P0;
    private m Q0;
    @Dimension
    private float R0;
    private Path S0;
    @Dimension
    private int T0;
    @Dimension
    private int U0;
    @Dimension
    private int V0;
    @Dimension
    private int W0;
    @Dimension
    private int X0;
    @Dimension
    private int Y0;
    private boolean Z0;

    @TargetApi(21)
    class a extends ViewOutlineProvider {

        /* renamed from: a  reason: collision with root package name */
        private final Rect f11704a = new Rect();

        a() {
        }

        public void getOutline(View view, Outline outline) {
            if (ShapeableImageView.this.Q0 != null) {
                if (ShapeableImageView.this.P0 == null) {
                    ShapeableImageView.this.P0 = new MaterialShapeDrawable(ShapeableImageView.this.Q0);
                }
                ShapeableImageView.this.J0.round(this.f11704a);
                ShapeableImageView.this.P0.setBounds(this.f11704a);
                ShapeableImageView.this.P0.getOutline(outline);
            }
        }
    }

    public ShapeableImageView(Context context) {
        this(context, null, 0);
    }

    private void g(Canvas canvas) {
        if (this.O0 != null) {
            this.L0.setStrokeWidth(this.R0);
            int colorForState = this.O0.getColorForState(getDrawableState(), this.O0.getDefaultColor());
            if (this.R0 > 0.0f && colorForState != 0) {
                this.L0.setColor(colorForState);
                canvas.drawPath(this.N0, this.L0);
            }
        }
    }

    private boolean h() {
        return (this.X0 == Integer.MIN_VALUE && this.Y0 == Integer.MIN_VALUE) ? false : true;
    }

    private boolean i() {
        return Build.VERSION.SDK_INT >= 17 && getLayoutDirection() == 1;
    }

    private void l(int i, int i2) {
        this.J0.set((float) getPaddingLeft(), (float) getPaddingTop(), (float) (i - getPaddingRight()), (float) (i2 - getPaddingBottom()));
        this.I0.d(this.Q0, 1.0f, this.J0, this.N0);
        this.S0.rewind();
        this.S0.addPath(this.N0);
        this.K0.set(0.0f, 0.0f, (float) i, (float) i2);
        this.S0.addRect(this.K0, Path.Direction.CCW);
    }

    @Dimension
    public int getContentPaddingBottom() {
        return this.W0;
    }

    @Dimension
    public final int getContentPaddingEnd() {
        int i = this.Y0;
        if (i != Integer.MIN_VALUE) {
            return i;
        }
        return i() ? this.T0 : this.V0;
    }

    @Dimension
    public int getContentPaddingLeft() {
        int i;
        int i2;
        if (h()) {
            if (i() && (i2 = this.Y0) != Integer.MIN_VALUE) {
                return i2;
            }
            if (!i() && (i = this.X0) != Integer.MIN_VALUE) {
                return i;
            }
        }
        return this.T0;
    }

    @Dimension
    public int getContentPaddingRight() {
        int i;
        int i2;
        if (h()) {
            if (i() && (i2 = this.X0) != Integer.MIN_VALUE) {
                return i2;
            }
            if (!i() && (i = this.Y0) != Integer.MIN_VALUE) {
                return i;
            }
        }
        return this.V0;
    }

    @Dimension
    public final int getContentPaddingStart() {
        int i = this.X0;
        if (i != Integer.MIN_VALUE) {
            return i;
        }
        return i() ? this.V0 : this.T0;
    }

    @Dimension
    public int getContentPaddingTop() {
        return this.U0;
    }

    @Dimension
    public int getPaddingBottom() {
        return super.getPaddingBottom() - getContentPaddingBottom();
    }

    @Dimension
    public int getPaddingEnd() {
        return super.getPaddingEnd() - getContentPaddingEnd();
    }

    @Dimension
    public int getPaddingLeft() {
        return super.getPaddingLeft() - getContentPaddingLeft();
    }

    @Dimension
    public int getPaddingRight() {
        return super.getPaddingRight() - getContentPaddingRight();
    }

    @Dimension
    public int getPaddingStart() {
        return super.getPaddingStart() - getContentPaddingStart();
    }

    @Dimension
    public int getPaddingTop() {
        return super.getPaddingTop() - getContentPaddingTop();
    }

    @Override // com.google.android.material.shape.q
    @NonNull
    public m getShapeAppearanceModel() {
        return this.Q0;
    }

    @Nullable
    public ColorStateList getStrokeColor() {
        return this.O0;
    }

    @Dimension
    public float getStrokeWidth() {
        return this.R0;
    }

    public void j(@Dimension int i, @Dimension int i2, @Dimension int i3, @Dimension int i4) {
        this.X0 = Integer.MIN_VALUE;
        this.Y0 = Integer.MIN_VALUE;
        super.setPadding((super.getPaddingLeft() - this.T0) + i, (super.getPaddingTop() - this.U0) + i2, (super.getPaddingRight() - this.V0) + i3, (super.getPaddingBottom() - this.W0) + i4);
        this.T0 = i;
        this.U0 = i2;
        this.V0 = i3;
        this.W0 = i4;
    }

    @RequiresApi(17)
    public void k(@Dimension int i, @Dimension int i2, @Dimension int i3, @Dimension int i4) {
        super.setPaddingRelative((super.getPaddingStart() - getContentPaddingStart()) + i, (super.getPaddingTop() - this.U0) + i2, (super.getPaddingEnd() - getContentPaddingEnd()) + i3, (super.getPaddingBottom() - this.W0) + i4);
        this.T0 = i() ? i3 : i;
        this.U0 = i2;
        if (!i()) {
            i = i3;
        }
        this.V0 = i;
        this.W0 = i4;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        setLayerType(2, null);
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        setLayerType(0, null);
        super.onDetachedFromWindow();
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        canvas.drawPath(this.S0, this.M0);
        g(canvas);
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
        if (!this.Z0) {
            int i3 = Build.VERSION.SDK_INT;
            if (i3 <= 19 || isLayoutDirectionResolved()) {
                this.Z0 = true;
                if (i3 < 21 || (!isPaddingRelative() && !h())) {
                    setPadding(super.getPaddingLeft(), super.getPaddingTop(), super.getPaddingRight(), super.getPaddingBottom());
                } else {
                    setPaddingRelative(super.getPaddingStart(), super.getPaddingTop(), super.getPaddingEnd(), super.getPaddingBottom());
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i, int i2, int i3, int i4) {
        super.onSizeChanged(i, i2, i3, i4);
        l(i, i2);
    }

    public void setPadding(@Dimension int i, @Dimension int i2, @Dimension int i3, @Dimension int i4) {
        super.setPadding(i + getContentPaddingLeft(), i2 + getContentPaddingTop(), i3 + getContentPaddingRight(), i4 + getContentPaddingBottom());
    }

    public void setPaddingRelative(@Dimension int i, @Dimension int i2, @Dimension int i3, @Dimension int i4) {
        super.setPaddingRelative(i + getContentPaddingStart(), i2 + getContentPaddingTop(), i3 + getContentPaddingEnd(), i4 + getContentPaddingBottom());
    }

    @Override // com.google.android.material.shape.q
    public void setShapeAppearanceModel(@NonNull m mVar) {
        this.Q0 = mVar;
        MaterialShapeDrawable materialShapeDrawable = this.P0;
        if (materialShapeDrawable != null) {
            materialShapeDrawable.setShapeAppearanceModel(mVar);
        }
        l(getWidth(), getHeight());
        invalidate();
        if (Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    public void setStrokeColor(@Nullable ColorStateList colorStateList) {
        this.O0 = colorStateList;
        invalidate();
    }

    public void setStrokeColorResource(@ColorRes int i) {
        setStrokeColor(androidx.appcompat.a.a.a.c(getContext(), i));
    }

    public void setStrokeWidth(@Dimension float f) {
        if (this.R0 != f) {
            this.R0 = f;
            invalidate();
        }
    }

    public void setStrokeWidthResource(@DimenRes int i) {
        setStrokeWidth((float) getResources().getDimensionPixelSize(i));
    }

    public ShapeableImageView(Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public ShapeableImageView(Context context, @Nullable AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i, r0), attributeSet, i);
        int i2 = f11702a;
        this.I0 = n.k();
        this.N0 = new Path();
        this.Z0 = false;
        Context context2 = getContext();
        Paint paint = new Paint();
        this.M0 = paint;
        paint.setAntiAlias(true);
        paint.setColor(-1);
        paint.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.DST_OUT));
        this.J0 = new RectF();
        this.K0 = new RectF();
        this.S0 = new Path();
        TypedArray obtainStyledAttributes = context2.obtainStyledAttributes(attributeSet, R.styleable.ShapeableImageView, i, i2);
        this.O0 = c.a(context2, obtainStyledAttributes, R.styleable.ShapeableImageView_strokeColor);
        this.R0 = (float) obtainStyledAttributes.getDimensionPixelSize(R.styleable.ShapeableImageView_strokeWidth, 0);
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ShapeableImageView_contentPadding, 0);
        this.T0 = dimensionPixelSize;
        this.U0 = dimensionPixelSize;
        this.V0 = dimensionPixelSize;
        this.W0 = dimensionPixelSize;
        this.T0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ShapeableImageView_contentPaddingLeft, dimensionPixelSize);
        this.U0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ShapeableImageView_contentPaddingTop, dimensionPixelSize);
        this.V0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ShapeableImageView_contentPaddingRight, dimensionPixelSize);
        this.W0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ShapeableImageView_contentPaddingBottom, dimensionPixelSize);
        this.X0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ShapeableImageView_contentPaddingStart, Integer.MIN_VALUE);
        this.Y0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ShapeableImageView_contentPaddingEnd, Integer.MIN_VALUE);
        obtainStyledAttributes.recycle();
        Paint paint2 = new Paint();
        this.L0 = paint2;
        paint2.setStyle(Paint.Style.STROKE);
        paint2.setAntiAlias(true);
        this.Q0 = m.e(context2, attributeSet, i, i2).m();
        if (Build.VERSION.SDK_INT >= 21) {
            setOutlineProvider(new a());
        }
    }
}
