package com.google.android.material.internal;

import android.animation.TimeInterpolator;
import android.content.res.ColorStateList;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import androidx.annotation.ColorInt;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.h.m;
import androidx.core.view.GravityCompat;
import androidx.core.view.ViewCompat;
import com.google.android.material.i.a;
import com.google.android.material.i.d;
import com.google.android.material.internal.i;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
/* compiled from: CollapsingTextHelper */
public final class a {

    /* renamed from: a  reason: collision with root package name */
    private static final boolean f11719a = (Build.VERSION.SDK_INT < 18);

    /* renamed from: b  reason: collision with root package name */
    private static final String f11720b = "CollapsingTextHelper";

    /* renamed from: c  reason: collision with root package name */
    private static final String f11721c = "…";

    /* renamed from: d  reason: collision with root package name */
    private static final boolean f11722d = false;
    @NonNull

    /* renamed from: e  reason: collision with root package name */
    private static final Paint f11723e = null;
    private com.google.android.material.i.a A;
    private com.google.android.material.i.a B;
    @Nullable
    private CharSequence C;
    @Nullable
    private CharSequence D;
    private boolean E;
    private boolean F;
    @Nullable
    private Bitmap G;
    private Paint H;
    private float I;
    private float J;
    private int[] K;
    private boolean L;
    @NonNull
    private final TextPaint M;
    @NonNull
    private final TextPaint N;
    private TimeInterpolator O;
    private TimeInterpolator P;
    private float Q;
    private float R;
    private float S;
    private ColorStateList T;
    private float U;
    private float V;
    private float W;
    private ColorStateList X;
    private float Y;
    private float Z;
    private StaticLayout a0;
    private float b0;
    private float c0;
    private float d0;
    private CharSequence e0;
    private final View f;
    private int f0 = 1;
    private boolean g;
    private float h;
    @NonNull
    private final Rect i;
    @NonNull
    private final Rect j;
    @NonNull
    private final RectF k;
    private int l = 16;
    private int m = 16;
    private float n = 15.0f;
    private float o = 15.0f;
    private ColorStateList p;
    private ColorStateList q;
    private float r;
    private float s;
    private float t;
    private float u;
    private float v;
    private float w;
    private Typeface x;
    private Typeface y;
    private Typeface z;

    /* renamed from: com.google.android.material.internal.a$a  reason: collision with other inner class name */
    /* compiled from: CollapsingTextHelper */
    class C0262a implements a.AbstractC0261a {
        C0262a() {
        }

        @Override // com.google.android.material.i.a.AbstractC0261a
        public void a(Typeface typeface) {
            a.this.W(typeface);
        }
    }

    /* compiled from: CollapsingTextHelper */
    class b implements a.AbstractC0261a {
        b() {
        }

        @Override // com.google.android.material.i.a.AbstractC0261a
        public void a(Typeface typeface) {
            a.this.f0(typeface);
        }
    }

    static {
        Paint paint = null;
        if (0 != 0) {
            paint.setAntiAlias(true);
            paint.setColor(-65281);
        }
    }

    public a(View view) {
        this.f = view;
        TextPaint textPaint = new TextPaint(129);
        this.M = textPaint;
        this.N = new TextPaint(textPaint);
        this.j = new Rect();
        this.i = new Rect();
        this.k = new RectF();
    }

    private void F(@NonNull TextPaint textPaint) {
        textPaint.setTextSize(this.o);
        textPaint.setTypeface(this.x);
        if (Build.VERSION.SDK_INT >= 21) {
            textPaint.setLetterSpacing(this.Y);
        }
    }

    private void G(@NonNull TextPaint textPaint) {
        textPaint.setTextSize(this.n);
        textPaint.setTypeface(this.y);
        if (Build.VERSION.SDK_INT >= 21) {
            textPaint.setLetterSpacing(this.Z);
        }
    }

    private void H(float f2) {
        this.k.left = L((float) this.i.left, (float) this.j.left, f2, this.O);
        this.k.top = L(this.r, this.s, f2, this.O);
        this.k.right = L((float) this.i.right, (float) this.j.right, f2, this.O);
        this.k.bottom = L((float) this.i.bottom, (float) this.j.bottom, f2, this.O);
    }

    private static boolean I(float f2, float f3) {
        return Math.abs(f2 - f3) < 0.001f;
    }

    private boolean J() {
        return ViewCompat.getLayoutDirection(this.f) == 1;
    }

    private static float L(float f2, float f3, float f4, @Nullable TimeInterpolator timeInterpolator) {
        if (timeInterpolator != null) {
            f4 = timeInterpolator.getInterpolation(f4);
        }
        return com.google.android.material.a.a.a(f2, f3, f4);
    }

    private static boolean O(@NonNull Rect rect, int i2, int i3, int i4, int i5) {
        return rect.left == i2 && rect.top == i3 && rect.right == i4 && rect.bottom == i5;
    }

    private void S(float f2) {
        this.b0 = f2;
        ViewCompat.postInvalidateOnAnimation(this.f);
    }

    private boolean X(Typeface typeface) {
        com.google.android.material.i.a aVar = this.B;
        if (aVar != null) {
            aVar.c();
        }
        if (this.x == typeface) {
            return false;
        }
        this.x = typeface;
        return true;
    }

    private static int a(int i2, int i3, float f2) {
        float f3 = 1.0f - f2;
        return Color.argb((int) ((((float) Color.alpha(i2)) * f3) + (((float) Color.alpha(i3)) * f2)), (int) ((((float) Color.red(i2)) * f3) + (((float) Color.red(i3)) * f2)), (int) ((((float) Color.green(i2)) * f3) + (((float) Color.green(i3)) * f2)), (int) ((((float) Color.blue(i2)) * f3) + (((float) Color.blue(i3)) * f2)));
    }

    private void b() {
        StaticLayout staticLayout;
        float f2 = this.J;
        g(this.o);
        CharSequence charSequence = this.D;
        if (!(charSequence == null || (staticLayout = this.a0) == null)) {
            this.e0 = TextUtils.ellipsize(charSequence, this.M, (float) staticLayout.getWidth(), TextUtils.TruncateAt.END);
        }
        CharSequence charSequence2 = this.e0;
        float f3 = 0.0f;
        float measureText = charSequence2 != null ? this.M.measureText(charSequence2, 0, charSequence2.length()) : 0.0f;
        int absoluteGravity = GravityCompat.getAbsoluteGravity(this.m, this.E ? 1 : 0);
        int i2 = absoluteGravity & 112;
        if (i2 == 48) {
            this.s = (float) this.j.top;
        } else if (i2 != 80) {
            this.s = ((float) this.j.centerY()) - ((this.M.descent() - this.M.ascent()) / 2.0f);
        } else {
            this.s = ((float) this.j.bottom) + this.M.ascent();
        }
        int i3 = absoluteGravity & GravityCompat.RELATIVE_HORIZONTAL_GRAVITY_MASK;
        if (i3 == 1) {
            this.u = ((float) this.j.centerX()) - (measureText / 2.0f);
        } else if (i3 != 5) {
            this.u = (float) this.j.left;
        } else {
            this.u = ((float) this.j.right) - measureText;
        }
        g(this.n);
        StaticLayout staticLayout2 = this.a0;
        float height = staticLayout2 != null ? (float) staticLayout2.getHeight() : 0.0f;
        CharSequence charSequence3 = this.D;
        float measureText2 = charSequence3 != null ? this.M.measureText(charSequence3, 0, charSequence3.length()) : 0.0f;
        StaticLayout staticLayout3 = this.a0;
        if (staticLayout3 != null && this.f0 > 1 && !this.E) {
            measureText2 = (float) staticLayout3.getWidth();
        }
        StaticLayout staticLayout4 = this.a0;
        if (staticLayout4 != null) {
            f3 = staticLayout4.getLineLeft(0);
        }
        this.d0 = f3;
        int absoluteGravity2 = GravityCompat.getAbsoluteGravity(this.l, this.E ? 1 : 0);
        int i4 = absoluteGravity2 & 112;
        if (i4 == 48) {
            this.r = (float) this.i.top;
        } else if (i4 != 80) {
            this.r = ((float) this.i.centerY()) - (height / 2.0f);
        } else {
            this.r = (((float) this.i.bottom) - height) + this.M.descent();
        }
        int i5 = absoluteGravity2 & GravityCompat.RELATIVE_HORIZONTAL_GRAVITY_MASK;
        if (i5 == 1) {
            this.t = ((float) this.i.centerX()) - (measureText2 / 2.0f);
        } else if (i5 != 5) {
            this.t = (float) this.i.left;
        } else {
            this.t = ((float) this.i.right) - measureText2;
        }
        h();
        i0(f2);
    }

    private void b0(float f2) {
        this.c0 = f2;
        ViewCompat.postInvalidateOnAnimation(this.f);
    }

    private void d() {
        f(this.h);
    }

    private boolean e(@NonNull CharSequence charSequence) {
        return (J() ? m.f2606d : m.f2605c).b(charSequence, 0, charSequence.length());
    }

    private void f(float f2) {
        H(f2);
        this.v = L(this.t, this.u, f2, this.O);
        this.w = L(this.r, this.s, f2, this.O);
        i0(L(this.n, this.o, f2, this.P));
        TimeInterpolator timeInterpolator = com.google.android.material.a.a.f11327b;
        S(1.0f - L(0.0f, 1.0f, 1.0f - f2, timeInterpolator));
        b0(L(1.0f, 0.0f, f2, timeInterpolator));
        if (this.q != this.p) {
            this.M.setColor(a(w(), u(), f2));
        } else {
            this.M.setColor(u());
        }
        if (Build.VERSION.SDK_INT >= 21) {
            float f3 = this.Y;
            float f4 = this.Z;
            if (f3 != f4) {
                this.M.setLetterSpacing(L(f4, f3, f2, timeInterpolator));
            } else {
                this.M.setLetterSpacing(f3);
            }
        }
        this.M.setShadowLayer(L(this.U, this.Q, f2, null), L(this.V, this.R, f2, null), L(this.W, this.S, f2, null), a(v(this.X), v(this.T), f2));
        ViewCompat.postInvalidateOnAnimation(this.f);
    }

    private void g(float f2) {
        float f3;
        boolean z2;
        boolean z3;
        if (this.C != null) {
            float width = (float) this.j.width();
            float width2 = (float) this.i.width();
            boolean z4 = false;
            int i2 = 1;
            if (I(f2, this.o)) {
                f3 = this.o;
                this.I = 1.0f;
                Typeface typeface = this.z;
                Typeface typeface2 = this.x;
                if (typeface != typeface2) {
                    this.z = typeface2;
                    z2 = true;
                } else {
                    z2 = false;
                }
            } else {
                float f4 = this.n;
                Typeface typeface3 = this.z;
                Typeface typeface4 = this.y;
                if (typeface3 != typeface4) {
                    this.z = typeface4;
                    z3 = true;
                } else {
                    z3 = false;
                }
                if (I(f2, f4)) {
                    this.I = 1.0f;
                } else {
                    this.I = f2 / this.n;
                }
                float f5 = this.o / this.n;
                width = width2 * f5 > width ? Math.min(width / f5, width2) : width2;
                f3 = f4;
                z2 = z3;
            }
            if (width > 0.0f) {
                z2 = this.J != f3 || this.L || z2;
                this.J = f3;
                this.L = false;
            }
            if (this.D == null || z2) {
                this.M.setTextSize(this.J);
                this.M.setTypeface(this.z);
                TextPaint textPaint = this.M;
                if (this.I != 1.0f) {
                    z4 = true;
                }
                textPaint.setLinearText(z4);
                this.E = e(this.C);
                if (p0()) {
                    i2 = this.f0;
                }
                StaticLayout i3 = i(i2, width, this.E);
                this.a0 = i3;
                this.D = i3.getText();
            }
        }
    }

    private boolean g0(Typeface typeface) {
        com.google.android.material.i.a aVar = this.A;
        if (aVar != null) {
            aVar.c();
        }
        if (this.y == typeface) {
            return false;
        }
        this.y = typeface;
        return true;
    }

    private void h() {
        Bitmap bitmap = this.G;
        if (bitmap != null) {
            bitmap.recycle();
            this.G = null;
        }
    }

    private StaticLayout i(int i2, float f2, boolean z2) {
        StaticLayout staticLayout;
        try {
            staticLayout = i.c(this.C, this.M, (int) f2).e(TextUtils.TruncateAt.END).h(z2).d(Layout.Alignment.ALIGN_NORMAL).g(false).i(i2).a();
        } catch (i.a e2) {
            Log.e(f11720b, e2.getCause().getMessage(), e2);
            staticLayout = null;
        }
        return (StaticLayout) androidx.core.util.m.g(staticLayout);
    }

    private void i0(float f2) {
        g(f2);
        boolean z2 = f11719a && this.I != 1.0f;
        this.F = z2;
        if (z2) {
            l();
        }
        ViewCompat.postInvalidateOnAnimation(this.f);
    }

    private void k(@NonNull Canvas canvas, float f2, float f3) {
        int alpha = this.M.getAlpha();
        canvas.translate(f2, f3);
        float f4 = (float) alpha;
        this.M.setAlpha((int) (this.c0 * f4));
        this.a0.draw(canvas);
        this.M.setAlpha((int) (this.b0 * f4));
        int lineBaseline = this.a0.getLineBaseline(0);
        CharSequence charSequence = this.e0;
        float f5 = (float) lineBaseline;
        canvas.drawText(charSequence, 0, charSequence.length(), 0.0f, f5, this.M);
        String trim = this.e0.toString().trim();
        if (trim.endsWith(f11721c)) {
            trim = trim.substring(0, trim.length() - 1);
        }
        this.M.setAlpha(alpha);
        canvas.drawText(trim, 0, Math.min(this.a0.getLineEnd(0), trim.length()), 0.0f, f5, (Paint) this.M);
    }

    private void l() {
        if (this.G == null && !this.i.isEmpty() && !TextUtils.isEmpty(this.D)) {
            f(0.0f);
            int width = this.a0.getWidth();
            int height = this.a0.getHeight();
            if (width > 0 && height > 0) {
                this.G = Bitmap.createBitmap(width, height, Bitmap.Config.ARGB_8888);
                this.a0.draw(new Canvas(this.G));
                if (this.H == null) {
                    this.H = new Paint(3);
                }
            }
        }
    }

    private boolean p0() {
        return this.f0 > 1 && !this.E && !this.F;
    }

    private float q(int i2, int i3) {
        if (i3 == 17 || (i3 & 7) == 1) {
            return (((float) i2) / 2.0f) - (c() / 2.0f);
        }
        return ((i3 & GravityCompat.END) == 8388613 || (i3 & 5) == 5) ? this.E ? (float) this.j.left : ((float) this.j.right) - c() : this.E ? ((float) this.j.right) - c() : (float) this.j.left;
    }

    private float r(@NonNull RectF rectF, int i2, int i3) {
        if (i3 == 17 || (i3 & 7) == 1) {
            return (((float) i2) / 2.0f) + (c() / 2.0f);
        }
        return ((i3 & GravityCompat.END) == 8388613 || (i3 & 5) == 5) ? this.E ? rectF.left + c() : (float) this.j.right : this.E ? (float) this.j.right : rectF.left + c();
    }

    @ColorInt
    private int v(@Nullable ColorStateList colorStateList) {
        if (colorStateList == null) {
            return 0;
        }
        int[] iArr = this.K;
        if (iArr != null) {
            return colorStateList.getColorForState(iArr, 0);
        }
        return colorStateList.getDefaultColor();
    }

    @ColorInt
    private int w() {
        return v(this.p);
    }

    public float A() {
        return this.n;
    }

    public Typeface B() {
        Typeface typeface = this.y;
        return typeface != null ? typeface : Typeface.DEFAULT;
    }

    public float C() {
        return this.h;
    }

    public int D() {
        return this.f0;
    }

    @Nullable
    public CharSequence E() {
        return this.C;
    }

    public final boolean K() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2 = this.q;
        return (colorStateList2 != null && colorStateList2.isStateful()) || ((colorStateList = this.p) != null && colorStateList.isStateful());
    }

    /* access modifiers changed from: package-private */
    public void M() {
        this.g = this.j.width() > 0 && this.j.height() > 0 && this.i.width() > 0 && this.i.height() > 0;
    }

    public void N() {
        if (this.f.getHeight() > 0 && this.f.getWidth() > 0) {
            b();
            d();
        }
    }

    public void P(int i2, int i3, int i4, int i5) {
        if (!O(this.j, i2, i3, i4, i5)) {
            this.j.set(i2, i3, i4, i5);
            this.L = true;
            M();
        }
    }

    public void Q(@NonNull Rect rect) {
        P(rect.left, rect.top, rect.right, rect.bottom);
    }

    public void R(int i2) {
        d dVar = new d(this.f.getContext(), i2);
        ColorStateList colorStateList = dVar.f11695e;
        if (colorStateList != null) {
            this.q = colorStateList;
        }
        float f2 = dVar.r;
        if (f2 != 0.0f) {
            this.o = f2;
        }
        ColorStateList colorStateList2 = dVar.h;
        if (colorStateList2 != null) {
            this.T = colorStateList2;
        }
        this.R = dVar.m;
        this.S = dVar.n;
        this.Q = dVar.o;
        this.Y = dVar.q;
        com.google.android.material.i.a aVar = this.B;
        if (aVar != null) {
            aVar.c();
        }
        this.B = new com.google.android.material.i.a(new C0262a(), dVar.e());
        dVar.h(this.f.getContext(), this.B);
        N();
    }

    public void T(ColorStateList colorStateList) {
        if (this.q != colorStateList) {
            this.q = colorStateList;
            N();
        }
    }

    public void U(int i2) {
        if (this.m != i2) {
            this.m = i2;
            N();
        }
    }

    public void V(float f2) {
        if (this.o != f2) {
            this.o = f2;
            N();
        }
    }

    public void W(Typeface typeface) {
        if (X(typeface)) {
            N();
        }
    }

    public void Y(int i2, int i3, int i4, int i5) {
        if (!O(this.i, i2, i3, i4, i5)) {
            this.i.set(i2, i3, i4, i5);
            this.L = true;
            M();
        }
    }

    public void Z(@NonNull Rect rect) {
        Y(rect.left, rect.top, rect.right, rect.bottom);
    }

    public void a0(int i2) {
        d dVar = new d(this.f.getContext(), i2);
        ColorStateList colorStateList = dVar.f11695e;
        if (colorStateList != null) {
            this.p = colorStateList;
        }
        float f2 = dVar.r;
        if (f2 != 0.0f) {
            this.n = f2;
        }
        ColorStateList colorStateList2 = dVar.h;
        if (colorStateList2 != null) {
            this.X = colorStateList2;
        }
        this.V = dVar.m;
        this.W = dVar.n;
        this.U = dVar.o;
        this.Z = dVar.q;
        com.google.android.material.i.a aVar = this.A;
        if (aVar != null) {
            aVar.c();
        }
        this.A = new com.google.android.material.i.a(new b(), dVar.e());
        dVar.h(this.f.getContext(), this.A);
        N();
    }

    public float c() {
        if (this.C == null) {
            return 0.0f;
        }
        F(this.N);
        TextPaint textPaint = this.N;
        CharSequence charSequence = this.C;
        return textPaint.measureText(charSequence, 0, charSequence.length());
    }

    public void c0(ColorStateList colorStateList) {
        if (this.p != colorStateList) {
            this.p = colorStateList;
            N();
        }
    }

    public void d0(int i2) {
        if (this.l != i2) {
            this.l = i2;
            N();
        }
    }

    public void e0(float f2) {
        if (this.n != f2) {
            this.n = f2;
            N();
        }
    }

    public void f0(Typeface typeface) {
        if (g0(typeface)) {
            N();
        }
    }

    public void h0(float f2) {
        float b2 = androidx.core.f.a.b(f2, 0.0f, 1.0f);
        if (b2 != this.h) {
            this.h = b2;
            d();
        }
    }

    public void j(@NonNull Canvas canvas) {
        int save = canvas.save();
        if (this.D != null && this.g) {
            boolean z2 = false;
            float lineLeft = (this.v + this.a0.getLineLeft(0)) - (this.d0 * 2.0f);
            this.M.setTextSize(this.J);
            float f2 = this.v;
            float f3 = this.w;
            if (this.F && this.G != null) {
                z2 = true;
            }
            float f4 = this.I;
            if (f4 != 1.0f) {
                canvas.scale(f4, f4, f2, f3);
            }
            if (z2) {
                canvas.drawBitmap(this.G, f2, f3, this.H);
                canvas.restoreToCount(save);
                return;
            }
            if (p0()) {
                k(canvas, lineLeft, f3);
            } else {
                canvas.translate(f2, f3);
                this.a0.draw(canvas);
            }
            canvas.restoreToCount(save);
        }
    }

    public void j0(int i2) {
        if (i2 != this.f0) {
            this.f0 = i2;
            h();
            N();
        }
    }

    public void k0(TimeInterpolator timeInterpolator) {
        this.O = timeInterpolator;
        N();
    }

    public final boolean l0(int[] iArr) {
        this.K = iArr;
        if (!K()) {
            return false;
        }
        N();
        return true;
    }

    public void m(@NonNull RectF rectF, int i2, int i3) {
        this.E = e(this.C);
        rectF.left = q(i2, i3);
        rectF.top = (float) this.j.top;
        rectF.right = r(rectF, i2, i3);
        rectF.bottom = ((float) this.j.top) + p();
    }

    public void m0(@Nullable CharSequence charSequence) {
        if (charSequence == null || !TextUtils.equals(this.C, charSequence)) {
            this.C = charSequence;
            this.D = null;
            h();
            N();
        }
    }

    public ColorStateList n() {
        return this.q;
    }

    public void n0(TimeInterpolator timeInterpolator) {
        this.P = timeInterpolator;
        N();
    }

    public int o() {
        return this.m;
    }

    public void o0(Typeface typeface) {
        boolean X2 = X(typeface);
        boolean g0 = g0(typeface);
        if (X2 || g0) {
            N();
        }
    }

    public float p() {
        F(this.N);
        return -this.N.ascent();
    }

    public float s() {
        return this.o;
    }

    public Typeface t() {
        Typeface typeface = this.x;
        return typeface != null ? typeface : Typeface.DEFAULT;
    }

    @ColorInt
    public int u() {
        return v(this.q);
    }

    public ColorStateList x() {
        return this.p;
    }

    public int y() {
        return this.l;
    }

    public float z() {
        G(this.N);
        return -this.N.ascent();
    }
}
