package com.google.android.material.internal;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.SubMenu;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.Dimension;
import androidx.annotation.LayoutRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.appcompat.view.menu.m;
import androidx.appcompat.view.menu.n;
import androidx.appcompat.view.menu.r;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.a0;
import com.google.android.material.R;
import java.util.ArrayList;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
/* compiled from: NavigationMenuPresenter */
public class f implements m {
    private static final String I0 = "android:menu:header";

    /* renamed from: a  reason: collision with root package name */
    private static final String f11731a = "android:menu:list";

    /* renamed from: b  reason: collision with root package name */
    private static final String f11732b = "android:menu:adapter";
    private NavigationMenuView J0;
    LinearLayout K0;
    private m.a L0;
    androidx.appcompat.view.menu.f M0;
    private int N0;
    c O0;
    LayoutInflater P0;
    int Q0;
    boolean R0;
    ColorStateList S0;
    ColorStateList T0;
    Drawable U0;
    int V0;
    int W0;
    int X0;
    boolean Y0;
    boolean Z0 = true;
    private int a1;
    private int b1;
    int c1;
    private int d1 = -1;
    final View.OnClickListener e1 = new a();

    /* compiled from: NavigationMenuPresenter */
    class a implements View.OnClickListener {
        a() {
        }

        public void onClick(View view) {
            boolean z = true;
            f.this.N(true);
            androidx.appcompat.view.menu.i itemData = ((NavigationMenuItemView) view).getItemData();
            f fVar = f.this;
            boolean P = fVar.M0.P(itemData, fVar, 0);
            if (itemData == null || !itemData.isCheckable() || !P) {
                z = false;
            } else {
                f.this.O0.w(itemData);
            }
            f.this.N(false);
            if (z) {
                f.this.g(false);
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: NavigationMenuPresenter */
    public static class b extends l {
        public b(View view) {
            super(view);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: NavigationMenuPresenter */
    public class c extends RecyclerView.Adapter<l> {

        /* renamed from: a  reason: collision with root package name */
        private static final String f11734a = "android:menu:checked";

        /* renamed from: b  reason: collision with root package name */
        private static final String f11735b = "android:menu:action_views";

        /* renamed from: c  reason: collision with root package name */
        private static final int f11736c = 0;

        /* renamed from: d  reason: collision with root package name */
        private static final int f11737d = 1;

        /* renamed from: e  reason: collision with root package name */
        private static final int f11738e = 2;
        private static final int f = 3;
        private final ArrayList<e> g = new ArrayList<>();
        private androidx.appcompat.view.menu.i h;
        private boolean i;

        c() {
            u();
        }

        private void n(int i2, int i3) {
            while (i2 < i3) {
                ((g) this.g.get(i2)).f11742b = true;
                i2++;
            }
        }

        private void u() {
            if (!this.i) {
                this.i = true;
                this.g.clear();
                this.g.add(new d());
                int i2 = -1;
                int size = f.this.M0.H().size();
                boolean z = false;
                int i3 = 0;
                for (int i4 = 0; i4 < size; i4++) {
                    androidx.appcompat.view.menu.i iVar = f.this.M0.H().get(i4);
                    if (iVar.isChecked()) {
                        w(iVar);
                    }
                    if (iVar.isCheckable()) {
                        iVar.w(false);
                    }
                    if (iVar.hasSubMenu()) {
                        SubMenu subMenu = iVar.getSubMenu();
                        if (subMenu.hasVisibleItems()) {
                            if (i4 != 0) {
                                this.g.add(new C0263f(f.this.c1, 0));
                            }
                            this.g.add(new g(iVar));
                            int size2 = this.g.size();
                            int size3 = subMenu.size();
                            boolean z2 = false;
                            for (int i5 = 0; i5 < size3; i5++) {
                                androidx.appcompat.view.menu.i iVar2 = (androidx.appcompat.view.menu.i) subMenu.getItem(i5);
                                if (iVar2.isVisible()) {
                                    if (!z2 && iVar2.getIcon() != null) {
                                        z2 = true;
                                    }
                                    if (iVar2.isCheckable()) {
                                        iVar2.w(false);
                                    }
                                    if (iVar.isChecked()) {
                                        w(iVar);
                                    }
                                    this.g.add(new g(iVar2));
                                }
                            }
                            if (z2) {
                                n(size2, this.g.size());
                            }
                        }
                    } else {
                        int groupId = iVar.getGroupId();
                        if (groupId != i2) {
                            i3 = this.g.size();
                            z = iVar.getIcon() != null;
                            if (i4 != 0) {
                                i3++;
                                ArrayList<e> arrayList = this.g;
                                int i6 = f.this.c1;
                                arrayList.add(new C0263f(i6, i6));
                            }
                        } else if (!z && iVar.getIcon() != null) {
                            n(i3, this.g.size());
                            z = true;
                        }
                        g gVar = new g(iVar);
                        gVar.f11742b = z;
                        this.g.add(gVar);
                        i2 = groupId;
                    }
                }
                this.i = false;
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return this.g.size();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public long getItemId(int i2) {
            return (long) i2;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int i2) {
            e eVar = this.g.get(i2);
            if (eVar instanceof C0263f) {
                return 2;
            }
            if (eVar instanceof d) {
                return 3;
            }
            if (eVar instanceof g) {
                return ((g) eVar).a().hasSubMenu() ? 1 : 0;
            }
            throw new RuntimeException("Unknown item type.");
        }

        @NonNull
        public Bundle o() {
            Bundle bundle = new Bundle();
            androidx.appcompat.view.menu.i iVar = this.h;
            if (iVar != null) {
                bundle.putInt(f11734a, iVar.getItemId());
            }
            SparseArray<? extends Parcelable> sparseArray = new SparseArray<>();
            int size = this.g.size();
            for (int i2 = 0; i2 < size; i2++) {
                e eVar = this.g.get(i2);
                if (eVar instanceof g) {
                    androidx.appcompat.view.menu.i a2 = ((g) eVar).a();
                    View actionView = a2 != null ? a2.getActionView() : null;
                    if (actionView != null) {
                        ParcelableSparseArray parcelableSparseArray = new ParcelableSparseArray();
                        actionView.saveHierarchyState(parcelableSparseArray);
                        sparseArray.put(a2.getItemId(), parcelableSparseArray);
                    }
                }
            }
            bundle.putSparseParcelableArray(f11735b, sparseArray);
            return bundle;
        }

        public androidx.appcompat.view.menu.i p() {
            return this.h;
        }

        /* access modifiers changed from: package-private */
        public int q() {
            int i2 = f.this.K0.getChildCount() == 0 ? 0 : 1;
            for (int i3 = 0; i3 < f.this.O0.getItemCount(); i3++) {
                if (f.this.O0.getItemViewType(i3) == 0) {
                    i2++;
                }
            }
            return i2;
        }

        /* renamed from: r */
        public void onBindViewHolder(@NonNull l lVar, int i2) {
            int itemViewType = getItemViewType(i2);
            if (itemViewType == 0) {
                NavigationMenuItemView navigationMenuItemView = (NavigationMenuItemView) lVar.itemView;
                navigationMenuItemView.setIconTintList(f.this.T0);
                f fVar = f.this;
                if (fVar.R0) {
                    navigationMenuItemView.setTextAppearance(fVar.Q0);
                }
                ColorStateList colorStateList = f.this.S0;
                if (colorStateList != null) {
                    navigationMenuItemView.setTextColor(colorStateList);
                }
                Drawable drawable = f.this.U0;
                ViewCompat.setBackground(navigationMenuItemView, drawable != null ? drawable.getConstantState().newDrawable() : null);
                g gVar = (g) this.g.get(i2);
                navigationMenuItemView.setNeedsEmptyIcon(gVar.f11742b);
                navigationMenuItemView.setHorizontalPadding(f.this.V0);
                navigationMenuItemView.setIconPadding(f.this.W0);
                f fVar2 = f.this;
                if (fVar2.Y0) {
                    navigationMenuItemView.setIconSize(fVar2.X0);
                }
                navigationMenuItemView.setMaxLines(f.this.a1);
                navigationMenuItemView.f(gVar.a(), 0);
            } else if (itemViewType == 1) {
                ((TextView) lVar.itemView).setText(((g) this.g.get(i2)).a().getTitle());
            } else if (itemViewType == 2) {
                C0263f fVar3 = (C0263f) this.g.get(i2);
                lVar.itemView.setPadding(0, fVar3.b(), 0, fVar3.a());
            }
        }

        @Nullable
        /* renamed from: s */
        public l onCreateViewHolder(ViewGroup viewGroup, int i2) {
            if (i2 == 0) {
                f fVar = f.this;
                return new i(fVar.P0, viewGroup, fVar.e1);
            } else if (i2 == 1) {
                return new k(f.this.P0, viewGroup);
            } else {
                if (i2 == 2) {
                    return new j(f.this.P0, viewGroup);
                }
                if (i2 != 3) {
                    return null;
                }
                return new b(f.this.K0);
            }
        }

        /* renamed from: t */
        public void onViewRecycled(l lVar) {
            if (lVar instanceof i) {
                ((NavigationMenuItemView) lVar.itemView).i();
            }
        }

        public void v(@NonNull Bundle bundle) {
            androidx.appcompat.view.menu.i a2;
            View actionView;
            ParcelableSparseArray parcelableSparseArray;
            androidx.appcompat.view.menu.i a3;
            int i2 = bundle.getInt(f11734a, 0);
            if (i2 != 0) {
                this.i = true;
                int size = this.g.size();
                int i3 = 0;
                while (true) {
                    if (i3 >= size) {
                        break;
                    }
                    e eVar = this.g.get(i3);
                    if ((eVar instanceof g) && (a3 = ((g) eVar).a()) != null && a3.getItemId() == i2) {
                        w(a3);
                        break;
                    }
                    i3++;
                }
                this.i = false;
                u();
            }
            SparseArray sparseParcelableArray = bundle.getSparseParcelableArray(f11735b);
            if (sparseParcelableArray != null) {
                int size2 = this.g.size();
                for (int i4 = 0; i4 < size2; i4++) {
                    e eVar2 = this.g.get(i4);
                    if (!(!(eVar2 instanceof g) || (a2 = ((g) eVar2).a()) == null || (actionView = a2.getActionView()) == null || (parcelableSparseArray = (ParcelableSparseArray) sparseParcelableArray.get(a2.getItemId())) == null)) {
                        actionView.restoreHierarchyState(parcelableSparseArray);
                    }
                }
            }
        }

        public void w(@NonNull androidx.appcompat.view.menu.i iVar) {
            if (this.h != iVar && iVar.isCheckable()) {
                androidx.appcompat.view.menu.i iVar2 = this.h;
                if (iVar2 != null) {
                    iVar2.setChecked(false);
                }
                this.h = iVar;
                iVar.setChecked(true);
            }
        }

        public void x(boolean z) {
            this.i = z;
        }

        public void y() {
            u();
            notifyDataSetChanged();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: NavigationMenuPresenter */
    public static class d implements e {
        d() {
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: NavigationMenuPresenter */
    public interface e {
    }

    /* access modifiers changed from: private */
    /* renamed from: com.google.android.material.internal.f$f  reason: collision with other inner class name */
    /* compiled from: NavigationMenuPresenter */
    public static class C0263f implements e {

        /* renamed from: a  reason: collision with root package name */
        private final int f11739a;

        /* renamed from: b  reason: collision with root package name */
        private final int f11740b;

        public C0263f(int i, int i2) {
            this.f11739a = i;
            this.f11740b = i2;
        }

        public int a() {
            return this.f11740b;
        }

        public int b() {
            return this.f11739a;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: NavigationMenuPresenter */
    public static class g implements e {

        /* renamed from: a  reason: collision with root package name */
        private final androidx.appcompat.view.menu.i f11741a;

        /* renamed from: b  reason: collision with root package name */
        boolean f11742b;

        g(androidx.appcompat.view.menu.i iVar) {
            this.f11741a = iVar;
        }

        public androidx.appcompat.view.menu.i a() {
            return this.f11741a;
        }
    }

    /* compiled from: NavigationMenuPresenter */
    private class h extends a0 {
        h(@NonNull RecyclerView recyclerView) {
            super(recyclerView);
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat, androidx.recyclerview.widget.a0
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            accessibilityNodeInfoCompat.setCollectionInfo(AccessibilityNodeInfoCompat.CollectionInfoCompat.obtain(f.this.O0.q(), 0, false));
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: NavigationMenuPresenter */
    public static class i extends l {
        public i(@NonNull LayoutInflater layoutInflater, ViewGroup viewGroup, View.OnClickListener onClickListener) {
            super(layoutInflater.inflate(R.layout.design_navigation_item, viewGroup, false));
            this.itemView.setOnClickListener(onClickListener);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: NavigationMenuPresenter */
    public static class j extends l {
        public j(@NonNull LayoutInflater layoutInflater, ViewGroup viewGroup) {
            super(layoutInflater.inflate(R.layout.design_navigation_item_separator, viewGroup, false));
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: NavigationMenuPresenter */
    public static class k extends l {
        public k(@NonNull LayoutInflater layoutInflater, ViewGroup viewGroup) {
            super(layoutInflater.inflate(R.layout.design_navigation_item_subheader, viewGroup, false));
        }
    }

    /* compiled from: NavigationMenuPresenter */
    private static abstract class l extends RecyclerView.z {
        public l(View view) {
            super(view);
        }
    }

    private void O() {
        int i2 = (this.K0.getChildCount() != 0 || !this.Z0) ? 0 : this.b1;
        NavigationMenuView navigationMenuView = this.J0;
        navigationMenuView.setPadding(0, i2, 0, navigationMenuView.getPaddingBottom());
    }

    public void A(@NonNull View view) {
        this.K0.removeView(view);
        if (this.K0.getChildCount() == 0) {
            NavigationMenuView navigationMenuView = this.J0;
            navigationMenuView.setPadding(0, this.b1, 0, navigationMenuView.getPaddingBottom());
        }
    }

    public void B(boolean z) {
        if (this.Z0 != z) {
            this.Z0 = z;
            O();
        }
    }

    public void C(@NonNull androidx.appcompat.view.menu.i iVar) {
        this.O0.w(iVar);
    }

    public void D(int i2) {
        this.N0 = i2;
    }

    public void E(@Nullable Drawable drawable) {
        this.U0 = drawable;
        g(false);
    }

    public void F(int i2) {
        this.V0 = i2;
        g(false);
    }

    public void G(int i2) {
        this.W0 = i2;
        g(false);
    }

    public void H(@Dimension int i2) {
        if (this.X0 != i2) {
            this.X0 = i2;
            this.Y0 = true;
            g(false);
        }
    }

    public void I(@Nullable ColorStateList colorStateList) {
        this.T0 = colorStateList;
        g(false);
    }

    public void J(int i2) {
        this.a1 = i2;
        g(false);
    }

    public void K(@StyleRes int i2) {
        this.Q0 = i2;
        this.R0 = true;
        g(false);
    }

    public void L(@Nullable ColorStateList colorStateList) {
        this.S0 = colorStateList;
        g(false);
    }

    public void M(int i2) {
        this.d1 = i2;
        NavigationMenuView navigationMenuView = this.J0;
        if (navigationMenuView != null) {
            navigationMenuView.setOverScrollMode(i2);
        }
    }

    public void N(boolean z) {
        c cVar = this.O0;
        if (cVar != null) {
            cVar.x(z);
        }
    }

    @Override // androidx.appcompat.view.menu.m
    public int a() {
        return this.N0;
    }

    public void c(@NonNull View view) {
        this.K0.addView(view);
        NavigationMenuView navigationMenuView = this.J0;
        navigationMenuView.setPadding(0, 0, 0, navigationMenuView.getPaddingBottom());
    }

    @Override // androidx.appcompat.view.menu.m
    public void d(androidx.appcompat.view.menu.f fVar, boolean z) {
        m.a aVar = this.L0;
        if (aVar != null) {
            aVar.d(fVar, z);
        }
    }

    @Override // androidx.appcompat.view.menu.m
    public void e(Parcelable parcelable) {
        if (parcelable instanceof Bundle) {
            Bundle bundle = (Bundle) parcelable;
            SparseArray<Parcelable> sparseParcelableArray = bundle.getSparseParcelableArray("android:menu:list");
            if (sparseParcelableArray != null) {
                this.J0.restoreHierarchyState(sparseParcelableArray);
            }
            Bundle bundle2 = bundle.getBundle(f11732b);
            if (bundle2 != null) {
                this.O0.v(bundle2);
            }
            SparseArray sparseParcelableArray2 = bundle.getSparseParcelableArray(I0);
            if (sparseParcelableArray2 != null) {
                this.K0.restoreHierarchyState(sparseParcelableArray2);
            }
        }
    }

    @Override // androidx.appcompat.view.menu.m
    @NonNull
    public Parcelable f() {
        Bundle bundle = new Bundle();
        if (this.J0 != null) {
            SparseArray<Parcelable> sparseArray = new SparseArray<>();
            this.J0.saveHierarchyState(sparseArray);
            bundle.putSparseParcelableArray("android:menu:list", sparseArray);
        }
        c cVar = this.O0;
        if (cVar != null) {
            bundle.putBundle(f11732b, cVar.o());
        }
        if (this.K0 != null) {
            SparseArray<? extends Parcelable> sparseArray2 = new SparseArray<>();
            this.K0.saveHierarchyState(sparseArray2);
            bundle.putSparseParcelableArray(I0, sparseArray2);
        }
        return bundle;
    }

    @Override // androidx.appcompat.view.menu.m
    public void g(boolean z) {
        c cVar = this.O0;
        if (cVar != null) {
            cVar.y();
        }
    }

    @Override // androidx.appcompat.view.menu.m
    public boolean h() {
        return false;
    }

    @Override // androidx.appcompat.view.menu.m
    public boolean i(androidx.appcompat.view.menu.f fVar, androidx.appcompat.view.menu.i iVar) {
        return false;
    }

    @Override // androidx.appcompat.view.menu.m
    public boolean j(androidx.appcompat.view.menu.f fVar, androidx.appcompat.view.menu.i iVar) {
        return false;
    }

    @Override // androidx.appcompat.view.menu.m
    public void k(m.a aVar) {
        this.L0 = aVar;
    }

    @Override // androidx.appcompat.view.menu.m
    public void l(@NonNull Context context, @NonNull androidx.appcompat.view.menu.f fVar) {
        this.P0 = LayoutInflater.from(context);
        this.M0 = fVar;
        this.c1 = context.getResources().getDimensionPixelOffset(R.dimen.design_navigation_separator_vertical_padding);
    }

    public void m(@NonNull WindowInsetsCompat windowInsetsCompat) {
        int systemWindowInsetTop = windowInsetsCompat.getSystemWindowInsetTop();
        if (this.b1 != systemWindowInsetTop) {
            this.b1 = systemWindowInsetTop;
            O();
        }
        NavigationMenuView navigationMenuView = this.J0;
        navigationMenuView.setPadding(0, navigationMenuView.getPaddingTop(), 0, windowInsetsCompat.getSystemWindowInsetBottom());
        ViewCompat.dispatchApplyWindowInsets(this.K0, windowInsetsCompat);
    }

    @Override // androidx.appcompat.view.menu.m
    public boolean n(r rVar) {
        return false;
    }

    @Override // androidx.appcompat.view.menu.m
    public n o(ViewGroup viewGroup) {
        if (this.J0 == null) {
            NavigationMenuView navigationMenuView = (NavigationMenuView) this.P0.inflate(R.layout.design_navigation_menu, viewGroup, false);
            this.J0 = navigationMenuView;
            navigationMenuView.setAccessibilityDelegateCompat(new h(this.J0));
            if (this.O0 == null) {
                this.O0 = new c();
            }
            int i2 = this.d1;
            if (i2 != -1) {
                this.J0.setOverScrollMode(i2);
            }
            this.K0 = (LinearLayout) this.P0.inflate(R.layout.design_navigation_item_header, (ViewGroup) this.J0, false);
            this.J0.setAdapter(this.O0);
        }
        return this.J0;
    }

    @Nullable
    public androidx.appcompat.view.menu.i p() {
        return this.O0.p();
    }

    public int q() {
        return this.K0.getChildCount();
    }

    public View r(int i2) {
        return this.K0.getChildAt(i2);
    }

    @Nullable
    public Drawable s() {
        return this.U0;
    }

    public int t() {
        return this.V0;
    }

    public int u() {
        return this.W0;
    }

    public int v() {
        return this.a1;
    }

    @Nullable
    public ColorStateList w() {
        return this.S0;
    }

    @Nullable
    public ColorStateList x() {
        return this.T0;
    }

    public View y(@LayoutRes int i2) {
        View inflate = this.P0.inflate(i2, (ViewGroup) this.K0, false);
        c(inflate);
        return inflate;
    }

    public boolean z() {
        return this.Z0;
    }
}
