package com.google.android.material.internal;

import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.TextUtils;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.util.m;
import java.lang.reflect.Constructor;

/* access modifiers changed from: package-private */
@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
/* compiled from: StaticLayoutBuilderCompat */
public final class i {

    /* renamed from: a  reason: collision with root package name */
    private static final String f11751a = "android.text.TextDirectionHeuristic";

    /* renamed from: b  reason: collision with root package name */
    private static final String f11752b = "android.text.TextDirectionHeuristics";

    /* renamed from: c  reason: collision with root package name */
    private static final String f11753c = "LTR";

    /* renamed from: d  reason: collision with root package name */
    private static final String f11754d = "RTL";

    /* renamed from: e  reason: collision with root package name */
    private static boolean f11755e;
    @Nullable
    private static Constructor<StaticLayout> f;
    @Nullable
    private static Object g;
    private CharSequence h;
    private final TextPaint i;
    private final int j;
    private int k = 0;
    private int l;
    private Layout.Alignment m;
    private int n;
    private boolean o;
    private boolean p;
    @Nullable
    private TextUtils.TruncateAt q;

    /* access modifiers changed from: package-private */
    /* compiled from: StaticLayoutBuilderCompat */
    public static class a extends Exception {
        a(Throwable th) {
            super("Error thrown initializing StaticLayout " + th.getMessage(), th);
        }
    }

    private i(CharSequence charSequence, TextPaint textPaint, int i2) {
        this.h = charSequence;
        this.i = textPaint;
        this.j = i2;
        this.l = charSequence.length();
        this.m = Layout.Alignment.ALIGN_NORMAL;
        this.n = Integer.MAX_VALUE;
        this.o = true;
        this.q = null;
    }

    private void b() throws a {
        Class<?> cls;
        if (!f11755e) {
            try {
                boolean z = this.p && Build.VERSION.SDK_INT >= 23;
                if (Build.VERSION.SDK_INT >= 18) {
                    cls = TextDirectionHeuristic.class;
                    g = z ? TextDirectionHeuristics.RTL : TextDirectionHeuristics.LTR;
                } else {
                    ClassLoader classLoader = i.class.getClassLoader();
                    String str = this.p ? f11754d : f11753c;
                    Class<?> loadClass = classLoader.loadClass(f11751a);
                    Class<?> loadClass2 = classLoader.loadClass(f11752b);
                    g = loadClass2.getField(str).get(loadClass2);
                    cls = loadClass;
                }
                Class cls2 = Integer.TYPE;
                Class cls3 = Float.TYPE;
                Constructor<StaticLayout> declaredConstructor = StaticLayout.class.getDeclaredConstructor(CharSequence.class, cls2, cls2, TextPaint.class, cls2, Layout.Alignment.class, cls, cls3, cls3, Boolean.TYPE, TextUtils.TruncateAt.class, cls2, cls2);
                f = declaredConstructor;
                declaredConstructor.setAccessible(true);
                f11755e = true;
            } catch (Exception e2) {
                throw new a(e2);
            }
        }
    }

    @NonNull
    public static i c(@NonNull CharSequence charSequence, @NonNull TextPaint textPaint, @IntRange(from = 0) int i2) {
        return new i(charSequence, textPaint, i2);
    }

    public StaticLayout a() throws a {
        if (this.h == null) {
            this.h = "";
        }
        int max = Math.max(0, this.j);
        CharSequence charSequence = this.h;
        if (this.n == 1) {
            charSequence = TextUtils.ellipsize(charSequence, this.i, (float) max, this.q);
        }
        int min = Math.min(charSequence.length(), this.l);
        this.l = min;
        if (Build.VERSION.SDK_INT >= 23) {
            if (this.p) {
                this.m = Layout.Alignment.ALIGN_OPPOSITE;
            }
            StaticLayout.Builder obtain = StaticLayout.Builder.obtain(charSequence, this.k, min, this.i, max);
            obtain.setAlignment(this.m);
            obtain.setIncludePad(this.o);
            obtain.setTextDirection(this.p ? TextDirectionHeuristics.RTL : TextDirectionHeuristics.LTR);
            TextUtils.TruncateAt truncateAt = this.q;
            if (truncateAt != null) {
                obtain.setEllipsize(truncateAt);
            }
            obtain.setMaxLines(this.n);
            return obtain.build();
        }
        b();
        try {
            return (StaticLayout) ((Constructor) m.g(f)).newInstance(charSequence, Integer.valueOf(this.k), Integer.valueOf(this.l), this.i, Integer.valueOf(max), this.m, m.g(g), Float.valueOf(1.0f), Float.valueOf(0.0f), Boolean.valueOf(this.o), null, Integer.valueOf(max), Integer.valueOf(this.n));
        } catch (Exception e2) {
            throw new a(e2);
        }
    }

    @NonNull
    public i d(@NonNull Layout.Alignment alignment) {
        this.m = alignment;
        return this;
    }

    @NonNull
    public i e(@Nullable TextUtils.TruncateAt truncateAt) {
        this.q = truncateAt;
        return this;
    }

    @NonNull
    public i f(@IntRange(from = 0) int i2) {
        this.l = i2;
        return this;
    }

    @NonNull
    public i g(boolean z) {
        this.o = z;
        return this;
    }

    public i h(boolean z) {
        this.p = z;
        return this;
    }

    @NonNull
    public i i(@IntRange(from = 0) int i2) {
        this.n = i2;
        return this;
    }

    @NonNull
    public i j(@IntRange(from = 0) int i2) {
        this.k = i2;
        return this;
    }
}
