package com.google.android.material.internal;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import androidx.annotation.NonNull;
import androidx.annotation.RestrictTo;
import androidx.core.view.ViewCompat;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;

/* access modifiers changed from: package-private */
/* compiled from: ViewOverlayApi14 */
public class r implements t {

    /* renamed from: a  reason: collision with root package name */
    protected a f11769a;

    /* access modifiers changed from: package-private */
    @SuppressLint({"ViewConstructor", "PrivateApi"})
    /* compiled from: ViewOverlayApi14 */
    public static class a extends ViewGroup {

        /* renamed from: a  reason: collision with root package name */
        static Method f11770a;
        View I0;
        ArrayList<Drawable> J0 = null;
        r K0;
        private boolean L0;

        /* renamed from: b  reason: collision with root package name */
        ViewGroup f11771b;

        static {
            try {
                Class cls = Integer.TYPE;
                f11770a = ViewGroup.class.getDeclaredMethod("invalidateChildInParentFast", cls, cls, Rect.class);
            } catch (NoSuchMethodException unused) {
            }
        }

        a(Context context, ViewGroup viewGroup, View view, r rVar) {
            super(context);
            this.f11771b = viewGroup;
            this.I0 = view;
            setRight(viewGroup.getWidth());
            setBottom(viewGroup.getHeight());
            viewGroup.addView(this);
            this.K0 = rVar;
        }

        private void c() {
            if (this.L0) {
                throw new IllegalStateException("This overlay was disposed already. Please use a new one via ViewGroupUtils.getOverlay()");
            }
        }

        private void d() {
            if (getChildCount() == 0) {
                ArrayList<Drawable> arrayList = this.J0;
                if (arrayList == null || arrayList.size() == 0) {
                    this.L0 = true;
                    this.f11771b.removeView(this);
                }
            }
        }

        private void e(int[] iArr) {
            int[] iArr2 = new int[2];
            int[] iArr3 = new int[2];
            this.f11771b.getLocationOnScreen(iArr2);
            this.I0.getLocationOnScreen(iArr3);
            iArr[0] = iArr3[0] - iArr2[0];
            iArr[1] = iArr3[1] - iArr2[1];
        }

        public void a(Drawable drawable) {
            c();
            if (this.J0 == null) {
                this.J0 = new ArrayList<>();
            }
            if (!this.J0.contains(drawable)) {
                this.J0.add(drawable);
                invalidate(drawable.getBounds());
                drawable.setCallback(this);
            }
        }

        public void b(View view) {
            c();
            if (view.getParent() instanceof ViewGroup) {
                ViewGroup viewGroup = (ViewGroup) view.getParent();
                if (!(viewGroup == this.f11771b || viewGroup.getParent() == null || !ViewCompat.isAttachedToWindow(viewGroup))) {
                    int[] iArr = new int[2];
                    int[] iArr2 = new int[2];
                    viewGroup.getLocationOnScreen(iArr);
                    this.f11771b.getLocationOnScreen(iArr2);
                    ViewCompat.offsetLeftAndRight(view, iArr[0] - iArr2[0]);
                    ViewCompat.offsetTopAndBottom(view, iArr[1] - iArr2[1]);
                }
                viewGroup.removeView(view);
                if (view.getParent() != null) {
                    viewGroup.removeView(view);
                }
            }
            super.addView(view);
        }

        /* access modifiers changed from: protected */
        public void dispatchDraw(Canvas canvas) {
            int[] iArr = new int[2];
            int[] iArr2 = new int[2];
            this.f11771b.getLocationOnScreen(iArr);
            this.I0.getLocationOnScreen(iArr2);
            canvas.translate((float) (iArr2[0] - iArr[0]), (float) (iArr2[1] - iArr[1]));
            canvas.clipRect(new Rect(0, 0, this.I0.getWidth(), this.I0.getHeight()));
            super.dispatchDraw(canvas);
            ArrayList<Drawable> arrayList = this.J0;
            int size = arrayList == null ? 0 : arrayList.size();
            for (int i = 0; i < size; i++) {
                this.J0.get(i).draw(canvas);
            }
        }

        public boolean dispatchTouchEvent(MotionEvent motionEvent) {
            return false;
        }

        /* access modifiers changed from: protected */
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
        public ViewParent f(int i, int i2, Rect rect) {
            if (this.f11771b == null || f11770a == null) {
                return null;
            }
            try {
                e(new int[2]);
                f11770a.invoke(this.f11771b, Integer.valueOf(i), Integer.valueOf(i2), rect);
                return null;
            } catch (IllegalAccessException e2) {
                e2.printStackTrace();
                return null;
            } catch (InvocationTargetException e3) {
                e3.printStackTrace();
                return null;
            }
        }

        public void g(Drawable drawable) {
            ArrayList<Drawable> arrayList = this.J0;
            if (arrayList != null) {
                arrayList.remove(drawable);
                invalidate(drawable.getBounds());
                drawable.setCallback(null);
                d();
            }
        }

        public void h(View view) {
            super.removeView(view);
            d();
        }

        public ViewParent invalidateChildInParent(int[] iArr, Rect rect) {
            if (this.f11771b == null) {
                return null;
            }
            rect.offset(iArr[0], iArr[1]);
            if (this.f11771b != null) {
                iArr[0] = 0;
                iArr[1] = 0;
                int[] iArr2 = new int[2];
                e(iArr2);
                rect.offset(iArr2[0], iArr2[1]);
                return super.invalidateChildInParent(iArr, rect);
            }
            invalidate(rect);
            return null;
        }

        public void invalidateDrawable(@NonNull Drawable drawable) {
            invalidate(drawable.getBounds());
        }

        /* access modifiers changed from: protected */
        public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        }

        /* access modifiers changed from: protected */
        public boolean verifyDrawable(@NonNull Drawable drawable) {
            ArrayList<Drawable> arrayList;
            return super.verifyDrawable(drawable) || ((arrayList = this.J0) != null && arrayList.contains(drawable));
        }
    }

    r(Context context, ViewGroup viewGroup, View view) {
        this.f11769a = new a(context, viewGroup, view, this);
    }

    static r e(View view) {
        ViewGroup f = u.f(view);
        if (f == null) {
            return null;
        }
        int childCount = f.getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = f.getChildAt(i);
            if (childAt instanceof a) {
                return ((a) childAt).K0;
            }
        }
        return new o(f.getContext(), f, view);
    }

    @Override // com.google.android.material.internal.t
    public void a(@NonNull Drawable drawable) {
        this.f11769a.a(drawable);
    }

    @Override // com.google.android.material.internal.t
    public void b(@NonNull Drawable drawable) {
        this.f11769a.g(drawable);
    }
}
