package com.google.android.material.internal;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.os.Build;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.ViewTreeObserver;
import android.view.inputmethod.InputMethodManager;
import androidx.annotation.Dimension;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.core.view.OnApplyWindowInsetsListener;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import com.google.android.material.R;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
/* compiled from: ViewUtils */
public class u {

    /* compiled from: ViewUtils */
    static class a implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f11773a;

        a(View view) {
            this.f11773a = view;
        }

        public void run() {
            ((InputMethodManager) this.f11773a.getContext().getSystemService("input_method")).showSoftInput(this.f11773a, 1);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ViewUtils */
    public static class b implements e {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ boolean f11774a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ boolean f11775b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ boolean f11776c;

        /* renamed from: d  reason: collision with root package name */
        final /* synthetic */ e f11777d;

        b(boolean z, boolean z2, boolean z3, e eVar) {
            this.f11774a = z;
            this.f11775b = z2;
            this.f11776c = z3;
            this.f11777d = eVar;
        }

        @Override // com.google.android.material.internal.u.e
        @NonNull
        public WindowInsetsCompat a(View view, @NonNull WindowInsetsCompat windowInsetsCompat, @NonNull f fVar) {
            if (this.f11774a) {
                fVar.f11783d += windowInsetsCompat.getSystemWindowInsetBottom();
            }
            boolean j = u.j(view);
            if (this.f11775b) {
                if (j) {
                    fVar.f11782c += windowInsetsCompat.getSystemWindowInsetLeft();
                } else {
                    fVar.f11780a += windowInsetsCompat.getSystemWindowInsetLeft();
                }
            }
            if (this.f11776c) {
                if (j) {
                    fVar.f11780a += windowInsetsCompat.getSystemWindowInsetRight();
                } else {
                    fVar.f11782c += windowInsetsCompat.getSystemWindowInsetRight();
                }
            }
            fVar.a(view);
            e eVar = this.f11777d;
            return eVar != null ? eVar.a(view, windowInsetsCompat, fVar) : windowInsetsCompat;
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ViewUtils */
    public static class c implements OnApplyWindowInsetsListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ e f11778a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ f f11779b;

        c(e eVar, f fVar) {
            this.f11778a = eVar;
            this.f11779b = fVar;
        }

        @Override // androidx.core.view.OnApplyWindowInsetsListener
        public WindowInsetsCompat onApplyWindowInsets(View view, WindowInsetsCompat windowInsetsCompat) {
            return this.f11778a.a(view, windowInsetsCompat, new f(this.f11779b));
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ViewUtils */
    public static class d implements View.OnAttachStateChangeListener {
        d() {
        }

        public void onViewAttachedToWindow(@NonNull View view) {
            view.removeOnAttachStateChangeListener(this);
            ViewCompat.requestApplyInsets(view);
        }

        public void onViewDetachedFromWindow(View view) {
        }
    }

    /* compiled from: ViewUtils */
    public interface e {
        WindowInsetsCompat a(View view, WindowInsetsCompat windowInsetsCompat, f fVar);
    }

    private u() {
    }

    public static void a(@Nullable View view, @NonNull ViewTreeObserver.OnGlobalLayoutListener onGlobalLayoutListener) {
        if (view != null) {
            view.getViewTreeObserver().addOnGlobalLayoutListener(onGlobalLayoutListener);
        }
    }

    public static void b(@NonNull View view, @Nullable AttributeSet attributeSet, int i, int i2) {
        c(view, attributeSet, i, i2, null);
    }

    public static void c(@NonNull View view, @Nullable AttributeSet attributeSet, int i, int i2, @Nullable e eVar) {
        TypedArray obtainStyledAttributes = view.getContext().obtainStyledAttributes(attributeSet, R.styleable.Insets, i, i2);
        boolean z = obtainStyledAttributes.getBoolean(R.styleable.Insets_paddingBottomSystemWindowInsets, false);
        boolean z2 = obtainStyledAttributes.getBoolean(R.styleable.Insets_paddingLeftSystemWindowInsets, false);
        boolean z3 = obtainStyledAttributes.getBoolean(R.styleable.Insets_paddingRightSystemWindowInsets, false);
        obtainStyledAttributes.recycle();
        d(view, new b(z, z2, z3, eVar));
    }

    public static void d(@NonNull View view, @NonNull e eVar) {
        ViewCompat.setOnApplyWindowInsetsListener(view, new c(eVar, new f(ViewCompat.getPaddingStart(view), view.getPaddingTop(), ViewCompat.getPaddingEnd(view), view.getPaddingBottom())));
        n(view);
    }

    public static float e(@NonNull Context context, @Dimension(unit = 0) int i) {
        return TypedValue.applyDimension(1, (float) i, context.getResources().getDisplayMetrics());
    }

    @Nullable
    public static ViewGroup f(@Nullable View view) {
        if (view == null) {
            return null;
        }
        View rootView = view.getRootView();
        ViewGroup viewGroup = (ViewGroup) rootView.findViewById(16908290);
        if (viewGroup != null) {
            return viewGroup;
        }
        if (rootView == view || !(rootView instanceof ViewGroup)) {
            return null;
        }
        return (ViewGroup) rootView;
    }

    @Nullable
    public static t g(@NonNull View view) {
        return h(f(view));
    }

    @Nullable
    public static t h(@Nullable View view) {
        if (view == null) {
            return null;
        }
        if (Build.VERSION.SDK_INT >= 18) {
            return new s(view);
        }
        return r.e(view);
    }

    public static float i(@NonNull View view) {
        float f2 = 0.0f;
        for (ViewParent parent = view.getParent(); parent instanceof View; parent = parent.getParent()) {
            f2 += ViewCompat.getElevation((View) parent);
        }
        return f2;
    }

    public static boolean j(View view) {
        return ViewCompat.getLayoutDirection(view) == 1;
    }

    public static PorterDuff.Mode k(int i, PorterDuff.Mode mode) {
        if (i == 3) {
            return PorterDuff.Mode.SRC_OVER;
        }
        if (i == 5) {
            return PorterDuff.Mode.SRC_IN;
        }
        if (i == 9) {
            return PorterDuff.Mode.SRC_ATOP;
        }
        switch (i) {
            case 14:
                return PorterDuff.Mode.MULTIPLY;
            case 15:
                return PorterDuff.Mode.SCREEN;
            case 16:
                return PorterDuff.Mode.ADD;
            default:
                return mode;
        }
    }

    public static void l(@Nullable View view, @NonNull ViewTreeObserver.OnGlobalLayoutListener onGlobalLayoutListener) {
        if (view != null) {
            m(view.getViewTreeObserver(), onGlobalLayoutListener);
        }
    }

    public static void m(@NonNull ViewTreeObserver viewTreeObserver, @NonNull ViewTreeObserver.OnGlobalLayoutListener onGlobalLayoutListener) {
        if (Build.VERSION.SDK_INT >= 16) {
            viewTreeObserver.removeOnGlobalLayoutListener(onGlobalLayoutListener);
        } else {
            viewTreeObserver.removeGlobalOnLayoutListener(onGlobalLayoutListener);
        }
    }

    public static void n(@NonNull View view) {
        if (ViewCompat.isAttachedToWindow(view)) {
            ViewCompat.requestApplyInsets(view);
        } else {
            view.addOnAttachStateChangeListener(new d());
        }
    }

    public static void o(@NonNull View view) {
        view.requestFocus();
        view.post(new a(view));
    }

    /* compiled from: ViewUtils */
    public static class f {

        /* renamed from: a  reason: collision with root package name */
        public int f11780a;

        /* renamed from: b  reason: collision with root package name */
        public int f11781b;

        /* renamed from: c  reason: collision with root package name */
        public int f11782c;

        /* renamed from: d  reason: collision with root package name */
        public int f11783d;

        public f(int i, int i2, int i3, int i4) {
            this.f11780a = i;
            this.f11781b = i2;
            this.f11782c = i3;
            this.f11783d = i4;
        }

        public void a(View view) {
            ViewCompat.setPaddingRelative(view, this.f11780a, this.f11781b, this.f11782c, this.f11783d);
        }

        public f(@NonNull f fVar) {
            this.f11780a = fVar.f11780a;
            this.f11781b = fVar.f11781b;
            this.f11782c = fVar.f11782c;
            this.f11783d = fVar.f11783d;
        }
    }
}
