package com.google.android.material.l;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.View;
import androidx.annotation.AttrRes;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.core.graphics.g;
import com.google.android.material.R;
import com.google.android.material.i.c;
import com.google.android.material.i.d;
import com.google.android.material.internal.j;
import com.google.android.material.internal.m;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.f;
import com.google.android.material.shape.h;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
/* compiled from: TooltipDrawable */
public class a extends MaterialShapeDrawable implements j.b {
    @StyleRes
    private static final int j1 = R.style.Widget_MaterialComponents_Tooltip;
    @AttrRes
    private static final int k1 = R.attr.tooltipStyle;
    private float A1;
    private float B1;
    @Nullable
    private CharSequence l1;
    @NonNull
    private final Context m1;
    @Nullable
    private final Paint.FontMetrics n1 = new Paint.FontMetrics();
    @NonNull
    private final j o1;
    @NonNull
    private final View.OnLayoutChangeListener p1;
    @NonNull
    private final Rect q1;
    private int r1;
    private int s1;
    private int t1;
    private int u1;
    private int v1;
    private int w1;
    private float x1;
    private float y1;
    private final float z1;

    /* renamed from: com.google.android.material.l.a$a  reason: collision with other inner class name */
    /* compiled from: TooltipDrawable */
    class View$OnLayoutChangeListenerC0265a implements View.OnLayoutChangeListener {
        View$OnLayoutChangeListenerC0265a() {
        }

        public void onLayoutChange(View view, int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8) {
            a.this.q1(view);
        }
    }

    private a(@NonNull Context context, AttributeSet attributeSet, @AttrRes int i, @StyleRes int i2) {
        super(context, attributeSet, i, i2);
        j jVar = new j(this);
        this.o1 = jVar;
        this.p1 = new View$OnLayoutChangeListenerC0265a();
        this.q1 = new Rect();
        this.x1 = 1.0f;
        this.y1 = 1.0f;
        this.z1 = 0.5f;
        this.A1 = 0.5f;
        this.B1 = 1.0f;
        this.m1 = context;
        jVar.e().density = context.getResources().getDisplayMetrics().density;
        jVar.e().setTextAlign(Paint.Align.CENTER);
    }

    private float P0() {
        int i;
        if (((this.q1.right - getBounds().right) - this.w1) - this.u1 < 0) {
            i = ((this.q1.right - getBounds().right) - this.w1) - this.u1;
        } else if (((this.q1.left - getBounds().left) - this.w1) + this.u1 <= 0) {
            return 0.0f;
        } else {
            i = ((this.q1.left - getBounds().left) - this.w1) + this.u1;
        }
        return (float) i;
    }

    private float Q0() {
        this.o1.e().getFontMetrics(this.n1);
        Paint.FontMetrics fontMetrics = this.n1;
        return (fontMetrics.descent + fontMetrics.ascent) / 2.0f;
    }

    private float R0(@NonNull Rect rect) {
        return ((float) rect.centerY()) - Q0();
    }

    @NonNull
    public static a S0(@NonNull Context context) {
        return U0(context, null, k1, j1);
    }

    @NonNull
    public static a T0(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        return U0(context, attributeSet, k1, j1);
    }

    @NonNull
    public static a U0(@NonNull Context context, @Nullable AttributeSet attributeSet, @AttrRes int i, @StyleRes int i2) {
        a aVar = new a(context, attributeSet, i, i2);
        aVar.f1(attributeSet, i, i2);
        return aVar;
    }

    private f V0() {
        float width = ((float) (((double) getBounds().width()) - (((double) this.v1) * Math.sqrt(2.0d)))) / 2.0f;
        return new com.google.android.material.shape.j(new h((float) this.v1), Math.min(Math.max(-P0(), -width), width));
    }

    private void X0(@NonNull Canvas canvas) {
        if (this.l1 != null) {
            Rect bounds = getBounds();
            int R0 = (int) R0(bounds);
            if (this.o1.d() != null) {
                this.o1.e().drawableState = getState();
                this.o1.k(this.m1);
                this.o1.e().setAlpha((int) (this.B1 * 255.0f));
            }
            CharSequence charSequence = this.l1;
            canvas.drawText(charSequence, 0, charSequence.length(), (float) bounds.centerX(), (float) R0, this.o1.e());
        }
    }

    private float e1() {
        CharSequence charSequence = this.l1;
        if (charSequence == null) {
            return 0.0f;
        }
        return this.o1.f(charSequence.toString());
    }

    private void f1(@Nullable AttributeSet attributeSet, @AttrRes int i, @StyleRes int i2) {
        TypedArray j = m.j(this.m1, attributeSet, R.styleable.Tooltip, i, i2, new int[0]);
        this.v1 = this.m1.getResources().getDimensionPixelSize(R.dimen.mtrl_tooltip_arrowSize);
        setShapeAppearanceModel(getShapeAppearanceModel().v().t(V0()).m());
        l1(j.getText(R.styleable.Tooltip_android_text));
        m1(c.f(this.m1, j, R.styleable.Tooltip_android_textAppearance));
        n0(ColorStateList.valueOf(j.getColor(R.styleable.Tooltip_backgroundTint, com.google.android.material.c.a.f(g.B(com.google.android.material.c.a.c(this.m1, 16842801, a.class.getCanonicalName()), 229), g.B(com.google.android.material.c.a.c(this.m1, R.attr.colorOnBackground, a.class.getCanonicalName()), 153)))));
        E0(ColorStateList.valueOf(com.google.android.material.c.a.c(this.m1, R.attr.colorSurface, a.class.getCanonicalName())));
        this.r1 = j.getDimensionPixelSize(R.styleable.Tooltip_android_padding, 0);
        this.s1 = j.getDimensionPixelSize(R.styleable.Tooltip_android_minWidth, 0);
        this.t1 = j.getDimensionPixelSize(R.styleable.Tooltip_android_minHeight, 0);
        this.u1 = j.getDimensionPixelSize(R.styleable.Tooltip_android_layout_margin, 0);
        j.recycle();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void q1(@NonNull View view) {
        int[] iArr = new int[2];
        view.getLocationOnScreen(iArr);
        this.w1 = iArr[0];
        view.getWindowVisibleDisplayFrame(this.q1);
    }

    public void W0(@Nullable View view) {
        if (view != null) {
            view.removeOnLayoutChangeListener(this.p1);
        }
    }

    public int Y0() {
        return this.u1;
    }

    public int Z0() {
        return this.t1;
    }

    @Override // com.google.android.material.internal.j.b
    public void a() {
        invalidateSelf();
    }

    public int a1() {
        return this.s1;
    }

    @Nullable
    public CharSequence b1() {
        return this.l1;
    }

    @Nullable
    public d c1() {
        return this.o1.d();
    }

    public int d1() {
        return this.r1;
    }

    @Override // com.google.android.material.shape.MaterialShapeDrawable
    public void draw(@NonNull Canvas canvas) {
        canvas.save();
        canvas.scale(this.x1, this.y1, ((float) getBounds().left) + (((float) getBounds().width()) * 0.5f), ((float) getBounds().top) + (((float) getBounds().height()) * this.A1));
        canvas.translate(P0(), (float) (-((((double) this.v1) * Math.sqrt(2.0d)) - ((double) this.v1))));
        super.draw(canvas);
        X0(canvas);
        canvas.restore();
    }

    public void g1(@Px int i) {
        this.u1 = i;
        invalidateSelf();
    }

    public int getIntrinsicHeight() {
        return (int) Math.max(this.o1.e().getTextSize(), (float) this.t1);
    }

    public int getIntrinsicWidth() {
        return (int) Math.max(((float) (this.r1 * 2)) + e1(), (float) this.s1);
    }

    public void h1(@Px int i) {
        this.t1 = i;
        invalidateSelf();
    }

    public void i1(@Px int i) {
        this.s1 = i;
        invalidateSelf();
    }

    public void j1(@Nullable View view) {
        if (view != null) {
            q1(view);
            view.addOnLayoutChangeListener(this.p1);
        }
    }

    public void k1(@FloatRange(from = 0.0d, to = 1.0d) float f) {
        this.A1 = 1.2f;
        this.x1 = f;
        this.y1 = f;
        this.B1 = com.google.android.material.a.a.b(0.0f, 1.0f, 0.19f, 1.0f, f);
        invalidateSelf();
    }

    public void l1(@Nullable CharSequence charSequence) {
        if (!TextUtils.equals(this.l1, charSequence)) {
            this.l1 = charSequence;
            this.o1.j(true);
            invalidateSelf();
        }
    }

    public void m1(@Nullable d dVar) {
        this.o1.i(dVar, this.m1);
    }

    public void n1(@StyleRes int i) {
        m1(new d(this.m1, i));
    }

    public void o1(@Px int i) {
        this.r1 = i;
        invalidateSelf();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.shape.MaterialShapeDrawable
    public void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        setShapeAppearanceModel(getShapeAppearanceModel().v().t(V0()).m());
    }

    @Override // com.google.android.material.internal.j.b, com.google.android.material.shape.MaterialShapeDrawable
    public boolean onStateChange(int[] iArr) {
        return super.onStateChange(iArr);
    }

    public void p1(@StringRes int i) {
        l1(this.m1.getResources().getString(i));
    }
}
