package com.google.android.material.progressindicator;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.os.SystemClock;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewParent;
import android.widget.ProgressBar;
import androidx.annotation.AttrRes;
import androidx.annotation.ColorInt;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.annotation.VisibleForTesting;
import androidx.core.view.ViewCompat;
import androidx.vectordrawable.a.a.b;
import com.google.android.material.R;
import com.google.android.material.internal.m;
import com.google.android.material.progressindicator.b;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.Arrays;

public abstract class BaseProgressIndicator<S extends b> extends ProgressBar {
    public static final int I0 = 2;
    public static final int J0 = 0;
    public static final int K0 = 1;
    public static final int L0 = 2;
    static final int M0 = R.style.Widget_MaterialComponents_ProgressIndicator;
    static final float N0 = 0.2f;
    static final int O0 = 255;
    static final int P0 = 1000;

    /* renamed from: a  reason: collision with root package name */
    public static final int f11801a = 0;

    /* renamed from: b  reason: collision with root package name */
    public static final int f11802b = 1;
    S Q0;
    private int R0;
    private boolean S0;
    private boolean T0;
    private final int U0;
    private final int V0;
    private long W0 = -1;
    a X0;
    private boolean Y0 = false;
    private int Z0 = 4;
    private final Runnable a1 = new a();
    private final Runnable b1 = new b();
    private final b.a c1 = new c();
    private final b.a d1 = new d();

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface HideAnimationBehavior {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface ShowAnimationBehavior {
    }

    class a implements Runnable {
        a() {
        }

        public void run() {
            BaseProgressIndicator.this.l();
        }
    }

    class b implements Runnable {
        b() {
        }

        public void run() {
            BaseProgressIndicator.this.k();
            BaseProgressIndicator.this.W0 = -1;
        }
    }

    class c extends b.a {
        c() {
        }

        @Override // androidx.vectordrawable.a.a.b.a
        public void b(Drawable drawable) {
            BaseProgressIndicator.this.setIndeterminate(false);
            BaseProgressIndicator.this.p(0, false);
            BaseProgressIndicator baseProgressIndicator = BaseProgressIndicator.this;
            baseProgressIndicator.p(baseProgressIndicator.R0, BaseProgressIndicator.this.S0);
        }
    }

    class d extends b.a {
        d() {
        }

        @Override // androidx.vectordrawable.a.a.b.a
        public void b(Drawable drawable) {
            super.b(drawable);
            if (!BaseProgressIndicator.this.Y0) {
                BaseProgressIndicator baseProgressIndicator = BaseProgressIndicator.this;
                baseProgressIndicator.setVisibility(baseProgressIndicator.Z0);
            }
        }
    }

    protected BaseProgressIndicator(@NonNull Context context, @Nullable AttributeSet attributeSet, @AttrRes int i, @StyleRes int i2) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i, M0), attributeSet, i);
        Context context2 = getContext();
        this.Q0 = i(context2, attributeSet);
        TypedArray j = m.j(context2, attributeSet, R.styleable.BaseProgressIndicator, i, i2, new int[0]);
        this.U0 = j.getInt(R.styleable.BaseProgressIndicator_showDelay, -1);
        this.V0 = Math.min(j.getInt(R.styleable.BaseProgressIndicator_minHideDelay, -1), 1000);
        j.recycle();
        this.X0 = new a();
        this.T0 = true;
    }

    @Nullable
    private g<S> getCurrentDrawingDelegate() {
        if (isIndeterminate()) {
            if (getIndeterminateDrawable() == null) {
                return null;
            }
            return getIndeterminateDrawable().A();
        } else if (getProgressDrawable() == null) {
            return null;
        } else {
            return getProgressDrawable().B();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void k() {
        ((f) getCurrentDrawable()).v(false, false, true);
        if (n()) {
            setVisibility(4);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void l() {
        if (this.V0 > 0) {
            this.W0 = SystemClock.uptimeMillis();
        }
        setVisibility(0);
    }

    private boolean n() {
        return (getProgressDrawable() == null || !getProgressDrawable().isVisible()) && (getIndeterminateDrawable() == null || !getIndeterminateDrawable().isVisible());
    }

    private void o() {
        if (!(getProgressDrawable() == null || getIndeterminateDrawable() == null)) {
            getIndeterminateDrawable().z().d(this.c1);
        }
        if (getProgressDrawable() != null) {
            getProgressDrawable().b(this.d1);
        }
        if (getIndeterminateDrawable() != null) {
            getIndeterminateDrawable().b(this.d1);
        }
    }

    private void r() {
        if (getIndeterminateDrawable() != null) {
            getIndeterminateDrawable().d(this.d1);
            getIndeterminateDrawable().z().h();
        }
        if (getProgressDrawable() != null) {
            getProgressDrawable().d(this.d1);
        }
    }

    @Nullable
    public Drawable getCurrentDrawable() {
        return isIndeterminate() ? getIndeterminateDrawable() : getProgressDrawable();
    }

    public int getHideAnimationBehavior() {
        return this.Q0.f;
    }

    @NonNull
    public int[] getIndicatorColor() {
        return this.Q0.f11810c;
    }

    public int getShowAnimationBehavior() {
        return this.Q0.f11812e;
    }

    @ColorInt
    public int getTrackColor() {
        return this.Q0.f11811d;
    }

    @Px
    public int getTrackCornerRadius() {
        return this.Q0.f11809b;
    }

    @Px
    public int getTrackThickness() {
        return this.Q0.f11808a;
    }

    /* access modifiers changed from: protected */
    public void h(boolean z) {
        if (this.T0) {
            ((f) getCurrentDrawable()).v(s(), false, z);
        }
    }

    /* access modifiers changed from: package-private */
    public abstract S i(@NonNull Context context, @NonNull AttributeSet attributeSet);

    public void invalidate() {
        super.invalidate();
        if (getCurrentDrawable() != null) {
            getCurrentDrawable().invalidateSelf();
        }
    }

    public void j() {
        if (getVisibility() != 0) {
            removeCallbacks(this.a1);
            return;
        }
        removeCallbacks(this.b1);
        long uptimeMillis = SystemClock.uptimeMillis() - this.W0;
        int i = this.V0;
        if (uptimeMillis >= ((long) i)) {
            this.b1.run();
        } else {
            postDelayed(this.b1, ((long) i) - uptimeMillis);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean m() {
        View view = this;
        while (view.getVisibility() == 0) {
            ViewParent parent = view.getParent();
            if (parent == null) {
                if (getWindowVisibility() == 0) {
                    return true;
                }
                return false;
            } else if (!(parent instanceof View)) {
                return true;
            } else {
                view = (View) parent;
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        o();
        if (s()) {
            l();
        }
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        removeCallbacks(this.b1);
        removeCallbacks(this.a1);
        ((f) getCurrentDrawable()).l();
        r();
        super.onDetachedFromWindow();
    }

    /* access modifiers changed from: protected */
    public synchronized void onDraw(@NonNull Canvas canvas) {
        int save = canvas.save();
        if (!(getPaddingLeft() == 0 && getPaddingTop() == 0)) {
            canvas.translate((float) getPaddingLeft(), (float) getPaddingTop());
        }
        if (!(getPaddingRight() == 0 && getPaddingBottom() == 0)) {
            canvas.clipRect(0, 0, getWidth() - (getPaddingLeft() + getPaddingRight()), getHeight() - (getPaddingTop() + getPaddingBottom()));
        }
        getCurrentDrawable().draw(canvas);
        canvas.restoreToCount(save);
    }

    /* access modifiers changed from: protected */
    public synchronized void onMeasure(int i, int i2) {
        int i3;
        int i4;
        super.onMeasure(i, i2);
        g<S> currentDrawingDelegate = getCurrentDrawingDelegate();
        if (currentDrawingDelegate != null) {
            int e2 = currentDrawingDelegate.e();
            int d2 = currentDrawingDelegate.d();
            if (e2 < 0) {
                i3 = getMeasuredWidth();
            } else {
                i3 = e2 + getPaddingLeft() + getPaddingRight();
            }
            if (d2 < 0) {
                i4 = getMeasuredHeight();
            } else {
                i4 = d2 + getPaddingTop() + getPaddingBottom();
            }
            setMeasuredDimension(i3, i4);
        }
    }

    /* access modifiers changed from: protected */
    public void onVisibilityChanged(@NonNull View view, int i) {
        super.onVisibilityChanged(view, i);
        h(i == 0);
    }

    /* access modifiers changed from: protected */
    public void onWindowVisibilityChanged(int i) {
        super.onWindowVisibilityChanged(i);
        h(false);
    }

    public void p(int i, boolean z) {
        if (!isIndeterminate()) {
            super.setProgress(i);
            if (getProgressDrawable() != null && !z) {
                getProgressDrawable().jumpToCurrentState();
            }
        } else if (getProgressDrawable() != null) {
            this.R0 = i;
            this.S0 = z;
            this.Y0 = true;
            if (!getIndeterminateDrawable().isVisible() || this.X0.a(getContext().getContentResolver()) == 0.0f) {
                this.c1.b(getIndeterminateDrawable());
            } else {
                getIndeterminateDrawable().z().f();
            }
        }
    }

    public void q() {
        if (this.U0 > 0) {
            removeCallbacks(this.a1);
            postDelayed(this.a1, (long) this.U0);
            return;
        }
        this.a1.run();
    }

    /* access modifiers changed from: package-private */
    public boolean s() {
        return ViewCompat.isAttachedToWindow(this) && getWindowVisibility() == 0 && m();
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    @VisibleForTesting
    public void setAnimatorDurationScaleProvider(@NonNull a aVar) {
        this.X0 = aVar;
        if (getProgressDrawable() != null) {
            getProgressDrawable().L0 = aVar;
        }
        if (getIndeterminateDrawable() != null) {
            getIndeterminateDrawable().L0 = aVar;
        }
    }

    public void setHideAnimationBehavior(int i) {
        this.Q0.f = i;
        invalidate();
    }

    public synchronized void setIndeterminate(boolean z) {
        if (z != isIndeterminate()) {
            if (!s() || !z) {
                f fVar = (f) getCurrentDrawable();
                if (fVar != null) {
                    fVar.l();
                }
                super.setIndeterminate(z);
                f fVar2 = (f) getCurrentDrawable();
                if (fVar2 != null) {
                    fVar2.v(s(), false, false);
                }
                this.Y0 = false;
                return;
            }
            throw new IllegalStateException("Cannot switch to indeterminate mode while the progress indicator is visible.");
        }
    }

    public void setIndeterminateDrawable(@Nullable Drawable drawable) {
        if (drawable == null) {
            super.setIndeterminateDrawable(null);
        } else if (drawable instanceof i) {
            ((f) drawable).l();
            super.setIndeterminateDrawable(drawable);
        } else {
            throw new IllegalArgumentException("Cannot set framework drawable as indeterminate drawable.");
        }
    }

    public void setIndicatorColor(@ColorInt int... iArr) {
        if (iArr.length == 0) {
            iArr = new int[]{com.google.android.material.c.a.b(getContext(), R.attr.colorPrimary, -1)};
        }
        if (!Arrays.equals(getIndicatorColor(), iArr)) {
            this.Q0.f11810c = iArr;
            getIndeterminateDrawable().z().c();
            invalidate();
        }
    }

    public synchronized void setProgress(int i) {
        if (!isIndeterminate()) {
            p(i, false);
        }
    }

    public void setProgressDrawable(@Nullable Drawable drawable) {
        if (drawable == null) {
            super.setProgressDrawable(null);
        } else if (drawable instanceof e) {
            e eVar = (e) drawable;
            eVar.l();
            super.setProgressDrawable(eVar);
            eVar.F(((float) getProgress()) / ((float) getMax()));
        } else {
            throw new IllegalArgumentException("Cannot set framework drawable as progress drawable.");
        }
    }

    public void setShowAnimationBehavior(int i) {
        this.Q0.f11812e = i;
        invalidate();
    }

    public void setTrackColor(@ColorInt int i) {
        S s = this.Q0;
        if (s.f11811d != i) {
            s.f11811d = i;
            invalidate();
        }
    }

    public void setTrackCornerRadius(@Px int i) {
        S s = this.Q0;
        if (s.f11809b != i) {
            s.f11809b = Math.min(i, s.f11808a / 2);
        }
    }

    public void setTrackThickness(@Px int i) {
        S s = this.Q0;
        if (s.f11808a != i) {
            s.f11808a = i;
            requestLayout();
        }
    }

    public void setVisibilityAfterHide(int i) {
        if (i == 0 || i == 4 || i == 8) {
            this.Z0 = i;
            return;
        }
        throw new IllegalArgumentException("The component's visibility must be one of VISIBLE, INVISIBLE, and GONE defined in View.");
    }

    @Nullable
    public i<S> getIndeterminateDrawable() {
        return (i) super.getIndeterminateDrawable();
    }

    @Nullable
    public e<S> getProgressDrawable() {
        return (e) super.getProgressDrawable();
    }
}
