package com.google.android.material.progressindicator;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import androidx.annotation.AttrRes;
import androidx.annotation.ColorInt;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.StyleRes;
import com.google.android.material.R;
import com.google.android.material.c.a;
import com.google.android.material.i.c;
import com.google.android.material.internal.m;

/* compiled from: BaseProgressIndicatorSpec */
public abstract class b {
    @Px

    /* renamed from: a  reason: collision with root package name */
    public int f11808a;
    @Px

    /* renamed from: b  reason: collision with root package name */
    public int f11809b;
    @NonNull

    /* renamed from: c  reason: collision with root package name */
    public int[] f11810c = new int[0];
    @ColorInt

    /* renamed from: d  reason: collision with root package name */
    public int f11811d;

    /* renamed from: e  reason: collision with root package name */
    public int f11812e;
    public int f;

    protected b(@NonNull Context context, @Nullable AttributeSet attributeSet, @AttrRes int i, @StyleRes int i2) {
        int dimensionPixelSize = context.getResources().getDimensionPixelSize(R.dimen.mtrl_progress_track_thickness);
        TypedArray j = m.j(context, attributeSet, R.styleable.BaseProgressIndicator, i, i2, new int[0]);
        this.f11808a = c.c(context, j, R.styleable.BaseProgressIndicator_trackThickness, dimensionPixelSize);
        this.f11809b = Math.min(c.c(context, j, R.styleable.BaseProgressIndicator_trackCornerRadius, 0), this.f11808a / 2);
        this.f11812e = j.getInt(R.styleable.BaseProgressIndicator_showAnimationBehavior, 0);
        this.f = j.getInt(R.styleable.BaseProgressIndicator_hideAnimationBehavior, 0);
        c(context, j);
        d(context, j);
        j.recycle();
    }

    private void c(@NonNull Context context, @NonNull TypedArray typedArray) {
        int i = R.styleable.BaseProgressIndicator_indicatorColor;
        if (!typedArray.hasValue(i)) {
            this.f11810c = new int[]{a.b(context, R.attr.colorPrimary, -1)};
        } else if (typedArray.peekValue(i).type != 1) {
            this.f11810c = new int[]{typedArray.getColor(i, -1)};
        } else {
            int[] intArray = context.getResources().getIntArray(typedArray.getResourceId(i, -1));
            this.f11810c = intArray;
            if (intArray.length == 0) {
                throw new IllegalArgumentException("indicatorColors cannot be empty when indicatorColor is not used.");
            }
        }
    }

    private void d(@NonNull Context context, @NonNull TypedArray typedArray) {
        int i = R.styleable.BaseProgressIndicator_trackColor;
        if (typedArray.hasValue(i)) {
            this.f11811d = typedArray.getColor(i, -1);
            return;
        }
        this.f11811d = this.f11810c[0];
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(new int[]{16842803});
        float f2 = obtainStyledAttributes.getFloat(0, 0.2f);
        obtainStyledAttributes.recycle();
        this.f11811d = a.a(this.f11811d, (int) (f2 * 255.0f));
    }

    public boolean a() {
        return this.f != 0;
    }

    public boolean b() {
        return this.f11812e != 0;
    }

    /* access modifiers changed from: package-private */
    public abstract void e();
}
