package com.google.android.material.progressindicator;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Property;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import androidx.vectordrawable.a.a.b;
import java.util.ArrayList;
import java.util.List;

/* access modifiers changed from: package-private */
/* compiled from: DrawableWithAnimatedVisibilityChange */
public abstract class f extends Drawable implements androidx.vectordrawable.a.a.b {
    private static final Property<f, Float> I0 = new c(Float.class, "growFraction");

    /* renamed from: a  reason: collision with root package name */
    private static final boolean f11820a = false;

    /* renamed from: b  reason: collision with root package name */
    private static final int f11821b = 500;
    final Context J0;
    final b K0;
    a L0;
    private ValueAnimator M0;
    private ValueAnimator N0;
    private boolean O0;
    private boolean P0;
    private float Q0;
    private List<b.a> R0;
    private b.a S0;
    private boolean T0;
    private float U0;
    final Paint V0 = new Paint();
    private int W0;

    /* access modifiers changed from: package-private */
    /* compiled from: DrawableWithAnimatedVisibilityChange */
    public class a extends AnimatorListenerAdapter {
        a() {
        }

        public void onAnimationStart(Animator animator) {
            super.onAnimationStart(animator);
            f.this.h();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DrawableWithAnimatedVisibilityChange */
    public class b extends AnimatorListenerAdapter {
        b() {
        }

        public void onAnimationEnd(Animator animator) {
            super.onAnimationEnd(animator);
            f.super.setVisible(false, false);
            f.this.g();
        }
    }

    /* compiled from: DrawableWithAnimatedVisibilityChange */
    static class c extends Property<f, Float> {
        c(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public Float get(f fVar) {
            return Float.valueOf(fVar.j());
        }

        /* renamed from: b */
        public void set(f fVar, Float f) {
            fVar.p(f.floatValue());
        }
    }

    f(@NonNull Context context, @NonNull b bVar) {
        this.J0 = context;
        this.K0 = bVar;
        this.L0 = new a();
        setAlpha(255);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void g() {
        b.a aVar = this.S0;
        if (aVar != null) {
            aVar.b(this);
        }
        List<b.a> list = this.R0;
        if (!(list == null || this.T0)) {
            for (b.a aVar2 : list) {
                aVar2.b(this);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void h() {
        b.a aVar = this.S0;
        if (aVar != null) {
            aVar.c(this);
        }
        List<b.a> list = this.R0;
        if (!(list == null || this.T0)) {
            for (b.a aVar2 : list) {
                aVar2.c(this);
            }
        }
    }

    private void i(@NonNull ValueAnimator... valueAnimatorArr) {
        boolean z = this.T0;
        this.T0 = true;
        for (ValueAnimator valueAnimator : valueAnimatorArr) {
            valueAnimator.end();
        }
        this.T0 = z;
    }

    private void o() {
        if (this.M0 == null) {
            ObjectAnimator ofFloat = ObjectAnimator.ofFloat(this, I0, 0.0f, 1.0f);
            this.M0 = ofFloat;
            ofFloat.setDuration(500L);
            this.M0.setInterpolator(com.google.android.material.a.a.f11327b);
            u(this.M0);
        }
        if (this.N0 == null) {
            ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(this, I0, 1.0f, 0.0f);
            this.N0 = ofFloat2;
            ofFloat2.setDuration(500L);
            this.N0.setInterpolator(com.google.android.material.a.a.f11327b);
            q(this.N0);
        }
    }

    private void q(@NonNull ValueAnimator valueAnimator) {
        ValueAnimator valueAnimator2 = this.N0;
        if (valueAnimator2 == null || !valueAnimator2.isRunning()) {
            this.N0 = valueAnimator;
            valueAnimator.addListener(new b());
            return;
        }
        throw new IllegalArgumentException("Cannot set hideAnimator while the current hideAnimator is running.");
    }

    private void u(@NonNull ValueAnimator valueAnimator) {
        ValueAnimator valueAnimator2 = this.M0;
        if (valueAnimator2 == null || !valueAnimator2.isRunning()) {
            this.M0 = valueAnimator;
            valueAnimator.addListener(new a());
            return;
        }
        throw new IllegalArgumentException("Cannot set showAnimator while the current showAnimator is running.");
    }

    @Override // androidx.vectordrawable.a.a.b
    public void b(@NonNull b.a aVar) {
        if (this.R0 == null) {
            this.R0 = new ArrayList();
        }
        if (!this.R0.contains(aVar)) {
            this.R0.add(aVar);
        }
    }

    @Override // androidx.vectordrawable.a.a.b
    public void c() {
        this.R0.clear();
        this.R0 = null;
    }

    @Override // androidx.vectordrawable.a.a.b
    public boolean d(@NonNull b.a aVar) {
        List<b.a> list = this.R0;
        if (list == null || !list.contains(aVar)) {
            return false;
        }
        this.R0.remove(aVar);
        if (!this.R0.isEmpty()) {
            return true;
        }
        this.R0 = null;
        return true;
    }

    public int getAlpha() {
        return this.W0;
    }

    public int getOpacity() {
        return -3;
    }

    public boolean isRunning() {
        return n() || m();
    }

    /* access modifiers changed from: package-private */
    public float j() {
        if (!this.K0.b() && !this.K0.a()) {
            return 1.0f;
        }
        if (this.P0 || this.O0) {
            return this.Q0;
        }
        return this.U0;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public ValueAnimator k() {
        return this.N0;
    }

    public boolean l() {
        return v(false, false, false);
    }

    public boolean m() {
        ValueAnimator valueAnimator = this.N0;
        return (valueAnimator != null && valueAnimator.isRunning()) || this.P0;
    }

    public boolean n() {
        ValueAnimator valueAnimator = this.M0;
        return (valueAnimator != null && valueAnimator.isRunning()) || this.O0;
    }

    /* access modifiers changed from: package-private */
    public void p(@FloatRange(from = 0.0d, to = 1.0d) float f) {
        if (this.U0 != f) {
            this.U0 = f;
            invalidateSelf();
        }
    }

    /* access modifiers changed from: package-private */
    public void r(@NonNull b.a aVar) {
        this.S0 = aVar;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void s(boolean z, @FloatRange(from = 0.0d, to = 1.0d) float f) {
        this.P0 = z;
        this.Q0 = f;
    }

    public void setAlpha(int i) {
        this.W0 = i;
        invalidateSelf();
    }

    public void setColorFilter(@Nullable ColorFilter colorFilter) {
        this.V0.setColorFilter(colorFilter);
        invalidateSelf();
    }

    public boolean setVisible(boolean z, boolean z2) {
        return v(z, z2, true);
    }

    public void start() {
        w(true, true, false);
    }

    public void stop() {
        w(false, true, false);
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void t(boolean z, @FloatRange(from = 0.0d, to = 1.0d) float f) {
        this.O0 = z;
        this.Q0 = f;
    }

    public boolean v(boolean z, boolean z2, boolean z3) {
        return w(z, z2, z3 && this.L0.a(this.J0.getContentResolver()) > 0.0f);
    }

    /* access modifiers changed from: package-private */
    public boolean w(boolean z, boolean z2, boolean z3) {
        o();
        if (!isVisible() && !z) {
            return false;
        }
        ValueAnimator valueAnimator = z ? this.M0 : this.N0;
        if (!z3) {
            if (valueAnimator.isRunning()) {
                valueAnimator.end();
            } else {
                i(valueAnimator);
            }
            return super.setVisible(z, false);
        } else if (z3 && valueAnimator.isRunning()) {
            return false;
        } else {
            boolean z4 = !z || super.setVisible(z, false);
            if (!(z ? this.K0.b() : this.K0.a())) {
                i(valueAnimator);
                return z4;
            }
            if (z2 || Build.VERSION.SDK_INT < 19 || !valueAnimator.isPaused()) {
                valueAnimator.start();
            } else {
                valueAnimator.resume();
            }
            return z4;
        }
    }
}
