package com.google.android.material.progressindicator;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import androidx.annotation.ColorInt;
import androidx.annotation.FloatRange;
import androidx.annotation.NonNull;
import com.google.android.material.c.a;

/* access modifiers changed from: package-private */
/* compiled from: LinearDrawingDelegate */
public final class j extends g<LinearProgressIndicatorSpec> {

    /* renamed from: c  reason: collision with root package name */
    private float f11829c = 300.0f;

    /* renamed from: d  reason: collision with root package name */
    private float f11830d;

    /* renamed from: e  reason: collision with root package name */
    private float f11831e;

    public j(@NonNull LinearProgressIndicatorSpec linearProgressIndicatorSpec) {
        super(linearProgressIndicatorSpec);
    }

    private static void h(Canvas canvas, Paint paint, float f, float f2, float f3, boolean z, RectF rectF) {
        canvas.save();
        canvas.translate(f3, 0.0f);
        if (!z) {
            canvas.rotate(180.0f);
        }
        float f4 = ((-f) / 2.0f) + f2;
        float f5 = (f / 2.0f) - f2;
        canvas.drawRect(-f2, f4, 0.0f, f5, paint);
        canvas.save();
        canvas.translate(0.0f, f4);
        canvas.drawArc(rectF, 180.0f, 90.0f, true, paint);
        canvas.restore();
        canvas.translate(0.0f, f5);
        canvas.drawArc(rectF, 180.0f, -90.0f, true, paint);
        canvas.restore();
    }

    @Override // com.google.android.material.progressindicator.g
    public void a(@NonNull Canvas canvas, @FloatRange(from = 0.0d, to = 1.0d) float f) {
        Rect clipBounds = canvas.getClipBounds();
        this.f11829c = (float) clipBounds.width();
        float f2 = (float) ((LinearProgressIndicatorSpec) this.f11824a).f11808a;
        canvas.translate(((float) clipBounds.width()) / 2.0f, (((float) clipBounds.height()) / 2.0f) + Math.max(0.0f, ((float) (clipBounds.height() - ((LinearProgressIndicatorSpec) this.f11824a).f11808a)) / 2.0f));
        if (((LinearProgressIndicatorSpec) this.f11824a).i) {
            canvas.scale(-1.0f, 1.0f);
        }
        if ((this.f11825b.n() && ((LinearProgressIndicatorSpec) this.f11824a).f11812e == 1) || (this.f11825b.m() && ((LinearProgressIndicatorSpec) this.f11824a).f == 2)) {
            canvas.scale(1.0f, -1.0f);
        }
        if (this.f11825b.n() || this.f11825b.m()) {
            canvas.translate(0.0f, (((float) ((LinearProgressIndicatorSpec) this.f11824a).f11808a) * (f - 1.0f)) / 2.0f);
        }
        float f3 = this.f11829c;
        canvas.clipRect((-f3) / 2.0f, (-f2) / 2.0f, f3 / 2.0f, f2 / 2.0f);
        S s = this.f11824a;
        this.f11830d = ((float) ((LinearProgressIndicatorSpec) s).f11808a) * f;
        this.f11831e = ((float) ((LinearProgressIndicatorSpec) s).f11809b) * f;
    }

    @Override // com.google.android.material.progressindicator.g
    public void b(@NonNull Canvas canvas, @NonNull Paint paint, @FloatRange(from = 0.0d, to = 1.0d) float f, @FloatRange(from = 0.0d, to = 1.0d) float f2, @ColorInt int i) {
        if (f != f2) {
            float f3 = this.f11829c;
            float f4 = this.f11831e;
            float f5 = ((-f3) / 2.0f) + f4 + ((f3 - (f4 * 2.0f)) * f);
            float f6 = ((-f3) / 2.0f) + f4 + ((f3 - (f4 * 2.0f)) * f2);
            paint.setStyle(Paint.Style.FILL);
            paint.setAntiAlias(true);
            paint.setColor(i);
            float f7 = this.f11830d;
            canvas.drawRect(f5, (-f7) / 2.0f, f6, f7 / 2.0f, paint);
            float f8 = this.f11831e;
            RectF rectF = new RectF(-f8, -f8, f8, f8);
            h(canvas, paint, this.f11830d, this.f11831e, f5, true, rectF);
            h(canvas, paint, this.f11830d, this.f11831e, f6, false, rectF);
        }
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.progressindicator.g
    public void c(@NonNull Canvas canvas, @NonNull Paint paint) {
        int a2 = a.a(((LinearProgressIndicatorSpec) this.f11824a).f11811d, this.f11825b.getAlpha());
        float f = ((-this.f11829c) / 2.0f) + this.f11831e;
        float f2 = -f;
        paint.setStyle(Paint.Style.FILL);
        paint.setAntiAlias(true);
        paint.setColor(a2);
        float f3 = this.f11830d;
        canvas.drawRect(f, (-f3) / 2.0f, f2, f3 / 2.0f, paint);
        float f4 = this.f11831e;
        RectF rectF = new RectF(-f4, -f4, f4, f4);
        h(canvas, paint, this.f11830d, this.f11831e, f, true, rectF);
        h(canvas, paint, this.f11830d, this.f11831e, f2, false, rectF);
    }

    @Override // com.google.android.material.progressindicator.g
    public int d() {
        return ((LinearProgressIndicatorSpec) this.f11824a).f11808a;
    }

    @Override // com.google.android.material.progressindicator.g
    public int e() {
        return -1;
    }
}
