package com.google.android.material.progressindicator;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ObjectAnimator;
import android.content.Context;
import android.util.Property;
import android.view.animation.Interpolator;
import androidx.annotation.NonNull;
import androidx.annotation.VisibleForTesting;
import androidx.vectordrawable.a.a.b;
import androidx.vectordrawable.a.a.d;
import com.google.android.material.R;
import java.util.Arrays;

/* access modifiers changed from: package-private */
/* compiled from: LinearIndeterminateDisjointAnimatorDelegate */
public final class l extends h<ObjectAnimator> {

    /* renamed from: d  reason: collision with root package name */
    private static final int f11835d = 1800;

    /* renamed from: e  reason: collision with root package name */
    private static final int[] f11836e = {533, 567, 850, 750};
    private static final int[] f = {1267, 1000, 333, 0};
    private static final Property<l, Float> g = new b(Float.class, "animationFraction");
    private ObjectAnimator h;
    private final Interpolator[] i;
    private final b j;
    private int k = 0;
    private boolean l;
    private float m;
    private boolean n;
    b.a o = null;

    /* access modifiers changed from: package-private */
    /* compiled from: LinearIndeterminateDisjointAnimatorDelegate */
    public class a extends AnimatorListenerAdapter {
        a() {
        }

        public void onAnimationEnd(Animator animator) {
            super.onAnimationEnd(animator);
            if (l.this.n) {
                l.this.h.setRepeatCount(-1);
                l lVar = l.this;
                lVar.o.b(lVar.f11826a);
                l.this.n = false;
            }
        }

        public void onAnimationRepeat(Animator animator) {
            super.onAnimationRepeat(animator);
            l lVar = l.this;
            lVar.k = (lVar.k + 1) % l.this.j.f11810c.length;
            l.this.l = true;
        }
    }

    /* compiled from: LinearIndeterminateDisjointAnimatorDelegate */
    static class b extends Property<l, Float> {
        b(Class cls, String str) {
            super(cls, str);
        }

        /* renamed from: a */
        public Float get(l lVar) {
            return Float.valueOf(lVar.q());
        }

        /* renamed from: b */
        public void set(l lVar, Float f) {
            lVar.u(f.floatValue());
        }
    }

    public l(@NonNull Context context, @NonNull LinearProgressIndicatorSpec linearProgressIndicatorSpec) {
        super(2);
        this.j = linearProgressIndicatorSpec;
        this.i = new Interpolator[]{d.b(context, R.animator.linear_indeterminate_line1_head_interpolator), d.b(context, R.animator.linear_indeterminate_line1_tail_interpolator), d.b(context, R.animator.linear_indeterminate_line2_head_interpolator), d.b(context, R.animator.linear_indeterminate_line2_tail_interpolator)};
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private float q() {
        return this.m;
    }

    private void r() {
        if (this.h == null) {
            ObjectAnimator ofFloat = ObjectAnimator.ofFloat(this, g, 0.0f, 1.0f);
            this.h = ofFloat;
            ofFloat.setDuration(1800L);
            this.h.setInterpolator(null);
            this.h.setRepeatCount(-1);
            this.h.addListener(new a());
        }
    }

    private void s() {
        if (this.l) {
            Arrays.fill(this.f11828c, com.google.android.material.c.a.a(this.j.f11810c[this.k], this.f11826a.getAlpha()));
            this.l = false;
        }
    }

    private void v(int i2) {
        for (int i3 = 0; i3 < 4; i3++) {
            this.f11827b[i3] = Math.max(0.0f, Math.min(1.0f, this.i[i3].getInterpolation(b(i2, f[i3], f11836e[i3]))));
        }
    }

    @Override // com.google.android.material.progressindicator.h
    public void a() {
        ObjectAnimator objectAnimator = this.h;
        if (objectAnimator != null) {
            objectAnimator.cancel();
        }
    }

    @Override // com.google.android.material.progressindicator.h
    public void c() {
        t();
    }

    @Override // com.google.android.material.progressindicator.h
    public void d(@NonNull b.a aVar) {
        this.o = aVar;
    }

    @Override // com.google.android.material.progressindicator.h
    public void f() {
        if (this.f11826a.isVisible()) {
            this.n = true;
            this.h.setRepeatCount(0);
            return;
        }
        a();
    }

    @Override // com.google.android.material.progressindicator.h
    public void g() {
        r();
        t();
        this.h.start();
    }

    @Override // com.google.android.material.progressindicator.h
    public void h() {
        this.o = null;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void t() {
        this.k = 0;
        int a2 = com.google.android.material.c.a.a(this.j.f11810c[0], this.f11826a.getAlpha());
        int[] iArr = this.f11828c;
        iArr[0] = a2;
        iArr[1] = a2;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void u(float f2) {
        this.m = f2;
        v((int) (f2 * 1800.0f));
        s();
        this.f11826a.invalidateSelf();
    }
}
