package com.google.android.material.radiobutton;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.AppCompatRadioButton;
import androidx.core.widget.h;
import com.google.android.material.R;
import com.google.android.material.c.a;
import com.google.android.material.i.c;
import com.google.android.material.internal.m;

public class MaterialRadioButton extends AppCompatRadioButton {

    /* renamed from: a  reason: collision with root package name */
    private static final int f11838a = R.style.Widget_MaterialComponents_CompoundButton_RadioButton;

    /* renamed from: b  reason: collision with root package name */
    private static final int[][] f11839b = {new int[]{16842910, 16842912}, new int[]{16842910, -16842912}, new int[]{-16842910, 16842912}, new int[]{-16842910, -16842912}};
    @Nullable
    private ColorStateList I0;
    private boolean J0;

    public MaterialRadioButton(@NonNull Context context) {
        this(context, null);
    }

    private ColorStateList getMaterialThemeColorsTintList() {
        if (this.I0 == null) {
            int d2 = a.d(this, R.attr.colorControlActivated);
            int d3 = a.d(this, R.attr.colorOnSurface);
            int d4 = a.d(this, R.attr.colorSurface);
            int[][] iArr = f11839b;
            int[] iArr2 = new int[iArr.length];
            iArr2[0] = a.g(d4, d2, 1.0f);
            iArr2[1] = a.g(d4, d3, 0.54f);
            iArr2[2] = a.g(d4, d3, 0.38f);
            iArr2[3] = a.g(d4, d3, 0.38f);
            this.I0 = new ColorStateList(iArr, iArr2);
        }
        return this.I0;
    }

    public boolean a() {
        return this.J0;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.J0 && h.b(this) == null) {
            setUseMaterialThemeColors(true);
        }
    }

    public void setUseMaterialThemeColors(boolean z) {
        this.J0 = z;
        if (z) {
            h.d(this, getMaterialThemeColorsTintList());
        } else {
            h.d(this, null);
        }
    }

    public MaterialRadioButton(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.radioButtonStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public MaterialRadioButton(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i, r4), attributeSet, i);
        int i2 = f11838a;
        Context context2 = getContext();
        TypedArray j = m.j(context2, attributeSet, R.styleable.MaterialRadioButton, i, i2, new int[0]);
        int i3 = R.styleable.MaterialRadioButton_buttonTint;
        if (j.hasValue(i3)) {
            h.d(this, c.a(context2, j, i3));
        }
        this.J0 = j.getBoolean(R.styleable.MaterialRadioButton_useMaterialThemeColors, false);
        j.recycle();
    }
}
