package com.google.android.material.shape;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.PorterDuffXfermode;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Region;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Looper;
import android.util.AttributeSet;
import android.util.Log;
import androidx.annotation.AttrRes;
import androidx.annotation.ColorInt;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.core.graphics.drawable.i;
import androidx.core.util.h;
import com.google.android.material.R;
import com.google.android.material.shape.m;
import com.google.android.material.shape.n;
import com.google.android.material.shape.o;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.BitSet;

public class MaterialShapeDrawable extends Drawable implements i, q {
    private static final float I0 = 0.25f;
    public static final int J0 = 0;
    public static final int K0 = 1;
    public static final int L0 = 2;
    private static final Paint M0 = new Paint(1);

    /* renamed from: a  reason: collision with root package name */
    private static final String f11840a = MaterialShapeDrawable.class.getSimpleName();

    /* renamed from: b  reason: collision with root package name */
    private static final float f11841b = 0.75f;
    private c N0;
    private final o.i[] O0;
    private final o.i[] P0;
    private final BitSet Q0;
    private boolean R0;
    private final Matrix S0;
    private final Path T0;
    private final Path U0;
    private final RectF V0;
    private final RectF W0;
    private final Region X0;
    private final Region Y0;
    private m Z0;
    private final Paint a1;
    private final Paint b1;
    private final com.google.android.material.k.b c1;
    @NonNull
    private final n.b d1;
    private final n e1;
    @Nullable
    private PorterDuffColorFilter f1;
    @Nullable
    private PorterDuffColorFilter g1;
    @NonNull
    private final RectF h1;
    private boolean i1;

    @Retention(RetentionPolicy.SOURCE)
    public @interface CompatibilityShadowMode {
    }

    class a implements n.b {
        a() {
        }

        @Override // com.google.android.material.shape.n.b
        public void a(@NonNull o oVar, Matrix matrix, int i) {
            MaterialShapeDrawable.this.Q0.set(i, oVar.e());
            MaterialShapeDrawable.this.O0[i] = oVar.f(matrix);
        }

        @Override // com.google.android.material.shape.n.b
        public void b(@NonNull o oVar, Matrix matrix, int i) {
            MaterialShapeDrawable.this.Q0.set(i + 4, oVar.e());
            MaterialShapeDrawable.this.P0[i] = oVar.f(matrix);
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements m.c {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ float f11843a;

        b(float f) {
            this.f11843a = f;
        }

        @Override // com.google.android.material.shape.m.c
        @NonNull
        public c a(@NonNull c cVar) {
            return cVar instanceof k ? cVar : new b(this.f11843a, cVar);
        }
    }

    /* synthetic */ MaterialShapeDrawable(c cVar, a aVar) {
        this(cVar);
    }

    private boolean L0(int[] iArr) {
        boolean z;
        int color;
        int colorForState;
        int color2;
        int colorForState2;
        if (this.N0.f11848d == null || color2 == (colorForState2 = this.N0.f11848d.getColorForState(iArr, (color2 = this.a1.getColor())))) {
            z = false;
        } else {
            this.a1.setColor(colorForState2);
            z = true;
        }
        if (this.N0.f11849e == null || color == (colorForState = this.N0.f11849e.getColorForState(iArr, (color = this.b1.getColor())))) {
            return z;
        }
        this.b1.setColor(colorForState);
        return true;
    }

    private boolean M0() {
        PorterDuffColorFilter porterDuffColorFilter = this.f1;
        PorterDuffColorFilter porterDuffColorFilter2 = this.g1;
        c cVar = this.N0;
        this.f1 = k(cVar.g, cVar.h, this.a1, true);
        c cVar2 = this.N0;
        this.g1 = k(cVar2.f, cVar2.h, this.b1, false);
        c cVar3 = this.N0;
        if (cVar3.u) {
            this.c1.d(cVar3.g.getColorForState(getState(), 0));
        }
        if (!h.a(porterDuffColorFilter, this.f1) || !h.a(porterDuffColorFilter2, this.g1)) {
            return true;
        }
        return false;
    }

    private float N() {
        if (X()) {
            return this.b1.getStrokeWidth() / 2.0f;
        }
        return 0.0f;
    }

    private void N0() {
        float U = U();
        this.N0.r = (int) Math.ceil((double) (0.75f * U));
        this.N0.s = (int) Math.ceil((double) (U * I0));
        M0();
        Z();
    }

    private boolean V() {
        c cVar = this.N0;
        int i = cVar.q;
        if (i == 1 || cVar.r <= 0 || (i != 2 && !i0())) {
            return false;
        }
        return true;
    }

    private boolean W() {
        Paint.Style style = this.N0.v;
        return style == Paint.Style.FILL_AND_STROKE || style == Paint.Style.FILL;
    }

    private boolean X() {
        Paint.Style style = this.N0.v;
        return (style == Paint.Style.FILL_AND_STROKE || style == Paint.Style.STROKE) && this.b1.getStrokeWidth() > 0.0f;
    }

    private void Z() {
        super.invalidateSelf();
    }

    @Nullable
    private PorterDuffColorFilter f(@NonNull Paint paint, boolean z) {
        int color;
        int l;
        if (!z || (l = l((color = paint.getColor()))) == color) {
            return null;
        }
        return new PorterDuffColorFilter(l, PorterDuff.Mode.SRC_IN);
    }

    private void f0(@NonNull Canvas canvas) {
        if (V()) {
            canvas.save();
            h0(canvas);
            if (!this.i1) {
                o(canvas);
                canvas.restore();
                return;
            }
            int width = (int) (this.h1.width() - ((float) getBounds().width()));
            int height = (int) (this.h1.height() - ((float) getBounds().height()));
            if (width < 0 || height < 0) {
                throw new IllegalStateException("Invalid shadow bounds. Check that the treatments result in a valid path.");
            }
            Bitmap createBitmap = Bitmap.createBitmap(((int) this.h1.width()) + (this.N0.r * 2) + width, ((int) this.h1.height()) + (this.N0.r * 2) + height, Bitmap.Config.ARGB_8888);
            Canvas canvas2 = new Canvas(createBitmap);
            float f = (float) ((getBounds().left - this.N0.r) - width);
            float f2 = (float) ((getBounds().top - this.N0.r) - height);
            canvas2.translate(-f, -f2);
            o(canvas2);
            canvas.drawBitmap(createBitmap, f, f2, (Paint) null);
            createBitmap.recycle();
            canvas.restore();
        }
    }

    private void g(@NonNull RectF rectF, @NonNull Path path) {
        h(rectF, path);
        if (this.N0.j != 1.0f) {
            this.S0.reset();
            Matrix matrix = this.S0;
            float f = this.N0.j;
            matrix.setScale(f, f, rectF.width() / 2.0f, rectF.height() / 2.0f);
            path.transform(this.S0);
        }
        path.computeBounds(this.h1, true);
    }

    private static int g0(int i, int i2) {
        return (i * (i2 + (i2 >>> 7))) >>> 8;
    }

    private void h0(@NonNull Canvas canvas) {
        int H = H();
        int I = I();
        if (Build.VERSION.SDK_INT < 21 && this.i1) {
            Rect clipBounds = canvas.getClipBounds();
            int i = this.N0.r;
            clipBounds.inset(-i, -i);
            clipBounds.offset(H, I);
            canvas.clipRect(clipBounds, Region.Op.REPLACE);
        }
        canvas.translate((float) H, (float) I);
    }

    private void i() {
        m y = getShapeAppearanceModel().y(new b(-N()));
        this.Z0 = y;
        this.e1.d(y, this.N0.k, w(), this.U0);
    }

    @NonNull
    private PorterDuffColorFilter j(@NonNull ColorStateList colorStateList, @NonNull PorterDuff.Mode mode, boolean z) {
        int colorForState = colorStateList.getColorForState(getState(), 0);
        if (z) {
            colorForState = l(colorForState);
        }
        return new PorterDuffColorFilter(colorForState, mode);
    }

    @NonNull
    private PorterDuffColorFilter k(@Nullable ColorStateList colorStateList, @Nullable PorterDuff.Mode mode, @NonNull Paint paint, boolean z) {
        if (colorStateList == null || mode == null) {
            return f(paint, z);
        }
        return j(colorStateList, mode, z);
    }

    @NonNull
    public static MaterialShapeDrawable m(Context context) {
        return n(context, 0.0f);
    }

    @NonNull
    public static MaterialShapeDrawable n(Context context, float f) {
        int c2 = com.google.android.material.c.a.c(context, R.attr.colorSurface, MaterialShapeDrawable.class.getSimpleName());
        MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
        materialShapeDrawable.Y(context);
        materialShapeDrawable.n0(ColorStateList.valueOf(c2));
        materialShapeDrawable.m0(f);
        return materialShapeDrawable;
    }

    private void o(@NonNull Canvas canvas) {
        if (this.Q0.cardinality() > 0) {
            Log.w(f11840a, "Compatibility shadow requested but can't be drawn for all operations in this shape.");
        }
        if (this.N0.s != 0) {
            canvas.drawPath(this.T0, this.c1.c());
        }
        for (int i = 0; i < 4; i++) {
            this.O0[i].b(this.c1, this.N0.r, canvas);
            this.P0[i].b(this.c1, this.N0.r, canvas);
        }
        if (this.i1) {
            int H = H();
            int I = I();
            canvas.translate((float) (-H), (float) (-I));
            canvas.drawPath(this.T0, M0);
            canvas.translate((float) H, (float) I);
        }
    }

    private void p(@NonNull Canvas canvas) {
        r(canvas, this.a1, this.T0, this.N0.f11845a, v());
    }

    private void r(@NonNull Canvas canvas, @NonNull Paint paint, @NonNull Path path, @NonNull m mVar, @NonNull RectF rectF) {
        if (mVar.u(rectF)) {
            float a2 = mVar.t().a(rectF) * this.N0.k;
            canvas.drawRoundRect(rectF, a2, a2, paint);
            return;
        }
        canvas.drawPath(path, paint);
    }

    private void s(@NonNull Canvas canvas) {
        r(canvas, this.b1, this.U0, this.Z0, w());
    }

    @NonNull
    private RectF w() {
        this.W0.set(v());
        float N = N();
        this.W0.inset(N, N);
        return this.W0;
    }

    public Paint.Style A() {
        return this.N0.v;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void A0(int i) {
        c cVar = this.N0;
        if (cVar.s != i) {
            cVar.s = i;
            Z();
        }
    }

    public float B() {
        return this.N0.n;
    }

    @Deprecated
    public void B0(@NonNull p pVar) {
        setShapeAppearanceModel(pVar);
    }

    @Deprecated
    public void C(int i, int i2, @NonNull Path path) {
        h(new RectF(0.0f, 0.0f, (float) i, (float) i2), path);
    }

    public void C0(float f, @ColorInt int i) {
        H0(f);
        E0(ColorStateList.valueOf(i));
    }

    public float D() {
        return this.N0.j;
    }

    public void D0(float f, @Nullable ColorStateList colorStateList) {
        H0(f);
        E0(colorStateList);
    }

    public int E() {
        return this.N0.t;
    }

    public void E0(@Nullable ColorStateList colorStateList) {
        c cVar = this.N0;
        if (cVar.f11849e != colorStateList) {
            cVar.f11849e = colorStateList;
            onStateChange(getState());
        }
    }

    public int F() {
        return this.N0.q;
    }

    public void F0(@ColorInt int i) {
        G0(ColorStateList.valueOf(i));
    }

    @Deprecated
    public int G() {
        return (int) x();
    }

    public void G0(ColorStateList colorStateList) {
        this.N0.f = colorStateList;
        M0();
        Z();
    }

    public int H() {
        c cVar = this.N0;
        return (int) (((double) cVar.s) * Math.sin(Math.toRadians((double) cVar.t)));
    }

    public void H0(float f) {
        this.N0.l = f;
        invalidateSelf();
    }

    public int I() {
        c cVar = this.N0;
        return (int) (((double) cVar.s) * Math.cos(Math.toRadians((double) cVar.t)));
    }

    public void I0(float f) {
        c cVar = this.N0;
        if (cVar.p != f) {
            cVar.p = f;
            N0();
        }
    }

    public int J() {
        return this.N0.r;
    }

    public void J0(boolean z) {
        c cVar = this.N0;
        if (cVar.u != z) {
            cVar.u = z;
            invalidateSelf();
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public int K() {
        return this.N0.s;
    }

    public void K0(float f) {
        I0(f - x());
    }

    @Nullable
    @Deprecated
    public p L() {
        m shapeAppearanceModel = getShapeAppearanceModel();
        if (shapeAppearanceModel instanceof p) {
            return (p) shapeAppearanceModel;
        }
        return null;
    }

    @Nullable
    public ColorStateList M() {
        return this.N0.f11849e;
    }

    @Nullable
    public ColorStateList O() {
        return this.N0.f;
    }

    public float P() {
        return this.N0.l;
    }

    @Nullable
    public ColorStateList Q() {
        return this.N0.g;
    }

    public float R() {
        return this.N0.f11845a.r().a(v());
    }

    public float S() {
        return this.N0.f11845a.t().a(v());
    }

    public float T() {
        return this.N0.p;
    }

    public float U() {
        return x() + T();
    }

    public void Y(Context context) {
        this.N0.f11846b = new com.google.android.material.f.a(context);
        N0();
    }

    public boolean a0() {
        com.google.android.material.f.a aVar = this.N0.f11846b;
        return aVar != null && aVar.l();
    }

    public boolean b0() {
        return this.N0.f11846b != null;
    }

    public boolean c0(int i, int i2) {
        return getTransparentRegion().contains(i, i2);
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public boolean d0() {
        return this.N0.f11845a.u(v());
    }

    public void draw(@NonNull Canvas canvas) {
        this.a1.setColorFilter(this.f1);
        int alpha = this.a1.getAlpha();
        this.a1.setAlpha(g0(alpha, this.N0.m));
        this.b1.setColorFilter(this.g1);
        this.b1.setStrokeWidth(this.N0.l);
        int alpha2 = this.b1.getAlpha();
        this.b1.setAlpha(g0(alpha2, this.N0.m));
        if (this.R0) {
            i();
            g(v(), this.T0);
            this.R0 = false;
        }
        f0(canvas);
        if (W()) {
            p(canvas);
        }
        if (X()) {
            s(canvas);
        }
        this.a1.setAlpha(alpha);
        this.b1.setAlpha(alpha2);
    }

    @Deprecated
    public boolean e0() {
        int i = this.N0.q;
        return i == 0 || i == 2;
    }

    @Nullable
    public Drawable.ConstantState getConstantState() {
        return this.N0;
    }

    public int getOpacity() {
        return -3;
    }

    @TargetApi(21)
    public void getOutline(@NonNull Outline outline) {
        if (this.N0.q != 2) {
            if (d0()) {
                outline.setRoundRect(getBounds(), R() * this.N0.k);
                return;
            }
            g(v(), this.T0);
            if (this.T0.isConvex() || Build.VERSION.SDK_INT >= 29) {
                try {
                    outline.setConvexPath(this.T0);
                } catch (IllegalArgumentException unused) {
                }
            }
        }
    }

    public boolean getPadding(@NonNull Rect rect) {
        Rect rect2 = this.N0.i;
        if (rect2 == null) {
            return super.getPadding(rect);
        }
        rect.set(rect2);
        return true;
    }

    @Override // com.google.android.material.shape.q
    @NonNull
    public m getShapeAppearanceModel() {
        return this.N0.f11845a;
    }

    public Region getTransparentRegion() {
        this.X0.set(getBounds());
        g(v(), this.T0);
        this.Y0.setPath(this.T0, this.X0);
        this.X0.op(this.Y0, Region.Op.DIFFERENCE);
        return this.X0;
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public final void h(@NonNull RectF rectF, @NonNull Path path) {
        n nVar = this.e1;
        c cVar = this.N0;
        nVar.e(cVar.f11845a, cVar.k, rectF, this.d1, path);
    }

    public boolean i0() {
        int i = Build.VERSION.SDK_INT;
        return i < 21 || (!d0() && !this.T0.isConvex() && i < 29);
    }

    public void invalidateSelf() {
        this.R0 = true;
        super.invalidateSelf();
    }

    public boolean isStateful() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2;
        ColorStateList colorStateList3;
        ColorStateList colorStateList4;
        return super.isStateful() || ((colorStateList = this.N0.g) != null && colorStateList.isStateful()) || (((colorStateList2 = this.N0.f) != null && colorStateList2.isStateful()) || (((colorStateList3 = this.N0.f11849e) != null && colorStateList3.isStateful()) || ((colorStateList4 = this.N0.f11848d) != null && colorStateList4.isStateful())));
    }

    public void j0(float f) {
        setShapeAppearanceModel(this.N0.f11845a.w(f));
    }

    public void k0(@NonNull c cVar) {
        setShapeAppearanceModel(this.N0.f11845a.x(cVar));
    }

    /* access modifiers changed from: protected */
    @ColorInt
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public int l(@ColorInt int i) {
        float U = U() + B();
        com.google.android.material.f.a aVar = this.N0.f11846b;
        return aVar != null ? aVar.e(i, U) : i;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void l0(boolean z) {
        this.e1.n(z);
    }

    public void m0(float f) {
        c cVar = this.N0;
        if (cVar.o != f) {
            cVar.o = f;
            N0();
        }
    }

    @NonNull
    public Drawable mutate() {
        this.N0 = new c(this.N0);
        return this;
    }

    public void n0(@Nullable ColorStateList colorStateList) {
        c cVar = this.N0;
        if (cVar.f11848d != colorStateList) {
            cVar.f11848d = colorStateList;
            onStateChange(getState());
        }
    }

    public void o0(float f) {
        c cVar = this.N0;
        if (cVar.k != f) {
            cVar.k = f;
            this.R0 = true;
            invalidateSelf();
        }
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        this.R0 = true;
        super.onBoundsChange(rect);
    }

    /* access modifiers changed from: protected */
    public boolean onStateChange(int[] iArr) {
        boolean z = L0(iArr) || M0();
        if (z) {
            invalidateSelf();
        }
        return z;
    }

    public void p0(int i, int i2, int i3, int i4) {
        c cVar = this.N0;
        if (cVar.i == null) {
            cVar.i = new Rect();
        }
        this.N0.i.set(i, i2, i3, i4);
        invalidateSelf();
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void q(@NonNull Canvas canvas, @NonNull Paint paint, @NonNull Path path, @NonNull RectF rectF) {
        r(canvas, paint, path, this.N0.f11845a, rectF);
    }

    public void q0(Paint.Style style) {
        this.N0.v = style;
        Z();
    }

    public void r0(float f) {
        c cVar = this.N0;
        if (cVar.n != f) {
            cVar.n = f;
            N0();
        }
    }

    public void s0(float f) {
        c cVar = this.N0;
        if (cVar.j != f) {
            cVar.j = f;
            invalidateSelf();
        }
    }

    public void setAlpha(@IntRange(from = 0, to = 255) int i) {
        c cVar = this.N0;
        if (cVar.m != i) {
            cVar.m = i;
            Z();
        }
    }

    public void setColorFilter(@Nullable ColorFilter colorFilter) {
        this.N0.f11847c = colorFilter;
        Z();
    }

    @Override // com.google.android.material.shape.q
    public void setShapeAppearanceModel(@NonNull m mVar) {
        this.N0.f11845a = mVar;
        invalidateSelf();
    }

    @Override // androidx.core.graphics.drawable.i
    public void setTint(@ColorInt int i) {
        setTintList(ColorStateList.valueOf(i));
    }

    @Override // androidx.core.graphics.drawable.i
    public void setTintList(@Nullable ColorStateList colorStateList) {
        this.N0.g = colorStateList;
        M0();
        Z();
    }

    @Override // androidx.core.graphics.drawable.i
    public void setTintMode(@Nullable PorterDuff.Mode mode) {
        c cVar = this.N0;
        if (cVar.h != mode) {
            cVar.h = mode;
            M0();
            Z();
        }
    }

    public float t() {
        return this.N0.f11845a.j().a(v());
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public void t0(boolean z) {
        this.i1 = z;
    }

    public float u() {
        return this.N0.f11845a.l().a(v());
    }

    public void u0(int i) {
        this.c1.d(i);
        this.N0.u = false;
        Z();
    }

    /* access modifiers changed from: protected */
    @NonNull
    public RectF v() {
        this.V0.set(getBounds());
        return this.V0;
    }

    public void v0(int i) {
        c cVar = this.N0;
        if (cVar.t != i) {
            cVar.t = i;
            Z();
        }
    }

    public void w0(int i) {
        c cVar = this.N0;
        if (cVar.q != i) {
            cVar.q = i;
            Z();
        }
    }

    public float x() {
        return this.N0.o;
    }

    @Deprecated
    public void x0(int i) {
        m0((float) i);
    }

    @Nullable
    public ColorStateList y() {
        return this.N0.f11848d;
    }

    @Deprecated
    public void y0(boolean z) {
        w0(!z ? 1 : 0);
    }

    public float z() {
        return this.N0.k;
    }

    @Deprecated
    public void z0(int i) {
        this.N0.r = i;
    }

    public MaterialShapeDrawable() {
        this(new m());
    }

    public MaterialShapeDrawable(@NonNull Context context, @Nullable AttributeSet attributeSet, @AttrRes int i, @StyleRes int i2) {
        this(m.e(context, attributeSet, i, i2).m());
    }

    @Deprecated
    public MaterialShapeDrawable(@NonNull p pVar) {
        this((m) pVar);
    }

    public MaterialShapeDrawable(@NonNull m mVar) {
        this(new c(mVar, null));
    }

    private MaterialShapeDrawable(@NonNull c cVar) {
        this.O0 = new o.i[4];
        this.P0 = new o.i[4];
        this.Q0 = new BitSet(8);
        this.S0 = new Matrix();
        this.T0 = new Path();
        this.U0 = new Path();
        this.V0 = new RectF();
        this.W0 = new RectF();
        this.X0 = new Region();
        this.Y0 = new Region();
        Paint paint = new Paint(1);
        this.a1 = paint;
        Paint paint2 = new Paint(1);
        this.b1 = paint2;
        this.c1 = new com.google.android.material.k.b();
        this.e1 = Looper.getMainLooper().getThread() == Thread.currentThread() ? n.k() : new n();
        this.h1 = new RectF();
        this.i1 = true;
        this.N0 = cVar;
        paint2.setStyle(Paint.Style.STROKE);
        paint.setStyle(Paint.Style.FILL);
        Paint paint3 = M0;
        paint3.setColor(-1);
        paint3.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.DST_OUT));
        M0();
        L0(getState());
        this.d1 = new a();
    }

    /* access modifiers changed from: package-private */
    public static final class c extends Drawable.ConstantState {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        public m f11845a;
        @Nullable

        /* renamed from: b  reason: collision with root package name */
        public com.google.android.material.f.a f11846b;
        @Nullable

        /* renamed from: c  reason: collision with root package name */
        public ColorFilter f11847c;
        @Nullable

        /* renamed from: d  reason: collision with root package name */
        public ColorStateList f11848d = null;
        @Nullable

        /* renamed from: e  reason: collision with root package name */
        public ColorStateList f11849e = null;
        @Nullable
        public ColorStateList f = null;
        @Nullable
        public ColorStateList g = null;
        @Nullable
        public PorterDuff.Mode h = PorterDuff.Mode.SRC_IN;
        @Nullable
        public Rect i = null;
        public float j = 1.0f;
        public float k = 1.0f;
        public float l;
        public int m = 255;
        public float n = 0.0f;
        public float o = 0.0f;
        public float p = 0.0f;
        public int q = 0;
        public int r = 0;
        public int s = 0;
        public int t = 0;
        public boolean u = false;
        public Paint.Style v = Paint.Style.FILL_AND_STROKE;

        public c(m mVar, com.google.android.material.f.a aVar) {
            this.f11845a = mVar;
            this.f11846b = aVar;
        }

        public int getChangingConfigurations() {
            return 0;
        }

        @NonNull
        public Drawable newDrawable() {
            MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable(this, null);
            materialShapeDrawable.R0 = true;
            return materialShapeDrawable;
        }

        public c(@NonNull c cVar) {
            this.f11845a = cVar.f11845a;
            this.f11846b = cVar.f11846b;
            this.l = cVar.l;
            this.f11847c = cVar.f11847c;
            this.f11848d = cVar.f11848d;
            this.f11849e = cVar.f11849e;
            this.h = cVar.h;
            this.g = cVar.g;
            this.m = cVar.m;
            this.j = cVar.j;
            this.s = cVar.s;
            this.q = cVar.q;
            this.u = cVar.u;
            this.k = cVar.k;
            this.n = cVar.n;
            this.o = cVar.o;
            this.p = cVar.p;
            this.r = cVar.r;
            this.t = cVar.t;
            this.f = cVar.f;
            this.v = cVar.v;
            if (cVar.i != null) {
                this.i = new Rect(cVar.i);
            }
        }
    }
}
