package com.google.android.material.shape;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.ContextThemeWrapper;
import androidx.annotation.AttrRes;
import androidx.annotation.Dimension;
import androidx.annotation.NonNull;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import com.google.android.material.R;

/* compiled from: ShapeAppearanceModel */
public class m {

    /* renamed from: a  reason: collision with root package name */
    public static final c f11865a = new k(0.5f);

    /* renamed from: b  reason: collision with root package name */
    d f11866b;

    /* renamed from: c  reason: collision with root package name */
    d f11867c;

    /* renamed from: d  reason: collision with root package name */
    d f11868d;

    /* renamed from: e  reason: collision with root package name */
    d f11869e;
    c f;
    c g;
    c h;
    c i;
    f j;
    f k;
    f l;
    f m;

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    /* compiled from: ShapeAppearanceModel */
    public interface c {
        @NonNull
        c a(@NonNull c cVar);
    }

    @NonNull
    public static b a() {
        return new b();
    }

    @NonNull
    public static b b(Context context, @StyleRes int i2, @StyleRes int i3) {
        return c(context, i2, i3, 0);
    }

    @NonNull
    private static b c(Context context, @StyleRes int i2, @StyleRes int i3, int i4) {
        return d(context, i2, i3, new a((float) i4));
    }

    @NonNull
    private static b d(Context context, @StyleRes int i2, @StyleRes int i3, @NonNull c cVar) {
        if (i3 != 0) {
            ContextThemeWrapper contextThemeWrapper = new ContextThemeWrapper(context, i2);
            i2 = i3;
            context = contextThemeWrapper;
        }
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(i2, R.styleable.ShapeAppearance);
        try {
            int i4 = obtainStyledAttributes.getInt(R.styleable.ShapeAppearance_cornerFamily, 0);
            int i5 = obtainStyledAttributes.getInt(R.styleable.ShapeAppearance_cornerFamilyTopLeft, i4);
            int i6 = obtainStyledAttributes.getInt(R.styleable.ShapeAppearance_cornerFamilyTopRight, i4);
            int i7 = obtainStyledAttributes.getInt(R.styleable.ShapeAppearance_cornerFamilyBottomRight, i4);
            int i8 = obtainStyledAttributes.getInt(R.styleable.ShapeAppearance_cornerFamilyBottomLeft, i4);
            c m2 = m(obtainStyledAttributes, R.styleable.ShapeAppearance_cornerSize, cVar);
            c m3 = m(obtainStyledAttributes, R.styleable.ShapeAppearance_cornerSizeTopLeft, m2);
            c m4 = m(obtainStyledAttributes, R.styleable.ShapeAppearance_cornerSizeTopRight, m2);
            c m5 = m(obtainStyledAttributes, R.styleable.ShapeAppearance_cornerSizeBottomRight, m2);
            return new b().I(i5, m3).N(i6, m4).A(i7, m5).v(i8, m(obtainStyledAttributes, R.styleable.ShapeAppearance_cornerSizeBottomLeft, m2));
        } finally {
            obtainStyledAttributes.recycle();
        }
    }

    @NonNull
    public static b e(@NonNull Context context, AttributeSet attributeSet, @AttrRes int i2, @StyleRes int i3) {
        return f(context, attributeSet, i2, i3, 0);
    }

    @NonNull
    public static b f(@NonNull Context context, AttributeSet attributeSet, @AttrRes int i2, @StyleRes int i3, int i4) {
        return g(context, attributeSet, i2, i3, new a((float) i4));
    }

    @NonNull
    public static b g(@NonNull Context context, AttributeSet attributeSet, @AttrRes int i2, @StyleRes int i3, @NonNull c cVar) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.MaterialShape, i2, i3);
        int resourceId = obtainStyledAttributes.getResourceId(R.styleable.MaterialShape_shapeAppearance, 0);
        int resourceId2 = obtainStyledAttributes.getResourceId(R.styleable.MaterialShape_shapeAppearanceOverlay, 0);
        obtainStyledAttributes.recycle();
        return d(context, resourceId, resourceId2, cVar);
    }

    @NonNull
    private static c m(TypedArray typedArray, int i2, @NonNull c cVar) {
        TypedValue peekValue = typedArray.peekValue(i2);
        if (peekValue == null) {
            return cVar;
        }
        int i3 = peekValue.type;
        if (i3 == 5) {
            return new a((float) TypedValue.complexToDimensionPixelSize(peekValue.data, typedArray.getResources().getDisplayMetrics()));
        }
        return i3 == 6 ? new k(peekValue.getFraction(1.0f, 1.0f)) : cVar;
    }

    @NonNull
    public f h() {
        return this.l;
    }

    @NonNull
    public d i() {
        return this.f11869e;
    }

    @NonNull
    public c j() {
        return this.i;
    }

    @NonNull
    public d k() {
        return this.f11868d;
    }

    @NonNull
    public c l() {
        return this.h;
    }

    @NonNull
    public f n() {
        return this.m;
    }

    @NonNull
    public f o() {
        return this.k;
    }

    @NonNull
    public f p() {
        return this.j;
    }

    @NonNull
    public d q() {
        return this.f11866b;
    }

    @NonNull
    public c r() {
        return this.f;
    }

    @NonNull
    public d s() {
        return this.f11867c;
    }

    @NonNull
    public c t() {
        return this.g;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public boolean u(@NonNull RectF rectF) {
        boolean z = this.m.getClass().equals(f.class) && this.k.getClass().equals(f.class) && this.j.getClass().equals(f.class) && this.l.getClass().equals(f.class);
        float a2 = this.f.a(rectF);
        boolean z2 = this.g.a(rectF) == a2 && this.i.a(rectF) == a2 && this.h.a(rectF) == a2;
        boolean z3 = (this.f11867c instanceof l) && (this.f11866b instanceof l) && (this.f11868d instanceof l) && (this.f11869e instanceof l);
        if (!z || !z2 || !z3) {
            return false;
        }
        return true;
    }

    @NonNull
    public b v() {
        return new b(this);
    }

    @NonNull
    public m w(float f2) {
        return v().o(f2).m();
    }

    @NonNull
    public m x(@NonNull c cVar) {
        return v().p(cVar).m();
    }

    @NonNull
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public m y(@NonNull c cVar) {
        return v().L(cVar.a(r())).Q(cVar.a(t())).y(cVar.a(j())).D(cVar.a(l())).m();
    }

    private m(@NonNull b bVar) {
        this.f11866b = bVar.f11870a;
        this.f11867c = bVar.f11871b;
        this.f11868d = bVar.f11872c;
        this.f11869e = bVar.f11873d;
        this.f = bVar.f11874e;
        this.g = bVar.f;
        this.h = bVar.g;
        this.i = bVar.h;
        this.j = bVar.i;
        this.k = bVar.j;
        this.l = bVar.k;
        this.m = bVar.l;
    }

    /* compiled from: ShapeAppearanceModel */
    public static final class b {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        private d f11870a = i.b();
        @NonNull

        /* renamed from: b  reason: collision with root package name */
        private d f11871b = i.b();
        @NonNull

        /* renamed from: c  reason: collision with root package name */
        private d f11872c = i.b();
        @NonNull

        /* renamed from: d  reason: collision with root package name */
        private d f11873d = i.b();
        @NonNull

        /* renamed from: e  reason: collision with root package name */
        private c f11874e = new a(0.0f);
        @NonNull
        private c f = new a(0.0f);
        @NonNull
        private c g = new a(0.0f);
        @NonNull
        private c h = new a(0.0f);
        @NonNull
        private f i = i.c();
        @NonNull
        private f j = i.c();
        @NonNull
        private f k = i.c();
        @NonNull
        private f l = i.c();

        public b() {
        }

        private static float n(d dVar) {
            if (dVar instanceof l) {
                return ((l) dVar).f11864a;
            }
            if (dVar instanceof e) {
                return ((e) dVar).f11853a;
            }
            return -1.0f;
        }

        @NonNull
        public b A(int i2, @NonNull c cVar) {
            return B(i.a(i2)).D(cVar);
        }

        @NonNull
        public b B(@NonNull d dVar) {
            this.f11872c = dVar;
            float n = n(dVar);
            if (n != -1.0f) {
                C(n);
            }
            return this;
        }

        @NonNull
        public b C(@Dimension float f2) {
            this.g = new a(f2);
            return this;
        }

        @NonNull
        public b D(@NonNull c cVar) {
            this.g = cVar;
            return this;
        }

        @NonNull
        public b E(@NonNull f fVar) {
            this.l = fVar;
            return this;
        }

        @NonNull
        public b F(@NonNull f fVar) {
            this.j = fVar;
            return this;
        }

        @NonNull
        public b G(@NonNull f fVar) {
            this.i = fVar;
            return this;
        }

        @NonNull
        public b H(int i2, @Dimension float f2) {
            return J(i.a(i2)).K(f2);
        }

        @NonNull
        public b I(int i2, @NonNull c cVar) {
            return J(i.a(i2)).L(cVar);
        }

        @NonNull
        public b J(@NonNull d dVar) {
            this.f11870a = dVar;
            float n = n(dVar);
            if (n != -1.0f) {
                K(n);
            }
            return this;
        }

        @NonNull
        public b K(@Dimension float f2) {
            this.f11874e = new a(f2);
            return this;
        }

        @NonNull
        public b L(@NonNull c cVar) {
            this.f11874e = cVar;
            return this;
        }

        @NonNull
        public b M(int i2, @Dimension float f2) {
            return O(i.a(i2)).P(f2);
        }

        @NonNull
        public b N(int i2, @NonNull c cVar) {
            return O(i.a(i2)).Q(cVar);
        }

        @NonNull
        public b O(@NonNull d dVar) {
            this.f11871b = dVar;
            float n = n(dVar);
            if (n != -1.0f) {
                P(n);
            }
            return this;
        }

        @NonNull
        public b P(@Dimension float f2) {
            this.f = new a(f2);
            return this;
        }

        @NonNull
        public b Q(@NonNull c cVar) {
            this.f = cVar;
            return this;
        }

        @NonNull
        public m m() {
            return new m(this);
        }

        @NonNull
        public b o(@Dimension float f2) {
            return K(f2).P(f2).C(f2).x(f2);
        }

        @NonNull
        public b p(@NonNull c cVar) {
            return L(cVar).Q(cVar).D(cVar).y(cVar);
        }

        @NonNull
        public b q(int i2, @Dimension float f2) {
            return r(i.a(i2)).o(f2);
        }

        @NonNull
        public b r(@NonNull d dVar) {
            return J(dVar).O(dVar).B(dVar).w(dVar);
        }

        @NonNull
        public b s(@NonNull f fVar) {
            return E(fVar).G(fVar).F(fVar).t(fVar);
        }

        @NonNull
        public b t(@NonNull f fVar) {
            this.k = fVar;
            return this;
        }

        @NonNull
        public b u(int i2, @Dimension float f2) {
            return w(i.a(i2)).x(f2);
        }

        @NonNull
        public b v(int i2, @NonNull c cVar) {
            return w(i.a(i2)).y(cVar);
        }

        @NonNull
        public b w(@NonNull d dVar) {
            this.f11873d = dVar;
            float n = n(dVar);
            if (n != -1.0f) {
                x(n);
            }
            return this;
        }

        @NonNull
        public b x(@Dimension float f2) {
            this.h = new a(f2);
            return this;
        }

        @NonNull
        public b y(@NonNull c cVar) {
            this.h = cVar;
            return this;
        }

        @NonNull
        public b z(int i2, @Dimension float f2) {
            return B(i.a(i2)).C(f2);
        }

        public b(@NonNull m mVar) {
            this.f11870a = mVar.f11866b;
            this.f11871b = mVar.f11867c;
            this.f11872c = mVar.f11868d;
            this.f11873d = mVar.f11869e;
            this.f11874e = mVar.f;
            this.f = mVar.g;
            this.g = mVar.h;
            this.h = mVar.i;
            this.i = mVar.j;
            this.j = mVar.k;
            this.k = mVar.l;
            this.l = mVar.m;
        }
    }

    public m() {
        this.f11866b = i.b();
        this.f11867c = i.b();
        this.f11868d = i.b();
        this.f11869e = i.b();
        this.f = new a(0.0f);
        this.g = new a(0.0f);
        this.h = new a(0.0f);
        this.i = new a(0.0f);
        this.j = i.c();
        this.k = i.c();
        this.l = i.c();
        this.m = i.c();
    }
}
