package com.google.android.material.snackbar;

import android.accessibilityservice.AccessibilityServiceInfo;
import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.ViewTreeObserver;
import android.view.WindowInsets;
import android.view.WindowManager;
import android.view.accessibility.AccessibilityManager;
import android.widget.FrameLayout;
import androidx.annotation.IdRes;
import androidx.annotation.IntRange;
import androidx.annotation.LayoutRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.OnApplyWindowInsetsListener;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import com.google.android.material.R;
import com.google.android.material.behavior.SwipeDismissBehavior;
import com.google.android.material.snackbar.BaseTransientBottomBar;
import com.google.android.material.snackbar.b;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;
import java.util.List;

public abstract class BaseTransientBottomBar<B extends BaseTransientBottomBar<B>> {

    /* renamed from: a  reason: collision with root package name */
    public static final int f11934a = 0;

    /* renamed from: b  reason: collision with root package name */
    public static final int f11935b = 1;

    /* renamed from: c  reason: collision with root package name */
    public static final int f11936c = -2;

    /* renamed from: d  reason: collision with root package name */
    public static final int f11937d = -1;

    /* renamed from: e  reason: collision with root package name */
    public static final int f11938e = 0;
    static final int f = 250;
    static final int g = 180;
    private static final int h = 150;
    private static final int i = 75;
    private static final float j = 0.8f;
    @NonNull
    static final Handler k = new Handler(Looper.getMainLooper(), new j());
    static final int l = 0;
    static final int m = 1;
    private static final boolean n;
    private static final int[] o = {R.attr.snackbarStyle};
    private static final String p = BaseTransientBottomBar.class.getSimpleName();
    @Nullable
    private Rect A;
    private int B;
    private int C;
    private int D;
    private int E;
    private int F;
    private List<BaseCallback<B>> G;
    private Behavior H;
    @Nullable
    private final AccessibilityManager I;
    @NonNull
    b.AbstractC0267b J;
    @NonNull
    private final ViewGroup q;
    private final Context r;
    @NonNull
    protected final SnackbarBaseLayout s;
    @NonNull
    private final a t;
    private int u;
    private boolean v;
    @Nullable
    private View w;
    private boolean x;
    private final ViewTreeObserver.OnGlobalLayoutListener y;
    @RequiresApi(29)
    private final Runnable z;

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface AnimationMode {
    }

    public static abstract class BaseCallback<B> {

        /* renamed from: a  reason: collision with root package name */
        public static final int f11939a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f11940b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f11941c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f11942d = 3;

        /* renamed from: e  reason: collision with root package name */
        public static final int f11943e = 4;

        @Retention(RetentionPolicy.SOURCE)
        @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
        public @interface DismissEvent {
        }

        public void a(B b2, int i) {
        }

        public void b(B b2) {
        }
    }

    public static class Behavior extends SwipeDismissBehavior<View> {
        @NonNull
        private final s t = new s(this);

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void V(@NonNull BaseTransientBottomBar<?> baseTransientBottomBar) {
            this.t.c(baseTransientBottomBar);
        }

        @Override // com.google.android.material.behavior.SwipeDismissBehavior
        public boolean G(View view) {
            return this.t.a(view);
        }

        @Override // com.google.android.material.behavior.SwipeDismissBehavior, androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
        public boolean l(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, @NonNull MotionEvent motionEvent) {
            this.t.b(coordinatorLayout, view, motionEvent);
            return super.l(coordinatorLayout, view, motionEvent);
        }
    }

    @IntRange(from = 1)
    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface Duration {
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static class SnackbarBaseLayout extends FrameLayout {

        /* renamed from: a  reason: collision with root package name */
        private static final View.OnTouchListener f11944a = new a();
        private u I0;
        private int J0;
        private final float K0;
        private final float L0;
        private ColorStateList M0;
        private PorterDuff.Mode N0;

        /* renamed from: b  reason: collision with root package name */
        private v f11945b;

        static class a implements View.OnTouchListener {
            a() {
            }

            @SuppressLint({"ClickableViewAccessibility"})
            public boolean onTouch(View view, MotionEvent motionEvent) {
                return true;
            }
        }

        protected SnackbarBaseLayout(@NonNull Context context) {
            this(context, null);
        }

        @NonNull
        private Drawable a() {
            float dimension = getResources().getDimension(R.dimen.mtrl_snackbar_background_corner_radius);
            GradientDrawable gradientDrawable = new GradientDrawable();
            gradientDrawable.setShape(0);
            gradientDrawable.setCornerRadius(dimension);
            gradientDrawable.setColor(com.google.android.material.c.a.i(this, R.attr.colorSurface, R.attr.colorOnSurface, getBackgroundOverlayColorAlpha()));
            if (this.M0 == null) {
                return androidx.core.graphics.drawable.c.r(gradientDrawable);
            }
            Drawable r = androidx.core.graphics.drawable.c.r(gradientDrawable);
            androidx.core.graphics.drawable.c.o(r, this.M0);
            return r;
        }

        /* access modifiers changed from: package-private */
        public float getActionTextColorAlpha() {
            return this.L0;
        }

        /* access modifiers changed from: package-private */
        public int getAnimationMode() {
            return this.J0;
        }

        /* access modifiers changed from: package-private */
        public float getBackgroundOverlayColorAlpha() {
            return this.K0;
        }

        /* access modifiers changed from: protected */
        public void onAttachedToWindow() {
            super.onAttachedToWindow();
            u uVar = this.I0;
            if (uVar != null) {
                uVar.onViewAttachedToWindow(this);
            }
            ViewCompat.requestApplyInsets(this);
        }

        /* access modifiers changed from: protected */
        public void onDetachedFromWindow() {
            super.onDetachedFromWindow();
            u uVar = this.I0;
            if (uVar != null) {
                uVar.onViewDetachedFromWindow(this);
            }
        }

        /* access modifiers changed from: protected */
        public void onLayout(boolean z, int i, int i2, int i3, int i4) {
            super.onLayout(z, i, i2, i3, i4);
            v vVar = this.f11945b;
            if (vVar != null) {
                vVar.a(this, i, i2, i3, i4);
            }
        }

        /* access modifiers changed from: package-private */
        public void setAnimationMode(int i) {
            this.J0 = i;
        }

        public void setBackground(@Nullable Drawable drawable) {
            setBackgroundDrawable(drawable);
        }

        public void setBackgroundDrawable(@Nullable Drawable drawable) {
            if (!(drawable == null || this.M0 == null)) {
                drawable = androidx.core.graphics.drawable.c.r(drawable.mutate());
                androidx.core.graphics.drawable.c.o(drawable, this.M0);
                androidx.core.graphics.drawable.c.p(drawable, this.N0);
            }
            super.setBackgroundDrawable(drawable);
        }

        public void setBackgroundTintList(@Nullable ColorStateList colorStateList) {
            this.M0 = colorStateList;
            if (getBackground() != null) {
                Drawable r = androidx.core.graphics.drawable.c.r(getBackground().mutate());
                androidx.core.graphics.drawable.c.o(r, colorStateList);
                androidx.core.graphics.drawable.c.p(r, this.N0);
                if (r != getBackground()) {
                    super.setBackgroundDrawable(r);
                }
            }
        }

        public void setBackgroundTintMode(@Nullable PorterDuff.Mode mode) {
            this.N0 = mode;
            if (getBackground() != null) {
                Drawable r = androidx.core.graphics.drawable.c.r(getBackground().mutate());
                androidx.core.graphics.drawable.c.p(r, mode);
                if (r != getBackground()) {
                    super.setBackgroundDrawable(r);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void setOnAttachStateChangeListener(u uVar) {
            this.I0 = uVar;
        }

        public void setOnClickListener(@Nullable View.OnClickListener onClickListener) {
            setOnTouchListener(onClickListener != null ? null : f11944a);
            super.setOnClickListener(onClickListener);
        }

        /* access modifiers changed from: package-private */
        public void setOnLayoutChangeListener(v vVar) {
            this.f11945b = vVar;
        }

        protected SnackbarBaseLayout(@NonNull Context context, AttributeSet attributeSet) {
            super(com.google.android.material.theme.a.a.c(context, attributeSet, 0, 0), attributeSet);
            Context context2 = getContext();
            TypedArray obtainStyledAttributes = context2.obtainStyledAttributes(attributeSet, R.styleable.SnackbarLayout);
            int i = R.styleable.SnackbarLayout_elevation;
            if (obtainStyledAttributes.hasValue(i)) {
                ViewCompat.setElevation(this, (float) obtainStyledAttributes.getDimensionPixelSize(i, 0));
            }
            this.J0 = obtainStyledAttributes.getInt(R.styleable.SnackbarLayout_animationMode, 0);
            this.K0 = obtainStyledAttributes.getFloat(R.styleable.SnackbarLayout_backgroundOverlayColorAlpha, 1.0f);
            setBackgroundTintList(com.google.android.material.i.c.a(context2, obtainStyledAttributes, R.styleable.SnackbarLayout_backgroundTint));
            setBackgroundTintMode(com.google.android.material.internal.u.k(obtainStyledAttributes.getInt(R.styleable.SnackbarLayout_backgroundTintMode, -1), PorterDuff.Mode.SRC_IN));
            this.L0 = obtainStyledAttributes.getFloat(R.styleable.SnackbarLayout_actionTextColorAlpha, 1.0f);
            obtainStyledAttributes.recycle();
            setOnTouchListener(f11944a);
            setFocusable(true);
            if (getBackground() == null) {
                ViewCompat.setBackground(this, a());
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class a implements Runnable {
        a() {
        }

        public void run() {
            SnackbarBaseLayout snackbarBaseLayout = BaseTransientBottomBar.this.s;
            if (snackbarBaseLayout != null) {
                if (snackbarBaseLayout.getParent() != null) {
                    BaseTransientBottomBar.this.s.setVisibility(0);
                }
                if (BaseTransientBottomBar.this.s.getAnimationMode() == 1) {
                    BaseTransientBottomBar.this.i0();
                } else {
                    BaseTransientBottomBar.this.k0();
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends AnimatorListenerAdapter {
        b() {
        }

        public void onAnimationEnd(Animator animator) {
            BaseTransientBottomBar.this.T();
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f11948a;

        c(int i) {
            this.f11948a = i;
        }

        public void onAnimationEnd(Animator animator) {
            BaseTransientBottomBar.this.S(this.f11948a);
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements ValueAnimator.AnimatorUpdateListener {
        d() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            BaseTransientBottomBar.this.s.setAlpha(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    /* access modifiers changed from: package-private */
    public class e implements ValueAnimator.AnimatorUpdateListener {
        e() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            BaseTransientBottomBar.this.s.setScaleX(floatValue);
            BaseTransientBottomBar.this.s.setScaleY(floatValue);
        }
    }

    /* access modifiers changed from: package-private */
    public class f extends AnimatorListenerAdapter {
        f() {
        }

        public void onAnimationEnd(Animator animator) {
            BaseTransientBottomBar.this.T();
        }

        public void onAnimationStart(Animator animator) {
            BaseTransientBottomBar.this.t.a(70, 180);
        }
    }

    /* access modifiers changed from: package-private */
    public class g implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: a  reason: collision with root package name */
        private int f11953a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ int f11954b;

        g(int i) {
            this.f11954b = i;
            this.f11953a = i;
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            int intValue = ((Integer) valueAnimator.getAnimatedValue()).intValue();
            if (BaseTransientBottomBar.n) {
                ViewCompat.offsetTopAndBottom(BaseTransientBottomBar.this.s, intValue - this.f11953a);
            } else {
                BaseTransientBottomBar.this.s.setTranslationY((float) intValue);
            }
            this.f11953a = intValue;
        }
    }

    /* access modifiers changed from: package-private */
    public class h extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f11955a;

        h(int i) {
            this.f11955a = i;
        }

        public void onAnimationEnd(Animator animator) {
            BaseTransientBottomBar.this.S(this.f11955a);
        }

        public void onAnimationStart(Animator animator) {
            BaseTransientBottomBar.this.t.b(0, 180);
        }
    }

    /* access modifiers changed from: package-private */
    public class i implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: a  reason: collision with root package name */
        private int f11957a = 0;

        i() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            int intValue = ((Integer) valueAnimator.getAnimatedValue()).intValue();
            if (BaseTransientBottomBar.n) {
                ViewCompat.offsetTopAndBottom(BaseTransientBottomBar.this.s, intValue - this.f11957a);
            } else {
                BaseTransientBottomBar.this.s.setTranslationY((float) intValue);
            }
            this.f11957a = intValue;
        }
    }

    static class j implements Handler.Callback {
        j() {
        }

        public boolean handleMessage(@NonNull Message message) {
            int i = message.what;
            if (i == 0) {
                ((BaseTransientBottomBar) message.obj).g0();
                return true;
            } else if (i != 1) {
                return false;
            } else {
                ((BaseTransientBottomBar) message.obj).M(message.arg1);
                return true;
            }
        }
    }

    class k implements ViewTreeObserver.OnGlobalLayoutListener {
        k() {
        }

        public void onGlobalLayout() {
            if (BaseTransientBottomBar.this.x) {
                BaseTransientBottomBar baseTransientBottomBar = BaseTransientBottomBar.this;
                baseTransientBottomBar.F = baseTransientBottomBar.v();
                BaseTransientBottomBar.this.m0();
            }
        }
    }

    class l implements Runnable {
        l() {
        }

        public void run() {
            int G;
            BaseTransientBottomBar baseTransientBottomBar = BaseTransientBottomBar.this;
            if (baseTransientBottomBar.s != null && baseTransientBottomBar.r != null && (G = (BaseTransientBottomBar.this.G() - BaseTransientBottomBar.this.K()) + ((int) BaseTransientBottomBar.this.s.getTranslationY())) < BaseTransientBottomBar.this.E) {
                ViewGroup.LayoutParams layoutParams = BaseTransientBottomBar.this.s.getLayoutParams();
                if (!(layoutParams instanceof ViewGroup.MarginLayoutParams)) {
                    Log.w(BaseTransientBottomBar.p, "Unable to apply gesture inset because layout params are not MarginLayoutParams");
                    return;
                }
                ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin += BaseTransientBottomBar.this.E - G;
                BaseTransientBottomBar.this.s.requestLayout();
            }
        }
    }

    class m implements OnApplyWindowInsetsListener {
        m() {
        }

        @Override // androidx.core.view.OnApplyWindowInsetsListener
        @NonNull
        public WindowInsetsCompat onApplyWindowInsets(View view, @NonNull WindowInsetsCompat windowInsetsCompat) {
            BaseTransientBottomBar.this.B = windowInsetsCompat.getSystemWindowInsetBottom();
            BaseTransientBottomBar.this.C = windowInsetsCompat.getSystemWindowInsetLeft();
            BaseTransientBottomBar.this.D = windowInsetsCompat.getSystemWindowInsetRight();
            BaseTransientBottomBar.this.m0();
            return windowInsetsCompat;
        }
    }

    class n extends AccessibilityDelegateCompat {
        n() {
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            accessibilityNodeInfoCompat.addAction(1048576);
            accessibilityNodeInfoCompat.setDismissable(true);
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public boolean performAccessibilityAction(View view, int i, Bundle bundle) {
            if (i != 1048576) {
                return super.performAccessibilityAction(view, i, bundle);
            }
            BaseTransientBottomBar.this.w();
            return true;
        }
    }

    class o implements b.AbstractC0267b {
        o() {
        }

        @Override // com.google.android.material.snackbar.b.AbstractC0267b
        public void a(int i) {
            Handler handler = BaseTransientBottomBar.k;
            handler.sendMessage(handler.obtainMessage(1, i, 0, BaseTransientBottomBar.this));
        }

        @Override // com.google.android.material.snackbar.b.AbstractC0267b
        public void b() {
            Handler handler = BaseTransientBottomBar.k;
            handler.sendMessage(handler.obtainMessage(0, BaseTransientBottomBar.this));
        }
    }

    /* access modifiers changed from: package-private */
    public class p implements u {

        class a implements Runnable {
            a() {
            }

            public void run() {
                BaseTransientBottomBar.this.S(3);
            }
        }

        p() {
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.u
        public void onViewAttachedToWindow(View view) {
            WindowInsets rootWindowInsets;
            if (Build.VERSION.SDK_INT >= 29 && (rootWindowInsets = BaseTransientBottomBar.this.s.getRootWindowInsets()) != null) {
                BaseTransientBottomBar.this.E = rootWindowInsets.getMandatorySystemGestureInsets().bottom;
                BaseTransientBottomBar.this.m0();
            }
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.u
        public void onViewDetachedFromWindow(View view) {
            if (BaseTransientBottomBar.this.Q()) {
                BaseTransientBottomBar.k.post(new a());
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class q implements v {
        q() {
        }

        @Override // com.google.android.material.snackbar.BaseTransientBottomBar.v
        public void a(View view, int i, int i2, int i3, int i4) {
            BaseTransientBottomBar.this.s.setOnLayoutChangeListener(null);
            BaseTransientBottomBar.this.h0();
        }
    }

    /* access modifiers changed from: package-private */
    public class r implements SwipeDismissBehavior.c {
        r() {
        }

        @Override // com.google.android.material.behavior.SwipeDismissBehavior.c
        public void a(@NonNull View view) {
            if (view.getParent() != null) {
                view.setVisibility(8);
            }
            BaseTransientBottomBar.this.x(0);
        }

        @Override // com.google.android.material.behavior.SwipeDismissBehavior.c
        public void b(int i) {
            if (i == 0) {
                b.c().l(BaseTransientBottomBar.this.J);
            } else if (i == 1 || i == 2) {
                b.c().k(BaseTransientBottomBar.this.J);
            }
        }
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public static class s {

        /* renamed from: a  reason: collision with root package name */
        private b.AbstractC0267b f11968a;

        public s(@NonNull SwipeDismissBehavior<?> swipeDismissBehavior) {
            swipeDismissBehavior.R(0.1f);
            swipeDismissBehavior.O(0.6f);
            swipeDismissBehavior.S(0);
        }

        public boolean a(View view) {
            return view instanceof SnackbarBaseLayout;
        }

        public void b(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, @NonNull MotionEvent motionEvent) {
            int actionMasked = motionEvent.getActionMasked();
            if (actionMasked != 0) {
                if (actionMasked == 1 || actionMasked == 3) {
                    b.c().l(this.f11968a);
                }
            } else if (coordinatorLayout.A(view, (int) motionEvent.getX(), (int) motionEvent.getY())) {
                b.c().k(this.f11968a);
            }
        }

        public void c(@NonNull BaseTransientBottomBar<?> baseTransientBottomBar) {
            this.f11968a = baseTransientBottomBar.J;
        }
    }

    @Deprecated
    public interface t extends a {
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public interface u {
        void onViewAttachedToWindow(View view);

        void onViewDetachedFromWindow(View view);
    }

    /* access modifiers changed from: protected */
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public interface v {
        void a(View view, int i, int i2, int i3, int i4);
    }

    static {
        int i2 = Build.VERSION.SDK_INT;
        n = i2 >= 16 && i2 <= 19;
    }

    protected BaseTransientBottomBar(@NonNull ViewGroup viewGroup, @NonNull View view, @NonNull a aVar) {
        this(viewGroup.getContext(), viewGroup, view, aVar);
    }

    private ValueAnimator F(float... fArr) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.setInterpolator(com.google.android.material.a.a.f11329d);
        ofFloat.addUpdateListener(new e());
        return ofFloat;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @RequiresApi(17)
    private int G() {
        DisplayMetrics displayMetrics = new DisplayMetrics();
        ((WindowManager) this.r.getSystemService("window")).getDefaultDisplay().getRealMetrics(displayMetrics);
        return displayMetrics.heightPixels;
    }

    private int I() {
        int height = this.s.getHeight();
        ViewGroup.LayoutParams layoutParams = this.s.getLayoutParams();
        return layoutParams instanceof ViewGroup.MarginLayoutParams ? height + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin : height;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int K() {
        int[] iArr = new int[2];
        this.s.getLocationOnScreen(iArr);
        return iArr[1] + this.s.getHeight();
    }

    private boolean R() {
        ViewGroup.LayoutParams layoutParams = this.s.getLayoutParams();
        return (layoutParams instanceof CoordinatorLayout.d) && (((CoordinatorLayout.d) layoutParams).f() instanceof SwipeDismissBehavior);
    }

    private void c0(CoordinatorLayout.d dVar) {
        SwipeDismissBehavior<? extends View> swipeDismissBehavior = this.H;
        if (swipeDismissBehavior == null) {
            swipeDismissBehavior = E();
        }
        if (swipeDismissBehavior instanceof Behavior) {
            ((Behavior) swipeDismissBehavior).V(this);
        }
        swipeDismissBehavior.P(new r());
        dVar.q(swipeDismissBehavior);
        if (this.w == null) {
            dVar.g = 80;
        }
    }

    private boolean e0() {
        return this.E > 0 && !this.v && R();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void h0() {
        if (d0()) {
            t();
            return;
        }
        if (this.s.getParent() != null) {
            this.s.setVisibility(0);
        }
        T();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void i0() {
        ValueAnimator y2 = y(0.0f, 1.0f);
        ValueAnimator F2 = F(j, 1.0f);
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.playTogether(y2, F2);
        animatorSet.setDuration(150L);
        animatorSet.addListener(new b());
        animatorSet.start();
    }

    private void j0(int i2) {
        ValueAnimator y2 = y(1.0f, 0.0f);
        y2.setDuration(75L);
        y2.addListener(new c(i2));
        y2.start();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void k0() {
        int I2 = I();
        if (n) {
            ViewCompat.offsetTopAndBottom(this.s, I2);
        } else {
            this.s.setTranslationY((float) I2);
        }
        ValueAnimator valueAnimator = new ValueAnimator();
        valueAnimator.setIntValues(I2, 0);
        valueAnimator.setInterpolator(com.google.android.material.a.a.f11327b);
        valueAnimator.setDuration(250L);
        valueAnimator.addListener(new f());
        valueAnimator.addUpdateListener(new g(I2));
        valueAnimator.start();
    }

    private void l0(int i2) {
        ValueAnimator valueAnimator = new ValueAnimator();
        valueAnimator.setIntValues(0, I());
        valueAnimator.setInterpolator(com.google.android.material.a.a.f11327b);
        valueAnimator.setDuration(250L);
        valueAnimator.addListener(new h(i2));
        valueAnimator.addUpdateListener(new i());
        valueAnimator.start();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void m0() {
        Rect rect;
        ViewGroup.LayoutParams layoutParams = this.s.getLayoutParams();
        if (!(layoutParams instanceof ViewGroup.MarginLayoutParams) || (rect = this.A) == null) {
            Log.w(p, "Unable to update margins because layout params are not MarginLayoutParams");
            return;
        }
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
        marginLayoutParams.bottomMargin = rect.bottom + (this.w != null ? this.F : this.B);
        marginLayoutParams.leftMargin = rect.left + this.C;
        marginLayoutParams.rightMargin = rect.right + this.D;
        this.s.requestLayout();
        if (Build.VERSION.SDK_INT >= 29 && e0()) {
            this.s.removeCallbacks(this.z);
            this.s.post(this.z);
        }
    }

    private void u(int i2) {
        if (this.s.getAnimationMode() == 1) {
            j0(i2);
        } else {
            l0(i2);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int v() {
        View view = this.w;
        if (view == null) {
            return 0;
        }
        int[] iArr = new int[2];
        view.getLocationOnScreen(iArr);
        int i2 = iArr[1];
        int[] iArr2 = new int[2];
        this.q.getLocationOnScreen(iArr2);
        return (iArr2[1] + this.q.getHeight()) - i2;
    }

    private ValueAnimator y(float... fArr) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.setInterpolator(com.google.android.material.a.a.f11326a);
        ofFloat.addUpdateListener(new d());
        return ofFloat;
    }

    public int A() {
        return this.s.getAnimationMode();
    }

    public Behavior B() {
        return this.H;
    }

    @NonNull
    public Context C() {
        return this.r;
    }

    public int D() {
        return this.u;
    }

    /* access modifiers changed from: protected */
    @NonNull
    public SwipeDismissBehavior<? extends View> E() {
        return new Behavior();
    }

    /* access modifiers changed from: protected */
    @LayoutRes
    public int H() {
        return L() ? R.layout.mtrl_layout_snackbar : R.layout.design_layout_snackbar;
    }

    @NonNull
    public View J() {
        return this.s;
    }

    /* access modifiers changed from: protected */
    public boolean L() {
        TypedArray obtainStyledAttributes = this.r.obtainStyledAttributes(o);
        int resourceId = obtainStyledAttributes.getResourceId(0, -1);
        obtainStyledAttributes.recycle();
        if (resourceId != -1) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public final void M(int i2) {
        if (!d0() || this.s.getVisibility() != 0) {
            S(i2);
        } else {
            u(i2);
        }
    }

    public boolean N() {
        return this.x;
    }

    public boolean O() {
        return this.v;
    }

    public boolean P() {
        return b.c().e(this.J);
    }

    public boolean Q() {
        return b.c().f(this.J);
    }

    /* access modifiers changed from: package-private */
    public void S(int i2) {
        b.c().i(this.J);
        List<BaseCallback<B>> list = this.G;
        if (list != null) {
            for (int size = list.size() - 1; size >= 0; size--) {
                this.G.get(size).a(this, i2);
            }
        }
        ViewParent parent = this.s.getParent();
        if (parent instanceof ViewGroup) {
            ((ViewGroup) parent).removeView(this.s);
        }
    }

    /* access modifiers changed from: package-private */
    public void T() {
        b.c().j(this.J);
        List<BaseCallback<B>> list = this.G;
        if (list != null) {
            for (int size = list.size() - 1; size >= 0; size--) {
                this.G.get(size).b(this);
            }
        }
    }

    @NonNull
    public B U(@Nullable BaseCallback<B> baseCallback) {
        List<BaseCallback<B>> list;
        if (baseCallback == null || (list = this.G) == null) {
            return this;
        }
        list.remove(baseCallback);
        return this;
    }

    @NonNull
    public B V(@IdRes int i2) {
        View findViewById = this.q.findViewById(i2);
        if (findViewById != null) {
            return W(findViewById);
        }
        throw new IllegalArgumentException("Unable to find anchor view with id: " + i2);
    }

    @NonNull
    public B W(@Nullable View view) {
        com.google.android.material.internal.u.l(this.w, this.y);
        this.w = view;
        com.google.android.material.internal.u.a(view, this.y);
        return this;
    }

    public void X(boolean z2) {
        this.x = z2;
    }

    @NonNull
    public B Y(int i2) {
        this.s.setAnimationMode(i2);
        return this;
    }

    @NonNull
    public B Z(Behavior behavior) {
        this.H = behavior;
        return this;
    }

    @NonNull
    public B a0(int i2) {
        this.u = i2;
        return this;
    }

    @NonNull
    public B b0(boolean z2) {
        this.v = z2;
        return this;
    }

    /* access modifiers changed from: package-private */
    public boolean d0() {
        AccessibilityManager accessibilityManager = this.I;
        if (accessibilityManager == null) {
            return true;
        }
        List<AccessibilityServiceInfo> enabledAccessibilityServiceList = accessibilityManager.getEnabledAccessibilityServiceList(1);
        if (enabledAccessibilityServiceList == null || !enabledAccessibilityServiceList.isEmpty()) {
            return false;
        }
        return true;
    }

    public void f0() {
        b.c().n(D(), this.J);
    }

    /* access modifiers changed from: package-private */
    public final void g0() {
        this.s.setOnAttachStateChangeListener(new p());
        if (this.s.getParent() == null) {
            ViewGroup.LayoutParams layoutParams = this.s.getLayoutParams();
            if (layoutParams instanceof CoordinatorLayout.d) {
                c0((CoordinatorLayout.d) layoutParams);
            }
            this.F = v();
            m0();
            this.s.setVisibility(4);
            this.q.addView(this.s);
        }
        if (ViewCompat.isLaidOut(this.s)) {
            h0();
        } else {
            this.s.setOnLayoutChangeListener(new q());
        }
    }

    @NonNull
    public B s(@Nullable BaseCallback<B> baseCallback) {
        if (baseCallback == null) {
            return this;
        }
        if (this.G == null) {
            this.G = new ArrayList();
        }
        this.G.add(baseCallback);
        return this;
    }

    /* access modifiers changed from: package-private */
    public void t() {
        this.s.post(new a());
    }

    public void w() {
        x(3);
    }

    /* access modifiers changed from: protected */
    public void x(int i2) {
        b.c().b(this.J, i2);
    }

    @Nullable
    public View z() {
        return this.w;
    }

    protected BaseTransientBottomBar(@NonNull Context context, @NonNull ViewGroup viewGroup, @NonNull View view, @NonNull a aVar) {
        this.x = false;
        this.y = new k();
        this.z = new l();
        this.J = new o();
        if (viewGroup == null) {
            throw new IllegalArgumentException("Transient bottom bar must have non-null parent");
        } else if (view == null) {
            throw new IllegalArgumentException("Transient bottom bar must have non-null content");
        } else if (aVar != null) {
            this.q = viewGroup;
            this.t = aVar;
            this.r = context;
            com.google.android.material.internal.m.a(context);
            SnackbarBaseLayout snackbarBaseLayout = (SnackbarBaseLayout) LayoutInflater.from(context).inflate(H(), viewGroup, false);
            this.s = snackbarBaseLayout;
            if (view instanceof SnackbarContentLayout) {
                ((SnackbarContentLayout) view).c(snackbarBaseLayout.getActionTextColorAlpha());
            }
            snackbarBaseLayout.addView(view);
            ViewGroup.LayoutParams layoutParams = snackbarBaseLayout.getLayoutParams();
            if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
                ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
                this.A = new Rect(marginLayoutParams.leftMargin, marginLayoutParams.topMargin, marginLayoutParams.rightMargin, marginLayoutParams.bottomMargin);
            }
            ViewCompat.setAccessibilityLiveRegion(snackbarBaseLayout, 1);
            ViewCompat.setImportantForAccessibility(snackbarBaseLayout, 1);
            ViewCompat.setFitsSystemWindows(snackbarBaseLayout, true);
            ViewCompat.setOnApplyWindowInsetsListener(snackbarBaseLayout, new m());
            ViewCompat.setAccessibilityDelegate(snackbarBaseLayout, new n());
            this.I = (AccessibilityManager) context.getSystemService("accessibility");
        } else {
            throw new IllegalArgumentException("Transient bottom bar must have non-null callback");
        }
    }
}
