package com.google.android.material.switchmaterial;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.SwitchCompat;
import com.google.android.material.R;
import com.google.android.material.f.a;
import com.google.android.material.internal.m;
import com.google.android.material.internal.u;

public class SwitchMaterial extends SwitchCompat {
    private static final int D1 = R.style.Widget_MaterialComponents_CompoundButton_Switch;
    private static final int[][] E1 = {new int[]{16842910, 16842912}, new int[]{16842910, -16842912}, new int[]{-16842910, 16842912}, new int[]{-16842910, -16842912}};
    @NonNull
    private final a F1;
    @Nullable
    private ColorStateList G1;
    @Nullable
    private ColorStateList H1;
    private boolean I1;

    public SwitchMaterial(@NonNull Context context) {
        this(context, null);
    }

    private ColorStateList getMaterialThemeColorsThumbTintList() {
        if (this.G1 == null) {
            int d2 = com.google.android.material.c.a.d(this, R.attr.colorSurface);
            int d3 = com.google.android.material.c.a.d(this, R.attr.colorControlActivated);
            float dimension = getResources().getDimension(R.dimen.mtrl_switch_thumb_elevation);
            if (this.F1.l()) {
                dimension += u.i(this);
            }
            int e2 = this.F1.e(d2, dimension);
            int[][] iArr = E1;
            int[] iArr2 = new int[iArr.length];
            iArr2[0] = com.google.android.material.c.a.g(d2, d3, 1.0f);
            iArr2[1] = e2;
            iArr2[2] = com.google.android.material.c.a.g(d2, d3, 0.38f);
            iArr2[3] = e2;
            this.G1 = new ColorStateList(iArr, iArr2);
        }
        return this.G1;
    }

    private ColorStateList getMaterialThemeColorsTrackTintList() {
        if (this.H1 == null) {
            int[][] iArr = E1;
            int[] iArr2 = new int[iArr.length];
            int d2 = com.google.android.material.c.a.d(this, R.attr.colorSurface);
            int d3 = com.google.android.material.c.a.d(this, R.attr.colorControlActivated);
            int d4 = com.google.android.material.c.a.d(this, R.attr.colorOnSurface);
            iArr2[0] = com.google.android.material.c.a.g(d2, d3, 0.54f);
            iArr2[1] = com.google.android.material.c.a.g(d2, d4, 0.32f);
            iArr2[2] = com.google.android.material.c.a.g(d2, d3, 0.12f);
            iArr2[3] = com.google.android.material.c.a.g(d2, d4, 0.12f);
            this.H1 = new ColorStateList(iArr, iArr2);
        }
        return this.H1;
    }

    public boolean m() {
        return this.I1;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.I1 && getThumbTintList() == null) {
            setThumbTintList(getMaterialThemeColorsThumbTintList());
        }
        if (this.I1 && getTrackTintList() == null) {
            setTrackTintList(getMaterialThemeColorsTrackTintList());
        }
    }

    public void setUseMaterialThemeColors(boolean z) {
        this.I1 = z;
        if (z) {
            setThumbTintList(getMaterialThemeColorsThumbTintList());
            setTrackTintList(getMaterialThemeColorsTrackTintList());
            return;
        }
        setThumbTintList(null);
        setTrackTintList(null);
    }

    public SwitchMaterial(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.switchStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public SwitchMaterial(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i, r4), attributeSet, i);
        int i2 = D1;
        Context context2 = getContext();
        this.F1 = new a(context2);
        TypedArray j = m.j(context2, attributeSet, R.styleable.SwitchMaterial, i, i2, new int[0]);
        this.I1 = j.getBoolean(R.styleable.SwitchMaterial_useMaterialThemeColors, false);
        j.recycle();
    }
}
