package com.google.android.material.tabs;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.text.Layout;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.FrameLayout;
import android.widget.HorizontalScrollView;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.BoolRes;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.Dimension;
import androidx.annotation.DrawableRes;
import androidx.annotation.LayoutRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.appcompat.widget.h0;
import androidx.core.util.l;
import androidx.core.view.GravityCompat;
import androidx.core.view.MarginLayoutParamsCompat;
import androidx.core.view.PointerIconCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.core.widget.TextViewCompat;
import androidx.viewpager.widget.ViewPager;
import com.google.android.material.R;
import com.google.android.material.badge.BadgeDrawable;
import com.google.android.material.internal.m;
import com.google.android.material.internal.u;
import com.google.android.material.shape.MaterialShapeDrawable;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;

@ViewPager.DecorView
public class TabLayout extends HorizontalScrollView {
    @Dimension(unit = 0)
    static final int I0 = 8;
    @Dimension(unit = 0)
    private static final int J0 = 48;
    @Dimension(unit = 0)
    private static final int K0 = 56;
    @Dimension(unit = 0)
    static final int L0 = 16;
    private static final int M0 = -1;
    private static final int N0 = 300;
    private static final l.a<g> O0 = new l.c(16);
    private static final String P0 = "TabLayout";
    public static final int Q0 = 0;
    public static final int R0 = 1;
    public static final int S0 = 2;
    public static final int T0 = 0;
    public static final int U0 = 1;
    public static final int V0 = 0;
    public static final int W0 = 1;
    public static final int X0 = 2;
    public static final int Y0 = 0;
    public static final int Z0 = 1;

    /* renamed from: a  reason: collision with root package name */
    private static final int f11984a = R.style.Widget_Design_TabLayout;
    public static final int a1 = 2;
    @Dimension(unit = 0)

    /* renamed from: b  reason: collision with root package name */
    private static final int f11985b = 72;
    public static final int b1 = 3;
    public static final int c1 = 0;
    public static final int d1 = 1;
    int A1;
    int B1;
    int C1;
    int D1;
    boolean E1;
    boolean F1;
    int G1;
    boolean H1;
    private b I1;
    @Nullable
    private c J1;
    private final ArrayList<c> K1;
    @Nullable
    private c L1;
    private ValueAnimator M1;
    @Nullable
    ViewPager N1;
    @Nullable
    private androidx.viewpager.widget.a O1;
    private DataSetObserver P1;
    private h Q1;
    private b R1;
    private boolean S1;
    private final l.a<TabView> T1;
    private final ArrayList<g> e1;
    @Nullable
    private g f1;
    @NonNull
    final f g1;
    int h1;
    int i1;
    int j1;
    int k1;
    int l1;
    ColorStateList m1;
    ColorStateList n1;
    ColorStateList o1;
    @NonNull
    Drawable p1;
    private int q1;
    PorterDuff.Mode r1;
    float s1;
    float t1;
    final int u1;
    int v1;
    private final int w1;
    private final int x1;
    private final int y1;
    private int z1;

    public @interface LabelVisibility {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface Mode {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface TabGravity {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface TabIndicatorAnimationMode {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface TabIndicatorGravity {
    }

    public final class TabView extends LinearLayout {
        private ImageView I0;
        @Nullable
        private View J0;
        @Nullable
        private BadgeDrawable K0;
        @Nullable
        private View L0;
        @Nullable
        private TextView M0;
        @Nullable
        private ImageView N0;
        @Nullable
        private Drawable O0;
        private int P0 = 2;

        /* renamed from: a  reason: collision with root package name */
        private g f11986a;

        /* renamed from: b  reason: collision with root package name */
        private TextView f11987b;

        /* access modifiers changed from: package-private */
        public class a implements View.OnLayoutChangeListener {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ View f11988a;

            a(View view) {
                this.f11988a = view;
            }

            public void onLayoutChange(View view, int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8) {
                if (this.f11988a.getVisibility() == 0) {
                    TabView.this.w(this.f11988a);
                }
            }
        }

        public TabView(@NonNull Context context) {
            super(context);
            y(context);
            ViewCompat.setPaddingRelative(this, TabLayout.this.h1, TabLayout.this.i1, TabLayout.this.j1, TabLayout.this.k1);
            setGravity(17);
            setOrientation(!TabLayout.this.E1 ? 1 : 0);
            setClickable(true);
            ViewCompat.setPointerIcon(this, PointerIconCompat.getSystemIcon(getContext(), 1002));
        }

        private void A(@Nullable TextView textView, @Nullable ImageView imageView) {
            g gVar = this.f11986a;
            CharSequence charSequence = null;
            Drawable mutate = (gVar == null || gVar.h() == null) ? null : androidx.core.graphics.drawable.c.r(this.f11986a.h()).mutate();
            g gVar2 = this.f11986a;
            CharSequence n = gVar2 != null ? gVar2.n() : null;
            if (imageView != null) {
                if (mutate != null) {
                    imageView.setImageDrawable(mutate);
                    imageView.setVisibility(0);
                    setVisibility(0);
                } else {
                    imageView.setVisibility(8);
                    imageView.setImageDrawable(null);
                }
            }
            boolean z = !TextUtils.isEmpty(n);
            if (textView != null) {
                if (z) {
                    textView.setText(n);
                    if (this.f11986a.h == 1) {
                        textView.setVisibility(0);
                    } else {
                        textView.setVisibility(8);
                    }
                    setVisibility(0);
                } else {
                    textView.setVisibility(8);
                    textView.setText((CharSequence) null);
                }
            }
            if (imageView != null) {
                ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) imageView.getLayoutParams();
                int e2 = (!z || imageView.getVisibility() != 0) ? 0 : (int) u.e(getContext(), 8);
                if (TabLayout.this.E1) {
                    if (e2 != MarginLayoutParamsCompat.getMarginEnd(marginLayoutParams)) {
                        MarginLayoutParamsCompat.setMarginEnd(marginLayoutParams, e2);
                        marginLayoutParams.bottomMargin = 0;
                        imageView.setLayoutParams(marginLayoutParams);
                        imageView.requestLayout();
                    }
                } else if (e2 != marginLayoutParams.bottomMargin) {
                    marginLayoutParams.bottomMargin = e2;
                    MarginLayoutParamsCompat.setMarginEnd(marginLayoutParams, 0);
                    imageView.setLayoutParams(marginLayoutParams);
                    imageView.requestLayout();
                }
            }
            g gVar3 = this.f11986a;
            if (gVar3 != null) {
                charSequence = gVar3.f12004e;
            }
            if (!z) {
                n = charSequence;
            }
            h0.a(this, n);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        @Nullable
        private BadgeDrawable getBadge() {
            return this.K0;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        @NonNull
        private BadgeDrawable getOrCreateBadge() {
            if (this.K0 == null) {
                this.K0 = BadgeDrawable.d(getContext());
            }
            v();
            BadgeDrawable badgeDrawable = this.K0;
            if (badgeDrawable != null) {
                return badgeDrawable;
            }
            throw new IllegalStateException("Unable to create badge");
        }

        private void i(@Nullable View view) {
            if (view != null) {
                view.addOnLayoutChangeListener(new a(view));
            }
        }

        private float j(@NonNull Layout layout, int i, float f) {
            return layout.getLineWidth(i) * (f / layout.getPaint().getTextSize());
        }

        private void k(boolean z) {
            setClipChildren(z);
            setClipToPadding(z);
            ViewGroup viewGroup = (ViewGroup) getParent();
            if (viewGroup != null) {
                viewGroup.setClipChildren(z);
                viewGroup.setClipToPadding(z);
            }
        }

        @NonNull
        private FrameLayout l() {
            FrameLayout frameLayout = new FrameLayout(getContext());
            frameLayout.setLayoutParams(new FrameLayout.LayoutParams(-2, -2));
            return frameLayout;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void m(@NonNull Canvas canvas) {
            Drawable drawable = this.O0;
            if (drawable != null) {
                drawable.setBounds(getLeft(), getTop(), getRight(), getBottom());
                this.O0.draw(canvas);
            }
        }

        @Nullable
        private FrameLayout n(@NonNull View view) {
            if ((view == this.I0 || view == this.f11987b) && com.google.android.material.badge.a.f11401a) {
                return (FrameLayout) view.getParent();
            }
            return null;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean o() {
            return this.K0 != null;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: com.google.android.material.tabs.TabLayout$TabView */
        /* JADX WARN: Multi-variable type inference failed */
        private void p() {
            FrameLayout frameLayout;
            if (com.google.android.material.badge.a.f11401a) {
                frameLayout = l();
                addView(frameLayout, 0);
            } else {
                frameLayout = this;
            }
            ImageView imageView = (ImageView) LayoutInflater.from(getContext()).inflate(R.layout.design_layout_tab_icon, (ViewGroup) frameLayout, false);
            this.I0 = imageView;
            frameLayout.addView(imageView, 0);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: com.google.android.material.tabs.TabLayout$TabView */
        /* JADX WARN: Multi-variable type inference failed */
        private void q() {
            FrameLayout frameLayout;
            if (com.google.android.material.badge.a.f11401a) {
                frameLayout = l();
                addView(frameLayout);
            } else {
                frameLayout = this;
            }
            TextView textView = (TextView) LayoutInflater.from(getContext()).inflate(R.layout.design_layout_tab_text, (ViewGroup) frameLayout, false);
            this.f11987b = textView;
            frameLayout.addView(textView);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void r() {
            if (this.J0 != null) {
                u();
            }
            this.K0 = null;
        }

        private void t(@Nullable View view) {
            if (o() && view != null) {
                k(false);
                com.google.android.material.badge.a.b(this.K0, view, n(view));
                this.J0 = view;
            }
        }

        private void u() {
            if (o()) {
                k(true);
                View view = this.J0;
                if (view != null) {
                    com.google.android.material.badge.a.g(this.K0, view);
                    this.J0 = null;
                }
            }
        }

        private void v() {
            g gVar;
            g gVar2;
            if (o()) {
                if (this.L0 != null) {
                    u();
                } else if (this.I0 != null && (gVar2 = this.f11986a) != null && gVar2.h() != null) {
                    View view = this.J0;
                    ImageView imageView = this.I0;
                    if (view != imageView) {
                        u();
                        t(this.I0);
                        return;
                    }
                    w(imageView);
                } else if (this.f11987b == null || (gVar = this.f11986a) == null || gVar.l() != 1) {
                    u();
                } else {
                    View view2 = this.J0;
                    TextView textView = this.f11987b;
                    if (view2 != textView) {
                        u();
                        t(this.f11987b);
                        return;
                    }
                    w(textView);
                }
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void w(@NonNull View view) {
            if (o() && view == this.J0) {
                com.google.android.material.badge.a.i(this.K0, view, n(view));
            }
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Type inference failed for: r2v3, types: [android.graphics.drawable.LayerDrawable] */
        /* JADX WARN: Type inference failed for: r0v3, types: [android.graphics.drawable.RippleDrawable] */
        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        /* JADX WARNING: Unknown variable types count: 2 */
        private void y(Context context) {
            int i = TabLayout.this.u1;
            GradientDrawable gradientDrawable = null;
            if (i != 0) {
                Drawable d2 = androidx.appcompat.a.a.a.d(context, i);
                this.O0 = d2;
                if (d2 != null && d2.isStateful()) {
                    this.O0.setState(getDrawableState());
                }
            } else {
                this.O0 = null;
            }
            GradientDrawable gradientDrawable2 = new GradientDrawable();
            gradientDrawable2.setColor(0);
            if (TabLayout.this.o1 != null) {
                GradientDrawable gradientDrawable3 = new GradientDrawable();
                gradientDrawable3.setCornerRadius(1.0E-5f);
                gradientDrawable3.setColor(-1);
                ColorStateList a2 = com.google.android.material.j.b.a(TabLayout.this.o1);
                if (Build.VERSION.SDK_INT >= 21) {
                    boolean z = TabLayout.this.H1;
                    if (z) {
                        gradientDrawable2 = null;
                    }
                    if (!z) {
                        gradientDrawable = gradientDrawable3;
                    }
                    gradientDrawable2 = new RippleDrawable(a2, gradientDrawable2, gradientDrawable);
                } else {
                    Drawable r = androidx.core.graphics.drawable.c.r(gradientDrawable3);
                    androidx.core.graphics.drawable.c.o(r, a2);
                    gradientDrawable2 = new LayerDrawable(new Drawable[]{gradientDrawable2, r});
                }
            }
            ViewCompat.setBackground(this, gradientDrawable2);
            TabLayout.this.invalidate();
        }

        /* access modifiers changed from: protected */
        public void drawableStateChanged() {
            super.drawableStateChanged();
            int[] drawableState = getDrawableState();
            Drawable drawable = this.O0;
            boolean z = false;
            if (drawable != null && drawable.isStateful()) {
                z = false | this.O0.setState(drawableState);
            }
            if (z) {
                invalidate();
                TabLayout.this.invalidate();
            }
        }

        /* access modifiers changed from: package-private */
        public int getContentHeight() {
            View[] viewArr = {this.f11987b, this.I0, this.L0};
            int i = 0;
            int i2 = 0;
            boolean z = false;
            for (int i3 = 0; i3 < 3; i3++) {
                View view = viewArr[i3];
                if (view != null && view.getVisibility() == 0) {
                    i2 = z ? Math.min(i2, view.getTop()) : view.getTop();
                    i = z ? Math.max(i, view.getBottom()) : view.getBottom();
                    z = true;
                }
            }
            return i - i2;
        }

        /* access modifiers changed from: package-private */
        public int getContentWidth() {
            View[] viewArr = {this.f11987b, this.I0, this.L0};
            int i = 0;
            int i2 = 0;
            boolean z = false;
            for (int i3 = 0; i3 < 3; i3++) {
                View view = viewArr[i3];
                if (view != null && view.getVisibility() == 0) {
                    i2 = z ? Math.min(i2, view.getLeft()) : view.getLeft();
                    i = z ? Math.max(i, view.getRight()) : view.getRight();
                    z = true;
                }
            }
            return i - i2;
        }

        @Nullable
        public g getTab() {
            return this.f11986a;
        }

        public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
            super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
            BadgeDrawable badgeDrawable = this.K0;
            if (badgeDrawable != null && badgeDrawable.isVisible()) {
                CharSequence contentDescription = getContentDescription();
                accessibilityNodeInfo.setContentDescription(((Object) contentDescription) + ", " + ((Object) this.K0.m()));
            }
            AccessibilityNodeInfoCompat wrap = AccessibilityNodeInfoCompat.wrap(accessibilityNodeInfo);
            wrap.setCollectionItemInfo(AccessibilityNodeInfoCompat.CollectionItemInfoCompat.obtain(0, 1, this.f11986a.k(), 1, false, isSelected()));
            if (isSelected()) {
                wrap.setClickable(false);
                wrap.removeAction(AccessibilityNodeInfoCompat.AccessibilityActionCompat.ACTION_CLICK);
            }
            wrap.setRoleDescription(getResources().getString(R.string.item_view_role_description));
        }

        public void onMeasure(int i, int i2) {
            Layout layout;
            int size = View.MeasureSpec.getSize(i);
            int mode = View.MeasureSpec.getMode(i);
            int tabMaxWidth = TabLayout.this.getTabMaxWidth();
            if (tabMaxWidth > 0 && (mode == 0 || size > tabMaxWidth)) {
                i = View.MeasureSpec.makeMeasureSpec(TabLayout.this.v1, Integer.MIN_VALUE);
            }
            super.onMeasure(i, i2);
            if (this.f11987b != null) {
                float f = TabLayout.this.s1;
                int i3 = this.P0;
                ImageView imageView = this.I0;
                boolean z = true;
                if (imageView == null || imageView.getVisibility() != 0) {
                    TextView textView = this.f11987b;
                    if (textView != null && textView.getLineCount() > 1) {
                        f = TabLayout.this.t1;
                    }
                } else {
                    i3 = 1;
                }
                float textSize = this.f11987b.getTextSize();
                int lineCount = this.f11987b.getLineCount();
                int k = TextViewCompat.k(this.f11987b);
                int i4 = (f > textSize ? 1 : (f == textSize ? 0 : -1));
                if (i4 != 0 || (k >= 0 && i3 != k)) {
                    if (TabLayout.this.D1 == 1 && i4 > 0 && lineCount == 1 && ((layout = this.f11987b.getLayout()) == null || j(layout, 0, f) > ((float) ((getMeasuredWidth() - getPaddingLeft()) - getPaddingRight())))) {
                        z = false;
                    }
                    if (z) {
                        this.f11987b.setTextSize(0, f);
                        this.f11987b.setMaxLines(i3);
                        super.onMeasure(i, i2);
                    }
                }
            }
        }

        public boolean performClick() {
            boolean performClick = super.performClick();
            if (this.f11986a == null) {
                return performClick;
            }
            if (!performClick) {
                playSoundEffect(0);
            }
            this.f11986a.r();
            return true;
        }

        /* access modifiers changed from: package-private */
        public void s() {
            setTab(null);
            setSelected(false);
        }

        public void setSelected(boolean z) {
            boolean z2 = isSelected() != z;
            super.setSelected(z);
            if (z2 && z && Build.VERSION.SDK_INT < 16) {
                sendAccessibilityEvent(4);
            }
            TextView textView = this.f11987b;
            if (textView != null) {
                textView.setSelected(z);
            }
            ImageView imageView = this.I0;
            if (imageView != null) {
                imageView.setSelected(z);
            }
            View view = this.L0;
            if (view != null) {
                view.setSelected(z);
            }
        }

        /* access modifiers changed from: package-private */
        public void setTab(@Nullable g gVar) {
            if (gVar != this.f11986a) {
                this.f11986a = gVar;
                x();
            }
        }

        /* access modifiers changed from: package-private */
        public final void x() {
            g gVar = this.f11986a;
            Drawable drawable = null;
            View g = gVar != null ? gVar.g() : null;
            if (g != null) {
                ViewParent parent = g.getParent();
                if (parent != this) {
                    if (parent != null) {
                        ((ViewGroup) parent).removeView(g);
                    }
                    addView(g);
                }
                this.L0 = g;
                TextView textView = this.f11987b;
                if (textView != null) {
                    textView.setVisibility(8);
                }
                ImageView imageView = this.I0;
                if (imageView != null) {
                    imageView.setVisibility(8);
                    this.I0.setImageDrawable(null);
                }
                TextView textView2 = (TextView) g.findViewById(16908308);
                this.M0 = textView2;
                if (textView2 != null) {
                    this.P0 = TextViewCompat.k(textView2);
                }
                this.N0 = (ImageView) g.findViewById(16908294);
            } else {
                View view = this.L0;
                if (view != null) {
                    removeView(view);
                    this.L0 = null;
                }
                this.M0 = null;
                this.N0 = null;
            }
            if (this.L0 == null) {
                if (this.I0 == null) {
                    p();
                }
                if (!(gVar == null || gVar.h() == null)) {
                    drawable = androidx.core.graphics.drawable.c.r(gVar.h()).mutate();
                }
                if (drawable != null) {
                    androidx.core.graphics.drawable.c.o(drawable, TabLayout.this.n1);
                    PorterDuff.Mode mode = TabLayout.this.r1;
                    if (mode != null) {
                        androidx.core.graphics.drawable.c.p(drawable, mode);
                    }
                }
                if (this.f11987b == null) {
                    q();
                    this.P0 = TextViewCompat.k(this.f11987b);
                }
                TextViewCompat.E(this.f11987b, TabLayout.this.l1);
                ColorStateList colorStateList = TabLayout.this.m1;
                if (colorStateList != null) {
                    this.f11987b.setTextColor(colorStateList);
                }
                A(this.f11987b, this.I0);
                v();
                i(this.I0);
                i(this.f11987b);
            } else {
                TextView textView3 = this.M0;
                if (!(textView3 == null && this.N0 == null)) {
                    A(textView3, this.N0);
                }
            }
            if (gVar != null && !TextUtils.isEmpty(gVar.f12004e)) {
                setContentDescription(gVar.f12004e);
            }
            setSelected(gVar != null && gVar.o());
        }

        /* access modifiers changed from: package-private */
        public final void z() {
            setOrientation(!TabLayout.this.E1 ? 1 : 0);
            TextView textView = this.M0;
            if (textView == null && this.N0 == null) {
                A(this.f11987b, this.I0);
            } else {
                A(textView, this.N0);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class a implements ValueAnimator.AnimatorUpdateListener {
        a() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            TabLayout.this.scrollTo(((Integer) valueAnimator.getAnimatedValue()).intValue(), 0);
        }
    }

    /* access modifiers changed from: private */
    public class b implements ViewPager.g {

        /* renamed from: a  reason: collision with root package name */
        private boolean f11991a;

        b() {
        }

        @Override // androidx.viewpager.widget.ViewPager.g
        public void a(@NonNull ViewPager viewPager, @Nullable androidx.viewpager.widget.a aVar, @Nullable androidx.viewpager.widget.a aVar2) {
            TabLayout tabLayout = TabLayout.this;
            if (tabLayout.N1 == viewPager) {
                tabLayout.O(aVar2, this.f11991a);
            }
        }

        /* access modifiers changed from: package-private */
        public void b(boolean z) {
            this.f11991a = z;
        }
    }

    @Deprecated
    public interface c<T extends g> {
        void a(T t);

        void b(T t);

        void c(T t);
    }

    public interface d extends c<g> {
    }

    /* access modifiers changed from: private */
    public class e extends DataSetObserver {
        e() {
        }

        public void onChanged() {
            TabLayout.this.E();
        }

        public void onInvalidated() {
            TabLayout.this.E();
        }
    }

    /* access modifiers changed from: package-private */
    public class f extends LinearLayout {
        float I0;
        private int J0 = -1;

        /* renamed from: a  reason: collision with root package name */
        ValueAnimator f11994a;

        /* renamed from: b  reason: collision with root package name */
        int f11995b = -1;

        /* access modifiers changed from: package-private */
        public class a implements ValueAnimator.AnimatorUpdateListener {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ View f11996a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ View f11997b;

            a(View view, View view2) {
                this.f11996a = view;
                this.f11997b = view2;
            }

            public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
                f.this.h(this.f11996a, this.f11997b, valueAnimator.getAnimatedFraction());
            }
        }

        /* access modifiers changed from: package-private */
        public class b extends AnimatorListenerAdapter {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ int f11998a;

            b(int i) {
                this.f11998a = i;
            }

            public void onAnimationEnd(Animator animator) {
                f.this.f11995b = this.f11998a;
            }

            public void onAnimationStart(Animator animator) {
                f.this.f11995b = this.f11998a;
            }
        }

        f(Context context) {
            super(context);
            setWillNotDraw(false);
        }

        private void e() {
            View childAt = getChildAt(this.f11995b);
            b bVar = TabLayout.this.I1;
            TabLayout tabLayout = TabLayout.this;
            bVar.d(tabLayout, childAt, tabLayout.p1);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void h(View view, View view2, float f) {
            if (view != null && view.getWidth() > 0) {
                b bVar = TabLayout.this.I1;
                TabLayout tabLayout = TabLayout.this;
                bVar.c(tabLayout, view, view2, f, tabLayout.p1);
            } else {
                Drawable drawable = TabLayout.this.p1;
                drawable.setBounds(-1, drawable.getBounds().top, -1, TabLayout.this.p1.getBounds().bottom);
            }
            ViewCompat.postInvalidateOnAnimation(this);
        }

        private void i(boolean z, int i, int i2) {
            View childAt = getChildAt(this.f11995b);
            View childAt2 = getChildAt(i);
            if (childAt2 == null) {
                e();
                return;
            }
            a aVar = new a(childAt, childAt2);
            if (z) {
                ValueAnimator valueAnimator = new ValueAnimator();
                this.f11994a = valueAnimator;
                valueAnimator.setInterpolator(com.google.android.material.a.a.f11327b);
                valueAnimator.setDuration((long) i2);
                valueAnimator.setFloatValues(0.0f, 1.0f);
                valueAnimator.addUpdateListener(aVar);
                valueAnimator.addListener(new b(i));
                valueAnimator.start();
                return;
            }
            this.f11994a.removeAllUpdateListeners();
            this.f11994a.addUpdateListener(aVar);
        }

        /* access modifiers changed from: package-private */
        public void b(int i, int i2) {
            ValueAnimator valueAnimator = this.f11994a;
            if (valueAnimator != null && valueAnimator.isRunning()) {
                this.f11994a.cancel();
            }
            i(true, i, i2);
        }

        /* access modifiers changed from: package-private */
        public boolean c() {
            int childCount = getChildCount();
            for (int i = 0; i < childCount; i++) {
                if (getChildAt(i).getWidth() <= 0) {
                    return true;
                }
            }
            return false;
        }

        /* access modifiers changed from: package-private */
        public float d() {
            return ((float) this.f11995b) + this.I0;
        }

        public void draw(@NonNull Canvas canvas) {
            int height = TabLayout.this.p1.getBounds().height();
            if (height < 0) {
                height = TabLayout.this.p1.getIntrinsicHeight();
            }
            int i = TabLayout.this.C1;
            int i2 = 0;
            if (i == 0) {
                i2 = getHeight() - height;
                height = getHeight();
            } else if (i == 1) {
                i2 = (getHeight() - height) / 2;
                height = (getHeight() + height) / 2;
            } else if (i != 2) {
                if (i != 3) {
                    height = 0;
                } else {
                    height = getHeight();
                }
            }
            if (TabLayout.this.p1.getBounds().width() > 0) {
                Rect bounds = TabLayout.this.p1.getBounds();
                TabLayout.this.p1.setBounds(bounds.left, i2, bounds.right, height);
                TabLayout tabLayout = TabLayout.this;
                Drawable drawable = tabLayout.p1;
                if (tabLayout.q1 != 0) {
                    drawable = androidx.core.graphics.drawable.c.r(drawable);
                    if (Build.VERSION.SDK_INT == 21) {
                        drawable.setColorFilter(TabLayout.this.q1, PorterDuff.Mode.SRC_IN);
                    } else {
                        androidx.core.graphics.drawable.c.n(drawable, TabLayout.this.q1);
                    }
                }
                drawable.draw(canvas);
            }
            super.draw(canvas);
        }

        /* access modifiers changed from: package-private */
        public void f(int i, float f) {
            ValueAnimator valueAnimator = this.f11994a;
            if (valueAnimator != null && valueAnimator.isRunning()) {
                this.f11994a.cancel();
            }
            this.f11995b = i;
            this.I0 = f;
            h(getChildAt(i), getChildAt(this.f11995b + 1), this.I0);
        }

        /* access modifiers changed from: package-private */
        public void g(int i) {
            Rect bounds = TabLayout.this.p1.getBounds();
            TabLayout.this.p1.setBounds(bounds.left, 0, bounds.right, i);
            requestLayout();
        }

        /* access modifiers changed from: protected */
        public void onLayout(boolean z, int i, int i2, int i3, int i4) {
            super.onLayout(z, i, i2, i3, i4);
            ValueAnimator valueAnimator = this.f11994a;
            if (valueAnimator == null || !valueAnimator.isRunning()) {
                e();
            } else {
                i(false, this.f11995b, -1);
            }
        }

        /* access modifiers changed from: protected */
        public void onMeasure(int i, int i2) {
            super.onMeasure(i, i2);
            if (View.MeasureSpec.getMode(i) == 1073741824) {
                TabLayout tabLayout = TabLayout.this;
                boolean z = true;
                if (tabLayout.A1 == 1 || tabLayout.D1 == 2) {
                    int childCount = getChildCount();
                    int i3 = 0;
                    for (int i4 = 0; i4 < childCount; i4++) {
                        View childAt = getChildAt(i4);
                        if (childAt.getVisibility() == 0) {
                            i3 = Math.max(i3, childAt.getMeasuredWidth());
                        }
                    }
                    if (i3 > 0) {
                        if (i3 * childCount <= getMeasuredWidth() - (((int) u.e(getContext(), 16)) * 2)) {
                            boolean z2 = false;
                            for (int i5 = 0; i5 < childCount; i5++) {
                                LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) getChildAt(i5).getLayoutParams();
                                if (layoutParams.width != i3 || layoutParams.weight != 0.0f) {
                                    layoutParams.width = i3;
                                    layoutParams.weight = 0.0f;
                                    z2 = true;
                                }
                            }
                            z = z2;
                        } else {
                            TabLayout tabLayout2 = TabLayout.this;
                            tabLayout2.A1 = 0;
                            tabLayout2.W(false);
                        }
                        if (z) {
                            super.onMeasure(i, i2);
                        }
                    }
                }
            }
        }

        public void onRtlPropertiesChanged(int i) {
            super.onRtlPropertiesChanged(i);
            if (Build.VERSION.SDK_INT < 23 && this.J0 != i) {
                requestLayout();
                this.J0 = i;
            }
        }
    }

    public static class g {

        /* renamed from: a  reason: collision with root package name */
        public static final int f12000a = -1;
        @Nullable

        /* renamed from: b  reason: collision with root package name */
        private Object f12001b;
        @Nullable

        /* renamed from: c  reason: collision with root package name */
        private Drawable f12002c;
        @Nullable

        /* renamed from: d  reason: collision with root package name */
        private CharSequence f12003d;
        @Nullable

        /* renamed from: e  reason: collision with root package name */
        private CharSequence f12004e;
        private int f = -1;
        @Nullable
        private View g;
        @LabelVisibility
        private int h = 1;
        @Nullable
        public TabLayout i;
        @NonNull
        public TabView j;
        private int k = -1;

        @NonNull
        public g A(@LabelVisibility int i2) {
            this.h = i2;
            TabLayout tabLayout = this.i;
            if (tabLayout.A1 == 1 || tabLayout.D1 == 2) {
                tabLayout.W(true);
            }
            E();
            if (com.google.android.material.badge.a.f11401a && this.j.o() && this.j.K0.isVisible()) {
                this.j.invalidate();
            }
            return this;
        }

        @NonNull
        public g B(@Nullable Object obj) {
            this.f12001b = obj;
            return this;
        }

        @NonNull
        public g C(@StringRes int i2) {
            TabLayout tabLayout = this.i;
            if (tabLayout != null) {
                return D(tabLayout.getResources().getText(i2));
            }
            throw new IllegalArgumentException("Tab not attached to a TabLayout");
        }

        @NonNull
        public g D(@Nullable CharSequence charSequence) {
            if (TextUtils.isEmpty(this.f12004e) && !TextUtils.isEmpty(charSequence)) {
                this.j.setContentDescription(charSequence);
            }
            this.f12003d = charSequence;
            E();
            return this;
        }

        /* access modifiers changed from: package-private */
        public void E() {
            TabView tabView = this.j;
            if (tabView != null) {
                tabView.x();
            }
        }

        @Nullable
        public BadgeDrawable e() {
            return this.j.getBadge();
        }

        @Nullable
        public CharSequence f() {
            TabView tabView = this.j;
            if (tabView == null) {
                return null;
            }
            return tabView.getContentDescription();
        }

        @Nullable
        public View g() {
            return this.g;
        }

        @Nullable
        public Drawable h() {
            return this.f12002c;
        }

        public int i() {
            return this.k;
        }

        @NonNull
        public BadgeDrawable j() {
            return this.j.getOrCreateBadge();
        }

        public int k() {
            return this.f;
        }

        @LabelVisibility
        public int l() {
            return this.h;
        }

        @Nullable
        public Object m() {
            return this.f12001b;
        }

        @Nullable
        public CharSequence n() {
            return this.f12003d;
        }

        public boolean o() {
            TabLayout tabLayout = this.i;
            if (tabLayout != null) {
                return tabLayout.getSelectedTabPosition() == this.f;
            }
            throw new IllegalArgumentException("Tab not attached to a TabLayout");
        }

        public void p() {
            this.j.r();
        }

        /* access modifiers changed from: package-private */
        public void q() {
            this.i = null;
            this.j = null;
            this.f12001b = null;
            this.f12002c = null;
            this.k = -1;
            this.f12003d = null;
            this.f12004e = null;
            this.f = -1;
            this.g = null;
        }

        public void r() {
            TabLayout tabLayout = this.i;
            if (tabLayout != null) {
                tabLayout.M(this);
                return;
            }
            throw new IllegalArgumentException("Tab not attached to a TabLayout");
        }

        @NonNull
        public g s(@StringRes int i2) {
            TabLayout tabLayout = this.i;
            if (tabLayout != null) {
                return t(tabLayout.getResources().getText(i2));
            }
            throw new IllegalArgumentException("Tab not attached to a TabLayout");
        }

        @NonNull
        public g t(@Nullable CharSequence charSequence) {
            this.f12004e = charSequence;
            E();
            return this;
        }

        @NonNull
        public g u(@LayoutRes int i2) {
            return v(LayoutInflater.from(this.j.getContext()).inflate(i2, (ViewGroup) this.j, false));
        }

        @NonNull
        public g v(@Nullable View view) {
            this.g = view;
            E();
            return this;
        }

        @NonNull
        public g w(@DrawableRes int i2) {
            TabLayout tabLayout = this.i;
            if (tabLayout != null) {
                return x(androidx.appcompat.a.a.a.d(tabLayout.getContext(), i2));
            }
            throw new IllegalArgumentException("Tab not attached to a TabLayout");
        }

        @NonNull
        public g x(@Nullable Drawable drawable) {
            this.f12002c = drawable;
            TabLayout tabLayout = this.i;
            if (tabLayout.A1 == 1 || tabLayout.D1 == 2) {
                tabLayout.W(true);
            }
            E();
            if (com.google.android.material.badge.a.f11401a && this.j.o() && this.j.K0.isVisible()) {
                this.j.invalidate();
            }
            return this;
        }

        @NonNull
        public g y(int i2) {
            this.k = i2;
            TabView tabView = this.j;
            if (tabView != null) {
                tabView.setId(i2);
            }
            return this;
        }

        /* access modifiers changed from: package-private */
        public void z(int i2) {
            this.f = i2;
        }
    }

    public static class h implements ViewPager.h {
        private int I0;
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        private final WeakReference<TabLayout> f12005a;

        /* renamed from: b  reason: collision with root package name */
        private int f12006b;

        public h(TabLayout tabLayout) {
            this.f12005a = new WeakReference<>(tabLayout);
        }

        /* access modifiers changed from: package-private */
        public void a() {
            this.I0 = 0;
            this.f12006b = 0;
        }

        @Override // androidx.viewpager.widget.ViewPager.h
        public void onPageScrollStateChanged(int i) {
            this.f12006b = this.I0;
            this.I0 = i;
        }

        @Override // androidx.viewpager.widget.ViewPager.h
        public void onPageScrolled(int i, float f, int i2) {
            TabLayout tabLayout = this.f12005a.get();
            if (tabLayout != null) {
                int i3 = this.I0;
                boolean z = false;
                boolean z2 = i3 != 2 || this.f12006b == 1;
                if (!(i3 == 2 && this.f12006b == 0)) {
                    z = true;
                }
                tabLayout.Q(i, f, z2, z);
            }
        }

        @Override // androidx.viewpager.widget.ViewPager.h
        public void onPageSelected(int i) {
            TabLayout tabLayout = this.f12005a.get();
            if (tabLayout != null && tabLayout.getSelectedTabPosition() != i && i < tabLayout.getTabCount()) {
                int i2 = this.I0;
                tabLayout.N(tabLayout.z(i), i2 == 0 || (i2 == 2 && this.f12006b == 0));
            }
        }
    }

    public static class i implements d {

        /* renamed from: a  reason: collision with root package name */
        private final ViewPager f12007a;

        public i(ViewPager viewPager) {
            this.f12007a = viewPager;
        }

        @Override // com.google.android.material.tabs.TabLayout.c
        public void a(g gVar) {
        }

        @Override // com.google.android.material.tabs.TabLayout.c
        public void b(@NonNull g gVar) {
            this.f12007a.setCurrentItem(gVar.k());
        }

        @Override // com.google.android.material.tabs.TabLayout.c
        public void c(g gVar) {
        }
    }

    public TabLayout(@NonNull Context context) {
        this(context, null);
    }

    private void L(int i2) {
        TabView tabView = (TabView) this.g1.getChildAt(i2);
        this.g1.removeViewAt(i2);
        if (tabView != null) {
            tabView.s();
            this.T1.a(tabView);
        }
        requestLayout();
    }

    private void T(@Nullable ViewPager viewPager, boolean z, boolean z2) {
        ViewPager viewPager2 = this.N1;
        if (viewPager2 != null) {
            h hVar = this.Q1;
            if (hVar != null) {
                viewPager2.O(hVar);
            }
            b bVar = this.R1;
            if (bVar != null) {
                this.N1.N(bVar);
            }
        }
        c cVar = this.L1;
        if (cVar != null) {
            H(cVar);
            this.L1 = null;
        }
        if (viewPager != null) {
            this.N1 = viewPager;
            if (this.Q1 == null) {
                this.Q1 = new h(this);
            }
            this.Q1.a();
            viewPager.c(this.Q1);
            i iVar = new i(viewPager);
            this.L1 = iVar;
            c(iVar);
            androidx.viewpager.widget.a adapter = viewPager.getAdapter();
            if (adapter != null) {
                O(adapter, z);
            }
            if (this.R1 == null) {
                this.R1 = new b();
            }
            this.R1.b(z);
            viewPager.b(this.R1);
            P(viewPager.getCurrentItem(), 0.0f, true);
        } else {
            this.N1 = null;
            O(null, false);
        }
        this.S1 = z2;
    }

    private void U() {
        int size = this.e1.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.e1.get(i2).E();
        }
    }

    private void V(@NonNull LinearLayout.LayoutParams layoutParams) {
        if (this.D1 == 1 && this.A1 == 0) {
            layoutParams.width = 0;
            layoutParams.weight = 1.0f;
            return;
        }
        layoutParams.width = -2;
        layoutParams.weight = 0.0f;
    }

    @Dimension(unit = 0)
    private int getDefaultHeight() {
        int size = this.e1.size();
        boolean z = false;
        int i2 = 0;
        while (true) {
            if (i2 < size) {
                g gVar = this.e1.get(i2);
                if (gVar != null && gVar.h() != null && !TextUtils.isEmpty(gVar.n())) {
                    z = true;
                    break;
                }
                i2++;
            } else {
                break;
            }
        }
        return (!z || this.E1) ? 48 : 72;
    }

    private int getTabMinWidth() {
        int i2 = this.w1;
        if (i2 != -1) {
            return i2;
        }
        int i3 = this.D1;
        if (i3 == 0 || i3 == 2) {
            return this.y1;
        }
        return 0;
    }

    private int getTabScrollRange() {
        return Math.max(0, ((this.g1.getWidth() - getWidth()) - getPaddingLeft()) - getPaddingRight());
    }

    private void i(@NonNull TabItem tabItem) {
        g D = D();
        CharSequence charSequence = tabItem.f11982a;
        if (charSequence != null) {
            D.D(charSequence);
        }
        Drawable drawable = tabItem.f11983b;
        if (drawable != null) {
            D.x(drawable);
        }
        int i2 = tabItem.I0;
        if (i2 != 0) {
            D.u(i2);
        }
        if (!TextUtils.isEmpty(tabItem.getContentDescription())) {
            D.t(tabItem.getContentDescription());
        }
        e(D);
    }

    private void j(@NonNull g gVar) {
        TabView tabView = gVar.j;
        tabView.setSelected(false);
        tabView.setActivated(false);
        this.g1.addView(tabView, gVar.k(), s());
    }

    private void k(View view) {
        if (view instanceof TabItem) {
            i((TabItem) view);
            return;
        }
        throw new IllegalArgumentException("Only TabItem instances can be added to TabLayout");
    }

    private void l(int i2) {
        if (i2 != -1) {
            if (getWindowToken() == null || !ViewCompat.isLaidOut(this) || this.g1.c()) {
                P(i2, 0.0f, true);
                return;
            }
            int scrollX = getScrollX();
            int o = o(i2, 0.0f);
            if (scrollX != o) {
                y();
                this.M1.setIntValues(scrollX, o);
                this.M1.start();
            }
            this.g1.b(i2, this.B1);
        }
    }

    private void m(int i2) {
        if (i2 == 0) {
            Log.w(P0, "MODE_SCROLLABLE + GRAVITY_FILL is not supported, GRAVITY_START will be used instead");
        } else if (i2 == 1) {
            this.g1.setGravity(1);
            return;
        } else if (i2 != 2) {
            return;
        }
        this.g1.setGravity(GravityCompat.START);
    }

    private void n() {
        int i2;
        int i3 = this.D1;
        if (i3 == 0 || i3 == 2) {
            i2 = Math.max(0, this.z1 - this.h1);
        } else {
            i2 = 0;
        }
        ViewCompat.setPaddingRelative(this.g1, i2, 0, 0, 0);
        int i4 = this.D1;
        if (i4 == 0) {
            m(this.A1);
        } else if (i4 == 1 || i4 == 2) {
            if (this.A1 == 2) {
                Log.w(P0, "GRAVITY_START is not supported with the current tab mode, GRAVITY_CENTER will be used instead");
            }
            this.g1.setGravity(1);
        }
        W(true);
    }

    private int o(int i2, float f2) {
        int i3 = this.D1;
        int i4 = 0;
        if (i3 != 0 && i3 != 2) {
            return 0;
        }
        View childAt = this.g1.getChildAt(i2);
        int i5 = i2 + 1;
        View childAt2 = i5 < this.g1.getChildCount() ? this.g1.getChildAt(i5) : null;
        int width = childAt != null ? childAt.getWidth() : 0;
        if (childAt2 != null) {
            i4 = childAt2.getWidth();
        }
        int left = (childAt.getLeft() + (width / 2)) - (getWidth() / 2);
        int i6 = (int) (((float) (width + i4)) * 0.5f * f2);
        return ViewCompat.getLayoutDirection(this) == 0 ? left + i6 : left - i6;
    }

    private void q(@NonNull g gVar, int i2) {
        gVar.z(i2);
        this.e1.add(i2, gVar);
        int size = this.e1.size();
        while (true) {
            i2++;
            if (i2 < size) {
                this.e1.get(i2).z(i2);
            } else {
                return;
            }
        }
    }

    @NonNull
    private static ColorStateList r(int i2, int i3) {
        return new ColorStateList(new int[][]{HorizontalScrollView.SELECTED_STATE_SET, HorizontalScrollView.EMPTY_STATE_SET}, new int[]{i3, i2});
    }

    @NonNull
    private LinearLayout.LayoutParams s() {
        LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-2, -1);
        V(layoutParams);
        return layoutParams;
    }

    private void setSelectedTabView(int i2) {
        int childCount = this.g1.getChildCount();
        if (i2 < childCount) {
            int i3 = 0;
            while (i3 < childCount) {
                View childAt = this.g1.getChildAt(i3);
                boolean z = true;
                childAt.setSelected(i3 == i2);
                if (i3 != i2) {
                    z = false;
                }
                childAt.setActivated(z);
                i3++;
            }
        }
    }

    @NonNull
    private TabView u(@NonNull g gVar) {
        l.a<TabView> aVar = this.T1;
        TabView b2 = aVar != null ? aVar.b() : null;
        if (b2 == null) {
            b2 = new TabView(getContext());
        }
        b2.setTab(gVar);
        b2.setFocusable(true);
        b2.setMinimumWidth(getTabMinWidth());
        if (TextUtils.isEmpty(gVar.f12004e)) {
            b2.setContentDescription(gVar.f12003d);
        } else {
            b2.setContentDescription(gVar.f12004e);
        }
        return b2;
    }

    private void v(@NonNull g gVar) {
        for (int size = this.K1.size() - 1; size >= 0; size--) {
            this.K1.get(size).a(gVar);
        }
    }

    private void w(@NonNull g gVar) {
        for (int size = this.K1.size() - 1; size >= 0; size--) {
            this.K1.get(size).b(gVar);
        }
    }

    private void x(@NonNull g gVar) {
        for (int size = this.K1.size() - 1; size >= 0; size--) {
            this.K1.get(size).c(gVar);
        }
    }

    private void y() {
        if (this.M1 == null) {
            ValueAnimator valueAnimator = new ValueAnimator();
            this.M1 = valueAnimator;
            valueAnimator.setInterpolator(com.google.android.material.a.a.f11327b);
            this.M1.setDuration((long) this.B1);
            this.M1.addUpdateListener(new a());
        }
    }

    public boolean A() {
        return this.H1;
    }

    public boolean B() {
        return this.E1;
    }

    public boolean C() {
        return this.F1;
    }

    @NonNull
    public g D() {
        g t = t();
        t.i = this;
        t.j = u(t);
        if (t.k != -1) {
            t.j.setId(t.k);
        }
        return t;
    }

    /* access modifiers changed from: package-private */
    public void E() {
        int currentItem;
        G();
        androidx.viewpager.widget.a aVar = this.O1;
        if (aVar != null) {
            int e2 = aVar.e();
            for (int i2 = 0; i2 < e2; i2++) {
                h(D().D(this.O1.g(i2)), false);
            }
            ViewPager viewPager = this.N1;
            if (viewPager != null && e2 > 0 && (currentItem = viewPager.getCurrentItem()) != getSelectedTabPosition() && currentItem < getTabCount()) {
                M(z(currentItem));
            }
        }
    }

    /* access modifiers changed from: protected */
    public boolean F(g gVar) {
        return O0.a(gVar);
    }

    public void G() {
        for (int childCount = this.g1.getChildCount() - 1; childCount >= 0; childCount--) {
            L(childCount);
        }
        Iterator<g> it = this.e1.iterator();
        while (it.hasNext()) {
            g next = it.next();
            it.remove();
            next.q();
            F(next);
        }
        this.f1 = null;
    }

    @Deprecated
    public void H(@Nullable c cVar) {
        this.K1.remove(cVar);
    }

    public void I(@NonNull d dVar) {
        H(dVar);
    }

    public void J(@NonNull g gVar) {
        if (gVar.i == this) {
            K(gVar.k());
            return;
        }
        throw new IllegalArgumentException("Tab does not belong to this TabLayout.");
    }

    public void K(int i2) {
        g gVar = this.f1;
        int k = gVar != null ? gVar.k() : 0;
        L(i2);
        g remove = this.e1.remove(i2);
        if (remove != null) {
            remove.q();
            F(remove);
        }
        int size = this.e1.size();
        for (int i3 = i2; i3 < size; i3++) {
            this.e1.get(i3).z(i3);
        }
        if (k == i2) {
            M(this.e1.isEmpty() ? null : this.e1.get(Math.max(0, i2 - 1)));
        }
    }

    public void M(@Nullable g gVar) {
        N(gVar, true);
    }

    public void N(@Nullable g gVar, boolean z) {
        g gVar2 = this.f1;
        if (gVar2 != gVar) {
            int k = gVar != null ? gVar.k() : -1;
            if (z) {
                if ((gVar2 == null || gVar2.k() == -1) && k != -1) {
                    P(k, 0.0f, true);
                } else {
                    l(k);
                }
                if (k != -1) {
                    setSelectedTabView(k);
                }
            }
            this.f1 = gVar;
            if (gVar2 != null) {
                x(gVar2);
            }
            if (gVar != null) {
                w(gVar);
            }
        } else if (gVar2 != null) {
            v(gVar);
            l(gVar.k());
        }
    }

    /* access modifiers changed from: package-private */
    public void O(@Nullable androidx.viewpager.widget.a aVar, boolean z) {
        DataSetObserver dataSetObserver;
        androidx.viewpager.widget.a aVar2 = this.O1;
        if (!(aVar2 == null || (dataSetObserver = this.P1) == null)) {
            aVar2.u(dataSetObserver);
        }
        this.O1 = aVar;
        if (z && aVar != null) {
            if (this.P1 == null) {
                this.P1 = new e();
            }
            aVar.m(this.P1);
        }
        E();
    }

    public void P(int i2, float f2, boolean z) {
        Q(i2, f2, z, true);
    }

    public void Q(int i2, float f2, boolean z, boolean z2) {
        int round = Math.round(((float) i2) + f2);
        if (round >= 0 && round < this.g1.getChildCount()) {
            if (z2) {
                this.g1.f(i2, f2);
            }
            ValueAnimator valueAnimator = this.M1;
            if (valueAnimator != null && valueAnimator.isRunning()) {
                this.M1.cancel();
            }
            scrollTo(o(i2, f2), 0);
            if (z) {
                setSelectedTabView(round);
            }
        }
    }

    public void R(int i2, int i3) {
        setTabTextColors(r(i2, i3));
    }

    public void S(@Nullable ViewPager viewPager, boolean z) {
        T(viewPager, z, false);
    }

    /* access modifiers changed from: package-private */
    public void W(boolean z) {
        for (int i2 = 0; i2 < this.g1.getChildCount(); i2++) {
            View childAt = this.g1.getChildAt(i2);
            childAt.setMinimumWidth(getTabMinWidth());
            V((LinearLayout.LayoutParams) childAt.getLayoutParams());
            if (z) {
                childAt.requestLayout();
            }
        }
    }

    public void addView(View view) {
        k(view);
    }

    @Deprecated
    public void c(@Nullable c cVar) {
        if (!this.K1.contains(cVar)) {
            this.K1.add(cVar);
        }
    }

    public void d(@NonNull d dVar) {
        c(dVar);
    }

    public void e(@NonNull g gVar) {
        h(gVar, this.e1.isEmpty());
    }

    public void f(@NonNull g gVar, int i2) {
        g(gVar, i2, this.e1.isEmpty());
    }

    public void g(@NonNull g gVar, int i2, boolean z) {
        if (gVar.i == this) {
            q(gVar, i2);
            j(gVar);
            if (z) {
                gVar.r();
                return;
            }
            return;
        }
        throw new IllegalArgumentException("Tab belongs to a different TabLayout.");
    }

    public int getSelectedTabPosition() {
        g gVar = this.f1;
        if (gVar != null) {
            return gVar.k();
        }
        return -1;
    }

    public int getTabCount() {
        return this.e1.size();
    }

    public int getTabGravity() {
        return this.A1;
    }

    @Nullable
    public ColorStateList getTabIconTint() {
        return this.n1;
    }

    public int getTabIndicatorAnimationMode() {
        return this.G1;
    }

    public int getTabIndicatorGravity() {
        return this.C1;
    }

    /* access modifiers changed from: package-private */
    public int getTabMaxWidth() {
        return this.v1;
    }

    public int getTabMode() {
        return this.D1;
    }

    @Nullable
    public ColorStateList getTabRippleColor() {
        return this.o1;
    }

    @NonNull
    public Drawable getTabSelectedIndicator() {
        return this.p1;
    }

    @Nullable
    public ColorStateList getTabTextColors() {
        return this.m1;
    }

    public void h(@NonNull g gVar, boolean z) {
        g(gVar, this.e1.size(), z);
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        com.google.android.material.shape.i.e(this);
        if (this.N1 == null) {
            ViewParent parent = getParent();
            if (parent instanceof ViewPager) {
                T((ViewPager) parent, true, true);
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (this.S1) {
            setupWithViewPager(null);
            this.S1 = false;
        }
    }

    /* access modifiers changed from: protected */
    public void onDraw(@NonNull Canvas canvas) {
        for (int i2 = 0; i2 < this.g1.getChildCount(); i2++) {
            View childAt = this.g1.getChildAt(i2);
            if (childAt instanceof TabView) {
                ((TabView) childAt).m(canvas);
            }
        }
        super.onDraw(canvas);
    }

    public void onInitializeAccessibilityNodeInfo(@NonNull AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        AccessibilityNodeInfoCompat.wrap(accessibilityNodeInfo).setCollectionInfo(AccessibilityNodeInfoCompat.CollectionInfoCompat.obtain(1, getTabCount(), false, 1));
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0073, code lost:
        if (r0 != 2) goto L_0x008d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x007e, code lost:
        if (r7.getMeasuredWidth() != getMeasuredWidth()) goto L_0x0080;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0080, code lost:
        r4 = true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x008a, code lost:
        if (r7.getMeasuredWidth() < getMeasuredWidth()) goto L_0x0080;
     */
    public void onMeasure(int i2, int i3) {
        int round = Math.round(u.e(getContext(), getDefaultHeight()));
        int mode = View.MeasureSpec.getMode(i3);
        boolean z = false;
        if (mode != Integer.MIN_VALUE) {
            if (mode == 0) {
                i3 = View.MeasureSpec.makeMeasureSpec(round + getPaddingTop() + getPaddingBottom(), 1073741824);
            }
        } else if (getChildCount() == 1 && View.MeasureSpec.getSize(i3) >= round) {
            getChildAt(0).setMinimumHeight(round);
        }
        int size = View.MeasureSpec.getSize(i2);
        if (View.MeasureSpec.getMode(i2) != 0) {
            int i4 = this.x1;
            if (i4 <= 0) {
                i4 = (int) (((float) size) - u.e(getContext(), 56));
            }
            this.v1 = i4;
        }
        super.onMeasure(i2, i3);
        if (getChildCount() == 1) {
            View childAt = getChildAt(0);
            int i5 = this.D1;
            if (i5 != 0) {
                if (i5 != 1) {
                }
                if (z) {
                    childAt.measure(View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 1073741824), HorizontalScrollView.getChildMeasureSpec(i3, getPaddingTop() + getPaddingBottom(), childAt.getLayoutParams().height));
                }
            }
        }
    }

    public void p() {
        this.K1.clear();
    }

    @RequiresApi(21)
    public void setElevation(float f2) {
        super.setElevation(f2);
        com.google.android.material.shape.i.d(this, f2);
    }

    public void setInlineLabel(boolean z) {
        if (this.E1 != z) {
            this.E1 = z;
            for (int i2 = 0; i2 < this.g1.getChildCount(); i2++) {
                View childAt = this.g1.getChildAt(i2);
                if (childAt instanceof TabView) {
                    ((TabView) childAt).z();
                }
            }
            n();
        }
    }

    public void setInlineLabelResource(@BoolRes int i2) {
        setInlineLabel(getResources().getBoolean(i2));
    }

    @Deprecated
    public void setOnTabSelectedListener(@Nullable d dVar) {
        setOnTabSelectedListener((c) dVar);
    }

    /* access modifiers changed from: package-private */
    public void setScrollAnimatorListener(Animator.AnimatorListener animatorListener) {
        y();
        this.M1.addListener(animatorListener);
    }

    public void setSelectedTabIndicator(@Nullable Drawable drawable) {
        if (this.p1 != drawable) {
            if (drawable == null) {
                drawable = new GradientDrawable();
            }
            this.p1 = drawable;
        }
    }

    public void setSelectedTabIndicatorColor(@ColorInt int i2) {
        this.q1 = i2;
    }

    public void setSelectedTabIndicatorGravity(int i2) {
        if (this.C1 != i2) {
            this.C1 = i2;
            ViewCompat.postInvalidateOnAnimation(this.g1);
        }
    }

    @Deprecated
    public void setSelectedTabIndicatorHeight(int i2) {
        this.g1.g(i2);
    }

    public void setTabGravity(int i2) {
        if (this.A1 != i2) {
            this.A1 = i2;
            n();
        }
    }

    public void setTabIconTint(@Nullable ColorStateList colorStateList) {
        if (this.n1 != colorStateList) {
            this.n1 = colorStateList;
            U();
        }
    }

    public void setTabIconTintResource(@ColorRes int i2) {
        setTabIconTint(androidx.appcompat.a.a.a.c(getContext(), i2));
    }

    public void setTabIndicatorAnimationMode(int i2) {
        this.G1 = i2;
        if (i2 == 0) {
            this.I1 = new b();
        } else if (i2 == 1) {
            this.I1 = new a();
        } else {
            throw new IllegalArgumentException(i2 + " is not a valid TabIndicatorAnimationMode");
        }
    }

    public void setTabIndicatorFullWidth(boolean z) {
        this.F1 = z;
        ViewCompat.postInvalidateOnAnimation(this.g1);
    }

    public void setTabMode(int i2) {
        if (i2 != this.D1) {
            this.D1 = i2;
            n();
        }
    }

    public void setTabRippleColor(@Nullable ColorStateList colorStateList) {
        if (this.o1 != colorStateList) {
            this.o1 = colorStateList;
            for (int i2 = 0; i2 < this.g1.getChildCount(); i2++) {
                View childAt = this.g1.getChildAt(i2);
                if (childAt instanceof TabView) {
                    ((TabView) childAt).y(getContext());
                }
            }
        }
    }

    public void setTabRippleColorResource(@ColorRes int i2) {
        setTabRippleColor(androidx.appcompat.a.a.a.c(getContext(), i2));
    }

    public void setTabTextColors(@Nullable ColorStateList colorStateList) {
        if (this.m1 != colorStateList) {
            this.m1 = colorStateList;
            U();
        }
    }

    @Deprecated
    public void setTabsFromPagerAdapter(@Nullable androidx.viewpager.widget.a aVar) {
        O(aVar, false);
    }

    public void setUnboundedRipple(boolean z) {
        if (this.H1 != z) {
            this.H1 = z;
            for (int i2 = 0; i2 < this.g1.getChildCount(); i2++) {
                View childAt = this.g1.getChildAt(i2);
                if (childAt instanceof TabView) {
                    ((TabView) childAt).y(getContext());
                }
            }
        }
    }

    public void setUnboundedRippleResource(@BoolRes int i2) {
        setUnboundedRipple(getResources().getBoolean(i2));
    }

    public void setupWithViewPager(@Nullable ViewPager viewPager) {
        S(viewPager, true);
    }

    public boolean shouldDelayChildPressedState() {
        return getTabScrollRange() > 0;
    }

    /* access modifiers changed from: protected */
    public g t() {
        g b2 = O0.b();
        return b2 == null ? new g() : b2;
    }

    @Nullable
    public g z(int i2) {
        if (i2 < 0 || i2 >= getTabCount()) {
            return null;
        }
        return this.e1.get(i2);
    }

    public TabLayout(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.tabStyle);
    }

    @Override // android.widget.HorizontalScrollView, android.view.ViewGroup
    public void addView(View view, int i2) {
        k(view);
    }

    @Override // android.widget.FrameLayout, android.widget.FrameLayout, android.view.ViewGroup
    public FrameLayout.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return generateDefaultLayoutParams();
    }

    @Deprecated
    public void setOnTabSelectedListener(@Nullable c cVar) {
        c cVar2 = this.J1;
        if (cVar2 != null) {
            H(cVar2);
        }
        this.J1 = cVar;
        if (cVar != null) {
            c(cVar);
        }
    }

    /* JADX INFO: finally extract failed */
    /* JADX WARNING: Illegal instructions before constructor call */
    public TabLayout(@NonNull Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i2, r4), attributeSet, i2);
        int i3 = f11984a;
        this.e1 = new ArrayList<>();
        this.p1 = new GradientDrawable();
        this.q1 = 0;
        this.v1 = Integer.MAX_VALUE;
        this.K1 = new ArrayList<>();
        this.T1 = new l.b(12);
        Context context2 = getContext();
        setHorizontalScrollBarEnabled(false);
        f fVar = new f(context2);
        this.g1 = fVar;
        super.addView(fVar, 0, new FrameLayout.LayoutParams(-2, -1));
        int[] iArr = R.styleable.TabLayout;
        int i4 = R.styleable.TabLayout_tabTextAppearance;
        TypedArray j = m.j(context2, attributeSet, iArr, i2, i3, i4);
        if (getBackground() instanceof ColorDrawable) {
            MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
            materialShapeDrawable.n0(ColorStateList.valueOf(((ColorDrawable) getBackground()).getColor()));
            materialShapeDrawable.Y(context2);
            materialShapeDrawable.m0(ViewCompat.getElevation(this));
            ViewCompat.setBackground(this, materialShapeDrawable);
        }
        setSelectedTabIndicator(com.google.android.material.i.c.d(context2, j, R.styleable.TabLayout_tabIndicator));
        setSelectedTabIndicatorColor(j.getColor(R.styleable.TabLayout_tabIndicatorColor, 0));
        fVar.g(j.getDimensionPixelSize(R.styleable.TabLayout_tabIndicatorHeight, -1));
        setSelectedTabIndicatorGravity(j.getInt(R.styleable.TabLayout_tabIndicatorGravity, 0));
        setTabIndicatorFullWidth(j.getBoolean(R.styleable.TabLayout_tabIndicatorFullWidth, true));
        setTabIndicatorAnimationMode(j.getInt(R.styleable.TabLayout_tabIndicatorAnimationMode, 0));
        int dimensionPixelSize = j.getDimensionPixelSize(R.styleable.TabLayout_tabPadding, 0);
        this.k1 = dimensionPixelSize;
        this.j1 = dimensionPixelSize;
        this.i1 = dimensionPixelSize;
        this.h1 = dimensionPixelSize;
        this.h1 = j.getDimensionPixelSize(R.styleable.TabLayout_tabPaddingStart, dimensionPixelSize);
        this.i1 = j.getDimensionPixelSize(R.styleable.TabLayout_tabPaddingTop, this.i1);
        this.j1 = j.getDimensionPixelSize(R.styleable.TabLayout_tabPaddingEnd, this.j1);
        this.k1 = j.getDimensionPixelSize(R.styleable.TabLayout_tabPaddingBottom, this.k1);
        int resourceId = j.getResourceId(i4, R.style.TextAppearance_Design_Tab);
        this.l1 = resourceId;
        TypedArray obtainStyledAttributes = context2.obtainStyledAttributes(resourceId, androidx.appcompat.R.styleable.TextAppearance);
        try {
            this.s1 = (float) obtainStyledAttributes.getDimensionPixelSize(androidx.appcompat.R.styleable.TextAppearance_android_textSize, 0);
            this.m1 = com.google.android.material.i.c.a(context2, obtainStyledAttributes, androidx.appcompat.R.styleable.TextAppearance_android_textColor);
            obtainStyledAttributes.recycle();
            int i5 = R.styleable.TabLayout_tabTextColor;
            if (j.hasValue(i5)) {
                this.m1 = com.google.android.material.i.c.a(context2, j, i5);
            }
            int i6 = R.styleable.TabLayout_tabSelectedTextColor;
            if (j.hasValue(i6)) {
                this.m1 = r(this.m1.getDefaultColor(), j.getColor(i6, 0));
            }
            this.n1 = com.google.android.material.i.c.a(context2, j, R.styleable.TabLayout_tabIconTint);
            this.r1 = u.k(j.getInt(R.styleable.TabLayout_tabIconTintMode, -1), null);
            this.o1 = com.google.android.material.i.c.a(context2, j, R.styleable.TabLayout_tabRippleColor);
            this.B1 = j.getInt(R.styleable.TabLayout_tabIndicatorAnimationDuration, 300);
            this.w1 = j.getDimensionPixelSize(R.styleable.TabLayout_tabMinWidth, -1);
            this.x1 = j.getDimensionPixelSize(R.styleable.TabLayout_tabMaxWidth, -1);
            this.u1 = j.getResourceId(R.styleable.TabLayout_tabBackground, 0);
            this.z1 = j.getDimensionPixelSize(R.styleable.TabLayout_tabContentStart, 0);
            this.D1 = j.getInt(R.styleable.TabLayout_tabMode, 1);
            this.A1 = j.getInt(R.styleable.TabLayout_tabGravity, 0);
            this.E1 = j.getBoolean(R.styleable.TabLayout_tabInlineLabel, false);
            this.H1 = j.getBoolean(R.styleable.TabLayout_tabUnboundedRipple, false);
            j.recycle();
            Resources resources = getResources();
            this.t1 = (float) resources.getDimensionPixelSize(R.dimen.design_tab_text_size_2line);
            this.y1 = resources.getDimensionPixelSize(R.dimen.design_tab_scrollable_min_width);
            n();
        } catch (Throwable th) {
            obtainStyledAttributes.recycle();
            throw th;
        }
    }

    @Override // android.widget.HorizontalScrollView, android.view.ViewGroup
    public void addView(View view, ViewGroup.LayoutParams layoutParams) {
        k(view);
    }

    public void setSelectedTabIndicator(@DrawableRes int i2) {
        if (i2 != 0) {
            setSelectedTabIndicator(androidx.appcompat.a.a.a.d(getContext(), i2));
        } else {
            setSelectedTabIndicator((Drawable) null);
        }
    }

    @Override // android.widget.HorizontalScrollView, android.view.ViewGroup
    public void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        k(view);
    }
}
