package com.google.android.material.textfield;

import android.animation.TimeInterpolator;
import android.animation.ValueAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStructure;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.DimenRes;
import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RestrictTo;
import androidx.annotation.StringRes;
import androidx.annotation.StyleRes;
import androidx.annotation.VisibleForTesting;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.appcompat.widget.f0;
import androidx.appcompat.widget.p;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.GravityCompat;
import androidx.core.view.MarginLayoutParamsCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.core.widget.TextViewCompat;
import androidx.customview.view.AbsSavedState;
import com.google.android.material.R;
import com.google.android.material.badge.BadgeDrawable;
import com.google.android.material.internal.CheckableImageButton;
import com.google.android.material.internal.u;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.m;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.Arrays;
import java.util.Iterator;
import java.util.LinkedHashSet;

public class TextInputLayout extends LinearLayout {
    private static final int I0 = -1;
    private static final String J0 = "TextInputLayout";
    public static final int K0 = 0;
    public static final int L0 = 1;
    public static final int M0 = 2;
    public static final int N0 = -1;
    public static final int O0 = 0;
    public static final int P0 = 1;
    public static final int Q0 = 2;
    public static final int R0 = 3;

    /* renamed from: a  reason: collision with root package name */
    private static final int f12023a = R.style.Widget_Design_TextInputLayout;

    /* renamed from: b  reason: collision with root package name */
    private static final int f12024b = 167;
    private int A1;
    private int B1;
    @ColorInt
    private int C1;
    @ColorInt
    private int D1;
    private final Rect E1;
    private final Rect F1;
    private final RectF G1;
    private Typeface H1;
    @NonNull
    private final CheckableImageButton I1;
    private ColorStateList J1;
    private boolean K1;
    private PorterDuff.Mode L1;
    private boolean M1;
    @Nullable
    private Drawable N1;
    private int O1;
    private View.OnLongClickListener P1;
    private final LinkedHashSet<f> Q1;
    private int R1;
    @NonNull
    private final FrameLayout S0;
    private final SparseArray<e> S1;
    @NonNull
    private final LinearLayout T0;
    @NonNull
    private final CheckableImageButton T1;
    @NonNull
    private final LinearLayout U0;
    private final LinkedHashSet<g> U1;
    @NonNull
    private final FrameLayout V0;
    private ColorStateList V1;
    EditText W0;
    private boolean W1;
    private CharSequence X0;
    private PorterDuff.Mode X1;
    private final f Y0;
    private boolean Y1;
    boolean Z0;
    @Nullable
    private Drawable Z1;
    private int a1;
    private int a2;
    private boolean b1;
    private Drawable b2;
    @Nullable
    private TextView c1;
    private View.OnLongClickListener c2;
    private int d1;
    private View.OnLongClickListener d2;
    private int e1;
    @NonNull
    private final CheckableImageButton e2;
    private CharSequence f1;
    private ColorStateList f2;
    private boolean g1;
    private ColorStateList g2;
    private TextView h1;
    private ColorStateList h2;
    @Nullable
    private ColorStateList i1;
    @ColorInt
    private int i2;
    private int j1;
    @ColorInt
    private int j2;
    @Nullable
    private ColorStateList k1;
    @ColorInt
    private int k2;
    @Nullable
    private ColorStateList l1;
    private ColorStateList l2;
    @Nullable
    private CharSequence m1;
    @ColorInt
    private int m2;
    @NonNull
    private final TextView n1;
    @ColorInt
    private int n2;
    @Nullable
    private CharSequence o1;
    @ColorInt
    private int o2;
    @NonNull
    private final TextView p1;
    @ColorInt
    private int p2;
    private boolean q1;
    @ColorInt
    private int q2;
    private CharSequence r1;
    private boolean r2;
    private boolean s1;
    final com.google.android.material.internal.a s2;
    @Nullable
    private MaterialShapeDrawable t1;
    private boolean t2;
    @Nullable
    private MaterialShapeDrawable u1;
    private boolean u2;
    @NonNull
    private m v1;
    private ValueAnimator v2;
    private final int w1;
    private boolean w2;
    private int x1;
    private boolean x2;
    private int y1;
    private int z1;

    @Retention(RetentionPolicy.SOURCE)
    public @interface BoxBackgroundMode {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface EndIconMode {
    }

    /* access modifiers changed from: package-private */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        @Nullable
        CharSequence I0;
        boolean J0;
        @Nullable
        CharSequence K0;
        @Nullable
        CharSequence L0;
        @Nullable
        CharSequence M0;

        static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            a() {
            }

            @Nullable
            /* renamed from: a */
            public SavedState createFromParcel(@NonNull Parcel parcel) {
                return new SavedState(parcel, null);
            }

            @NonNull
            /* renamed from: b */
            public SavedState createFromParcel(@NonNull Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @NonNull
            /* renamed from: c */
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        }

        SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        @NonNull
        public String toString() {
            return "TextInputLayout.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " error=" + ((Object) this.I0) + " hint=" + ((Object) this.K0) + " helperText=" + ((Object) this.L0) + " placeholderText=" + ((Object) this.M0) + com.alipay.sdk.util.g.f6033d;
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(@NonNull Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            TextUtils.writeToParcel(this.I0, parcel, i);
            parcel.writeInt(this.J0 ? 1 : 0);
            TextUtils.writeToParcel(this.K0, parcel, i);
            TextUtils.writeToParcel(this.L0, parcel, i);
            TextUtils.writeToParcel(this.M0, parcel, i);
        }

        SavedState(@NonNull Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.I0 = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.J0 = parcel.readInt() != 1 ? false : true;
            this.K0 = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.L0 = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.M0 = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        }
    }

    /* access modifiers changed from: package-private */
    public class a implements TextWatcher {
        a() {
        }

        public void afterTextChanged(@NonNull Editable editable) {
            TextInputLayout textInputLayout = TextInputLayout.this;
            textInputLayout.L0(!textInputLayout.x2);
            TextInputLayout textInputLayout2 = TextInputLayout.this;
            if (textInputLayout2.Z0) {
                textInputLayout2.E0(editable.length());
            }
            if (TextInputLayout.this.g1) {
                TextInputLayout.this.P0(editable.length());
            }
        }

        public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }

        public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }
    }

    class b implements Runnable {
        b() {
        }

        public void run() {
            TextInputLayout.this.T1.performClick();
            TextInputLayout.this.T1.jumpDrawablesToCurrentState();
        }
    }

    class c implements Runnable {
        c() {
        }

        public void run() {
            TextInputLayout.this.W0.requestLayout();
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements ValueAnimator.AnimatorUpdateListener {
        d() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            TextInputLayout.this.s2.h0(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    public static class e extends AccessibilityDelegateCompat {

        /* renamed from: a  reason: collision with root package name */
        private final TextInputLayout f12029a;

        public e(@NonNull TextInputLayout textInputLayout) {
            this.f12029a = textInputLayout;
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(@NonNull View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            EditText editText = this.f12029a.getEditText();
            CharSequence text = editText != null ? editText.getText() : null;
            CharSequence hint = this.f12029a.getHint();
            CharSequence error = this.f12029a.getError();
            CharSequence placeholderText = this.f12029a.getPlaceholderText();
            int counterMaxLength = this.f12029a.getCounterMaxLength();
            CharSequence counterOverflowDescription = this.f12029a.getCounterOverflowDescription();
            boolean z = !TextUtils.isEmpty(text);
            boolean z2 = !TextUtils.isEmpty(hint);
            boolean z3 = !this.f12029a.X();
            boolean z4 = !TextUtils.isEmpty(error);
            boolean z5 = z4 || !TextUtils.isEmpty(counterOverflowDescription);
            String charSequence = z2 ? hint.toString() : "";
            if (z) {
                accessibilityNodeInfoCompat.setText(text);
            } else if (!TextUtils.isEmpty(charSequence)) {
                accessibilityNodeInfoCompat.setText(charSequence);
                if (z3 && placeholderText != null) {
                    accessibilityNodeInfoCompat.setText(charSequence + ", " + ((Object) placeholderText));
                }
            } else if (placeholderText != null) {
                accessibilityNodeInfoCompat.setText(placeholderText);
            }
            if (!TextUtils.isEmpty(charSequence)) {
                if (Build.VERSION.SDK_INT >= 26) {
                    accessibilityNodeInfoCompat.setHintText(charSequence);
                } else {
                    if (z) {
                        charSequence = ((Object) text) + ", " + charSequence;
                    }
                    accessibilityNodeInfoCompat.setText(charSequence);
                }
                accessibilityNodeInfoCompat.setShowingHintText(!z);
            }
            if (text == null || text.length() != counterMaxLength) {
                counterMaxLength = -1;
            }
            accessibilityNodeInfoCompat.setMaxTextLength(counterMaxLength);
            if (z5) {
                if (!z4) {
                    error = counterOverflowDescription;
                }
                accessibilityNodeInfoCompat.setError(error);
            }
            if (Build.VERSION.SDK_INT >= 17 && editText != null) {
                editText.setLabelFor(R.id.textinput_helper_text);
            }
        }
    }

    public interface f {
        void a(@NonNull TextInputLayout textInputLayout);
    }

    public interface g {
        void a(@NonNull TextInputLayout textInputLayout, int i);
    }

    public TextInputLayout(@NonNull Context context) {
        this(context, null);
    }

    private void A() {
        if (C()) {
            ((c) this.t1).R0();
        }
    }

    private void A0(boolean z) {
        if (!z || getEndIconDrawable() == null) {
            m();
            return;
        }
        Drawable mutate = androidx.core.graphics.drawable.c.r(getEndIconDrawable()).mutate();
        androidx.core.graphics.drawable.c.n(mutate, this.Y0.p());
        this.T1.setImageDrawable(mutate);
    }

    private void B(boolean z) {
        ValueAnimator valueAnimator = this.v2;
        if (valueAnimator != null && valueAnimator.isRunning()) {
            this.v2.cancel();
        }
        if (!z || !this.u2) {
            this.s2.h0(1.0f);
        } else {
            i(1.0f);
        }
        this.r2 = false;
        if (C()) {
            f0();
        }
        O0();
        R0();
        U0();
    }

    private void B0() {
        if (this.x1 != 1) {
            return;
        }
        if (com.google.android.material.i.c.h(getContext())) {
            this.y1 = getResources().getDimensionPixelSize(R.dimen.material_font_2_0_box_collapsed_padding_top);
        } else if (com.google.android.material.i.c.g(getContext())) {
            this.y1 = getResources().getDimensionPixelSize(R.dimen.material_font_1_3_box_collapsed_padding_top);
        }
    }

    private boolean C() {
        return this.q1 && !TextUtils.isEmpty(this.r1) && (this.t1 instanceof c);
    }

    private void C0(@NonNull Rect rect) {
        MaterialShapeDrawable materialShapeDrawable = this.u1;
        if (materialShapeDrawable != null) {
            int i = rect.bottom;
            materialShapeDrawable.setBounds(rect.left, i - this.B1, rect.right, i);
        }
    }

    private void D0() {
        if (this.c1 != null) {
            EditText editText = this.W0;
            E0(editText == null ? 0 : editText.getText().length());
        }
    }

    private void E() {
        Iterator<f> it = this.Q1.iterator();
        while (it.hasNext()) {
            it.next().a(this);
        }
    }

    private void F(int i) {
        Iterator<g> it = this.U1.iterator();
        while (it.hasNext()) {
            it.next().a(this, i);
        }
    }

    private static void F0(@NonNull Context context, @NonNull TextView textView, int i, int i3, boolean z) {
        textView.setContentDescription(context.getString(z ? R.string.character_counter_overflowed_content_description : R.string.character_counter_content_description, Integer.valueOf(i), Integer.valueOf(i3)));
    }

    private void G(Canvas canvas) {
        MaterialShapeDrawable materialShapeDrawable = this.u1;
        if (materialShapeDrawable != null) {
            Rect bounds = materialShapeDrawable.getBounds();
            bounds.top = bounds.bottom - this.z1;
            this.u1.draw(canvas);
        }
    }

    private void G0() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2;
        TextView textView = this.c1;
        if (textView != null) {
            v0(textView, this.b1 ? this.d1 : this.e1);
            if (!this.b1 && (colorStateList2 = this.k1) != null) {
                this.c1.setTextColor(colorStateList2);
            }
            if (this.b1 && (colorStateList = this.l1) != null) {
                this.c1.setTextColor(colorStateList);
            }
        }
    }

    private void H(@NonNull Canvas canvas) {
        if (this.q1) {
            this.s2.j(canvas);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x0069  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x00d3  */
    private boolean H0() {
        boolean z;
        if (this.W0 == null) {
            return false;
        }
        boolean z2 = true;
        if (x0()) {
            int measuredWidth = this.T0.getMeasuredWidth() - this.W0.getPaddingLeft();
            if (this.N1 == null || this.O1 != measuredWidth) {
                ColorDrawable colorDrawable = new ColorDrawable();
                this.N1 = colorDrawable;
                this.O1 = measuredWidth;
                colorDrawable.setBounds(0, 0, measuredWidth, 1);
            }
            Drawable[] h = TextViewCompat.h(this.W0);
            Drawable drawable = h[0];
            Drawable drawable2 = this.N1;
            if (drawable != drawable2) {
                TextViewCompat.w(this.W0, drawable2, h[1], h[2], h[3]);
            }
            z = false;
            if (w0()) {
                int measuredWidth2 = this.p1.getMeasuredWidth() - this.W0.getPaddingRight();
                CheckableImageButton endIconToUpdateDummyDrawable = getEndIconToUpdateDummyDrawable();
                if (endIconToUpdateDummyDrawable != null) {
                    measuredWidth2 = measuredWidth2 + endIconToUpdateDummyDrawable.getMeasuredWidth() + MarginLayoutParamsCompat.getMarginStart((ViewGroup.MarginLayoutParams) endIconToUpdateDummyDrawable.getLayoutParams());
                }
                Drawable[] h3 = TextViewCompat.h(this.W0);
                Drawable drawable3 = this.Z1;
                if (drawable3 == null || this.a2 == measuredWidth2) {
                    if (drawable3 == null) {
                        ColorDrawable colorDrawable2 = new ColorDrawable();
                        this.Z1 = colorDrawable2;
                        this.a2 = measuredWidth2;
                        colorDrawable2.setBounds(0, 0, measuredWidth2, 1);
                    }
                    Drawable drawable4 = h3[2];
                    Drawable drawable5 = this.Z1;
                    if (drawable4 != drawable5) {
                        this.b2 = h3[2];
                        TextViewCompat.w(this.W0, h3[0], h3[1], drawable5, h3[3]);
                    } else {
                        z2 = z;
                    }
                } else {
                    this.a2 = measuredWidth2;
                    drawable3.setBounds(0, 0, measuredWidth2, 1);
                    TextViewCompat.w(this.W0, h3[0], h3[1], this.Z1, h3[3]);
                }
            } else if (this.Z1 == null) {
                return z;
            } else {
                Drawable[] h4 = TextViewCompat.h(this.W0);
                if (h4[2] == this.Z1) {
                    TextViewCompat.w(this.W0, h4[0], h4[1], this.b2, h4[3]);
                } else {
                    z2 = z;
                }
                this.Z1 = null;
            }
            return z2;
        }
        if (this.N1 != null) {
            Drawable[] h5 = TextViewCompat.h(this.W0);
            TextViewCompat.w(this.W0, null, h5[1], h5[2], h5[3]);
            this.N1 = null;
        }
        z = false;
        if (w0()) {
        }
        return z2;
        z = true;
        if (w0()) {
        }
        return z2;
    }

    private void I(boolean z) {
        ValueAnimator valueAnimator = this.v2;
        if (valueAnimator != null && valueAnimator.isRunning()) {
            this.v2.cancel();
        }
        if (!z || !this.u2) {
            this.s2.h0(0.0f);
        } else {
            i(0.0f);
        }
        if (C() && ((c) this.t1).O0()) {
            A();
        }
        this.r2 = true;
        M();
        R0();
        U0();
    }

    private int J(int i, boolean z) {
        int compoundPaddingLeft = i + this.W0.getCompoundPaddingLeft();
        return (this.m1 == null || z) ? compoundPaddingLeft : (compoundPaddingLeft - this.n1.getMeasuredWidth()) + this.n1.getPaddingLeft();
    }

    private boolean J0() {
        int max;
        if (this.W0 == null || this.W0.getMeasuredHeight() >= (max = Math.max(this.U0.getMeasuredHeight(), this.T0.getMeasuredHeight()))) {
            return false;
        }
        this.W0.setMinimumHeight(max);
        return true;
    }

    private int K(int i, boolean z) {
        int compoundPaddingRight = i - this.W0.getCompoundPaddingRight();
        return (this.m1 == null || !z) ? compoundPaddingRight : compoundPaddingRight + (this.n1.getMeasuredWidth() - this.n1.getPaddingRight());
    }

    private void K0() {
        if (this.x1 != 1) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.S0.getLayoutParams();
            int v = v();
            if (v != layoutParams.topMargin) {
                layoutParams.topMargin = v;
                this.S0.requestLayout();
            }
        }
    }

    private boolean L() {
        return this.R1 != 0;
    }

    private void M() {
        TextView textView = this.h1;
        if (textView != null && this.g1) {
            textView.setText((CharSequence) null);
            this.h1.setVisibility(4);
        }
    }

    private void M0(boolean z, boolean z2) {
        ColorStateList colorStateList;
        TextView textView;
        boolean isEnabled = isEnabled();
        EditText editText = this.W0;
        boolean z3 = editText != null && !TextUtils.isEmpty(editText.getText());
        EditText editText2 = this.W0;
        boolean z4 = editText2 != null && editText2.hasFocus();
        boolean l = this.Y0.l();
        ColorStateList colorStateList2 = this.g2;
        if (colorStateList2 != null) {
            this.s2.T(colorStateList2);
            this.s2.c0(this.g2);
        }
        if (!isEnabled) {
            ColorStateList colorStateList3 = this.g2;
            int colorForState = colorStateList3 != null ? colorStateList3.getColorForState(new int[]{-16842910}, this.q2) : this.q2;
            this.s2.T(ColorStateList.valueOf(colorForState));
            this.s2.c0(ColorStateList.valueOf(colorForState));
        } else if (l) {
            this.s2.T(this.Y0.q());
        } else if (this.b1 && (textView = this.c1) != null) {
            this.s2.T(textView.getTextColors());
        } else if (z4 && (colorStateList = this.h2) != null) {
            this.s2.T(colorStateList);
        }
        if (z3 || !this.t2 || (isEnabled() && z4)) {
            if (z2 || this.r2) {
                B(z);
            }
        } else if (z2 || !this.r2) {
            I(z);
        }
    }

    private void N0() {
        EditText editText;
        if (this.h1 != null && (editText = this.W0) != null) {
            this.h1.setGravity(editText.getGravity());
            this.h1.setPadding(this.W0.getCompoundPaddingLeft(), this.W0.getCompoundPaddingTop(), this.W0.getCompoundPaddingRight(), this.W0.getCompoundPaddingBottom());
        }
    }

    private void O0() {
        EditText editText = this.W0;
        P0(editText == null ? 0 : editText.getText().length());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void P0(int i) {
        if (i != 0 || this.r2) {
            M();
        } else {
            z0();
        }
    }

    private void Q0() {
        if (this.W0 != null) {
            ViewCompat.setPaddingRelative(this.n1, c0() ? 0 : ViewCompat.getPaddingStart(this.W0), this.W0.getCompoundPaddingTop(), getContext().getResources().getDimensionPixelSize(R.dimen.material_input_text_to_prefix_suffix_padding), this.W0.getCompoundPaddingBottom());
        }
    }

    private boolean R() {
        return this.e2.getVisibility() == 0;
    }

    private void R0() {
        this.n1.setVisibility((this.m1 == null || X()) ? 8 : 0);
        H0();
    }

    private void S0(boolean z, boolean z2) {
        int defaultColor = this.l2.getDefaultColor();
        int colorForState = this.l2.getColorForState(new int[]{16843623, 16842910}, defaultColor);
        int colorForState2 = this.l2.getColorForState(new int[]{16843518, 16842910}, defaultColor);
        if (z) {
            this.C1 = colorForState2;
        } else if (z2) {
            this.C1 = colorForState;
        } else {
            this.C1 = defaultColor;
        }
    }

    private void T0() {
        if (this.W0 != null) {
            ViewCompat.setPaddingRelative(this.p1, getContext().getResources().getDimensionPixelSize(R.dimen.material_input_text_to_prefix_suffix_padding), this.W0.getPaddingTop(), (P() || R()) ? 0 : ViewCompat.getPaddingEnd(this.W0), this.W0.getPaddingBottom());
        }
    }

    private void U0() {
        int visibility = this.p1.getVisibility();
        int i = 0;
        boolean z = this.o1 != null && !X();
        TextView textView = this.p1;
        if (!z) {
            i = 8;
        }
        textView.setVisibility(i);
        if (visibility != this.p1.getVisibility()) {
            getEndIconDelegate().c(z);
        }
        H0();
    }

    private boolean a0() {
        if (this.x1 != 1 || (Build.VERSION.SDK_INT >= 16 && this.W0.getMinLines() > 1)) {
            return false;
        }
        return true;
    }

    private int[] d0(CheckableImageButton checkableImageButton) {
        int[] drawableState = getDrawableState();
        int[] drawableState2 = checkableImageButton.getDrawableState();
        int length = drawableState.length;
        int[] copyOf = Arrays.copyOf(drawableState, drawableState.length + drawableState2.length);
        System.arraycopy(drawableState2, 0, copyOf, length, drawableState2.length);
        return copyOf;
    }

    private void e0() {
        p();
        r0();
        V0();
        B0();
        h();
        if (this.x1 != 0) {
            K0();
        }
    }

    private void f0() {
        if (C()) {
            RectF rectF = this.G1;
            this.s2.m(rectF, this.W0.getWidth(), this.W0.getGravity());
            l(rectF);
            rectF.offset((float) (-getPaddingLeft()), (float) (-getPaddingTop()));
            ((c) this.t1).U0(rectF);
        }
    }

    private void g() {
        TextView textView = this.h1;
        if (textView != null) {
            this.S0.addView(textView);
            this.h1.setVisibility(0);
        }
    }

    private e getEndIconDelegate() {
        e eVar = this.S1.get(this.R1);
        return eVar != null ? eVar : this.S1.get(0);
    }

    @Nullable
    private CheckableImageButton getEndIconToUpdateDummyDrawable() {
        if (this.e2.getVisibility() == 0) {
            return this.e2;
        }
        if (!L() || !P()) {
            return null;
        }
        return this.T1;
    }

    private void h() {
        if (this.W0 != null && this.x1 == 1) {
            if (com.google.android.material.i.c.h(getContext())) {
                EditText editText = this.W0;
                ViewCompat.setPaddingRelative(editText, ViewCompat.getPaddingStart(editText), getResources().getDimensionPixelSize(R.dimen.material_filled_edittext_font_2_0_padding_top), ViewCompat.getPaddingEnd(this.W0), getResources().getDimensionPixelSize(R.dimen.material_filled_edittext_font_2_0_padding_bottom));
            } else if (com.google.android.material.i.c.g(getContext())) {
                EditText editText2 = this.W0;
                ViewCompat.setPaddingRelative(editText2, ViewCompat.getPaddingStart(editText2), getResources().getDimensionPixelSize(R.dimen.material_filled_edittext_font_1_3_padding_top), ViewCompat.getPaddingEnd(this.W0), getResources().getDimensionPixelSize(R.dimen.material_filled_edittext_font_1_3_padding_bottom));
            }
        }
    }

    private static void h0(@NonNull ViewGroup viewGroup, boolean z) {
        int childCount = viewGroup.getChildCount();
        for (int i = 0; i < childCount; i++) {
            View childAt = viewGroup.getChildAt(i);
            childAt.setEnabled(z);
            if (childAt instanceof ViewGroup) {
                h0((ViewGroup) childAt, z);
            }
        }
    }

    private void j() {
        MaterialShapeDrawable materialShapeDrawable = this.t1;
        if (materialShapeDrawable != null) {
            materialShapeDrawable.setShapeAppearanceModel(this.v1);
            if (w()) {
                this.t1.C0((float) this.z1, this.C1);
            }
            int q = q();
            this.D1 = q;
            this.t1.n0(ColorStateList.valueOf(q));
            if (this.R1 == 3) {
                this.W0.getBackground().invalidateSelf();
            }
            k();
            invalidate();
        }
    }

    private void k() {
        if (this.u1 != null) {
            if (x()) {
                this.u1.n0(ColorStateList.valueOf(this.C1));
            }
            invalidate();
        }
    }

    private void k0(CheckableImageButton checkableImageButton, ColorStateList colorStateList) {
        Drawable drawable = checkableImageButton.getDrawable();
        if (checkableImageButton.getDrawable() != null && colorStateList != null && colorStateList.isStateful()) {
            int colorForState = colorStateList.getColorForState(d0(checkableImageButton), colorStateList.getDefaultColor());
            Drawable mutate = androidx.core.graphics.drawable.c.r(drawable).mutate();
            androidx.core.graphics.drawable.c.o(mutate, ColorStateList.valueOf(colorForState));
            checkableImageButton.setImageDrawable(mutate);
        }
    }

    private void l(@NonNull RectF rectF) {
        float f3 = rectF.left;
        int i = this.w1;
        rectF.left = f3 - ((float) i);
        rectF.top -= (float) i;
        rectF.right += (float) i;
        rectF.bottom += (float) i;
    }

    private void m() {
        n(this.T1, this.W1, this.V1, this.Y1, this.X1);
    }

    private void n(@NonNull CheckableImageButton checkableImageButton, boolean z, ColorStateList colorStateList, boolean z2, PorterDuff.Mode mode) {
        Drawable drawable = checkableImageButton.getDrawable();
        if (drawable != null && (z || z2)) {
            drawable = androidx.core.graphics.drawable.c.r(drawable).mutate();
            if (z) {
                androidx.core.graphics.drawable.c.o(drawable, colorStateList);
            }
            if (z2) {
                androidx.core.graphics.drawable.c.p(drawable, mode);
            }
        }
        if (checkableImageButton.getDrawable() != drawable) {
            checkableImageButton.setImageDrawable(drawable);
        }
    }

    private void o() {
        n(this.I1, this.K1, this.J1, this.M1, this.L1);
    }

    private void o0() {
        TextView textView = this.h1;
        if (textView != null) {
            textView.setVisibility(8);
        }
    }

    private void p() {
        int i = this.x1;
        if (i == 0) {
            this.t1 = null;
            this.u1 = null;
        } else if (i == 1) {
            this.t1 = new MaterialShapeDrawable(this.v1);
            this.u1 = new MaterialShapeDrawable();
        } else if (i == 2) {
            if (!this.q1 || (this.t1 instanceof c)) {
                this.t1 = new MaterialShapeDrawable(this.v1);
            } else {
                this.t1 = new c(this.v1);
            }
            this.u1 = null;
        } else {
            throw new IllegalArgumentException(this.x1 + " is illegal; only @BoxBackgroundMode constants are supported.");
        }
    }

    private int q() {
        return this.x1 == 1 ? com.google.android.material.c.a.f(com.google.android.material.c.a.e(this, R.attr.colorSurface, 0), this.D1) : this.D1;
    }

    @NonNull
    private Rect r(@NonNull Rect rect) {
        if (this.W0 != null) {
            Rect rect2 = this.F1;
            boolean z = ViewCompat.getLayoutDirection(this) == 1;
            rect2.bottom = rect.bottom;
            int i = this.x1;
            if (i == 1) {
                rect2.left = J(rect.left, z);
                rect2.top = rect.top + this.y1;
                rect2.right = K(rect.right, z);
                return rect2;
            } else if (i != 2) {
                rect2.left = J(rect.left, z);
                rect2.top = getPaddingTop();
                rect2.right = K(rect.right, z);
                return rect2;
            } else {
                rect2.left = rect.left + this.W0.getPaddingLeft();
                rect2.top = rect.top - v();
                rect2.right = rect.right - this.W0.getPaddingRight();
                return rect2;
            }
        } else {
            throw new IllegalStateException();
        }
    }

    private void r0() {
        if (y0()) {
            ViewCompat.setBackground(this.W0, this.t1);
        }
    }

    private int s(@NonNull Rect rect, @NonNull Rect rect2, float f3) {
        if (a0()) {
            return (int) (((float) rect2.top) + f3);
        }
        return rect.bottom - this.W0.getCompoundPaddingBottom();
    }

    private static void s0(@NonNull CheckableImageButton checkableImageButton, @Nullable View.OnLongClickListener onLongClickListener) {
        boolean hasOnClickListeners = ViewCompat.hasOnClickListeners(checkableImageButton);
        boolean z = false;
        int i = 1;
        boolean z2 = onLongClickListener != null;
        if (hasOnClickListeners || z2) {
            z = true;
        }
        checkableImageButton.setFocusable(z);
        checkableImageButton.setClickable(hasOnClickListeners);
        checkableImageButton.setPressable(hasOnClickListeners);
        checkableImageButton.setLongClickable(z2);
        if (!z) {
            i = 2;
        }
        ViewCompat.setImportantForAccessibility(checkableImageButton, i);
    }

    private void setEditText(EditText editText) {
        if (this.W0 == null) {
            if (this.R1 != 3 && !(editText instanceof TextInputEditText)) {
                Log.i(J0, "EditText added is not a TextInputEditText. Please switch to using that class instead.");
            }
            this.W0 = editText;
            e0();
            setTextInputAccessibilityDelegate(new e(this));
            this.s2.o0(this.W0.getTypeface());
            this.s2.e0(this.W0.getTextSize());
            int gravity = this.W0.getGravity();
            this.s2.U((gravity & -113) | 48);
            this.s2.d0(gravity);
            this.W0.addTextChangedListener(new a());
            if (this.g2 == null) {
                this.g2 = this.W0.getHintTextColors();
            }
            if (this.q1) {
                if (TextUtils.isEmpty(this.r1)) {
                    CharSequence hint = this.W0.getHint();
                    this.X0 = hint;
                    setHint(hint);
                    this.W0.setHint((CharSequence) null);
                }
                this.s1 = true;
            }
            if (this.c1 != null) {
                E0(this.W0.getText().length());
            }
            I0();
            this.Y0.e();
            this.T0.bringToFront();
            this.U0.bringToFront();
            this.V0.bringToFront();
            this.e2.bringToFront();
            E();
            Q0();
            T0();
            if (!isEnabled()) {
                editText.setEnabled(false);
            }
            M0(false, true);
            return;
        }
        throw new IllegalArgumentException("We already have an EditText, can only have one");
    }

    private void setErrorIconVisible(boolean z) {
        int i = 0;
        this.e2.setVisibility(z ? 0 : 8);
        FrameLayout frameLayout = this.V0;
        if (z) {
            i = 8;
        }
        frameLayout.setVisibility(i);
        T0();
        if (!L()) {
            H0();
        }
    }

    private void setHintInternal(CharSequence charSequence) {
        if (!TextUtils.equals(charSequence, this.r1)) {
            this.r1 = charSequence;
            this.s2.m0(charSequence);
            if (!this.r2) {
                f0();
            }
        }
    }

    private void setPlaceholderTextEnabled(boolean z) {
        if (this.g1 != z) {
            if (z) {
                AppCompatTextView appCompatTextView = new AppCompatTextView(getContext());
                this.h1 = appCompatTextView;
                appCompatTextView.setId(R.id.textinput_placeholder);
                ViewCompat.setAccessibilityLiveRegion(this.h1, 1);
                setPlaceholderTextAppearance(this.j1);
                setPlaceholderTextColor(this.i1);
                g();
            } else {
                o0();
                this.h1 = null;
            }
            this.g1 = z;
        }
    }

    private int t(@NonNull Rect rect, float f3) {
        if (a0()) {
            return (int) (((float) rect.centerY()) - (f3 / 2.0f));
        }
        return rect.top + this.W0.getCompoundPaddingTop();
    }

    private static void t0(@NonNull CheckableImageButton checkableImageButton, @Nullable View.OnClickListener onClickListener, @Nullable View.OnLongClickListener onLongClickListener) {
        checkableImageButton.setOnClickListener(onClickListener);
        s0(checkableImageButton, onLongClickListener);
    }

    @NonNull
    private Rect u(@NonNull Rect rect) {
        if (this.W0 != null) {
            Rect rect2 = this.F1;
            float z = this.s2.z();
            rect2.left = rect.left + this.W0.getCompoundPaddingLeft();
            rect2.top = t(rect, z);
            rect2.right = rect.right - this.W0.getCompoundPaddingRight();
            rect2.bottom = s(rect, rect2, z);
            return rect2;
        }
        throw new IllegalStateException();
    }

    private static void u0(@NonNull CheckableImageButton checkableImageButton, @Nullable View.OnLongClickListener onLongClickListener) {
        checkableImageButton.setOnLongClickListener(onLongClickListener);
        s0(checkableImageButton, onLongClickListener);
    }

    private int v() {
        float p;
        if (!this.q1) {
            return 0;
        }
        int i = this.x1;
        if (i == 0 || i == 1) {
            p = this.s2.p();
        } else if (i != 2) {
            return 0;
        } else {
            p = this.s2.p() / 2.0f;
        }
        return (int) p;
    }

    private boolean w() {
        return this.x1 == 2 && x();
    }

    private boolean w0() {
        return (this.e2.getVisibility() == 0 || ((L() && P()) || this.o1 != null)) && this.U0.getMeasuredWidth() > 0;
    }

    private boolean x() {
        return this.z1 > -1 && this.C1 != 0;
    }

    private boolean x0() {
        return !(getStartIconDrawable() == null && this.m1 == null) && this.T0.getMeasuredWidth() > 0;
    }

    private boolean y0() {
        EditText editText = this.W0;
        return (editText == null || this.t1 == null || editText.getBackground() != null || this.x1 == 0) ? false : true;
    }

    private void z0() {
        TextView textView = this.h1;
        if (textView != null && this.g1) {
            textView.setText(this.f1);
            this.h1.setVisibility(0);
            this.h1.bringToFront();
        }
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public boolean D() {
        return C() && ((c) this.t1).O0();
    }

    /* access modifiers changed from: package-private */
    public void E0(int i) {
        boolean z = this.b1;
        int i3 = this.a1;
        if (i3 == -1) {
            this.c1.setText(String.valueOf(i));
            this.c1.setContentDescription(null);
            this.b1 = false;
        } else {
            this.b1 = i > i3;
            F0(getContext(), this.c1, i, this.a1, this.b1);
            if (z != this.b1) {
                G0();
            }
            this.c1.setText(androidx.core.h.a.c().q(getContext().getString(R.string.character_counter_pattern, Integer.valueOf(i), Integer.valueOf(this.a1))));
        }
        if (this.W0 != null && z != this.b1) {
            L0(false);
            V0();
            I0();
        }
    }

    /* access modifiers changed from: package-private */
    public void I0() {
        Drawable background;
        TextView textView;
        EditText editText = this.W0;
        if (editText != null && this.x1 == 0 && (background = editText.getBackground()) != null) {
            if (p.a(background)) {
                background = background.mutate();
            }
            if (this.Y0.l()) {
                background.setColorFilter(androidx.appcompat.widget.f.e(this.Y0.p(), PorterDuff.Mode.SRC_IN));
            } else if (!this.b1 || (textView = this.c1) == null) {
                androidx.core.graphics.drawable.c.c(background);
                this.W0.refreshDrawableState();
            } else {
                background.setColorFilter(androidx.appcompat.widget.f.e(textView.getCurrentTextColor(), PorterDuff.Mode.SRC_IN));
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void L0(boolean z) {
        M0(z, false);
    }

    public boolean N() {
        return this.Z0;
    }

    public boolean O() {
        return this.T1.a();
    }

    public boolean P() {
        return this.V0.getVisibility() == 0 && this.T1.getVisibility() == 0;
    }

    public boolean Q() {
        return this.Y0.C();
    }

    public boolean S() {
        return this.t2;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public final boolean T() {
        return this.Y0.v();
    }

    public boolean U() {
        return this.Y0.D();
    }

    public boolean V() {
        return this.u2;
    }

    /* access modifiers changed from: package-private */
    public void V0() {
        TextView textView;
        EditText editText;
        EditText editText2;
        if (this.t1 != null && this.x1 != 0) {
            boolean z = false;
            boolean z2 = isFocused() || ((editText2 = this.W0) != null && editText2.hasFocus());
            boolean z3 = isHovered() || ((editText = this.W0) != null && editText.isHovered());
            if (!isEnabled()) {
                this.C1 = this.q2;
            } else if (this.Y0.l()) {
                if (this.l2 != null) {
                    S0(z2, z3);
                } else {
                    this.C1 = this.Y0.p();
                }
            } else if (!this.b1 || (textView = this.c1) == null) {
                if (z2) {
                    this.C1 = this.k2;
                } else if (z3) {
                    this.C1 = this.j2;
                } else {
                    this.C1 = this.i2;
                }
            } else if (this.l2 != null) {
                S0(z2, z3);
            } else {
                this.C1 = textView.getCurrentTextColor();
            }
            if (getErrorIconDrawable() != null && this.Y0.C() && this.Y0.l()) {
                z = true;
            }
            setErrorIconVisible(z);
            j0();
            l0();
            i0();
            if (getEndIconDelegate().d()) {
                A0(this.Y0.l());
            }
            if (!z2 || !isEnabled()) {
                this.z1 = this.A1;
            } else {
                this.z1 = this.B1;
            }
            if (this.x1 == 1) {
                if (!isEnabled()) {
                    this.D1 = this.n2;
                } else if (z3 && !z2) {
                    this.D1 = this.p2;
                } else if (z2) {
                    this.D1 = this.o2;
                } else {
                    this.D1 = this.m2;
                }
            }
            j();
        }
    }

    public boolean W() {
        return this.q1;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public final boolean X() {
        return this.r2;
    }

    @Deprecated
    public boolean Y() {
        return this.R1 == 1;
    }

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public boolean Z() {
        return this.s1;
    }

    @Override // android.view.ViewGroup
    public void addView(@NonNull View view, int i, @NonNull ViewGroup.LayoutParams layoutParams) {
        if (view instanceof EditText) {
            FrameLayout.LayoutParams layoutParams2 = new FrameLayout.LayoutParams(layoutParams);
            layoutParams2.gravity = (layoutParams2.gravity & -113) | 16;
            this.S0.addView(view, layoutParams2);
            this.S0.setLayoutParams(layoutParams);
            K0();
            setEditText((EditText) view);
            return;
        }
        super.addView(view, i, layoutParams);
    }

    public boolean b0() {
        return this.I1.a();
    }

    public boolean c0() {
        return this.I1.getVisibility() == 0;
    }

    @TargetApi(26)
    public void dispatchProvideAutofillStructure(@NonNull ViewStructure viewStructure, int i) {
        EditText editText = this.W0;
        if (editText == null) {
            super.dispatchProvideAutofillStructure(viewStructure, i);
            return;
        }
        if (this.X0 != null) {
            boolean z = this.s1;
            this.s1 = false;
            CharSequence hint = editText.getHint();
            this.W0.setHint(this.X0);
            try {
                super.dispatchProvideAutofillStructure(viewStructure, i);
            } finally {
                this.W0.setHint(hint);
                this.s1 = z;
            }
        } else {
            viewStructure.setAutofillId(getAutofillId());
            onProvideAutofillStructure(viewStructure, i);
            onProvideAutofillVirtualStructure(viewStructure, i);
            viewStructure.setChildCount(this.S0.getChildCount());
            for (int i3 = 0; i3 < this.S0.getChildCount(); i3++) {
                View childAt = this.S0.getChildAt(i3);
                ViewStructure newChild = viewStructure.newChild(i3);
                childAt.dispatchProvideAutofillStructure(newChild, i);
                if (childAt == this.W0) {
                    newChild.setHint(getHint());
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // android.view.View, android.view.ViewGroup
    public void dispatchRestoreInstanceState(@NonNull SparseArray<Parcelable> sparseArray) {
        this.x2 = true;
        super.dispatchRestoreInstanceState(sparseArray);
        this.x2 = false;
    }

    public void draw(@NonNull Canvas canvas) {
        super.draw(canvas);
        H(canvas);
        G(canvas);
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        if (!this.w2) {
            boolean z = true;
            this.w2 = true;
            super.drawableStateChanged();
            int[] drawableState = getDrawableState();
            com.google.android.material.internal.a aVar = this.s2;
            boolean l0 = aVar != null ? aVar.l0(drawableState) | false : false;
            if (this.W0 != null) {
                if (!ViewCompat.isLaidOut(this) || !isEnabled()) {
                    z = false;
                }
                L0(z);
            }
            I0();
            V0();
            if (l0) {
                invalidate();
            }
            this.w2 = false;
        }
    }

    public void e(@NonNull f fVar) {
        this.Q1.add(fVar);
        if (this.W0 != null) {
            fVar.a(this);
        }
    }

    public void f(@NonNull g gVar) {
        this.U1.add(gVar);
    }

    @Deprecated
    public void g0(boolean z) {
        if (this.R1 == 1) {
            this.T1.performClick();
            if (z) {
                this.T1.jumpDrawablesToCurrentState();
            }
        }
    }

    public int getBaseline() {
        EditText editText = this.W0;
        if (editText != null) {
            return editText.getBaseline() + getPaddingTop() + v();
        }
        return super.getBaseline();
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public MaterialShapeDrawable getBoxBackground() {
        int i = this.x1;
        if (i == 1 || i == 2) {
            return this.t1;
        }
        throw new IllegalStateException();
    }

    public int getBoxBackgroundColor() {
        return this.D1;
    }

    public int getBoxBackgroundMode() {
        return this.x1;
    }

    public float getBoxCornerRadiusBottomEnd() {
        return this.t1.t();
    }

    public float getBoxCornerRadiusBottomStart() {
        return this.t1.u();
    }

    public float getBoxCornerRadiusTopEnd() {
        return this.t1.S();
    }

    public float getBoxCornerRadiusTopStart() {
        return this.t1.R();
    }

    public int getBoxStrokeColor() {
        return this.k2;
    }

    @Nullable
    public ColorStateList getBoxStrokeErrorColor() {
        return this.l2;
    }

    public int getBoxStrokeWidth() {
        return this.A1;
    }

    public int getBoxStrokeWidthFocused() {
        return this.B1;
    }

    public int getCounterMaxLength() {
        return this.a1;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public CharSequence getCounterOverflowDescription() {
        TextView textView;
        if (!this.Z0 || !this.b1 || (textView = this.c1) == null) {
            return null;
        }
        return textView.getContentDescription();
    }

    @Nullable
    public ColorStateList getCounterOverflowTextColor() {
        return this.k1;
    }

    @Nullable
    public ColorStateList getCounterTextColor() {
        return this.k1;
    }

    @Nullable
    public ColorStateList getDefaultHintTextColor() {
        return this.g2;
    }

    @Nullable
    public EditText getEditText() {
        return this.W0;
    }

    @Nullable
    public CharSequence getEndIconContentDescription() {
        return this.T1.getContentDescription();
    }

    @Nullable
    public Drawable getEndIconDrawable() {
        return this.T1.getDrawable();
    }

    public int getEndIconMode() {
        return this.R1;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public CheckableImageButton getEndIconView() {
        return this.T1;
    }

    @Nullable
    public CharSequence getError() {
        if (this.Y0.C()) {
            return this.Y0.o();
        }
        return null;
    }

    @Nullable
    public CharSequence getErrorContentDescription() {
        return this.Y0.n();
    }

    @ColorInt
    public int getErrorCurrentTextColors() {
        return this.Y0.p();
    }

    @Nullable
    public Drawable getErrorIconDrawable() {
        return this.e2.getDrawable();
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public final int getErrorTextCurrentColor() {
        return this.Y0.p();
    }

    @Nullable
    public CharSequence getHelperText() {
        if (this.Y0.D()) {
            return this.Y0.r();
        }
        return null;
    }

    @ColorInt
    public int getHelperTextCurrentTextColor() {
        return this.Y0.t();
    }

    @Nullable
    public CharSequence getHint() {
        if (this.q1) {
            return this.r1;
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public final float getHintCollapsedTextHeight() {
        return this.s2.p();
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public final int getHintCurrentCollapsedTextColor() {
        return this.s2.u();
    }

    @Nullable
    public ColorStateList getHintTextColor() {
        return this.h2;
    }

    @Nullable
    @Deprecated
    public CharSequence getPasswordVisibilityToggleContentDescription() {
        return this.T1.getContentDescription();
    }

    @Nullable
    @Deprecated
    public Drawable getPasswordVisibilityToggleDrawable() {
        return this.T1.getDrawable();
    }

    @Nullable
    public CharSequence getPlaceholderText() {
        if (this.g1) {
            return this.f1;
        }
        return null;
    }

    @StyleRes
    public int getPlaceholderTextAppearance() {
        return this.j1;
    }

    @Nullable
    public ColorStateList getPlaceholderTextColor() {
        return this.i1;
    }

    @Nullable
    public CharSequence getPrefixText() {
        return this.m1;
    }

    @Nullable
    public ColorStateList getPrefixTextColor() {
        return this.n1.getTextColors();
    }

    @NonNull
    public TextView getPrefixTextView() {
        return this.n1;
    }

    @Nullable
    public CharSequence getStartIconContentDescription() {
        return this.I1.getContentDescription();
    }

    @Nullable
    public Drawable getStartIconDrawable() {
        return this.I1.getDrawable();
    }

    @Nullable
    public CharSequence getSuffixText() {
        return this.o1;
    }

    @Nullable
    public ColorStateList getSuffixTextColor() {
        return this.p1.getTextColors();
    }

    @NonNull
    public TextView getSuffixTextView() {
        return this.p1;
    }

    @Nullable
    public Typeface getTypeface() {
        return this.H1;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void i(float f3) {
        if (this.s2.C() != f3) {
            if (this.v2 == null) {
                ValueAnimator valueAnimator = new ValueAnimator();
                this.v2 = valueAnimator;
                valueAnimator.setInterpolator(com.google.android.material.a.a.f11327b);
                this.v2.setDuration(167L);
                this.v2.addUpdateListener(new d());
            }
            this.v2.setFloatValues(this.s2.C(), f3);
            this.v2.start();
        }
    }

    public void i0() {
        k0(this.T1, this.V1);
    }

    public void j0() {
        k0(this.e2, this.f2);
    }

    public void l0() {
        k0(this.I1, this.J1);
    }

    public void m0(@NonNull f fVar) {
        this.Q1.remove(fVar);
    }

    public void n0(@NonNull g gVar) {
        this.U1.remove(gVar);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i3, int i4, int i5) {
        super.onLayout(z, i, i3, i4, i5);
        EditText editText = this.W0;
        if (editText != null) {
            Rect rect = this.E1;
            com.google.android.material.internal.c.a(this, editText, rect);
            C0(rect);
            if (this.q1) {
                this.s2.e0(this.W0.getTextSize());
                int gravity = this.W0.getGravity();
                this.s2.U((gravity & -113) | 48);
                this.s2.d0(gravity);
                this.s2.Q(r(rect));
                this.s2.Z(u(rect));
                this.s2.N();
                if (C() && !this.r2) {
                    f0();
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i3) {
        super.onMeasure(i, i3);
        boolean J02 = J0();
        boolean H0 = H0();
        if (J02 || H0) {
            this.W0.post(new c());
        }
        N0();
        Q0();
        T0();
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(@Nullable Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.a());
        setError(savedState.I0);
        if (savedState.J0) {
            this.T1.post(new b());
        }
        setHint(savedState.K0);
        setHelperText(savedState.L0);
        setPlaceholderText(savedState.M0);
        requestLayout();
    }

    @Nullable
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        if (this.Y0.l()) {
            savedState.I0 = getError();
        }
        savedState.J0 = L() && this.T1.isChecked();
        savedState.K0 = getHint();
        savedState.L0 = getHelperText();
        savedState.M0 = getPlaceholderText();
        return savedState;
    }

    public void p0(float f3, float f4, float f5, float f6) {
        MaterialShapeDrawable materialShapeDrawable = this.t1;
        if (materialShapeDrawable == null || materialShapeDrawable.R() != f3 || this.t1.S() != f4 || this.t1.u() != f6 || this.t1.t() != f5) {
            this.v1 = this.v1.v().K(f3).P(f4).C(f6).x(f5).m();
            j();
        }
    }

    public void q0(@DimenRes int i, @DimenRes int i3, @DimenRes int i4, @DimenRes int i5) {
        p0(getContext().getResources().getDimension(i), getContext().getResources().getDimension(i3), getContext().getResources().getDimension(i5), getContext().getResources().getDimension(i4));
    }

    public void setBoxBackgroundColor(@ColorInt int i) {
        if (this.D1 != i) {
            this.D1 = i;
            this.m2 = i;
            this.o2 = i;
            this.p2 = i;
            j();
        }
    }

    public void setBoxBackgroundColorResource(@ColorRes int i) {
        setBoxBackgroundColor(androidx.core.content.d.f(getContext(), i));
    }

    public void setBoxBackgroundColorStateList(@NonNull ColorStateList colorStateList) {
        int defaultColor = colorStateList.getDefaultColor();
        this.m2 = defaultColor;
        this.D1 = defaultColor;
        this.n2 = colorStateList.getColorForState(new int[]{-16842910}, -1);
        this.o2 = colorStateList.getColorForState(new int[]{16842908, 16842910}, -1);
        this.p2 = colorStateList.getColorForState(new int[]{16843623, 16842910}, -1);
        j();
    }

    public void setBoxBackgroundMode(int i) {
        if (i != this.x1) {
            this.x1 = i;
            if (this.W0 != null) {
                e0();
            }
        }
    }

    public void setBoxStrokeColor(@ColorInt int i) {
        if (this.k2 != i) {
            this.k2 = i;
            V0();
        }
    }

    public void setBoxStrokeColorStateList(@NonNull ColorStateList colorStateList) {
        if (colorStateList.isStateful()) {
            this.i2 = colorStateList.getDefaultColor();
            this.q2 = colorStateList.getColorForState(new int[]{-16842910}, -1);
            this.j2 = colorStateList.getColorForState(new int[]{16843623, 16842910}, -1);
            this.k2 = colorStateList.getColorForState(new int[]{16842908, 16842910}, -1);
        } else if (this.k2 != colorStateList.getDefaultColor()) {
            this.k2 = colorStateList.getDefaultColor();
        }
        V0();
    }

    public void setBoxStrokeErrorColor(@Nullable ColorStateList colorStateList) {
        if (this.l2 != colorStateList) {
            this.l2 = colorStateList;
            V0();
        }
    }

    public void setBoxStrokeWidth(int i) {
        this.A1 = i;
        V0();
    }

    public void setBoxStrokeWidthFocused(int i) {
        this.B1 = i;
        V0();
    }

    public void setBoxStrokeWidthFocusedResource(@DimenRes int i) {
        setBoxStrokeWidthFocused(getResources().getDimensionPixelSize(i));
    }

    public void setBoxStrokeWidthResource(@DimenRes int i) {
        setBoxStrokeWidth(getResources().getDimensionPixelSize(i));
    }

    public void setCounterEnabled(boolean z) {
        if (this.Z0 != z) {
            if (z) {
                AppCompatTextView appCompatTextView = new AppCompatTextView(getContext());
                this.c1 = appCompatTextView;
                appCompatTextView.setId(R.id.textinput_counter);
                Typeface typeface = this.H1;
                if (typeface != null) {
                    this.c1.setTypeface(typeface);
                }
                this.c1.setMaxLines(1);
                this.Y0.d(this.c1, 2);
                MarginLayoutParamsCompat.setMarginStart((ViewGroup.MarginLayoutParams) this.c1.getLayoutParams(), getResources().getDimensionPixelOffset(R.dimen.mtrl_textinput_counter_margin_start));
                G0();
                D0();
            } else {
                this.Y0.E(this.c1, 2);
                this.c1 = null;
            }
            this.Z0 = z;
        }
    }

    public void setCounterMaxLength(int i) {
        if (this.a1 != i) {
            if (i > 0) {
                this.a1 = i;
            } else {
                this.a1 = -1;
            }
            if (this.Z0) {
                D0();
            }
        }
    }

    public void setCounterOverflowTextAppearance(int i) {
        if (this.d1 != i) {
            this.d1 = i;
            G0();
        }
    }

    public void setCounterOverflowTextColor(@Nullable ColorStateList colorStateList) {
        if (this.l1 != colorStateList) {
            this.l1 = colorStateList;
            G0();
        }
    }

    public void setCounterTextAppearance(int i) {
        if (this.e1 != i) {
            this.e1 = i;
            G0();
        }
    }

    public void setCounterTextColor(@Nullable ColorStateList colorStateList) {
        if (this.k1 != colorStateList) {
            this.k1 = colorStateList;
            G0();
        }
    }

    public void setDefaultHintTextColor(@Nullable ColorStateList colorStateList) {
        this.g2 = colorStateList;
        this.h2 = colorStateList;
        if (this.W0 != null) {
            L0(false);
        }
    }

    public void setEnabled(boolean z) {
        h0(this, z);
        super.setEnabled(z);
    }

    public void setEndIconActivated(boolean z) {
        this.T1.setActivated(z);
    }

    public void setEndIconCheckable(boolean z) {
        this.T1.setCheckable(z);
    }

    public void setEndIconContentDescription(@StringRes int i) {
        setEndIconContentDescription(i != 0 ? getResources().getText(i) : null);
    }

    public void setEndIconDrawable(@DrawableRes int i) {
        setEndIconDrawable(i != 0 ? androidx.appcompat.a.a.a.d(getContext(), i) : null);
    }

    public void setEndIconMode(int i) {
        int i3 = this.R1;
        this.R1 = i;
        F(i3);
        setEndIconVisible(i != 0);
        if (getEndIconDelegate().b(this.x1)) {
            getEndIconDelegate().a();
            m();
            return;
        }
        throw new IllegalStateException("The current box background mode " + this.x1 + " is not supported by the end icon mode " + i);
    }

    public void setEndIconOnClickListener(@Nullable View.OnClickListener onClickListener) {
        t0(this.T1, onClickListener, this.c2);
    }

    public void setEndIconOnLongClickListener(@Nullable View.OnLongClickListener onLongClickListener) {
        this.c2 = onLongClickListener;
        u0(this.T1, onLongClickListener);
    }

    public void setEndIconTintList(@Nullable ColorStateList colorStateList) {
        if (this.V1 != colorStateList) {
            this.V1 = colorStateList;
            this.W1 = true;
            m();
        }
    }

    public void setEndIconTintMode(@Nullable PorterDuff.Mode mode) {
        if (this.X1 != mode) {
            this.X1 = mode;
            this.Y1 = true;
            m();
        }
    }

    public void setEndIconVisible(boolean z) {
        if (P() != z) {
            this.T1.setVisibility(z ? 0 : 8);
            T0();
            H0();
        }
    }

    public void setError(@Nullable CharSequence charSequence) {
        if (!this.Y0.C()) {
            if (!TextUtils.isEmpty(charSequence)) {
                setErrorEnabled(true);
            } else {
                return;
            }
        }
        if (!TextUtils.isEmpty(charSequence)) {
            this.Y0.R(charSequence);
        } else {
            this.Y0.x();
        }
    }

    public void setErrorContentDescription(@Nullable CharSequence charSequence) {
        this.Y0.G(charSequence);
    }

    public void setErrorEnabled(boolean z) {
        this.Y0.H(z);
    }

    public void setErrorIconDrawable(@DrawableRes int i) {
        setErrorIconDrawable(i != 0 ? androidx.appcompat.a.a.a.d(getContext(), i) : null);
        j0();
    }

    public void setErrorIconOnClickListener(@Nullable View.OnClickListener onClickListener) {
        t0(this.e2, onClickListener, this.d2);
    }

    public void setErrorIconOnLongClickListener(@Nullable View.OnLongClickListener onLongClickListener) {
        this.d2 = onLongClickListener;
        u0(this.e2, onLongClickListener);
    }

    public void setErrorIconTintList(@Nullable ColorStateList colorStateList) {
        this.f2 = colorStateList;
        Drawable drawable = this.e2.getDrawable();
        if (drawable != null) {
            drawable = androidx.core.graphics.drawable.c.r(drawable).mutate();
            androidx.core.graphics.drawable.c.o(drawable, colorStateList);
        }
        if (this.e2.getDrawable() != drawable) {
            this.e2.setImageDrawable(drawable);
        }
    }

    public void setErrorIconTintMode(@Nullable PorterDuff.Mode mode) {
        Drawable drawable = this.e2.getDrawable();
        if (drawable != null) {
            drawable = androidx.core.graphics.drawable.c.r(drawable).mutate();
            androidx.core.graphics.drawable.c.p(drawable, mode);
        }
        if (this.e2.getDrawable() != drawable) {
            this.e2.setImageDrawable(drawable);
        }
    }

    public void setErrorTextAppearance(@StyleRes int i) {
        this.Y0.I(i);
    }

    public void setErrorTextColor(@Nullable ColorStateList colorStateList) {
        this.Y0.J(colorStateList);
    }

    public void setExpandedHintEnabled(boolean z) {
        if (this.t2 != z) {
            this.t2 = z;
            L0(false);
        }
    }

    public void setHelperText(@Nullable CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (!U()) {
                setHelperTextEnabled(true);
            }
            this.Y0.S(charSequence);
        } else if (U()) {
            setHelperTextEnabled(false);
        }
    }

    public void setHelperTextColor(@Nullable ColorStateList colorStateList) {
        this.Y0.M(colorStateList);
    }

    public void setHelperTextEnabled(boolean z) {
        this.Y0.L(z);
    }

    public void setHelperTextTextAppearance(@StyleRes int i) {
        this.Y0.K(i);
    }

    public void setHint(@Nullable CharSequence charSequence) {
        if (this.q1) {
            setHintInternal(charSequence);
            sendAccessibilityEvent(2048);
        }
    }

    public void setHintAnimationEnabled(boolean z) {
        this.u2 = z;
    }

    public void setHintEnabled(boolean z) {
        if (z != this.q1) {
            this.q1 = z;
            if (!z) {
                this.s1 = false;
                if (!TextUtils.isEmpty(this.r1) && TextUtils.isEmpty(this.W0.getHint())) {
                    this.W0.setHint(this.r1);
                }
                setHintInternal(null);
            } else {
                CharSequence hint = this.W0.getHint();
                if (!TextUtils.isEmpty(hint)) {
                    if (TextUtils.isEmpty(this.r1)) {
                        setHint(hint);
                    }
                    this.W0.setHint((CharSequence) null);
                }
                this.s1 = true;
            }
            if (this.W0 != null) {
                K0();
            }
        }
    }

    public void setHintTextAppearance(@StyleRes int i) {
        this.s2.R(i);
        this.h2 = this.s2.n();
        if (this.W0 != null) {
            L0(false);
            K0();
        }
    }

    public void setHintTextColor(@Nullable ColorStateList colorStateList) {
        if (this.h2 != colorStateList) {
            if (this.g2 == null) {
                this.s2.T(colorStateList);
            }
            this.h2 = colorStateList;
            if (this.W0 != null) {
                L0(false);
            }
        }
    }

    @Deprecated
    public void setPasswordVisibilityToggleContentDescription(@StringRes int i) {
        setPasswordVisibilityToggleContentDescription(i != 0 ? getResources().getText(i) : null);
    }

    @Deprecated
    public void setPasswordVisibilityToggleDrawable(@DrawableRes int i) {
        setPasswordVisibilityToggleDrawable(i != 0 ? androidx.appcompat.a.a.a.d(getContext(), i) : null);
    }

    @Deprecated
    public void setPasswordVisibilityToggleEnabled(boolean z) {
        if (z && this.R1 != 1) {
            setEndIconMode(1);
        } else if (!z) {
            setEndIconMode(0);
        }
    }

    @Deprecated
    public void setPasswordVisibilityToggleTintList(@Nullable ColorStateList colorStateList) {
        this.V1 = colorStateList;
        this.W1 = true;
        m();
    }

    @Deprecated
    public void setPasswordVisibilityToggleTintMode(@Nullable PorterDuff.Mode mode) {
        this.X1 = mode;
        this.Y1 = true;
        m();
    }

    public void setPlaceholderText(@Nullable CharSequence charSequence) {
        if (!this.g1 || !TextUtils.isEmpty(charSequence)) {
            if (!this.g1) {
                setPlaceholderTextEnabled(true);
            }
            this.f1 = charSequence;
        } else {
            setPlaceholderTextEnabled(false);
        }
        O0();
    }

    public void setPlaceholderTextAppearance(@StyleRes int i) {
        this.j1 = i;
        TextView textView = this.h1;
        if (textView != null) {
            TextViewCompat.E(textView, i);
        }
    }

    public void setPlaceholderTextColor(@Nullable ColorStateList colorStateList) {
        if (this.i1 != colorStateList) {
            this.i1 = colorStateList;
            TextView textView = this.h1;
            if (textView != null && colorStateList != null) {
                textView.setTextColor(colorStateList);
            }
        }
    }

    public void setPrefixText(@Nullable CharSequence charSequence) {
        this.m1 = TextUtils.isEmpty(charSequence) ? null : charSequence;
        this.n1.setText(charSequence);
        R0();
    }

    public void setPrefixTextAppearance(@StyleRes int i) {
        TextViewCompat.E(this.n1, i);
    }

    public void setPrefixTextColor(@NonNull ColorStateList colorStateList) {
        this.n1.setTextColor(colorStateList);
    }

    public void setStartIconCheckable(boolean z) {
        this.I1.setCheckable(z);
    }

    public void setStartIconContentDescription(@StringRes int i) {
        setStartIconContentDescription(i != 0 ? getResources().getText(i) : null);
    }

    public void setStartIconDrawable(@DrawableRes int i) {
        setStartIconDrawable(i != 0 ? androidx.appcompat.a.a.a.d(getContext(), i) : null);
    }

    public void setStartIconOnClickListener(@Nullable View.OnClickListener onClickListener) {
        t0(this.I1, onClickListener, this.P1);
    }

    public void setStartIconOnLongClickListener(@Nullable View.OnLongClickListener onLongClickListener) {
        this.P1 = onLongClickListener;
        u0(this.I1, onLongClickListener);
    }

    public void setStartIconTintList(@Nullable ColorStateList colorStateList) {
        if (this.J1 != colorStateList) {
            this.J1 = colorStateList;
            this.K1 = true;
            o();
        }
    }

    public void setStartIconTintMode(@Nullable PorterDuff.Mode mode) {
        if (this.L1 != mode) {
            this.L1 = mode;
            this.M1 = true;
            o();
        }
    }

    public void setStartIconVisible(boolean z) {
        if (c0() != z) {
            this.I1.setVisibility(z ? 0 : 8);
            Q0();
            H0();
        }
    }

    public void setSuffixText(@Nullable CharSequence charSequence) {
        this.o1 = TextUtils.isEmpty(charSequence) ? null : charSequence;
        this.p1.setText(charSequence);
        U0();
    }

    public void setSuffixTextAppearance(@StyleRes int i) {
        TextViewCompat.E(this.p1, i);
    }

    public void setSuffixTextColor(@NonNull ColorStateList colorStateList) {
        this.p1.setTextColor(colorStateList);
    }

    public void setTextInputAccessibilityDelegate(@Nullable e eVar) {
        EditText editText = this.W0;
        if (editText != null) {
            ViewCompat.setAccessibilityDelegate(editText, eVar);
        }
    }

    public void setTypeface(@Nullable Typeface typeface) {
        if (typeface != this.H1) {
            this.H1 = typeface;
            this.s2.o0(typeface);
            this.Y0.O(typeface);
            TextView textView = this.c1;
            if (textView != null) {
                textView.setTypeface(typeface);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void v0(@NonNull TextView textView, @StyleRes int i) {
        boolean z = true;
        try {
            TextViewCompat.E(textView, i);
            if (Build.VERSION.SDK_INT < 23 || textView.getTextColors().getDefaultColor() != -65281) {
                z = false;
            }
        } catch (Exception unused) {
        }
        if (z) {
            TextViewCompat.E(textView, R.style.TextAppearance_AppCompat_Caption);
            textView.setTextColor(androidx.core.content.d.f(getContext(), R.color.design_error));
        }
    }

    public void y() {
        this.Q1.clear();
    }

    public void z() {
        this.U1.clear();
    }

    public TextInputLayout(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.textInputStyle);
    }

    public void setEndIconContentDescription(@Nullable CharSequence charSequence) {
        if (getEndIconContentDescription() != charSequence) {
            this.T1.setContentDescription(charSequence);
        }
    }

    public void setEndIconDrawable(@Nullable Drawable drawable) {
        this.T1.setImageDrawable(drawable);
        i0();
    }

    public void setStartIconContentDescription(@Nullable CharSequence charSequence) {
        if (getStartIconContentDescription() != charSequence) {
            this.I1.setContentDescription(charSequence);
        }
    }

    public void setStartIconDrawable(@Nullable Drawable drawable) {
        this.I1.setImageDrawable(drawable);
        if (drawable != null) {
            setStartIconVisible(true);
            l0();
            return;
        }
        setStartIconVisible(false);
        setStartIconOnClickListener(null);
        setStartIconOnLongClickListener(null);
        setStartIconContentDescription((CharSequence) null);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public TextInputLayout(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(com.google.android.material.theme.a.a.c(context, attributeSet, i, r9), attributeSet, i);
        int i3;
        int i4;
        int i5 = f12023a;
        this.Y0 = new f(this);
        this.E1 = new Rect();
        this.F1 = new Rect();
        this.G1 = new RectF();
        this.Q1 = new LinkedHashSet<>();
        this.R1 = 0;
        this.S1 = new SparseArray<>();
        this.U1 = new LinkedHashSet<>();
        com.google.android.material.internal.a aVar = new com.google.android.material.internal.a(this);
        this.s2 = aVar;
        Context context2 = getContext();
        setOrientation(1);
        setWillNotDraw(false);
        setAddStatesFromChildren(true);
        FrameLayout frameLayout = new FrameLayout(context2);
        this.S0 = frameLayout;
        frameLayout.setAddStatesFromChildren(true);
        addView(frameLayout);
        LinearLayout linearLayout = new LinearLayout(context2);
        this.T0 = linearLayout;
        linearLayout.setOrientation(0);
        linearLayout.setLayoutParams(new FrameLayout.LayoutParams(-2, -1, GravityCompat.START));
        frameLayout.addView(linearLayout);
        LinearLayout linearLayout2 = new LinearLayout(context2);
        this.U0 = linearLayout2;
        linearLayout2.setOrientation(0);
        linearLayout2.setLayoutParams(new FrameLayout.LayoutParams(-2, -1, GravityCompat.END));
        frameLayout.addView(linearLayout2);
        FrameLayout frameLayout2 = new FrameLayout(context2);
        this.V0 = frameLayout2;
        frameLayout2.setLayoutParams(new FrameLayout.LayoutParams(-2, -1));
        TimeInterpolator timeInterpolator = com.google.android.material.a.a.f11326a;
        aVar.n0(timeInterpolator);
        aVar.k0(timeInterpolator);
        aVar.U(BadgeDrawable.f11396b);
        int[] iArr = R.styleable.TextInputLayout;
        int i6 = R.styleable.TextInputLayout_counterTextAppearance;
        int i7 = R.styleable.TextInputLayout_counterOverflowTextAppearance;
        int i8 = R.styleable.TextInputLayout_errorTextAppearance;
        int i9 = R.styleable.TextInputLayout_helperTextTextAppearance;
        int i10 = R.styleable.TextInputLayout_hintTextAppearance;
        f0 k = com.google.android.material.internal.m.k(context2, attributeSet, iArr, i, i5, i6, i7, i8, i9, i10);
        this.q1 = k.a(R.styleable.TextInputLayout_hintEnabled, true);
        setHint(k.x(R.styleable.TextInputLayout_android_hint));
        this.u2 = k.a(R.styleable.TextInputLayout_hintAnimationEnabled, true);
        this.t2 = k.a(R.styleable.TextInputLayout_expandedHintEnabled, true);
        this.v1 = m.e(context2, attributeSet, i, i5).m();
        this.w1 = context2.getResources().getDimensionPixelOffset(R.dimen.mtrl_textinput_box_label_cutout_padding);
        this.y1 = k.f(R.styleable.TextInputLayout_boxCollapsedPaddingTop, 0);
        this.A1 = k.g(R.styleable.TextInputLayout_boxStrokeWidth, context2.getResources().getDimensionPixelSize(R.dimen.mtrl_textinput_box_stroke_width_default));
        this.B1 = k.g(R.styleable.TextInputLayout_boxStrokeWidthFocused, context2.getResources().getDimensionPixelSize(R.dimen.mtrl_textinput_box_stroke_width_focused));
        this.z1 = this.A1;
        float e3 = k.e(R.styleable.TextInputLayout_boxCornerRadiusTopStart, -1.0f);
        float e4 = k.e(R.styleable.TextInputLayout_boxCornerRadiusTopEnd, -1.0f);
        float e5 = k.e(R.styleable.TextInputLayout_boxCornerRadiusBottomEnd, -1.0f);
        float e6 = k.e(R.styleable.TextInputLayout_boxCornerRadiusBottomStart, -1.0f);
        m.b v = this.v1.v();
        if (e3 >= 0.0f) {
            v.K(e3);
        }
        if (e4 >= 0.0f) {
            v.P(e4);
        }
        if (e5 >= 0.0f) {
            v.C(e5);
        }
        if (e6 >= 0.0f) {
            v.x(e6);
        }
        this.v1 = v.m();
        ColorStateList b3 = com.google.android.material.i.c.b(context2, k, R.styleable.TextInputLayout_boxBackgroundColor);
        if (b3 != null) {
            int defaultColor = b3.getDefaultColor();
            this.m2 = defaultColor;
            this.D1 = defaultColor;
            if (b3.isStateful()) {
                this.n2 = b3.getColorForState(new int[]{-16842910}, -1);
                i3 = 2;
                this.o2 = b3.getColorForState(new int[]{16842908, 16842910}, -1);
                this.p2 = b3.getColorForState(new int[]{16843623, 16842910}, -1);
            } else {
                i3 = 2;
                this.o2 = this.m2;
                ColorStateList c3 = androidx.appcompat.a.a.a.c(context2, R.color.mtrl_filled_background_color);
                this.n2 = c3.getColorForState(new int[]{-16842910}, -1);
                this.p2 = c3.getColorForState(new int[]{16843623}, -1);
            }
        } else {
            i3 = 2;
            this.D1 = 0;
            this.m2 = 0;
            this.n2 = 0;
            this.o2 = 0;
            this.p2 = 0;
        }
        int i11 = R.styleable.TextInputLayout_android_textColorHint;
        if (k.C(i11)) {
            ColorStateList d3 = k.d(i11);
            this.h2 = d3;
            this.g2 = d3;
        }
        int i12 = R.styleable.TextInputLayout_boxStrokeColor;
        ColorStateList b4 = com.google.android.material.i.c.b(context2, k, i12);
        this.k2 = k.c(i12, 0);
        this.i2 = androidx.core.content.d.f(context2, R.color.mtrl_textinput_default_box_stroke_color);
        this.q2 = androidx.core.content.d.f(context2, R.color.mtrl_textinput_disabled_color);
        this.j2 = androidx.core.content.d.f(context2, R.color.mtrl_textinput_hovered_box_stroke_color);
        if (b4 != null) {
            setBoxStrokeColorStateList(b4);
        }
        int i13 = R.styleable.TextInputLayout_boxStrokeErrorColor;
        if (k.C(i13)) {
            setBoxStrokeErrorColor(com.google.android.material.i.c.b(context2, k, i13));
        }
        if (k.u(i10, -1) != -1) {
            setHintTextAppearance(k.u(i10, 0));
        }
        int u = k.u(i8, 0);
        CharSequence x = k.x(R.styleable.TextInputLayout_errorContentDescription);
        boolean a3 = k.a(R.styleable.TextInputLayout_errorEnabled, false);
        LayoutInflater from = LayoutInflater.from(getContext());
        int i14 = R.layout.design_text_input_end_icon;
        CheckableImageButton checkableImageButton = (CheckableImageButton) from.inflate(i14, (ViewGroup) linearLayout2, false);
        this.e2 = checkableImageButton;
        checkableImageButton.setId(R.id.text_input_error_icon);
        checkableImageButton.setVisibility(8);
        if (com.google.android.material.i.c.g(context2)) {
            MarginLayoutParamsCompat.setMarginStart((ViewGroup.MarginLayoutParams) checkableImageButton.getLayoutParams(), 0);
        }
        int i15 = R.styleable.TextInputLayout_errorIconDrawable;
        if (k.C(i15)) {
            setErrorIconDrawable(k.h(i15));
        }
        int i16 = R.styleable.TextInputLayout_errorIconTint;
        if (k.C(i16)) {
            setErrorIconTintList(com.google.android.material.i.c.b(context2, k, i16));
        }
        int i17 = R.styleable.TextInputLayout_errorIconTintMode;
        if (k.C(i17)) {
            setErrorIconTintMode(u.k(k.o(i17, -1), null));
        }
        checkableImageButton.setContentDescription(getResources().getText(R.string.error_icon_content_description));
        ViewCompat.setImportantForAccessibility(checkableImageButton, i3);
        checkableImageButton.setClickable(false);
        checkableImageButton.setPressable(false);
        checkableImageButton.setFocusable(false);
        int u3 = k.u(i9, 0);
        boolean a4 = k.a(R.styleable.TextInputLayout_helperTextEnabled, false);
        CharSequence x3 = k.x(R.styleable.TextInputLayout_helperText);
        int u4 = k.u(R.styleable.TextInputLayout_placeholderTextAppearance, 0);
        CharSequence x4 = k.x(R.styleable.TextInputLayout_placeholderText);
        int u5 = k.u(R.styleable.TextInputLayout_prefixTextAppearance, 0);
        CharSequence x5 = k.x(R.styleable.TextInputLayout_prefixText);
        int u6 = k.u(R.styleable.TextInputLayout_suffixTextAppearance, 0);
        CharSequence x6 = k.x(R.styleable.TextInputLayout_suffixText);
        boolean a5 = k.a(R.styleable.TextInputLayout_counterEnabled, false);
        setCounterMaxLength(k.o(R.styleable.TextInputLayout_counterMaxLength, -1));
        this.e1 = k.u(i6, 0);
        this.d1 = k.u(i7, 0);
        CheckableImageButton checkableImageButton2 = (CheckableImageButton) LayoutInflater.from(getContext()).inflate(R.layout.design_text_input_start_icon, (ViewGroup) this.T0, false);
        this.I1 = checkableImageButton2;
        checkableImageButton2.setVisibility(8);
        if (com.google.android.material.i.c.g(context2)) {
            MarginLayoutParamsCompat.setMarginEnd((ViewGroup.MarginLayoutParams) checkableImageButton2.getLayoutParams(), 0);
        }
        setStartIconOnClickListener(null);
        setStartIconOnLongClickListener(null);
        int i18 = R.styleable.TextInputLayout_startIconDrawable;
        if (k.C(i18)) {
            setStartIconDrawable(k.h(i18));
            int i19 = R.styleable.TextInputLayout_startIconContentDescription;
            if (k.C(i19)) {
                setStartIconContentDescription(k.x(i19));
            }
            setStartIconCheckable(k.a(R.styleable.TextInputLayout_startIconCheckable, true));
        }
        int i20 = R.styleable.TextInputLayout_startIconTint;
        if (k.C(i20)) {
            setStartIconTintList(com.google.android.material.i.c.b(context2, k, i20));
        }
        int i21 = R.styleable.TextInputLayout_startIconTintMode;
        if (k.C(i21)) {
            setStartIconTintMode(u.k(k.o(i21, -1), null));
        }
        setBoxBackgroundMode(k.o(R.styleable.TextInputLayout_boxBackgroundMode, 0));
        this.T1 = (CheckableImageButton) LayoutInflater.from(getContext()).inflate(i14, (ViewGroup) this.V0, false);
        this.V0.addView(this.T1);
        this.T1.setVisibility(8);
        if (com.google.android.material.i.c.g(context2)) {
            i4 = 0;
            MarginLayoutParamsCompat.setMarginStart((ViewGroup.MarginLayoutParams) this.T1.getLayoutParams(), 0);
        } else {
            i4 = 0;
        }
        this.S1.append(-1, new b(this));
        this.S1.append(i4, new g(this));
        this.S1.append(1, new h(this));
        this.S1.append(2, new a(this));
        this.S1.append(3, new d(this));
        int i22 = R.styleable.TextInputLayout_endIconMode;
        if (k.C(i22)) {
            setEndIconMode(k.o(i22, 0));
            int i23 = R.styleable.TextInputLayout_endIconDrawable;
            if (k.C(i23)) {
                setEndIconDrawable(k.h(i23));
            }
            int i24 = R.styleable.TextInputLayout_endIconContentDescription;
            if (k.C(i24)) {
                setEndIconContentDescription(k.x(i24));
            }
            setEndIconCheckable(k.a(R.styleable.TextInputLayout_endIconCheckable, true));
        } else {
            int i25 = R.styleable.TextInputLayout_passwordToggleEnabled;
            if (k.C(i25)) {
                setEndIconMode(k.a(i25, false) ? 1 : 0);
                setEndIconDrawable(k.h(R.styleable.TextInputLayout_passwordToggleDrawable));
                setEndIconContentDescription(k.x(R.styleable.TextInputLayout_passwordToggleContentDescription));
                int i26 = R.styleable.TextInputLayout_passwordToggleTint;
                if (k.C(i26)) {
                    setEndIconTintList(com.google.android.material.i.c.b(context2, k, i26));
                }
                int i27 = R.styleable.TextInputLayout_passwordToggleTintMode;
                if (k.C(i27)) {
                    setEndIconTintMode(u.k(k.o(i27, -1), null));
                }
            }
        }
        if (!k.C(R.styleable.TextInputLayout_passwordToggleEnabled)) {
            int i28 = R.styleable.TextInputLayout_endIconTint;
            if (k.C(i28)) {
                setEndIconTintList(com.google.android.material.i.c.b(context2, k, i28));
            }
            int i29 = R.styleable.TextInputLayout_endIconTintMode;
            if (k.C(i29)) {
                setEndIconTintMode(u.k(k.o(i29, -1), null));
            }
        }
        AppCompatTextView appCompatTextView = new AppCompatTextView(context2);
        this.n1 = appCompatTextView;
        appCompatTextView.setId(R.id.textinput_prefix_text);
        appCompatTextView.setLayoutParams(new FrameLayout.LayoutParams(-2, -2));
        ViewCompat.setAccessibilityLiveRegion(appCompatTextView, 1);
        this.T0.addView(this.I1);
        this.T0.addView(appCompatTextView);
        AppCompatTextView appCompatTextView2 = new AppCompatTextView(context2);
        this.p1 = appCompatTextView2;
        appCompatTextView2.setId(R.id.textinput_suffix_text);
        appCompatTextView2.setLayoutParams(new FrameLayout.LayoutParams(-2, -2, 80));
        ViewCompat.setAccessibilityLiveRegion(appCompatTextView2, 1);
        this.U0.addView(appCompatTextView2);
        this.U0.addView(this.e2);
        this.U0.addView(this.V0);
        setHelperTextEnabled(a4);
        setHelperText(x3);
        setHelperTextTextAppearance(u3);
        setErrorEnabled(a3);
        setErrorTextAppearance(u);
        setErrorContentDescription(x);
        setCounterTextAppearance(this.e1);
        setCounterOverflowTextAppearance(this.d1);
        setPlaceholderText(x4);
        setPlaceholderTextAppearance(u4);
        setPrefixText(x5);
        setPrefixTextAppearance(u5);
        setSuffixText(x6);
        setSuffixTextAppearance(u6);
        int i30 = R.styleable.TextInputLayout_errorTextColor;
        if (k.C(i30)) {
            setErrorTextColor(k.d(i30));
        }
        int i31 = R.styleable.TextInputLayout_helperTextTextColor;
        if (k.C(i31)) {
            setHelperTextColor(k.d(i31));
        }
        int i32 = R.styleable.TextInputLayout_hintTextColor;
        if (k.C(i32)) {
            setHintTextColor(k.d(i32));
        }
        int i33 = R.styleable.TextInputLayout_counterTextColor;
        if (k.C(i33)) {
            setCounterTextColor(k.d(i33));
        }
        int i34 = R.styleable.TextInputLayout_counterOverflowTextColor;
        if (k.C(i34)) {
            setCounterOverflowTextColor(k.d(i34));
        }
        int i35 = R.styleable.TextInputLayout_placeholderTextColor;
        if (k.C(i35)) {
            setPlaceholderTextColor(k.d(i35));
        }
        int i36 = R.styleable.TextInputLayout_prefixTextColor;
        if (k.C(i36)) {
            setPrefixTextColor(k.d(i36));
        }
        int i37 = R.styleable.TextInputLayout_suffixTextColor;
        if (k.C(i37)) {
            setSuffixTextColor(k.d(i37));
        }
        setCounterEnabled(a5);
        setEnabled(k.a(R.styleable.TextInputLayout_android_enabled, true));
        k.I();
        ViewCompat.setImportantForAccessibility(this, 2);
        if (Build.VERSION.SDK_INT >= 26) {
            ViewCompat.setImportantForAutofill(this, 1);
        }
    }

    public void setErrorIconDrawable(@Nullable Drawable drawable) {
        this.e2.setImageDrawable(drawable);
        setErrorIconVisible(drawable != null && this.Y0.C());
    }

    @Deprecated
    public void setPasswordVisibilityToggleContentDescription(@Nullable CharSequence charSequence) {
        this.T1.setContentDescription(charSequence);
    }

    @Deprecated
    public void setPasswordVisibilityToggleDrawable(@Nullable Drawable drawable) {
        this.T1.setImageDrawable(drawable);
    }

    public void setHint(@StringRes int i) {
        setHint(i != 0 ? getResources().getText(i) : null);
    }
}
