package com.google.android.material.textfield;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ValueAnimator;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.View;
import android.widget.EditText;
import androidx.annotation.NonNull;
import com.google.android.material.R;
import com.google.android.material.textfield.TextInputLayout;

/* access modifiers changed from: package-private */
/* compiled from: ClearTextEndIconDelegate */
public class a extends e {

    /* renamed from: d  reason: collision with root package name */
    private static final int f12030d = 100;

    /* renamed from: e  reason: collision with root package name */
    private static final int f12031e = 150;
    private static final float f = 0.8f;
    private final TextWatcher g = new C0269a();
    private final View.OnFocusChangeListener h = new b();
    private final TextInputLayout.f i = new c();
    private final TextInputLayout.g j = new d();
    private AnimatorSet k;
    private ValueAnimator l;

    /* renamed from: com.google.android.material.textfield.a$a  reason: collision with other inner class name */
    /* compiled from: ClearTextEndIconDelegate */
    class C0269a implements TextWatcher {
        C0269a() {
        }

        public void afterTextChanged(@NonNull Editable editable) {
            if (a.this.f12060a.getSuffixText() == null) {
                a.this.i(a.l(editable));
            }
        }

        public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }

        public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        }
    }

    /* compiled from: ClearTextEndIconDelegate */
    class b implements View.OnFocusChangeListener {
        b() {
        }

        public void onFocusChange(View view, boolean z) {
            boolean z2 = true;
            boolean z3 = !TextUtils.isEmpty(((EditText) view).getText());
            a aVar = a.this;
            if (!z3 || !z) {
                z2 = false;
            }
            aVar.i(z2);
        }
    }

    /* compiled from: ClearTextEndIconDelegate */
    class c implements TextInputLayout.f {
        c() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.f
        public void a(@NonNull TextInputLayout textInputLayout) {
            EditText editText = textInputLayout.getEditText();
            textInputLayout.setEndIconVisible(editText.hasFocus() && a.l(editText.getText()));
            textInputLayout.setEndIconCheckable(false);
            editText.setOnFocusChangeListener(a.this.h);
            editText.removeTextChangedListener(a.this.g);
            editText.addTextChangedListener(a.this.g);
        }
    }

    /* compiled from: ClearTextEndIconDelegate */
    class d implements TextInputLayout.g {

        /* renamed from: com.google.android.material.textfield.a$d$a  reason: collision with other inner class name */
        /* compiled from: ClearTextEndIconDelegate */
        class RunnableC0270a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ EditText f12036a;

            RunnableC0270a(EditText editText) {
                this.f12036a = editText;
            }

            public void run() {
                this.f12036a.removeTextChangedListener(a.this.g);
            }
        }

        d() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.g
        public void a(@NonNull TextInputLayout textInputLayout, int i) {
            EditText editText = textInputLayout.getEditText();
            if (editText != null && i == 2) {
                editText.post(new RunnableC0270a(editText));
                if (editText.getOnFocusChangeListener() == a.this.h) {
                    editText.setOnFocusChangeListener(null);
                }
            }
        }
    }

    /* compiled from: ClearTextEndIconDelegate */
    class e implements View.OnClickListener {
        e() {
        }

        public void onClick(View view) {
            Editable text = a.this.f12060a.getEditText().getText();
            if (text != null) {
                text.clear();
            }
            a.this.f12060a.i0();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ClearTextEndIconDelegate */
    public class f extends AnimatorListenerAdapter {
        f() {
        }

        public void onAnimationStart(Animator animator) {
            a.this.f12060a.setEndIconVisible(true);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ClearTextEndIconDelegate */
    public class g extends AnimatorListenerAdapter {
        g() {
        }

        public void onAnimationEnd(Animator animator) {
            a.this.f12060a.setEndIconVisible(false);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ClearTextEndIconDelegate */
    public class h implements ValueAnimator.AnimatorUpdateListener {
        h() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            a.this.f12062c.setAlpha(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ClearTextEndIconDelegate */
    public class i implements ValueAnimator.AnimatorUpdateListener {
        i() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            a.this.f12062c.setScaleX(floatValue);
            a.this.f12062c.setScaleY(floatValue);
        }
    }

    a(@NonNull TextInputLayout textInputLayout) {
        super(textInputLayout);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void i(boolean z) {
        boolean z2 = this.f12060a.P() == z;
        if (z && !this.k.isRunning()) {
            this.l.cancel();
            this.k.start();
            if (z2) {
                this.k.end();
            }
        } else if (!z) {
            this.k.cancel();
            this.l.start();
            if (z2) {
                this.l.end();
            }
        }
    }

    private ValueAnimator j(float... fArr) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.setInterpolator(com.google.android.material.a.a.f11326a);
        ofFloat.setDuration(100L);
        ofFloat.addUpdateListener(new h());
        return ofFloat;
    }

    private ValueAnimator k() {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(f, 1.0f);
        ofFloat.setInterpolator(com.google.android.material.a.a.f11329d);
        ofFloat.setDuration(150L);
        ofFloat.addUpdateListener(new i());
        return ofFloat;
    }

    /* access modifiers changed from: private */
    public static boolean l(@NonNull Editable editable) {
        return editable.length() > 0;
    }

    private void m() {
        ValueAnimator k2 = k();
        ValueAnimator j2 = j(0.0f, 1.0f);
        AnimatorSet animatorSet = new AnimatorSet();
        this.k = animatorSet;
        animatorSet.playTogether(k2, j2);
        this.k.addListener(new f());
        ValueAnimator j3 = j(1.0f, 0.0f);
        this.l = j3;
        j3.addListener(new g());
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    public void a() {
        this.f12060a.setEndIconDrawable(androidx.appcompat.a.a.a.d(this.f12061b, R.drawable.mtrl_ic_cancel));
        TextInputLayout textInputLayout = this.f12060a;
        textInputLayout.setEndIconContentDescription(textInputLayout.getResources().getText(R.string.clear_text_end_icon_content_description));
        this.f12060a.setEndIconOnClickListener(new e());
        this.f12060a.e(this.i);
        this.f12060a.f(this.j);
        m();
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    public void c(boolean z) {
        if (this.f12060a.getSuffixText() != null) {
            i(z);
        }
    }
}
