package com.google.android.material.textfield;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import android.graphics.drawable.StateListDrawable;
import android.os.Build;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.MotionEvent;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import android.widget.AutoCompleteTextView;
import android.widget.EditText;
import android.widget.Spinner;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import com.google.android.material.R;
import com.google.android.material.internal.l;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.m;
import com.google.android.material.textfield.TextInputLayout;

/* access modifiers changed from: package-private */
/* compiled from: DropdownMenuEndIconDelegate */
public class d extends e {

    /* renamed from: d  reason: collision with root package name */
    private static final boolean f12043d = (Build.VERSION.SDK_INT >= 21);

    /* renamed from: e  reason: collision with root package name */
    private static final int f12044e = 50;
    private static final int f = 67;
    private final TextWatcher g = new a();
    private final View.OnFocusChangeListener h = new c();
    private final TextInputLayout.e i = new C0272d(this.f12060a);
    private final TextInputLayout.f j = new e();
    @SuppressLint({"ClickableViewAccessibility"})
    private final TextInputLayout.g k = new f();
    private boolean l = false;
    private boolean m = false;
    private long n = Long.MAX_VALUE;
    private StateListDrawable o;
    private MaterialShapeDrawable p;
    @Nullable
    private AccessibilityManager q;
    private ValueAnimator r;
    private ValueAnimator s;

    /* compiled from: DropdownMenuEndIconDelegate */
    class a extends l {

        /* renamed from: com.google.android.material.textfield.d$a$a  reason: collision with other inner class name */
        /* compiled from: DropdownMenuEndIconDelegate */
        class RunnableC0271a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ AutoCompleteTextView f12046a;

            RunnableC0271a(AutoCompleteTextView autoCompleteTextView) {
                this.f12046a = autoCompleteTextView;
            }

            public void run() {
                boolean isPopupShowing = this.f12046a.isPopupShowing();
                d.this.E(isPopupShowing);
                d.this.l = isPopupShowing;
            }
        }

        a() {
        }

        @Override // com.google.android.material.internal.l
        public void afterTextChanged(Editable editable) {
            AutoCompleteTextView y = d.y(d.this.f12060a.getEditText());
            if (d.this.q.isTouchExplorationEnabled() && d.D(y) && !d.this.f12062c.hasFocus()) {
                y.dismissDropDown();
            }
            y.post(new RunnableC0271a(y));
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DropdownMenuEndIconDelegate */
    public class b implements ValueAnimator.AnimatorUpdateListener {
        b() {
        }

        public void onAnimationUpdate(@NonNull ValueAnimator valueAnimator) {
            d.this.f12062c.setAlpha(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    /* compiled from: DropdownMenuEndIconDelegate */
    class c implements View.OnFocusChangeListener {
        c() {
        }

        public void onFocusChange(View view, boolean z) {
            d.this.f12060a.setEndIconActivated(z);
            if (!z) {
                d.this.E(false);
                d.this.l = false;
            }
        }
    }

    /* renamed from: com.google.android.material.textfield.d$d  reason: collision with other inner class name */
    /* compiled from: DropdownMenuEndIconDelegate */
    class C0272d extends TextInputLayout.e {
        C0272d(TextInputLayout textInputLayout) {
            super(textInputLayout);
        }

        @Override // com.google.android.material.textfield.TextInputLayout.e, androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, @NonNull AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfoCompat);
            if (!d.D(d.this.f12060a.getEditText())) {
                accessibilityNodeInfoCompat.setClassName(Spinner.class.getName());
            }
            if (accessibilityNodeInfoCompat.isShowingHintText()) {
                accessibilityNodeInfoCompat.setHintText(null);
            }
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onPopulateAccessibilityEvent(View view, @NonNull AccessibilityEvent accessibilityEvent) {
            super.onPopulateAccessibilityEvent(view, accessibilityEvent);
            AutoCompleteTextView y = d.y(d.this.f12060a.getEditText());
            if (accessibilityEvent.getEventType() == 1 && d.this.q.isTouchExplorationEnabled() && !d.D(d.this.f12060a.getEditText())) {
                d.this.H(y);
            }
        }
    }

    /* compiled from: DropdownMenuEndIconDelegate */
    class e implements TextInputLayout.f {
        e() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.f
        public void a(@NonNull TextInputLayout textInputLayout) {
            AutoCompleteTextView y = d.y(textInputLayout.getEditText());
            d.this.F(y);
            d.this.v(y);
            d.this.G(y);
            y.setThreshold(0);
            y.removeTextChangedListener(d.this.g);
            y.addTextChangedListener(d.this.g);
            textInputLayout.setEndIconCheckable(true);
            textInputLayout.setErrorIconDrawable((Drawable) null);
            if (!d.D(y)) {
                ViewCompat.setImportantForAccessibility(d.this.f12062c, 2);
            }
            textInputLayout.setTextInputAccessibilityDelegate(d.this.i);
            textInputLayout.setEndIconVisible(true);
        }
    }

    /* compiled from: DropdownMenuEndIconDelegate */
    class f implements TextInputLayout.g {

        /* compiled from: DropdownMenuEndIconDelegate */
        class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ AutoCompleteTextView f12053a;

            a(AutoCompleteTextView autoCompleteTextView) {
                this.f12053a = autoCompleteTextView;
            }

            public void run() {
                this.f12053a.removeTextChangedListener(d.this.g);
            }
        }

        f() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.g
        public void a(@NonNull TextInputLayout textInputLayout, int i) {
            AutoCompleteTextView autoCompleteTextView = (AutoCompleteTextView) textInputLayout.getEditText();
            if (autoCompleteTextView != null && i == 3) {
                autoCompleteTextView.post(new a(autoCompleteTextView));
                if (autoCompleteTextView.getOnFocusChangeListener() == d.this.h) {
                    autoCompleteTextView.setOnFocusChangeListener(null);
                }
                autoCompleteTextView.setOnTouchListener(null);
                if (d.f12043d) {
                    autoCompleteTextView.setOnDismissListener(null);
                }
            }
        }
    }

    /* compiled from: DropdownMenuEndIconDelegate */
    class g implements View.OnClickListener {
        g() {
        }

        public void onClick(View view) {
            d.this.H((AutoCompleteTextView) d.this.f12060a.getEditText());
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DropdownMenuEndIconDelegate */
    public class h implements View.OnTouchListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ AutoCompleteTextView f12056a;

        h(AutoCompleteTextView autoCompleteTextView) {
            this.f12056a = autoCompleteTextView;
        }

        public boolean onTouch(@NonNull View view, @NonNull MotionEvent motionEvent) {
            if (motionEvent.getAction() == 1) {
                if (d.this.C()) {
                    d.this.l = false;
                }
                d.this.H(this.f12056a);
            }
            return false;
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DropdownMenuEndIconDelegate */
    public class i implements AutoCompleteTextView.OnDismissListener {
        i() {
        }

        public void onDismiss() {
            d.this.l = true;
            d.this.n = System.currentTimeMillis();
            d.this.E(false);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: DropdownMenuEndIconDelegate */
    public class j extends AnimatorListenerAdapter {
        j() {
        }

        public void onAnimationEnd(Animator animator) {
            d dVar = d.this;
            dVar.f12062c.setChecked(dVar.m);
            d.this.s.start();
        }
    }

    d(@NonNull TextInputLayout textInputLayout) {
        super(textInputLayout);
    }

    private MaterialShapeDrawable A(float f2, float f3, float f4, int i2) {
        m m2 = m.a().K(f2).P(f2).x(f3).C(f3).m();
        MaterialShapeDrawable n2 = MaterialShapeDrawable.n(this.f12061b, f4);
        n2.setShapeAppearanceModel(m2);
        n2.p0(0, i2, 0, i2);
        return n2;
    }

    private void B() {
        this.s = z(67, 0.0f, 1.0f);
        ValueAnimator z = z(50, 1.0f, 0.0f);
        this.r = z;
        z.addListener(new j());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean C() {
        long currentTimeMillis = System.currentTimeMillis() - this.n;
        return currentTimeMillis < 0 || currentTimeMillis > 300;
    }

    /* access modifiers changed from: private */
    public static boolean D(@NonNull EditText editText) {
        return editText.getKeyListener() != null;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void E(boolean z) {
        if (this.m != z) {
            this.m = z;
            this.s.cancel();
            this.r.start();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void F(@NonNull AutoCompleteTextView autoCompleteTextView) {
        if (f12043d) {
            int boxBackgroundMode = this.f12060a.getBoxBackgroundMode();
            if (boxBackgroundMode == 2) {
                autoCompleteTextView.setDropDownBackgroundDrawable(this.p);
            } else if (boxBackgroundMode == 1) {
                autoCompleteTextView.setDropDownBackgroundDrawable(this.o);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @SuppressLint({"ClickableViewAccessibility"})
    private void G(@NonNull AutoCompleteTextView autoCompleteTextView) {
        autoCompleteTextView.setOnTouchListener(new h(autoCompleteTextView));
        autoCompleteTextView.setOnFocusChangeListener(this.h);
        if (f12043d) {
            autoCompleteTextView.setOnDismissListener(new i());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void H(@Nullable AutoCompleteTextView autoCompleteTextView) {
        if (autoCompleteTextView != null) {
            if (C()) {
                this.l = false;
            }
            if (!this.l) {
                if (f12043d) {
                    E(!this.m);
                } else {
                    this.m = !this.m;
                    this.f12062c.toggle();
                }
                if (this.m) {
                    autoCompleteTextView.requestFocus();
                    autoCompleteTextView.showDropDown();
                    return;
                }
                autoCompleteTextView.dismissDropDown();
                return;
            }
            this.l = false;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void v(@NonNull AutoCompleteTextView autoCompleteTextView) {
        if (!D(autoCompleteTextView)) {
            int boxBackgroundMode = this.f12060a.getBoxBackgroundMode();
            MaterialShapeDrawable boxBackground = this.f12060a.getBoxBackground();
            int d2 = com.google.android.material.c.a.d(autoCompleteTextView, R.attr.colorControlHighlight);
            int[][] iArr = {new int[]{16842919}, new int[0]};
            if (boxBackgroundMode == 2) {
                x(autoCompleteTextView, d2, iArr, boxBackground);
            } else if (boxBackgroundMode == 1) {
                w(autoCompleteTextView, d2, iArr, boxBackground);
            }
        }
    }

    private void w(@NonNull AutoCompleteTextView autoCompleteTextView, int i2, int[][] iArr, @NonNull MaterialShapeDrawable materialShapeDrawable) {
        int boxBackgroundColor = this.f12060a.getBoxBackgroundColor();
        int[] iArr2 = {com.google.android.material.c.a.g(i2, boxBackgroundColor, 0.1f), boxBackgroundColor};
        if (f12043d) {
            ViewCompat.setBackground(autoCompleteTextView, new RippleDrawable(new ColorStateList(iArr, iArr2), materialShapeDrawable, materialShapeDrawable));
            return;
        }
        MaterialShapeDrawable materialShapeDrawable2 = new MaterialShapeDrawable(materialShapeDrawable.getShapeAppearanceModel());
        materialShapeDrawable2.n0(new ColorStateList(iArr, iArr2));
        LayerDrawable layerDrawable = new LayerDrawable(new Drawable[]{materialShapeDrawable, materialShapeDrawable2});
        int paddingStart = ViewCompat.getPaddingStart(autoCompleteTextView);
        int paddingTop = autoCompleteTextView.getPaddingTop();
        int paddingEnd = ViewCompat.getPaddingEnd(autoCompleteTextView);
        int paddingBottom = autoCompleteTextView.getPaddingBottom();
        ViewCompat.setBackground(autoCompleteTextView, layerDrawable);
        ViewCompat.setPaddingRelative(autoCompleteTextView, paddingStart, paddingTop, paddingEnd, paddingBottom);
    }

    private void x(@NonNull AutoCompleteTextView autoCompleteTextView, int i2, int[][] iArr, @NonNull MaterialShapeDrawable materialShapeDrawable) {
        LayerDrawable layerDrawable;
        int d2 = com.google.android.material.c.a.d(autoCompleteTextView, R.attr.colorSurface);
        MaterialShapeDrawable materialShapeDrawable2 = new MaterialShapeDrawable(materialShapeDrawable.getShapeAppearanceModel());
        int g2 = com.google.android.material.c.a.g(i2, d2, 0.1f);
        materialShapeDrawable2.n0(new ColorStateList(iArr, new int[]{g2, 0}));
        if (f12043d) {
            materialShapeDrawable2.setTint(d2);
            ColorStateList colorStateList = new ColorStateList(iArr, new int[]{g2, d2});
            MaterialShapeDrawable materialShapeDrawable3 = new MaterialShapeDrawable(materialShapeDrawable.getShapeAppearanceModel());
            materialShapeDrawable3.setTint(-1);
            layerDrawable = new LayerDrawable(new Drawable[]{new RippleDrawable(colorStateList, materialShapeDrawable2, materialShapeDrawable3), materialShapeDrawable});
        } else {
            layerDrawable = new LayerDrawable(new Drawable[]{materialShapeDrawable2, materialShapeDrawable});
        }
        ViewCompat.setBackground(autoCompleteTextView, layerDrawable);
    }

    /* access modifiers changed from: private */
    @NonNull
    public static AutoCompleteTextView y(EditText editText) {
        if (editText instanceof AutoCompleteTextView) {
            return (AutoCompleteTextView) editText;
        }
        throw new RuntimeException("EditText needs to be an AutoCompleteTextView if an Exposed Dropdown Menu is being used.");
    }

    private ValueAnimator z(int i2, float... fArr) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.setInterpolator(com.google.android.material.a.a.f11326a);
        ofFloat.setDuration((long) i2);
        ofFloat.addUpdateListener(new b());
        return ofFloat;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    public void a() {
        float dimensionPixelOffset = (float) this.f12061b.getResources().getDimensionPixelOffset(R.dimen.mtrl_shape_corner_size_small_component);
        float dimensionPixelOffset2 = (float) this.f12061b.getResources().getDimensionPixelOffset(R.dimen.mtrl_exposed_dropdown_menu_popup_elevation);
        int dimensionPixelOffset3 = this.f12061b.getResources().getDimensionPixelOffset(R.dimen.mtrl_exposed_dropdown_menu_popup_vertical_padding);
        MaterialShapeDrawable A = A(dimensionPixelOffset, dimensionPixelOffset, dimensionPixelOffset2, dimensionPixelOffset3);
        MaterialShapeDrawable A2 = A(0.0f, dimensionPixelOffset, dimensionPixelOffset2, dimensionPixelOffset3);
        this.p = A;
        StateListDrawable stateListDrawable = new StateListDrawable();
        this.o = stateListDrawable;
        stateListDrawable.addState(new int[]{16842922}, A);
        this.o.addState(new int[0], A2);
        this.f12060a.setEndIconDrawable(androidx.appcompat.a.a.a.d(this.f12061b, f12043d ? R.drawable.mtrl_dropdown_arrow : R.drawable.mtrl_ic_arrow_drop_down));
        TextInputLayout textInputLayout = this.f12060a;
        textInputLayout.setEndIconContentDescription(textInputLayout.getResources().getText(R.string.exposed_dropdown_menu_content_description));
        this.f12060a.setEndIconOnClickListener(new g());
        this.f12060a.e(this.j);
        this.f12060a.f(this.k);
        B();
        this.q = (AccessibilityManager) this.f12061b.getSystemService("accessibility");
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    public boolean b(int i2) {
        return i2 != 0;
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    public boolean d() {
        return true;
    }
}
