package com.google.android.material.textfield;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Typeface;
import android.os.Build;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.ColorInt;
import androidx.annotation.DimenRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.StyleRes;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.core.view.ViewCompat;
import androidx.core.widget.TextViewCompat;
import com.google.android.material.R;
import com.google.android.material.a.b;
import com.google.android.material.i.c;
import java.util.ArrayList;
import java.util.List;

/* access modifiers changed from: package-private */
/* compiled from: IndicatorViewController */
public final class f {

    /* renamed from: a  reason: collision with root package name */
    private static final int f12063a = 217;

    /* renamed from: b  reason: collision with root package name */
    private static final int f12064b = 167;

    /* renamed from: c  reason: collision with root package name */
    static final int f12065c = 0;

    /* renamed from: d  reason: collision with root package name */
    static final int f12066d = 1;

    /* renamed from: e  reason: collision with root package name */
    static final int f12067e = 2;
    private static final int f = 0;
    private static final int g = 1;
    private static final int h = 2;
    private int A;
    @Nullable
    private ColorStateList B;
    private Typeface C;
    private final Context i;
    @NonNull
    private final TextInputLayout j;
    private LinearLayout k;
    private int l;
    private FrameLayout m;
    @Nullable
    private Animator n;
    private final float o;
    private int p;
    private int q;
    @Nullable
    private CharSequence r;
    private boolean s;
    @Nullable
    private TextView t;
    @Nullable
    private CharSequence u;
    private int v;
    @Nullable
    private ColorStateList w;
    private CharSequence x;
    private boolean y;
    @Nullable
    private TextView z;

    /* access modifiers changed from: package-private */
    /* compiled from: IndicatorViewController */
    public class a extends AnimatorListenerAdapter {
        final /* synthetic */ int I0;
        final /* synthetic */ TextView J0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f12068a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ TextView f12069b;

        a(int i, TextView textView, int i2, TextView textView2) {
            this.f12068a = i;
            this.f12069b = textView;
            this.I0 = i2;
            this.J0 = textView2;
        }

        public void onAnimationEnd(Animator animator) {
            f.this.p = this.f12068a;
            f.this.n = null;
            TextView textView = this.f12069b;
            if (textView != null) {
                textView.setVisibility(4);
                if (this.I0 == 1 && f.this.t != null) {
                    f.this.t.setText((CharSequence) null);
                }
            }
            TextView textView2 = this.J0;
            if (textView2 != null) {
                textView2.setTranslationY(0.0f);
                this.J0.setAlpha(1.0f);
            }
        }

        public void onAnimationStart(Animator animator) {
            TextView textView = this.J0;
            if (textView != null) {
                textView.setVisibility(0);
            }
        }
    }

    public f(@NonNull TextInputLayout textInputLayout) {
        Context context = textInputLayout.getContext();
        this.i = context;
        this.j = textInputLayout;
        this.o = (float) context.getResources().getDimensionPixelSize(R.dimen.design_textinput_caption_translate_y);
    }

    private boolean A(int i2) {
        return i2 == 2 && this.z != null && !TextUtils.isEmpty(this.x);
    }

    private void F(int i2, int i3) {
        TextView m2;
        TextView m3;
        if (i2 != i3) {
            if (!(i3 == 0 || (m3 = m(i3)) == null)) {
                m3.setVisibility(0);
                m3.setAlpha(1.0f);
            }
            if (!(i2 == 0 || (m2 = m(i2)) == null)) {
                m2.setVisibility(4);
                if (i2 == 1) {
                    m2.setText((CharSequence) null);
                }
            }
            this.p = i3;
        }
    }

    private void N(@Nullable TextView textView, Typeface typeface) {
        if (textView != null) {
            textView.setTypeface(typeface);
        }
    }

    private void P(@NonNull ViewGroup viewGroup, int i2) {
        if (i2 == 0) {
            viewGroup.setVisibility(8);
        }
    }

    private boolean Q(@Nullable TextView textView, @Nullable CharSequence charSequence) {
        return ViewCompat.isLaidOut(this.j) && this.j.isEnabled() && (this.q != this.p || textView == null || !TextUtils.equals(textView.getText(), charSequence));
    }

    private void T(int i2, int i3, boolean z2) {
        if (i2 != i3) {
            if (z2) {
                AnimatorSet animatorSet = new AnimatorSet();
                this.n = animatorSet;
                ArrayList arrayList = new ArrayList();
                h(arrayList, this.y, this.z, 2, i2, i3);
                h(arrayList, this.s, this.t, 1, i2, i3);
                b.a(animatorSet, arrayList);
                animatorSet.addListener(new a(i3, m(i2), i2, m(i3)));
                animatorSet.start();
            } else {
                F(i2, i3);
            }
            this.j.I0();
            this.j.L0(z2);
            this.j.V0();
        }
    }

    private boolean f() {
        return (this.k == null || this.j.getEditText() == null) ? false : true;
    }

    private void h(@NonNull List<Animator> list, boolean z2, @Nullable TextView textView, int i2, int i3, int i4) {
        if (textView != null && z2) {
            if (i2 == i4 || i2 == i3) {
                list.add(i(textView, i4 == i2));
                if (i4 == i2) {
                    list.add(j(textView));
                }
            }
        }
    }

    private ObjectAnimator i(TextView textView, boolean z2) {
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(textView, View.ALPHA, z2 ? 1.0f : 0.0f);
        ofFloat.setDuration(167L);
        ofFloat.setInterpolator(com.google.android.material.a.a.f11326a);
        return ofFloat;
    }

    private ObjectAnimator j(TextView textView) {
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(textView, View.TRANSLATION_Y, -this.o, 0.0f);
        ofFloat.setDuration(217L);
        ofFloat.setInterpolator(com.google.android.material.a.a.f11329d);
        return ofFloat;
    }

    @Nullable
    private TextView m(int i2) {
        if (i2 == 1) {
            return this.t;
        }
        if (i2 != 2) {
            return null;
        }
        return this.z;
    }

    private int u(boolean z2, @DimenRes int i2, int i3) {
        return z2 ? this.i.getResources().getDimensionPixelSize(i2) : i3;
    }

    private boolean z(int i2) {
        if (i2 != 1 || this.t == null || TextUtils.isEmpty(this.r)) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    public boolean B(int i2) {
        return i2 == 0 || i2 == 1;
    }

    /* access modifiers changed from: package-private */
    public boolean C() {
        return this.s;
    }

    /* access modifiers changed from: package-private */
    public boolean D() {
        return this.y;
    }

    /* access modifiers changed from: package-private */
    public void E(TextView textView, int i2) {
        FrameLayout frameLayout;
        if (this.k != null) {
            if (!B(i2) || (frameLayout = this.m) == null) {
                this.k.removeView(textView);
            } else {
                frameLayout.removeView(textView);
            }
            int i3 = this.l - 1;
            this.l = i3;
            P(this.k, i3);
        }
    }

    /* access modifiers changed from: package-private */
    public void G(@Nullable CharSequence charSequence) {
        this.u = charSequence;
        TextView textView = this.t;
        if (textView != null) {
            textView.setContentDescription(charSequence);
        }
    }

    /* access modifiers changed from: package-private */
    public void H(boolean z2) {
        if (this.s != z2) {
            g();
            if (z2) {
                AppCompatTextView appCompatTextView = new AppCompatTextView(this.i);
                this.t = appCompatTextView;
                appCompatTextView.setId(R.id.textinput_error);
                if (Build.VERSION.SDK_INT >= 17) {
                    this.t.setTextAlignment(5);
                }
                Typeface typeface = this.C;
                if (typeface != null) {
                    this.t.setTypeface(typeface);
                }
                I(this.v);
                J(this.w);
                G(this.u);
                this.t.setVisibility(4);
                ViewCompat.setAccessibilityLiveRegion(this.t, 1);
                d(this.t, 0);
            } else {
                x();
                E(this.t, 0);
                this.t = null;
                this.j.I0();
                this.j.V0();
            }
            this.s = z2;
        }
    }

    /* access modifiers changed from: package-private */
    public void I(@StyleRes int i2) {
        this.v = i2;
        TextView textView = this.t;
        if (textView != null) {
            this.j.v0(textView, i2);
        }
    }

    /* access modifiers changed from: package-private */
    public void J(@Nullable ColorStateList colorStateList) {
        this.w = colorStateList;
        TextView textView = this.t;
        if (textView != null && colorStateList != null) {
            textView.setTextColor(colorStateList);
        }
    }

    /* access modifiers changed from: package-private */
    public void K(@StyleRes int i2) {
        this.A = i2;
        TextView textView = this.z;
        if (textView != null) {
            TextViewCompat.E(textView, i2);
        }
    }

    /* access modifiers changed from: package-private */
    public void L(boolean z2) {
        if (this.y != z2) {
            g();
            if (z2) {
                AppCompatTextView appCompatTextView = new AppCompatTextView(this.i);
                this.z = appCompatTextView;
                appCompatTextView.setId(R.id.textinput_helper_text);
                if (Build.VERSION.SDK_INT >= 17) {
                    this.z.setTextAlignment(5);
                }
                Typeface typeface = this.C;
                if (typeface != null) {
                    this.z.setTypeface(typeface);
                }
                this.z.setVisibility(4);
                ViewCompat.setAccessibilityLiveRegion(this.z, 1);
                K(this.A);
                M(this.B);
                d(this.z, 1);
            } else {
                y();
                E(this.z, 1);
                this.z = null;
                this.j.I0();
                this.j.V0();
            }
            this.y = z2;
        }
    }

    /* access modifiers changed from: package-private */
    public void M(@Nullable ColorStateList colorStateList) {
        this.B = colorStateList;
        TextView textView = this.z;
        if (textView != null && colorStateList != null) {
            textView.setTextColor(colorStateList);
        }
    }

    /* access modifiers changed from: package-private */
    public void O(Typeface typeface) {
        if (typeface != this.C) {
            this.C = typeface;
            N(this.t, typeface);
            N(this.z, typeface);
        }
    }

    /* access modifiers changed from: package-private */
    public void R(CharSequence charSequence) {
        g();
        this.r = charSequence;
        this.t.setText(charSequence);
        int i2 = this.p;
        if (i2 != 1) {
            this.q = 1;
        }
        T(i2, this.q, Q(this.t, charSequence));
    }

    /* access modifiers changed from: package-private */
    public void S(CharSequence charSequence) {
        g();
        this.x = charSequence;
        this.z.setText(charSequence);
        int i2 = this.p;
        if (i2 != 2) {
            this.q = 2;
        }
        T(i2, this.q, Q(this.z, charSequence));
    }

    /* access modifiers changed from: package-private */
    public void d(TextView textView, int i2) {
        if (this.k == null && this.m == null) {
            LinearLayout linearLayout = new LinearLayout(this.i);
            this.k = linearLayout;
            linearLayout.setOrientation(0);
            this.j.addView(this.k, -1, -2);
            this.m = new FrameLayout(this.i);
            this.k.addView(this.m, new LinearLayout.LayoutParams(0, -2, 1.0f));
            if (this.j.getEditText() != null) {
                e();
            }
        }
        if (B(i2)) {
            this.m.setVisibility(0);
            this.m.addView(textView);
        } else {
            this.k.addView(textView, new LinearLayout.LayoutParams(-2, -2));
        }
        this.k.setVisibility(0);
        this.l++;
    }

    /* access modifiers changed from: package-private */
    public void e() {
        if (f()) {
            EditText editText = this.j.getEditText();
            boolean g2 = c.g(this.i);
            LinearLayout linearLayout = this.k;
            int i2 = R.dimen.material_helper_text_font_1_3_padding_horizontal;
            ViewCompat.setPaddingRelative(linearLayout, u(g2, i2, ViewCompat.getPaddingStart(editText)), u(g2, R.dimen.material_helper_text_font_1_3_padding_top, this.i.getResources().getDimensionPixelSize(R.dimen.material_helper_text_default_padding_top)), u(g2, i2, ViewCompat.getPaddingEnd(editText)), 0);
        }
    }

    /* access modifiers changed from: package-private */
    public void g() {
        Animator animator = this.n;
        if (animator != null) {
            animator.cancel();
        }
    }

    /* access modifiers changed from: package-private */
    public boolean k() {
        return z(this.p);
    }

    /* access modifiers changed from: package-private */
    public boolean l() {
        return z(this.q);
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public CharSequence n() {
        return this.u;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public CharSequence o() {
        return this.r;
    }

    /* access modifiers changed from: package-private */
    @ColorInt
    public int p() {
        TextView textView = this.t;
        if (textView != null) {
            return textView.getCurrentTextColor();
        }
        return -1;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public ColorStateList q() {
        TextView textView = this.t;
        if (textView != null) {
            return textView.getTextColors();
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public CharSequence r() {
        return this.x;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public ColorStateList s() {
        TextView textView = this.z;
        if (textView != null) {
            return textView.getTextColors();
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    @ColorInt
    public int t() {
        TextView textView = this.z;
        if (textView != null) {
            return textView.getCurrentTextColor();
        }
        return -1;
    }

    /* access modifiers changed from: package-private */
    public boolean v() {
        return A(this.p);
    }

    /* access modifiers changed from: package-private */
    public boolean w() {
        return A(this.q);
    }

    /* access modifiers changed from: package-private */
    public void x() {
        this.r = null;
        g();
        if (this.p == 1) {
            if (!this.y || TextUtils.isEmpty(this.x)) {
                this.q = 0;
            } else {
                this.q = 2;
            }
        }
        T(this.p, this.q, Q(this.t, null));
    }

    /* access modifiers changed from: package-private */
    public void y() {
        g();
        int i2 = this.p;
        if (i2 == 2) {
            this.q = 0;
        }
        T(i2, this.q, Q(this.z, null));
    }
}
