package com.google.android.material.textfield;

import android.text.TextWatcher;
import android.text.method.PasswordTransformationMethod;
import android.view.View;
import android.widget.EditText;
import androidx.annotation.NonNull;
import com.google.android.material.R;
import com.google.android.material.internal.l;
import com.google.android.material.textfield.TextInputLayout;

/* access modifiers changed from: package-private */
/* compiled from: PasswordToggleEndIconDelegate */
public class h extends e {

    /* renamed from: d  reason: collision with root package name */
    private final TextWatcher f12070d = new a();

    /* renamed from: e  reason: collision with root package name */
    private final TextInputLayout.f f12071e = new b();
    private final TextInputLayout.g f = new c();

    /* compiled from: PasswordToggleEndIconDelegate */
    class a extends l {
        a() {
        }

        @Override // com.google.android.material.internal.l
        public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
            h hVar = h.this;
            hVar.f12062c.setChecked(!hVar.g());
        }
    }

    /* compiled from: PasswordToggleEndIconDelegate */
    class b implements TextInputLayout.f {
        b() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.f
        public void a(@NonNull TextInputLayout textInputLayout) {
            EditText editText = textInputLayout.getEditText();
            textInputLayout.setEndIconVisible(true);
            textInputLayout.setEndIconCheckable(true);
            h hVar = h.this;
            hVar.f12062c.setChecked(!hVar.g());
            editText.removeTextChangedListener(h.this.f12070d);
            editText.addTextChangedListener(h.this.f12070d);
        }
    }

    /* compiled from: PasswordToggleEndIconDelegate */
    class c implements TextInputLayout.g {

        /* compiled from: PasswordToggleEndIconDelegate */
        class a implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ EditText f12075a;

            a(EditText editText) {
                this.f12075a = editText;
            }

            public void run() {
                this.f12075a.removeTextChangedListener(h.this.f12070d);
            }
        }

        c() {
        }

        @Override // com.google.android.material.textfield.TextInputLayout.g
        public void a(@NonNull TextInputLayout textInputLayout, int i) {
            EditText editText = textInputLayout.getEditText();
            if (editText != null && i == 1) {
                editText.setTransformationMethod(PasswordTransformationMethod.getInstance());
                editText.post(new a(editText));
            }
        }
    }

    /* compiled from: PasswordToggleEndIconDelegate */
    class d implements View.OnClickListener {
        d() {
        }

        public void onClick(View view) {
            EditText editText = h.this.f12060a.getEditText();
            if (editText != null) {
                int selectionEnd = editText.getSelectionEnd();
                if (h.this.g()) {
                    editText.setTransformationMethod(null);
                } else {
                    editText.setTransformationMethod(PasswordTransformationMethod.getInstance());
                }
                if (selectionEnd >= 0) {
                    editText.setSelection(selectionEnd);
                }
                h.this.f12060a.i0();
            }
        }
    }

    h(@NonNull TextInputLayout textInputLayout) {
        super(textInputLayout);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean g() {
        EditText editText = this.f12060a.getEditText();
        return editText != null && (editText.getTransformationMethod() instanceof PasswordTransformationMethod);
    }

    private static boolean h(EditText editText) {
        return editText != null && (editText.getInputType() == 16 || editText.getInputType() == 128 || editText.getInputType() == 144 || editText.getInputType() == 224);
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.e
    public void a() {
        this.f12060a.setEndIconDrawable(androidx.appcompat.a.a.a.d(this.f12061b, R.drawable.design_password_eye));
        TextInputLayout textInputLayout = this.f12060a;
        textInputLayout.setEndIconContentDescription(textInputLayout.getResources().getText(R.string.password_toggle_content_description));
        this.f12060a.setEndIconOnClickListener(new d());
        this.f12060a.e(this.f12071e);
        this.f12060a.f(this.f);
        EditText editText = this.f12060a.getEditText();
        if (h(editText)) {
            editText.setTransformationMethod(PasswordTransformationMethod.getInstance());
        }
    }
}
