package com.google.android.material.timepicker;

import android.content.Context;
import android.content.res.Configuration;
import android.os.Build;
import android.text.Editable;
import android.text.InputFilter;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Checkable;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.ViewCompat;
import com.google.android.material.R;
import com.google.android.material.chip.Chip;
import com.google.android.material.internal.l;
import com.google.android.material.textfield.TextInputLayout;
import java.util.Arrays;

class ChipTextInputComboView extends FrameLayout implements Checkable {
    private final EditText I0;
    private TextWatcher J0;
    private TextView K0;

    /* renamed from: a  reason: collision with root package name */
    private final Chip f12080a;

    /* renamed from: b  reason: collision with root package name */
    private final TextInputLayout f12081b;

    private class b extends l {

        /* renamed from: a  reason: collision with root package name */
        private static final String f12082a = "00";

        private b() {
        }

        @Override // com.google.android.material.internal.l
        public void afterTextChanged(Editable editable) {
            if (TextUtils.isEmpty(editable)) {
                ChipTextInputComboView.this.f12080a.setText(ChipTextInputComboView.this.d(f12082a));
            } else {
                ChipTextInputComboView.this.f12080a.setText(ChipTextInputComboView.this.d(editable));
            }
        }
    }

    public ChipTextInputComboView(@NonNull Context context) {
        this(context, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String d(CharSequence charSequence) {
        return TimeModel.a(getResources(), charSequence);
    }

    private void j() {
        if (Build.VERSION.SDK_INT >= 24) {
            this.I0.setImeHintLocales(getContext().getResources().getConfiguration().getLocales());
        }
    }

    public void c(InputFilter inputFilter) {
        InputFilter[] filters = this.I0.getFilters();
        InputFilter[] inputFilterArr = (InputFilter[]) Arrays.copyOf(filters, filters.length + 1);
        inputFilterArr[filters.length] = inputFilter;
        this.I0.setFilters(inputFilterArr);
    }

    public TextInputLayout e() {
        return this.f12081b;
    }

    public void f(AccessibilityDelegateCompat accessibilityDelegateCompat) {
        ViewCompat.setAccessibilityDelegate(this.f12080a, accessibilityDelegateCompat);
    }

    public void g(boolean z) {
        this.I0.setCursorVisible(z);
    }

    public void h(CharSequence charSequence) {
        this.K0.setText(charSequence);
    }

    public void i(CharSequence charSequence) {
        this.f12080a.setText(d(charSequence));
        if (!TextUtils.isEmpty(this.I0.getText())) {
            this.I0.removeTextChangedListener(this.J0);
            this.I0.setText((CharSequence) null);
            this.I0.addTextChangedListener(this.J0);
        }
    }

    public boolean isChecked() {
        return this.f12080a.isChecked();
    }

    /* access modifiers changed from: protected */
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        j();
    }

    public void setChecked(boolean z) {
        this.f12080a.setChecked(z);
        int i = 0;
        this.I0.setVisibility(z ? 0 : 4);
        Chip chip = this.f12080a;
        if (z) {
            i = 8;
        }
        chip.setVisibility(i);
        if (isChecked()) {
            this.I0.requestFocus();
            if (!TextUtils.isEmpty(this.I0.getText())) {
                EditText editText = this.I0;
                editText.setSelection(editText.getText().length());
            }
        }
    }

    public void setOnClickListener(@Nullable View.OnClickListener onClickListener) {
        this.f12080a.setOnClickListener(onClickListener);
    }

    public void setTag(int i, Object obj) {
        this.f12080a.setTag(i, obj);
    }

    public void toggle() {
        this.f12080a.toggle();
    }

    public ChipTextInputComboView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ChipTextInputComboView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        LayoutInflater from = LayoutInflater.from(context);
        Chip chip = (Chip) from.inflate(R.layout.material_time_chip, (ViewGroup) this, false);
        this.f12080a = chip;
        TextInputLayout textInputLayout = (TextInputLayout) from.inflate(R.layout.material_time_input, (ViewGroup) this, false);
        this.f12081b = textInputLayout;
        EditText editText = textInputLayout.getEditText();
        this.I0 = editText;
        editText.setVisibility(4);
        b bVar = new b();
        this.J0 = bVar;
        editText.addTextChangedListener(bVar);
        j();
        addView(chip);
        addView(textInputLayout);
        this.K0 = (TextView) findViewById(R.id.material_label);
        editText.setSaveEnabled(false);
    }
}
