package com.google.android.material.timepicker;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.util.Pair;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import androidx.annotation.Dimension;
import androidx.annotation.FloatRange;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.core.view.ViewCompat;
import com.google.android.material.R;
import java.util.ArrayList;
import java.util.List;

/* access modifiers changed from: package-private */
public class ClockHandView extends View {

    /* renamed from: a  reason: collision with root package name */
    private static final int f12086a = 200;
    private boolean I0;
    private float J0;
    private float K0;
    private boolean L0;
    private int M0;
    private final List<d> N0;
    private final int O0;
    private final float P0;
    private final Paint Q0;
    private final RectF R0;
    @Px
    private final int S0;
    private float T0;
    private boolean U0;
    private c V0;
    private double W0;
    private int X0;

    /* renamed from: b  reason: collision with root package name */
    private ValueAnimator f12087b;

    /* access modifiers changed from: package-private */
    public class a implements ValueAnimator.AnimatorUpdateListener {
        a() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            ClockHandView.this.n(((Float) valueAnimator.getAnimatedValue()).floatValue(), true);
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends AnimatorListenerAdapter {
        b() {
        }

        public void onAnimationCancel(Animator animator) {
            animator.end();
        }
    }

    public interface c {
        void e(@FloatRange(from = 0.0d, to = 360.0d) float f, boolean z);
    }

    public interface d {
        void d(@FloatRange(from = 0.0d, to = 360.0d) float f, boolean z);
    }

    public ClockHandView(Context context) {
        this(context, null);
    }

    private void c(Canvas canvas) {
        int height = getHeight() / 2;
        int width = getWidth() / 2;
        float f = (float) width;
        float f2 = (float) height;
        this.Q0.setStrokeWidth(0.0f);
        canvas.drawCircle((((float) this.X0) * ((float) Math.cos(this.W0))) + f, (((float) this.X0) * ((float) Math.sin(this.W0))) + f2, (float) this.O0, this.Q0);
        double sin = Math.sin(this.W0);
        double cos = Math.cos(this.W0);
        double d2 = (double) ((float) (this.X0 - this.O0));
        this.Q0.setStrokeWidth((float) this.S0);
        canvas.drawLine(f, f2, (float) (width + ((int) (cos * d2))), (float) (height + ((int) (d2 * sin))), this.Q0);
        canvas.drawCircle(f, f2, this.P0, this.Q0);
    }

    private int e(float f, float f2) {
        int degrees = ((int) Math.toDegrees(Math.atan2((double) (f2 - ((float) (getHeight() / 2))), (double) (f - ((float) (getWidth() / 2)))))) + 90;
        return degrees < 0 ? degrees + 360 : degrees;
    }

    private Pair<Float, Float> h(float f) {
        float f2 = f();
        if (Math.abs(f2 - f) > 180.0f) {
            if (f2 > 180.0f && f < 180.0f) {
                f += 360.0f;
            }
            if (f2 < 180.0f && f > 180.0f) {
                f2 += 360.0f;
            }
        }
        return new Pair<>(Float.valueOf(f2), Float.valueOf(f));
    }

    private boolean i(float f, float f2, boolean z, boolean z2, boolean z3) {
        float e2 = (float) e(f, f2);
        boolean z4 = false;
        boolean z5 = f() != e2;
        if (z2 && z5) {
            return true;
        }
        if (!z5 && !z) {
            return false;
        }
        if (z3 && this.I0) {
            z4 = true;
        }
        m(e2, z4);
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void n(@FloatRange(from = 0.0d, to = 360.0d) float f, boolean z) {
        float f2 = f % 360.0f;
        this.T0 = f2;
        this.W0 = Math.toRadians((double) (f2 - 90.0f));
        float width = ((float) (getWidth() / 2)) + (((float) this.X0) * ((float) Math.cos(this.W0)));
        float height = ((float) (getHeight() / 2)) + (((float) this.X0) * ((float) Math.sin(this.W0)));
        RectF rectF = this.R0;
        int i = this.O0;
        rectF.set(width - ((float) i), height - ((float) i), width + ((float) i), height + ((float) i));
        for (d dVar : this.N0) {
            dVar.d(f2, z);
        }
        invalidate();
    }

    public void b(d dVar) {
        this.N0.add(dVar);
    }

    public RectF d() {
        return this.R0;
    }

    @FloatRange(from = 0.0d, to = 360.0d)
    public float f() {
        return this.T0;
    }

    public int g() {
        return this.O0;
    }

    public void j(boolean z) {
        this.I0 = z;
    }

    public void k(@Dimension int i) {
        this.X0 = i;
        invalidate();
    }

    public void l(@FloatRange(from = 0.0d, to = 360.0d) float f) {
        m(f, false);
    }

    public void m(@FloatRange(from = 0.0d, to = 360.0d) float f, boolean z) {
        ValueAnimator valueAnimator = this.f12087b;
        if (valueAnimator != null) {
            valueAnimator.cancel();
        }
        if (!z) {
            n(f, false);
            return;
        }
        Pair<Float, Float> h = h(f);
        ValueAnimator ofFloat = ValueAnimator.ofFloat(((Float) h.first).floatValue(), ((Float) h.second).floatValue());
        this.f12087b = ofFloat;
        ofFloat.setDuration(200L);
        this.f12087b.addUpdateListener(new a());
        this.f12087b.addListener(new b());
        this.f12087b.start();
    }

    public void o(c cVar) {
        this.V0 = cVar;
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        c(canvas);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        l(f());
    }

    @SuppressLint({"ClickableViewAccessibility"})
    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z;
        boolean z2;
        boolean z3;
        c cVar;
        int actionMasked = motionEvent.getActionMasked();
        float x = motionEvent.getX();
        float y = motionEvent.getY();
        if (actionMasked != 0) {
            if (actionMasked == 1 || actionMasked == 2) {
                int i = (int) (x - this.J0);
                int i2 = (int) (y - this.K0);
                this.L0 = (i * i) + (i2 * i2) > this.M0;
                boolean z4 = this.U0;
                z3 = actionMasked == 1;
                z2 = z4;
            } else {
                z3 = false;
                z2 = false;
            }
            z = false;
        } else {
            this.J0 = x;
            this.K0 = y;
            this.L0 = true;
            this.U0 = false;
            z3 = false;
            z2 = false;
            z = true;
        }
        boolean i3 = i(x, y, z2, z, z3) | this.U0;
        this.U0 = i3;
        if (i3 && z3 && (cVar = this.V0) != null) {
            cVar.e((float) e(x, y), this.L0);
        }
        return true;
    }

    public ClockHandView(Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.materialClockStyle);
    }

    public ClockHandView(Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.N0 = new ArrayList();
        Paint paint = new Paint();
        this.Q0 = paint;
        this.R0 = new RectF();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ClockHandView, i, R.style.Widget_MaterialComponents_TimePicker_Clock);
        this.X0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ClockHandView_materialCircleRadius, 0);
        this.O0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ClockHandView_selectorSize, 0);
        Resources resources = getResources();
        this.S0 = resources.getDimensionPixelSize(R.dimen.material_clock_hand_stroke_width);
        this.P0 = (float) resources.getDimensionPixelSize(R.dimen.material_clock_hand_center_dot_radius);
        int color = obtainStyledAttributes.getColor(R.styleable.ClockHandView_clockHandColor, 0);
        paint.setAntiAlias(true);
        paint.setColor(color);
        l(0.0f);
        this.M0 = ViewConfiguration.get(context).getScaledTouchSlop();
        ViewCompat.setImportantForAccessibility(this, 2);
        obtainStyledAttributes.recycle();
    }
}
