package com.google.android.material.timepicker;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Handler;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.ColorInt;
import androidx.annotation.Dimension;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.c;
import androidx.core.view.ViewCompat;
import com.google.android.material.R;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.k;

class RadialViewGroup extends ConstraintLayout {

    /* renamed from: a  reason: collision with root package name */
    private static final String f12090a = "skip";
    private int I0;
    private MaterialShapeDrawable J0;

    /* renamed from: b  reason: collision with root package name */
    private final Runnable f12091b;

    class a implements Runnable {
        a() {
        }

        public void run() {
            RadialViewGroup.this.j();
        }
    }

    public RadialViewGroup(@NonNull Context context) {
        this(context, null);
    }

    private Drawable f() {
        MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
        this.J0 = materialShapeDrawable;
        materialShapeDrawable.k0(new k(0.5f));
        this.J0.n0(ColorStateList.valueOf(-1));
        return this.J0;
    }

    private static boolean i(View view) {
        return f12090a.equals(view.getTag());
    }

    private void k() {
        Handler handler = getHandler();
        if (handler != null) {
            handler.removeCallbacks(this.f12091b);
            handler.post(this.f12091b);
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        super.addView(view, i, layoutParams);
        if (view.getId() == -1) {
            view.setId(ViewCompat.generateViewId());
        }
        k();
    }

    @Dimension
    public int g() {
        return this.I0;
    }

    public void h(@Dimension int i) {
        this.I0 = i;
        j();
    }

    /* access modifiers changed from: protected */
    public void j() {
        int childCount = getChildCount();
        int i = 1;
        for (int i2 = 0; i2 < childCount; i2++) {
            if (i(getChildAt(i2))) {
                i++;
            }
        }
        c cVar = new c();
        cVar.H(this);
        float f = 0.0f;
        for (int i3 = 0; i3 < childCount; i3++) {
            View childAt = getChildAt(i3);
            int id = childAt.getId();
            int i4 = R.id.circle_center;
            if (id != i4 && !i(childAt)) {
                cVar.M(childAt.getId(), i4, this.I0, f);
                f += 360.0f / ((float) (childCount - i));
            }
        }
        cVar.r(this);
    }

    /* access modifiers changed from: protected */
    public void onFinishInflate() {
        super.onFinishInflate();
        j();
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onViewRemoved(View view) {
        super.onViewRemoved(view);
        k();
    }

    public void setBackgroundColor(@ColorInt int i) {
        this.J0.n0(ColorStateList.valueOf(i));
    }

    public RadialViewGroup(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public RadialViewGroup(@NonNull Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        LayoutInflater.from(context).inflate(R.layout.material_radial_view_group, this);
        ViewCompat.setBackground(this, f());
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.RadialViewGroup, i, 0);
        this.I0 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.RadialViewGroup_materialCircleRadius, 0);
        this.f12091b = new a();
        obtainStyledAttributes.recycle();
    }
}
