package com.google.android.material.timepicker;

import android.annotation.SuppressLint;
import android.content.Context;
import android.util.AttributeSet;
import android.view.GestureDetector;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Checkable;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.StringRes;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.ViewCompat;
import com.google.android.material.R;
import com.google.android.material.button.MaterialButtonToggleGroup;
import com.google.android.material.chip.Chip;
import com.google.android.material.timepicker.ClockHandView;
import java.util.Locale;

class TimePickerView extends ConstraintLayout implements TimePickerControls {
    private final ClockHandView I0;
    private final ClockFaceView J0;
    private final MaterialButtonToggleGroup K0;
    private final View.OnClickListener L0;
    private f M0;
    private g N0;
    private e O0;

    /* renamed from: a  reason: collision with root package name */
    private final Chip f12095a;

    /* renamed from: b  reason: collision with root package name */
    private final Chip f12096b;

    class a implements View.OnClickListener {
        a() {
        }

        public void onClick(View view) {
            if (TimePickerView.this.N0 != null) {
                TimePickerView.this.N0.g(((Integer) view.getTag(R.id.selection_type)).intValue());
            }
        }
    }

    class b implements MaterialButtonToggleGroup.e {
        b() {
        }

        @Override // com.google.android.material.button.MaterialButtonToggleGroup.e
        public void a(MaterialButtonToggleGroup materialButtonToggleGroup, int i, boolean z) {
            int i2 = i == R.id.material_clock_period_pm_button ? 1 : 0;
            if (TimePickerView.this.M0 != null && z) {
                TimePickerView.this.M0.f(i2);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends GestureDetector.SimpleOnGestureListener {
        c() {
        }

        public boolean onDoubleTap(MotionEvent motionEvent) {
            boolean onDoubleTap = super.onDoubleTap(motionEvent);
            if (TimePickerView.this.O0 != null) {
                TimePickerView.this.O0.a();
            }
            return onDoubleTap;
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements View.OnTouchListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ GestureDetector f12100a;

        d(GestureDetector gestureDetector) {
            this.f12100a = gestureDetector;
        }

        public boolean onTouch(View view, MotionEvent motionEvent) {
            if (((Checkable) view).isChecked()) {
                return this.f12100a.onTouchEvent(motionEvent);
            }
            return false;
        }
    }

    /* access modifiers changed from: package-private */
    public interface e {
        void a();
    }

    /* access modifiers changed from: package-private */
    public interface f {
        void f(int i);
    }

    /* access modifiers changed from: package-private */
    public interface g {
        void g(int i);
    }

    public TimePickerView(Context context) {
        this(context, null);
    }

    private void r() {
        Chip chip = this.f12095a;
        int i = R.id.selection_type;
        chip.setTag(i, 12);
        this.f12096b.setTag(i, 10);
        this.f12095a.setOnClickListener(this.L0);
        this.f12096b.setOnClickListener(this.L0);
    }

    @SuppressLint({"ClickableViewAccessibility"})
    private void s() {
        d dVar = new d(new GestureDetector(getContext(), new c()));
        this.f12095a.setOnTouchListener(dVar);
        this.f12096b.setOnTouchListener(dVar);
    }

    private void u() {
        if (this.K0.getVisibility() == 0) {
            androidx.constraintlayout.widget.c cVar = new androidx.constraintlayout.widget.c();
            cVar.H(this);
            int i = 1;
            if (ViewCompat.getLayoutDirection(this) == 0) {
                i = 2;
            }
            cVar.F(R.id.material_clock_display, i);
            cVar.r(this);
        }
    }

    @Override // com.google.android.material.timepicker.TimePickerControls
    public void a(int i) {
        boolean z = true;
        this.f12095a.setChecked(i == 12);
        Chip chip = this.f12096b;
        if (i != 10) {
            z = false;
        }
        chip.setChecked(z);
    }

    @Override // com.google.android.material.timepicker.TimePickerControls
    @SuppressLint({"DefaultLocale"})
    public void b(int i, int i2, int i3) {
        this.K0.j(i == 1 ? R.id.material_clock_period_pm_button : R.id.material_clock_period_am_button);
        Locale locale = getResources().getConfiguration().locale;
        String format = String.format(locale, TimeModel.f12093a, Integer.valueOf(i3));
        String format2 = String.format(locale, TimeModel.f12093a, Integer.valueOf(i2));
        this.f12095a.setText(format);
        this.f12096b.setText(format2);
    }

    @Override // com.google.android.material.timepicker.TimePickerControls
    public void c(String[] strArr, @StringRes int i) {
        this.J0.c(strArr, i);
    }

    @Override // com.google.android.material.timepicker.TimePickerControls
    public void e(float f2) {
        this.I0.l(f2);
    }

    public void i(ClockHandView.d dVar) {
        this.I0.b(dVar);
    }

    public void j(boolean z) {
        this.I0.j(z);
    }

    public void k(float f2, boolean z) {
        this.I0.m(f2, z);
    }

    public void l(AccessibilityDelegateCompat accessibilityDelegateCompat) {
        ViewCompat.setAccessibilityDelegate(this.f12095a, accessibilityDelegateCompat);
    }

    public void m(AccessibilityDelegateCompat accessibilityDelegateCompat) {
        ViewCompat.setAccessibilityDelegate(this.f12096b, accessibilityDelegateCompat);
    }

    public void n(ClockHandView.c cVar) {
        this.I0.o(cVar);
    }

    /* access modifiers changed from: package-private */
    public void o(@Nullable e eVar) {
        this.O0 = eVar;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        u();
    }

    /* access modifiers changed from: protected */
    public void onVisibilityChanged(@NonNull View view, int i) {
        super.onVisibilityChanged(view, i);
        if (view == this && i == 0) {
            u();
        }
    }

    /* access modifiers changed from: package-private */
    public void p(f fVar) {
        this.M0 = fVar;
    }

    /* access modifiers changed from: package-private */
    public void q(g gVar) {
        this.N0 = gVar;
    }

    public void t() {
        this.K0.setVisibility(0);
    }

    public TimePickerView(Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public TimePickerView(Context context, @Nullable AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.L0 = new a();
        LayoutInflater.from(context).inflate(R.layout.material_timepicker, this);
        this.J0 = (ClockFaceView) findViewById(R.id.material_clock_face);
        MaterialButtonToggleGroup materialButtonToggleGroup = (MaterialButtonToggleGroup) findViewById(R.id.material_clock_period_toggle);
        this.K0 = materialButtonToggleGroup;
        materialButtonToggleGroup.g(new b());
        this.f12095a = (Chip) findViewById(R.id.material_minute_tv);
        this.f12096b = (Chip) findViewById(R.id.material_hour_tv);
        this.I0 = (ClockHandView) findViewById(R.id.material_clock_hand);
        s();
        r();
    }
}
