package com.google.android.material.timepicker;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Pair;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStub;
import android.view.Window;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.DrawableRes;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.StringRes;
import com.google.android.material.R;
import com.google.android.material.button.MaterialButton;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.timepicker.TimePickerView;
import java.util.LinkedHashSet;
import java.util.Set;

/* compiled from: MaterialTimePicker */
public final class b extends androidx.fragment.app.b {
    static final String I0 = "TIME_PICKER_TIME_MODEL";
    static final String J0 = "TIME_PICKER_INPUT_MODE";
    static final String K0 = "TIME_PICKER_TITLE_RES";
    static final String L0 = "TIME_PICKER_TITLE_TEXT";

    /* renamed from: a  reason: collision with root package name */
    public static final int f12103a = 0;

    /* renamed from: b  reason: collision with root package name */
    public static final int f12104b = 1;
    private final Set<View.OnClickListener> M0 = new LinkedHashSet();
    private final Set<View.OnClickListener> N0 = new LinkedHashSet();
    private final Set<DialogInterface.OnCancelListener> O0 = new LinkedHashSet();
    private final Set<DialogInterface.OnDismissListener> P0 = new LinkedHashSet();
    private TimePickerView Q0;
    private LinearLayout R0;
    private ViewStub S0;
    @Nullable
    private d T0;
    @Nullable
    private g U0;
    @Nullable
    private e V0;
    @DrawableRes
    private int W0;
    @DrawableRes
    private int X0;
    private int Y0 = 0;
    private String Z0;
    private MaterialButton a1;
    private int b1 = 0;
    private TimeModel c1;

    /* compiled from: MaterialTimePicker */
    class a implements TimePickerView.e {
        a() {
        }

        @Override // com.google.android.material.timepicker.TimePickerView.e
        public void a() {
            b.this.b1 = 1;
            b bVar = b.this;
            bVar.q0(bVar.a1);
            b.this.U0.j();
        }
    }

    /* renamed from: com.google.android.material.timepicker.b$b  reason: collision with other inner class name */
    /* compiled from: MaterialTimePicker */
    class View$OnClickListenerC0273b implements View.OnClickListener {
        View$OnClickListenerC0273b() {
        }

        public void onClick(View view) {
            for (View.OnClickListener onClickListener : b.this.M0) {
                onClickListener.onClick(view);
            }
            b.this.dismiss();
        }
    }

    /* compiled from: MaterialTimePicker */
    class c implements View.OnClickListener {
        c() {
        }

        public void onClick(View view) {
            for (View.OnClickListener onClickListener : b.this.N0) {
                onClickListener.onClick(view);
            }
            b.this.dismiss();
        }
    }

    /* compiled from: MaterialTimePicker */
    class d implements View.OnClickListener {
        d() {
        }

        public void onClick(View view) {
            b bVar = b.this;
            bVar.b1 = bVar.b1 == 0 ? 1 : 0;
            b bVar2 = b.this;
            bVar2.q0(bVar2.a1);
        }
    }

    /* compiled from: MaterialTimePicker */
    public static final class e {

        /* renamed from: a  reason: collision with root package name */
        private TimeModel f12109a = new TimeModel();

        /* renamed from: b  reason: collision with root package name */
        private int f12110b;

        /* renamed from: c  reason: collision with root package name */
        private int f12111c = 0;

        /* renamed from: d  reason: collision with root package name */
        private CharSequence f12112d;

        @NonNull
        public b e() {
            return b.k0(this);
        }

        @NonNull
        public e f(@IntRange(from = 0, to = 23) int i) {
            this.f12109a.h(i);
            return this;
        }

        @NonNull
        public e g(int i) {
            this.f12110b = i;
            return this;
        }

        @NonNull
        public e h(@IntRange(from = 0, to = 60) int i) {
            this.f12109a.i(i);
            return this;
        }

        @NonNull
        public e i(int i) {
            TimeModel timeModel = this.f12109a;
            int i2 = timeModel.L0;
            int i3 = timeModel.M0;
            TimeModel timeModel2 = new TimeModel(i);
            this.f12109a = timeModel2;
            timeModel2.i(i3);
            this.f12109a.h(i2);
            return this;
        }

        @NonNull
        public e j(@StringRes int i) {
            this.f12111c = i;
            return this;
        }

        @NonNull
        public e k(@Nullable CharSequence charSequence) {
            this.f12112d = charSequence;
            return this;
        }
    }

    private Pair<Integer, Integer> b0(int i) {
        if (i == 0) {
            return new Pair<>(Integer.valueOf(this.W0), Integer.valueOf(R.string.material_timepicker_text_input_mode_description));
        }
        if (i == 1) {
            return new Pair<>(Integer.valueOf(this.X0), Integer.valueOf(R.string.material_timepicker_clock_mode_description));
        }
        throw new IllegalArgumentException("no icon for mode: " + i);
    }

    private e j0(int i) {
        if (i == 0) {
            d dVar = this.T0;
            if (dVar == null) {
                dVar = new d(this.Q0, this.c1);
            }
            this.T0 = dVar;
            return dVar;
        }
        if (this.U0 == null) {
            LinearLayout linearLayout = (LinearLayout) this.S0.inflate();
            this.R0 = linearLayout;
            this.U0 = new g(linearLayout, this.c1);
        }
        this.U0.f();
        return this.U0;
    }

    /* access modifiers changed from: private */
    @NonNull
    public static b k0(@NonNull e eVar) {
        b bVar = new b();
        Bundle bundle = new Bundle();
        bundle.putParcelable(I0, eVar.f12109a);
        bundle.putInt(J0, eVar.f12110b);
        bundle.putInt(K0, eVar.f12111c);
        if (eVar.f12112d != null) {
            bundle.putString(L0, eVar.f12112d.toString());
        }
        bVar.setArguments(bundle);
        return bVar;
    }

    private void p0(@Nullable Bundle bundle) {
        if (bundle != null) {
            TimeModel timeModel = (TimeModel) bundle.getParcelable(I0);
            this.c1 = timeModel;
            if (timeModel == null) {
                this.c1 = new TimeModel();
            }
            this.b1 = bundle.getInt(J0, 0);
            this.Y0 = bundle.getInt(K0, 0);
            this.Z0 = bundle.getString(L0);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void q0(MaterialButton materialButton) {
        e eVar = this.V0;
        if (eVar != null) {
            eVar.h();
        }
        e j0 = j0(this.b1);
        this.V0 = j0;
        j0.b();
        this.V0.a();
        Pair<Integer, Integer> b0 = b0(this.b1);
        materialButton.setIconResource(((Integer) b0.first).intValue());
        materialButton.setContentDescription(getResources().getString(((Integer) b0.second).intValue()));
    }

    public boolean Q(@NonNull DialogInterface.OnCancelListener onCancelListener) {
        return this.O0.add(onCancelListener);
    }

    public boolean R(@NonNull DialogInterface.OnDismissListener onDismissListener) {
        return this.P0.add(onDismissListener);
    }

    public boolean S(@NonNull View.OnClickListener onClickListener) {
        return this.N0.add(onClickListener);
    }

    public boolean U(@NonNull View.OnClickListener onClickListener) {
        return this.M0.add(onClickListener);
    }

    public void V() {
        this.O0.clear();
    }

    public void W() {
        this.P0.clear();
    }

    public void Z() {
        this.N0.clear();
    }

    public void a0() {
        this.M0.clear();
    }

    @IntRange(from = 0, to = 23)
    public int d0() {
        return this.c1.L0 % 24;
    }

    public int f0() {
        return this.b1;
    }

    @IntRange(from = 0, to = 60)
    public int h0() {
        return this.c1.M0;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public d i0() {
        return this.T0;
    }

    public boolean l0(@NonNull DialogInterface.OnCancelListener onCancelListener) {
        return this.O0.remove(onCancelListener);
    }

    public boolean m0(@NonNull DialogInterface.OnDismissListener onDismissListener) {
        return this.P0.remove(onDismissListener);
    }

    public boolean n0(@NonNull View.OnClickListener onClickListener) {
        return this.N0.remove(onClickListener);
    }

    public boolean o0(@NonNull View.OnClickListener onClickListener) {
        return this.M0.remove(onClickListener);
    }

    @Override // androidx.fragment.app.b
    public final void onCancel(@NonNull DialogInterface dialogInterface) {
        for (DialogInterface.OnCancelListener onCancelListener : this.O0) {
            onCancelListener.onCancel(dialogInterface);
        }
        super.onCancel(dialogInterface);
    }

    @Override // androidx.fragment.app.b, androidx.fragment.app.Fragment
    public void onCreate(@Nullable Bundle bundle) {
        super.onCreate(bundle);
        if (bundle == null) {
            bundle = getArguments();
        }
        p0(bundle);
    }

    @Override // androidx.fragment.app.b
    @NonNull
    public final Dialog onCreateDialog(@Nullable Bundle bundle) {
        TypedValue a2 = com.google.android.material.i.b.a(requireContext(), R.attr.materialTimePickerTheme);
        Dialog dialog = new Dialog(requireContext(), a2 == null ? 0 : a2.data);
        Context context = dialog.getContext();
        int f = com.google.android.material.i.b.f(context, R.attr.colorSurface, b.class.getCanonicalName());
        int i = R.attr.materialTimePickerStyle;
        int i2 = R.style.Widget_MaterialComponents_TimePicker;
        MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable(context, null, i, i2);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(null, R.styleable.MaterialTimePicker, i, i2);
        this.X0 = obtainStyledAttributes.getResourceId(R.styleable.MaterialTimePicker_clockIcon, 0);
        this.W0 = obtainStyledAttributes.getResourceId(R.styleable.MaterialTimePicker_keyboardIcon, 0);
        obtainStyledAttributes.recycle();
        materialShapeDrawable.Y(context);
        materialShapeDrawable.n0(ColorStateList.valueOf(f));
        Window window = dialog.getWindow();
        window.setBackgroundDrawable(materialShapeDrawable);
        window.requestFeature(1);
        window.setLayout(-2, -2);
        return dialog;
    }

    @Override // androidx.fragment.app.Fragment
    @NonNull
    public final View onCreateView(@NonNull LayoutInflater layoutInflater, @Nullable ViewGroup viewGroup, @Nullable Bundle bundle) {
        ViewGroup viewGroup2 = (ViewGroup) layoutInflater.inflate(R.layout.material_timepicker_dialog, viewGroup);
        TimePickerView timePickerView = (TimePickerView) viewGroup2.findViewById(R.id.material_timepicker_view);
        this.Q0 = timePickerView;
        timePickerView.o(new a());
        this.S0 = (ViewStub) viewGroup2.findViewById(R.id.material_textinput_timepicker);
        this.a1 = (MaterialButton) viewGroup2.findViewById(R.id.material_timepicker_mode_button);
        TextView textView = (TextView) viewGroup2.findViewById(R.id.header_title);
        if (!TextUtils.isEmpty(this.Z0)) {
            textView.setText(this.Z0);
        }
        int i = this.Y0;
        if (i != 0) {
            textView.setText(i);
        }
        q0(this.a1);
        ((Button) viewGroup2.findViewById(R.id.material_timepicker_ok_button)).setOnClickListener(new View$OnClickListenerC0273b());
        ((Button) viewGroup2.findViewById(R.id.material_timepicker_cancel_button)).setOnClickListener(new c());
        this.a1.setOnClickListener(new d());
        return viewGroup2;
    }

    @Override // androidx.fragment.app.b
    public final void onDismiss(@NonNull DialogInterface dialogInterface) {
        for (DialogInterface.OnDismissListener onDismissListener : this.P0) {
            onDismissListener.onDismiss(dialogInterface);
        }
        ViewGroup viewGroup = (ViewGroup) getView();
        if (viewGroup != null) {
            viewGroup.removeAllViews();
        }
        super.onDismiss(dialogInterface);
    }

    @Override // androidx.fragment.app.b, androidx.fragment.app.Fragment
    public void onSaveInstanceState(@NonNull Bundle bundle) {
        super.onSaveInstanceState(bundle);
        bundle.putParcelable(I0, this.c1);
        bundle.putInt(J0, this.b1);
        bundle.putInt(K0, this.Y0);
        bundle.putString(L0, this.Z0);
    }
}
