package com.google.android.material.timepicker;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.View;
import android.view.inputmethod.InputMethodManager;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.ColorInt;
import com.google.android.material.R;
import com.google.android.material.button.MaterialButtonToggleGroup;
import com.google.android.material.internal.l;
import com.google.android.material.timepicker.TimePickerView;
import java.lang.reflect.Field;
import java.util.Locale;

/* access modifiers changed from: package-private */
/* compiled from: TimePickerTextInputPresenter */
public class g implements TimePickerView.g, e {
    private final TextWatcher I0 = new a();
    private final TextWatcher J0 = new b();
    private final ChipTextInputComboView K0;
    private final ChipTextInputComboView L0;
    private final f M0;
    private final EditText N0;
    private final EditText O0;
    private MaterialButtonToggleGroup P0;

    /* renamed from: a  reason: collision with root package name */
    private final LinearLayout f12118a;

    /* renamed from: b  reason: collision with root package name */
    private final TimeModel f12119b;

    /* compiled from: TimePickerTextInputPresenter */
    class a extends l {
        a() {
        }

        @Override // com.google.android.material.internal.l
        public void afterTextChanged(Editable editable) {
            try {
                if (TextUtils.isEmpty(editable)) {
                    g.this.f12119b.i(0);
                    return;
                }
                g.this.f12119b.i(Integer.parseInt(editable.toString()));
            } catch (NumberFormatException unused) {
            }
        }
    }

    /* compiled from: TimePickerTextInputPresenter */
    class b extends l {
        b() {
        }

        @Override // com.google.android.material.internal.l
        public void afterTextChanged(Editable editable) {
            try {
                if (TextUtils.isEmpty(editable)) {
                    g.this.f12119b.g(0);
                    return;
                }
                g.this.f12119b.g(Integer.parseInt(editable.toString()));
            } catch (NumberFormatException unused) {
            }
        }
    }

    /* compiled from: TimePickerTextInputPresenter */
    class c implements View.OnClickListener {
        c() {
        }

        public void onClick(View view) {
            g.this.g(((Integer) view.getTag(R.id.selection_type)).intValue());
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: TimePickerTextInputPresenter */
    public class d implements MaterialButtonToggleGroup.e {
        d() {
        }

        @Override // com.google.android.material.button.MaterialButtonToggleGroup.e
        public void a(MaterialButtonToggleGroup materialButtonToggleGroup, int i, boolean z) {
            g.this.f12119b.j(i == R.id.material_clock_period_pm_button ? 1 : 0);
        }
    }

    public g(LinearLayout linearLayout, TimeModel timeModel) {
        this.f12118a = linearLayout;
        this.f12119b = timeModel;
        Resources resources = linearLayout.getResources();
        ChipTextInputComboView chipTextInputComboView = (ChipTextInputComboView) linearLayout.findViewById(R.id.material_minute_text_input);
        this.K0 = chipTextInputComboView;
        ChipTextInputComboView chipTextInputComboView2 = (ChipTextInputComboView) linearLayout.findViewById(R.id.material_hour_text_input);
        this.L0 = chipTextInputComboView2;
        int i = R.id.material_label;
        ((TextView) chipTextInputComboView.findViewById(i)).setText(resources.getString(R.string.material_timepicker_minute));
        ((TextView) chipTextInputComboView2.findViewById(i)).setText(resources.getString(R.string.material_timepicker_hour));
        int i2 = R.id.selection_type;
        chipTextInputComboView.setTag(i2, 12);
        chipTextInputComboView2.setTag(i2, 10);
        if (timeModel.K0 == 0) {
            m();
        }
        c cVar = new c();
        chipTextInputComboView2.setOnClickListener(cVar);
        chipTextInputComboView.setOnClickListener(cVar);
        chipTextInputComboView2.c(timeModel.d());
        chipTextInputComboView.c(timeModel.e());
        EditText editText = chipTextInputComboView2.e().getEditText();
        this.N0 = editText;
        EditText editText2 = chipTextInputComboView.e().getEditText();
        this.O0 = editText2;
        if (Build.VERSION.SDK_INT < 21) {
            int d2 = com.google.android.material.c.a.d(linearLayout, R.attr.colorPrimary);
            k(editText, d2);
            k(editText2, d2);
        }
        this.M0 = new f(chipTextInputComboView2, chipTextInputComboView, timeModel);
        chipTextInputComboView2.f(new a(linearLayout.getContext(), R.string.material_hour_selection));
        chipTextInputComboView.f(new a(linearLayout.getContext(), R.string.material_minute_selection));
        c();
    }

    private void e() {
        this.N0.addTextChangedListener(this.J0);
        this.O0.addTextChangedListener(this.I0);
    }

    private void i() {
        this.N0.removeTextChangedListener(this.J0);
        this.O0.removeTextChangedListener(this.I0);
    }

    private static void k(EditText editText, @ColorInt int i) {
        try {
            Context context = editText.getContext();
            Field declaredField = TextView.class.getDeclaredField("mCursorDrawableRes");
            declaredField.setAccessible(true);
            int i2 = declaredField.getInt(editText);
            Field declaredField2 = TextView.class.getDeclaredField("mEditor");
            declaredField2.setAccessible(true);
            Object obj = declaredField2.get(editText);
            Field declaredField3 = obj.getClass().getDeclaredField("mCursorDrawable");
            declaredField3.setAccessible(true);
            Drawable d2 = androidx.appcompat.a.a.a.d(context, i2);
            d2.setColorFilter(i, PorterDuff.Mode.SRC_IN);
            declaredField3.set(obj, new Drawable[]{d2, d2});
        } catch (Throwable unused) {
        }
    }

    private void l(TimeModel timeModel) {
        i();
        Locale locale = this.f12118a.getResources().getConfiguration().locale;
        String format = String.format(locale, TimeModel.f12093a, Integer.valueOf(timeModel.M0));
        String format2 = String.format(locale, TimeModel.f12093a, Integer.valueOf(timeModel.c()));
        this.K0.i(format);
        this.L0.i(format2);
        e();
        n();
    }

    private void m() {
        MaterialButtonToggleGroup materialButtonToggleGroup = (MaterialButtonToggleGroup) this.f12118a.findViewById(R.id.material_clock_period_toggle);
        this.P0 = materialButtonToggleGroup;
        materialButtonToggleGroup.g(new d());
        this.P0.setVisibility(0);
        n();
    }

    private void n() {
        MaterialButtonToggleGroup materialButtonToggleGroup = this.P0;
        if (materialButtonToggleGroup != null) {
            materialButtonToggleGroup.j(this.f12119b.O0 == 0 ? R.id.material_clock_period_am_button : R.id.material_clock_period_pm_button);
        }
    }

    @Override // com.google.android.material.timepicker.e
    public void a() {
        l(this.f12119b);
    }

    @Override // com.google.android.material.timepicker.e
    public void b() {
        this.f12118a.setVisibility(0);
    }

    @Override // com.google.android.material.timepicker.e
    public void c() {
        e();
        l(this.f12119b);
        this.M0.a();
    }

    public void f() {
        this.K0.setChecked(false);
        this.L0.setChecked(false);
    }

    @Override // com.google.android.material.timepicker.TimePickerView.g
    public void g(int i) {
        this.f12119b.N0 = i;
        boolean z = true;
        this.K0.setChecked(i == 12);
        ChipTextInputComboView chipTextInputComboView = this.L0;
        if (i != 10) {
            z = false;
        }
        chipTextInputComboView.setChecked(z);
        n();
    }

    @Override // com.google.android.material.timepicker.e
    public void h() {
        View focusedChild = this.f12118a.getFocusedChild();
        if (focusedChild == null) {
            this.f12118a.setVisibility(8);
            return;
        }
        InputMethodManager inputMethodManager = (InputMethodManager) androidx.core.content.d.o(this.f12118a.getContext(), InputMethodManager.class);
        if (inputMethodManager != null) {
            inputMethodManager.hideSoftInputFromWindow(focusedChild.getWindowToken(), 0);
        }
        this.f12118a.setVisibility(8);
    }

    public void j() {
        boolean z = true;
        this.K0.setChecked(this.f12119b.N0 == 12);
        ChipTextInputComboView chipTextInputComboView = this.L0;
        if (this.f12119b.N0 != 10) {
            z = false;
        }
        chipTextInputComboView.setChecked(z);
    }
}
