package com.google.android.material.transformation;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Pair;
import android.util.Property;
import android.view.View;
import android.view.ViewAnimationUtils;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.annotation.CallSuper;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.ViewCompat;
import com.google.android.material.R;
import com.google.android.material.a.h;
import com.google.android.material.a.i;
import com.google.android.material.a.j;
import com.google.android.material.circularreveal.CircularRevealHelper;
import com.google.android.material.circularreveal.b;
import com.google.android.material.floatingactionbutton.FloatingActionButton;
import java.util.ArrayList;
import java.util.List;

@Deprecated
public abstract class FabTransformationBehavior extends ExpandableTransformationBehavior {
    private final Rect f;
    private final RectF g;
    private final RectF h;
    private final int[] i;
    private float j;
    private float k;

    class a extends AnimatorListenerAdapter {
        final /* synthetic */ View I0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ boolean f12132a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ View f12133b;

        a(boolean z, View view, View view2) {
            this.f12132a = z;
            this.f12133b = view;
            this.I0 = view2;
        }

        public void onAnimationEnd(Animator animator) {
            if (!this.f12132a) {
                this.f12133b.setVisibility(4);
                this.I0.setAlpha(1.0f);
                this.I0.setVisibility(0);
            }
        }

        public void onAnimationStart(Animator animator) {
            if (this.f12132a) {
                this.f12133b.setVisibility(0);
                this.I0.setAlpha(0.0f);
                this.I0.setVisibility(4);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class b implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f12134a;

        b(View view) {
            this.f12134a = view;
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            this.f12134a.invalidate();
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ com.google.android.material.circularreveal.b f12136a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Drawable f12137b;

        c(com.google.android.material.circularreveal.b bVar, Drawable drawable) {
            this.f12136a = bVar;
            this.f12137b = drawable;
        }

        public void onAnimationEnd(Animator animator) {
            this.f12136a.setCircularRevealOverlayDrawable(null);
        }

        public void onAnimationStart(Animator animator) {
            this.f12136a.setCircularRevealOverlayDrawable(this.f12137b);
        }
    }

    /* access modifiers changed from: package-private */
    public class d extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ com.google.android.material.circularreveal.b f12138a;

        d(com.google.android.material.circularreveal.b bVar) {
            this.f12138a = bVar;
        }

        public void onAnimationEnd(Animator animator) {
            b.e revealInfo = this.f12138a.getRevealInfo();
            revealInfo.f11528d = Float.MAX_VALUE;
            this.f12138a.setRevealInfo(revealInfo);
        }
    }

    /* access modifiers changed from: protected */
    public static class e {
        @Nullable

        /* renamed from: a  reason: collision with root package name */
        public h f12140a;

        /* renamed from: b  reason: collision with root package name */
        public j f12141b;

        protected e() {
        }
    }

    public FabTransformationBehavior() {
        this.f = new Rect();
        this.g = new RectF();
        this.h = new RectF();
        this.i = new int[2];
    }

    @Nullable
    private ViewGroup N(@NonNull View view) {
        View findViewById = view.findViewById(R.id.mtrl_child_content_container);
        if (findViewById != null) {
            return i0(findViewById);
        }
        if ((view instanceof TransformationChildLayout) || (view instanceof TransformationChildCard)) {
            return i0(((ViewGroup) view).getChildAt(0));
        }
        return i0(view);
    }

    private void O(@NonNull View view, @NonNull e eVar, @NonNull i iVar, @NonNull i iVar2, float f2, float f3, float f4, float f5, @NonNull RectF rectF) {
        float V = V(eVar, iVar, f2, f4);
        float V2 = V(eVar, iVar2, f3, f5);
        Rect rect = this.f;
        view.getWindowVisibleDisplayFrame(rect);
        RectF rectF2 = this.g;
        rectF2.set(rect);
        RectF rectF3 = this.h;
        W(view, rectF3);
        rectF3.offset(V, V2);
        rectF3.intersect(rectF2);
        rectF.set(rectF3);
    }

    private void P(@NonNull View view, @NonNull RectF rectF) {
        W(view, rectF);
        rectF.offset(this.j, this.k);
    }

    @NonNull
    private Pair<i, i> Q(float f2, float f3, boolean z, @NonNull e eVar) {
        i iVar;
        i iVar2;
        int i2;
        if (f2 == 0.0f || f3 == 0.0f) {
            iVar2 = eVar.f12140a.h("translationXLinear");
            iVar = eVar.f12140a.h("translationYLinear");
        } else if ((!z || f3 >= 0.0f) && (z || i2 <= 0)) {
            iVar2 = eVar.f12140a.h("translationXCurveDownwards");
            iVar = eVar.f12140a.h("translationYCurveDownwards");
        } else {
            iVar2 = eVar.f12140a.h("translationXCurveUpwards");
            iVar = eVar.f12140a.h("translationYCurveUpwards");
        }
        return new Pair<>(iVar2, iVar);
    }

    private float R(@NonNull View view, @NonNull View view2, @NonNull j jVar) {
        RectF rectF = this.g;
        RectF rectF2 = this.h;
        P(view, rectF);
        W(view2, rectF2);
        rectF2.offset(-T(view, view2, jVar), 0.0f);
        return rectF.centerX() - rectF2.left;
    }

    private float S(@NonNull View view, @NonNull View view2, @NonNull j jVar) {
        RectF rectF = this.g;
        RectF rectF2 = this.h;
        P(view, rectF);
        W(view2, rectF2);
        rectF2.offset(0.0f, -U(view, view2, jVar));
        return rectF.centerY() - rectF2.top;
    }

    private float T(@NonNull View view, @NonNull View view2, @NonNull j jVar) {
        float f2;
        float f3;
        float f4;
        RectF rectF = this.g;
        RectF rectF2 = this.h;
        P(view, rectF);
        W(view2, rectF2);
        int i2 = jVar.f11347a & 7;
        if (i2 == 1) {
            f4 = rectF2.centerX();
            f3 = rectF.centerX();
        } else if (i2 == 3) {
            f4 = rectF2.left;
            f3 = rectF.left;
        } else if (i2 != 5) {
            f2 = 0.0f;
            return f2 + jVar.f11348b;
        } else {
            f4 = rectF2.right;
            f3 = rectF.right;
        }
        f2 = f4 - f3;
        return f2 + jVar.f11348b;
    }

    private float U(@NonNull View view, @NonNull View view2, @NonNull j jVar) {
        float f2;
        float f3;
        float f4;
        RectF rectF = this.g;
        RectF rectF2 = this.h;
        P(view, rectF);
        W(view2, rectF2);
        int i2 = jVar.f11347a & 112;
        if (i2 == 16) {
            f4 = rectF2.centerY();
            f3 = rectF.centerY();
        } else if (i2 == 48) {
            f4 = rectF2.top;
            f3 = rectF.top;
        } else if (i2 != 80) {
            f2 = 0.0f;
            return f2 + jVar.f11349c;
        } else {
            f4 = rectF2.bottom;
            f3 = rectF.bottom;
        }
        f2 = f4 - f3;
        return f2 + jVar.f11349c;
    }

    private float V(@NonNull e eVar, @NonNull i iVar, float f2, float f3) {
        long c2 = iVar.c();
        long d2 = iVar.d();
        i h2 = eVar.f12140a.h("expansion");
        return com.google.android.material.a.a.a(f2, f3, iVar.e().getInterpolation(((float) (((h2.c() + h2.d()) + 17) - c2)) / ((float) d2)));
    }

    private void W(@NonNull View view, RectF rectF) {
        rectF.set(0.0f, 0.0f, (float) view.getWidth(), (float) view.getHeight());
        int[] iArr = this.i;
        view.getLocationInWindow(iArr);
        rectF.offsetTo((float) iArr[0], (float) iArr[1]);
        rectF.offset((float) ((int) (-view.getTranslationX())), (float) ((int) (-view.getTranslationY())));
    }

    private void X(View view, View view2, boolean z, boolean z2, @NonNull e eVar, @NonNull List<Animator> list, List<Animator.AnimatorListener> list2) {
        ViewGroup N;
        ObjectAnimator objectAnimator;
        if (view2 instanceof ViewGroup) {
            if ((!(view2 instanceof com.google.android.material.circularreveal.b) || CircularRevealHelper.f11517e != 0) && (N = N(view2)) != null) {
                if (z) {
                    if (!z2) {
                        com.google.android.material.a.d.f11332a.set(N, Float.valueOf(0.0f));
                    }
                    objectAnimator = ObjectAnimator.ofFloat(N, com.google.android.material.a.d.f11332a, 1.0f);
                } else {
                    objectAnimator = ObjectAnimator.ofFloat(N, com.google.android.material.a.d.f11332a, 0.0f);
                }
                eVar.f12140a.h("contentFade").a(objectAnimator);
                list.add(objectAnimator);
            }
        }
    }

    private void Y(@NonNull View view, View view2, boolean z, boolean z2, @NonNull e eVar, @NonNull List<Animator> list, List<Animator.AnimatorListener> list2) {
        ObjectAnimator objectAnimator;
        if (view2 instanceof com.google.android.material.circularreveal.b) {
            com.google.android.material.circularreveal.b bVar = (com.google.android.material.circularreveal.b) view2;
            int g0 = g0(view);
            int i2 = 16777215 & g0;
            if (z) {
                if (!z2) {
                    bVar.setCircularRevealScrimColor(g0);
                }
                objectAnimator = ObjectAnimator.ofInt(bVar, b.d.f11524a, i2);
            } else {
                objectAnimator = ObjectAnimator.ofInt(bVar, b.d.f11524a, g0);
            }
            objectAnimator.setEvaluator(com.google.android.material.a.c.b());
            eVar.f12140a.h("color").a(objectAnimator);
            list.add(objectAnimator);
        }
    }

    private void Z(@NonNull View view, @NonNull View view2, boolean z, @NonNull e eVar, @NonNull List<Animator> list) {
        float T = T(view, view2, eVar.f12141b);
        float U = U(view, view2, eVar.f12141b);
        Pair<i, i> Q = Q(T, U, z, eVar);
        i iVar = (i) Q.first;
        i iVar2 = (i) Q.second;
        Property property = View.TRANSLATION_X;
        float[] fArr = new float[1];
        if (!z) {
            T = this.j;
        }
        fArr[0] = T;
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(view, property, fArr);
        Property property2 = View.TRANSLATION_Y;
        float[] fArr2 = new float[1];
        if (!z) {
            U = this.k;
        }
        fArr2[0] = U;
        ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(view, property2, fArr2);
        iVar.a(ofFloat);
        iVar2.a(ofFloat2);
        list.add(ofFloat);
        list.add(ofFloat2);
    }

    @TargetApi(21)
    private void a0(View view, @NonNull View view2, boolean z, boolean z2, @NonNull e eVar, @NonNull List<Animator> list, List<Animator.AnimatorListener> list2) {
        ObjectAnimator objectAnimator;
        float elevation = ViewCompat.getElevation(view2) - ViewCompat.getElevation(view);
        if (z) {
            if (!z2) {
                view2.setTranslationZ(-elevation);
            }
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Z, 0.0f);
        } else {
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Z, -elevation);
        }
        eVar.f12140a.h("elevation").a(objectAnimator);
        list.add(objectAnimator);
    }

    private void b0(@NonNull View view, View view2, boolean z, boolean z2, @NonNull e eVar, float f2, float f3, @NonNull List<Animator> list, @NonNull List<Animator.AnimatorListener> list2) {
        Animator animator;
        if (view2 instanceof com.google.android.material.circularreveal.b) {
            com.google.android.material.circularreveal.b bVar = (com.google.android.material.circularreveal.b) view2;
            float R = R(view, view2, eVar.f12141b);
            float S = S(view, view2, eVar.f12141b);
            ((FloatingActionButton) view).k(this.f);
            float width = ((float) this.f.width()) / 2.0f;
            i h2 = eVar.f12140a.h("expansion");
            if (z) {
                if (!z2) {
                    bVar.setRevealInfo(new b.e(R, S, width));
                }
                if (z2) {
                    width = bVar.getRevealInfo().f11528d;
                }
                animator = com.google.android.material.circularreveal.a.a(bVar, R, S, com.google.android.material.h.a.b(R, S, 0.0f, 0.0f, f2, f3));
                animator.addListener(new d(bVar));
                e0(view2, h2.c(), (int) R, (int) S, width, list);
            } else {
                float f4 = bVar.getRevealInfo().f11528d;
                Animator a2 = com.google.android.material.circularreveal.a.a(bVar, R, S, width);
                int i2 = (int) R;
                int i3 = (int) S;
                e0(view2, h2.c(), i2, i3, f4, list);
                d0(view2, h2.c(), h2.d(), eVar.f12140a.i(), i2, i3, width, list);
                animator = a2;
            }
            h2.a(animator);
            list.add(animator);
            list2.add(com.google.android.material.circularreveal.a.c(bVar));
        }
    }

    private void c0(View view, View view2, boolean z, boolean z2, @NonNull e eVar, @NonNull List<Animator> list, @NonNull List<Animator.AnimatorListener> list2) {
        ObjectAnimator objectAnimator;
        if ((view2 instanceof com.google.android.material.circularreveal.b) && (view instanceof ImageView)) {
            com.google.android.material.circularreveal.b bVar = (com.google.android.material.circularreveal.b) view2;
            Drawable drawable = ((ImageView) view).getDrawable();
            if (drawable != null) {
                drawable.mutate();
                if (z) {
                    if (!z2) {
                        drawable.setAlpha(255);
                    }
                    objectAnimator = ObjectAnimator.ofInt(drawable, com.google.android.material.a.e.f11333a, 0);
                } else {
                    objectAnimator = ObjectAnimator.ofInt(drawable, com.google.android.material.a.e.f11333a, 255);
                }
                objectAnimator.addUpdateListener(new b(view2));
                eVar.f12140a.h("iconFade").a(objectAnimator);
                list.add(objectAnimator);
                list2.add(new c(bVar, drawable));
            }
        }
    }

    private void d0(View view, long j2, long j3, long j4, int i2, int i3, float f2, @NonNull List<Animator> list) {
        if (Build.VERSION.SDK_INT >= 21) {
            long j5 = j2 + j3;
            if (j5 < j4) {
                Animator createCircularReveal = ViewAnimationUtils.createCircularReveal(view, i2, i3, f2, f2);
                createCircularReveal.setStartDelay(j5);
                createCircularReveal.setDuration(j4 - j5);
                list.add(createCircularReveal);
            }
        }
    }

    private void e0(View view, long j2, int i2, int i3, float f2, @NonNull List<Animator> list) {
        if (Build.VERSION.SDK_INT >= 21 && j2 > 0) {
            Animator createCircularReveal = ViewAnimationUtils.createCircularReveal(view, i2, i3, f2, f2);
            createCircularReveal.setStartDelay(0);
            createCircularReveal.setDuration(j2);
            list.add(createCircularReveal);
        }
    }

    private void f0(@NonNull View view, @NonNull View view2, boolean z, boolean z2, @NonNull e eVar, @NonNull List<Animator> list, List<Animator.AnimatorListener> list2, @NonNull RectF rectF) {
        ObjectAnimator objectAnimator;
        ObjectAnimator objectAnimator2;
        float T = T(view, view2, eVar.f12141b);
        float U = U(view, view2, eVar.f12141b);
        Pair<i, i> Q = Q(T, U, z, eVar);
        i iVar = (i) Q.first;
        i iVar2 = (i) Q.second;
        if (z) {
            if (!z2) {
                view2.setTranslationX(-T);
                view2.setTranslationY(-U);
            }
            objectAnimator2 = ObjectAnimator.ofFloat(view2, View.TRANSLATION_X, 0.0f);
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Y, 0.0f);
            O(view2, eVar, iVar, iVar2, -T, -U, 0.0f, 0.0f, rectF);
        } else {
            objectAnimator2 = ObjectAnimator.ofFloat(view2, View.TRANSLATION_X, -T);
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Y, -U);
        }
        iVar.a(objectAnimator2);
        iVar2.a(objectAnimator);
        list.add(objectAnimator2);
        list.add(objectAnimator);
    }

    private int g0(@NonNull View view) {
        ColorStateList backgroundTintList = ViewCompat.getBackgroundTintList(view);
        if (backgroundTintList != null) {
            return backgroundTintList.getColorForState(view.getDrawableState(), backgroundTintList.getDefaultColor());
        }
        return 0;
    }

    @Nullable
    private ViewGroup i0(View view) {
        if (view instanceof ViewGroup) {
            return (ViewGroup) view;
        }
        return null;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.material.transformation.ExpandableTransformationBehavior
    @NonNull
    public AnimatorSet M(@NonNull View view, @NonNull View view2, boolean z, boolean z2) {
        e h0 = h0(view2.getContext(), z);
        if (z) {
            this.j = view.getTranslationX();
            this.k = view.getTranslationY();
        }
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        if (Build.VERSION.SDK_INT >= 21) {
            a0(view, view2, z, z2, h0, arrayList, arrayList2);
        }
        RectF rectF = this.g;
        f0(view, view2, z, z2, h0, arrayList, arrayList2, rectF);
        float width = rectF.width();
        float height = rectF.height();
        Z(view, view2, z, h0, arrayList);
        c0(view, view2, z, z2, h0, arrayList, arrayList2);
        b0(view, view2, z, z2, h0, width, height, arrayList, arrayList2);
        Y(view, view2, z, z2, h0, arrayList, arrayList2);
        X(view, view2, z, z2, h0, arrayList, arrayList2);
        AnimatorSet animatorSet = new AnimatorSet();
        com.google.android.material.a.b.a(animatorSet, arrayList);
        animatorSet.addListener(new a(z, view2, view));
        int size = arrayList2.size();
        for (int i2 = 0; i2 < size; i2++) {
            animatorSet.addListener(arrayList2.get(i2));
        }
        return animatorSet;
    }

    @Override // com.google.android.material.transformation.ExpandableBehavior, androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    @CallSuper
    public boolean f(@NonNull CoordinatorLayout coordinatorLayout, @NonNull View view, @NonNull View view2) {
        if (view.getVisibility() == 8) {
            throw new IllegalStateException("This behavior cannot be attached to a GONE view. Set the view to INVISIBLE instead.");
        } else if (!(view2 instanceof FloatingActionButton)) {
            return false;
        } else {
            int expandedComponentIdHint = ((FloatingActionButton) view2).getExpandedComponentIdHint();
            if (expandedComponentIdHint == 0 || expandedComponentIdHint == view.getId()) {
                return true;
            }
            return false;
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.Behavior
    @CallSuper
    public void h(@NonNull CoordinatorLayout.d dVar) {
        if (dVar.h == 0) {
            dVar.h = 80;
        }
    }

    /* access modifiers changed from: protected */
    public abstract e h0(Context context, boolean z);

    public FabTransformationBehavior(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f = new Rect();
        this.g = new RectF();
        this.h = new RectF();
        this.i = new int[2];
    }
}
