package com.google.android.material.transition;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ObjectAnimator;
import android.animation.PropertyValuesHolder;
import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RestrictTo;
import androidx.core.view.ViewCompat;
import com.google.android.material.R;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public final class SlideDistanceProvider implements s {

    /* renamed from: a  reason: collision with root package name */
    private static final int f12161a = -1;

    /* renamed from: b  reason: collision with root package name */
    private int f12162b;
    @Px

    /* renamed from: c  reason: collision with root package name */
    private int f12163c = -1;

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface GravityFlag {
    }

    /* access modifiers changed from: package-private */
    public static class a extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f12164a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ float f12165b;

        a(View view, float f) {
            this.f12164a = view;
            this.f12165b = f;
        }

        public void onAnimationEnd(Animator animator) {
            this.f12164a.setTranslationX(this.f12165b);
        }
    }

    /* access modifiers changed from: package-private */
    public static class b extends AnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f12166a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ float f12167b;

        b(View view, float f) {
            this.f12166a = view;
            this.f12167b = f;
        }

        public void onAnimationEnd(Animator animator) {
            this.f12166a.setTranslationY(this.f12167b);
        }
    }

    public SlideDistanceProvider(int i) {
        this.f12162b = i;
    }

    private static Animator c(View view, View view2, int i, @Px int i2) {
        float translationX = view2.getTranslationX();
        float translationY = view2.getTranslationY();
        if (i == 3) {
            return e(view2, ((float) i2) + translationX, translationX, translationX);
        }
        if (i == 5) {
            return e(view2, translationX - ((float) i2), translationX, translationX);
        }
        if (i == 48) {
            return f(view2, translationY - ((float) i2), translationY, translationY);
        }
        if (i == 80) {
            return f(view2, ((float) i2) + translationY, translationY, translationY);
        }
        if (i == 8388611) {
            return e(view2, j(view) ? ((float) i2) + translationX : translationX - ((float) i2), translationX, translationX);
        } else if (i == 8388613) {
            return e(view2, j(view) ? translationX - ((float) i2) : ((float) i2) + translationX, translationX, translationX);
        } else {
            throw new IllegalArgumentException("Invalid slide direction: " + i);
        }
    }

    private static Animator d(View view, View view2, int i, @Px int i2) {
        float translationX = view2.getTranslationX();
        float translationY = view2.getTranslationY();
        if (i == 3) {
            return e(view2, translationX, translationX - ((float) i2), translationX);
        }
        if (i == 5) {
            return e(view2, translationX, ((float) i2) + translationX, translationX);
        }
        if (i == 48) {
            return f(view2, translationY, ((float) i2) + translationY, translationY);
        }
        if (i == 80) {
            return f(view2, translationY, translationY - ((float) i2), translationY);
        }
        if (i == 8388611) {
            return e(view2, translationX, j(view) ? translationX - ((float) i2) : ((float) i2) + translationX, translationX);
        } else if (i == 8388613) {
            return e(view2, translationX, j(view) ? ((float) i2) + translationX : translationX - ((float) i2), translationX);
        } else {
            throw new IllegalArgumentException("Invalid slide direction: " + i);
        }
    }

    private static Animator e(View view, float f, float f2, float f3) {
        ObjectAnimator ofPropertyValuesHolder = ObjectAnimator.ofPropertyValuesHolder(view, PropertyValuesHolder.ofFloat(View.TRANSLATION_X, f, f2));
        ofPropertyValuesHolder.addListener(new a(view, f3));
        return ofPropertyValuesHolder;
    }

    private static Animator f(View view, float f, float f2, float f3) {
        ObjectAnimator ofPropertyValuesHolder = ObjectAnimator.ofPropertyValuesHolder(view, PropertyValuesHolder.ofFloat(View.TRANSLATION_Y, f, f2));
        ofPropertyValuesHolder.addListener(new b(view, f3));
        return ofPropertyValuesHolder;
    }

    private int h(Context context) {
        int i = this.f12163c;
        if (i != -1) {
            return i;
        }
        return context.getResources().getDimensionPixelSize(R.dimen.mtrl_transition_shared_axis_slide_distance);
    }

    private static boolean j(View view) {
        return ViewCompat.getLayoutDirection(view) == 1;
    }

    @Override // com.google.android.material.transition.s
    @Nullable
    public Animator a(@NonNull ViewGroup viewGroup, @NonNull View view) {
        return c(viewGroup, view, this.f12162b, h(view.getContext()));
    }

    @Override // com.google.android.material.transition.s
    @Nullable
    public Animator b(@NonNull ViewGroup viewGroup, @NonNull View view) {
        return d(viewGroup, view, this.f12162b, h(view.getContext()));
    }

    @Px
    public int g() {
        return this.f12163c;
    }

    public int i() {
        return this.f12162b;
    }

    public void k(@Px int i) {
        if (i >= 0) {
            this.f12163c = i;
            return;
        }
        throw new IllegalArgumentException("Slide distance must be positive. If attempting to reverse the direction of the slide, use setSlideEdge(int) instead.");
    }

    public void l(int i) {
        this.f12162b = i;
    }
}
