package com.google.android.material.transition.platform;

import android.animation.Animator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Region;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.transition.ArcMotion;
import android.transition.PathMotion;
import android.transition.Transition;
import android.transition.TransitionValues;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import androidx.annotation.ColorInt;
import androidx.annotation.FloatRange;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.annotation.RestrictTo;
import androidx.annotation.StyleRes;
import androidx.core.view.InputDeviceCompat;
import androidx.core.view.ViewCompat;
import com.google.android.material.R;
import com.google.android.material.internal.u;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.shape.m;
import com.google.android.material.shape.q;
import com.google.android.material.transition.platform.s;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

@RequiresApi(21)
public final class MaterialContainerTransform extends Transition {
    public static final int I0 = 2;
    public static final int J0 = 0;
    public static final int K0 = 1;
    public static final int L0 = 2;
    public static final int M0 = 3;
    public static final int N0 = 0;
    public static final int O0 = 1;
    public static final int P0 = 2;
    private static final String Q0 = MaterialContainerTransform.class.getSimpleName();
    private static final String R0 = "materialContainerTransition:bounds";
    private static final String S0 = "materialContainerTransition:shapeAppearance";
    private static final String[] T0 = {R0, S0};
    private static final d U0 = new d(new c(0.0f, 0.25f), new c(0.0f, 1.0f), new c(0.0f, 1.0f), new c(0.0f, 0.75f), null);
    private static final d V0 = new d(new c(0.6f, 0.9f), new c(0.0f, 1.0f), new c(0.0f, 0.9f), new c(0.3f, 0.9f), null);
    private static final d W0 = new d(new c(0.1f, 0.4f), new c(0.1f, 1.0f), new c(0.1f, 1.0f), new c(0.1f, 0.9f), null);
    private static final d X0 = new d(new c(0.6f, 0.9f), new c(0.0f, 0.9f), new c(0.0f, 0.9f), new c(0.2f, 0.9f), null);
    private static final float Y0 = -1.0f;

    /* renamed from: a  reason: collision with root package name */
    public static final int f12204a = 0;

    /* renamed from: b  reason: collision with root package name */
    public static final int f12205b = 1;
    private boolean Z0 = false;
    private boolean a1 = false;
    @IdRes
    private int b1 = 16908290;
    @IdRes
    private int c1 = -1;
    @IdRes
    private int d1 = -1;
    @ColorInt
    private int e1 = 0;
    @ColorInt
    private int f1 = 0;
    @ColorInt
    private int g1 = 0;
    @ColorInt
    private int h1 = 1375731712;
    private int i1 = 0;
    private int j1 = 0;
    private int k1 = 0;
    @Nullable
    private View l1;
    @Nullable
    private View m1;
    @Nullable
    private m n1;
    @Nullable
    private m o1;
    @Nullable
    private c p1;
    @Nullable
    private c q1;
    @Nullable
    private c r1;
    @Nullable
    private c s1;
    private boolean t1;
    private float u1;
    private float v1;

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface FadeMode {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface FitMode {
    }

    @Retention(RetentionPolicy.SOURCE)
    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
    public @interface TransitionDirection {
    }

    /* access modifiers changed from: package-private */
    public class a implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ e f12206a;

        a(e eVar) {
            this.f12206a = eVar;
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            this.f12206a.o(valueAnimator.getAnimatedFraction());
        }
    }

    class b extends r {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ View f12208a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ e f12209b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ View f12210c;

        /* renamed from: d  reason: collision with root package name */
        final /* synthetic */ View f12211d;

        b(View view, e eVar, View view2, View view3) {
            this.f12208a = view;
            this.f12209b = eVar;
            this.f12210c = view2;
            this.f12211d = view3;
        }

        @Override // com.google.android.material.transition.platform.r
        public void onTransitionEnd(@NonNull Transition transition) {
            MaterialContainerTransform.this.removeListener(this);
            if (!MaterialContainerTransform.this.a1) {
                this.f12210c.setAlpha(1.0f);
                this.f12211d.setAlpha(1.0f);
                u.h(this.f12208a).b(this.f12209b);
            }
        }

        @Override // com.google.android.material.transition.platform.r
        public void onTransitionStart(@NonNull Transition transition) {
            u.h(this.f12208a).a(this.f12209b);
            this.f12210c.setAlpha(0.0f);
            this.f12211d.setAlpha(0.0f);
        }
    }

    public static class c {
        @FloatRange(from = 0.0d, to = 1.0d)

        /* renamed from: a  reason: collision with root package name */
        private final float f12213a;
        @FloatRange(from = 0.0d, to = 1.0d)

        /* renamed from: b  reason: collision with root package name */
        private final float f12214b;

        public c(@FloatRange(from = 0.0d, to = 1.0d) float f, @FloatRange(from = 0.0d, to = 1.0d) float f2) {
            this.f12213a = f;
            this.f12214b = f2;
        }

        @FloatRange(from = 0.0d, to = 1.0d)
        public float c() {
            return this.f12214b;
        }

        @FloatRange(from = 0.0d, to = 1.0d)
        public float d() {
            return this.f12213a;
        }
    }

    /* access modifiers changed from: private */
    public static class d {
        @NonNull

        /* renamed from: a  reason: collision with root package name */
        private final c f12215a;
        @NonNull

        /* renamed from: b  reason: collision with root package name */
        private final c f12216b;
        @NonNull

        /* renamed from: c  reason: collision with root package name */
        private final c f12217c;
        @NonNull

        /* renamed from: d  reason: collision with root package name */
        private final c f12218d;

        /* synthetic */ d(c cVar, c cVar2, c cVar3, c cVar4, a aVar) {
            this(cVar, cVar2, cVar3, cVar4);
        }

        private d(@NonNull c cVar, @NonNull c cVar2, @NonNull c cVar3, @NonNull c cVar4) {
            this.f12215a = cVar;
            this.f12216b = cVar2;
            this.f12217c = cVar3;
            this.f12218d = cVar4;
        }
    }

    private static final class e extends Drawable {

        /* renamed from: a  reason: collision with root package name */
        private static final int f12219a = 754974720;

        /* renamed from: b  reason: collision with root package name */
        private static final int f12220b = -7829368;

        /* renamed from: c  reason: collision with root package name */
        private static final float f12221c = 0.3f;

        /* renamed from: d  reason: collision with root package name */
        private static final float f12222d = 1.5f;
        private final RectF A;
        private final RectF B;
        private final RectF C;
        private final RectF D;
        private final d E;
        private final a F;
        private final f G;
        private final boolean H;
        private final Paint I;
        private final Path J;
        private c K;
        private h L;
        private RectF M;
        private float N;
        private float O;
        private float P;

        /* renamed from: e  reason: collision with root package name */
        private final View f12223e;
        private final RectF f;
        private final m g;
        private final float h;
        private final View i;
        private final RectF j;
        private final m k;
        private final float l;
        private final Paint m;
        private final Paint n;
        private final Paint o;
        private final Paint p;
        private final Paint q;
        private final j r;
        private final PathMeasure s;
        private final float t;
        private final float[] u;
        private final boolean v;
        private final float w;
        private final float x;
        private final boolean y;
        private final MaterialShapeDrawable z;

        /* access modifiers changed from: package-private */
        public class a implements s.c {
            a() {
            }

            @Override // com.google.android.material.transition.platform.s.c
            public void a(Canvas canvas) {
                e.this.f12223e.draw(canvas);
            }
        }

        /* access modifiers changed from: package-private */
        public class b implements s.c {
            b() {
            }

            @Override // com.google.android.material.transition.platform.s.c
            public void a(Canvas canvas) {
                e.this.i.draw(canvas);
            }
        }

        /* synthetic */ e(PathMotion pathMotion, View view, RectF rectF, m mVar, float f2, View view2, RectF rectF2, m mVar2, float f3, int i2, int i3, int i4, int i5, boolean z2, boolean z3, a aVar, f fVar, d dVar, boolean z4, a aVar2) {
            this(pathMotion, view, rectF, mVar, f2, view2, rectF2, mVar2, f3, i2, i3, i4, i5, z2, z3, aVar, fVar, dVar, z4);
        }

        private static float d(RectF rectF, float f2) {
            return ((rectF.centerX() / (f2 / 2.0f)) - 1.0f) * f12221c;
        }

        private static float e(RectF rectF, float f2) {
            return (rectF.centerY() / f2) * f12222d;
        }

        private void f(Canvas canvas, RectF rectF, Path path, @ColorInt int i2) {
            PointF m2 = m(rectF);
            if (this.P == 0.0f) {
                path.reset();
                path.moveTo(m2.x, m2.y);
                return;
            }
            path.lineTo(m2.x, m2.y);
            this.I.setColor(i2);
            canvas.drawPath(path, this.I);
        }

        private void g(Canvas canvas, RectF rectF, @ColorInt int i2) {
            this.I.setColor(i2);
            canvas.drawRect(rectF, this.I);
        }

        private void h(Canvas canvas) {
            canvas.save();
            canvas.clipPath(this.r.d(), Region.Op.DIFFERENCE);
            if (Build.VERSION.SDK_INT > 28) {
                j(canvas);
            } else {
                i(canvas);
            }
            canvas.restore();
        }

        private void i(Canvas canvas) {
            MaterialShapeDrawable materialShapeDrawable = this.z;
            RectF rectF = this.M;
            materialShapeDrawable.setBounds((int) rectF.left, (int) rectF.top, (int) rectF.right, (int) rectF.bottom);
            this.z.m0(this.N);
            this.z.A0((int) this.O);
            this.z.setShapeAppearanceModel(this.r.c());
            this.z.draw(canvas);
        }

        private void j(Canvas canvas) {
            m c2 = this.r.c();
            if (c2.u(this.M)) {
                float a2 = c2.r().a(this.M);
                canvas.drawRoundRect(this.M, a2, a2, this.p);
                return;
            }
            canvas.drawPath(this.r.d(), this.p);
        }

        private void k(Canvas canvas) {
            n(canvas, this.o);
            Rect bounds = getBounds();
            RectF rectF = this.C;
            s.s(canvas, bounds, rectF.left, rectF.top, this.L.f12253b, this.K.f12238b, new b());
        }

        private void l(Canvas canvas) {
            n(canvas, this.n);
            Rect bounds = getBounds();
            RectF rectF = this.A;
            s.s(canvas, bounds, rectF.left, rectF.top, this.L.f12252a, this.K.f12237a, new a());
        }

        private static PointF m(RectF rectF) {
            return new PointF(rectF.centerX(), rectF.top);
        }

        private void n(Canvas canvas, Paint paint) {
            if (paint.getColor() != 0 && paint.getAlpha() > 0) {
                canvas.drawRect(getBounds(), paint);
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void o(float f2) {
            if (this.P != f2) {
                p(f2);
            }
        }

        private void p(float f2) {
            float f3;
            float f4;
            this.P = f2;
            this.q.setAlpha((int) (this.v ? s.k(0.0f, 255.0f, f2) : s.k(255.0f, 0.0f, f2)));
            this.s.getPosTan(this.t * f2, this.u, null);
            float[] fArr = this.u;
            float f5 = fArr[0];
            float f6 = fArr[1];
            int i2 = (f2 > 1.0f ? 1 : (f2 == 1.0f ? 0 : -1));
            if (i2 > 0 || f2 < 0.0f) {
                if (i2 > 0) {
                    f4 = 0.99f;
                    f3 = (f2 - 1.0f) / 0.00999999f;
                } else {
                    f4 = 0.01f;
                    f3 = (f2 / 0.01f) * MaterialContainerTransform.Y0;
                }
                this.s.getPosTan(this.t * f4, fArr, null);
                float[] fArr2 = this.u;
                f5 += (f5 - fArr2[0]) * f3;
                f6 += (f6 - fArr2[1]) * f3;
            }
            h a2 = this.G.a(f2, ((Float) androidx.core.util.m.g(Float.valueOf(this.E.f12216b.f12213a))).floatValue(), ((Float) androidx.core.util.m.g(Float.valueOf(this.E.f12216b.f12214b))).floatValue(), this.f.width(), this.f.height(), this.j.width(), this.j.height());
            this.L = a2;
            RectF rectF = this.A;
            float f7 = a2.f12254c;
            rectF.set(f5 - (f7 / 2.0f), f6, (f7 / 2.0f) + f5, a2.f12255d + f6);
            RectF rectF2 = this.C;
            h hVar = this.L;
            float f8 = hVar.f12256e;
            rectF2.set(f5 - (f8 / 2.0f), f6, f5 + (f8 / 2.0f), hVar.f + f6);
            this.B.set(this.A);
            this.D.set(this.C);
            float floatValue = ((Float) androidx.core.util.m.g(Float.valueOf(this.E.f12217c.f12213a))).floatValue();
            float floatValue2 = ((Float) androidx.core.util.m.g(Float.valueOf(this.E.f12217c.f12214b))).floatValue();
            boolean b2 = this.G.b(this.L);
            RectF rectF3 = b2 ? this.B : this.D;
            float l2 = s.l(0.0f, 1.0f, floatValue, floatValue2, f2);
            if (!b2) {
                l2 = 1.0f - l2;
            }
            this.G.c(rectF3, l2, this.L);
            this.M = new RectF(Math.min(this.B.left, this.D.left), Math.min(this.B.top, this.D.top), Math.max(this.B.right, this.D.right), Math.max(this.B.bottom, this.D.bottom));
            this.r.b(f2, this.g, this.k, this.A, this.B, this.D, this.E.f12218d);
            this.N = s.k(this.h, this.l, f2);
            float d2 = d(this.M, this.w);
            float e2 = e(this.M, this.x);
            float f9 = this.N;
            float f10 = (float) ((int) (e2 * f9));
            this.O = f10;
            this.p.setShadowLayer(f9, (float) ((int) (d2 * f9)), f10, f12219a);
            this.K = this.F.a(f2, ((Float) androidx.core.util.m.g(Float.valueOf(this.E.f12215a.f12213a))).floatValue(), ((Float) androidx.core.util.m.g(Float.valueOf(this.E.f12215a.f12214b))).floatValue());
            if (this.n.getColor() != 0) {
                this.n.setAlpha(this.K.f12237a);
            }
            if (this.o.getColor() != 0) {
                this.o.setAlpha(this.K.f12238b);
            }
            invalidateSelf();
        }

        public void draw(@NonNull Canvas canvas) {
            if (this.q.getAlpha() > 0) {
                canvas.drawRect(getBounds(), this.q);
            }
            int save = this.H ? canvas.save() : -1;
            if (this.y && this.N > 0.0f) {
                h(canvas);
            }
            this.r.a(canvas);
            n(canvas, this.m);
            if (this.K.f12239c) {
                l(canvas);
                k(canvas);
            } else {
                k(canvas);
                l(canvas);
            }
            if (this.H) {
                canvas.restoreToCount(save);
                f(canvas, this.A, this.J, -65281);
                g(canvas, this.B, InputDeviceCompat.SOURCE_ANY);
                g(canvas, this.A, -16711936);
                g(canvas, this.D, -16711681);
                g(canvas, this.C, -16776961);
            }
        }

        public int getOpacity() {
            return -3;
        }

        public void setAlpha(int i2) {
            throw new UnsupportedOperationException("Setting alpha on is not supported");
        }

        public void setColorFilter(@Nullable ColorFilter colorFilter) {
            throw new UnsupportedOperationException("Setting a color filter is not supported");
        }

        private e(PathMotion pathMotion, View view, RectF rectF, m mVar, float f2, View view2, RectF rectF2, m mVar2, float f3, @ColorInt int i2, @ColorInt int i3, @ColorInt int i4, int i5, boolean z2, boolean z3, a aVar, f fVar, d dVar, boolean z4) {
            Paint paint = new Paint();
            this.m = paint;
            Paint paint2 = new Paint();
            this.n = paint2;
            Paint paint3 = new Paint();
            this.o = paint3;
            this.p = new Paint();
            Paint paint4 = new Paint();
            this.q = paint4;
            this.r = new j();
            float[] fArr = new float[2];
            this.u = fArr;
            MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
            this.z = materialShapeDrawable;
            Paint paint5 = new Paint();
            this.I = paint5;
            this.J = new Path();
            this.f12223e = view;
            this.f = rectF;
            this.g = mVar;
            this.h = f2;
            this.i = view2;
            this.j = rectF2;
            this.k = mVar2;
            this.l = f3;
            this.v = z2;
            this.y = z3;
            this.F = aVar;
            this.G = fVar;
            this.E = dVar;
            this.H = z4;
            DisplayMetrics displayMetrics = new DisplayMetrics();
            ((WindowManager) view.getContext().getSystemService("window")).getDefaultDisplay().getMetrics(displayMetrics);
            this.w = (float) displayMetrics.widthPixels;
            this.x = (float) displayMetrics.heightPixels;
            paint.setColor(i2);
            paint2.setColor(i3);
            paint3.setColor(i4);
            materialShapeDrawable.n0(ColorStateList.valueOf(0));
            materialShapeDrawable.w0(2);
            materialShapeDrawable.t0(false);
            materialShapeDrawable.u0(f12220b);
            RectF rectF3 = new RectF(rectF);
            this.A = rectF3;
            this.B = new RectF(rectF3);
            RectF rectF4 = new RectF(rectF3);
            this.C = rectF4;
            this.D = new RectF(rectF4);
            PointF m2 = m(rectF);
            PointF m3 = m(rectF2);
            PathMeasure pathMeasure = new PathMeasure(pathMotion.getPath(m2.x, m2.y, m3.x, m3.y), false);
            this.s = pathMeasure;
            this.t = pathMeasure.getLength();
            fArr[0] = rectF.centerX();
            fArr[1] = rectF.top;
            paint4.setStyle(Paint.Style.FILL);
            paint4.setShader(s.c(i5));
            paint5.setStyle(Paint.Style.STROKE);
            paint5.setStrokeWidth(10.0f);
            p(0.0f);
        }
    }

    public MaterialContainerTransform() {
        boolean z = false;
        this.t1 = Build.VERSION.SDK_INT >= 28 ? true : z;
        this.u1 = Y0;
        this.v1 = Y0;
        setInterpolator(com.google.android.material.a.a.f11327b);
    }

    private d G(boolean z, d dVar, d dVar2) {
        if (!z) {
            dVar = dVar2;
        }
        return new d((c) s.d(this.p1, dVar.f12215a), (c) s.d(this.q1, dVar.f12216b), (c) s.d(this.r1, dVar.f12217c), (c) s.d(this.s1, dVar.f12218d), null);
    }

    @StyleRes
    private static int I(Context context) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new int[]{R.attr.transitionShapeAppearance});
        int resourceId = obtainStyledAttributes.getResourceId(0, -1);
        obtainStyledAttributes.recycle();
        return resourceId;
    }

    private boolean L(@NonNull RectF rectF, @NonNull RectF rectF2) {
        int i = this.i1;
        if (i != 0) {
            if (i == 1) {
                return true;
            }
            if (i == 2) {
                return false;
            }
            throw new IllegalArgumentException("Invalid transition direction: " + this.i1);
        } else if (s.a(rectF2) > s.a(rectF)) {
            return true;
        } else {
            return false;
        }
    }

    private d b(boolean z) {
        PathMotion pathMotion = getPathMotion();
        if ((pathMotion instanceof ArcMotion) || (pathMotion instanceof k)) {
            return G(z, W0, X0);
        }
        return G(z, U0, V0);
    }

    private static RectF c(View view, @Nullable View view2, float f, float f2) {
        if (view2 == null) {
            return new RectF(0.0f, 0.0f, (float) view.getWidth(), (float) view.getHeight());
        }
        RectF g = s.g(view2);
        g.offset(f, f2);
        return g;
    }

    private static m d(@NonNull View view, @NonNull RectF rectF, @Nullable m mVar) {
        return s.b(z(view, mVar), rectF);
    }

    private static void e(@NonNull TransitionValues transitionValues, @Nullable View view, @IdRes int i, @Nullable m mVar) {
        if (i != -1) {
            transitionValues.view = s.f(transitionValues.view, i);
        } else if (view != null) {
            transitionValues.view = view;
        } else {
            View view2 = transitionValues.view;
            int i2 = R.id.mtrl_motion_snapshot_view;
            if (view2.getTag(i2) instanceof View) {
                transitionValues.view.setTag(i2, null);
                transitionValues.view = (View) transitionValues.view.getTag(i2);
            }
        }
        View view3 = transitionValues.view;
        if (ViewCompat.isLaidOut(view3) || view3.getWidth() != 0 || view3.getHeight() != 0) {
            RectF h = view3.getParent() == null ? s.h(view3) : s.g(view3);
            transitionValues.values.put(R0, h);
            transitionValues.values.put(S0, d(view3, h, mVar));
        }
    }

    private static float m(float f, View view) {
        return f != Y0 ? f : ViewCompat.getElevation(view);
    }

    private static m z(@NonNull View view, @Nullable m mVar) {
        if (mVar != null) {
            return mVar;
        }
        int i = R.id.mtrl_motion_snapshot_view;
        if (view.getTag(i) instanceof m) {
            return (m) view.getTag(i);
        }
        Context context = view.getContext();
        int I = I(context);
        if (I != -1) {
            return m.b(context, I, 0).m();
        }
        if (view instanceof q) {
            return ((q) view).getShapeAppearanceModel();
        }
        return m.a().m();
    }

    @Nullable
    public c A() {
        return this.s1;
    }

    @ColorInt
    public int B() {
        return this.f1;
    }

    public float C() {
        return this.u1;
    }

    @Nullable
    public m D() {
        return this.n1;
    }

    @Nullable
    public View E() {
        return this.l1;
    }

    @IdRes
    public int F() {
        return this.c1;
    }

    public int H() {
        return this.i1;
    }

    public boolean J() {
        return this.Z0;
    }

    public boolean K() {
        return this.t1;
    }

    public boolean M() {
        return this.a1;
    }

    public void N(@ColorInt int i) {
        this.e1 = i;
        this.f1 = i;
        this.g1 = i;
    }

    public void O(@ColorInt int i) {
        this.e1 = i;
    }

    public void P(boolean z) {
        this.Z0 = z;
    }

    public void R(@IdRes int i) {
        this.b1 = i;
    }

    public void S(boolean z) {
        this.t1 = z;
    }

    public void T(@ColorInt int i) {
        this.g1 = i;
    }

    public void U(float f) {
        this.v1 = f;
    }

    public void V(@Nullable m mVar) {
        this.o1 = mVar;
    }

    public void W(@Nullable View view) {
        this.m1 = view;
    }

    public void X(@IdRes int i) {
        this.d1 = i;
    }

    public void Y(int i) {
        this.j1 = i;
    }

    public void Z(@Nullable c cVar) {
        this.p1 = cVar;
    }

    public void a0(int i) {
        this.k1 = i;
    }

    public void b0(boolean z) {
        this.a1 = z;
    }

    public void c0(@Nullable c cVar) {
        this.r1 = cVar;
    }

    public void captureEndValues(@NonNull TransitionValues transitionValues) {
        e(transitionValues, this.m1, this.d1, this.o1);
    }

    public void captureStartValues(@NonNull TransitionValues transitionValues) {
        e(transitionValues, this.l1, this.c1, this.n1);
    }

    @Nullable
    public Animator createAnimator(@NonNull ViewGroup viewGroup, @Nullable TransitionValues transitionValues, @Nullable TransitionValues transitionValues2) {
        View view;
        if (!(transitionValues == null || transitionValues2 == null)) {
            RectF rectF = (RectF) transitionValues.values.get(R0);
            m mVar = (m) transitionValues.values.get(S0);
            if (rectF == null || mVar == null) {
                Log.w(Q0, "Skipping due to null start bounds. Ensure start view is laid out and measured.");
            } else {
                RectF rectF2 = (RectF) transitionValues2.values.get(R0);
                m mVar2 = (m) transitionValues2.values.get(S0);
                if (rectF2 == null || mVar2 == null) {
                    Log.w(Q0, "Skipping due to null end bounds. Ensure end view is laid out and measured.");
                    return null;
                }
                View view2 = transitionValues.view;
                View view3 = transitionValues2.view;
                View view4 = view3.getParent() != null ? view3 : view2;
                if (this.b1 == view4.getId()) {
                    view = (View) view4.getParent();
                } else {
                    view = s.e(view4, this.b1);
                    view4 = null;
                }
                RectF g = s.g(view);
                float f = -g.left;
                float f2 = -g.top;
                RectF c2 = c(view, view4, f, f2);
                rectF.offset(f, f2);
                rectF2.offset(f, f2);
                boolean L = L(rectF, rectF2);
                e eVar = new e(getPathMotion(), view2, rectF, mVar, m(this.u1, view2), view3, rectF2, mVar2, m(this.v1, view3), this.e1, this.f1, this.g1, this.h1, L, this.t1, b.a(this.j1, L), g.a(this.k1, L, rectF, rectF2), b(L), this.Z0, null);
                eVar.setBounds(Math.round(c2.left), Math.round(c2.top), Math.round(c2.right), Math.round(c2.bottom));
                ValueAnimator ofFloat = ValueAnimator.ofFloat(0.0f, 1.0f);
                ofFloat.addUpdateListener(new a(eVar));
                addListener(new b(view, eVar, view2, view3));
                return ofFloat;
            }
        }
        return null;
    }

    public void d0(@Nullable c cVar) {
        this.q1 = cVar;
    }

    @ColorInt
    public int f() {
        return this.e1;
    }

    public void f0(@ColorInt int i) {
        this.h1 = i;
    }

    public void g0(@Nullable c cVar) {
        this.s1 = cVar;
    }

    @Nullable
    public String[] getTransitionProperties() {
        return T0;
    }

    @IdRes
    public int h() {
        return this.b1;
    }

    public void h0(@ColorInt int i) {
        this.f1 = i;
    }

    public void i0(float f) {
        this.u1 = f;
    }

    public void j0(@Nullable m mVar) {
        this.n1 = mVar;
    }

    public void k0(@Nullable View view) {
        this.l1 = view;
    }

    public void l0(@IdRes int i) {
        this.c1 = i;
    }

    public void m0(int i) {
        this.i1 = i;
    }

    @ColorInt
    public int n() {
        return this.g1;
    }

    public float p() {
        return this.v1;
    }

    @Nullable
    public m q() {
        return this.o1;
    }

    @Nullable
    public View r() {
        return this.m1;
    }

    @IdRes
    public int s() {
        return this.d1;
    }

    public int t() {
        return this.j1;
    }

    @Nullable
    public c u() {
        return this.p1;
    }

    public int v() {
        return this.k1;
    }

    @Nullable
    public c w() {
        return this.r1;
    }

    @Nullable
    public c x() {
        return this.q1;
    }

    @ColorInt
    public int y() {
        return this.h1;
    }
}
