package com.google.android.material.transition.platform;

import android.app.Activity;
import android.app.SharedElementCallback;
import android.content.Context;
import android.graphics.Matrix;
import android.graphics.Rect;
import android.graphics.RectF;
import android.os.Parcelable;
import android.transition.Transition;
import android.view.View;
import android.view.Window;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.RequiresApi;
import androidx.core.graphics.BlendModeCompat;
import com.google.android.material.R;
import com.google.android.material.shape.m;
import com.google.android.material.shape.q;
import java.lang.ref.WeakReference;
import java.util.List;
import java.util.Map;

@RequiresApi(21)
/* compiled from: MaterialContainerTransformSharedElementCallback */
public class l extends SharedElementCallback {
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    private static WeakReference<View> f12262a;

    /* renamed from: b  reason: collision with root package name */
    private boolean f12263b = true;

    /* renamed from: c  reason: collision with root package name */
    private boolean f12264c = true;

    /* renamed from: d  reason: collision with root package name */
    private boolean f12265d = false;
    @Nullable

    /* renamed from: e  reason: collision with root package name */
    private Rect f12266e;
    @Nullable
    private d f = new e();

    /* access modifiers changed from: package-private */
    /* compiled from: MaterialContainerTransformSharedElementCallback */
    public class a extends r {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Window f12267a;

        a(Window window) {
            this.f12267a = window;
        }

        @Override // com.google.android.material.transition.platform.r
        public void onTransitionEnd(Transition transition) {
            l.i(this.f12267a);
        }

        @Override // com.google.android.material.transition.platform.r
        public void onTransitionStart(Transition transition) {
            l.h(this.f12267a);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MaterialContainerTransformSharedElementCallback */
    public class b extends r {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Activity f12269a;

        b(Activity activity) {
            this.f12269a = activity;
        }

        @Override // com.google.android.material.transition.platform.r
        public void onTransitionEnd(Transition transition) {
            View view;
            if (!(l.f12262a == null || (view = (View) l.f12262a.get()) == null)) {
                view.setAlpha(1.0f);
                WeakReference unused = l.f12262a = null;
            }
            this.f12269a.finish();
            this.f12269a.overridePendingTransition(0, 0);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: MaterialContainerTransformSharedElementCallback */
    public class c extends r {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Window f12271a;

        c(Window window) {
            this.f12271a = window;
        }

        @Override // com.google.android.material.transition.platform.r
        public void onTransitionStart(Transition transition) {
            l.h(this.f12271a);
        }
    }

    /* compiled from: MaterialContainerTransformSharedElementCallback */
    public interface d {
        @Nullable
        m a(@NonNull View view);
    }

    /* compiled from: MaterialContainerTransformSharedElementCallback */
    public static class e implements d {
        @Override // com.google.android.material.transition.platform.l.d
        @Nullable
        public m a(@NonNull View view) {
            if (view instanceof q) {
                return ((q) view).getShapeAppearanceModel();
            }
            return null;
        }
    }

    /* access modifiers changed from: private */
    public static void h(Window window) {
        window.getDecorView().getBackground().mutate().setColorFilter(androidx.core.graphics.c.a(0, BlendModeCompat.CLEAR));
    }

    /* access modifiers changed from: private */
    public static void i(Window window) {
        window.getDecorView().getBackground().mutate().clearColorFilter();
    }

    private void m(Window window) {
        Transition sharedElementEnterTransition = window.getSharedElementEnterTransition();
        if (sharedElementEnterTransition instanceof MaterialContainerTransform) {
            MaterialContainerTransform materialContainerTransform = (MaterialContainerTransform) sharedElementEnterTransition;
            if (!this.f12265d) {
                window.setSharedElementReenterTransition(null);
            }
            if (this.f12264c) {
                o(window, materialContainerTransform);
                materialContainerTransform.addListener(new a(window));
            }
        }
    }

    private void n(Activity activity, Window window) {
        Transition sharedElementReturnTransition = window.getSharedElementReturnTransition();
        if (sharedElementReturnTransition instanceof MaterialContainerTransform) {
            MaterialContainerTransform materialContainerTransform = (MaterialContainerTransform) sharedElementReturnTransition;
            materialContainerTransform.b0(true);
            materialContainerTransform.addListener(new b(activity));
            if (this.f12264c) {
                o(window, materialContainerTransform);
                materialContainerTransform.addListener(new c(window));
            }
        }
    }

    private static void o(Window window, MaterialContainerTransform materialContainerTransform) {
        window.setTransitionBackgroundFadeDuration(materialContainerTransform.getDuration());
    }

    @Nullable
    public d e() {
        return this.f;
    }

    public boolean f() {
        return this.f12265d;
    }

    public boolean g() {
        return this.f12264c;
    }

    public void j(@Nullable d dVar) {
        this.f = dVar;
    }

    public void k(boolean z) {
        this.f12265d = z;
    }

    public void l(boolean z) {
        this.f12264c = z;
    }

    @Nullable
    public Parcelable onCaptureSharedElementSnapshot(@NonNull View view, @NonNull Matrix matrix, @NonNull RectF rectF) {
        f12262a = new WeakReference<>(view);
        return super.onCaptureSharedElementSnapshot(view, matrix, rectF);
    }

    @Nullable
    public View onCreateSnapshotView(@NonNull Context context, @Nullable Parcelable parcelable) {
        WeakReference<View> weakReference;
        View view;
        m a2;
        View onCreateSnapshotView = super.onCreateSnapshotView(context, parcelable);
        if (!(onCreateSnapshotView == null || (weakReference = f12262a) == null || this.f == null || (view = weakReference.get()) == null || (a2 = this.f.a(view)) == null)) {
            onCreateSnapshotView.setTag(R.id.mtrl_motion_snapshot_view, a2);
        }
        return onCreateSnapshotView;
    }

    @Override // android.app.SharedElementCallback
    public void onMapSharedElements(@NonNull List<String> list, @NonNull Map<String, View> map) {
        View view;
        Activity a2;
        if (!list.isEmpty() && !map.isEmpty() && (view = map.get(list.get(0))) != null && (a2 = com.google.android.material.internal.b.a(view.getContext())) != null) {
            Window window = a2.getWindow();
            if (this.f12263b) {
                m(window);
            } else {
                n(a2, window);
            }
        }
    }

    @Override // android.app.SharedElementCallback
    public void onSharedElementEnd(@NonNull List<String> list, @NonNull List<View> list2, @NonNull List<View> list3) {
        if (!list2.isEmpty()) {
            int i = R.id.mtrl_motion_snapshot_view;
            if (list2.get(0).getTag(i) instanceof View) {
                list2.get(0).setTag(i, null);
            }
        }
        if (!this.f12263b && !list2.isEmpty()) {
            this.f12266e = s.i(list2.get(0));
        }
        this.f12263b = false;
    }

    @Override // android.app.SharedElementCallback
    public void onSharedElementStart(@NonNull List<String> list, @NonNull List<View> list2, @NonNull List<View> list3) {
        if (!list2.isEmpty() && !list3.isEmpty()) {
            list2.get(0).setTag(R.id.mtrl_motion_snapshot_view, list3.get(0));
        }
        if (!this.f12263b && !list2.isEmpty() && this.f12266e != null) {
            View view = list2.get(0);
            view.measure(View.MeasureSpec.makeMeasureSpec(this.f12266e.width(), 1073741824), View.MeasureSpec.makeMeasureSpec(this.f12266e.height(), 1073741824));
            Rect rect = this.f12266e;
            view.layout(rect.left, rect.top, rect.right, rect.bottom);
        }
    }
}
