package com.google.android.material.transition;

import android.graphics.Canvas;
import android.graphics.LinearGradient;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.os.Build;
import android.view.View;
import android.view.ViewParent;
import androidx.annotation.ColorInt;
import androidx.annotation.FloatRange;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.transition.Transition;
import androidx.transition.TransitionSet;
import com.google.android.material.shape.k;
import com.google.android.material.shape.m;

/* access modifiers changed from: package-private */
/* compiled from: TransitionUtils */
public class r {

    /* renamed from: a  reason: collision with root package name */
    private static final RectF f12289a = new RectF();

    /* compiled from: TransitionUtils */
    static class a implements m.c {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ RectF f12290a;

        a(RectF rectF) {
            this.f12290a = rectF;
        }

        @Override // com.google.android.material.shape.m.c
        @NonNull
        public com.google.android.material.shape.c a(@NonNull com.google.android.material.shape.c cVar) {
            return cVar instanceof k ? cVar : new k(cVar.a(this.f12290a) / this.f12290a.height());
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: TransitionUtils */
    public static class b implements d {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ RectF f12291a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ RectF f12292b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ float f12293c;

        /* renamed from: d  reason: collision with root package name */
        final /* synthetic */ float f12294d;

        /* renamed from: e  reason: collision with root package name */
        final /* synthetic */ float f12295e;

        b(RectF rectF, RectF rectF2, float f, float f2, float f3) {
            this.f12291a = rectF;
            this.f12292b = rectF2;
            this.f12293c = f;
            this.f12294d = f2;
            this.f12295e = f3;
        }

        @Override // com.google.android.material.transition.r.d
        @NonNull
        public com.google.android.material.shape.c a(@NonNull com.google.android.material.shape.c cVar, @NonNull com.google.android.material.shape.c cVar2) {
            return new com.google.android.material.shape.a(r.l(cVar.a(this.f12291a), cVar2.a(this.f12292b), this.f12293c, this.f12294d, this.f12295e));
        }
    }

    /* compiled from: TransitionUtils */
    interface c {
        void a(Canvas canvas);
    }

    /* access modifiers changed from: package-private */
    /* compiled from: TransitionUtils */
    public interface d {
        @NonNull
        com.google.android.material.shape.c a(@NonNull com.google.android.material.shape.c cVar, @NonNull com.google.android.material.shape.c cVar2);
    }

    private r() {
    }

    static float a(@NonNull RectF rectF) {
        return rectF.width() * rectF.height();
    }

    static m b(m mVar, RectF rectF) {
        return mVar.y(new a(rectF));
    }

    static Shader c(@ColorInt int i) {
        return new LinearGradient(0.0f, 0.0f, 0.0f, 0.0f, i, i, Shader.TileMode.CLAMP);
    }

    @NonNull
    static <T> T d(@Nullable T t, @NonNull T t2) {
        return t != null ? t : t2;
    }

    static View e(View view, @IdRes int i) {
        String resourceName = view.getResources().getResourceName(i);
        while (view != null) {
            if (view.getId() != i) {
                ViewParent parent = view.getParent();
                if (!(parent instanceof View)) {
                    break;
                }
                view = (View) parent;
            } else {
                return view;
            }
        }
        throw new IllegalArgumentException(resourceName + " is not a valid ancestor");
    }

    static View f(View view, @IdRes int i) {
        View findViewById = view.findViewById(i);
        if (findViewById != null) {
            return findViewById;
        }
        return e(view, i);
    }

    static RectF g(View view) {
        int[] iArr = new int[2];
        view.getLocationOnScreen(iArr);
        int i = iArr[0];
        int i2 = iArr[1];
        return new RectF((float) i, (float) i2, (float) (view.getWidth() + i), (float) (view.getHeight() + i2));
    }

    static RectF h(View view) {
        return new RectF((float) view.getLeft(), (float) view.getTop(), (float) view.getRight(), (float) view.getBottom());
    }

    static Rect i(View view) {
        return new Rect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
    }

    private static boolean j(m mVar, RectF rectF) {
        return (mVar.r().a(rectF) == 0.0f && mVar.t().a(rectF) == 0.0f && mVar.l().a(rectF) == 0.0f && mVar.j().a(rectF) == 0.0f) ? false : true;
    }

    static float k(float f, float f2, float f3) {
        return f + (f3 * (f2 - f));
    }

    static float l(float f, float f2, @FloatRange(from = 0.0d, to = 1.0d) float f3, @FloatRange(from = 0.0d, to = 1.0d) float f4, @FloatRange(from = 0.0d, to = 1.0d) float f5) {
        return m(f, f2, f3, f4, f5, false);
    }

    static float m(float f, float f2, @FloatRange(from = 0.0d, to = 1.0d) float f3, @FloatRange(from = 0.0d, to = 1.0d) float f4, @FloatRange(from = 0.0d) float f5, boolean z) {
        if (z && (f5 < 0.0f || f5 > 1.0f)) {
            return k(f, f2, f5);
        }
        if (f5 < f3) {
            return f;
        }
        if (f5 > f4) {
            return f2;
        }
        return k(f, f2, (f5 - f3) / (f4 - f3));
    }

    static int n(int i, int i2, @FloatRange(from = 0.0d, to = 1.0d) float f, @FloatRange(from = 0.0d, to = 1.0d) float f2, @FloatRange(from = 0.0d, to = 1.0d) float f3) {
        if (f3 < f) {
            return i;
        }
        return f3 > f2 ? i2 : (int) k((float) i, (float) i2, (f3 - f) / (f2 - f));
    }

    static m o(m mVar, m mVar2, RectF rectF, RectF rectF2, @FloatRange(from = 0.0d, to = 1.0d) float f, @FloatRange(from = 0.0d, to = 1.0d) float f2, @FloatRange(from = 0.0d, to = 1.0d) float f3) {
        if (f3 < f) {
            return mVar;
        }
        return f3 > f2 ? mVar2 : t(mVar, mVar2, rectF, new b(rectF, rectF2, f, f2, f3));
    }

    static void p(TransitionSet transitionSet, @Nullable Transition transition) {
        if (transition != null) {
            transitionSet.O0(transition);
        }
    }

    static void q(TransitionSet transitionSet, @Nullable Transition transition) {
        if (transition != null) {
            transitionSet.Y0(transition);
        }
    }

    private static int r(Canvas canvas, Rect rect, int i) {
        RectF rectF = f12289a;
        rectF.set(rect);
        if (Build.VERSION.SDK_INT >= 21) {
            return canvas.saveLayerAlpha(rectF, i);
        }
        return canvas.saveLayerAlpha(rectF.left, rectF.top, rectF.right, rectF.bottom, i, 31);
    }

    static void s(Canvas canvas, Rect rect, float f, float f2, float f3, int i, c cVar) {
        if (i > 0) {
            int save = canvas.save();
            canvas.translate(f, f2);
            canvas.scale(f3, f3);
            if (i < 255) {
                r(canvas, rect, i);
            }
            cVar.a(canvas);
            canvas.restoreToCount(save);
        }
    }

    static m t(m mVar, m mVar2, RectF rectF, d dVar) {
        return (j(mVar, rectF) ? mVar : mVar2).v().L(dVar.a(mVar.r(), mVar2.r())).Q(dVar.a(mVar.t(), mVar2.t())).y(dVar.a(mVar.j(), mVar2.j())).D(dVar.a(mVar.l(), mVar2.l())).m();
    }
}
