package com.google.firebase.analytics.connector.internal;

import android.os.Bundle;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.gms.common.util.b;
import com.google.android.gms.measurement.AppMeasurement;
import com.google.android.gms.measurement.internal.b6;
import com.google.android.gms.measurement.internal.d6;
import com.google.android.gms.measurement.internal.k7;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.google.firebase.analytics.a.a;
import java.util.Arrays;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import kotlinx.coroutines.s0;

/* compiled from: com.google.android.gms:play-services-measurement-api@@17.2.0 */
public final class d {

    /* renamed from: a  reason: collision with root package name */
    private static final Set<String> f12338a = new HashSet(Arrays.asList("_in", "_xa", "_xu", "_aq", "_aa", "_ai", "_ac", FirebaseAnalytics.a.f, "_ug", "_iapx", "_exp_set", "_exp_clear", "_exp_activate", "_exp_timeout", "_exp_expire"));

    /* renamed from: b  reason: collision with root package name */
    private static final List<String> f12339b = Arrays.asList("_e", "_f", "_iap", "_s", "_au", "_ui", "_cd", FirebaseAnalytics.a.f12310d);

    /* renamed from: c  reason: collision with root package name */
    private static final List<String> f12340c = Arrays.asList(s0.f22117c, "app", "am");

    /* renamed from: d  reason: collision with root package name */
    private static final List<String> f12341d = Arrays.asList("_r", "_dbg");

    /* renamed from: e  reason: collision with root package name */
    private static final List<String> f12342e = Arrays.asList((String[]) b.b(d6.f10813a, d6.f10814b));
    private static final List<String> f = Arrays.asList("^_ltv_[A-Z]{3}$", "^_cc[1-5]{1}$");

    public static a.c a(AppMeasurement.ConditionalUserProperty conditionalUserProperty) {
        a.c cVar = new a.c();
        cVar.f12319a = conditionalUserProperty.mOrigin;
        cVar.n = conditionalUserProperty.mActive;
        cVar.m = conditionalUserProperty.mCreationTimestamp;
        cVar.k = conditionalUserProperty.mExpiredEventName;
        if (conditionalUserProperty.mExpiredEventParams != null) {
            cVar.l = new Bundle(conditionalUserProperty.mExpiredEventParams);
        }
        cVar.f12320b = conditionalUserProperty.mName;
        cVar.f = conditionalUserProperty.mTimedOutEventName;
        if (conditionalUserProperty.mTimedOutEventParams != null) {
            cVar.g = new Bundle(conditionalUserProperty.mTimedOutEventParams);
        }
        cVar.j = conditionalUserProperty.mTimeToLive;
        cVar.h = conditionalUserProperty.mTriggeredEventName;
        if (conditionalUserProperty.mTriggeredEventParams != null) {
            cVar.i = new Bundle(conditionalUserProperty.mTriggeredEventParams);
        }
        cVar.o = conditionalUserProperty.mTriggeredTimestamp;
        cVar.f12322d = conditionalUserProperty.mTriggerEventName;
        cVar.f12323e = conditionalUserProperty.mTriggerTimeout;
        Object obj = conditionalUserProperty.mValue;
        if (obj != null) {
            cVar.f12321c = k7.a(obj);
        }
        return cVar;
    }

    public static boolean b(a.c cVar) {
        String str;
        if (cVar == null || (str = cVar.f12319a) == null || str.isEmpty()) {
            return false;
        }
        Object obj = cVar.f12321c;
        if ((obj != null && k7.a(obj) == null) || !c(str) || !e(str, cVar.f12320b)) {
            return false;
        }
        String str2 = cVar.k;
        if (str2 != null && (!d(str2, cVar.l) || !f(str, cVar.k, cVar.l))) {
            return false;
        }
        String str3 = cVar.h;
        if (str3 != null && (!d(str3, cVar.i) || !f(str, cVar.h, cVar.i))) {
            return false;
        }
        String str4 = cVar.f;
        if (str4 == null) {
            return true;
        }
        if (d(str4, cVar.g) && f(str, cVar.f, cVar.g)) {
            return true;
        }
        return false;
    }

    public static boolean c(@NonNull String str) {
        return !f12340c.contains(str);
    }

    public static boolean d(@NonNull String str, @Nullable Bundle bundle) {
        if (f12339b.contains(str)) {
            return false;
        }
        if (bundle == null) {
            return true;
        }
        for (String str2 : f12341d) {
            if (bundle.containsKey(str2)) {
                return false;
            }
        }
        return true;
    }

    public static boolean e(@NonNull String str, @NonNull String str2) {
        if ("_ce1".equals(str2) || "_ce2".equals(str2)) {
            return str.equals("fcm") || str.equals("frc");
        }
        if (AppMeasurement.e.f10731c.equals(str2)) {
            return str.equals("fcm") || str.equals("fiam");
        }
        if (f12342e.contains(str2)) {
            return false;
        }
        for (String str3 : f) {
            if (str2.matches(str3)) {
                return false;
            }
        }
        return true;
    }

    public static boolean f(@NonNull String str, @NonNull String str2, @Nullable Bundle bundle) {
        if (!"_cmp".equals(str2)) {
            return true;
        }
        if (!c(str) || bundle == null) {
            return false;
        }
        for (String str3 : f12341d) {
            if (bundle.containsKey(str3)) {
                return false;
            }
        }
        str.hashCode();
        char c2 = 65535;
        switch (str.hashCode()) {
            case 101200:
                if (str.equals("fcm")) {
                    c2 = 0;
                    break;
                }
                break;
            case 101230:
                if (str.equals("fdl")) {
                    c2 = 1;
                    break;
                }
                break;
            case 3142703:
                if (str.equals("fiam")) {
                    c2 = 2;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                bundle.putString("_cis", "fcm_integration");
                return true;
            case 1:
                bundle.putString("_cis", "fdl_integration");
                return true;
            case 2:
                bundle.putString("_cis", "fiam_integration");
                return true;
            default:
                return false;
        }
    }

    public static AppMeasurement.ConditionalUserProperty g(a.c cVar) {
        AppMeasurement.ConditionalUserProperty conditionalUserProperty = new AppMeasurement.ConditionalUserProperty();
        conditionalUserProperty.mOrigin = cVar.f12319a;
        conditionalUserProperty.mActive = cVar.n;
        conditionalUserProperty.mCreationTimestamp = cVar.m;
        conditionalUserProperty.mExpiredEventName = cVar.k;
        if (cVar.l != null) {
            conditionalUserProperty.mExpiredEventParams = new Bundle(cVar.l);
        }
        conditionalUserProperty.mName = cVar.f12320b;
        conditionalUserProperty.mTimedOutEventName = cVar.f;
        if (cVar.g != null) {
            conditionalUserProperty.mTimedOutEventParams = new Bundle(cVar.g);
        }
        conditionalUserProperty.mTimeToLive = cVar.j;
        conditionalUserProperty.mTriggeredEventName = cVar.h;
        if (cVar.i != null) {
            conditionalUserProperty.mTriggeredEventParams = new Bundle(cVar.i);
        }
        conditionalUserProperty.mTriggeredTimestamp = cVar.o;
        conditionalUserProperty.mTriggerEventName = cVar.f12322d;
        conditionalUserProperty.mTriggerTimeout = cVar.f12323e;
        Object obj = cVar.f12321c;
        if (obj != null) {
            conditionalUserProperty.mValue = k7.a(obj);
        }
        return conditionalUserProperty;
    }

    public static boolean h(@NonNull String str) {
        return !f12338a.contains(str);
    }

    public static boolean i(String str) {
        if (str == null || str.length() == 0) {
            return false;
        }
        int codePointAt = str.codePointAt(0);
        if (!Character.isLetter(codePointAt)) {
            return false;
        }
        int length = str.length();
        int charCount = Character.charCount(codePointAt);
        while (charCount < length) {
            int codePointAt2 = str.codePointAt(charCount);
            if (codePointAt2 != 95 && !Character.isLetterOrDigit(codePointAt2)) {
                return false;
            }
            charCount += Character.charCount(codePointAt2);
        }
        return true;
    }

    public static boolean j(String str) {
        if (str == null || str.length() == 0) {
            return false;
        }
        int codePointAt = str.codePointAt(0);
        if (!Character.isLetter(codePointAt) && codePointAt != 95) {
            return false;
        }
        int length = str.length();
        int charCount = Character.charCount(codePointAt);
        while (charCount < length) {
            int codePointAt2 = str.codePointAt(charCount);
            if (codePointAt2 != 95 && !Character.isLetterOrDigit(codePointAt2)) {
                return false;
            }
            charCount += Character.charCount(codePointAt2);
        }
        return true;
    }

    public static String k(String str) {
        String a2 = b6.a(str);
        return a2 != null ? a2 : str;
    }

    public static String l(String str) {
        String b2 = b6.b(str);
        return b2 != null ? b2 : str;
    }
}
