package com.google.firebase.components;

import com.alipay.sdk.util.g;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.a0;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

@KeepForSdk
/* compiled from: com.google.firebase:firebase-common@@19.0.0 */
public final class e<T> {

    /* renamed from: a  reason: collision with root package name */
    private final Set<Class<? super T>> f12354a;

    /* renamed from: b  reason: collision with root package name */
    private final Set<o> f12355b;

    /* renamed from: c  reason: collision with root package name */
    private final int f12356c;

    /* renamed from: d  reason: collision with root package name */
    private final int f12357d;

    /* renamed from: e  reason: collision with root package name */
    private final h<T> f12358e;
    private final Set<Class<?>> f;

    @KeepForSdk
    /* compiled from: com.google.firebase:firebase-common@@19.0.0 */
    public static class b<T> {

        /* renamed from: a  reason: collision with root package name */
        private final Set<Class<? super T>> f12359a;

        /* renamed from: b  reason: collision with root package name */
        private final Set<o> f12360b;

        /* renamed from: c  reason: collision with root package name */
        private int f12361c;

        /* renamed from: d  reason: collision with root package name */
        private int f12362d;

        /* renamed from: e  reason: collision with root package name */
        private h<T> f12363e;
        private Set<Class<?>> f;

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private b<T> g() {
            this.f12362d = 1;
            return this;
        }

        private b<T> i(int i) {
            a0.r(this.f12361c == 0, "Instantiation type has already been set.");
            this.f12361c = i;
            return this;
        }

        private void j(Class<?> cls) {
            a0.b(!this.f12359a.contains(cls), "Components are not allowed to depend on interfaces they themselves provide.");
        }

        @KeepForSdk
        public b<T> b(o oVar) {
            a0.l(oVar, "Null dependency");
            j(oVar.a());
            this.f12360b.add(oVar);
            return this;
        }

        @KeepForSdk
        public b<T> c() {
            return i(1);
        }

        @KeepForSdk
        public e<T> d() {
            a0.r(this.f12363e != null, "Missing required property: factory.");
            return new e<>(new HashSet(this.f12359a), new HashSet(this.f12360b), this.f12361c, this.f12362d, this.f12363e, this.f);
        }

        @KeepForSdk
        public b<T> e() {
            return i(2);
        }

        @KeepForSdk
        public b<T> f(h<T> hVar) {
            this.f12363e = (h) a0.l(hVar, "Null factory");
            return this;
        }

        @KeepForSdk
        public b<T> h(Class<?> cls) {
            this.f.add(cls);
            return this;
        }

        @SafeVarargs
        private b(Class<T> cls, Class<? super T>... clsArr) {
            HashSet hashSet = new HashSet();
            this.f12359a = hashSet;
            this.f12360b = new HashSet();
            this.f12361c = 0;
            this.f12362d = 0;
            this.f = new HashSet();
            a0.l(cls, "Null interface");
            hashSet.add(cls);
            for (Class<? super T> cls2 : clsArr) {
                a0.l(cls2, "Null interface");
            }
            Collections.addAll(this.f12359a, clsArr);
        }
    }

    @KeepForSdk
    public static <T> b<T> a(Class<T> cls) {
        return new b<>(cls, new Class[0]);
    }

    @SafeVarargs
    @KeepForSdk
    public static <T> b<T> b(Class<T> cls, Class<? super T>... clsArr) {
        return new b<>(cls, clsArr);
    }

    @KeepForSdk
    public static <T> e<T> g(T t, Class<T> cls) {
        return h(cls).f(d.b(t)).d();
    }

    @KeepForSdk
    public static <T> b<T> h(Class<T> cls) {
        return a(cls).g();
    }

    static /* synthetic */ Object m(Object obj, f fVar) {
        return obj;
    }

    static /* synthetic */ Object n(Object obj, f fVar) {
        return obj;
    }

    static /* synthetic */ Object o(Object obj, f fVar) {
        return obj;
    }

    @KeepForSdk
    @Deprecated
    public static <T> e<T> p(Class<T> cls, T t) {
        return a(cls).f(b.b(t)).d();
    }

    @SafeVarargs
    @KeepForSdk
    public static <T> e<T> q(T t, Class<T> cls, Class<? super T>... clsArr) {
        return b(cls, clsArr).f(c.b(t)).d();
    }

    public Set<o> c() {
        return this.f12355b;
    }

    public h<T> d() {
        return this.f12358e;
    }

    public Set<Class<? super T>> e() {
        return this.f12354a;
    }

    public Set<Class<?>> f() {
        return this.f;
    }

    public boolean i() {
        return this.f12356c == 1;
    }

    public boolean j() {
        return this.f12356c == 2;
    }

    public boolean k() {
        return this.f12356c == 0;
    }

    public boolean l() {
        return this.f12357d == 0;
    }

    public String toString() {
        return "Component<" + Arrays.toString(this.f12354a.toArray()) + ">{" + this.f12356c + ", type=" + this.f12357d + ", deps=" + Arrays.toString(this.f12355b.toArray()) + g.f6033d;
    }

    private e(Set<Class<? super T>> set, Set<o> set2, int i, int i2, h<T> hVar, Set<Class<?>> set3) {
        this.f12354a = Collections.unmodifiableSet(set);
        this.f12355b = Collections.unmodifiableSet(set2);
        this.f12356c = i;
        this.f12357d = i2;
        this.f12358e = hVar;
        this.f = Collections.unmodifiableSet(set3);
    }
}
