package com.google.firebase.components;

import android.content.ComponentName;
import android.content.Context;
import android.content.pm.PackageManager;
import android.content.pm.ServiceInfo;
import android.os.Bundle;
import android.util.Log;
import androidx.annotation.VisibleForTesting;
import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/* compiled from: com.google.firebase:firebase-common@@19.0.0 */
public final class g<T> {

    /* renamed from: a  reason: collision with root package name */
    private static final String f12364a = "ComponentDiscovery";

    /* renamed from: b  reason: collision with root package name */
    private static final String f12365b = "com.google.firebase.components.ComponentRegistrar";

    /* renamed from: c  reason: collision with root package name */
    private static final String f12366c = "com.google.firebase.components:";

    /* renamed from: d  reason: collision with root package name */
    private final T f12367d;

    /* renamed from: e  reason: collision with root package name */
    private final c<T> f12368e;

    /* access modifiers changed from: private */
    /* compiled from: com.google.firebase:firebase-common@@19.0.0 */
    public static class b implements c<Context> {
        private b() {
        }

        private static Bundle b(Context context) {
            try {
                PackageManager packageManager = context.getPackageManager();
                if (packageManager == null) {
                    Log.w(g.f12364a, "Context has no PackageManager.");
                    return null;
                }
                ServiceInfo serviceInfo = packageManager.getServiceInfo(new ComponentName(context, ComponentDiscoveryService.class), 128);
                if (serviceInfo != null) {
                    return serviceInfo.metaData;
                }
                Log.w(g.f12364a, "ComponentDiscoveryService has no service info.");
                return null;
            } catch (PackageManager.NameNotFoundException unused) {
                Log.w(g.f12364a, "Application info not found.");
                return null;
            }
        }

        /* renamed from: c */
        public List<String> a(Context context) {
            Bundle b2 = b(context);
            if (b2 == null) {
                Log.w(g.f12364a, "Could not retrieve metadata, returning empty list of registrars.");
                return Collections.emptyList();
            }
            ArrayList arrayList = new ArrayList();
            for (String str : b2.keySet()) {
                if (g.f12365b.equals(b2.get(str)) && str.startsWith(g.f12366c)) {
                    arrayList.add(str.substring(31));
                }
            }
            return arrayList;
        }
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    /* compiled from: com.google.firebase:firebase-common@@19.0.0 */
    public interface c<T> {
        List<String> a(T t);
    }

    @VisibleForTesting
    g(T t, c<T> cVar) {
        this.f12367d = t;
        this.f12368e = cVar;
    }

    public static g<Context> b(Context context) {
        return new g<>(context, new b());
    }

    private static List<i> c(List<String> list) {
        ArrayList arrayList = new ArrayList();
        for (String str : list) {
            try {
                Class<?> cls = Class.forName(str);
                if (!i.class.isAssignableFrom(cls)) {
                    Log.w(f12364a, String.format("Class %s is not an instance of %s", str, f12365b));
                } else {
                    arrayList.add((i) cls.getDeclaredConstructor(new Class[0]).newInstance(new Object[0]));
                }
            } catch (ClassNotFoundException e2) {
                Log.w(f12364a, String.format("Class %s is not an found.", str), e2);
            } catch (IllegalAccessException e3) {
                Log.w(f12364a, String.format("Could not instantiate %s.", str), e3);
            } catch (InstantiationException e4) {
                Log.w(f12364a, String.format("Could not instantiate %s.", str), e4);
            } catch (NoSuchMethodException e5) {
                Log.w(f12364a, String.format("Could not instantiate %s", str), e5);
            } catch (InvocationTargetException e6) {
                Log.w(f12364a, String.format("Could not instantiate %s", str), e6);
            }
        }
        return arrayList;
    }

    public List<i> a() {
        return c(this.f12368e.a(this.f12367d));
    }
}
