package com.google.firebase.components;

import com.google.android.gms.common.internal.a0;
import com.google.firebase.i.c;
import com.google.firebase.i.d;
import com.google.firebase.k.a;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.Executor;

/* compiled from: com.google.firebase:firebase-common@@19.0.0 */
public class m extends a {

    /* renamed from: a  reason: collision with root package name */
    private static final a<Set<Object>> f12373a = l.a();

    /* renamed from: b  reason: collision with root package name */
    private final Map<e<?>, r<?>> f12374b = new HashMap();

    /* renamed from: c  reason: collision with root package name */
    private final Map<Class<?>, r<?>> f12375c = new HashMap();

    /* renamed from: d  reason: collision with root package name */
    private final Map<Class<?>, r<Set<?>>> f12376d = new HashMap();

    /* renamed from: e  reason: collision with root package name */
    private final q f12377e;

    public m(Executor executor, Iterable<i> iterable, e<?>... eVarArr) {
        q qVar = new q(executor);
        this.f12377e = qVar;
        ArrayList<e<?>> arrayList = new ArrayList();
        arrayList.add(e.q(qVar, q.class, d.class, c.class));
        for (i iVar : iterable) {
            arrayList.addAll(iVar.getComponents());
        }
        Collections.addAll(arrayList, eVarArr);
        n.a(arrayList);
        for (e<?> eVar : arrayList) {
            this.f12374b.put(eVar, new r<>((a<?>) j.a(this, eVar)));
        }
        h();
        i();
    }

    static /* synthetic */ Set g(Set set) {
        HashSet hashSet = new HashSet();
        Iterator it = set.iterator();
        while (it.hasNext()) {
            hashSet.add(((r) it.next()).get());
        }
        return Collections.unmodifiableSet(hashSet);
    }

    private void h() {
        for (Map.Entry<e<?>, r<?>> entry : this.f12374b.entrySet()) {
            e<?> key = entry.getKey();
            if (key.l()) {
                r<?> value = entry.getValue();
                for (Class<? super Object> cls : key.e()) {
                    this.f12375c.put(cls, value);
                }
            }
        }
        j();
    }

    private void i() {
        HashMap hashMap = new HashMap();
        for (Map.Entry<e<?>, r<?>> entry : this.f12374b.entrySet()) {
            e<?> key = entry.getKey();
            if (!key.l()) {
                r<?> value = entry.getValue();
                for (Class<? super Object> cls : key.e()) {
                    if (!hashMap.containsKey(cls)) {
                        hashMap.put(cls, new HashSet());
                    }
                    ((Set) hashMap.get(cls)).add(value);
                }
            }
        }
        for (Map.Entry entry2 : hashMap.entrySet()) {
            this.f12376d.put((Class) entry2.getKey(), new r<>(k.a((Set) entry2.getValue())));
        }
    }

    private void j() {
        for (e<?> eVar : this.f12374b.keySet()) {
            Iterator<o> it = eVar.c().iterator();
            while (true) {
                if (it.hasNext()) {
                    o next = it.next();
                    if (next.c() && !this.f12375c.containsKey(next.a())) {
                        throw new MissingDependencyException(String.format("Unsatisfied dependency for component %s: %s", eVar, next.a()));
                    }
                }
            }
        }
    }

    @Override // com.google.firebase.components.f, com.google.firebase.components.a
    public /* bridge */ /* synthetic */ Object a(Class cls) {
        return super.a(cls);
    }

    @Override // com.google.firebase.components.f
    public <T> a<T> b(Class<T> cls) {
        a0.l(cls, "Null interface requested.");
        return this.f12375c.get(cls);
    }

    @Override // com.google.firebase.components.f
    public <T> a<Set<T>> c(Class<T> cls) {
        r<Set<?>> rVar = this.f12376d.get(cls);
        return rVar != null ? rVar : (a<Set<T>>) f12373a;
    }

    @Override // com.google.firebase.components.f, com.google.firebase.components.a
    public /* bridge */ /* synthetic */ Set d(Class cls) {
        return super.d(cls);
    }

    public void e(boolean z) {
        for (Map.Entry<e<?>, r<?>> entry : this.f12374b.entrySet()) {
            e<?> key = entry.getKey();
            r<?> value = entry.getValue();
            if (key.i() || (key.j() && z)) {
                value.get();
            }
        }
        this.f12377e.e();
    }
}
