package com.google.firebase;

import android.annotation.TargetApi;
import android.app.Application;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Handler;
import android.os.Looper;
import android.text.TextUtils;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.VisibleForTesting;
import androidx.core.os.u;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.api.internal.c;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.y;
import com.google.android.gms.common.util.v;
import com.google.android.gms.common.util.x;
import com.google.firebase.components.g;
import com.google.firebase.components.i;
import com.google.firebase.components.m;
import com.google.firebase.components.r;
import com.google.firebase.o.f;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.CopyOnWriteArrayList;
import java.util.concurrent.Executor;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicReference;
import javax.annotation.concurrent.GuardedBy;

/* compiled from: com.google.firebase:firebase-common@@19.0.0 */
public class d {

    /* renamed from: a  reason: collision with root package name */
    private static final String f12401a = "FirebaseApp";
    @NonNull

    /* renamed from: b  reason: collision with root package name */
    public static final String f12402b = "[DEFAULT]";

    /* renamed from: c  reason: collision with root package name */
    private static final Object f12403c = new Object();

    /* renamed from: d  reason: collision with root package name */
    private static final Executor f12404d = new ExecutorC0277d();
    @GuardedBy("LOCK")

    /* renamed from: e  reason: collision with root package name */
    static final Map<String, d> f12405e = new b.b.a();
    private static final String f = "fire-android";
    private static final String g = "fire-core";
    private final Context h;
    private final String i;
    private final h j;
    private final m k;
    private final AtomicBoolean l = new AtomicBoolean(false);
    private final AtomicBoolean m = new AtomicBoolean();
    private final r<com.google.firebase.l.a> n;
    private final List<b> o = new CopyOnWriteArrayList();
    private final List<e> p = new CopyOnWriteArrayList();

    @KeepForSdk
    /* compiled from: com.google.firebase:firebase-common@@19.0.0 */
    public interface b {
        @KeepForSdk
        void a(boolean z);
    }

    /* access modifiers changed from: private */
    @TargetApi(14)
    /* compiled from: com.google.firebase:firebase-common@@19.0.0 */
    public static class c implements c.a {

        /* renamed from: a  reason: collision with root package name */
        private static AtomicReference<c> f12406a = new AtomicReference<>();

        private c() {
        }

        /* access modifiers changed from: private */
        public static void c(Context context) {
            if (v.c() && (context.getApplicationContext() instanceof Application)) {
                Application application = (Application) context.getApplicationContext();
                if (f12406a.get() == null) {
                    c cVar = new c();
                    if (f12406a.compareAndSet(null, cVar)) {
                        com.google.android.gms.common.api.internal.c.c(application);
                        com.google.android.gms.common.api.internal.c.b().a(cVar);
                    }
                }
            }
        }

        @Override // com.google.android.gms.common.api.internal.c.a
        public void a(boolean z) {
            synchronized (d.f12403c) {
                Iterator it = new ArrayList(d.f12405e.values()).iterator();
                while (it.hasNext()) {
                    d dVar = (d) it.next();
                    if (dVar.l.get()) {
                        dVar.B(z);
                    }
                }
            }
        }
    }

    /* renamed from: com.google.firebase.d$d  reason: collision with other inner class name */
    /* compiled from: com.google.firebase:firebase-common@@19.0.0 */
    private static class ExecutorC0277d implements Executor {

        /* renamed from: a  reason: collision with root package name */
        private static final Handler f12407a = new Handler(Looper.getMainLooper());

        private ExecutorC0277d() {
        }

        public void execute(@NonNull Runnable runnable) {
            f12407a.post(runnable);
        }
    }

    /* access modifiers changed from: private */
    @TargetApi(24)
    /* compiled from: com.google.firebase:firebase-common@@19.0.0 */
    public static class e extends BroadcastReceiver {

        /* renamed from: a  reason: collision with root package name */
        private static AtomicReference<e> f12408a = new AtomicReference<>();

        /* renamed from: b  reason: collision with root package name */
        private final Context f12409b;

        public e(Context context) {
            this.f12409b = context;
        }

        /* access modifiers changed from: private */
        public static void b(Context context) {
            if (f12408a.get() == null) {
                e eVar = new e(context);
                if (f12408a.compareAndSet(null, eVar)) {
                    context.registerReceiver(eVar, new IntentFilter("android.intent.action.USER_UNLOCKED"));
                }
            }
        }

        public void c() {
            this.f12409b.unregisterReceiver(this);
        }

        public void onReceive(Context context, Intent intent) {
            synchronized (d.f12403c) {
                for (d dVar : d.f12405e.values()) {
                    dVar.t();
                }
            }
            c();
        }
    }

    protected d(Context context, String str, h hVar) {
        this.h = (Context) a0.k(context);
        this.i = a0.g(str);
        this.j = (h) a0.k(hVar);
        List<i> a2 = g.b(context).a();
        this.k = new m(f12404d, a2, com.google.firebase.components.e.q(context, Context.class, new Class[0]), com.google.firebase.components.e.q(this, d.class, new Class[0]), com.google.firebase.components.e.q(hVar, h.class, new Class[0]), f.a(f, ""), f.a(g, a.f), com.google.firebase.o.c.b());
        this.n = new r<>(c.a(this, context));
    }

    private static String A(@NonNull String str) {
        return str.trim();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void B(boolean z) {
        Log.d(f12401a, "Notifying background state change listeners.");
        for (b bVar : this.o) {
            bVar.a(z);
        }
    }

    private void C() {
        for (e eVar : this.p) {
            eVar.a(this.i, this.j);
        }
    }

    private void g() {
        a0.r(!this.m.get(), "FirebaseApp was deleted");
    }

    @VisibleForTesting
    public static void h() {
        synchronized (f12403c) {
            f12405e.clear();
        }
    }

    private static List<String> k() {
        ArrayList arrayList = new ArrayList();
        synchronized (f12403c) {
            for (d dVar : f12405e.values()) {
                arrayList.add(dVar.p());
            }
        }
        Collections.sort(arrayList);
        return arrayList;
    }

    @NonNull
    public static List<d> m(@NonNull Context context) {
        ArrayList arrayList;
        synchronized (f12403c) {
            arrayList = new ArrayList(f12405e.values());
        }
        return arrayList;
    }

    @NonNull
    public static d n() {
        d dVar;
        synchronized (f12403c) {
            dVar = f12405e.get(f12402b);
            if (dVar == null) {
                throw new IllegalStateException("Default FirebaseApp is not initialized in this process " + x.a() + ". Make sure to call FirebaseApp.initializeApp(Context) first.");
            }
        }
        return dVar;
    }

    @NonNull
    public static d o(@NonNull String str) {
        d dVar;
        String str2;
        synchronized (f12403c) {
            dVar = f12405e.get(A(str));
            if (dVar == null) {
                List<String> k2 = k();
                if (k2.isEmpty()) {
                    str2 = "";
                } else {
                    str2 = "Available app names: " + TextUtils.join(", ", k2);
                }
                throw new IllegalStateException(String.format("FirebaseApp with name %s doesn't exist. %s", str, str2));
            }
        }
        return dVar;
    }

    @KeepForSdk
    public static String s(String str, h hVar) {
        return com.google.android.gms.common.util.c.f(str.getBytes(Charset.defaultCharset())) + "+" + com.google.android.gms.common.util.c.f(hVar.j().getBytes(Charset.defaultCharset()));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void t() {
        if (!u.a(this.h)) {
            e.b(this.h);
        } else {
            this.k.e(y());
        }
    }

    @Nullable
    public static d u(@NonNull Context context) {
        synchronized (f12403c) {
            if (f12405e.containsKey(f12402b)) {
                return n();
            }
            h h2 = h.h(context);
            if (h2 == null) {
                Log.w(f12401a, "Default FirebaseApp failed to initialize because no default options were found. This usually means that com.google.gms:google-services was not applied to your gradle project.");
                return null;
            }
            return v(context, h2);
        }
    }

    @NonNull
    public static d v(@NonNull Context context, @NonNull h hVar) {
        return w(context, hVar, f12402b);
    }

    @NonNull
    public static d w(@NonNull Context context, @NonNull h hVar, @NonNull String str) {
        d dVar;
        c.c(context);
        String A = A(str);
        if (context.getApplicationContext() != null) {
            context = context.getApplicationContext();
        }
        synchronized (f12403c) {
            Map<String, d> map = f12405e;
            boolean z = !map.containsKey(A);
            a0.r(z, "FirebaseApp name " + A + " already exists!");
            a0.l(context, "Application context cannot be null.");
            dVar = new d(context, A, hVar);
            map.put(A, dVar);
        }
        dVar.t();
        return dVar;
    }

    static /* synthetic */ com.google.firebase.l.a z(d dVar, Context context) {
        return new com.google.firebase.l.a(context, dVar.r(), (com.google.firebase.i.c) dVar.k.a(com.google.firebase.i.c.class));
    }

    @KeepForSdk
    public void D(b bVar) {
        g();
        this.o.remove(bVar);
    }

    @KeepForSdk
    public void E(@NonNull e eVar) {
        g();
        a0.k(eVar);
        this.p.remove(eVar);
    }

    public void F(boolean z) {
        g();
        if (this.l.compareAndSet(!z, z)) {
            boolean d2 = com.google.android.gms.common.api.internal.c.b().d();
            if (z && d2) {
                B(true);
            } else if (!z && d2) {
                B(false);
            }
        }
    }

    @KeepForSdk
    public void G(boolean z) {
        g();
        this.n.get().d(z);
    }

    @KeepForSdk
    public void e(b bVar) {
        g();
        if (this.l.get() && com.google.android.gms.common.api.internal.c.b().d()) {
            bVar.a(true);
        }
        this.o.add(bVar);
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof d)) {
            return false;
        }
        return this.i.equals(((d) obj).p());
    }

    @KeepForSdk
    public void f(@NonNull e eVar) {
        g();
        a0.k(eVar);
        this.p.add(eVar);
    }

    public int hashCode() {
        return this.i.hashCode();
    }

    public void i() {
        if (this.m.compareAndSet(false, true)) {
            synchronized (f12403c) {
                f12405e.remove(this.i);
            }
            C();
        }
    }

    @KeepForSdk
    public <T> T j(Class<T> cls) {
        g();
        return (T) this.k.a(cls);
    }

    @NonNull
    public Context l() {
        g();
        return this.h;
    }

    @NonNull
    public String p() {
        g();
        return this.i;
    }

    @NonNull
    public h q() {
        g();
        return this.j;
    }

    @KeepForSdk
    public String r() {
        return com.google.android.gms.common.util.c.f(p().getBytes(Charset.defaultCharset())) + "+" + com.google.android.gms.common.util.c.f(q().j().getBytes(Charset.defaultCharset()));
    }

    public String toString() {
        return y.c(this).a("name", this.i).a("options", this.j).toString();
    }

    @KeepForSdk
    public boolean x() {
        g();
        return this.n.get().b();
    }

    @KeepForSdk
    @VisibleForTesting
    public boolean y() {
        return f12402b.equals(p());
    }
}
