package com.google.firebase;

import android.content.Context;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.common.internal.a0;
import com.google.android.gms.common.internal.f0;
import com.google.android.gms.common.internal.y;

/* compiled from: com.google.firebase:firebase-common@@19.0.0 */
public final class h {

    /* renamed from: a  reason: collision with root package name */
    private static final String f12415a = "google_api_key";

    /* renamed from: b  reason: collision with root package name */
    private static final String f12416b = "google_app_id";

    /* renamed from: c  reason: collision with root package name */
    private static final String f12417c = "firebase_database_url";

    /* renamed from: d  reason: collision with root package name */
    private static final String f12418d = "ga_trackingId";

    /* renamed from: e  reason: collision with root package name */
    private static final String f12419e = "gcm_defaultSenderId";
    private static final String f = "google_storage_bucket";
    private static final String g = "project_id";
    private final String h;
    private final String i;
    private final String j;
    private final String k;
    private final String l;
    private final String m;
    private final String n;

    /* compiled from: com.google.firebase:firebase-common@@19.0.0 */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        private String f12420a;

        /* renamed from: b  reason: collision with root package name */
        private String f12421b;

        /* renamed from: c  reason: collision with root package name */
        private String f12422c;

        /* renamed from: d  reason: collision with root package name */
        private String f12423d;

        /* renamed from: e  reason: collision with root package name */
        private String f12424e;
        private String f;
        private String g;

        public b() {
        }

        @NonNull
        public h a() {
            return new h(this.f12421b, this.f12420a, this.f12422c, this.f12423d, this.f12424e, this.f, this.g);
        }

        @NonNull
        public b b(@NonNull String str) {
            this.f12420a = a0.h(str, "ApiKey must be set.");
            return this;
        }

        @NonNull
        public b c(@NonNull String str) {
            this.f12421b = a0.h(str, "ApplicationId must be set.");
            return this;
        }

        @NonNull
        public b d(@Nullable String str) {
            this.f12422c = str;
            return this;
        }

        @NonNull
        @KeepForSdk
        public b e(@Nullable String str) {
            this.f12423d = str;
            return this;
        }

        @NonNull
        public b f(@Nullable String str) {
            this.f12424e = str;
            return this;
        }

        @NonNull
        public b g(@Nullable String str) {
            this.g = str;
            return this;
        }

        @NonNull
        public b h(@Nullable String str) {
            this.f = str;
            return this;
        }

        public b(@NonNull h hVar) {
            this.f12421b = hVar.i;
            this.f12420a = hVar.h;
            this.f12422c = hVar.j;
            this.f12423d = hVar.k;
            this.f12424e = hVar.l;
            this.f = hVar.m;
            this.g = hVar.n;
        }
    }

    @Nullable
    public static h h(@NonNull Context context) {
        f0 f0Var = new f0(context);
        String a2 = f0Var.a(f12416b);
        if (TextUtils.isEmpty(a2)) {
            return null;
        }
        return new h(a2, f0Var.a(f12415a), f0Var.a(f12417c), f0Var.a(f12418d), f0Var.a(f12419e), f0Var.a(f), f0Var.a(g));
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof h)) {
            return false;
        }
        h hVar = (h) obj;
        if (!y.a(this.i, hVar.i) || !y.a(this.h, hVar.h) || !y.a(this.j, hVar.j) || !y.a(this.k, hVar.k) || !y.a(this.l, hVar.l) || !y.a(this.m, hVar.m) || !y.a(this.n, hVar.n)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        return y.b(this.i, this.h, this.j, this.k, this.l, this.m, this.n);
    }

    @NonNull
    public String i() {
        return this.h;
    }

    @NonNull
    public String j() {
        return this.i;
    }

    @Nullable
    public String k() {
        return this.j;
    }

    @Nullable
    @KeepForSdk
    public String l() {
        return this.k;
    }

    @Nullable
    public String m() {
        return this.l;
    }

    @Nullable
    public String n() {
        return this.n;
    }

    @Nullable
    public String o() {
        return this.m;
    }

    public String toString() {
        return y.c(this).a("applicationId", this.i).a("apiKey", this.h).a("databaseUrl", this.j).a("gcmSenderId", this.l).a("storageBucket", this.m).a("projectId", this.n).toString();
    }

    private h(@NonNull String str, @NonNull String str2, @Nullable String str3, @Nullable String str4, @Nullable String str5, @Nullable String str6, @Nullable String str7) {
        a0.r(!com.google.android.gms.common.util.a0.b(str), "ApplicationId must be set.");
        this.i = str;
        this.h = str2;
        this.j = str3;
        this.k = str4;
        this.l = str5;
        this.m = str6;
        this.n = str7;
    }
}
