package com.google.firebase.iid;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.os.Build;
import android.os.Bundle;
import android.os.Looper;
import android.util.Log;
import androidx.annotation.Keep;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.WorkerThread;
import com.google.android.gms.common.util.VisibleForTesting;
import com.google.android.gms.tasks.k;
import com.google.android.gms.tasks.n;
import com.google.firebase.d;
import com.google.firebase.i.b;
import com.google.firebase.o.g;
import java.io.IOException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ScheduledThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import javax.annotation.concurrent.GuardedBy;

public class FirebaseInstanceId {

    /* renamed from: a  reason: collision with root package name */
    private static final long f12427a = TimeUnit.HOURS.toSeconds(8);

    /* renamed from: b  reason: collision with root package name */
    private static z f12428b;
    @VisibleForTesting
    @GuardedBy("FirebaseInstanceId.class")

    /* renamed from: c  reason: collision with root package name */
    private static ScheduledExecutorService f12429c;

    /* renamed from: d  reason: collision with root package name */
    private final Executor f12430d;

    /* renamed from: e  reason: collision with root package name */
    private final d f12431e;
    private final r f;
    private b g;
    private final u h;
    private final d0 i;
    @GuardedBy("this")
    private boolean j;
    private final a k;

    /* access modifiers changed from: private */
    public class a {

        /* renamed from: a  reason: collision with root package name */
        private final boolean f12432a;

        /* renamed from: b  reason: collision with root package name */
        private final com.google.firebase.i.d f12433b;
        @Nullable
        @GuardedBy("this")

        /* renamed from: c  reason: collision with root package name */
        private b<com.google.firebase.b> f12434c;
        @Nullable
        @GuardedBy("this")

        /* renamed from: d  reason: collision with root package name */
        private Boolean f12435d;

        a(com.google.firebase.i.d dVar) {
            this.f12433b = dVar;
            boolean d2 = d();
            this.f12432a = d2;
            Boolean c2 = c();
            this.f12435d = c2;
            if (c2 == null && d2) {
                s0 s0Var = new s0(this);
                this.f12434c = s0Var;
                dVar.a(com.google.firebase.b.class, s0Var);
            }
        }

        @Nullable
        private final Boolean c() {
            ApplicationInfo applicationInfo;
            Bundle bundle;
            Context l = FirebaseInstanceId.this.f12431e.l();
            SharedPreferences sharedPreferences = l.getSharedPreferences("com.google.firebase.messaging", 0);
            if (sharedPreferences.contains("auto_init")) {
                return Boolean.valueOf(sharedPreferences.getBoolean("auto_init", false));
            }
            try {
                PackageManager packageManager = l.getPackageManager();
                if (packageManager == null || (applicationInfo = packageManager.getApplicationInfo(l.getPackageName(), 128)) == null || (bundle = applicationInfo.metaData) == null || !bundle.containsKey("firebase_messaging_auto_init_enabled")) {
                    return null;
                }
                return Boolean.valueOf(applicationInfo.metaData.getBoolean("firebase_messaging_auto_init_enabled"));
            } catch (PackageManager.NameNotFoundException unused) {
                return null;
            }
        }

        private final boolean d() {
            try {
                Class.forName("com.google.firebase.messaging.FirebaseMessaging");
                return true;
            } catch (ClassNotFoundException unused) {
                Context l = FirebaseInstanceId.this.f12431e.l();
                Intent intent = new Intent("com.google.firebase.MESSAGING_EVENT");
                intent.setPackage(l.getPackageName());
                ResolveInfo resolveService = l.getPackageManager().resolveService(intent, 0);
                if (resolveService == null || resolveService.serviceInfo == null) {
                    return false;
                }
                return true;
            }
        }

        /* access modifiers changed from: package-private */
        public final synchronized boolean a() {
            Boolean bool = this.f12435d;
            if (bool == null) {
                return this.f12432a && FirebaseInstanceId.this.f12431e.x();
            }
            return bool.booleanValue();
        }

        /* access modifiers changed from: package-private */
        public final synchronized void b(boolean z) {
            b<com.google.firebase.b> bVar = this.f12434c;
            if (bVar != null) {
                this.f12433b.d(com.google.firebase.b.class, bVar);
                this.f12434c = null;
            }
            SharedPreferences.Editor edit = FirebaseInstanceId.this.f12431e.l().getSharedPreferences("com.google.firebase.messaging", 0).edit();
            edit.putBoolean("auto_init", z);
            edit.apply();
            if (z) {
                FirebaseInstanceId.this.A();
            }
            this.f12435d = Boolean.valueOf(z);
        }
    }

    FirebaseInstanceId(d dVar, com.google.firebase.i.d dVar2, g gVar) {
        this(dVar, new r(dVar.l()), k0.d(), k0.d(), dVar2, gVar);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void A() {
        c0 D = D();
        if (K() || s(D) || this.i.c()) {
            i();
        }
    }

    private static String C() {
        return r.b(f12428b.j("").b());
    }

    static boolean F() {
        if (!Log.isLoggable("FirebaseInstanceId", 3)) {
            return Build.VERSION.SDK_INT == 23 && Log.isLoggable("FirebaseInstanceId", 3);
        }
        return true;
    }

    public static FirebaseInstanceId e() {
        return getInstance(d.n());
    }

    @Keep
    public static FirebaseInstanceId getInstance(@NonNull d dVar) {
        return (FirebaseInstanceId) dVar.j(FirebaseInstanceId.class);
    }

    private final synchronized void i() {
        if (!this.j) {
            p(0);
        }
    }

    private final k<a> k(String str, String str2) {
        return n.g(null).p(this.f12430d, new q0(this, str, z(str2)));
    }

    private final <T> T o(k<T> kVar) throws IOException {
        try {
            return (T) n.b(kVar, 30000, TimeUnit.MILLISECONDS);
        } catch (ExecutionException e2) {
            Throwable cause = e2.getCause();
            if (cause instanceof IOException) {
                if ("INSTANCE_ID_RESET".equals(cause.getMessage())) {
                    G();
                }
                throw ((IOException) cause);
            } else if (cause instanceof RuntimeException) {
                throw ((RuntimeException) cause);
            } else {
                throw new IOException(e2);
            }
        } catch (InterruptedException | TimeoutException unused) {
            throw new IOException("SERVICE_NOT_AVAILABLE");
        }
    }

    static void q(Runnable runnable, long j2) {
        synchronized (FirebaseInstanceId.class) {
            if (f12429c == null) {
                f12429c = new ScheduledThreadPoolExecutor(1, new com.google.android.gms.common.util.d0.b("FirebaseInstanceId"));
            }
            f12429c.schedule(runnable, j2, TimeUnit.SECONDS);
        }
    }

    @Nullable
    @VisibleForTesting
    private static c0 u(String str, String str2) {
        return f12428b.f("", str, str2);
    }

    private static String z(String str) {
        return (str.isEmpty() || str.equalsIgnoreCase("fcm") || str.equalsIgnoreCase("gcm")) ? "*" : str;
    }

    /* access modifiers changed from: package-private */
    public final d B() {
        return this.f12431e;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public final c0 D() {
        return u(r.a(this.f12431e), "*");
    }

    /* access modifiers changed from: package-private */
    public final String E() throws IOException {
        return h(r.a(this.f12431e), "*");
    }

    /* access modifiers changed from: package-private */
    public final synchronized void G() {
        f12428b.e();
        if (this.k.a()) {
            i();
        }
    }

    /* access modifiers changed from: package-private */
    public final boolean H() {
        return this.g.j();
    }

    /* access modifiers changed from: package-private */
    public final void I() {
        f12428b.k("");
        i();
    }

    @VisibleForTesting
    public final boolean J() {
        return this.k.a();
    }

    /* access modifiers changed from: package-private */
    public final boolean K() {
        return this.g.g();
    }

    @WorkerThread
    public void a() throws IOException {
        if (Looper.getMainLooper() != Looper.myLooper()) {
            o(this.g.d(C()));
            G();
            return;
        }
        throw new IOException("MAIN_THREAD");
    }

    @WorkerThread
    public void b(String str, String str2) throws IOException {
        if (Looper.getMainLooper() != Looper.myLooper()) {
            String z = z(str2);
            o(this.g.h(C(), c0.b(u(str, z)), str, z));
            f12428b.g("", str, z);
            return;
        }
        throw new IOException("MAIN_THREAD");
    }

    public long c() {
        return f12428b.j("").a();
    }

    @WorkerThread
    public String d() {
        A();
        return C();
    }

    @NonNull
    public k<a> f() {
        return k(r.a(this.f12431e), "*");
    }

    @Nullable
    @Deprecated
    public String g() {
        c0 D = D();
        if (this.g.g() || s(D)) {
            i();
        }
        return c0.b(D);
    }

    @WorkerThread
    public String h(String str, String str2) throws IOException {
        if (Looper.getMainLooper() != Looper.myLooper()) {
            return ((a) o(k(str, str2))).b();
        }
        throw new IOException("MAIN_THREAD");
    }

    public final synchronized k<Void> j(String str) {
        k<Void> a2;
        a2 = this.i.a(str);
        i();
        return a2;
    }

    /* access modifiers changed from: package-private */
    public final /* synthetic */ k l(String str, String str2, k kVar) throws Exception {
        String C = C();
        c0 u = u(str, str2);
        if (!this.g.g() && !s(u)) {
            return n.g(new z0(C, u.f12449b));
        }
        return this.h.b(str, str2, new p0(this, C, c0.b(u), str, str2));
    }

    /* access modifiers changed from: package-private */
    public final /* synthetic */ k m(String str, String str2, String str3, String str4) {
        return this.g.f(str, str2, str3, str4).x(this.f12430d, new r0(this, str3, str4, str));
    }

    /* access modifiers changed from: package-private */
    public final synchronized void p(long j2) {
        q(new b0(this, this.f, this.i, Math.min(Math.max(30L, j2 << 1), f12427a)), j2);
        this.j = true;
    }

    /* access modifiers changed from: package-private */
    public final synchronized void r(boolean z) {
        this.j = z;
    }

    /* access modifiers changed from: package-private */
    public final boolean s(@Nullable c0 c0Var) {
        return c0Var == null || c0Var.d(this.f.d());
    }

    /* access modifiers changed from: package-private */
    public final /* synthetic */ k t(String str, String str2, String str3, String str4) throws Exception {
        f12428b.c("", str, str2, str4, this.f.d());
        return n.g(new z0(str3, str4));
    }

    /* access modifiers changed from: package-private */
    public final void w(String str) throws IOException {
        c0 D = D();
        if (!s(D)) {
            o(this.g.c(C(), D.f12449b, str));
            return;
        }
        throw new IOException("token not available");
    }

    @VisibleForTesting
    public final void x(boolean z) {
        this.k.b(z);
    }

    /* access modifiers changed from: package-private */
    public final void y(String str) throws IOException {
        c0 D = D();
        if (!s(D)) {
            o(this.g.b(C(), D.f12449b, str));
            return;
        }
        throw new IOException("token not available");
    }

    private FirebaseInstanceId(d dVar, r rVar, Executor executor, Executor executor2, com.google.firebase.i.d dVar2, g gVar) {
        this.j = false;
        if (r.a(dVar) != null) {
            synchronized (FirebaseInstanceId.class) {
                if (f12428b == null) {
                    f12428b = new z(dVar.l());
                }
            }
            this.f12431e = dVar;
            this.f = rVar;
            if (this.g == null) {
                b bVar = (b) dVar.j(b.class);
                if (bVar == null || !bVar.j()) {
                    this.g = new u0(dVar, rVar, executor, gVar);
                } else {
                    this.g = bVar;
                }
            }
            this.g = this.g;
            this.f12430d = executor2;
            this.i = new d0(f12428b);
            a aVar = new a(dVar2);
            this.k = aVar;
            this.h = new u(executor);
            if (aVar.a()) {
                A();
                return;
            }
            return;
        }
        throw new IllegalStateException("FirebaseInstanceId failed to initialize, FirebaseApp is missing project ID");
    }
}
