package com.google.firebase.iid;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.Intent;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.PowerManager;
import android.util.Log;
import com.google.android.gms.common.util.VisibleForTesting;
import java.io.IOException;

/* access modifiers changed from: package-private */
public final class b0 implements Runnable {
    private final FirebaseInstanceId I0;
    private final d0 J0;

    /* renamed from: a  reason: collision with root package name */
    private final long f12446a;

    /* renamed from: b  reason: collision with root package name */
    private final PowerManager.WakeLock f12447b;

    @VisibleForTesting
    b0(FirebaseInstanceId firebaseInstanceId, r rVar, d0 d0Var, long j) {
        this.I0 = firebaseInstanceId;
        this.J0 = d0Var;
        this.f12446a = j;
        PowerManager.WakeLock newWakeLock = ((PowerManager) a().getSystemService("power")).newWakeLock(1, "fiid-sync");
        this.f12447b = newWakeLock;
        newWakeLock.setReferenceCounted(false);
    }

    @VisibleForTesting
    private final boolean b() {
        c0 D = this.I0.D();
        if (!this.I0.K() && !this.I0.s(D)) {
            return true;
        }
        try {
            String E = this.I0.E();
            if (E == null) {
                Log.e("FirebaseInstanceId", "Token retrieval failed: null");
                return false;
            }
            if (Log.isLoggable("FirebaseInstanceId", 3)) {
                Log.d("FirebaseInstanceId", "Token successfully retrieved");
            }
            if (D == null || !E.equals(D.f12449b)) {
                Intent intent = new Intent("com.google.firebase.messaging.NEW_TOKEN");
                intent.putExtra("token", E);
                Context a2 = a();
                Intent intent2 = new Intent(a2, FirebaseInstanceIdReceiver.class);
                intent2.setAction("com.google.firebase.MESSAGING_EVENT");
                intent2.putExtra("wrapped_intent", intent);
                a2.sendBroadcast(intent2);
            }
            return true;
        } catch (IOException | SecurityException e2) {
            String valueOf = String.valueOf(e2.getMessage());
            Log.e("FirebaseInstanceId", valueOf.length() != 0 ? "Token retrieval failed: ".concat(valueOf) : new String("Token retrieval failed: "));
            return false;
        }
    }

    /* access modifiers changed from: package-private */
    public final Context a() {
        return this.I0.B().l();
    }

    /* access modifiers changed from: package-private */
    public final boolean c() {
        ConnectivityManager connectivityManager = (ConnectivityManager) a().getSystemService("connectivity");
        NetworkInfo activeNetworkInfo = connectivityManager != null ? connectivityManager.getActiveNetworkInfo() : null;
        return activeNetworkInfo != null && activeNetworkInfo.isConnected();
    }

    @SuppressLint({"Wakelock"})
    public final void run() {
        try {
            if (a0.a().e(a())) {
                this.f12447b.acquire();
            }
            this.I0.r(true);
            if (!this.I0.H()) {
                this.I0.r(false);
            } else if (!a0.a().g(a()) || c()) {
                if (!b() || !this.J0.e(this.I0)) {
                    this.I0.p(this.f12446a);
                } else {
                    this.I0.r(false);
                }
                if (a0.a().e(a())) {
                    this.f12447b.release();
                }
            } else {
                new f0(this).a();
                if (a0.a().e(a())) {
                    this.f12447b.release();
                }
            }
        } finally {
            if (a0.a().e(a())) {
                this.f12447b.release();
            }
        }
    }
}
