package com.google.firebase.iid;

import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.IBinder;
import android.util.Log;
import androidx.annotation.GuardedBy;
import androidx.annotation.VisibleForTesting;
import com.google.android.gms.common.stats.a;
import com.google.android.gms.common.util.d0.b;
import java.util.ArrayDeque;
import java.util.Queue;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ScheduledThreadPoolExecutor;

public final class l0 implements ServiceConnection {
    private final ScheduledExecutorService I0;
    private final Queue<h0> J0;
    private j0 K0;
    @GuardedBy("this")
    private boolean L0;

    /* renamed from: a  reason: collision with root package name */
    private final Context f12478a;

    /* renamed from: b  reason: collision with root package name */
    private final Intent f12479b;

    public l0(Context context, String str) {
        this(context, str, new ScheduledThreadPoolExecutor(0, new b("Firebase-FirebaseInstanceIdServiceConnection")));
    }

    private final synchronized void b() {
        if (Log.isLoggable("EnhancedIntentService", 3)) {
            Log.d("EnhancedIntentService", "flush queue called");
        }
        while (!this.J0.isEmpty()) {
            if (Log.isLoggable("EnhancedIntentService", 3)) {
                Log.d("EnhancedIntentService", "found intent to be delivered");
            }
            j0 j0Var = this.K0;
            if (j0Var == null || !j0Var.isBinderAlive()) {
                if (Log.isLoggable("EnhancedIntentService", 3)) {
                    boolean z = !this.L0;
                    StringBuilder sb = new StringBuilder(39);
                    sb.append("binder is dead. start connection? ");
                    sb.append(z);
                    Log.d("EnhancedIntentService", sb.toString());
                }
                if (!this.L0) {
                    this.L0 = true;
                    try {
                        if (!a.b().a(this.f12478a, this.f12479b, this, 65)) {
                            Log.e("EnhancedIntentService", "binding to the service failed");
                            this.L0 = false;
                            c();
                        } else {
                            return;
                        }
                    } catch (SecurityException e2) {
                        Log.e("EnhancedIntentService", "Exception while binding the service", e2);
                    }
                }
                return;
            }
            if (Log.isLoggable("EnhancedIntentService", 3)) {
                Log.d("EnhancedIntentService", "binder is alive, sending the intent.");
            }
            this.K0.b(this.J0.poll());
        }
    }

    @GuardedBy("this")
    private final void c() {
        while (!this.J0.isEmpty()) {
            this.J0.poll().a();
        }
    }

    public final synchronized void a(Intent intent, BroadcastReceiver.PendingResult pendingResult) {
        if (Log.isLoggable("EnhancedIntentService", 3)) {
            Log.d("EnhancedIntentService", "new intent queued in the bind-strategy delivery");
        }
        this.J0.add(new h0(intent, pendingResult, this.I0));
        b();
    }

    public final synchronized void onServiceConnected(ComponentName componentName, IBinder iBinder) {
        if (Log.isLoggable("EnhancedIntentService", 3)) {
            String valueOf = String.valueOf(componentName);
            StringBuilder sb = new StringBuilder(valueOf.length() + 20);
            sb.append("onServiceConnected: ");
            sb.append(valueOf);
            Log.d("EnhancedIntentService", sb.toString());
        }
        this.L0 = false;
        if (!(iBinder instanceof j0)) {
            String valueOf2 = String.valueOf(iBinder);
            StringBuilder sb2 = new StringBuilder(valueOf2.length() + 28);
            sb2.append("Invalid service connection: ");
            sb2.append(valueOf2);
            Log.e("EnhancedIntentService", sb2.toString());
            c();
            return;
        }
        this.K0 = (j0) iBinder;
        b();
    }

    public final void onServiceDisconnected(ComponentName componentName) {
        if (Log.isLoggable("EnhancedIntentService", 3)) {
            String valueOf = String.valueOf(componentName);
            StringBuilder sb = new StringBuilder(valueOf.length() + 23);
            sb.append("onServiceDisconnected: ");
            sb.append(valueOf);
            Log.d("EnhancedIntentService", sb.toString());
        }
        b();
    }

    @VisibleForTesting
    private l0(Context context, String str, ScheduledExecutorService scheduledExecutorService) {
        this.J0 = new ArrayDeque();
        this.L0 = false;
        Context applicationContext = context.getApplicationContext();
        this.f12478a = applicationContext;
        this.f12479b = new Intent(str).setPackage(applicationContext.getPackageName());
        this.I0 = scheduledExecutorService;
    }
}
