package com.google.firebase.iid;

import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.util.Base64;
import android.util.Log;
import com.google.android.gms.common.util.v;
import com.google.firebase.d;
import java.security.KeyPair;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.List;
import javax.annotation.concurrent.GuardedBy;

public final class r {

    /* renamed from: a  reason: collision with root package name */
    private final Context f12498a;
    @GuardedBy("this")

    /* renamed from: b  reason: collision with root package name */
    private String f12499b;
    @GuardedBy("this")

    /* renamed from: c  reason: collision with root package name */
    private String f12500c;
    @GuardedBy("this")

    /* renamed from: d  reason: collision with root package name */
    private int f12501d;
    @GuardedBy("this")

    /* renamed from: e  reason: collision with root package name */
    private int f12502e = 0;

    public r(Context context) {
        this.f12498a = context;
    }

    public static String a(d dVar) {
        String m = dVar.q().m();
        if (m != null) {
            return m;
        }
        String j = dVar.q().j();
        if (!j.startsWith("1:")) {
            return j;
        }
        String[] split = j.split(":");
        if (split.length < 2) {
            return null;
        }
        String str = split[1];
        if (str.isEmpty()) {
            return null;
        }
        return str;
    }

    public static String b(KeyPair keyPair) {
        try {
            byte[] digest = MessageDigest.getInstance("SHA1").digest(keyPair.getPublic().getEncoded());
            digest[0] = (byte) ((digest[0] & 15) + 112);
            return Base64.encodeToString(digest, 0, 8, 11);
        } catch (NoSuchAlgorithmException unused) {
            Log.w("FirebaseInstanceId", "Unexpected error, device missing required algorithms");
            return null;
        }
    }

    private final synchronized void g() {
        PackageInfo h = h(this.f12498a.getPackageName());
        if (h != null) {
            this.f12499b = Integer.toString(h.versionCode);
            this.f12500c = h.versionName;
        }
    }

    private final PackageInfo h(String str) {
        try {
            return this.f12498a.getPackageManager().getPackageInfo(str, 0);
        } catch (PackageManager.NameNotFoundException e2) {
            String valueOf = String.valueOf(e2);
            StringBuilder sb = new StringBuilder(valueOf.length() + 23);
            sb.append("Failed to find package ");
            sb.append(valueOf);
            Log.w("FirebaseInstanceId", sb.toString());
            return null;
        }
    }

    public final synchronized int c() {
        int i = this.f12502e;
        if (i != 0) {
            return i;
        }
        PackageManager packageManager = this.f12498a.getPackageManager();
        if (packageManager.checkPermission("com.google.android.c2dm.permission.SEND", "com.google.android.gms") == -1) {
            Log.e("FirebaseInstanceId", "Google Play services missing or without correct permission.");
            return 0;
        }
        if (!v.n()) {
            Intent intent = new Intent("com.google.android.c2dm.intent.REGISTER");
            intent.setPackage("com.google.android.gms");
            List<ResolveInfo> queryIntentServices = packageManager.queryIntentServices(intent, 0);
            if (queryIntentServices != null && queryIntentServices.size() > 0) {
                this.f12502e = 1;
                return 1;
            }
        }
        Intent intent2 = new Intent("com.google.iid.TOKEN_REQUEST");
        intent2.setPackage("com.google.android.gms");
        List<ResolveInfo> queryBroadcastReceivers = packageManager.queryBroadcastReceivers(intent2, 0);
        if (queryBroadcastReceivers == null || queryBroadcastReceivers.size() <= 0) {
            Log.w("FirebaseInstanceId", "Failed to resolve IID implementation package, falling back");
            if (v.n()) {
                this.f12502e = 2;
            } else {
                this.f12502e = 1;
            }
            return this.f12502e;
        }
        this.f12502e = 2;
        return 2;
    }

    public final synchronized String d() {
        if (this.f12499b == null) {
            g();
        }
        return this.f12499b;
    }

    public final synchronized String e() {
        if (this.f12500c == null) {
            g();
        }
        return this.f12500c;
    }

    public final synchronized int f() {
        PackageInfo h;
        if (this.f12501d == 0 && (h = h("com.google.android.gms")) != null) {
            this.f12501d = h.versionCode;
        }
        return this.f12501d;
    }
}
