package com.google.firebase.iid;

import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import androidx.annotation.VisibleForTesting;
import com.google.android.gms.tasks.k;
import com.google.android.gms.tasks.l;
import com.google.android.gms.tasks.n;
import com.google.firebase.d;
import com.google.firebase.o.g;
import java.io.IOException;
import java.util.concurrent.Executor;
import tv.danmaku.ijk.media.player.IjkMediaPlayer;

/* access modifiers changed from: package-private */
public final class u0 implements b {

    /* renamed from: a  reason: collision with root package name */
    private final d f12514a;

    /* renamed from: b  reason: collision with root package name */
    private final r f12515b;

    /* renamed from: c  reason: collision with root package name */
    private final y f12516c;

    /* renamed from: d  reason: collision with root package name */
    private final Executor f12517d;

    /* renamed from: e  reason: collision with root package name */
    private final g f12518e;

    u0(d dVar, r rVar, Executor executor, g gVar) {
        this(dVar, rVar, executor, new y(dVar.l(), rVar), gVar);
    }

    private final k<Bundle> k(String str, String str2, String str3, Bundle bundle) {
        bundle.putString("scope", str3);
        bundle.putString("sender", str2);
        bundle.putString("subtype", str2);
        bundle.putString("appid", str);
        bundle.putString("gmp_app_id", this.f12514a.q().j());
        bundle.putString("gmsv", Integer.toString(this.f12515b.f()));
        bundle.putString("osv", Integer.toString(Build.VERSION.SDK_INT));
        bundle.putString("app_ver", this.f12515b.d());
        bundle.putString("app_ver_name", this.f12515b.e());
        bundle.putString("cliv", "fiid-12451000");
        bundle.putString("Firebase-Client", this.f12518e.a());
        l lVar = new l();
        this.f12517d.execute(new t0(this, bundle, lVar));
        return lVar.a();
    }

    /* access modifiers changed from: private */
    public static String l(Bundle bundle) throws IOException {
        if (bundle != null) {
            String string = bundle.getString("registration_id");
            if (string != null) {
                return string;
            }
            String string2 = bundle.getString("unregistered");
            if (string2 != null) {
                return string2;
            }
            String string3 = bundle.getString(IjkMediaPlayer.f.m);
            if ("RST".equals(string3)) {
                throw new IOException("INSTANCE_ID_RESET");
            } else if (string3 != null) {
                throw new IOException(string3);
            } else {
                String valueOf = String.valueOf(bundle);
                StringBuilder sb = new StringBuilder(valueOf.length() + 21);
                sb.append("Unexpected response: ");
                sb.append(valueOf);
                Log.w("FirebaseInstanceId", sb.toString(), new Throwable());
                throw new IOException("SERVICE_NOT_AVAILABLE");
            }
        } else {
            throw new IOException("SERVICE_NOT_AVAILABLE");
        }
    }

    private final <T> k<Void> o(k<T> kVar) {
        return kVar.n(k0.c(), new w0(this));
    }

    private final k<String> p(k<Bundle> kVar) {
        return kVar.n(this.f12517d, new v0(this));
    }

    @Override // com.google.firebase.iid.b
    public final k<Void> a(String str) {
        return null;
    }

    @Override // com.google.firebase.iid.b
    public final k<Void> b(String str, String str2, String str3) {
        Bundle bundle = new Bundle();
        String valueOf = String.valueOf(str3);
        bundle.putString("gcm.topic", valueOf.length() != 0 ? "/topics/".concat(valueOf) : new String("/topics/"));
        bundle.putString("delete", "1");
        String valueOf2 = String.valueOf(str3);
        return o(p(k(str, str2, valueOf2.length() != 0 ? "/topics/".concat(valueOf2) : new String("/topics/"), bundle)));
    }

    @Override // com.google.firebase.iid.b
    public final k<Void> c(String str, String str2, String str3) {
        Bundle bundle = new Bundle();
        String valueOf = String.valueOf(str3);
        bundle.putString("gcm.topic", valueOf.length() != 0 ? "/topics/".concat(valueOf) : new String("/topics/"));
        String valueOf2 = String.valueOf(str3);
        return o(p(k(str, str2, valueOf2.length() != 0 ? "/topics/".concat(valueOf2) : new String("/topics/"), bundle)));
    }

    @Override // com.google.firebase.iid.b
    public final k<Void> d(String str) {
        Bundle bundle = new Bundle();
        bundle.putString("iid-operation", "delete");
        bundle.putString("delete", "1");
        return o(p(k(str, "*", "*", bundle)));
    }

    @Override // com.google.firebase.iid.b
    public final boolean e() {
        return true;
    }

    @Override // com.google.firebase.iid.b
    public final k<String> f(String str, String str2, String str3, String str4) {
        return p(k(str, str3, str4, new Bundle()));
    }

    @Override // com.google.firebase.iid.b
    public final boolean g() {
        return false;
    }

    @Override // com.google.firebase.iid.b
    public final k<Void> h(String str, String str2, String str3, String str4) {
        Bundle bundle = new Bundle();
        bundle.putString("delete", "1");
        return o(p(k(str, str3, str4, bundle)));
    }

    @Override // com.google.firebase.iid.b
    public final k<Void> i(String str, String str2) {
        return n.g(null);
    }

    @Override // com.google.firebase.iid.b
    public final boolean j() {
        return this.f12515b.c() != 0;
    }

    /* access modifiers changed from: package-private */
    public final /* synthetic */ void n(Bundle bundle, l lVar) {
        try {
            lVar.c(this.f12516c.f(bundle));
        } catch (IOException e2) {
            lVar.b(e2);
        }
    }

    @VisibleForTesting
    private u0(d dVar, r rVar, Executor executor, y yVar, g gVar) {
        this.f12514a = dVar;
        this.f12515b = rVar;
        this.f12516c = yVar;
        this.f12517d = executor;
        this.f12518e = gVar;
    }
}
