package com.google.firebase.iid;

import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Looper;
import android.os.Message;
import android.os.Messenger;
import android.os.Parcelable;
import android.os.RemoteException;
import android.util.Log;
import b.b.i;
import com.google.android.gms.tasks.l;
import com.google.android.gms.tasks.n;
import com.google.firebase.iid.zzm;
import java.io.IOException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.annotation.concurrent.GuardedBy;
import tv.danmaku.ijk.media.player.IjkMediaPlayer;

/* access modifiers changed from: package-private */
public final class y {

    /* renamed from: a  reason: collision with root package name */
    private static int f12524a;

    /* renamed from: b  reason: collision with root package name */
    private static PendingIntent f12525b;
    @GuardedBy("responseCallbacks")

    /* renamed from: c  reason: collision with root package name */
    private final i<String, l<Bundle>> f12526c = new i<>();

    /* renamed from: d  reason: collision with root package name */
    private final Context f12527d;

    /* renamed from: e  reason: collision with root package name */
    private final r f12528e;
    private Messenger f;
    private Messenger g;
    private zzm h;

    public y(Context context, r rVar) {
        this.f12527d = context;
        this.f12528e = rVar;
        this.f = new Messenger(new x(this, Looper.getMainLooper()));
    }

    private final void b(String str, Bundle bundle) {
        synchronized (this.f12526c) {
            l<Bundle> remove = this.f12526c.remove(str);
            if (remove == null) {
                String valueOf = String.valueOf(str);
                Log.w("FirebaseInstanceId", valueOf.length() != 0 ? "Missing callback for ".concat(valueOf) : new String("Missing callback for "));
                return;
            }
            remove.c(bundle);
        }
    }

    private static synchronized String c() {
        String num;
        synchronized (y.class) {
            int i = f12524a;
            f12524a = i + 1;
            num = Integer.toString(i);
        }
        return num;
    }

    private static synchronized void d(Context context, Intent intent) {
        synchronized (y.class) {
            if (f12525b == null) {
                Intent intent2 = new Intent();
                intent2.setPackage("com.google.example.invalidpackage");
                f12525b = PendingIntent.getBroadcast(context, 0, intent2, 0);
            }
            intent.putExtra("app", f12525b);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void e(Message message) {
        if (message != null) {
            Object obj = message.obj;
            if (obj instanceof Intent) {
                Intent intent = (Intent) obj;
                intent.setExtrasClassLoader(new zzm.a());
                if (intent.hasExtra("google.messenger")) {
                    Parcelable parcelableExtra = intent.getParcelableExtra("google.messenger");
                    if (parcelableExtra instanceof zzm) {
                        this.h = (zzm) parcelableExtra;
                    }
                    if (parcelableExtra instanceof Messenger) {
                        this.g = (Messenger) parcelableExtra;
                    }
                }
                Intent intent2 = (Intent) message.obj;
                String action = intent2.getAction();
                if ("com.google.android.c2dm.intent.REGISTRATION".equals(action)) {
                    String stringExtra = intent2.getStringExtra("registration_id");
                    if (stringExtra == null) {
                        stringExtra = intent2.getStringExtra("unregistered");
                    }
                    if (stringExtra == null) {
                        String stringExtra2 = intent2.getStringExtra(IjkMediaPlayer.f.m);
                        if (stringExtra2 == null) {
                            String valueOf = String.valueOf(intent2.getExtras());
                            StringBuilder sb = new StringBuilder(valueOf.length() + 49);
                            sb.append("Unexpected response, no error or registration id ");
                            sb.append(valueOf);
                            Log.w("FirebaseInstanceId", sb.toString());
                            return;
                        }
                        if (Log.isLoggable("FirebaseInstanceId", 3)) {
                            Log.d("FirebaseInstanceId", stringExtra2.length() != 0 ? "Received InstanceID error ".concat(stringExtra2) : new String("Received InstanceID error "));
                        }
                        if (stringExtra2.startsWith("|")) {
                            String[] split = stringExtra2.split("\\|");
                            if (split.length <= 2 || !"ID".equals(split[1])) {
                                Log.w("FirebaseInstanceId", stringExtra2.length() != 0 ? "Unexpected structured response ".concat(stringExtra2) : new String("Unexpected structured response "));
                                return;
                            }
                            String str = split[2];
                            String str2 = split[3];
                            if (str2.startsWith(":")) {
                                str2 = str2.substring(1);
                            }
                            b(str, intent2.putExtra(IjkMediaPlayer.f.m, str2).getExtras());
                            return;
                        }
                        synchronized (this.f12526c) {
                            for (int i = 0; i < this.f12526c.size(); i++) {
                                b(this.f12526c.i(i), intent2.getExtras());
                            }
                        }
                        return;
                    }
                    Matcher matcher = Pattern.compile("\\|ID\\|([^|]+)\\|:?+(.*)").matcher(stringExtra);
                    if (matcher.matches()) {
                        String group = matcher.group(1);
                        String group2 = matcher.group(2);
                        Bundle extras = intent2.getExtras();
                        extras.putString("registration_id", group2);
                        b(group, extras);
                        return;
                    } else if (Log.isLoggable("FirebaseInstanceId", 3)) {
                        Log.d("FirebaseInstanceId", stringExtra.length() != 0 ? "Unexpected response string: ".concat(stringExtra) : new String("Unexpected response string: "));
                        return;
                    } else {
                        return;
                    }
                } else if (Log.isLoggable("FirebaseInstanceId", 3)) {
                    String valueOf2 = String.valueOf(action);
                    Log.d("FirebaseInstanceId", valueOf2.length() != 0 ? "Unexpected response action: ".concat(valueOf2) : new String("Unexpected response action: "));
                    return;
                } else {
                    return;
                }
            }
        }
        Log.w("FirebaseInstanceId", "Dropping invalid message");
    }

    private final Bundle g(Bundle bundle) throws IOException {
        Bundle h2 = h(bundle);
        if (h2 == null || !h2.containsKey("google.messenger")) {
            return h2;
        }
        Bundle h3 = h(bundle);
        if (h3 == null || !h3.containsKey("google.messenger")) {
            return h3;
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:36:0x00e9 A[SYNTHETIC] */
    private final Bundle h(Bundle bundle) throws IOException {
        String c2 = c();
        l<Bundle> lVar = new l<>();
        synchronized (this.f12526c) {
            this.f12526c.put(c2, lVar);
        }
        if (this.f12528e.c() != 0) {
            Intent intent = new Intent();
            intent.setPackage("com.google.android.gms");
            if (this.f12528e.c() == 2) {
                intent.setAction("com.google.iid.TOKEN_REQUEST");
            } else {
                intent.setAction("com.google.android.c2dm.intent.REGISTER");
            }
            intent.putExtras(bundle);
            d(this.f12527d, intent);
            StringBuilder sb = new StringBuilder(String.valueOf(c2).length() + 5);
            sb.append("|ID|");
            sb.append(c2);
            sb.append("|");
            intent.putExtra("kid", sb.toString());
            if (Log.isLoggable("FirebaseInstanceId", 3)) {
                String valueOf = String.valueOf(intent.getExtras());
                StringBuilder sb2 = new StringBuilder(valueOf.length() + 8);
                sb2.append("Sending ");
                sb2.append(valueOf);
                Log.d("FirebaseInstanceId", sb2.toString());
            }
            intent.putExtra("google.messenger", this.f);
            if (!(this.g == null && this.h == null)) {
                Message obtain = Message.obtain();
                obtain.obj = intent;
                try {
                    Messenger messenger = this.g;
                    if (messenger != null) {
                        messenger.send(obtain);
                    } else {
                        this.h.b(obtain);
                    }
                } catch (RemoteException unused) {
                    if (Log.isLoggable("FirebaseInstanceId", 3)) {
                        Log.d("FirebaseInstanceId", "Messenger failed, fallback to startService");
                    }
                }
                Bundle bundle2 = (Bundle) n.b(lVar.a(), 30000, TimeUnit.MILLISECONDS);
                synchronized (this.f12526c) {
                    this.f12526c.remove(c2);
                }
                return bundle2;
            }
            if (this.f12528e.c() == 2) {
                this.f12527d.sendBroadcast(intent);
            } else {
                this.f12527d.startService(intent);
            }
            try {
                Bundle bundle22 = (Bundle) n.b(lVar.a(), 30000, TimeUnit.MILLISECONDS);
                synchronized (this.f12526c) {
                }
            } catch (InterruptedException | TimeoutException unused2) {
                Log.w("FirebaseInstanceId", "No response");
                throw new IOException("TIMEOUT");
            } catch (ExecutionException e2) {
                throw new IOException(e2);
            } catch (Throwable th) {
                synchronized (this.f12526c) {
                    this.f12526c.remove(c2);
                    throw th;
                }
            }
        } else {
            throw new IOException("MISSING_INSTANCEID_SERVICE");
        }
    }

    /* access modifiers changed from: package-private */
    public final Bundle f(Bundle bundle) throws IOException {
        if (this.f12528e.f() < 12000000) {
            return g(bundle);
        }
        try {
            return (Bundle) n.a(h.f(this.f12527d).d(1, bundle));
        } catch (InterruptedException | ExecutionException e2) {
            if (Log.isLoggable("FirebaseInstanceId", 3)) {
                String valueOf = String.valueOf(e2);
                StringBuilder sb = new StringBuilder(valueOf.length() + 22);
                sb.append("Error making request: ");
                sb.append(valueOf);
                Log.d("FirebaseInstanceId", sb.toString());
            }
            if (!(e2.getCause() instanceof zzam) || ((zzam) e2.getCause()).getErrorCode() != 4) {
                return null;
            }
            return g(bundle);
        }
    }
}
