package com.google.firebase.iid;

import android.content.Context;
import android.content.SharedPreferences;
import android.util.Log;
import androidx.annotation.GuardedBy;
import androidx.core.content.d;
import b.b.a;
import java.io.File;
import java.io.IOException;
import java.util.Map;

/* access modifiers changed from: package-private */
public final class z {

    /* renamed from: a  reason: collision with root package name */
    private final SharedPreferences f12529a;

    /* renamed from: b  reason: collision with root package name */
    private final Context f12530b;

    /* renamed from: c  reason: collision with root package name */
    private final b1 f12531c;
    @GuardedBy("this")

    /* renamed from: d  reason: collision with root package name */
    private final Map<String, a1> f12532d;

    public z(Context context) {
        this(context, new b1());
    }

    private final synchronized boolean a() {
        return this.f12529a.getAll().isEmpty();
    }

    private static String b(String str, String str2, String str3) {
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 4 + String.valueOf(str2).length() + String.valueOf(str3).length());
        sb.append(str);
        sb.append("|T|");
        sb.append(str2);
        sb.append("|");
        sb.append(str3);
        return sb.toString();
    }

    static String h(String str, String str2) {
        StringBuilder sb = new StringBuilder(String.valueOf(str).length() + 3 + String.valueOf(str2).length());
        sb.append(str);
        sb.append("|S|");
        sb.append(str2);
        return sb.toString();
    }

    public final synchronized void c(String str, String str2, String str3, String str4, String str5) {
        String a2 = c0.a(str4, str5, System.currentTimeMillis());
        if (a2 != null) {
            SharedPreferences.Editor edit = this.f12529a.edit();
            edit.putString(b(str, str2, str3), a2);
            edit.commit();
        }
    }

    public final synchronized String d() {
        return this.f12529a.getString("topic_operation_queue", "");
    }

    public final synchronized void e() {
        this.f12532d.clear();
        b1.e(this.f12530b);
        this.f12529a.edit().clear().commit();
    }

    public final synchronized c0 f(String str, String str2, String str3) {
        return c0.c(this.f12529a.getString(b(str, str2, str3), null));
    }

    public final synchronized void g(String str, String str2, String str3) {
        String b2 = b(str, str2, str3);
        SharedPreferences.Editor edit = this.f12529a.edit();
        edit.remove(b2);
        edit.commit();
    }

    public final synchronized void i(String str) {
        this.f12529a.edit().putString("topic_operation_queue", str).apply();
    }

    public final synchronized a1 j(String str) {
        a1 a1Var;
        a1 a1Var2 = this.f12532d.get(str);
        if (a1Var2 != null) {
            return a1Var2;
        }
        try {
            a1Var = this.f12531c.k(this.f12530b, str);
        } catch (f unused) {
            Log.w("FirebaseInstanceId", "Stored data is corrupt, generating new identity");
            FirebaseInstanceId.e().G();
            a1Var = this.f12531c.m(this.f12530b, str);
        }
        this.f12532d.put(str, a1Var);
        return a1Var;
    }

    public final synchronized void k(String str) {
        String concat = String.valueOf(str).concat("|T|");
        SharedPreferences.Editor edit = this.f12529a.edit();
        for (String str2 : this.f12529a.getAll().keySet()) {
            if (str2.startsWith(concat)) {
                edit.remove(str2);
            }
        }
        edit.commit();
    }

    private z(Context context, b1 b1Var) {
        this.f12532d = new a();
        this.f12530b = context;
        this.f12529a = context.getSharedPreferences("com.google.android.gms.appid", 0);
        this.f12531c = b1Var;
        File file = new File(d.m(context), "com.google.android.gms.appid-no-backup");
        if (!file.exists()) {
            try {
                if (file.createNewFile() && !a()) {
                    Log.i("FirebaseInstanceId", "App restored, clearing state");
                    e();
                    FirebaseInstanceId.e().G();
                }
            } catch (IOException e2) {
                if (Log.isLoggable("FirebaseInstanceId", 3)) {
                    String valueOf = String.valueOf(e2.getMessage());
                    Log.d("FirebaseInstanceId", valueOf.length() != 0 ? "Error creating file in no backup dir: ".concat(valueOf) : new String("Error creating file in no backup dir: "));
                }
            }
        }
    }
}
