package com.google.gson;

import com.google.gson.internal.f;
import com.google.gson.internal.i;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.c;
import java.io.IOException;
import java.sql.Timestamp;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.ParsePosition;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Locale;

/* access modifiers changed from: package-private */
/* compiled from: DefaultDateTypeAdapter */
public final class a extends s<Date> {

    /* renamed from: a  reason: collision with root package name */
    private static final String f12555a = "DefaultDateTypeAdapter";

    /* renamed from: b  reason: collision with root package name */
    private final Class<? extends Date> f12556b;

    /* renamed from: c  reason: collision with root package name */
    private final List<DateFormat> f12557c;

    a(Class<? extends Date> cls) {
        ArrayList arrayList = new ArrayList();
        this.f12557c = arrayList;
        this.f12556b = l(cls);
        Locale locale = Locale.US;
        arrayList.add(DateFormat.getDateTimeInstance(2, 2, locale));
        if (!Locale.getDefault().equals(locale)) {
            arrayList.add(DateFormat.getDateTimeInstance(2, 2));
        }
        if (f.e()) {
            arrayList.add(i.e(2, 2));
        }
    }

    private Date j(String str) {
        synchronized (this.f12557c) {
            for (DateFormat dateFormat : this.f12557c) {
                try {
                    return dateFormat.parse(str);
                } catch (ParseException unused) {
                }
            }
            try {
                return com.google.gson.internal.m.o.a.g(str, new ParsePosition(0));
            } catch (ParseException e2) {
                throw new JsonSyntaxException(str, e2);
            }
        }
    }

    private static Class<? extends Date> l(Class<? extends Date> cls) {
        if (cls == Date.class || cls == java.sql.Date.class || cls == Timestamp.class) {
            return cls;
        }
        throw new IllegalArgumentException("Date type must be one of " + Date.class + ", " + Timestamp.class + ", or " + java.sql.Date.class + " but was " + cls);
    }

    /* renamed from: k */
    public Date e(com.google.gson.stream.a aVar) throws IOException {
        if (aVar.z0() == JsonToken.NULL) {
            aVar.m0();
            return null;
        }
        Date j = j(aVar.w0());
        Class<? extends Date> cls = this.f12556b;
        if (cls == Date.class) {
            return j;
        }
        if (cls == Timestamp.class) {
            return new Timestamp(j.getTime());
        }
        if (cls == java.sql.Date.class) {
            return new java.sql.Date(j.getTime());
        }
        throw new AssertionError();
    }

    /* renamed from: m */
    public void i(c cVar, Date date) throws IOException {
        if (date == null) {
            cVar.P();
            return;
        }
        synchronized (this.f12557c) {
            cVar.V0(this.f12557c.get(0).format(date));
        }
    }

    public String toString() {
        DateFormat dateFormat = this.f12557c.get(0);
        if (dateFormat instanceof SimpleDateFormat) {
            return "DefaultDateTypeAdapter(" + ((SimpleDateFormat) dateFormat).toPattern() + ')';
        }
        return "DefaultDateTypeAdapter(" + dateFormat.getClass().getSimpleName() + ')';
    }

    a(Class<? extends Date> cls, String str) {
        ArrayList arrayList = new ArrayList();
        this.f12557c = arrayList;
        this.f12556b = l(cls);
        Locale locale = Locale.US;
        arrayList.add(new SimpleDateFormat(str, locale));
        if (!Locale.getDefault().equals(locale)) {
            arrayList.add(new SimpleDateFormat(str));
        }
    }

    a(Class<? extends Date> cls, int i) {
        ArrayList arrayList = new ArrayList();
        this.f12557c = arrayList;
        this.f12556b = l(cls);
        Locale locale = Locale.US;
        arrayList.add(DateFormat.getDateInstance(i, locale));
        if (!Locale.getDefault().equals(locale)) {
            arrayList.add(DateFormat.getDateInstance(i));
        }
        if (f.e()) {
            arrayList.add(i.d(i));
        }
    }

    public a(int i, int i2) {
        this(Date.class, i, i2);
    }

    public a(Class<? extends Date> cls, int i, int i2) {
        ArrayList arrayList = new ArrayList();
        this.f12557c = arrayList;
        this.f12556b = l(cls);
        Locale locale = Locale.US;
        arrayList.add(DateFormat.getDateTimeInstance(i, i2, locale));
        if (!Locale.getDefault().equals(locale)) {
            arrayList.add(DateFormat.getDateTimeInstance(i, i2));
        }
        if (f.e()) {
            arrayList.add(i.e(i, i2));
        }
    }
}
