package com.google.gson;

import com.alipay.sdk.util.g;
import com.google.gson.internal.j;
import com.google.gson.internal.k;
import com.google.gson.internal.m.h;
import com.google.gson.internal.m.i;
import com.google.gson.internal.m.n;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.MalformedJsonException;
import java.io.EOFException;
import java.io.IOException;
import java.io.Reader;
import java.io.StringReader;
import java.io.StringWriter;
import java.io.Writer;
import java.lang.reflect.Type;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicLongArray;

/* compiled from: Gson */
public final class e {

    /* renamed from: a  reason: collision with root package name */
    static final boolean f12559a = false;

    /* renamed from: b  reason: collision with root package name */
    static final boolean f12560b = false;

    /* renamed from: c  reason: collision with root package name */
    static final boolean f12561c = false;

    /* renamed from: d  reason: collision with root package name */
    static final boolean f12562d = true;

    /* renamed from: e  reason: collision with root package name */
    static final boolean f12563e = false;
    static final boolean f = false;
    static final boolean g = false;
    private static final com.google.gson.u.a<?> h = com.google.gson.u.a.b(Object.class);
    private static final String i = ")]}'\n";
    final int A;
    final LongSerializationPolicy B;
    final List<t> C;
    final List<t> D;
    private final ThreadLocal<Map<com.google.gson.u.a<?>, f<?>>> j;
    private final Map<com.google.gson.u.a<?>, s<?>> k;
    private final com.google.gson.internal.c l;
    private final com.google.gson.internal.m.d m;
    final List<t> n;
    final com.google.gson.internal.d o;
    final d p;
    final Map<Type, g<?>> q;
    final boolean r;
    final boolean s;
    final boolean t;
    final boolean u;
    final boolean v;
    final boolean w;
    final boolean x;
    final String y;
    final int z;

    /* access modifiers changed from: package-private */
    /* compiled from: Gson */
    public class a extends s<Number> {
        a() {
        }

        /* renamed from: j */
        public Double e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() != JsonToken.NULL) {
                return Double.valueOf(aVar.P());
            }
            aVar.m0();
            return null;
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Number number) throws IOException {
            if (number == null) {
                cVar.P();
                return;
            }
            e.d(number.doubleValue());
            cVar.T0(number);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: Gson */
    public class b extends s<Number> {
        b() {
        }

        /* renamed from: j */
        public Float e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() != JsonToken.NULL) {
                return Float.valueOf((float) aVar.P());
            }
            aVar.m0();
            return null;
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Number number) throws IOException {
            if (number == null) {
                cVar.P();
                return;
            }
            e.d((double) number.floatValue());
            cVar.T0(number);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: Gson */
    public static class c extends s<Number> {
        c() {
        }

        /* renamed from: j */
        public Number e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() != JsonToken.NULL) {
                return Long.valueOf(aVar.Z());
            }
            aVar.m0();
            return null;
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Number number) throws IOException {
            if (number == null) {
                cVar.P();
            } else {
                cVar.V0(number.toString());
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: Gson */
    public static class d extends s<AtomicLong> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ s f12566a;

        d(s sVar) {
            this.f12566a = sVar;
        }

        /* renamed from: j */
        public AtomicLong e(com.google.gson.stream.a aVar) throws IOException {
            return new AtomicLong(((Number) this.f12566a.e(aVar)).longValue());
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, AtomicLong atomicLong) throws IOException {
            this.f12566a.i(cVar, Long.valueOf(atomicLong.get()));
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.google.gson.e$e  reason: collision with other inner class name */
    /* compiled from: Gson */
    public static class C0278e extends s<AtomicLongArray> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ s f12567a;

        C0278e(s sVar) {
            this.f12567a = sVar;
        }

        /* renamed from: j */
        public AtomicLongArray e(com.google.gson.stream.a aVar) throws IOException {
            ArrayList arrayList = new ArrayList();
            aVar.a();
            while (aVar.o()) {
                arrayList.add(Long.valueOf(((Number) this.f12567a.e(aVar)).longValue()));
            }
            aVar.j();
            int size = arrayList.size();
            AtomicLongArray atomicLongArray = new AtomicLongArray(size);
            for (int i = 0; i < size; i++) {
                atomicLongArray.set(i, ((Long) arrayList.get(i)).longValue());
            }
            return atomicLongArray;
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, AtomicLongArray atomicLongArray) throws IOException {
            cVar.d();
            int length = atomicLongArray.length();
            for (int i = 0; i < length; i++) {
                this.f12567a.i(cVar, Long.valueOf(atomicLongArray.get(i)));
            }
            cVar.j();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: Gson */
    public static class f<T> extends s<T> {

        /* renamed from: a  reason: collision with root package name */
        private s<T> f12568a;

        f() {
        }

        @Override // com.google.gson.s
        public T e(com.google.gson.stream.a aVar) throws IOException {
            s<T> sVar = this.f12568a;
            if (sVar != null) {
                return sVar.e(aVar);
            }
            throw new IllegalStateException();
        }

        @Override // com.google.gson.s
        public void i(com.google.gson.stream.c cVar, T t) throws IOException {
            s<T> sVar = this.f12568a;
            if (sVar != null) {
                sVar.i(cVar, t);
                return;
            }
            throw new IllegalStateException();
        }

        public void j(s<T> sVar) {
            if (this.f12568a == null) {
                this.f12568a = sVar;
                return;
            }
            throw new AssertionError();
        }
    }

    public e() {
        this(com.google.gson.internal.d.f12623b, FieldNamingPolicy.IDENTITY, Collections.emptyMap(), false, false, false, true, false, false, false, LongSerializationPolicy.DEFAULT, null, 2, 2, Collections.emptyList(), Collections.emptyList(), Collections.emptyList());
    }

    private static void a(Object obj, com.google.gson.stream.a aVar) {
        if (obj != null) {
            try {
                if (aVar.z0() != JsonToken.END_DOCUMENT) {
                    throw new JsonIOException("JSON document was not fully consumed.");
                }
            } catch (MalformedJsonException e2) {
                throw new JsonSyntaxException(e2);
            } catch (IOException e3) {
                throw new JsonIOException(e3);
            }
        }
    }

    private static s<AtomicLong> b(s<Number> sVar) {
        return new d(sVar).d();
    }

    private static s<AtomicLongArray> c(s<Number> sVar) {
        return new C0278e(sVar).d();
    }

    static void d(double d2) {
        if (Double.isNaN(d2) || Double.isInfinite(d2)) {
            throw new IllegalArgumentException(d2 + " is not a valid double value as per JSON specification. To override this behavior, use GsonBuilder.serializeSpecialFloatingPointValues() method.");
        }
    }

    private s<Number> e(boolean z2) {
        if (z2) {
            return n.v;
        }
        return new a();
    }

    private s<Number> h(boolean z2) {
        if (z2) {
            return n.u;
        }
        return new b();
    }

    private static s<Number> t(LongSerializationPolicy longSerializationPolicy) {
        if (longSerializationPolicy == LongSerializationPolicy.DEFAULT) {
            return n.t;
        }
        return new c();
    }

    public String A(Object obj, Type type) {
        StringWriter stringWriter = new StringWriter();
        F(obj, type, stringWriter);
        return stringWriter.toString();
    }

    public void B(k kVar, com.google.gson.stream.c cVar) throws JsonIOException {
        boolean D2 = cVar.D();
        cVar.w0(true);
        boolean o2 = cVar.o();
        cVar.m0(this.u);
        boolean l2 = cVar.l();
        cVar.x0(this.r);
        try {
            k.b(kVar, cVar);
            cVar.w0(D2);
            cVar.m0(o2);
            cVar.x0(l2);
        } catch (IOException e2) {
            throw new JsonIOException(e2);
        } catch (AssertionError e3) {
            throw new AssertionError("AssertionError (GSON 2.8.5): " + e3.getMessage(), e3);
        } catch (Throwable th) {
            cVar.w0(D2);
            cVar.m0(o2);
            cVar.x0(l2);
            throw th;
        }
    }

    public void C(k kVar, Appendable appendable) throws JsonIOException {
        try {
            B(kVar, w(k.c(appendable)));
        } catch (IOException e2) {
            throw new JsonIOException(e2);
        }
    }

    public void D(Object obj, Appendable appendable) throws JsonIOException {
        if (obj != null) {
            F(obj, obj.getClass(), appendable);
        } else {
            C(l.f12717a, appendable);
        }
    }

    public void E(Object obj, Type type, com.google.gson.stream.c cVar) throws JsonIOException {
        s p2 = p(com.google.gson.u.a.c(type));
        boolean D2 = cVar.D();
        cVar.w0(true);
        boolean o2 = cVar.o();
        cVar.m0(this.u);
        boolean l2 = cVar.l();
        cVar.x0(this.r);
        try {
            p2.i(cVar, obj);
            cVar.w0(D2);
            cVar.m0(o2);
            cVar.x0(l2);
        } catch (IOException e2) {
            throw new JsonIOException(e2);
        } catch (AssertionError e3) {
            throw new AssertionError("AssertionError (GSON 2.8.5): " + e3.getMessage(), e3);
        } catch (Throwable th) {
            cVar.w0(D2);
            cVar.m0(o2);
            cVar.x0(l2);
            throw th;
        }
    }

    public void F(Object obj, Type type, Appendable appendable) throws JsonIOException {
        try {
            E(obj, type, w(k.c(appendable)));
        } catch (IOException e2) {
            throw new JsonIOException(e2);
        }
    }

    public k G(Object obj) {
        if (obj == null) {
            return l.f12717a;
        }
        return H(obj, obj.getClass());
    }

    public k H(Object obj, Type type) {
        com.google.gson.internal.m.f fVar = new com.google.gson.internal.m.f();
        E(obj, type, fVar);
        return fVar.b1();
    }

    public com.google.gson.internal.d f() {
        return this.o;
    }

    public d g() {
        return this.p;
    }

    public <T> T i(k kVar, Class<T> cls) throws JsonSyntaxException {
        return (T) j.e(cls).cast(j(kVar, cls));
    }

    public <T> T j(k kVar, Type type) throws JsonSyntaxException {
        if (kVar == null) {
            return null;
        }
        return (T) k(new com.google.gson.internal.m.e(kVar), type);
    }

    public <T> T k(com.google.gson.stream.a aVar, Type type) throws JsonIOException, JsonSyntaxException {
        boolean D2 = aVar.D();
        boolean z2 = true;
        aVar.V0(true);
        try {
            aVar.z0();
            z2 = false;
            T e2 = p(com.google.gson.u.a.c(type)).e(aVar);
            aVar.V0(D2);
            return e2;
        } catch (EOFException e3) {
            if (z2) {
                aVar.V0(D2);
                return null;
            }
            throw new JsonSyntaxException(e3);
        } catch (IllegalStateException e4) {
            throw new JsonSyntaxException(e4);
        } catch (IOException e5) {
            throw new JsonSyntaxException(e5);
        } catch (AssertionError e6) {
            throw new AssertionError("AssertionError (GSON 2.8.5): " + e6.getMessage(), e6);
        } catch (Throwable th) {
            aVar.V0(D2);
            throw th;
        }
    }

    public <T> T l(Reader reader, Class<T> cls) throws JsonSyntaxException, JsonIOException {
        com.google.gson.stream.a v2 = v(reader);
        Object k2 = k(v2, cls);
        a(k2, v2);
        return (T) j.e(cls).cast(k2);
    }

    public <T> T m(Reader reader, Type type) throws JsonIOException, JsonSyntaxException {
        com.google.gson.stream.a v2 = v(reader);
        T t2 = (T) k(v2, type);
        a(t2, v2);
        return t2;
    }

    public <T> T n(String str, Class<T> cls) throws JsonSyntaxException {
        return (T) j.e(cls).cast(o(str, cls));
    }

    public <T> T o(String str, Type type) throws JsonSyntaxException {
        if (str == null) {
            return null;
        }
        return (T) m(new StringReader(str), type);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v5, resolved type: java.util.Map<com.google.gson.u.a<?>, com.google.gson.s<?>> */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX DEBUG: Type inference failed for r4v4. Raw type applied. Possible types: com.google.gson.s<T>, com.google.gson.s<?> */
    public <T> s<T> p(com.google.gson.u.a<T> aVar) {
        s<T> sVar = (s<T>) this.k.get(aVar == null ? h : aVar);
        if (sVar != null) {
            return sVar;
        }
        Map<com.google.gson.u.a<?>, f<?>> map = this.j.get();
        boolean z2 = false;
        if (map == null) {
            map = new HashMap<>();
            this.j.set(map);
            z2 = true;
        }
        f<?> fVar = map.get(aVar);
        if (fVar != null) {
            return fVar;
        }
        try {
            f<?> fVar2 = new f<>();
            map.put(aVar, fVar2);
            for (t tVar : this.n) {
                s sVar2 = (s<T>) tVar.a(this, aVar);
                if (sVar2 != null) {
                    fVar2.j(sVar2);
                    this.k.put(aVar, sVar2);
                    return sVar2;
                }
            }
            throw new IllegalArgumentException("GSON (2.8.5) cannot handle " + aVar);
        } finally {
            map.remove(aVar);
            if (z2) {
                this.j.remove();
            }
        }
    }

    public <T> s<T> q(Class<T> cls) {
        return p(com.google.gson.u.a.b(cls));
    }

    public <T> s<T> r(t tVar, com.google.gson.u.a<T> aVar) {
        if (!this.n.contains(tVar)) {
            tVar = this.m;
        }
        boolean z2 = false;
        for (t tVar2 : this.n) {
            if (z2) {
                s<T> a2 = tVar2.a(this, aVar);
                if (a2 != null) {
                    return a2;
                }
            } else if (tVar2 == tVar) {
                z2 = true;
            }
        }
        throw new IllegalArgumentException("GSON cannot serialize " + aVar);
    }

    public boolean s() {
        return this.u;
    }

    public String toString() {
        return "{serializeNulls:" + this.r + ",factories:" + this.n + ",instanceCreators:" + this.l + g.f6033d;
    }

    public f u() {
        return new f(this);
    }

    public com.google.gson.stream.a v(Reader reader) {
        com.google.gson.stream.a aVar = new com.google.gson.stream.a(reader);
        aVar.V0(this.w);
        return aVar;
    }

    public com.google.gson.stream.c w(Writer writer) throws IOException {
        if (this.t) {
            writer.write(i);
        }
        com.google.gson.stream.c cVar = new com.google.gson.stream.c(writer);
        if (this.v) {
            cVar.o0("  ");
        }
        cVar.x0(this.r);
        return cVar;
    }

    public boolean x() {
        return this.r;
    }

    public String y(k kVar) {
        StringWriter stringWriter = new StringWriter();
        C(kVar, stringWriter);
        return stringWriter.toString();
    }

    public String z(Object obj) {
        if (obj == null) {
            return y(l.f12717a);
        }
        return A(obj, obj.getClass());
    }

    e(com.google.gson.internal.d dVar, d dVar2, Map<Type, g<?>> map, boolean z2, boolean z3, boolean z4, boolean z5, boolean z6, boolean z7, boolean z8, LongSerializationPolicy longSerializationPolicy, String str, int i2, int i3, List<t> list, List<t> list2, List<t> list3) {
        this.j = new ThreadLocal<>();
        this.k = new ConcurrentHashMap();
        this.o = dVar;
        this.p = dVar2;
        this.q = map;
        com.google.gson.internal.c cVar = new com.google.gson.internal.c(map);
        this.l = cVar;
        this.r = z2;
        this.s = z3;
        this.t = z4;
        this.u = z5;
        this.v = z6;
        this.w = z7;
        this.x = z8;
        this.B = longSerializationPolicy;
        this.y = str;
        this.z = i2;
        this.A = i3;
        this.C = list;
        this.D = list2;
        ArrayList arrayList = new ArrayList();
        arrayList.add(n.Y);
        arrayList.add(h.f12657a);
        arrayList.add(dVar);
        arrayList.addAll(list3);
        arrayList.add(n.D);
        arrayList.add(n.m);
        arrayList.add(n.g);
        arrayList.add(n.i);
        arrayList.add(n.k);
        s<Number> t2 = t(longSerializationPolicy);
        arrayList.add(n.c(Long.TYPE, Long.class, t2));
        arrayList.add(n.c(Double.TYPE, Double.class, e(z8)));
        arrayList.add(n.c(Float.TYPE, Float.class, h(z8)));
        arrayList.add(n.x);
        arrayList.add(n.o);
        arrayList.add(n.q);
        arrayList.add(n.b(AtomicLong.class, b(t2)));
        arrayList.add(n.b(AtomicLongArray.class, c(t2)));
        arrayList.add(n.s);
        arrayList.add(n.z);
        arrayList.add(n.F);
        arrayList.add(n.H);
        arrayList.add(n.b(BigDecimal.class, n.B));
        arrayList.add(n.b(BigInteger.class, n.C));
        arrayList.add(n.J);
        arrayList.add(n.L);
        arrayList.add(n.P);
        arrayList.add(n.R);
        arrayList.add(n.W);
        arrayList.add(n.N);
        arrayList.add(n.f12687d);
        arrayList.add(com.google.gson.internal.m.c.f12648a);
        arrayList.add(n.U);
        arrayList.add(com.google.gson.internal.m.k.f12671a);
        arrayList.add(com.google.gson.internal.m.j.f12669a);
        arrayList.add(n.S);
        arrayList.add(com.google.gson.internal.m.a.f12642a);
        arrayList.add(n.f12685b);
        arrayList.add(new com.google.gson.internal.m.b(cVar));
        arrayList.add(new com.google.gson.internal.m.g(cVar, z3));
        com.google.gson.internal.m.d dVar3 = new com.google.gson.internal.m.d(cVar);
        this.m = dVar3;
        arrayList.add(dVar3);
        arrayList.add(n.Z);
        arrayList.add(new i(cVar, dVar2, dVar, dVar3));
        this.n = Collections.unmodifiableList(arrayList);
    }
}
