package com.google.gson;

import com.google.gson.internal.a;
import com.google.gson.internal.d;
import com.google.gson.internal.m.l;
import com.google.gson.internal.m.n;
import java.lang.reflect.Type;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/* compiled from: GsonBuilder */
public final class f {

    /* renamed from: a  reason: collision with root package name */
    private d f12569a;

    /* renamed from: b  reason: collision with root package name */
    private LongSerializationPolicy f12570b;

    /* renamed from: c  reason: collision with root package name */
    private d f12571c;

    /* renamed from: d  reason: collision with root package name */
    private final Map<Type, g<?>> f12572d;

    /* renamed from: e  reason: collision with root package name */
    private final List<t> f12573e;
    private final List<t> f;
    private boolean g;
    private String h;
    private int i;
    private int j;
    private boolean k;
    private boolean l;
    private boolean m;
    private boolean n;
    private boolean o;
    private boolean p;

    public f() {
        this.f12569a = d.f12623b;
        this.f12570b = LongSerializationPolicy.DEFAULT;
        this.f12571c = FieldNamingPolicy.IDENTITY;
        this.f12572d = new HashMap();
        this.f12573e = new ArrayList();
        this.f = new ArrayList();
        this.g = false;
        this.i = 2;
        this.j = 2;
        this.k = false;
        this.l = false;
        this.m = true;
        this.n = false;
        this.o = false;
        this.p = false;
    }

    private void c(String str, int i2, int i3, List<t> list) {
        a aVar;
        a aVar2;
        a aVar3;
        if (str != null && !"".equals(str.trim())) {
            aVar2 = new a(Date.class, str);
            aVar = new a(Timestamp.class, str);
            aVar3 = new a(java.sql.Date.class, str);
        } else if (i2 != 2 && i3 != 2) {
            a aVar4 = new a(Date.class, i2, i3);
            a aVar5 = new a(Timestamp.class, i2, i3);
            a aVar6 = new a(java.sql.Date.class, i2, i3);
            aVar2 = aVar4;
            aVar = aVar5;
            aVar3 = aVar6;
        } else {
            return;
        }
        list.add(n.b(Date.class, aVar2));
        list.add(n.b(Timestamp.class, aVar));
        list.add(n.b(java.sql.Date.class, aVar3));
    }

    public f a(b bVar) {
        this.f12569a = this.f12569a.u(bVar, false, true);
        return this;
    }

    public f b(b bVar) {
        this.f12569a = this.f12569a.u(bVar, true, false);
        return this;
    }

    public e d() {
        List<t> arrayList = new ArrayList<>(this.f12573e.size() + this.f.size() + 3);
        arrayList.addAll(this.f12573e);
        Collections.reverse(arrayList);
        ArrayList arrayList2 = new ArrayList(this.f);
        Collections.reverse(arrayList2);
        arrayList.addAll(arrayList2);
        c(this.h, this.i, this.j, arrayList);
        return new e(this.f12569a, this.f12571c, this.f12572d, this.g, this.k, this.o, this.m, this.n, this.p, this.l, this.f12570b, this.h, this.i, this.j, this.f12573e, this.f, arrayList);
    }

    public f e() {
        this.m = false;
        return this;
    }

    public f f() {
        this.f12569a = this.f12569a.c();
        return this;
    }

    public f g() {
        this.k = true;
        return this;
    }

    public f h(int... iArr) {
        this.f12569a = this.f12569a.v(iArr);
        return this;
    }

    public f i() {
        this.f12569a = this.f12569a.m();
        return this;
    }

    public f j() {
        this.o = true;
        return this;
    }

    public f k(Type type, Object obj) {
        boolean z = obj instanceof q;
        a.a(z || (obj instanceof j) || (obj instanceof g) || (obj instanceof s));
        if (obj instanceof g) {
            this.f12572d.put(type, (g) obj);
        }
        if (z || (obj instanceof j)) {
            this.f12573e.add(l.l(com.google.gson.u.a.c(type), obj));
        }
        if (obj instanceof s) {
            this.f12573e.add(n.a(com.google.gson.u.a.c(type), (s) obj));
        }
        return this;
    }

    public f l(t tVar) {
        this.f12573e.add(tVar);
        return this;
    }

    public f m(Class<?> cls, Object obj) {
        boolean z = obj instanceof q;
        a.a(z || (obj instanceof j) || (obj instanceof s));
        if ((obj instanceof j) || z) {
            this.f.add(l.m(cls, obj));
        }
        if (obj instanceof s) {
            this.f12573e.add(n.e(cls, (s) obj));
        }
        return this;
    }

    public f n() {
        this.g = true;
        return this;
    }

    public f o() {
        this.l = true;
        return this;
    }

    public f p(int i2) {
        this.i = i2;
        this.h = null;
        return this;
    }

    public f q(int i2, int i3) {
        this.i = i2;
        this.j = i3;
        this.h = null;
        return this;
    }

    public f r(String str) {
        this.h = str;
        return this;
    }

    public f s(b... bVarArr) {
        for (b bVar : bVarArr) {
            this.f12569a = this.f12569a.u(bVar, true, true);
        }
        return this;
    }

    public f t(FieldNamingPolicy fieldNamingPolicy) {
        this.f12571c = fieldNamingPolicy;
        return this;
    }

    public f u(d dVar) {
        this.f12571c = dVar;
        return this;
    }

    public f v() {
        this.p = true;
        return this;
    }

    public f w(LongSerializationPolicy longSerializationPolicy) {
        this.f12570b = longSerializationPolicy;
        return this;
    }

    public f x() {
        this.n = true;
        return this;
    }

    public f y(double d2) {
        this.f12569a = this.f12569a.w(d2);
        return this;
    }

    f(e eVar) {
        this.f12569a = d.f12623b;
        this.f12570b = LongSerializationPolicy.DEFAULT;
        this.f12571c = FieldNamingPolicy.IDENTITY;
        HashMap hashMap = new HashMap();
        this.f12572d = hashMap;
        ArrayList arrayList = new ArrayList();
        this.f12573e = arrayList;
        ArrayList arrayList2 = new ArrayList();
        this.f = arrayList2;
        this.g = false;
        this.i = 2;
        this.j = 2;
        this.k = false;
        this.l = false;
        this.m = true;
        this.n = false;
        this.o = false;
        this.p = false;
        this.f12569a = eVar.o;
        this.f12571c = eVar.p;
        hashMap.putAll(eVar.q);
        this.g = eVar.r;
        this.k = eVar.s;
        this.o = eVar.t;
        this.m = eVar.u;
        this.n = eVar.v;
        this.p = eVar.w;
        this.l = eVar.x;
        this.f12570b = eVar.B;
        this.h = eVar.y;
        this.i = eVar.z;
        this.j = eVar.A;
        arrayList.addAll(eVar.C);
        arrayList2.addAll(eVar.D);
    }
}
