package com.google.gson.internal;

import java.io.ObjectStreamException;
import java.io.Serializable;
import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.Arrays;
import java.util.Comparator;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Objects;
import java.util.Set;

public final class LinkedHashTreeMap<K, V> extends AbstractMap<K, V> implements Serializable {

    /* renamed from: a  reason: collision with root package name */
    private static final Comparator<Comparable> f12575a = new a();

    /* renamed from: b  reason: collision with root package name */
    static final /* synthetic */ boolean f12576b = false;
    Comparator<? super K> comparator;
    private LinkedHashTreeMap<K, V>.d entrySet;
    final g<K, V> header;
    private LinkedHashTreeMap<K, V>.e keySet;
    int modCount;
    int size;
    g<K, V>[] table;
    int threshold;

    static class a implements Comparator<Comparable> {
        a() {
        }

        /* renamed from: a */
        public int compare(Comparable comparable, Comparable comparable2) {
            return comparable.compareTo(comparable2);
        }
    }

    /* access modifiers changed from: package-private */
    public static final class b<K, V> {

        /* renamed from: a  reason: collision with root package name */
        private g<K, V> f12577a;

        /* renamed from: b  reason: collision with root package name */
        private int f12578b;

        /* renamed from: c  reason: collision with root package name */
        private int f12579c;

        /* renamed from: d  reason: collision with root package name */
        private int f12580d;

        b() {
        }

        /* access modifiers changed from: package-private */
        public void a(g<K, V> gVar) {
            gVar.I0 = null;
            gVar.f12586a = null;
            gVar.f12587b = null;
            gVar.O0 = 1;
            int i = this.f12578b;
            if (i > 0) {
                int i2 = this.f12580d;
                if ((i2 & 1) == 0) {
                    this.f12580d = i2 + 1;
                    this.f12578b = i - 1;
                    this.f12579c++;
                }
            }
            gVar.f12586a = this.f12577a;
            this.f12577a = gVar;
            int i3 = this.f12580d + 1;
            this.f12580d = i3;
            int i4 = this.f12578b;
            if (i4 > 0 && (i3 & 1) == 0) {
                this.f12580d = i3 + 1;
                this.f12578b = i4 - 1;
                this.f12579c++;
            }
            int i5 = 4;
            while (true) {
                int i6 = i5 - 1;
                if ((this.f12580d & i6) == i6) {
                    int i7 = this.f12579c;
                    if (i7 == 0) {
                        g<K, V> gVar2 = this.f12577a;
                        g<K, V> gVar3 = gVar2.f12586a;
                        g<K, V> gVar4 = gVar3.f12586a;
                        gVar3.f12586a = gVar4.f12586a;
                        this.f12577a = gVar3;
                        gVar3.f12587b = gVar4;
                        gVar3.I0 = gVar2;
                        gVar3.O0 = gVar2.O0 + 1;
                        gVar4.f12586a = gVar3;
                        gVar2.f12586a = gVar3;
                    } else if (i7 == 1) {
                        g<K, V> gVar5 = this.f12577a;
                        g<K, V> gVar6 = gVar5.f12586a;
                        this.f12577a = gVar6;
                        gVar6.I0 = gVar5;
                        gVar6.O0 = gVar5.O0 + 1;
                        gVar5.f12586a = gVar6;
                        this.f12579c = 0;
                    } else if (i7 == 2) {
                        this.f12579c = 0;
                    }
                    i5 *= 2;
                } else {
                    return;
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void b(int i) {
            this.f12578b = ((Integer.highestOneBit(i) * 2) - 1) - i;
            this.f12580d = 0;
            this.f12579c = 0;
            this.f12577a = null;
        }

        /* access modifiers changed from: package-private */
        public g<K, V> c() {
            g<K, V> gVar = this.f12577a;
            if (gVar.f12586a == null) {
                return gVar;
            }
            throw new IllegalStateException();
        }
    }

    /* access modifiers changed from: package-private */
    public static class c<K, V> {

        /* renamed from: a  reason: collision with root package name */
        private g<K, V> f12581a;

        c() {
        }

        public g<K, V> a() {
            g<K, V> gVar = this.f12581a;
            if (gVar == null) {
                return null;
            }
            g<K, V> gVar2 = gVar.f12586a;
            gVar.f12586a = null;
            g<K, V> gVar3 = gVar.I0;
            while (true) {
                gVar2 = gVar3;
                if (gVar2 != null) {
                    gVar2.f12586a = gVar2;
                    gVar3 = gVar2.f12587b;
                } else {
                    this.f12581a = gVar2;
                    return gVar;
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void b(g<K, V> gVar) {
            g<K, V> gVar2 = null;
            while (gVar != null) {
                gVar.f12586a = gVar2;
                gVar2 = gVar;
                gVar = gVar.f12587b;
            }
            this.f12581a = gVar2;
        }
    }

    final class d extends AbstractSet<Map.Entry<K, V>> {

        class a extends LinkedHashTreeMap<K, V>.f {
            a() {
                super();
            }

            /* renamed from: b */
            public Map.Entry<K, V> next() {
                return a();
            }
        }

        d() {
        }

        public void clear() {
            LinkedHashTreeMap.this.clear();
        }

        public boolean contains(Object obj) {
            return (obj instanceof Map.Entry) && LinkedHashTreeMap.this.e((Map.Entry) obj) != null;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<Map.Entry<K, V>> iterator() {
            return new a();
        }

        public boolean remove(Object obj) {
            g<K, V> e2;
            if (!(obj instanceof Map.Entry) || (e2 = LinkedHashTreeMap.this.e((Map.Entry) obj)) == null) {
                return false;
            }
            LinkedHashTreeMap.this.h(e2, true);
            return true;
        }

        public int size() {
            return LinkedHashTreeMap.this.size;
        }
    }

    final class e extends AbstractSet<K> {

        class a extends LinkedHashTreeMap<K, V>.f {
            a() {
                super();
            }

            @Override // java.util.Iterator
            public K next() {
                return a().L0;
            }
        }

        e() {
        }

        public void clear() {
            LinkedHashTreeMap.this.clear();
        }

        public boolean contains(Object obj) {
            return LinkedHashTreeMap.this.containsKey(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<K> iterator() {
            return new a();
        }

        public boolean remove(Object obj) {
            return LinkedHashTreeMap.this.i(obj) != null;
        }

        public int size() {
            return LinkedHashTreeMap.this.size;
        }
    }

    /* access modifiers changed from: private */
    public abstract class f<T> implements Iterator<T> {
        int I0;

        /* renamed from: a  reason: collision with root package name */
        g<K, V> f12584a;

        /* renamed from: b  reason: collision with root package name */
        g<K, V> f12585b = null;

        f() {
            this.f12584a = LinkedHashTreeMap.this.header.J0;
            this.I0 = LinkedHashTreeMap.this.modCount;
        }

        /* access modifiers changed from: package-private */
        public final g<K, V> a() {
            g<K, V> gVar = this.f12584a;
            LinkedHashTreeMap linkedHashTreeMap = LinkedHashTreeMap.this;
            if (gVar == linkedHashTreeMap.header) {
                throw new NoSuchElementException();
            } else if (linkedHashTreeMap.modCount == this.I0) {
                this.f12584a = gVar.J0;
                this.f12585b = gVar;
                return gVar;
            } else {
                throw new ConcurrentModificationException();
            }
        }

        public final boolean hasNext() {
            return this.f12584a != LinkedHashTreeMap.this.header;
        }

        public final void remove() {
            g<K, V> gVar = this.f12585b;
            if (gVar != null) {
                LinkedHashTreeMap.this.h(gVar, true);
                this.f12585b = null;
                this.I0 = LinkedHashTreeMap.this.modCount;
                return;
            }
            throw new IllegalStateException();
        }
    }

    public LinkedHashTreeMap() {
        this(f12575a);
    }

    private void a() {
        g<K, V>[] b2 = b(this.table);
        this.table = b2;
        this.threshold = (b2.length / 2) + (b2.length / 4);
    }

    static <K, V> g<K, V>[] b(g<K, V>[] gVarArr) {
        int length = gVarArr.length;
        g<K, V>[] gVarArr2 = new g[(length * 2)];
        c cVar = new c();
        b bVar = new b();
        b bVar2 = new b();
        for (int i = 0; i < length; i++) {
            g<K, V> gVar = gVarArr[i];
            if (gVar != null) {
                cVar.b(gVar);
                int i2 = 0;
                int i3 = 0;
                while (true) {
                    g<K, V> a2 = cVar.a();
                    if (a2 == null) {
                        break;
                    } else if ((a2.M0 & length) == 0) {
                        i2++;
                    } else {
                        i3++;
                    }
                }
                bVar.b(i2);
                bVar2.b(i3);
                cVar.b(gVar);
                while (true) {
                    g<K, V> a3 = cVar.a();
                    if (a3 == null) {
                        break;
                    } else if ((a3.M0 & length) == 0) {
                        bVar.a(a3);
                    } else {
                        bVar2.a(a3);
                    }
                }
                g<K, V> gVar2 = null;
                gVarArr2[i] = i2 > 0 ? bVar.c() : null;
                int i4 = i + length;
                if (i3 > 0) {
                    gVar2 = bVar2.c();
                }
                gVarArr2[i4] = gVar2;
            }
        }
        return gVarArr2;
    }

    private boolean c(Object obj, Object obj2) {
        return obj == obj2 || (obj != null && obj.equals(obj2));
    }

    private void g(g<K, V> gVar, boolean z) {
        while (gVar != null) {
            g<K, V> gVar2 = gVar.f12587b;
            g<K, V> gVar3 = gVar.I0;
            int i = 0;
            int i2 = gVar2 != null ? gVar2.O0 : 0;
            int i3 = gVar3 != null ? gVar3.O0 : 0;
            int i4 = i2 - i3;
            if (i4 == -2) {
                g<K, V> gVar4 = gVar3.f12587b;
                g<K, V> gVar5 = gVar3.I0;
                int i5 = gVar5 != null ? gVar5.O0 : 0;
                if (gVar4 != null) {
                    i = gVar4.O0;
                }
                int i6 = i - i5;
                if (i6 == -1 || (i6 == 0 && !z)) {
                    k(gVar);
                } else {
                    l(gVar3);
                    k(gVar);
                }
                if (z) {
                    return;
                }
            } else if (i4 == 2) {
                g<K, V> gVar6 = gVar2.f12587b;
                g<K, V> gVar7 = gVar2.I0;
                int i7 = gVar7 != null ? gVar7.O0 : 0;
                if (gVar6 != null) {
                    i = gVar6.O0;
                }
                int i8 = i - i7;
                if (i8 == 1 || (i8 == 0 && !z)) {
                    l(gVar);
                } else {
                    k(gVar2);
                    l(gVar);
                }
                if (z) {
                    return;
                }
            } else if (i4 == 0) {
                gVar.O0 = i2 + 1;
                if (z) {
                    return;
                }
            } else {
                gVar.O0 = Math.max(i2, i3) + 1;
                if (!z) {
                    return;
                }
            }
            gVar = gVar.f12586a;
        }
    }

    private void j(g<K, V> gVar, g<K, V> gVar2) {
        g<K, V> gVar3 = gVar.f12586a;
        gVar.f12586a = null;
        if (gVar2 != null) {
            gVar2.f12586a = gVar3;
        }
        if (gVar3 == null) {
            int i = gVar.M0;
            g<K, V>[] gVarArr = this.table;
            gVarArr[i & (gVarArr.length - 1)] = gVar2;
        } else if (gVar3.f12587b == gVar) {
            gVar3.f12587b = gVar2;
        } else {
            gVar3.I0 = gVar2;
        }
    }

    private void k(g<K, V> gVar) {
        g<K, V> gVar2 = gVar.f12587b;
        g<K, V> gVar3 = gVar.I0;
        g<K, V> gVar4 = gVar3.f12587b;
        g<K, V> gVar5 = gVar3.I0;
        gVar.I0 = gVar4;
        if (gVar4 != null) {
            gVar4.f12586a = gVar;
        }
        j(gVar, gVar3);
        gVar3.f12587b = gVar;
        gVar.f12586a = gVar3;
        int i = 0;
        int max = Math.max(gVar2 != null ? gVar2.O0 : 0, gVar4 != null ? gVar4.O0 : 0) + 1;
        gVar.O0 = max;
        if (gVar5 != null) {
            i = gVar5.O0;
        }
        gVar3.O0 = Math.max(max, i) + 1;
    }

    private void l(g<K, V> gVar) {
        g<K, V> gVar2 = gVar.f12587b;
        g<K, V> gVar3 = gVar.I0;
        g<K, V> gVar4 = gVar2.f12587b;
        g<K, V> gVar5 = gVar2.I0;
        gVar.f12587b = gVar5;
        if (gVar5 != null) {
            gVar5.f12586a = gVar;
        }
        j(gVar, gVar2);
        gVar2.I0 = gVar;
        gVar.f12586a = gVar2;
        int i = 0;
        int max = Math.max(gVar3 != null ? gVar3.O0 : 0, gVar5 != null ? gVar5.O0 : 0) + 1;
        gVar.O0 = max;
        if (gVar4 != null) {
            i = gVar4.O0;
        }
        gVar2.O0 = Math.max(max, i) + 1;
    }

    private static int m(int i) {
        int i2 = i ^ ((i >>> 20) ^ (i >>> 12));
        return (i2 >>> 4) ^ ((i2 >>> 7) ^ i2);
    }

    private Object writeReplace() throws ObjectStreamException {
        return new LinkedHashMap(this);
    }

    public void clear() {
        Arrays.fill(this.table, (Object) null);
        this.size = 0;
        this.modCount++;
        g<K, V> gVar = this.header;
        g<K, V> gVar2 = gVar.J0;
        while (gVar2 != gVar) {
            g<K, V> gVar3 = gVar2.J0;
            gVar2.K0 = null;
            gVar2.J0 = null;
            gVar2 = gVar3;
        }
        gVar.K0 = gVar;
        gVar.J0 = gVar;
    }

    public boolean containsKey(Object obj) {
        return f(obj) != null;
    }

    /* access modifiers changed from: package-private */
    public g<K, V> d(K k, boolean z) {
        int i;
        g<K, V> gVar;
        g<K, V> gVar2;
        int i2;
        Comparator<? super K> comparator2 = this.comparator;
        g<K, V>[] gVarArr = this.table;
        int m = m(k.hashCode());
        int length = (gVarArr.length - 1) & m;
        g<K, V> gVar3 = gVarArr[length];
        if (gVar3 != null) {
            K k2 = comparator2 == f12575a ? k : null;
            while (true) {
                if (k2 != null) {
                    i2 = k2.compareTo(gVar3.L0);
                } else {
                    i2 = comparator2.compare(k, gVar3.L0);
                }
                if (i2 == 0) {
                    return gVar3;
                }
                g<K, V> gVar4 = i2 < 0 ? gVar3.f12587b : gVar3.I0;
                if (gVar4 == null) {
                    gVar = gVar3;
                    i = i2;
                    break;
                }
                gVar3 = gVar4;
            }
        } else {
            gVar = gVar3;
            i = 0;
        }
        if (!z) {
            return null;
        }
        g<K, V> gVar5 = this.header;
        if (gVar != null) {
            gVar2 = new g<>(gVar, k, m, gVar5, gVar5.K0);
            if (i < 0) {
                gVar.f12587b = gVar2;
            } else {
                gVar.I0 = gVar2;
            }
            g(gVar, true);
        } else if (comparator2 != f12575a || (k instanceof Comparable)) {
            gVar2 = new g<>(gVar, k, m, gVar5, gVar5.K0);
            gVarArr[length] = gVar2;
        } else {
            throw new ClassCastException(k.getClass().getName() + " is not Comparable");
        }
        int i3 = this.size;
        this.size = i3 + 1;
        if (i3 > this.threshold) {
            a();
        }
        this.modCount++;
        return gVar2;
    }

    /* access modifiers changed from: package-private */
    public g<K, V> e(Map.Entry<?, ?> entry) {
        g<K, V> f2 = f(entry.getKey());
        if (f2 != null && c(f2.N0, entry.getValue())) {
            return f2;
        }
        return null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        LinkedHashTreeMap<K, V>.d dVar = this.entrySet;
        if (dVar != null) {
            return dVar;
        }
        LinkedHashTreeMap<K, V>.d dVar2 = new d();
        this.entrySet = dVar2;
        return dVar2;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: package-private */
    public g<K, V> f(Object obj) {
        if (obj == 0) {
            return null;
        }
        try {
            return d(obj, false);
        } catch (ClassCastException unused) {
            return null;
        }
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        g<K, V> f2 = f(obj);
        if (f2 != null) {
            return f2.N0;
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public void h(g<K, V> gVar, boolean z) {
        int i;
        if (z) {
            g<K, V> gVar2 = gVar.K0;
            gVar2.J0 = gVar.J0;
            gVar.J0.K0 = gVar2;
            gVar.K0 = null;
            gVar.J0 = null;
        }
        g<K, V> gVar3 = gVar.f12587b;
        g<K, V> gVar4 = gVar.I0;
        g<K, V> gVar5 = gVar.f12586a;
        int i2 = 0;
        if (gVar3 == null || gVar4 == null) {
            if (gVar3 != null) {
                j(gVar, gVar3);
                gVar.f12587b = null;
            } else if (gVar4 != null) {
                j(gVar, gVar4);
                gVar.I0 = null;
            } else {
                j(gVar, null);
            }
            g(gVar5, false);
            this.size--;
            this.modCount++;
            return;
        }
        g<K, V> b2 = gVar3.O0 > gVar4.O0 ? gVar3.b() : gVar4.a();
        h(b2, false);
        g<K, V> gVar6 = gVar.f12587b;
        if (gVar6 != null) {
            i = gVar6.O0;
            b2.f12587b = gVar6;
            gVar6.f12586a = b2;
            gVar.f12587b = null;
        } else {
            i = 0;
        }
        g<K, V> gVar7 = gVar.I0;
        if (gVar7 != null) {
            i2 = gVar7.O0;
            b2.I0 = gVar7;
            gVar7.f12586a = b2;
            gVar.I0 = null;
        }
        b2.O0 = Math.max(i, i2) + 1;
        j(gVar, b2);
    }

    /* access modifiers changed from: package-private */
    public g<K, V> i(Object obj) {
        g<K, V> f2 = f(obj);
        if (f2 != null) {
            h(f2, true);
        }
        return f2;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<K> keySet() {
        LinkedHashTreeMap<K, V>.e eVar = this.keySet;
        if (eVar != null) {
            return eVar;
        }
        LinkedHashTreeMap<K, V>.e eVar2 = new e();
        this.keySet = eVar2;
        return eVar2;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V put(K k, V v) {
        Objects.requireNonNull(k, "key == null");
        g<K, V> d2 = d(k, true);
        V v2 = d2.N0;
        d2.N0 = v;
        return v2;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V remove(Object obj) {
        g<K, V> i = i(obj);
        if (i != null) {
            return i.N0;
        }
        return null;
    }

    public int size() {
        return this.size;
    }

    public LinkedHashTreeMap(Comparator<? super K> comparator2) {
        this.size = 0;
        this.modCount = 0;
        this.comparator = comparator2 == null ? f12575a : comparator2;
        this.header = new g<>();
        g<K, V>[] gVarArr = new g[16];
        this.table = gVarArr;
        this.threshold = (gVarArr.length / 2) + (gVarArr.length / 4);
    }

    /* access modifiers changed from: package-private */
    public static final class g<K, V> implements Map.Entry<K, V> {
        g<K, V> I0;
        g<K, V> J0;
        g<K, V> K0;
        final K L0;
        final int M0;
        V N0;
        int O0;

        /* renamed from: a  reason: collision with root package name */
        g<K, V> f12586a;

        /* renamed from: b  reason: collision with root package name */
        g<K, V> f12587b;

        g() {
            this.L0 = null;
            this.M0 = -1;
            this.K0 = this;
            this.J0 = this;
        }

        public g<K, V> a() {
            g<K, V> gVar = this;
            for (g<K, V> gVar2 = this.f12587b; gVar2 != null; gVar2 = gVar2.f12587b) {
                gVar = gVar2;
            }
            return gVar;
        }

        public g<K, V> b() {
            g<K, V> gVar = this;
            for (g<K, V> gVar2 = this.I0; gVar2 != null; gVar2 = gVar2.I0) {
                gVar = gVar2;
            }
            return gVar;
        }

        /* JADX WARNING: Removed duplicated region for block: B:14:0x0031 A[ORIG_RETURN, RETURN, SYNTHETIC] */
        public boolean equals(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            K k = this.L0;
            if (k == null) {
                if (entry.getKey() != null) {
                    return false;
                }
            } else if (!k.equals(entry.getKey())) {
                return false;
            }
            V v = this.N0;
            if (v == null) {
                if (entry.getValue() == null) {
                    return true;
                }
                return false;
            } else if (!v.equals(entry.getValue())) {
                return false;
            }
            return true;
        }

        @Override // java.util.Map.Entry
        public K getKey() {
            return this.L0;
        }

        @Override // java.util.Map.Entry
        public V getValue() {
            return this.N0;
        }

        public int hashCode() {
            K k = this.L0;
            int i = 0;
            int hashCode = k == null ? 0 : k.hashCode();
            V v = this.N0;
            if (v != null) {
                i = v.hashCode();
            }
            return hashCode ^ i;
        }

        @Override // java.util.Map.Entry
        public V setValue(V v) {
            V v2 = this.N0;
            this.N0 = v;
            return v2;
        }

        public String toString() {
            return ((Object) this.L0) + "=" + ((Object) this.N0);
        }

        g(g<K, V> gVar, K k, int i, g<K, V> gVar2, g<K, V> gVar3) {
            this.f12586a = gVar;
            this.L0 = k;
            this.M0 = i;
            this.O0 = 1;
            this.J0 = gVar2;
            this.K0 = gVar3;
            gVar3.J0 = this;
            gVar2.K0 = this;
        }
    }
}
