package com.google.gson.internal;

import java.io.ObjectStreamException;
import java.io.Serializable;
import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.Comparator;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Objects;
import java.util.Set;

public final class LinkedTreeMap<K, V> extends AbstractMap<K, V> implements Serializable {

    /* renamed from: a  reason: collision with root package name */
    private static final Comparator<Comparable> f12588a = new a();

    /* renamed from: b  reason: collision with root package name */
    static final /* synthetic */ boolean f12589b = false;
    Comparator<? super K> comparator;
    private LinkedTreeMap<K, V>.b entrySet;
    final e<K, V> header;
    private LinkedTreeMap<K, V>.c keySet;
    int modCount;
    e<K, V> root;
    int size;

    static class a implements Comparator<Comparable> {
        a() {
        }

        /* renamed from: a */
        public int compare(Comparable comparable, Comparable comparable2) {
            return comparable.compareTo(comparable2);
        }
    }

    class b extends AbstractSet<Map.Entry<K, V>> {

        class a extends LinkedTreeMap<K, V>.d {
            a() {
                super();
            }

            /* renamed from: b */
            public Map.Entry<K, V> next() {
                return a();
            }
        }

        b() {
        }

        public void clear() {
            LinkedTreeMap.this.clear();
        }

        public boolean contains(Object obj) {
            return (obj instanceof Map.Entry) && LinkedTreeMap.this.c((Map.Entry) obj) != null;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<Map.Entry<K, V>> iterator() {
            return new a();
        }

        public boolean remove(Object obj) {
            e<K, V> c2;
            if (!(obj instanceof Map.Entry) || (c2 = LinkedTreeMap.this.c((Map.Entry) obj)) == null) {
                return false;
            }
            LinkedTreeMap.this.f(c2, true);
            return true;
        }

        public int size() {
            return LinkedTreeMap.this.size;
        }
    }

    final class c extends AbstractSet<K> {

        class a extends LinkedTreeMap<K, V>.d {
            a() {
                super();
            }

            @Override // java.util.Iterator
            public K next() {
                return a().L0;
            }
        }

        c() {
        }

        public void clear() {
            LinkedTreeMap.this.clear();
        }

        public boolean contains(Object obj) {
            return LinkedTreeMap.this.containsKey(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<K> iterator() {
            return new a();
        }

        public boolean remove(Object obj) {
            return LinkedTreeMap.this.g(obj) != null;
        }

        public int size() {
            return LinkedTreeMap.this.size;
        }
    }

    /* access modifiers changed from: private */
    public abstract class d<T> implements Iterator<T> {
        int I0;

        /* renamed from: a  reason: collision with root package name */
        e<K, V> f12592a;

        /* renamed from: b  reason: collision with root package name */
        e<K, V> f12593b = null;

        d() {
            this.f12592a = LinkedTreeMap.this.header.J0;
            this.I0 = LinkedTreeMap.this.modCount;
        }

        /* access modifiers changed from: package-private */
        public final e<K, V> a() {
            e<K, V> eVar = this.f12592a;
            LinkedTreeMap linkedTreeMap = LinkedTreeMap.this;
            if (eVar == linkedTreeMap.header) {
                throw new NoSuchElementException();
            } else if (linkedTreeMap.modCount == this.I0) {
                this.f12592a = eVar.J0;
                this.f12593b = eVar;
                return eVar;
            } else {
                throw new ConcurrentModificationException();
            }
        }

        public final boolean hasNext() {
            return this.f12592a != LinkedTreeMap.this.header;
        }

        public final void remove() {
            e<K, V> eVar = this.f12593b;
            if (eVar != null) {
                LinkedTreeMap.this.f(eVar, true);
                this.f12593b = null;
                this.I0 = LinkedTreeMap.this.modCount;
                return;
            }
            throw new IllegalStateException();
        }
    }

    public LinkedTreeMap() {
        this(f12588a);
    }

    private boolean a(Object obj, Object obj2) {
        return obj == obj2 || (obj != null && obj.equals(obj2));
    }

    private void e(e<K, V> eVar, boolean z) {
        while (eVar != null) {
            e<K, V> eVar2 = eVar.f12595b;
            e<K, V> eVar3 = eVar.I0;
            int i = 0;
            int i2 = eVar2 != null ? eVar2.N0 : 0;
            int i3 = eVar3 != null ? eVar3.N0 : 0;
            int i4 = i2 - i3;
            if (i4 == -2) {
                e<K, V> eVar4 = eVar3.f12595b;
                e<K, V> eVar5 = eVar3.I0;
                int i5 = eVar5 != null ? eVar5.N0 : 0;
                if (eVar4 != null) {
                    i = eVar4.N0;
                }
                int i6 = i - i5;
                if (i6 == -1 || (i6 == 0 && !z)) {
                    i(eVar);
                } else {
                    j(eVar3);
                    i(eVar);
                }
                if (z) {
                    return;
                }
            } else if (i4 == 2) {
                e<K, V> eVar6 = eVar2.f12595b;
                e<K, V> eVar7 = eVar2.I0;
                int i7 = eVar7 != null ? eVar7.N0 : 0;
                if (eVar6 != null) {
                    i = eVar6.N0;
                }
                int i8 = i - i7;
                if (i8 == 1 || (i8 == 0 && !z)) {
                    j(eVar);
                } else {
                    i(eVar2);
                    j(eVar);
                }
                if (z) {
                    return;
                }
            } else if (i4 == 0) {
                eVar.N0 = i2 + 1;
                if (z) {
                    return;
                }
            } else {
                eVar.N0 = Math.max(i2, i3) + 1;
                if (!z) {
                    return;
                }
            }
            eVar = eVar.f12594a;
        }
    }

    private void h(e<K, V> eVar, e<K, V> eVar2) {
        e<K, V> eVar3 = eVar.f12594a;
        eVar.f12594a = null;
        if (eVar2 != null) {
            eVar2.f12594a = eVar3;
        }
        if (eVar3 == null) {
            this.root = eVar2;
        } else if (eVar3.f12595b == eVar) {
            eVar3.f12595b = eVar2;
        } else {
            eVar3.I0 = eVar2;
        }
    }

    private void i(e<K, V> eVar) {
        e<K, V> eVar2 = eVar.f12595b;
        e<K, V> eVar3 = eVar.I0;
        e<K, V> eVar4 = eVar3.f12595b;
        e<K, V> eVar5 = eVar3.I0;
        eVar.I0 = eVar4;
        if (eVar4 != null) {
            eVar4.f12594a = eVar;
        }
        h(eVar, eVar3);
        eVar3.f12595b = eVar;
        eVar.f12594a = eVar3;
        int i = 0;
        int max = Math.max(eVar2 != null ? eVar2.N0 : 0, eVar4 != null ? eVar4.N0 : 0) + 1;
        eVar.N0 = max;
        if (eVar5 != null) {
            i = eVar5.N0;
        }
        eVar3.N0 = Math.max(max, i) + 1;
    }

    private void j(e<K, V> eVar) {
        e<K, V> eVar2 = eVar.f12595b;
        e<K, V> eVar3 = eVar.I0;
        e<K, V> eVar4 = eVar2.f12595b;
        e<K, V> eVar5 = eVar2.I0;
        eVar.f12595b = eVar5;
        if (eVar5 != null) {
            eVar5.f12594a = eVar;
        }
        h(eVar, eVar2);
        eVar2.I0 = eVar;
        eVar.f12594a = eVar2;
        int i = 0;
        int max = Math.max(eVar3 != null ? eVar3.N0 : 0, eVar5 != null ? eVar5.N0 : 0) + 1;
        eVar.N0 = max;
        if (eVar4 != null) {
            i = eVar4.N0;
        }
        eVar2.N0 = Math.max(max, i) + 1;
    }

    private Object writeReplace() throws ObjectStreamException {
        return new LinkedHashMap(this);
    }

    /* access modifiers changed from: package-private */
    public e<K, V> b(K k, boolean z) {
        int i;
        e<K, V> eVar;
        Comparator<? super K> comparator2 = this.comparator;
        e<K, V> eVar2 = this.root;
        if (eVar2 != null) {
            K k2 = comparator2 == f12588a ? k : null;
            while (true) {
                if (k2 != null) {
                    i = k2.compareTo(eVar2.L0);
                } else {
                    i = comparator2.compare(k, eVar2.L0);
                }
                if (i == 0) {
                    return eVar2;
                }
                e<K, V> eVar3 = i < 0 ? eVar2.f12595b : eVar2.I0;
                if (eVar3 == null) {
                    break;
                }
                eVar2 = eVar3;
            }
        } else {
            i = 0;
        }
        if (!z) {
            return null;
        }
        e<K, V> eVar4 = this.header;
        if (eVar2 != null) {
            eVar = new e<>(eVar2, k, eVar4, eVar4.K0);
            if (i < 0) {
                eVar2.f12595b = eVar;
            } else {
                eVar2.I0 = eVar;
            }
            e(eVar2, true);
        } else if (comparator2 != f12588a || (k instanceof Comparable)) {
            eVar = new e<>(eVar2, k, eVar4, eVar4.K0);
            this.root = eVar;
        } else {
            throw new ClassCastException(k.getClass().getName() + " is not Comparable");
        }
        this.size++;
        this.modCount++;
        return eVar;
    }

    /* access modifiers changed from: package-private */
    public e<K, V> c(Map.Entry<?, ?> entry) {
        e<K, V> d2 = d(entry.getKey());
        if (d2 != null && a(d2.M0, entry.getValue())) {
            return d2;
        }
        return null;
    }

    public void clear() {
        this.root = null;
        this.size = 0;
        this.modCount++;
        e<K, V> eVar = this.header;
        eVar.K0 = eVar;
        eVar.J0 = eVar;
    }

    public boolean containsKey(Object obj) {
        return d(obj) != null;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    /* access modifiers changed from: package-private */
    public e<K, V> d(Object obj) {
        if (obj == 0) {
            return null;
        }
        try {
            return b(obj, false);
        } catch (ClassCastException unused) {
            return null;
        }
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        LinkedTreeMap<K, V>.b bVar = this.entrySet;
        if (bVar != null) {
            return bVar;
        }
        LinkedTreeMap<K, V>.b bVar2 = new b();
        this.entrySet = bVar2;
        return bVar2;
    }

    /* access modifiers changed from: package-private */
    public void f(e<K, V> eVar, boolean z) {
        int i;
        if (z) {
            e<K, V> eVar2 = eVar.K0;
            eVar2.J0 = eVar.J0;
            eVar.J0.K0 = eVar2;
        }
        e<K, V> eVar3 = eVar.f12595b;
        e<K, V> eVar4 = eVar.I0;
        e<K, V> eVar5 = eVar.f12594a;
        int i2 = 0;
        if (eVar3 == null || eVar4 == null) {
            if (eVar3 != null) {
                h(eVar, eVar3);
                eVar.f12595b = null;
            } else if (eVar4 != null) {
                h(eVar, eVar4);
                eVar.I0 = null;
            } else {
                h(eVar, null);
            }
            e(eVar5, false);
            this.size--;
            this.modCount++;
            return;
        }
        e<K, V> b2 = eVar3.N0 > eVar4.N0 ? eVar3.b() : eVar4.a();
        f(b2, false);
        e<K, V> eVar6 = eVar.f12595b;
        if (eVar6 != null) {
            i = eVar6.N0;
            b2.f12595b = eVar6;
            eVar6.f12594a = b2;
            eVar.f12595b = null;
        } else {
            i = 0;
        }
        e<K, V> eVar7 = eVar.I0;
        if (eVar7 != null) {
            i2 = eVar7.N0;
            b2.I0 = eVar7;
            eVar7.f12594a = b2;
            eVar.I0 = null;
        }
        b2.N0 = Math.max(i, i2) + 1;
        h(eVar, b2);
    }

    /* access modifiers changed from: package-private */
    public e<K, V> g(Object obj) {
        e<K, V> d2 = d(obj);
        if (d2 != null) {
            f(d2, true);
        }
        return d2;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        e<K, V> d2 = d(obj);
        if (d2 != null) {
            return d2.M0;
        }
        return null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<K> keySet() {
        LinkedTreeMap<K, V>.c cVar = this.keySet;
        if (cVar != null) {
            return cVar;
        }
        LinkedTreeMap<K, V>.c cVar2 = new c();
        this.keySet = cVar2;
        return cVar2;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V put(K k, V v) {
        Objects.requireNonNull(k, "key == null");
        e<K, V> b2 = b(k, true);
        V v2 = b2.M0;
        b2.M0 = v;
        return v2;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V remove(Object obj) {
        e<K, V> g = g(obj);
        if (g != null) {
            return g.M0;
        }
        return null;
    }

    public int size() {
        return this.size;
    }

    public LinkedTreeMap(Comparator<? super K> comparator2) {
        this.size = 0;
        this.modCount = 0;
        this.header = new e<>();
        this.comparator = comparator2 == null ? f12588a : comparator2;
    }

    /* access modifiers changed from: package-private */
    public static final class e<K, V> implements Map.Entry<K, V> {
        e<K, V> I0;
        e<K, V> J0;
        e<K, V> K0;
        final K L0;
        V M0;
        int N0;

        /* renamed from: a  reason: collision with root package name */
        e<K, V> f12594a;

        /* renamed from: b  reason: collision with root package name */
        e<K, V> f12595b;

        e() {
            this.L0 = null;
            this.K0 = this;
            this.J0 = this;
        }

        public e<K, V> a() {
            e<K, V> eVar = this;
            for (e<K, V> eVar2 = this.f12595b; eVar2 != null; eVar2 = eVar2.f12595b) {
                eVar = eVar2;
            }
            return eVar;
        }

        public e<K, V> b() {
            e<K, V> eVar = this;
            for (e<K, V> eVar2 = this.I0; eVar2 != null; eVar2 = eVar2.I0) {
                eVar = eVar2;
            }
            return eVar;
        }

        /* JADX WARNING: Removed duplicated region for block: B:14:0x0031 A[ORIG_RETURN, RETURN, SYNTHETIC] */
        public boolean equals(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            K k = this.L0;
            if (k == null) {
                if (entry.getKey() != null) {
                    return false;
                }
            } else if (!k.equals(entry.getKey())) {
                return false;
            }
            V v = this.M0;
            if (v == null) {
                if (entry.getValue() == null) {
                    return true;
                }
                return false;
            } else if (!v.equals(entry.getValue())) {
                return false;
            }
            return true;
        }

        @Override // java.util.Map.Entry
        public K getKey() {
            return this.L0;
        }

        @Override // java.util.Map.Entry
        public V getValue() {
            return this.M0;
        }

        public int hashCode() {
            K k = this.L0;
            int i = 0;
            int hashCode = k == null ? 0 : k.hashCode();
            V v = this.M0;
            if (v != null) {
                i = v.hashCode();
            }
            return hashCode ^ i;
        }

        @Override // java.util.Map.Entry
        public V setValue(V v) {
            V v2 = this.M0;
            this.M0 = v;
            return v2;
        }

        public String toString() {
            return ((Object) this.L0) + "=" + ((Object) this.M0);
        }

        e(e<K, V> eVar, K k, e<K, V> eVar2, e<K, V> eVar3) {
            this.f12594a = eVar;
            this.L0 = k;
            this.N0 = 1;
            this.J0 = eVar2;
            this.K0 = eVar3;
            eVar3.J0 = this;
            eVar2.K0 = this;
        }
    }
}
