package com.google.gson.internal;

import com.google.gson.JsonIOException;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Collection;
import java.util.EnumSet;
import java.util.LinkedHashMap;
import java.util.LinkedHashSet;
import java.util.Map;
import java.util.Queue;
import java.util.Set;
import java.util.SortedMap;
import java.util.SortedSet;
import java.util.TreeMap;
import java.util.TreeSet;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.ConcurrentNavigableMap;
import java.util.concurrent.ConcurrentSkipListMap;

/* compiled from: ConstructorConstructor */
public final class c {

    /* renamed from: a  reason: collision with root package name */
    private final Map<Type, com.google.gson.g<?>> f12597a;

    /* renamed from: b  reason: collision with root package name */
    private final com.google.gson.internal.n.b f12598b = com.google.gson.internal.n.b.a();

    /* access modifiers changed from: package-private */
    /* compiled from: ConstructorConstructor */
    public class a implements h<T> {
        a() {
        }

        @Override // com.google.gson.internal.h
        public T a() {
            return (T) new ConcurrentHashMap();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ConstructorConstructor */
    public class b implements h<T> {
        b() {
        }

        @Override // com.google.gson.internal.h
        public T a() {
            return (T) new TreeMap();
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.google.gson.internal.c$c  reason: collision with other inner class name */
    /* compiled from: ConstructorConstructor */
    public class C0280c implements h<T> {
        C0280c() {
        }

        @Override // com.google.gson.internal.h
        public T a() {
            return (T) new LinkedHashMap();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ConstructorConstructor */
    public class d implements h<T> {
        d() {
        }

        @Override // com.google.gson.internal.h
        public T a() {
            return (T) new LinkedTreeMap();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ConstructorConstructor */
    public class e implements h<T> {

        /* renamed from: a  reason: collision with root package name */
        private final l f12603a = l.b();

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Class f12604b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ Type f12605c;

        e(Class cls, Type type) {
            this.f12604b = cls;
            this.f12605c = type;
        }

        @Override // com.google.gson.internal.h
        public T a() {
            try {
                return (T) this.f12603a.c(this.f12604b);
            } catch (Exception e2) {
                throw new RuntimeException("Unable to invoke no-args constructor for " + this.f12605c + ". Registering an InstanceCreator with Gson for this type may fix this problem.", e2);
            }
        }
    }

    /* compiled from: ConstructorConstructor */
    class f implements h<T> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ com.google.gson.g f12607a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Type f12608b;

        f(com.google.gson.g gVar, Type type) {
            this.f12607a = gVar;
            this.f12608b = type;
        }

        @Override // com.google.gson.internal.h
        public T a() {
            return (T) this.f12607a.a(this.f12608b);
        }
    }

    /* compiled from: ConstructorConstructor */
    class g implements h<T> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ com.google.gson.g f12610a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Type f12611b;

        g(com.google.gson.g gVar, Type type) {
            this.f12610a = gVar;
            this.f12611b = type;
        }

        @Override // com.google.gson.internal.h
        public T a() {
            return (T) this.f12610a.a(this.f12611b);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ConstructorConstructor */
    public class h implements h<T> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Constructor f12613a;

        h(Constructor constructor) {
            this.f12613a = constructor;
        }

        @Override // com.google.gson.internal.h
        public T a() {
            try {
                return (T) this.f12613a.newInstance(null);
            } catch (InstantiationException e2) {
                throw new RuntimeException("Failed to invoke " + this.f12613a + " with no args", e2);
            } catch (InvocationTargetException e3) {
                throw new RuntimeException("Failed to invoke " + this.f12613a + " with no args", e3.getTargetException());
            } catch (IllegalAccessException e4) {
                throw new AssertionError(e4);
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ConstructorConstructor */
    public class i implements h<T> {
        i() {
        }

        @Override // com.google.gson.internal.h
        public T a() {
            return (T) new TreeSet();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ConstructorConstructor */
    public class j implements h<T> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Type f12616a;

        j(Type type) {
            this.f12616a = type;
        }

        @Override // com.google.gson.internal.h
        public T a() {
            Type type = this.f12616a;
            if (type instanceof ParameterizedType) {
                Type type2 = ((ParameterizedType) type).getActualTypeArguments()[0];
                if (type2 instanceof Class) {
                    return (T) EnumSet.noneOf((Class) type2);
                }
                throw new JsonIOException("Invalid EnumSet type: " + this.f12616a.toString());
            }
            throw new JsonIOException("Invalid EnumSet type: " + this.f12616a.toString());
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ConstructorConstructor */
    public class k implements h<T> {
        k() {
        }

        @Override // com.google.gson.internal.h
        public T a() {
            return (T) new LinkedHashSet();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ConstructorConstructor */
    public class l implements h<T> {
        l() {
        }

        @Override // com.google.gson.internal.h
        public T a() {
            return (T) new ArrayDeque();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ConstructorConstructor */
    public class m implements h<T> {
        m() {
        }

        @Override // com.google.gson.internal.h
        public T a() {
            return (T) new ArrayList();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ConstructorConstructor */
    public class n implements h<T> {
        n() {
        }

        @Override // com.google.gson.internal.h
        public T a() {
            return (T) new ConcurrentSkipListMap();
        }
    }

    public c(Map<Type, com.google.gson.g<?>> map) {
        this.f12597a = map;
    }

    private <T> h<T> b(Class<? super T> cls) {
        try {
            Constructor<? super T> declaredConstructor = cls.getDeclaredConstructor(new Class[0]);
            if (!declaredConstructor.isAccessible()) {
                this.f12598b.b(declaredConstructor);
            }
            return new h(declaredConstructor);
        } catch (NoSuchMethodException unused) {
            return null;
        }
    }

    private <T> h<T> c(Type type, Class<? super T> cls) {
        if (Collection.class.isAssignableFrom(cls)) {
            if (SortedSet.class.isAssignableFrom(cls)) {
                return new i();
            }
            if (EnumSet.class.isAssignableFrom(cls)) {
                return new j(type);
            }
            if (Set.class.isAssignableFrom(cls)) {
                return new k();
            }
            if (Queue.class.isAssignableFrom(cls)) {
                return new l();
            }
            return new m();
        } else if (!Map.class.isAssignableFrom(cls)) {
            return null;
        } else {
            if (ConcurrentNavigableMap.class.isAssignableFrom(cls)) {
                return new n();
            }
            if (ConcurrentMap.class.isAssignableFrom(cls)) {
                return new a();
            }
            if (SortedMap.class.isAssignableFrom(cls)) {
                return new b();
            }
            if (!(type instanceof ParameterizedType) || String.class.isAssignableFrom(com.google.gson.u.a.c(((ParameterizedType) type).getActualTypeArguments()[0]).f())) {
                return new d();
            }
            return new C0280c();
        }
    }

    private <T> h<T> d(Type type, Class<? super T> cls) {
        return new e(cls, type);
    }

    public <T> h<T> a(com.google.gson.u.a<T> aVar) {
        Type h2 = aVar.h();
        Class<? super T> f2 = aVar.f();
        com.google.gson.g<?> gVar = this.f12597a.get(h2);
        if (gVar != null) {
            return new f(gVar, h2);
        }
        com.google.gson.g<?> gVar2 = this.f12597a.get(f2);
        if (gVar2 != null) {
            return new g(gVar2, h2);
        }
        h<T> b2 = b(f2);
        if (b2 != null) {
            return b2;
        }
        h<T> c2 = c(h2, f2);
        if (c2 != null) {
            return c2;
        }
        return d(h2, f2);
    }

    public String toString() {
        return this.f12597a.toString();
    }
}
