package com.google.gson.internal.m;

import com.google.gson.JsonIOException;
import com.google.gson.JsonSyntaxException;
import com.google.gson.annotations.SerializedName;
import com.google.gson.internal.LazilyParsedNumber;
import com.google.gson.stream.JsonToken;
import java.io.IOException;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.net.InetAddress;
import java.net.URI;
import java.net.URISyntaxException;
import java.net.URL;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.BitSet;
import java.util.Calendar;
import java.util.Currency;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;
import java.util.StringTokenizer;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicIntegerArray;

/* compiled from: TypeAdapters */
public final class n {
    public static final com.google.gson.s<String> A;
    public static final com.google.gson.s<BigDecimal> B = new h();
    public static final com.google.gson.s<BigInteger> C = new i();
    public static final com.google.gson.t D;
    public static final com.google.gson.s<StringBuilder> E;
    public static final com.google.gson.t F;
    public static final com.google.gson.s<StringBuffer> G;
    public static final com.google.gson.t H;
    public static final com.google.gson.s<URL> I;
    public static final com.google.gson.t J;
    public static final com.google.gson.s<URI> K;
    public static final com.google.gson.t L;
    public static final com.google.gson.s<InetAddress> M;
    public static final com.google.gson.t N;
    public static final com.google.gson.s<UUID> O;
    public static final com.google.gson.t P;
    public static final com.google.gson.s<Currency> Q;
    public static final com.google.gson.t R;
    public static final com.google.gson.t S = new r();
    public static final com.google.gson.s<Calendar> T;
    public static final com.google.gson.t U;
    public static final com.google.gson.s<Locale> V;
    public static final com.google.gson.t W;
    public static final com.google.gson.s<com.google.gson.k> X;
    public static final com.google.gson.t Y;
    public static final com.google.gson.t Z = new w();

    /* renamed from: a  reason: collision with root package name */
    public static final com.google.gson.s<Class> f12684a;

    /* renamed from: b  reason: collision with root package name */
    public static final com.google.gson.t f12685b;

    /* renamed from: c  reason: collision with root package name */
    public static final com.google.gson.s<BitSet> f12686c;

    /* renamed from: d  reason: collision with root package name */
    public static final com.google.gson.t f12687d;

    /* renamed from: e  reason: collision with root package name */
    public static final com.google.gson.s<Boolean> f12688e;
    public static final com.google.gson.s<Boolean> f = new e0();
    public static final com.google.gson.t g;
    public static final com.google.gson.s<Number> h;
    public static final com.google.gson.t i;
    public static final com.google.gson.s<Number> j;
    public static final com.google.gson.t k;
    public static final com.google.gson.s<Number> l;
    public static final com.google.gson.t m;
    public static final com.google.gson.s<AtomicInteger> n;
    public static final com.google.gson.t o;
    public static final com.google.gson.s<AtomicBoolean> p;
    public static final com.google.gson.t q;
    public static final com.google.gson.s<AtomicIntegerArray> r;
    public static final com.google.gson.t s;
    public static final com.google.gson.s<Number> t = new b();
    public static final com.google.gson.s<Number> u = new c();
    public static final com.google.gson.s<Number> v = new d();
    public static final com.google.gson.s<Number> w;
    public static final com.google.gson.t x;
    public static final com.google.gson.s<Character> y;
    public static final com.google.gson.t z;

    /* compiled from: TypeAdapters */
    static class a extends com.google.gson.s<AtomicIntegerArray> {
        a() {
        }

        /* renamed from: j */
        public AtomicIntegerArray e(com.google.gson.stream.a aVar) throws IOException {
            ArrayList arrayList = new ArrayList();
            aVar.a();
            while (aVar.o()) {
                try {
                    arrayList.add(Integer.valueOf(aVar.Q()));
                } catch (NumberFormatException e2) {
                    throw new JsonSyntaxException(e2);
                }
            }
            aVar.j();
            int size = arrayList.size();
            AtomicIntegerArray atomicIntegerArray = new AtomicIntegerArray(size);
            for (int i = 0; i < size; i++) {
                atomicIntegerArray.set(i, ((Integer) arrayList.get(i)).intValue());
            }
            return atomicIntegerArray;
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, AtomicIntegerArray atomicIntegerArray) throws IOException {
            cVar.d();
            int length = atomicIntegerArray.length();
            for (int i = 0; i < length; i++) {
                cVar.J0((long) atomicIntegerArray.get(i));
            }
            cVar.j();
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: TypeAdapters */
    public static class a0 implements com.google.gson.t {
        final /* synthetic */ com.google.gson.s I0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Class f12689a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Class f12690b;

        a0(Class cls, Class cls2, com.google.gson.s sVar) {
            this.f12689a = cls;
            this.f12690b = cls2;
            this.I0 = sVar;
        }

        @Override // com.google.gson.t
        public <T> com.google.gson.s<T> a(com.google.gson.e eVar, com.google.gson.u.a<T> aVar) {
            Class<? super T> f = aVar.f();
            if (f == this.f12689a || f == this.f12690b) {
                return this.I0;
            }
            return null;
        }

        public String toString() {
            return "Factory[type=" + this.f12689a.getName() + "+" + this.f12690b.getName() + ",adapter=" + this.I0 + "]";
        }
    }

    /* compiled from: TypeAdapters */
    static class b extends com.google.gson.s<Number> {
        b() {
        }

        /* renamed from: j */
        public Number e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() == JsonToken.NULL) {
                aVar.m0();
                return null;
            }
            try {
                return Long.valueOf(aVar.Z());
            } catch (NumberFormatException e2) {
                throw new JsonSyntaxException(e2);
            }
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Number number) throws IOException {
            cVar.T0(number);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: TypeAdapters */
    public static class b0 implements com.google.gson.t {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Class f12691a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ com.google.gson.s f12692b;

        /* compiled from: TypeAdapters */
        class a extends com.google.gson.s<T1> {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ Class f12693a;

            a(Class cls) {
                this.f12693a = cls;
            }

            @Override // com.google.gson.s
            public T1 e(com.google.gson.stream.a aVar) throws IOException {
                T1 t1 = (T1) b0.this.f12692b.e(aVar);
                if (t1 == null || this.f12693a.isInstance(t1)) {
                    return t1;
                }
                throw new JsonSyntaxException("Expected a " + this.f12693a.getName() + " but was " + t1.getClass().getName());
            }

            @Override // com.google.gson.s
            public void i(com.google.gson.stream.c cVar, T1 t1) throws IOException {
                b0.this.f12692b.i(cVar, t1);
            }
        }

        b0(Class cls, com.google.gson.s sVar) {
            this.f12691a = cls;
            this.f12692b = sVar;
        }

        @Override // com.google.gson.t
        public <T2> com.google.gson.s<T2> a(com.google.gson.e eVar, com.google.gson.u.a<T2> aVar) {
            Class<? super T2> f = aVar.f();
            if (!this.f12691a.isAssignableFrom(f)) {
                return null;
            }
            return new a(f);
        }

        public String toString() {
            return "Factory[typeHierarchy=" + this.f12691a.getName() + ",adapter=" + this.f12692b + "]";
        }
    }

    /* compiled from: TypeAdapters */
    static class c extends com.google.gson.s<Number> {
        c() {
        }

        /* renamed from: j */
        public Number e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() != JsonToken.NULL) {
                return Float.valueOf((float) aVar.P());
            }
            aVar.m0();
            return null;
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Number number) throws IOException {
            cVar.T0(number);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: TypeAdapters */
    public static /* synthetic */ class c0 {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f12695a;

        /* JADX WARNING: Can't wrap try/catch for region: R(20:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|(3:19|20|22)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(22:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|22) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0049 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0054 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x0060 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x006c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[JsonToken.values().length];
            f12695a = iArr;
            iArr[JsonToken.NUMBER.ordinal()] = 1;
            f12695a[JsonToken.BOOLEAN.ordinal()] = 2;
            f12695a[JsonToken.STRING.ordinal()] = 3;
            f12695a[JsonToken.NULL.ordinal()] = 4;
            f12695a[JsonToken.BEGIN_ARRAY.ordinal()] = 5;
            f12695a[JsonToken.BEGIN_OBJECT.ordinal()] = 6;
            f12695a[JsonToken.END_DOCUMENT.ordinal()] = 7;
            f12695a[JsonToken.NAME.ordinal()] = 8;
            f12695a[JsonToken.END_OBJECT.ordinal()] = 9;
            try {
                f12695a[JsonToken.END_ARRAY.ordinal()] = 10;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    /* compiled from: TypeAdapters */
    static class d extends com.google.gson.s<Number> {
        d() {
        }

        /* renamed from: j */
        public Number e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() != JsonToken.NULL) {
                return Double.valueOf(aVar.P());
            }
            aVar.m0();
            return null;
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Number number) throws IOException {
            cVar.T0(number);
        }
    }

    /* compiled from: TypeAdapters */
    static class d0 extends com.google.gson.s<Boolean> {
        d0() {
        }

        /* renamed from: j */
        public Boolean e(com.google.gson.stream.a aVar) throws IOException {
            JsonToken z0 = aVar.z0();
            if (z0 == JsonToken.NULL) {
                aVar.m0();
                return null;
            } else if (z0 == JsonToken.STRING) {
                return Boolean.valueOf(Boolean.parseBoolean(aVar.w0()));
            } else {
                return Boolean.valueOf(aVar.O());
            }
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Boolean bool) throws IOException {
            cVar.K0(bool);
        }
    }

    /* compiled from: TypeAdapters */
    static class e extends com.google.gson.s<Number> {
        e() {
        }

        /* renamed from: j */
        public Number e(com.google.gson.stream.a aVar) throws IOException {
            JsonToken z0 = aVar.z0();
            int i = c0.f12695a[z0.ordinal()];
            if (i == 1 || i == 3) {
                return new LazilyParsedNumber(aVar.w0());
            }
            if (i == 4) {
                aVar.m0();
                return null;
            }
            throw new JsonSyntaxException("Expecting number, got: " + z0);
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Number number) throws IOException {
            cVar.T0(number);
        }
    }

    /* compiled from: TypeAdapters */
    static class e0 extends com.google.gson.s<Boolean> {
        e0() {
        }

        /* renamed from: j */
        public Boolean e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() != JsonToken.NULL) {
                return Boolean.valueOf(aVar.w0());
            }
            aVar.m0();
            return null;
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Boolean bool) throws IOException {
            cVar.V0(bool == null ? "null" : bool.toString());
        }
    }

    /* compiled from: TypeAdapters */
    static class f extends com.google.gson.s<Character> {
        f() {
        }

        /* renamed from: j */
        public Character e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() == JsonToken.NULL) {
                aVar.m0();
                return null;
            }
            String w0 = aVar.w0();
            if (w0.length() == 1) {
                return Character.valueOf(w0.charAt(0));
            }
            throw new JsonSyntaxException("Expecting character, got: " + w0);
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Character ch) throws IOException {
            cVar.V0(ch == null ? null : String.valueOf(ch));
        }
    }

    /* compiled from: TypeAdapters */
    static class f0 extends com.google.gson.s<Number> {
        f0() {
        }

        /* renamed from: j */
        public Number e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() == JsonToken.NULL) {
                aVar.m0();
                return null;
            }
            try {
                return Byte.valueOf((byte) aVar.Q());
            } catch (NumberFormatException e2) {
                throw new JsonSyntaxException(e2);
            }
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Number number) throws IOException {
            cVar.T0(number);
        }
    }

    /* compiled from: TypeAdapters */
    static class g extends com.google.gson.s<String> {
        g() {
        }

        /* renamed from: j */
        public String e(com.google.gson.stream.a aVar) throws IOException {
            JsonToken z0 = aVar.z0();
            if (z0 == JsonToken.NULL) {
                aVar.m0();
                return null;
            } else if (z0 == JsonToken.BOOLEAN) {
                return Boolean.toString(aVar.O());
            } else {
                return aVar.w0();
            }
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, String str) throws IOException {
            cVar.V0(str);
        }
    }

    /* compiled from: TypeAdapters */
    static class g0 extends com.google.gson.s<Number> {
        g0() {
        }

        /* renamed from: j */
        public Number e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() == JsonToken.NULL) {
                aVar.m0();
                return null;
            }
            try {
                return Short.valueOf((short) aVar.Q());
            } catch (NumberFormatException e2) {
                throw new JsonSyntaxException(e2);
            }
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Number number) throws IOException {
            cVar.T0(number);
        }
    }

    /* compiled from: TypeAdapters */
    static class h extends com.google.gson.s<BigDecimal> {
        h() {
        }

        /* renamed from: j */
        public BigDecimal e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() == JsonToken.NULL) {
                aVar.m0();
                return null;
            }
            try {
                return new BigDecimal(aVar.w0());
            } catch (NumberFormatException e2) {
                throw new JsonSyntaxException(e2);
            }
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, BigDecimal bigDecimal) throws IOException {
            cVar.T0(bigDecimal);
        }
    }

    /* compiled from: TypeAdapters */
    static class h0 extends com.google.gson.s<Number> {
        h0() {
        }

        /* renamed from: j */
        public Number e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() == JsonToken.NULL) {
                aVar.m0();
                return null;
            }
            try {
                return Integer.valueOf(aVar.Q());
            } catch (NumberFormatException e2) {
                throw new JsonSyntaxException(e2);
            }
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Number number) throws IOException {
            cVar.T0(number);
        }
    }

    /* compiled from: TypeAdapters */
    static class i extends com.google.gson.s<BigInteger> {
        i() {
        }

        /* renamed from: j */
        public BigInteger e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() == JsonToken.NULL) {
                aVar.m0();
                return null;
            }
            try {
                return new BigInteger(aVar.w0());
            } catch (NumberFormatException e2) {
                throw new JsonSyntaxException(e2);
            }
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, BigInteger bigInteger) throws IOException {
            cVar.T0(bigInteger);
        }
    }

    /* compiled from: TypeAdapters */
    static class i0 extends com.google.gson.s<AtomicInteger> {
        i0() {
        }

        /* renamed from: j */
        public AtomicInteger e(com.google.gson.stream.a aVar) throws IOException {
            try {
                return new AtomicInteger(aVar.Q());
            } catch (NumberFormatException e2) {
                throw new JsonSyntaxException(e2);
            }
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, AtomicInteger atomicInteger) throws IOException {
            cVar.J0((long) atomicInteger.get());
        }
    }

    /* compiled from: TypeAdapters */
    static class j extends com.google.gson.s<StringBuilder> {
        j() {
        }

        /* renamed from: j */
        public StringBuilder e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() != JsonToken.NULL) {
                return new StringBuilder(aVar.w0());
            }
            aVar.m0();
            return null;
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, StringBuilder sb) throws IOException {
            cVar.V0(sb == null ? null : sb.toString());
        }
    }

    /* compiled from: TypeAdapters */
    static class j0 extends com.google.gson.s<AtomicBoolean> {
        j0() {
        }

        /* renamed from: j */
        public AtomicBoolean e(com.google.gson.stream.a aVar) throws IOException {
            return new AtomicBoolean(aVar.O());
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, AtomicBoolean atomicBoolean) throws IOException {
            cVar.X0(atomicBoolean.get());
        }
    }

    /* compiled from: TypeAdapters */
    static class k extends com.google.gson.s<Class> {
        k() {
        }

        /* renamed from: j */
        public Class e(com.google.gson.stream.a aVar) throws IOException {
            throw new UnsupportedOperationException("Attempted to deserialize a java.lang.Class. Forgot to register a type adapter?");
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Class cls) throws IOException {
            throw new UnsupportedOperationException("Attempted to serialize java.lang.Class: " + cls.getName() + ". Forgot to register a type adapter?");
        }
    }

    /* compiled from: TypeAdapters */
    private static final class k0<T extends Enum<T>> extends com.google.gson.s<T> {

        /* renamed from: a  reason: collision with root package name */
        private final Map<String, T> f12696a = new HashMap();

        /* renamed from: b  reason: collision with root package name */
        private final Map<T, String> f12697b = new HashMap();

        public k0(Class<T> cls) {
            try {
                T[] enumConstants = cls.getEnumConstants();
                for (T t : enumConstants) {
                    String name = t.name();
                    SerializedName serializedName = (SerializedName) cls.getField(name).getAnnotation(SerializedName.class);
                    if (serializedName != null) {
                        name = serializedName.value();
                        for (String str : serializedName.alternate()) {
                            this.f12696a.put(str, t);
                        }
                    }
                    this.f12696a.put(name, t);
                    this.f12697b.put(t, name);
                }
            } catch (NoSuchFieldException e2) {
                throw new AssertionError(e2);
            }
        }

        /* renamed from: j */
        public T e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() != JsonToken.NULL) {
                return this.f12696a.get(aVar.w0());
            }
            aVar.m0();
            return null;
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, T t) throws IOException {
            cVar.V0(t == null ? null : this.f12697b.get(t));
        }
    }

    /* compiled from: TypeAdapters */
    static class l extends com.google.gson.s<StringBuffer> {
        l() {
        }

        /* renamed from: j */
        public StringBuffer e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() != JsonToken.NULL) {
                return new StringBuffer(aVar.w0());
            }
            aVar.m0();
            return null;
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, StringBuffer stringBuffer) throws IOException {
            cVar.V0(stringBuffer == null ? null : stringBuffer.toString());
        }
    }

    /* compiled from: TypeAdapters */
    static class m extends com.google.gson.s<URL> {
        m() {
        }

        /* renamed from: j */
        public URL e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() == JsonToken.NULL) {
                aVar.m0();
                return null;
            }
            String w0 = aVar.w0();
            if ("null".equals(w0)) {
                return null;
            }
            return new URL(w0);
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, URL url) throws IOException {
            cVar.V0(url == null ? null : url.toExternalForm());
        }
    }

    /* renamed from: com.google.gson.internal.m.n$n  reason: collision with other inner class name */
    /* compiled from: TypeAdapters */
    static class C0283n extends com.google.gson.s<URI> {
        C0283n() {
        }

        /* renamed from: j */
        public URI e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() == JsonToken.NULL) {
                aVar.m0();
                return null;
            }
            try {
                String w0 = aVar.w0();
                if ("null".equals(w0)) {
                    return null;
                }
                return new URI(w0);
            } catch (URISyntaxException e2) {
                throw new JsonIOException(e2);
            }
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, URI uri) throws IOException {
            cVar.V0(uri == null ? null : uri.toASCIIString());
        }
    }

    /* compiled from: TypeAdapters */
    static class o extends com.google.gson.s<InetAddress> {
        o() {
        }

        /* renamed from: j */
        public InetAddress e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() != JsonToken.NULL) {
                return InetAddress.getByName(aVar.w0());
            }
            aVar.m0();
            return null;
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, InetAddress inetAddress) throws IOException {
            cVar.V0(inetAddress == null ? null : inetAddress.getHostAddress());
        }
    }

    /* compiled from: TypeAdapters */
    static class p extends com.google.gson.s<UUID> {
        p() {
        }

        /* renamed from: j */
        public UUID e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() != JsonToken.NULL) {
                return UUID.fromString(aVar.w0());
            }
            aVar.m0();
            return null;
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, UUID uuid) throws IOException {
            cVar.V0(uuid == null ? null : uuid.toString());
        }
    }

    /* compiled from: TypeAdapters */
    static class q extends com.google.gson.s<Currency> {
        q() {
        }

        /* renamed from: j */
        public Currency e(com.google.gson.stream.a aVar) throws IOException {
            return Currency.getInstance(aVar.w0());
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Currency currency) throws IOException {
            cVar.V0(currency.getCurrencyCode());
        }
    }

    /* compiled from: TypeAdapters */
    static class r implements com.google.gson.t {

        /* compiled from: TypeAdapters */
        class a extends com.google.gson.s<Timestamp> {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ com.google.gson.s f12698a;

            a(com.google.gson.s sVar) {
                this.f12698a = sVar;
            }

            /* renamed from: j */
            public Timestamp e(com.google.gson.stream.a aVar) throws IOException {
                Date date = (Date) this.f12698a.e(aVar);
                if (date != null) {
                    return new Timestamp(date.getTime());
                }
                return null;
            }

            /* renamed from: k */
            public void i(com.google.gson.stream.c cVar, Timestamp timestamp) throws IOException {
                this.f12698a.i(cVar, timestamp);
            }
        }

        r() {
        }

        @Override // com.google.gson.t
        public <T> com.google.gson.s<T> a(com.google.gson.e eVar, com.google.gson.u.a<T> aVar) {
            if (aVar.f() != Timestamp.class) {
                return null;
            }
            return new a(eVar.q(Date.class));
        }
    }

    /* compiled from: TypeAdapters */
    static class s extends com.google.gson.s<Calendar> {

        /* renamed from: a  reason: collision with root package name */
        private static final String f12700a = "year";

        /* renamed from: b  reason: collision with root package name */
        private static final String f12701b = "month";

        /* renamed from: c  reason: collision with root package name */
        private static final String f12702c = "dayOfMonth";

        /* renamed from: d  reason: collision with root package name */
        private static final String f12703d = "hourOfDay";

        /* renamed from: e  reason: collision with root package name */
        private static final String f12704e = "minute";
        private static final String f = "second";

        s() {
        }

        /* renamed from: j */
        public Calendar e(com.google.gson.stream.a aVar) throws IOException {
            if (aVar.z0() == JsonToken.NULL) {
                aVar.m0();
                return null;
            }
            aVar.c();
            int i = 0;
            int i2 = 0;
            int i3 = 0;
            int i4 = 0;
            int i5 = 0;
            int i6 = 0;
            while (aVar.z0() != JsonToken.END_OBJECT) {
                String b0 = aVar.b0();
                int Q = aVar.Q();
                if (f12700a.equals(b0)) {
                    i = Q;
                } else if (f12701b.equals(b0)) {
                    i2 = Q;
                } else if (f12702c.equals(b0)) {
                    i3 = Q;
                } else if (f12703d.equals(b0)) {
                    i4 = Q;
                } else if (f12704e.equals(b0)) {
                    i5 = Q;
                } else if (f.equals(b0)) {
                    i6 = Q;
                }
            }
            aVar.k();
            return new GregorianCalendar(i, i2, i3, i4, i5, i6);
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Calendar calendar) throws IOException {
            if (calendar == null) {
                cVar.P();
                return;
            }
            cVar.h();
            cVar.M(f12700a);
            cVar.J0((long) calendar.get(1));
            cVar.M(f12701b);
            cVar.J0((long) calendar.get(2));
            cVar.M(f12702c);
            cVar.J0((long) calendar.get(5));
            cVar.M(f12703d);
            cVar.J0((long) calendar.get(11));
            cVar.M(f12704e);
            cVar.J0((long) calendar.get(12));
            cVar.M(f);
            cVar.J0((long) calendar.get(13));
            cVar.k();
        }
    }

    /* compiled from: TypeAdapters */
    static class t extends com.google.gson.s<Locale> {
        t() {
        }

        /* renamed from: j */
        public Locale e(com.google.gson.stream.a aVar) throws IOException {
            String str = null;
            if (aVar.z0() == JsonToken.NULL) {
                aVar.m0();
                return null;
            }
            StringTokenizer stringTokenizer = new StringTokenizer(aVar.w0(), com.ibm.icu.impl.locale.b.f14006b);
            String nextToken = stringTokenizer.hasMoreElements() ? stringTokenizer.nextToken() : null;
            String nextToken2 = stringTokenizer.hasMoreElements() ? stringTokenizer.nextToken() : null;
            if (stringTokenizer.hasMoreElements()) {
                str = stringTokenizer.nextToken();
            }
            if (nextToken2 == null && str == null) {
                return new Locale(nextToken);
            }
            if (str == null) {
                return new Locale(nextToken, nextToken2);
            }
            return new Locale(nextToken, nextToken2, str);
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, Locale locale) throws IOException {
            cVar.V0(locale == null ? null : locale.toString());
        }
    }

    /* compiled from: TypeAdapters */
    static class u extends com.google.gson.s<com.google.gson.k> {
        u() {
        }

        /* renamed from: j */
        public com.google.gson.k e(com.google.gson.stream.a aVar) throws IOException {
            switch (c0.f12695a[aVar.z0().ordinal()]) {
                case 1:
                    return new com.google.gson.o((Number) new LazilyParsedNumber(aVar.w0()));
                case 2:
                    return new com.google.gson.o(Boolean.valueOf(aVar.O()));
                case 3:
                    return new com.google.gson.o(aVar.w0());
                case 4:
                    aVar.m0();
                    return com.google.gson.l.f12717a;
                case 5:
                    com.google.gson.h hVar = new com.google.gson.h();
                    aVar.a();
                    while (aVar.o()) {
                        hVar.z(e(aVar));
                    }
                    aVar.j();
                    return hVar;
                case 6:
                    com.google.gson.m mVar = new com.google.gson.m();
                    aVar.c();
                    while (aVar.o()) {
                        mVar.z(aVar.b0(), e(aVar));
                    }
                    aVar.k();
                    return mVar;
                default:
                    throw new IllegalArgumentException();
            }
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, com.google.gson.k kVar) throws IOException {
            if (kVar == null || kVar.w()) {
                cVar.P();
            } else if (kVar.y()) {
                com.google.gson.o q = kVar.q();
                if (q.C()) {
                    cVar.T0(q.s());
                } else if (q.A()) {
                    cVar.X0(q.f());
                } else {
                    cVar.V0(q.u());
                }
            } else if (kVar.v()) {
                cVar.d();
                Iterator<com.google.gson.k> it = kVar.n().iterator();
                while (it.hasNext()) {
                    i(cVar, it.next());
                }
                cVar.j();
            } else if (kVar.x()) {
                cVar.h();
                for (Map.Entry<String, com.google.gson.k> entry : kVar.p().G()) {
                    cVar.M(entry.getKey());
                    i(cVar, entry.getValue());
                }
                cVar.k();
            } else {
                throw new IllegalArgumentException("Couldn't write " + kVar.getClass());
            }
        }
    }

    /* compiled from: TypeAdapters */
    static class v extends com.google.gson.s<BitSet> {
        v() {
        }

        /* JADX WARNING: Code restructure failed: missing block: B:12:0x002b, code lost:
            if (java.lang.Integer.parseInt(r1) != 0) goto L_0x0069;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:21:0x0067, code lost:
            if (r8.Q() != 0) goto L_0x0069;
         */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x006b  */
        /* JADX WARNING: Removed duplicated region for block: B:30:0x006e A[SYNTHETIC] */
        /* renamed from: j */
        public BitSet e(com.google.gson.stream.a aVar) throws IOException {
            BitSet bitSet = new BitSet();
            aVar.a();
            JsonToken z0 = aVar.z0();
            int i = 0;
            while (z0 != JsonToken.END_ARRAY) {
                int i2 = c0.f12695a[z0.ordinal()];
                boolean z = true;
                if (i2 != 1) {
                    if (i2 == 2) {
                        z = aVar.O();
                    } else if (i2 == 3) {
                        String w0 = aVar.w0();
                        try {
                        } catch (NumberFormatException unused) {
                            throw new JsonSyntaxException("Error: Expecting: bitset number value (1, 0), Found: " + w0);
                        }
                    } else {
                        throw new JsonSyntaxException("Invalid bitset value type: " + z0);
                    }
                    if (!z) {
                        bitSet.set(i);
                    }
                    i++;
                    z0 = aVar.z0();
                }
                z = false;
                if (!z) {
                }
                i++;
                z0 = aVar.z0();
            }
            aVar.j();
            return bitSet;
        }

        /* renamed from: k */
        public void i(com.google.gson.stream.c cVar, BitSet bitSet) throws IOException {
            cVar.d();
            int length = bitSet.length();
            for (int i = 0; i < length; i++) {
                cVar.J0(bitSet.get(i) ? 1 : 0);
            }
            cVar.j();
        }
    }

    /* compiled from: TypeAdapters */
    static class w implements com.google.gson.t {
        w() {
        }

        @Override // com.google.gson.t
        public <T> com.google.gson.s<T> a(com.google.gson.e eVar, com.google.gson.u.a<T> aVar) {
            Class<? super Object> f = aVar.f();
            if (!Enum.class.isAssignableFrom(f) || f == Enum.class) {
                return null;
            }
            if (!f.isEnum()) {
                f = f.getSuperclass();
            }
            return new k0(f);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: TypeAdapters */
    public static class x implements com.google.gson.t {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ com.google.gson.u.a f12705a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ com.google.gson.s f12706b;

        x(com.google.gson.u.a aVar, com.google.gson.s sVar) {
            this.f12705a = aVar;
            this.f12706b = sVar;
        }

        @Override // com.google.gson.t
        public <T> com.google.gson.s<T> a(com.google.gson.e eVar, com.google.gson.u.a<T> aVar) {
            if (aVar.equals(this.f12705a)) {
                return this.f12706b;
            }
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: TypeAdapters */
    public static class y implements com.google.gson.t {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Class f12707a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ com.google.gson.s f12708b;

        y(Class cls, com.google.gson.s sVar) {
            this.f12707a = cls;
            this.f12708b = sVar;
        }

        @Override // com.google.gson.t
        public <T> com.google.gson.s<T> a(com.google.gson.e eVar, com.google.gson.u.a<T> aVar) {
            if (aVar.f() == this.f12707a) {
                return this.f12708b;
            }
            return null;
        }

        public String toString() {
            return "Factory[type=" + this.f12707a.getName() + ",adapter=" + this.f12708b + "]";
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: TypeAdapters */
    public static class z implements com.google.gson.t {
        final /* synthetic */ com.google.gson.s I0;

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Class f12709a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ Class f12710b;

        z(Class cls, Class cls2, com.google.gson.s sVar) {
            this.f12709a = cls;
            this.f12710b = cls2;
            this.I0 = sVar;
        }

        @Override // com.google.gson.t
        public <T> com.google.gson.s<T> a(com.google.gson.e eVar, com.google.gson.u.a<T> aVar) {
            Class<? super T> f = aVar.f();
            if (f == this.f12709a || f == this.f12710b) {
                return this.I0;
            }
            return null;
        }

        public String toString() {
            return "Factory[type=" + this.f12710b.getName() + "+" + this.f12709a.getName() + ",adapter=" + this.I0 + "]";
        }
    }

    static {
        com.google.gson.s<Class> d2 = new k().d();
        f12684a = d2;
        f12685b = b(Class.class, d2);
        com.google.gson.s<BitSet> d3 = new v().d();
        f12686c = d3;
        f12687d = b(BitSet.class, d3);
        d0 d0Var = new d0();
        f12688e = d0Var;
        g = c(Boolean.TYPE, Boolean.class, d0Var);
        f0 f0Var = new f0();
        h = f0Var;
        i = c(Byte.TYPE, Byte.class, f0Var);
        g0 g0Var = new g0();
        j = g0Var;
        k = c(Short.TYPE, Short.class, g0Var);
        h0 h0Var = new h0();
        l = h0Var;
        m = c(Integer.TYPE, Integer.class, h0Var);
        com.google.gson.s<AtomicInteger> d4 = new i0().d();
        n = d4;
        o = b(AtomicInteger.class, d4);
        com.google.gson.s<AtomicBoolean> d5 = new j0().d();
        p = d5;
        q = b(AtomicBoolean.class, d5);
        com.google.gson.s<AtomicIntegerArray> d6 = new a().d();
        r = d6;
        s = b(AtomicIntegerArray.class, d6);
        e eVar = new e();
        w = eVar;
        x = b(Number.class, eVar);
        f fVar = new f();
        y = fVar;
        z = c(Character.TYPE, Character.class, fVar);
        g gVar = new g();
        A = gVar;
        D = b(String.class, gVar);
        j jVar = new j();
        E = jVar;
        F = b(StringBuilder.class, jVar);
        l lVar = new l();
        G = lVar;
        H = b(StringBuffer.class, lVar);
        m mVar = new m();
        I = mVar;
        J = b(URL.class, mVar);
        C0283n nVar = new C0283n();
        K = nVar;
        L = b(URI.class, nVar);
        o oVar = new o();
        M = oVar;
        N = e(InetAddress.class, oVar);
        p pVar = new p();
        O = pVar;
        P = b(UUID.class, pVar);
        com.google.gson.s<Currency> d7 = new q().d();
        Q = d7;
        R = b(Currency.class, d7);
        s sVar = new s();
        T = sVar;
        U = d(Calendar.class, GregorianCalendar.class, sVar);
        t tVar = new t();
        V = tVar;
        W = b(Locale.class, tVar);
        u uVar = new u();
        X = uVar;
        Y = e(com.google.gson.k.class, uVar);
    }

    private n() {
        throw new UnsupportedOperationException();
    }

    public static <TT> com.google.gson.t a(com.google.gson.u.a<TT> aVar, com.google.gson.s<TT> sVar) {
        return new x(aVar, sVar);
    }

    public static <TT> com.google.gson.t b(Class<TT> cls, com.google.gson.s<TT> sVar) {
        return new y(cls, sVar);
    }

    public static <TT> com.google.gson.t c(Class<TT> cls, Class<TT> cls2, com.google.gson.s<? super TT> sVar) {
        return new z(cls, cls2, sVar);
    }

    public static <TT> com.google.gson.t d(Class<TT> cls, Class<? extends TT> cls2, com.google.gson.s<? super TT> sVar) {
        return new a0(cls, cls2, sVar);
    }

    public static <T1> com.google.gson.t e(Class<T1> cls, com.google.gson.s<T1> sVar) {
        return new b0(cls, sVar);
    }
}
