package com.google.gson;

import com.google.gson.internal.LazilyParsedNumber;
import com.google.gson.internal.a;
import java.math.BigDecimal;
import java.math.BigInteger;

/* compiled from: JsonPrimitive */
public final class o extends k {

    /* renamed from: a  reason: collision with root package name */
    private static final Class<?>[] f12719a = {Integer.TYPE, Long.TYPE, Short.TYPE, Float.TYPE, Double.TYPE, Byte.TYPE, Boolean.TYPE, Character.TYPE, Integer.class, Long.class, Short.class, Float.class, Double.class, Byte.class, Boolean.class, Character.class};

    /* renamed from: b  reason: collision with root package name */
    private Object f12720b;

    public o(Boolean bool) {
        F(bool);
    }

    private static boolean B(o oVar) {
        Object obj = oVar.f12720b;
        if (!(obj instanceof Number)) {
            return false;
        }
        Number number = (Number) obj;
        if ((number instanceof BigInteger) || (number instanceof Long) || (number instanceof Integer) || (number instanceof Short) || (number instanceof Byte)) {
            return true;
        }
        return false;
    }

    private static boolean D(Object obj) {
        if (obj instanceof String) {
            return true;
        }
        Class<?> cls = obj.getClass();
        for (Class<?> cls2 : f12719a) {
            if (cls2.isAssignableFrom(cls)) {
                return true;
            }
        }
        return false;
    }

    public boolean A() {
        return this.f12720b instanceof Boolean;
    }

    public boolean C() {
        return this.f12720b instanceof Number;
    }

    public boolean E() {
        return this.f12720b instanceof String;
    }

    /* access modifiers changed from: package-private */
    public void F(Object obj) {
        if (obj instanceof Character) {
            this.f12720b = String.valueOf(((Character) obj).charValue());
            return;
        }
        a.a((obj instanceof Number) || D(obj));
        this.f12720b = obj;
    }

    @Override // com.google.gson.k
    public BigDecimal d() {
        Object obj = this.f12720b;
        return obj instanceof BigDecimal ? (BigDecimal) obj : new BigDecimal(this.f12720b.toString());
    }

    @Override // com.google.gson.k
    public BigInteger e() {
        Object obj = this.f12720b;
        if (obj instanceof BigInteger) {
            return (BigInteger) obj;
        }
        return new BigInteger(this.f12720b.toString());
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || o.class != obj.getClass()) {
            return false;
        }
        o oVar = (o) obj;
        if (this.f12720b == null) {
            if (oVar.f12720b == null) {
                return true;
            }
            return false;
        } else if (!B(this) || !B(oVar)) {
            Object obj2 = this.f12720b;
            if (!(obj2 instanceof Number) || !(oVar.f12720b instanceof Number)) {
                return obj2.equals(oVar.f12720b);
            }
            double doubleValue = s().doubleValue();
            double doubleValue2 = oVar.s().doubleValue();
            if (doubleValue == doubleValue2) {
                return true;
            }
            if (!Double.isNaN(doubleValue) || !Double.isNaN(doubleValue2)) {
                return false;
            }
            return true;
        } else if (s().longValue() == oVar.s().longValue()) {
            return true;
        } else {
            return false;
        }
    }

    @Override // com.google.gson.k
    public boolean f() {
        if (A()) {
            return g().booleanValue();
        }
        return Boolean.parseBoolean(u());
    }

    /* access modifiers changed from: package-private */
    @Override // com.google.gson.k
    public Boolean g() {
        return (Boolean) this.f12720b;
    }

    public int hashCode() {
        long doubleToLongBits;
        if (this.f12720b == null) {
            return 31;
        }
        if (B(this)) {
            doubleToLongBits = s().longValue();
        } else {
            Object obj = this.f12720b;
            if (!(obj instanceof Number)) {
                return obj.hashCode();
            }
            doubleToLongBits = Double.doubleToLongBits(s().doubleValue());
        }
        return (int) ((doubleToLongBits >>> 32) ^ doubleToLongBits);
    }

    @Override // com.google.gson.k
    public byte i() {
        return C() ? s().byteValue() : Byte.parseByte(u());
    }

    @Override // com.google.gson.k
    public char j() {
        return u().charAt(0);
    }

    @Override // com.google.gson.k
    public double k() {
        return C() ? s().doubleValue() : Double.parseDouble(u());
    }

    @Override // com.google.gson.k
    public float l() {
        return C() ? s().floatValue() : Float.parseFloat(u());
    }

    @Override // com.google.gson.k
    public int m() {
        return C() ? s().intValue() : Integer.parseInt(u());
    }

    @Override // com.google.gson.k
    public long r() {
        return C() ? s().longValue() : Long.parseLong(u());
    }

    @Override // com.google.gson.k
    public Number s() {
        Object obj = this.f12720b;
        return obj instanceof String ? new LazilyParsedNumber((String) this.f12720b) : (Number) obj;
    }

    @Override // com.google.gson.k
    public short t() {
        return C() ? s().shortValue() : Short.parseShort(u());
    }

    @Override // com.google.gson.k
    public String u() {
        if (C()) {
            return s().toString();
        }
        if (A()) {
            return g().toString();
        }
        return (String) this.f12720b;
    }

    /* renamed from: z */
    public o b() {
        return this;
    }

    public o(Number number) {
        F(number);
    }

    public o(String str) {
        F(str);
    }

    public o(Character ch) {
        F(ch);
    }

    o(Object obj) {
        F(obj);
    }
}
