package com.google.gson.stream;

import com.alipay.sdk.util.g;
import java.io.Closeable;
import java.io.Flushable;
import java.io.IOException;
import java.io.Writer;
import java.util.Objects;

/* compiled from: JsonWriter */
public class c implements Closeable, Flushable {

    /* renamed from: a  reason: collision with root package name */
    private static final String[] f12732a = new String[128];

    /* renamed from: b  reason: collision with root package name */
    private static final String[] f12733b;
    private final Writer I0;
    private int[] J0 = new int[32];
    private int K0 = 0;
    private String L0;
    private String M0;
    private boolean N0;
    private boolean O0;
    private String P0;
    private boolean Q0;

    static {
        for (int i = 0; i <= 31; i++) {
            f12732a[i] = String.format("\\u%04x", Integer.valueOf(i));
        }
        String[] strArr = f12732a;
        strArr[34] = "\\\"";
        strArr[92] = "\\\\";
        strArr[9] = "\\t";
        strArr[8] = "\\b";
        strArr[10] = "\\n";
        strArr[13] = "\\r";
        strArr[12] = "\\f";
        String[] strArr2 = (String[]) strArr.clone();
        f12733b = strArr2;
        strArr2[60] = "\\u003c";
        strArr2[62] = "\\u003e";
        strArr2[38] = "\\u0026";
        strArr2[61] = "\\u003d";
        strArr2[39] = "\\u0027";
    }

    public c(Writer writer) {
        b0(6);
        this.M0 = ":";
        this.Q0 = true;
        Objects.requireNonNull(writer, "out == null");
        this.I0 = writer;
    }

    private void O() throws IOException {
        if (this.L0 != null) {
            this.I0.write("\n");
            int i = this.K0;
            for (int i2 = 1; i2 < i; i2++) {
                this.I0.write(this.L0);
            }
        }
    }

    private c Q(int i, String str) throws IOException {
        c();
        b0(i);
        this.I0.write(str);
        return this;
    }

    private int Z() {
        int i = this.K0;
        if (i != 0) {
            return this.J0[i - 1];
        }
        throw new IllegalStateException("JsonWriter is closed.");
    }

    private void Z0() throws IOException {
        if (this.P0 != null) {
            a();
            z0(this.P0);
            this.P0 = null;
        }
    }

    private void a() throws IOException {
        int Z = Z();
        if (Z == 5) {
            this.I0.write(44);
        } else if (Z != 3) {
            throw new IllegalStateException("Nesting problem.");
        }
        O();
        e0(4);
    }

    private void b0(int i) {
        int i2 = this.K0;
        int[] iArr = this.J0;
        if (i2 == iArr.length) {
            int[] iArr2 = new int[(i2 * 2)];
            System.arraycopy(iArr, 0, iArr2, 0, i2);
            this.J0 = iArr2;
        }
        int[] iArr3 = this.J0;
        int i3 = this.K0;
        this.K0 = i3 + 1;
        iArr3[i3] = i;
    }

    private void c() throws IOException {
        int Z = Z();
        if (Z == 1) {
            e0(2);
            O();
        } else if (Z == 2) {
            this.I0.append(',');
            O();
        } else if (Z != 4) {
            if (Z != 6) {
                if (Z != 7) {
                    throw new IllegalStateException("Nesting problem.");
                } else if (!this.N0) {
                    throw new IllegalStateException("JSON must have only one top-level value.");
                }
            }
            e0(7);
        } else {
            this.I0.append((CharSequence) this.M0);
            e0(5);
        }
    }

    private void e0(int i) {
        this.J0[this.K0 - 1] = i;
    }

    private c i(int i, int i2, String str) throws IOException {
        int Z = Z();
        if (Z != i2 && Z != i) {
            throw new IllegalStateException("Nesting problem.");
        } else if (this.P0 == null) {
            this.K0--;
            if (Z == i2) {
                O();
            }
            this.I0.write(str);
            return this;
        } else {
            throw new IllegalStateException("Dangling name: " + this.P0);
        }
    }

    private void z0(String str) throws IOException {
        String str2;
        String[] strArr = this.O0 ? f12733b : f12732a;
        this.I0.write("\"");
        int length = str.length();
        int i = 0;
        for (int i2 = 0; i2 < length; i2++) {
            char charAt = str.charAt(i2);
            if (charAt < 128) {
                str2 = strArr[charAt];
                if (str2 == null) {
                }
            } else if (charAt == 8232) {
                str2 = "\\u2028";
            } else if (charAt == 8233) {
                str2 = "\\u2029";
            }
            if (i < i2) {
                this.I0.write(str, i, i2 - i);
            }
            this.I0.write(str2);
            i = i2 + 1;
        }
        if (i < length) {
            this.I0.write(str, i, length - i);
        }
        this.I0.write("\"");
    }

    public boolean D() {
        return this.N0;
    }

    public c E0(double d2) throws IOException {
        Z0();
        if (this.N0 || (!Double.isNaN(d2) && !Double.isInfinite(d2))) {
            c();
            this.I0.append((CharSequence) Double.toString(d2));
            return this;
        }
        throw new IllegalArgumentException("Numeric values must be finite, but was " + d2);
    }

    public c I(String str) throws IOException {
        if (str == null) {
            return P();
        }
        Z0();
        c();
        this.I0.append((CharSequence) str);
        return this;
    }

    public c J0(long j) throws IOException {
        Z0();
        c();
        this.I0.write(Long.toString(j));
        return this;
    }

    public c K0(Boolean bool) throws IOException {
        if (bool == null) {
            return P();
        }
        Z0();
        c();
        this.I0.write(bool.booleanValue() ? "true" : "false");
        return this;
    }

    public c M(String str) throws IOException {
        Objects.requireNonNull(str, "name == null");
        if (this.P0 != null) {
            throw new IllegalStateException();
        } else if (this.K0 != 0) {
            this.P0 = str;
            return this;
        } else {
            throw new IllegalStateException("JsonWriter is closed.");
        }
    }

    public c P() throws IOException {
        if (this.P0 != null) {
            if (this.Q0) {
                Z0();
            } else {
                this.P0 = null;
                return this;
            }
        }
        c();
        this.I0.write("null");
        return this;
    }

    public c T0(Number number) throws IOException {
        if (number == null) {
            return P();
        }
        Z0();
        String obj = number.toString();
        if (this.N0 || (!obj.equals("-Infinity") && !obj.equals("Infinity") && !obj.equals("NaN"))) {
            c();
            this.I0.append((CharSequence) obj);
            return this;
        }
        throw new IllegalArgumentException("Numeric values must be finite, but was " + number);
    }

    public c V0(String str) throws IOException {
        if (str == null) {
            return P();
        }
        Z0();
        c();
        z0(str);
        return this;
    }

    public c X0(boolean z) throws IOException {
        Z0();
        c();
        this.I0.write(z ? "true" : "false");
        return this;
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() throws IOException {
        this.I0.close();
        int i = this.K0;
        if (i > 1 || (i == 1 && this.J0[i - 1] != 7)) {
            throw new IOException("Incomplete document");
        }
        this.K0 = 0;
    }

    public c d() throws IOException {
        Z0();
        return Q(1, "[");
    }

    @Override // java.io.Flushable
    public void flush() throws IOException {
        if (this.K0 != 0) {
            this.I0.flush();
            return;
        }
        throw new IllegalStateException("JsonWriter is closed.");
    }

    public c h() throws IOException {
        Z0();
        return Q(3, "{");
    }

    public c j() throws IOException {
        return i(1, 2, "]");
    }

    public c k() throws IOException {
        return i(3, 5, g.f6033d);
    }

    public final boolean l() {
        return this.Q0;
    }

    public final void m0(boolean z) {
        this.O0 = z;
    }

    public final boolean o() {
        return this.O0;
    }

    public final void o0(String str) {
        if (str.length() == 0) {
            this.L0 = null;
            this.M0 = ":";
            return;
        }
        this.L0 = str;
        this.M0 = ": ";
    }

    public final void w0(boolean z) {
        this.N0 = z;
    }

    public final void x0(boolean z) {
        this.Q0 = z;
    }
}
