package com.google.gson.u;

import com.google.gson.internal.b;
import java.lang.reflect.GenericArrayType;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.lang.reflect.TypeVariable;
import java.util.HashMap;
import java.util.Map;

/* compiled from: TypeToken */
public class a<T> {

    /* renamed from: a  reason: collision with root package name */
    final Class<? super T> f12734a;

    /* renamed from: b  reason: collision with root package name */
    final Type f12735b;

    /* renamed from: c  reason: collision with root package name */
    final int f12736c;

    protected a() {
        Type g = g(getClass());
        this.f12735b = g;
        this.f12734a = (Class<? super T>) b.k(g);
        this.f12736c = g.hashCode();
    }

    private static AssertionError a(Type type, Class<?>... clsArr) {
        StringBuilder sb = new StringBuilder("Unexpected type. Expected one of: ");
        for (Class<?> cls : clsArr) {
            sb.append(cls.getName());
            sb.append(", ");
        }
        sb.append("but got: ");
        sb.append(type.getClass().getName());
        sb.append(", for type token: ");
        sb.append(type.toString());
        sb.append('.');
        return new AssertionError(sb.toString());
    }

    public static <T> a<T> b(Class<T> cls) {
        return new a<>(cls);
    }

    public static a<?> c(Type type) {
        return new a<>(type);
    }

    public static a<?> d(Type type) {
        return new a<>(b.a(type));
    }

    public static a<?> e(Type type, Type... typeArr) {
        return new a<>(b.o(null, type, typeArr));
    }

    static Type g(Class<?> cls) {
        Type genericSuperclass = cls.getGenericSuperclass();
        if (!(genericSuperclass instanceof Class)) {
            return b.b(((ParameterizedType) genericSuperclass).getActualTypeArguments()[0]);
        }
        throw new RuntimeException("Missing type parameter.");
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:14:0x0024 */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r1v0, types: [java.lang.reflect.Type] */
    /* JADX WARN: Type inference failed for: r1v2, types: [java.lang.reflect.Type] */
    /* JADX WARN: Type inference failed for: r1v5, types: [java.lang.Class] */
    /* JADX WARN: Type inference failed for: r1v8, types: [java.lang.reflect.Type] */
    /* JADX WARN: Type inference failed for: r1v9 */
    /* JADX WARN: Type inference failed for: r1v10 */
    private static boolean l(Type type, GenericArrayType genericArrayType) {
        Type genericComponentType = genericArrayType.getGenericComponentType();
        if (!(genericComponentType instanceof ParameterizedType)) {
            return true;
        }
        if (type instanceof GenericArrayType) {
            type = ((GenericArrayType) type).getGenericComponentType();
        } else if (type instanceof Class) {
            type = (Class) type;
            while (type.isArray()) {
                type = type.getComponentType();
            }
        }
        return m(type, (ParameterizedType) genericComponentType, new HashMap());
    }

    private static boolean m(Type type, ParameterizedType parameterizedType, Map<String, Type> map) {
        if (type == null) {
            return false;
        }
        if (parameterizedType.equals(type)) {
            return true;
        }
        Class<?> k = b.k(type);
        ParameterizedType parameterizedType2 = null;
        if (type instanceof ParameterizedType) {
            parameterizedType2 = (ParameterizedType) type;
        }
        if (parameterizedType2 != null) {
            Type[] actualTypeArguments = parameterizedType2.getActualTypeArguments();
            TypeVariable<Class<?>>[] typeParameters = k.getTypeParameters();
            for (int i = 0; i < actualTypeArguments.length; i++) {
                Type type2 = actualTypeArguments[i];
                TypeVariable<Class<?>> typeVariable = typeParameters[i];
                while (type2 instanceof TypeVariable) {
                    type2 = map.get(((TypeVariable) type2).getName());
                }
                map.put(typeVariable.getName(), type2);
            }
            if (o(parameterizedType2, parameterizedType, map)) {
                return true;
            }
        }
        for (Type type3 : k.getGenericInterfaces()) {
            if (m(type3, parameterizedType, new HashMap(map))) {
                return true;
            }
        }
        return m(k.getGenericSuperclass(), parameterizedType, new HashMap(map));
    }

    private static boolean n(Type type, Type type2, Map<String, Type> map) {
        return type2.equals(type) || ((type instanceof TypeVariable) && type2.equals(map.get(((TypeVariable) type).getName())));
    }

    private static boolean o(ParameterizedType parameterizedType, ParameterizedType parameterizedType2, Map<String, Type> map) {
        if (!parameterizedType.getRawType().equals(parameterizedType2.getRawType())) {
            return false;
        }
        Type[] actualTypeArguments = parameterizedType.getActualTypeArguments();
        Type[] actualTypeArguments2 = parameterizedType2.getActualTypeArguments();
        for (int i = 0; i < actualTypeArguments.length; i++) {
            if (!n(actualTypeArguments[i], actualTypeArguments2[i], map)) {
                return false;
            }
        }
        return true;
    }

    public final boolean equals(Object obj) {
        return (obj instanceof a) && b.f(this.f12735b, ((a) obj).f12735b);
    }

    public final Class<? super T> f() {
        return this.f12734a;
    }

    public final Type h() {
        return this.f12735b;
    }

    public final int hashCode() {
        return this.f12736c;
    }

    @Deprecated
    public boolean i(a<?> aVar) {
        return k(aVar.h());
    }

    @Deprecated
    public boolean j(Class<?> cls) {
        return k(cls);
    }

    @Deprecated
    public boolean k(Type type) {
        if (type == null) {
            return false;
        }
        if (this.f12735b.equals(type)) {
            return true;
        }
        Type type2 = this.f12735b;
        if (type2 instanceof Class) {
            return this.f12734a.isAssignableFrom(b.k(type));
        }
        if (type2 instanceof ParameterizedType) {
            return m(type, (ParameterizedType) type2, new HashMap());
        }
        if (!(type2 instanceof GenericArrayType)) {
            throw a(type2, Class.class, ParameterizedType.class, GenericArrayType.class);
        } else if (!this.f12734a.isAssignableFrom(b.k(type)) || !l(type, (GenericArrayType) this.f12735b)) {
            return false;
        } else {
            return true;
        }
    }

    public final String toString() {
        return b.u(this.f12735b);
    }

    a(Type type) {
        Type b2 = b.b((Type) com.google.gson.internal.a.b(type));
        this.f12735b = b2;
        this.f12734a = (Class<? super T>) b.k(b2);
        this.f12736c = b2.hashCode();
    }
}
