package com.google.zxing.client.result;

import com.ibm.icu.impl.e;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.Locale;
import java.util.TimeZone;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: CalendarParsedResult */
public final class g extends q {

    /* renamed from: b  reason: collision with root package name */
    private static final Pattern f12758b = Pattern.compile("P(?:(\\d+)W)?(?:(\\d+)D)?(?:T(?:(\\d+)H)?(?:(\\d+)M)?(?:(\\d+)S)?)?");

    /* renamed from: c  reason: collision with root package name */
    private static final long[] f12759c = {604800000, e.j, 3600000, 60000, 1000};

    /* renamed from: d  reason: collision with root package name */
    private static final Pattern f12760d = Pattern.compile("[0-9]{8}(T[0-9]{6}Z?)?");

    /* renamed from: e  reason: collision with root package name */
    private final String f12761e;
    private final long f;
    private final boolean g;
    private final long h;
    private final boolean i;
    private final String j;
    private final String k;
    private final String[] l;
    private final String m;
    private final double n;
    private final double o;

    public g(String str, String str2, String str3, String str4, String str5, String str6, String[] strArr, String str7, double d2, double d3) {
        super(ParsedResultType.CALENDAR);
        this.f12761e = str;
        try {
            long s = s(str2);
            this.f = s;
            if (str3 == null) {
                long u = u(str4);
                this.h = u < 0 ? -1 : s + u;
            } else {
                try {
                    this.h = s(str3);
                } catch (ParseException e2) {
                    throw new IllegalArgumentException(e2.toString());
                }
            }
            boolean z = true;
            this.g = str2.length() == 8;
            this.i = (str3 == null || str3.length() != 8) ? false : z;
            this.j = str5;
            this.k = str6;
            this.l = strArr;
            this.m = str7;
            this.n = d2;
            this.o = d3;
        } catch (ParseException e3) {
            throw new IllegalArgumentException(e3.toString());
        }
    }

    private static String e(boolean z, long j2) {
        DateFormat dateFormat;
        if (j2 < 0) {
            return null;
        }
        if (z) {
            dateFormat = DateFormat.getDateInstance(2);
        } else {
            dateFormat = DateFormat.getDateTimeInstance(2, 2);
        }
        return dateFormat.format(Long.valueOf(j2));
    }

    private static long s(String str) throws ParseException {
        if (!f12760d.matcher(str).matches()) {
            throw new ParseException(str, 0);
        } else if (str.length() == 8) {
            SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyyMMdd", Locale.ENGLISH);
            simpleDateFormat.setTimeZone(TimeZone.getTimeZone("GMT"));
            return simpleDateFormat.parse(str).getTime();
        } else if (str.length() != 16 || str.charAt(15) != 'Z') {
            return t(str);
        } else {
            long t = t(str.substring(0, 15));
            GregorianCalendar gregorianCalendar = new GregorianCalendar();
            long j2 = t + ((long) gregorianCalendar.get(15));
            gregorianCalendar.setTime(new Date(j2));
            return j2 + ((long) gregorianCalendar.get(16));
        }
    }

    private static long t(String str) throws ParseException {
        return new SimpleDateFormat("yyyyMMdd'T'HHmmss", Locale.ENGLISH).parse(str).getTime();
    }

    private static long u(CharSequence charSequence) {
        if (charSequence == null) {
            return -1;
        }
        Matcher matcher = f12758b.matcher(charSequence);
        if (!matcher.matches()) {
            return -1;
        }
        long j2 = 0;
        int i2 = 0;
        while (true) {
            long[] jArr = f12759c;
            if (i2 >= jArr.length) {
                return j2;
            }
            int i3 = i2 + 1;
            String group = matcher.group(i3);
            if (group != null) {
                j2 += jArr[i2] * ((long) Integer.parseInt(group));
            }
            i2 = i3;
        }
    }

    @Override // com.google.zxing.client.result.q
    public String a() {
        StringBuilder sb = new StringBuilder(100);
        q.c(this.f12761e, sb);
        q.c(e(this.g, this.f), sb);
        q.c(e(this.i, this.h), sb);
        q.c(this.j, sb);
        q.c(this.k, sb);
        q.d(this.l, sb);
        q.c(this.m, sb);
        return sb.toString();
    }

    public String[] f() {
        return this.l;
    }

    public String g() {
        return this.m;
    }

    @Deprecated
    public Date h() {
        if (this.h < 0) {
            return null;
        }
        return new Date(this.h);
    }

    public long i() {
        return this.h;
    }

    public double j() {
        return this.n;
    }

    public String k() {
        return this.j;
    }

    public double l() {
        return this.o;
    }

    public String m() {
        return this.k;
    }

    @Deprecated
    public Date n() {
        return new Date(this.f);
    }

    public long o() {
        return this.f;
    }

    public String p() {
        return this.f12761e;
    }

    public boolean q() {
        return this.i;
    }

    public boolean r() {
        return this.g;
    }
}
