package com.google.zxing.r.d;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.DecodeHintType;
import com.google.zxing.NotFoundException;
import com.google.zxing.ReaderException;
import com.google.zxing.ResultMetadataType;
import com.google.zxing.common.d;
import com.google.zxing.common.f;
import com.google.zxing.k;
import com.google.zxing.l;
import com.google.zxing.qrcode.decoder.g;
import com.google.zxing.r.c;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

/* compiled from: QRCodeMultiReader */
public final class a extends com.google.zxing.u.a implements c {

    /* renamed from: c  reason: collision with root package name */
    private static final k[] f13036c = new k[0];

    /* renamed from: d  reason: collision with root package name */
    private static final l[] f13037d = new l[0];

    /* access modifiers changed from: private */
    /* compiled from: QRCodeMultiReader */
    public static final class b implements Serializable, Comparator<k> {
        private b() {
        }

        /* renamed from: a */
        public int compare(k kVar, k kVar2) {
            Map<ResultMetadataType, Object> e2 = kVar.e();
            ResultMetadataType resultMetadataType = ResultMetadataType.STRUCTURED_APPEND_SEQUENCE;
            return Integer.compare(((Integer) e2.get(resultMetadataType)).intValue(), ((Integer) kVar2.e().get(resultMetadataType)).intValue());
        }
    }

    private static List<k> i(List<k> list) {
        boolean z;
        Iterator<k> it = list.iterator();
        while (true) {
            if (it.hasNext()) {
                if (it.next().e().containsKey(ResultMetadataType.STRUCTURED_APPEND_SEQUENCE)) {
                    z = true;
                    break;
                }
            } else {
                z = false;
                break;
            }
        }
        if (!z) {
            return list;
        }
        ArrayList arrayList = new ArrayList();
        ArrayList<k> arrayList2 = new ArrayList();
        for (k kVar : list) {
            arrayList.add(kVar);
            if (kVar.e().containsKey(ResultMetadataType.STRUCTURED_APPEND_SEQUENCE)) {
                arrayList2.add(kVar);
            }
        }
        Collections.sort(arrayList2, new b());
        StringBuilder sb = new StringBuilder();
        int i = 0;
        int i2 = 0;
        for (k kVar2 : arrayList2) {
            sb.append(kVar2.g());
            i += kVar2.d().length;
            Map<ResultMetadataType, Object> e2 = kVar2.e();
            ResultMetadataType resultMetadataType = ResultMetadataType.BYTE_SEGMENTS;
            if (e2.containsKey(resultMetadataType)) {
                for (byte[] bArr : (Iterable) kVar2.e().get(resultMetadataType)) {
                    i2 += bArr.length;
                }
            }
        }
        byte[] bArr2 = new byte[i];
        byte[] bArr3 = new byte[i2];
        int i3 = 0;
        int i4 = 0;
        for (k kVar3 : arrayList2) {
            System.arraycopy(kVar3.d(), 0, bArr2, i3, kVar3.d().length);
            i3 += kVar3.d().length;
            Map<ResultMetadataType, Object> e3 = kVar3.e();
            ResultMetadataType resultMetadataType2 = ResultMetadataType.BYTE_SEGMENTS;
            if (e3.containsKey(resultMetadataType2)) {
                for (byte[] bArr4 : (Iterable) kVar3.e().get(resultMetadataType2)) {
                    System.arraycopy(bArr4, 0, bArr3, i4, bArr4.length);
                    i4 += bArr4.length;
                }
            }
        }
        k kVar4 = new k(sb.toString(), bArr2, f13037d, BarcodeFormat.QR_CODE);
        if (i2 > 0) {
            ArrayList arrayList3 = new ArrayList();
            arrayList3.add(bArr3);
            kVar4.j(ResultMetadataType.BYTE_SEGMENTS, arrayList3);
        }
        arrayList.add(kVar4);
        return arrayList;
    }

    @Override // com.google.zxing.r.c
    public k[] d(com.google.zxing.b bVar) throws NotFoundException {
        return e(bVar, null);
    }

    @Override // com.google.zxing.r.c
    public k[] e(com.google.zxing.b bVar, Map<DecodeHintType, ?> map) throws NotFoundException {
        ArrayList arrayList = new ArrayList();
        f[] n = new com.google.zxing.r.d.b.a(bVar.b()).n(map);
        for (f fVar : n) {
            try {
                d c2 = g().c(fVar.a(), map);
                l[] b2 = fVar.b();
                if (c2.f() instanceof g) {
                    ((g) c2.f()).a(b2);
                }
                k kVar = new k(c2.j(), c2.g(), b2, BarcodeFormat.QR_CODE);
                List<byte[]> a2 = c2.a();
                if (a2 != null) {
                    kVar.j(ResultMetadataType.BYTE_SEGMENTS, a2);
                }
                String b3 = c2.b();
                if (b3 != null) {
                    kVar.j(ResultMetadataType.ERROR_CORRECTION_LEVEL, b3);
                }
                if (c2.k()) {
                    kVar.j(ResultMetadataType.STRUCTURED_APPEND_SEQUENCE, Integer.valueOf(c2.i()));
                    kVar.j(ResultMetadataType.STRUCTURED_APPEND_PARITY, Integer.valueOf(c2.h()));
                }
                arrayList.add(kVar);
            } catch (ReaderException unused) {
            }
        }
        if (arrayList.isEmpty()) {
            return f13036c;
        }
        List<k> i = i(arrayList);
        return (k[]) i.toArray(new k[i.size()]);
    }
}
