package com.google.zxing.s;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.ChecksumException;
import com.google.zxing.DecodeHintType;
import com.google.zxing.FormatException;
import com.google.zxing.NotFoundException;
import com.google.zxing.common.a;
import com.google.zxing.k;
import com.google.zxing.l;
import java.util.ArrayList;
import java.util.Map;

/* compiled from: Code128Reader */
public final class c extends r {

    /* renamed from: a  reason: collision with root package name */
    static final int[][] f13049a = {new int[]{2, 1, 2, 2, 2, 2}, new int[]{2, 2, 2, 1, 2, 2}, new int[]{2, 2, 2, 2, 2, 1}, new int[]{1, 2, 1, 2, 2, 3}, new int[]{1, 2, 1, 3, 2, 2}, new int[]{1, 3, 1, 2, 2, 2}, new int[]{1, 2, 2, 2, 1, 3}, new int[]{1, 2, 2, 3, 1, 2}, new int[]{1, 3, 2, 2, 1, 2}, new int[]{2, 2, 1, 2, 1, 3}, new int[]{2, 2, 1, 3, 1, 2}, new int[]{2, 3, 1, 2, 1, 2}, new int[]{1, 1, 2, 2, 3, 2}, new int[]{1, 2, 2, 1, 3, 2}, new int[]{1, 2, 2, 2, 3, 1}, new int[]{1, 1, 3, 2, 2, 2}, new int[]{1, 2, 3, 1, 2, 2}, new int[]{1, 2, 3, 2, 2, 1}, new int[]{2, 2, 3, 2, 1, 1}, new int[]{2, 2, 1, 1, 3, 2}, new int[]{2, 2, 1, 2, 3, 1}, new int[]{2, 1, 3, 2, 1, 2}, new int[]{2, 2, 3, 1, 1, 2}, new int[]{3, 1, 2, 1, 3, 1}, new int[]{3, 1, 1, 2, 2, 2}, new int[]{3, 2, 1, 1, 2, 2}, new int[]{3, 2, 1, 2, 2, 1}, new int[]{3, 1, 2, 2, 1, 2}, new int[]{3, 2, 2, 1, 1, 2}, new int[]{3, 2, 2, 2, 1, 1}, new int[]{2, 1, 2, 1, 2, 3}, new int[]{2, 1, 2, 3, 2, 1}, new int[]{2, 3, 2, 1, 2, 1}, new int[]{1, 1, 1, 3, 2, 3}, new int[]{1, 3, 1, 1, 2, 3}, new int[]{1, 3, 1, 3, 2, 1}, new int[]{1, 1, 2, 3, 1, 3}, new int[]{1, 3, 2, 1, 1, 3}, new int[]{1, 3, 2, 3, 1, 1}, new int[]{2, 1, 1, 3, 1, 3}, new int[]{2, 3, 1, 1, 1, 3}, new int[]{2, 3, 1, 3, 1, 1}, new int[]{1, 1, 2, 1, 3, 3}, new int[]{1, 1, 2, 3, 3, 1}, new int[]{1, 3, 2, 1, 3, 1}, new int[]{1, 1, 3, 1, 2, 3}, new int[]{1, 1, 3, 3, 2, 1}, new int[]{1, 3, 3, 1, 2, 1}, new int[]{3, 1, 3, 1, 2, 1}, new int[]{2, 1, 1, 3, 3, 1}, new int[]{2, 3, 1, 1, 3, 1}, new int[]{2, 1, 3, 1, 1, 3}, new int[]{2, 1, 3, 3, 1, 1}, new int[]{2, 1, 3, 1, 3, 1}, new int[]{3, 1, 1, 1, 2, 3}, new int[]{3, 1, 1, 3, 2, 1}, new int[]{3, 3, 1, 1, 2, 1}, new int[]{3, 1, 2, 1, 1, 3}, new int[]{3, 1, 2, 3, 1, 1}, new int[]{3, 3, 2, 1, 1, 1}, new int[]{3, 1, 4, 1, 1, 1}, new int[]{2, 2, 1, 4, 1, 1}, new int[]{4, 3, 1, 1, 1, 1}, new int[]{1, 1, 1, 2, 2, 4}, new int[]{1, 1, 1, 4, 2, 2}, new int[]{1, 2, 1, 1, 2, 4}, new int[]{1, 2, 1, 4, 2, 1}, new int[]{1, 4, 1, 1, 2, 2}, new int[]{1, 4, 1, 2, 2, 1}, new int[]{1, 1, 2, 2, 1, 4}, new int[]{1, 1, 2, 4, 1, 2}, new int[]{1, 2, 2, 1, 1, 4}, new int[]{1, 2, 2, 4, 1, 1}, new int[]{1, 4, 2, 1, 1, 2}, new int[]{1, 4, 2, 2, 1, 1}, new int[]{2, 4, 1, 2, 1, 1}, new int[]{2, 2, 1, 1, 1, 4}, new int[]{4, 1, 3, 1, 1, 1}, new int[]{2, 4, 1, 1, 1, 2}, new int[]{1, 3, 4, 1, 1, 1}, new int[]{1, 1, 1, 2, 4, 2}, new int[]{1, 2, 1, 1, 4, 2}, new int[]{1, 2, 1, 2, 4, 1}, new int[]{1, 1, 4, 2, 1, 2}, new int[]{1, 2, 4, 1, 1, 2}, new int[]{1, 2, 4, 2, 1, 1}, new int[]{4, 1, 1, 2, 1, 2}, new int[]{4, 2, 1, 1, 1, 2}, new int[]{4, 2, 1, 2, 1, 1}, new int[]{2, 1, 2, 1, 4, 1}, new int[]{2, 1, 4, 1, 2, 1}, new int[]{4, 1, 2, 1, 2, 1}, new int[]{1, 1, 1, 1, 4, 3}, new int[]{1, 1, 1, 3, 4, 1}, new int[]{1, 3, 1, 1, 4, 1}, new int[]{1, 1, 4, 1, 1, 3}, new int[]{1, 1, 4, 3, 1, 1}, new int[]{4, 1, 1, 1, 1, 3}, new int[]{4, 1, 1, 3, 1, 1}, new int[]{1, 1, 3, 1, 4, 1}, new int[]{1, 1, 4, 1, 3, 1}, new int[]{3, 1, 1, 1, 4, 1}, new int[]{4, 1, 1, 1, 3, 1}, new int[]{2, 1, 1, 4, 1, 2}, new int[]{2, 1, 1, 2, 1, 4}, new int[]{2, 1, 1, 2, 3, 2}, new int[]{2, 3, 3, 1, 1, 1, 2}};

    /* renamed from: b  reason: collision with root package name */
    private static final float f13050b = 0.25f;

    /* renamed from: c  reason: collision with root package name */
    private static final float f13051c = 0.7f;

    /* renamed from: d  reason: collision with root package name */
    private static final int f13052d = 98;

    /* renamed from: e  reason: collision with root package name */
    private static final int f13053e = 99;
    private static final int f = 100;
    private static final int g = 101;
    private static final int h = 102;
    private static final int i = 97;
    private static final int j = 96;
    private static final int k = 101;
    private static final int l = 100;
    private static final int m = 103;
    private static final int n = 104;
    private static final int o = 105;
    private static final int p = 106;

    private static int i(a aVar, int[] iArr, int i2) throws NotFoundException {
        r.g(aVar, i2, iArr);
        float f2 = f13050b;
        int i3 = -1;
        int i4 = 0;
        while (true) {
            int[][] iArr2 = f13049a;
            if (i4 >= iArr2.length) {
                break;
            }
            float f3 = r.f(iArr, iArr2[i4], f13051c);
            if (f3 < f2) {
                i3 = i4;
                f2 = f3;
            }
            i4++;
        }
        if (i3 >= 0) {
            return i3;
        }
        throw NotFoundException.getNotFoundInstance();
    }

    private static int[] j(a aVar) throws NotFoundException {
        int r = aVar.r();
        int p2 = aVar.p(0);
        int[] iArr = new int[6];
        int i2 = p2;
        boolean z = false;
        int i3 = 0;
        while (p2 < r) {
            if (aVar.m(p2) != z) {
                iArr[i3] = iArr[i3] + 1;
            } else {
                if (i3 == 5) {
                    float f2 = f13050b;
                    int i4 = -1;
                    for (int i5 = 103; i5 <= 105; i5++) {
                        float f3 = r.f(iArr, f13049a[i5], f13051c);
                        if (f3 < f2) {
                            i4 = i5;
                            f2 = f3;
                        }
                    }
                    if (i4 < 0 || !aVar.t(Math.max(0, i2 - ((p2 - i2) / 2)), i2, false)) {
                        i2 += iArr[0] + iArr[1];
                        int i6 = i3 - 1;
                        System.arraycopy(iArr, 2, iArr, 0, i6);
                        iArr[i6] = 0;
                        iArr[i3] = 0;
                        i3--;
                    } else {
                        return new int[]{i2, p2, i4};
                    }
                } else {
                    i3++;
                }
                iArr[i3] = 1;
                z = !z;
            }
            p2++;
        }
        throw NotFoundException.getNotFoundInstance();
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Code restructure failed: missing block: B:50:0x00e1, code lost:
        if (r9 != false) goto L_0x0129;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:73:0x0127, code lost:
        if (r9 != false) goto L_0x0129;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:74:0x0129, code lost:
        r3 = false;
     */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x012e A[PHI: r17 
      PHI: (r17v12 boolean) = (r17v17 boolean), (r17v19 boolean) binds: [B:62:0x0107, B:41:0x00c1] A[DONT_GENERATE, DONT_INLINE]] */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x013a A[PHI: r16 r17 
      PHI: (r16v5 boolean) = (r16v6 boolean), (r16v1 boolean), (r16v1 boolean), (r16v1 boolean), (r16v1 boolean), (r16v1 boolean), (r16v1 boolean), (r16v1 boolean), (r16v1 boolean) binds: [B:79:0x0138, B:62:0x0107, B:63:0x010b, B:67:0x0117, B:66:0x0113, B:41:0x00c1, B:42:0x00c6, B:46:0x00d3, B:45:0x00ce] A[DONT_GENERATE, DONT_INLINE]
      PHI: (r17v10 boolean) = (r17v11 boolean), (r17v17 boolean), (r17v17 boolean), (r17v17 boolean), (r17v17 boolean), (r17v19 boolean), (r17v19 boolean), (r17v19 boolean), (r17v19 boolean) binds: [B:79:0x0138, B:62:0x0107, B:63:0x010b, B:67:0x0117, B:66:0x0113, B:41:0x00c1, B:42:0x00c6, B:46:0x00d3, B:45:0x00ce] A[DONT_GENERATE, DONT_INLINE]] */
    @Override // com.google.zxing.s.r
    public k d(int i2, a aVar, Map<DecodeHintType, ?> map) throws NotFoundException, FormatException, ChecksumException {
        char c2;
        boolean z;
        boolean z2 = false;
        boolean z3 = map != null && map.containsKey(DecodeHintType.ASSUME_GS1);
        int[] j2 = j(aVar);
        int i3 = j2[2];
        ArrayList arrayList = new ArrayList(20);
        arrayList.add(Byte.valueOf((byte) i3));
        switch (i3) {
            case 103:
                c2 = 'e';
                break;
            case 104:
                c2 = 'd';
                break;
            case 105:
                c2 = 'c';
                break;
            default:
                throw FormatException.getFormatInstance();
        }
        StringBuilder sb = new StringBuilder(20);
        int i4 = 6;
        int[] iArr = new int[6];
        boolean z4 = false;
        boolean z5 = false;
        boolean z6 = true;
        boolean z7 = false;
        int i5 = 0;
        int i6 = 0;
        int i7 = 0;
        int i8 = j2[0];
        int i9 = j2[1];
        char c3 = c2;
        while (!z5) {
            int i10 = i(aVar, iArr, i9);
            arrayList.add(Byte.valueOf((byte) i10));
            if (i10 != 106) {
                z6 = true;
            }
            if (i10 != 106) {
                i6++;
                i3 += i6 * i10;
            }
            int i11 = i9;
            for (int i12 = 0; i12 < i4; i12++) {
                i11 += iArr[i12];
            }
            switch (i10) {
                case 103:
                case 104:
                case 105:
                    throw FormatException.getFormatInstance();
                default:
                    switch (c3) {
                        case 'c':
                            if (i10 >= 100) {
                                if (i10 != 106) {
                                    z6 = false;
                                }
                                if (i10 != 106) {
                                    switch (i10) {
                                        case 100:
                                            z = false;
                                            c3 = 'd';
                                            break;
                                        case 101:
                                            z = false;
                                            c3 = 'e';
                                            break;
                                        case 102:
                                            if (z3) {
                                                if (sb.length() == 0) {
                                                    sb.append("]C1");
                                                } else {
                                                    sb.append((char) 29);
                                                }
                                            }
                                        default:
                                            z = false;
                                            break;
                                    }
                                } else {
                                    z = false;
                                    z5 = true;
                                    break;
                                }
                            } else {
                                if (i10 < 10) {
                                    sb.append('0');
                                }
                                sb.append(i10);
                            }
                            z = false;
                        case 'd':
                            if (i10 < 96) {
                                if (z4 == z2) {
                                    sb.append((char) (i10 + 32));
                                } else {
                                    sb.append((char) (i10 + 32 + 128));
                                }
                                z = false;
                                z4 = false;
                                break;
                            } else {
                                if (i10 != 106) {
                                    z6 = false;
                                }
                                if (i10 != 106) {
                                    switch (i10) {
                                        case 96:
                                        case 97:
                                        default:
                                            z = false;
                                            break;
                                        case 98:
                                            z = true;
                                            c3 = 'e';
                                            break;
                                        case 99:
                                            z = false;
                                            c3 = 'c';
                                            break;
                                        case 100:
                                            if (z2 || !z4) {
                                                if (z2) {
                                                }
                                                z = false;
                                                z4 = true;
                                                break;
                                            }
                                            z2 = true;
                                            z = false;
                                            z4 = false;
                                            break;
                                        case 101:
                                            z = false;
                                            c3 = 'e';
                                            break;
                                        case 102:
                                            if (z3) {
                                                if (sb.length() == 0) {
                                                    sb.append("]C1");
                                                } else {
                                                    sb.append((char) 29);
                                                }
                                            }
                                            z = false;
                                            break;
                                    }
                                }
                                z5 = true;
                                z = false;
                            }
                            break;
                        case 'e':
                            if (i10 < 64) {
                                if (z4 == z2) {
                                    sb.append((char) (i10 + 32));
                                } else {
                                    sb.append((char) (i10 + 32 + 128));
                                }
                            } else if (i10 >= 96) {
                                if (i10 != 106) {
                                    z6 = false;
                                }
                                if (i10 != 106) {
                                    switch (i10) {
                                        case 98:
                                            z = true;
                                            c3 = 'd';
                                            break;
                                        case 100:
                                            z = false;
                                            c3 = 'd';
                                            break;
                                        case 101:
                                            if (z2 || !z4) {
                                                if (z2) {
                                                }
                                                z = false;
                                                z4 = true;
                                                break;
                                            }
                                            z2 = true;
                                            break;
                                        case 102:
                                            if (z3) {
                                                if (sb.length() == 0) {
                                                    sb.append("]C1");
                                                } else {
                                                    sb.append((char) 29);
                                                }
                                            }
                                            z = false;
                                            break;
                                    }
                                }
                                z5 = true;
                                z = false;
                            } else if (z4 == z2) {
                                sb.append((char) (i10 - 64));
                            } else {
                                sb.append((char) (i10 + 64));
                            }
                            z = false;
                            z4 = false;
                            break;
                        default:
                            z = false;
                            break;
                    }
                    if (z7) {
                        c3 = c3 == 'e' ? 'd' : 'e';
                    }
                    z7 = z;
                    i4 = 6;
                    i8 = i9;
                    i9 = i11;
                    i7 = i5;
                    i5 = i10;
                    break;
            }
        }
        int i13 = i9 - i8;
        int q = aVar.q(i9);
        if (!aVar.t(q, Math.min(aVar.r(), ((q - i8) / 2) + q), false)) {
            throw NotFoundException.getNotFoundInstance();
        } else if ((i3 - (i6 * i7)) % 103 == i7) {
            int length = sb.length();
            if (length != 0) {
                if (length > 0 && z6) {
                    if (c3 == 'c') {
                        sb.delete(length - 2, length);
                    } else {
                        sb.delete(length - 1, length);
                    }
                }
                float f2 = ((float) (j2[1] + j2[0])) / 2.0f;
                float f3 = ((float) i8) + (((float) i13) / 2.0f);
                int size = arrayList.size();
                byte[] bArr = new byte[size];
                for (int i14 = 0; i14 < size; i14++) {
                    bArr[i14] = ((Byte) arrayList.get(i14)).byteValue();
                }
                float f4 = (float) i2;
                return new k(sb.toString(), bArr, new l[]{new l(f2, f4), new l(f3, f4)}, BarcodeFormat.CODE_128);
            }
            throw NotFoundException.getNotFoundInstance();
        } else {
            throw ChecksumException.getChecksumInstance();
        }
    }
}
