package com.google.zxing.s;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.EncodeHintType;
import com.google.zxing.WriterException;
import com.google.zxing.common.b;
import com.ibm.icu.lang.c;
import java.util.ArrayList;
import java.util.Map;

/* compiled from: Code128Writer */
public final class d extends s {

    /* renamed from: a  reason: collision with root package name */
    private static final int f13109a = 103;

    /* renamed from: b  reason: collision with root package name */
    private static final int f13110b = 104;

    /* renamed from: c  reason: collision with root package name */
    private static final int f13111c = 105;

    /* renamed from: d  reason: collision with root package name */
    private static final int f13112d = 101;

    /* renamed from: e  reason: collision with root package name */
    private static final int f13113e = 100;
    private static final int f = 99;
    private static final int g = 106;
    private static final char h = 241;
    private static final char i = 242;
    private static final char j = 243;
    private static final char k = 244;
    private static final int l = 102;
    private static final int m = 97;
    private static final int n = 96;
    private static final int o = 101;
    private static final int p = 100;

    /* access modifiers changed from: private */
    /* compiled from: Code128Writer */
    public enum a {
        UNCODABLE,
        ONE_DIGIT,
        TWO_DIGITS,
        FNC_1
    }

    private static int g(CharSequence charSequence, int i2, int i3) {
        a h2;
        a h3;
        char charAt;
        a h4 = h(charSequence, i2);
        a aVar = a.ONE_DIGIT;
        if (h4 == aVar) {
            return 100;
        }
        a aVar2 = a.UNCODABLE;
        if (h4 == aVar2) {
            if (i2 >= charSequence.length() || ((charAt = charSequence.charAt(i2)) >= ' ' && (i3 != 101 || charAt >= '`'))) {
                return 100;
            }
            return 101;
        } else if (i3 == 99) {
            return 99;
        } else {
            if (i3 == 100) {
                a aVar3 = a.FNC_1;
                if (h4 == aVar3 || (h2 = h(charSequence, i2 + 2)) == aVar2 || h2 == aVar) {
                    return 100;
                }
                if (h2 != aVar3) {
                    int i4 = i2 + 4;
                    while (true) {
                        h3 = h(charSequence, i4);
                        if (h3 != a.TWO_DIGITS) {
                            break;
                        }
                        i4 += 2;
                    }
                    if (h3 == a.ONE_DIGIT) {
                        return 100;
                    }
                    return 99;
                } else if (h(charSequence, i2 + 3) == a.TWO_DIGITS) {
                    return 99;
                } else {
                    return 100;
                }
            } else {
                if (h4 == a.FNC_1) {
                    h4 = h(charSequence, i2 + 1);
                }
                if (h4 == a.TWO_DIGITS) {
                    return 99;
                }
                return 100;
            }
        }
    }

    private static a h(CharSequence charSequence, int i2) {
        int length = charSequence.length();
        if (i2 >= length) {
            return a.UNCODABLE;
        }
        char charAt = charSequence.charAt(i2);
        if (charAt == 241) {
            return a.FNC_1;
        }
        if (charAt < '0' || charAt > '9') {
            return a.UNCODABLE;
        }
        int i3 = i2 + 1;
        if (i3 >= length) {
            return a.ONE_DIGIT;
        }
        char charAt2 = charSequence.charAt(i3);
        if (charAt2 < '0' || charAt2 > '9') {
            return a.ONE_DIGIT;
        }
        return a.TWO_DIGITS;
    }

    @Override // com.google.zxing.n, com.google.zxing.s.s
    public b b(String str, BarcodeFormat barcodeFormat, int i2, int i3, Map<EncodeHintType, ?> map) throws WriterException {
        if (barcodeFormat == BarcodeFormat.CODE_128) {
            return super.b(str, barcodeFormat, i2, i3, map);
        }
        throw new IllegalArgumentException("Can only encode CODE_128, but got ".concat(String.valueOf(barcodeFormat)));
    }

    @Override // com.google.zxing.s.s
    public boolean[] d(String str) {
        int length = str.length();
        if (length <= 0 || length > 80) {
            throw new IllegalArgumentException("Contents length should be between 1 and 80 characters, but got ".concat(String.valueOf(length)));
        }
        int i2 = 0;
        for (int i3 = 0; i3 < length; i3++) {
            char charAt = str.charAt(i3);
            switch (charAt) {
                case 241:
                case 242:
                case c.p.L3 /*{ENCODED_INT: 243}*/:
                case 244:
                    break;
                default:
                    if (charAt <= 127) {
                        break;
                    } else {
                        throw new IllegalArgumentException("Bad character in input: ".concat(String.valueOf(charAt)));
                    }
            }
        }
        ArrayList<int[]> arrayList = new ArrayList();
        int i4 = 0;
        int i5 = 0;
        int i6 = 0;
        int i7 = 1;
        while (true) {
            int i8 = 103;
            if (i4 < length) {
                int g2 = g(str, i4, i6);
                int i9 = 100;
                if (g2 == i6) {
                    switch (str.charAt(i4)) {
                        case 241:
                            i9 = 102;
                            break;
                        case 242:
                            i9 = 97;
                            break;
                        case c.p.L3 /*{ENCODED_INT: 243}*/:
                            i9 = 96;
                            break;
                        case 244:
                            if (i6 == 101) {
                                i9 = 101;
                                break;
                            }
                            break;
                        default:
                            if (i6 != 100) {
                                if (i6 != 101) {
                                    i9 = Integer.parseInt(str.substring(i4, i4 + 2));
                                    i4++;
                                    break;
                                } else {
                                    i9 = str.charAt(i4) - ' ';
                                    if (i9 < 0) {
                                        i9 += 96;
                                        break;
                                    }
                                }
                            } else {
                                i9 = str.charAt(i4) - ' ';
                                break;
                            }
                            break;
                    }
                    i4++;
                } else {
                    if (i6 != 0) {
                        i8 = g2;
                    } else if (g2 == 100) {
                        i8 = 104;
                    } else if (g2 != 101) {
                        i8 = 105;
                    }
                    i9 = i8;
                    i6 = g2;
                }
                arrayList.add(c.f13049a[i9]);
                i5 += i9 * i7;
                if (i4 != 0) {
                    i7++;
                }
            } else {
                int[][] iArr = c.f13049a;
                arrayList.add(iArr[i5 % 103]);
                arrayList.add(iArr[106]);
                int i10 = 0;
                for (int[] iArr2 : arrayList) {
                    for (int i11 : iArr2) {
                        i10 += i11;
                    }
                }
                boolean[] zArr = new boolean[i10];
                for (int[] iArr3 : arrayList) {
                    i2 += s.c(zArr, i2, iArr3, true);
                }
                return zArr;
            }
        }
    }
}
