package com.google.zxing.s;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.ChecksumException;
import com.google.zxing.DecodeHintType;
import com.google.zxing.FormatException;
import com.google.zxing.NotFoundException;
import com.google.zxing.common.a;
import com.google.zxing.k;
import com.google.zxing.l;
import com.ibm.icu.lang.c;
import java.util.Arrays;
import java.util.Map;

/* compiled from: Code39Reader */
public final class e extends r {

    /* renamed from: a  reason: collision with root package name */
    static final String f13116a = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ-. $/+%";

    /* renamed from: b  reason: collision with root package name */
    static final int[] f13117b = {52, c.p.F4, 97, 352, 49, 304, 112, 37, c.p.I4, 100, c.p.h4, 73, c.p.s5, 25, c.p.w4, 88, 13, c.p.k4, 76, 28, 259, 67, c.p.m5, 19, c.p.q4, 82, 7, c.p.e4, 70, 22, 385, 193, 448, 145, 400, c.p.c3, 133, 388, 196, 168, 162, 138, 42};

    /* renamed from: c  reason: collision with root package name */
    static final int f13118c = 148;

    /* renamed from: d  reason: collision with root package name */
    private final boolean f13119d;

    /* renamed from: e  reason: collision with root package name */
    private final boolean f13120e;
    private final StringBuilder f;
    private final int[] g;

    public e() {
        this(false);
    }

    private static String i(CharSequence charSequence) throws FormatException {
        char c2;
        int i;
        int length = charSequence.length();
        StringBuilder sb = new StringBuilder(length);
        int i2 = 0;
        while (i2 < length) {
            char charAt = charSequence.charAt(i2);
            if (charAt == '+' || charAt == '$' || charAt == '%' || charAt == '/') {
                i2++;
                char charAt2 = charSequence.charAt(i2);
                if (charAt != '$') {
                    if (charAt != '%') {
                        if (charAt != '+') {
                            if (charAt == '/') {
                                if (charAt2 >= 'A' && charAt2 <= 'O') {
                                    i = charAt2 - ' ';
                                } else if (charAt2 == 'Z') {
                                    c2 = ':';
                                    sb.append(c2);
                                } else {
                                    throw FormatException.getFormatInstance();
                                }
                            }
                        } else if (charAt2 < 'A' || charAt2 > 'Z') {
                            throw FormatException.getFormatInstance();
                        } else {
                            i = charAt2 + ' ';
                        }
                    } else if (charAt2 >= 'A' && charAt2 <= 'E') {
                        i = charAt2 - '&';
                    } else if (charAt2 >= 'F' && charAt2 <= 'J') {
                        i = charAt2 - 11;
                    } else if (charAt2 >= 'K' && charAt2 <= 'O') {
                        i = charAt2 + 16;
                    } else if (charAt2 >= 'P' && charAt2 <= 'T') {
                        i = charAt2 + '+';
                    } else if (charAt2 != 'U') {
                        if (charAt2 == 'V') {
                            c2 = '@';
                        } else if (charAt2 == 'W') {
                            c2 = '`';
                        } else if (charAt2 == 'X' || charAt2 == 'Y' || charAt2 == 'Z') {
                            c2 = 127;
                        } else {
                            throw FormatException.getFormatInstance();
                        }
                        sb.append(c2);
                    }
                    c2 = 0;
                    sb.append(c2);
                } else if (charAt2 < 'A' || charAt2 > 'Z') {
                    throw FormatException.getFormatInstance();
                } else {
                    i = charAt2 - '@';
                }
                c2 = (char) i;
                sb.append(c2);
            } else {
                sb.append(charAt);
            }
            i2++;
        }
        return sb.toString();
    }

    private static int[] j(a aVar, int[] iArr) throws NotFoundException {
        int r = aVar.r();
        int p = aVar.p(0);
        int length = iArr.length;
        int i = p;
        boolean z = false;
        int i2 = 0;
        while (p < r) {
            if (aVar.m(p) != z) {
                iArr[i2] = iArr[i2] + 1;
            } else {
                if (i2 != length - 1) {
                    i2++;
                } else if (l(iArr) != 148 || !aVar.t(Math.max(0, i - ((p - i) / 2)), i, false)) {
                    i += iArr[0] + iArr[1];
                    int i3 = i2 - 1;
                    System.arraycopy(iArr, 2, iArr, 0, i3);
                    iArr[i3] = 0;
                    iArr[i2] = 0;
                    i2--;
                } else {
                    return new int[]{i, p};
                }
                iArr[i2] = 1;
                z = !z;
            }
            p++;
        }
        throw NotFoundException.getNotFoundInstance();
    }

    private static char k(int i) throws NotFoundException {
        int i2 = 0;
        while (true) {
            int[] iArr = f13117b;
            if (i2 < iArr.length) {
                if (iArr[i2] == i) {
                    return f13116a.charAt(i2);
                }
                i2++;
            } else if (i == 148) {
                return '*';
            } else {
                throw NotFoundException.getNotFoundInstance();
            }
        }
    }

    private static int l(int[] iArr) {
        int length = iArr.length;
        int i = 0;
        while (true) {
            int i2 = Integer.MAX_VALUE;
            for (int i3 : iArr) {
                if (i3 < i2 && i3 > i) {
                    i2 = i3;
                }
            }
            int i4 = 0;
            int i5 = 0;
            int i6 = 0;
            for (int i7 = 0; i7 < length; i7++) {
                int i8 = iArr[i7];
                if (i8 > i2) {
                    i5 |= 1 << ((length - 1) - i7);
                    i4++;
                    i6 += i8;
                }
            }
            if (i4 == 3) {
                for (int i9 = 0; i9 < length && i4 > 0; i9++) {
                    int i10 = iArr[i9];
                    if (i10 > i2) {
                        i4--;
                        if ((i10 << 1) >= i6) {
                            return -1;
                        }
                    }
                }
                return i5;
            } else if (i4 <= 3) {
                return -1;
            } else {
                i = i2;
            }
        }
    }

    @Override // com.google.zxing.s.r
    public k d(int i, a aVar, Map<DecodeHintType, ?> map) throws NotFoundException, ChecksumException, FormatException {
        String str;
        int[] iArr = this.g;
        Arrays.fill(iArr, 0);
        StringBuilder sb = this.f;
        sb.setLength(0);
        int[] j = j(aVar, iArr);
        int p = aVar.p(j[1]);
        int r = aVar.r();
        while (true) {
            r.g(aVar, p, iArr);
            int l = l(iArr);
            if (l >= 0) {
                char k = k(l);
                sb.append(k);
                int i2 = p;
                for (int i3 : iArr) {
                    i2 += i3;
                }
                int p2 = aVar.p(i2);
                if (k == '*') {
                    sb.setLength(sb.length() - 1);
                    int i4 = 0;
                    for (int i5 : iArr) {
                        i4 += i5;
                    }
                    int i6 = (p2 - p) - i4;
                    if (p2 == r || (i6 << 1) >= i4) {
                        if (this.f13119d) {
                            int length = sb.length() - 1;
                            int i7 = 0;
                            for (int i8 = 0; i8 < length; i8++) {
                                i7 += f13116a.indexOf(this.f.charAt(i8));
                            }
                            if (sb.charAt(length) == f13116a.charAt(i7 % 43)) {
                                sb.setLength(length);
                            } else {
                                throw ChecksumException.getChecksumInstance();
                            }
                        }
                        if (sb.length() != 0) {
                            if (this.f13120e) {
                                str = i(sb);
                            } else {
                                str = sb.toString();
                            }
                            float f2 = (float) i;
                            return new k(str, null, new l[]{new l(((float) (j[1] + j[0])) / 2.0f, f2), new l(((float) p) + (((float) i4) / 2.0f), f2)}, BarcodeFormat.CODE_39);
                        }
                        throw NotFoundException.getNotFoundInstance();
                    }
                    throw NotFoundException.getNotFoundInstance();
                }
                p = p2;
            } else {
                throw NotFoundException.getNotFoundInstance();
            }
        }
    }

    public e(boolean z) {
        this(z, false);
    }

    public e(boolean z, boolean z2) {
        this.f13119d = z;
        this.f13120e = z2;
        this.f = new StringBuilder(20);
        this.g = new int[9];
    }
}
