package com.google.zxing.s;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.EncodeHintType;
import com.google.zxing.FormatException;
import com.google.zxing.WriterException;
import com.google.zxing.common.b;
import java.util.Map;

/* compiled from: EAN13Writer */
public final class j extends z {

    /* renamed from: a  reason: collision with root package name */
    private static final int f13126a = 95;

    @Override // com.google.zxing.n, com.google.zxing.s.s
    public b b(String str, BarcodeFormat barcodeFormat, int i, int i2, Map<EncodeHintType, ?> map) throws WriterException {
        if (barcodeFormat == BarcodeFormat.EAN_13) {
            return super.b(str, barcodeFormat, i, i2, map);
        }
        throw new IllegalArgumentException("Can only encode EAN_13, but got ".concat(String.valueOf(barcodeFormat)));
    }

    @Override // com.google.zxing.s.s
    public boolean[] d(String str) {
        int length = str.length();
        if (length == 12) {
            try {
                str = str + y.s(str);
            } catch (FormatException e2) {
                throw new IllegalArgumentException(e2);
            }
        } else if (length == 13) {
            try {
                if (!y.j(str)) {
                    throw new IllegalArgumentException("Contents do not pass checksum");
                }
            } catch (FormatException unused) {
                throw new IllegalArgumentException("Illegal contents");
            }
        } else {
            throw new IllegalArgumentException("Requested contents should be 12 or 13 digits long, but got ".concat(String.valueOf(length)));
        }
        int i = i.k[Character.digit(str.charAt(0), 10)];
        boolean[] zArr = new boolean[95];
        int c2 = s.c(zArr, 0, y.f13153c, true) + 0;
        for (int i2 = 1; i2 <= 6; i2++) {
            int digit = Character.digit(str.charAt(i2), 10);
            if (((i >> (6 - i2)) & 1) == 1) {
                digit += 10;
            }
            c2 += s.c(zArr, c2, y.g[digit], false);
        }
        int c3 = c2 + s.c(zArr, c2, y.f13154d, false);
        for (int i3 = 7; i3 <= 12; i3++) {
            c3 += s.c(zArr, c3, y.f[Character.digit(str.charAt(i3), 10)], true);
        }
        s.c(zArr, c3, y.f13153c, true);
        return zArr;
    }
}
