package com.ibm.icu.impl;

import com.ibm.icu.util.ICUException;
import java.lang.ref.Reference;
import java.lang.ref.SoftReference;

public abstract class CacheValue<V> {

    /* renamed from: a  reason: collision with root package name */
    private static volatile Strength f13338a = Strength.SOFT;

    /* renamed from: b  reason: collision with root package name */
    private static final CacheValue f13339b = new b();

    public enum Strength {
        STRONG,
        SOFT
    }

    private static final class b<V> extends CacheValue<V> {
        private b() {
        }

        @Override // com.ibm.icu.impl.CacheValue
        public V b() {
            return null;
        }

        @Override // com.ibm.icu.impl.CacheValue
        public boolean d() {
            return true;
        }

        @Override // com.ibm.icu.impl.CacheValue
        public V e(V v) {
            if (v == null) {
                return null;
            }
            throw new ICUException("resetting a null value to a non-null value");
        }
    }

    private static final class c<V> extends CacheValue<V> {

        /* renamed from: c  reason: collision with root package name */
        private volatile Reference<V> f13341c;

        c(V v) {
            this.f13341c = new SoftReference(v);
        }

        @Override // com.ibm.icu.impl.CacheValue
        public V b() {
            return this.f13341c.get();
        }

        @Override // com.ibm.icu.impl.CacheValue
        public synchronized V e(V v) {
            V v2 = this.f13341c.get();
            if (v2 != null) {
                return v2;
            }
            this.f13341c = new SoftReference(v);
            return v;
        }
    }

    private static final class d<V> extends CacheValue<V> {

        /* renamed from: c  reason: collision with root package name */
        private V f13342c;

        d(V v) {
            this.f13342c = v;
        }

        @Override // com.ibm.icu.impl.CacheValue
        public V b() {
            return this.f13342c;
        }

        @Override // com.ibm.icu.impl.CacheValue
        public V e(V v) {
            return this.f13342c;
        }
    }

    public static boolean a() {
        return f13338a == Strength.STRONG;
    }

    public static <V> CacheValue<V> c(V v) {
        if (v == null) {
            return f13339b;
        }
        return f13338a == Strength.STRONG ? new d(v) : new c(v);
    }

    public static void f(Strength strength) {
        f13338a = strength;
    }

    public abstract V b();

    public boolean d() {
        return false;
    }

    public abstract V e(V v);
}
