package com.ibm.icu.impl;

import androidx.constraintlayout.core.motion.h.w;
import com.ibm.icu.impl.l2;
import com.ibm.icu.util.ICUException;
import com.ibm.icu.util.ULocale;
import java.util.HashMap;
import java.util.Map;

public final class DayPeriodRules {

    /* renamed from: a  reason: collision with root package name */
    private static final d f13360a = n();

    /* renamed from: b  reason: collision with root package name */
    private boolean f13361b;

    /* renamed from: c  reason: collision with root package name */
    private boolean f13362c;

    /* renamed from: d  reason: collision with root package name */
    private DayPeriod[] f13363d;

    public enum DayPeriod {
        MIDNIGHT,
        NOON,
        MORNING1,
        AFTERNOON1,
        EVENING1,
        NIGHT1,
        MORNING2,
        AFTERNOON2,
        EVENING2,
        NIGHT2,
        AM,
        PM;
        
        public static DayPeriod[] VALUES = values();

        /* access modifiers changed from: private */
        public static DayPeriod b(CharSequence charSequence) {
            if ("midnight".contentEquals(charSequence)) {
                return MIDNIGHT;
            }
            if ("noon".contentEquals(charSequence)) {
                return NOON;
            }
            if ("morning1".contentEquals(charSequence)) {
                return MORNING1;
            }
            if ("afternoon1".contentEquals(charSequence)) {
                return AFTERNOON1;
            }
            if ("evening1".contentEquals(charSequence)) {
                return EVENING1;
            }
            if ("night1".contentEquals(charSequence)) {
                return NIGHT1;
            }
            if ("morning2".contentEquals(charSequence)) {
                return MORNING2;
            }
            if ("afternoon2".contentEquals(charSequence)) {
                return AFTERNOON2;
            }
            if ("evening2".contentEquals(charSequence)) {
                return EVENING2;
            }
            if ("night2".contentEquals(charSequence)) {
                return NIGHT2;
            }
            if ("am".contentEquals(charSequence)) {
                return AM;
            }
            if ("pm".contentEquals(charSequence)) {
                return PM;
            }
            return null;
        }
    }

    /* access modifiers changed from: private */
    public enum b {
        BEFORE,
        AFTER,
        FROM,
        AT;

        /* access modifiers changed from: private */
        public static b b(CharSequence charSequence) {
            if (w.h.f1708c.contentEquals(charSequence)) {
                return FROM;
            }
            if ("before".contentEquals(charSequence)) {
                return BEFORE;
            }
            if ("after".contentEquals(charSequence)) {
                return AFTER;
            }
            if ("at".contentEquals(charSequence)) {
                return AT;
            }
            return null;
        }
    }

    /* access modifiers changed from: private */
    public static class c extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        private d f13367a;

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                int o = DayPeriodRules.o(bVar.toString());
                d dVar = this.f13367a;
                if (o > dVar.f13370c) {
                    dVar.f13370c = o;
                }
            }
        }

        private c(d dVar) {
            this.f13367a = dVar;
        }
    }

    /* access modifiers changed from: private */
    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        Map<String, Integer> f13368a;

        /* renamed from: b  reason: collision with root package name */
        DayPeriodRules[] f13369b;

        /* renamed from: c  reason: collision with root package name */
        int f13370c;

        private d() {
            this.f13368a = new HashMap();
            this.f13370c = -1;
        }
    }

    /* access modifiers changed from: private */
    public static final class e extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        private d f13371a;

        /* renamed from: b  reason: collision with root package name */
        private int[] f13372b;

        /* renamed from: c  reason: collision with root package name */
        private int f13373c;

        /* renamed from: d  reason: collision with root package name */
        private DayPeriod f13374d;

        /* renamed from: e  reason: collision with root package name */
        private b f13375e;

        private void b(b bVar, String str) {
            if (bVar != null) {
                int c2 = c(str);
                int[] iArr = this.f13372b;
                iArr[c2] = (1 << bVar.ordinal()) | iArr[c2];
                return;
            }
            throw new ICUException("Cutoff type not recognized.");
        }

        private static int c(String str) {
            int indexOf = str.indexOf(58);
            if (indexOf < 0 || !str.substring(indexOf).equals(":00")) {
                throw new ICUException("Cutoff time must end in \":00\".");
            }
            String substring = str.substring(0, indexOf);
            if (indexOf == 1 || indexOf == 2) {
                int parseInt = Integer.parseInt(substring);
                if (parseInt >= 0 && parseInt <= 24) {
                    return parseInt;
                }
                throw new ICUException("Cutoff hour must be between 0 and 24, inclusive.");
            }
            throw new ICUException("Cutoff time must begin with h: or hh:");
        }

        private void d(l2.d dVar, l2.b bVar, l2.e eVar) {
            for (int i = 0; dVar.d(i, bVar, eVar); i++) {
                int o = DayPeriodRules.o(bVar.toString());
                this.f13373c = o;
                this.f13371a.f13369b[o] = new DayPeriodRules();
                l2.d j = eVar.j();
                for (int i2 = 0; j.d(i2, bVar, eVar); i2++) {
                    DayPeriod b2 = DayPeriod.b(bVar);
                    this.f13374d = b2;
                    if (b2 != null) {
                        l2.d j2 = eVar.j();
                        for (int i3 = 0; j2.d(i3, bVar, eVar); i3++) {
                            if (eVar.k() == 0) {
                                b(b.b(bVar), eVar.f());
                            } else {
                                this.f13375e = b.b(bVar);
                                l2.a b3 = eVar.b();
                                int a2 = b3.a();
                                for (int i4 = 0; i4 < a2; i4++) {
                                    b3.b(i4, eVar);
                                    b(this.f13375e, eVar.f());
                                }
                            }
                        }
                        e();
                        int i5 = 0;
                        while (true) {
                            int[] iArr = this.f13372b;
                            if (i5 >= iArr.length) {
                                break;
                            }
                            iArr[i5] = 0;
                            i5++;
                        }
                    } else {
                        throw new ICUException("Unknown day period in data.");
                    }
                }
                for (DayPeriod dayPeriod : this.f13371a.f13369b[this.f13373c].f13363d) {
                    if (dayPeriod == null) {
                        throw new ICUException("Rules in data don't cover all 24 hours (they should).");
                    }
                }
            }
        }

        private void e() {
            DayPeriodRules dayPeriodRules = this.f13371a.f13369b[this.f13373c];
            for (int i = 0; i <= 24; i++) {
                if ((this.f13372b[i] & (1 << b.AT.ordinal())) > 0) {
                    if (i == 0 && this.f13374d == DayPeriod.MIDNIGHT) {
                        dayPeriodRules.f13361b = true;
                    } else if (i == 12 && this.f13374d == DayPeriod.NOON) {
                        dayPeriodRules.f13362c = true;
                    } else {
                        throw new ICUException("AT cutoff must only be set for 0:00 or 12:00.");
                    }
                }
                if ((this.f13372b[i] & (1 << b.FROM.ordinal())) > 0 || (this.f13372b[i] & (1 << b.AFTER.ordinal())) > 0) {
                    int i2 = i + 1;
                    while (i2 != i) {
                        if (i2 == 25) {
                            i2 = 0;
                        }
                        if ((this.f13372b[i2] & (1 << b.BEFORE.ordinal())) > 0) {
                            dayPeriodRules.f(i, i2, this.f13374d);
                        } else {
                            i2++;
                        }
                    }
                    throw new ICUException("FROM/AFTER cutoffs must have a matching BEFORE cutoff.");
                }
            }
        }

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                if (bVar.r("locales")) {
                    l2.d j2 = eVar.j();
                    for (int i2 = 0; j2.d(i2, bVar, eVar); i2++) {
                        this.f13371a.f13368a.put(bVar.toString(), Integer.valueOf(DayPeriodRules.o(eVar.f())));
                    }
                } else if (bVar.r("rules")) {
                    d(eVar.j(), bVar, eVar);
                }
            }
        }

        private e(d dVar) {
            this.f13372b = new int[25];
            this.f13371a = dVar;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void f(int i, int i2, DayPeriod dayPeriod) {
        while (i != i2) {
            if (i == 24) {
                i = 0;
            }
            this.f13363d[i] = dayPeriod;
            i++;
        }
    }

    private int h(DayPeriod dayPeriod) {
        if (dayPeriod == DayPeriod.MIDNIGHT) {
            return 0;
        }
        if (dayPeriod == DayPeriod.NOON) {
            return 12;
        }
        DayPeriod[] dayPeriodArr = this.f13363d;
        if (dayPeriodArr[0] == dayPeriod && dayPeriodArr[23] == dayPeriod) {
            for (int i = 1; i <= 22; i++) {
                if (this.f13363d[i] != dayPeriod) {
                    return i;
                }
            }
        } else {
            for (int i2 = 23; i2 >= 0; i2--) {
                if (this.f13363d[i2] == dayPeriod) {
                    return i2 + 1;
                }
            }
        }
        throw new IllegalArgumentException();
    }

    public static DayPeriodRules i(ULocale uLocale) {
        String baseName = uLocale.getBaseName();
        if (baseName.isEmpty()) {
            baseName = "root";
        }
        Integer num = null;
        while (num == null) {
            num = f13360a.f13368a.get(baseName);
            if (num != null) {
                break;
            }
            baseName = ULocale.getFallback(baseName);
            if (baseName.isEmpty()) {
                break;
            }
        }
        if (num != null) {
            d dVar = f13360a;
            if (dVar.f13369b[num.intValue()] != null) {
                return dVar.f13369b[num.intValue()];
            }
        }
        return null;
    }

    private int k(DayPeriod dayPeriod) throws IllegalArgumentException {
        if (dayPeriod == DayPeriod.MIDNIGHT) {
            return 0;
        }
        if (dayPeriod == DayPeriod.NOON) {
            return 12;
        }
        DayPeriod[] dayPeriodArr = this.f13363d;
        if (dayPeriodArr[0] == dayPeriod && dayPeriodArr[23] == dayPeriod) {
            for (int i = 22; i >= 1; i--) {
                if (this.f13363d[i] != dayPeriod) {
                    return i + 1;
                }
            }
        } else {
            for (int i2 = 0; i2 <= 23; i2++) {
                if (this.f13363d[i2] == dayPeriod) {
                    return i2;
                }
            }
        }
        throw new IllegalArgumentException();
    }

    private static d n() {
        d dVar = new d();
        ICUResourceBundle I0 = ICUResourceBundle.I0(a0.f13490d, "dayPeriods", ICUResourceBundle.j, true);
        I0.s0("rules", new c(dVar));
        dVar.f13369b = new DayPeriodRules[(dVar.f13370c + 1)];
        I0.s0("", new e(dVar));
        return dVar;
    }

    /* access modifiers changed from: private */
    public static int o(String str) {
        if (str.startsWith("set")) {
            return Integer.parseInt(str.substring(3));
        }
        throw new ICUException("Set number should start with \"set\".");
    }

    public DayPeriod g(int i) {
        return this.f13363d[i];
    }

    public double j(DayPeriod dayPeriod) {
        int k = k(dayPeriod);
        int h = h(dayPeriod);
        double d2 = ((double) (k + h)) / 2.0d;
        if (k <= h) {
            return d2;
        }
        double d3 = d2 + 12.0d;
        return d3 >= 24.0d ? d3 - 24.0d : d3;
    }

    public boolean l() {
        return this.f13361b;
    }

    public boolean m() {
        return this.f13362c;
    }

    private DayPeriodRules() {
        this.f13361b = false;
        this.f13362c = false;
        this.f13363d = new DayPeriod[24];
    }
}
