package com.ibm.icu.impl;

import com.ibm.icu.impl.i0;
import com.ibm.icu.impl.j0;
import com.ibm.icu.impl.k2;
import com.ibm.icu.impl.l2;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.UResourceTypeMismatchException;
import com.ibm.icu.util.h0;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.net.URL;
import java.security.AccessController;
import java.security.PrivilegedAction;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.EnumMap;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;
import java.util.MissingResourceException;
import java.util.ResourceBundle;
import java.util.Set;

public class ICUResourceBundle extends h0 {
    private static final String A = "ICUDATA";
    private static final char B = '-';
    private static final String C = "LOCALE";
    static final /* synthetic */ boolean D = false;
    public static final String i = "∅∅∅";
    public static final ClassLoader j = m.c(a0.class);
    protected static final String k = "InstalledLocales";
    private static d<String, ICUResourceBundle, i> l = new a();
    private static final String m = "res_index";
    private static final String n = "default";
    private static final String o = "fullLocaleNames.lst";
    private static final boolean p = c0.b("localedata");
    private static d<String, g, ClassLoader> q = new d();
    private static final Comparator<String[]> r = new e();
    public static final int s = -1;
    public static final int t = 3;
    public static final int u = 4;
    public static final int v = 5;
    public static final int w = 6;
    public static final int x = 9;
    private static final char y = '/';
    private static final String z = "/";
    j E;
    private ICUResourceBundle F;
    protected String G;

    public enum OpenType {
        LOCALE_DEFAULT_ROOT,
        LOCALE_ROOT,
        LOCALE_ONLY,
        DIRECT
    }

    static class a extends m1<String, ICUResourceBundle, i> {
        a() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: c */
        public ICUResourceBundle a(String str, i iVar) {
            return iVar.a();
        }
    }

    class b extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ l2.c f13377a;

        b(l2.c cVar) {
            this.f13377a = cVar;
        }

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                if (eVar.k() == 3) {
                    String a2 = eVar.a();
                    ICUResourceBundle iCUResourceBundle = ICUResourceBundle.this;
                    i0 i0Var = (i0) ICUResourceBundle.p0(a2, iCUResourceBundle.E.f13397d, "", null, 0, null, null, iCUResourceBundle);
                    j0.i iVar = new j0.i();
                    iVar.f13920a = i0Var.E.f13398e;
                    iVar.f13921b = i0Var.f1();
                    this.f13377a.a(bVar, iVar, z);
                } else {
                    this.f13377a.a(bVar, eVar, z);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static class c implements PrivilegedAction<Void> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ClassLoader f13379a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ String f13380b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ Set f13381c;

        /* access modifiers changed from: package-private */
        public class a implements k2.c {
            a() {
            }

            @Override // com.ibm.icu.impl.k2.c
            public void a(String str) {
                if (str.endsWith(".res")) {
                    c.this.f13381c.add(str.substring(0, str.length() - 4));
                }
            }
        }

        c(ClassLoader classLoader, String str, Set set) {
            this.f13379a = classLoader;
            this.f13380b = str;
            this.f13381c = set;
        }

        /* renamed from: a */
        public Void run() {
            try {
                Enumeration<URL> resources = this.f13379a.getResources(this.f13380b);
                if (resources == null) {
                    return null;
                }
                a aVar = new a();
                while (resources.hasMoreElements()) {
                    URL nextElement = resources.nextElement();
                    k2 b2 = k2.b(nextElement);
                    if (b2 != null) {
                        b2.d(aVar, false);
                    } else if (ICUResourceBundle.p) {
                        PrintStream printStream = System.out;
                        printStream.println("handler for " + nextElement + " is null");
                    }
                }
                return null;
            } catch (IOException e2) {
                if (ICUResourceBundle.p) {
                    PrintStream printStream2 = System.out;
                    printStream2.println("ouch: " + e2.getMessage());
                }
            }
        }
    }

    static class d extends m1<String, g, ClassLoader> {
        d() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: c */
        public g a(String str, ClassLoader classLoader) {
            return new g(str, classLoader);
        }
    }

    static class e implements Comparator<String[]> {
        e() {
        }

        /* renamed from: a */
        public int compare(String[] strArr, String[] strArr2) {
            return strArr[0].compareTo(strArr2[0]);
        }
    }

    /* access modifiers changed from: package-private */
    public static class f extends i {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ String f13383a;

        /* renamed from: b  reason: collision with root package name */
        final /* synthetic */ String f13384b;

        /* renamed from: c  reason: collision with root package name */
        final /* synthetic */ String f13385c;

        /* renamed from: d  reason: collision with root package name */
        final /* synthetic */ ClassLoader f13386d;

        /* renamed from: e  reason: collision with root package name */
        final /* synthetic */ OpenType f13387e;
        final /* synthetic */ String f;
        final /* synthetic */ String g;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        f(String str, String str2, String str3, ClassLoader classLoader, OpenType openType, String str4, String str5) {
            super(null);
            this.f13383a = str;
            this.f13384b = str2;
            this.f13385c = str3;
            this.f13386d = classLoader;
            this.f13387e = openType;
            this.f = str4;
            this.g = str5;
        }

        @Override // com.ibm.icu.impl.ICUResourceBundle.i
        public ICUResourceBundle a() {
            if (ICUResourceBundle.p) {
                PrintStream printStream = System.out;
                printStream.println("Creating " + this.f13383a);
            }
            String str = this.f13384b.indexOf(46) == -1 ? "root" : "";
            String str2 = this.f13385c.isEmpty() ? str : this.f13385c;
            ICUResourceBundle c0 = ICUResourceBundle.c0(this.f13384b, str2, this.f13386d);
            if (ICUResourceBundle.p) {
                PrintStream printStream2 = System.out;
                StringBuilder sb = new StringBuilder();
                sb.append("The bundle created is: ");
                sb.append(c0);
                sb.append(" and openType=");
                sb.append(this.f13387e);
                sb.append(" and bundle.getNoFallback=");
                sb.append(c0 != null && c0.Q0());
                printStream2.println(sb.toString());
            }
            if (this.f13387e == OpenType.DIRECT) {
                return c0;
            }
            if (c0 != null && c0.Q0()) {
                return c0;
            }
            if (c0 == null) {
                String str3 = this.f;
                String str4 = str3 != null ? str3 : str2;
                String S0 = ICUResourceBundle.S0(str2, str4, this.f13387e);
                if (S0 != null) {
                    return ICUResourceBundle.a1(this.f13384b, S0, str4, this.g, this.f13386d, this.f13387e);
                }
                if (this.f13387e == OpenType.LOCALE_DEFAULT_ROOT && !ICUResourceBundle.c1(this.g, str2)) {
                    String str5 = this.f13384b;
                    String str6 = this.g;
                    return ICUResourceBundle.a1(str5, str6, null, str6, this.f13386d, this.f13387e);
                } else if (this.f13387e == OpenType.LOCALE_ONLY || str.isEmpty()) {
                    return c0;
                } else {
                    return ICUResourceBundle.c0(this.f13384b, str, this.f13386d);
                }
            } else {
                ICUResourceBundle iCUResourceBundle = null;
                String u = c0.u();
                int lastIndexOf = u.lastIndexOf(95);
                String i1 = ((i0.g) c0).i1("%%Parent");
                if (i1 != null) {
                    iCUResourceBundle = ICUResourceBundle.a1(this.f13384b, i1, null, this.g, this.f13386d, this.f13387e);
                } else if (lastIndexOf != -1) {
                    iCUResourceBundle = ICUResourceBundle.a1(this.f13384b, u.substring(0, lastIndexOf), null, this.g, this.f13386d, this.f13387e);
                } else if (!u.equals(str)) {
                    iCUResourceBundle = ICUResourceBundle.a1(this.f13384b, str, null, this.g, this.f13386d, this.f13387e);
                }
                if (c0.equals(iCUResourceBundle)) {
                    return c0;
                }
                c0.setParent(iCUResourceBundle);
                return c0;
            }
        }
    }

    /* access modifiers changed from: private */
    public static final class g {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ boolean f13388a = false;

        /* renamed from: b  reason: collision with root package name */
        private String f13389b;

        /* renamed from: c  reason: collision with root package name */
        private ClassLoader f13390c;

        /* renamed from: d  reason: collision with root package name */
        private volatile EnumMap<ULocale.AvailableType, ULocale[]> f13391d;

        /* renamed from: e  reason: collision with root package name */
        private volatile Locale[] f13392e;
        private volatile Set<String> f;
        private volatile Set<String> g;

        g(String str, ClassLoader classLoader) {
            this.f13389b = str;
            this.f13390c = classLoader;
        }

        /* access modifiers changed from: package-private */
        public Set<String> a() {
            if (this.g == null) {
                synchronized (this) {
                    if (this.g == null) {
                        this.g = ICUResourceBundle.d0(this.f13389b, this.f13390c);
                    }
                }
            }
            return this.g;
        }

        /* access modifiers changed from: package-private */
        public Locale[] b(ULocale.AvailableType availableType) {
            if (this.f13392e == null) {
                d(availableType);
                synchronized (this) {
                    if (this.f13392e == null) {
                        this.f13392e = ICUResourceBundle.P0(this.f13391d.get(availableType));
                    }
                }
            }
            return this.f13392e;
        }

        /* access modifiers changed from: package-private */
        public Set<String> c() {
            if (this.f == null) {
                synchronized (this) {
                    if (this.f == null) {
                        this.f = ICUResourceBundle.e0(this.f13389b, this.f13390c);
                    }
                }
            }
            return this.f;
        }

        /* access modifiers changed from: package-private */
        public ULocale[] d(ULocale.AvailableType availableType) {
            if (this.f13391d == null) {
                synchronized (this) {
                    if (this.f13391d == null) {
                        this.f13391d = ICUResourceBundle.f0(this.f13389b, this.f13390c);
                    }
                }
            }
            return this.f13391d.get(availableType);
        }
    }

    /* access modifiers changed from: private */
    public static final class h extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        EnumMap<ULocale.AvailableType, ULocale[]> f13393a;

        public h(EnumMap<ULocale.AvailableType, ULocale[]> enumMap) {
            this.f13393a = enumMap;
        }

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            ULocale.AvailableType availableType;
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                if (bVar.r(ICUResourceBundle.k)) {
                    availableType = ULocale.AvailableType.DEFAULT;
                } else if (bVar.r("AliasLocales")) {
                    availableType = ULocale.AvailableType.ONLY_LEGACY_ALIASES;
                }
                l2.d j2 = eVar.j();
                ULocale[] uLocaleArr = new ULocale[j2.a()];
                for (int i2 = 0; j2.d(i2, bVar, eVar); i2++) {
                    uLocaleArr[i2] = new ULocale(bVar.toString());
                }
                this.f13393a.put(availableType, uLocaleArr);
            }
        }
    }

    /* access modifiers changed from: private */
    public static abstract class i {
        private i() {
        }

        /* access modifiers changed from: package-private */
        public abstract ICUResourceBundle a();

        /* synthetic */ i(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: protected */
    public static final class j {

        /* renamed from: a  reason: collision with root package name */
        String f13394a;

        /* renamed from: b  reason: collision with root package name */
        String f13395b;

        /* renamed from: c  reason: collision with root package name */
        ULocale f13396c;

        /* renamed from: d  reason: collision with root package name */
        ClassLoader f13397d;

        /* renamed from: e  reason: collision with root package name */
        j0 f13398e;
        Set<String> f;

        j(String str, String str2, ClassLoader classLoader, j0 j0Var) {
            this.f13394a = str;
            this.f13395b = str2;
            this.f13396c = new ULocale(str2);
            this.f13397d = classLoader;
            this.f13398e = j0Var;
        }
    }

    protected ICUResourceBundle(j jVar) {
        this.E = jVar;
    }

    public static final Locale[] A0(String str, ClassLoader classLoader, ULocale.AvailableType availableType) {
        return u0(str, classLoader).b(availableType);
    }

    public static final ULocale[] B0() {
        return E0(a0.f13490d, j, ULocale.AvailableType.DEFAULT);
    }

    public static final ULocale[] C0(ULocale.AvailableType availableType) {
        return E0(a0.f13490d, j, availableType);
    }

    public static final ULocale[] D0(String str, ClassLoader classLoader) {
        return E0(str, classLoader, ULocale.AvailableType.DEFAULT);
    }

    public static final ULocale[] E0(String str, ClassLoader classLoader, ULocale.AvailableType availableType) {
        return u0(str, classLoader).d(availableType);
    }

    private static ICUResourceBundle F0(j0 j0Var, String str, String str2, ClassLoader classLoader) {
        int P = j0Var.P();
        if (j0.f(j0.c(P))) {
            i0.g gVar = new i0.g(new j(str, str2, classLoader, j0Var), P);
            String i1 = gVar.i1("%%ALIAS");
            return i1 != null ? (ICUResourceBundle) h0.l(str, i1) : gVar;
        }
        throw new IllegalStateException("Invalid format error");
    }

    public static ICUResourceBundle G0(String str, ULocale uLocale, OpenType openType) {
        if (uLocale == null) {
            uLocale = ULocale.getDefault();
        }
        return H0(str, uLocale.getBaseName(), j, openType);
    }

    public static ICUResourceBundle H0(String str, String str2, ClassLoader classLoader, OpenType openType) {
        ICUResourceBundle iCUResourceBundle;
        if (str == null) {
            str = a0.f13490d;
        }
        String baseName = ULocale.getBaseName(str2);
        if (openType == OpenType.LOCALE_DEFAULT_ROOT) {
            iCUResourceBundle = a1(str, baseName, null, ULocale.getDefault().getBaseName(), classLoader, openType);
        } else {
            iCUResourceBundle = a1(str, baseName, null, null, classLoader, openType);
        }
        if (iCUResourceBundle != null) {
            return iCUResourceBundle;
        }
        throw new MissingResourceException("Could not find the bundle " + str + z + baseName + ".res", "", "");
    }

    public static ICUResourceBundle I0(String str, String str2, ClassLoader classLoader, boolean z2) {
        return H0(str, str2, classLoader, z2 ? OpenType.DIRECT : OpenType.LOCALE_DEFAULT_ROOT);
    }

    private static String J0(String str, String str2) {
        Map<String, String> map = q0.f14335a;
        String str3 = map.get(str + com.ibm.icu.impl.locale.b.f14006b + str2);
        if (str3 == null) {
            str3 = map.get(str);
        }
        return str3 == null ? "Latn" : str3;
    }

    private static String K0(String str) {
        return q0.f14336b.get(str);
    }

    public static Set<String> L0() {
        return M0(a0.f13490d, j);
    }

    public static Set<String> M0(String str, ClassLoader classLoader) {
        return u0(str, classLoader).a();
    }

    public static final ULocale N0(String str, ClassLoader classLoader, String str2, String str3, ULocale uLocale, boolean[] zArr, boolean z2) {
        boolean z3;
        String keywordValue = uLocale.getKeywordValue(str3);
        String baseName = uLocale.getBaseName();
        ULocale uLocale2 = new ULocale(baseName);
        int i2 = 0;
        if (keywordValue == null || keywordValue.length() == 0 || keywordValue.equals("default")) {
            keywordValue = "";
            z3 = true;
        } else {
            z3 = false;
        }
        ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) h0.j(str, uLocale2);
        if (zArr != null) {
            zArr[0] = false;
            ULocale[] d2 = u0(str, classLoader).d(ULocale.AvailableType.DEFAULT);
            int i3 = 0;
            while (true) {
                if (i3 >= d2.length) {
                    break;
                } else if (uLocale2.equals(d2[i3])) {
                    zArr[0] = true;
                    break;
                } else {
                    i3++;
                }
            }
        }
        ULocale uLocale3 = null;
        String str4 = null;
        int i4 = 0;
        do {
            try {
                str4 = ((ICUResourceBundle) iCUResourceBundle.d(str2)).getString("default");
                if (z3) {
                    keywordValue = str4;
                    z3 = false;
                }
                uLocale3 = iCUResourceBundle.D();
            } catch (MissingResourceException unused) {
            }
            if (uLocale3 == null) {
                iCUResourceBundle = iCUResourceBundle.v();
                i4++;
            }
            if (iCUResourceBundle == null) {
                break;
            }
        } while (uLocale3 == null);
        ICUResourceBundle iCUResourceBundle2 = (ICUResourceBundle) h0.j(str, new ULocale(baseName));
        ULocale uLocale4 = null;
        int i5 = 0;
        do {
            try {
                ICUResourceBundle iCUResourceBundle3 = (ICUResourceBundle) iCUResourceBundle2.d(str2);
                iCUResourceBundle3.d(keywordValue);
                uLocale4 = iCUResourceBundle3.D();
                if (uLocale4 != null && i5 > i4) {
                    str4 = iCUResourceBundle3.getString("default");
                    iCUResourceBundle2.D();
                    i4 = i5;
                }
            } catch (MissingResourceException unused2) {
            }
            if (uLocale4 == null) {
                iCUResourceBundle2 = iCUResourceBundle2.v();
                i5++;
            }
            if (iCUResourceBundle2 == null) {
                break;
            }
        } while (uLocale4 == null);
        if (uLocale4 == null && str4 != null && !str4.equals(keywordValue)) {
            ICUResourceBundle iCUResourceBundle4 = (ICUResourceBundle) h0.j(str, new ULocale(baseName));
            String str5 = str4;
            do {
                try {
                    ICUResourceBundle iCUResourceBundle5 = (ICUResourceBundle) iCUResourceBundle4.d(str2);
                    uLocale4 = iCUResourceBundle4.D();
                    if (!uLocale4.getBaseName().equals(((ICUResourceBundle) iCUResourceBundle5.d(str4)).D().getBaseName())) {
                        uLocale4 = null;
                    }
                    if (uLocale4 != null && i2 > i4) {
                        str5 = iCUResourceBundle5.getString("default");
                        iCUResourceBundle4.D();
                        i4 = i2;
                    }
                } catch (MissingResourceException unused3) {
                }
                if (uLocale4 == null) {
                    iCUResourceBundle4 = iCUResourceBundle4.v();
                    i2++;
                }
                if (iCUResourceBundle4 == null) {
                    break;
                }
            } while (uLocale4 == null);
            i5 = i2;
            keywordValue = str4;
            str4 = str5;
        }
        if (uLocale4 == null) {
            throw new MissingResourceException("Could not find locale containing requested or default keyword.", str, str3 + "=" + keywordValue);
        } else if (z2 && str4.equals(keywordValue) && i5 <= i4) {
            return uLocale4;
        } else {
            return new ULocale(uLocale4.getBaseName() + "@" + str3 + "=" + keywordValue);
        }
    }

    public static final String[] O0(String str, String str2) {
        HashSet hashSet = new HashSet();
        ULocale[] d2 = u0(str, j).d(ULocale.AvailableType.DEFAULT);
        for (int i2 = 0; i2 < d2.length; i2++) {
            try {
                Enumeration<String> keys = ((ICUResourceBundle) h0.j(str, d2[i2]).getObject(str2)).getKeys();
                while (keys.hasMoreElements()) {
                    String nextElement = keys.nextElement();
                    if (!"default".equals(nextElement) && !nextElement.startsWith("private-")) {
                        hashSet.add(nextElement);
                    }
                }
            } catch (Throwable unused) {
            }
        }
        return (String[]) hashSet.toArray(new String[0]);
    }

    public static final Locale[] P0(ULocale[] uLocaleArr) {
        ArrayList arrayList = new ArrayList(uLocaleArr.length);
        HashSet hashSet = new HashSet();
        for (ULocale uLocale : uLocaleArr) {
            Locale locale = uLocale.toLocale();
            if (!hashSet.contains(locale)) {
                arrayList.add(locale);
                hashSet.add(locale);
            }
        }
        return (Locale[]) arrayList.toArray(new Locale[arrayList.size()]);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean Q0() {
        return this.E.f13398e.M();
    }

    /* access modifiers changed from: private */
    public static String S0(String str, String str2, OpenType openType) {
        String K0;
        if (str.endsWith(com.ibm.icu.impl.locale.b.f14006b) || !ULocale.getVariant(str).isEmpty()) {
            int lastIndexOf = str.lastIndexOf(95);
            if (lastIndexOf >= 0) {
                return str.substring(0, lastIndexOf);
            }
            return null;
        }
        ULocale uLocale = new ULocale(str);
        String language = uLocale.getLanguage();
        String script = uLocale.getScript();
        String country = uLocale.getCountry();
        OpenType openType2 = OpenType.LOCALE_DEFAULT_ROOT;
        if (openType != openType2 || (K0 = K0(str)) == null) {
            if (script.isEmpty() || country.isEmpty()) {
                if (!country.isEmpty()) {
                    String script2 = ULocale.getScript(str2);
                    if (!script2.isEmpty()) {
                        return language + com.ibm.icu.impl.locale.b.f14006b + script2;
                    }
                    return language + com.ibm.icu.impl.locale.b.f14006b + J0(language, country);
                } else if (script.isEmpty()) {
                    return null;
                } else {
                    if (openType != openType2 || J0(language, null).equals(script)) {
                        return language;
                    }
                    return null;
                }
            } else if (J0(language, country).equals(script)) {
                return language + com.ibm.icu.impl.locale.b.f14006b + country;
            } else {
                return language + com.ibm.icu.impl.locale.b.f14006b + script;
            }
        } else if (K0.equals("root")) {
            return null;
        } else {
            return K0;
        }
    }

    private int T0() {
        ICUResourceBundle iCUResourceBundle = this.F;
        if (iCUResourceBundle == null) {
            return 0;
        }
        return iCUResourceBundle.T0() + 1;
    }

    private static void U0(String str, int i2, String[] strArr, int i3) {
        if (i2 != 0) {
            if (i2 == 1) {
                strArr[i3] = str;
                return;
            }
            int i4 = 0;
            while (true) {
                int indexOf = str.indexOf(47, i4);
                int i5 = i3 + 1;
                strArr[i3] = str.substring(i4, indexOf);
                if (i2 == 2) {
                    strArr[i5] = str.substring(indexOf + 1);
                    return;
                }
                i4 = indexOf + 1;
                i2--;
                i3 = i5;
            }
        }
    }

    private void V0(String[] strArr, int i2) {
        ICUResourceBundle iCUResourceBundle = this;
        while (i2 > 0) {
            i2--;
            strArr[i2] = iCUResourceBundle.G;
            iCUResourceBundle = iCUResourceBundle.F;
        }
    }

    private static final void W(String str, ClassLoader classLoader, Set<String> set) {
        AccessController.doPrivileged(new c(classLoader, str, set));
    }

    private static final void X(String str, ClassLoader classLoader, Set<String> set) {
        try {
            com.ibm.icu.util.i0 s2 = ((ICUResourceBundle) ((ICUResourceBundle) h0.K(str, m, classLoader, true)).d(k)).s();
            s2.d();
            while (s2.a()) {
                set.add(s2.b().t());
            }
        } catch (MissingResourceException unused) {
            if (p) {
                PrintStream printStream = System.out;
                printStream.println("couldn't find " + str + y + m + ".res");
                Thread.dumpStack();
            }
        }
    }

    private static void Y(String str, ClassLoader classLoader, Set<String> set) {
        try {
            InputStream resourceAsStream = classLoader.getResourceAsStream(str + o);
            if (resourceAsStream != null) {
                BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(resourceAsStream, "ASCII"));
                while (true) {
                    try {
                        String readLine = bufferedReader.readLine();
                        if (readLine == null) {
                            return;
                        }
                        if (readLine.length() != 0 && !readLine.startsWith("#")) {
                            set.add(readLine);
                        }
                    } finally {
                        bufferedReader.close();
                    }
                }
            }
        } catch (IOException unused) {
        }
    }

    /* access modifiers changed from: private */
    public static ICUResourceBundle a1(String str, String str2, String str3, String str4, ClassLoader classLoader, OpenType openType) {
        String str5;
        String F2 = j0.F(str, str2);
        char ordinal = (char) (openType.ordinal() + 48);
        if (openType != OpenType.LOCALE_DEFAULT_ROOT) {
            str5 = F2 + '#' + ordinal;
        } else {
            str5 = F2 + '#' + ordinal + '#' + str4;
        }
        return l.b(str5, new f(F2, str, str2, classLoader, openType, str3, str4));
    }

    private static int b0(String str) {
        if (str.isEmpty()) {
            return 0;
        }
        int i2 = 1;
        for (int i3 = 0; i3 < str.length(); i3++) {
            if (str.charAt(i3) == '/') {
                i2++;
            }
        }
        return i2;
    }

    public static ICUResourceBundle c0(String str, String str2, ClassLoader classLoader) {
        j0 N = j0.N(str, str2, classLoader);
        if (N == null) {
            return null;
        }
        return F0(N, str, str2, classLoader);
    }

    /* access modifiers changed from: private */
    public static boolean c1(String str, String str2) {
        return str.startsWith(str2) && (str.length() == str2.length() || str.charAt(str2.length()) == '_');
    }

    /* access modifiers changed from: private */
    public static Set<String> d0(String str, ClassLoader classLoader) {
        String str2;
        String str3;
        if (str.endsWith(z)) {
            str2 = str;
        } else {
            str2 = str + z;
        }
        HashSet hashSet = new HashSet();
        if (!x.b("com.ibm.icu.impl.ICUResourceBundle.skipRuntimeLocaleResourceScan", "false").equalsIgnoreCase("true")) {
            W(str2, classLoader, hashSet);
            if (str.startsWith(a0.f13490d)) {
                if (str.length() == 30) {
                    str3 = "";
                } else {
                    str3 = str.charAt(30) == '/' ? str.substring(31) : null;
                }
                if (str3 != null) {
                    v.b(str3, ".res", hashSet);
                }
            }
            hashSet.remove(m);
            Iterator it = hashSet.iterator();
            while (it.hasNext()) {
                String str4 = (String) it.next();
                if ((str4.length() == 1 || str4.length() > 3) && str4.indexOf(95) < 0) {
                    it.remove();
                }
            }
        }
        if (hashSet.isEmpty()) {
            if (p) {
                System.out.println("unable to enumerate data files in " + str);
            }
            Y(str2, classLoader, hashSet);
        }
        if (hashSet.isEmpty()) {
            X(str, classLoader, hashSet);
        }
        hashSet.remove("root");
        hashSet.add(ULocale.ROOT.toString());
        return Collections.unmodifiableSet(hashSet);
    }

    /* access modifiers changed from: private */
    public static Set<String> e0(String str, ClassLoader classLoader) {
        HashSet hashSet = new HashSet();
        X(str, classLoader, hashSet);
        return Collections.unmodifiableSet(hashSet);
    }

    /* access modifiers changed from: private */
    public static final EnumMap<ULocale.AvailableType, ULocale[]> f0(String str, ClassLoader classLoader) {
        EnumMap<ULocale.AvailableType, ULocale[]> enumMap = new EnumMap<>(ULocale.AvailableType.class);
        ((ICUResourceBundle) h0.K(str, m, classLoader, true)).s0("", new h(enumMap));
        return enumMap;
    }

    private static final ICUResourceBundle g0(String str, h0 h0Var, h0 h0Var2) {
        if (str.length() == 0) {
            return null;
        }
        ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) h0Var;
        int T0 = iCUResourceBundle.T0();
        int b0 = b0(str);
        String[] strArr = new String[(T0 + b0)];
        U0(str, b0, strArr, T0);
        return h0(strArr, T0, iCUResourceBundle, h0Var2);
    }

    private static final ICUResourceBundle h0(String[] strArr, int i2, ICUResourceBundle iCUResourceBundle, h0 h0Var) {
        if (h0Var == null) {
            h0Var = iCUResourceBundle;
        }
        while (true) {
            int i3 = i2 + 1;
            ICUResourceBundle iCUResourceBundle2 = (ICUResourceBundle) iCUResourceBundle.G(strArr[i2], null, h0Var);
            if (iCUResourceBundle2 == null) {
                int i4 = i3 - 1;
                ICUResourceBundle R0 = iCUResourceBundle.v();
                if (R0 == null) {
                    return null;
                }
                int T0 = iCUResourceBundle.T0();
                if (i4 != T0) {
                    String[] strArr2 = new String[((strArr.length - i4) + T0)];
                    System.arraycopy(strArr, i4, strArr2, T0, strArr.length - i4);
                    strArr = strArr2;
                }
                iCUResourceBundle.V0(strArr, T0);
                iCUResourceBundle = R0;
                i2 = 0;
            } else if (i3 == strArr.length) {
                return iCUResourceBundle2;
            } else {
                iCUResourceBundle = iCUResourceBundle2;
                i2 = i3;
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:41:0x009b, code lost:
        r0 = r3.E.f13398e;
        r4 = r3.T0();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:42:0x00a3, code lost:
        if (r14 == r4) goto L_0x00b5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:43:0x00a5, code lost:
        r5 = new java.lang.String[((r13.length - r14) + r4)];
        java.lang.System.arraycopy(r13, r14, r5, r4, r13.length - r14);
        r11 = r0;
        r0 = r3;
        r12 = r4;
        r13 = r5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:44:0x00b5, code lost:
        r11 = r0;
        r0 = r3;
        r12 = r4;
        r4 = r14;
     */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00c7  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x00c6 A[SYNTHETIC] */
    private static final String j0(String str, h0 h0Var, h0 h0Var2) {
        ICUResourceBundle R0;
        j0.e eVar;
        ICUResourceBundle iCUResourceBundle;
        if (str.length() == 0 || !(h0Var instanceof i0.c)) {
            return null;
        }
        h0 h0Var3 = h0Var2 == null ? h0Var : h0Var2;
        ICUResourceBundle iCUResourceBundle2 = (ICUResourceBundle) h0Var;
        j0 j0Var = iCUResourceBundle2.E.f13398e;
        int T0 = iCUResourceBundle2.T0();
        int b0 = b0(str);
        String[] strArr = new String[(T0 + b0)];
        U0(str, b0, strArr, T0);
        j0 j0Var2 = j0Var;
        int i2 = T0;
        String[] strArr2 = strArr;
        while (true) {
            int i3 = -1;
            while (true) {
                if (i3 != -1) {
                    int c2 = j0.c(i3);
                    if (j0.f(c2)) {
                        eVar = j0Var2.S(i3);
                    } else if (j0.e(c2)) {
                        eVar = j0Var2.B(i3);
                    } else {
                        i3 = -1;
                        R0 = iCUResourceBundle2.v();
                        if (R0 == null) {
                            return null;
                        }
                        iCUResourceBundle2.V0(strArr2, i2);
                        j0Var2 = R0.E.f13398e;
                        i2 = 0;
                        iCUResourceBundle2 = R0;
                        T0 = 0;
                    }
                } else {
                    int B2 = iCUResourceBundle2.B();
                    if (B2 == 2 || B2 == 8) {
                        eVar = ((i0.c) iCUResourceBundle2).I;
                    }
                    R0 = iCUResourceBundle2.v();
                    if (R0 == null) {
                    }
                }
                int i4 = T0 + 1;
                String str2 = strArr2[T0];
                int h2 = eVar.h(j0Var2, str2);
                if (h2 == -1) {
                    i3 = h2;
                    R0 = iCUResourceBundle2.v();
                    if (R0 == null) {
                    }
                } else {
                    if (j0.c(h2) == 3) {
                        iCUResourceBundle2.V0(strArr2, i2);
                        iCUResourceBundle = o0(iCUResourceBundle2, strArr2, i4, str2, h2, null, h0Var3);
                    } else {
                        iCUResourceBundle = null;
                    }
                    if (i4 == strArr2.length) {
                        if (iCUResourceBundle != null) {
                            return iCUResourceBundle.y();
                        }
                        String Q = j0Var2.Q(h2);
                        if (Q != null) {
                            return Q;
                        }
                        throw new UResourceTypeMismatchException("");
                    } else if (iCUResourceBundle != null) {
                        break;
                    } else {
                        T0 = i4;
                        i3 = h2;
                    }
                }
            }
        }
    }

    protected static ICUResourceBundle o0(ICUResourceBundle iCUResourceBundle, String[] strArr, int i2, String str, int i3, HashMap<String, String> hashMap, h0 h0Var) {
        j jVar = iCUResourceBundle.E;
        ClassLoader classLoader = jVar.f13397d;
        String A2 = jVar.f13398e.A(i3);
        String str2 = jVar.f13394a;
        int T0 = iCUResourceBundle.T0();
        String[] strArr2 = new String[(T0 + 1)];
        iCUResourceBundle.V0(strArr2, T0);
        strArr2[T0] = str;
        return p0(A2, classLoader, str2, strArr, i2, strArr2, hashMap, h0Var);
    }

    protected static ICUResourceBundle p0(String str, ClassLoader classLoader, String str2, String[] strArr, int i2, String[] strArr2, HashMap<String, String> hashMap, h0 h0Var) {
        String str3;
        String str4;
        ClassLoader classLoader2;
        String str5;
        String[] strArr3;
        int i3;
        int indexOf;
        HashMap<String, String> hashMap2 = hashMap == null ? new HashMap<>() : hashMap;
        if (hashMap2.get(str) == null) {
            hashMap2.put(str, "");
            ICUResourceBundle iCUResourceBundle = null;
            int i4 = 0;
            if (str.indexOf(47) == 0) {
                int indexOf2 = str.indexOf(47, 1);
                int i5 = indexOf2 + 1;
                int indexOf3 = str.indexOf(47, i5);
                String substring = str.substring(1, indexOf2);
                if (indexOf3 < 0) {
                    str5 = str.substring(i5);
                    str3 = null;
                } else {
                    String substring2 = str.substring(i5, indexOf3);
                    str3 = str.substring(indexOf3 + 1, str.length());
                    str5 = substring2;
                }
                if (substring.equals(A)) {
                    classLoader2 = j;
                    str4 = a0.f13490d;
                } else if (substring.indexOf(A) <= -1 || (indexOf = substring.indexOf(45)) <= -1) {
                    str4 = substring;
                    classLoader2 = classLoader;
                } else {
                    str4 = "com/ibm/icu/impl/data/icudt72b/" + substring.substring(indexOf + 1, substring.length());
                    classLoader2 = j;
                }
            } else {
                int indexOf4 = str.indexOf(47);
                if (indexOf4 != -1) {
                    String substring3 = str.substring(0, indexOf4);
                    str3 = str.substring(indexOf4 + 1);
                    str5 = substring3;
                } else {
                    str5 = str;
                    str3 = null;
                }
                classLoader2 = classLoader;
                str4 = str2;
            }
            if (str4.equals(C)) {
                String substring4 = str.substring(8, str.length());
                ICUResourceBundle iCUResourceBundle2 = (ICUResourceBundle) h0Var;
                while (true) {
                    ICUResourceBundle iCUResourceBundle3 = iCUResourceBundle2.F;
                    if (iCUResourceBundle3 == null) {
                        break;
                    }
                    iCUResourceBundle2 = iCUResourceBundle3;
                }
                iCUResourceBundle = g0(substring4, iCUResourceBundle2, null);
            } else {
                ICUResourceBundle I0 = I0(str4, str5, classLoader2, false);
                if (str3 != null) {
                    i3 = b0(str3);
                    if (i3 > 0) {
                        strArr3 = new String[i3];
                        U0(str3, i3, strArr3, 0);
                    } else {
                        strArr3 = strArr;
                    }
                } else if (strArr != null) {
                    strArr3 = strArr;
                    i3 = i2;
                } else {
                    i3 = strArr2.length;
                    strArr3 = strArr2;
                }
                if (i3 > 0) {
                    iCUResourceBundle = I0;
                    while (iCUResourceBundle != null && i4 < i3) {
                        iCUResourceBundle = iCUResourceBundle.n0(strArr3[i4], hashMap2, h0Var);
                        i4++;
                    }
                }
            }
            if (iCUResourceBundle != null) {
                return iCUResourceBundle;
            }
            throw new MissingResourceException(str5, str2, strArr2[strArr2.length - 1]);
        }
        throw new IllegalArgumentException("Circular references in the resource bundles");
    }

    private void r0(l2.b bVar, j0.i iVar, l2.c cVar, h0 h0Var) {
        i0 i0Var = (i0) this;
        iVar.f13920a = i0Var.E.f13398e;
        iVar.f13921b = i0Var.f1();
        String str = this.G;
        if (str == null) {
            str = "";
        }
        bVar.y(str);
        cVar.a(bVar, iVar, ((ResourceBundle) this).parent == null);
        ResourceBundle resourceBundle = ((ResourceBundle) this).parent;
        if (resourceBundle != null) {
            ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) resourceBundle;
            int T0 = T0();
            if (T0 != 0) {
                String[] strArr = new String[T0];
                V0(strArr, T0);
                iCUResourceBundle = h0(strArr, 0, iCUResourceBundle, h0Var);
            }
            if (iCUResourceBundle != null) {
                iCUResourceBundle.r0(bVar, iVar, cVar, h0Var);
            }
        }
    }

    private static g u0(String str, ClassLoader classLoader) {
        return q.b(str, classLoader);
    }

    public static Set<String> v0() {
        return w0(a0.f13490d, j);
    }

    public static Set<String> w0(String str, ClassLoader classLoader) {
        return u0(str, classLoader).c();
    }

    public static final Locale[] x0() {
        return A0(a0.f13490d, j, ULocale.AvailableType.DEFAULT);
    }

    public static final Locale[] y0(ULocale.AvailableType availableType) {
        return A0(a0.f13490d, j, availableType);
    }

    public static final Locale[] z0(String str, ClassLoader classLoader) {
        return A0(str, classLoader, ULocale.AvailableType.DEFAULT);
    }

    @Override // com.ibm.icu.util.h0
    public ULocale D() {
        return this.E.f13396c;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.h0
    public Enumeration<String> H() {
        return Collections.enumeration(handleKeySet());
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.h0
    public boolean L() {
        return this.F == null;
    }

    /* renamed from: R0 */
    public ICUResourceBundle v() {
        return (ICUResourceBundle) ((ResourceBundle) this).parent;
    }

    public String W0(String str) throws MissingResourceException {
        String j0 = j0(str, this, null);
        if (j0 == null) {
            throw new MissingResourceException("Can't find resource for bundle " + getClass().getName() + ", key " + B(), str, t());
        } else if (!j0.equals(i)) {
            return j0;
        } else {
            throw new MissingResourceException("Encountered NO_INHERITANCE_MARKER", str, t());
        }
    }

    @Deprecated
    public final Set<String> X0() {
        return this.E.f;
    }

    public l2.e Y0(String str) throws MissingResourceException {
        ICUResourceBundle iCUResourceBundle;
        if (str.isEmpty()) {
            iCUResourceBundle = this;
        } else {
            iCUResourceBundle = g0(str, this, null);
            if (iCUResourceBundle == null) {
                throw new MissingResourceException("Can't find resource for bundle " + getClass().getName() + ", key " + B(), str, t());
            }
        }
        j0.i iVar = new j0.i();
        i0 i0Var = (i0) iCUResourceBundle;
        iVar.f13920a = i0Var.E.f13398e;
        iVar.f13921b = i0Var.f1();
        return iVar;
    }

    public ICUResourceBundle Z(int i2) {
        return (ICUResourceBundle) F(i2, null, this);
    }

    public ICUResourceBundle Z0(String str) throws MissingResourceException {
        ICUResourceBundle g0 = g0(str, this, null);
        if (g0 == null) {
            throw new MissingResourceException("Can't find resource for bundle " + getClass().getName() + ", key " + B(), str, t());
        } else if (g0.B() != 0 || !g0.y().equals(i)) {
            return g0;
        } else {
            throw new MissingResourceException("Encountered NO_INHERITANCE_MARKER", str, t());
        }
    }

    public ICUResourceBundle a0(String str) {
        if (this instanceof i0.g) {
            return (ICUResourceBundle) G(str, null, this);
        }
        return null;
    }

    public boolean b1() {
        return this.E.f13395b.isEmpty() || this.E.f13395b.equals("root");
    }

    @Deprecated
    public final void d1(Set<String> set) {
        this.E.f = set;
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.h0
    public String e() {
        return this.E.f13394a;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof ICUResourceBundle)) {
            return false;
        }
        ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) obj;
        if (!e().equals(iCUResourceBundle.e()) || !u().equals(iCUResourceBundle.u())) {
            return false;
        }
        return true;
    }

    @Override // com.ibm.icu.util.h0
    public Locale getLocale() {
        return D().toLocale();
    }

    public int hashCode() {
        return 42;
    }

    public String i0(String str) {
        return j0(str, this, null);
    }

    /* renamed from: k0 */
    public ICUResourceBundle a(int i2) {
        return (ICUResourceBundle) super.a(i2);
    }

    /* renamed from: l0 */
    public ICUResourceBundle b(String str) {
        return (ICUResourceBundle) super.b(str);
    }

    public ICUResourceBundle m0(String str) {
        return g0(str, this, null);
    }

    /* access modifiers changed from: package-private */
    public ICUResourceBundle n0(String str, HashMap<String, String> hashMap, h0 h0Var) {
        ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) G(str, hashMap, h0Var);
        if (iCUResourceBundle == null) {
            iCUResourceBundle = v();
            if (iCUResourceBundle != null) {
                iCUResourceBundle = iCUResourceBundle.n0(str, hashMap, h0Var);
            }
            if (iCUResourceBundle == null) {
                String F2 = j0.F(e(), u());
                throw new MissingResourceException("Can't find resource for bundle " + F2 + ", key " + str, getClass().getName(), str);
            }
        }
        return iCUResourceBundle;
    }

    public void q0(String str, l2.c cVar) throws MissingResourceException {
        s0(str, new b(cVar));
    }

    public void s0(String str, l2.c cVar) throws MissingResourceException {
        ICUResourceBundle iCUResourceBundle;
        int b0 = b0(str);
        if (b0 == 0) {
            iCUResourceBundle = this;
        } else {
            int T0 = T0();
            String[] strArr = new String[(T0 + b0)];
            U0(str, b0, strArr, T0);
            iCUResourceBundle = h0(strArr, T0, this, null);
            if (iCUResourceBundle == null) {
                throw new MissingResourceException("Can't find resource for bundle " + getClass().getName() + ", key " + B(), str, t());
            }
        }
        iCUResourceBundle.r0(new l2.b(), new j0.i(), cVar, this);
    }

    /* access modifiers changed from: protected */
    public void setParent(ResourceBundle resourceBundle) {
        ((ResourceBundle) this).parent = resourceBundle;
    }

    @Override // com.ibm.icu.util.h0
    public String t() {
        return this.G;
    }

    public void t0(String str, l2.c cVar) {
        try {
            s0(str, cVar);
        } catch (MissingResourceException unused) {
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.ibm.icu.util.h0
    public String u() {
        return this.E.f13395b;
    }

    protected ICUResourceBundle(ICUResourceBundle iCUResourceBundle, String str) {
        this.G = str;
        this.E = iCUResourceBundle.E;
        this.F = iCUResourceBundle;
        ((ResourceBundle) this).parent = ((ResourceBundle) iCUResourceBundle).parent;
    }
}
