package com.ibm.icu.impl;

import com.google.android.exoplayer2.C;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.ibm.icu.impl.CurrencyData;
import com.ibm.icu.impl.l2;
import com.ibm.icu.lang.UScript;
import com.ibm.icu.text.DisplayContext;
import com.ibm.icu.text.LocaleDisplayNames;
import com.ibm.icu.text.n;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.h0;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.MissingResourceException;
import java.util.Set;

public class LocaleDisplayNamesImpl extends LocaleDisplayNames {

    /* renamed from: c  reason: collision with root package name */
    private static final b f13399c = new b(null);

    /* renamed from: d  reason: collision with root package name */
    private static final Map<String, d> f13400d;

    /* renamed from: e  reason: collision with root package name */
    private static final n.d f13401e = n.f().p().m();
    private final ULocale f;
    private final LocaleDisplayNames.DialectHandling g;
    private final DisplayContext h;
    private final DisplayContext i;
    private final DisplayContext j;
    private final e k;
    private final e l;
    private final String m;
    private final String n;
    private final String o;
    private final char p;
    private final char q;
    private final char r;
    private final char s;
    private final CurrencyData.b t;
    private boolean[] u;
    private transient com.ibm.icu.text.i v;

    public enum DataTableType {
        LANG,
        REGION
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f13403a;

        /* renamed from: b  reason: collision with root package name */
        static final /* synthetic */ int[] f13404b;

        /* JADX WARNING: Can't wrap try/catch for region: R(14:0|(2:1|2)|3|(2:5|6)|7|9|10|11|12|13|14|15|16|18) */
        /* JADX WARNING: Can't wrap try/catch for region: R(15:0|(2:1|2)|3|5|6|7|9|10|11|12|13|14|15|16|18) */
        /* JADX WARNING: Can't wrap try/catch for region: R(16:0|1|2|3|5|6|7|9|10|11|12|13|14|15|16|18) */
        /* JADX WARNING: Code restructure failed: missing block: B:19:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x002e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0038 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0043 */
        static {
            int[] iArr = new int[DataTableType.values().length];
            f13404b = iArr;
            try {
                iArr[DataTableType.LANG.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                f13404b[DataTableType.REGION.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            int[] iArr2 = new int[DisplayContext.Type.values().length];
            f13403a = iArr2;
            iArr2[DisplayContext.Type.DIALECT_HANDLING.ordinal()] = 1;
            f13403a[DisplayContext.Type.CAPITALIZATION.ordinal()] = 2;
            f13403a[DisplayContext.Type.DISPLAY_LENGTH.ordinal()] = 3;
            f13403a[DisplayContext.Type.SUBSTITUTE_HANDLING.ordinal()] = 4;
        }
    }

    private static class b {

        /* renamed from: a  reason: collision with root package name */
        private ULocale f13405a;

        /* renamed from: b  reason: collision with root package name */
        private LocaleDisplayNames.DialectHandling f13406b;

        /* renamed from: c  reason: collision with root package name */
        private DisplayContext f13407c;

        /* renamed from: d  reason: collision with root package name */
        private DisplayContext f13408d;

        /* renamed from: e  reason: collision with root package name */
        private DisplayContext f13409e;
        private LocaleDisplayNames f;

        private b() {
        }

        public LocaleDisplayNames a(ULocale uLocale, LocaleDisplayNames.DialectHandling dialectHandling) {
            if (!(dialectHandling == this.f13406b && DisplayContext.CAPITALIZATION_NONE == this.f13407c && DisplayContext.LENGTH_FULL == this.f13408d && DisplayContext.SUBSTITUTE == this.f13409e && uLocale.equals(this.f13405a))) {
                this.f13405a = uLocale;
                this.f13406b = dialectHandling;
                this.f13407c = DisplayContext.CAPITALIZATION_NONE;
                this.f13408d = DisplayContext.LENGTH_FULL;
                this.f13409e = DisplayContext.SUBSTITUTE;
                this.f = new LocaleDisplayNamesImpl(uLocale, dialectHandling);
            }
            return this.f;
        }

        public LocaleDisplayNames b(ULocale uLocale, DisplayContext... displayContextArr) {
            LocaleDisplayNames.DialectHandling dialectHandling = LocaleDisplayNames.DialectHandling.STANDARD_NAMES;
            DisplayContext displayContext = DisplayContext.CAPITALIZATION_NONE;
            DisplayContext displayContext2 = DisplayContext.LENGTH_FULL;
            DisplayContext displayContext3 = DisplayContext.SUBSTITUTE;
            for (DisplayContext displayContext4 : displayContextArr) {
                int i = a.f13403a[displayContext4.type().ordinal()];
                if (i == 1) {
                    dialectHandling = displayContext4.value() == DisplayContext.STANDARD_NAMES.value() ? LocaleDisplayNames.DialectHandling.STANDARD_NAMES : LocaleDisplayNames.DialectHandling.DIALECT_NAMES;
                } else if (i == 2) {
                    displayContext = displayContext4;
                } else if (i == 3) {
                    displayContext2 = displayContext4;
                } else if (i == 4) {
                    displayContext3 = displayContext4;
                }
            }
            if (!(dialectHandling == this.f13406b && displayContext == this.f13407c && displayContext2 == this.f13408d && displayContext3 == this.f13409e && uLocale.equals(this.f13405a))) {
                this.f13405a = uLocale;
                this.f13406b = dialectHandling;
                this.f13407c = displayContext;
                this.f13408d = displayContext2;
                this.f13409e = displayContext3;
                this.f = new LocaleDisplayNamesImpl(uLocale, displayContextArr);
            }
            return this.f;
        }

        /* synthetic */ b(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public enum d {
        LANGUAGE,
        SCRIPT,
        TERRITORY,
        VARIANT,
        KEY,
        KEYVALUE
    }

    public static class e {

        /* renamed from: a  reason: collision with root package name */
        final boolean f13414a;

        e(boolean z) {
            this.f13414a = z;
        }

        /* access modifiers changed from: package-private */
        public String a(String str, String str2) {
            return b(str, null, str2);
        }

        /* access modifiers changed from: package-private */
        public String b(String str, String str2, String str3) {
            if (this.f13414a) {
                return null;
            }
            return str3;
        }

        /* access modifiers changed from: package-private */
        public ULocale c() {
            return ULocale.ROOT;
        }
    }

    static abstract class f {

        /* access modifiers changed from: package-private */
        public static class a extends f {
            a() {
            }

            @Override // com.ibm.icu.impl.LocaleDisplayNamesImpl.f
            public e a(ULocale uLocale, boolean z) {
                return new e(z);
            }
        }

        f() {
        }

        public static f b(String str) {
            try {
                return (f) Class.forName(str).newInstance();
            } catch (Throwable unused) {
                return new a();
            }
        }

        public abstract e a(ULocale uLocale, boolean z);
    }

    static class g extends e {

        /* renamed from: b  reason: collision with root package name */
        private final ICUResourceBundle f13415b;

        public g(String str, ULocale uLocale, boolean z) {
            super(z);
            this.f13415b = (ICUResourceBundle) h0.l(str, uLocale.getBaseName());
        }

        @Override // com.ibm.icu.impl.LocaleDisplayNamesImpl.e
        public String b(String str, String str2, String str3) {
            return k0.a(this.f13415b, str, str2, str3, this.f13414a ? null : str3);
        }

        @Override // com.ibm.icu.impl.LocaleDisplayNamesImpl.e
        public ULocale c() {
            return this.f13415b.D();
        }
    }

    static abstract class h extends f {

        /* renamed from: a  reason: collision with root package name */
        private final String f13416a;

        protected h(String str) {
            this.f13416a = str;
        }

        @Override // com.ibm.icu.impl.LocaleDisplayNamesImpl.f
        public e a(ULocale uLocale, boolean z) {
            return new g(this.f13416a, uLocale, z);
        }
    }

    static class i {

        /* renamed from: a  reason: collision with root package name */
        static final f f13417a = f.b("com.ibm.icu.impl.ICULangDataTables");

        i() {
        }
    }

    static class j {

        /* renamed from: a  reason: collision with root package name */
        static final f f13418a = f.b("com.ibm.icu.impl.ICURegionDataTables");

        j() {
        }
    }

    static {
        HashMap hashMap = new HashMap();
        f13400d = hashMap;
        hashMap.put("languages", d.LANGUAGE);
        hashMap.put("script", d.SCRIPT);
        hashMap.put("territory", d.TERRITORY);
        hashMap.put("variant", d.VARIANT);
        hashMap.put("key", d.KEY);
        hashMap.put("keyValue", d.KEYVALUE);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public LocaleDisplayNamesImpl(ULocale uLocale, LocaleDisplayNames.DialectHandling dialectHandling) {
        this(uLocale, r0);
        DisplayContext[] displayContextArr = new DisplayContext[2];
        displayContextArr[0] = dialectHandling == LocaleDisplayNames.DialectHandling.STANDARD_NAMES ? DisplayContext.STANDARD_NAMES : DisplayContext.DIALECT_NAMES;
        displayContextArr[1] = DisplayContext.CAPITALIZATION_NONE;
    }

    public static boolean A(DataTableType dataTableType) {
        int i2 = a.f13404b[dataTableType.ordinal()];
        if (i2 == 1) {
            return i.f13417a instanceof h;
        }
        if (i2 == 2) {
            return j.f13418a instanceof h;
        }
        throw new IllegalArgumentException("unknown type: " + dataTableType);
    }

    private String B(String str, boolean z) {
        String a2 = this.k.a("Keys", str);
        return z ? a2 : y(d.KEY, a2);
    }

    private String C(String str, String str2, boolean z) {
        String str3;
        if (str.equals(FirebaseAnalytics.b.f12316e)) {
            String f2 = this.t.f(com.ibm.icu.impl.locale.a.m(str2));
            if (f2 != null) {
                str2 = f2;
            }
        } else {
            if (this.i != DisplayContext.LENGTH_SHORT || (str3 = this.k.b("Types%short", str, str2)) == null || str3.equals(str2)) {
                str3 = null;
            }
            str2 = str3 == null ? this.k.b("Types", str, str2) : str3;
        }
        return z ? str2 : y(d.KEYVALUE, str2);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:36:0x00a9, code lost:
        if (r12.equals(r9) == false) goto L_0x0067;
     */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x00af  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00cd  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00e9  */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x0105  */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x0126 A[LOOP:0: B:61:0x0126->B:83:0x0126, LOOP_START] */
    /* JADX WARNING: Removed duplicated region for block: B:78:0x0197  */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x019d  */
    private String D(ULocale uLocale) {
        String str;
        StringBuilder sb;
        Iterator<String> keywords;
        String language = uLocale.getLanguage();
        if (language.isEmpty()) {
            language = C.r0;
        }
        String script = uLocale.getScript();
        String country = uLocale.getCountry();
        String variant = uLocale.getVariant();
        boolean z = script.length() > 0;
        boolean z2 = country.length() > 0;
        boolean z3 = variant.length() > 0;
        String str2 = null;
        if (this.g == LocaleDisplayNames.DialectHandling.DIALECT_NAMES) {
            if (z && z2) {
                String str3 = language + '_' + script + '_' + country;
                str = E(str3);
                if (str != null && !str.equals(str3)) {
                    z = false;
                    z2 = false;
                    if (str == null) {
                        String E = E(language);
                        if (E == null) {
                            return null;
                        }
                        str = E.replace(this.p, this.q).replace(this.r, this.s);
                    }
                    sb = new StringBuilder();
                    if (z) {
                        String H = H(script, true);
                        if (H == null) {
                            return null;
                        }
                        sb.append(H.replace(this.p, this.q).replace(this.r, this.s));
                    }
                    if (z2) {
                        String G = G(country, true);
                        if (G == null) {
                            return null;
                        }
                        z(G.replace(this.p, this.q).replace(this.r, this.s), sb);
                    }
                    if (z3) {
                        String J = J(variant, true);
                        if (J == null) {
                            return null;
                        }
                        z(J.replace(this.p, this.q).replace(this.r, this.s), sb);
                    }
                    keywords = uLocale.getKeywords();
                    if (keywords != null) {
                        while (keywords.hasNext()) {
                            String next = keywords.next();
                            String keywordValue = uLocale.getKeywordValue(next);
                            String B = B(next, true);
                            if (B == null) {
                                return null;
                            }
                            String replace = B.replace(this.p, this.q).replace(this.r, this.s);
                            String C = C(next, keywordValue, true);
                            if (C == null) {
                                return null;
                            }
                            String replace2 = C.replace(this.p, this.q).replace(this.r, this.s);
                            if (!replace2.equals(keywordValue)) {
                                z(replace2, sb);
                            } else if (!next.equals(replace)) {
                                z(l1.e(this.o, replace, replace2), sb);
                            } else {
                                StringBuilder z4 = z(replace, sb);
                                z4.append("=");
                                z4.append(replace2);
                            }
                        }
                    }
                    if (sb.length() > 0) {
                        str2 = sb.toString();
                    }
                    if (str2 != null) {
                        str = l1.e(this.n, str, str2);
                    }
                    return y(d.LANGUAGE, str);
                }
            }
            if (z) {
                String str4 = language + '_' + script;
                str = E(str4);
                if (str != null && !str.equals(str4)) {
                    z = false;
                    if (str == null) {
                    }
                    sb = new StringBuilder();
                    if (z) {
                    }
                    if (z2) {
                    }
                    if (z3) {
                    }
                    keywords = uLocale.getKeywords();
                    if (keywords != null) {
                    }
                    if (sb.length() > 0) {
                    }
                    if (str2 != null) {
                    }
                    return y(d.LANGUAGE, str);
                }
            }
            if (z2) {
                String str5 = language + '_' + country;
                str = E(str5);
                if (str != null) {
                }
            }
        }
        str = null;
        if (str == null) {
        }
        sb = new StringBuilder();
        if (z) {
        }
        if (z2) {
        }
        if (z3) {
        }
        keywords = uLocale.getKeywords();
        if (keywords != null) {
        }
        if (sb.length() > 0) {
        }
        if (str2 != null) {
        }
        return y(d.LANGUAGE, str);
    }

    private String E(String str) {
        String a2;
        String a3;
        DisplayContext displayContext = this.i;
        DisplayContext displayContext2 = DisplayContext.LENGTH_SHORT;
        if (displayContext == displayContext2 && (a3 = this.k.a("Languages%short", str)) != null && !a3.equals(str)) {
            return a3;
        }
        String a4 = this.k.a("Languages", str);
        if ((a4 != null && !a4.equals(str)) || str.indexOf(95) >= 0) {
            return a4;
        }
        String name = ULocale.createCanonical(str).getName();
        if (this.i != displayContext2 || (a2 = this.k.a("Languages%short", name)) == null || a2.equals(name)) {
            return this.k.a("Languages", name);
        }
        return a2;
    }

    private LocaleDisplayNames.c F(ULocale uLocale, DisplayContext displayContext) {
        ULocale minimizeSubtags = ULocale.minimizeSubtags(uLocale, ULocale.Minimize.FAVOR_SCRIPT);
        String displayName = uLocale.getDisplayName(this.f);
        DisplayContext displayContext2 = DisplayContext.CAPITALIZATION_FOR_UI_LIST_OR_MENU;
        if (displayContext == displayContext2) {
            displayName = I(this.f, displayName);
        }
        String displayName2 = uLocale.getDisplayName(uLocale);
        if (displayContext == displayContext2) {
            displayName2 = I(uLocale, displayName2);
        }
        return new LocaleDisplayNames.c(minimizeSubtags, uLocale, displayName, displayName2);
    }

    private String G(String str, boolean z) {
        String a2;
        if (this.i == DisplayContext.LENGTH_SHORT && (a2 = this.l.a("Countries%short", str)) != null && !a2.equals(str)) {
            return z ? a2 : y(d.TERRITORY, a2);
        }
        String a3 = this.l.a("Countries", str);
        return z ? a3 : y(d.TERRITORY, a3);
    }

    private String H(String str, boolean z) {
        String a2;
        if (this.i == DisplayContext.LENGTH_SHORT && (a2 = this.k.a("Scripts%short", str)) != null && !a2.equals(str)) {
            return z ? a2 : y(d.SCRIPT, a2);
        }
        String a3 = this.k.a("Scripts", str);
        return z ? a3 : y(d.SCRIPT, a3);
    }

    private static String I(ULocale uLocale, String str) {
        return f13401e.k(uLocale.toLocale(), null, str);
    }

    private String J(String str, boolean z) {
        String a2 = this.k.a("Variants", str);
        return z ? a2 : y(d.VARIANT, a2);
    }

    public static LocaleDisplayNames d(ULocale uLocale, LocaleDisplayNames.DialectHandling dialectHandling) {
        LocaleDisplayNames a2;
        b bVar = f13399c;
        synchronized (bVar) {
            a2 = bVar.a(uLocale, dialectHandling);
        }
        return a2;
    }

    public static LocaleDisplayNames e(ULocale uLocale, DisplayContext... displayContextArr) {
        LocaleDisplayNames b2;
        b bVar = f13399c;
        synchronized (bVar) {
            b2 = bVar.b(uLocale, displayContextArr);
        }
        return b2;
    }

    private String y(d dVar, String str) {
        String Z0;
        boolean[] zArr;
        if (str == null || str.length() <= 0 || !com.ibm.icu.lang.c.v0(str.codePointAt(0)) || (this.h != DisplayContext.CAPITALIZATION_FOR_BEGINNING_OF_SENTENCE && ((zArr = this.u) == null || !zArr[dVar.ordinal()]))) {
            return str;
        }
        synchronized (this) {
            if (this.v == null) {
                this.v = com.ibm.icu.text.i.w(this.f);
            }
            Z0 = com.ibm.icu.lang.c.Z0(this.f, str, this.v, 768);
        }
        return Z0;
    }

    private StringBuilder z(String str, StringBuilder sb) {
        if (sb.length() == 0) {
            sb.append(str);
        } else {
            l1.d(this.m, sb, null, sb, str);
        }
        return sb;
    }

    @Override // com.ibm.icu.text.LocaleDisplayNames
    public DisplayContext a(DisplayContext.Type type) {
        int i2 = a.f13403a[type.ordinal()];
        if (i2 == 1) {
            return this.g == LocaleDisplayNames.DialectHandling.STANDARD_NAMES ? DisplayContext.STANDARD_NAMES : DisplayContext.DIALECT_NAMES;
        }
        if (i2 == 2) {
            return this.h;
        }
        if (i2 == 3) {
            return this.i;
        }
        if (i2 != 4) {
            return DisplayContext.STANDARD_NAMES;
        }
        return this.j;
    }

    @Override // com.ibm.icu.text.LocaleDisplayNames
    public LocaleDisplayNames.DialectHandling b() {
        return this.g;
    }

    @Override // com.ibm.icu.text.LocaleDisplayNames
    public ULocale h() {
        return this.f;
    }

    @Override // com.ibm.icu.text.LocaleDisplayNames
    public List<LocaleDisplayNames.c> j(Set<ULocale> set, Comparator<LocaleDisplayNames.c> comparator) {
        DisplayContext a2 = a(DisplayContext.Type.CAPITALIZATION);
        ArrayList arrayList = new ArrayList();
        HashMap hashMap = new HashMap();
        ULocale.e eVar = new ULocale.e();
        for (ULocale uLocale : set) {
            eVar.i(uLocale);
            ULocale addLikelySubtags = ULocale.addLikelySubtags(uLocale);
            ULocale uLocale2 = new ULocale(addLikelySubtags.getLanguage());
            Set set2 = (Set) hashMap.get(uLocale2);
            if (set2 == null) {
                set2 = new HashSet();
                hashMap.put(uLocale2, set2);
            }
            set2.add(addLikelySubtags);
        }
        for (Map.Entry entry : hashMap.entrySet()) {
            ULocale uLocale3 = (ULocale) entry.getKey();
            Set<ULocale> set3 = (Set) entry.getValue();
            boolean z = true;
            if (set3.size() == 1) {
                arrayList.add(F(ULocale.minimizeSubtags((ULocale) set3.iterator().next(), ULocale.Minimize.FAVOR_SCRIPT), a2));
            } else {
                HashSet hashSet = new HashSet();
                HashSet hashSet2 = new HashSet();
                ULocale addLikelySubtags2 = ULocale.addLikelySubtags(uLocale3);
                hashSet.add(addLikelySubtags2.getScript());
                hashSet2.add(addLikelySubtags2.getCountry());
                for (ULocale uLocale4 : set3) {
                    hashSet.add(uLocale4.getScript());
                    hashSet2.add(uLocale4.getCountry());
                }
                boolean z2 = hashSet.size() > 1;
                if (hashSet2.size() <= 1) {
                    z = false;
                }
                for (ULocale uLocale5 : set3) {
                    ULocale.e i2 = eVar.i(uLocale5);
                    if (!z2) {
                        i2.k("");
                    }
                    if (!z) {
                        i2.j("");
                    }
                    arrayList.add(F(i2.b(), a2));
                }
            }
        }
        Collections.sort(arrayList, comparator);
        return arrayList;
    }

    @Override // com.ibm.icu.text.LocaleDisplayNames
    public String k(String str) {
        return B(str, false);
    }

    @Override // com.ibm.icu.text.LocaleDisplayNames
    public String l(String str, String str2) {
        return C(str, str2, false);
    }

    @Override // com.ibm.icu.text.LocaleDisplayNames
    public String m(String str) {
        String a2;
        String a3;
        if (!str.equals("root") && str.indexOf(95) == -1) {
            DisplayContext displayContext = this.i;
            DisplayContext displayContext2 = DisplayContext.LENGTH_SHORT;
            if (displayContext == displayContext2 && (a3 = this.k.a("Languages%short", str)) != null && !a3.equals(str)) {
                return y(d.LANGUAGE, a3);
            }
            String a4 = this.k.a("Languages", str);
            if (a4 == null || a4.equals(str)) {
                String name = ULocale.createCanonical(str).getName();
                if (this.i == displayContext2 && (a2 = this.k.a("Languages%short", name)) != null && !a2.equals(name)) {
                    return y(d.LANGUAGE, a2);
                }
                a4 = this.k.a("Languages", name);
            }
            return y(d.LANGUAGE, a4);
        } else if (this.j == DisplayContext.SUBSTITUTE) {
            return str;
        } else {
            return null;
        }
    }

    @Override // com.ibm.icu.text.LocaleDisplayNames
    public String n(ULocale uLocale) {
        return D(uLocale);
    }

    @Override // com.ibm.icu.text.LocaleDisplayNames
    public String o(String str) {
        return D(new ULocale(str));
    }

    @Override // com.ibm.icu.text.LocaleDisplayNames
    public String p(Locale locale) {
        return D(ULocale.forLocale(locale));
    }

    @Override // com.ibm.icu.text.LocaleDisplayNames
    public String q(String str) {
        return G(str, false);
    }

    @Override // com.ibm.icu.text.LocaleDisplayNames
    public String r(int i2) {
        return s(UScript.l(i2));
    }

    @Override // com.ibm.icu.text.LocaleDisplayNames
    public String s(String str) {
        String a2;
        String a3 = this.k.a("Scripts%stand-alone", str);
        if (a3 == null || a3.equals(str)) {
            if (this.i == DisplayContext.LENGTH_SHORT && (a2 = this.k.a("Scripts%short", str)) != null && !a2.equals(str)) {
                return y(d.SCRIPT, a2);
            }
            a3 = this.k.a("Scripts", str);
        }
        return y(d.SCRIPT, a3);
    }

    @Override // com.ibm.icu.text.LocaleDisplayNames
    public String t(String str) {
        return H(str, false);
    }

    @Override // com.ibm.icu.text.LocaleDisplayNames
    public String u(String str) {
        return J(str, false);
    }

    private final class c extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        boolean f13410a;

        private c() {
            this.f13410a = false;
        }

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                d dVar = (d) LocaleDisplayNamesImpl.f13400d.get(bVar.toString());
                if (dVar != null) {
                    int[] e2 = eVar.e();
                    if (e2.length >= 2) {
                        if ((LocaleDisplayNamesImpl.this.h == DisplayContext.CAPITALIZATION_FOR_UI_LIST_OR_MENU ? e2[0] : e2[1]) != 0) {
                            LocaleDisplayNamesImpl.this.u[dVar.ordinal()] = true;
                            this.f13410a = true;
                        }
                    }
                }
            }
        }

        /* synthetic */ c(LocaleDisplayNamesImpl localeDisplayNamesImpl, a aVar) {
            this();
        }
    }

    public LocaleDisplayNamesImpl(ULocale uLocale, DisplayContext... displayContextArr) {
        boolean z;
        ULocale uLocale2;
        boolean z2;
        this.u = null;
        this.v = null;
        LocaleDisplayNames.DialectHandling dialectHandling = LocaleDisplayNames.DialectHandling.STANDARD_NAMES;
        DisplayContext displayContext = DisplayContext.CAPITALIZATION_NONE;
        DisplayContext displayContext2 = DisplayContext.LENGTH_FULL;
        DisplayContext displayContext3 = DisplayContext.SUBSTITUTE;
        int length = displayContextArr.length;
        int i2 = 0;
        while (true) {
            z = true;
            if (i2 >= length) {
                break;
            }
            DisplayContext displayContext4 = displayContextArr[i2];
            int i3 = a.f13403a[displayContext4.type().ordinal()];
            if (i3 == 1) {
                dialectHandling = displayContext4.value() == DisplayContext.STANDARD_NAMES.value() ? LocaleDisplayNames.DialectHandling.STANDARD_NAMES : LocaleDisplayNames.DialectHandling.DIALECT_NAMES;
            } else if (i3 == 2) {
                displayContext = displayContext4;
            } else if (i3 == 3) {
                displayContext2 = displayContext4;
            } else if (i3 == 4) {
                displayContext3 = displayContext4;
            }
            i2++;
        }
        this.g = dialectHandling;
        this.h = displayContext;
        this.i = displayContext2;
        this.j = displayContext3;
        f fVar = i.f13417a;
        DisplayContext displayContext5 = DisplayContext.NO_SUBSTITUTE;
        e a2 = fVar.a(uLocale, displayContext3 == displayContext5);
        this.k = a2;
        e a3 = j.f13418a.a(uLocale, displayContext3 != displayContext5 ? false : z);
        this.l = a3;
        if (ULocale.ROOT.equals(a2.c())) {
            uLocale2 = a3.c();
        } else {
            uLocale2 = a2.c();
        }
        this.f = uLocale2;
        String a4 = a2.a("localeDisplayPattern", "separator");
        a4 = (a4 == null || "separator".equals(a4)) ? "{0}, {1}" : a4;
        StringBuilder sb = new StringBuilder();
        this.m = l1.a(a4, sb, 2, 2);
        String a5 = a2.a("localeDisplayPattern", "pattern");
        a5 = (a5 == null || "pattern".equals(a5)) ? "{0} ({1})" : a5;
        this.n = l1.a(a5, sb, 2, 2);
        if (a5.contains("（")) {
            this.p = 65288;
            this.r = 65289;
            this.q = 65339;
            this.s = 65341;
        } else {
            this.p = '(';
            this.r = ')';
            this.q = '[';
            this.s = ']';
        }
        String a6 = a2.a("localeDisplayPattern", "keyTypePattern");
        this.o = l1.a((a6 == null || "keyTypePattern".equals(a6)) ? "{0}={1}" : a6, sb, 2, 2);
        if (displayContext == DisplayContext.CAPITALIZATION_FOR_UI_LIST_OR_MENU || displayContext == DisplayContext.CAPITALIZATION_FOR_STANDALONE) {
            this.u = new boolean[d.values().length];
            ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) h0.j(a0.f13490d, uLocale);
            c cVar = new c(this, null);
            try {
                iCUResourceBundle.s0("contextTransforms", cVar);
            } catch (MissingResourceException unused) {
            }
            z2 = cVar.f13410a;
        } else {
            z2 = false;
        }
        if (z2 || displayContext == DisplayContext.CAPITALIZATION_FOR_BEGINNING_OF_SENTENCE) {
            this.v = com.ibm.icu.text.i.w(uLocale);
        }
        this.t = CurrencyData.f13344a.b(uLocale, false);
    }
}
