package com.ibm.icu.impl;

import com.ibm.icu.util.AnnualTimeZoneRule;
import com.ibm.icu.util.BasicTimeZone;
import com.ibm.icu.util.DateTimeRule;
import com.ibm.icu.util.InitialTimeZoneRule;
import com.ibm.icu.util.SimpleTimeZone;
import com.ibm.icu.util.TimeArrayTimeZoneRule;
import com.ibm.icu.util.TimeZone;
import com.ibm.icu.util.TimeZoneRule;
import com.ibm.icu.util.g0;
import com.ibm.icu.util.h0;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.util.Arrays;
import java.util.Date;
import java.util.MissingResourceException;

public class OlsonTimeZone extends BasicTimeZone {
    private static final int V0 = 86400;
    private static final String W0 = "zoneinfo64";
    private static final boolean X0 = c0.b("olson");
    private static final int Y0 = 86400;
    private static final int Z0 = 1;
    static final /* synthetic */ boolean a1 = false;
    static final long serialVersionUID = -6281977362477515376L;
    private transient InitialTimeZoneRule b1;
    private transient g0 c1;
    private volatile String canonicalID = null;
    private transient int d1;
    private transient g0 e1;
    private transient TimeArrayTimeZoneRule[] f1;
    private double finalStartMillis = Double.MAX_VALUE;
    private int finalStartYear = Integer.MAX_VALUE;
    private SimpleTimeZone finalZone = null;
    private transient SimpleTimeZone g1;
    private transient boolean h1;
    private volatile transient boolean i1 = false;
    private int serialVersionOnStream = 1;
    private int transitionCount;
    private long[] transitionTimes64;
    private int typeCount;
    private byte[] typeMapData;
    private int[] typeOffsets;

    public OlsonTimeZone(h0 h0Var, h0 h0Var2, String str) {
        super(str);
        e(h0Var, h0Var2, str);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v8, resolved type: com.ibm.icu.util.SimpleTimeZone */
    /* JADX DEBUG: Multi-variable search result rejected for r4v14, resolved type: com.ibm.icu.util.SimpleTimeZone */
    /* JADX DEBUG: Multi-variable search result rejected for r4v19, resolved type: com.ibm.icu.util.SimpleTimeZone */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARNING: Removed duplicated region for block: B:100:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x01c4  */
    private void e(h0 h0Var, h0 h0Var2, String str) {
        int[] iArr;
        int[] iArr2;
        int[] iArr3;
        SimpleTimeZone simpleTimeZone;
        String str2;
        int i;
        if (h0Var == null || h0Var2 == null) {
            throw new IllegalArgumentException();
        }
        if (X0) {
            System.out.println("OlsonTimeZone(" + h0Var2.t() + ")");
        }
        this.transitionCount = 0;
        int i2 = 2;
        try {
            iArr = h0Var2.d("transPre32").r();
            try {
                if (iArr.length % 2 == 0) {
                    this.transitionCount += iArr.length / 2;
                    try {
                        iArr2 = h0Var2.d("trans").r();
                        try {
                            this.transitionCount += iArr2.length;
                        } catch (MissingResourceException unused) {
                        }
                    } catch (MissingResourceException unused2) {
                        iArr2 = null;
                    }
                    try {
                        iArr3 = h0Var2.d("transPost32").r();
                        try {
                            if (iArr3.length % 2 == 0) {
                                this.transitionCount += iArr3.length / 2;
                                int i3 = this.transitionCount;
                                if (i3 > 0) {
                                    this.transitionTimes64 = new long[i3];
                                    char c2 = ' ';
                                    if (iArr != null) {
                                        int i4 = 0;
                                        i = 0;
                                        while (i4 < iArr.length / i2) {
                                            int i5 = i4 * 2;
                                            this.transitionTimes64[i] = ((((long) iArr[i5]) & 4294967295L) << c2) | (((long) iArr[i5 + 1]) & 4294967295L);
                                            i4++;
                                            i++;
                                            iArr = iArr;
                                            i2 = 2;
                                            c2 = ' ';
                                        }
                                    } else {
                                        i = 0;
                                    }
                                    if (iArr2 != null) {
                                        int i6 = 0;
                                        while (i6 < iArr2.length) {
                                            this.transitionTimes64[i] = (long) iArr2[i6];
                                            i6++;
                                            i++;
                                        }
                                    }
                                    if (iArr3 != null) {
                                        int i7 = 0;
                                        while (i7 < iArr3.length / 2) {
                                            int i8 = i7 * 2;
                                            this.transitionTimes64[i] = ((((long) iArr3[i8]) & 4294967295L) << 32) | (((long) iArr3[i8 + 1]) & 4294967295L);
                                            i7++;
                                            i++;
                                        }
                                    }
                                } else {
                                    this.transitionTimes64 = null;
                                }
                                int[] r = h0Var2.d("typeOffsets").r();
                                this.typeOffsets = r;
                                if (r.length < 2 || r.length > 32766 || r.length % 2 != 0) {
                                    throw new IllegalArgumentException("Invalid Format");
                                }
                                this.typeCount = r.length / 2;
                                if (this.transitionCount > 0) {
                                    byte[] g = h0Var2.d("typeMap").g(null);
                                    this.typeMapData = g;
                                    if (g == null || g.length != this.transitionCount) {
                                        throw new IllegalArgumentException("Invalid Format");
                                    }
                                    simpleTimeZone = 0;
                                } else {
                                    simpleTimeZone = 0;
                                    this.typeMapData = null;
                                }
                                this.finalZone = simpleTimeZone;
                                this.finalStartYear = Integer.MAX_VALUE;
                                this.finalStartMillis = Double.MAX_VALUE;
                                try {
                                    str2 = h0Var2.getString("finalRule");
                                    try {
                                        int q = h0Var2.d("finalRaw").q() * 1000;
                                        int[] r2 = t(h0Var, str2).r();
                                        if (r2 == null || r2.length != 11) {
                                            throw new IllegalArgumentException("Invalid Format");
                                        }
                                        this.finalZone = new SimpleTimeZone(q, str, r2[0], r2[1], r2[2], r2[3] * 1000, r2[4], r2[5], r2[6], r2[7], r2[8] * 1000, r2[9], r2[10] * 1000);
                                        int q2 = h0Var2.d("finalYear").q();
                                        this.finalStartYear = q2;
                                        this.finalStartMillis = (double) (u.c(q2, 0, 1) * e.j);
                                    } catch (MissingResourceException unused3) {
                                        if (str2 == null) {
                                            throw new IllegalArgumentException("Invalid Format");
                                        }
                                    }
                                } catch (MissingResourceException unused4) {
                                    str2 = simpleTimeZone;
                                    if (str2 == null) {
                                    }
                                }
                            } else {
                                throw new IllegalArgumentException("Invalid Format");
                            }
                        } catch (MissingResourceException unused5) {
                        }
                    } catch (MissingResourceException unused6) {
                        iArr3 = null;
                    }
                } else {
                    throw new IllegalArgumentException("Invalid Format");
                }
            } catch (MissingResourceException unused7) {
            }
        } catch (MissingResourceException unused8) {
            iArr = null;
        }
    }

    private void f() {
        this.transitionCount = 0;
        this.transitionTimes64 = null;
        this.typeMapData = null;
        this.typeCount = 1;
        this.typeOffsets = new int[]{0, 0};
        this.finalZone = null;
        this.finalStartYear = Integer.MAX_VALUE;
        this.finalStartMillis = Double.MAX_VALUE;
        this.h1 = false;
    }

    private int h(int i) {
        return this.typeOffsets[(i >= 0 ? n(this.typeMapData[i]) * 2 : 0) + 1];
    }

    private void m(long j, boolean z, int i, int i2, int[] iArr) {
        int i3;
        int i4;
        if (this.transitionCount != 0) {
            long d2 = u.d(j, 1000);
            if (z || d2 >= this.transitionTimes64[0]) {
                int i5 = this.transitionCount - 1;
                while (i5 >= 0) {
                    long j2 = this.transitionTimes64[i5];
                    if (z && d2 >= j2 - 86400) {
                        int i6 = i5 - 1;
                        int v = v(i6);
                        boolean z2 = h(i6) != 0;
                        int v2 = v(i5);
                        boolean z3 = h(i5) != 0;
                        boolean z4 = z2 && !z3;
                        boolean z5 = !z2 && z3;
                        j2 += (v2 - v < 0 ? ((i3 = i2 & 3) != 1 || !z4) && ((i3 != 3 || !z5) && ((i3 == 1 && z5) || ((i3 == 3 && z4) || (i2 & 12) == 4))) : ((i4 = i & 3) == 1 && z4) || ((i4 == 3 && z5) || ((i4 != 1 || !z5) && ((i4 != 3 || !z4) && (i & 12) == 12)))) ? (long) v : (long) v2;
                    }
                    if (d2 >= j2) {
                        break;
                    }
                    i5--;
                }
                iArr[0] = u(i5) * 1000;
                iArr[1] = h(i5) * 1000;
                return;
            }
            iArr[0] = s() * 1000;
            iArr[1] = q() * 1000;
            return;
        }
        iArr[0] = s() * 1000;
        iArr[1] = q() * 1000;
    }

    private int n(byte b2) {
        return b2 & 255;
    }

    private synchronized void p() {
        TimeZoneRule timeZoneRule;
        int i;
        if (!this.h1) {
            TimeZoneRule timeZoneRule2 = null;
            this.b1 = null;
            this.c1 = null;
            this.e1 = null;
            this.f1 = null;
            this.d1 = 0;
            this.g1 = null;
            String str = getID() + "(STD)";
            String str2 = getID() + "(DST)";
            int s = s() * 1000;
            int q = q() * 1000;
            this.b1 = new InitialTimeZoneRule(q == 0 ? str : str2, s, q);
            if (this.transitionCount > 0) {
                int i2 = 0;
                while (i2 < this.transitionCount && n(this.typeMapData[i2]) == 0) {
                    this.d1++;
                    i2++;
                }
                int i3 = this.transitionCount;
                if (i2 != i3) {
                    long[] jArr = new long[i3];
                    int i4 = 0;
                    while (true) {
                        long j = 1000;
                        if (i4 >= this.typeCount) {
                            break;
                        }
                        int i5 = this.d1;
                        int i6 = 0;
                        while (i5 < this.transitionCount) {
                            if (i4 == n(this.typeMapData[i5])) {
                                long j2 = this.transitionTimes64[i5] * j;
                                i = i4;
                                if (((double) j2) < this.finalStartMillis) {
                                    jArr[i6] = j2;
                                    i6++;
                                }
                            } else {
                                i = i4;
                            }
                            i5++;
                            i4 = i;
                            j = 1000;
                        }
                        if (i6 > 0) {
                            long[] jArr2 = new long[i6];
                            System.arraycopy(jArr, 0, jArr2, 0, i6);
                            int[] iArr = this.typeOffsets;
                            int i7 = i4 * 2;
                            int i8 = iArr[i7] * 1000;
                            int i9 = iArr[i7 + 1] * 1000;
                            if (this.f1 == null) {
                                this.f1 = new TimeArrayTimeZoneRule[this.typeCount];
                            }
                            this.f1[i4] = new TimeArrayTimeZoneRule(i9 == 0 ? str : str2, i8, i9, jArr2, 2);
                        }
                        i4++;
                    }
                    this.c1 = new g0(this.transitionTimes64[this.d1] * 1000, this.b1, this.f1[n(this.typeMapData[this.d1])]);
                }
            }
            SimpleTimeZone simpleTimeZone = this.finalZone;
            if (simpleTimeZone != null) {
                long j3 = (long) this.finalStartMillis;
                if (simpleTimeZone.useDaylightTime()) {
                    SimpleTimeZone simpleTimeZone2 = (SimpleTimeZone) this.finalZone.clone();
                    this.g1 = simpleTimeZone2;
                    simpleTimeZone2.setStartYear(this.finalStartYear);
                    g0 nextTransition = this.g1.getNextTransition(j3, false);
                    timeZoneRule = nextTransition.c();
                    j3 = nextTransition.b();
                } else {
                    SimpleTimeZone simpleTimeZone3 = this.finalZone;
                    this.g1 = simpleTimeZone3;
                    timeZoneRule = new TimeArrayTimeZoneRule(simpleTimeZone3.getID(), this.finalZone.getRawOffset(), 0, new long[]{j3}, 2);
                }
                int i10 = this.transitionCount;
                if (i10 > 0) {
                    timeZoneRule2 = this.f1[n(this.typeMapData[i10 - 1])];
                }
                if (timeZoneRule2 == null) {
                    timeZoneRule2 = this.b1;
                }
                this.e1 = new g0(j3, timeZoneRule2, timeZoneRule);
            }
            this.h1 = true;
        }
    }

    private int q() {
        return this.typeOffsets[1];
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0024  */
    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        boolean z = true;
        if (this.serialVersionOnStream < 1) {
            String id = getID();
            if (id != null) {
                try {
                    h0 m = h0.m(a0.f13490d, W0, ICUResourceBundle.j);
                    e(m, s2.x(m, id), id);
                } catch (Exception unused) {
                }
                if (!z) {
                    f();
                }
            }
            z = false;
            if (!z) {
            }
        }
        this.h1 = false;
    }

    private int s() {
        return this.typeOffsets[0];
    }

    private static h0 t(h0 h0Var, String str) {
        return h0Var.d("Rules").d(str);
    }

    private int u(int i) {
        return this.typeOffsets[i >= 0 ? n(this.typeMapData[i]) * 2 : 0];
    }

    private int v(int i) {
        int n = i >= 0 ? n(this.typeMapData[i]) * 2 : 0;
        int[] iArr = this.typeOffsets;
        return iArr[n] + iArr[n + 1];
    }

    @Override // com.ibm.icu.util.TimeZone, java.lang.Object
    public Object clone() {
        if (isFrozen()) {
            return this;
        }
        return cloneAsThawed();
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean equals(Object obj) {
        SimpleTimeZone simpleTimeZone;
        if (!super.equals(obj)) {
            return false;
        }
        OlsonTimeZone olsonTimeZone = (OlsonTimeZone) obj;
        if (!q2.p(this.typeMapData, olsonTimeZone.typeMapData)) {
            if (this.finalStartYear != olsonTimeZone.finalStartYear) {
                return false;
            }
            SimpleTimeZone simpleTimeZone2 = this.finalZone;
            if (!(simpleTimeZone2 == null && olsonTimeZone.finalZone == null) && (simpleTimeZone2 == null || (simpleTimeZone = olsonTimeZone.finalZone) == null || !simpleTimeZone2.equals(simpleTimeZone) || this.transitionCount != olsonTimeZone.transitionCount || this.typeCount != olsonTimeZone.typeCount || !q2.o(this.transitionTimes64, olsonTimeZone.transitionTimes64) || !q2.r(this.typeOffsets, olsonTimeZone.typeOffsets) || !q2.p(this.typeMapData, olsonTimeZone.typeMapData))) {
                return false;
            }
        }
        return true;
    }

    public String getCanonicalID() {
        if (this.canonicalID == null) {
            synchronized (this) {
                if (this.canonicalID == null) {
                    this.canonicalID = TimeZone.getCanonicalID(getID());
                    if (this.canonicalID == null) {
                        this.canonicalID = getID();
                    }
                }
            }
        }
        return this.canonicalID;
    }

    @Override // com.ibm.icu.util.TimeZone
    public int getDSTSavings() {
        SimpleTimeZone simpleTimeZone = this.finalZone;
        if (simpleTimeZone != null) {
            return simpleTimeZone.getDSTSavings();
        }
        return super.getDSTSavings();
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public g0 getNextTransition(long j, boolean z) {
        int i;
        int i2;
        p();
        if (this.finalZone != null) {
            if (z && j == this.e1.b()) {
                return this.e1;
            }
            if (j >= this.e1.b()) {
                if (this.finalZone.useDaylightTime()) {
                    return this.g1.getNextTransition(j, z);
                }
                return null;
            }
        }
        if (this.f1 == null) {
            return null;
        }
        int i3 = this.transitionCount;
        while (true) {
            i3--;
            i = this.d1;
            if (i3 < i || j > this.transitionTimes64[i3] * 1000 || (!z && i2 == 0)) {
            }
        }
        if (i3 == this.transitionCount - 1) {
            return this.e1;
        }
        if (i3 < i) {
            return this.c1;
        }
        int i4 = i3 + 1;
        TimeArrayTimeZoneRule timeArrayTimeZoneRule = this.f1[n(this.typeMapData[i4])];
        TimeArrayTimeZoneRule timeArrayTimeZoneRule2 = this.f1[n(this.typeMapData[i3])];
        long j2 = this.transitionTimes64[i4] * 1000;
        if (timeArrayTimeZoneRule2.getName().equals(timeArrayTimeZoneRule.getName()) && timeArrayTimeZoneRule2.getRawOffset() == timeArrayTimeZoneRule.getRawOffset() && timeArrayTimeZoneRule2.getDSTSavings() == timeArrayTimeZoneRule.getDSTSavings()) {
            return getNextTransition(j2, false);
        }
        return new g0(j2, timeArrayTimeZoneRule2, timeArrayTimeZoneRule);
    }

    @Override // com.ibm.icu.util.TimeZone
    public int getOffset(int i, int i2, int i3, int i4, int i5, int i6) {
        if (i3 >= 0 && i3 <= 11) {
            return getOffset(i, i2, i3, i4, i5, i6, u.h(i2, i3));
        }
        throw new IllegalArgumentException("Month is not in the legal range: " + i3);
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public void getOffsetFromLocal(long j, BasicTimeZone.LocalOption localOption, BasicTimeZone.LocalOption localOption2, int[] iArr) {
        SimpleTimeZone simpleTimeZone = this.finalZone;
        if (simpleTimeZone == null || ((double) j) < this.finalStartMillis) {
            m(j, true, BasicTimeZone.d(localOption), BasicTimeZone.d(localOption2), iArr);
        } else {
            simpleTimeZone.getOffsetFromLocal(j, localOption, localOption2, iArr);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x0055 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0056  */
    @Override // com.ibm.icu.util.BasicTimeZone
    public g0 getPreviousTransition(long j, boolean z) {
        int i;
        int i2;
        p();
        if (this.finalZone != null) {
            if (z && j == this.e1.b()) {
                return this.e1;
            }
            if (j > this.e1.b()) {
                if (this.finalZone.useDaylightTime()) {
                    return this.g1.getPreviousTransition(j, z);
                }
                return this.e1;
            }
        }
        if (this.f1 == null) {
            return null;
        }
        int i3 = this.transitionCount;
        while (true) {
            i3--;
            i = this.d1;
            if (i3 < i || j > this.transitionTimes64[i3] * 1000 || (z && i2 == 0)) {
                if (i3 >= i) {
                    return null;
                }
                if (i3 == i) {
                    return this.c1;
                }
                TimeArrayTimeZoneRule timeArrayTimeZoneRule = this.f1[n(this.typeMapData[i3])];
                TimeArrayTimeZoneRule timeArrayTimeZoneRule2 = this.f1[n(this.typeMapData[i3 - 1])];
                long j2 = this.transitionTimes64[i3] * 1000;
                if (timeArrayTimeZoneRule2.getName().equals(timeArrayTimeZoneRule.getName()) && timeArrayTimeZoneRule2.getRawOffset() == timeArrayTimeZoneRule.getRawOffset() && timeArrayTimeZoneRule2.getDSTSavings() == timeArrayTimeZoneRule.getDSTSavings()) {
                    return getPreviousTransition(j2, false);
                }
                return new g0(j2, timeArrayTimeZoneRule2, timeArrayTimeZoneRule);
            }
        }
        if (i3 >= i) {
        }
    }

    @Override // com.ibm.icu.util.TimeZone
    public int getRawOffset() {
        int[] iArr = new int[2];
        getOffset(System.currentTimeMillis(), false, iArr);
        return iArr[0];
    }

    @Override // com.ibm.icu.util.BasicTimeZone
    public TimeZoneRule[] getTimeZoneRules() {
        int i;
        int i2;
        p();
        if (this.f1 != null) {
            int i3 = 0;
            i = 1;
            while (true) {
                TimeArrayTimeZoneRule[] timeArrayTimeZoneRuleArr = this.f1;
                if (i3 >= timeArrayTimeZoneRuleArr.length) {
                    break;
                }
                if (timeArrayTimeZoneRuleArr[i3] != null) {
                    i++;
                }
                i3++;
            }
        } else {
            i = 1;
        }
        SimpleTimeZone simpleTimeZone = this.finalZone;
        if (simpleTimeZone != null) {
            i = simpleTimeZone.useDaylightTime() ? i + 2 : i + 1;
        }
        TimeZoneRule[] timeZoneRuleArr = new TimeZoneRule[i];
        timeZoneRuleArr[0] = this.b1;
        if (this.f1 != null) {
            int i4 = 0;
            i2 = 1;
            while (true) {
                TimeArrayTimeZoneRule[] timeArrayTimeZoneRuleArr2 = this.f1;
                if (i4 >= timeArrayTimeZoneRuleArr2.length) {
                    break;
                }
                if (timeArrayTimeZoneRuleArr2[i4] != null) {
                    timeZoneRuleArr[i2] = timeArrayTimeZoneRuleArr2[i4];
                    i2++;
                }
                i4++;
            }
        } else {
            i2 = 1;
        }
        SimpleTimeZone simpleTimeZone2 = this.finalZone;
        if (simpleTimeZone2 != null) {
            if (simpleTimeZone2.useDaylightTime()) {
                TimeZoneRule[] timeZoneRules = this.g1.getTimeZoneRules();
                timeZoneRuleArr[i2] = timeZoneRules[1];
                timeZoneRuleArr[i2 + 1] = timeZoneRules[2];
            } else {
                timeZoneRuleArr[i2] = new TimeArrayTimeZoneRule(getID() + "(STD)", this.finalZone.getRawOffset(), 0, new long[]{(long) this.finalStartMillis}, 2);
            }
        }
        return timeZoneRuleArr;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:19:0x002a, code lost:
        if (r1.hasSameRules(r3) != false) goto L_0x002d;
     */
    @Override // com.ibm.icu.util.TimeZone
    public boolean hasSameRules(TimeZone timeZone) {
        if (this == timeZone) {
            return true;
        }
        if (!super.hasSameRules(timeZone) || !(timeZone instanceof OlsonTimeZone)) {
            return false;
        }
        OlsonTimeZone olsonTimeZone = (OlsonTimeZone) timeZone;
        SimpleTimeZone simpleTimeZone = this.finalZone;
        if (simpleTimeZone != null) {
            SimpleTimeZone simpleTimeZone2 = olsonTimeZone.finalZone;
            if (simpleTimeZone2 != null) {
                if (this.finalStartYear == olsonTimeZone.finalStartYear) {
                }
            }
        } else if (olsonTimeZone.finalZone != null) {
            return false;
        }
        return this.transitionCount == olsonTimeZone.transitionCount && Arrays.equals(this.transitionTimes64, olsonTimeZone.transitionTimes64) && this.typeCount == olsonTimeZone.typeCount && Arrays.equals(this.typeMapData, olsonTimeZone.typeMapData) && Arrays.equals(this.typeOffsets, olsonTimeZone.typeOffsets);
    }

    @Override // com.ibm.icu.util.TimeZone
    public int hashCode() {
        int i;
        int i2 = this.finalStartYear;
        int i3 = this.transitionCount;
        int i4 = i2 ^ ((i2 >>> 4) + i3);
        int i5 = i3 >>> 6;
        int i6 = this.typeCount;
        long j = (long) (i4 ^ (i5 + i6));
        long doubleToLongBits = ((long) (i6 >>> 8)) + Double.doubleToLongBits(this.finalStartMillis);
        SimpleTimeZone simpleTimeZone = this.finalZone;
        int i7 = 0;
        if (simpleTimeZone == null) {
            i = 0;
        } else {
            i = simpleTimeZone.hashCode();
        }
        int hashCode = (int) (j ^ ((doubleToLongBits + ((long) i)) + ((long) super.hashCode())));
        if (this.transitionTimes64 != null) {
            int i8 = 0;
            while (true) {
                long[] jArr = this.transitionTimes64;
                if (i8 >= jArr.length) {
                    break;
                }
                hashCode = (int) (((long) hashCode) + ((jArr[i8] >>> 8) ^ jArr[i8]));
                i8++;
            }
        }
        int i9 = 0;
        while (true) {
            int[] iArr = this.typeOffsets;
            if (i9 >= iArr.length) {
                break;
            }
            hashCode += (iArr[i9] >>> 8) ^ iArr[i9];
            i9++;
        }
        if (this.typeMapData != null) {
            while (true) {
                byte[] bArr = this.typeMapData;
                if (i7 >= bArr.length) {
                    break;
                }
                hashCode += bArr[i7] & 255;
                i7++;
            }
        }
        return hashCode;
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean inDaylightTime(Date date) {
        int[] iArr = new int[2];
        getOffset(date.getTime(), false, iArr);
        if (iArr[1] != 0) {
            return true;
        }
        return false;
    }

    @Override // com.ibm.icu.util.TimeZone, com.ibm.icu.util.n
    public boolean isFrozen() {
        return this.i1;
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean observesDaylightTime() {
        long currentTimeMillis = System.currentTimeMillis();
        SimpleTimeZone simpleTimeZone = this.finalZone;
        if (simpleTimeZone != null) {
            if (simpleTimeZone.useDaylightTime()) {
                return true;
            }
            if (((double) currentTimeMillis) >= this.finalStartMillis) {
                return false;
            }
        }
        long d2 = u.d(currentTimeMillis, 1000);
        int i = this.transitionCount - 1;
        if (h(i) != 0) {
            return true;
        }
        while (i >= 0 && this.transitionTimes64[i] > d2) {
            if (h(i - 1) != 0) {
                return true;
            }
            i--;
        }
        return false;
    }

    @Override // com.ibm.icu.util.TimeZone
    public void setID(String str) {
        if (!isFrozen()) {
            if (this.canonicalID == null) {
                this.canonicalID = TimeZone.getCanonicalID(getID());
                if (this.canonicalID == null) {
                    this.canonicalID = getID();
                }
            }
            SimpleTimeZone simpleTimeZone = this.finalZone;
            if (simpleTimeZone != null) {
                simpleTimeZone.setID(str);
            }
            super.setID(str);
            this.h1 = false;
            return;
        }
        throw new UnsupportedOperationException("Attempt to modify a frozen OlsonTimeZone instance.");
    }

    @Override // com.ibm.icu.util.TimeZone
    public void setRawOffset(int i) {
        DateTimeRule dateTimeRule;
        int i2;
        DateTimeRule dateTimeRule2;
        g0 previousTransition;
        if (isFrozen()) {
            throw new UnsupportedOperationException("Attempt to modify a frozen OlsonTimeZone instance.");
        } else if (getRawOffset() != i) {
            long currentTimeMillis = System.currentTimeMillis();
            if (((double) currentTimeMillis) < this.finalStartMillis) {
                SimpleTimeZone simpleTimeZone = new SimpleTimeZone(i, getID());
                boolean useDaylightTime = useDaylightTime();
                if (useDaylightTime) {
                    TimeZoneRule[] simpleTimeZoneRulesNear = getSimpleTimeZoneRulesNear(currentTimeMillis);
                    if (!(simpleTimeZoneRulesNear.length == 3 || (previousTransition = getPreviousTransition(currentTimeMillis, false)) == null)) {
                        simpleTimeZoneRulesNear = getSimpleTimeZoneRulesNear(previousTransition.b() - 1);
                    }
                    if (simpleTimeZoneRulesNear.length != 3 || !(simpleTimeZoneRulesNear[1] instanceof AnnualTimeZoneRule) || !(simpleTimeZoneRulesNear[2] instanceof AnnualTimeZoneRule)) {
                        simpleTimeZone.setStartRule(0, 1, 0);
                        simpleTimeZone.setEndRule(11, 31, 86399999);
                    } else {
                        AnnualTimeZoneRule annualTimeZoneRule = (AnnualTimeZoneRule) simpleTimeZoneRulesNear[1];
                        AnnualTimeZoneRule annualTimeZoneRule2 = (AnnualTimeZoneRule) simpleTimeZoneRulesNear[2];
                        int rawOffset = annualTimeZoneRule.getRawOffset() + annualTimeZoneRule.getDSTSavings();
                        int rawOffset2 = annualTimeZoneRule2.getRawOffset() + annualTimeZoneRule2.getDSTSavings();
                        if (rawOffset > rawOffset2) {
                            dateTimeRule = annualTimeZoneRule.getRule();
                            dateTimeRule2 = annualTimeZoneRule2.getRule();
                            i2 = rawOffset - rawOffset2;
                        } else {
                            DateTimeRule rule = annualTimeZoneRule2.getRule();
                            DateTimeRule rule2 = annualTimeZoneRule.getRule();
                            i2 = rawOffset2 - rawOffset;
                            dateTimeRule = rule;
                            dateTimeRule2 = rule2;
                        }
                        simpleTimeZone.setStartRule(dateTimeRule.getRuleMonth(), dateTimeRule.getRuleWeekInMonth(), dateTimeRule.getRuleDayOfWeek(), dateTimeRule.getRuleMillisInDay());
                        simpleTimeZone.setEndRule(dateTimeRule2.getRuleMonth(), dateTimeRule2.getRuleWeekInMonth(), dateTimeRule2.getRuleDayOfWeek(), dateTimeRule2.getRuleMillisInDay());
                        simpleTimeZone.setDSTSavings(i2);
                    }
                }
                int[] j = u.j(currentTimeMillis, null);
                this.finalStartYear = j[0];
                this.finalStartMillis = (double) u.c(j[0], 0, 1);
                if (useDaylightTime) {
                    simpleTimeZone.setStartYear(this.finalStartYear);
                }
                this.finalZone = simpleTimeZone;
            } else {
                this.finalZone.setRawOffset(i);
            }
            this.h1 = false;
        }
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(super.toString());
        sb.append('[');
        sb.append("transitionCount=" + this.transitionCount);
        sb.append(",typeCount=" + this.typeCount);
        sb.append(",transitionTimes=");
        if (this.transitionTimes64 != null) {
            sb.append('[');
            for (int i = 0; i < this.transitionTimes64.length; i++) {
                if (i > 0) {
                    sb.append(',');
                }
                sb.append(Long.toString(this.transitionTimes64[i]));
            }
            sb.append(']');
        } else {
            sb.append("null");
        }
        sb.append(",typeOffsets=");
        if (this.typeOffsets != null) {
            sb.append('[');
            for (int i2 = 0; i2 < this.typeOffsets.length; i2++) {
                if (i2 > 0) {
                    sb.append(',');
                }
                sb.append(Integer.toString(this.typeOffsets[i2]));
            }
            sb.append(']');
        } else {
            sb.append("null");
        }
        sb.append(",typeMapData=");
        if (this.typeMapData != null) {
            sb.append('[');
            for (int i3 = 0; i3 < this.typeMapData.length; i3++) {
                if (i3 > 0) {
                    sb.append(',');
                }
                sb.append(Byte.toString(this.typeMapData[i3]));
            }
        } else {
            sb.append("null");
        }
        sb.append(",finalStartYear=" + this.finalStartYear);
        sb.append(",finalStartMillis=" + this.finalStartMillis);
        sb.append(",finalZone=" + this.finalZone);
        sb.append(']');
        return sb.toString();
    }

    @Override // com.ibm.icu.util.TimeZone
    public boolean useDaylightTime() {
        long currentTimeMillis = System.currentTimeMillis();
        SimpleTimeZone simpleTimeZone = this.finalZone;
        if (simpleTimeZone == null || ((double) currentTimeMillis) < this.finalStartMillis) {
            int[] j = u.j(currentTimeMillis, null);
            long c2 = u.c(j[0], 0, 1) * 86400;
            long c3 = u.c(j[0] + 1, 0, 1) * 86400;
            for (int i = 0; i < this.transitionCount; i++) {
                long[] jArr = this.transitionTimes64;
                if (jArr[i] >= c3) {
                    break;
                } else if ((jArr[i] >= c2 && h(i) != 0) || (this.transitionTimes64[i] > c2 && i > 0 && h(i - 1) != 0)) {
                    return true;
                }
            }
            return false;
        } else if (simpleTimeZone == null || !simpleTimeZone.useDaylightTime()) {
            return false;
        } else {
            return true;
        }
    }

    @Override // com.ibm.icu.util.TimeZone, com.ibm.icu.util.TimeZone, com.ibm.icu.util.n
    public TimeZone cloneAsThawed() {
        OlsonTimeZone olsonTimeZone = (OlsonTimeZone) super.cloneAsThawed();
        SimpleTimeZone simpleTimeZone = this.finalZone;
        if (simpleTimeZone != null) {
            olsonTimeZone.finalZone = (SimpleTimeZone) simpleTimeZone.clone();
        }
        olsonTimeZone.i1 = false;
        return olsonTimeZone;
    }

    @Override // com.ibm.icu.util.TimeZone, com.ibm.icu.util.TimeZone, com.ibm.icu.util.n
    public TimeZone freeze() {
        this.i1 = true;
        return this;
    }

    public int getOffset(int i, int i2, int i3, int i4, int i5, int i6, int i7) {
        if ((i == 1 || i == 0) && i3 >= 0 && i3 <= 11 && i4 >= 1 && i4 <= i7 && i5 >= 1 && i5 <= 7 && i6 >= 0 && i6 < 86400000 && i7 >= 28 && i7 <= 31) {
            if (i == 0) {
                i2 = -i2;
            }
            SimpleTimeZone simpleTimeZone = this.finalZone;
            if (simpleTimeZone != null && i2 >= this.finalStartYear) {
                return simpleTimeZone.getOffset(i, i2, i3, i4, i5, i6);
            }
            int[] iArr = new int[2];
            m((u.c(i2, i3, i4) * e.j) + ((long) i6), true, 3, 1, iArr);
            return iArr[0] + iArr[1];
        }
        throw new IllegalArgumentException();
    }

    public OlsonTimeZone(String str) {
        super(str);
        h0 m = h0.m(a0.f13490d, W0, ICUResourceBundle.j);
        e(m, s2.x(m, str), str);
    }

    @Override // com.ibm.icu.util.TimeZone
    public void getOffset(long j, boolean z, int[] iArr) {
        SimpleTimeZone simpleTimeZone = this.finalZone;
        if (simpleTimeZone == null || ((double) j) < this.finalStartMillis) {
            m(j, z, 4, 12, iArr);
        } else {
            simpleTimeZone.getOffset(j, z, iArr);
        }
    }
}
