package com.ibm.icu.impl;

import com.ibm.icu.impl.l2;
import com.ibm.icu.text.UnicodeSet;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.h0;
import com.lzy.okgo.model.Progress;
import java.util.EnumMap;
import java.util.Map;

public class StaticUnicodeSets {

    /* renamed from: a  reason: collision with root package name */
    private static final Map<Key, UnicodeSet> f13423a;

    /* renamed from: b  reason: collision with root package name */
    static final /* synthetic */ boolean f13424b = false;

    public enum Key {
        EMPTY,
        DEFAULT_IGNORABLES,
        STRICT_IGNORABLES,
        COMMA,
        PERIOD,
        STRICT_COMMA,
        STRICT_PERIOD,
        APOSTROPHE_SIGN,
        OTHER_GROUPING_SEPARATORS,
        ALL_SEPARATORS,
        STRICT_ALL_SEPARATORS,
        MINUS_SIGN,
        PLUS_SIGN,
        PERCENT_SIGN,
        PERMILLE_SIGN,
        INFINITY_SIGN,
        DOLLAR_SIGN,
        POUND_SIGN,
        RUPEE_SIGN,
        YEN_SIGN,
        WON_SIGN,
        DIGITS,
        DIGITS_OR_ALL_SEPARATORS,
        DIGITS_OR_STRICT_ALL_SEPARATORS
    }

    static class a extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ boolean f13426a = false;

        a() {
        }

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                if (!bVar.r(Progress.DATE)) {
                    l2.d j2 = eVar.j();
                    for (int i2 = 0; j2.d(i2, bVar, eVar); i2++) {
                        boolean r = bVar.r("lenient");
                        l2.a b2 = eVar.b();
                        for (int i3 = 0; i3 < b2.a(); i3++) {
                            b2.b(i3, eVar);
                            String eVar2 = eVar.toString();
                            if (eVar2.indexOf(46) != -1) {
                                StaticUnicodeSets.h(r ? Key.PERIOD : Key.STRICT_PERIOD, eVar2);
                            } else if (eVar2.indexOf(44) != -1) {
                                StaticUnicodeSets.h(r ? Key.COMMA : Key.STRICT_COMMA, eVar2);
                            } else if (eVar2.indexOf(43) != -1) {
                                StaticUnicodeSets.h(Key.PLUS_SIGN, eVar2);
                            } else if (eVar2.indexOf(45) != -1) {
                                StaticUnicodeSets.h(Key.MINUS_SIGN, eVar2);
                            } else if (eVar2.indexOf(36) != -1) {
                                StaticUnicodeSets.h(Key.DOLLAR_SIGN, eVar2);
                            } else if (eVar2.indexOf(163) != -1) {
                                StaticUnicodeSets.h(Key.POUND_SIGN, eVar2);
                            } else if (eVar2.indexOf(8377) != -1) {
                                StaticUnicodeSets.h(Key.RUPEE_SIGN, eVar2);
                            } else if (eVar2.indexOf(165) != -1) {
                                StaticUnicodeSets.h(Key.YEN_SIGN, eVar2);
                            } else if (eVar2.indexOf(8361) != -1) {
                                StaticUnicodeSets.h(Key.WON_SIGN, eVar2);
                            } else if (eVar2.indexOf(37) != -1) {
                                StaticUnicodeSets.h(Key.PERCENT_SIGN, eVar2);
                            } else if (eVar2.indexOf(8240) != -1) {
                                StaticUnicodeSets.h(Key.PERMILLE_SIGN, eVar2);
                            } else if (eVar2.indexOf(8217) != -1) {
                                StaticUnicodeSets.h(Key.APOSTROPHE_SIGN, eVar2);
                            } else {
                                throw new AssertionError("Unknown class of parse lenients: " + eVar2);
                            }
                        }
                    }
                    continue;
                }
            }
        }
    }

    static {
        EnumMap enumMap = new EnumMap(Key.class);
        f13423a = enumMap;
        enumMap.put((Object) Key.EMPTY, (Object) new UnicodeSet("[]").freeze());
        enumMap.put((Object) Key.DEFAULT_IGNORABLES, (Object) new UnicodeSet("[[:Zs:][\\u0009][:Bidi_Control:][:Variation_Selector:]]").freeze());
        enumMap.put((Object) Key.STRICT_IGNORABLES, (Object) new UnicodeSet("[[:Bidi_Control:]]").freeze());
        ((ICUResourceBundle) h0.j(a0.f13490d, ULocale.ROOT)).s0("parse", new a());
        UnicodeSet unicodeSet = new UnicodeSet("[٬‘\\u0020\\u00A0\\u2000-\\u200A\\u202F\\u205F\\u3000]");
        unicodeSet.J((UnicodeSet) enumMap.get(Key.APOSTROPHE_SIGN));
        Key key = Key.OTHER_GROUPING_SEPARATORS;
        enumMap.put((Object) key, (Object) unicodeSet.freeze());
        Key key2 = Key.ALL_SEPARATORS;
        enumMap.put((Object) key2, (Object) f(Key.COMMA, Key.PERIOD, key));
        Key key3 = Key.STRICT_ALL_SEPARATORS;
        enumMap.put((Object) key3, (Object) f(Key.STRICT_COMMA, Key.STRICT_PERIOD, key));
        enumMap.put((Object) Key.INFINITY_SIGN, (Object) new UnicodeSet("[∞]").freeze());
        Key key4 = Key.DIGITS;
        enumMap.put((Object) key4, (Object) new UnicodeSet("[:digit:]").freeze());
        enumMap.put((Object) Key.DIGITS_OR_ALL_SEPARATORS, (Object) e(key4, key2));
        enumMap.put((Object) Key.DIGITS_OR_STRICT_ALL_SEPARATORS, (Object) e(key4, key3));
    }

    public static Key b(String str) {
        Key key = Key.DOLLAR_SIGN;
        if (g(key).Q0(str)) {
            return key;
        }
        Key key2 = Key.POUND_SIGN;
        if (g(key2).Q0(str)) {
            return key2;
        }
        Key key3 = Key.RUPEE_SIGN;
        if (g(key3).Q0(str)) {
            return key3;
        }
        Key key4 = Key.YEN_SIGN;
        if (g(key4).Q0(str)) {
            return key4;
        }
        Key key5 = Key.WON_SIGN;
        if (g(key5).Q0(str)) {
            return key5;
        }
        return null;
    }

    public static Key c(String str, Key key) {
        if (g(key).Q0(str)) {
            return key;
        }
        return null;
    }

    public static Key d(String str, Key key, Key key2) {
        return g(key).Q0(str) ? key : c(str, key2);
    }

    private static UnicodeSet e(Key key, Key key2) {
        return new UnicodeSet().J(g(key)).J(g(key2)).freeze();
    }

    private static UnicodeSet f(Key key, Key key2, Key key3) {
        return new UnicodeSet().J(g(key)).J(g(key2)).J(g(key3)).freeze();
    }

    public static UnicodeSet g(Key key) {
        UnicodeSet unicodeSet = f13423a.get(key);
        return unicodeSet == null ? UnicodeSet.f15446b : unicodeSet;
    }

    /* access modifiers changed from: private */
    public static void h(Key key, String str) {
        f13423a.put(key, new UnicodeSet(str).freeze());
    }
}
