package com.ibm.icu.impl;

import androidx.exifinterface.media.ExifInterface;
import com.ibm.icu.impl.r1;
import com.ibm.icu.impl.units.e;
import com.ibm.icu.text.LocaleDisplayNames;
import com.ibm.icu.text.TimeZoneFormat;
import com.ibm.icu.text.TimeZoneNames;
import com.ibm.icu.util.BasicTimeZone;
import com.ibm.icu.util.TimeZone;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.g0;
import com.ibm.icu.util.h0;
import com.ibm.icu.util.n;
import com.ibm.icu.util.w;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.Serializable;
import java.lang.ref.WeakReference;
import java.text.MessageFormat;
import java.util.Collection;
import java.util.EnumSet;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.MissingResourceException;
import java.util.concurrent.ConcurrentHashMap;

public class TimeZoneGenericNames implements Serializable, n<TimeZoneGenericNames> {
    private static final TimeZoneNames.NameType[] I0 = {TimeZoneNames.NameType.LONG_GENERIC, TimeZoneNames.NameType.SHORT_GENERIC};
    static final /* synthetic */ boolean J0 = false;

    /* renamed from: a  reason: collision with root package name */
    private static b f13440a = new b(null);

    /* renamed from: b  reason: collision with root package name */
    private static final long f13441b = 15897600000L;
    private static final long serialVersionUID = 2729910342063468417L;
    private volatile transient boolean K0;
    private transient String L0;
    private transient WeakReference<LocaleDisplayNames> M0;
    private transient MessageFormat[] N0;
    private transient ConcurrentHashMap<String, String> O0;
    private transient ConcurrentHashMap<String, String> P0;
    private transient r1<e> Q0;
    private transient boolean R0;
    private final ULocale _locale;
    private TimeZoneNames _tznames;

    public enum GenericNameType {
        LOCATION("LONG", "SHORT"),
        LONG(new String[0]),
        SHORT(new String[0]);
        
        String[] _fallbackTypeOf;

        private GenericNameType(String... strArr) {
            this._fallbackTypeOf = strArr;
        }

        public boolean isFallbackTypeOf(GenericNameType genericNameType) {
            String str = genericNameType.toString();
            for (String str2 : this._fallbackTypeOf) {
                if (str2.equals(str)) {
                    return true;
                }
            }
            return false;
        }
    }

    public enum Pattern {
        REGION_FORMAT("regionFormat", "({0})"),
        FALLBACK_FORMAT("fallbackFormat", "{1} ({0})");
        
        String _defaultVal;
        String _key;

        private Pattern(String str, String str2) {
            this._key = str;
            this._defaultVal = str2;
        }

        /* access modifiers changed from: package-private */
        public String a() {
            return this._defaultVal;
        }

        /* access modifiers changed from: package-private */
        public String b() {
            return this._key;
        }
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f13444a;

        /* renamed from: b  reason: collision with root package name */
        static final /* synthetic */ int[] f13445b;

        /* JADX WARNING: Can't wrap try/catch for region: R(16:0|(2:1|2)|3|(2:5|6)|7|9|10|(2:11|12)|13|15|16|17|18|19|20|22) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x0044 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x004e */
        static {
            int[] iArr = new int[TimeZoneNames.NameType.values().length];
            f13445b = iArr;
            try {
                iArr[TimeZoneNames.NameType.LONG_STANDARD.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                f13445b[TimeZoneNames.NameType.LONG_GENERIC.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            f13445b[TimeZoneNames.NameType.SHORT_STANDARD.ordinal()] = 3;
            try {
                f13445b[TimeZoneNames.NameType.SHORT_GENERIC.ordinal()] = 4;
            } catch (NoSuchFieldError unused3) {
            }
            int[] iArr2 = new int[GenericNameType.values().length];
            f13444a = iArr2;
            iArr2[GenericNameType.LOCATION.ordinal()] = 1;
            f13444a[GenericNameType.LONG.ordinal()] = 2;
            try {
                f13444a[GenericNameType.SHORT.ordinal()] = 3;
            } catch (NoSuchFieldError unused4) {
            }
        }
    }

    /* access modifiers changed from: private */
    public static class b extends m1<String, TimeZoneGenericNames, ULocale> {
        private b() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: c */
        public TimeZoneGenericNames a(String str, ULocale uLocale) {
            return new TimeZoneGenericNames(uLocale, (a) null).freeze();
        }

        /* synthetic */ b(a aVar) {
            this();
        }
    }

    public static class c {

        /* renamed from: a  reason: collision with root package name */
        final GenericNameType f13446a;

        /* renamed from: b  reason: collision with root package name */
        final String f13447b;

        /* renamed from: c  reason: collision with root package name */
        final int f13448c;

        /* renamed from: d  reason: collision with root package name */
        final TimeZoneFormat.TimeType f13449d;

        /* synthetic */ c(GenericNameType genericNameType, String str, int i, a aVar) {
            this(genericNameType, str, i);
        }

        public int a() {
            return this.f13448c;
        }

        public GenericNameType b() {
            return this.f13446a;
        }

        public TimeZoneFormat.TimeType c() {
            return this.f13449d;
        }

        public String d() {
            return this.f13447b;
        }

        /* synthetic */ c(GenericNameType genericNameType, String str, int i, TimeZoneFormat.TimeType timeType, a aVar) {
            this(genericNameType, str, i, timeType);
        }

        private c(GenericNameType genericNameType, String str, int i) {
            this(genericNameType, str, i, TimeZoneFormat.TimeType.UNKNOWN);
        }

        private c(GenericNameType genericNameType, String str, int i, TimeZoneFormat.TimeType timeType) {
            this.f13446a = genericNameType;
            this.f13447b = str;
            this.f13448c = i;
            this.f13449d = timeType;
        }
    }

    /* access modifiers changed from: private */
    public static class d implements r1.f<e> {

        /* renamed from: a  reason: collision with root package name */
        private EnumSet<GenericNameType> f13450a;

        /* renamed from: b  reason: collision with root package name */
        private Collection<c> f13451b;

        /* renamed from: c  reason: collision with root package name */
        private int f13452c;

        d(EnumSet<GenericNameType> enumSet) {
            this.f13450a = enumSet;
        }

        @Override // com.ibm.icu.impl.r1.f
        public boolean a(int i, Iterator<e> it) {
            while (it.hasNext()) {
                e next = it.next();
                EnumSet<GenericNameType> enumSet = this.f13450a;
                if (enumSet == null || enumSet.contains(next.f13454b)) {
                    c cVar = new c(next.f13454b, next.f13453a, i, (a) null);
                    if (this.f13451b == null) {
                        this.f13451b = new LinkedList();
                    }
                    this.f13451b.add(cVar);
                    if (i > this.f13452c) {
                        this.f13452c = i;
                    }
                }
            }
            return true;
        }

        public Collection<c> b() {
            return this.f13451b;
        }

        public int c() {
            return this.f13452c;
        }

        public void d() {
            this.f13451b = null;
            this.f13452c = 0;
        }
    }

    /* access modifiers changed from: private */
    public static class e {

        /* renamed from: a  reason: collision with root package name */
        final String f13453a;

        /* renamed from: b  reason: collision with root package name */
        final GenericNameType f13454b;

        e(String str, GenericNameType genericNameType) {
            this.f13453a = str;
            this.f13454b = genericNameType;
        }
    }

    /* synthetic */ TimeZoneGenericNames(ULocale uLocale, a aVar) {
        this(uLocale);
    }

    private c a(TimeZoneNames.e eVar) {
        GenericNameType genericNameType;
        TimeZoneFormat.TimeType timeType = TimeZoneFormat.TimeType.UNKNOWN;
        int i = a.f13445b[eVar.c().ordinal()];
        if (i == 1) {
            genericNameType = GenericNameType.LONG;
            timeType = TimeZoneFormat.TimeType.STANDARD;
        } else if (i == 2) {
            genericNameType = GenericNameType.LONG;
        } else if (i == 3) {
            genericNameType = GenericNameType.SHORT;
            timeType = TimeZoneFormat.TimeType.STANDARD;
        } else if (i == 4) {
            genericNameType = GenericNameType.SHORT;
        } else {
            throw new IllegalArgumentException("Unexpected MatchInfo name type - " + eVar.c());
        }
        String d2 = eVar.d();
        if (d2 == null) {
            d2 = this._tznames.getReferenceZoneID(eVar.b(), m());
        }
        return new c(genericNameType, d2, eVar.a(), timeType, null);
    }

    private synchronized Collection<c> b(String str, int i, EnumSet<GenericNameType> enumSet) {
        d dVar = new d(enumSet);
        this.Q0.e(str, i, dVar);
        if (dVar.c() != str.length() - i) {
            if (!this.R0) {
                for (String str2 : TimeZone.getAvailableIDs(TimeZone.SystemTimeZoneType.CANONICAL, null, null)) {
                    p(str2);
                }
                this.R0 = true;
                dVar.d();
                this.Q0.e(str, i, dVar);
                return dVar.b();
            }
        }
        return dVar.b();
    }

    private Collection<TimeZoneNames.e> c(String str, int i, EnumSet<GenericNameType> enumSet) {
        EnumSet<TimeZoneNames.NameType> noneOf = EnumSet.noneOf(TimeZoneNames.NameType.class);
        if (enumSet.contains(GenericNameType.LONG)) {
            noneOf.add(TimeZoneNames.NameType.LONG_GENERIC);
            noneOf.add(TimeZoneNames.NameType.LONG_STANDARD);
        }
        if (enumSet.contains(GenericNameType.SHORT)) {
            noneOf.add(TimeZoneNames.NameType.SHORT_GENERIC);
            noneOf.add(TimeZoneNames.NameType.SHORT_STANDARD);
        }
        if (!noneOf.isEmpty()) {
            return this._tznames.find(str, i, noneOf);
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:39:0x009e  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00c1  */
    private String d(TimeZone timeZone, GenericNameType genericNameType, long j) {
        String metaZoneID;
        int[] iArr;
        boolean z;
        String metaZoneDisplayName;
        g0 nextTransition;
        String e2 = s2.e(timeZone);
        String str = null;
        if (e2 == null) {
            return null;
        }
        TimeZoneNames.NameType nameType = genericNameType == GenericNameType.LONG ? TimeZoneNames.NameType.LONG_GENERIC : TimeZoneNames.NameType.SHORT_GENERIC;
        String timeZoneDisplayName = this._tznames.getTimeZoneDisplayName(e2, nameType);
        if (timeZoneDisplayName != null || (metaZoneID = this._tznames.getMetaZoneID(e2, j)) == null) {
            return timeZoneDisplayName;
        }
        int[] iArr2 = {0, 0};
        boolean z2 = false;
        timeZone.getOffset(j, false, iArr2);
        if (iArr2[1] == 0) {
            if (timeZone instanceof BasicTimeZone) {
                BasicTimeZone basicTimeZone = (BasicTimeZone) timeZone;
                g0 previousTransition = basicTimeZone.getPreviousTransition(j, true);
                if ((previousTransition == null || j - previousTransition.b() >= f13441b || previousTransition.a().getDSTSavings() == 0) && ((nextTransition = basicTimeZone.getNextTransition(j, false)) == null || nextTransition.b() - j >= f13441b || nextTransition.c().getDSTSavings() == 0)) {
                    z = true;
                } else {
                    z = false;
                }
                iArr = iArr2;
            } else {
                int[] iArr3 = new int[2];
                iArr = iArr2;
                timeZone.getOffset(j - f13441b, false, iArr3);
                if (iArr3[1] == 0) {
                    timeZone.getOffset(j + f13441b, false, iArr3);
                    if (iArr3[1] == 0) {
                        z = true;
                    }
                }
            }
            if (z) {
                String displayName = this._tznames.getDisplayName(e2, nameType == TimeZoneNames.NameType.LONG_GENERIC ? TimeZoneNames.NameType.LONG_STANDARD : TimeZoneNames.NameType.SHORT_STANDARD, j);
                if (displayName != null) {
                    if (!displayName.equalsIgnoreCase(this._tznames.getMetaZoneDisplayName(metaZoneID, nameType))) {
                        str = displayName;
                    }
                    if (str == null || (metaZoneDisplayName = this._tznames.getMetaZoneDisplayName(metaZoneID, nameType)) == null) {
                        return str;
                    }
                    String referenceZoneID = this._tznames.getReferenceZoneID(metaZoneID, m());
                    if (referenceZoneID == null || referenceZoneID.equals(e2)) {
                        return metaZoneDisplayName;
                    }
                    int[] iArr4 = {0, 0};
                    TimeZone.getFrozenTimeZone(referenceZoneID).getOffset(j + ((long) iArr[0]) + ((long) iArr[1]), true, iArr4);
                    if (iArr[0] == iArr4[0] && iArr[1] == iArr4[1]) {
                        return metaZoneDisplayName;
                    }
                    if (nameType == TimeZoneNames.NameType.LONG_GENERIC) {
                        z2 = true;
                    }
                    return h(e2, metaZoneID, z2, metaZoneDisplayName);
                }
            }
            str = timeZoneDisplayName;
            if (str == null) {
            }
            return str;
        }
        iArr = iArr2;
        z = false;
        if (z) {
        }
        str = timeZoneDisplayName;
        if (str == null) {
        }
        return str;
    }

    private synchronized String e(Pattern pattern, String... strArr) {
        int ordinal;
        String str;
        if (this.N0 == null) {
            this.N0 = new MessageFormat[Pattern.values().length];
        }
        ordinal = pattern.ordinal();
        if (this.N0[ordinal] == null) {
            try {
                str = ((ICUResourceBundle) h0.j(a0.m, this._locale)).W0("zoneStrings/" + pattern.b());
            } catch (MissingResourceException unused) {
                str = pattern.a();
            }
            this.N0[ordinal] = new MessageFormat(str);
        }
        return this.N0[ordinal].format(strArr);
    }

    private synchronized LocaleDisplayNames f() {
        LocaleDisplayNames localeDisplayNames;
        localeDisplayNames = null;
        WeakReference<LocaleDisplayNames> weakReference = this.M0;
        if (weakReference != null) {
            localeDisplayNames = weakReference.get();
        }
        if (localeDisplayNames == null) {
            localeDisplayNames = LocaleDisplayNames.c(this._locale);
            this.M0 = new WeakReference<>(localeDisplayNames);
        }
        return localeDisplayNames;
    }

    public static TimeZoneGenericNames getInstance(ULocale uLocale) {
        return (TimeZoneGenericNames) f13440a.b(uLocale.getBaseName(), uLocale);
    }

    private String h(String str, String str2, boolean z, String str3) {
        String str4;
        String str5 = str + c.a.b.i.a.f5058b + str2 + "#" + (z ? "L" : ExifInterface.w4);
        String str6 = this.P0.get(str5);
        if (str6 != null) {
            return str6;
        }
        String g = s2.g(str);
        if (g != null) {
            str4 = str.equals(this._tznames.getReferenceZoneID(str2, g)) ? f().q(g) : this._tznames.getExemplarLocationName(str);
        } else {
            str4 = this._tznames.getExemplarLocationName(str);
            if (str4 == null) {
                str4 = str;
            }
        }
        String e2 = e(Pattern.FALLBACK_FORMAT, str4, str3);
        synchronized (this) {
            String putIfAbsent = this.P0.putIfAbsent(str5.intern(), e2.intern());
            if (putIfAbsent == null) {
                this.Q0.k(e2, new e(str.intern(), z ? GenericNameType.LONG : GenericNameType.SHORT));
            } else {
                e2 = putIfAbsent;
            }
        }
        return e2;
    }

    private synchronized String m() {
        if (this.L0 == null) {
            String country = this._locale.getCountry();
            this.L0 = country;
            if (country.length() == 0) {
                String country2 = ULocale.addLikelySubtags(this._locale).getCountry();
                this.L0 = country2;
                if (country2.length() == 0) {
                    this.L0 = e.c.i;
                }
            }
        }
        return this.L0;
    }

    private void n() {
        if (this._tznames == null) {
            this._tznames = TimeZoneNames.getInstance(this._locale);
        }
        this.O0 = new ConcurrentHashMap<>();
        this.P0 = new ConcurrentHashMap<>();
        this.Q0 = new r1<>(true);
        this.R0 = false;
        String e2 = s2.e(TimeZone.getDefault());
        if (e2 != null) {
            p(e2);
        }
    }

    private synchronized void p(String str) {
        if (str != null) {
            if (str.length() != 0) {
                getGenericLocationName(str);
                for (String str2 : this._tznames.getAvailableMetaZoneIDs(str)) {
                    if (!str.equals(this._tznames.getReferenceZoneID(str2, m()))) {
                        TimeZoneNames.NameType[] nameTypeArr = I0;
                        int length = nameTypeArr.length;
                        for (int i = 0; i < length; i++) {
                            TimeZoneNames.NameType nameType = nameTypeArr[i];
                            String metaZoneDisplayName = this._tznames.getMetaZoneDisplayName(str2, nameType);
                            if (metaZoneDisplayName != null) {
                                h(str, str2, nameType == TimeZoneNames.NameType.LONG_GENERIC, metaZoneDisplayName);
                            }
                        }
                    }
                }
            }
        }
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        n();
    }

    public Collection<c> find(String str, int i, EnumSet<GenericNameType> enumSet) {
        if (str == null || str.length() == 0 || i < 0 || i >= str.length()) {
            throw new IllegalArgumentException("bad input text or range");
        }
        Collection<c> b2 = b(str, i, enumSet);
        Collection<TimeZoneNames.e> c2 = c(str, i, enumSet);
        if (c2 != null) {
            for (TimeZoneNames.e eVar : c2) {
                if (b2 == null) {
                    b2 = new LinkedList<>();
                }
                b2.add(a(eVar));
            }
        }
        return b2;
    }

    public c findBestMatch(String str, int i, EnumSet<GenericNameType> enumSet) {
        if (str == null || str.length() == 0 || i < 0 || i >= str.length()) {
            throw new IllegalArgumentException("bad input text or range");
        }
        Collection<TimeZoneNames.e> c2 = c(str, i, enumSet);
        c cVar = null;
        if (c2 != null) {
            TimeZoneNames.e eVar = null;
            for (TimeZoneNames.e eVar2 : c2) {
                if (eVar == null || eVar2.a() > eVar.a()) {
                    eVar = eVar2;
                }
            }
            if (eVar != null) {
                cVar = a(eVar);
                if (cVar.a() == str.length() - i && cVar.f13449d != TimeZoneFormat.TimeType.STANDARD) {
                    return cVar;
                }
            }
        }
        Collection<c> b2 = b(str, i, enumSet);
        if (b2 != null) {
            for (c cVar2 : b2) {
                if (cVar == null || cVar2.a() >= cVar.a()) {
                    cVar = cVar2;
                }
            }
        }
        return cVar;
    }

    public String getDisplayName(TimeZone timeZone, GenericNameType genericNameType, long j) {
        String e2;
        int i = a.f13444a[genericNameType.ordinal()];
        if (i == 1) {
            String e3 = s2.e(timeZone);
            if (e3 != null) {
                return getGenericLocationName(e3);
            }
        } else if (i == 2 || i == 3) {
            String d2 = d(timeZone, genericNameType, j);
            if (d2 != null || (e2 = s2.e(timeZone)) == null) {
                return d2;
            }
            return getGenericLocationName(e2);
        }
        return null;
    }

    public String getGenericLocationName(String str) {
        if (str == null || str.length() == 0) {
            return null;
        }
        String str2 = this.O0.get(str);
        if (str2 == null) {
            w wVar = new w();
            String h = s2.h(str, wVar);
            if (h != null) {
                if (wVar.f16195a.booleanValue()) {
                    String q = f().q(h);
                    str2 = e(Pattern.REGION_FORMAT, q);
                } else {
                    String exemplarLocationName = this._tznames.getExemplarLocationName(str);
                    str2 = e(Pattern.REGION_FORMAT, exemplarLocationName);
                }
            }
            if (str2 == null) {
                this.O0.putIfAbsent(str.intern(), "");
            } else {
                synchronized (this) {
                    String intern = str.intern();
                    String putIfAbsent = this.O0.putIfAbsent(intern, str2.intern());
                    if (putIfAbsent == null) {
                        this.Q0.k(str2, new e(intern, GenericNameType.LOCATION));
                    } else {
                        str2 = putIfAbsent;
                    }
                }
            }
            return str2;
        } else if (str2.length() == 0) {
            return null;
        } else {
            return str2;
        }
    }

    @Override // com.ibm.icu.util.n
    public boolean isFrozen() {
        return this.K0;
    }

    public TimeZoneGenericNames setFormatPattern(Pattern pattern, String str) {
        if (!isFrozen()) {
            if (!this.O0.isEmpty()) {
                this.O0 = new ConcurrentHashMap<>();
            }
            if (!this.P0.isEmpty()) {
                this.P0 = new ConcurrentHashMap<>();
            }
            this.Q0 = null;
            this.R0 = false;
            if (this.N0 == null) {
                this.N0 = new MessageFormat[Pattern.values().length];
            }
            this.N0[pattern.ordinal()] = new MessageFormat(str);
            return this;
        }
        throw new UnsupportedOperationException("Attempt to modify frozen object");
    }

    public TimeZoneGenericNames(ULocale uLocale, TimeZoneNames timeZoneNames) {
        this._locale = uLocale;
        this._tznames = timeZoneNames;
        n();
    }

    @Override // com.ibm.icu.util.n
    public TimeZoneGenericNames cloneAsThawed() {
        TimeZoneGenericNames timeZoneGenericNames = null;
        try {
            TimeZoneGenericNames timeZoneGenericNames2 = (TimeZoneGenericNames) super.clone();
            try {
                timeZoneGenericNames2.K0 = false;
                return timeZoneGenericNames2;
            } catch (Throwable unused) {
                timeZoneGenericNames = timeZoneGenericNames2;
            }
        } catch (Throwable unused2) {
            return timeZoneGenericNames;
        }
    }

    @Override // com.ibm.icu.util.n
    public TimeZoneGenericNames freeze() {
        this.K0 = true;
        return this;
    }

    private TimeZoneGenericNames(ULocale uLocale) {
        this(uLocale, (TimeZoneNames) null);
    }
}
