package com.ibm.icu.impl;

import com.ibm.icu.impl.l2;
import com.ibm.icu.impl.r1;
import com.ibm.icu.impl.units.e;
import com.ibm.icu.text.TimeZoneNames;
import com.ibm.icu.util.TimeZone;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.h0;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.EnumSet;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.MissingResourceException;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;
import java.util.regex.Pattern;

public class TimeZoneNamesImpl extends TimeZoneNames {
    private static final String K0 = "zoneStrings";
    private static final String L0 = "meta:";
    private static volatile Set<String> M0 = null;
    private static final f N0 = new f(null);
    private static final b O0 = new b(null);
    private static final Pattern P0 = Pattern.compile("Etc/.*|SystemV/.*|.*/Riyadh8[7-9]");
    private static final long serialVersionUID = -2179814848495897472L;
    private transient ICUResourceBundle Q0;
    private transient ConcurrentHashMap<String, g> R0;
    private transient ConcurrentHashMap<String, g> S0;
    private transient boolean T0;
    private transient r1<d> U0;
    private transient boolean V0;

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f13455a;

        /* renamed from: b  reason: collision with root package name */
        static final /* synthetic */ int[] f13456b;

        /* JADX WARNING: Can't wrap try/catch for region: R(30:0|(2:1|2)|3|(2:5|6)|7|9|10|11|(2:13|14)|15|(2:17|18)|19|21|22|23|(2:25|26)|27|29|30|31|32|33|34|35|36|37|38|39|40|(3:41|42|44)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(34:0|(2:1|2)|3|5|6|7|9|10|11|(2:13|14)|15|17|18|19|21|22|23|(2:25|26)|27|29|30|31|32|33|34|35|36|37|38|39|40|41|42|44) */
        /* JADX WARNING: Can't wrap try/catch for region: R(37:0|1|2|3|5|6|7|9|10|11|13|14|15|17|18|19|21|22|23|25|26|27|29|30|31|32|33|34|35|36|37|38|39|40|41|42|44) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:31:0x0065 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:33:0x006f */
        /* JADX WARNING: Missing exception handler attribute for start block: B:35:0x0079 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:37:0x0083 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:39:0x008d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:41:0x0097 */
        static {
            int[] iArr = new int[g.a.values().length];
            f13456b = iArr;
            try {
                iArr[g.a.EXEMPLAR_LOCATION.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                f13456b[g.a.LONG_GENERIC.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                f13456b[g.a.LONG_STANDARD.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                f13456b[g.a.LONG_DAYLIGHT.ordinal()] = 4;
            } catch (NoSuchFieldError unused4) {
            }
            try {
                f13456b[g.a.SHORT_GENERIC.ordinal()] = 5;
            } catch (NoSuchFieldError unused5) {
            }
            try {
                f13456b[g.a.SHORT_STANDARD.ordinal()] = 6;
            } catch (NoSuchFieldError unused6) {
            }
            try {
                f13456b[g.a.SHORT_DAYLIGHT.ordinal()] = 7;
            } catch (NoSuchFieldError unused7) {
            }
            int[] iArr2 = new int[TimeZoneNames.NameType.values().length];
            f13455a = iArr2;
            iArr2[TimeZoneNames.NameType.EXEMPLAR_LOCATION.ordinal()] = 1;
            f13455a[TimeZoneNames.NameType.LONG_GENERIC.ordinal()] = 2;
            f13455a[TimeZoneNames.NameType.LONG_STANDARD.ordinal()] = 3;
            f13455a[TimeZoneNames.NameType.LONG_DAYLIGHT.ordinal()] = 4;
            f13455a[TimeZoneNames.NameType.SHORT_GENERIC.ordinal()] = 5;
            f13455a[TimeZoneNames.NameType.SHORT_STANDARD.ordinal()] = 6;
            try {
                f13455a[TimeZoneNames.NameType.SHORT_DAYLIGHT.ordinal()] = 7;
            } catch (NoSuchFieldError unused8) {
            }
        }
    }

    /* access modifiers changed from: private */
    public static class b extends m1<String, Map<String, String>, String> {
        private b() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: c */
        public Map<String, String> a(String str, String str2) {
            try {
                h0 d2 = h0.l(a0.f13490d, "metaZones").d("mapTimezones").d(str);
                Set<String> keySet = d2.keySet();
                HashMap hashMap = new HashMap(keySet.size());
                for (String str3 : keySet) {
                    hashMap.put(str3.intern(), d2.getString(str3).intern());
                }
                return hashMap;
            } catch (MissingResourceException unused) {
                return Collections.emptyMap();
            }
        }

        /* synthetic */ b(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        private String f13457a;

        /* renamed from: b  reason: collision with root package name */
        private long f13458b;

        /* renamed from: c  reason: collision with root package name */
        private long f13459c;

        c(String str, long j, long j2) {
            this.f13457a = str;
            this.f13458b = j;
            this.f13459c = j2;
        }

        /* access modifiers changed from: package-private */
        public long a() {
            return this.f13458b;
        }

        /* access modifiers changed from: package-private */
        public String b() {
            return this.f13457a;
        }

        /* access modifiers changed from: package-private */
        public long c() {
            return this.f13459c;
        }
    }

    /* access modifiers changed from: private */
    public static class d {

        /* renamed from: a  reason: collision with root package name */
        String f13460a;

        /* renamed from: b  reason: collision with root package name */
        String f13461b;

        /* renamed from: c  reason: collision with root package name */
        TimeZoneNames.NameType f13462c;

        private d() {
        }

        /* synthetic */ d(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public static class e implements r1.f<d> {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ boolean f13463a = false;

        /* renamed from: b  reason: collision with root package name */
        private EnumSet<TimeZoneNames.NameType> f13464b;

        /* renamed from: c  reason: collision with root package name */
        private Collection<TimeZoneNames.e> f13465c;

        /* renamed from: d  reason: collision with root package name */
        private int f13466d;

        e(EnumSet<TimeZoneNames.NameType> enumSet) {
            this.f13464b = enumSet;
        }

        @Override // com.ibm.icu.impl.r1.f
        public boolean a(int i, Iterator<d> it) {
            TimeZoneNames.e eVar;
            while (it.hasNext()) {
                d next = it.next();
                EnumSet<TimeZoneNames.NameType> enumSet = this.f13464b;
                if (enumSet == null || enumSet.contains(next.f13462c)) {
                    String str = next.f13460a;
                    if (str != null) {
                        eVar = new TimeZoneNames.e(next.f13462c, str, null, i);
                    } else {
                        eVar = new TimeZoneNames.e(next.f13462c, null, next.f13461b, i);
                    }
                    if (this.f13465c == null) {
                        this.f13465c = new LinkedList();
                    }
                    this.f13465c.add(eVar);
                    if (i > this.f13466d) {
                        this.f13466d = i;
                    }
                }
            }
            return true;
        }

        public Collection<TimeZoneNames.e> b() {
            Collection<TimeZoneNames.e> collection = this.f13465c;
            return collection == null ? Collections.emptyList() : collection;
        }

        public int c() {
            return this.f13466d;
        }

        public void d() {
            this.f13465c = null;
            this.f13466d = 0;
        }
    }

    /* access modifiers changed from: private */
    public static class f extends m1<String, List<c>, String> {
        private f() {
        }

        private static long d(String str) {
            int i = 0;
            int i2 = 0;
            for (int i3 = 0; i3 <= 3; i3++) {
                int charAt = str.charAt(i3) - '0';
                if (charAt < 0 || charAt >= 10) {
                    throw new IllegalArgumentException("Bad year");
                }
                i2 = (i2 * 10) + charAt;
            }
            int i4 = 0;
            for (int i5 = 5; i5 <= 6; i5++) {
                int charAt2 = str.charAt(i5) - '0';
                if (charAt2 < 0 || charAt2 >= 10) {
                    throw new IllegalArgumentException("Bad month");
                }
                i4 = (i4 * 10) + charAt2;
            }
            int i6 = 0;
            for (int i7 = 8; i7 <= 9; i7++) {
                int charAt3 = str.charAt(i7) - '0';
                if (charAt3 < 0 || charAt3 >= 10) {
                    throw new IllegalArgumentException("Bad day");
                }
                i6 = (i6 * 10) + charAt3;
            }
            int i8 = 0;
            for (int i9 = 11; i9 <= 12; i9++) {
                int charAt4 = str.charAt(i9) - '0';
                if (charAt4 < 0 || charAt4 >= 10) {
                    throw new IllegalArgumentException("Bad hour");
                }
                i8 = (i8 * 10) + charAt4;
            }
            for (int i10 = 14; i10 <= 15; i10++) {
                int charAt5 = str.charAt(i10) - '0';
                if (charAt5 < 0 || charAt5 >= 10) {
                    throw new IllegalArgumentException("Bad minute");
                }
                i = (i * 10) + charAt5;
            }
            return (u.c(i2, i4 - 1, i6) * e.j) + (((long) i8) * 3600000) + (((long) i) * 60000);
        }

        /* access modifiers changed from: protected */
        /* renamed from: c */
        public List<c> a(String str, String str2) {
            try {
                h0 d2 = h0.l(a0.f13490d, "metaZones").d("metazoneInfo").d(str2.replace('/', ':'));
                ArrayList arrayList = new ArrayList(d2.x());
                for (int i = 0; i < d2.x(); i++) {
                    h0 c2 = d2.c(i);
                    String z = c2.z(0);
                    String str3 = "1970-01-01 00:00";
                    String str4 = "9999-12-31 23:59";
                    if (c2.x() == 3) {
                        str3 = c2.z(1);
                        str4 = c2.z(2);
                    }
                    arrayList.add(new c(z, d(str3), d(str4)));
                }
                return arrayList;
            } catch (MissingResourceException unused) {
                return Collections.emptyList();
            }
        }

        /* synthetic */ f(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public static class g {

        /* renamed from: a  reason: collision with root package name */
        public static final int f13467a = 7;

        /* renamed from: b  reason: collision with root package name */
        static final g f13468b = new g(null);

        /* renamed from: c  reason: collision with root package name */
        private static final int f13469c = a.EXEMPLAR_LOCATION.ordinal();

        /* renamed from: d  reason: collision with root package name */
        private String[] f13470d;

        /* renamed from: e  reason: collision with root package name */
        private boolean f13471e;

        /* access modifiers changed from: private */
        public enum a {
            EXEMPLAR_LOCATION,
            LONG_GENERIC,
            LONG_STANDARD,
            LONG_DAYLIGHT,
            SHORT_GENERIC,
            SHORT_STANDARD,
            SHORT_DAYLIGHT;
            
            static final a[] N0 = values();
        }

        protected g(String[] strArr) {
            this.f13470d = strArr;
            this.f13471e = strArr == null;
        }

        private void c(String str, String str2, r1<d> r1Var) {
            if (this.f13470d != null && !this.f13471e) {
                this.f13471e = true;
                int i = 0;
                while (true) {
                    String[] strArr = this.f13470d;
                    if (i < strArr.length) {
                        String str3 = strArr[i];
                        if (str3 != null) {
                            d dVar = new d(null);
                            dVar.f13461b = str;
                            dVar.f13460a = str2;
                            dVar.f13462c = g(i);
                            r1Var.k(str3, dVar);
                        }
                        i++;
                    } else {
                        return;
                    }
                }
            }
        }

        public static g d(Map<String, g> map, String[] strArr, String str) {
            g gVar;
            String intern = str.intern();
            if (strArr == null) {
                gVar = f13468b;
            } else {
                gVar = new g(strArr);
            }
            map.put(intern, gVar);
            return gVar;
        }

        public static g e(Map<String, g> map, String[] strArr, String str) {
            if (strArr == null) {
                strArr = new String[(f13469c + 1)];
            }
            int i = f13469c;
            if (strArr[i] == null) {
                strArr[i] = TimeZoneNamesImpl.getDefaultExemplarLocationName(str);
            }
            String intern = str.intern();
            g gVar = new g(strArr);
            map.put(intern, gVar);
            return gVar;
        }

        private static TimeZoneNames.NameType g(int i) {
            switch (a.f13456b[a.N0[i].ordinal()]) {
                case 1:
                    return TimeZoneNames.NameType.EXEMPLAR_LOCATION;
                case 2:
                    return TimeZoneNames.NameType.LONG_GENERIC;
                case 3:
                    return TimeZoneNames.NameType.LONG_STANDARD;
                case 4:
                    return TimeZoneNames.NameType.LONG_DAYLIGHT;
                case 5:
                    return TimeZoneNames.NameType.SHORT_GENERIC;
                case 6:
                    return TimeZoneNames.NameType.SHORT_STANDARD;
                case 7:
                    return TimeZoneNames.NameType.SHORT_DAYLIGHT;
                default:
                    throw new AssertionError("No NameType match for " + i);
            }
        }

        private static int h(TimeZoneNames.NameType nameType) {
            switch (a.f13455a[nameType.ordinal()]) {
                case 1:
                    return a.EXEMPLAR_LOCATION.ordinal();
                case 2:
                    return a.LONG_GENERIC.ordinal();
                case 3:
                    return a.LONG_STANDARD.ordinal();
                case 4:
                    return a.LONG_DAYLIGHT.ordinal();
                case 5:
                    return a.SHORT_GENERIC.ordinal();
                case 6:
                    return a.SHORT_STANDARD.ordinal();
                case 7:
                    return a.SHORT_DAYLIGHT.ordinal();
                default:
                    throw new AssertionError("No NameTypeIndex match for " + nameType);
            }
        }

        public void a(String str, r1<d> r1Var) {
            c(str, null, r1Var);
        }

        public void b(String str, r1<d> r1Var) {
            c(null, str, r1Var);
        }

        public String f(TimeZoneNames.NameType nameType) {
            int h = h(nameType);
            String[] strArr = this.f13470d;
            if (strArr == null || h >= strArr.length) {
                return null;
            }
            return strArr[h];
        }
    }

    /* access modifiers changed from: private */
    public static final class h extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        private static h f13474a = new h();

        /* renamed from: b  reason: collision with root package name */
        static final /* synthetic */ boolean f13475b = false;

        /* renamed from: c  reason: collision with root package name */
        private String[] f13476c;

        private h() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private String[] d() {
            if (q2.p0(this.f13476c, null)) {
                return null;
            }
            int i = 0;
            for (int i2 = 0; i2 < 7; i2++) {
                String str = this.f13476c[i2];
                if (str != null) {
                    if (str.equals(ICUResourceBundle.i)) {
                        this.f13476c[i2] = null;
                    } else {
                        i = i2 + 1;
                    }
                }
            }
            if (i == 7) {
                return this.f13476c;
            }
            if (i == 0) {
                return null;
            }
            return (String[]) Arrays.copyOfRange(this.f13476c, 0, i);
        }

        private static g.a h(l2.b bVar) {
            if (bVar.length() != 2) {
                return null;
            }
            char charAt = bVar.charAt(0);
            char charAt2 = bVar.charAt(1);
            if (charAt == 'l') {
                if (charAt2 == 'g') {
                    return g.a.LONG_GENERIC;
                }
                if (charAt2 == 's') {
                    return g.a.LONG_STANDARD;
                }
                if (charAt2 == 'd') {
                    return g.a.LONG_DAYLIGHT;
                }
                return null;
            } else if (charAt == 's') {
                if (charAt2 == 'g') {
                    return g.a.SHORT_GENERIC;
                }
                if (charAt2 == 's') {
                    return g.a.SHORT_STANDARD;
                }
                if (charAt2 == 'd') {
                    return g.a.SHORT_DAYLIGHT;
                }
                return null;
            } else if (charAt == 'e' && charAt2 == 'c') {
                return g.a.EXEMPLAR_LOCATION;
            } else {
                return null;
            }
        }

        private void i(l2.b bVar, l2.e eVar) {
            if (this.f13476c == null) {
                this.f13476c = new String[7];
            }
            g.a h = h(bVar);
            if (h != null && this.f13476c[h.ordinal()] == null) {
                this.f13476c[h.ordinal()] = eVar.f();
            }
        }

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                i(bVar, eVar);
            }
        }

        /* access modifiers changed from: package-private */
        public void e(ICUResourceBundle iCUResourceBundle, String str) {
            f(iCUResourceBundle, TimeZoneNamesImpl.L0 + str);
        }

        /* access modifiers changed from: package-private */
        public void f(ICUResourceBundle iCUResourceBundle, String str) {
            this.f13476c = null;
            try {
                iCUResourceBundle.s0(str, this);
            } catch (MissingResourceException unused) {
            }
        }

        /* access modifiers changed from: package-private */
        public void g(ICUResourceBundle iCUResourceBundle, String str) {
            f(iCUResourceBundle, str.replace('/', ':'));
        }

        /* synthetic */ h(a aVar) {
            this();
        }
    }

    public TimeZoneNamesImpl(ULocale uLocale) {
        k(uLocale);
    }

    static Set<String> b() {
        if (M0 == null) {
            synchronized (TimeZoneNamesImpl.class) {
                if (M0 == null) {
                    M0 = Collections.unmodifiableSet(h0.l(a0.f13490d, "metaZones").d("mapTimezones").keySet());
                }
            }
        }
        return M0;
    }

    static Set<String> c(String str) {
        if (str == null || str.length() == 0) {
            return Collections.emptySet();
        }
        List<c> list = (List) N0.b(str, str);
        if (list.isEmpty()) {
            return Collections.emptySet();
        }
        HashSet hashSet = new HashSet(list.size());
        for (c cVar : list) {
            hashSet.add(cVar.b());
        }
        return Collections.unmodifiableSet(hashSet);
    }

    static String d(String str, long j) {
        if (str == null || str.length() == 0) {
            return null;
        }
        for (c cVar : (List) N0.b(str, str)) {
            if (j >= cVar.a() && j < cVar.c()) {
                return cVar.b();
            }
        }
        return null;
    }

    static String e(String str, String str2) {
        if (str == null || str.length() == 0) {
            return null;
        }
        Map map = (Map) O0.b(str, str);
        if (map.isEmpty()) {
            return null;
        }
        String str3 = (String) map.get(str2);
        return str3 == null ? (String) map.get(e.c.i) : str3;
    }

    public static String getDefaultExemplarLocationName(String str) {
        int lastIndexOf;
        int i2;
        if (str == null || str.length() == 0 || P0.matcher(str).matches() || (lastIndexOf = str.lastIndexOf(47)) <= 0 || (i2 = lastIndexOf + 1) >= str.length()) {
            return null;
        }
        return str.substring(i2).replace('_', ' ');
    }

    private void i() {
        for (Map.Entry<String, g> entry : this.S0.entrySet()) {
            entry.getValue().b(entry.getKey(), this.U0);
        }
        for (Map.Entry<String, g> entry2 : this.R0.entrySet()) {
            entry2.getValue().a(entry2.getKey(), this.U0);
        }
    }

    private Collection<TimeZoneNames.e> j(e eVar, CharSequence charSequence, int i2) {
        eVar.d();
        this.U0.e(charSequence, i2, eVar);
        if (eVar.c() == charSequence.length() - i2 || this.V0) {
            return eVar.b();
        }
        return null;
    }

    private void k(ULocale uLocale) {
        this.Q0 = (ICUResourceBundle) ((ICUResourceBundle) h0.j(a0.m, uLocale)).d(K0);
        this.S0 = new ConcurrentHashMap<>();
        this.R0 = new ConcurrentHashMap<>();
        this.T0 = false;
        this.U0 = new r1<>(true);
        this.V0 = false;
        String e2 = s2.e(TimeZone.getDefault());
        if (e2 != null) {
            n(e2);
        }
    }

    private void l() {
        if (!this.T0) {
            this.T0 = true;
            new i(this, null).e();
        }
    }

    private synchronized g m(String str) {
        g gVar;
        gVar = this.R0.get(str);
        if (gVar == null) {
            h hVar = new h(null);
            hVar.e(this.Q0, str);
            gVar = g.d(this.R0, hVar.d(), str);
        }
        return gVar;
    }

    private synchronized void n(String str) {
        if (str != null) {
            if (str.length() != 0) {
                o(str);
                for (String str2 : getAvailableMetaZoneIDs(str)) {
                    m(str2);
                }
            }
        }
    }

    private synchronized g o(String str) {
        g gVar;
        gVar = this.S0.get(str);
        if (gVar == null) {
            h hVar = new h(null);
            hVar.g(this.Q0, str);
            gVar = g.e(this.S0, hVar.d(), str);
        }
        return gVar;
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        k((ULocale) objectInputStream.readObject());
    }

    private void writeObject(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.writeObject(this.Q0.D());
    }

    @Override // com.ibm.icu.text.TimeZoneNames
    public synchronized Collection<TimeZoneNames.e> find(CharSequence charSequence, int i2, EnumSet<TimeZoneNames.NameType> enumSet) {
        if (charSequence != null) {
            if (charSequence.length() != 0 && i2 >= 0 && i2 < charSequence.length()) {
                e eVar = new e(enumSet);
                Collection<TimeZoneNames.e> j = j(eVar, charSequence, i2);
                if (j != null) {
                    return j;
                }
                i();
                Collection<TimeZoneNames.e> j2 = j(eVar, charSequence, i2);
                if (j2 != null) {
                    return j2;
                }
                l();
                for (String str : TimeZone.getAvailableIDs(TimeZone.SystemTimeZoneType.CANONICAL, null, null)) {
                    if (!this.S0.containsKey(str)) {
                        g.e(this.S0, null, str);
                    }
                }
                i();
                this.V0 = true;
                return j(eVar, charSequence, i2);
            }
        }
        throw new IllegalArgumentException("bad input text or range");
    }

    @Override // com.ibm.icu.text.TimeZoneNames
    public Set<String> getAvailableMetaZoneIDs() {
        return b();
    }

    @Override // com.ibm.icu.text.TimeZoneNames
    public void getDisplayNames(String str, TimeZoneNames.NameType[] nameTypeArr, long j, String[] strArr, int i2) {
        if (!(str == null || str.length() == 0)) {
            g o = o(str);
            g gVar = null;
            for (int i3 = 0; i3 < nameTypeArr.length; i3++) {
                TimeZoneNames.NameType nameType = nameTypeArr[i3];
                String f2 = o.f(nameType);
                if (f2 == null) {
                    if (gVar == null) {
                        String metaZoneID = getMetaZoneID(str, j);
                        if (metaZoneID == null || metaZoneID.length() == 0) {
                            gVar = g.f13468b;
                        } else {
                            gVar = m(metaZoneID);
                        }
                    }
                    f2 = gVar.f(nameType);
                }
                strArr[i2 + i3] = f2;
            }
        }
    }

    @Override // com.ibm.icu.text.TimeZoneNames
    public String getExemplarLocationName(String str) {
        if (str == null || str.length() == 0) {
            return null;
        }
        return o(str).f(TimeZoneNames.NameType.EXEMPLAR_LOCATION);
    }

    @Override // com.ibm.icu.text.TimeZoneNames
    public String getMetaZoneDisplayName(String str, TimeZoneNames.NameType nameType) {
        if (str == null || str.length() == 0) {
            return null;
        }
        return m(str).f(nameType);
    }

    @Override // com.ibm.icu.text.TimeZoneNames
    public String getMetaZoneID(String str, long j) {
        return d(str, j);
    }

    @Override // com.ibm.icu.text.TimeZoneNames
    public String getReferenceZoneID(String str, String str2) {
        return e(str, str2);
    }

    @Override // com.ibm.icu.text.TimeZoneNames
    public String getTimeZoneDisplayName(String str, TimeZoneNames.NameType nameType) {
        if (str == null || str.length() == 0) {
            return null;
        }
        return o(str).f(nameType);
    }

    @Override // com.ibm.icu.text.TimeZoneNames
    public synchronized void loadAllDisplayNames() {
        l();
    }

    @Override // com.ibm.icu.text.TimeZoneNames
    public Set<String> getAvailableMetaZoneIDs(String str) {
        return c(str);
    }

    /* access modifiers changed from: private */
    public final class i extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        private static final int f13477a = 300;

        /* renamed from: b  reason: collision with root package name */
        static final /* synthetic */ boolean f13478b = false;

        /* renamed from: c  reason: collision with root package name */
        private HashMap<l2.b, h> f13479c;

        /* renamed from: d  reason: collision with root package name */
        private StringBuilder f13480d;

        private i() {
            this.f13479c = new HashMap<>(300);
            this.f13480d = new StringBuilder(32);
        }

        private void b(l2.b bVar, l2.e eVar, boolean z) {
            h hVar = this.f13479c.get(bVar);
            if (hVar == null) {
                if (d(bVar)) {
                    if (TimeZoneNamesImpl.this.R0.containsKey(f(bVar))) {
                        hVar = h.f13474a;
                    } else {
                        hVar = new h(null);
                    }
                } else {
                    if (TimeZoneNamesImpl.this.S0.containsKey(g(bVar))) {
                        hVar = h.f13474a;
                    } else {
                        hVar = new h(null);
                    }
                }
                this.f13479c.put(c(bVar), hVar);
            }
            if (hVar != h.f13474a) {
                hVar.a(bVar, eVar, z);
            }
        }

        private String f(l2.b bVar) {
            this.f13480d.setLength(0);
            for (int i = 5; i < bVar.length(); i++) {
                this.f13480d.append(bVar.charAt(i));
            }
            return this.f13480d.toString();
        }

        private String g(l2.b bVar) {
            this.f13480d.setLength(0);
            for (int i = 0; i < bVar.length(); i++) {
                char charAt = bVar.charAt(i);
                if (charAt == ':') {
                    charAt = '/';
                }
                this.f13480d.append(charAt);
            }
            return this.f13480d.toString();
        }

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                if (eVar.k() == 2) {
                    b(bVar, eVar, z);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public l2.b c(l2.b bVar) {
            return bVar.clone();
        }

        /* access modifiers changed from: package-private */
        public boolean d(l2.b bVar) {
            return bVar.A(TimeZoneNamesImpl.L0);
        }

        /* access modifiers changed from: package-private */
        public void e() {
            TimeZoneNamesImpl.this.Q0.s0("", this);
            for (Map.Entry<l2.b, h> entry : this.f13479c.entrySet()) {
                h value = entry.getValue();
                if (value != h.f13474a) {
                    l2.b key = entry.getKey();
                    if (d(key)) {
                        g.d(TimeZoneNamesImpl.this.R0, value.d(), f(key));
                    } else {
                        g.e(TimeZoneNamesImpl.this.S0, value.d(), g(key));
                    }
                }
            }
        }

        /* synthetic */ i(TimeZoneNamesImpl timeZoneNamesImpl, a aVar) {
            this();
        }
    }
}
