package com.ibm.icu.impl;

import com.ibm.icu.util.h0;
import com.ibm.icu.util.i0;
import java.util.Collections;
import java.util.EnumMap;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

public class ValidIdentifiers {

    public enum Datasubtype {
        deprecated,
        private_use,
        regular,
        special,
        unknown,
        macroregion,
        reserved
    }

    public enum Datatype {
        currency,
        language,
        region,
        script,
        subdivision,
        unit,
        variant,
        u,
        t,
        x,
        illegal
    }

    private static class a {

        /* renamed from: a  reason: collision with root package name */
        static final Map<Datatype, Map<Datasubtype, b>> f13484a;

        static {
            EnumMap enumMap = new EnumMap(Datatype.class);
            i0 s = h0.m(a0.f13490d, "supplementalData", ICUResourceBundle.j).d("idValidity").s();
            while (s.a()) {
                h0 b2 = s.b();
                Datatype valueOf = Datatype.valueOf(b2.t());
                EnumMap enumMap2 = new EnumMap(Datasubtype.class);
                i0 s2 = b2.s();
                while (s2.a()) {
                    h0 b3 = s2.b();
                    Datasubtype valueOf2 = Datasubtype.valueOf(b3.t());
                    HashSet hashSet = new HashSet();
                    boolean z = false;
                    if (b3.B() == 0) {
                        a(b3.y(), hashSet);
                    } else {
                        for (String str : b3.A()) {
                            a(str, hashSet);
                        }
                    }
                    if (valueOf == Datatype.subdivision) {
                        z = true;
                    }
                    enumMap2.put((Object) valueOf2, (Object) new b(hashSet, z));
                }
                enumMap.put((Object) valueOf, (Object) Collections.unmodifiableMap(enumMap2));
            }
            f13484a = Collections.unmodifiableMap(enumMap);
        }

        private a() {
        }

        private static void a(String str, Set<String> set) {
            String j = com.ibm.icu.impl.locale.a.j(str);
            int indexOf = j.indexOf(126);
            if (indexOf < 0) {
                set.add(j);
            } else {
                p1.e(j.substring(0, indexOf), j.substring(indexOf + 1), false, set);
            }
        }
    }

    public static class b {

        /* renamed from: a  reason: collision with root package name */
        public final Set<String> f13485a;

        /* renamed from: b  reason: collision with root package name */
        public final Map<String, Set<String>> f13486b;

        public b(Set<String> set, boolean z) {
            Set set2;
            if (z) {
                HashMap hashMap = new HashMap();
                for (String str : set) {
                    int indexOf = str.indexOf(45);
                    int i = indexOf + 1;
                    if (indexOf < 0) {
                        indexOf = str.charAt(0) < 'A' ? 3 : 2;
                        i = indexOf;
                    }
                    String substring = str.substring(0, indexOf);
                    String substring2 = str.substring(i);
                    Set set3 = (Set) hashMap.get(substring);
                    if (set3 == null) {
                        set3 = new HashSet();
                        hashMap.put(substring, set3);
                    }
                    set3.add(substring2);
                }
                this.f13485a = null;
                HashMap hashMap2 = new HashMap();
                for (Map.Entry entry : hashMap.entrySet()) {
                    Set set4 = (Set) entry.getValue();
                    if (set4.size() == 1) {
                        set2 = Collections.singleton(set4.iterator().next());
                    } else {
                        set2 = Collections.unmodifiableSet(set4);
                    }
                    hashMap2.put(entry.getKey(), set2);
                }
                this.f13486b = Collections.unmodifiableMap(hashMap2);
                return;
            }
            this.f13485a = Collections.unmodifiableSet(set);
            this.f13486b = null;
        }

        public boolean a(String str) {
            Set<String> set = this.f13485a;
            if (set != null) {
                return set.contains(str);
            }
            int indexOf = str.indexOf(45);
            return b(str.substring(0, indexOf), str.substring(indexOf + 1));
        }

        public boolean b(String str, String str2) {
            Set<String> set = this.f13486b.get(str);
            return set != null && set.contains(str2);
        }

        public String toString() {
            Set<String> set = this.f13485a;
            if (set != null) {
                return set.toString();
            }
            return this.f13486b.toString();
        }
    }

    public static Map<Datatype, Map<Datasubtype, b>> a() {
        return a.f13484a;
    }

    public static Datasubtype b(Datatype datatype, Set<Datasubtype> set, String str) {
        Map<Datasubtype, b> map = a.f13484a.get(datatype);
        if (map == null) {
            return null;
        }
        for (Datasubtype datasubtype : set) {
            b bVar = map.get(datasubtype);
            if (bVar != null && bVar.a(com.ibm.icu.impl.locale.a.j(str))) {
                return datasubtype;
            }
        }
        return null;
    }

    public static Datasubtype c(Datatype datatype, Set<Datasubtype> set, String str, String str2) {
        Map<Datasubtype, b> map = a.f13484a.get(datatype);
        if (map == null) {
            return null;
        }
        String j = com.ibm.icu.impl.locale.a.j(str);
        String j2 = com.ibm.icu.impl.locale.a.j(str2);
        for (Datasubtype datasubtype : set) {
            b bVar = map.get(datasubtype);
            if (bVar != null && bVar.b(j, j2)) {
                return datasubtype;
            }
        }
        return null;
    }
}
