package com.ibm.icu.impl;

import com.ibm.icu.impl.locale.b;
import com.ibm.icu.impl.number.d0.c;
import com.ibm.icu.text.PluralRules;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.h0;
import java.text.ParseException;
import java.util.Collections;
import java.util.HashMap;
import java.util.LinkedHashSet;
import java.util.Map;
import java.util.MissingResourceException;
import java.util.Set;
import java.util.TreeMap;

/* compiled from: PluralRulesLoader */
public class a1 extends PluralRules.h {

    /* renamed from: a  reason: collision with root package name */
    public static final a1 f13497a = new a1();

    /* renamed from: b  reason: collision with root package name */
    private final Map<String, PluralRules> f13498b = new HashMap();

    /* renamed from: c  reason: collision with root package name */
    private Map<String, String> f13499c;

    /* renamed from: d  reason: collision with root package name */
    private Map<String, String> f13500d;

    /* renamed from: e  reason: collision with root package name */
    private Map<String, ULocale> f13501e;

    private a1() {
    }

    private void g() {
        int i;
        boolean z;
        Map<String, ULocale> map;
        Map<String, String> map2;
        Map<String, String> map3;
        synchronized (this) {
            z = this.f13499c != null;
        }
        if (!z) {
            try {
                h0 j = j();
                h0 d2 = j.d("locales");
                map2 = new TreeMap<>();
                map = new HashMap<>();
                for (int i2 = 0; i2 < d2.x(); i2++) {
                    h0 c2 = d2.c(i2);
                    String t = c2.t();
                    String intern = c2.y().intern();
                    map2.put(t, intern);
                    if (!map.containsKey(intern)) {
                        map.put(intern, new ULocale(t));
                    }
                }
                h0 d3 = j.d("locales_ordinals");
                map3 = new TreeMap<>();
                for (i = 0; i < d3.x(); i++) {
                    h0 c3 = d3.c(i);
                    map3.put(c3.t(), c3.y().intern());
                }
            } catch (MissingResourceException unused) {
                map2 = Collections.emptyMap();
                map3 = Collections.emptyMap();
                map = Collections.emptyMap();
            }
            synchronized (this) {
                if (this.f13499c == null) {
                    this.f13499c = map2;
                    this.f13500d = map3;
                    this.f13501e = map;
                }
            }
        }
    }

    private Map<String, String> h(PluralRules.PluralType pluralType) {
        g();
        return pluralType == PluralRules.PluralType.CARDINAL ? this.f13499c : this.f13500d;
    }

    private Map<String, ULocale> l() {
        g();
        return this.f13501e;
    }

    @Override // com.ibm.icu.text.PluralRules.h
    public PluralRules b(ULocale uLocale, PluralRules.PluralType pluralType) {
        PluralRules i = i(uLocale, pluralType);
        return i == null ? PluralRules.DEFAULT : i;
    }

    @Override // com.ibm.icu.text.PluralRules.h
    public ULocale[] c() {
        Set<String> keySet = h(PluralRules.PluralType.CARDINAL).keySet();
        LinkedHashSet linkedHashSet = new LinkedHashSet(keySet.size());
        for (String str : keySet) {
            linkedHashSet.add(ULocale.createCanonical(str));
        }
        return (ULocale[]) linkedHashSet.toArray(new ULocale[0]);
    }

    @Override // com.ibm.icu.text.PluralRules.h
    public ULocale e(ULocale uLocale, boolean[] zArr) {
        if (zArr != null && zArr.length > 0) {
            zArr[0] = h(PluralRules.PluralType.CARDINAL).containsKey(ULocale.canonicalize(uLocale.getBaseName()));
        }
        String k = k(uLocale, PluralRules.PluralType.CARDINAL);
        if (k == null || k.trim().length() == 0) {
            return ULocale.ROOT;
        }
        ULocale uLocale2 = l().get(k);
        return uLocale2 == null ? ULocale.ROOT : uLocale2;
    }

    @Override // com.ibm.icu.text.PluralRules.h
    public boolean f(ULocale uLocale) {
        return false;
    }

    public PluralRules i(ULocale uLocale, PluralRules.PluralType pluralType) {
        boolean containsKey;
        String k = k(uLocale, pluralType);
        PluralRules pluralRules = null;
        if (k == null || k.trim().length() == 0) {
            return null;
        }
        String h = c.h(uLocale);
        String str = k + "/" + h;
        synchronized (this.f13498b) {
            containsKey = this.f13498b.containsKey(str);
            if (containsKey) {
                pluralRules = this.f13498b.get(str);
            }
        }
        if (!containsKey) {
            try {
                h0 d2 = j().d("rules").d(k);
                StringBuilder sb = new StringBuilder();
                for (int i = 0; i < d2.x(); i++) {
                    h0 c2 = d2.c(i);
                    if (i > 0) {
                        sb.append("; ");
                    }
                    sb.append(c2.t());
                    sb.append(": ");
                    sb.append(c2.y());
                }
                pluralRules = PluralRules.newInternal(sb.toString(), c.e(h));
            } catch (ParseException | MissingResourceException unused) {
            }
            synchronized (this.f13498b) {
                if (this.f13498b.containsKey(str)) {
                    pluralRules = this.f13498b.get(str);
                } else {
                    this.f13498b.put(str, pluralRules);
                }
            }
        }
        return pluralRules;
    }

    public h0 j() throws MissingResourceException {
        return ICUResourceBundle.I0(a0.f13490d, "plurals", ICUResourceBundle.j, true);
    }

    public String k(ULocale uLocale, PluralRules.PluralType pluralType) {
        String str;
        int lastIndexOf;
        Map<String, String> h = h(pluralType);
        String canonicalize = ULocale.canonicalize(uLocale.getBaseName());
        while (true) {
            str = h.get(canonicalize);
            if (str != null || (lastIndexOf = canonicalize.lastIndexOf(b.f14006b)) == -1) {
                return str;
            }
            canonicalize = canonicalize.substring(0, lastIndexOf);
        }
        return str;
    }
}
