package com.ibm.icu.impl;

import com.ibm.icu.impl.u1;
import com.ibm.icu.impl.v;
import com.ibm.icu.text.UnicodeSet;
import com.ibm.icu.text.w2;
import com.ibm.icu.util.ICUUncheckedIOException;
import com.ibm.icu.util.ULocale;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.util.Iterator;
import java.util.Locale;

/* compiled from: UCaseProps */
public final class b2 {
    public static final int A = 1;
    public static final int B = 2;
    public static final int C = 3;
    static final int D = 4;
    private static final int E = 8;
    private static final int F = 16;
    private static final int G = 96;
    private static final int H = 32;
    private static final int I = 64;
    private static final int J = 96;
    private static final int K = 7;
    private static final int L = 4;
    private static final int M = 0;
    private static final int N = 1;
    private static final int O = 2;
    private static final int P = 3;
    private static final int Q = 4;
    private static final int R = 6;
    private static final int S = 7;
    private static final int T = 256;
    private static final int U = 512;
    private static final int V = 1024;
    private static final int W = 2048;
    private static final int X = 7;
    private static final int Y = 16384;
    private static final int Z = 32768;

    /* renamed from: a  reason: collision with root package name */
    private static final byte[] f13521a = {0, 1, 1, 2, 1, 2, 2, 3, 1, 2, 2, 3, 2, 3, 3, 4, 1, 2, 2, 3, 2, 3, 3, 4, 2, 3, 3, 4, 3, 4, 4, 5, 1, 2, 2, 3, 2, 3, 3, 4, 2, 3, 3, 4, 3, 4, 4, 5, 2, 3, 3, 4, 3, 4, 4, 5, 3, 4, 4, 5, 4, 5, 5, 6, 1, 2, 2, 3, 2, 3, 3, 4, 2, 3, 3, 4, 3, 4, 4, 5, 2, 3, 3, 4, 3, 4, 4, 5, 3, 4, 4, 5, 4, 5, 5, 6, 2, 3, 3, 4, 3, 4, 4, 5, 3, 4, 4, 5, 4, 5, 5, 6, 3, 4, 4, 5, 4, 5, 5, 6, 4, 5, 5, 6, 5, 6, 6, 7, 1, 2, 2, 3, 2, 3, 3, 4, 2, 3, 3, 4, 3, 4, 4, 5, 2, 3, 3, 4, 3, 4, 4, 5, 3, 4, 4, 5, 4, 5, 5, 6, 2, 3, 3, 4, 3, 4, 4, 5, 3, 4, 4, 5, 4, 5, 5, 6, 3, 4, 4, 5, 4, 5, 5, 6, 4, 5, 5, 6, 5, 6, 6, 7, 2, 3, 3, 4, 3, 4, 4, 5, 3, 4, 4, 5, 4, 5, 5, 6, 3, 4, 4, 5, 4, 5, 5, 6, 4, 5, 5, 6, 5, 6, 6, 7, 3, 4, 4, 5, 4, 5, 5, 6, 4, 5, 5, 6, 5, 6, 6, 7, 4, 5, 5, 6, 5, 6, 6, 7, 5, 6, 6, 7, 6, 7, 7, 8};
    private static final int a0 = 15;

    /* renamed from: b  reason: collision with root package name */
    public static final int f13522b = 31;
    private static final int b0 = 15;

    /* renamed from: c  reason: collision with root package name */
    public static final int f13523c = 1;
    private static final int c0 = 0;

    /* renamed from: d  reason: collision with root package name */
    static final int f13524d = 2;
    private static final int d0 = 1;

    /* renamed from: e  reason: collision with root package name */
    static final int f13525e = 3;
    private static final int e0 = 2;
    static final int f = 4;
    public static final b2 f0;
    public static final int g = 5;
    static final int h = 6;
    private static final String i = "i̇";
    private static final String j = "j̇";
    private static final String k = "į̇";
    private static final String l = "i̇̀";
    private static final String m = "i̇́";
    private static final String n = "i̇̃";
    static final int o = 7;
    public static final StringBuilder p = new StringBuilder();
    private static final String q = "ucase";
    private static final String r = "icu";
    private static final String s = "ucase.icu";
    private static final int t = 1665225541;
    private static final int u = 2;
    private static final int v = 3;
    private static final int w = 4;
    private static final int x = 16;
    public static final int y = 3;
    public static final int z = 0;
    private int[] g0;
    private String h0;
    private char[] i0;
    private w1 j0;

    /* compiled from: UCaseProps */
    public interface b {
        void a(int i);

        int next();
    }

    /* access modifiers changed from: private */
    /* compiled from: UCaseProps */
    public static final class c implements v.b {
        private c() {
        }

        @Override // com.ibm.icu.impl.v.b
        public boolean a(byte[] bArr) {
            return bArr[0] == 4;
        }
    }

    /* compiled from: UCaseProps */
    static final class d {

        /* renamed from: a  reason: collision with root package name */
        static final char f13526a = 384;

        /* renamed from: b  reason: collision with root package name */
        static final char f13527b = 383;

        /* renamed from: c  reason: collision with root package name */
        static final byte f13528c = Byte.MIN_VALUE;

        /* renamed from: d  reason: collision with root package name */
        static final byte[] f13529d = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, Byte.MIN_VALUE, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 0, 32, 32, 32, 32, 32, 32, 32, Byte.MIN_VALUE, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, Byte.MIN_VALUE, 0, 1, 0, 1, 0, 1, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, Byte.MIN_VALUE, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, -121, 1, 0, 1, 0, 1, 0, Byte.MIN_VALUE};

        /* renamed from: e  reason: collision with root package name */
        static final byte[] f13530e = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 32, 32, 32, 32, 32, 32, 32, Byte.MIN_VALUE, Byte.MIN_VALUE, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, Byte.MIN_VALUE, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, Byte.MIN_VALUE, Byte.MIN_VALUE, 32, 32, 32, 32, 32, 32, 32, 32, 32, 0, 32, 32, 32, 32, 32, 32, 32, Byte.MIN_VALUE, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, Byte.MIN_VALUE, 0, 1, 0, 1, 0, Byte.MIN_VALUE, 0, Byte.MIN_VALUE, 0, 1, 0, 1, 0, 1, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, Byte.MIN_VALUE, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, -121, 1, 0, 1, 0, 1, 0, Byte.MIN_VALUE};
        static final byte[] f = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, Byte.MIN_VALUE, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, Byte.MIN_VALUE, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, 0, -32, -32, -32, -32, -32, -32, -32, 121, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, Byte.MIN_VALUE, 0, -1, 0, -1, 0, -1, 0, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, Byte.MIN_VALUE, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, 0, -1, 0, -1, 0, -1, Byte.MIN_VALUE};
        static final byte[] g = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -32, -32, -32, -32, -32, -32, -32, -32, Byte.MIN_VALUE, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, Byte.MIN_VALUE, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, Byte.MIN_VALUE, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, -32, 0, -32, -32, -32, -32, -32, -32, -32, 121, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, Byte.MIN_VALUE, 0, -1, 0, -1, 0, -1, 0, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, Byte.MIN_VALUE, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, -1, 0, 0, -1, 0, -1, 0, -1, Byte.MIN_VALUE};

        d() {
        }
    }

    static {
        try {
            f0 = new b2();
        } catch (IOException e2) {
            throw new ICUUncheckedIOException(e2);
        }
    }

    private b2() throws IOException {
        C(v.p(s));
    }

    static final boolean A(int i2) {
        return (i2 & 2) != 0;
    }

    static final boolean B(int i2) {
        return (i2 & 8) != 0;
    }

    private final void C(ByteBuffer byteBuffer) throws IOException {
        v.v(byteBuffer, t, new c());
        int i2 = byteBuffer.getInt();
        if (i2 >= 16) {
            int[] iArr = new int[i2];
            this.g0 = iArr;
            iArr[0] = i2;
            for (int i3 = 1; i3 < i2; i3++) {
                this.g0[i3] = byteBuffer.getInt();
            }
            w1 v2 = w1.v(byteBuffer);
            this.j0 = v2;
            int i4 = this.g0[2];
            int w2 = v2.w();
            if (w2 <= i4) {
                v.x(byteBuffer, i4 - w2);
                int i5 = this.g0[3];
                if (i5 > 0) {
                    this.h0 = v.r(byteBuffer, i5, 0);
                }
                int i6 = this.g0[4];
                if (i6 > 0) {
                    this.i0 = v.i(byteBuffer, i6, 0);
                    return;
                }
                return;
            }
            throw new IOException("ucase.icu: not enough bytes for the trie");
        }
        throw new IOException("indexes[0] too small in ucase.icu");
    }

    private static final byte D(int i2, int i3) {
        return f13521a[i2 & ((1 << i3) - 1)];
    }

    private final int E(String str, int i2, int i3) {
        int length = str.length();
        int i4 = i3 - length;
        int i5 = 0;
        while (true) {
            int i6 = i5 + 1;
            char charAt = str.charAt(i5);
            char[] cArr = this.i0;
            int i7 = i2 + 1;
            char c2 = cArr[i2];
            if (c2 == 0) {
                return 1;
            }
            int i8 = charAt - c2;
            if (i8 != 0) {
                return i8;
            }
            length--;
            if (length > 0) {
                i5 = i6;
                i2 = i7;
            } else if (i4 == 0 || cArr[i7] == 0) {
                return 0;
            } else {
                return -i4;
            }
        }
    }

    private final int J(int i2, b bVar, Appendable appendable, int i3, boolean z2) {
        int i4;
        int j2 = this.j0.j(i2);
        if (!B(j2)) {
            i4 = p(j2) == 1 ? h(j2) + i2 : i2;
        } else {
            int j3 = j(j2);
            int i5 = j3 + 1;
            char charAt = this.h0.charAt(j3);
            int i6 = 3;
            if ((charAt & 16384) != 0) {
                if (i3 == 2 && i2 == 105) {
                    return 304;
                }
                if (i3 == 3 && i2 == 775 && x(bVar)) {
                    return 0;
                }
                if (i2 == 1415) {
                    if (i3 == 6) {
                        try {
                            appendable.append(z2 ? "ԵՎ" : "Եվ");
                        } catch (IOException e2) {
                            throw new ICUUncheckedIOException(e2);
                        }
                    } else {
                        appendable.append(z2 ? "ԵՒ" : "Եւ");
                    }
                    return 2;
                }
            } else if (s(charAt, 7)) {
                long l2 = l(charAt, 7, i5);
                int i7 = ((int) l2) & 65535;
                int i8 = i7 >> 4;
                int i9 = ((int) (l2 >> 32)) + 1 + (i7 & 15) + (i8 & 15);
                int i10 = i8 >> 4;
                if (!z2) {
                    i9 += i10 & 15;
                    i10 >>= 4;
                }
                int i11 = i10 & 15;
                if (i11 != 0) {
                    try {
                        appendable.append(this.h0, i9, i9 + i11);
                        return i11;
                    } catch (IOException e3) {
                        throw new ICUUncheckedIOException(e3);
                    }
                }
            }
            if (!s(charAt, 4) || p(j2) != 1) {
                if (z2 || !s(charAt, 3)) {
                    if (!s(charAt, 2)) {
                        return ~i2;
                    }
                    i6 = 2;
                }
                i4 = k(charAt, i6, i5);
            } else {
                int k2 = k(charAt, 4, i5);
                return (charAt & 1024) == 0 ? i2 + k2 : i2 - k2;
            }
        }
        return i4 == i2 ? ~i4 : i4;
    }

    public static final int e(ULocale uLocale) {
        return f(uLocale.getLanguage());
    }

    private static final int f(String str) {
        if (str.length() == 2) {
            if (str.equals("en") || str.charAt(0) > 't') {
                return 1;
            }
            if (str.equals("tr") || str.equals("az")) {
                return 2;
            }
            if (str.equals("el")) {
                return 4;
            }
            if (str.equals("lt")) {
                return 3;
            }
            if (str.equals("nl")) {
                return 5;
            }
            if (str.equals("hy")) {
                return 6;
            }
        } else if (str.length() == 3) {
            if (str.equals("tur") || str.equals("aze")) {
                return 2;
            }
            if (str.equals("ell")) {
                return 4;
            }
            if (str.equals("lit")) {
                return 3;
            }
            if (str.equals("nld")) {
                return 5;
            }
            if (str.equals("hye")) {
                return 6;
            }
        }
        return 1;
    }

    public static final int g(Locale locale) {
        return f(locale.getLanguage());
    }

    static final int h(int i2) {
        return ((short) i2) >> 7;
    }

    private static final int j(int i2) {
        return i2 >> 4;
    }

    private final int k(int i2, int i3, int i4) {
        if ((i2 & 256) == 0) {
            return this.h0.charAt(i4 + D(i2, i3));
        }
        int D2 = i4 + (D(i2, i3) * 2);
        return (this.h0.charAt(D2) << 16) | this.h0.charAt(D2 + 1);
    }

    private final long l(int i2, int i3, int i4) {
        int i5;
        long j2;
        if ((i2 & 256) == 0) {
            i5 = i4 + D(i2, i3);
            j2 = (long) this.h0.charAt(i5);
        } else {
            int D2 = i4 + (D(i2, i3) * 2);
            int i6 = D2 + 1;
            i5 = i6;
            j2 = (((long) this.h0.charAt(D2)) << 16) | ((long) this.h0.charAt(i6));
        }
        return j2 | (((long) i5) << 32);
    }

    static w1 m() {
        return f0.j0;
    }

    private static final int o(int i2) {
        return i2 & 7;
    }

    static final int p(int i2) {
        return i2 & 3;
    }

    private static final boolean s(int i2, int i3) {
        return (i2 & (1 << i3)) != 0;
    }

    private final boolean u(b bVar, int i2) {
        if (bVar == null) {
            return false;
        }
        bVar.a(i2);
        while (true) {
            int next = bVar.next();
            if (next < 0) {
                break;
            }
            int q2 = q(next);
            if ((q2 & 4) == 0) {
                if (q2 != 0) {
                    return true;
                }
            }
        }
        return false;
    }

    private final boolean v(b bVar) {
        int next;
        if (bVar == null) {
            return false;
        }
        bVar.a(1);
        do {
            next = bVar.next();
            if (next < 0) {
                break;
            } else if (next == 775) {
                return true;
            }
        } while (i(next) == 96);
        return false;
    }

    private final boolean w(b bVar) {
        int i2;
        if (bVar == null) {
            return false;
        }
        bVar.a(1);
        do {
            int next = bVar.next();
            if (next < 0) {
                break;
            }
            i2 = i(next);
            if (i2 == 64) {
                return true;
            }
        } while (i2 == 96);
        return false;
    }

    private final boolean x(b bVar) {
        int i2;
        if (bVar == null) {
            return false;
        }
        bVar.a(-1);
        do {
            int next = bVar.next();
            if (next < 0) {
                break;
            }
            i2 = i(next);
            if (i2 == 32) {
                return true;
            }
        } while (i2 == 96);
        return false;
    }

    private final boolean y(b bVar) {
        int next;
        if (bVar == null) {
            return false;
        }
        bVar.a(-1);
        do {
            next = bVar.next();
            if (next < 0) {
                break;
            } else if (next == 73) {
                return true;
            }
        } while (i(next) == 96);
        return false;
    }

    public final int F(int i2, Appendable appendable, int i3) {
        int i4;
        int j2 = this.j0.j(i2);
        if (!B(j2)) {
            i4 = A(j2) ? h(j2) + i2 : i2;
        } else {
            int j3 = j(j2);
            int i5 = j3 + 1;
            char charAt = this.h0.charAt(j3);
            int i6 = 1;
            if ((32768 & charAt) != 0) {
                if ((i3 & 7) == 0) {
                    if (i2 == 73) {
                        return 105;
                    }
                    if (i2 == 304) {
                        try {
                            appendable.append(i);
                            return 2;
                        } catch (IOException e2) {
                            throw new ICUUncheckedIOException(e2);
                        }
                    }
                } else if (i2 == 73) {
                    return 305;
                } else {
                    if (i2 == 304) {
                        return 105;
                    }
                }
            } else if (s(charAt, 7)) {
                long l2 = l(charAt, 7, i5);
                int i7 = ((int) l2) & 65535;
                int i8 = ((int) (l2 >> 32)) + 1 + (i7 & 15);
                int i9 = (i7 >> 4) & 15;
                if (i9 != 0) {
                    try {
                        appendable.append(this.h0, i8, i8 + i9);
                        return i9;
                    } catch (IOException e3) {
                        throw new ICUUncheckedIOException(e3);
                    }
                }
            }
            if ((charAt & 512) != 0) {
                return ~i2;
            }
            if (!s(charAt, 4) || !A(j2)) {
                if (!s(charAt, 1)) {
                    if (!s(charAt, 0)) {
                        return ~i2;
                    }
                    i6 = 0;
                }
                i4 = k(charAt, i6, i5);
            } else {
                int k2 = k(charAt, 4, i5);
                return (charAt & 1024) == 0 ? i2 + k2 : i2 - k2;
            }
        }
        return i4 == i2 ? ~i4 : i4;
    }

    /* JADX WARNING: Removed duplicated region for block: B:100:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x0129  */
    public final int G(int i2, b bVar, Appendable appendable, int i3) {
        int i4;
        int j2 = this.j0.j(i2);
        if (B(j2)) {
            int j3 = j(j2);
            int i5 = j3 + 1;
            char charAt = this.h0.charAt(j3);
            if ((charAt & 16384) != 0) {
                if (i3 == 3 && (((i2 == 73 || i2 == 74 || i2 == 302) && w(bVar)) || i2 == 204 || i2 == 205 || i2 == 296)) {
                    if (i2 == 73) {
                        appendable.append(i);
                        return 2;
                    } else if (i2 == 74) {
                        appendable.append(j);
                        return 2;
                    } else if (i2 == 204) {
                        appendable.append(l);
                        return 3;
                    } else if (i2 == 205) {
                        appendable.append(m);
                        return 3;
                    } else if (i2 == 296) {
                        appendable.append(n);
                        return 3;
                    } else if (i2 != 302) {
                        return 0;
                    } else {
                        try {
                            appendable.append(k);
                            return 2;
                        } catch (IOException e2) {
                            throw new ICUUncheckedIOException(e2);
                        }
                    }
                } else if (i3 == 2 && i2 == 304) {
                    return 105;
                } else {
                    if (i3 == 2 && i2 == 775 && y(bVar)) {
                        return 0;
                    }
                    if (i3 == 2 && i2 == 73 && !v(bVar)) {
                        return 305;
                    }
                    if (i2 == 304) {
                        try {
                            appendable.append(i);
                            return 2;
                        } catch (IOException e3) {
                            throw new ICUUncheckedIOException(e3);
                        }
                    } else if (i2 == 931 && !u(bVar, 1) && u(bVar, -1)) {
                        return 962;
                    }
                }
            } else if (s(charAt, 7)) {
                long l2 = l(charAt, 7, i5);
                int i6 = ((int) l2) & 15;
                if (i6 != 0) {
                    int i7 = ((int) (l2 >> 32)) + 1;
                    try {
                        appendable.append(this.h0, i7, i7 + i6);
                        return i6;
                    } catch (IOException e4) {
                        throw new ICUUncheckedIOException(e4);
                    }
                }
            }
            if (s(charAt, 4) && A(j2)) {
                int k2 = k(charAt, 4, i5);
                return (charAt & 1024) == 0 ? i2 + k2 : i2 - k2;
            } else if (s(charAt, 0)) {
                i4 = k(charAt, 0, i5);
                if (i4 == i2) {
                }
            }
        } else if (A(j2)) {
            i4 = h(j2) + i2;
            return i4 == i2 ? ~i4 : i4;
        }
        i4 = i2;
        if (i4 == i2) {
        }
    }

    public final int H(int i2, b bVar, Appendable appendable, int i3) {
        return J(i2, bVar, appendable, i3, false);
    }

    public final int I(int i2, b bVar, Appendable appendable, int i3) {
        return J(i2, bVar, appendable, i3, true);
    }

    public final int K(int i2) {
        int j2 = this.j0.j(i2);
        if (B(j2)) {
            int j3 = j(j2);
            int i3 = j3 + 1;
            char charAt = this.h0.charAt(j3);
            if (!s(charAt, 4) || !A(j2)) {
                return s(charAt, 0) ? k(charAt, 0, i3) : i2;
            }
            int k2 = k(charAt, 4, i3);
            return (charAt & 1024) == 0 ? i2 + k2 : i2 - k2;
        } else if (A(j2)) {
            return i2 + h(j2);
        } else {
            return i2;
        }
    }

    public final int L(int i2) {
        int j2 = this.j0.j(i2);
        if (B(j2)) {
            int j3 = j(j2);
            int i3 = j3 + 1;
            char charAt = this.h0.charAt(j3);
            if (!s(charAt, 4) || p(j2) != 1) {
                int i4 = 3;
                if (!s(charAt, 3)) {
                    if (!s(charAt, 2)) {
                        return i2;
                    }
                    i4 = 2;
                }
                return k(charAt, i4, i3);
            }
            int k2 = k(charAt, 4, i3);
            return (charAt & 1024) == 0 ? i2 + k2 : i2 - k2;
        } else if (p(j2) == 1) {
            return i2 + h(j2);
        } else {
            return i2;
        }
    }

    public final int M(int i2) {
        int j2 = this.j0.j(i2);
        if (B(j2)) {
            int j3 = j(j2);
            int i3 = j3 + 1;
            char charAt = this.h0.charAt(j3);
            if (!s(charAt, 4) || p(j2) != 1) {
                return s(charAt, 2) ? k(charAt, 2, i3) : i2;
            }
            int k2 = k(charAt, 4, i3);
            return (charAt & 1024) == 0 ? i2 + k2 : i2 - k2;
        } else if (p(j2) == 1) {
            return i2 + h(j2);
        } else {
            return i2;
        }
    }

    public final void a(int i2, UnicodeSet unicodeSet) {
        int i3;
        int h2;
        if (i2 == 73) {
            unicodeSet.D(105);
        } else if (i2 == 105) {
            unicodeSet.D(73);
        } else if (i2 == 304) {
            unicodeSet.F(i);
        } else if (i2 != 305) {
            int j2 = this.j0.j(i2);
            if (B(j2)) {
                int j3 = j(j2);
                int i4 = j3 + 1;
                char charAt = this.h0.charAt(j3);
                int i5 = 0;
                for (int i6 = 0; i6 <= 3; i6++) {
                    if (s(charAt, i6)) {
                        i2 = k(charAt, i6, i4);
                        unicodeSet.D(i2);
                    }
                }
                if (s(charAt, 4)) {
                    int k2 = k(charAt, 4, i4);
                    unicodeSet.D((charAt & 1024) == 0 ? i2 + k2 : i2 - k2);
                }
                if (s(charAt, 6)) {
                    long l2 = l(charAt, 6, i4);
                    i5 = ((int) (l2 >> 32)) + 1;
                    i3 = ((int) l2) & 15;
                } else {
                    i3 = 0;
                }
                if (s(charAt, 7)) {
                    long l3 = l(charAt, 7, i4);
                    int i7 = 65535 & ((int) l3);
                    int i8 = ((int) (l3 >> 32)) + 1 + (i7 & 15);
                    int i9 = i7 >> 4;
                    int i10 = i9 & 15;
                    if (i10 != 0) {
                        int i11 = i10 + i8;
                        unicodeSet.F(this.h0.substring(i8, i11));
                        i8 = i11;
                    }
                    int i12 = i9 >> 4;
                    i5 = i8 + (i12 & 15) + (i12 >> 4);
                }
                int i13 = i3 + i5;
                while (i5 < i13) {
                    int codePointAt = this.h0.codePointAt(i5);
                    unicodeSet.D(codePointAt);
                    i5 += w2.z(codePointAt);
                }
            } else if (p(j2) != 0 && (h2 = h(j2)) != 0) {
                unicodeSet.D(i2 + h2);
            }
        }
    }

    public final void b(UnicodeSet unicodeSet) {
        Iterator<u1.e> it = this.j0.iterator();
        while (it.hasNext()) {
            u1.e next = it.next();
            if (!next.f14545d) {
                unicodeSet.D(next.f14542a);
            } else {
                return;
            }
        }
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:22:0x001d */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:23:0x002c */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:26:0x001d */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v0, types: [char[]] */
    /* JADX WARN: Type inference failed for: r4v0, types: [char] */
    /* JADX WARN: Type inference failed for: r5v0, types: [int, char] */
    /* JADX WARN: Type inference failed for: r3v1, types: [int, char] */
    /* JADX WARN: Type inference failed for: r4v1 */
    /* JADX WARN: Type inference failed for: r3v2, types: [int] */
    /* JADX WARN: Type inference failed for: r4v2 */
    public final boolean c(String str, UnicodeSet unicodeSet) {
        int length;
        if (this.i0 == null || str == null || (length = str.length()) <= 1) {
            return false;
        }
        char[] cArr = this.i0;
        char c2 = cArr[0];
        char c3 = cArr[1];
        char c4 = cArr[2];
        if (length > c4) {
            return false;
        }
        int i2 = 0;
        while (i2 < c2) {
            int i3 = (i2 + (c2 == true ? 1 : 0)) / 2;
            int i4 = i3 + 1;
            int i5 = i4 * c3;
            int E2 = E(str, i5, c4);
            if (E2 == 0) {
                while (c4 < c3) {
                    char[] cArr2 = this.i0;
                    if (cArr2[i5 + (c4 == true ? 1 : 0)] == 0) {
                        break;
                    }
                    int m2 = w2.m(cArr2, i5, cArr2.length, c4);
                    unicodeSet.D(m2);
                    a(m2, unicodeSet);
                    c4 += w2.z(m2);
                }
                return true;
            } else if (E2 < 0) {
                c2 = i3;
            } else {
                i2 = i4;
            }
        }
        return false;
    }

    public final int d(int i2, int i3) {
        int j2 = this.j0.j(i2);
        if (B(j2)) {
            int j3 = j(j2);
            int i4 = j3 + 1;
            char charAt = this.h0.charAt(j3);
            if ((32768 & charAt) != 0) {
                if ((i3 & 7) == 0) {
                    if (i2 == 73) {
                        return 105;
                    }
                    if (i2 == 304) {
                        return i2;
                    }
                } else if (i2 == 73) {
                    return 305;
                } else {
                    if (i2 == 304) {
                        return 105;
                    }
                }
            }
            if ((charAt & 512) != 0) {
                return i2;
            }
            if (!s(charAt, 4) || !A(j2)) {
                int i5 = 1;
                if (!s(charAt, 1)) {
                    if (!s(charAt, 0)) {
                        return i2;
                    }
                    i5 = 0;
                }
                return k(charAt, i5, i4);
            }
            int k2 = k(charAt, 4, i4);
            return (charAt & 1024) == 0 ? i2 + k2 : i2 - k2;
        } else if (A(j2)) {
            return i2 + h(j2);
        } else {
            return i2;
        }
    }

    public final int i(int i2) {
        int j2 = this.j0.j(i2);
        if (!B(j2)) {
            return j2 & 96;
        }
        return (this.h0.charAt(j(j2)) >> 7) & 96;
    }

    public final int n(int i2) {
        return p(this.j0.j(i2));
    }

    public final int q(int i2) {
        return o(this.j0.j(i2));
    }

    public final boolean r(int i2, int i3) {
        if (i3 != 22) {
            if (i3 == 27) {
                return z(i2);
            }
            if (i3 != 30) {
                if (i3 == 34) {
                    return t(i2);
                }
                if (i3 != 55) {
                    switch (i3) {
                        case 49:
                            if (n(i2) != 0) {
                                return true;
                            }
                            return false;
                        case 50:
                            if ((q(i2) >> 2) != 0) {
                                return true;
                            }
                            return false;
                        case 51:
                            StringBuilder sb = p;
                            sb.setLength(0);
                            if (G(i2, null, sb, 1) >= 0) {
                                return true;
                            }
                            return false;
                        case 52:
                            StringBuilder sb2 = p;
                            sb2.setLength(0);
                            if (I(i2, null, sb2, 1) >= 0) {
                                return true;
                            }
                            return false;
                        case 53:
                            StringBuilder sb3 = p;
                            sb3.setLength(0);
                            if (H(i2, null, sb3, 1) >= 0) {
                                return true;
                            }
                            return false;
                        default:
                            return false;
                    }
                } else {
                    StringBuilder sb4 = p;
                    sb4.setLength(0);
                    if (G(i2, null, sb4, 1) >= 0 || I(i2, null, sb4, 1) >= 0 || H(i2, null, sb4, 1) >= 0) {
                        return true;
                    }
                    return false;
                }
            } else if (2 == n(i2)) {
                return true;
            } else {
                return false;
            }
        } else if (1 == n(i2)) {
            return true;
        } else {
            return false;
        }
    }

    public final boolean t(int i2) {
        int j2 = this.j0.j(i2);
        if (!B(j2)) {
            return (j2 & 16) != 0;
        }
        if ((this.h0.charAt(j(j2)) & 2048) != 0) {
            return true;
        }
        return false;
    }

    public final boolean z(int i2) {
        return i(i2) == 32;
    }
}
