package com.ibm.icu.impl.duration;

import com.ibm.icu.text.DurationFormat;
import com.ibm.icu.util.ULocale;
import java.text.FieldPosition;
import java.util.Date;
import javax.xml.datatype.DatatypeConstants;
import javax.xml.datatype.Duration;

public class BasicDurationFormat extends DurationFormat {
    private static final long serialVersionUID = -3146984141909457700L;
    transient s I0 = null;

    /* renamed from: a  reason: collision with root package name */
    transient h f13612a;

    /* renamed from: b  reason: collision with root package name */
    transient q f13613b;

    public BasicDurationFormat() {
        f e2 = f.e();
        this.I0 = e2;
        this.f13612a = e2.a().b();
        this.f13613b = this.I0.d().c(false).b();
    }

    public static BasicDurationFormat getInstance(ULocale uLocale) {
        return new BasicDurationFormat(uLocale);
    }

    @Override // com.ibm.icu.text.DurationFormat
    public StringBuffer format(Object obj, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        if (obj instanceof Long) {
            stringBuffer.append(formatDurationFromNow(((Long) obj).longValue()));
            return stringBuffer;
        } else if (obj instanceof Date) {
            stringBuffer.append(formatDurationFromNowTo((Date) obj));
            return stringBuffer;
        } else if (obj instanceof Duration) {
            stringBuffer.append(formatDuration(obj));
            return stringBuffer;
        } else {
            throw new IllegalArgumentException("Cannot format given Object as a Duration");
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:18:0x0097  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x009e  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x00a7  */
    public String formatDuration(Object obj) {
        boolean z;
        m mVar;
        float f;
        u uVar;
        m mVar2;
        DatatypeConstants.Field[] fieldArr = {DatatypeConstants.YEARS, DatatypeConstants.MONTHS, DatatypeConstants.DAYS, DatatypeConstants.HOURS, DatatypeConstants.MINUTES, DatatypeConstants.SECONDS};
        u[] uVarArr = {u.f13654a, u.f13655b, u.f13657d, u.f13658e, u.f, u.g};
        Duration duration = (Duration) obj;
        if (duration.getSign() < 0) {
            duration = duration.negate();
            z = true;
        } else {
            z = false;
        }
        m mVar3 = null;
        boolean z2 = false;
        for (int i = 0; i < 6; i++) {
            if (duration.isSet(fieldArr[i])) {
                Number field = duration.getField(fieldArr[i]);
                if (field.intValue() != 0 || z2) {
                    float floatValue = field.floatValue();
                    if (uVarArr[i] == u.g) {
                        double d2 = (double) floatValue;
                        double floor = Math.floor(d2);
                        double d3 = (d2 - floor) * 1000.0d;
                        if (d3 > 0.0d) {
                            uVar = u.h;
                            floatValue = (float) floor;
                            f = (float) d3;
                            if (mVar3 != null) {
                                mVar2 = m.c(floatValue, uVarArr[i]);
                            } else {
                                mVar2 = mVar3.a(floatValue, uVarArr[i]);
                            }
                            mVar3 = mVar2;
                            if (uVar != null) {
                                mVar3 = mVar3.a(f, uVar);
                            }
                            z2 = true;
                        }
                    }
                    uVar = null;
                    f = 0.0f;
                    if (mVar3 != null) {
                    }
                    mVar3 = mVar2;
                    if (uVar != null) {
                    }
                    z2 = true;
                }
            }
        }
        if (mVar3 == null) {
            return formatDurationFromNow(0);
        }
        if (z) {
            mVar = mVar3.i();
        } else {
            mVar = mVar3.g();
        }
        return this.f13613b.b(mVar);
    }

    @Override // com.ibm.icu.text.DurationFormat
    public String formatDurationFrom(long j, long j2) {
        return this.f13612a.c(j, j2);
    }

    @Override // com.ibm.icu.text.DurationFormat
    public String formatDurationFromNow(long j) {
        return this.f13612a.e(j);
    }

    @Override // com.ibm.icu.text.DurationFormat
    public String formatDurationFromNowTo(Date date) {
        return this.f13612a.d(date);
    }

    public BasicDurationFormat(ULocale uLocale) {
        super(uLocale);
        f e2 = f.e();
        this.I0 = e2;
        this.f13612a = e2.a().a(uLocale.getName()).b();
        this.f13613b = this.I0.d().c(false).a(uLocale.getName()).b();
    }
}
