package com.ibm.icu.impl;

import com.ibm.icu.util.n;
import java.lang.reflect.Constructor;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.Map;
import java.util.Set;

/* compiled from: Relation */
public class e1<K, V> implements n<e1<K, V>> {
    Object[] I0;
    volatile boolean J0;

    /* renamed from: a  reason: collision with root package name */
    private Map<K, Set<V>> f13782a;

    /* renamed from: b  reason: collision with root package name */
    Constructor<? extends Set<V>> f13783b;

    public e1(Map<K, Set<V>> map, Class<?> cls) {
        this(map, cls, null);
    }

    private Set<V> u() {
        try {
            return (Set) this.f13783b.newInstance(this.I0);
        } catch (Exception e2) {
            throw ((RuntimeException) new IllegalArgumentException("Can't create new set").initCause(e2));
        }
    }

    public static <K, V> e1<K, V> v(Map<K, Set<V>> map, Class<?> cls) {
        return new e1<>(map, cls);
    }

    public static <K, V> e1<K, V> w(Map<K, Set<V>> map, Class<?> cls, Comparator<V> comparator) {
        return new e1<>(map, cls, comparator);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: com.ibm.icu.impl.e1<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    public void A(e1<? extends K, ? extends V> e1Var) {
        for (Object obj : e1Var.r()) {
            Iterator<? extends V> it = e1Var.p(obj).iterator();
            while (it.hasNext()) {
                x(obj, it.next());
            }
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.ibm.icu.impl.e1<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    public void B(Map<? extends K, ? extends V> map) {
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            x(entry.getKey(), entry.getValue());
        }
    }

    public boolean C(K k, V v) {
        try {
            Set<V> set = this.f13782a.get(k);
            if (set == null) {
                return false;
            }
            boolean remove = set.remove(v);
            if (set.size() == 0) {
                this.f13782a.remove(k);
            }
            return remove;
        } catch (NullPointerException unused) {
            return false;
        }
    }

    public Set<V> D(K k) {
        try {
            return this.f13782a.remove(k);
        } catch (NullPointerException unused) {
            return null;
        }
    }

    public Set<V> E(Collection<K> collection) {
        LinkedHashSet linkedHashSet = new LinkedHashSet();
        for (K k : collection) {
            try {
                Set<V> remove = this.f13782a.remove(k);
                if (remove != null) {
                    linkedHashSet.addAll(remove);
                }
            } catch (NullPointerException unused) {
            }
        }
        return linkedHashSet;
    }

    @SafeVarargs
    public final Set<V> F(K... kArr) {
        return E(Arrays.asList(kArr));
    }

    public boolean G(e1<K, V> e1Var) {
        boolean z = false;
        for (K k : e1Var.r()) {
            try {
                Set<V> p = e1Var.p(k);
                if (p != null) {
                    z |= H(k, p);
                }
            } catch (NullPointerException unused) {
            }
        }
        return z;
    }

    public boolean H(K k, Iterable<V> iterable) {
        boolean z = false;
        for (V v : iterable) {
            z |= C(k, v);
        }
        return z;
    }

    public int I() {
        return this.f13782a.size();
    }

    public <C extends Collection<V>> C J(C c2) {
        for (Map.Entry<K, Set<V>> entry : this.f13782a.entrySet()) {
            c2.addAll(entry.getValue());
        }
        return c2;
    }

    public Set<V> K() {
        return (Set) J(new LinkedHashSet());
    }

    public e1<K, V> a(e1<V, K> e1Var) {
        for (K k : e1Var.f13782a.keySet()) {
            for (V v : e1Var.f13782a.get(k)) {
                x(v, k);
            }
        }
        return this;
    }

    public e1<K, V> b(Map<V, K> map) {
        for (Map.Entry<V, K> entry : map.entrySet()) {
            x(entry.getValue(), entry.getKey());
        }
        return this;
    }

    public void c() {
        this.f13782a.clear();
    }

    /* renamed from: d */
    public e1<K, V> cloneAsThawed() {
        throw new UnsupportedOperationException();
    }

    public boolean e(Object obj) {
        return this.f13782a.containsKey(obj);
    }

    public boolean equals(Object obj) {
        if (obj != null && obj.getClass() == getClass()) {
            return this.f13782a.equals(((e1) obj).f13782a);
        }
        return false;
    }

    public boolean f(Object obj) {
        for (Set<V> set : this.f13782a.values()) {
            if (set.contains(obj)) {
                return true;
            }
        }
        return false;
    }

    public final Set<Map.Entry<K, V>> h() {
        return s();
    }

    public int hashCode() {
        return this.f13782a.hashCode();
    }

    @Override // com.ibm.icu.util.n
    public boolean isFrozen() {
        return this.J0;
    }

    /* renamed from: m */
    public e1<K, V> freeze() {
        if (!this.J0) {
            for (K k : this.f13782a.keySet()) {
                Map<K, Set<V>> map = this.f13782a;
                map.put(k, Collections.unmodifiableSet(map.get(k)));
            }
            this.f13782a = Collections.unmodifiableMap(this.f13782a);
            this.J0 = true;
        }
        return this;
    }

    public Set<V> n(Object obj) {
        return this.f13782a.get(obj);
    }

    public Set<V> p(Object obj) {
        return this.f13782a.get(obj);
    }

    public boolean q() {
        return this.f13782a.isEmpty();
    }

    public Set<K> r() {
        return this.f13782a.keySet();
    }

    public Set<Map.Entry<K, V>> s() {
        LinkedHashSet linkedHashSet = new LinkedHashSet();
        for (K k : this.f13782a.keySet()) {
            for (V v : this.f13782a.get(k)) {
                linkedHashSet.add(new a(k, v));
            }
        }
        return linkedHashSet;
    }

    public Set<Map.Entry<K, Set<V>>> t() {
        return this.f13782a.entrySet();
    }

    public String toString() {
        return this.f13782a.toString();
    }

    public V x(K k, V v) {
        Set<V> set = this.f13782a.get(k);
        if (set == null) {
            Map<K, Set<V>> map = this.f13782a;
            Set<V> u = u();
            map.put(k, u);
            set = u;
        }
        set.add(v);
        return v;
    }

    public V y(K k, Collection<? extends V> collection) {
        Set<V> set = this.f13782a.get(k);
        if (set == null) {
            Map<K, Set<V>> map = this.f13782a;
            Set<V> u = u();
            map.put(k, u);
            set = u;
        }
        set.addAll(collection);
        if (collection.size() == 0) {
            return null;
        }
        return (V) collection.iterator().next();
    }

    public V z(Collection<K> collection, V v) {
        V v2 = null;
        for (K k : collection) {
            v2 = x(k, v);
        }
        return v2;
    }

    public e1(Map<K, Set<V>> map, Class<?> cls, Comparator<V> comparator) {
        Object[] objArr;
        this.J0 = false;
        if (comparator == null) {
            objArr = null;
        } else {
            try {
                objArr = new Object[]{comparator};
            } catch (Exception e2) {
                throw ((RuntimeException) new IllegalArgumentException("Can't create new set").initCause(e2));
            }
        }
        this.I0 = objArr;
        if (comparator == null) {
            Constructor<? extends Set<V>> constructor = (Constructor<? extends Set<V>>) cls.getConstructor(new Class[0]);
            this.f13783b = constructor;
            constructor.newInstance(this.I0);
        } else {
            Constructor<? extends Set<V>> constructor2 = (Constructor<? extends Set<V>>) cls.getConstructor(Comparator.class);
            this.f13783b = constructor2;
            constructor2.newInstance(this.I0);
        }
        this.f13782a = map == null ? new HashMap<>() : map;
    }

    /* access modifiers changed from: package-private */
    /* compiled from: Relation */
    public static class a<K, V> implements Map.Entry<K, V> {

        /* renamed from: a  reason: collision with root package name */
        K f13784a;

        /* renamed from: b  reason: collision with root package name */
        V f13785b;

        public a(K k, V v) {
            this.f13784a = k;
            this.f13785b = v;
        }

        @Override // java.util.Map.Entry
        public K getKey() {
            return this.f13784a;
        }

        @Override // java.util.Map.Entry
        public V getValue() {
            return this.f13785b;
        }

        @Override // java.util.Map.Entry
        public V setValue(V v) {
            V v2 = this.f13785b;
            this.f13785b = v;
            return v2;
        }

        public a(Map.Entry<K, V> entry) {
            this.f13784a = entry.getKey();
            this.f13785b = entry.getValue();
        }
    }
}
