package com.ibm.icu.impl;

import androidx.core.view.MotionEventCompat;
import com.ibm.icu.impl.u1;
import com.ibm.icu.impl.v;
import com.ibm.icu.impl.v0;
import com.ibm.icu.lang.UScript;
import com.ibm.icu.text.Normalizer2;
import com.ibm.icu.text.UnicodeSet;
import com.ibm.icu.text.w2;
import com.ibm.icu.util.CodePointMap;
import com.ibm.icu.util.CodePointTrie;
import com.ibm.icu.util.ICUException;
import com.ibm.icu.util.ICUUncheckedIOException;
import com.ibm.icu.util.l0;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.util.Iterator;
import java.util.MissingResourceException;

/* compiled from: UCharacterProperty */
public final class h2 {
    private static final int A;
    private static final int A0 = 23;
    private static final int B;
    private static final int B0 = 24;
    private static final int C;
    private static final int C0 = 25;
    private static final int D;
    private static final int D0 = 26;
    private static final int[] E = {0, 0, 0, 0, 1, 0, 4, 5, 3, 2};
    private static final int E0 = 27;
    private static final String F = "uprops.icu";
    private static final int F0 = 28;
    private static final int G = 6;
    private static final int G0 = 29;
    private static final int H = 0;
    private static final int H0 = 30;
    private static final int I = 1;
    private static final int I0 = 31;
    private static final int J = 11;
    private static final int J0 = 66060288;
    private static final int K = 21;
    private static final int K0 = 20;
    private static final int L = 176;
    private static final int L0 = 1015808;
    private static final int M = 480;
    private static final int M0 = 15;
    private static final int N = 768;
    private static final int N0 = 31744;
    private static final int O = 804;
    private static final int O0 = 10;
    private static final int P = 828;
    private static final int P0 = 992;
    private static final int Q = 844;
    private static final int Q0 = 5;
    public static final int R = 15728895;
    private static final int R0 = 31;
    public static final int S = 3145728;
    private static final int S0 = 4;
    public static final int T = 12;
    private static final int T0 = 15;
    public static final int U = 1023;
    private static final int U0 = 24;
    private static final int V = 917504;
    private static final int V0 = 1431335535;
    private static final int W = 17;
    private static final int W0 = 9;
    private static final int X = 130816;
    private static final int X0 = 13;
    private static final int Y = 8;
    private static final int Y0 = 65;
    public static final int Z = 255;
    private static final int Z0 = 70;

    /* renamed from: a  reason: collision with root package name */
    public static final h2 f13853a;
    public static final int a0 = 4194304;
    private static final int a1 = 90;

    /* renamed from: b  reason: collision with root package name */
    public static final char f13854b = 304;
    public static final int b0 = 8388608;
    private static final int b1 = 97;

    /* renamed from: c  reason: collision with root package name */
    public static final char f13855c = 305;
    public static final int c0 = 12582912;
    private static final int c1 = 102;

    /* renamed from: d  reason: collision with root package name */
    public static final char f13856d = 'i';
    private static final int d0 = 0;
    private static final int d1 = 122;

    /* renamed from: e  reason: collision with root package name */
    public static final int f13857e = 31;
    private static final int e0 = 1;
    private static final int e1 = 127;
    public static final int f = 0;
    private static final int f0 = 2;
    private static final int f1 = 133;
    public static final int g = 1;
    private static final int g0 = 3;
    private static final int g1 = 160;
    public static final int h = 2;
    private static final int h0 = 4;
    private static final int h1 = 847;
    public static final int i = 3;
    private static final int i0 = 5;
    private static final int i1 = 8199;
    public static final int j = 4;
    private static final int j0 = 6;
    private static final int j1 = 8202;
    public static final int k = 5;
    private static final int k0 = 7;
    private static final int k1 = 8207;
    public static final int l = 6;
    private static final int l0 = 8;
    private static final int l1 = 8239;
    public static final int m = 7;
    private static final int m0 = 9;
    private static final int m1 = 8288;
    public static final int n = 8;
    private static final int n0 = 10;
    private static final int n1 = 8298;
    public static final int o = 9;
    private static final int o0 = 11;
    private static final int o1 = 8303;
    public static final int p = 10;
    private static final int p0 = 12;
    private static final int p1 = 65313;
    public static final int q = 11;
    private static final int q0 = 13;
    private static final int q1 = 65318;
    public static final int r = 12;
    private static final int r0 = 14;
    private static final int r1 = 65338;
    public static final int s = 13;
    private static final int s0 = 15;
    private static final int s1 = 65345;
    public static final int t = 14;
    private static final int t0 = 16;
    private static final int t1 = 65350;
    public static final int u = 15;
    private static final int u0 = 17;
    private static final int u1 = 65370;
    public static final int v = 16;
    private static final int v0 = 18;
    private static final int v1 = 65279;
    static final int w = 30;
    private static final int w0 = 19;
    static final /* synthetic */ boolean w1 = false;
    private static final int x = l(0);
    private static final int x0 = 20;
    private static final int y = l(15);
    private static final int y0 = 21;
    private static final int z = l(18);
    private static final int z0 = 22;
    g0[] A1;
    w1 B1;
    int[] C1;
    int D1;
    int E1;
    int F1;
    public char[] G1;
    public w1 x1;
    public l0 y1;
    c0[] z1 = {new c0(1, 256), new c0(1, 128), new k(5), new t(5), new c0(1, 2), new c0(1, 524288), new c0(1, 1048576), new c0(1, 1024), new c0(1, 2048), new u(8), new c0(1, 67108864), new c0(1, 8192), new c0(1, 16384), new c0(1, 64), new c0(1, 4), new c0(1, 33554432), new c0(1, 16777216), new c0(1, 512), new c0(1, 32768), new c0(1, 65536), new v(5), new c0(1, 2097152), new d0(22), new c0(1, 32), new c0(1, 4096), new c0(1, 8), new c0(1, 131072), new d0(27), new c0(1, 16), new c0(1, 262144), new d0(30), new c0(1, 1), new c0(1, 8388608), new c0(1, 4194304), new d0(34), new c0(1, 134217728), new c0(1, 268435456), new j0(8, 37), new j0(9, 38), new j0(8, 39), new j0(9, 40), new w(11), new c0(1, 536870912), new c0(1, 1073741824), new x(6), new y(1), new z(1), new a0(1), new a(1), new d0(49), new d0(50), new d0(51), new d0(52), new d0(53), new b(7), new d0(55), new c(10), new f0(57), new f0(58), new f0(59), new f0(60), new f0(61), new d(2), new c0(1, Integer.MIN_VALUE), new f0(64), new f0(65), new f0(66), new f0(67), new f0(68), new f0(69), new f0(70), new f0(71)};

    /* compiled from: UCharacterProperty */
    class a extends c0 {
        a(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            return (i <= 102 && i >= 65 && (i <= 70 || i >= 97)) || (i >= h2.p1 && i <= h2.t1 && (i <= h2.q1 || i >= h2.s1)) || com.ibm.icu.lang.c.Z(i) == 9;
        }
    }

    /* compiled from: UCharacterProperty */
    class a0 extends c0 {
        a0(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            return com.ibm.icu.lang.c.Z(i) == 12 || h2.u(i);
        }
    }

    /* compiled from: UCharacterProperty */
    class b extends c0 {
        b(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            String G = u0.e().f14524c.G(i);
            if (G != null) {
                i = G.codePointAt(0);
                if (Character.charCount(i) != G.length()) {
                    i = -1;
                }
            } else if (i < 0) {
                return false;
            }
            if (i < 0) {
                return !com.ibm.icu.lang.c.o(G, true).equals(G);
            }
            b2 b2Var = b2.f0;
            StringBuilder sb = b2.p;
            sb.setLength(0);
            if (b2Var.F(i, sb, 0) >= 0) {
                return true;
            }
            return false;
        }
    }

    /* compiled from: UCharacterProperty */
    private class b0 extends g0 {
        b0() {
            super(5);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int a(int i) {
            return a2.z.g(i);
        }
    }

    /* compiled from: UCharacterProperty */
    class c extends c0 {
        c(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            v0 v0Var = u0.g().f14524c;
            String d0 = w2.d0(i);
            StringBuilder sb = new StringBuilder();
            v0Var.g(d0, 0, d0.length(), false, true, new v0.d(v0Var, sb, 5));
            return !v0.e.b(sb, d0);
        }
    }

    /* compiled from: UCharacterProperty */
    class d extends c0 {
        d(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            return 127462 <= i && i <= 127487;
        }
    }

    /* compiled from: UCharacterProperty */
    private class d0 extends c0 {

        /* renamed from: d  reason: collision with root package name */
        int f13867d;

        d0(int i) {
            super(4);
            this.f13867d = i;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            return b2.f0.r(i, this.f13867d);
        }
    }

    /* compiled from: UCharacterProperty */
    class e extends b0 {
        e() {
            super();
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int c(int i) {
            return a2.z.b(i);
        }
    }

    /* compiled from: UCharacterProperty */
    private class e0 extends g0 {
        e0(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int a(int i) {
            return 255;
        }
    }

    /* compiled from: UCharacterProperty */
    class f extends e0 {
        f(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int c(int i) {
            return Normalizer2.g().c(i);
        }
    }

    /* compiled from: UCharacterProperty */
    private class f0 extends c0 {

        /* renamed from: d  reason: collision with root package name */
        int f13870d;

        f0(int i) {
            super(15);
            this.f13870d = i;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            return p.m.d(i, this.f13870d);
        }
    }

    /* compiled from: UCharacterProperty */
    class g extends g0 {
        g(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int a(int i) {
            return 29;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int c(int i) {
            return h2.this.r(i);
        }
    }

    /* compiled from: UCharacterProperty */
    class h extends b0 {
        h() {
            super();
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int c(int i) {
            return a2.z.e(i);
        }
    }

    /* compiled from: UCharacterProperty */
    private static final class h0 implements v.b {
        private h0() {
        }

        @Override // com.ibm.icu.impl.v.b
        public boolean a(byte[] bArr) {
            return bArr[0] == 7;
        }

        /* synthetic */ h0(k kVar) {
            this();
        }
    }

    /* compiled from: UCharacterProperty */
    class i extends b0 {
        i() {
            super();
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int c(int i) {
            return a2.z.f(i);
        }
    }

    /* compiled from: UCharacterProperty */
    private static final class i0 {

        /* renamed from: a  reason: collision with root package name */
        private static final a f13877a = new a(null);

        /* renamed from: b  reason: collision with root package name */
        private static final int f13878b = 1281456495;

        /* renamed from: c  reason: collision with root package name */
        private static final int f13879c = 1;

        /* renamed from: d  reason: collision with root package name */
        private static final int f13880d = 2;

        /* renamed from: e  reason: collision with root package name */
        private static final int f13881e = 3;
        private static final int f = 9;
        private static final int g = 24;
        private static final int h = 16;
        private static final int i = 8;
        static final i0 j = new i0();
        static final /* synthetic */ boolean k = false;
        CodePointTrie l = null;
        CodePointTrie m = null;
        CodePointTrie n = null;
        int o = 0;
        int p = 0;
        int q = 0;

        /* compiled from: UCharacterProperty */
        private static final class a implements v.b {
            private a() {
            }

            @Override // com.ibm.icu.impl.v.b
            public boolean a(byte[] bArr) {
                return bArr[0] == 1;
            }

            /* synthetic */ a(k kVar) {
                this();
            }
        }

        i0() {
            ByteBuffer p2 = v.p("ulayout.icu");
            try {
                v.w(p2, f13878b, f13877a);
                int position = p2.position();
                int i2 = p2.getInt();
                if (i2 >= 12) {
                    int[] iArr = new int[i2];
                    iArr[0] = i2;
                    for (int i3 = 1; i3 < i2; i3++) {
                        iArr[i3] = p2.getInt();
                    }
                    int i4 = iArr[1];
                    if (i4 - (i2 * 4) >= 16) {
                        this.l = CodePointTrie.q(null, null, p2);
                    }
                    v.x(p2, i4 - (p2.position() - position));
                    int i5 = iArr[2];
                    if (i5 - i4 >= 16) {
                        this.m = CodePointTrie.q(null, null, p2);
                    }
                    v.x(p2, i5 - (p2.position() - position));
                    int i6 = iArr[3];
                    if (i6 - i5 >= 16) {
                        this.n = CodePointTrie.q(null, null, p2);
                    }
                    v.x(p2, i6 - (p2.position() - position));
                    int i7 = iArr[9];
                    this.o = i7 >>> 24;
                    this.p = (i7 >> 16) & 255;
                    this.q = (i7 >> 8) & 255;
                    return;
                }
                throw new ICUUncheckedIOException("Text layout properties data: not enough indexes");
            } catch (IOException e2) {
                throw new ICUUncheckedIOException(e2);
            }
        }

        public UnicodeSet a(int i2, UnicodeSet unicodeSet) {
            CodePointTrie codePointTrie;
            switch (i2) {
                case 12:
                    codePointTrie = this.l;
                    break;
                case 13:
                    codePointTrie = this.m;
                    break;
                case 14:
                    codePointTrie = this.n;
                    break;
                default:
                    throw new IllegalStateException();
            }
            if (codePointTrie != null) {
                CodePointMap.b bVar = new CodePointMap.b();
                for (int i3 = 0; codePointTrie.e(i3, null, bVar); i3 = bVar.f() + 1) {
                    unicodeSet.D(i3);
                }
                return unicodeSet;
            }
            throw new MissingResourceException("no data for one of the text layout properties; src=" + i2, "LayoutProps", "");
        }
    }

    /* compiled from: UCharacterProperty */
    class j extends g0 {
        j(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int a(int i) {
            return 3;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int c(int i) {
            return h2.w(h2.n(h2.this.p(i)));
        }
    }

    /* compiled from: UCharacterProperty */
    private class j0 extends c0 {

        /* renamed from: d  reason: collision with root package name */
        int f13883d;

        j0(int i, int i2) {
            super(i);
            this.f13883d = i2;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            return u0.d(this.f13883d - 37).n(i);
        }
    }

    /* compiled from: UCharacterProperty */
    class k extends c0 {
        k(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            return a2.z.o(i);
        }
    }

    /* compiled from: UCharacterProperty */
    private class k0 extends g0 {

        /* renamed from: e  reason: collision with root package name */
        int f13886e;
        int f;

        k0(int i, int i2, int i3) {
            super(i);
            this.f13886e = i2;
            this.f = i3;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int a(int i) {
            return this.f;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int c(int i) {
            return u0.d(this.f13886e - 4108).v(i);
        }
    }

    /* compiled from: UCharacterProperty */
    class l extends g0 {
        l(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int a(int i) {
            return h2.v(h2.this.m(0) & h2.R);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int c(int i) {
            return UScript.j(i);
        }
    }

    /* compiled from: UCharacterProperty */
    class m extends g0 {
        m(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int a(int i) {
            return 5;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int c(int i) {
            int g = (h2.this.g(i, 2) & h2.P0) >>> 5;
            if (g < h2.E.length) {
                return h2.E[g];
            }
            return 0;
        }
    }

    /* compiled from: UCharacterProperty */
    class n extends e0 {
        n(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int c(int i) {
            return u0.e().f14524c.H(i) >> 8;
        }
    }

    /* compiled from: UCharacterProperty */
    class o extends e0 {
        o(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int c(int i) {
            return u0.e().f14524c.H(i) & 255;
        }
    }

    /* compiled from: UCharacterProperty */
    class p extends b0 {
        p() {
            super();
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int c(int i) {
            return a2.z.n(i);
        }
    }

    /* compiled from: UCharacterProperty */
    class q extends g0 {
        q(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int a(int i) {
            return i0.j.o;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int c(int i) {
            CodePointTrie codePointTrie = i0.j.l;
            if (codePointTrie != null) {
                return codePointTrie.b(i);
            }
            return 0;
        }
    }

    /* compiled from: UCharacterProperty */
    class r extends g0 {
        r(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int a(int i) {
            return i0.j.p;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int c(int i) {
            CodePointTrie codePointTrie = i0.j.m;
            if (codePointTrie != null) {
                return codePointTrie.b(i);
            }
            return 0;
        }
    }

    /* compiled from: UCharacterProperty */
    class s extends g0 {
        s(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int a(int i) {
            return i0.j.q;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.g0
        public int c(int i) {
            CodePointTrie codePointTrie = i0.j.n;
            if (codePointTrie != null) {
                return codePointTrie.b(i);
            }
            return 0;
        }
    }

    /* compiled from: UCharacterProperty */
    class t extends c0 {
        t(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            return a2.z.q(i);
        }
    }

    /* compiled from: UCharacterProperty */
    class u extends c0 {
        u(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            v0 v0Var = u0.e().f14524c;
            return v0Var.b0(v0Var.J(i));
        }
    }

    /* compiled from: UCharacterProperty */
    class v extends c0 {
        v(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            return a2.z.p(i);
        }
    }

    /* compiled from: UCharacterProperty */
    class w extends c0 {
        w(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            return u0.e().f14524c.q().Z(i);
        }
    }

    /* compiled from: UCharacterProperty */
    class x extends c0 {
        x(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            return com.ibm.icu.lang.c.E0(i) || com.ibm.icu.lang.c.i0(i);
        }
    }

    /* compiled from: UCharacterProperty */
    class y extends c0 {
        y(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            return i <= 159 ? i == 9 || i == 32 : com.ibm.icu.lang.c.Z(i) == 12;
        }
    }

    /* compiled from: UCharacterProperty */
    class z extends c0 {
        z(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.h2.c0
        public boolean a(int i) {
            return h2.u(i);
        }
    }

    static {
        int l2 = l(12);
        A = l2;
        int l3 = l(13);
        B = l3;
        int l4 = l(14);
        C = l4;
        D = l2 | l3 | l4;
        try {
            f13853a = new h2();
        } catch (IOException e2) {
            throw new MissingResourceException(e2.getMessage(), "", "");
        }
    }

    private h2() throws IOException {
        g0[] g0VarArr = {new e(), new g0(0, X, 8), new f(8), new g0(2, 31, 0), new g0(0, 917504, 17), new g(1), new h(), new i(), new g0(2, J0, 20), new j(1), new l(2), new m(2), new k0(8, com.ibm.icu.lang.h.K0, 1), new k0(9, com.ibm.icu.lang.h.L0, 1), new k0(8, com.ibm.icu.lang.h.M0, 2), new k0(9, com.ibm.icu.lang.h.N0, 2), new n(8), new o(8), new g0(2, P0, 5), new g0(2, L0, 15), new g0(2, N0, 10), new p(), new q(12), new r(13), new s(14)};
        this.A1 = g0VarArr;
        if (this.z1.length != 72) {
            throw new ICUException("binProps.length!=UProperty.BINARY_LIMIT");
        } else if (g0VarArr.length == 25) {
            ByteBuffer p2 = v.p(F);
            this.y1 = v.w(p2, V0, new h0(null));
            int i2 = p2.getInt();
            p2.getInt();
            p2.getInt();
            int i3 = p2.getInt();
            int i4 = p2.getInt();
            this.D1 = p2.getInt();
            int i5 = p2.getInt();
            int i6 = p2.getInt();
            p2.getInt();
            p2.getInt();
            this.E1 = p2.getInt();
            this.F1 = p2.getInt();
            v.x(p2, 16);
            w1 v2 = w1.v(p2);
            this.x1 = v2;
            int i7 = (i2 - 16) * 4;
            int w2 = v2.w();
            if (w2 <= i7) {
                v.x(p2, i7 - w2);
                v.x(p2, (i3 - i2) * 4);
                if (this.D1 > 0) {
                    w1 v3 = w1.v(p2);
                    this.B1 = v3;
                    int i8 = (i4 - i3) * 4;
                    int w3 = v3.w();
                    if (w3 <= i8) {
                        v.x(p2, i8 - w3);
                        this.C1 = v.n(p2, i5 - i4, 0);
                    } else {
                        throw new IOException("uprops.icu: not enough bytes for additional-properties trie");
                    }
                }
                int i9 = (i6 - i5) * 2;
                if (i9 > 0) {
                    this.G1 = v.i(p2, i9, 0);
                    return;
                }
                return;
            }
            throw new IOException("uprops.icu: not enough bytes for main trie");
        } else {
            throw new ICUException("intProps.length!=(UProperty.INT_LIMIT-UProperty.INT_START)");
        }
    }

    public static int i(int i2) {
        if (i2 > 122 && i2 < p1) {
            return -1;
        }
        int i3 = 65;
        if (i2 < 65) {
            return -1;
        }
        if ((i2 > 90 && i2 < 97) || i2 > u1) {
            return -1;
        }
        if (i2 > r1 && i2 < s1) {
            return -1;
        }
        if (i2 > 122) {
            return i2 <= r1 ? (i2 + 10) - p1 : (i2 + 10) - s1;
        }
        int i4 = i2 + 10;
        if (i2 > 90) {
            i3 = 97;
        }
        return i4 - i3;
    }

    public static final int l(int i2) {
        return 1 << i2;
    }

    /* access modifiers changed from: private */
    public static final int n(int i2) {
        return i2 >> 6;
    }

    /* access modifiers changed from: private */
    public static final boolean u(int i2) {
        return (l(com.ibm.icu.lang.c.Z(i2)) & (((y | z) | x) | D)) == 0;
    }

    public static final int v(int i2) {
        return (i2 & 255) | ((3145728 & i2) >> 12);
    }

    /* access modifiers changed from: private */
    public static final int w(int i2) {
        if (i2 == 0) {
            return 0;
        }
        if (i2 < 11) {
            return 1;
        }
        return i2 < 21 ? 2 : 3;
    }

    static UnicodeSet x(int i2, UnicodeSet unicodeSet) {
        return i0.j.a(i2, unicodeSet);
    }

    public UnicodeSet e(UnicodeSet unicodeSet) {
        Iterator<u1.e> it = this.x1.iterator();
        while (it.hasNext()) {
            u1.e next = it.next();
            if (next.f14545d) {
                break;
            }
            unicodeSet.D(next.f14542a);
        }
        unicodeSet.D(9);
        unicodeSet.D(10);
        unicodeSet.D(14);
        unicodeSet.D(28);
        unicodeSet.D(32);
        unicodeSet.D(133);
        unicodeSet.D(134);
        unicodeSet.D(127);
        unicodeSet.D(j1);
        unicodeSet.D(8208);
        unicodeSet.D(n1);
        unicodeSet.D(8304);
        unicodeSet.D(v1);
        unicodeSet.D(MotionEventCompat.ACTION_POINTER_INDEX_MASK);
        unicodeSet.D(160);
        unicodeSet.D(161);
        unicodeSet.D(i1);
        unicodeSet.D(8200);
        unicodeSet.D(l1);
        unicodeSet.D(8240);
        unicodeSet.D(12295);
        unicodeSet.D(12296);
        unicodeSet.D(19968);
        unicodeSet.D(19969);
        unicodeSet.D(20108);
        unicodeSet.D(20109);
        unicodeSet.D(19977);
        unicodeSet.D(19978);
        unicodeSet.D(22235);
        unicodeSet.D(22236);
        unicodeSet.D(20116);
        unicodeSet.D(20117);
        unicodeSet.D(20845);
        unicodeSet.D(20846);
        unicodeSet.D(19971);
        unicodeSet.D(19972);
        unicodeSet.D(20843);
        unicodeSet.D(20844);
        unicodeSet.D(20061);
        unicodeSet.D(20062);
        unicodeSet.D(97);
        unicodeSet.D(123);
        unicodeSet.D(65);
        unicodeSet.D(91);
        unicodeSet.D(s1);
        unicodeSet.D(65371);
        unicodeSet.D(p1);
        unicodeSet.D(65339);
        unicodeSet.D(103);
        unicodeSet.D(71);
        unicodeSet.D(65351);
        unicodeSet.D(65319);
        unicodeSet.D(m1);
        unicodeSet.D(65520);
        unicodeSet.D(65532);
        unicodeSet.D(917504);
        unicodeSet.D(921600);
        unicodeSet.D(h1);
        unicodeSet.D(848);
        return unicodeSet;
    }

    public int f(int i2) {
        int n2 = n(p(i2)) - 1;
        if (n2 <= 9) {
            return n2;
        }
        return -1;
    }

    public int g(int i2, int i3) {
        if (i3 >= this.D1) {
            return 0;
        }
        return this.C1[this.B1.j(i2) + i3];
    }

    public l0 h(int i2) {
        int g2 = g(i2, 0) >> 24;
        return l0.i((g2 >> 4) & 15, g2 & 15, 0, 0);
    }

    public int j(int i2) {
        if (i2 < 4096) {
            return (i2 < 0 || i2 >= 72) ? -1 : 1;
        }
        if (i2 < 4121) {
            return this.A1[i2 - 4096].a(i2);
        }
        return -1;
    }

    public int k(int i2, int i3) {
        if (i3 < 4096) {
            if (i3 < 0 || i3 >= 72) {
                return 0;
            }
            return this.z1[i3].a(i2) ? 1 : 0;
        } else if (i3 < 4121) {
            return this.A1[i3 - 4096].c(i2);
        } else {
            if (i3 == 8192) {
                return l(r(i2));
            }
            return 0;
        }
    }

    public int m(int i2) {
        if (i2 == 0) {
            return this.E1;
        }
        if (i2 != 2) {
            return 0;
        }
        return this.F1;
    }

    public int o(int i2) {
        int i3;
        int n2 = n(p(i2));
        if (n2 == 0) {
            return i(i2);
        }
        if (n2 < 11) {
            return n2 - 1;
        }
        if (n2 < 21) {
            return n2 - 11;
        }
        if (n2 < 176) {
            return n2 - 21;
        }
        if (n2 < M) {
            return -2;
        }
        if (n2 < 768) {
            int i4 = (n2 >> 5) - 14;
            int i5 = (n2 & 31) + 2;
            if (i5 >= 9 && (i5 != 9 || i4 > 2)) {
                return -2;
            }
            do {
                i4 *= 10;
                i5--;
            } while (i5 > 0);
            return i4;
        } else if (n2 < O) {
            int i6 = (n2 >> 2) - 191;
            int i7 = (n2 & 3) + 1;
            if (i7 == 1) {
                return i6 * 60;
            }
            if (i7 == 2) {
                return i6 * com.blankj.utilcode.constant.a.f6461c;
            }
            if (i7 == 3) {
                i3 = 216000;
            } else if (i7 != 4) {
                return i6;
            } else {
                i3 = 12960000;
            }
            return i6 * i3;
        } else {
            if (n2 < Q) {
            }
            return -2;
        }
    }

    public final int p(int i2) {
        return this.x1.j(i2);
    }

    /* access modifiers changed from: package-private */
    public final int q(int i2) {
        if (i2 < 0) {
            return 0;
        }
        if (i2 < 72) {
            return this.z1[i2].b();
        }
        if (i2 < 4096) {
            return 0;
        }
        if (i2 < 4121) {
            return this.A1[i2 - 4096].b();
        }
        if (i2 < 16384) {
            if (i2 == 8192 || i2 == 12288) {
                return 1;
            }
            return 0;
        } else if (i2 < 16398) {
            switch (i2) {
                case 16384:
                    return 2;
                case com.ibm.icu.lang.h.g1 /*{ENCODED_INT: 16385}*/:
                    return 5;
                case 16386:
                case com.ibm.icu.lang.h.j1 /*{ENCODED_INT: 16388}*/:
                case com.ibm.icu.lang.h.l1 /*{ENCODED_INT: 16390}*/:
                case com.ibm.icu.lang.h.m1 /*{ENCODED_INT: 16391}*/:
                case com.ibm.icu.lang.h.n1 /*{ENCODED_INT: 16392}*/:
                case com.ibm.icu.lang.h.o1 /*{ENCODED_INT: 16393}*/:
                case com.ibm.icu.lang.h.p1 /*{ENCODED_INT: 16394}*/:
                case com.ibm.icu.lang.h.r1 /*{ENCODED_INT: 16396}*/:
                    return 4;
                case com.ibm.icu.lang.h.i1 /*{ENCODED_INT: 16387}*/:
                case com.ibm.icu.lang.h.k1 /*{ENCODED_INT: 16389}*/:
                case com.ibm.icu.lang.h.q1 /*{ENCODED_INT: 16395}*/:
                    return 3;
                default:
                    return 0;
            }
        } else if (i2 != 28672) {
            return 0;
        } else {
            return 2;
        }
    }

    public int r(int i2) {
        return p(i2) & 31;
    }

    public double s(int i2) {
        int i3;
        double d2;
        int n2 = n(p(i2));
        if (n2 == 0) {
            return -1.23456789E8d;
        }
        if (n2 < 11) {
            return (double) (n2 - 1);
        }
        if (n2 < 21) {
            return (double) (n2 - 11);
        }
        if (n2 < 176) {
            return (double) (n2 - 21);
        }
        if (n2 < M) {
            return ((double) ((n2 >> 4) - 12)) / ((double) ((n2 & 15) + 1));
        }
        if (n2 < 768) {
            int i4 = (n2 & 31) + 2;
            double d3 = (double) ((n2 >> 5) - 14);
            while (i4 >= 4) {
                d3 *= 10000.0d;
                i4 -= 4;
            }
            if (i4 == 1) {
                d2 = 10.0d;
            } else if (i4 == 2) {
                d2 = 100.0d;
            } else if (i4 != 3) {
                return d3;
            } else {
                d2 = 1000.0d;
            }
            return d3 * d2;
        } else if (n2 < O) {
            int i5 = (n2 >> 2) - 191;
            int i6 = (n2 & 3) + 1;
            if (i6 == 1) {
                i5 *= 60;
            } else if (i6 != 2) {
                if (i6 == 3) {
                    i3 = 216000;
                } else if (i6 == 4) {
                    i3 = 12960000;
                }
                i5 *= i3;
            } else {
                i5 *= com.blankj.utilcode.constant.a.f6461c;
            }
            return (double) i5;
        } else if (n2 < P) {
            int i7 = n2 - O;
            return ((double) (((i7 & 3) * 2) + 1)) / ((double) (20 << (i7 >> 2)));
        } else if (n2 >= Q) {
            return -1.23456789E8d;
        } else {
            int i8 = n2 - P;
            return ((double) (((i8 & 3) * 2) + 1)) / ((double) (32 << (i8 >> 2)));
        }
    }

    public boolean t(int i2, int i3) {
        if (i3 < 0 || 72 <= i3) {
            return false;
        }
        return this.z1[i3].a(i2);
    }

    public void y(UnicodeSet unicodeSet) {
        if (this.D1 > 0) {
            Iterator<u1.e> it = this.B1.iterator();
            while (it.hasNext()) {
                u1.e next = it.next();
                if (!next.f14545d) {
                    unicodeSet.D(next.f14542a);
                } else {
                    return;
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: UCharacterProperty */
    public class c0 {

        /* renamed from: a  reason: collision with root package name */
        int f13863a;

        /* renamed from: b  reason: collision with root package name */
        int f13864b;

        c0(int i, int i2) {
            this.f13863a = i;
            this.f13864b = i2;
        }

        /* access modifiers changed from: package-private */
        public boolean a(int i) {
            return (h2.this.g(i, this.f13863a) & this.f13864b) != 0;
        }

        /* access modifiers changed from: package-private */
        public final int b() {
            if (this.f13864b == 0) {
                return this.f13863a;
            }
            return 2;
        }

        c0(int i) {
            this.f13863a = i;
            this.f13864b = 0;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: UCharacterProperty */
    public class g0 {

        /* renamed from: a  reason: collision with root package name */
        int f13873a;

        /* renamed from: b  reason: collision with root package name */
        int f13874b;

        /* renamed from: c  reason: collision with root package name */
        int f13875c;

        g0(int i, int i2, int i3) {
            this.f13873a = i;
            this.f13874b = i2;
            this.f13875c = i3;
        }

        /* access modifiers changed from: package-private */
        public int a(int i) {
            return (h2.this.m(this.f13873a) & this.f13874b) >>> this.f13875c;
        }

        /* access modifiers changed from: package-private */
        public final int b() {
            if (this.f13874b == 0) {
                return this.f13873a;
            }
            return 2;
        }

        /* access modifiers changed from: package-private */
        public int c(int i) {
            return (h2.this.g(i, this.f13873a) & this.f13874b) >>> this.f13875c;
        }

        g0(int i) {
            this.f13873a = i;
            this.f13874b = 0;
        }
    }
}
