package com.ibm.icu.impl;

import java.lang.ref.Reference;
import java.lang.ref.SoftReference;
import java.lang.ref.WeakReference;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

/* compiled from: SimpleCache */
public class j1<K, V> implements w<K, V> {

    /* renamed from: d  reason: collision with root package name */
    private static final int f13935d = 16;

    /* renamed from: e  reason: collision with root package name */
    private volatile Reference<Map<K, V>> f13936e;
    private int f;
    private int g;

    public j1() {
        this.f13936e = null;
        this.f = 0;
        this.g = 16;
    }

    @Override // com.ibm.icu.impl.w
    public void clear() {
        this.f13936e = null;
    }

    @Override // com.ibm.icu.impl.w
    public V get(Object obj) {
        Map<K, V> map;
        Reference<Map<K, V>> reference = this.f13936e;
        if (reference == null || (map = reference.get()) == null) {
            return null;
        }
        return map.get(obj);
    }

    @Override // com.ibm.icu.impl.w
    public void put(K k, V v) {
        Reference<Map<K, V>> reference;
        Reference<Map<K, V>> reference2 = this.f13936e;
        Map<K, V> map = reference2 != null ? reference2.get() : null;
        if (map == null) {
            map = Collections.synchronizedMap(new HashMap(this.g));
            if (this.f == 1) {
                reference = new WeakReference<>(map);
            } else {
                reference = new SoftReference<>(map);
            }
            this.f13936e = reference;
        }
        map.put(k, v);
    }

    public j1(int i) {
        this(i, 16);
    }

    public j1(int i, int i2) {
        this.f13936e = null;
        this.f = 0;
        this.g = 16;
        if (i == 1) {
            this.f = i;
        }
        if (i2 > 0) {
            this.g = i2;
        }
    }
}
