package com.ibm.icu.impl;

import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.text.i;
import com.ibm.icu.text.i0;
import com.ibm.icu.text.t2;
import com.ibm.icu.util.BytesTrie;
import com.ibm.icu.util.ICUCloneNotSupportedException;
import com.ibm.icu.util.StringTrieBuilder;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.e;
import com.ibm.icu.util.f;
import java.text.CharacterIterator;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Locale;

/* compiled from: SimpleFilteredSentenceBreakIterator */
public class k1 extends i {
    private i c1;
    private t2 d1;
    private e e1;
    private e f1;

    /* compiled from: SimpleFilteredSentenceBreakIterator */
    public static class a extends i0 {

        /* renamed from: a  reason: collision with root package name */
        static final int f13943a = 1;

        /* renamed from: b  reason: collision with root package name */
        static final int f13944b = 2;

        /* renamed from: c  reason: collision with root package name */
        static final int f13945c = 1;

        /* renamed from: d  reason: collision with root package name */
        static final int f13946d = 2;

        /* renamed from: e  reason: collision with root package name */
        private HashSet<CharSequence> f13947e;

        public a(Locale locale) {
            this(ULocale.forLocale(locale));
        }

        @Override // com.ibm.icu.text.i0
        public boolean d(CharSequence charSequence) {
            return this.f13947e.add(charSequence);
        }

        @Override // com.ibm.icu.text.i0
        public boolean e(CharSequence charSequence) {
            return this.f13947e.remove(charSequence);
        }

        @Override // com.ibm.icu.text.i0
        public i f(i iVar) {
            int i;
            if (this.f13947e.isEmpty()) {
                return iVar;
            }
            f fVar = new f();
            f fVar2 = new f();
            int size = this.f13947e.size();
            CharSequence[] charSequenceArr = new CharSequence[size];
            int[] iArr = new int[size];
            Iterator<CharSequence> it = this.f13947e.iterator();
            int i2 = 0;
            while (it.hasNext()) {
                charSequenceArr[i2] = it.next();
                iArr[i2] = 0;
                i2++;
            }
            int i3 = 0;
            for (int i4 = 0; i4 < size; i4++) {
                String charSequence = charSequenceArr[i4].toString();
                int indexOf = charSequence.indexOf(46);
                int i5 = -1;
                if (indexOf > -1 && (i = indexOf + 1) != charSequence.length()) {
                    int i6 = 0;
                    int i7 = -1;
                    while (i6 < size) {
                        if (i6 != i4 && charSequence.regionMatches(0, charSequenceArr[i6].toString(), 0, i)) {
                            if (iArr[i6] == 0) {
                                iArr[i6] = 3;
                            } else if ((iArr[i6] & 1) != 0) {
                                i7 = i6;
                            }
                        }
                        i6++;
                        i5 = -1;
                    }
                    if (i7 == i5 && iArr[i4] == 0) {
                        StringBuilder sb = new StringBuilder(charSequence.substring(0, i));
                        sb.reverse();
                        fVar.r(sb, 1);
                        i3++;
                        iArr[i4] = 3;
                    }
                }
            }
            int i8 = 0;
            for (int i9 = 0; i9 < size; i9++) {
                String charSequence2 = charSequenceArr[i9].toString();
                if (iArr[i9] == 0) {
                    fVar.r(new StringBuilder(charSequence2).reverse(), 2);
                    i3++;
                } else {
                    fVar2.r(charSequence2, 2);
                    i8++;
                }
            }
            e eVar = null;
            e s = i3 > 0 ? fVar.s(StringTrieBuilder.Option.FAST) : null;
            if (i8 > 0) {
                eVar = fVar2.s(StringTrieBuilder.Option.FAST);
            }
            return new k1(iVar, eVar, s);
        }

        public a(ULocale uLocale) {
            this.f13947e = new HashSet<>();
            ICUResourceBundle m0 = ICUResourceBundle.G0(a0.g, uLocale, ICUResourceBundle.OpenType.LOCALE_ROOT).m0("exceptions/SentenceBreak");
            if (m0 != null) {
                int x = m0.x();
                for (int i = 0; i < x; i++) {
                    this.f13947e.add(((ICUResourceBundle) m0.c(i)).y());
                }
            }
        }

        public a() {
            this.f13947e = new HashSet<>();
        }
    }

    public k1(i iVar, e eVar, e eVar2) {
        this.c1 = iVar;
        this.f1 = eVar;
        this.e1 = eVar2;
    }

    private final boolean U(int i) {
        e eVar;
        BytesTrie.Result I;
        this.d1.y(i);
        this.e1.N();
        if (this.d1.x() != 32) {
            this.d1.a();
        }
        int i2 = -1;
        int i3 = -1;
        do {
            int x = this.d1.x();
            if (x < 0) {
                break;
            }
            I = this.e1.I(x);
            if (I.hasValue()) {
                i2 = this.d1.getIndex();
                i3 = this.e1.B();
            }
        } while (I.hasNext());
        this.e1.N();
        if (i2 < 0) {
            return false;
        }
        if (i3 == 2) {
            return true;
        }
        if (i3 != 1 || (eVar = this.f1) == null) {
            return false;
        }
        eVar.N();
        BytesTrie.Result result = BytesTrie.Result.INTERMEDIATE_VALUE;
        this.d1.y(i2);
        do {
            int a2 = this.d1.a();
            if (a2 == -1) {
                break;
            }
            result = this.f1.I(a2);
        } while (result.hasNext());
        this.f1.N();
        if (result.matches()) {
            return true;
        }
        return false;
    }

    private final int V(int i) {
        if (!(i == -1 || this.e1 == null)) {
            X();
            int q = this.d1.q();
            while (i != -1 && i != q && U(i)) {
                i = this.c1.I();
            }
        }
        return i;
    }

    private final int W(int i) {
        if (!(i == 0 || i == -1 || this.e1 == null)) {
            X();
            while (i != -1 && i != 0 && U(i)) {
                i = this.c1.L();
            }
        }
        return i;
    }

    private final void X() {
        this.d1 = t2.m((CharacterIterator) this.c1.z().clone());
    }

    @Override // com.ibm.icu.text.i
    public boolean G(int i) {
        if (!this.c1.G(i)) {
            return false;
        }
        if (this.e1 == null) {
            return true;
        }
        X();
        return !U(i);
    }

    @Override // com.ibm.icu.text.i
    public int H() {
        return this.c1.H();
    }

    @Override // com.ibm.icu.text.i
    public int I() {
        return V(this.c1.I());
    }

    @Override // com.ibm.icu.text.i
    public int J(int i) {
        return V(this.c1.J(i));
    }

    @Override // com.ibm.icu.text.i
    public int K(int i) {
        return W(this.c1.K(i));
    }

    @Override // com.ibm.icu.text.i
    public int L() {
        return W(this.c1.L());
    }

    @Override // com.ibm.icu.text.i
    public void S(CharacterIterator characterIterator) {
        this.c1.S(characterIterator);
    }

    @Override // com.ibm.icu.text.i
    public int a() {
        return this.c1.a();
    }

    @Override // com.ibm.icu.text.i
    public int b() {
        return this.c1.b();
    }

    @Override // com.ibm.icu.text.i
    public int c(int i) {
        return V(this.c1.c(i));
    }

    @Override // java.lang.Object, com.ibm.icu.text.i
    public Object clone() {
        k1 k1Var = (k1) super.clone();
        try {
            i iVar = this.c1;
            if (iVar != null) {
                k1Var.c1 = (i) iVar.clone();
            }
            t2 t2Var = this.d1;
            if (t2Var != null) {
                k1Var.d1 = (t2) t2Var.clone();
            }
            e eVar = this.e1;
            if (eVar != null) {
                k1Var.e1 = eVar.clone();
            }
            e eVar2 = this.f1;
            if (eVar2 != null) {
                k1Var.f1 = eVar2.clone();
            }
            return k1Var;
        } catch (CloneNotSupportedException e2) {
            throw new ICUCloneNotSupportedException(e2);
        }
    }

    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (this == obj) {
            return true;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        k1 k1Var = (k1) obj;
        if (!this.c1.equals(k1Var.c1) || !this.d1.equals(k1Var.d1) || !this.e1.equals(k1Var.e1) || !this.f1.equals(k1Var.f1)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        return (this.f1.hashCode() * 39) + (this.e1.hashCode() * 11) + this.c1.hashCode();
    }

    @Override // com.ibm.icu.text.i
    public CharacterIterator z() {
        return this.c1.z();
    }
}
