package com.ibm.icu.impl;

import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.net.JarURLConnection;
import java.net.URISyntaxException;
import java.net.URL;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;
import java.util.jar.JarEntry;
import java.util.jar.JarFile;

/* compiled from: URLHandler */
public abstract class k2 {

    /* renamed from: a  reason: collision with root package name */
    public static final String f13948a = "urlhandler.props";

    /* renamed from: b  reason: collision with root package name */
    private static final Map<String, Method> f13949b;

    /* renamed from: c  reason: collision with root package name */
    private static final boolean f13950c = c0.b("URLHandler");

    /* access modifiers changed from: private */
    /* compiled from: URLHandler */
    public static class a extends k2 {

        /* renamed from: d  reason: collision with root package name */
        File f13951d;

        a(URL url) {
            try {
                this.f13951d = new File(url.toURI());
            } catch (URISyntaxException unused) {
            }
            File file = this.f13951d;
            if (file == null || !file.exists()) {
                if (k2.f13950c) {
                    PrintStream printStream = System.err;
                    printStream.println("file does not exist - " + url.toString());
                }
                throw new IllegalArgumentException();
            }
        }

        private void f(c cVar, boolean z, boolean z2, String str, File[] fileArr) {
            if (fileArr != null) {
                for (File file : fileArr) {
                    if (!file.isDirectory()) {
                        cVar.a(z2 ? file.getName() : str + file.getName());
                    } else if (z) {
                        f(cVar, z, z2, str + file.getName() + '/', file.listFiles());
                    }
                }
            }
        }

        @Override // com.ibm.icu.impl.k2
        public void e(c cVar, boolean z, boolean z2) {
            if (this.f13951d.isDirectory()) {
                f(cVar, z, z2, "/", this.f13951d.listFiles());
            } else {
                cVar.a(this.f13951d.getName());
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: URLHandler */
    public static class b extends k2 {

        /* renamed from: d  reason: collision with root package name */
        JarFile f13952d;

        /* renamed from: e  reason: collision with root package name */
        String f13953e;

        b(URL url) {
            String url2;
            int indexOf;
            try {
                String path = url.getPath();
                this.f13953e = path;
                int lastIndexOf = path.lastIndexOf("!/");
                if (lastIndexOf >= 0) {
                    this.f13953e = this.f13953e.substring(lastIndexOf + 2);
                }
                if (!url.getProtocol().equals("jar") && (indexOf = (url2 = url.toString()).indexOf(":")) != -1) {
                    url = new URL("jar" + url2.substring(indexOf));
                }
                this.f13952d = ((JarURLConnection) url.openConnection()).getJarFile();
            } catch (Exception e2) {
                if (k2.f13950c) {
                    PrintStream printStream = System.err;
                    printStream.println("icurb jar error: " + e2);
                }
                throw new IllegalArgumentException("jar error: " + e2.getMessage());
            }
        }

        @Override // com.ibm.icu.impl.k2
        public void e(c cVar, boolean z, boolean z2) {
            try {
                Enumeration<JarEntry> entries = this.f13952d.entries();
                while (entries.hasMoreElements()) {
                    JarEntry nextElement = entries.nextElement();
                    if (!nextElement.isDirectory()) {
                        String name = nextElement.getName();
                        if (name.startsWith(this.f13953e)) {
                            String substring = name.substring(this.f13953e.length());
                            int lastIndexOf = substring.lastIndexOf(47);
                            if (lastIndexOf <= 0 || z) {
                                if (z2 && lastIndexOf != -1) {
                                    substring = substring.substring(lastIndexOf + 1);
                                }
                                cVar.a(substring);
                            }
                        }
                    }
                }
            } catch (Exception e2) {
                if (k2.f13950c) {
                    PrintStream printStream = System.err;
                    printStream.println("icurb jar error: " + e2);
                }
            }
        }
    }

    /* compiled from: URLHandler */
    public interface c {
        void a(String str);
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:59:0x0029 */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:62:0x0029 */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v6 */
    /* JADX WARN: Type inference failed for: r0v9 */
    /* JADX WARN: Type inference failed for: r0v10, types: [java.util.Map] */
    /* JADX WARN: Type inference failed for: r0v11 */
    /* JADX WARN: Type inference failed for: r0v12 */
    /* JADX WARNING: Code restructure failed: missing block: B:40:0x00c1, code lost:
        if (r0 != null) goto L_0x00c3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:42:?, code lost:
        r0.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:49:0x00d3, code lost:
        if (r0 == null) goto L_0x00d6;
     */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00ce A[Catch:{ all -> 0x00d9 }] */
    static {
        Map<String, Method> map;
        Object obj;
        BufferedReader bufferedReader = 0;
        try {
            InputStream resourceAsStream = m.c(k2.class).getResourceAsStream(f13948a);
            if (resourceAsStream != null) {
                Class<?>[] clsArr = {URL.class};
                BufferedReader bufferedReader2 = new BufferedReader(new InputStreamReader(resourceAsStream));
                while (true) {
                    try {
                        String readLine = bufferedReader2.readLine();
                        if (readLine == null) {
                            break;
                        }
                        String trim = readLine.trim();
                        if (trim.length() != 0) {
                            if (trim.charAt(0) != '#') {
                                int indexOf = trim.indexOf(61);
                                if (indexOf != -1) {
                                    String trim2 = trim.substring(0, indexOf).trim();
                                    try {
                                        Method declaredMethod = Class.forName(trim.substring(indexOf + 1).trim()).getDeclaredMethod("get", clsArr);
                                        bufferedReader = bufferedReader;
                                        if (bufferedReader == 0) {
                                            bufferedReader = new HashMap();
                                        }
                                        bufferedReader.put(trim2, declaredMethod);
                                    } catch (ClassNotFoundException e2) {
                                        if (f13950c) {
                                            System.err.println(e2);
                                        }
                                    } catch (NoSuchMethodException e3) {
                                        if (f13950c) {
                                            System.err.println(e3);
                                        }
                                    } catch (SecurityException e4) {
                                        if (f13950c) {
                                            System.err.println(e4);
                                        }
                                    }
                                } else if (f13950c) {
                                    System.err.println("bad urlhandler line: '" + trim + "'");
                                }
                            }
                        }
                    } catch (Throwable th) {
                        obj = th;
                        map = bufferedReader;
                        bufferedReader = bufferedReader2;
                        try {
                            if (f13950c) {
                            }
                        } catch (Throwable th2) {
                            if (bufferedReader != null) {
                                try {
                                    bufferedReader.close();
                                } catch (IOException unused) {
                                }
                            }
                            throw th2;
                        }
                    }
                }
                bufferedReader2.close();
                map = bufferedReader;
                bufferedReader = bufferedReader2;
            } else {
                map = null;
            }
        } catch (Throwable th3) {
            obj = th3;
            map = null;
            if (f13950c) {
                System.err.println(obj);
            }
        }
        f13949b = map;
    }

    public static k2 b(URL url) {
        Method method;
        if (url == null) {
            return null;
        }
        String protocol = url.getProtocol();
        Map<String, Method> map = f13949b;
        if (!(map == null || (method = map.get(protocol)) == null)) {
            try {
                k2 k2Var = (k2) method.invoke(null, url);
                if (k2Var != null) {
                    return k2Var;
                }
            } catch (IllegalAccessException e2) {
                if (f13950c) {
                    System.err.println(e2);
                }
            } catch (IllegalArgumentException e3) {
                if (f13950c) {
                    System.err.println(e3);
                }
            } catch (InvocationTargetException e4) {
                if (f13950c) {
                    System.err.println(e4);
                }
            }
        }
        return c(url);
    }

    protected static k2 c(URL url) {
        k2 bVar;
        String protocol = url.getProtocol();
        try {
            if (protocol.equals("file")) {
                bVar = new a(url);
            } else if (!protocol.equals("jar") && !protocol.equals("wsjar")) {
                return null;
            } else {
                bVar = new b(url);
            }
            return bVar;
        } catch (Exception unused) {
            return null;
        }
    }

    public void d(c cVar, boolean z) {
        e(cVar, z, true);
    }

    public abstract void e(c cVar, boolean z, boolean z2);
}
