package com.ibm.icu.impl.locale;

import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.l2;
import com.ibm.icu.util.BytesTrie;
import com.ibm.icu.util.LocaleMatcher;
import com.ibm.icu.util.ULocale;
import java.io.PrintStream;
import java.nio.ByteBuffer;
import java.util.Arrays;
import java.util.Collections;
import java.util.LinkedHashSet;
import java.util.Map;
import java.util.MissingResourceException;
import java.util.Set;
import java.util.TreeMap;

/* compiled from: LocaleDistance */
public class g {

    /* renamed from: a  reason: collision with root package name */
    public static final int f14031a = 128;

    /* renamed from: b  reason: collision with root package name */
    public static final int f14032b = 128;

    /* renamed from: c  reason: collision with root package name */
    private static final int f14033c = 256;

    /* renamed from: d  reason: collision with root package name */
    private static final int f14034d = 384;

    /* renamed from: e  reason: collision with root package name */
    private static final int f14035e = 3;
    private static final int f = 7;
    private static final int g = 7;
    private static final int h = 10;
    private static final int i = 1023;
    private static final int j = -1024;
    public static final int k = 0;
    public static final int l = 1;
    public static final int m = 2;
    public static final int n = 3;
    public static final int o = 4;
    private static final int p = 100;
    private static final boolean q = false;
    public static final g r = new g(a.b());
    static final /* synthetic */ boolean s = false;
    private final int A;
    private final int B = g(a(new e("en", "Latn", "US", 7), new e[]{new e("en", "Latn", "GB", 7)}, 1, o(50), LocaleMatcher.FavorSubtag.LANGUAGE, LocaleMatcher.Direction.WITH_ONE_WAY));
    private final BytesTrie t;
    private final byte[] u;
    private final String[] v;
    private final Set<e> w;
    private final int x;
    private final int y;
    private final int z;

    /* compiled from: LocaleDistance */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        public byte[] f14036a;

        /* renamed from: b  reason: collision with root package name */
        public byte[] f14037b;

        /* renamed from: c  reason: collision with root package name */
        public String[] f14038c;

        /* renamed from: d  reason: collision with root package name */
        public Set<e> f14039d;

        /* renamed from: e  reason: collision with root package name */
        public int[] f14040e;

        public a(byte[] bArr, byte[] bArr2, String[] strArr, Set<e> set, int[] iArr) {
            this.f14036a = bArr;
            this.f14037b = bArr2;
            this.f14038c = strArr;
            this.f14039d = set;
            this.f14040e = iArr;
        }

        private static l2.e a(l2.d dVar, String str, l2.e eVar) {
            if (dVar.c(str, eVar)) {
                return eVar;
            }
            throw new MissingResourceException("langInfo.res missing data", "", "match/" + str);
        }

        public static a b() throws MissingResourceException {
            LinkedHashSet linkedHashSet;
            l2.e Y0 = ICUResourceBundle.H0(a0.f13490d, "langInfo", ICUResourceBundle.j, ICUResourceBundle.OpenType.DIRECT).Y0("match");
            l2.d j = Y0.j();
            ByteBuffer c2 = a(j, "trie", Y0).c();
            byte[] bArr = new byte[c2.remaining()];
            c2.get(bArr);
            ByteBuffer c3 = a(j, "regionToPartitions", Y0).c();
            int remaining = c3.remaining();
            byte[] bArr2 = new byte[remaining];
            c3.get(bArr2);
            if (remaining >= 1677) {
                String[] g = a(j, "partitions", Y0).g();
                if (j.c("paradigms", Y0)) {
                    String[] g2 = Y0.g();
                    LinkedHashSet linkedHashSet2 = new LinkedHashSet(g2.length / 3);
                    for (int i = 0; i < g2.length; i += 3) {
                        linkedHashSet2.add(new e(g2[i], g2[i + 1], g2[i + 2], 0));
                    }
                    linkedHashSet = linkedHashSet2;
                } else {
                    linkedHashSet = Collections.emptySet();
                }
                int[] e2 = a(j, "distances", Y0).e();
                if (e2.length >= 4) {
                    return new a(bArr, bArr2, g, linkedHashSet, e2);
                }
                throw new MissingResourceException("langInfo.res intvector too short", "", "match/distances");
            }
            throw new MissingResourceException("langInfo.res binary data too short", "", "match/regionToPartitions");
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || !a.class.equals(obj.getClass())) {
                return false;
            }
            a aVar = (a) obj;
            if (!Arrays.equals(this.f14036a, aVar.f14036a) || !Arrays.equals(this.f14037b, aVar.f14037b) || !Arrays.equals(this.f14038c, aVar.f14038c) || !this.f14039d.equals(aVar.f14039d) || !Arrays.equals(this.f14040e, aVar.f14040e)) {
                return false;
            }
            return true;
        }

        public int hashCode() {
            return 1;
        }
    }

    private g(a aVar) {
        this.t = new BytesTrie(aVar.f14036a, 0);
        this.u = aVar.f14037b;
        this.v = aVar.f14038c;
        this.w = aVar.f14039d;
        int[] iArr = aVar.f14040e;
        this.x = iArr[0];
        this.y = iArr[1];
        this.z = iArr[2];
        this.A = iArr[3];
    }

    private static final int e(BytesTrie bytesTrie, long j2, String str, String str2) {
        int i2 = 0;
        int s2 = s(bytesTrie, str, false);
        if (s2 >= 0) {
            s2 = s(bytesTrie, str2, true);
        }
        if (s2 >= 0) {
            return s2;
        }
        BytesTrie.Result C = bytesTrie.I(j2).C(42);
        if (!str.equals(str2)) {
            i2 = bytesTrie.x();
        }
        return C == BytesTrie.Result.FINAL_VALUE ? i2 | 256 : i2;
    }

    public static final double f(int i2) {
        return ((double) k(i2)) / 8.0d;
    }

    public static final int g(int i2) {
        return (i2 & 1023) >> 3;
    }

    private static final int h(BytesTrie bytesTrie, long j2) {
        bytesTrie.I(j2).C(42);
        return bytesTrie.x();
    }

    public static final int i(int i2) {
        return i2 >> 10;
    }

    private static final int j(BytesTrie bytesTrie, long j2, String str, String str2, int i2) {
        int i3;
        int length = str.length();
        int length2 = str2.length();
        if (length != 1 || length2 != 1) {
            int i4 = 0;
            boolean z2 = false;
            int i5 = 0;
            while (true) {
                int i6 = i4 + 1;
                if (bytesTrie.C(str.charAt(i4) | 128).hasNext()) {
                    long v2 = length2 > 1 ? bytesTrie.v() : 0;
                    int i7 = 0;
                    while (true) {
                        int i8 = i7 + 1;
                        if (bytesTrie.C(str2.charAt(i7) | 128).hasValue()) {
                            i3 = bytesTrie.x();
                        } else if (z2) {
                            i3 = 0;
                        } else {
                            i3 = h(bytesTrie, j2);
                            z2 = true;
                        }
                        if (i3 <= i2) {
                            if (i5 < i3) {
                                i5 = i3;
                            }
                            if (i8 >= length2) {
                                break;
                            }
                            bytesTrie.I(v2);
                            i7 = i8;
                        } else {
                            return i3;
                        }
                    }
                } else if (!z2) {
                    int h2 = h(bytesTrie, j2);
                    if (h2 > i2) {
                        return h2;
                    }
                    if (i5 < h2) {
                        i5 = h2;
                    }
                    z2 = true;
                }
                if (i6 >= length) {
                    return i5;
                }
                bytesTrie.I(j2);
                i4 = i6;
            }
        } else if (!bytesTrie.C(str.charAt(0) | 128).hasNext() || !bytesTrie.C(str2.charAt(0) | 128).hasValue()) {
            return h(bytesTrie, j2);
        } else {
            return bytesTrie.x();
        }
    }

    public static final int k(int i2) {
        return i2 & 1023;
    }

    private boolean l(e eVar, e eVar2, int i2, LocaleMatcher.FavorSubtag favorSubtag) {
        return a(eVar, new e[]{eVar2}, 1, i2, favorSubtag, null) >= 0;
    }

    private String n(e eVar) {
        return this.v[this.u[eVar.l]];
    }

    public static final int o(int i2) {
        return i2 << 3;
    }

    private static final int s(BytesTrie bytesTrie, String str, boolean z2) {
        if (str.isEmpty()) {
            return -1;
        }
        int length = str.length() - 1;
        int i2 = 0;
        while (true) {
            char charAt = str.charAt(i2);
            if (i2 >= length) {
                BytesTrie.Result C = bytesTrie.C(charAt | 128);
                if (z2) {
                    if (C.hasValue()) {
                        int x2 = bytesTrie.x();
                        return C == BytesTrie.Result.FINAL_VALUE ? x2 | 256 : x2;
                    }
                } else if (C.hasNext()) {
                    return 0;
                }
                return -1;
            } else if (!bytesTrie.C(charAt).hasNext()) {
                return -1;
            } else {
                i2++;
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:63:0x0118, code lost:
        if (l(r13, r23, r11, r27) == false) goto L_0x010b;
     */
    public int a(e eVar, e[] eVarArr, int i2, int i3, LocaleMatcher.FavorSubtag favorSubtag, LocaleMatcher.Direction direction) {
        int i4;
        boolean z2;
        int i5;
        int i6;
        long j2;
        BytesTrie bytesTrie;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        e eVar2;
        int i13;
        int i14 = i2;
        BytesTrie bytesTrie2 = new BytesTrie(this.t);
        int s2 = s(bytesTrie2, eVar.i, false);
        boolean z3 = true;
        long v2 = (s2 < 0 || i14 <= 1) ? 0 : bytesTrie2.v();
        int i15 = i3;
        int i16 = 0;
        int i17 = -1;
        int i18 = -1;
        while (i16 < i14) {
            e eVar3 = eVarArr[i16];
            if (s2 >= 0) {
                if (i16 != 0) {
                    bytesTrie2.I(v2);
                }
                i4 = s(bytesTrie2, eVar3.i, z3);
            } else {
                i4 = s2;
            }
            if (i4 >= 0) {
                i5 = i4 & 384;
                i6 = i4 & -385;
                z2 = false;
            } else {
                if (eVar.i.equals(eVar3.i)) {
                    i6 = 0;
                } else {
                    i6 = this.x;
                }
                i5 = 0;
                z2 = true;
            }
            int i19 = (i15 + 7) >> 3;
            if (favorSubtag == LocaleMatcher.FavorSubtag.SCRIPT) {
                i6 >>= 2;
            }
            if (i6 > i19) {
                i7 = i16;
                i9 = i17;
            } else {
                if (z2 || i5 != 0) {
                    i7 = i16;
                    i11 = i17;
                    if (eVar.j.equals(eVar3.j)) {
                        i12 = 0;
                    } else {
                        i12 = this.y;
                    }
                } else {
                    i11 = i17;
                    i7 = i16;
                    int e2 = e(bytesTrie2, bytesTrie2.v(), eVar.j, eVar3.j);
                    i5 = e2 & 256;
                    i12 = e2 & -257;
                }
                int i20 = i6 + i12;
                if (i20 <= i19) {
                    if (eVar.k.equals(eVar3.k)) {
                        j2 = v2;
                        bytesTrie = bytesTrie2;
                        i8 = s2;
                        eVar2 = eVar3;
                        i10 = i15;
                    } else {
                        if (z2 || (i5 & 256) != 0) {
                            j2 = v2;
                            bytesTrie = bytesTrie2;
                            i8 = s2;
                            eVar2 = eVar3;
                            i10 = i15;
                            i13 = this.z;
                        } else {
                            int i21 = i19 - i20;
                            if (this.A <= i21) {
                                i8 = s2;
                                eVar2 = eVar3;
                                bytesTrie = bytesTrie2;
                                i10 = i15;
                                j2 = v2;
                                i13 = j(bytesTrie2, bytesTrie2.v(), n(eVar), n(eVar3), i21);
                            }
                        }
                        i20 += i13;
                    }
                    int o2 = o(i20);
                    if (o2 == 0) {
                        o2 |= eVar.m ^ eVar2.m;
                        if (o2 < i10 && (direction != LocaleMatcher.Direction.ONLY_TWO_WAY || l(eVar2, eVar, i10, favorSubtag))) {
                            if (o2 == 0) {
                                return i7 << 10;
                            }
                            i15 = o2;
                            i18 = i7;
                            i17 = -1;
                            i16 = i7 + 1;
                            i14 = i2;
                            s2 = i8;
                            bytesTrie2 = bytesTrie;
                            v2 = j2;
                            z3 = true;
                        }
                    } else if (o2 < i10) {
                        if (direction == LocaleMatcher.Direction.ONLY_TWO_WAY) {
                        }
                        i15 = o2;
                        i18 = i7;
                        i17 = -1;
                        i16 = i7 + 1;
                        i14 = i2;
                        s2 = i8;
                        bytesTrie2 = bytesTrie;
                        v2 = j2;
                        z3 = true;
                    } else if (o2 == i10 && i18 >= 0 && (direction != LocaleMatcher.Direction.ONLY_TWO_WAY || l(eVar2, eVar, i10, favorSubtag))) {
                        i17 = o.f.b(eVar2, eVarArr[i18], i11);
                        i15 = i10;
                        if ((i17 & 1) != 0) {
                            i18 = i7;
                        }
                        i16 = i7 + 1;
                        i14 = i2;
                        s2 = i8;
                        bytesTrie2 = bytesTrie;
                        v2 = j2;
                        z3 = true;
                    }
                    i9 = i11;
                    i15 = i10;
                    i17 = i9;
                    i16 = i7 + 1;
                    i14 = i2;
                    s2 = i8;
                    bytesTrie2 = bytesTrie;
                    v2 = j2;
                    z3 = true;
                }
                i9 = i11;
            }
            j2 = v2;
            bytesTrie = bytesTrie2;
            i8 = s2;
            i10 = i15;
            i15 = i10;
            i17 = i9;
            i16 = i7 + 1;
            i14 = i2;
            s2 = i8;
            bytesTrie2 = bytesTrie;
            v2 = j2;
            z3 = true;
        }
        if (i18 >= 0) {
            return (i18 << 10) | i15;
        }
        return o(100) | j;
    }

    public int b() {
        return this.B;
    }

    /* access modifiers changed from: package-private */
    public int c() {
        return this.z;
    }

    public int d() {
        return this.y;
    }

    public boolean m(e eVar) {
        for (e eVar2 : this.w) {
            if (eVar.b(eVar2)) {
                return true;
            }
        }
        return false;
    }

    public int p(ULocale uLocale, ULocale uLocale2, int i2, LocaleMatcher.FavorSubtag favorSubtag) {
        o oVar = o.f;
        e g2 = oVar.g(uLocale2);
        return g(a(oVar.g(uLocale), new e[]{g2}, 1, o(i2), favorSubtag, LocaleMatcher.Direction.WITH_ONE_WAY));
    }

    public Map<String, Integer> q() {
        TreeMap treeMap = new TreeMap();
        StringBuilder sb = new StringBuilder();
        BytesTrie.c y2 = this.t.iterator();
        while (y2.hasNext()) {
            BytesTrie.b bVar = (BytesTrie.b) y2.next();
            sb.setLength(0);
            int i2 = bVar.i();
            for (int i3 = 0; i3 < i2; i3++) {
                byte g2 = bVar.g(i3);
                if (g2 == 42) {
                    sb.append("*-*-");
                } else if (g2 >= 0) {
                    sb.append((char) g2);
                } else {
                    sb.append((char) (g2 & Byte.MAX_VALUE));
                    sb.append('-');
                }
            }
            sb.setLength(sb.length() - 1);
            treeMap.put(sb.toString(), Integer.valueOf(bVar.f15955a));
        }
        return treeMap;
    }

    public void r() {
        String str;
        for (Map.Entry<String, Integer> entry : q().entrySet()) {
            int intValue = entry.getValue().intValue();
            if ((intValue & 128) != 0) {
                intValue &= -129;
                str = " skip script";
            } else {
                str = "";
            }
            PrintStream printStream = System.out;
            printStream.println(entry.getKey() + '=' + intValue + str);
        }
    }

    public String toString() {
        return q().toString();
    }
}
