package com.ibm.icu.impl.locale;

import com.alipay.sdk.util.g;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.ibm.icu.impl.ValidIdentifiers;
import com.ibm.icu.impl.locale.KeyTypeData;
import com.ibm.icu.text.DateFormat;
import com.ibm.icu.util.IllformedLocaleException;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.w;
import java.util.Arrays;
import java.util.EnumSet;
import java.util.HashSet;
import java.util.Set;
import java.util.regex.Pattern;

/* compiled from: LocaleValidityChecker */
public class j {

    /* renamed from: a  reason: collision with root package name */
    static Pattern f14049a = Pattern.compile("[-_]");

    /* renamed from: b  reason: collision with root package name */
    private static final Pattern f14050b = Pattern.compile("[a-zA-Z0-9]{2,8}(-[a-zA-Z0-9]{2,8})*");

    /* renamed from: c  reason: collision with root package name */
    static final Set<String> f14051c = new HashSet(Arrays.asList("space", "punct", "symbol", FirebaseAnalytics.b.f12316e, "digit", "others", DateFormat.SPECIFIC_TZ));

    /* renamed from: d  reason: collision with root package name */
    static final Set<String> f14052d = new HashSet(Arrays.asList("zinh", "zyyy"));

    /* renamed from: e  reason: collision with root package name */
    static final Set<ValidIdentifiers.Datasubtype> f14053e = EnumSet.of(ValidIdentifiers.Datasubtype.regular);
    private final Set<ValidIdentifiers.Datasubtype> f;
    private final boolean g;

    /* access modifiers changed from: package-private */
    /* compiled from: LocaleValidityChecker */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f14054a;

        /* renamed from: b  reason: collision with root package name */
        static final /* synthetic */ int[] f14055b;

        /* renamed from: c  reason: collision with root package name */
        static final /* synthetic */ int[] f14056c;

        /* JADX WARNING: Can't wrap try/catch for region: R(23:0|(2:1|2)|3|(2:5|6)|7|9|10|11|12|13|14|15|17|18|19|20|(2:21|22)|23|25|26|27|28|(3:29|30|32)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(27:0|1|2|3|(2:5|6)|7|9|10|11|12|13|14|15|17|18|19|20|21|22|23|25|26|27|28|29|30|32) */
        /* JADX WARNING: Can't wrap try/catch for region: R(28:0|1|2|3|5|6|7|9|10|11|12|13|14|15|17|18|19|20|21|22|23|25|26|27|28|29|30|32) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0033 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x004f */
        /* JADX WARNING: Missing exception handler attribute for start block: B:21:0x0059 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:27:0x0074 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:29:0x007e */
        static {
            int[] iArr = new int[b.values().length];
            f14056c = iArr;
            try {
                iArr[b.anything.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                f14056c[b.codepoints.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            f14056c[b.reorder.ordinal()] = 3;
            f14056c[b.subdivision.ordinal()] = 4;
            f14056c[b.rgKey.ordinal()] = 5;
            int[] iArr2 = new int[KeyTypeData.ValueType.values().length];
            f14055b = iArr2;
            iArr2[KeyTypeData.ValueType.single.ordinal()] = 1;
            f14055b[KeyTypeData.ValueType.incremental.ordinal()] = 2;
            try {
                f14055b[KeyTypeData.ValueType.multiple.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            int[] iArr3 = new int[ValidIdentifiers.Datatype.values().length];
            f14054a = iArr3;
            iArr3[ValidIdentifiers.Datatype.x.ordinal()] = 1;
            f14054a[ValidIdentifiers.Datatype.t.ordinal()] = 2;
            try {
                f14054a[ValidIdentifiers.Datatype.u.ordinal()] = 3;
            } catch (NoSuchFieldError unused4) {
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: LocaleValidityChecker */
    public enum b {
        normal,
        anything,
        reorder,
        codepoints,
        subdivision,
        rgKey;

        static b a(String str) {
            if (str.equals("kr")) {
                return reorder;
            }
            if (str.equals("vt")) {
                return codepoints;
            }
            if (str.equals("sd")) {
                return subdivision;
            }
            if (str.equals("rg")) {
                return rgKey;
            }
            if (str.equals("x0")) {
                return anything;
            }
            return normal;
        }
    }

    /* compiled from: LocaleValidityChecker */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        public ValidIdentifiers.Datatype f14059a;

        /* renamed from: b  reason: collision with root package name */
        public String f14060b;

        public boolean a(ValidIdentifiers.Datatype datatype, String str) {
            this.f14059a = datatype;
            this.f14060b = str;
            return false;
        }

        public String toString() {
            if (this.f14059a == null) {
                return "OK";
            }
            return "{" + this.f14059a + ", " + this.f14060b + g.f6033d;
        }
    }

    public j(Set<ValidIdentifiers.Datasubtype> set) {
        this.f = EnumSet.copyOf(set);
        this.g = set.contains(ValidIdentifiers.Datasubtype.deprecated);
    }

    private boolean b(String str) {
        String j = a.j(str);
        if (f14051c.contains(j)) {
            return true;
        }
        if (!f14052d.contains(j) && ValidIdentifiers.b(ValidIdentifiers.Datatype.script, f14053e, j) != null) {
            return true;
        }
        return false;
    }

    private boolean c(ULocale uLocale, String str) {
        int i = 3;
        if (str.length() < 3) {
            return false;
        }
        if (str.charAt(0) > '9') {
            i = 2;
        }
        String substring = str.substring(0, i);
        if (ValidIdentifiers.c(ValidIdentifiers.Datatype.subdivision, this.f, substring, str.substring(substring.length())) == null) {
            return false;
        }
        String country = uLocale.getCountry();
        if (country.isEmpty()) {
            country = ULocale.addLikelySubtags(uLocale).getCountry();
        }
        if (!substring.equalsIgnoreCase(country)) {
            return false;
        }
        return true;
    }

    private boolean d(ValidIdentifiers.Datatype datatype, String str, c cVar) {
        if (str.isEmpty()) {
            return true;
        }
        if ((datatype == ValidIdentifiers.Datatype.variant && "posix".equalsIgnoreCase(str)) || ValidIdentifiers.b(datatype, this.f, str) != null) {
            return true;
        }
        if (cVar == null) {
            return false;
        }
        return cVar.a(datatype, str);
    }

    private boolean f(String str, c cVar) {
        try {
            return e(new ULocale.e().h(str).b(), cVar);
        } catch (IllformedLocaleException e2) {
            return cVar.a(ValidIdentifiers.Datatype.t, f14049a.split(str.substring(e2.getErrorIndex()))[0]);
        } catch (Exception e3) {
            return cVar.a(ValidIdentifiers.Datatype.t, e3.getMessage());
        }
    }

    private boolean g(ULocale uLocale, ValidIdentifiers.Datatype datatype, String str, c cVar) {
        String[] strArr;
        StringBuilder sb;
        StringBuilder sb2 = new StringBuilder();
        HashSet hashSet = new HashSet();
        StringBuilder sb3 = datatype == ValidIdentifiers.Datatype.t ? new StringBuilder() : null;
        String[] split = f14049a.split(str);
        int length = split.length;
        String str2 = "";
        int i = 0;
        int i2 = 0;
        KeyTypeData.ValueType valueType = null;
        b bVar = null;
        while (i < length) {
            String str3 = split[i];
            if (str3.length() == 2 && (sb3 == null || str3.charAt(1) <= '9')) {
                if (sb3 != null) {
                    if (sb3.length() != 0 && !f(sb3.toString(), cVar)) {
                        return false;
                    }
                    sb3 = null;
                }
                String j = KeyTypeData.j(str3);
                if (j == null) {
                    return cVar.a(datatype, str3);
                }
                if (!this.g && KeyTypeData.h(j)) {
                    return cVar.a(datatype, j);
                }
                valueType = KeyTypeData.e(j);
                bVar = b.a(j);
                sb = sb2;
                strArr = split;
                str2 = j;
                i2 = 0;
            } else if (sb3 != null) {
                if (sb3.length() != 0) {
                    sb3.append('-');
                }
                sb3.append(str3);
                sb = sb2;
                strArr = split;
            } else {
                i2++;
                int i3 = a.f14055b[valueType.ordinal()];
                strArr = split;
                if (i3 != 1) {
                    if (i3 != 2) {
                        if (i3 == 3 && i2 == 1) {
                            hashSet.clear();
                        }
                    } else if (i2 == 1) {
                        sb2.setLength(0);
                        sb2.append(str3);
                    } else {
                        sb2.append('-');
                        sb2.append(str3);
                        str3 = sb2.toString();
                    }
                } else if (i2 > 1) {
                    return cVar.a(datatype, str2 + f.f14027b + str3);
                }
                int i4 = a.f14056c[bVar.ordinal()];
                if (i4 != 1) {
                    if (i4 != 2) {
                        sb = sb2;
                        if (i4 == 3) {
                            if (!hashSet.add(str3.equals(DateFormat.SPECIFIC_TZ) ? "others" : str3) || !b(str3)) {
                                return cVar.a(datatype, str2 + f.f14027b + str3);
                            }
                        } else if (i4 != 4) {
                            if (i4 != 5) {
                                if (KeyTypeData.k(str2, str3, new w(), new w()) == null) {
                                    return cVar.a(datatype, str2 + f.f14027b + str3);
                                } else if (!this.g && KeyTypeData.i(str2, str3)) {
                                    return cVar.a(datatype, str2 + f.f14027b + str3);
                                }
                            } else if (str3.length() < 6 || !str3.endsWith(DateFormat.SPECIFIC_TZ)) {
                                return cVar.a(datatype, str3);
                            } else {
                                if (!d(ValidIdentifiers.Datatype.region, str3.substring(0, str3.length() - 4), cVar)) {
                                    return false;
                                }
                            }
                        } else if (!c(uLocale, str3)) {
                            return cVar.a(datatype, str2 + f.f14027b + str3);
                        }
                    } else {
                        sb = sb2;
                        try {
                            if (Integer.parseInt(str3, 16) > 1114111) {
                                return cVar.a(datatype, str2 + f.f14027b + str3);
                            }
                        } catch (NumberFormatException unused) {
                            return cVar.a(datatype, str2 + f.f14027b + str3);
                        }
                    }
                    i++;
                    sb2 = sb;
                    split = strArr;
                } else {
                    sb = sb2;
                }
            }
            i++;
            sb2 = sb;
            split = strArr;
        }
        return sb3 == null || sb3.length() == 0 || f(sb3.toString(), cVar);
    }

    public Set<ValidIdentifiers.Datasubtype> a() {
        return EnumSet.copyOf(this.f);
    }

    public boolean e(ULocale uLocale, c cVar) {
        cVar.a(null, null);
        String language = uLocale.getLanguage();
        String script = uLocale.getScript();
        String country = uLocale.getCountry();
        String variant = uLocale.getVariant();
        Set<Character> extensionKeys = uLocale.getExtensionKeys();
        if (!d(ValidIdentifiers.Datatype.language, language, cVar)) {
            if (!language.equals(f.f14028c)) {
                return false;
            }
            cVar.a(null, null);
            return true;
        } else if (!d(ValidIdentifiers.Datatype.script, script, cVar) || !d(ValidIdentifiers.Datatype.region, country, cVar)) {
            return false;
        } else {
            if (!variant.isEmpty()) {
                for (String str : f14049a.split(variant)) {
                    if (!d(ValidIdentifiers.Datatype.variant, str, cVar)) {
                        return false;
                    }
                }
            }
            for (Character ch : extensionKeys) {
                try {
                    ValidIdentifiers.Datatype valueOf = ValidIdentifiers.Datatype.valueOf(ch + "");
                    int i = a.f14054a[valueOf.ordinal()];
                    if (i == 1) {
                        return true;
                    }
                    if (i == 2 || i == 3) {
                        if (!g(uLocale, valueOf, uLocale.getExtension(ch.charValue()), cVar)) {
                            return false;
                        }
                    }
                } catch (Exception unused) {
                    return cVar.a(ValidIdentifiers.Datatype.illegal, ch + "");
                }
            }
            return true;
        }
    }

    public j(ValidIdentifiers.Datasubtype... datasubtypeArr) {
        EnumSet copyOf = EnumSet.copyOf(Arrays.asList(datasubtypeArr));
        this.f = copyOf;
        this.g = copyOf.contains(ValidIdentifiers.Datasubtype.deprecated);
    }
}
