package com.ibm.icu.impl.locale;

import com.ibm.icu.util.ICUException;
import com.ibm.icu.util.ICUUncheckedIOException;
import java.io.BufferedReader;
import java.io.File;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.nio.charset.Charset;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.TreeMap;
import java.util.TreeSet;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: XCldrStub */
public class n {

    /* compiled from: XCldrStub */
    public static class b {
        public static <T, U extends Iterable<T>> String a(U u, String str) {
            return n.a(u, str);
        }
    }

    /* compiled from: XCldrStub */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        public static final Charset f14072a = Charset.forName("utf-8");

        public static String a(Class<?> cls, String str) {
            if (cls == null) {
                cls = c.class;
            }
            String url = cls.getResource(str).toString();
            if (url.startsWith("file:")) {
                return url.substring(5);
            }
            if (url.startsWith("jar:file:")) {
                return url.substring(9);
            }
            throw new ICUUncheckedIOException("File not found: " + url);
        }

        public static BufferedReader b(Class<?> cls, String str) {
            return c(cls, str, f14072a);
        }

        public static BufferedReader c(Class<?> cls, String str, Charset charset) {
            String str2;
            try {
                InputStream resourceAsStream = cls.getResourceAsStream(str);
                if (charset == null) {
                    charset = f14072a;
                }
                return new BufferedReader(new InputStreamReader(resourceAsStream, charset), 65536);
            } catch (Exception e2) {
                if (cls == null) {
                    str2 = null;
                } else {
                    str2 = cls.getCanonicalName();
                }
                try {
                    String canonicalPath = new File(a(cls, "../util/")).getCanonicalPath();
                    throw new ICUUncheckedIOException("Couldn't open file " + str + "; in path " + canonicalPath + "; relative to class: " + str2, e2);
                } catch (Exception unused) {
                    throw new ICUUncheckedIOException("Couldn't open file: " + str + "; relative to class: " + str2, e2);
                }
            }
        }
    }

    /* compiled from: XCldrStub */
    public static class d<K, V> extends j<K, V> {
        private d() {
            super(new HashMap(), HashSet.class);
        }

        public static <K, V> d<K, V> n() {
            return new d<>();
        }
    }

    /* compiled from: XCldrStub */
    public static class e {
        public static <K, V> Map<K, V> a(Map<K, V> map) {
            return Collections.unmodifiableMap(new LinkedHashMap(map));
        }
    }

    /* compiled from: XCldrStub */
    public static class f {
        /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: java.util.LinkedHashMap */
        /* JADX WARN: Multi-variable type inference failed */
        public static <K, V> j<K, V> a(j<K, V> jVar) {
            Set set;
            LinkedHashMap linkedHashMap = new LinkedHashMap();
            for (Map.Entry<K, Set<V>> entry : jVar.a().entrySet()) {
                Set<V> value = entry.getValue();
                K key = entry.getKey();
                if (value.size() == 1) {
                    set = Collections.singleton(value.iterator().next());
                } else {
                    set = Collections.unmodifiableSet(new LinkedHashSet(value));
                }
                linkedHashMap.put(key, set);
            }
            return new j<>(Collections.unmodifiableMap(linkedHashMap), null);
        }
    }

    /* compiled from: XCldrStub */
    public static class g {
        public static <T> Set<T> a(Set<T> set) {
            return Collections.unmodifiableSet(new LinkedHashSet(set));
        }
    }

    /* compiled from: XCldrStub */
    public static class h {

        /* renamed from: a  reason: collision with root package name */
        private final String f14073a;

        private h(String str) {
            this.f14073a = str;
        }

        public static final h c(String str) {
            return new h(str);
        }

        public <T> String a(Iterable<T> iterable) {
            return n.a(iterable, this.f14073a);
        }

        public <T> String b(T[] tArr) {
            return n.b(tArr, this.f14073a);
        }
    }

    /* compiled from: XCldrStub */
    public static class i<K, V> extends j<K, V> {
        private i() {
            super(new LinkedHashMap(), LinkedHashSet.class);
        }

        public static <K, V> i<K, V> n() {
            return new i<>();
        }
    }

    /* compiled from: XCldrStub */
    public static class j<K, V> {

        /* renamed from: a  reason: collision with root package name */
        private final Map<K, Set<V>> f14074a;

        /* renamed from: b  reason: collision with root package name */
        private final Class<Set<V>> f14075b;

        private Set<V> b(K k) {
            Set<V> set = this.f14074a.get(k);
            if (set != null) {
                return set;
            }
            Map<K, Set<V>> map = this.f14074a;
            Set<V> e2 = e();
            map.put(k, e2);
            return e2;
        }

        private Set<V> e() {
            try {
                return this.f14075b.newInstance();
            } catch (Exception e2) {
                throw new ICUException(e2);
            }
        }

        public Map<K, Set<V>> a() {
            return this.f14074a;
        }

        public Iterable<Map.Entry<K, V>> c() {
            return new k(this.f14074a);
        }

        public Set<V> d(K k) {
            return this.f14074a.get(k);
        }

        public boolean equals(Object obj) {
            return this == obj || (obj != null && obj.getClass() == getClass() && this.f14074a.equals(((j) obj).f14074a));
        }

        public Set<K> f() {
            return this.f14074a.keySet();
        }

        public void g(K k, V v) {
            b(k).add(v);
        }

        @SafeVarargs
        public final j<K, V> h(K k, V... vArr) {
            if (vArr.length != 0) {
                b(k).addAll(Arrays.asList(vArr));
            }
            return this;
        }

        public int hashCode() {
            return this.f14074a.hashCode();
        }

        public void i(j<K, V> jVar) {
            for (Map.Entry<K, Set<V>> entry : jVar.f14074a.entrySet()) {
                j(entry.getKey(), entry.getValue());
            }
        }

        public void j(K k, Collection<V> collection) {
            if (!collection.isEmpty()) {
                b(k).addAll(collection);
            }
        }

        public void k(Collection<K> collection, V v) {
            for (K k : collection) {
                g(k, v);
            }
        }

        public int l() {
            return this.f14074a.size();
        }

        public Set<V> m() {
            Collection<Set<V>> values = this.f14074a.values();
            if (values.size() == 0) {
                return Collections.emptySet();
            }
            Set<V> e2 = e();
            for (Set<V> set : values) {
                e2.addAll(set);
            }
            return e2;
        }

        private j(Map<K, Set<V>> map, Class<?> cls) {
            this.f14074a = map;
            this.f14075b = (Class<Set<V>>) (cls == null ? HashSet.class : cls);
        }
    }

    /* compiled from: XCldrStub */
    private static class k<K, V> implements Iterator<Map.Entry<K, V>>, Iterable<Map.Entry<K, V>> {
        private final o<K, V> I0;

        /* renamed from: a  reason: collision with root package name */
        private final Iterator<Map.Entry<K, Set<V>>> f14076a;

        /* renamed from: b  reason: collision with root package name */
        private Iterator<V> f14077b;

        /* renamed from: b */
        public Map.Entry<K, V> next() {
            Iterator<V> it = this.f14077b;
            if (it == null || !it.hasNext()) {
                Map.Entry<K, Set<V>> next = this.f14076a.next();
                this.I0.f14078a = next.getKey();
                this.f14077b = next.getValue().iterator();
            } else {
                this.I0.f14079b = this.f14077b.next();
            }
            return this.I0;
        }

        public boolean hasNext() {
            Iterator<V> it;
            return this.f14076a.hasNext() || ((it = this.f14077b) != null && it.hasNext());
        }

        @Override // java.lang.Iterable
        public Iterator<Map.Entry<K, V>> iterator() {
            return this;
        }

        public void remove() {
            throw new UnsupportedOperationException();
        }

        private k(Map<K, Set<V>> map) {
            this.f14077b = null;
            this.I0 = new o<>();
            this.f14076a = map.entrySet().iterator();
        }
    }

    /* compiled from: XCldrStub */
    public static class l {
        public static <K, V> Map<K, V> a(Map<K, V> map) {
            return map;
        }

        public static <K, V, R extends j<K, V>> R b(j<V, K> jVar, R r) {
            for (Map.Entry<V, Set<K>> entry : jVar.a().entrySet()) {
                r.k(entry.getValue(), entry.getKey());
            }
            return r;
        }

        public static <K, V, R extends j<K, V>> R c(Map<V, K> map, R r) {
            for (Map.Entry<V, K> entry : map.entrySet()) {
                r.g(entry.getValue(), entry.getKey());
            }
            return r;
        }
    }

    /* compiled from: XCldrStub */
    public interface m<T> {
        boolean a(T t);
    }

    /* renamed from: com.ibm.icu.impl.locale.n$n  reason: collision with other inner class name */
    /* compiled from: XCldrStub */
    public static class C0295n {
        public static int a(Matcher matcher, CharSequence charSequence) {
            int i = 1;
            while (i < charSequence.length() && (matcher.reset(charSequence.subSequence(0, i)).matches() || matcher.hitEnd())) {
                i++;
            }
            return i - 1;
        }

        public static String b(Matcher matcher, CharSequence charSequence) {
            int a2 = a(matcher, charSequence);
            return ((Object) charSequence.subSequence(0, a2)) + "☹" + ((Object) charSequence.subSequence(a2, charSequence.length()));
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: XCldrStub */
    public static class o<K, V> implements Map.Entry<K, V> {

        /* renamed from: a  reason: collision with root package name */
        K f14078a;

        /* renamed from: b  reason: collision with root package name */
        V f14079b;

        private o() {
        }

        @Override // java.util.Map.Entry
        public K getKey() {
            return this.f14078a;
        }

        @Override // java.util.Map.Entry
        public V getValue() {
            return this.f14079b;
        }

        @Override // java.util.Map.Entry
        public V setValue(V v) {
            throw new UnsupportedOperationException();
        }
    }

    /* compiled from: XCldrStub */
    public static class p {

        /* renamed from: a  reason: collision with root package name */
        Pattern f14080a;

        /* renamed from: b  reason: collision with root package name */
        boolean f14081b;

        public p(char c2) {
            this(Pattern.compile("\\Q" + c2 + "\\E"));
        }

        public static p a(char c2) {
            return new p(c2);
        }

        public static p b(Pattern pattern) {
            return new p(pattern);
        }

        public Iterable<String> c(String str) {
            return d(str);
        }

        public List<String> d(String str) {
            String[] split = this.f14080a.split(str);
            if (this.f14081b) {
                for (int i = 0; i < split.length; i++) {
                    split[i] = split[i].trim();
                }
            }
            return Arrays.asList(split);
        }

        public p e() {
            this.f14081b = true;
            return this;
        }

        public p(Pattern pattern) {
            this.f14081b = false;
            this.f14080a = pattern;
        }
    }

    /* compiled from: XCldrStub */
    public static class q<K, V> extends j<K, V> {
        private q() {
            super(new TreeMap(), TreeSet.class);
        }

        public static <K, V> q<K, V> n() {
            return new q<>();
        }
    }

    public static <T> String a(Iterable<T> iterable, String str) {
        StringBuilder sb = new StringBuilder();
        boolean z = true;
        for (T t : iterable) {
            if (!z) {
                sb.append(str);
            } else {
                z = false;
            }
            sb.append(t.toString());
        }
        return sb.toString();
    }

    public static <T> String b(T[] tArr, String str) {
        StringBuilder sb = new StringBuilder();
        for (int i2 = 0; i2 < tArr.length; i2++) {
            if (i2 != 0) {
                sb.append(str);
            }
            sb.append((Object) tArr[i2]);
        }
        return sb.toString();
    }
}
