package com.ibm.icu.impl.number;

import com.ibm.icu.impl.number.Padder;
import com.ibm.icu.text.CompactDecimalFormat;
import com.ibm.icu.text.CurrencyPluralInfo;
import com.ibm.icu.text.PluralRules;
import com.ibm.icu.util.Currency;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.lang.reflect.Field;
import java.lang.reflect.Modifier;
import java.math.BigDecimal;
import java.math.MathContext;
import java.math.RoundingMode;
import java.util.ArrayList;
import java.util.Map;

public class DecimalFormatProperties implements Cloneable, Serializable {

    /* renamed from: a  reason: collision with root package name */
    private static final DecimalFormatProperties f14114a = new DecimalFormatProperties();
    private static final long serialVersionUID = 4095518955889349243L;
    private transient CompactDecimalFormat.CompactStyle I0;
    private transient Currency J0;
    private transient CurrencyPluralInfo K0;
    private transient Currency.CurrencyUsage L0;
    private transient boolean M0;
    private transient boolean N0;
    private transient boolean O0;
    private transient boolean P0;
    private transient int Q0;
    private transient int R0;
    private transient boolean S0;
    private transient int T0;
    private transient MathContext U0;
    private transient int V0;
    private transient int W0;
    private transient int X0;
    private transient int Y0;
    private transient int Z0;
    private transient int a1;

    /* renamed from: b  reason: collision with root package name */
    private transient Map<String, Map<String, String>> f14115b;
    private transient int b1;
    private transient int c1;
    private transient BigDecimal d1;
    private transient String e1;
    private transient String f1;
    private transient String g1;
    private transient String h1;
    private transient Padder.PadPosition i1;
    private transient String j1;
    private transient boolean k1;
    private transient boolean l1;
    private transient ParseMode m1;
    private transient boolean n1;
    private transient boolean o1;
    private transient PluralRules p1;
    private transient String q1;
    private transient String r1;
    private transient String s1;
    private transient String t1;
    private transient BigDecimal u1;
    private transient RoundingMode v1;
    private transient int w1;
    private transient boolean x1;

    public enum ParseMode {
        LENIENT,
        STRICT,
        JAVA_COMPATIBILITY
    }

    public DecimalFormatProperties() {
        clear();
    }

    private DecimalFormatProperties a() {
        this.f14115b = null;
        this.I0 = null;
        this.J0 = null;
        this.K0 = null;
        this.L0 = null;
        this.M0 = false;
        this.N0 = false;
        this.O0 = false;
        this.P0 = false;
        this.Q0 = -1;
        this.R0 = -1;
        this.S0 = true;
        this.T0 = 0;
        this.U0 = null;
        this.V0 = -1;
        this.W0 = -1;
        this.X0 = -1;
        this.Y0 = -1;
        this.Z0 = -1;
        this.a1 = -1;
        this.b1 = -1;
        this.c1 = -1;
        this.d1 = null;
        this.e1 = null;
        this.f1 = null;
        this.g1 = null;
        this.h1 = null;
        this.i1 = null;
        this.j1 = null;
        this.k1 = false;
        this.l1 = false;
        this.m1 = null;
        this.n1 = false;
        this.o1 = false;
        this.p1 = null;
        this.q1 = null;
        this.r1 = null;
        this.s1 = null;
        this.t1 = null;
        this.u1 = null;
        this.v1 = null;
        this.w1 = -1;
        this.x1 = false;
        return this;
    }

    private DecimalFormatProperties b(DecimalFormatProperties decimalFormatProperties) {
        this.f14115b = decimalFormatProperties.f14115b;
        this.I0 = decimalFormatProperties.I0;
        this.J0 = decimalFormatProperties.J0;
        this.K0 = decimalFormatProperties.K0;
        this.L0 = decimalFormatProperties.L0;
        this.M0 = decimalFormatProperties.M0;
        this.N0 = decimalFormatProperties.N0;
        this.O0 = decimalFormatProperties.O0;
        this.P0 = decimalFormatProperties.P0;
        this.Q0 = decimalFormatProperties.Q0;
        this.R0 = decimalFormatProperties.R0;
        this.S0 = decimalFormatProperties.S0;
        this.T0 = decimalFormatProperties.T0;
        this.U0 = decimalFormatProperties.U0;
        this.V0 = decimalFormatProperties.V0;
        this.W0 = decimalFormatProperties.W0;
        this.X0 = decimalFormatProperties.X0;
        this.Y0 = decimalFormatProperties.Y0;
        this.Z0 = decimalFormatProperties.Z0;
        this.a1 = decimalFormatProperties.a1;
        this.b1 = decimalFormatProperties.b1;
        this.c1 = decimalFormatProperties.c1;
        this.d1 = decimalFormatProperties.d1;
        this.e1 = decimalFormatProperties.e1;
        this.f1 = decimalFormatProperties.f1;
        this.g1 = decimalFormatProperties.g1;
        this.h1 = decimalFormatProperties.h1;
        this.i1 = decimalFormatProperties.i1;
        this.j1 = decimalFormatProperties.j1;
        this.k1 = decimalFormatProperties.k1;
        this.l1 = decimalFormatProperties.l1;
        this.m1 = decimalFormatProperties.m1;
        this.n1 = decimalFormatProperties.n1;
        this.o1 = decimalFormatProperties.o1;
        this.p1 = decimalFormatProperties.p1;
        this.q1 = decimalFormatProperties.q1;
        this.r1 = decimalFormatProperties.r1;
        this.s1 = decimalFormatProperties.s1;
        this.t1 = decimalFormatProperties.t1;
        this.u1 = decimalFormatProperties.u1;
        this.v1 = decimalFormatProperties.v1;
        this.w1 = decimalFormatProperties.w1;
        this.x1 = decimalFormatProperties.x1;
        return this;
    }

    private boolean c(DecimalFormatProperties decimalFormatProperties) {
        if (!((((((((((((((((((((((((((((((((((((((((((e(this.f14115b, decimalFormatProperties.f14115b)) && e(this.I0, decimalFormatProperties.I0)) && e(this.J0, decimalFormatProperties.J0)) && e(this.K0, decimalFormatProperties.K0)) && e(this.L0, decimalFormatProperties.L0)) && f(this.M0, decimalFormatProperties.M0)) && f(this.N0, decimalFormatProperties.N0)) && f(this.O0, decimalFormatProperties.O0)) && f(this.P0, decimalFormatProperties.P0)) && d(this.Q0, decimalFormatProperties.Q0)) && d(this.R0, decimalFormatProperties.R0)) && f(this.S0, decimalFormatProperties.S0)) && d(this.T0, decimalFormatProperties.T0)) && e(this.U0, decimalFormatProperties.U0)) && d(this.V0, decimalFormatProperties.V0)) && d(this.W0, decimalFormatProperties.W0)) && d(this.X0, decimalFormatProperties.X0)) && d(this.Y0, decimalFormatProperties.Y0)) && d(this.Z0, decimalFormatProperties.Z0)) && d(this.a1, decimalFormatProperties.a1)) && d(this.b1, decimalFormatProperties.b1)) && d(this.c1, decimalFormatProperties.c1)) && e(this.d1, decimalFormatProperties.d1)) && e(this.e1, decimalFormatProperties.e1)) && e(this.f1, decimalFormatProperties.f1)) && e(this.g1, decimalFormatProperties.g1)) && e(this.h1, decimalFormatProperties.h1)) && e(this.i1, decimalFormatProperties.i1)) && e(this.j1, decimalFormatProperties.j1)) && f(this.k1, decimalFormatProperties.k1)) && f(this.l1, decimalFormatProperties.l1)) && e(this.m1, decimalFormatProperties.m1)) && f(this.n1, decimalFormatProperties.n1)) && f(this.o1, decimalFormatProperties.o1)) && e(this.p1, decimalFormatProperties.p1)) && e(this.q1, decimalFormatProperties.q1)) && e(this.r1, decimalFormatProperties.r1)) && e(this.s1, decimalFormatProperties.s1)) && e(this.t1, decimalFormatProperties.t1)) && e(this.u1, decimalFormatProperties.u1)) && e(this.v1, decimalFormatProperties.v1)) && d(this.w1, decimalFormatProperties.w1)) || !f(this.x1, decimalFormatProperties.x1)) {
            return false;
        }
        return true;
    }

    private boolean d(int i, int i2) {
        return i == i2;
    }

    private boolean e(Object obj, Object obj2) {
        if (obj == obj2) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        return obj.equals(obj2);
    }

    private boolean f(boolean z, boolean z2) {
        return z == z2;
    }

    private int h() {
        return ((((((((((((((((((((((((((((((((((((((((((n(this.f14115b) ^ 0) ^ n(this.I0)) ^ n(this.J0)) ^ n(this.K0)) ^ n(this.L0)) ^ p(this.M0)) ^ p(this.N0)) ^ p(this.O0)) ^ p(this.P0)) ^ m(this.Q0)) ^ m(this.R0)) ^ p(this.S0)) ^ m(this.T0)) ^ n(this.U0)) ^ m(this.V0)) ^ m(this.W0)) ^ m(this.X0)) ^ m(this.Y0)) ^ m(this.Z0)) ^ m(this.a1)) ^ m(this.b1)) ^ m(this.c1)) ^ n(this.d1)) ^ n(this.e1)) ^ n(this.f1)) ^ n(this.g1)) ^ n(this.h1)) ^ n(this.i1)) ^ n(this.j1)) ^ p(this.k1)) ^ p(this.l1)) ^ n(this.m1)) ^ p(this.n1)) ^ p(this.o1)) ^ n(this.p1)) ^ n(this.q1)) ^ n(this.r1)) ^ n(this.s1)) ^ n(this.t1)) ^ n(this.u1)) ^ n(this.v1)) ^ m(this.w1)) ^ p(this.x1);
    }

    private int m(int i) {
        return i * 13;
    }

    private int n(Object obj) {
        if (obj == null) {
            return 0;
        }
        return obj.hashCode();
    }

    private int p(boolean z) {
        return z ? 1 : 0;
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        q(objectInputStream);
    }

    private void writeObject(ObjectOutputStream objectOutputStream) throws IOException {
        s(objectOutputStream);
    }

    public DecimalFormatProperties clear() {
        return a();
    }

    public DecimalFormatProperties copyFrom(DecimalFormatProperties decimalFormatProperties) {
        return b(decimalFormatProperties);
    }

    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof DecimalFormatProperties)) {
            return false;
        }
        return c((DecimalFormatProperties) obj);
    }

    public Map<String, Map<String, String>> getCompactCustomData() {
        return this.f14115b;
    }

    public CompactDecimalFormat.CompactStyle getCompactStyle() {
        return this.I0;
    }

    public Currency getCurrency() {
        return this.J0;
    }

    public boolean getCurrencyAsDecimal() {
        return this.P0;
    }

    public CurrencyPluralInfo getCurrencyPluralInfo() {
        return this.K0;
    }

    public Currency.CurrencyUsage getCurrencyUsage() {
        return this.L0;
    }

    public boolean getDecimalPatternMatchRequired() {
        return this.M0;
    }

    public boolean getDecimalSeparatorAlwaysShown() {
        return this.N0;
    }

    public boolean getExponentSignAlwaysShown() {
        return this.O0;
    }

    public int getFormatWidth() {
        return this.Q0;
    }

    public int getGroupingSize() {
        return this.R0;
    }

    public boolean getGroupingUsed() {
        return this.S0;
    }

    public int getMagnitudeMultiplier() {
        return this.T0;
    }

    public MathContext getMathContext() {
        return this.U0;
    }

    public int getMaximumFractionDigits() {
        return this.V0;
    }

    public int getMaximumIntegerDigits() {
        return this.W0;
    }

    public int getMaximumSignificantDigits() {
        return this.X0;
    }

    public int getMinimumExponentDigits() {
        return this.Y0;
    }

    public int getMinimumFractionDigits() {
        return this.Z0;
    }

    public int getMinimumGroupingDigits() {
        return this.a1;
    }

    public int getMinimumIntegerDigits() {
        return this.b1;
    }

    public int getMinimumSignificantDigits() {
        return this.c1;
    }

    public BigDecimal getMultiplier() {
        return this.d1;
    }

    public String getNegativePrefix() {
        return this.e1;
    }

    public String getNegativePrefixPattern() {
        return this.f1;
    }

    public String getNegativeSuffix() {
        return this.g1;
    }

    public String getNegativeSuffixPattern() {
        return this.h1;
    }

    public Padder.PadPosition getPadPosition() {
        return this.i1;
    }

    public String getPadString() {
        return this.j1;
    }

    public boolean getParseCaseSensitive() {
        return this.k1;
    }

    public boolean getParseIntegerOnly() {
        return this.l1;
    }

    public ParseMode getParseMode() {
        return this.m1;
    }

    public boolean getParseNoExponent() {
        return this.n1;
    }

    public boolean getParseToBigDecimal() {
        return this.o1;
    }

    public PluralRules getPluralRules() {
        return this.p1;
    }

    public String getPositivePrefix() {
        return this.q1;
    }

    public String getPositivePrefixPattern() {
        return this.r1;
    }

    public String getPositiveSuffix() {
        return this.s1;
    }

    public String getPositiveSuffixPattern() {
        return this.t1;
    }

    public BigDecimal getRoundingIncrement() {
        return this.u1;
    }

    public RoundingMode getRoundingMode() {
        return this.v1;
    }

    public int getSecondaryGroupingSize() {
        return this.w1;
    }

    public boolean getSignAlwaysShown() {
        return this.x1;
    }

    public int hashCode() {
        return h();
    }

    /* access modifiers changed from: package-private */
    public void q(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        clear();
        objectInputStream.readInt();
        int readInt = objectInputStream.readInt();
        for (int i = 0; i < readInt; i++) {
            String str = (String) objectInputStream.readObject();
            try {
                try {
                    DecimalFormatProperties.class.getDeclaredField(str).set(this, objectInputStream.readObject());
                } catch (IllegalArgumentException e2) {
                    throw new AssertionError(e2);
                } catch (IllegalAccessException e3) {
                    throw new AssertionError(e3);
                }
            } catch (NoSuchFieldException unused) {
            } catch (SecurityException e4) {
                throw new AssertionError(e4);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void s(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeInt(0);
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        Field[] declaredFields = DecimalFormatProperties.class.getDeclaredFields();
        for (Field field : declaredFields) {
            if (!Modifier.isStatic(field.getModifiers())) {
                try {
                    Object obj = field.get(this);
                    if (obj != null) {
                        if (!obj.equals(field.get(f14114a))) {
                            arrayList.add(field);
                            arrayList2.add(obj);
                        }
                    }
                } catch (IllegalArgumentException e2) {
                    throw new AssertionError(e2);
                } catch (IllegalAccessException e3) {
                    throw new AssertionError(e3);
                }
            }
        }
        int size = arrayList.size();
        objectOutputStream.writeInt(size);
        for (int i = 0; i < size; i++) {
            Object obj2 = arrayList2.get(i);
            objectOutputStream.writeObject(((Field) arrayList.get(i)).getName());
            objectOutputStream.writeObject(obj2);
        }
    }

    public DecimalFormatProperties setCompactCustomData(Map<String, Map<String, String>> map) {
        this.f14115b = map;
        return this;
    }

    public DecimalFormatProperties setCompactStyle(CompactDecimalFormat.CompactStyle compactStyle) {
        this.I0 = compactStyle;
        return this;
    }

    public DecimalFormatProperties setCurrency(Currency currency) {
        this.J0 = currency;
        return this;
    }

    public DecimalFormatProperties setCurrencyAsDecimal(boolean z) {
        this.P0 = z;
        return this;
    }

    public DecimalFormatProperties setCurrencyPluralInfo(CurrencyPluralInfo currencyPluralInfo) {
        if (currencyPluralInfo != null) {
            currencyPluralInfo = (CurrencyPluralInfo) currencyPluralInfo.clone();
        }
        this.K0 = currencyPluralInfo;
        return this;
    }

    public DecimalFormatProperties setCurrencyUsage(Currency.CurrencyUsage currencyUsage) {
        this.L0 = currencyUsage;
        return this;
    }

    public DecimalFormatProperties setDecimalPatternMatchRequired(boolean z) {
        this.M0 = z;
        return this;
    }

    public DecimalFormatProperties setDecimalSeparatorAlwaysShown(boolean z) {
        this.N0 = z;
        return this;
    }

    public DecimalFormatProperties setExponentSignAlwaysShown(boolean z) {
        this.O0 = z;
        return this;
    }

    public DecimalFormatProperties setFormatWidth(int i) {
        this.Q0 = i;
        return this;
    }

    public DecimalFormatProperties setGroupingSize(int i) {
        this.R0 = i;
        return this;
    }

    public DecimalFormatProperties setGroupingUsed(boolean z) {
        this.S0 = z;
        return this;
    }

    public DecimalFormatProperties setMagnitudeMultiplier(int i) {
        this.T0 = i;
        return this;
    }

    public DecimalFormatProperties setMathContext(MathContext mathContext) {
        this.U0 = mathContext;
        return this;
    }

    public DecimalFormatProperties setMaximumFractionDigits(int i) {
        this.V0 = i;
        return this;
    }

    public DecimalFormatProperties setMaximumIntegerDigits(int i) {
        this.W0 = i;
        return this;
    }

    public DecimalFormatProperties setMaximumSignificantDigits(int i) {
        this.X0 = i;
        return this;
    }

    public DecimalFormatProperties setMinimumExponentDigits(int i) {
        this.Y0 = i;
        return this;
    }

    public DecimalFormatProperties setMinimumFractionDigits(int i) {
        this.Z0 = i;
        return this;
    }

    public DecimalFormatProperties setMinimumGroupingDigits(int i) {
        this.a1 = i;
        return this;
    }

    public DecimalFormatProperties setMinimumIntegerDigits(int i) {
        this.b1 = i;
        return this;
    }

    public DecimalFormatProperties setMinimumSignificantDigits(int i) {
        this.c1 = i;
        return this;
    }

    public DecimalFormatProperties setMultiplier(BigDecimal bigDecimal) {
        this.d1 = bigDecimal;
        return this;
    }

    public DecimalFormatProperties setNegativePrefix(String str) {
        this.e1 = str;
        return this;
    }

    public DecimalFormatProperties setNegativePrefixPattern(String str) {
        this.f1 = str;
        return this;
    }

    public DecimalFormatProperties setNegativeSuffix(String str) {
        this.g1 = str;
        return this;
    }

    public DecimalFormatProperties setNegativeSuffixPattern(String str) {
        this.h1 = str;
        return this;
    }

    public DecimalFormatProperties setPadPosition(Padder.PadPosition padPosition) {
        this.i1 = padPosition;
        return this;
    }

    public DecimalFormatProperties setPadString(String str) {
        this.j1 = str;
        return this;
    }

    public DecimalFormatProperties setParseCaseSensitive(boolean z) {
        this.k1 = z;
        return this;
    }

    public DecimalFormatProperties setParseIntegerOnly(boolean z) {
        this.l1 = z;
        return this;
    }

    public DecimalFormatProperties setParseMode(ParseMode parseMode) {
        this.m1 = parseMode;
        return this;
    }

    public DecimalFormatProperties setParseNoExponent(boolean z) {
        this.n1 = z;
        return this;
    }

    public DecimalFormatProperties setParseToBigDecimal(boolean z) {
        this.o1 = z;
        return this;
    }

    public DecimalFormatProperties setPluralRules(PluralRules pluralRules) {
        this.p1 = pluralRules;
        return this;
    }

    public DecimalFormatProperties setPositivePrefix(String str) {
        this.q1 = str;
        return this;
    }

    public DecimalFormatProperties setPositivePrefixPattern(String str) {
        this.r1 = str;
        return this;
    }

    public DecimalFormatProperties setPositiveSuffix(String str) {
        this.s1 = str;
        return this;
    }

    public DecimalFormatProperties setPositiveSuffixPattern(String str) {
        this.t1 = str;
        return this;
    }

    public DecimalFormatProperties setRoundingIncrement(BigDecimal bigDecimal) {
        this.u1 = bigDecimal;
        return this;
    }

    public DecimalFormatProperties setRoundingMode(RoundingMode roundingMode) {
        this.v1 = roundingMode;
        return this;
    }

    public DecimalFormatProperties setSecondaryGroupingSize(int i) {
        this.w1 = i;
        return this;
    }

    public DecimalFormatProperties setSignAlwaysShown(boolean z) {
        this.x1 = z;
        return this;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("<Properties");
        toStringBare(sb);
        sb.append(">");
        return sb.toString();
    }

    public void toStringBare(StringBuilder sb) {
        Field[] declaredFields = DecimalFormatProperties.class.getDeclaredFields();
        for (Field field : declaredFields) {
            try {
                Object obj = field.get(this);
                Object obj2 = field.get(f14114a);
                if (obj != null || obj2 != null) {
                    if (obj == null || obj2 == null) {
                        sb.append(Padder.f14124a + field.getName() + ":" + obj);
                    } else {
                        if (!obj.equals(obj2)) {
                            sb.append(Padder.f14124a + field.getName() + ":" + obj);
                        }
                    }
                }
            } catch (IllegalArgumentException e2) {
                e2.printStackTrace();
            } catch (IllegalAccessException e3) {
                e3.printStackTrace();
            }
        }
    }

    @Override // java.lang.Object
    public DecimalFormatProperties clone() {
        try {
            return (DecimalFormatProperties) super.clone();
        } catch (CloneNotSupportedException e2) {
            throw new UnsupportedOperationException(e2);
        }
    }
}
