package com.ibm.icu.impl.number;

import com.ibm.icu.impl.q2;
import com.ibm.icu.impl.r;
import com.ibm.icu.impl.t;
import com.ibm.icu.number.NumberFormatter;
import com.ibm.icu.number.g;
import com.ibm.icu.util.ULocale;
import java.io.Externalizable;
import java.io.IOException;
import java.io.ObjectInput;
import java.io.ObjectOutput;
import java.io.ObjectStreamException;
import java.text.AttributedCharacterIterator;
import java.text.FieldPosition;
import java.text.Format;
import java.text.ParsePosition;

public class LocalizedNumberFormatterAsFormat extends Format {
    private static final long serialVersionUID = 1;

    /* renamed from: a  reason: collision with root package name */
    private final transient g f14117a;

    /* renamed from: b  reason: collision with root package name */
    private final transient ULocale f14118b;

    static class a implements Externalizable {
        private static final long serialVersionUID = 1;
        String languageTag;
        String skeleton;

        private Object readResolve() throws ObjectStreamException {
            return NumberFormatter.a(this.skeleton).x(ULocale.forLanguageTag(this.languageTag)).G();
        }

        @Override // java.io.Externalizable
        public void readExternal(ObjectInput objectInput) throws IOException, ClassNotFoundException {
            objectInput.readByte();
            this.languageTag = objectInput.readUTF();
            this.skeleton = objectInput.readUTF();
        }

        @Override // java.io.Externalizable
        public void writeExternal(ObjectOutput objectOutput) throws IOException {
            objectOutput.writeByte(0);
            objectOutput.writeUTF(this.languageTag);
            objectOutput.writeUTF(this.skeleton);
        }
    }

    public LocalizedNumberFormatterAsFormat(g gVar, ULocale uLocale) {
        this.f14117a = gVar;
        this.f14118b = uLocale;
    }

    private Object writeReplace() throws ObjectStreamException {
        a aVar = new a();
        aVar.languageTag = this.f14118b.toLanguageTag();
        aVar.skeleton = this.f14117a.r();
        return aVar;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj != null && (obj instanceof LocalizedNumberFormatterAsFormat)) {
            return this.f14117a.equals(((LocalizedNumberFormatterAsFormat) obj).getNumberFormatter());
        }
        return false;
    }

    public StringBuffer format(Object obj, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        if (obj instanceof Number) {
            j jVar = new j((Number) obj);
            r rVar = new r();
            this.f14117a.D(jVar, rVar);
            fieldPosition.setBeginIndex(0);
            fieldPosition.setEndIndex(0);
            if (t.f(rVar, fieldPosition) && stringBuffer.length() != 0) {
                fieldPosition.setBeginIndex(fieldPosition.getBeginIndex() + stringBuffer.length());
                fieldPosition.setEndIndex(fieldPosition.getEndIndex() + stringBuffer.length());
            }
            q2.k(rVar, stringBuffer);
            return stringBuffer;
        }
        throw new IllegalArgumentException();
    }

    public AttributedCharacterIterator formatToCharacterIterator(Object obj) {
        if (obj instanceof Number) {
            return this.f14117a.C((Number) obj).h();
        }
        throw new IllegalArgumentException();
    }

    public g getNumberFormatter() {
        return this.f14117a;
    }

    public int hashCode() {
        return this.f14117a.hashCode();
    }

    public Object parseObject(String str, ParsePosition parsePosition) {
        throw new UnsupportedOperationException();
    }
}
