package com.ibm.icu.impl.number;

import com.ibm.icu.impl.CurrencyData;
import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.StandardPlural;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.l1;
import com.ibm.icu.impl.l2;
import com.ibm.icu.impl.number.Modifier;
import com.ibm.icu.impl.number.m;
import com.ibm.icu.impl.units.MeasureUnitImpl;
import com.ibm.icu.impl.y0;
import com.ibm.icu.number.NumberFormatter;
import com.ibm.icu.text.NumberFormat;
import com.ibm.icu.text.PluralRules;
import com.ibm.icu.util.Currency;
import com.ibm.icu.util.ICUException;
import com.ibm.icu.util.MeasureUnit;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.h0;
import java.util.ArrayList;
import java.util.EnumMap;
import java.util.Iterator;
import java.util.Map;
import java.util.MissingResourceException;

/* compiled from: LongNameHandler */
public class l implements p, s, m.a {
    private static final int I0;
    private static final int J0;
    static final int K0;
    static final /* synthetic */ boolean L0 = false;

    /* renamed from: a  reason: collision with root package name */
    private static int f14251a;

    /* renamed from: b  reason: collision with root package name */
    private static final int f14252b;
    private final Map<StandardPlural, z> M0;
    private final PluralRules N0;
    private final p O0;
    private String P0 = "";

    /* access modifiers changed from: private */
    /* compiled from: LongNameHandler */
    public static final class b extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        String f14253a;

        private b() {
        }

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                if (bVar.toString().equals("replacement")) {
                    this.f14253a = eVar.toString();
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: LongNameHandler */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        private String f14254a = "";

        /* renamed from: b  reason: collision with root package name */
        private String f14255b = "";

        c(ULocale uLocale, String str, String str2) {
            ICUResourceBundle iCUResourceBundle;
            try {
                ICUResourceBundle iCUResourceBundle2 = (ICUResourceBundle) ((ICUResourceBundle) ((ICUResourceBundle) h0.l(a0.f13490d, "grammaticalFeatures")).d("grammaticalData")).d("derivations");
                try {
                    iCUResourceBundle = (ICUResourceBundle) iCUResourceBundle2.d(uLocale.getLanguage());
                } catch (MissingResourceException unused) {
                    iCUResourceBundle = (ICUResourceBundle) iCUResourceBundle2.d("root");
                }
                ICUResourceBundle iCUResourceBundle3 = (ICUResourceBundle) ((ICUResourceBundle) ((ICUResourceBundle) iCUResourceBundle.d("component")).d(str)).d(str2);
                String z = iCUResourceBundle3.z(0);
                if (z.compareTo("compound") == 0) {
                    this.f14254a = null;
                } else {
                    this.f14254a = z;
                }
                String z2 = iCUResourceBundle3.z(1);
                if (z2.compareTo("compound") == 0) {
                    this.f14255b = null;
                } else {
                    this.f14255b = z2;
                }
            } catch (MissingResourceException unused2) {
            }
        }

        /* access modifiers changed from: package-private */
        public String a(String str) {
            String str2 = this.f14254a;
            return str2 != null ? str2 : str;
        }

        /* access modifiers changed from: package-private */
        public String b(String str) {
            String str2 = this.f14255b;
            return str2 != null ? str2 : str;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: LongNameHandler */
    public static class d {

        /* renamed from: a  reason: collision with root package name */
        String f14256a;

        /* renamed from: b  reason: collision with root package name */
        f f14257b;

        /* renamed from: c  reason: collision with root package name */
        char f14258c;

        private d() {
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: LongNameHandler */
    public static final class e extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        String f14259a;

        /* renamed from: b  reason: collision with root package name */
        String f14260b;

        /* renamed from: c  reason: collision with root package name */
        String[] f14261c;

        public e(String str, String str2, String[] strArr) {
            this.f14259a = str;
            this.f14260b = str2;
            this.f14261c = strArr;
            for (int i = 0; i < l.K0; i++) {
                strArr[i] = null;
            }
        }

        private boolean b(l2.d dVar, String str, l2.e eVar) {
            return dVar.c(str, eVar);
        }

        private boolean c(l2.d dVar, String str, l2.e eVar) {
            if (!dVar.c(str, eVar)) {
                return false;
            }
            l2.d j = eVar.j();
            String str2 = this.f14260b;
            if (str2 != null && !str2.isEmpty()) {
                if (b(j, this.f14260b, eVar)) {
                    return true;
                }
                if (this.f14260b != "nominative" && b(j, "nominative", eVar)) {
                    return true;
                }
            }
            if (b(j, com.ibm.icu.impl.locale.b.f14006b, eVar)) {
                return true;
            }
            return false;
        }

        private boolean d(l2.d dVar, l2.e eVar) {
            String str = this.f14259a;
            if (str != null && !str.isEmpty()) {
                if (c(dVar, this.f14259a, eVar)) {
                    return true;
                }
                if (this.f14259a != "neuter" && c(dVar, "neuter", eVar)) {
                    return true;
                }
            }
            if (c(dVar, com.ibm.icu.impl.locale.b.f14006b, eVar)) {
                return true;
            }
            return false;
        }

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                int o = l.o(bVar.toString());
                if (this.f14261c[o] == null && d(eVar.j(), eVar)) {
                    this.f14261c[o] = eVar.f();
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: LongNameHandler */
    public enum f {
        NONE,
        BEGINNING,
        MIDDLE,
        END
    }

    /* access modifiers changed from: private */
    /* compiled from: LongNameHandler */
    public static final class g extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        String[] f14264a;

        public g(String[] strArr) {
            this.f14264a = strArr;
        }

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                String bVar2 = bVar.toString();
                if (!bVar2.equals("case")) {
                    int o = l.o(bVar2);
                    if (this.f14264a[o] == null) {
                        this.f14264a[o] = eVar.f();
                    }
                }
            }
        }
    }

    static {
        int i = StandardPlural.COUNT;
        int i2 = f14251a;
        int i3 = i2 + 1;
        f14251a = i3;
        f14252b = i2 + i;
        int i4 = i3 + 1;
        f14251a = i4;
        I0 = i3 + i;
        int i5 = i4 + 1;
        f14251a = i5;
        J0 = i4 + i;
        f14251a = i5 + 1;
        K0 = i + i5;
    }

    private l(Map<StandardPlural, z> map, PluralRules pluralRules, p pVar) {
        this.M0 = map;
        this.N0 = pluralRules;
        this.O0 = pVar;
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x0063  */
    private static String d(ULocale uLocale, MeasureUnit measureUnit) {
        int i;
        MeasureUnitImpl copyOfMeasureUnitImpl = measureUnit.getCopyOfMeasureUnitImpl();
        ArrayList<com.ibm.icu.impl.units.c> m = copyOfMeasureUnitImpl.m();
        int i2 = 0;
        if (copyOfMeasureUnitImpl.j() == MeasureUnit.Complexity.COMPOUND) {
            int size = m.size() - 1;
            if (m.get(size).d() < 0) {
                String l = l(uLocale, "gender", "per");
                if (l.length() != 1) {
                    return l;
                }
                if (l.charAt(0) == '1') {
                    i = 0;
                    while (m.get(i).d() >= 0) {
                        i++;
                    }
                    if (size > i) {
                        String l2 = l(uLocale, "gender", "times");
                        if (l2.length() != 1) {
                            return l2;
                        }
                        if (l2.charAt(0) != '0') {
                            i2 = size;
                        }
                    }
                    i2 = i;
                } else {
                    while (size >= 0 && m.get(size).d() < 0) {
                        size--;
                    }
                    if (size < 0) {
                        return "";
                    }
                }
            }
            i = 0;
            if (size > i) {
            }
            i2 = i;
        } else if (copyOfMeasureUnitImpl.j() == MeasureUnit.Complexity.MIXED) {
            throw new ICUException("calculateGenderForUnit does not support MIXED units");
        }
        com.ibm.icu.impl.units.c cVar = m.get(i2);
        if (Math.abs(cVar.d()) != 1) {
            String l3 = l(uLocale, "gender", "power");
            if (l3.length() != 1) {
                return l3;
            }
        }
        if (Math.abs(cVar.d()) != 1) {
            String l4 = l(uLocale, "gender", "prefix");
            if (l4.length() != 1) {
                return l4;
            }
        }
        return n(uLocale, MeasureUnit.forIdentifier(cVar.h()));
    }

    private static d e(String str) {
        d dVar = new d();
        dVar.f14258c = 0;
        int length = str.length();
        if (str.startsWith("{0}")) {
            dVar.f14257b = f.BEGINNING;
            if (length <= 3 || !Character.isSpaceChar(str.charAt(3))) {
                dVar.f14256a = str.substring(3);
            } else {
                dVar.f14258c = str.charAt(3);
                dVar.f14256a = str.substring(4);
            }
        } else if (str.endsWith("{0}")) {
            dVar.f14257b = f.END;
            int i = length - 4;
            if (Character.isSpaceChar(str.charAt(i))) {
                dVar.f14256a = str.substring(0, i);
                dVar.f14258c = str.charAt(i);
            } else {
                dVar.f14256a = str.substring(0, length - 3);
            }
        } else if (str.indexOf("{0}", 1) == -1) {
            dVar.f14257b = f.NONE;
            dVar.f14256a = str;
        } else {
            dVar.f14257b = f.MIDDLE;
            dVar.f14256a = str;
        }
        return dVar;
    }

    private static l f(ULocale uLocale, MeasureUnit measureUnit, NumberFormatter.UnitWidth unitWidth, String str, PluralRules pluralRules, p pVar) {
        MeasureUnitImpl measureUnitImpl;
        String str2;
        Iterator<com.ibm.icu.impl.units.c> it = measureUnit.getCopyOfMeasureUnitImpl().m().iterator();
        MeasureUnitImpl measureUnitImpl2 = null;
        MeasureUnit measureUnit2 = null;
        MeasureUnit measureUnit3 = null;
        while (it.hasNext()) {
            com.ibm.icu.impl.units.c next = it.next();
            if (next.d() <= 0) {
                next.j(next.d() * -1);
                if (measureUnit3 == null) {
                    measureUnit3 = next.a();
                } else {
                    measureUnit3 = measureUnit3.product(next.a());
                }
            } else if (measureUnit2 == null) {
                measureUnit2 = next.a();
            } else {
                measureUnit2 = measureUnit2.product(next.a());
            }
        }
        if (measureUnit2 == null) {
            measureUnitImpl = null;
        } else {
            measureUnitImpl = measureUnit2.getCopyOfMeasureUnitImpl();
        }
        if (measureUnit3 != null) {
            measureUnitImpl2 = measureUnit3.getCopyOfMeasureUnitImpl();
        }
        c cVar = new c(uLocale, "case", "per");
        int i = K0;
        String[] strArr = new String[i];
        v(measureUnitImpl, uLocale, unitWidth, cVar.a(str), strArr);
        String[] strArr2 = new String[i];
        v(measureUnitImpl2, uLocale, unitWidth, cVar.b(str), strArr2);
        int i2 = I0;
        if (strArr2[i2] != null) {
            str2 = strArr2[i2];
        } else {
            StringBuilder sb = new StringBuilder();
            str2 = l1.e(l1.a(j("per", uLocale, unitWidth), sb, 2, 2), "{0}", y0.h(l1.k(l1.a(s(strArr2, StandardPlural.ONE), sb, 0, 1))));
        }
        l lVar = new l(new EnumMap(StandardPlural.class), pluralRules, pVar);
        if (str2.length() == 0) {
            lVar.w(strArr, NumberFormat.Field.MEASURE_UNIT);
        } else {
            lVar.u(strArr, str2, NumberFormat.Field.MEASURE_UNIT);
        }
        lVar.P0 = m(uLocale, "per", strArr, strArr2);
        return lVar;
    }

    public static l g(ULocale uLocale, Currency currency, PluralRules pluralRules, p pVar) {
        String[] strArr = new String[K0];
        k(uLocale, currency, strArr);
        l lVar = new l(new EnumMap(StandardPlural.class), pluralRules, pVar);
        lVar.w(strArr, NumberFormat.Field.CURRENCY);
        return lVar;
    }

    public static l i(ULocale uLocale, MeasureUnit measureUnit, NumberFormatter.UnitWidth unitWidth, String str, PluralRules pluralRules, p pVar) {
        if (measureUnit.getType() == null) {
            return f(uLocale, measureUnit, unitWidth, str, pluralRules, pVar);
        }
        String[] strArr = new String[K0];
        q(uLocale, measureUnit, unitWidth, str, strArr);
        t(uLocale, measureUnit, strArr);
        l lVar = new l(new EnumMap(StandardPlural.class), pluralRules, pVar);
        lVar.w(strArr, NumberFormat.Field.MEASURE_UNIT);
        int i = J0;
        if (strArr[i] != null) {
            lVar.P0 = strArr[i];
        }
        return lVar;
    }

    private static String j(String str, ULocale uLocale, NumberFormatter.UnitWidth unitWidth) {
        ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) h0.j(a0.n, uLocale);
        StringBuilder sb = new StringBuilder();
        sb.append("units");
        if (unitWidth == NumberFormatter.UnitWidth.NARROW) {
            sb.append("Narrow");
        } else if (unitWidth == NumberFormatter.UnitWidth.SHORT) {
            sb.append("Short");
        }
        sb.append("/compound/");
        sb.append(str);
        try {
            return iCUResourceBundle.W0(sb.toString());
        } catch (MissingResourceException unused) {
            if (unitWidth == NumberFormatter.UnitWidth.SHORT) {
                return "";
            }
            try {
                return iCUResourceBundle.W0(sb.toString());
            } catch (MissingResourceException unused2) {
                return "";
            }
        }
    }

    private static void k(ULocale uLocale, Currency currency, String[] strArr) {
        for (Map.Entry<String, String> entry : CurrencyData.f13344a.b(uLocale, true).q().entrySet()) {
            String key = entry.getKey();
            strArr[o(key)] = entry.getValue().replace("{1}", currency.getName(uLocale, 2, key, (boolean[]) null));
        }
    }

    private static String l(ULocale uLocale, String str, String str2) {
        ICUResourceBundle iCUResourceBundle;
        ICUResourceBundle iCUResourceBundle2 = (ICUResourceBundle) ((ICUResourceBundle) ((ICUResourceBundle) h0.l(a0.f13490d, "grammaticalFeatures")).d("grammaticalData")).d("derivations");
        try {
            iCUResourceBundle = (ICUResourceBundle) iCUResourceBundle2.d(uLocale.getLanguage());
        } catch (MissingResourceException unused) {
            iCUResourceBundle = (ICUResourceBundle) iCUResourceBundle2.d("root");
        }
        return ((ICUResourceBundle) ((ICUResourceBundle) iCUResourceBundle.d("compound")).d(str)).getString(str2);
    }

    private static String m(ULocale uLocale, String str, String[] strArr, String[] strArr2) {
        String l = l(uLocale, "gender", str);
        if (l.length() != 1) {
            return l;
        }
        char charAt = l.charAt(0);
        if (charAt == '0') {
            return strArr[J0];
        }
        if (charAt != '1') {
            return l;
        }
        if (strArr2 == null) {
            return null;
        }
        return strArr2[J0];
    }

    private static String n(ULocale uLocale, MeasureUnit measureUnit) {
        ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) h0.j(a0.n, uLocale);
        StringBuilder sb = new StringBuilder();
        sb.append("units/");
        sb.append(measureUnit.getType());
        sb.append("/");
        if (measureUnit.getSubtype() == null || !measureUnit.getSubtype().endsWith("-person")) {
            sb.append(measureUnit.getSubtype());
        } else {
            sb.append((CharSequence) measureUnit.getSubtype(), 0, measureUnit.getSubtype().length() - 7);
        }
        sb.append("/gender");
        try {
            return iCUResourceBundle.Z0(sb.toString()).y();
        } catch (MissingResourceException unused) {
            return "";
        }
    }

    /* access modifiers changed from: private */
    public static int o(String str) {
        if (str.equals("dnam")) {
            return f14252b;
        }
        if (str.equals("per")) {
            return I0;
        }
        if (str.equals("gender")) {
            return J0;
        }
        return StandardPlural.fromString(str).ordinal();
    }

    static void p(String str, ULocale uLocale, NumberFormatter.UnitWidth unitWidth, String str2, String str3, String[] strArr) {
        e eVar = new e(str2, str3, strArr);
        ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) h0.j(a0.n, uLocale);
        StringBuilder sb = new StringBuilder();
        sb.append("units");
        if (unitWidth == NumberFormatter.UnitWidth.NARROW) {
            sb.append("Narrow");
        } else if (unitWidth == NumberFormatter.UnitWidth.SHORT) {
            sb.append("Short");
        }
        sb.append("/");
        sb.append(str);
        try {
            iCUResourceBundle.s0(sb.toString(), eVar);
            if (unitWidth == NumberFormatter.UnitWidth.SHORT) {
                return;
            }
        } catch (MissingResourceException unused) {
        }
        iCUResourceBundle.s0(sb.toString(), eVar);
    }

    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:28:0x00cf */
    static void q(ULocale uLocale, MeasureUnit measureUnit, NumberFormatter.UnitWidth unitWidth, String str, String[] strArr) {
        g gVar = new g(strArr);
        ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) h0.j(a0.n, uLocale);
        StringBuilder sb = new StringBuilder();
        sb.append("/");
        sb.append(measureUnit.getType());
        sb.append("/");
        String subtype = measureUnit.getSubtype();
        b bVar = new b();
        ((ICUResourceBundle) h0.l(a0.f13490d, com.google.android.exoplayer2.text.ttml.b.l)).t0("alias/unit/" + subtype, bVar);
        String str2 = bVar.f14253a;
        if (str2 != null) {
            subtype = str2;
        }
        if (subtype == null || !subtype.endsWith("-person")) {
            sb.append(subtype);
        } else {
            sb.append((CharSequence) subtype, 0, subtype.length() - 7);
        }
        if (unitWidth != NumberFormatter.UnitWidth.FULL_NAME) {
            try {
                strArr[J0] = iCUResourceBundle.Z0("units" + ((CharSequence) sb) + "/gender").y();
            } catch (MissingResourceException unused) {
            }
        }
        StringBuilder sb2 = new StringBuilder();
        sb2.append("units");
        if (unitWidth == NumberFormatter.UnitWidth.NARROW) {
            sb2.append("Narrow");
        } else if (unitWidth == NumberFormatter.UnitWidth.SHORT) {
            sb2.append("Short");
        }
        sb2.append((CharSequence) sb);
        if (unitWidth == NumberFormatter.UnitWidth.FULL_NAME && str != null && !str.isEmpty()) {
            iCUResourceBundle.s0(((CharSequence) sb2) + "/case/" + str, gVar);
        }
        try {
            iCUResourceBundle.s0(sb2.toString(), gVar);
        } catch (MissingResourceException e2) {
            throw new IllegalArgumentException("No data for unit " + measureUnit + ", width " + unitWidth, e2);
        }
    }

    public static String r(ULocale uLocale, MeasureUnit measureUnit, NumberFormatter.UnitWidth unitWidth) {
        String[] strArr = new String[K0];
        q(uLocale, measureUnit, unitWidth, "", strArr);
        return strArr[f14252b];
    }

    static String s(String[] strArr, StandardPlural standardPlural) {
        String str = strArr[standardPlural.ordinal()];
        if (str == null) {
            str = strArr[StandardPlural.OTHER.ordinal()];
        }
        if (str != null) {
            return str;
        }
        throw new ICUException("Could not find data in 'other' plural variant");
    }

    private static void t(ULocale uLocale, MeasureUnit measureUnit, String[] strArr) {
        int i = J0;
        if (strArr[i] == null && !n(uLocale, MeasureUnit.METER).isEmpty()) {
            strArr[i] = d(uLocale, measureUnit);
        }
    }

    private void u(String[] strArr, String str, NumberFormat.Field field) {
        String str2;
        StringBuilder sb = new StringBuilder();
        String a2 = l1.a(str, sb, 1, 1);
        for (StandardPlural standardPlural : StandardPlural.VALUES) {
            String s = s(strArr, standardPlural);
            if (s.length() == 0) {
                str2 = str;
            } else {
                str2 = l1.e(a2, s);
            }
            String a3 = l1.a(str2, sb, 0, 1);
            Modifier.a aVar = new Modifier.a();
            aVar.f14121a = this;
            aVar.f14122b = null;
            aVar.f14123c = standardPlural;
            this.M0.put(standardPlural, new z(a3, field, false, aVar));
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:47:0x0131  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x014c  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x020c  */
    private static void v(MeasureUnitImpl measureUnitImpl, ULocale uLocale, NumberFormatter.UnitWidth unitWidth, String str, String[] strArr) {
        String str2;
        char c2;
        String str3;
        String str4;
        ArrayList<com.ibm.icu.impl.units.c> arrayList;
        f[] fVarArr;
        StringBuilder sb;
        c cVar;
        String str5;
        int i;
        String str6;
        c cVar2;
        com.ibm.icu.impl.units.c cVar3;
        int i2;
        int i3;
        String[] strArr2;
        String str7;
        String str8;
        String str9;
        String str10;
        int i4;
        int length;
        int i5;
        String str11;
        String str12;
        String[] strArr3;
        StandardPlural[] standardPluralArr;
        MeasureUnit.MeasurePrefix measurePrefix;
        StringBuilder sb2;
        String str13;
        MissingResourceException e2;
        String[] strArr4 = strArr;
        if (measureUnitImpl == null) {
            strArr4[StandardPlural.OTHER.ordinal()] = "";
            strArr4[I0] = "";
        } else if (measureUnitImpl.j() != MeasureUnit.Complexity.MIXED) {
            if (measureUnitImpl.k() == null) {
                measureUnitImpl.n();
            }
            if (measureUnitImpl.k().length() != 0) {
                MeasureUnit findBySubType = MeasureUnit.findBySubType(measureUnitImpl.k());
                if (findBySubType != null) {
                    q(uLocale, findBySubType, unitWidth, str, strArr4);
                    t(uLocale, findBySubType, strArr4);
                    return;
                }
                String str14 = str;
                String str15 = "times";
                String j = j(str15, uLocale, unitWidth);
                StringBuilder sb3 = new StringBuilder();
                String a2 = l1.a(j, sb3, 2, 2);
                f[] fVarArr2 = new f[K0];
                StandardPlural[] values = StandardPlural.values();
                int length2 = values.length;
                int i6 = 0;
                while (true) {
                    str2 = null;
                    if (i6 >= length2) {
                        break;
                    }
                    StandardPlural standardPlural = values[i6];
                    int ordinal = standardPlural.ordinal();
                    if (standardPlural == StandardPlural.OTHER) {
                        strArr4[ordinal] = "";
                    } else {
                        strArr4[ordinal] = null;
                    }
                    fVarArr2[ordinal] = null;
                    i6++;
                }
                c cVar4 = new c(uLocale, "plural", str15);
                c cVar5 = new c(uLocale, "case", str15);
                c cVar6 = new c(uLocale, "case", "power");
                ArrayList<com.ibm.icu.impl.units.c> m = measureUnitImpl.m();
                String str16 = "power";
                char c3 = 0;
                int i7 = 0;
                while (i7 < m.size()) {
                    com.ibm.icu.impl.units.c cVar7 = m.get(i7);
                    if (i7 < m.size() - 1) {
                        str4 = cVar4.a(str2);
                        str3 = cVar5.a(str14);
                        str2 = cVar4.b(str2);
                        str14 = cVar5.b(str14);
                    } else {
                        str4 = cVar4.b(str2);
                        str3 = cVar5.b(str14);
                    }
                    String str17 = str3;
                    MeasureUnit findBySubType2 = MeasureUnit.findBySubType(cVar7.h());
                    if (findBySubType2 != null) {
                        String n = n(uLocale, findBySubType2);
                        int d2 = cVar7.d();
                        int i8 = K0;
                        String[] strArr5 = new String[i8];
                        if (d2 != 1) {
                            try {
                                str5 = a2;
                                i2 = i8;
                                sb = sb3;
                                i3 = d2;
                                fVarArr = fVarArr2;
                                str7 = str16;
                                cVar3 = cVar7;
                                i = i7;
                                cVar2 = cVar6;
                                cVar = cVar5;
                                arrayList = m;
                                str6 = str15;
                                strArr2 = null;
                                try {
                                    p("compound/power" + d2, uLocale, unitWidth, n, str17, strArr5);
                                    str17 = cVar2.a(str17);
                                    cVar3.j(1);
                                } catch (MissingResourceException e3) {
                                    e2 = e3;
                                    if (i3 <= 3) {
                                    }
                                }
                            } catch (MissingResourceException e4) {
                                e2 = e4;
                                i3 = d2;
                                if (i3 <= 3) {
                                    throw new UnsupportedOperationException("powerN not supported for N > 3: " + measureUnitImpl.k());
                                }
                                throw e2;
                            }
                        } else {
                            cVar = cVar5;
                            str6 = str15;
                            sb = sb3;
                            fVarArr = fVarArr2;
                            str7 = str16;
                            arrayList = m;
                            strArr2 = null;
                            i3 = d2;
                            cVar3 = cVar7;
                            str5 = a2;
                            i = i7;
                            i2 = i8;
                            cVar2 = cVar6;
                        }
                        MeasureUnit.MeasurePrefix g2 = cVar3.g();
                        MeasureUnit.MeasurePrefix measurePrefix2 = MeasureUnit.MeasurePrefix.ONE;
                        if (g2 != measurePrefix2) {
                            StringBuilder sb4 = new StringBuilder();
                            sb4.append(g2.getBase());
                            sb4.append('p');
                            sb4.append(g2.getPower());
                            str8 = j(sb4.toString(), uLocale, unitWidth);
                            cVar3.k(measurePrefix2);
                        } else {
                            str8 = "";
                        }
                        String[] strArr6 = new String[i2];
                        q(uLocale, cVar3.a(), unitWidth, str17, strArr6);
                        int i9 = J0;
                        if (strArr6[i9] != null) {
                            if (g2 != measurePrefix2) {
                                strArr6[i9] = m(uLocale, "prefix", strArr6, strArr2);
                            }
                            if (i3 != 1) {
                                strArr6[i9] = m(uLocale, str7, strArr6, strArr2);
                            }
                            str10 = str6;
                            String l = l(uLocale, "gender", str10);
                            if (l.length() == 1) {
                                char charAt = l.charAt(0);
                                if (charAt == '0') {
                                    str9 = str7;
                                    i4 = i;
                                    strArr4 = strArr;
                                    if (i4 == 0) {
                                        strArr4[i9] = strArr6[i9];
                                    }
                                } else if (charAt != '1') {
                                    str9 = str7;
                                } else {
                                    i4 = i;
                                    if (i4 == arrayList.size() - 1) {
                                        str9 = str7;
                                        strArr4 = strArr;
                                        strArr4[i9] = strArr6[i9];
                                    } else {
                                        str9 = str7;
                                        strArr4 = strArr;
                                    }
                                }
                            } else {
                                str9 = str7;
                                i4 = i;
                                strArr4 = strArr;
                                if (strArr4[i9] == null) {
                                    strArr4[i9] = l;
                                }
                            }
                            StandardPlural[] values2 = StandardPlural.values();
                            length = values2.length;
                            char c4 = c3;
                            i5 = 0;
                            while (i5 < length) {
                                StandardPlural standardPlural2 = values2[i5];
                                int ordinal2 = standardPlural2.ordinal();
                                if (strArr4[ordinal2] == null) {
                                    if (strArr6[ordinal2] == null) {
                                        str11 = str8;
                                        strArr3 = strArr6;
                                        standardPluralArr = values2;
                                        str12 = str10;
                                        str13 = str5;
                                        sb2 = sb;
                                        measurePrefix = g2;
                                        i5++;
                                        str5 = str13;
                                        length = length;
                                        g2 = measurePrefix;
                                        strArr6 = strArr3;
                                        str10 = str12;
                                        str8 = str11;
                                        sb = sb2;
                                        values2 = standardPluralArr;
                                    } else {
                                        strArr4[ordinal2] = s(strArr4, standardPlural2);
                                    }
                                }
                                if (str4 != null) {
                                    standardPlural2 = StandardPlural.fromString(str4);
                                }
                                strArr3 = strArr6;
                                d e5 = e(s(strArr6, standardPlural2));
                                standardPluralArr = values2;
                                f fVar = e5.f14257b;
                                str12 = str10;
                                if (fVar != f.MIDDLE) {
                                    if (fVarArr[ordinal2] == null) {
                                        fVarArr[ordinal2] = fVar;
                                        c4 = e5.f14258c;
                                    }
                                    if (g2 != MeasureUnit.MeasurePrefix.ONE) {
                                        sb2 = sb;
                                        measurePrefix = g2;
                                        String a3 = l1.a(str8, sb2, 1, 1);
                                        if (unitWidth == NumberFormatter.UnitWidth.FULL_NAME) {
                                            e5.f14256a = com.ibm.icu.lang.c.T0(uLocale, e5.f14256a);
                                        }
                                        str11 = str8;
                                        e5.f14256a = l1.e(a3, e5.f14256a);
                                    } else {
                                        str11 = str8;
                                        sb2 = sb;
                                        measurePrefix = g2;
                                    }
                                    if (i3 != 1) {
                                        String a4 = l1.a(s(strArr5, standardPlural2), sb2, 1, 1);
                                        if (unitWidth == NumberFormatter.UnitWidth.FULL_NAME) {
                                            e5.f14256a = com.ibm.icu.lang.c.T0(uLocale, e5.f14256a);
                                        }
                                        e5.f14256a = l1.e(a4, e5.f14256a);
                                    }
                                    if (strArr4[ordinal2].length() == 0) {
                                        strArr4[ordinal2] = e5.f14256a;
                                        str13 = str5;
                                    } else {
                                        CharSequence[] charSequenceArr = {strArr4[ordinal2], e5.f14256a};
                                        str13 = str5;
                                        strArr4[ordinal2] = l1.e(str13, charSequenceArr);
                                    }
                                    i5++;
                                    str5 = str13;
                                    length = length;
                                    g2 = measurePrefix;
                                    strArr6 = strArr3;
                                    str10 = str12;
                                    str8 = str11;
                                    sb = sb2;
                                    values2 = standardPluralArr;
                                } else {
                                    throw new UnsupportedOperationException();
                                }
                            }
                            sb3 = sb;
                            str16 = str9;
                            c3 = c4;
                            str2 = str2;
                            cVar5 = cVar;
                            cVar4 = cVar4;
                            fVarArr2 = fVarArr;
                            m = arrayList;
                            str15 = str10;
                            a2 = str5;
                            cVar6 = cVar2;
                            i7 = i4 + 1;
                            str14 = str14;
                        } else {
                            str9 = str7;
                            str10 = str6;
                        }
                        i4 = i;
                        strArr4 = strArr;
                        StandardPlural[] values22 = StandardPlural.values();
                        length = values22.length;
                        char c42 = c3;
                        i5 = 0;
                        while (i5 < length) {
                        }
                        sb3 = sb;
                        str16 = str9;
                        c3 = c42;
                        str2 = str2;
                        cVar5 = cVar;
                        cVar4 = cVar4;
                        fVarArr2 = fVarArr;
                        m = arrayList;
                        str15 = str10;
                        a2 = str5;
                        cVar6 = cVar2;
                        i7 = i4 + 1;
                        str14 = str14;
                    } else {
                        throw new UnsupportedOperationException("Unsupported sinlgeUnit: " + cVar7.h());
                    }
                }
                char c5 = c3;
                StandardPlural[] values3 = StandardPlural.values();
                int length3 = values3.length;
                int i10 = 0;
                while (i10 < length3) {
                    int ordinal3 = values3[i10].ordinal();
                    if (fVarArr2[ordinal3] == f.BEGINNING) {
                        StringBuilder sb5 = new StringBuilder();
                        sb5.append("{0}");
                        c2 = c5;
                        if (c5 != 0) {
                            sb5.append(c2);
                        }
                        sb5.append(strArr4[ordinal3]);
                        strArr4[ordinal3] = sb5.toString();
                    } else {
                        c2 = c5;
                        if (fVarArr2[ordinal3] == f.END) {
                            if (c2 != 0) {
                                strArr4[ordinal3] = strArr4[ordinal3] + c2;
                            }
                            strArr4[ordinal3] = strArr4[ordinal3] + "{0}";
                        }
                    }
                    i10++;
                    c5 = c2;
                }
            }
        } else {
            throw new UnsupportedOperationException("Mixed units not supported by LongNameHandler");
        }
    }

    private void w(String[] strArr, NumberFormat.Field field) {
        StringBuilder sb = new StringBuilder();
        for (StandardPlural standardPlural : StandardPlural.VALUES) {
            String a2 = l1.a(s(strArr, standardPlural), sb, 0, 1);
            Modifier.a aVar = new Modifier.a();
            aVar.f14121a = this;
            aVar.f14122b = null;
            aVar.f14123c = standardPlural;
            this.M0.put(standardPlural, new z(a2, field, false, aVar));
        }
    }

    @Override // com.ibm.icu.impl.number.m.a
    public o a(h hVar, o oVar) {
        oVar.M0 = this.M0.get(y.c(oVar.P0, this.N0, hVar));
        return oVar;
    }

    @Override // com.ibm.icu.impl.number.s
    public Modifier b(Modifier.Signum signum, StandardPlural standardPlural) {
        return this.M0.get(standardPlural);
    }

    @Override // com.ibm.icu.impl.number.p
    public o h(h hVar) {
        o h = this.O0.h(hVar);
        h.M0 = this.M0.get(y.c(h.P0, this.N0, hVar));
        h.S0 = this.P0;
        return h;
    }
}
