package com.ibm.icu.impl;

import com.alipay.sdk.util.g;
import com.ibm.icu.text.UnicodeSet;
import com.ibm.icu.text.j2;
import com.ibm.icu.text.k2;
import com.ibm.icu.util.n;
import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.text.ParsePosition;
import java.util.Arrays;
import java.util.Comparator;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;
import java.util.regex.Pattern;

/* compiled from: UnicodeRegex */
public class o2 implements Cloneable, n<o2>, j2 {

    /* renamed from: a  reason: collision with root package name */
    private static final Pattern f14306a = Pattern.compile("\\\\U00([0-9a-fA-F]{6})");

    /* renamed from: b  reason: collision with root package name */
    private static final o2 f14307b = new o2();
    private k2 I0;
    private String J0 = "#";
    private String K0 = "=";
    private String L0 = "\n";
    private Comparator<Object> M0 = new a();

    /* compiled from: UnicodeRegex */
    class a implements Comparator<Object> {
        a() {
        }

        @Override // java.util.Comparator
        public int compare(Object obj, Object obj2) {
            String obj3 = obj.toString();
            String obj4 = obj2.toString();
            int length = obj3.length();
            int length2 = obj4.length();
            if (length != length2) {
                return length2 - length;
            }
            return obj3.compareTo(obj4);
        }
    }

    public static List<String> c(List<String> list, InputStream inputStream, String str) throws UnsupportedEncodingException, IOException {
        if (str == null) {
            str = "UTF-8";
        }
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(inputStream, str));
        while (true) {
            String readLine = bufferedReader.readLine();
            if (readLine == null) {
                return list;
            }
            list.add(readLine);
        }
    }

    public static List<String> d(List<String> list, String str, String str2) throws IOException {
        FileInputStream fileInputStream = new FileInputStream(str);
        try {
            return c(list, fileInputStream, str2);
        } finally {
            fileInputStream.close();
        }
    }

    public static Pattern f(String str) {
        return Pattern.compile(f14307b.a(str));
    }

    public static Pattern h(String str, int i) {
        return Pattern.compile(f14307b.a(str), i);
    }

    public static String p(String str) {
        return f14307b.a(str);
    }

    private Map<String, String> v(List<String> list) {
        int indexOf;
        TreeMap treeMap = new TreeMap(this.M0);
        StringBuffer stringBuffer = new StringBuffer();
        String str = null;
        int i = 0;
        for (String str2 : list) {
            i++;
            if (str2.length() != 0) {
                if (str2.charAt(0) == 65279) {
                    str2 = str2.substring(1);
                }
                String str3 = this.J0;
                if (str3 != null && (indexOf = str2.indexOf(str3)) >= 0) {
                    str2 = str2.substring(0, indexOf);
                }
                String trim = str2.trim();
                if (!(trim.length() == 0 || str2.trim().length() == 0)) {
                    boolean endsWith = trim.endsWith(g.f6031b);
                    String substring = endsWith ? str2.substring(0, str2.lastIndexOf(59)) : str2;
                    int indexOf2 = substring.indexOf(this.K0);
                    if (indexOf2 >= 0) {
                        if (str == null) {
                            str = substring.substring(0, indexOf2).trim();
                            if (!treeMap.containsKey(str)) {
                                stringBuffer.append(substring.substring(indexOf2 + 1).trim());
                            } else {
                                throw new IllegalArgumentException("Duplicate variable definition in " + str2);
                            }
                        } else {
                            throw new IllegalArgumentException("Missing ';' before " + i + ") " + str2);
                        }
                    } else if (str != null) {
                        stringBuffer.append(this.L0);
                        stringBuffer.append(substring);
                    } else {
                        throw new IllegalArgumentException("Missing '=' at " + i + ") " + str2);
                    }
                    if (endsWith) {
                        treeMap.put(str, stringBuffer.toString());
                        stringBuffer.setLength(0);
                        str = null;
                    }
                }
            }
        }
        if (str == null) {
            return treeMap;
        }
        throw new IllegalArgumentException("Missing ';' at end");
    }

    private int w(String str, int i, StringBuilder sb, UnicodeSet unicodeSet, ParsePosition parsePosition) {
        try {
            parsePosition.setIndex(i);
            UnicodeSet j0 = unicodeSet.u0().j0(str, parsePosition, this.I0, 0);
            j0.I0().I0();
            String q = j0.q(false);
            if (q.contains("\\U")) {
                q = f14306a.matcher(q).replaceAll("\\\\x{$1}");
            }
            sb.append(q);
            return parsePosition.getIndex() - 1;
        } catch (Exception e2) {
            throw ((IllegalArgumentException) new IllegalArgumentException("Error in " + str).initCause(e2));
        }
    }

    public o2 A(k2 k2Var) {
        this.I0 = k2Var;
        return this;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x002f, code lost:
        if (r0 != '\\') goto L_0x003a;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0038, code lost:
        if (r0 == 'Q') goto L_0x003a;
     */
    @Override // com.ibm.icu.text.j2
    /* renamed from: b */
    public String a(String str) {
        StringBuilder sb = new StringBuilder();
        UnicodeSet unicodeSet = new UnicodeSet();
        ParsePosition parsePosition = new ParsePosition(0);
        int i = 0;
        char c2 = 0;
        while (i < str.length()) {
            char charAt = str.charAt(i);
            if (c2 != 0) {
                if (c2 != 1) {
                    if (c2 != 2) {
                        if (c2 == 3) {
                            if (charAt != 'E') {
                            }
                            c2 = 0;
                        }
                    } else if (charAt == '\\') {
                        c2 = 3;
                    }
                }
                c2 = 2;
            } else if (charAt == '\\') {
                if (UnicodeSet.N1(str, i)) {
                    i = w(str, i, sb, unicodeSet, parsePosition);
                    i++;
                } else {
                    c2 = 1;
                }
            } else if (charAt == '[' && UnicodeSet.N1(str, i)) {
                i = w(str, i, sb, unicodeSet, parsePosition);
                i++;
            }
            sb.append(charAt);
            i++;
        }
        return sb.toString();
    }

    /* renamed from: e */
    public o2 cloneAsThawed() {
        try {
            return (o2) clone();
        } catch (CloneNotSupportedException unused) {
            throw new IllegalArgumentException();
        }
    }

    @Override // com.ibm.icu.util.n
    public boolean isFrozen() {
        return true;
    }

    public String m(String str) {
        return n(Arrays.asList(str.split("\\r\\n?|\\n")));
    }

    public String n(List<String> list) {
        Map<String, String> v = v(list);
        LinkedHashSet linkedHashSet = new LinkedHashSet(v.keySet());
        for (int i = 0; i < 2; i++) {
            for (Map.Entry<String, String> entry : v.entrySet()) {
                String key = entry.getKey();
                String value = entry.getValue();
                for (Map.Entry<String, String> entry2 : v.entrySet()) {
                    String key2 = entry2.getKey();
                    String value2 = entry2.getValue();
                    if (!key.equals(key2)) {
                        String replace = value2.replace(key, value);
                        if (!replace.equals(value2)) {
                            linkedHashSet.remove(key);
                            v.put(key2, replace);
                        }
                    }
                }
            }
        }
        if (linkedHashSet.size() == 1) {
            return v.get(linkedHashSet.iterator().next());
        }
        throw new IllegalArgumentException("Not a single root: " + linkedHashSet);
    }

    /* renamed from: q */
    public o2 freeze() {
        return this;
    }

    public String r() {
        return this.J0;
    }

    public String s() {
        return this.L0;
    }

    public String t() {
        return this.K0;
    }

    public k2 u() {
        return this.I0;
    }

    public void x(String str) {
        this.J0 = str;
    }

    public void y(String str) {
        this.L0 = str;
    }

    public void z(String str) {
        this.K0 = str;
    }
}
