package com.ibm.icu.impl;

import com.google.android.exoplayer2.text.ttml.b;
import com.ibm.icu.util.ICUException;
import com.ibm.icu.util.TimeZone;
import com.ibm.icu.util.h0;
import com.ibm.icu.util.i0;
import java.util.Arrays;

/* compiled from: EraRules */
public class q {

    /* renamed from: a  reason: collision with root package name */
    private static final int f14330a = 32767;

    /* renamed from: b  reason: collision with root package name */
    private static final int f14331b = -32768;

    /* renamed from: c  reason: collision with root package name */
    public static final int f14332c = c(f14331b, 1, 1);

    /* renamed from: d  reason: collision with root package name */
    private static final int f14333d = -65536;

    /* renamed from: e  reason: collision with root package name */
    private static final int f14334e = 65280;
    private static final int f = 255;
    private int[] g;
    private int h;
    private int i;

    private q(int[] iArr, int i2) {
        this.g = iArr;
        this.h = i2;
        j();
    }

    private static int a(int i2, int i3, int i4, int i5) {
        int c2;
        if (i3 < f14331b) {
            if (i2 == f14332c) {
                return (i3 > Integer.MIN_VALUE || i4 > 1 || i5 > 1) ? -1 : 0;
            }
            return 1;
        } else if (i3 <= f14330a && i2 >= (c2 = c(i3, i4, i5))) {
            return i2 == c2 ? 0 : 1;
        } else {
            return -1;
        }
    }

    private static int[] b(int i2, int[] iArr) {
        int i3;
        int i4;
        int i5;
        if (i2 == f14332c) {
            i3 = Integer.MIN_VALUE;
            i5 = 1;
            i4 = 1;
        } else {
            i4 = (65280 & i2) >> 8;
            i5 = i2 & 255;
            i3 = (-65536 & i2) >> 16;
        }
        if (iArr == null || iArr.length < 3) {
            return new int[]{i3, i4, i5};
        }
        iArr[0] = i3;
        iArr[1] = i4;
        iArr[2] = i5;
        return iArr;
    }

    private static int c(int i2, int i3, int i4) {
        return (i2 << 16) | (i3 << 8) | i4;
    }

    public static q f(CalType calType, boolean z) {
        h0 d2 = h0.m(a0.f13490d, "supplementalData", ICUResourceBundle.j).d("calendarData").d(calType.getId()).d("eras");
        int x = d2.x();
        int[] iArr = new int[x];
        i0 s = d2.s();
        int i2 = Integer.MAX_VALUE;
        while (s.a()) {
            h0 b2 = s.b();
            String t = b2.t();
            try {
                int parseInt = Integer.parseInt(t);
                if (parseInt < 0 || parseInt >= x) {
                    throw new ICUException("Era rule key:" + t + " in era rule data for " + calType.getId() + " must be in range [0, " + (x - 1) + "]");
                } else if (!k(iArr[parseInt])) {
                    i0 s2 = b2.s();
                    boolean z2 = false;
                    boolean z3 = true;
                    while (s2.a()) {
                        h0 b3 = s2.b();
                        String t2 = b3.t();
                        if (t2.equals("start")) {
                            int[] r = b3.r();
                            if (r.length != 3 || !l(r[0], r[1], r[2])) {
                                throw new ICUException("Invalid era rule date data:" + Arrays.toString(r) + " in era rule data for " + calType.getId());
                            }
                            iArr[parseInt] = c(r[0], r[1], r[2]);
                        } else if (t2.equals("named")) {
                            if (b3.y().equals("false")) {
                                z3 = false;
                            }
                        } else if (t2.equals(b.M)) {
                            z2 = true;
                        }
                    }
                    if (!k(iArr[parseInt])) {
                        if (!z2) {
                            throw new ICUException("Missing era start/end rule date for key:" + t + " in era rule data for " + calType.getId());
                        } else if (parseInt == 0) {
                            iArr[parseInt] = f14332c;
                        } else {
                            throw new ICUException("Era data for " + t + " in era rule data for " + calType.getId() + " has only end rule.");
                        }
                    }
                    if (z3) {
                        if (parseInt >= i2) {
                            throw new ICUException("Non-tentative era(" + parseInt + ") must be placed before the first tentative era");
                        }
                    } else if (parseInt < i2) {
                        i2 = parseInt;
                    }
                } else {
                    throw new ICUException("Duplicated era rule for rule key:" + t + " in era rule data for " + calType.getId());
                }
            } catch (NumberFormatException unused) {
                throw new ICUException("Invalid era rule key:" + t + " in era rule data for " + calType.getId());
            }
        }
        if (i2 >= Integer.MAX_VALUE || z) {
            return new q(iArr, x);
        }
        return new q(iArr, i2);
    }

    private void j() {
        long currentTimeMillis = System.currentTimeMillis();
        int[] j = u.j(currentTimeMillis + ((long) TimeZone.getDefault().getOffset(currentTimeMillis)), null);
        int c2 = c(j[0], j[1] + 1, j[2]);
        int i2 = this.h - 1;
        while (i2 > 0 && c2 < this.g[i2]) {
            i2--;
        }
        this.i = i2;
    }

    private static boolean k(int i2) {
        return i2 != 0;
    }

    private static boolean l(int i2, int i3, int i4) {
        return i2 >= f14331b && i2 <= f14330a && i3 >= 1 && i3 <= 12 && i4 >= 1 && i4 <= 31;
    }

    public int d() {
        return this.i;
    }

    public int e(int i2, int i3, int i4) {
        if (i3 < 1 || i3 > 12 || i4 < 1 || i4 > 31) {
            throw new IllegalArgumentException("Illegal date - year:" + i2 + "month:" + i3 + "day:" + i4);
        }
        int i5 = this.h;
        int d2 = a(this.g[d()], i2, i3, i4) <= 0 ? d() : 0;
        while (d2 < i5 - 1) {
            int i6 = (d2 + i5) / 2;
            if (a(this.g[i6], i2, i3, i4) <= 0) {
                d2 = i6;
            } else {
                i5 = i6;
            }
        }
        return d2;
    }

    public int g() {
        return this.h;
    }

    public int[] h(int i2, int[] iArr) {
        if (i2 >= 0 && i2 < this.h) {
            return b(this.g[i2], iArr);
        }
        throw new IllegalArgumentException("eraIdx is out of range");
    }

    public int i(int i2) {
        if (i2 >= 0 && i2 < this.h) {
            return b(this.g[i2], null)[0];
        }
        throw new IllegalArgumentException("eraIdx is out of range");
    }
}
