package com.ibm.icu.impl.t2;

import androidx.work.d;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.ibm.icu.impl.IllegalIcuArgumentException;
import com.ibm.icu.impl.y0;
import com.ibm.icu.impl.z0;
import com.ibm.icu.lang.h;
import com.ibm.icu.text.Normalizer2;
import com.ibm.icu.text.UnicodeSet;
import com.ibm.icu.text.w2;
import com.ibm.icu.util.ULocale;
import java.text.ParseException;
import java.util.ArrayList;
import java.util.Iterator;
import kotlin.text.Typography;
import kotlinx.coroutines.s0;

/* compiled from: CollationRuleParser */
public final class p {

    /* renamed from: a  reason: collision with root package name */
    static final b[] f14483a = b.values();

    /* renamed from: b  reason: collision with root package name */
    static final char f14484b = 65534;

    /* renamed from: c  reason: collision with root package name */
    static final char f14485c = 10240;

    /* renamed from: d  reason: collision with root package name */
    private static final int f14486d = -1;

    /* renamed from: e  reason: collision with root package name */
    private static final int f14487e = 0;
    private static final int f = 1;
    private static final int g = 15;
    private static final int h = 16;
    private static final int i = 8;
    private static final String j = "[before";
    private static final String[] k = {"first tertiary ignorable", "last tertiary ignorable", "first secondary ignorable", "last secondary ignorable", "first primary ignorable", "last primary ignorable", "first variable", "last variable", "first regular", "last regular", "first implicit", "last implicit", "first trailing", "last trailing"};
    private static final String[] l = {"space", "punct", "symbol", FirebaseAnalytics.b.f12316e, "digit"};
    private static final int m = 16;
    static final /* synthetic */ boolean n = false;
    private final StringBuilder o = new StringBuilder();
    private Normalizer2 p = Normalizer2.g();
    private Normalizer2 q = Normalizer2.f();
    private String r;
    private final e s;
    private q t;
    private c u;
    private a v;
    private int w;

    /* access modifiers changed from: package-private */
    /* compiled from: CollationRuleParser */
    public interface a {
        String a(String str, String str2);
    }

    /* access modifiers changed from: package-private */
    /* compiled from: CollationRuleParser */
    public enum b {
        FIRST_TERTIARY_IGNORABLE,
        LAST_TERTIARY_IGNORABLE,
        FIRST_SECONDARY_IGNORABLE,
        LAST_SECONDARY_IGNORABLE,
        FIRST_PRIMARY_IGNORABLE,
        LAST_PRIMARY_IGNORABLE,
        FIRST_VARIABLE,
        LAST_VARIABLE,
        FIRST_REGULAR,
        LAST_REGULAR,
        FIRST_IMPLICIT,
        LAST_IMPLICIT,
        FIRST_TRAILING,
        LAST_TRAILING
    }

    /* access modifiers changed from: package-private */
    /* compiled from: CollationRuleParser */
    public static abstract class c {
        c() {
        }

        /* access modifiers changed from: package-private */
        public abstract void a(int i, CharSequence charSequence, CharSequence charSequence2, CharSequence charSequence3);

        /* access modifiers changed from: package-private */
        public abstract void b(int i, CharSequence charSequence);

        /* access modifiers changed from: package-private */
        public void c(UnicodeSet unicodeSet) {
        }

        /* access modifiers changed from: package-private */
        public void d(UnicodeSet unicodeSet) {
        }
    }

    p(e eVar) {
        this.s = eVar;
    }

    private String a(String str) {
        StringBuilder sb = new StringBuilder(str);
        sb.append(" at index ");
        sb.append(this.w);
        sb.append(" near \"");
        int i2 = 15;
        int i3 = this.w - 15;
        if (i3 < 0) {
            i3 = 0;
        } else if (i3 > 0 && Character.isLowSurrogate(this.r.charAt(i3))) {
            i3++;
        }
        sb.append((CharSequence) this.r, i3, this.w);
        sb.append('!');
        int length = this.r.length();
        int i4 = this.w;
        int i5 = length - i4;
        if (i5 < 16) {
            i2 = i5;
        } else if (Character.isHighSurrogate(this.r.charAt((i4 + 15) - 1))) {
            i2 = 14;
        }
        String str2 = this.r;
        int i6 = this.w;
        sb.append((CharSequence) str2, i6, i2 + i6);
        sb.append(Typography.quote);
        return sb.toString();
    }

    private static int b(String str) {
        if (str.equals(s0.f22118d)) {
            return 1;
        }
        return str.equals(s0.f22119e) ? 0 : -1;
    }

    public static int c(String str) {
        int i2 = 0;
        while (true) {
            String[] strArr = l;
            if (i2 >= strArr.length) {
                try {
                    int V = com.ibm.icu.lang.c.V(h.I0, str);
                    if (V >= 0) {
                        return V;
                    }
                } catch (IllegalIcuArgumentException unused) {
                }
                return str.equalsIgnoreCase("others") ? 103 : -1;
            } else if (str.equalsIgnoreCase(strArr[i2])) {
                return i2 + 4096;
            } else {
                i2++;
            }
        }
    }

    private static final boolean d(int i2) {
        return (i2 & -2048) == 55296;
    }

    private static boolean e(int i2) {
        return 33 <= i2 && i2 <= 126 && (i2 <= 47 || ((58 <= i2 && i2 <= 64) || ((91 <= i2 && i2 <= 96) || 123 <= i2)));
    }

    private ParseException f(String str) {
        return new ParseException(a(str), this.w);
    }

    private void g(String str) throws ParseException {
        this.r = str;
        this.w = 0;
        while (this.w < this.r.length()) {
            char charAt = this.r.charAt(this.w);
            if (y0.e(charAt)) {
                this.w++;
            } else if (charAt == '!') {
                this.w++;
            } else if (charAt == '#') {
                this.w = y(this.w + 1);
            } else if (charAt == '&') {
                m();
            } else if (charAt == '@') {
                this.t.I(2048, true);
                this.w++;
            } else if (charAt != '[') {
                v("expected a reset or setting or comment");
            } else {
                n();
            }
        }
    }

    private int i() {
        int z = z(this.w);
        this.w = z;
        if (z >= this.r.length()) {
            return -1;
        }
        int i2 = this.w;
        int i3 = i2 + 1;
        char charAt = this.r.charAt(i2);
        int i4 = 2;
        if (charAt != ',') {
            switch (charAt) {
                case ';':
                    i4 = 1;
                    break;
                case '<':
                    if (i3 >= this.r.length() || this.r.charAt(i3) != '<') {
                        i4 = 0;
                    } else {
                        i3++;
                        if (i3 >= this.r.length() || this.r.charAt(i3) != '<') {
                            i4 = 1;
                        } else {
                            i3++;
                            if (i3 < this.r.length() && this.r.charAt(i3) == '<') {
                                i3++;
                                i4 = 3;
                            }
                        }
                    }
                    if (i3 < this.r.length() && this.r.charAt(i3) == '*') {
                        i3++;
                        i4 |= 16;
                        break;
                    }
                    break;
                case '=':
                    i4 = 15;
                    if (i3 < this.r.length() && this.r.charAt(i3) == '*') {
                        i3++;
                        i4 = 31;
                        break;
                    }
                default:
                    return -1;
            }
        }
        return ((i3 - this.w) << 8) | i4;
    }

    private void j(int i2, int i3) throws ParseException {
        String str;
        int r2 = r(i3, this.o);
        char charAt = r2 < this.r.length() ? this.r.charAt(r2) : 0;
        String str2 = "";
        if (charAt == '|') {
            String sb = this.o.toString();
            r2 = r(r2 + 1, this.o);
            str = sb;
            charAt = r2 < this.r.length() ? this.r.charAt(r2) : 0;
        } else {
            str = str2;
        }
        String str3 = str2;
        if (charAt == '/') {
            StringBuilder sb2 = new StringBuilder();
            r2 = r(r2 + 1, sb2);
            str3 = sb2;
        }
        if (str.length() != 0) {
            int codePointAt = str.codePointAt(0);
            int codePointAt2 = this.o.codePointAt(0);
            if (!this.q.m(codePointAt) || !this.q.m(codePointAt2)) {
                v("in 'prefix|str', prefix and str must each start with an NFC boundary");
                return;
            }
        }
        try {
            this.u.a(i2, str, this.o, str3);
            this.w = r2;
        } catch (Exception e2) {
            w("adding relation failed", e2);
        }
    }

    private void k(CharSequence charSequence) throws ParseException {
        int i2;
        if (7 == charSequence.length()) {
            this.t.D();
            return;
        }
        ArrayList arrayList = new ArrayList();
        for (int i3 = 7; i3 < charSequence.length(); i3 = i2) {
            int i4 = i3 + 1;
            i2 = i4;
            while (i2 < charSequence.length() && charSequence.charAt(i2) != ' ') {
                i2++;
            }
            int c2 = c(charSequence.subSequence(i4, i2).toString());
            if (c2 < 0) {
                v("unknown script or reorder code");
                return;
            } else {
                arrayList.add(Integer.valueOf(c2));
            }
        }
        if (arrayList.isEmpty()) {
            this.t.D();
            return;
        }
        int[] iArr = new int[arrayList.size()];
        int i5 = 0;
        Iterator it = arrayList.iterator();
        while (it.hasNext()) {
            iArr[i5] = ((Integer) it.next()).intValue();
            i5++;
        }
        this.t.N(this.s, iArr);
    }

    private int l() throws ParseException {
        int i2;
        int i3;
        int i4;
        int z;
        int z2;
        char charAt;
        int z3 = z(this.w + 1);
        if (!this.r.regionMatches(z3, j, 0, 7) || (i4 = z3 + 7) >= this.r.length() || !y0.e(this.r.charAt(i4)) || (z2 = (z = z(i4 + 1)) + 1) >= this.r.length() || '1' > (charAt = this.r.charAt(z)) || charAt > '3' || this.r.charAt(z2) != ']') {
            i2 = 15;
        } else {
            i2 = (charAt - '1') + 0;
            z3 = z(z + 2);
        }
        if (z3 >= this.r.length()) {
            v("reset without position");
            return -1;
        }
        if (this.r.charAt(z3) == '[') {
            i3 = o(z3, this.o);
        } else {
            i3 = r(z3, this.o);
        }
        try {
            this.u.b(i2, this.o);
            this.w = i3;
            return i2;
        } catch (Exception e2) {
            w("adding reset failed", e2);
            return -1;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:32:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:9:0x002e  */
    private void m() throws ParseException {
        int l2 = l();
        boolean z = true;
        while (true) {
            int i2 = i();
            if (i2 >= 0) {
                int i3 = i2 & 15;
                if (l2 < 15) {
                    if (z) {
                        if (i3 != l2) {
                            v("reset-before strength differs from its first relation");
                            return;
                        }
                    } else if (i3 < l2) {
                        v("reset-before strength followed by a stronger relation");
                        return;
                    }
                }
                int i4 = this.w + (i2 >> 8);
                if ((i2 & 16) == 0) {
                    j(i3, i4);
                } else {
                    p(i3, i4);
                }
                z = false;
            } else if (this.w < this.r.length() && this.r.charAt(this.w) == '#') {
                this.w = y(this.w + 1);
            } else if (!z) {
                v("reset not followed by a relation");
                return;
            } else {
                return;
            }
        }
        if (!z) {
        }
    }

    private void n() throws ParseException {
        String str;
        char c2;
        boolean z = true;
        boolean z2 = true;
        int i2 = 1;
        boolean z3 = true;
        int i3 = this.w + 1;
        int t2 = t(i3, this.o);
        if (t2 <= i3 || this.o.length() == 0) {
            v("expected a setting/option at '['");
        }
        String sb = this.o.toString();
        if (this.r.charAt(t2) == ']') {
            int i4 = t2 + 1;
            if (sb.startsWith("reorder") && (sb.length() == 7 || sb.charAt(7) == ' ')) {
                k(sb);
                this.w = i4;
                return;
            } else if (sb.equals("backwards 2")) {
                this.t.I(2048, true);
                this.w = i4;
                return;
            } else {
                int lastIndexOf = sb.lastIndexOf(32);
                boolean z4 = false;
                int i5 = 0;
                if (lastIndexOf >= 0) {
                    str = sb.substring(lastIndexOf + 1);
                    sb = sb.substring(0, lastIndexOf);
                } else {
                    str = "";
                }
                if (sb.equals("strength") && str.length() == 1) {
                    char charAt = str.charAt(0);
                    int i6 = ('1' > charAt || charAt > '4') ? charAt == 'I' ? 15 : -1 : (charAt - '1') + 0;
                    if (i6 != -1) {
                        this.t.O(i6);
                        this.w = i4;
                        return;
                    }
                } else if (sb.equals("alternate")) {
                    if (str.equals("non-ignorable")) {
                        c2 = 0;
                    } else {
                        c2 = str.equals("shifted") ? (char) 1 : 65535;
                    }
                    if (c2 != 65535) {
                        q qVar = this.t;
                        if (c2 <= 0) {
                            z2 = false;
                        }
                        qVar.F(z2);
                        this.w = i4;
                        return;
                    }
                } else if (sb.equals("maxVariable")) {
                    if (str.equals("space")) {
                        i2 = 0;
                    } else if (!str.equals("punct")) {
                        if (str.equals("symbol")) {
                            i2 = 2;
                        } else {
                            i2 = str.equals(FirebaseAnalytics.b.f12316e) ? 3 : -1;
                        }
                    }
                    if (i2 != -1) {
                        this.t.K(i2, 0);
                        this.t.b1 = this.s.m(i2 + 4096);
                        this.w = i4;
                        return;
                    }
                } else if (sb.equals("caseFirst")) {
                    if (!str.equals(s0.f22119e)) {
                        if (str.equals("lower")) {
                            i5 = 512;
                        } else {
                            i5 = str.equals("upper") ? 768 : -1;
                        }
                    }
                    if (i5 != -1) {
                        this.t.G(i5);
                        this.w = i4;
                        return;
                    }
                } else if (sb.equals("caseLevel")) {
                    int b2 = b(str);
                    if (b2 != -1) {
                        q qVar2 = this.t;
                        if (b2 <= 0) {
                            z3 = false;
                        }
                        qVar2.I(1024, z3);
                        this.w = i4;
                        return;
                    }
                } else if (sb.equals("normalization")) {
                    int b3 = b(str);
                    if (b3 != -1) {
                        q qVar3 = this.t;
                        if (b3 > 0) {
                            z4 = true;
                        }
                        qVar3.I(1, z4);
                        this.w = i4;
                        return;
                    }
                } else if (sb.equals("numericOrdering")) {
                    int b4 = b(str);
                    if (b4 != -1) {
                        q qVar4 = this.t;
                        if (b4 <= 0) {
                            z = false;
                        }
                        qVar4.I(2, z);
                        this.w = i4;
                        return;
                    }
                } else if (sb.equals("hiraganaQ")) {
                    int b5 = b(str);
                    if (b5 != -1) {
                        if (b5 == 1) {
                            v("[hiraganaQ on] is not supported");
                        }
                        this.w = i4;
                        return;
                    }
                } else if (sb.equals("import")) {
                    try {
                        ULocale b6 = new ULocale.e().h(str).b();
                        String baseName = b6.getBaseName();
                        String keywordValue = b6.getKeywordValue("collation");
                        a aVar = this.v;
                        if (aVar == null) {
                            v("[import langTag] is not supported");
                            return;
                        }
                        if (keywordValue == null) {
                            keywordValue = "standard";
                        }
                        try {
                            String a2 = aVar.a(baseName, keywordValue);
                            String str2 = this.r;
                            int i7 = this.w;
                            try {
                                g(a2);
                            } catch (Exception e2) {
                                this.w = i7;
                                w("parsing imported rules failed", e2);
                            }
                            this.r = str2;
                            this.w = i4;
                            return;
                        } catch (Exception e3) {
                            w("[import langTag] failed", e3);
                            return;
                        }
                    } catch (Exception e4) {
                        w("expected language tag in [import langTag]", e4);
                        return;
                    }
                }
            }
        } else if (this.r.charAt(t2) == '[') {
            UnicodeSet unicodeSet = new UnicodeSet();
            int s2 = s(t2, unicodeSet);
            if (sb.equals("optimize")) {
                try {
                    this.u.c(unicodeSet);
                } catch (Exception e5) {
                    w("[optimize set] failed", e5);
                }
                this.w = s2;
                return;
            } else if (sb.equals("suppressContractions")) {
                try {
                    this.u.d(unicodeSet);
                } catch (Exception e6) {
                    w("[suppressContractions set] failed", e6);
                }
                this.w = s2;
                return;
            }
        }
        v("not a valid setting/option");
    }

    private int o(int i2, StringBuilder sb) throws ParseException {
        int t2 = t(i2 + 1, this.o);
        if (t2 > i2 && this.r.charAt(t2) == ']' && this.o.length() != 0) {
            int i3 = t2 + 1;
            String sb2 = this.o.toString();
            int i4 = 0;
            sb.setLength(0);
            while (true) {
                String[] strArr = k;
                if (i4 < strArr.length) {
                    if (sb2.equals(strArr[i4])) {
                        sb.append(f14484b);
                        sb.append((char) (i4 + d.f4452c));
                        return i3;
                    }
                    i4++;
                } else if (sb2.equals("top")) {
                    sb.append(f14484b);
                    sb.append((char) (b.LAST_REGULAR.ordinal() + d.f4452c));
                    return i3;
                } else if (sb2.equals("variable top")) {
                    sb.append(f14484b);
                    sb.append((char) (b.LAST_VARIABLE.ordinal() + d.f4452c));
                    return i3;
                }
            }
        }
        v("not a valid special reset position");
        return i2;
    }

    private void p(int i2, int i3) throws ParseException {
        int codePointAt;
        int q2 = q(z(i3), this.o);
        if (this.o.length() == 0) {
            v("missing starred-relation string");
            return;
        }
        int i4 = 0;
        while (true) {
            int i5 = -1;
            while (i4 < this.o.length()) {
                i5 = this.o.codePointAt(i4);
                if (!this.p.n(i5)) {
                    v("starred-relation string is not all NFD-inert");
                    return;
                }
                try {
                    this.u.a(i2, "", w2.d0(i5), "");
                    i4 += Character.charCount(i5);
                } catch (Exception e2) {
                    w("adding relation failed", e2);
                    return;
                }
            }
            if (q2 < this.r.length() && this.r.charAt(q2) == '-') {
                if (i5 >= 0) {
                    q2 = q(q2 + 1, this.o);
                    if (this.o.length() != 0) {
                        codePointAt = this.o.codePointAt(0);
                        if (codePointAt >= i5) {
                            while (true) {
                                i5++;
                                if (i5 > codePointAt) {
                                    break;
                                } else if (!this.p.n(i5)) {
                                    v("starred-relation string range is not all NFD-inert");
                                    return;
                                } else if (d(i5)) {
                                    v("starred-relation string range contains a surrogate");
                                    return;
                                } else if (65533 > i5 || i5 > 65535) {
                                    try {
                                        this.u.a(i2, "", w2.d0(i5), "");
                                    } catch (Exception e3) {
                                        w("adding relation failed", e3);
                                        return;
                                    }
                                } else {
                                    v("starred-relation string range contains U+FFFD, U+FFFE or U+FFFF");
                                    return;
                                }
                            }
                        } else {
                            v("range start greater than end in starred-relation string");
                            return;
                        }
                    } else {
                        v("range without end in starred-relation string");
                        return;
                    }
                } else {
                    v("range without start in starred-relation string");
                    return;
                }
            } else {
                this.w = z(q2);
            }
            i4 = Character.charCount(codePointAt);
        }
        this.w = z(q2);
    }

    private int q(int i2, StringBuilder sb) throws ParseException {
        int i3;
        int i4 = 0;
        sb.setLength(0);
        while (true) {
            if (i2 >= this.r.length()) {
                break;
            }
            i3 = i2 + 1;
            char charAt = this.r.charAt(i2);
            if (e(charAt)) {
                if (charAt != '\'') {
                    if (charAt != '\\') {
                        break;
                    } else if (i3 == this.r.length()) {
                        v("backslash escape at the end of the rule string");
                        return i3;
                    } else {
                        int codePointAt = this.r.codePointAt(i3);
                        sb.appendCodePoint(codePointAt);
                        i3 += Character.charCount(codePointAt);
                        i2 = i3;
                    }
                } else if (i3 >= this.r.length() || this.r.charAt(i3) != '\'') {
                    while (i3 != this.r.length()) {
                        int i5 = i3 + 1;
                        char charAt2 = this.r.charAt(i3);
                        if (charAt2 == '\'') {
                            if (i5 >= this.r.length() || this.r.charAt(i5) != '\'') {
                                i2 = i5;
                            } else {
                                i5++;
                            }
                        }
                        i3 = i5;
                        sb.append(charAt2);
                    }
                    v("quoted literal text missing terminating apostrophe");
                    return i3;
                } else {
                    sb.append(z0.f14782a);
                    i2 = i3 + 1;
                }
            } else if (y0.e(charAt)) {
                break;
            } else {
                sb.append(charAt);
                i2 = i3;
            }
        }
        i2 = i3 - 1;
        while (i4 < sb.length()) {
            int codePointAt2 = sb.codePointAt(i4);
            if (d(codePointAt2)) {
                v("string contains an unpaired surrogate");
                return i2;
            } else if (65533 > codePointAt2 || codePointAt2 > 65535) {
                i4 += Character.charCount(codePointAt2);
            } else {
                v("string contains U+FFFD, U+FFFE or U+FFFF");
                return i2;
            }
        }
        return i2;
    }

    private int r(int i2, StringBuilder sb) throws ParseException {
        int q2 = q(z(i2), sb);
        if (sb.length() == 0) {
            v("missing relation string");
        }
        return z(q2);
    }

    private int s(int i2, UnicodeSet unicodeSet) throws ParseException {
        int i3 = 0;
        int i4 = i2;
        while (i4 != this.r.length()) {
            int i5 = i4 + 1;
            char charAt = this.r.charAt(i4);
            if (charAt == '[') {
                i3++;
            } else if (charAt == ']' && i3 - 1 == 0) {
                try {
                    unicodeSet.h0(this.r.substring(i2, i5));
                } catch (Exception e2) {
                    v("not a valid UnicodeSet pattern: " + e2.getMessage());
                }
                int z = z(i5);
                if (z != this.r.length() && this.r.charAt(z) == ']') {
                    return z + 1;
                }
                v("missing option-terminating ']' after UnicodeSet pattern");
                return z;
            }
            i4 = i5;
        }
        v("unbalanced UnicodeSet pattern brackets");
        return i4;
    }

    private int t(int i2, StringBuilder sb) {
        sb.setLength(0);
        int z = z(i2);
        while (z < this.r.length()) {
            char charAt = this.r.charAt(z);
            if (!e(charAt) || charAt == '-' || charAt == '_') {
                if (y0.e(charAt)) {
                    sb.append(' ');
                    z = z(z + 1);
                } else {
                    sb.append(charAt);
                    z++;
                }
            } else if (sb.length() == 0) {
                return z;
            } else {
                int length = sb.length() - 1;
                if (sb.charAt(length) == ' ') {
                    sb.setLength(length);
                }
                return z;
            }
        }
        return 0;
    }

    private void v(String str) throws ParseException {
        throw f(str);
    }

    private void w(String str, Exception exc) throws ParseException {
        ParseException f2 = f(str + ": " + exc.getMessage());
        f2.initCause(exc);
        throw f2;
    }

    private int y(int i2) {
        while (i2 < this.r.length()) {
            int i3 = i2 + 1;
            char charAt = this.r.charAt(i2);
            if (charAt == '\n' || charAt == '\f' || charAt == '\r' || charAt == 133 || charAt == 8232 || charAt == 8233) {
                return i3;
            }
            i2 = i3;
        }
        return i2;
    }

    private int z(int i2) {
        while (i2 < this.r.length() && y0.e(this.r.charAt(i2))) {
            i2++;
        }
        return i2;
    }

    /* access modifiers changed from: package-private */
    public void h(String str, q qVar) throws ParseException {
        this.t = qVar;
        g(str);
    }

    /* access modifiers changed from: package-private */
    public void u(a aVar) {
        this.v = aVar;
    }

    /* access modifiers changed from: package-private */
    public void x(c cVar) {
        this.u = cVar;
    }
}
