package com.ibm.icu.impl.units;

import androidx.core.view.InputDeviceCompat;
import com.ibm.icu.util.BytesTrie;
import com.ibm.icu.util.ICUCloneNotSupportedException;
import com.ibm.icu.util.MeasureUnit;
import com.ibm.icu.util.StringTrieBuilder;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;

public class MeasureUnitImpl {

    /* renamed from: a  reason: collision with root package name */
    private String f14597a;

    /* renamed from: b  reason: collision with root package name */
    private MeasureUnit.Complexity f14598b;

    /* renamed from: c  reason: collision with root package name */
    private final ArrayList<c> f14599c;

    public enum CompoundPart {
        PER(0),
        TIMES(1),
        AND(2);
        
        private final int index;

        private CompoundPart(int i) {
            this.index = i;
        }

        public static CompoundPart getCompoundPartFromTrieIndex(int i) {
            int i2 = i - 128;
            if (i2 == 0) {
                return PER;
            }
            if (i2 == 1) {
                return TIMES;
            }
            if (i2 == 2) {
                return AND;
            }
            throw new AssertionError("CompoundPart index must be 0, 1 or 2");
        }

        public int getTrieIndex() {
            return this.index + 128;
        }

        public int getValue() {
            return this.index;
        }
    }

    public enum InitialCompoundPart {
        INITIAL_COMPOUND_PART_PER(0);
        
        private final int index;

        private InitialCompoundPart(int i) {
            this.index = i;
        }

        public static InitialCompoundPart getInitialCompoundPartFromTrieIndex(int i) {
            if (i - 192 == 0) {
                return INITIAL_COMPOUND_PART_PER;
            }
            throw new IllegalArgumentException("Incorrect trieIndex");
        }

        public int getTrieIndex() {
            return this.index + 192;
        }

        public int getValue() {
            return this.index;
        }
    }

    public enum PowerPart {
        P2(2),
        P3(3),
        P4(4),
        P5(5),
        P6(6),
        P7(7),
        P8(8),
        P9(9),
        P10(10),
        P11(11),
        P12(12),
        P13(13),
        P14(14),
        P15(15);
        
        private final int power;

        private PowerPart(int i) {
            this.power = i;
        }

        public static int getPowerFromTrieIndex(int i) {
            return i + InputDeviceCompat.SOURCE_ANY;
        }

        public int getTrieIndex() {
            return this.power + 256;
        }

        public int getValue() {
            return this.power;
        }
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f14603a;

        /* renamed from: b  reason: collision with root package name */
        static final /* synthetic */ int[] f14604b;

        /* JADX WARNING: Can't wrap try/catch for region: R(15:0|(2:1|2)|3|(2:5|6)|7|9|10|11|13|14|15|16|17|18|20) */
        /* JADX WARNING: Can't wrap try/catch for region: R(17:0|1|2|3|5|6|7|9|10|11|13|14|15|16|17|18|20) */
        /* JADX WARNING: Code restructure failed: missing block: B:21:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0039 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x0043 */
        static {
            int[] iArr = new int[f.a.EnumC0299a.values().length];
            f14604b = iArr;
            try {
                iArr[f.a.EnumC0299a.TYPE_POWER_PART.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                f14604b[f.a.EnumC0299a.TYPE_PREFIX.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                f14604b[f.a.EnumC0299a.TYPE_SIMPLE_UNIT.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            int[] iArr2 = new int[CompoundPart.values().length];
            f14603a = iArr2;
            iArr2[CompoundPart.PER.ordinal()] = 1;
            f14603a[CompoundPart.TIMES.ordinal()] = 2;
            f14603a[CompoundPart.AND.ordinal()] = 3;
        }
    }

    /* access modifiers changed from: package-private */
    public static class b implements Comparator<MeasureUnitImpl> {

        /* renamed from: a  reason: collision with root package name */
        private final b f14605a;

        public b(b bVar) {
            this.f14605a = bVar;
        }

        /* renamed from: a */
        public int compare(MeasureUnitImpl measureUnitImpl, MeasureUnitImpl measureUnitImpl2) {
            return this.f14605a.e(measureUnitImpl).f().compareTo(this.f14605a.e(measureUnitImpl2).f());
        }
    }

    public static class c {

        /* renamed from: a  reason: collision with root package name */
        int f14606a;

        /* renamed from: b  reason: collision with root package name */
        MeasureUnitImpl f14607b;

        c(int i, MeasureUnitImpl measureUnitImpl) {
            this.f14606a = i;
            this.f14607b = measureUnitImpl;
        }
    }

    static class d implements Comparator<c> {

        /* renamed from: a  reason: collision with root package name */
        private b f14608a;

        public d(b bVar) {
            this.f14608a = new b(bVar);
        }

        /* renamed from: a */
        public int compare(c cVar, c cVar2) {
            return this.f14608a.compare(cVar.f14607b, cVar2.f14607b);
        }
    }

    /* access modifiers changed from: package-private */
    public static class e implements Comparator<c> {
        e() {
        }

        /* renamed from: a */
        public int compare(c cVar, c cVar2) {
            return cVar.b(cVar2);
        }
    }

    public static class f {

        /* renamed from: a  reason: collision with root package name */
        private static volatile com.ibm.icu.util.e f14609a;

        /* renamed from: b  reason: collision with root package name */
        private static MeasureUnit.MeasurePrefix[] f14610b = MeasureUnit.MeasurePrefix.values();

        /* renamed from: c  reason: collision with root package name */
        static final /* synthetic */ boolean f14611c = false;

        /* renamed from: d  reason: collision with root package name */
        private final com.ibm.icu.util.e f14612d;

        /* renamed from: e  reason: collision with root package name */
        private final String f14613e;
        private int f = 0;
        private boolean g = false;
        private boolean h = false;

        /* access modifiers changed from: package-private */
        public static class a {

            /* renamed from: a  reason: collision with root package name */
            static final /* synthetic */ boolean f14614a = false;

            /* renamed from: b  reason: collision with root package name */
            private final int f14615b;

            /* renamed from: c  reason: collision with root package name */
            private final EnumC0299a f14616c;

            /* access modifiers changed from: package-private */
            /* renamed from: com.ibm.icu.impl.units.MeasureUnitImpl$f$a$a  reason: collision with other inner class name */
            public enum EnumC0299a {
                TYPE_UNDEFINED,
                TYPE_PREFIX,
                TYPE_COMPOUND_PART,
                TYPE_INITIAL_COMPOUND_PART,
                TYPE_POWER_PART,
                TYPE_SIMPLE_UNIT
            }

            public a(int i) {
                this.f14615b = i;
                this.f14616c = a(i);
            }

            private EnumC0299a a(int i) {
                if (i <= 0) {
                    throw new AssertionError("fMatch must have a positive value");
                } else if (i < 128) {
                    return EnumC0299a.TYPE_PREFIX;
                } else {
                    if (i < 192) {
                        return EnumC0299a.TYPE_COMPOUND_PART;
                    }
                    if (i < 256) {
                        return EnumC0299a.TYPE_INITIAL_COMPOUND_PART;
                    }
                    if (i < 512) {
                        return EnumC0299a.TYPE_POWER_PART;
                    }
                    return EnumC0299a.TYPE_SIMPLE_UNIT;
                }
            }

            public InitialCompoundPart b() {
                return InitialCompoundPart.getInitialCompoundPartFromTrieIndex(this.f14615b);
            }

            public int c() {
                return this.f14615b;
            }

            public int d() {
                return PowerPart.getPowerFromTrieIndex(this.f14615b);
            }

            public MeasureUnit.MeasurePrefix e() {
                return f.b(this.f14615b);
            }

            public int f() {
                return this.f14615b - 512;
            }

            public EnumC0299a g() {
                return this.f14616c;
            }
        }

        static {
            com.ibm.icu.util.f fVar = new com.ibm.icu.util.f();
            MeasureUnit.MeasurePrefix[] measurePrefixArr = f14610b;
            for (MeasureUnit.MeasurePrefix measurePrefix : measurePrefixArr) {
                fVar.r(measurePrefix.getIdentifier(), c(measurePrefix));
            }
            fVar.r("-per-", CompoundPart.PER.getTrieIndex());
            fVar.r(com.ibm.icu.impl.locale.f.f14027b, CompoundPart.TIMES.getTrieIndex());
            fVar.r("-and-", CompoundPart.AND.getTrieIndex());
            fVar.r("per-", InitialCompoundPart.INITIAL_COMPOUND_PART_PER.getTrieIndex());
            PowerPart powerPart = PowerPart.P2;
            fVar.r("square-", powerPart.getTrieIndex());
            PowerPart powerPart2 = PowerPart.P3;
            fVar.r("cubic-", powerPart2.getTrieIndex());
            fVar.r("pow2-", powerPart.getTrieIndex());
            fVar.r("pow3-", powerPart2.getTrieIndex());
            fVar.r("pow4-", PowerPart.P4.getTrieIndex());
            fVar.r("pow5-", PowerPart.P5.getTrieIndex());
            fVar.r("pow6-", PowerPart.P6.getTrieIndex());
            fVar.r("pow7-", PowerPart.P7.getTrieIndex());
            fVar.r("pow8-", PowerPart.P8.getTrieIndex());
            fVar.r("pow9-", PowerPart.P9.getTrieIndex());
            fVar.r("pow10-", PowerPart.P10.getTrieIndex());
            fVar.r("pow11-", PowerPart.P11.getTrieIndex());
            fVar.r("pow12-", PowerPart.P12.getTrieIndex());
            fVar.r("pow13-", PowerPart.P13.getTrieIndex());
            fVar.r("pow14-", PowerPart.P14.getTrieIndex());
            fVar.r("pow15-", PowerPart.P15.getTrieIndex());
            String[] e2 = e.e();
            for (int i = 0; i < e2.length; i++) {
                fVar.r(e2[i], i + 512);
            }
            f14609a = fVar.s(StringTrieBuilder.Option.FAST);
        }

        private f(String str) {
            this.f14613e = str;
            try {
                this.f14612d = f14609a.clone();
            } catch (CloneNotSupportedException unused) {
                throw new ICUCloneNotSupportedException();
            }
        }

        /* access modifiers changed from: private */
        public static MeasureUnit.MeasurePrefix b(int i) {
            return f14610b[i - 64];
        }

        private static int c(MeasureUnit.MeasurePrefix measurePrefix) {
            return measurePrefix.ordinal() + 64;
        }

        private boolean d() {
            return this.f < this.f14613e.length();
        }

        private c e() {
            c cVar = new c();
            char c2 = 0;
            boolean z = this.f == 0;
            a f2 = f();
            if (z) {
                if (f2.g() == a.EnumC0299a.TYPE_INITIAL_COMPOUND_PART) {
                    this.g = true;
                    cVar.j(-1);
                    f2 = f();
                }
            } else if (f2.g() == a.EnumC0299a.TYPE_COMPOUND_PART) {
                int i = a.f14603a[CompoundPart.getCompoundPartFromTrieIndex(f2.c()).ordinal()];
                if (i != 1) {
                    if (i != 2) {
                        if (i == 3) {
                            if (!this.g) {
                                this.h = true;
                            } else {
                                throw new IllegalArgumentException("Can't start with \"-and-\", and mixed compound units");
                            }
                        }
                    } else if (this.g) {
                        cVar.j(-1);
                    }
                } else if (!this.h) {
                    this.g = true;
                    cVar.j(-1);
                } else {
                    throw new IllegalArgumentException("Mixed compound units not yet supported");
                }
                f2 = f();
            } else {
                throw new IllegalArgumentException("token type must be TYPE_COMPOUND_PART");
            }
            while (true) {
                int i2 = a.f14604b[f2.g().ordinal()];
                if (i2 != 1) {
                    if (i2 != 2) {
                        if (i2 == 3) {
                            cVar.l(f2.f(), e.e());
                            return cVar;
                        }
                        throw new IllegalArgumentException();
                    } else if (c2 <= 1) {
                        cVar.k(f2.e());
                        c2 = 2;
                    } else {
                        throw new IllegalArgumentException();
                    }
                } else if (c2 <= 0) {
                    cVar.j(cVar.d() * f2.d());
                    c2 = 1;
                } else {
                    throw new IllegalArgumentException();
                }
                if (d()) {
                    f2 = f();
                } else {
                    throw new IllegalArgumentException("We ran out of tokens before finding a complete single unit.");
                }
            }
        }

        private a f() {
            this.f14612d.N();
            int i = -1;
            int i2 = -1;
            while (this.f < this.f14613e.length()) {
                com.ibm.icu.util.e eVar = this.f14612d;
                String str = this.f14613e;
                int i3 = this.f;
                this.f = i3 + 1;
                BytesTrie.Result G = eVar.G(str.charAt(i3));
                if (G == BytesTrie.Result.NO_MATCH) {
                    break;
                } else if (G != BytesTrie.Result.NO_VALUE) {
                    i = this.f14612d.B();
                    i2 = this.f;
                    if (G == BytesTrie.Result.FINAL_VALUE) {
                        break;
                    } else if (G != BytesTrie.Result.INTERMEDIATE_VALUE) {
                        throw new IllegalArgumentException("result must has an intermediate value");
                    }
                }
            }
            if (i >= 0) {
                this.f = i2;
                return new a(i);
            }
            throw new IllegalArgumentException("Encountered unknown token starting at index " + i2);
        }

        private MeasureUnitImpl g() {
            MeasureUnitImpl measureUnitImpl = new MeasureUnitImpl();
            if (this.f14613e.isEmpty()) {
                return null;
            }
            while (d()) {
                this.h = false;
                boolean b2 = measureUnitImpl.b(e());
                if (this.h && !b2) {
                    throw new IllegalArgumentException("Two similar units are not allowed in a mixed unit.");
                } else if (measureUnitImpl.f14599c.size() >= 2) {
                    MeasureUnit.Complexity complexity = this.h ? MeasureUnit.Complexity.MIXED : MeasureUnit.Complexity.COMPOUND;
                    if (measureUnitImpl.m().size() == 2) {
                        measureUnitImpl.o(complexity);
                    } else if (measureUnitImpl.j() != complexity) {
                        throw new IllegalArgumentException("Can't have mixed compound units");
                    }
                }
            }
            return measureUnitImpl;
        }

        public static MeasureUnitImpl h(String str) {
            if (str == null || str.isEmpty()) {
                return null;
            }
            return new f(str).g();
        }
    }

    public MeasureUnitImpl() {
        this.f14597a = null;
        this.f14598b = MeasureUnit.Complexity.SINGLE;
        this.f14599c = new ArrayList<>();
    }

    public static MeasureUnitImpl h(String str) {
        MeasureUnitImpl measureUnitImpl = new MeasureUnitImpl();
        measureUnitImpl.f14597a = str;
        return measureUnitImpl;
    }

    public static MeasureUnitImpl i(String str) {
        return f.h(str);
    }

    public boolean b(c cVar) {
        c cVar2 = null;
        this.f14597a = null;
        if (cVar == null) {
            return false;
        }
        Iterator<c> it = this.f14599c.iterator();
        while (true) {
            if (!it.hasNext()) {
                break;
            }
            c next = it.next();
            if (next.i(cVar)) {
                cVar2 = next;
                break;
            }
        }
        if (cVar2 != null) {
            cVar2.j(cVar2.d() + cVar.d());
            return false;
        }
        this.f14599c.add(cVar.c());
        if (this.f14599c.size() > 1 && this.f14598b == MeasureUnit.Complexity.SINGLE) {
            o(MeasureUnit.Complexity.COMPOUND);
        }
        return true;
    }

    public void c(int i) {
        Iterator<c> it = this.f14599c.iterator();
        while (it.hasNext()) {
            c next = it.next();
            next.j(next.d() * i);
        }
    }

    public MeasureUnit d() {
        return MeasureUnit.fromMeasureUnitImpl(this);
    }

    public MeasureUnitImpl e() {
        MeasureUnitImpl measureUnitImpl = new MeasureUnitImpl();
        measureUnitImpl.f14598b = this.f14598b;
        measureUnitImpl.f14597a = this.f14597a;
        Iterator<c> it = this.f14599c.iterator();
        while (it.hasNext()) {
            measureUnitImpl.f14599c.add(it.next().c());
        }
        return measureUnitImpl;
    }

    public MeasureUnitImpl f() {
        MeasureUnitImpl measureUnitImpl = new MeasureUnitImpl();
        Iterator<c> it = m().iterator();
        while (it.hasNext()) {
            c next = it.next();
            boolean z = false;
            Iterator<c> it2 = measureUnitImpl.m().iterator();
            while (true) {
                if (!it2.hasNext()) {
                    break;
                }
                c next2 = it2.next();
                if (next2.h().compareTo(next.h()) == 0 && next2.g().getIdentifier().compareTo(next.g().getIdentifier()) == 0) {
                    z = true;
                    next2.j(next2.d() + next.d());
                    break;
                }
            }
            if (!z) {
                measureUnitImpl.b(next);
            }
        }
        return measureUnitImpl;
    }

    public ArrayList<c> g() {
        ArrayList<c> arrayList = new ArrayList<>();
        int i = 0;
        if (j() == MeasureUnit.Complexity.MIXED) {
            Iterator<c> it = m().iterator();
            while (it.hasNext()) {
                arrayList.add(new c(i, new MeasureUnitImpl(it.next())));
                i++;
            }
            return arrayList;
        }
        arrayList.add(new c(0, e()));
        return arrayList;
    }

    public MeasureUnit.Complexity j() {
        return this.f14598b;
    }

    public String k() {
        return this.f14597a;
    }

    public c l() {
        if (this.f14599c.size() == 0) {
            return new c();
        }
        if (this.f14599c.size() == 1) {
            return this.f14599c.get(0).c();
        }
        throw new UnsupportedOperationException();
    }

    public ArrayList<c> m() {
        return this.f14599c;
    }

    public void n() {
        if (m().size() != 0) {
            if (this.f14598b == MeasureUnit.Complexity.COMPOUND) {
                Collections.sort(m(), new e());
            }
            StringBuilder sb = new StringBuilder();
            Iterator<c> it = m().iterator();
            boolean z = true;
            boolean z2 = false;
            while (it.hasNext()) {
                c next = it.next();
                if (z && next.d() < 0) {
                    z = false;
                    z2 = true;
                } else if (next.d() < 0) {
                    z2 = false;
                }
                if (j() == MeasureUnit.Complexity.MIXED) {
                    if (sb.length() != 0) {
                        sb.append("-and-");
                    }
                } else if (z2) {
                    if (sb.length() == 0) {
                        sb.append("per-");
                    } else {
                        sb.append("-per-");
                    }
                } else if (sb.length() != 0) {
                    sb.append(com.ibm.icu.impl.locale.f.f14027b);
                }
                sb.append(next.f());
            }
            this.f14597a = sb.toString();
        }
    }

    public void o(MeasureUnit.Complexity complexity) {
        this.f14598b = complexity;
    }

    public void p() {
        this.f14597a = null;
        Iterator<c> it = this.f14599c.iterator();
        while (it.hasNext()) {
            c next = it.next();
            next.j(next.d() * -1);
        }
    }

    public String toString() {
        return "MeasureUnitImpl [" + d().getIdentifier() + "]";
    }

    public MeasureUnitImpl(c cVar) {
        this();
        b(cVar);
    }
}
