package com.ibm.icu.impl.units;

import com.ibm.icu.impl.IllegalIcuArgumentException;
import com.ibm.icu.util.MeasureUnit;
import java.math.BigDecimal;
import java.math.MathContext;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.regex.Pattern;

public class UnitsConverter {

    /* renamed from: a  reason: collision with root package name */
    static final /* synthetic */ boolean f14619a = false;

    /* renamed from: b  reason: collision with root package name */
    private BigDecimal f14620b;

    /* renamed from: c  reason: collision with root package name */
    private boolean f14621c;

    /* renamed from: d  reason: collision with root package name */
    private BigDecimal f14622d;

    public enum Convertibility {
        CONVERTIBLE,
        RECIPROCAL,
        UNCONVERTIBLE
    }

    public static class a {

        /* renamed from: a  reason: collision with root package name */
        public BigDecimal f14624a;

        /* renamed from: b  reason: collision with root package name */
        public BigDecimal f14625b;

        /* renamed from: c  reason: collision with root package name */
        public boolean f14626c;
    }

    /* access modifiers changed from: package-private */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ boolean f14627a = false;

        /* renamed from: b  reason: collision with root package name */
        private BigDecimal f14628b = BigDecimal.valueOf(1L);

        /* renamed from: c  reason: collision with root package name */
        private BigDecimal f14629c = BigDecimal.valueOf(1L);

        /* renamed from: d  reason: collision with root package name */
        private int f14630d = 0;

        /* renamed from: e  reason: collision with root package name */
        private int f14631e = 0;
        private int f = 0;
        private int g = 0;
        private int h = 0;
        private int i = 0;
        private int j = 0;
        private int k = 0;
        private int l = 0;
        private int m = 0;
        private int n = 0;

        private void a(String str, int i2) {
            if ("ft_to_m".equals(str)) {
                this.f14630d += i2;
            } else if ("ft2_to_m2".equals(str)) {
                this.f14630d += i2 * 2;
            } else if ("ft3_to_m3".equals(str)) {
                this.f14630d += i2 * 3;
            } else if ("in3_to_m3".equals(str)) {
                this.f14630d += i2 * 3;
                this.f14629c = this.f14629c.multiply(BigDecimal.valueOf(Math.pow(12.0d, 3.0d)));
            } else if ("gal_to_m3".equals(str)) {
                this.f14628b = this.f14628b.multiply(BigDecimal.valueOf(231L));
                this.f14630d += i2 * 3;
                this.f14629c = this.f14629c.multiply(BigDecimal.valueOf(1728L));
            } else if ("gal_imp_to_m3".equals(str)) {
                this.h += i2;
            } else if ("G".equals(str)) {
                this.g += i2;
            } else if ("gravity".equals(str)) {
                this.f += i2;
            } else if ("lb_to_kg".equals(str)) {
                this.i += i2;
            } else if ("glucose_molar_mass".equals(str)) {
                this.j += i2;
            } else if ("item_per_mole".equals(str)) {
                this.k += i2;
            } else if ("meters_per_AU".equals(str)) {
                this.l += i2;
            } else if ("PI".equals(str)) {
                this.f14631e += i2;
            } else if ("sec_per_julian_year".equals(str)) {
                this.m += i2;
            } else if ("speed_of_light_meters_per_second".equals(str)) {
                this.n += i2;
            } else {
                this.f14628b = this.f14628b.multiply(new BigDecimal(str).pow(i2, MathContext.DECIMAL128));
            }
        }

        private void b(String str) {
            String[] split = str.split(Pattern.quote("^"));
            int i2 = 1;
            if (split.length == 2) {
                i2 = Integer.parseInt(split[1]);
            }
            a(split[0], i2);
        }

        private void h(BigDecimal bigDecimal, int i2) {
            if (i2 != 0) {
                BigDecimal pow = bigDecimal.pow(Math.abs(i2), MathContext.DECIMAL128);
                if (i2 > 0) {
                    this.f14628b = this.f14628b.multiply(pow);
                } else {
                    this.f14629c = this.f14629c.multiply(pow);
                }
            }
        }

        public static b j(String str) {
            String[] split = str.replaceAll("\\s+", "").split("/");
            if (split.length == 1) {
                return k(split[0]);
            }
            return k(split[0]).e(k(split[1]));
        }

        private static b k(String str) {
            b bVar = new b();
            for (String str2 : str.split(Pattern.quote("*"))) {
                bVar.b(str2);
            }
            return bVar;
        }

        public b c(MeasureUnit.MeasurePrefix measurePrefix) {
            b d2 = d();
            if (measurePrefix == MeasureUnit.MeasurePrefix.ONE) {
                return d2;
            }
            int base = measurePrefix.getBase();
            int power = measurePrefix.getPower();
            BigDecimal pow = BigDecimal.valueOf((long) base).pow(Math.abs(power), MathContext.DECIMAL128);
            if (power < 0) {
                d2.f14629c = this.f14629c.multiply(pow);
                return d2;
            }
            d2.f14628b = this.f14628b.multiply(pow);
            return d2;
        }

        /* access modifiers changed from: protected */
        public b d() {
            b bVar = new b();
            bVar.f14628b = this.f14628b;
            bVar.f14629c = this.f14629c;
            bVar.f14630d = this.f14630d;
            bVar.f14631e = this.f14631e;
            bVar.f = this.f;
            bVar.g = this.g;
            bVar.h = this.h;
            bVar.i = this.i;
            bVar.j = this.j;
            bVar.k = this.k;
            bVar.l = this.l;
            bVar.m = this.m;
            bVar.n = this.n;
            return bVar;
        }

        public b e(b bVar) {
            b bVar2 = new b();
            bVar2.f14628b = this.f14628b.multiply(bVar.f14629c);
            bVar2.f14629c = this.f14629c.multiply(bVar.f14628b);
            bVar2.f14630d = this.f14630d - bVar.f14630d;
            bVar2.f14631e = this.f14631e - bVar.f14631e;
            bVar2.f = this.f - bVar.f;
            bVar2.g = this.g - bVar.g;
            bVar2.h = this.h - bVar.h;
            bVar2.i = this.i - bVar.i;
            bVar2.j = this.j - bVar.j;
            bVar2.k = this.k - bVar.k;
            bVar2.l = this.l - bVar.l;
            bVar2.m = this.m - bVar.m;
            bVar2.n = this.n - bVar.n;
            return bVar2;
        }

        public BigDecimal f() {
            b d2 = d();
            d2.h(new BigDecimal("0.3048"), this.f14630d);
            d2.h(new BigDecimal("411557987.0").divide(new BigDecimal("131002976.0"), MathContext.DECIMAL128), this.f14631e);
            d2.h(new BigDecimal("9.80665"), this.f);
            d2.h(new BigDecimal("6.67408E-11"), this.g);
            d2.h(new BigDecimal("0.00454609"), this.h);
            d2.h(new BigDecimal("0.45359237"), this.i);
            d2.h(new BigDecimal("180.1557"), this.j);
            d2.h(new BigDecimal("6.02214076E+23"), this.k);
            d2.h(new BigDecimal("149597870700"), this.l);
            d2.h(new BigDecimal("31557600"), this.m);
            d2.h(new BigDecimal("299792458"), this.n);
            return d2.f14628b.divide(d2.f14629c, MathContext.DECIMAL128);
        }

        public b g(b bVar) {
            b bVar2 = new b();
            bVar2.f14628b = this.f14628b.multiply(bVar.f14628b);
            bVar2.f14629c = this.f14629c.multiply(bVar.f14629c);
            bVar2.f14630d = this.f14630d + bVar.f14630d;
            bVar2.f14631e = this.f14631e + bVar.f14631e;
            bVar2.f = this.f + bVar.f;
            bVar2.g = this.g + bVar.g;
            bVar2.h = this.h + bVar.h;
            bVar2.i = this.i + bVar.i;
            bVar2.j = this.j + bVar.j;
            bVar2.k = this.k + bVar.k;
            bVar2.l = this.l + bVar.l;
            bVar2.m = this.m + bVar.m;
            bVar2.n = this.n + bVar.n;
            return bVar2;
        }

        public b i(int i2) {
            b bVar = new b();
            if (i2 == 0) {
                return bVar;
            }
            if (i2 > 0) {
                bVar.f14628b = this.f14628b.pow(i2);
                bVar.f14629c = this.f14629c.pow(i2);
            } else {
                int i3 = i2 * -1;
                bVar.f14628b = this.f14629c.pow(i3);
                bVar.f14629c = this.f14628b.pow(i3);
            }
            bVar.f14630d = this.f14630d * i2;
            bVar.f14631e = this.f14631e * i2;
            bVar.f = this.f * i2;
            bVar.g = this.g * i2;
            bVar.h = this.h * i2;
            bVar.i = this.i * i2;
            bVar.j = this.j * i2;
            bVar.k = this.k * i2;
            bVar.l = this.l * i2;
            bVar.m = this.m * i2;
            bVar.n = this.n * i2;
            return bVar;
        }
    }

    public UnitsConverter(String str, String str2) {
        this(MeasureUnitImpl.i(str), MeasureUnitImpl.i(str2), new b());
    }

    private static boolean a(HashMap<String, Integer> hashMap) {
        for (Integer num : hashMap.values()) {
            if (!num.equals(0)) {
                return false;
            }
        }
        return true;
    }

    public static Convertibility d(MeasureUnitImpl measureUnitImpl, MeasureUnitImpl measureUnitImpl2, b bVar) {
        ArrayList<c> b2 = bVar.b(measureUnitImpl);
        ArrayList<c> b3 = bVar.b(measureUnitImpl2);
        HashMap hashMap = new HashMap();
        f(hashMap, b2, 1);
        f(hashMap, b3, -1);
        if (a(hashMap)) {
            return Convertibility.CONVERTIBLE;
        }
        f(hashMap, b3, 2);
        if (a(hashMap)) {
            return Convertibility.RECIPROCAL;
        }
        return Convertibility.UNCONVERTIBLE;
    }

    private static void f(HashMap<String, Integer> hashMap, ArrayList<c> arrayList, int i) {
        Iterator<c> it = arrayList.iterator();
        while (it.hasNext()) {
            c next = it.next();
            if (hashMap.containsKey(next.h())) {
                hashMap.put(next.h(), Integer.valueOf(hashMap.get(next.h()).intValue() + (next.d() * i)));
            } else {
                hashMap.put(next.h(), Integer.valueOf(next.d() * i));
            }
        }
    }

    public BigDecimal b(BigDecimal bigDecimal) {
        BigDecimal add = bigDecimal.multiply(this.f14620b).add(this.f14622d);
        if (!this.f14621c) {
            return add;
        }
        if (add.compareTo(BigDecimal.ZERO) == 0) {
            return BigDecimal.ZERO;
        }
        return BigDecimal.ONE.divide(add, MathContext.DECIMAL128);
    }

    public BigDecimal c(BigDecimal bigDecimal) {
        if (this.f14621c) {
            if (bigDecimal.compareTo(BigDecimal.ZERO) == 0) {
                return BigDecimal.ZERO;
            }
            bigDecimal = BigDecimal.ONE.divide(bigDecimal, MathContext.DECIMAL128);
        }
        return bigDecimal.subtract(this.f14622d).divide(this.f14620b, MathContext.DECIMAL128);
    }

    public a e() {
        a aVar = new a();
        aVar.f14624a = this.f14620b;
        aVar.f14625b = this.f14622d;
        aVar.f14626c = this.f14621c;
        return aVar;
    }

    public String toString() {
        return "UnitsConverter [conversionRate=" + this.f14620b + ", offset=" + this.f14622d + "]";
    }

    public UnitsConverter(MeasureUnitImpl measureUnitImpl, MeasureUnitImpl measureUnitImpl2, b bVar) {
        Convertibility d2 = d(measureUnitImpl, measureUnitImpl2, bVar);
        Convertibility convertibility = Convertibility.CONVERTIBLE;
        if (d2 == convertibility || d2 == Convertibility.RECIPROCAL) {
            b e2 = bVar.e(measureUnitImpl);
            b e3 = bVar.e(measureUnitImpl2);
            if (d2 == convertibility) {
                this.f14620b = e2.e(e3).f();
            } else {
                this.f14620b = e2.g(e3).f();
            }
            this.f14621c = d2 == Convertibility.RECIPROCAL;
            this.f14622d = bVar.g(measureUnitImpl, measureUnitImpl2, e2, e3, d2);
            return;
        }
        throw new IllegalIcuArgumentException("input units must be convertible or reciprocal");
    }
}
