package com.ibm.icu.impl;

import com.ibm.icu.lang.f;
import com.ibm.icu.util.ICUUncheckedIOException;
import com.ibm.icu.util.l0;
import java.io.DataOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.channels.FileChannel;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Set;

/* compiled from: ICUBinary */
public final class v {

    /* renamed from: a  reason: collision with root package name */
    private static final List<d> f14687a;

    /* renamed from: b  reason: collision with root package name */
    private static final byte f14688b = -38;

    /* renamed from: c  reason: collision with root package name */
    private static final byte f14689c = 39;

    /* renamed from: d  reason: collision with root package name */
    private static final byte f14690d = 0;

    /* renamed from: e  reason: collision with root package name */
    private static final byte f14691e = 2;
    private static final String f = "ICU data file error: Not an ICU data file";
    private static final String g = "ICU data file error: Header authentication failed, please check if you have a valid ICU data file";
    static final /* synthetic */ boolean h = false;

    /* compiled from: ICUBinary */
    public interface b {
        boolean a(byte[] bArr);
    }

    /* access modifiers changed from: private */
    /* compiled from: ICUBinary */
    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        private static final int f14692a = 1131245124;

        /* renamed from: b  reason: collision with root package name */
        private static final a f14693b = new a();

        /* renamed from: c  reason: collision with root package name */
        static final /* synthetic */ boolean f14694c = false;

        /* access modifiers changed from: private */
        /* compiled from: ICUBinary */
        public static final class a implements b {
            private a() {
            }

            @Override // com.ibm.icu.impl.v.b
            public boolean a(byte[] bArr) {
                return bArr[0] == 1;
            }
        }

        private c() {
        }

        static boolean a(ByteBuffer byteBuffer, int i, String str, String str2, StringBuilder sb, Set<String> set) {
            int f = f(byteBuffer, i) + 9;
            if (str.length() != 0) {
                int i2 = 0;
                while (i2 < str.length()) {
                    if (byteBuffer.get(f) != str.charAt(i2)) {
                        return false;
                    }
                    i2++;
                    f++;
                }
                int i3 = f + 1;
                if (byteBuffer.get(f) != 47) {
                    return false;
                }
                f = i3;
            }
            sb.setLength(0);
            while (true) {
                int i4 = f + 1;
                byte b2 = byteBuffer.get(f);
                if (b2 != 0) {
                    char c2 = (char) b2;
                    if (c2 == '/') {
                        return true;
                    }
                    sb.append(c2);
                    f = i4;
                } else {
                    int length = sb.length() - str2.length();
                    if (sb.lastIndexOf(str2, length) >= 0) {
                        set.add(sb.substring(0, length));
                    }
                    return true;
                }
            }
        }

        static void b(ByteBuffer byteBuffer, String str, String str2, Set<String> set) {
            int c2 = c(byteBuffer, str);
            if (c2 < 0) {
                c2 = ~c2;
            }
            int i = byteBuffer.getInt(byteBuffer.position());
            StringBuilder sb = new StringBuilder();
            while (c2 < i && a(byteBuffer, c2, str, str2, sb, set)) {
                c2++;
            }
        }

        private static int c(ByteBuffer byteBuffer, CharSequence charSequence) {
            int i = byteBuffer.getInt(byteBuffer.position());
            int i2 = 0;
            while (i2 < i) {
                int i3 = (i2 + i) >>> 1;
                int e2 = v.e(charSequence, byteBuffer, f(byteBuffer, i3) + 9);
                if (e2 < 0) {
                    i = i3;
                } else if (e2 <= 0) {
                    return i3;
                } else {
                    i2 = i3 + 1;
                }
            }
            return ~i2;
        }

        static ByteBuffer d(ByteBuffer byteBuffer, CharSequence charSequence) {
            int c2 = c(byteBuffer, charSequence);
            if (c2 < 0) {
                return null;
            }
            ByteBuffer duplicate = byteBuffer.duplicate();
            duplicate.position(e(byteBuffer, c2));
            duplicate.limit(e(byteBuffer, c2 + 1));
            return v.y(duplicate);
        }

        private static int e(ByteBuffer byteBuffer, int i) {
            int position = byteBuffer.position();
            if (i == byteBuffer.getInt(position)) {
                return byteBuffer.capacity();
            }
            return position + byteBuffer.getInt(position + 4 + 4 + (i * 8));
        }

        private static int f(ByteBuffer byteBuffer, int i) {
            int position = byteBuffer.position();
            return position + byteBuffer.getInt(position + 4 + (i * 8));
        }

        private static boolean g(ByteBuffer byteBuffer, int i) {
            for (int i2 = 0; i2 < 7; i2++) {
                if (byteBuffer.get(i + i2) != "icudt72b".charAt(i2)) {
                    return false;
                }
            }
            byte b2 = byteBuffer.get(i + 7);
            if ((b2 == 98 || b2 == 108) && byteBuffer.get(i + 8) == 47) {
                return true;
            }
            return false;
        }

        static boolean h(ByteBuffer byteBuffer) {
            try {
                v.v(byteBuffer, f14692a, f14693b);
                int i = byteBuffer.getInt(byteBuffer.position());
                if (i > 0 && byteBuffer.position() + 4 + (i * 24) <= byteBuffer.capacity() && g(byteBuffer, f(byteBuffer, 0)) && g(byteBuffer, f(byteBuffer, i - 1))) {
                    return true;
                }
                return false;
            } catch (IOException unused) {
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ICUBinary */
    public static abstract class d {

        /* renamed from: a  reason: collision with root package name */
        protected final String f14695a;

        d(String str) {
            this.f14695a = str;
        }

        /* access modifiers changed from: package-private */
        public abstract void a(String str, String str2, Set<String> set);

        /* access modifiers changed from: package-private */
        public abstract ByteBuffer b(String str);

        public String toString() {
            return this.f14695a;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ICUBinary */
    public static final class e extends d {

        /* renamed from: b  reason: collision with root package name */
        private final ByteBuffer f14696b;

        e(String str, ByteBuffer byteBuffer) {
            super(str);
            this.f14696b = byteBuffer;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.v.d
        public void a(String str, String str2, Set<String> set) {
            c.b(this.f14696b, str, str2, set);
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.v.d
        public ByteBuffer b(String str) {
            return c.d(this.f14696b, str);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ICUBinary */
    public static final class f extends d {

        /* renamed from: b  reason: collision with root package name */
        private final File f14697b;

        f(String str, File file) {
            super(str);
            this.f14697b = file;
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.v.d
        public void a(String str, String str2, Set<String> set) {
            if (this.f14695a.length() > str.length() + str2.length() && this.f14695a.startsWith(str) && this.f14695a.endsWith(str2) && this.f14695a.charAt(str.length()) == '/' && this.f14695a.indexOf(47, str.length() + 1) < 0) {
                set.add(this.f14695a.substring(str.length() + 1, this.f14695a.length() - str2.length()));
            }
        }

        /* access modifiers changed from: package-private */
        @Override // com.ibm.icu.impl.v.d
        public ByteBuffer b(String str) {
            if (str.equals(this.f14695a)) {
                return v.u(this.f14697b);
            }
            return null;
        }

        @Override // com.ibm.icu.impl.v.d
        public String toString() {
            return this.f14697b.toString();
        }
    }

    static {
        ArrayList arrayList = new ArrayList();
        f14687a = arrayList;
        String a2 = x.a(v.class.getName() + ".dataPath");
        if (a2 != null) {
            d(a2, arrayList);
        }
    }

    public static void b(String str, String str2, Set<String> set) {
        for (d dVar : f14687a) {
            dVar.a(str, str2, set);
        }
    }

    private static void c(File file, StringBuilder sb, List<d> list) {
        File[] listFiles = file.listFiles();
        if (!(listFiles == null || listFiles.length == 0)) {
            int length = sb.length();
            if (length > 0) {
                sb.append('/');
                length++;
            }
            for (File file2 : listFiles) {
                String name = file2.getName();
                if (!name.endsWith(".txt")) {
                    sb.append(name);
                    if (file2.isDirectory()) {
                        c(file2, sb, list);
                    } else if (name.endsWith(".dat")) {
                        ByteBuffer u = u(file2);
                        if (u != null && c.h(u)) {
                            list.add(new e(sb.toString(), u));
                        }
                    } else {
                        list.add(new f(sb.toString(), file2));
                    }
                    sb.setLength(length);
                }
            }
        }
    }

    private static void d(String str, List<d> list) {
        int i;
        int i2 = 0;
        while (i2 < str.length()) {
            int indexOf = str.indexOf(File.pathSeparatorChar, i2);
            if (indexOf >= 0) {
                i = indexOf;
            } else {
                i = str.length();
            }
            String trim = str.substring(i2, i).trim();
            if (trim.endsWith(File.separator)) {
                trim = trim.substring(0, trim.length() - 1);
            }
            if (trim.length() != 0) {
                c(new File(trim), new StringBuilder(), f14687a);
            }
            if (indexOf >= 0) {
                i2 = indexOf + 1;
            } else {
                return;
            }
        }
    }

    static int e(CharSequence charSequence, ByteBuffer byteBuffer, int i) {
        int i2 = 0;
        while (true) {
            byte b2 = byteBuffer.get(i);
            if (b2 == 0) {
                if (i2 == charSequence.length()) {
                    return 0;
                }
                return 1;
            } else if (i2 == charSequence.length()) {
                return -1;
            } else {
                int charAt = charSequence.charAt(i2) - b2;
                if (charAt != 0) {
                    return charAt;
                }
                i2++;
                i++;
            }
        }
    }

    static int f(CharSequence charSequence, byte[] bArr, int i) {
        int i2 = 0;
        while (true) {
            byte b2 = bArr[i];
            if (b2 == 0) {
                if (i2 == charSequence.length()) {
                    return 0;
                }
                return 1;
            } else if (i2 == charSequence.length()) {
                return -1;
            } else {
                int charAt = charSequence.charAt(i2) - b2;
                if (charAt != 0) {
                    return charAt;
                }
                i2++;
                i++;
            }
        }
    }

    public static ByteBuffer g(InputStream inputStream) throws IOException {
        try {
            int available = inputStream.available();
            byte[] bArr = available > 32 ? new byte[available] : new byte[128];
            int i = 0;
            while (true) {
                if (i < bArr.length) {
                    int read = inputStream.read(bArr, i, bArr.length - i);
                    if (read < 0) {
                        break;
                    }
                    i += read;
                } else {
                    int read2 = inputStream.read();
                    if (read2 < 0) {
                        break;
                    }
                    int length = bArr.length * 2;
                    if (length < 128) {
                        length = 128;
                    } else if (length < 16384) {
                        length *= 2;
                    }
                    bArr = Arrays.copyOf(bArr, length);
                    bArr[i] = (byte) read2;
                    i++;
                }
            }
            return ByteBuffer.wrap(bArr, 0, i);
        } finally {
            inputStream.close();
        }
    }

    public static byte[] h(ByteBuffer byteBuffer, int i, int i2) {
        byte[] bArr = new byte[i];
        byteBuffer.get(bArr);
        if (i2 > 0) {
            x(byteBuffer, i2);
        }
        return bArr;
    }

    public static char[] i(ByteBuffer byteBuffer, int i, int i2) {
        char[] cArr = new char[i];
        byteBuffer.asCharBuffer().get(cArr);
        x(byteBuffer, (i * 2) + i2);
        return cArr;
    }

    public static ByteBuffer j(ClassLoader classLoader, String str, String str2) {
        return k(classLoader, str, str2, false);
    }

    private static ByteBuffer k(ClassLoader classLoader, String str, String str2, boolean z) {
        ByteBuffer m = m(str2);
        if (m != null) {
            return m;
        }
        if (classLoader == null) {
            classLoader = m.c(a0.class);
        }
        if (str == null) {
            str = "com/ibm/icu/impl/data/icudt72b/" + str2;
        }
        try {
            InputStream i = a0.i(classLoader, str, z);
            if (i == null) {
                return null;
            }
            return g(i);
        } catch (IOException e2) {
            throw new ICUUncheckedIOException(e2);
        }
    }

    public static ByteBuffer l(String str) {
        return k(null, null, str, false);
    }

    private static ByteBuffer m(String str) {
        for (d dVar : f14687a) {
            ByteBuffer b2 = dVar.b(str);
            if (b2 != null) {
                return b2;
            }
        }
        return null;
    }

    public static int[] n(ByteBuffer byteBuffer, int i, int i2) {
        int[] iArr = new int[i];
        byteBuffer.asIntBuffer().get(iArr);
        x(byteBuffer, (i * 4) + i2);
        return iArr;
    }

    public static long[] o(ByteBuffer byteBuffer, int i, int i2) {
        long[] jArr = new long[i];
        byteBuffer.asLongBuffer().get(jArr);
        x(byteBuffer, (i * 8) + i2);
        return jArr;
    }

    public static ByteBuffer p(String str) {
        return k(null, null, str, true);
    }

    public static short[] q(ByteBuffer byteBuffer, int i, int i2) {
        short[] sArr = new short[i];
        byteBuffer.asShortBuffer().get(sArr);
        x(byteBuffer, (i * 2) + i2);
        return sArr;
    }

    public static String r(ByteBuffer byteBuffer, int i, int i2) {
        String charSequence = byteBuffer.asCharBuffer().subSequence(0, i).toString();
        x(byteBuffer, (i * 2) + i2);
        return charSequence;
    }

    public static byte[] s(int i) {
        return new byte[]{(byte) (i >> 24), (byte) (i >> 16), (byte) (i >> 8), (byte) i};
    }

    public static l0 t(int i) {
        return l0.i(i >>> 24, (i >> 16) & 255, (i >> 8) & 255, i & 255);
    }

    /* access modifiers changed from: private */
    public static ByteBuffer u(File file) {
        try {
            FileInputStream fileInputStream = new FileInputStream(file);
            FileChannel channel = fileInputStream.getChannel();
            try {
                return channel.map(FileChannel.MapMode.READ_ONLY, 0, channel.size());
            } finally {
                fileInputStream.close();
            }
        } catch (FileNotFoundException e2) {
            System.err.println(e2);
            return null;
        } catch (IOException e3) {
            System.err.println(e3);
            return null;
        }
    }

    public static int v(ByteBuffer byteBuffer, int i, b bVar) throws IOException {
        byte b2 = byteBuffer.get(2);
        byte b3 = byteBuffer.get(3);
        if (b2 == -38 && b3 == 39) {
            byte b4 = byteBuffer.get(8);
            byte b5 = byteBuffer.get(9);
            byte b6 = byteBuffer.get(10);
            if (b4 < 0 || 1 < b4 || b5 != 0 || b6 != 2) {
                throw new IOException(g);
            }
            byteBuffer.order(b4 != 0 ? ByteOrder.BIG_ENDIAN : ByteOrder.LITTLE_ENDIAN);
            char c2 = byteBuffer.getChar(0);
            char c3 = byteBuffer.getChar(4);
            if (c3 < 20 || c2 < c3 + 4) {
                throw new IOException("Internal Error: Header size error");
            }
            byte[] bArr = {byteBuffer.get(16), byteBuffer.get(17), byteBuffer.get(18), byteBuffer.get(19)};
            if (byteBuffer.get(12) == ((byte) (i >> 24)) && byteBuffer.get(13) == ((byte) (i >> 16)) && byteBuffer.get(14) == ((byte) (i >> 8)) && byteBuffer.get(15) == ((byte) i) && (bVar == null || bVar.a(bArr))) {
                byteBuffer.position(c2);
                return (byteBuffer.get(23) & 255) | (byteBuffer.get(20) << f.a.z) | ((byteBuffer.get(21) & 255) << 16) | ((byteBuffer.get(22) & 255) << 8);
            }
            throw new IOException(g + String.format("; data format %02x%02x%02x%02x, format version %d.%d.%d.%d", Byte.valueOf(byteBuffer.get(12)), Byte.valueOf(byteBuffer.get(13)), Byte.valueOf(byteBuffer.get(14)), Byte.valueOf(byteBuffer.get(15)), Integer.valueOf(bArr[0] & 255), Integer.valueOf(bArr[1] & 255), Integer.valueOf(bArr[2] & 255), Integer.valueOf(bArr[3] & 255)));
        }
        throw new IOException(f);
    }

    public static l0 w(ByteBuffer byteBuffer, int i, b bVar) throws IOException {
        return t(v(byteBuffer, i, bVar));
    }

    public static void x(ByteBuffer byteBuffer, int i) {
        if (i > 0) {
            byteBuffer.position(byteBuffer.position() + i);
        }
    }

    public static ByteBuffer y(ByteBuffer byteBuffer) {
        return byteBuffer.slice().order(byteBuffer.order());
    }

    public static int z(int i, int i2, int i3, DataOutputStream dataOutputStream) throws IOException {
        dataOutputStream.writeChar(32);
        dataOutputStream.writeByte(-38);
        dataOutputStream.writeByte(39);
        dataOutputStream.writeChar(20);
        dataOutputStream.writeChar(0);
        dataOutputStream.writeByte(1);
        dataOutputStream.writeByte(0);
        dataOutputStream.writeByte(2);
        dataOutputStream.writeByte(0);
        dataOutputStream.writeInt(i);
        dataOutputStream.writeInt(i2);
        dataOutputStream.writeInt(i3);
        dataOutputStream.writeLong(0);
        return 32;
    }
}
