package com.ibm.icu.impl.v2;

import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.locale.f;
import com.ibm.icu.impl.number.Padder;
import com.ibm.icu.lang.UScript;
import com.ibm.icu.text.PersonName;
import com.ibm.icu.text.PersonNameFormatter;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.h0;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashSet;
import java.util.Locale;
import java.util.Set;

/* compiled from: PersonNameFormatterImpl */
public class b {

    /* renamed from: a  reason: collision with root package name */
    private final Locale f14720a;

    /* renamed from: b  reason: collision with root package name */
    private final c[] f14721b;

    /* renamed from: c  reason: collision with root package name */
    private final c[] f14722c;

    /* renamed from: d  reason: collision with root package name */
    private final Set<String> f14723d;

    /* renamed from: e  reason: collision with root package name */
    private final Set<String> f14724e;
    private final String f;
    private final String g;
    private final boolean h;
    private final String i;
    private final boolean j;
    private final PersonNameFormatter.Length k;
    private final PersonNameFormatter.Usage l;
    private final PersonNameFormatter.Formality m;
    private final Set<PersonNameFormatter.Options> n;
    private final Set<String> o;

    public b(Locale locale, PersonNameFormatter.Length length, PersonNameFormatter.Usage usage, PersonNameFormatter.Formality formality, Set<PersonNameFormatter.Options> set) {
        HashSet hashSet = new HashSet(Arrays.asList("ja", "zh", "th", "yue", "km", "lo"));
        this.o = hashSet;
        set = set == null ? new HashSet<>() : set;
        this.k = length;
        this.l = usage;
        this.m = formality;
        this.n = set;
        ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) h0.o(a0.f13490d, locale);
        this.f14720a = locale;
        this.f = iCUResourceBundle.W0("personNames/initialPattern/initial");
        this.g = iCUResourceBundle.W0("personNames/initialPattern/initialSequence");
        this.h = set.contains(PersonNameFormatter.Options.SURNAME_ALLCAPS);
        this.i = iCUResourceBundle.W0("personNames/foreignSpaceReplacement");
        this.j = !hashSet.contains(locale.getLanguage());
        if (usage == PersonNameFormatter.Usage.MONOGRAM) {
            set.remove(PersonNameFormatter.Options.SORTING);
        } else if (set.contains(PersonNameFormatter.Options.SORTING)) {
            usage = PersonNameFormatter.Usage.REFERRING;
        }
        String str = length.toString().toLowerCase() + f.f14027b + usage.toString().toLowerCase() + f.f14027b + formality.toString().toLowerCase();
        if (!set.contains(PersonNameFormatter.Options.SORTING)) {
            ICUResourceBundle Z0 = iCUResourceBundle.Z0("personNames/namePattern/givenFirst-" + str);
            ICUResourceBundle Z02 = iCUResourceBundle.Z0("personNames/namePattern/surnameFirst-" + str);
            this.f14721b = c.c(a(Z0), this);
            this.f14722c = c.c(a(Z02), this);
            HashSet hashSet2 = new HashSet();
            this.f14723d = hashSet2;
            Collections.addAll(hashSet2, a(iCUResourceBundle.Z0("personNames/nameOrderLocales/givenFirst")));
            HashSet hashSet3 = new HashSet();
            this.f14724e = hashSet3;
            Collections.addAll(hashSet3, a(iCUResourceBundle.Z0("personNames/nameOrderLocales/surnameFirst")));
            return;
        }
        this.f14721b = c.c(a(iCUResourceBundle.Z0("personNames/namePattern/sorting-" + str)), this);
        this.f14722c = null;
        this.f14723d = null;
        this.f14724e = null;
    }

    private String[] a(ICUResourceBundle iCUResourceBundle) {
        if (iCUResourceBundle.B() == 0) {
            return new String[]{iCUResourceBundle.y()};
        } else if (iCUResourceBundle.B() == 8) {
            return iCUResourceBundle.A();
        } else {
            throw new IllegalStateException("Unsupported resource type " + iCUResourceBundle.B());
        }
    }

    private c c(c[] cVarArr, PersonName personName) {
        if (cVarArr.length == 1) {
            return cVarArr[0];
        }
        int i2 = Integer.MAX_VALUE;
        c cVar = null;
        int i3 = 0;
        for (c cVar2 : cVarArr) {
            int e2 = cVar2.e(personName);
            int d2 = cVar2.d(personName);
            if (e2 > i3) {
                cVar = cVar2;
                i3 = e2;
            } else {
                if (e2 == i3 && d2 < i2) {
                    cVar = cVar2;
                }
            }
            i2 = d2;
        }
        return cVar;
    }

    private Locale i(PersonName personName) {
        Locale a2 = personName.a();
        if (a2 != null) {
            return a2;
        }
        int f2 = UScript.f(ULocale.addLikelySubtags(ULocale.forLocale(this.f14720a)).getScript());
        String b2 = personName.b(PersonName.NameField.GIVEN, new HashSet());
        int i2 = 0;
        int i3 = -1;
        while (i3 == -1 && i2 < b2.length()) {
            int j2 = UScript.j(b2.charAt(i2));
            if (!(j2 == 0 || j2 == 1)) {
                i3 = j2;
            }
            i2++;
        }
        if (f2 == i3) {
            return this.f14720a;
        }
        return new Locale(ULocale.addLikelySubtags(new ULocale("und_" + UScript.l(i3))).getLanguage());
    }

    private boolean l(PersonName personName) {
        String b2 = personName.b(PersonName.NameField.PREFERRED_ORDER, new HashSet());
        if (b2 == null) {
            String locale = i(personName).toString();
            while (!this.f14723d.contains(locale)) {
                if (this.f14724e.contains(locale)) {
                    return false;
                }
                int lastIndexOf = locale.lastIndexOf(com.ibm.icu.impl.locale.b.f14006b);
                if (lastIndexOf >= 0) {
                    locale = locale.substring(0, lastIndexOf);
                } else {
                    locale = "root";
                }
                if (locale.equals("root")) {
                    return true;
                }
            }
            return true;
        } else if (b2.equals("givenFirst")) {
            return true;
        } else {
            if (b2.equals("surnameFirst")) {
                return false;
            }
            throw new IllegalArgumentException("Illegal preferredOrder value " + b2);
        }
    }

    private boolean m(String str, Locale locale) {
        int[] e2 = UScript.e(locale);
        int i2 = 0;
        int i3 = 0;
        while (i2 == 0 && i3 < str.length()) {
            i2 = UScript.j(str.charAt(i3));
            i3++;
        }
        for (int i4 : e2) {
            if (i4 == i2) {
                return true;
            }
        }
        return false;
    }

    public String b(PersonName personName) {
        Locale i2 = i(personName);
        boolean z = !this.o.contains(i2.getLanguage());
        if (!this.j && z) {
            String b2 = new b(i2, this.k, this.l, this.m, this.n).b(personName);
            return (this.i.equals(Padder.f14124a) || !m(b2, this.f14720a)) ? b2 : b2.replace(Padder.f14124a, this.i);
        } else if (this.f14722c == null || l(personName)) {
            return c(this.f14721b, personName).b(personName);
        } else {
            return c(this.f14722c, personName).b(personName);
        }
    }

    public PersonNameFormatter.Formality d() {
        return this.m;
    }

    public String e() {
        return this.f;
    }

    public String f() {
        return this.g;
    }

    public PersonNameFormatter.Length g() {
        return this.k;
    }

    public Locale h() {
        return this.f14720a;
    }

    public Set<PersonNameFormatter.Options> j() {
        return this.n;
    }

    public PersonNameFormatter.Usage k() {
        return this.l;
    }

    public boolean n() {
        return this.h;
    }

    public b(Locale locale, String[] strArr) {
        this.o = new HashSet(Arrays.asList("ja", "zh", "th", "yue", "km", "lo"));
        this.f14722c = null;
        this.f14723d = null;
        this.f14724e = null;
        this.k = PersonNameFormatter.Length.MEDIUM;
        this.l = PersonNameFormatter.Usage.REFERRING;
        this.m = PersonNameFormatter.Formality.FORMAL;
        this.n = Collections.emptySet();
        this.f = "{0}.";
        this.g = "{0} {1}";
        this.h = false;
        this.i = Padder.f14124a;
        this.j = true;
        this.f14720a = locale;
        this.f14721b = c.c(strArr, this);
    }
}
