package com.ibm.icu.lang;

import com.ibm.icu.impl.l;
import com.ibm.icu.impl.p;
import com.ibm.icu.text.UnicodeSet;
import com.ibm.icu.util.CodePointMap;
import com.ibm.icu.util.CodePointTrie;
import com.ibm.icu.util.u;

/* compiled from: CharacterProperties */
public final class b {

    /* renamed from: a  reason: collision with root package name */
    private static final UnicodeSet[] f14803a = new UnicodeSet[72];

    /* renamed from: b  reason: collision with root package name */
    private static final CodePointMap[] f14804b = new CodePointMap[25];

    private b() {
    }

    public static final UnicodeSet a(int i) {
        UnicodeSet unicodeSet;
        if (i < 0 || 72 <= i) {
            throw new IllegalArgumentException("" + i + " is not a constant for a UProperty binary property");
        }
        UnicodeSet[] unicodeSetArr = f14803a;
        synchronized (unicodeSetArr) {
            unicodeSet = unicodeSetArr[i];
            if (unicodeSet == null) {
                unicodeSet = d(i);
                unicodeSetArr[i] = unicodeSet;
            }
        }
        return unicodeSet;
    }

    public static final CodePointMap b(int i) {
        CodePointMap codePointMap;
        if (i < 4096 || 4121 <= i) {
            throw new IllegalArgumentException("" + i + " is not a constant for a UProperty int property");
        }
        CodePointMap[] codePointMapArr = f14804b;
        synchronized (codePointMapArr) {
            int i2 = i - 4096;
            codePointMap = codePointMapArr[i2];
            if (codePointMap == null) {
                codePointMap = c(i);
                codePointMapArr[i2] = codePointMap;
            }
        }
        return codePointMap;
    }

    private static CodePointMap c(int i) {
        CodePointTrie.Type type;
        CodePointTrie.ValueWidth valueWidth;
        int i2 = i == 4106 ? 103 : 0;
        u uVar = new u(i2, i2);
        UnicodeSet b2 = l.b(i);
        int q1 = b2.q1();
        int i3 = i2;
        int i4 = 0;
        for (int i5 = 0; i5 < q1; i5++) {
            int r1 = b2.r1(i5);
            for (int s1 = b2.s1(i5); s1 <= r1; s1++) {
                int K = c.K(s1, i);
                if (i3 != K) {
                    if (i3 != i2) {
                        uVar.V(i4, s1 - 1, i3);
                    }
                    i4 = s1;
                    i3 = K;
                }
            }
        }
        if (i3 != 0) {
            uVar.V(i4, 1114111, i3);
        }
        if (i == 4096 || i == 4101) {
            type = CodePointTrie.Type.FAST;
        } else {
            type = CodePointTrie.Type.SMALL;
        }
        int I = c.I(i);
        if (I <= 255) {
            valueWidth = CodePointTrie.ValueWidth.BITS_8;
        } else if (I <= 65535) {
            valueWidth = CodePointTrie.ValueWidth.BITS_16;
        } else {
            valueWidth = CodePointTrie.ValueWidth.BITS_32;
        }
        return uVar.u(type, valueWidth);
    }

    private static UnicodeSet d(int i) {
        UnicodeSet unicodeSet = new UnicodeSet();
        if (65 <= i && i <= 71) {
            p.m.b(i, unicodeSet);
            if (!(i == 65 || i == 71)) {
                return unicodeSet.freeze();
            }
        }
        UnicodeSet b2 = l.b(i);
        int q1 = b2.q1();
        int i2 = -1;
        for (int i3 = 0; i3 < q1; i3++) {
            int r1 = b2.r1(i3);
            for (int s1 = b2.s1(i3); s1 <= r1; s1++) {
                if (c.d0(s1, i)) {
                    if (i2 < 0) {
                        i2 = s1;
                    }
                } else if (i2 >= 0) {
                    unicodeSet.E(i2, s1 - 1);
                    i2 = -1;
                }
            }
        }
        if (i2 >= 0) {
            unicodeSet.E(i2, 1114111);
        }
        return unicodeSet.freeze();
    }
}
