package com.ibm.icu.lang;

import com.ibm.icu.impl.IllegalIcuArgumentException;
import com.ibm.icu.impl.a2;
import com.ibm.icu.impl.b2;
import com.ibm.icu.impl.e2;
import com.ibm.icu.impl.h2;
import com.ibm.icu.impl.i2;
import com.ibm.icu.impl.j2;
import com.ibm.icu.impl.u1;
import com.ibm.icu.lang.f;
import com.ibm.icu.text.Normalizer2;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.a0;
import com.ibm.icu.util.k0;
import com.ibm.icu.util.l0;
import java.lang.Character;
import java.lang.ref.SoftReference;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;

/* compiled from: UCharacter */
public final class c implements f.a, f.b {
    private static final int A0 = -1024;
    private static final int A1 = 21313;
    private static final int B0 = -1024;
    private static final int B1 = 25342;
    private static final int C0 = 55296;
    private static final int C1 = 30334;
    private static final int D0 = 56320;
    private static final int D1 = 20336;
    private static final int E0 = 56613888;
    private static final int E1 = 21315;
    public static final int F0 = 0;
    private static final int F1 = 20191;
    public static final int G0 = 1114111;
    private static final int G1 = 33356;
    public static final int H0 = 65536;
    private static final int H1 = 20740;
    public static final int I0 = 65533;
    public static final double J0 = -1.23456789E8d;
    public static final int K0 = 2;
    public static final int L0 = 36;
    public static final int M0 = 256;
    public static final int N0 = 512;
    public static final int O0 = 0;
    public static final int P0 = 1;
    public static final char Q0 = 55296;
    public static final char R0 = 56319;
    public static final char S0 = 56320;
    public static final char T0 = 57343;
    public static final char U0 = 55296;
    public static final char V0 = 57343;
    public static final int W0 = 65536;
    public static final int X0 = 1114111;
    public static final int Y0 = 0;
    private static final int Z0 = 65535;
    private static final int a1 = 160;
    private static final int b1 = 8199;
    private static final int c1 = 8239;
    private static final int d1 = 12295;
    private static final int e1 = 19968;
    private static final int f1 = 20108;
    private static final int g1 = 19977;
    private static final int h1 = 22235;
    private static final int i1 = 20116;
    private static final int j1 = 20845;
    private static final int k1 = 19971;
    private static final int l1 = 20843;
    private static final int m1 = 20061;
    private static final int n1 = 159;
    private static final int o1 = 31;
    private static final int p1 = 127;
    private static final int q1 = 38646;
    private static final int r1 = 22777;
    private static final int s1 = 36019;
    private static final int t1 = 21443;
    private static final int u1 = 32902;
    private static final int v1 = 20237;
    private static final int w1 = 38520;
    private static final int x1 = 26578;
    private static final int y1 = 25420;
    private static final int z1 = 29590;

    /* compiled from: UCharacter */
    public interface b {

        /* renamed from: a  reason: collision with root package name */
        public static final int f14805a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f14806b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f14807c = 2;
        @Deprecated

        /* renamed from: d  reason: collision with root package name */
        public static final int f14808d = 3;
    }

    /* renamed from: com.ibm.icu.lang.c$c  reason: collision with other inner class name */
    /* compiled from: UCharacter */
    public interface AbstractC0307c {

        /* renamed from: a  reason: collision with root package name */
        public static final int f14809a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f14810b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f14811c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f14812d = 3;

        /* renamed from: e  reason: collision with root package name */
        public static final int f14813e = 4;
        public static final int f = 5;
        public static final int g = 6;
        public static final int h = 7;
        public static final int i = 8;
        public static final int j = 9;
        public static final int k = 10;
        public static final int l = 11;
        public static final int m = 12;
        public static final int n = 13;
        public static final int o = 14;
        public static final int p = 15;
        public static final int q = 16;
        public static final int r = 17;
        @Deprecated
        public static final int s = 18;
    }

    /* compiled from: UCharacter */
    private static final class d implements k0 {
        private d() {
        }

        @Override // com.ibm.icu.util.k0
        public void a() {
        }

        @Override // com.ibm.icu.util.k0
        public boolean b(k0.a aVar) {
            return false;
        }

        @Override // com.ibm.icu.util.k0
        public void c(int i, int i2) {
        }
    }

    /* compiled from: UCharacter */
    public interface e {

        /* renamed from: a  reason: collision with root package name */
        public static final int f14814a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f14815b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f14816c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f14817d = 3;

        /* renamed from: e  reason: collision with root package name */
        public static final int f14818e = 4;
        public static final int f = 5;
        @Deprecated
        public static final int g = 6;
    }

    /* compiled from: UCharacter */
    public interface f {

        /* renamed from: a  reason: collision with root package name */
        public static final int f14819a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f14820b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f14821c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f14822d = 3;

        /* renamed from: e  reason: collision with root package name */
        public static final int f14823e = 4;
        public static final int f = 5;
        public static final int g = 6;
        public static final int h = 7;
        public static final int i = 8;
        public static final int j = 9;
        public static final int k = 10;
        public static final int l = 11;
        public static final int m = 12;
        public static final int n = 13;
        public static final int o = 14;
        public static final int p = 15;
        public static final int q = 16;
        public static final int r = 17;
        @Deprecated
        public static final int s = 18;
    }

    /* compiled from: UCharacter */
    public interface g {

        /* renamed from: a  reason: collision with root package name */
        public static final int f14824a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f14825b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f14826c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f14827d = 3;

        /* renamed from: e  reason: collision with root package name */
        public static final int f14828e = 4;
        public static final int f = 5;
        @Deprecated
        public static final int g = 6;
    }

    /* compiled from: UCharacter */
    public interface h {

        /* renamed from: a  reason: collision with root package name */
        public static final int f14829a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f14830b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f14831c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f14832d = 3;

        /* renamed from: e  reason: collision with root package name */
        public static final int f14833e = 4;
        public static final int f = 5;
        public static final int g = 6;
        public static final int h = 7;
        public static final int i = 8;
        public static final int j = 9;
        public static final int k = 10;
        public static final int l = 11;
        public static final int m = 12;
        public static final int n = 13;
        public static final int o = 14;
        public static final int p = 15;
    }

    /* compiled from: UCharacter */
    public interface i {
        public static final int A = 26;
        public static final int B = 27;
        public static final int C = 28;
        public static final int D = 29;
        public static final int E = 30;
        public static final int F = 31;
        public static final int G = 32;
        public static final int H = 33;
        public static final int I = 34;
        public static final int J = 35;

        /* renamed from: a  reason: collision with root package name */
        public static final int f14834a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f14835b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f14836c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f14837d = 3;

        /* renamed from: e  reason: collision with root package name */
        public static final int f14838e = 4;
        public static final int f = 5;
        public static final int g = 6;
        public static final int h = 7;
        public static final int i = 8;
        public static final int j = 9;
        public static final int k = 10;
        public static final int l = 11;
        public static final int m = 12;
        public static final int n = 13;
        public static final int o = 14;
        public static final int p = 15;
        public static final int q = 16;
        public static final int r = 17;
        public static final int s = 18;
        public static final int t = 19;
        public static final int u = 20;
        public static final int v = 21;
        public static final int w = 22;
        public static final int x = 23;
        public static final int y = 24;
        public static final int z = 25;
    }

    /* compiled from: UCharacter */
    public interface j {
        public static final int A = 25;
        public static final int A0 = 77;
        public static final int B = 26;
        public static final int B0 = 78;
        public static final int C = 27;
        public static final int C0 = 79;
        public static final int D = 28;
        public static final int D0 = 80;
        public static final int E = 29;
        public static final int E0 = 81;
        public static final int F = 30;
        public static final int F0 = 82;
        public static final int G = 31;
        public static final int G0 = 83;
        public static final int H = 32;
        public static final int H0 = 84;
        public static final int I = 33;
        public static final int I0 = 85;
        public static final int J = 34;
        public static final int J0 = 86;
        public static final int K = 35;
        public static final int K0 = 87;
        public static final int L = 36;
        public static final int L0 = 88;
        public static final int M = 37;
        public static final int M0 = 89;
        public static final int N = 38;
        public static final int N0 = 90;
        public static final int O = 39;
        public static final int O0 = 91;
        public static final int P = 40;
        public static final int P0 = 92;
        public static final int Q = 41;
        public static final int Q0 = 93;
        public static final int R = 42;
        public static final int R0 = 94;
        public static final int S = 43;
        public static final int S0 = 95;
        public static final int T = 44;
        public static final int T0 = 96;
        public static final int U = 45;
        public static final int U0 = 97;
        public static final int V = 46;
        public static final int V0 = 98;
        public static final int W = 47;
        public static final int W0 = 99;
        public static final int X = 48;
        public static final int X0 = 100;
        public static final int Y = 49;
        public static final int Y0 = 101;
        public static final int Z = 50;
        public static final int Z0 = 102;

        /* renamed from: a  reason: collision with root package name */
        public static final int f14839a = 0;
        public static final int a0 = 51;
        public static final int a1 = 103;

        /* renamed from: b  reason: collision with root package name */
        public static final int f14840b = 1;
        public static final int b0 = 52;
        @Deprecated
        public static final int b1 = 104;

        /* renamed from: c  reason: collision with root package name */
        public static final int f14841c = 2;
        public static final int c0 = 53;

        /* renamed from: d  reason: collision with root package name */
        public static final int f14842d = 3;
        public static final int d0 = 54;

        /* renamed from: e  reason: collision with root package name */
        public static final int f14843e = 4;
        public static final int e0 = 55;
        public static final int f = 5;
        public static final int f0 = 56;
        public static final int g = 6;
        public static final int g0 = 57;
        public static final int h = 7;
        public static final int h0 = 58;
        public static final int i = 8;
        public static final int i0 = 59;
        public static final int j = 9;
        public static final int j0 = 60;
        public static final int k = 10;
        public static final int k0 = 61;
        public static final int l = 11;
        public static final int l0 = 62;
        public static final int m = 12;
        public static final int m0 = 63;
        public static final int n = 13;
        public static final int n0 = 64;
        public static final int o = 14;
        public static final int o0 = 65;
        public static final int p = 14;
        public static final int p0 = 66;
        public static final int q = 15;
        public static final int q0 = 67;
        public static final int r = 16;
        public static final int r0 = 68;
        public static final int s = 17;
        public static final int s0 = 69;
        public static final int t = 18;
        public static final int t0 = 70;
        public static final int u = 19;
        public static final int u0 = 71;
        public static final int v = 20;
        public static final int v0 = 72;
        public static final int w = 21;
        public static final int w0 = 73;
        public static final int x = 22;
        public static final int x0 = 74;
        public static final int y = 23;
        public static final int y0 = 75;
        public static final int z = 24;
        public static final int z0 = 76;
    }

    /* compiled from: UCharacter */
    public interface k {

        /* renamed from: a  reason: collision with root package name */
        public static final int f14844a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f14845b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f14846c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f14847d = 3;

        /* renamed from: e  reason: collision with root package name */
        public static final int f14848e = 4;
        public static final int f = 5;
        @Deprecated
        public static final int g = 6;
    }

    /* compiled from: UCharacter */
    public interface l {
        public static final int A = 25;
        public static final int B = 26;
        public static final int C = 27;
        public static final int D = 28;
        public static final int E = 29;
        public static final int F = 30;
        public static final int G = 31;
        public static final int H = 32;
        public static final int I = 33;
        public static final int J = 34;
        public static final int K = 35;
        public static final int L = 36;
        public static final int M = 37;
        public static final int N = 38;
        public static final int O = 39;
        public static final int P = 40;
        public static final int Q = 41;
        public static final int R = 42;
        @Deprecated
        public static final int S = 43;

        /* renamed from: a  reason: collision with root package name */
        public static final int f14849a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f14850b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f14851c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f14852d = 3;

        /* renamed from: e  reason: collision with root package name */
        public static final int f14853e = 4;
        public static final int f = 5;
        public static final int g = 6;
        public static final int h = 7;
        public static final int i = 8;
        public static final int j = 9;
        public static final int k = 10;
        public static final int l = 11;
        public static final int m = 12;
        public static final int n = 13;
        public static final int o = 14;
        public static final int p = 15;
        public static final int q = 15;
        public static final int r = 16;
        public static final int s = 17;
        public static final int t = 18;
        public static final int u = 19;
        public static final int v = 20;
        public static final int w = 21;
        public static final int x = 22;
        public static final int y = 23;
        public static final int z = 24;
    }

    /* compiled from: UCharacter */
    public interface m {

        /* renamed from: a  reason: collision with root package name */
        public static final int f14854a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f14855b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f14856c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f14857d = 3;
        @Deprecated

        /* renamed from: e  reason: collision with root package name */
        public static final int f14858e = 4;
    }

    /* compiled from: UCharacter */
    public interface n {

        /* renamed from: a  reason: collision with root package name */
        public static final int f14859a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f14860b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f14861c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f14862d = 3;

        /* renamed from: e  reason: collision with root package name */
        public static final int f14863e = 4;
        public static final int f = 5;
        public static final int g = 6;
        public static final int h = 7;
        public static final int i = 8;
        public static final int j = 9;
        public static final int k = 10;
        public static final int l = 11;
        public static final int m = 12;
        public static final int n = 13;
        public static final int o = 14;
        @Deprecated
        public static final int p = 15;
    }

    /* compiled from: UCharacter */
    private static final class o implements a0 {

        /* renamed from: a  reason: collision with root package name */
        private static final a f14864a = new a();

        /* renamed from: b  reason: collision with root package name */
        private Iterator<u1.e> f14865b;

        /* renamed from: c  reason: collision with root package name */
        private u1.e f14866c;

        /* access modifiers changed from: private */
        /* compiled from: UCharacter */
        public static final class a implements u1.h {
            private a() {
            }

            @Override // com.ibm.icu.impl.u1.h
            public int a(int i) {
                return i & 31;
            }
        }

        o() {
            a();
        }

        @Override // com.ibm.icu.util.a0
        public void a() {
            this.f14865b = h2.f13853a.x1.q(f14864a);
        }

        @Override // com.ibm.icu.util.a0
        public boolean b(a0.a aVar) {
            if (!this.f14865b.hasNext()) {
                return false;
            }
            u1.e next = this.f14865b.next();
            this.f14866c = next;
            if (next.f14545d) {
                return false;
            }
            aVar.f16089a = next.f14542a;
            aVar.f16090b = next.f14543b + 1;
            aVar.f16091c = next.f14544c;
            return true;
        }
    }

    /* compiled from: UCharacter */
    public static final class p extends Character.Subset {
        public static final int A = 26;
        public static final int A0 = 78;
        public static final int A1 = 128;
        public static final int A2 = 180;
        public static final int A3 = 232;
        public static final int A4 = 284;
        public static final p A5 = new p("SPACING_MODIFIER_LETTERS", 6);
        public static final p A6 = new p("CJK_RADICALS_SUPPLEMENT", 58);
        public static final p A7 = new p("VARIATION_SELECTORS", 108);
        public static final p A8 = new p("CYRILLIC_EXTENDED_B", 160);
        public static final p A9 = new p("CHAKMA", g3);
        public static final p Aa = new p("BHAIKSUKI", g4);
        public static final p Ab = new p("TANGSA", 316);
        public static final int B = 27;
        public static final int B0 = 78;
        public static final int B1 = 129;
        public static final int B2 = 181;
        public static final int B3 = 233;
        public static final int B4 = 285;
        public static final p B5 = new p("COMBINING_DIACRITICAL_MARKS", 7);
        public static final p B6 = new p("KANGXI_RADICALS", 59);
        public static final p B7 = new p("SUPPLEMENTARY_PRIVATE_USE_AREA_A", 109);
        public static final p B8 = new p("SAURASHTRA", 161);
        public static final p B9 = new p("MEETEI_MAYEK_EXTENSIONS", h3);
        public static final p Ba = new p("CYRILLIC_EXTENDED_C", h4);
        public static final p Bb = new p("TOTO", 317);
        public static final int C = 28;
        public static final int C0 = 79;
        public static final int C1 = 130;
        public static final int C2 = 182;
        public static final int C3 = 234;
        public static final int C4 = 286;
        public static final p C5 = new p("GREEK", 8);
        public static final p C6 = new p("IDEOGRAPHIC_DESCRIPTION_CHARACTERS", 60);
        public static final p C7 = new p("SUPPLEMENTARY_PRIVATE_USE_AREA_B", 110);
        public static final p C8 = new p("KAYAH_LI", 162);
        public static final p C9 = new p("MEROITIC_CURSIVE", i3);
        public static final p Ca = new p("GLAGOLITIC_SUPPLEMENT", i4);
        public static final p Cb = new p("UNIFIED_CANADIAN_ABORIGINAL_SYLLABICS_EXTENDED_A", 318);
        public static final int D = 29;
        public static final int D0 = 80;
        public static final int D1 = 131;
        public static final int D2 = 183;
        public static final int D3 = 235;
        public static final int D4 = 287;
        public static final p D5 = new p("CYRILLIC", 9);
        public static final p D6 = new p("CJK_SYMBOLS_AND_PUNCTUATION", 61);
        public static final p D7 = new p("LIMBU", 111);
        public static final p D8 = new p("REJANG", 163);
        public static final p D9 = new p("MEROITIC_HIEROGLYPHS", j3);
        public static final p Da = new p("IDEOGRAPHIC_SYMBOLS_AND_PUNCTUATION", j4);
        public static final p Db = new p("VITHKUQI", j5);
        public static final int E = 30;
        public static final int E0 = 81;
        public static final int E1 = 132;
        public static final int E2 = 184;
        public static final int E3 = 236;
        public static final int E4 = 288;
        public static final p E5 = new p("ARMENIAN", 10);
        public static final p E6 = new p("HIRAGANA", 62);
        public static final p E7 = new p("TAI_LE", 112);
        public static final p E8 = new p("CHAM", 164);
        public static final p E9 = new p("MIAO", k3);
        public static final p Ea = new p("MARCHEN", k4);
        public static final p Eb = new p("ZNAMENNY_MUSICAL_NOTATION", k5);
        public static final int F = 31;
        public static final int F0 = 82;
        public static final int F1 = 133;
        public static final int F2 = 185;
        public static final int F3 = 237;
        public static final int F4 = 289;
        public static final p F5 = new p("HEBREW", 11);
        public static final p F6 = new p("KATAKANA", 63);
        public static final p F7 = new p("KHMER_SYMBOLS", 113);
        public static final p F8 = new p("ANCIENT_SYMBOLS", 165);
        public static final p F9 = new p("SHARADA", l3);
        public static final p Fa = new p("MONGOLIAN_SUPPLEMENT", l4);
        public static final p Fb = new p("ARABIC_EXTENDED_C", l5);
        public static final int G = 32;
        public static final int G0 = 83;
        public static final int G1 = 134;
        public static final int G2 = 186;
        public static final int G3 = 238;
        public static final int G4 = 290;
        public static final p G5 = new p("ARABIC", 12);
        public static final p G6 = new p("BOPOMOFO", 64);
        public static final p G7 = new p("PHONETIC_EXTENSIONS", 114);
        public static final p G8 = new p("PHAISTOS_DISC", 166);
        public static final p G9 = new p("SORA_SOMPENG", m3);
        public static final p Ga = new p("NEWA", 270);
        public static final p Gb = new p("CJK_UNIFIED_IDEOGRAPHS_EXTENSION_H", m5);
        public static final int H = 33;
        public static final int H0 = 84;
        public static final int H1 = 135;
        public static final int H2 = 187;
        public static final int H3 = 239;
        public static final int H4 = 291;
        public static final p H5 = new p("SYRIAC", 13);
        public static final p H6 = new p("HANGUL_COMPATIBILITY_JAMO", 65);
        public static final p H7 = new p("MISCELLANEOUS_SYMBOLS_AND_ARROWS", 115);
        public static final p H8 = new p("LYCIAN", 167);
        public static final p H9 = new p("SUNDANESE_SUPPLEMENT", n3);
        public static final p Ha = new p("OSAGE", n4);
        public static final p Hb = new p("CYRILLIC_EXTENDED_D", n5);
        public static final int I = 34;
        public static final int I0 = 85;
        public static final int I1 = 136;
        public static final int I2 = 188;
        public static final int I3 = 240;
        public static final int I4 = 292;
        public static final p I5 = new p("THAANA", 14);
        public static final p I6 = new p("KANBUN", 66);
        public static final p I7 = new p("YIJING_HEXAGRAM_SYMBOLS", 116);
        public static final p I8 = new p("CARIAN", 168);
        public static final p I9 = new p("TAKRI", o3);
        public static final p Ia = new p("TANGUT", o4);
        public static final p Ib = new p("DEVANAGARI_EXTENDED_A", o5);
        public static final int J = 35;
        public static final int J0 = 86;
        public static final int J1 = 137;
        public static final int J2 = 189;
        public static final int J3 = 241;
        public static final int J4 = 293;
        public static final p J5 = new p("DEVANAGARI", 15);
        public static final p J6 = new p("BOPOMOFO_EXTENDED", 67);
        public static final p J7 = new p("LINEAR_B_SYLLABARY", 117);
        public static final p J8 = new p("LYDIAN", 169);
        public static final p J9 = new p("BASSA_VAH", p3);
        public static final p Ja = new p("TANGUT_COMPONENTS", p4);
        public static final p Jb = new p("KAKTOVIK_NUMERALS", p5);
        public static final int K = 36;
        public static final int K0 = 87;
        public static final int K1 = 138;
        public static final int K2 = 190;
        public static final int K3 = 242;
        public static final int K4 = 294;
        public static final p K5 = new p("BENGALI", 16);
        public static final p K6 = new p("ENCLOSED_CJK_LETTERS_AND_MONTHS", 68);
        public static final p K7 = new p("LINEAR_B_IDEOGRAMS", 118);
        public static final p K8 = new p("MAHJONG_TILES", 170);
        public static final p K9 = new p("CAUCASIAN_ALBANIAN", 222);
        public static final p Ka = new p("CJK_UNIFIED_IDEOGRAPHS_EXTENSION_F", q4);
        public static final p Kb = new p("KAWI", q5);
        public static final int L = 37;
        public static final int L0 = 88;
        public static final int L1 = 139;
        public static final int L2 = 191;
        public static final int L3 = 243;
        public static final int L4 = 295;
        public static final p L5 = new p("GURMUKHI", 17);
        public static final p L6 = new p("CJK_COMPATIBILITY", 69);
        public static final p L7 = new p("AEGEAN_NUMBERS", 119);
        public static final p L8 = new p("DOMINO_TILES", 171);
        public static final p L9 = new p("COPTIC_EPACT_NUMBERS", r3);
        public static final p La = new p("KANA_EXTENDED_A", r4);
        public static final p Lb = new p("NAG_MUNDARI", r5);
        public static final int M = 38;
        public static final int M0 = 89;
        public static final int M1 = 140;
        public static final int M2 = 192;
        public static final int M3 = 244;
        public static final int M4 = 296;
        public static final p M5 = new p("GUJARATI", 18);
        public static final p M6 = new p("CJK_UNIFIED_IDEOGRAPHS_EXTENSION_A", 70);
        public static final p M7 = new p("UGARITIC", 120);
        public static final p M8 = new p("SAMARITAN", 172);
        public static final p M9 = new p("COMBINING_DIACRITICAL_MARKS_EXTENDED", 224);
        public static final p Ma = new p("MASARAM_GONDI", s4);
        public static final p Mb = new p("INVALID_CODE", -1);
        public static final int N = 39;
        public static final int N0 = 90;
        public static final int N1 = 141;
        public static final int N2 = 193;
        public static final int N3 = 245;
        public static final int N4 = 297;
        public static final p N5 = new p("ORIYA", 19);
        public static final p N6 = new p("CJK_UNIFIED_IDEOGRAPHS", 71);
        public static final p N7 = new p("SHAVIAN", 121);
        public static final p N8 = new p("UNIFIED_CANADIAN_ABORIGINAL_SYLLABICS_EXTENDED", 173);
        public static final p N9 = new p("DUPLOYAN", 225);
        public static final p Na = new p("NUSHU", t4);
        private static SoftReference<Map<String, p>> Nb = null;
        public static final int O = 40;
        public static final int O0 = 91;
        public static final int O1 = 142;
        public static final int O2 = 194;
        public static final int O3 = 246;
        public static final int O4 = 298;
        public static final p O5 = new p("TAMIL", 20);
        public static final p O6 = new p("YI_SYLLABLES", 72);
        public static final p O7 = new p("OSMANYA", 122);
        public static final p O8 = new p("TAI_THAM", 174);
        public static final p O9 = new p("ELBASAN", 226);
        public static final p Oa = new p("SOYOMBO", u4);
        public static final int P = 41;
        public static final int P0 = 92;
        public static final int P1 = 143;
        public static final int P2 = 195;
        public static final int P3 = 247;
        public static final int P4 = 299;
        public static final p P5 = new p("TELUGU", 21);
        public static final p P6 = new p("YI_RADICALS", 73);
        public static final p P7 = new p("CYPRIOT_SYLLABARY", 123);
        public static final p P8 = new p("VEDIC_EXTENSIONS", 175);
        public static final p P9 = new p("GEOMETRIC_SHAPES_EXTENDED", 227);
        public static final p Pa = new p("SYRIAC_SUPPLEMENT", v4);
        public static final int Q = 42;
        public static final int Q0 = 93;
        public static final int Q1 = 144;
        public static final int Q2 = 196;
        public static final int Q3 = 248;
        public static final int Q4 = 300;
        public static final p Q5 = new p("KANNADA", 22);
        public static final p Q6 = new p("HANGUL_SYLLABLES", 74);
        public static final p Q7 = new p("TAI_XUAN_JING_SYMBOLS", 124);
        public static final p Q8 = new p("LISU", 176);
        public static final p Q9 = new p("GRANTHA", 228);
        public static final p Qa = new p("ZANABAZAR_SQUARE", w4);
        public static final int R = 43;
        public static final int R0 = 94;
        public static final int R1 = 145;
        public static final int R2 = 197;
        public static final int R3 = 249;
        public static final int R4 = 301;
        public static final p R5 = new p("MALAYALAM", 23);
        public static final p R6 = new p("HIGH_SURROGATES", 75);
        public static final p R7 = new p("VARIATION_SELECTORS_SUPPLEMENT", 125);
        public static final p R8 = new p("BAMUM", 177);
        public static final p R9 = new p("KHOJKI", 229);
        public static final p Ra = new p("CHESS_SYMBOLS", x4);
        public static final int S = 44;
        public static final int S0 = 95;
        public static final int S1 = 146;
        public static final int S2 = 198;
        public static final int S3 = 250;
        public static final int S4 = 302;
        public static final p S5 = new p("SINHALA", 24);
        public static final p S6 = new p("HIGH_PRIVATE_USE_SURROGATES", 76);
        public static final p S7 = new p("ANCIENT_GREEK_MUSICAL_NOTATION", 126);
        public static final p S8 = new p("COMMON_INDIC_NUMBER_FORMS", 178);
        public static final p S9 = new p("KHUDAWADI", 230);
        public static final p Sa = new p("DOGRA", y4);
        public static final int T = 45;
        public static final int T0 = 96;
        public static final int T1 = 147;
        public static final int T2 = 199;
        public static final int T3 = 251;
        public static final int T4 = 303;
        public static final p T5 = new p("THAI", 25);
        public static final p T6 = new p("LOW_SURROGATES", 77);
        public static final p T7 = new p("ANCIENT_GREEK_NUMBERS", 127);
        public static final p T8 = new p("DEVANAGARI_EXTENDED", 179);
        public static final p T9 = new p("LATIN_EXTENDED_E", 231);
        public static final p Ta = new p("GEORGIAN_EXTENDED", z4);
        public static final int U = 46;
        public static final int U0 = 97;
        public static final int U1 = 148;
        public static final int U2 = 200;
        public static final int U3 = 252;
        public static final int U4 = 304;
        public static final p U5 = new p("LAO", 26);
        public static final p U6;
        public static final p U7 = new p("ARABIC_SUPPLEMENT", 128);
        public static final p U8 = new p("HANGUL_JAMO_EXTENDED_A", 180);
        public static final p U9 = new p("LINEAR_A", 232);
        public static final p Ua = new p("GUNJALA_GONDI", A4);
        public static final int V = 47;
        public static final int V0 = 97;
        public static final int V1 = 149;
        public static final int V2 = 201;
        public static final int V3 = 253;
        public static final int V4 = 305;
        public static final p V5 = new p("TIBETAN", 27);
        public static final p V6;
        public static final p V7 = new p("BUGINESE", 129);
        public static final p V8 = new p("JAVANESE", 181);
        public static final p V9 = new p("MAHAJANI", 233);
        public static final p Va = new p("HANIFI_ROHINGYA", B4);
        public static final int W = 48;
        public static final int W0 = 98;
        public static final int W1 = 150;
        public static final int W2 = 202;
        public static final int W3 = 254;
        public static final int W4 = 306;
        public static final p W5 = new p("MYANMAR", 28);
        public static final p W6 = new p("CJK_COMPATIBILITY_IDEOGRAPHS", 79);
        public static final p W7 = new p("CJK_STROKES", 130);
        public static final p W8 = new p("MYANMAR_EXTENDED_A", 182);
        public static final p W9 = new p("MANICHAEAN", 234);
        public static final p Wa = new p("INDIC_SIYAQ_NUMBERS", C4);
        public static final int X = 49;
        public static final int X0 = 99;
        public static final int X1 = 151;
        public static final int X2 = 203;
        public static final int X3 = 255;
        public static final int X4 = 307;
        public static final p X5 = new p("GEORGIAN", 29);
        public static final p X6 = new p("ALPHABETIC_PRESENTATION_FORMS", 80);
        public static final p X7 = new p("COMBINING_DIACRITICAL_MARKS_SUPPLEMENT", 131);
        public static final p X8 = new p("TAI_VIET", 183);
        public static final p X9 = new p("MENDE_KIKAKUI", 235);
        public static final p Xa = new p("MAKASAR", D4);
        public static final int Y = 50;
        public static final int Y0 = 100;
        public static final int Y1 = 152;
        public static final int Y2 = 204;
        public static final int Y3 = 256;
        public static final int Y4 = 308;
        public static final p Y5 = new p("HANGUL_JAMO", 30);
        public static final p Y6 = new p("ARABIC_PRESENTATION_FORMS_A", 81);
        public static final p Y7 = new p("COPTIC", 132);
        public static final p Y8 = new p("MEETEI_MAYEK", 184);
        public static final p Y9 = new p("MODI", 236);
        public static final p Ya = new p("MAYAN_NUMERALS", E4);
        public static final int Z = 51;
        public static final int Z0 = 101;
        public static final int Z1 = 153;
        public static final int Z2 = 205;
        public static final int Z3 = 257;
        public static final int Z4 = 309;
        public static final p Z5 = new p("ETHIOPIC", 31);
        public static final p Z6 = new p("COMBINING_HALF_MARKS", 82);
        public static final p Z7 = new p("ETHIOPIC_EXTENDED", 133);
        public static final p Z8 = new p("HANGUL_JAMO_EXTENDED_B", 185);
        public static final p Z9 = new p("MRO", 237);
        public static final p Za = new p("MEDEFAIDRIN", F4);

        /* renamed from: a  reason: collision with root package name */
        public static final int f14867a = -1;
        public static final int a0 = 52;
        public static final int a1 = 102;
        public static final int a2 = 154;
        public static final int a3 = 206;
        public static final int a4 = 258;
        public static final int a5 = 310;
        public static final p a6 = new p("CHEROKEE", 32);
        public static final p a7 = new p("CJK_COMPATIBILITY_FORMS", 83);
        public static final p a8 = new p("ETHIOPIC_SUPPLEMENT", 134);
        public static final p a9 = new p("IMPERIAL_ARAMAIC", 186);
        public static final p aa = new p("MYANMAR_EXTENDED_B", 238);
        public static final p ab = new p("OLD_SOGDIAN", G4);

        /* renamed from: b  reason: collision with root package name */
        public static final int f14868b = 1;
        public static final int b0 = 53;
        public static final int b1 = 103;
        public static final int b2 = 155;
        public static final int b3 = 207;
        public static final int b4 = 259;
        public static final int b5 = 311;
        public static final p b6 = new p("UNIFIED_CANADIAN_ABORIGINAL_SYLLABICS", 33);
        public static final p b7 = new p("SMALL_FORM_VARIANTS", 84);
        public static final p b8 = new p("GEORGIAN_SUPPLEMENT", 135);
        public static final p b9 = new p("OLD_SOUTH_ARABIAN", 187);
        public static final p ba = new p("NABATAEAN", 239);
        public static final p bb = new p("SOGDIAN", 291);

        /* renamed from: c  reason: collision with root package name */
        public static final int f14869c = 2;
        public static final int c0 = 54;
        public static final int c1 = 104;
        public static final int c2 = 156;
        public static final int c3 = 208;
        public static final int c4 = 260;
        public static final int c5 = 312;
        public static final p c6 = new p("OGHAM", 34);
        public static final p c7 = new p("ARABIC_PRESENTATION_FORMS_B", 85);
        public static final p c8 = new p("GLAGOLITIC", 136);
        public static final p c9 = new p("AVESTAN", 188);
        public static final p ca = new p("OLD_NORTH_ARABIAN", 240);
        public static final p cb = new p("EGYPTIAN_HIEROGLYPH_FORMAT_CONTROLS", I4);

        /* renamed from: d  reason: collision with root package name */
        public static final int f14870d = 3;
        public static final int d0 = 55;
        public static final int d1 = 105;
        public static final int d2 = 157;
        public static final int d3 = 209;
        public static final int d4 = 261;
        public static final int d5 = 313;
        public static final p d6 = new p("RUNIC", 35);
        public static final p d7 = new p("SPECIALS", 86);
        public static final p d8 = new p("KHAROSHTHI", 137);
        public static final p d9 = new p("INSCRIPTIONAL_PARTHIAN", 189);
        public static final p da = new p("OLD_PERMIC", 241);
        public static final p db = new p("ELYMAIC", J4);

        /* renamed from: e  reason: collision with root package name */
        public static final int f14871e = 4;
        public static final int e0 = 56;
        public static final int e1 = 106;
        public static final int e2 = 158;
        public static final int e3 = 210;
        public static final int e4 = 262;
        public static final int e5 = 314;
        public static final p e6 = new p("KHMER", 36);
        public static final p e7 = new p("HALFWIDTH_AND_FULLWIDTH_FORMS", 87);
        public static final p e8 = new p("MODIFIER_TONE_LETTERS", 138);
        public static final p e9 = new p("INSCRIPTIONAL_PAHLAVI", 190);
        public static final p ea = new p("ORNAMENTAL_DINGBATS", 242);
        public static final p eb = new p("NANDINAGARI", K4);
        public static final int f = 5;
        public static final int f0 = 57;
        public static final int f1 = 107;
        public static final int f2 = 159;
        public static final int f3 = 211;
        public static final int f4 = 263;
        public static final int f5 = 315;
        public static final p f6 = new p("MONGOLIAN", 37);
        public static final p f7 = new p("OLD_ITALIC", 88);
        public static final p f8 = new p("NEW_TAI_LUE", 139);
        public static final p f9 = new p("OLD_TURKIC", 191);
        public static final p fa = new p("PAHAWH_HMONG", L3);
        public static final p fb = new p("NYIAKENG_PUACHUE_HMONG", L4);
        public static final int g = 6;
        public static final int g0 = 58;
        public static final int g1 = 108;
        public static final int g2 = 160;
        public static final int g3 = 212;
        public static final int g4 = 264;
        public static final int g5 = 316;
        public static final p g6 = new p("LATIN_EXTENDED_ADDITIONAL", 38);
        public static final p g7 = new p("GOTHIC", 89);
        public static final p g8 = new p("OLD_PERSIAN", 140);
        public static final p g9 = new p("RUMI_NUMERAL_SYMBOLS", 192);
        public static final p ga = new p("PALMYRENE", 244);
        public static final p gb = new p("OTTOMAN_SIYAQ_NUMBERS", M4);
        public static final int h = 7;
        public static final int h0 = 59;
        public static final int h1 = 109;
        public static final int h2 = 161;
        public static final int h3 = 213;
        public static final int h4 = 265;
        public static final int h5 = 317;
        public static final p h6 = new p("GREEK_EXTENDED", 39);
        public static final p h7 = new p("DESERET", 90);
        public static final p h8 = new p("PHONETIC_EXTENSIONS_SUPPLEMENT", 141);
        public static final p h9 = new p("KAITHI", 193);
        public static final p ha = new p("PAU_CIN_HAU", N3);
        public static final p hb = new p("SMALL_KANA_EXTENSION", N4);
        public static final int i = 8;
        public static final int i0 = 60;
        public static final int i1 = 110;
        public static final int i2 = 162;
        public static final int i3 = 214;
        public static final int i4 = 266;
        public static final int i5 = 318;
        public static final p i6 = new p("GENERAL_PUNCTUATION", 40);
        public static final p i7 = new p("BYZANTINE_MUSICAL_SYMBOLS", 91);
        public static final p i8 = new p("SUPPLEMENTAL_PUNCTUATION", 142);
        public static final p i9 = new p("EGYPTIAN_HIEROGLYPHS", 194);
        public static final p ia = new p("PSALTER_PAHLAVI", O3);
        public static final p ib = new p("SYMBOLS_AND_PICTOGRAPHS_EXTENDED_A", O4);
        public static final int j = 9;
        public static final int j0 = 61;
        public static final int j1 = 111;
        public static final int j2 = 163;
        public static final int j3 = 215;
        public static final int j4 = 267;
        public static final int j5 = 319;
        public static final p j6 = new p("SUPERSCRIPTS_AND_SUBSCRIPTS", 41);
        public static final p j7 = new p("MUSICAL_SYMBOLS", 92);
        public static final p j8 = new p("SYLOTI_NAGRI", 143);
        public static final p j9 = new p("ENCLOSED_ALPHANUMERIC_SUPPLEMENT", 195);
        public static final p ja = new p("SHORTHAND_FORMAT_CONTROLS", P3);
        public static final p jb = new p("TAMIL_SUPPLEMENT", P4);
        public static final int k = 10;
        public static final int k0 = 62;
        public static final int k1 = 112;
        public static final int k2 = 164;
        public static final int k3 = 216;
        public static final int k4 = 268;
        public static final int k5 = 320;
        public static final p k6 = new p("CURRENCY_SYMBOLS", 42);
        public static final p k7 = new p("MATHEMATICAL_ALPHANUMERIC_SYMBOLS", 93);
        public static final p k8 = new p("TIFINAGH", 144);
        public static final p k9 = new p("ENCLOSED_IDEOGRAPHIC_SUPPLEMENT", 196);
        public static final p ka = new p("SIDDHAM", Q3);
        public static final p kb = new p("WANCHO", 300);
        public static final int l = 11;
        public static final int l0 = 63;
        public static final int l1 = 113;
        public static final int l2 = 165;
        public static final int l3 = 217;
        public static final int l4 = 269;
        public static final int l5 = 321;
        public static final p l6 = new p("COMBINING_MARKS_FOR_SYMBOLS", 43);
        public static final p l7 = new p("CJK_UNIFIED_IDEOGRAPHS_EXTENSION_B", 94);
        public static final p l8 = new p("VERTICAL_FORMS", 145);
        public static final p l9 = new p("CJK_UNIFIED_IDEOGRAPHS_EXTENSION_C", 197);
        public static final p la = new p("SINHALA_ARCHAIC_NUMBERS", 249);
        public static final p lb = new p("CHORASMIAN", 301);
        public static final int m = 12;
        public static final int m0 = 64;
        public static final int m1 = 114;
        public static final int m2 = 166;
        public static final int m3 = 218;
        public static final int m4 = 270;
        public static final int m5 = 322;
        public static final p m6 = new p("LETTERLIKE_SYMBOLS", 44);
        public static final p m7 = new p("CJK_COMPATIBILITY_IDEOGRAPHS_SUPPLEMENT", 95);
        public static final p m8 = new p("NKO", 146);
        public static final p m9 = new p("MANDAIC", 198);
        public static final p ma = new p("SUPPLEMENTAL_ARROWS_C", 250);
        public static final p mb = new p("CJK_UNIFIED_IDEOGRAPHS_EXTENSION_G", 302);
        public static final int n = 13;
        public static final int n0 = 65;
        public static final int n1 = 115;
        public static final int n2 = 167;
        public static final int n3 = 219;
        public static final int n4 = 271;
        public static final int n5 = 323;
        public static final p n6 = new p("NUMBER_FORMS", 45);
        public static final p n7 = new p("TAGS", 96);
        public static final p n8 = new p("BALINESE", 147);
        public static final p n9 = new p("BATAK", 199);
        public static final p na = new p("TIRHUTA", 251);
        public static final p nb = new p("DIVES_AKURU", 303);
        public static final int o = 14;
        public static final int o0 = 66;
        public static final int o1 = 116;
        public static final int o2 = 168;
        public static final int o3 = 220;
        public static final int o4 = 272;
        public static final int o5 = 324;
        public static final p o6 = new p("ARROWS", 46);
        public static final p o7 = new p("CYRILLIC_SUPPLEMENTARY", 97);
        public static final p o8 = new p("LATIN_EXTENDED_C", 148);
        public static final p o9 = new p("ETHIOPIC_EXTENDED_A", 200);
        public static final p oa = new p("WARANG_CITI", 252);
        public static final p ob = new p("KHITAN_SMALL_SCRIPT", 304);
        public static final int p = 15;
        public static final int p0 = 67;
        public static final int p1 = 117;
        public static final int p2 = 169;
        public static final int p3 = 221;
        public static final int p4 = 273;
        public static final int p5 = 325;
        public static final p p6 = new p("MATHEMATICAL_OPERATORS", 47);
        public static final p p7 = new p("CYRILLIC_SUPPLEMENT", 97);
        public static final p p8 = new p("LATIN_EXTENDED_D", 149);
        public static final p p9 = new p("BRAHMI", V2);
        public static final p pa = new p("AHOM", 253);
        public static final p pb = new p("LISU_SUPPLEMENT", 305);
        public static final int q = 16;
        public static final int q0 = 68;
        public static final int q1 = 118;
        public static final int q2 = 170;
        public static final int q3 = 222;
        public static final int q4 = 274;
        public static final int q5 = 326;
        public static final p q6 = new p("MISCELLANEOUS_TECHNICAL", 48);
        public static final p q7 = new p("TAGALOG", 98);
        public static final p q8 = new p("PHAGS_PA", 150);
        public static final p q9 = new p("BAMUM_SUPPLEMENT", W2);
        public static final p qa = new p("ANATOLIAN_HIEROGLYPHS", 254);
        public static final p qb = new p("SYMBOLS_FOR_LEGACY_COMPUTING", 306);
        public static final int r = 17;
        public static final int r0 = 69;
        public static final int r1 = 119;
        public static final int r2 = 171;
        public static final int r3 = 223;
        public static final int r4 = 275;
        public static final int r5 = 327;
        public static final p r6 = new p("CONTROL_PICTURES", 49);
        public static final p r7 = new p("HANUNOO", 99);
        public static final p r8 = new p("PHOENICIAN", 151);
        public static final p r9 = new p("KANA_SUPPLEMENT", X2);
        public static final p ra = new p("CHEROKEE_SUPPLEMENT", 255);
        public static final p rb = new p("TANGUT_SUPPLEMENT", 307);
        public static final int s = 18;
        public static final int s0 = 70;
        public static final int s1 = 120;
        public static final int s2 = 172;
        public static final int s3 = 224;
        public static final int s4 = 276;
        @Deprecated
        public static final int s5 = 328;
        public static final p s6 = new p("OPTICAL_CHARACTER_RECOGNITION", 50);
        public static final p s7 = new p("BUHID", 100);
        public static final p s8 = new p("CUNEIFORM", 152);
        public static final p s9 = new p("PLAYING_CARDS", Y2);
        public static final p sa = new p("CJK_UNIFIED_IDEOGRAPHS_EXTENSION_E", 256);
        public static final p sb = new p("YEZIDI", 308);
        public static final int t = 19;
        public static final int t0 = 71;
        public static final int t1 = 121;
        public static final int t2 = 173;
        public static final int t3 = 225;
        public static final int t4 = 277;
        private static final p[] t5 = new p[s5];
        public static final p t6 = new p("ENCLOSED_ALPHANUMERICS", 51);
        public static final p t7 = new p("TAGBANWA", 101);
        public static final p t8 = new p("CUNEIFORM_NUMBERS_AND_PUNCTUATION", 153);
        public static final p t9 = new p("MISCELLANEOUS_SYMBOLS_AND_PICTOGRAPHS", Z2);
        public static final p ta = new p("EARLY_DYNASTIC_CUNEIFORM", 257);
        public static final p tb = new p("ARABIC_EXTENDED_B", 309);
        public static final int u = 20;
        public static final int u0 = 72;
        public static final int u1 = 122;
        public static final int u2 = 174;
        public static final int u3 = 226;
        public static final int u4 = 278;
        public static final p u5 = new p("NO_BLOCK", 0);
        public static final p u6 = new p("BOX_DRAWING", 52);
        public static final p u7 = new p("MISCELLANEOUS_MATHEMATICAL_SYMBOLS_A", 102);
        public static final p u8 = new p("COUNTING_ROD_NUMERALS", 154);
        public static final p u9 = new p("EMOTICONS", a3);
        public static final p ua = new p("HATRAN", 258);
        public static final p ub = new p("CYPRO_MINOAN", 310);
        public static final int v = 21;
        public static final int v0 = 73;
        public static final int v1 = 123;
        public static final int v2 = 175;
        public static final int v3 = 227;
        public static final int v4 = 279;
        public static final p v5 = new p("BASIC_LATIN", 1);
        public static final p v6 = new p("BLOCK_ELEMENTS", 53);
        public static final p v7 = new p("SUPPLEMENTAL_ARROWS_A", 103);
        public static final p v8 = new p("SUNDANESE", 155);
        public static final p v9 = new p("TRANSPORT_AND_MAP_SYMBOLS", b3);
        public static final p va = new p("MULTANI", 259);
        public static final p vb = new p("ETHIOPIC_EXTENDED_B", 311);
        public static final int w = 22;
        public static final int w0 = 74;
        public static final int w1 = 124;
        public static final int w2 = 176;
        public static final int w3 = 228;
        public static final int w4 = 280;
        public static final p w5 = new p("LATIN_1_SUPPLEMENT", 2);
        public static final p w6 = new p("GEOMETRIC_SHAPES", 54);
        public static final p w7 = new p("SUPPLEMENTAL_ARROWS_B", 104);
        public static final p w8 = new p("LEPCHA", 156);
        public static final p w9 = new p("ALCHEMICAL_SYMBOLS", c3);
        public static final p wa = new p("OLD_HUNGARIAN", c4);
        public static final p wb = new p("KANA_EXTENDED_B", 312);
        public static final int x = 23;
        public static final int x0 = 75;
        public static final int x1 = 125;
        public static final int x2 = 177;
        public static final int x3 = 229;
        public static final int x4 = 281;
        public static final p x5 = new p("LATIN_EXTENDED_A", 3);
        public static final p x6 = new p("MISCELLANEOUS_SYMBOLS", 55);
        public static final p x7 = new p("MISCELLANEOUS_MATHEMATICAL_SYMBOLS_B", 105);
        public static final p x8 = new p("OL_CHIKI", 157);
        public static final p x9 = new p("CJK_UNIFIED_IDEOGRAPHS_EXTENSION_D", d3);
        public static final p xa = new p("SUPPLEMENTAL_SYMBOLS_AND_PICTOGRAPHS", d4);
        public static final p xb = new p("LATIN_EXTENDED_F", 313);
        public static final int y = 24;
        public static final int y0 = 76;
        public static final int y1 = 126;
        public static final int y2 = 178;
        public static final int y3 = 230;
        public static final int y4 = 282;
        public static final p y5 = new p("LATIN_EXTENDED_B", 4);
        public static final p y6 = new p("DINGBATS", 56);
        public static final p y7 = new p("SUPPLEMENTAL_MATHEMATICAL_OPERATORS", 106);
        public static final p y8 = new p("CYRILLIC_EXTENDED_A", 158);
        public static final p y9 = new p("ARABIC_EXTENDED_A", e3);
        public static final p ya = new p("SUTTON_SIGNWRITING", e4);
        public static final p yb = new p("LATIN_EXTENDED_G", 314);
        public static final int z = 25;
        public static final int z0 = 77;
        public static final int z1 = 127;
        public static final int z2 = 179;
        public static final int z3 = 231;
        public static final int z4 = 283;
        public static final p z5 = new p("IPA_EXTENSIONS", 5);
        public static final p z6 = new p("BRAILLE_PATTERNS", 57);
        public static final p z7 = new p("KATAKANA_PHONETIC_EXTENSIONS", 107);
        public static final p z8 = new p("VAI", 159);
        public static final p z9 = new p("ARABIC_MATHEMATICAL_ALPHABETIC_SYMBOLS", f3);
        public static final p za = new p("ADLAM", f4);
        public static final p zb = new p("OLD_UYGHUR", 315);
        private int Ob;

        static {
            p pVar = new p("PRIVATE_USE_AREA", 78);
            U6 = pVar;
            V6 = pVar;
            for (int i10 = 0; i10 < 328; i10++) {
                if (t5[i10] == null) {
                    throw new IllegalStateException("UnicodeBlock.BLOCKS_[" + i10 + "] not initialized");
                }
            }
        }

        private p(String str, int i10) {
            super(str);
            this.Ob = i10;
            if (i10 >= 0) {
                t5[i10] = this;
            }
        }

        public static final p a(String str) {
            SoftReference<Map<String, p>> softReference = Nb;
            Map<String, p> map = softReference != null ? softReference.get() : null;
            if (map == null) {
                map = new HashMap<>(t5.length);
                int i10 = 0;
                while (true) {
                    p[] pVarArr = t5;
                    if (i10 >= pVarArr.length) {
                        break;
                    }
                    p pVar = pVarArr[i10];
                    map.put(e(c.X(4097, pVar.b(), 1)), pVar);
                    i10++;
                }
                Nb = new SoftReference<>(map);
            }
            p pVar2 = map.get(e(str));
            if (pVar2 != null) {
                return pVar2;
            }
            throw new IllegalArgumentException();
        }

        public static p c(int i10) {
            if (i10 >= 0) {
                p[] pVarArr = t5;
                if (i10 < pVarArr.length) {
                    return pVarArr[i10];
                }
            }
            return Mb;
        }

        public static p d(int i10) {
            if (i10 > 1114111) {
                return Mb;
            }
            return c(h2.f13853a.k(i10, 4097));
        }

        private static String e(String str) {
            String upperCase = str.toUpperCase(Locale.ENGLISH);
            StringBuilder sb2 = new StringBuilder(upperCase.length());
            for (int i10 = 0; i10 < upperCase.length(); i10++) {
                char charAt = upperCase.charAt(i10);
                if (!(charAt == ' ' || charAt == '_' || charAt == '-')) {
                    sb2.append(charAt);
                }
            }
            return sb2.toString();
        }

        public int b() {
            return this.Ob;
        }
    }

    /* compiled from: UCharacter */
    public interface q {

        /* renamed from: a  reason: collision with root package name */
        public static final int f14872a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f14873b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f14874c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f14875d = 3;
    }

    /* compiled from: UCharacter */
    public interface r {

        /* renamed from: a  reason: collision with root package name */
        public static final int f14876a = 0;

        /* renamed from: b  reason: collision with root package name */
        public static final int f14877b = 1;

        /* renamed from: c  reason: collision with root package name */
        public static final int f14878c = 2;

        /* renamed from: d  reason: collision with root package name */
        public static final int f14879d = 3;

        /* renamed from: e  reason: collision with root package name */
        public static final int f14880e = 4;
        public static final int f = 5;
        public static final int g = 6;
        public static final int h = 7;
        public static final int i = 8;
        public static final int j = 9;
        public static final int k = 10;
        public static final int l = 11;
        public static final int m = 12;
        public static final int n = 13;
        public static final int o = 14;
        public static final int p = 15;
        public static final int q = 16;
        public static final int r = 17;
        public static final int s = 18;
        public static final int t = 19;
        public static final int u = 20;
        public static final int v = 21;
        public static final int w = 22;
        @Deprecated
        public static final int x = 23;
    }

    private c() {
    }

    public static int A(int i2) {
        return Normalizer2.g().c(i2);
    }

    public static boolean A0(int i2) {
        return i2 >= 65536 && i2 <= 1114111;
    }

    private static int B() {
        return b2.g(Locale.getDefault());
    }

    public static final boolean B0(int i2) {
        return Character.isSupplementaryCodePoint(i2);
    }

    public static int C(int i2) {
        return a2.z.b(i2);
    }

    public static final boolean C0(int i2, int i3) {
        return j0(i2) && u0(i3);
    }

    public static byte D(int i2) {
        return (byte) C(i2);
    }

    public static boolean D0(int i2) {
        return Z(i2) == 3;
    }

    public static String E(int i2) {
        return e2.f13786a.K(i2, 2);
    }

    public static boolean E0(int i2) {
        return d0(i2, 0);
    }

    public static k0 F() {
        return new g(e2.f13786a, 2);
    }

    public static boolean F0(int i2) {
        return d0(i2, 22);
    }

    public static int G(int i2) {
        switch (i2) {
            case d1 /*{ENCODED_INT: 12295}*/:
            case q1 /*{ENCODED_INT: 38646}*/:
                return 0;
            case e1 /*{ENCODED_INT: 19968}*/:
            case r1 /*{ENCODED_INT: 22777}*/:
                return 1;
            case k1 /*{ENCODED_INT: 19971}*/:
            case x1 /*{ENCODED_INT: 26578}*/:
                return 7;
            case g1 /*{ENCODED_INT: 19977}*/:
            case t1 /*{ENCODED_INT: 21443}*/:
                return 3;
            case m1 /*{ENCODED_INT: 20061}*/:
            case z1 /*{ENCODED_INT: 29590}*/:
                return 9;
            case f1 /*{ENCODED_INT: 20108}*/:
            case s1 /*{ENCODED_INT: 36019}*/:
                return 2;
            case i1 /*{ENCODED_INT: 20116}*/:
            case v1 /*{ENCODED_INT: 20237}*/:
                return 5;
            case F1 /*{ENCODED_INT: 20191}*/:
            case E1 /*{ENCODED_INT: 21315}*/:
                return 1000;
            case D1 /*{ENCODED_INT: 20336}*/:
            case C1 /*{ENCODED_INT: 30334}*/:
                return 100;
            case H1 /*{ENCODED_INT: 20740}*/:
                return 100000000;
            case l1 /*{ENCODED_INT: 20843}*/:
            case y1 /*{ENCODED_INT: 25420}*/:
                return 8;
            case j1 /*{ENCODED_INT: 20845}*/:
            case w1 /*{ENCODED_INT: 38520}*/:
                return 6;
            case A1 /*{ENCODED_INT: 21313}*/:
            case B1 /*{ENCODED_INT: 25342}*/:
                return 10;
            case h1 /*{ENCODED_INT: 22235}*/:
            case u1 /*{ENCODED_INT: 32902}*/:
                return 4;
            case G1 /*{ENCODED_INT: 33356}*/:
                return 10000;
            default:
                return -1;
        }
    }

    public static boolean G0(int i2) {
        return d0(i2, 30);
    }

    @Deprecated
    public static String H(int i2) {
        return null;
    }

    public static boolean H0(int i2) {
        return d0(i2, 31);
    }

    public static int I(int i2) {
        return h2.f13853a.j(i2);
    }

    public static boolean I0(int i2) {
        if (((1 << Z(i2)) & 4196222) != 0 || l0(i2)) {
            return true;
        }
        return false;
    }

    public static int J(int i2) {
        return 0;
    }

    public static boolean J0(int i2) {
        return ((1 << Z(i2)) & 1086) != 0;
    }

    public static int K(int i2, int i3) {
        return h2.f13853a.k(i2, i3);
    }

    public static boolean K0(int i2) {
        return Z(i2) == 1;
    }

    public static int L(int i2) {
        return a2.z.h(i2);
    }

    public static final boolean L0(int i2) {
        return i2 >= 0 && i2 <= 1114111;
    }

    public static String M(int i2) {
        return e2.f13786a.K(i2, 0);
    }

    public static boolean M0(int i2) {
        if (((1 << Z(i2)) & 28672) != 0 && i2 != 160 && i2 != b1 && i2 != c1) {
            return true;
        }
        if (i2 < 9 || i2 > 13) {
            return i2 >= 28 && i2 <= 31;
        }
        return true;
    }

    public static String N(String str, String str2) {
        int i2 = 0;
        if (str.length() == 1) {
            return M(str.charAt(0));
        }
        StringBuilder sb = new StringBuilder();
        while (i2 < str.length()) {
            int codePointAt = str.codePointAt(i2);
            if (i2 != 0) {
                sb.append(str2);
            }
            sb.append(M(codePointAt));
            i2 += Character.charCount(codePointAt);
        }
        return sb.toString();
    }

    public static int N0(CharSequence charSequence, int i2, int i3) {
        if (i2 < 0 || i2 > charSequence.length()) {
            throw new IndexOutOfBoundsException("index ( " + i2 + ") out of range 0, " + charSequence.length());
        }
        if (i3 >= 0) {
            int length = charSequence.length();
            while (true) {
                i3--;
                if (i3 < 0) {
                    break;
                }
                int i4 = i2 + 1;
                char charAt = charSequence.charAt(i2);
                while (charAt >= 55296 && charAt <= 56319 && i4 < length) {
                    int i5 = i4 + 1;
                    char charAt2 = charSequence.charAt(i4);
                    if ((charAt2 < 56320 || charAt2 > 57343) && i3 - 1 < 0) {
                        return i5 - 1;
                    }
                    i4 = i5;
                    charAt = charAt2;
                }
                i2 = i4;
            }
        } else {
            while (true) {
                i3++;
                if (i3 > 0) {
                    break;
                }
                i2--;
                char charAt3 = charSequence.charAt(i2);
                while (charAt3 >= 56320 && charAt3 <= 57343 && i2 > 0) {
                    i2--;
                    charAt3 = charSequence.charAt(i2);
                    if ((charAt3 < 55296 || charAt3 > 56319) && (i3 = i3 + 1) > 0) {
                        return i2 + 1;
                    }
                }
            }
        }
        return i2;
    }

    @Deprecated
    public static String O(int i2) {
        return null;
    }

    public static int O0(char[] cArr, int i2, int i3, int i4, int i5) {
        int i6 = i3 + i2;
        if (i2 < 0 || i6 < i2 || i6 > cArr.length || i4 < i2 || i4 > i6) {
            throw new IndexOutOfBoundsException("index ( " + i4 + ") out of range " + i2 + ", " + i6 + " in array 0, " + cArr.length);
        }
        if (i5 >= 0) {
            while (true) {
                i5--;
                if (i5 < 0) {
                    break;
                }
                int i7 = i4 + 1;
                char c2 = cArr[i4];
                if (i7 <= i6) {
                    while (c2 >= 55296 && c2 <= 56319 && i7 < i6) {
                        int i8 = i7 + 1;
                        char c3 = cArr[i7];
                        if ((c3 < 56320 || c3 > 57343) && i5 - 1 < 0) {
                            return i8 - 1;
                        }
                        c2 = c3;
                        i7 = i8;
                    }
                    i4 = i7;
                } else {
                    throw new IndexOutOfBoundsException("index ( " + i7 + ") > limit (" + i6 + ")");
                }
            }
        } else {
            while (true) {
                i5++;
                if (i5 > 0) {
                    break;
                }
                i4--;
                char c4 = cArr[i4];
                if (i4 >= i2) {
                    while (c4 >= 56320 && c4 <= 57343 && i4 > i2) {
                        i4--;
                        c4 = cArr[i4];
                        if ((c4 < 55296 || c4 > 56319) && (i5 = i5 + 1) > 0) {
                            return i4 + 1;
                        }
                    }
                } else {
                    throw new IndexOutOfBoundsException("index ( " + i4 + ") < start (" + i2 + ")");
                }
            }
        }
        return i4;
    }

    @Deprecated
    public static k0 P() {
        return new d();
    }

    public static final int P0(int i2, char[] cArr, int i3) {
        return Character.toChars(i2, cArr, i3);
    }

    public static String Q(int i2) {
        return e2.f13786a.K(i2, 3);
    }

    public static final char[] Q0(int i2) {
        return Character.toChars(i2);
    }

    public static k0 R() {
        return new g(e2.f13786a, 0);
    }

    public static final int R0(int i2, int i3) {
        return ((i2 << 10) + i3) - E0;
    }

    public static int S(int i2) {
        return h2.f13853a.o(i2);
    }

    public static int S0(int i2) {
        return b2.f0.K(i2);
    }

    public static int T(CharSequence charSequence) {
        int g2 = j2.g.g(charSequence);
        if (g2 != -1) {
            return g2;
        }
        throw new IllegalIcuArgumentException("Invalid name: " + ((Object) charSequence));
    }

    public static String T0(ULocale uLocale, String str) {
        return com.ibm.icu.impl.h.q(s(uLocale), 0, str);
    }

    public static String U(int i2, int i3) {
        return j2.g.h(i2, i3);
    }

    public static String U0(String str) {
        return com.ibm.icu.impl.h.q(B(), 0, str);
    }

    public static int V(int i2, CharSequence charSequence) {
        int j2 = j2.g.j(i2, charSequence);
        if (j2 != -1) {
            return j2;
        }
        throw new IllegalIcuArgumentException("Invalid name: " + ((Object) charSequence));
    }

    public static String V0(Locale locale, String str) {
        return com.ibm.icu.impl.h.q(t(locale), 0, str);
    }

    @Deprecated
    public static int W(int i2, CharSequence charSequence) {
        return j2.g.k(i2, charSequence);
    }

    public static String W0(int i2) {
        if (i2 < 0 || i2 > 1114111) {
            return null;
        }
        if (i2 < 65536) {
            return String.valueOf((char) i2);
        }
        return new String(Character.toChars(i2));
    }

    public static String X(int i2, int i3, int i4) {
        if ((i2 != 4098 && i2 != 4112 && i2 != 4113) || i3 < J(4098) || i3 > I(4098) || i4 < 0 || i4 >= 2) {
            return j2.g.l(i2, i3, i4);
        }
        try {
            return j2.g.l(i2, i3, i4);
        } catch (IllegalArgumentException unused) {
            return null;
        }
    }

    public static int X0(int i2) {
        return b2.f0.L(i2);
    }

    @Deprecated
    public static String Y(int i2, int i3, int i4) {
        if ((i2 >= 0 && i2 < 72) || (i2 >= 4096 && i2 < 4121)) {
            return X(i2, K(i3, i2), i4);
        }
        if (i2 == 12288) {
            return String.valueOf(b0(i3));
        }
        switch (i2) {
            case 16384:
                return q(i3).toString();
            case h.g1:
                return W0(L(i3));
            case 16386:
                return W0(m(i3, true));
            case h.i1:
                return H(i3);
            case h.j1:
                return W0(S0(i3));
            case h.k1:
                return M(i3);
            case h.l1:
                return W0(m(i3, true));
            case h.m1:
                return W0(S0(i3));
            case h.n1:
                return W0(X0(i3));
            case h.o1:
                return W0(d1(i3));
            case h.p1:
                return W0(X0(i3));
            case h.q1:
                return O(i3);
            case h.r1:
                return W0(d1(i3));
            default:
                throw new IllegalArgumentException("Illegal Property Enum");
        }
    }

    public static String Y0(ULocale uLocale, String str, com.ibm.icu.text.i iVar) {
        return Z0(uLocale, str, iVar, 0);
    }

    public static int Z(int i2) {
        return h2.f13853a.r(i2);
    }

    public static String Z0(ULocale uLocale, String str, com.ibm.icu.text.i iVar, int i2) {
        if (iVar == null && uLocale == null) {
            uLocale = ULocale.getDefault();
        }
        com.ibm.icu.text.i j2 = com.ibm.icu.impl.h.j(uLocale, i2, iVar);
        j2.R(str);
        return com.ibm.icu.impl.h.s(s(uLocale), i2, j2, str);
    }

    public static int a(int i2) {
        return Character.charCount(i2);
    }

    public static a0 a0() {
        return new o();
    }

    public static String a1(String str, com.ibm.icu.text.i iVar) {
        return c1(Locale.getDefault(), str, iVar, 0);
    }

    public static final int b(CharSequence charSequence, int i2) {
        int i3 = i2 + 1;
        char charAt = charSequence.charAt(i2);
        if (j0(charAt) && i3 < charSequence.length()) {
            char charAt2 = charSequence.charAt(i3);
            if (u0(charAt2)) {
                return R0(charAt, charAt2);
            }
        }
        return charAt;
    }

    public static double b0(int i2) {
        return h2.f13853a.s(i2);
    }

    public static String b1(Locale locale, String str, com.ibm.icu.text.i iVar) {
        return c1(locale, str, iVar, 0);
    }

    public static final int c(char[] cArr, int i2) {
        int i3 = i2 + 1;
        char c2 = cArr[i2];
        if (j0(c2) && i3 < cArr.length) {
            char c3 = cArr[i3];
            if (u0(c3)) {
                return R0(c2, c3);
            }
        }
        return c2;
    }

    public static l0 c0() {
        return h2.f13853a.y1;
    }

    public static String c1(Locale locale, String str, com.ibm.icu.text.i iVar, int i2) {
        if (iVar == null && locale == null) {
            locale = Locale.getDefault();
        }
        com.ibm.icu.text.i k2 = com.ibm.icu.impl.h.k(locale, i2, iVar);
        k2.R(str);
        return com.ibm.icu.impl.h.s(t(locale), i2, k2, str);
    }

    public static final int d(char[] cArr, int i2, int i3) {
        if (i2 >= i3 || i3 > cArr.length) {
            throw new IndexOutOfBoundsException();
        }
        int i4 = i2 + 1;
        char c2 = cArr[i2];
        if (j0(c2) && i4 < i3) {
            char c3 = cArr[i4];
            if (u0(c3)) {
                return R0(c2, c3);
            }
        }
        return c2;
    }

    public static boolean d0(int i2, int i3) {
        return h2.f13853a.t(i2, i3);
    }

    public static int d1(int i2) {
        return b2.f0.M(i2);
    }

    public static final int e(CharSequence charSequence, int i2) {
        int i3 = i2 - 1;
        char charAt = charSequence.charAt(i3);
        if (u0(charAt) && i3 > 0) {
            char charAt2 = charSequence.charAt(i3 - 1);
            if (j0(charAt2)) {
                return R0(charAt2, charAt);
            }
        }
        return charAt;
    }

    public static boolean e0(CharSequence charSequence, int i2) {
        int length = charSequence.length();
        if (length == 1) {
            return d0(charSequence.charAt(0), i2);
        }
        if (length == 2) {
            int codePointAt = Character.codePointAt(charSequence, 0);
            if (Character.charCount(codePointAt) == length) {
                return d0(codePointAt, i2);
            }
        }
        if (65 > i2 || i2 > 71 || !com.ibm.icu.impl.p.m.e(charSequence, i2)) {
            return false;
        }
        return true;
    }

    public static String e1(ULocale uLocale, String str) {
        return com.ibm.icu.impl.h.u(s(uLocale), 0, str);
    }

    public static final int f(char[] cArr, int i2) {
        int i3 = i2 - 1;
        char c2 = cArr[i3];
        if (u0(c2) && i3 > 0) {
            char c3 = cArr[i3 - 1];
            if (j0(c3)) {
                return R0(c3, c2);
            }
        }
        return c2;
    }

    public static boolean f0(int i2) {
        return i2 >= 0 && i2 <= 65535;
    }

    public static String f1(String str) {
        return com.ibm.icu.impl.h.u(B(), 0, str);
    }

    public static final int g(char[] cArr, int i2, int i3) {
        if (i2 <= i3 || i3 < 0) {
            throw new IndexOutOfBoundsException();
        }
        int i4 = i2 - 1;
        char c2 = cArr[i4];
        if (u0(c2) && i4 > i3) {
            char c3 = cArr[i4 - 1];
            if (j0(c3)) {
                return R0(c3, c2);
            }
        }
        return c2;
    }

    public static boolean g0(int i2) {
        int Z = Z(i2);
        return Z == 9 || Z == 11 || Z == 10 || Z == 1 || Z == 2 || Z == 3 || Z == 4 || Z == 5 || Z == 6 || Z == 7 || Z == 8;
    }

    public static String g1(Locale locale, String str) {
        return com.ibm.icu.impl.h.u(t(locale), 0, str);
    }

    public static int h(CharSequence charSequence, int i2, int i3) {
        if (i2 < 0 || i3 < i2 || i3 > charSequence.length()) {
            throw new IndexOutOfBoundsException("start (" + i2 + ") or limit (" + i3 + ") invalid or out of range 0, " + charSequence.length());
        }
        int i4 = i3 - i2;
        while (i3 > i2) {
            i3--;
            char charAt = charSequence.charAt(i3);
            while (true) {
                if (charAt < 56320 || charAt > 57343 || i3 <= i2) {
                    break;
                }
                i3--;
                charAt = charSequence.charAt(i3);
                if (charAt >= 55296 && charAt <= 56319) {
                    i4--;
                    break;
                }
            }
        }
        return i4;
    }

    public static boolean h0(int i2) {
        return Z(i2) != 0;
    }

    public static int i(char[] cArr, int i2, int i3) {
        if (i2 < 0 || i3 < i2 || i3 > cArr.length) {
            throw new IndexOutOfBoundsException("start (" + i2 + ") or limit (" + i3 + ") invalid or out of range 0, " + cArr.length);
        }
        int i4 = i3 - i2;
        while (i3 > i2) {
            i3--;
            char c2 = cArr[i3];
            while (true) {
                if (c2 < 56320 || c2 > 57343 || i3 <= i2) {
                    break;
                }
                i3--;
                c2 = cArr[i3];
                if (c2 >= 55296 && c2 <= 56319) {
                    i4--;
                    break;
                }
            }
        }
        return i4;
    }

    public static boolean i0(int i2) {
        return Z(i2) == 9;
    }

    public static int j(int i2) {
        return h2.f13853a.f(i2);
    }

    public static boolean j0(int i2) {
        return (i2 & -1024) == 55296;
    }

    public static int k(int i2, int i3) {
        if (2 > i3 || i3 > 36) {
            return -1;
        }
        int j2 = j(i2);
        if (j2 < 0) {
            j2 = h2.i(i2);
        }
        if (j2 < i3) {
            return j2;
        }
        return -1;
    }

    public static boolean k0(int i2) {
        return i2 >= 0 && i2 <= 159 && (i2 <= 31 || i2 >= 127);
    }

    public static int l(int i2, int i3) {
        return b2.f0.d(i2, i3);
    }

    public static boolean l0(int i2) {
        if (i2 <= 159) {
            return k0(i2) && (i2 < 9 || i2 > 13) && (i2 < 28 || i2 > 31);
        }
        if (Z(i2) == 16) {
            return true;
        }
        return false;
    }

    public static int m(int i2, boolean z) {
        return l(i2, !z ? 1 : 0);
    }

    public static boolean m0(int i2) {
        return Character.isJavaIdentifierPart((char) i2);
    }

    public static final String n(String str, int i2) {
        return com.ibm.icu.impl.h.i(i2, str);
    }

    public static boolean n0(int i2) {
        return Character.isJavaIdentifierStart((char) i2);
    }

    public static String o(String str, boolean z) {
        return n(str, !z ? 1 : 0);
    }

    @Deprecated
    public static boolean o0(int i2) {
        return n0(i2);
    }

    public static char p(int i2, int i3) {
        return Character.forDigit(i2, i3);
    }

    @Deprecated
    public static boolean p0(int i2) {
        return m0(i2);
    }

    public static l0 q(int i2) {
        if (i2 >= 0 && i2 <= 1114111) {
            return h2.f13853a.h(i2);
        }
        throw new IllegalArgumentException("Codepoint out of bounds");
    }

    public static boolean q0(int i2) {
        if (i2 < 0) {
            return false;
        }
        if (i2 < 55296) {
            return true;
        }
        return i2 > 57343 && !i2.c(i2) && i2 <= 1114111;
    }

    public static int r(int i2) {
        return a2.z.m(i2);
    }

    public static boolean r0(String str) {
        int length = str.length();
        int i2 = 0;
        while (i2 < length) {
            int codePointAt = str.codePointAt(i2);
            if (!q0(codePointAt)) {
                return false;
            }
            i2 += Character.charCount(codePointAt);
        }
        return true;
    }

    private static int s(ULocale uLocale) {
        if (uLocale == null) {
            uLocale = ULocale.getDefault();
        }
        return b2.e(uLocale);
    }

    public static boolean s0(int i2) {
        return ((1 << Z(i2)) & 62) != 0;
    }

    private static int t(Locale locale) {
        if (locale == null) {
            locale = Locale.getDefault();
        }
        return b2.g(locale);
    }

    public static boolean t0(int i2) {
        return ((1 << Z(i2)) & 574) != 0;
    }

    public static int u(String str) {
        return e2.f13786a.q(2, str);
    }

    public static boolean u0(int i2) {
        return (i2 & -1024) == 56320;
    }

    public static int v(String str) {
        return e2.f13786a.q(0, str);
    }

    public static boolean v0(int i2) {
        return Z(i2) == 2;
    }

    @Deprecated
    public static int w(String str) {
        return -1;
    }

    public static boolean w0(int i2) {
        return a2.z.q(i2);
    }

    public static int x(String str) {
        return e2.f13786a.q(3, str);
    }

    public static boolean x0(int i2) {
        int Z = Z(i2);
        return (Z == 0 || Z == 15 || Z == 16 || Z == 17 || Z == 18 || Z == 0) ? false : true;
    }

    public static int y(char c2) {
        if (q0(c2)) {
            return c2;
        }
        throw new IllegalArgumentException("Illegal codepoint");
    }

    @Deprecated
    public static boolean y0(int i2) {
        return i2 <= 32 && (i2 == 32 || i2 == 9 || i2 == 10 || i2 == 12 || i2 == 13);
    }

    public static int z(int i2, int i3) {
        if (j0(i2) && u0(i3)) {
            return R0(i2, i3);
        }
        throw new IllegalArgumentException("Not a valid surrogate pair");
    }

    public static boolean z0(int i2) {
        return ((1 << Z(i2)) & 28672) != 0;
    }
}
