package com.ibm.icu.math;

import com.ibm.icu.lang.c;
import java.io.Serializable;
import java.math.BigInteger;
import tv.danmaku.ijk.media.player.i;

public class BigDecimal extends Number implements Serializable, Comparable<BigDecimal> {
    private static final byte I0 = -1;
    private static final int J0 = -999999999;
    private static final int K0 = 999999999;
    private static final int L0 = -999999999;
    private static final int M0 = 999999999;
    private static final MathContext N0 = new MathContext(0, 0);
    private static byte[] O0 = new byte[190];
    public static final BigDecimal ONE = new BigDecimal(1L);
    private static byte[] P0 = k();
    public static final int ROUND_CEILING = 2;
    public static final int ROUND_DOWN = 1;
    public static final int ROUND_FLOOR = 3;
    public static final int ROUND_HALF_DOWN = 5;
    public static final int ROUND_HALF_EVEN = 6;
    public static final int ROUND_HALF_UP = 4;
    public static final int ROUND_UNNECESSARY = 7;
    public static final int ROUND_UP = 0;
    public static final BigDecimal TEN = new BigDecimal(10);
    public static final BigDecimal ZERO = new BigDecimal(0L);

    /* renamed from: a  reason: collision with root package name */
    private static final byte f14906a = 1;

    /* renamed from: b  reason: collision with root package name */
    private static final byte f14907b = 0;
    private static final long serialVersionUID = 8245355804974198832L;
    private int exp;
    private byte form;
    private byte ind;
    private byte[] mant;

    public BigDecimal(java.math.BigDecimal bigDecimal) {
        this(bigDecimal.toString());
    }

    private static final boolean a(byte[] bArr, int i) {
        if (i < 0) {
            i = 0;
        }
        int length = bArr.length - 1;
        while (i <= length) {
            if (bArr[i] != 0) {
                return false;
            }
            i++;
        }
        return true;
    }

    private void b(char[] cArr) {
        throw new NumberFormatException("Not a number: " + String.valueOf(cArr));
    }

    private void g(String str, int i, String str2) {
        throw new IllegalArgumentException("Bad argument " + i + " to " + str + ": " + str2);
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:55:0x0069 */
    private static final byte[] h(byte[] bArr, int i, byte[] bArr2, int i2, int i3, boolean z) {
        byte b2;
        byte b3;
        byte[] bArr3 = bArr;
        int length = bArr3.length;
        int length2 = bArr2.length;
        int i4 = i - 1;
        int i5 = i2 - 1;
        int i6 = i5 < i4 ? i4 : i5;
        byte[] bArr4 = (!z || i6 + 1 != length) ? null : bArr3;
        if (bArr4 == null) {
            bArr4 = new byte[(i6 + 1)];
        }
        int i7 = 0;
        boolean z2 = i3 == 1 || i3 == -1;
        int i8 = i6;
        int i9 = 0;
        while (i8 >= 0) {
            if (i4 >= 0) {
                if (i4 < length) {
                    i9 += bArr3[i4];
                }
                i4--;
            }
            if (i5 >= 0) {
                if (i5 < length2) {
                    if (!z2) {
                        b3 = bArr2[i5] * i3;
                    } else if (i3 > 0) {
                        b3 = bArr2[i5];
                    } else {
                        i9 -= bArr2[i5];
                    }
                    i9 += b3 == 1 ? 1 : 0;
                }
                i5--;
            }
            if (i9 >= 10 || i9 < 0) {
                int i10 = i9 + 90;
                bArr4[i8] = P0[i10];
                b2 = O0[i10];
            } else {
                bArr4[i8] = (byte) i9;
                b2 = 0;
            }
            i8--;
            i9 = b2;
        }
        if (i9 == 0) {
            return bArr4;
        }
        if (!z || i6 + 2 != bArr3.length) {
            bArr3 = null;
        }
        if (bArr3 == null) {
            bArr3 = new byte[(i6 + 2)];
        }
        bArr3[0] = (byte) i9;
        if (i6 < 10) {
            int i11 = i6 + 1;
            while (i11 > 0) {
                int i12 = i7 + 1;
                bArr3[i12] = bArr4[i7];
                i11--;
                i7 = i12;
            }
        } else {
            System.arraycopy(bArr4, 0, bArr3, 1, i6 + 1);
        }
        return bArr3;
    }

    private void i(BigDecimal bigDecimal, int i) {
        if (i != 0) {
            byte[] bArr = this.mant;
            if (bArr.length > i && !a(bArr, i)) {
                throw new ArithmeticException("Too many digits: " + toString());
            } else if (bigDecimal != null) {
                byte[] bArr2 = bigDecimal.mant;
                if (bArr2.length > i && !a(bArr2, i)) {
                    throw new ArithmeticException("Too many digits: " + bigDecimal.toString());
                }
            }
        }
    }

    private static final BigDecimal j(BigDecimal bigDecimal) {
        BigDecimal bigDecimal2 = new BigDecimal();
        bigDecimal2.ind = bigDecimal.ind;
        bigDecimal2.exp = bigDecimal.exp;
        bigDecimal2.form = bigDecimal.form;
        bigDecimal2.mant = bigDecimal.mant;
        return bigDecimal2;
    }

    private static final byte[] k() {
        byte[] bArr = new byte[190];
        for (int i = 0; i <= 189; i++) {
            int i2 = i - 90;
            if (i2 >= 0) {
                bArr[i] = (byte) (i2 % 10);
                O0[i] = (byte) (i2 / 10);
            } else {
                int i3 = i2 + 100;
                bArr[i] = (byte) (i3 % 10);
                O0[i] = (byte) ((i3 / 10) - 10);
            }
        }
        return bArr;
    }

    private BigDecimal l(char c2, BigDecimal bigDecimal, MathContext mathContext, int i) {
        BigDecimal bigDecimal2;
        int i2;
        int i3;
        byte[] bArr;
        int i4;
        char c3;
        boolean z;
        boolean z2;
        int i5;
        int i6;
        byte b2;
        BigDecimal bigDecimal3 = bigDecimal;
        int i7 = i;
        if (mathContext.lostDigits) {
            i(bigDecimal3, mathContext.digits);
        }
        if (bigDecimal3.ind == 0) {
            throw new ArithmeticException("Divide by 0");
        } else if (this.ind != 0) {
            int i8 = mathContext.digits;
            if (i8 > 0) {
                bigDecimal2 = this.mant.length > i8 ? j(this).t(mathContext) : this;
                if (bigDecimal3.mant.length > i8) {
                    bigDecimal3 = j(bigDecimal).t(mathContext);
                }
            } else {
                if (i7 == -1) {
                    i7 = scale();
                }
                byte[] bArr2 = this.mant;
                int length = bArr2.length;
                int i9 = this.exp;
                if (i7 != (-i9)) {
                    length = length + i7 + i9;
                }
                byte[] bArr3 = bigDecimal3.mant;
                int length2 = (length - (bArr3.length - 1)) - bigDecimal3.exp;
                i8 = length2 < bArr2.length ? bArr2.length : length2;
                if (i8 < bArr3.length) {
                    i8 = bArr3.length;
                }
                bigDecimal2 = this;
            }
            int length3 = ((bigDecimal2.exp - bigDecimal3.exp) + bigDecimal2.mant.length) - bigDecimal3.mant.length;
            int i10 = 0;
            if (length3 >= 0 || c2 == 'D') {
                BigDecimal bigDecimal4 = new BigDecimal();
                bigDecimal4.ind = (byte) (bigDecimal2.ind * bigDecimal3.ind);
                bigDecimal4.exp = length3;
                int i11 = i8 + 1;
                bigDecimal4.mant = new byte[i11];
                int i12 = i8 + i8 + 1;
                byte[] n = n(bigDecimal2.mant, i12);
                byte[] bArr4 = bigDecimal3.mant;
                int i13 = (bArr4[0] * 10) + 1;
                if (bArr4.length > 1) {
                    i13 += bArr4[1];
                }
                int i14 = i13;
                int i15 = i12;
                int i16 = i15;
                int i17 = 0;
                loop0:
                while (true) {
                    i2 = i16;
                    while (true) {
                        if (i2 < i15) {
                            i3 = i14;
                            bArr = bArr4;
                            break;
                        }
                        if (i2 == i15) {
                            int i18 = i2;
                            int i19 = 0;
                            while (true) {
                                if (i18 <= 0) {
                                    bigDecimal4.mant[i17] = (byte) (i10 + 1);
                                    i17++;
                                    n[0] = 0;
                                    break loop0;
                                }
                                i3 = i14;
                                if (i19 < bArr4.length) {
                                    b2 = bArr4[i19];
                                    bArr = bArr4;
                                } else {
                                    bArr = bArr4;
                                    b2 = 0;
                                }
                                if (n[i19] < b2) {
                                    break;
                                } else if (n[i19] > b2) {
                                    i6 = n[0];
                                    break;
                                } else {
                                    i18--;
                                    i19++;
                                    bArr4 = bArr;
                                    i14 = i3;
                                }
                            }
                        } else {
                            i3 = i14;
                            bArr = bArr4;
                            i6 = n[0] * 10;
                            if (i2 > 1) {
                                i6 += n[1];
                            }
                        }
                        int i20 = (i6 * 10) / i3;
                        if (i20 == 0) {
                            i20 = 1;
                        }
                        i10 += i20;
                        n = h(n, i2, bArr, i15, -i20, true);
                        if (n[0] != 0) {
                            bArr4 = bArr;
                            i14 = i3;
                        } else {
                            int i21 = i2 - 2;
                            int i22 = i2;
                            int i23 = 0;
                            while (i23 <= i21 && n[i23] == 0) {
                                i22--;
                                i23++;
                            }
                            if (i23 != 0) {
                                System.arraycopy(n, i23, n, 0, i22);
                            }
                            i2 = i22;
                            bArr4 = bArr;
                            i14 = i3;
                        }
                    }
                    if ((i17 != 0) || (i10 != 0)) {
                        bigDecimal4.mant[i17] = (byte) i10;
                        i5 = i17 + 1;
                        if (!(i5 == i11 || n[0] == 0)) {
                            i17 = i5;
                        }
                    }
                    if ((i7 >= 0 && (-bigDecimal4.exp) > i7) || (c2 != 'D' && bigDecimal4.exp <= 0)) {
                        break;
                    }
                    bigDecimal4.exp--;
                    i15--;
                    i16 = i2;
                    bArr4 = bArr;
                    i14 = i3;
                    i10 = 0;
                }
                i17 = i5;
                if (i17 == 0) {
                    c3 = 'I';
                    i4 = 1;
                } else {
                    i4 = i17;
                    c3 = 'I';
                }
                if ((c2 == c3) || (c2 == 'R')) {
                    int i24 = bigDecimal4.exp;
                    if (i4 + i24 > i8) {
                        throw new ArithmeticException("Integer overflow");
                    } else if (c2 == 'R') {
                        if (bigDecimal4.mant[0] == 0) {
                            return j(bigDecimal2).o(mathContext, false);
                        }
                        if (n[0] == 0) {
                            return ZERO;
                        }
                        bigDecimal4.ind = bigDecimal2.ind;
                        bigDecimal4.exp = (i24 - (i12 - bigDecimal2.mant.length)) + bigDecimal2.exp;
                        for (int i25 = i2 - 1; i25 >= 1; i25--) {
                            int i26 = bigDecimal4.exp;
                            if ((!(i26 < bigDecimal2.exp) || !(i26 < bigDecimal3.exp)) || n[i25] != 0) {
                                break;
                            }
                            i2--;
                            bigDecimal4.exp = i26 + 1;
                        }
                        if (i2 < n.length) {
                            byte[] bArr5 = new byte[i2];
                            z2 = false;
                            System.arraycopy(n, 0, bArr5, 0, i2);
                            n = bArr5;
                        } else {
                            z2 = false;
                        }
                        bigDecimal4.mant = n;
                        return bigDecimal4.o(mathContext, z2);
                    }
                } else if (n[0] != 0) {
                    byte[] bArr6 = bigDecimal4.mant;
                    int i27 = i4 - 1;
                    byte b3 = bArr6[i27];
                    if (b3 % 5 == 0) {
                        bArr6[i27] = (byte) (b3 + 1);
                    }
                }
                if (i7 >= 0) {
                    byte[] bArr7 = bigDecimal4.mant;
                    if (i4 != bArr7.length) {
                        bigDecimal4.exp -= bArr7.length - i4;
                    }
                    bigDecimal4.s(bArr7.length - ((-bigDecimal4.exp) - i7), mathContext.roundingMode);
                    if (bigDecimal4.exp != (-i7)) {
                        byte[] bArr8 = bigDecimal4.mant;
                        z = true;
                        bigDecimal4.mant = n(bArr8, bArr8.length + 1);
                        bigDecimal4.exp--;
                    } else {
                        z = true;
                    }
                    return bigDecimal4.o(mathContext, z);
                }
                byte[] bArr9 = bigDecimal4.mant;
                if (i4 == bArr9.length) {
                    bigDecimal4.t(mathContext);
                } else if (bArr9[0] == 0) {
                    return ZERO;
                } else {
                    byte[] bArr10 = new byte[i4];
                    System.arraycopy(bArr9, 0, bArr10, 0, i4);
                    bigDecimal4.mant = bArr10;
                }
                return bigDecimal4.o(mathContext, true);
            } else if (c2 == 'I') {
                return ZERO;
            } else {
                return j(bigDecimal2).o(mathContext, false);
            }
        } else if (mathContext.form != 0) {
            return ZERO;
        } else {
            if (i7 == -1) {
                return this;
            }
            return setScale(i7);
        }
    }

    private static final byte[] n(byte[] bArr, int i) {
        if (bArr.length == i) {
            return bArr;
        }
        byte[] bArr2 = new byte[i];
        System.arraycopy(bArr, 0, bArr2, 0, bArr.length);
        return bArr2;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:51:0x0097, code lost:
        if (r9 <= 999999999) goto L_0x00af;
     */
    private BigDecimal o(MathContext mathContext, boolean z) {
        int i = mathContext.digits;
        if (i != 0 && this.mant.length > i) {
            t(mathContext);
        }
        boolean z2 = true;
        if (z && mathContext.form != 0) {
            int length = this.mant.length;
            int i2 = length - 1;
            while (i2 >= 1 && this.mant[i2] == 0) {
                length--;
                this.exp++;
                i2--;
            }
            byte[] bArr = this.mant;
            if (length < bArr.length) {
                byte[] bArr2 = new byte[length];
                System.arraycopy(bArr, 0, bArr2, 0, length);
                this.mant = bArr2;
            }
        }
        this.form = 0;
        int length2 = this.mant.length;
        int i3 = 0;
        while (length2 > 0) {
            byte[] bArr3 = this.mant;
            if (bArr3[i3] != 0) {
                if (i3 > 0) {
                    byte[] bArr4 = new byte[(bArr3.length - i3)];
                    System.arraycopy(bArr3, i3, bArr4, 0, bArr3.length - i3);
                    this.mant = bArr4;
                }
                int length3 = this.exp + this.mant.length;
                if (length3 > 0) {
                    int i4 = mathContext.digits;
                    if (length3 > i4 && i4 != 0) {
                        this.form = (byte) mathContext.form;
                    }
                    if (length3 - 1 <= 999999999) {
                        return this;
                    }
                } else if (length3 < -5) {
                    this.form = (byte) mathContext.form;
                }
                int i5 = length3 - 1;
                boolean z3 = i5 < -999999999;
                if (i5 <= 999999999) {
                    z2 = false;
                }
                if (z3 || z2) {
                    if (this.form == 2) {
                        int i6 = i5 % 3;
                        if (i6 < 0) {
                            i6 += 3;
                        }
                        i5 -= i6;
                        if (i5 >= -999999999) {
                        }
                    }
                    throw new ArithmeticException("Exponent Overflow: " + i5);
                }
                return this;
            }
            length2--;
            i3++;
        }
        this.ind = 0;
        if (mathContext.form != 0) {
            this.exp = 0;
        } else {
            int i7 = this.exp;
            if (i7 > 0) {
                this.exp = 0;
            } else if (i7 < -999999999) {
                throw new ArithmeticException("Exponent Overflow: " + this.exp);
            }
        }
        this.mant = ZERO.mant;
        return this;
    }

    private int p(int i, int i2) {
        int intValueExact = intValueExact();
        boolean z = true;
        boolean z2 = intValueExact < i;
        if (intValueExact <= i2) {
            z = false;
        }
        if (!z2 && !z) {
            return intValueExact;
        }
        throw new ArithmeticException("Conversion overflow: " + intValueExact);
    }

    private char[] q() {
        byte[] bArr = this.mant;
        int length = bArr.length;
        char[] cArr = new char[length];
        int length2 = bArr.length;
        int i = 0;
        while (length2 > 0) {
            cArr[i] = (char) (this.mant[i] + 48);
            length2--;
            i++;
        }
        char c2 = '-';
        if (this.form != 0) {
            StringBuilder sb = new StringBuilder(length + 15);
            if (this.ind == -1) {
                sb.append('-');
            }
            int i2 = (this.exp + length) - 1;
            if (this.form == 1) {
                sb.append(cArr[0]);
                if (length > 1) {
                    sb.append('.');
                    sb.append(cArr, 1, length - 1);
                }
            } else {
                int i3 = i2 % 3;
                if (i3 < 0) {
                    i3 += 3;
                }
                i2 -= i3;
                int i4 = i3 + 1;
                if (i4 >= length) {
                    sb.append(cArr, 0, length);
                    for (int i5 = i4 - length; i5 > 0; i5--) {
                        sb.append('0');
                    }
                } else {
                    sb.append(cArr, 0, i4);
                    sb.append('.');
                    sb.append(cArr, i4, length - i4);
                }
            }
            if (i2 != 0) {
                if (i2 < 0) {
                    i2 = -i2;
                } else {
                    c2 = '+';
                }
                sb.append('E');
                sb.append(c2);
                sb.append(i2);
            }
            char[] cArr2 = new char[sb.length()];
            int length3 = sb.length();
            if (length3 != 0) {
                sb.getChars(0, length3, cArr2, 0);
            }
            return cArr2;
        }
        int i6 = this.exp;
        if (i6 != 0) {
            int i7 = this.ind == -1 ? 1 : 0;
            int i8 = i6 + length;
            if (i8 < 1) {
                int i9 = i7 + 2;
                char[] cArr3 = new char[(i9 - i6)];
                if (i7 != 0) {
                    cArr3[0] = '-';
                }
                cArr3[i7] = '0';
                cArr3[i7 + 1] = '.';
                int i10 = -i8;
                int i11 = i9;
                while (i10 > 0) {
                    cArr3[i11] = '0';
                    i10--;
                    i11++;
                }
                System.arraycopy(cArr, 0, cArr3, i9 - i8, length);
                return cArr3;
            } else if (i8 > length) {
                char[] cArr4 = new char[(i7 + i8)];
                if (i7 != 0) {
                    cArr4[0] = '-';
                }
                System.arraycopy(cArr, 0, cArr4, i7, length);
                int i12 = i8 - length;
                int i13 = i7 + length;
                while (i12 > 0) {
                    cArr4[i13] = '0';
                    i12--;
                    i13++;
                }
                return cArr4;
            } else {
                char[] cArr5 = new char[(i7 + 1 + length)];
                if (i7 != 0) {
                    cArr5[0] = '-';
                }
                System.arraycopy(cArr, 0, cArr5, i7, i8);
                int i14 = i7 + i8;
                cArr5[i14] = '.';
                System.arraycopy(cArr, i8, cArr5, i14 + 1, length - i8);
                return cArr5;
            }
        } else if (this.ind >= 0) {
            return cArr;
        } else {
            char[] cArr6 = new char[(length + 1)];
            cArr6[0] = '-';
            System.arraycopy(cArr, 0, cArr6, 1, length);
            return cArr6;
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r12v6, types: [int] */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x0030, code lost:
        if (r4 >= 5) goto L_0x0094;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0052, code lost:
        if (a(r0, r12 + 1) == false) goto L_0x0094;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x006d, code lost:
        if ((r12[r12.length - 1] % 2) != 0) goto L_0x0094;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:36:0x0079, code lost:
        if (a(r0, r12) == false) goto L_0x0094;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:40:0x0084, code lost:
        if (a(r0, r12) == false) goto L_0x0094;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:45:0x0090, code lost:
        if (a(r0, r12) == false) goto L_0x0094;
     */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x0096  */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x00d0 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x00d1  */
    /* JADX WARNING: Unknown variable types count: 1 */
    private BigDecimal s(int i, int i2) {
        boolean z;
        byte b2;
        byte[] bArr = this.mant;
        int length = bArr.length - i;
        if (length <= 0) {
            return this;
        }
        this.exp += length;
        byte b3 = this.ind;
        if (i > 0) {
            byte[] bArr2 = new byte[i];
            this.mant = bArr2;
            System.arraycopy(bArr, 0, bArr2, 0, i);
            b2 = bArr[i];
            z = true;
        } else {
            this.mant = ZERO.mant;
            this.ind = 0;
            b2 = i == 0 ? bArr[0] : 0;
            z = false;
        }
        if (i2 != 4) {
            if (i2 == 7) {
                if (!a(bArr, i)) {
                    throw new ArithmeticException("Rounding necessary");
                }
            } else if (i2 == 5) {
                if (b2 <= 5) {
                    if (b2 == 5) {
                    }
                }
                if (b3 != 0) {
                    byte b4 = this.ind;
                    if (b4 == 0) {
                        this.mant = ONE.mant;
                        this.ind = (byte) b3;
                    } else {
                        byte b5 = b4 == -1 ? -b3 : b3;
                        byte[] bArr3 = this.mant;
                        byte[] h = h(bArr3, bArr3.length, ONE.mant, 1, b5, z);
                        int length2 = h.length;
                        byte[] bArr4 = this.mant;
                        if (length2 > bArr4.length) {
                            this.exp++;
                            System.arraycopy(h, 0, bArr4, 0, bArr4.length);
                        } else {
                            this.mant = h;
                        }
                    }
                }
                if (this.exp <= 999999999) {
                    return this;
                }
                throw new ArithmeticException("Exponent Overflow: " + this.exp);
            } else if (i2 == 6) {
                if (b2 <= 5) {
                    if (b2 == 5) {
                        if (a(bArr, i + 1)) {
                            byte[] bArr5 = this.mant;
                        }
                    }
                }
                if (b3 != 0) {
                }
                if (this.exp <= 999999999) {
                }
            } else if (i2 != 1) {
                if (i2 != 0) {
                    if (i2 == 2) {
                        if (b3 > 0) {
                        }
                    } else if (i2 != 3) {
                        throw new IllegalArgumentException("Bad round value: " + i2);
                    } else if (b3 < 0) {
                    }
                }
            }
        }
        b3 = 0;
        if (b3 != 0) {
        }
        if (this.exp <= 999999999) {
        }
    }

    private BigDecimal t(MathContext mathContext) {
        return s(mathContext.digits, mathContext.roundingMode);
    }

    public static BigDecimal valueOf(double d2) {
        return new BigDecimal(new Double(d2).toString());
    }

    public BigDecimal abs() {
        return abs(N0);
    }

    public BigDecimal add(BigDecimal bigDecimal) {
        return add(bigDecimal, N0);
    }

    public byte byteValueExact() {
        int intValueExact = intValueExact();
        boolean z = true;
        boolean z2 = intValueExact > 127;
        if (intValueExact >= -128) {
            z = false;
        }
        if (!z && !z2) {
            return (byte) intValueExact;
        }
        throw new ArithmeticException("Conversion overflow: " + toString());
    }

    public BigDecimal divide(BigDecimal bigDecimal) {
        return l('D', bigDecimal, N0, -1);
    }

    public BigDecimal divideInteger(BigDecimal bigDecimal) {
        return l('I', bigDecimal, N0, 0);
    }

    public double doubleValue() {
        return Double.valueOf(toString()).doubleValue();
    }

    public boolean equals(Object obj) {
        if (obj == null || !(obj instanceof BigDecimal)) {
            return false;
        }
        BigDecimal bigDecimal = (BigDecimal) obj;
        if (this.ind != bigDecimal.ind) {
            return false;
        }
        byte[] bArr = this.mant;
        if (((bArr.length == bigDecimal.mant.length) & (this.exp == bigDecimal.exp)) && (this.form == bigDecimal.form)) {
            int length = bArr.length;
            int i = 0;
            while (length > 0) {
                if (this.mant[i] != bigDecimal.mant[i]) {
                    return false;
                }
                length--;
                i++;
            }
        } else {
            char[] q = q();
            char[] q2 = bigDecimal.q();
            if (q.length != q2.length) {
                return false;
            }
            int length2 = q.length;
            int i2 = 0;
            while (length2 > 0) {
                if (q[i2] != q2[i2]) {
                    return false;
                }
                length2--;
                i2++;
            }
        }
        return true;
    }

    public float floatValue() {
        return Float.valueOf(toString()).floatValue();
    }

    public String format(int i, int i2) {
        return format(i, i2, -1, -1, 1, 4);
    }

    public int hashCode() {
        return toString().hashCode();
    }

    public int intValue() {
        return toBigInteger().intValue();
    }

    public int intValueExact() {
        if (this.ind == 0) {
            return 0;
        }
        byte[] bArr = this.mant;
        int length = bArr.length - 1;
        int i = this.exp;
        if (i < 0) {
            length += i;
            if (!a(bArr, length + 1)) {
                throw new ArithmeticException("Decimal part non-zero: " + toString());
            } else if (length < 0) {
                return 0;
            } else {
                i = 0;
            }
        } else if (i + length > 9) {
            throw new ArithmeticException("Conversion overflow: " + toString());
        }
        int i2 = i + length;
        int i3 = 0;
        for (int i4 = 0; i4 <= i2; i4++) {
            i3 *= 10;
            if (i4 <= length) {
                i3 += this.mant[i4];
            }
        }
        if (i2 == 9) {
            int i5 = i3 / 1000000000;
            byte[] bArr2 = this.mant;
            if (i5 != bArr2[0]) {
                if (i3 == Integer.MIN_VALUE && this.ind == -1 && bArr2[0] == 2) {
                    return i3;
                }
                throw new ArithmeticException("Conversion overflow: " + toString());
            }
        }
        return this.ind == 1 ? i3 : -i3;
    }

    public long longValue() {
        return toBigInteger().longValue();
    }

    public long longValueExact() {
        long j = 0;
        if (this.ind == 0) {
            return 0;
        }
        byte[] bArr = this.mant;
        int length = bArr.length - 1;
        int i = this.exp;
        if (i < 0) {
            length += i;
            if (!a(bArr, length < 0 ? 0 : length + 1)) {
                throw new ArithmeticException("Decimal part non-zero: " + toString());
            } else if (length < 0) {
                return 0;
            } else {
                i = 0;
            }
        } else if (bArr.length + i > 18) {
            throw new ArithmeticException("Conversion overflow: " + toString());
        }
        int i2 = i + length;
        for (int i3 = 0; i3 <= i2; i3++) {
            j *= 10;
            if (i3 <= length) {
                j += (long) this.mant[i3];
            }
        }
        if (i2 == 18) {
            byte[] bArr2 = this.mant;
            if (j / 1000000000000000000L != ((long) bArr2[0])) {
                if (j == Long.MIN_VALUE && this.ind == -1 && bArr2[0] == 9) {
                    return j;
                }
                throw new ArithmeticException("Conversion overflow: " + toString());
            }
        }
        return this.ind == 1 ? j : -j;
    }

    public BigDecimal max(BigDecimal bigDecimal) {
        return max(bigDecimal, N0);
    }

    public BigDecimal min(BigDecimal bigDecimal) {
        return min(bigDecimal, N0);
    }

    public BigDecimal movePointLeft(int i) {
        BigDecimal j = j(this);
        j.exp -= i;
        return j.o(N0, false);
    }

    public BigDecimal movePointRight(int i) {
        BigDecimal j = j(this);
        j.exp += i;
        return j.o(N0, false);
    }

    public BigDecimal multiply(BigDecimal bigDecimal) {
        return multiply(bigDecimal, N0);
    }

    public BigDecimal negate() {
        return negate(N0);
    }

    public BigDecimal plus() {
        return plus(N0);
    }

    public BigDecimal pow(BigDecimal bigDecimal) {
        return pow(bigDecimal, N0);
    }

    public BigDecimal remainder(BigDecimal bigDecimal) {
        return l('R', bigDecimal, N0, -1);
    }

    public int scale() {
        int i = this.exp;
        if (i >= 0) {
            return 0;
        }
        return -i;
    }

    public BigDecimal setScale(int i) {
        return setScale(i, 7);
    }

    public short shortValueExact() {
        int intValueExact = intValueExact();
        boolean z = true;
        boolean z2 = intValueExact > 32767;
        if (intValueExact >= -32768) {
            z = false;
        }
        if (!z && !z2) {
            return (short) intValueExact;
        }
        throw new ArithmeticException("Conversion overflow: " + toString());
    }

    public int signum() {
        return this.ind;
    }

    public BigDecimal subtract(BigDecimal bigDecimal) {
        return subtract(bigDecimal, N0);
    }

    public java.math.BigDecimal toBigDecimal() {
        return new java.math.BigDecimal(unscaledValue(), scale());
    }

    public BigInteger toBigInteger() {
        BigDecimal bigDecimal;
        int i = this.exp;
        boolean z = true;
        boolean z2 = i >= 0;
        if (this.form != 0) {
            z = false;
        }
        if (z && z2) {
            bigDecimal = this;
        } else if (i >= 0) {
            bigDecimal = j(this);
            bigDecimal.form = 0;
        } else if ((-i) >= this.mant.length) {
            bigDecimal = ZERO;
        } else {
            bigDecimal = j(this);
            byte[] bArr = bigDecimal.mant;
            int length = bArr.length + bigDecimal.exp;
            byte[] bArr2 = new byte[length];
            System.arraycopy(bArr, 0, bArr2, 0, length);
            bigDecimal.mant = bArr2;
            bigDecimal.form = 0;
            bigDecimal.exp = 0;
        }
        return new BigInteger(new String(bigDecimal.q()));
    }

    public BigInteger toBigIntegerExact() {
        int i = this.exp;
        if (i < 0) {
            byte[] bArr = this.mant;
            if (!a(bArr, bArr.length + i)) {
                throw new ArithmeticException("Decimal part non-zero: " + toString());
            }
        }
        return toBigInteger();
    }

    public char[] toCharArray() {
        return q();
    }

    public String toString() {
        return new String(q());
    }

    public BigInteger unscaledValue() {
        BigDecimal bigDecimal;
        if (this.exp >= 0) {
            bigDecimal = this;
        } else {
            bigDecimal = j(this);
            bigDecimal.exp = 0;
        }
        return bigDecimal.toBigInteger();
    }

    public BigDecimal(BigInteger bigInteger) {
        this(bigInteger.toString(10));
    }

    public static BigDecimal valueOf(long j) {
        return valueOf(j, 0);
    }

    public BigDecimal abs(MathContext mathContext) {
        if (this.ind == -1) {
            return negate(mathContext);
        }
        return plus(mathContext);
    }

    public BigDecimal add(BigDecimal bigDecimal, MathContext mathContext) {
        BigDecimal bigDecimal2;
        int i;
        int i2;
        byte[] bArr;
        int i3;
        byte[] bArr2;
        byte b2;
        BigDecimal bigDecimal3 = bigDecimal;
        if (mathContext.lostDigits) {
            i(bigDecimal3, mathContext.digits);
        }
        if (this.ind == 0 && mathContext.form != 0) {
            return bigDecimal.plus(mathContext);
        }
        if (bigDecimal3.ind == 0 && mathContext.form != 0) {
            return plus(mathContext);
        }
        int i4 = mathContext.digits;
        if (i4 > 0) {
            bigDecimal2 = this.mant.length > i4 ? j(this).t(mathContext) : this;
            if (bigDecimal3.mant.length > i4) {
                bigDecimal3 = j(bigDecimal).t(mathContext);
            }
        } else {
            bigDecimal2 = this;
        }
        BigDecimal bigDecimal4 = new BigDecimal();
        byte[] bArr3 = bigDecimal2.mant;
        int length = bArr3.length;
        byte[] bArr4 = bigDecimal3.mant;
        int length2 = bArr4.length;
        int i5 = bigDecimal2.exp;
        int i6 = bigDecimal3.exp;
        if (i5 == i6) {
            bigDecimal4.exp = i5;
        } else if (i5 > i6) {
            int i7 = (length + i5) - i6;
            if (i7 < length2 + i4 + 1 || i4 <= 0) {
                bigDecimal4.exp = i6;
                int i8 = i4 + 1;
                if (i7 > i8 && i4 > 0) {
                    int i9 = (i7 - i4) - 1;
                    length2 -= i9;
                    bigDecimal4.exp = i6 + i9;
                    i7 = i8;
                }
                if (i7 > length) {
                    length = i7;
                }
            } else {
                bigDecimal4.mant = bArr3;
                bigDecimal4.exp = i5;
                bigDecimal4.ind = bigDecimal2.ind;
                if (length < i4) {
                    bigDecimal4.mant = n(bigDecimal2.mant, i4);
                    bigDecimal4.exp -= i4 - length;
                }
                return bigDecimal4.o(mathContext, false);
            }
        } else {
            int i10 = (length2 + i6) - i5;
            if (i10 < length + i4 + 1 || i4 <= 0) {
                bigDecimal4.exp = i5;
                int i11 = i4 + 1;
                if (i10 > i11 && i4 > 0) {
                    int i12 = (i10 - i4) - 1;
                    length -= i12;
                    bigDecimal4.exp = i5 + i12;
                    i10 = i11;
                }
                if (i10 > length2) {
                    length2 = i10;
                }
            } else {
                bigDecimal4.mant = bArr4;
                bigDecimal4.exp = i6;
                bigDecimal4.ind = bigDecimal3.ind;
                if (length2 < i4) {
                    bigDecimal4.mant = n(bigDecimal3.mant, i4);
                    bigDecimal4.exp -= i4 - length2;
                }
                return bigDecimal4.o(mathContext, false);
            }
        }
        byte b3 = bigDecimal2.ind;
        if (b3 == 0) {
            bigDecimal4.ind = 1;
        } else {
            bigDecimal4.ind = b3;
        }
        byte b4 = bigDecimal2.ind;
        boolean z = b4 == -1;
        byte b5 = bigDecimal3.ind;
        if (z == (b5 == -1)) {
            bArr2 = bArr3;
            i3 = length;
            bArr = bArr4;
            i2 = length2;
            i = 1;
        } else {
            if (b5 != 0) {
                if ((length < length2) || (b4 == 0)) {
                    bigDecimal4.ind = (byte) (-bigDecimal4.ind);
                } else if (length <= length2) {
                    int length3 = bArr3.length - 1;
                    int length4 = bArr4.length - 1;
                    int i13 = 0;
                    int i14 = 0;
                    while (true) {
                        if (i13 <= length3) {
                            b2 = bArr3[i13];
                        } else if (i14 <= length4) {
                            b2 = 0;
                        } else if (mathContext.form != 0) {
                            return ZERO;
                        }
                        byte b6 = i14 <= length4 ? bArr4[i14] : 0;
                        if (b2 == b6) {
                            i13++;
                            i14++;
                        } else if (b2 < b6) {
                            bigDecimal4.ind = (byte) (-bigDecimal4.ind);
                        }
                    }
                }
                bArr = bArr3;
                i2 = length;
                bArr2 = bArr4;
                i3 = length2;
                i = -1;
            }
            bArr2 = bArr3;
            i3 = length;
            bArr = bArr4;
            i2 = length2;
            i = -1;
        }
        bigDecimal4.mant = h(bArr2, i3, bArr, i2, i, false);
        return bigDecimal4.o(mathContext, false);
    }

    public int compareTo(BigDecimal bigDecimal) {
        return compareTo(bigDecimal, N0);
    }

    public BigDecimal divide(BigDecimal bigDecimal, int i) {
        return l('D', bigDecimal, new MathContext(0, 0, false, i), -1);
    }

    public BigDecimal divideInteger(BigDecimal bigDecimal, MathContext mathContext) {
        return l('I', bigDecimal, mathContext, 0);
    }

    public String format(int i, int i2, int i3, int i4, int i5, int i6) {
        int i7;
        if ((i < -1) || (i == 0)) {
            g(i.f23047a, 1, String.valueOf(i));
        }
        if (i2 < -1) {
            g(i.f23047a, 2, String.valueOf(i2));
        }
        if ((i3 < -1) || (i3 == 0)) {
            g(i.f23047a, 3, String.valueOf(i3));
        }
        if (i4 < -1) {
            g(i.f23047a, 4, String.valueOf(i3));
        }
        if (!(i5 == 1 || i5 == 2)) {
            if (i5 == -1) {
                i5 = 1;
            } else {
                g(i.f23047a, 5, String.valueOf(i5));
            }
        }
        if (i6 != 4) {
            if (i6 == -1) {
                i6 = 4;
            } else {
                try {
                    new MathContext(9, 1, false, i6);
                } catch (IllegalArgumentException unused) {
                    g(i.f23047a, 6, String.valueOf(i6));
                }
            }
        }
        BigDecimal j = j(this);
        if (i4 == -1) {
            j.form = 0;
        } else if (j.ind == 0) {
            j.form = 0;
        } else {
            int length = j.exp + j.mant.length;
            if (length > i4) {
                j.form = (byte) i5;
            } else if (length < -5) {
                j.form = (byte) i5;
            } else {
                j.form = 0;
            }
        }
        if (i2 >= 0) {
            while (true) {
                byte b2 = j.form;
                if (b2 == 0) {
                    i7 = -j.exp;
                } else if (b2 == 1) {
                    i7 = j.mant.length - 1;
                } else {
                    int i8 = j.exp;
                    byte[] bArr = j.mant;
                    int length2 = ((i8 + bArr.length) - 1) % 3;
                    if (length2 < 0) {
                        length2 += 3;
                    }
                    int i9 = length2 + 1;
                    if (i9 >= bArr.length) {
                        i7 = 0;
                    } else {
                        i7 = bArr.length - i9;
                    }
                }
                if (i7 == i2) {
                    break;
                } else if (i7 < i2) {
                    byte[] bArr2 = j.mant;
                    j.mant = n(bArr2, (bArr2.length + i2) - i7);
                    int i10 = j.exp - (i2 - i7);
                    j.exp = i10;
                    if (i10 < -999999999) {
                        throw new ArithmeticException("Exponent Overflow: " + j.exp);
                    }
                } else {
                    int i11 = i7 - i2;
                    byte[] bArr3 = j.mant;
                    if (i11 > bArr3.length) {
                        j.mant = ZERO.mant;
                        j.ind = 0;
                        j.exp = 0;
                    } else {
                        int i12 = j.exp;
                        j.s(bArr3.length - i11, i6);
                        if (j.exp - i12 == i11) {
                            break;
                        }
                    }
                }
            }
        }
        char[] q = j.q();
        if (i > 0) {
            int length3 = q.length;
            int i13 = 0;
            while (length3 > 0 && q[i13] != '.' && q[i13] != 'E') {
                length3--;
                i13++;
            }
            if (i13 > i) {
                g(i.f23047a, 1, String.valueOf(i));
            }
            if (i13 < i) {
                char[] cArr = new char[((q.length + i) - i13)];
                int i14 = i - i13;
                int i15 = 0;
                while (i14 > 0) {
                    cArr[i15] = ' ';
                    i14--;
                    i15++;
                }
                System.arraycopy(q, 0, cArr, i15, q.length);
                q = cArr;
            }
        }
        if (i3 > 0) {
            int length4 = q.length - 1;
            int length5 = q.length - 1;
            while (length4 > 0 && q[length5] != 'E') {
                length4--;
                length5--;
            }
            if (length5 == 0) {
                char[] cArr2 = new char[(q.length + i3 + 2)];
                System.arraycopy(q, 0, cArr2, 0, q.length);
                int i16 = i3 + 2;
                int length6 = q.length;
                while (i16 > 0) {
                    cArr2[length6] = ' ';
                    i16--;
                    length6++;
                }
                q = cArr2;
            } else {
                int length7 = (q.length - length5) - 2;
                if (length7 > i3) {
                    g(i.f23047a, 3, String.valueOf(i3));
                }
                if (length7 < i3) {
                    char[] cArr3 = new char[((q.length + i3) - length7)];
                    int i17 = length5 + 2;
                    System.arraycopy(q, 0, cArr3, 0, i17);
                    int i18 = i3 - length7;
                    int i19 = i17;
                    while (i18 > 0) {
                        cArr3[i19] = '0';
                        i18--;
                        i19++;
                    }
                    System.arraycopy(q, i17, cArr3, i19, length7);
                    q = cArr3;
                }
            }
        }
        return new String(q);
    }

    public BigDecimal max(BigDecimal bigDecimal, MathContext mathContext) {
        if (compareTo(bigDecimal, mathContext) >= 0) {
            return plus(mathContext);
        }
        return bigDecimal.plus(mathContext);
    }

    public BigDecimal min(BigDecimal bigDecimal, MathContext mathContext) {
        if (compareTo(bigDecimal, mathContext) <= 0) {
            return plus(mathContext);
        }
        return bigDecimal.plus(mathContext);
    }

    public BigDecimal multiply(BigDecimal bigDecimal, MathContext mathContext) {
        BigDecimal bigDecimal2;
        int i;
        byte[] bArr;
        BigDecimal bigDecimal3 = bigDecimal;
        if (mathContext.lostDigits) {
            i(bigDecimal3, mathContext.digits);
        }
        int i2 = mathContext.digits;
        if (i2 > 0) {
            bigDecimal2 = this.mant.length > i2 ? j(this).t(mathContext) : this;
            if (bigDecimal3.mant.length > i2) {
                bigDecimal3 = j(bigDecimal).t(mathContext);
            }
            i = 0;
        } else {
            int i3 = this.exp;
            i = i3 > 0 ? i3 + 0 : 0;
            int i4 = bigDecimal3.exp;
            if (i4 > 0) {
                i += i4;
            }
            bigDecimal2 = this;
        }
        byte[] bArr2 = bigDecimal2.mant;
        int length = bArr2.length;
        byte[] bArr3 = bigDecimal3.mant;
        if (length < bArr3.length) {
            bArr = bArr3;
        } else {
            bArr = bArr2;
            bArr2 = bArr3;
        }
        int length2 = (bArr2.length + bArr.length) - 1;
        int i5 = bArr2[0] * bArr[0] > 9 ? length2 + 1 : length2;
        BigDecimal bigDecimal4 = new BigDecimal();
        int i6 = length2;
        byte[] bArr4 = new byte[i5];
        int length3 = bArr2.length;
        int i7 = 0;
        while (length3 > 0) {
            byte b2 = bArr2[i7];
            if (b2 != 0) {
                bArr4 = h(bArr4, bArr4.length, bArr, i6, b2, true);
            }
            i6--;
            length3--;
            i7++;
        }
        bigDecimal4.ind = (byte) (bigDecimal2.ind * bigDecimal3.ind);
        bigDecimal4.exp = (bigDecimal2.exp + bigDecimal3.exp) - i;
        if (i == 0) {
            bigDecimal4.mant = bArr4;
        } else {
            bigDecimal4.mant = n(bArr4, bArr4.length + i);
        }
        return bigDecimal4.o(mathContext, false);
    }

    public BigDecimal negate(MathContext mathContext) {
        if (mathContext.lostDigits) {
            i(null, mathContext.digits);
        }
        BigDecimal j = j(this);
        j.ind = (byte) (-j.ind);
        return j.o(mathContext, false);
    }

    public BigDecimal plus(MathContext mathContext) {
        int i;
        if (mathContext.lostDigits) {
            i(null, mathContext.digits);
        }
        if (mathContext.form == 0 && this.form == 0 && (this.mant.length <= (i = mathContext.digits) || i == 0)) {
            return this;
        }
        return j(this).o(mathContext, false);
    }

    public BigDecimal pow(BigDecimal bigDecimal, MathContext mathContext) {
        BigDecimal bigDecimal2;
        int i;
        if (mathContext.lostDigits) {
            i(bigDecimal, mathContext.digits);
        }
        int p = bigDecimal.p(-999999999, 999999999);
        int i2 = mathContext.digits;
        boolean z = false;
        if (i2 == 0) {
            if (bigDecimal.ind != -1) {
                bigDecimal2 = this;
                i = 0;
            } else {
                throw new ArithmeticException("Negative power: " + bigDecimal.toString());
            }
        } else if (bigDecimal.mant.length + bigDecimal.exp <= i2) {
            bigDecimal2 = this.mant.length > i2 ? j(this).t(mathContext) : this;
            i = i2 + bigDecimal.mant.length + bigDecimal.exp + 1;
        } else {
            throw new ArithmeticException("Too many digits: " + bigDecimal.toString());
        }
        MathContext mathContext2 = new MathContext(i, mathContext.form, false, mathContext.roundingMode);
        BigDecimal bigDecimal3 = ONE;
        if (p == 0) {
            return bigDecimal3;
        }
        if (p < 0) {
            p = -p;
        }
        int i3 = 1;
        while (true) {
            p += p;
            if (p < 0) {
                bigDecimal3 = bigDecimal3.multiply(bigDecimal2, mathContext2);
                z = true;
            }
            if (i3 == 31) {
                break;
            }
            if (z) {
                bigDecimal3 = bigDecimal3.multiply(bigDecimal3, mathContext2);
            }
            i3++;
        }
        if (bigDecimal.ind < 0) {
            bigDecimal3 = ONE.divide(bigDecimal3, mathContext2);
        }
        return bigDecimal3.o(mathContext, true);
    }

    public BigDecimal remainder(BigDecimal bigDecimal, MathContext mathContext) {
        return l('R', bigDecimal, mathContext, -1);
    }

    public BigDecimal setScale(int i, int i2) {
        int scale = scale();
        if (scale == i && this.form == 0) {
            return this;
        }
        BigDecimal j = j(this);
        if (scale <= i) {
            int i3 = scale == 0 ? j.exp + i : i - scale;
            byte[] bArr = j.mant;
            j.mant = n(bArr, bArr.length + i3);
            j.exp = -i;
        } else if (i >= 0) {
            j = j.s(j.mant.length - (scale - i), i2);
            if (j.exp != (-i)) {
                byte[] bArr2 = j.mant;
                j.mant = n(bArr2, bArr2.length + 1);
                j.exp--;
            }
        } else {
            throw new ArithmeticException("Negative scale: " + i);
        }
        j.form = 0;
        return j;
    }

    public BigDecimal subtract(BigDecimal bigDecimal, MathContext mathContext) {
        if (mathContext.lostDigits) {
            i(bigDecimal, mathContext.digits);
        }
        BigDecimal j = j(bigDecimal);
        j.ind = (byte) (-j.ind);
        return add(j, mathContext);
    }

    public BigDecimal(BigInteger bigInteger, int i) {
        this(bigInteger.toString(10));
        if (i >= 0) {
            this.exp = -i;
            return;
        }
        throw new NumberFormatException("Negative scale: " + i);
    }

    public static BigDecimal valueOf(long j, int i) {
        BigDecimal bigDecimal;
        if (j == 0) {
            bigDecimal = ZERO;
        } else if (j == 1) {
            bigDecimal = ONE;
        } else if (j == 10) {
            bigDecimal = TEN;
        } else {
            bigDecimal = new BigDecimal(j);
        }
        if (i == 0) {
            return bigDecimal;
        }
        if (i >= 0) {
            BigDecimal j2 = j(bigDecimal);
            j2.exp = -i;
            return j2;
        }
        throw new NumberFormatException("Negative scale: " + i);
    }

    public int compareTo(BigDecimal bigDecimal, MathContext mathContext) {
        if (mathContext.lostDigits) {
            i(bigDecimal, mathContext.digits);
        }
        byte b2 = this.ind;
        byte b3 = bigDecimal.ind;
        boolean z = true;
        if ((b2 == b3) && (this.exp == bigDecimal.exp)) {
            int length = this.mant.length;
            byte[] bArr = bigDecimal.mant;
            if (length < bArr.length) {
                return (byte) (-b2);
            }
            if (length > bArr.length) {
                return b2;
            }
            int i = mathContext.digits;
            boolean z2 = length <= i;
            if (i != 0) {
                z = false;
            }
            if (z2 || z) {
                int i2 = 0;
                while (length > 0) {
                    byte[] bArr2 = this.mant;
                    byte b4 = bArr2[i2];
                    byte[] bArr3 = bigDecimal.mant;
                    if (b4 < bArr3[i2]) {
                        return (byte) (-this.ind);
                    }
                    if (bArr2[i2] > bArr3[i2]) {
                        return this.ind;
                    }
                    length--;
                    i2++;
                }
                return 0;
            }
        } else if (b2 < b3) {
            return -1;
        } else {
            if (b2 > b3) {
                return 1;
            }
        }
        BigDecimal j = j(bigDecimal);
        j.ind = (byte) (-j.ind);
        return add(j, mathContext).ind;
    }

    public BigDecimal divide(BigDecimal bigDecimal, int i, int i2) {
        if (i >= 0) {
            return l('D', bigDecimal, new MathContext(0, 0, false, i2), i);
        }
        throw new ArithmeticException("Negative scale: " + i);
    }

    public BigDecimal(char[] cArr) {
        this(cArr, 0, cArr.length);
    }

    /* JADX WARNING: Removed duplicated region for block: B:105:0x0143  */
    /* JADX WARNING: Removed duplicated region for block: B:112:0x0160  */
    /* JADX WARNING: Removed duplicated region for block: B:117:0x0173  */
    /* JADX WARNING: Removed duplicated region for block: B:128:0x00d9 A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0044  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x007b  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x0084  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x0088  */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x0094  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0096  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x009b  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x009d  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x00a1  */
    /* JADX WARNING: Removed duplicated region for block: B:58:0x00a6  */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x00d2  */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x00dc  */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x00e1  */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x00ec  */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x011b  */
    public BigDecimal(char[] cArr, int i, int i2) {
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        boolean z;
        boolean z2;
        int i8;
        byte[] bArr;
        int i9;
        boolean z3;
        int i10;
        int i11;
        this.form = 0;
        if (i2 <= 0) {
            b(cArr);
        }
        this.ind = 1;
        int i12 = -1;
        if (cArr[i] == '-') {
            i4 = i2 - 1;
            if (i4 == 0) {
                b(cArr);
            }
            this.ind = -1;
        } else if (cArr[i] == '+') {
            i4 = i2 - 1;
            if (i4 == 0) {
                b(cArr);
            }
        } else {
            i3 = i;
            i4 = i2;
            i5 = i4;
            i6 = i3;
            int i13 = -1;
            i7 = 0;
            z = false;
            while (true) {
                if (i5 > 0) {
                    z2 = false;
                    break;
                }
                char c2 = cArr[i6];
                if (c2 >= '0' && c2 <= '9') {
                    i7++;
                    i13 = i6;
                } else if (c2 == '.') {
                    if (i12 >= 0) {
                        b(cArr);
                    }
                    i12 = i6 - i3;
                } else if (c2 != 'e' && c2 != 'E') {
                    if (!c.i0(c2)) {
                        b(cArr);
                    }
                    i7++;
                    i13 = i6;
                    z = true;
                }
                i5--;
                i6++;
            }
            if (i6 - i3 > i4 - 2) {
                b(cArr);
            }
            i9 = i6 + 1;
            if (cArr[i9] != '-') {
                i9 = i6 + 2;
                z3 = true;
            } else {
                i9 = cArr[i9] == '+' ? i6 + 2 : i9;
                z3 = false;
            }
            i10 = i4 - (i9 - i3);
            if ((i10 != 0) || (i10 <= 9)) {
                b(cArr);
            }
            while (i10 > 0) {
                char c3 = cArr[i9];
                if (c3 < '0') {
                    b(cArr);
                }
                if (c3 > '9') {
                    if (!c.i0(c3)) {
                        b(cArr);
                    }
                    i11 = c.k(c3, 10);
                    if (i11 < 0) {
                        b(cArr);
                    }
                } else {
                    i11 = c3 - '0';
                }
                this.exp = (this.exp * 10) + i11;
                i10--;
                i9++;
            }
            if (z3) {
                this.exp = -this.exp;
            }
            z2 = true;
            if (i7 == 0) {
                b(cArr);
            }
            if (i12 >= 0) {
                this.exp = (this.exp + i12) - i7;
            }
            i8 = i13 - 1;
            int i14 = i3;
            while (i3 <= i8) {
                char c4 = cArr[i3];
                if (c4 != '0') {
                    if (c4 != '.') {
                        if (c4 <= '9' || c.k(c4, 10) != 0) {
                            break;
                        }
                        i14++;
                        i12--;
                        i7--;
                    } else {
                        i14++;
                        i12--;
                    }
                } else {
                    i14++;
                    i12--;
                    i7--;
                }
                i3++;
            }
            this.mant = new byte[i7];
            if (!z) {
                int i15 = 0;
                while (i7 > 0) {
                    i14 = i15 == i12 ? i14 + 1 : i14;
                    char c5 = cArr[i14];
                    if (c5 <= '9') {
                        this.mant[i15] = (byte) (c5 - '0');
                    } else {
                        int k = c.k(c5, 10);
                        if (k < 0) {
                            b(cArr);
                        }
                        this.mant[i15] = (byte) k;
                    }
                    i14++;
                    i7--;
                    i15++;
                }
            } else {
                int i16 = 0;
                while (i7 > 0) {
                    if (i16 == i12) {
                        i14++;
                    }
                    this.mant[i16] = (byte) (cArr[i14] - '0');
                    i14++;
                    i7--;
                    i16++;
                }
            }
            bArr = this.mant;
            if (bArr[0] != 0) {
                this.ind = 0;
                if (this.exp > 0) {
                    this.exp = 0;
                }
                if (z2) {
                    this.mant = ZERO.mant;
                    this.exp = 0;
                    return;
                }
                return;
            } else if (z2) {
                boolean z4 = true;
                this.form = 1;
                int length = (this.exp + bArr.length) - 1;
                if ((length < -999999999) || (length <= 999999999 ? false : z4)) {
                    b(cArr);
                    return;
                }
                return;
            } else {
                return;
            }
        }
        i3 = i + 1;
        i5 = i4;
        i6 = i3;
        int i132 = -1;
        i7 = 0;
        z = false;
        while (true) {
            if (i5 > 0) {
            }
            i5--;
            i6++;
        }
        if (i6 - i3 > i4 - 2) {
        }
        i9 = i6 + 1;
        if (cArr[i9] != '-') {
        }
        i10 = i4 - (i9 - i3);
        if ((i10 != 0) || (i10 <= 9)) {
        }
        while (i10 > 0) {
        }
        if (z3) {
        }
        z2 = true;
        if (i7 == 0) {
        }
        if (i12 >= 0) {
        }
        i8 = i132 - 1;
        int i142 = i3;
        while (i3 <= i8) {
        }
        this.mant = new byte[i7];
        if (!z) {
        }
        bArr = this.mant;
        if (bArr[0] != 0) {
        }
    }

    public BigDecimal divide(BigDecimal bigDecimal, MathContext mathContext) {
        return l('D', bigDecimal, mathContext, -1);
    }

    public BigDecimal(double d2) {
        this(new java.math.BigDecimal(d2).toString());
    }

    public BigDecimal(int i) {
        this.form = 0;
        int i2 = 9;
        if (i > 9 || i < -9) {
            if (i > 0) {
                this.ind = 1;
                i = -i;
            } else {
                this.ind = -1;
            }
            int i3 = i;
            while (true) {
                i3 /= 10;
                if (i3 == 0) {
                    break;
                }
                i2--;
            }
            int i4 = 10 - i2;
            this.mant = new byte[i4];
            int i5 = i4 - 1;
            while (true) {
                this.mant[i5] = (byte) (-((byte) (i % 10)));
                i /= 10;
                if (i != 0) {
                    i5--;
                } else {
                    return;
                }
            }
        } else if (i == 0) {
            this.mant = ZERO.mant;
            this.ind = 0;
        } else if (i == 1) {
            this.mant = ONE.mant;
            this.ind = 1;
        } else if (i == -1) {
            this.mant = ONE.mant;
            this.ind = -1;
        } else {
            byte[] bArr = new byte[1];
            this.mant = bArr;
            if (i > 0) {
                bArr[0] = (byte) i;
                this.ind = 1;
                return;
            }
            bArr[0] = (byte) (-i);
            this.ind = -1;
        }
    }

    public BigDecimal(long j) {
        this.form = 0;
        int i = (j > 0 ? 1 : (j == 0 ? 0 : -1));
        if (i > 0) {
            this.ind = 1;
            j = -j;
        } else if (i == 0) {
            this.ind = 0;
        } else {
            this.ind = -1;
        }
        int i2 = 18;
        long j2 = j;
        while (true) {
            j2 /= 10;
            if (j2 == 0) {
                break;
            }
            i2--;
        }
        int i3 = 19 - i2;
        this.mant = new byte[i3];
        int i4 = i3 - 1;
        while (true) {
            this.mant[i4] = (byte) (-((byte) ((int) (j % 10))));
            j /= 10;
            if (j != 0) {
                i4--;
            } else {
                return;
            }
        }
    }

    public BigDecimal(String str) {
        this(str.toCharArray(), 0, str.length());
    }

    private BigDecimal() {
        this.form = 0;
    }
}
