package com.ibm.icu.math;

import java.io.Serializable;

public final class MathContext implements Serializable {
    public static final MathContext DEFAULT = new MathContext(9, 1, false, 4);
    public static final int ENGINEERING = 2;
    private static final boolean I0 = false;
    private static final int J0 = 4;
    private static final int K0 = 0;
    private static final int L0 = 999999999;
    private static final int[] M0 = {4, 7, 2, 1, 3, 5, 6, 0};
    private static final String[] N0 = {"ROUND_HALF_UP", "ROUND_UNNECESSARY", "ROUND_CEILING", "ROUND_DOWN", "ROUND_FLOOR", "ROUND_HALF_DOWN", "ROUND_HALF_EVEN", "ROUND_UP"};
    public static final int PLAIN = 0;
    public static final int ROUND_CEILING = 2;
    public static final int ROUND_DOWN = 1;
    public static final int ROUND_FLOOR = 3;
    public static final int ROUND_HALF_DOWN = 5;
    public static final int ROUND_HALF_EVEN = 6;
    public static final int ROUND_HALF_UP = 4;
    public static final int ROUND_UNNECESSARY = 7;
    public static final int ROUND_UP = 0;
    public static final int SCIENTIFIC = 1;

    /* renamed from: a  reason: collision with root package name */
    private static final int f14908a = 1;

    /* renamed from: b  reason: collision with root package name */
    private static final int f14909b = 9;
    private static final long serialVersionUID = 7163376998892515376L;
    int digits;
    int form;
    boolean lostDigits;
    int roundingMode;

    public MathContext(int i) {
        this(i, 1, false, 4);
    }

    private static boolean a(int i) {
        int length = M0.length;
        int i2 = 0;
        while (length > 0) {
            if (i == M0[i2]) {
                return true;
            }
            length--;
            i2++;
        }
        return false;
    }

    public int getDigits() {
        return this.digits;
    }

    public int getForm() {
        return this.form;
    }

    public boolean getLostDigits() {
        return this.lostDigits;
    }

    public int getRoundingMode() {
        return this.roundingMode;
    }

    public String toString() {
        String str;
        int i = this.form;
        String str2 = i == 1 ? "SCIENTIFIC" : i == 2 ? "ENGINEERING" : "PLAIN";
        int length = M0.length;
        int i2 = 0;
        while (true) {
            if (length <= 0) {
                str = null;
                break;
            } else if (this.roundingMode == M0[i2]) {
                str = N0[i2];
                break;
            } else {
                length--;
                i2++;
            }
        }
        StringBuilder sb = new StringBuilder();
        sb.append("digits=");
        sb.append(this.digits);
        sb.append(" form=");
        sb.append(str2);
        sb.append(" lostDigits=");
        sb.append(this.lostDigits ? "1" : "0");
        sb.append(" roundingMode=");
        sb.append(str);
        return sb.toString();
    }

    public MathContext(int i, int i2) {
        this(i, i2, false, 4);
    }

    public MathContext(int i, int i2, boolean z) {
        this(i, i2, z, 4);
    }

    public MathContext(int i, int i2, boolean z, int i3) {
        if (i != 9) {
            if (i < 0) {
                throw new IllegalArgumentException("Digits too small: " + i);
            } else if (i > L0) {
                throw new IllegalArgumentException("Digits too large: " + i);
            }
        }
        if (i2 != 1 && i2 != 2 && i2 != 0) {
            throw new IllegalArgumentException("Bad form value: " + i2);
        } else if (a(i3)) {
            this.digits = i;
            this.form = i2;
            this.lostDigits = z;
            this.roundingMode = i3;
        } else {
            throw new IllegalArgumentException("Bad roundingMode value: " + i3);
        }
    }
}
