package com.ibm.icu.text;

import com.alipay.sdk.util.g;
import com.ibm.icu.impl.v0;
import com.ibm.icu.text.w2;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.r;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;

public final class AlphabeticIndex<V> implements Iterable<Bucket<V>> {
    private static final Comparator<String> I0 = new w2.a(true, false, 0);
    private static final int J0 = 2;
    private static final int K0 = 4;
    private static final int L0 = 8;
    private static final int M0 = 16;
    private static final int N0 = 32;
    private static final int O0 = 62;
    private static final int P0 = 1;
    static final /* synthetic */ boolean Q0 = false;

    /* renamed from: a  reason: collision with root package name */
    private static final String f15080a = "﷐";

    /* renamed from: b  reason: collision with root package name */
    private static final char f15081b = 847;
    private final v1 R0;
    private final v1 S0;
    private v1 T0;
    private final Comparator<d<V>> U0;
    private final List<String> V0;
    private final UnicodeSet W0;
    private List<d<V>> X0;
    private b<V> Y0;
    private String Z0;
    private String a1;
    private String b1;
    private int c1;

    public static class Bucket<V> implements Iterable<d<V>> {
        private final LabelType I0;
        private Bucket<V> J0;
        private int K0;
        private List<d<V>> L0;

        /* renamed from: a  reason: collision with root package name */
        private final String f15082a;

        /* renamed from: b  reason: collision with root package name */
        private final String f15083b;

        public enum LabelType {
            NORMAL,
            UNDERFLOW,
            INFLOW,
            OVERFLOW
        }

        /* synthetic */ Bucket(String str, String str2, LabelType labelType, a aVar) {
            this(str, str2, labelType);
        }

        @Override // java.lang.Iterable
        public Iterator<d<V>> iterator() {
            List<d<V>> list = this.L0;
            if (list == null) {
                return Collections.emptyList().iterator();
            }
            return list.iterator();
        }

        public String l() {
            return this.f15082a;
        }

        public LabelType m() {
            return this.I0;
        }

        public int size() {
            List<d<V>> list = this.L0;
            if (list == null) {
                return 0;
            }
            return list.size();
        }

        public String toString() {
            return "{labelType=" + this.I0 + ", lowerBoundary=" + this.f15083b + ", label=" + this.f15082a + g.f6033d;
        }

        private Bucket(String str, String str2, LabelType labelType) {
            this.f15082a = str;
            this.f15083b = str2;
            this.I0 = labelType;
        }
    }

    /* access modifiers changed from: package-private */
    public class a implements Comparator<d<V>> {
        a() {
        }

        /* renamed from: a */
        public int compare(d<V> dVar, d<V> dVar2) {
            return AlphabeticIndex.this.R0.compare(((d) dVar).f15090a, ((d) dVar2).f15090a);
        }
    }

    /* access modifiers changed from: private */
    public static class b<V> implements Iterable<Bucket<V>> {

        /* renamed from: a  reason: collision with root package name */
        private final ArrayList<Bucket<V>> f15086a;

        /* renamed from: b  reason: collision with root package name */
        private final List<Bucket<V>> f15087b;

        /* synthetic */ b(ArrayList arrayList, ArrayList arrayList2, a aVar) {
            this(arrayList, arrayList2);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private Iterator<Bucket<V>> g() {
            return this.f15086a.iterator();
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private int i() {
            return this.f15087b.size();
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private int j(CharSequence charSequence, y yVar) {
            int size = this.f15086a.size();
            int i = 0;
            while (i + 1 < size) {
                int i2 = (i + size) / 2;
                if (yVar.compare(charSequence, ((Bucket) this.f15086a.get(i2)).f15083b) < 0) {
                    size = i2;
                } else {
                    i = i2;
                }
            }
            Bucket<V> bucket = this.f15086a.get(i);
            if (((Bucket) bucket).J0 != null) {
                bucket = ((Bucket) bucket).J0;
            }
            return ((Bucket) bucket).K0;
        }

        @Override // java.lang.Iterable
        public Iterator<Bucket<V>> iterator() {
            return this.f15087b.iterator();
        }

        private b(ArrayList<Bucket<V>> arrayList, ArrayList<Bucket<V>> arrayList2) {
            this.f15086a = arrayList;
            Iterator<Bucket<V>> it = arrayList2.iterator();
            int i = 0;
            while (it.hasNext()) {
                ((Bucket) it.next()).K0 = i;
                i++;
            }
            this.f15087b = Collections.unmodifiableList(arrayList2);
        }
    }

    public static final class c<V> implements Iterable<Bucket<V>> {

        /* renamed from: a  reason: collision with root package name */
        private final b<V> f15088a;

        /* renamed from: b  reason: collision with root package name */
        private final y f15089b;

        /* synthetic */ c(b bVar, y yVar, a aVar) {
            this(bVar, yVar);
        }

        public Bucket<V> b(int i) {
            if (i < 0 || i >= this.f15088a.i()) {
                return null;
            }
            return (Bucket) ((b) this.f15088a).f15087b.get(i);
        }

        public int d() {
            return this.f15088a.i();
        }

        public int e(CharSequence charSequence) {
            return this.f15088a.j(charSequence, this.f15089b);
        }

        @Override // java.lang.Iterable
        public Iterator<Bucket<V>> iterator() {
            return this.f15088a.iterator();
        }

        private c(b<V> bVar, y yVar) {
            this.f15088a = bVar;
            this.f15089b = yVar;
        }
    }

    public static class d<V> {

        /* renamed from: a  reason: collision with root package name */
        private final CharSequence f15090a;

        /* renamed from: b  reason: collision with root package name */
        private final V f15091b;

        /* synthetic */ d(CharSequence charSequence, Object obj, a aVar) {
            this(charSequence, obj);
        }

        public V b() {
            return this.f15091b;
        }

        public CharSequence c() {
            return this.f15090a;
        }

        public String toString() {
            return ((Object) this.f15090a) + "=" + ((Object) this.f15091b);
        }

        private d(CharSequence charSequence, V v) {
            this.f15090a = charSequence;
            this.f15091b = v;
        }
    }

    public AlphabeticIndex(ULocale uLocale) {
        this(uLocale, null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x0087  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x008c  */
    private List<String> A() {
        boolean z;
        int binarySearch;
        Normalizer2 j = Normalizer2.j();
        ArrayList arrayList = new ArrayList();
        int i = 0;
        String str = this.V0.get(0);
        List<String> list = this.V0;
        String str2 = list.get(list.size() - 1);
        Iterator<String> it = this.W0.iterator();
        while (it.hasNext()) {
            String next = it.next();
            if (w2.D(next, 1)) {
                if (next.charAt(next.length() - 1) != '*' || next.charAt(next.length() - 2) == '*') {
                    z = true;
                    if (this.S0.c(next, str) >= 0 && this.S0.c(next, str2) < 0) {
                        if (z || this.S0.c(next, C(next)) != 0) {
                            binarySearch = Collections.binarySearch(arrayList, next, this.S0);
                            if (binarySearch >= 0) {
                                arrayList.add(~binarySearch, next);
                            } else if (B(j, next, (String) arrayList.get(binarySearch))) {
                                arrayList.set(binarySearch, next);
                            }
                        }
                    }
                } else {
                    next = next.substring(0, next.length() - 1);
                }
            }
            z = false;
            if (z) {
            }
            binarySearch = Collections.binarySearch(arrayList, next, this.S0);
            if (binarySearch >= 0) {
            }
        }
        int size = arrayList.size() - 1;
        if (size > this.c1) {
            int i2 = -1;
            Iterator it2 = arrayList.iterator();
            while (it2.hasNext()) {
                i++;
                it2.next();
                int i3 = (this.c1 * i) / size;
                if (i3 == i2) {
                    it2.remove();
                } else {
                    i2 = i3;
                }
            }
        }
        return arrayList;
    }

    private static boolean B(Normalizer2 normalizer2, String str, String str2) {
        String q = normalizer2.q(str);
        String q2 = normalizer2.q(str2);
        int codePointCount = q.codePointCount(0, q.length()) - q2.codePointCount(0, q2.length());
        if (codePointCount != 0) {
            return codePointCount < 0;
        }
        Comparator<String> comparator = I0;
        int compare = comparator.compare(q, q2);
        if (compare != 0) {
            if (compare < 0) {
                return true;
            }
            return false;
        } else if (comparator.compare(str, str2) < 0) {
            return true;
        } else {
            return false;
        }
    }

    private String C(String str) {
        StringBuilder sb = new StringBuilder();
        char charAt = str.charAt(0);
        sb.append(charAt);
        int i = 1;
        while (i < str.length()) {
            char charAt2 = str.charAt(i);
            if (!com.ibm.icu.lang.c.j0(charAt) || !com.ibm.icu.lang.c.u0(charAt2)) {
                sb.append(f15081b);
            }
            sb.append(charAt2);
            i++;
            charAt = charAt2;
        }
        return sb.toString();
    }

    private boolean d() {
        UnicodeSet unicodeSet = new UnicodeSet();
        try {
            this.S0.v0(f15080a.charAt(0), unicodeSet);
            if (unicodeSet.isEmpty()) {
                return false;
            }
            this.W0.J(unicodeSet);
            Iterator<String> it = unicodeSet.iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                String next = it.next();
                char charAt = next.charAt(next.length() - 1);
                if ('A' <= charAt && charAt <= 'Z') {
                    this.W0.E(65, 90);
                    break;
                }
            }
            return true;
        } catch (Exception unused) {
            return false;
        }
    }

    private void e(ULocale uLocale) {
        UnicodeSet e2 = r.e(uLocale, 0, 2);
        if (e2 == null || e2.isEmpty()) {
            UnicodeSet v0 = r.e(uLocale, 0, 0).cloneAsThawed();
            if (v0.a1(97, 122) || v0.isEmpty()) {
                v0.I(97, 122);
            }
            if (v0.a1(v0.b.g, v0.b.h)) {
                v0.H1(v0.b.g, v0.b.h).D(v0.b.g).D(45208).D(45796).D(46972).D(47560).D(48148).D(49324).D(50500).D(51088).D(52264).D(52852).D(53440).D(54028).D(54616);
            }
            if (v0.a1(4608, 4991)) {
                UnicodeSet unicodeSet = new UnicodeSet("[ሀለሐመሠረሰሸቀቈቐቘበቨተቸኀኈነኘአከኰኸዀወዐዘዠየደዸጀገጐጘጠጨጰጸፀፈፐፘ]");
                unicodeSet.U1(v0);
                v0.H1(4608, 4991).J(unicodeSet);
            }
            Iterator<String> it = v0.iterator();
            while (it.hasNext()) {
                this.W0.F(com.ibm.icu.lang.c.e1(uLocale, it.next()));
            }
            return;
        }
        this.W0.J(e2);
    }

    private b<V> m() {
        Iterator<String> it;
        String str;
        char charAt;
        char charAt2;
        String str2;
        String str3;
        AlphabeticIndex<V> alphabeticIndex = this;
        List<String> A = A();
        long N = alphabeticIndex.S0.A0() ? ((long) alphabeticIndex.S0.N()) & 4294967295L : 0;
        Bucket[] bucketArr = new Bucket[26];
        Bucket[] bucketArr2 = new Bucket[26];
        ArrayList arrayList = new ArrayList();
        a aVar = null;
        arrayList.add(new Bucket(x(), "", Bucket.LabelType.UNDERFLOW, null));
        Iterator<String> it2 = A.iterator();
        String str4 = "";
        boolean z = false;
        int i = -1;
        boolean z2 = false;
        while (true) {
            int i2 = 1;
            if (!it2.hasNext()) {
                break;
            }
            String next = it2.next();
            if (alphabeticIndex.S0.c(next, str4) >= 0) {
                boolean z3 = false;
                while (true) {
                    i += i2;
                    str2 = alphabeticIndex.V0.get(i);
                    if (alphabeticIndex.S0.c(next, str2) < 0) {
                        break;
                    }
                    i2 = 1;
                    z3 = true;
                }
                if (!z3 || arrayList.size() <= 1) {
                    it = it2;
                    str3 = str2;
                    aVar = null;
                } else {
                    it = it2;
                    str3 = str2;
                    aVar = null;
                    arrayList.add(new Bucket(t(), str4, Bucket.LabelType.INFLOW, null));
                }
                str4 = str3;
            } else {
                it = it2;
            }
            Bucket bucket = new Bucket(n(next), next, Bucket.LabelType.NORMAL, aVar);
            arrayList.add(bucket);
            if (next.length() == 1 && 'A' <= (charAt2 = next.charAt(0)) && charAt2 <= 'Z') {
                bucketArr[charAt2 - 'A'] = bucket;
            } else if (next.length() == 2 && next.startsWith(f15080a) && 'A' <= (charAt = next.charAt(1)) && charAt <= 'Z') {
                bucketArr2[charAt - 'A'] = bucket;
                z = true;
            }
            if (!next.startsWith(f15080a) && y(alphabeticIndex.S0, N, next) && !next.endsWith("￿")) {
                int size = arrayList.size() - 2;
                while (true) {
                    Bucket bucket2 = (Bucket) arrayList.get(size);
                    Bucket.LabelType labelType = bucket2.I0;
                    str = str4;
                    Bucket.LabelType labelType2 = Bucket.LabelType.NORMAL;
                    if (labelType != labelType2) {
                        break;
                    }
                    if (bucket2.J0 == null && !y(alphabeticIndex.S0, N, bucket2.f15083b)) {
                        Bucket bucket3 = new Bucket("", next + "￿", labelType2, null);
                        bucket3.J0 = bucket2;
                        arrayList.add(bucket3);
                        z2 = true;
                        break;
                    }
                    size--;
                    alphabeticIndex = this;
                    str4 = str;
                }
            } else {
                str = str4;
            }
            alphabeticIndex = this;
            it2 = it;
            str4 = str;
            aVar = null;
        }
        if (arrayList.size() == 1) {
            return new b<>(arrayList, arrayList, null);
        }
        arrayList.add(new Bucket(v(), str4, Bucket.LabelType.OVERFLOW, null));
        if (z) {
            Bucket bucket4 = null;
            for (int i3 = 0; i3 < 26; i3++) {
                if (bucketArr[i3] != null) {
                    bucket4 = bucketArr[i3];
                }
                if (!(bucketArr2[i3] == null || bucket4 == null)) {
                    bucketArr2[i3].J0 = bucket4;
                    z2 = true;
                }
            }
        }
        if (!z2) {
            return new b<>(arrayList, arrayList, null);
        }
        int size2 = arrayList.size() - 1;
        Bucket bucket5 = (Bucket) arrayList.get(size2);
        while (true) {
            size2--;
            if (size2 <= 0) {
                break;
            }
            Bucket bucket6 = (Bucket) arrayList.get(size2);
            if (bucket6.J0 == null) {
                if (bucket6.I0 != Bucket.LabelType.INFLOW || bucket5.I0 == Bucket.LabelType.NORMAL) {
                    bucket5 = bucket6;
                } else {
                    bucket6.J0 = bucket5;
                }
            }
        }
        ArrayList arrayList2 = new ArrayList();
        Iterator it3 = arrayList.iterator();
        while (it3.hasNext()) {
            Bucket bucket7 = (Bucket) it3.next();
            if (bucket7.J0 == null) {
                arrayList2.add(bucket7);
            }
        }
        return new b<>(arrayList, arrayList2, null);
    }

    private static String n(String str) {
        if (!str.startsWith(f15080a)) {
            return str;
        }
        char charAt = str.charAt(1);
        if (10240 >= charAt || charAt > 10495) {
            return str.substring(1);
        }
        return (charAt - androidx.work.d.f4452c) + "劃";
    }

    private static boolean y(v1 v1Var, long j, String str) {
        long[] y0;
        boolean z = false;
        for (long j2 : v1Var.y0(str)) {
            if ((j2 >>> 32) > j) {
                if (z) {
                    return true;
                }
                z = true;
            }
        }
        return false;
    }

    private void z() {
        String str;
        Bucket bucket;
        if (this.Y0 == null) {
            this.Y0 = m();
            List<d<V>> list = this.X0;
            if (list != null && !list.isEmpty()) {
                Collections.sort(this.X0, this.U0);
                Iterator g = this.Y0.g();
                Bucket bucket2 = (Bucket) g.next();
                if (g.hasNext()) {
                    bucket = (Bucket) g.next();
                    str = bucket.f15083b;
                } else {
                    bucket = null;
                    str = null;
                }
                Iterator<d<V>> it = this.X0.iterator();
                while (it.hasNext()) {
                    d<V> next = it.next();
                    while (str != null && this.S0.compare(((d) next).f15090a, str) >= 0) {
                        if (g.hasNext()) {
                            Bucket bucket3 = (Bucket) g.next();
                            str = bucket3.f15083b;
                            bucket = bucket3;
                            bucket2 = bucket;
                        } else {
                            bucket2 = bucket;
                            str = null;
                        }
                    }
                    Bucket bucket4 = bucket2.J0 != null ? bucket2.J0 : bucket2;
                    if (bucket4.L0 == null) {
                        bucket4.L0 = new ArrayList();
                    }
                    bucket4.L0.add(next);
                }
            }
        }
    }

    public AlphabeticIndex<V> D(String str) {
        this.b1 = str;
        this.Y0 = null;
        return this;
    }

    public AlphabeticIndex<V> E(int i) {
        this.c1 = i;
        this.Y0 = null;
        return this;
    }

    public AlphabeticIndex<V> F(String str) {
        this.Z0 = str;
        this.Y0 = null;
        return this;
    }

    public AlphabeticIndex<V> G(String str) {
        this.a1 = str;
        this.Y0 = null;
        return this;
    }

    public AlphabeticIndex<V> f(UnicodeSet unicodeSet) {
        this.W0.J(unicodeSet);
        this.Y0 = null;
        return this;
    }

    public AlphabeticIndex<V> g(ULocale... uLocaleArr) {
        for (ULocale uLocale : uLocaleArr) {
            e(uLocale);
        }
        this.Y0 = null;
        return this;
    }

    public AlphabeticIndex<V> i(Locale... localeArr) {
        for (Locale locale : localeArr) {
            e(ULocale.forLocale(locale));
        }
        this.Y0 = null;
        return this;
    }

    @Override // java.lang.Iterable
    public Iterator<Bucket<V>> iterator() {
        z();
        return this.Y0.iterator();
    }

    public AlphabeticIndex<V> j(CharSequence charSequence, V v) {
        this.Y0 = null;
        if (this.X0 == null) {
            this.X0 = new ArrayList();
        }
        this.X0.add(new d<>(charSequence, v, null));
        return this;
    }

    public c<V> k() {
        b<V> bVar;
        List<d<V>> list = this.X0;
        if (list == null || list.isEmpty()) {
            if (this.Y0 == null) {
                this.Y0 = m();
            }
            bVar = this.Y0;
        } else {
            bVar = m();
        }
        return new c<>(bVar, this.S0, null);
    }

    public AlphabeticIndex<V> l() {
        List<d<V>> list = this.X0;
        if (list != null && !list.isEmpty()) {
            this.X0.clear();
            this.Y0 = null;
        }
        return this;
    }

    public int o() {
        z();
        return this.Y0.i();
    }

    public int p(CharSequence charSequence) {
        z();
        return this.Y0.j(charSequence, this.S0);
    }

    public List<String> q() {
        z();
        ArrayList arrayList = new ArrayList();
        Iterator<Bucket<V>> it = this.Y0.iterator();
        while (it.hasNext()) {
            arrayList.add(it.next().l());
        }
        return arrayList;
    }

    public v1 r() {
        if (this.T0 == null) {
            try {
                this.T0 = (v1) this.R0.clone();
            } catch (Exception e2) {
                throw new IllegalStateException("Collator cannot be cloned", e2);
            }
        }
        return this.T0;
    }

    @Deprecated
    public List<String> s() {
        ArrayList arrayList = new ArrayList(200);
        UnicodeSet unicodeSet = new UnicodeSet();
        this.S0.v0(64977, unicodeSet);
        if (!unicodeSet.isEmpty()) {
            Iterator<String> it = unicodeSet.iterator();
            while (it.hasNext()) {
                String next = it.next();
                if (((1 << com.ibm.icu.lang.c.Z(next.codePointAt(1))) & 63) != 0) {
                    arrayList.add(next);
                }
            }
            return arrayList;
        }
        throw new UnsupportedOperationException("AlphabeticIndex requires script-first-primary contractions");
    }

    public String t() {
        return this.b1;
    }

    public int u() {
        return this.c1;
    }

    public String v() {
        return this.Z0;
    }

    public int w() {
        List<d<V>> list = this.X0;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    public String x() {
        return this.a1;
    }

    public AlphabeticIndex(Locale locale) {
        this(ULocale.forLocale(locale), null);
    }

    public AlphabeticIndex(v1 v1Var) {
        this(null, v1Var);
    }

    private AlphabeticIndex(ULocale uLocale, v1 v1Var) {
        this.U0 = new a();
        this.W0 = new UnicodeSet();
        this.Z0 = "…";
        this.a1 = "…";
        this.b1 = "…";
        this.c1 = 99;
        v1Var = v1Var == null ? (v1) y.y(uLocale) : v1Var;
        this.R0 = v1Var;
        try {
            v1 f0 = v1Var.cloneAsThawed();
            this.S0 = f0;
            f0.Y(0);
            f0.freeze();
            List<String> s = s();
            this.V0 = s;
            Collections.sort(s, f0);
            while (!this.V0.isEmpty()) {
                if (this.S0.c(this.V0.get(0), "") == 0) {
                    this.V0.remove(0);
                } else if (!d() && uLocale != null) {
                    e(uLocale);
                    return;
                } else {
                    return;
                }
            }
            throw new IllegalArgumentException("AlphabeticIndex requires some non-ignorable script boundary strings");
        } catch (Exception e2) {
            throw new IllegalStateException("Collator cannot be cloned", e2);
        }
    }
}
