package com.ibm.icu.text;

import com.alipay.sdk.util.g;
import com.ibm.icu.impl.CurrencyData;
import com.ibm.icu.text.PluralRules;
import com.ibm.icu.util.ICUCloneNotSupportedException;
import com.ibm.icu.util.ULocale;
import java.io.Serializable;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;

public class CurrencyPluralInfo implements Cloneable, Serializable {
    private static final char[] I0;
    private static final String J0;

    /* renamed from: a  reason: collision with root package name */
    private static final char[] f15101a;

    /* renamed from: b  reason: collision with root package name */
    private static final String f15102b;
    private static final long serialVersionUID = 1;
    private Map<String, String> pluralCountToCurrencyUnitPattern = null;
    private PluralRules pluralRules = null;
    private ULocale ulocale = null;

    static {
        char[] cArr = {164, 164, 164};
        f15101a = cArr;
        f15102b = new String(cArr);
        char[] cArr2 = {0, '.', '#', '#', ' ', 164, 164, 164};
        I0 = cArr2;
        J0 = new String(cArr2);
    }

    public CurrencyPluralInfo() {
        a(ULocale.getDefault(ULocale.Category.FORMAT));
    }

    private void a(ULocale uLocale) {
        this.ulocale = uLocale;
        this.pluralRules = PluralRules.forLocale(uLocale);
        c(uLocale);
    }

    private void c(ULocale uLocale) {
        String str;
        this.pluralCountToCurrencyUnitPattern = new HashMap();
        String d2 = NumberFormat.d(uLocale, 0);
        int indexOf = d2.indexOf(g.f6031b);
        if (indexOf != -1) {
            str = d2.substring(indexOf + 1);
            d2 = d2.substring(0, indexOf);
        } else {
            str = null;
        }
        for (Map.Entry<String, String> entry : CurrencyData.f13344a.b(uLocale, true).q().entrySet()) {
            String key = entry.getKey();
            String value = entry.getValue();
            String replace = value.replace("{0}", d2);
            String str2 = f15102b;
            String replace2 = replace.replace("{1}", str2);
            if (indexOf != -1) {
                replace2 = replace2 + g.f6031b + value.replace("{0}", str).replace("{1}", str2);
            }
            this.pluralCountToCurrencyUnitPattern.put(key, replace2);
        }
    }

    public static CurrencyPluralInfo getInstance() {
        return new CurrencyPluralInfo();
    }

    /* access modifiers changed from: package-private */
    @Deprecated
    public String b(double d2) {
        return this.pluralRules.select(d2);
    }

    @Override // java.lang.Object
    public Object clone() {
        try {
            CurrencyPluralInfo currencyPluralInfo = (CurrencyPluralInfo) super.clone();
            currencyPluralInfo.ulocale = (ULocale) this.ulocale.clone();
            currencyPluralInfo.pluralCountToCurrencyUnitPattern = new HashMap();
            for (String str : this.pluralCountToCurrencyUnitPattern.keySet()) {
                currencyPluralInfo.pluralCountToCurrencyUnitPattern.put(str, this.pluralCountToCurrencyUnitPattern.get(str));
            }
            return currencyPluralInfo;
        } catch (CloneNotSupportedException e2) {
            throw new ICUCloneNotSupportedException(e2);
        }
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof CurrencyPluralInfo)) {
            return false;
        }
        CurrencyPluralInfo currencyPluralInfo = (CurrencyPluralInfo) obj;
        if (!this.pluralRules.equals(currencyPluralInfo.pluralRules) || !this.pluralCountToCurrencyUnitPattern.equals(currencyPluralInfo.pluralCountToCurrencyUnitPattern)) {
            return false;
        }
        return true;
    }

    public String getCurrencyPluralPattern(String str) {
        String str2 = this.pluralCountToCurrencyUnitPattern.get(str);
        if (str2 != null) {
            return str2;
        }
        if (!str.equals(PluralRules.KEYWORD_OTHER)) {
            str2 = this.pluralCountToCurrencyUnitPattern.get(PluralRules.KEYWORD_OTHER);
        }
        return str2 == null ? J0 : str2;
    }

    public ULocale getLocale() {
        return this.ulocale;
    }

    public PluralRules getPluralRules() {
        return this.pluralRules;
    }

    public int hashCode() {
        return (this.pluralCountToCurrencyUnitPattern.hashCode() ^ this.pluralRules.hashCode()) ^ this.ulocale.hashCode();
    }

    @Deprecated
    public Iterator<String> pluralPatternIterator() {
        return this.pluralCountToCurrencyUnitPattern.keySet().iterator();
    }

    @Deprecated
    public String select(PluralRules.FixedDecimal fixedDecimal) {
        return this.pluralRules.select(fixedDecimal);
    }

    public void setCurrencyPluralPattern(String str, String str2) {
        this.pluralCountToCurrencyUnitPattern.put(str, str2);
    }

    public void setLocale(ULocale uLocale) {
        this.ulocale = uLocale;
        a(uLocale);
    }

    public void setPluralRules(String str) {
        this.pluralRules = PluralRules.createRules(str);
    }

    public static CurrencyPluralInfo getInstance(Locale locale) {
        return new CurrencyPluralInfo(locale);
    }

    public static CurrencyPluralInfo getInstance(ULocale uLocale) {
        return new CurrencyPluralInfo(uLocale);
    }

    public CurrencyPluralInfo(Locale locale) {
        a(ULocale.forLocale(locale));
    }

    public CurrencyPluralInfo(ULocale uLocale) {
        a(uLocale);
    }
}
