package com.ibm.icu.text;

import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.d;
import com.ibm.icu.impl.g;
import com.ibm.icu.impl.l2;
import com.ibm.icu.impl.m1;
import com.ibm.icu.impl.q2;
import com.ibm.icu.text.TimeZoneNames;
import com.ibm.icu.util.Calendar;
import com.ibm.icu.util.ICUCloneNotSupportedException;
import com.ibm.icu.util.ICUException;
import com.ibm.icu.util.TimeZone;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.h0;
import com.ibm.icu.util.i0;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.Serializable;
import java.lang.reflect.Array;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.MissingResourceException;
import java.util.ResourceBundle;
import java.util.Set;
import java.util.TreeMap;

public class DateFormatSymbols implements Serializable, Cloneable {
    public static final int ABBREVIATED = 0;
    @Deprecated
    public static final int DT_CONTEXT_COUNT = 3;
    @Deprecated
    public static final int DT_WIDTH_COUNT = 4;
    public static final int FORMAT = 0;
    static final int I0 = 2;
    static final int J0 = 3;
    static final int K0 = 4;
    static final int L0 = 5;
    static final int M0 = 6;
    static final int N0 = 7;
    public static final int NARROW = 2;
    @Deprecated
    public static final int NUMERIC = 2;
    static final String O0 = ":";
    static final String P0 = ".";
    static final String Q0 = "GyMdkHmsSEDFwWahKzYeugAZvcLQqVUOXxrbB";
    private static final String[][] R0 = {new String[]{"GregorianCalendar", "gregorian"}, new String[]{"JapaneseCalendar", "japanese"}, new String[]{"BuddhistCalendar", "buddhist"}, new String[]{"TaiwanCalendar", "roc"}, new String[]{"PersianCalendar", "persian"}, new String[]{"IslamicCalendar", "islamic"}, new String[]{"HebrewCalendar", "hebrew"}, new String[]{"ChineseCalendar", "chinese"}, new String[]{"IndianCalendar", "indian"}, new String[]{"CopticCalendar", "coptic"}, new String[]{"EthiopicCalendar", "ethiopic"}};
    private static final Map<String, c> S0;
    public static final int SHORT = 3;
    public static final int STANDALONE = 1;
    static final int T0 = 3600000;
    private static d<String, DateFormatSymbols, ULocale> U0 = new a();
    private static final String[] V0;
    private static final String[] W0 = {"midnight", "noon", "morning1", "afternoon1", "evening1", "night1", "morning2", "afternoon2", "evening2", "night2"};
    public static final int WIDE = 1;

    /* renamed from: a  reason: collision with root package name */
    static final int f15109a = 0;

    /* renamed from: b  reason: collision with root package name */
    static final int f15110b = 1;
    private static final long serialVersionUID = -5987973545549424702L;
    String[] abbreviatedDayPeriods;
    private ULocale actualLocale;
    String[] ampms;
    String[] ampmsNarrow;
    Map<c, boolean[]> capitalization;
    String[] eraNames;
    String[] eras;
    String[] leapMonthPatterns;
    String localPatternChars;
    String[] months;
    String[] narrowDayPeriods;
    String[] narrowEras;
    String[] narrowMonths;
    String[] narrowQuarters;
    String[] narrowWeekdays;
    String[] quarters;
    private ULocale requestedLocale;
    String[] shortMonths;
    String[] shortQuarters;
    String[] shortWeekdays;
    String[] shortYearNames;
    String[] shortZodiacNames;
    String[] shorterWeekdays;
    String[] standaloneAbbreviatedDayPeriods;
    String[] standaloneMonths;
    String[] standaloneNarrowDayPeriods;
    String[] standaloneNarrowMonths;
    String[] standaloneNarrowQuarters;
    String[] standaloneNarrowWeekdays;
    String[] standaloneQuarters;
    String[] standaloneShortMonths;
    String[] standaloneShortQuarters;
    String[] standaloneShortWeekdays;
    String[] standaloneShorterWeekdays;
    String[] standaloneWeekdays;
    String[] standaloneWideDayPeriods;
    private String timeSeparator;
    private ULocale validLocale;
    String[] weekdays;
    String[] wideDayPeriods;
    private String[][] zoneStrings;

    static class a extends m1<String, DateFormatSymbols, ULocale> {
        a() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: c */
        public DateFormatSymbols a(String str, ULocale uLocale) {
            int indexOf = str.indexOf(43) + 1;
            int indexOf2 = str.indexOf(43, indexOf);
            if (indexOf2 < 0) {
                indexOf2 = str.length();
            }
            return new DateFormatSymbols(uLocale, null, str.substring(indexOf, indexOf2), null);
        }
    }

    /* access modifiers changed from: private */
    public static final class b extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        private static final String f15111a = "/LOCALE/calendar/";

        /* renamed from: b  reason: collision with root package name */
        static final /* synthetic */ boolean f15112b = false;

        /* renamed from: c  reason: collision with root package name */
        Map<String, String[]> f15113c = new TreeMap();

        /* renamed from: d  reason: collision with root package name */
        Map<String, Map<String, String>> f15114d = new TreeMap();

        /* renamed from: e  reason: collision with root package name */
        List<String> f15115e = new ArrayList();
        String f = null;
        String g = null;
        private Set<String> h;
        private String i;

        /* access modifiers changed from: private */
        public enum a {
            SAME_CALENDAR,
            DIFFERENT_CALENDAR,
            GREGORIAN,
            NONE
        }

        b() {
        }

        private a c(String str, l2.e eVar) {
            int indexOf;
            if (eVar.k() != 3) {
                return a.NONE;
            }
            String a2 = eVar.a();
            if (a2.startsWith(f15111a) && a2.length() > 17 && (indexOf = a2.indexOf(47, 17)) > 17) {
                String substring = a2.substring(17, indexOf);
                this.i = a2.substring(indexOf + 1);
                if (this.f.equals(substring) && !str.equals(this.i)) {
                    return a.SAME_CALENDAR;
                }
                if (!this.f.equals(substring) && str.equals(this.i)) {
                    if (substring.equals("gregorian")) {
                        return a.GREGORIAN;
                    }
                    String str2 = this.g;
                    if (str2 == null || str2.equals(substring)) {
                        this.g = substring;
                        return a.DIFFERENT_CALENDAR;
                    }
                }
            }
            throw new ICUException("Malformed 'calendar' alias. Path: " + a2);
        }

        /* JADX WARNING: Removed duplicated region for block: B:60:0x011a  */
        /* JADX WARNING: Removed duplicated region for block: B:61:0x0128  */
        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            boolean z2;
            HashSet hashSet = null;
            l2.d j = eVar.j();
            for (int i2 = 0; j.d(i2, bVar, eVar); i2++) {
                String bVar2 = bVar.toString();
                a c2 = c(bVar2, eVar);
                if (c2 != a.GREGORIAN) {
                    if (c2 == a.DIFFERENT_CALENDAR) {
                        if (hashSet == null) {
                            hashSet = new HashSet();
                        }
                        hashSet.add(this.i);
                    } else if (c2 != a.SAME_CALENDAR) {
                        Set<String> set = this.h;
                        if (set == null || set.isEmpty() || this.h.contains(bVar2) || bVar2.equals("AmPmMarkersAbbr")) {
                            if (bVar2.startsWith("AmPmMarkers")) {
                                if (!bVar2.endsWith("%variant") && !this.f15113c.containsKey(bVar2)) {
                                    this.f15113c.put(bVar2, eVar.g());
                                }
                            } else if (bVar2.equals("eras") || bVar2.equals("dayNames") || bVar2.equals("monthNames") || bVar2.equals("quarters") || bVar2.equals("dayPeriod") || bVar2.equals("monthPatterns") || bVar2.equals("cyclicNameSets")) {
                                d(bVar2, bVar, eVar);
                            }
                        }
                    } else if (!this.f15113c.containsKey(bVar2) && !this.f15114d.containsKey(bVar2)) {
                        this.f15115e.add(this.i);
                        this.f15115e.add(bVar2);
                    }
                }
            }
            do {
                int i3 = 0;
                boolean z3 = false;
                while (i3 < this.f15115e.size()) {
                    String str = this.f15115e.get(i3);
                    if (this.f15113c.containsKey(str)) {
                        this.f15113c.put(this.f15115e.get(i3 + 1), this.f15113c.get(str));
                    } else if (this.f15114d.containsKey(str)) {
                        this.f15114d.put(this.f15115e.get(i3 + 1), this.f15114d.get(str));
                    } else {
                        z2 = false;
                        if (!z2) {
                            this.f15115e.remove(i3 + 1);
                            this.f15115e.remove(i3);
                            z3 = true;
                        } else {
                            i3 += 2;
                        }
                    }
                    z2 = true;
                    if (!z2) {
                    }
                }
                if (!z3) {
                    break;
                }
            } while (!this.f15115e.isEmpty());
            if (hashSet != null) {
                this.h = hashSet;
            }
        }

        /* access modifiers changed from: package-private */
        public void b(String str) {
            this.f = str;
            this.g = null;
            this.f15115e.clear();
        }

        /* access modifiers changed from: protected */
        public void d(String str, l2.b bVar, l2.e eVar) {
            l2.d j = eVar.j();
            HashMap hashMap = null;
            for (int i2 = 0; j.d(i2, bVar, eVar); i2++) {
                if (!bVar.s("%variant")) {
                    String bVar2 = bVar.toString();
                    if (eVar.k() == 0) {
                        if (i2 == 0) {
                            hashMap = new HashMap();
                            this.f15114d.put(str, hashMap);
                        }
                        hashMap.put(bVar2, eVar.f());
                    } else {
                        String str2 = str + "/" + bVar2;
                        if ((!str2.startsWith("cyclicNameSets") || "cyclicNameSets/years/format/abbreviated".startsWith(str2) || "cyclicNameSets/zodiacs/format/abbreviated".startsWith(str2) || "cyclicNameSets/dayParts/format/abbreviated".startsWith(str2)) && !this.f15113c.containsKey(str2) && !this.f15114d.containsKey(str2)) {
                            if (c(str2, eVar) == a.SAME_CALENDAR) {
                                this.f15115e.add(this.i);
                                this.f15115e.add(str2);
                            } else if (eVar.k() == 8) {
                                this.f15113c.put(str2, eVar.g());
                            } else if (eVar.k() == 2) {
                                d(str2, bVar, eVar);
                            }
                        }
                    }
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void e() {
            this.h = null;
        }
    }

    /* access modifiers changed from: package-private */
    public enum c {
        OTHER,
        MONTH_FORMAT,
        MONTH_STANDALONE,
        MONTH_NARROW,
        DAY_FORMAT,
        DAY_STANDALONE,
        DAY_NARROW,
        ERA_WIDE,
        ERA_ABBREV,
        ERA_NARROW,
        ZONE_LONG,
        ZONE_SHORT,
        METAZONE_LONG,
        METAZONE_SHORT
    }

    static {
        HashMap hashMap = new HashMap();
        S0 = hashMap;
        hashMap.put("month-format-except-narrow", c.MONTH_FORMAT);
        hashMap.put("month-standalone-except-narrow", c.MONTH_STANDALONE);
        hashMap.put("month-narrow", c.MONTH_NARROW);
        hashMap.put("day-format-except-narrow", c.DAY_FORMAT);
        hashMap.put("day-standalone-except-narrow", c.DAY_STANDALONE);
        hashMap.put("day-narrow", c.DAY_NARROW);
        hashMap.put("era-name", c.ERA_WIDE);
        hashMap.put("era-abbr", c.ERA_ABBREV);
        hashMap.put("era-narrow", c.ERA_NARROW);
        hashMap.put("zone-long", c.ZONE_LONG);
        hashMap.put("zone-short", c.ZONE_SHORT);
        hashMap.put("metazone-long", c.METAZONE_LONG);
        hashMap.put("metazone-short", c.METAZONE_SHORT);
        String[] strArr = new String[7];
        V0 = strArr;
        strArr[0] = "monthPatterns/format/wide";
        strArr[1] = "monthPatterns/format/abbreviated";
        strArr[2] = "monthPatterns/format/narrow";
        strArr[3] = "monthPatterns/stand-alone/wide";
        strArr[4] = "monthPatterns/stand-alone/abbreviated";
        strArr[5] = "monthPatterns/stand-alone/narrow";
        strArr[6] = "monthPatterns/numeric/all";
    }

    /* synthetic */ DateFormatSymbols(ULocale uLocale, ICUResourceBundle iCUResourceBundle, String str, a aVar) {
        this(uLocale, iCUResourceBundle, str);
    }

    private static final boolean a(Object[][] objArr, Object[][] objArr2) {
        boolean z = true;
        if (objArr == objArr2) {
            return true;
        }
        int i = 0;
        if (objArr == null || objArr2 == null || objArr.length != objArr2.length) {
            return false;
        }
        while (i < objArr.length && (z = q2.s(objArr[i], objArr2[i]))) {
            i++;
        }
        return z;
    }

    private final String[] b(String[] strArr) {
        return (String[]) strArr.clone();
    }

    private final String[][] c(String[][] strArr) {
        String[][] strArr2 = new String[strArr.length][];
        for (int i = 0; i < strArr.length; i++) {
            strArr2[i] = b(strArr[i]);
        }
        return strArr2;
    }

    public static Locale[] getAvailableLocales() {
        return ICUResourceBundle.x0();
    }

    public static ULocale[] getAvailableULocales() {
        return ICUResourceBundle.B0();
    }

    @Deprecated
    public static ResourceBundle getDateFormatBundle(Calendar calendar, ULocale uLocale) throws MissingResourceException {
        return null;
    }

    @Deprecated
    public static ResourceBundle getDateFormatBundle(Calendar calendar, Locale locale) throws MissingResourceException {
        return null;
    }

    @Deprecated
    public static ResourceBundle getDateFormatBundle(Class<? extends Calendar> cls, ULocale uLocale) throws MissingResourceException {
        return null;
    }

    @Deprecated
    public static ResourceBundle getDateFormatBundle(Class<? extends Calendar> cls, Locale locale) throws MissingResourceException {
        return null;
    }

    public static DateFormatSymbols getInstance() {
        return new DateFormatSymbols();
    }

    private String[] h(Map<String, String> map) {
        String[] strArr = new String[W0.length];
        if (map != null) {
            int i = 0;
            while (true) {
                String[] strArr2 = W0;
                if (i >= strArr2.length) {
                    break;
                }
                strArr[i] = map.get(strArr2[i]);
                i++;
            }
        }
        return strArr;
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
    }

    @Override // java.lang.Object
    public Object clone() {
        try {
            return (DateFormatSymbols) super.clone();
        } catch (CloneNotSupportedException e2) {
            throw new ICUCloneNotSupportedException(e2);
        }
    }

    /* access modifiers changed from: package-private */
    public void d(DateFormatSymbols dateFormatSymbols) {
        this.eras = dateFormatSymbols.eras;
        this.eraNames = dateFormatSymbols.eraNames;
        this.narrowEras = dateFormatSymbols.narrowEras;
        this.months = dateFormatSymbols.months;
        this.shortMonths = dateFormatSymbols.shortMonths;
        this.narrowMonths = dateFormatSymbols.narrowMonths;
        this.standaloneMonths = dateFormatSymbols.standaloneMonths;
        this.standaloneShortMonths = dateFormatSymbols.standaloneShortMonths;
        this.standaloneNarrowMonths = dateFormatSymbols.standaloneNarrowMonths;
        this.weekdays = dateFormatSymbols.weekdays;
        this.shortWeekdays = dateFormatSymbols.shortWeekdays;
        this.shorterWeekdays = dateFormatSymbols.shorterWeekdays;
        this.narrowWeekdays = dateFormatSymbols.narrowWeekdays;
        this.standaloneWeekdays = dateFormatSymbols.standaloneWeekdays;
        this.standaloneShortWeekdays = dateFormatSymbols.standaloneShortWeekdays;
        this.standaloneShorterWeekdays = dateFormatSymbols.standaloneShorterWeekdays;
        this.standaloneNarrowWeekdays = dateFormatSymbols.standaloneNarrowWeekdays;
        this.ampms = dateFormatSymbols.ampms;
        this.ampmsNarrow = dateFormatSymbols.ampmsNarrow;
        this.timeSeparator = dateFormatSymbols.timeSeparator;
        this.shortQuarters = dateFormatSymbols.shortQuarters;
        this.narrowQuarters = dateFormatSymbols.narrowQuarters;
        this.quarters = dateFormatSymbols.quarters;
        this.standaloneShortQuarters = dateFormatSymbols.standaloneShortQuarters;
        this.standaloneNarrowQuarters = dateFormatSymbols.standaloneNarrowQuarters;
        this.standaloneQuarters = dateFormatSymbols.standaloneQuarters;
        this.leapMonthPatterns = dateFormatSymbols.leapMonthPatterns;
        this.shortYearNames = dateFormatSymbols.shortYearNames;
        this.shortZodiacNames = dateFormatSymbols.shortZodiacNames;
        this.abbreviatedDayPeriods = dateFormatSymbols.abbreviatedDayPeriods;
        this.wideDayPeriods = dateFormatSymbols.wideDayPeriods;
        this.narrowDayPeriods = dateFormatSymbols.narrowDayPeriods;
        this.standaloneAbbreviatedDayPeriods = dateFormatSymbols.standaloneAbbreviatedDayPeriods;
        this.standaloneWideDayPeriods = dateFormatSymbols.standaloneWideDayPeriods;
        this.standaloneNarrowDayPeriods = dateFormatSymbols.standaloneNarrowDayPeriods;
        this.zoneStrings = dateFormatSymbols.zoneStrings;
        this.localPatternChars = dateFormatSymbols.localPatternChars;
        this.capitalization = dateFormatSymbols.capitalization;
        this.actualLocale = dateFormatSymbols.actualLocale;
        this.validLocale = dateFormatSymbols.validLocale;
        this.requestedLocale = dateFormatSymbols.requestedLocale;
    }

    /* access modifiers changed from: protected */
    @Deprecated
    public void e(ULocale uLocale, ICUResourceBundle iCUResourceBundle, String str) {
        ICUResourceBundle iCUResourceBundle2;
        String str2;
        c cVar;
        Map<String, String> map;
        String str3;
        b bVar = new b();
        if (iCUResourceBundle == null) {
            iCUResourceBundle = (ICUResourceBundle) h0.j(a0.f13490d, uLocale);
        }
        while (str != null) {
            ICUResourceBundle m0 = iCUResourceBundle.m0("calendar/" + str);
            if (m0 != null) {
                bVar.b(str);
                m0.s0("", bVar);
                if (str.equals("gregorian")) {
                    break;
                }
                str = bVar.g;
                if (str == null) {
                    bVar.e();
                }
            } else if (!"gregorian".equals(str)) {
                bVar.e();
            } else {
                throw new MissingResourceException("The 'gregorian' calendar type wasn't found for the locale: " + uLocale.getBaseName(), getClass().getName(), "gregorian");
            }
            str = "gregorian";
        }
        Map<String, String[]> map2 = bVar.f15113c;
        Map<String, Map<String, String>> map3 = bVar.f15114d;
        this.eras = map2.get("eras/abbreviated");
        this.eraNames = map2.get("eras/wide");
        this.narrowEras = map2.get("eras/narrow");
        this.months = map2.get("monthNames/format/wide");
        this.shortMonths = map2.get("monthNames/format/abbreviated");
        this.narrowMonths = map2.get("monthNames/format/narrow");
        this.standaloneMonths = map2.get("monthNames/stand-alone/wide");
        this.standaloneShortMonths = map2.get("monthNames/stand-alone/abbreviated");
        this.standaloneNarrowMonths = map2.get("monthNames/stand-alone/narrow");
        String[] strArr = map2.get("dayNames/format/wide");
        String[] strArr2 = new String[8];
        this.weekdays = strArr2;
        strArr2[0] = "";
        System.arraycopy(strArr, 0, strArr2, 1, strArr.length);
        String[] strArr3 = map2.get("dayNames/format/abbreviated");
        String[] strArr4 = new String[8];
        this.shortWeekdays = strArr4;
        strArr4[0] = "";
        System.arraycopy(strArr3, 0, strArr4, 1, strArr3.length);
        String[] strArr5 = map2.get("dayNames/format/short");
        String[] strArr6 = new String[8];
        this.shorterWeekdays = strArr6;
        strArr6[0] = "";
        System.arraycopy(strArr5, 0, strArr6, 1, strArr5.length);
        String[] strArr7 = map2.get("dayNames/format/narrow");
        if (strArr7 == null && (strArr7 = map2.get("dayNames/stand-alone/narrow")) == null && (strArr7 = map2.get("dayNames/format/abbreviated")) == null) {
            throw new MissingResourceException("Resource not found", getClass().getName(), "dayNames/format/abbreviated");
        }
        String[] strArr8 = new String[8];
        this.narrowWeekdays = strArr8;
        strArr8[0] = "";
        System.arraycopy(strArr7, 0, strArr8, 1, strArr7.length);
        String[] strArr9 = map2.get("dayNames/stand-alone/wide");
        String[] strArr10 = new String[8];
        this.standaloneWeekdays = strArr10;
        strArr10[0] = "";
        System.arraycopy(strArr9, 0, strArr10, 1, strArr9.length);
        String[] strArr11 = map2.get("dayNames/stand-alone/abbreviated");
        String[] strArr12 = new String[8];
        this.standaloneShortWeekdays = strArr12;
        strArr12[0] = "";
        System.arraycopy(strArr11, 0, strArr12, 1, strArr11.length);
        String[] strArr13 = map2.get("dayNames/stand-alone/short");
        String[] strArr14 = new String[8];
        this.standaloneShorterWeekdays = strArr14;
        strArr14[0] = "";
        System.arraycopy(strArr13, 0, strArr14, 1, strArr13.length);
        String[] strArr15 = map2.get("dayNames/stand-alone/narrow");
        String[] strArr16 = new String[8];
        this.standaloneNarrowWeekdays = strArr16;
        strArr16[0] = "";
        System.arraycopy(strArr15, 0, strArr16, 1, strArr15.length);
        this.ampms = map2.get("AmPmMarkers");
        this.ampmsNarrow = map2.get("AmPmMarkersNarrow");
        this.quarters = map2.get("quarters/format/wide");
        this.shortQuarters = map2.get("quarters/format/abbreviated");
        this.narrowQuarters = map2.get("quarters/format/narrow");
        this.standaloneQuarters = map2.get("quarters/stand-alone/wide");
        this.standaloneShortQuarters = map2.get("quarters/stand-alone/abbreviated");
        this.standaloneNarrowQuarters = map2.get("quarters/stand-alone/narrow");
        this.abbreviatedDayPeriods = h(map3.get("dayPeriod/format/abbreviated"));
        this.wideDayPeriods = h(map3.get("dayPeriod/format/wide"));
        this.narrowDayPeriods = h(map3.get("dayPeriod/format/narrow"));
        this.standaloneAbbreviatedDayPeriods = h(map3.get("dayPeriod/stand-alone/abbreviated"));
        this.standaloneWideDayPeriods = h(map3.get("dayPeriod/stand-alone/wide"));
        this.standaloneNarrowDayPeriods = h(map3.get("dayPeriod/stand-alone/narrow"));
        for (int i = 0; i < 7; i++) {
            String str4 = V0[i];
            if (!(str4 == null || (map = map3.get(str4)) == null || (str3 = map.get("leap")) == null)) {
                if (this.leapMonthPatterns == null) {
                    this.leapMonthPatterns = new String[7];
                }
                this.leapMonthPatterns[i] = str3;
            }
        }
        this.shortYearNames = map2.get("cyclicNameSets/years/format/abbreviated");
        this.shortZodiacNames = map2.get("cyclicNameSets/zodiacs/format/abbreviated");
        this.requestedLocale = uLocale;
        ICUResourceBundle iCUResourceBundle3 = (ICUResourceBundle) h0.j(a0.f13490d, uLocale);
        this.localPatternChars = Q0;
        ULocale D = iCUResourceBundle3.D();
        m(D, D);
        this.capitalization = new HashMap();
        boolean[] zArr = {false, false};
        for (c cVar2 : c.values()) {
            this.capitalization.put(cVar2, zArr);
        }
        try {
            iCUResourceBundle2 = iCUResourceBundle3.Z0("contextTransforms");
        } catch (MissingResourceException unused) {
            iCUResourceBundle2 = null;
        }
        if (iCUResourceBundle2 != null) {
            i0 s = iCUResourceBundle2.s();
            while (s.a()) {
                h0 b2 = s.b();
                int[] r = b2.r();
                if (r.length >= 2 && (cVar = S0.get(b2.t())) != null) {
                    boolean[] zArr2 = new boolean[2];
                    zArr2[0] = r[0] != 0;
                    zArr2[1] = r[1] != 0;
                    this.capitalization.put(cVar, zArr2);
                }
            }
        }
        z0 f = z0.f(uLocale);
        if (f == null) {
            str2 = "latn";
        } else {
            str2 = f.j();
        }
        try {
            setTimeSeparatorString(iCUResourceBundle3.W0("NumberElements/" + str2 + "/symbols/timeSeparator"));
        } catch (MissingResourceException unused2) {
            setTimeSeparatorString(O0);
        }
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        DateFormatSymbols dateFormatSymbols = (DateFormatSymbols) obj;
        if (!q2.s(this.eras, dateFormatSymbols.eras) || !q2.s(this.eraNames, dateFormatSymbols.eraNames) || !q2.s(this.narrowEras, dateFormatSymbols.narrowEras) || !q2.s(this.months, dateFormatSymbols.months) || !q2.s(this.shortMonths, dateFormatSymbols.shortMonths) || !q2.s(this.narrowMonths, dateFormatSymbols.narrowMonths) || !q2.s(this.standaloneMonths, dateFormatSymbols.standaloneMonths) || !q2.s(this.standaloneShortMonths, dateFormatSymbols.standaloneShortMonths) || !q2.s(this.standaloneNarrowMonths, dateFormatSymbols.standaloneNarrowMonths) || !q2.s(this.weekdays, dateFormatSymbols.weekdays) || !q2.s(this.shortWeekdays, dateFormatSymbols.shortWeekdays) || !q2.s(this.shorterWeekdays, dateFormatSymbols.shorterWeekdays) || !q2.s(this.narrowWeekdays, dateFormatSymbols.narrowWeekdays) || !q2.s(this.standaloneWeekdays, dateFormatSymbols.standaloneWeekdays) || !q2.s(this.standaloneShortWeekdays, dateFormatSymbols.standaloneShortWeekdays) || !q2.s(this.standaloneShorterWeekdays, dateFormatSymbols.standaloneShorterWeekdays) || !q2.s(this.standaloneNarrowWeekdays, dateFormatSymbols.standaloneNarrowWeekdays) || !q2.s(this.ampms, dateFormatSymbols.ampms) || !q2.s(this.ampmsNarrow, dateFormatSymbols.ampmsNarrow) || !q2.s(this.abbreviatedDayPeriods, dateFormatSymbols.abbreviatedDayPeriods) || !q2.s(this.wideDayPeriods, dateFormatSymbols.wideDayPeriods) || !q2.s(this.narrowDayPeriods, dateFormatSymbols.narrowDayPeriods) || !q2.s(this.standaloneAbbreviatedDayPeriods, dateFormatSymbols.standaloneAbbreviatedDayPeriods) || !q2.s(this.standaloneWideDayPeriods, dateFormatSymbols.standaloneWideDayPeriods) || !q2.s(this.standaloneNarrowDayPeriods, dateFormatSymbols.standaloneNarrowDayPeriods) || !q2.o(this.timeSeparator, dateFormatSymbols.timeSeparator) || !a(this.zoneStrings, dateFormatSymbols.zoneStrings) || !this.requestedLocale.getDisplayName().equals(dateFormatSymbols.requestedLocale.getDisplayName()) || !q2.o(this.localPatternChars, dateFormatSymbols.localPatternChars)) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: protected */
    public void f(ULocale uLocale, String str) {
        String str2 = uLocale.getBaseName() + '+' + str;
        String keywordValue = uLocale.getKeywordValue("numbers");
        if (keywordValue != null && keywordValue.length() > 0) {
            str2 = str2 + '+' + keywordValue;
        }
        d(U0.b(str2, uLocale));
    }

    public String[] getAmPmStrings() {
        return b(this.ampms);
    }

    public String[] getEraNames() {
        return b(this.eraNames);
    }

    public String[] getEras() {
        return b(this.eras);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0017, code lost:
        if (r7 != 3) goto L_0x002d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0027, code lost:
        if (r7 != 3) goto L_0x002d;
     */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x002f  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0032  */
    @Deprecated
    public String getLeapMonthPattern(int i, int i2) {
        String[] strArr = this.leapMonthPatterns;
        if (strArr == null) {
            return null;
        }
        char c2 = 65535;
        if (i != 0) {
            if (i != 1) {
                if (i == 2) {
                    c2 = 6;
                }
            } else if (i2 != 0) {
                if (i2 == 1) {
                    c2 = 3;
                } else if (i2 == 2) {
                    c2 = 5;
                }
            }
            if (c2 >= 0) {
                return strArr[c2];
            }
            throw new IllegalArgumentException("Bad context or width argument");
        } else if (i2 != 0) {
            if (i2 == 1) {
                c2 = 0;
            } else if (i2 == 2) {
                c2 = 2;
            }
            if (c2 >= 0) {
            }
        }
        c2 = 1;
        if (c2 >= 0) {
        }
    }

    public String getLocalPatternChars() {
        return this.localPatternChars;
    }

    public final ULocale getLocale(ULocale.g gVar) {
        return gVar == ULocale.ACTUAL_LOCALE ? this.actualLocale : this.validLocale;
    }

    public String[] getMonths() {
        return b(this.months);
    }

    public String[] getNarrowEras() {
        return b(this.narrowEras);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:13:0x0021, code lost:
        if (r6 != 3) goto L_0x002c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:6:0x000f, code lost:
        if (r6 != 3) goto L_0x002c;
     */
    public String[] getQuarters(int i, int i2) {
        String[] strArr = null;
        if (i == 0) {
            if (i2 != 0) {
                if (i2 == 1) {
                    strArr = this.quarters;
                } else if (i2 == 2) {
                    strArr = this.narrowQuarters;
                }
            }
            strArr = this.shortQuarters;
        } else if (i == 1) {
            if (i2 != 0) {
                if (i2 == 1) {
                    strArr = this.standaloneQuarters;
                } else if (i2 == 2) {
                    strArr = this.standaloneNarrowQuarters;
                }
            }
            strArr = this.standaloneShortQuarters;
        }
        if (strArr != null) {
            return b(strArr);
        }
        throw new IllegalArgumentException("Bad context or width argument");
    }

    public String[] getShortMonths() {
        return b(this.shortMonths);
    }

    public String[] getShortWeekdays() {
        return b(this.shortWeekdays);
    }

    @Deprecated
    public String getTimeSeparatorString() {
        return this.timeSeparator;
    }

    public String[] getWeekdays() {
        return b(this.weekdays);
    }

    public String[] getYearNames(int i, int i2) {
        String[] strArr = this.shortYearNames;
        if (strArr != null) {
            return b(strArr);
        }
        return null;
    }

    public String[] getZodiacNames(int i, int i2) {
        String[] strArr = this.shortZodiacNames;
        if (strArr != null) {
            return b(strArr);
        }
        return null;
    }

    public String[][] getZoneStrings() {
        String[][] strArr = this.zoneStrings;
        if (strArr != null) {
            return c(strArr);
        }
        String[] availableIDs = TimeZone.getAvailableIDs();
        TimeZoneNames instance = TimeZoneNames.getInstance(this.validLocale);
        instance.loadAllDisplayNames();
        TimeZoneNames.NameType[] nameTypeArr = {TimeZoneNames.NameType.LONG_STANDARD, TimeZoneNames.NameType.SHORT_STANDARD, TimeZoneNames.NameType.LONG_DAYLIGHT, TimeZoneNames.NameType.SHORT_DAYLIGHT};
        long currentTimeMillis = System.currentTimeMillis();
        int length = availableIDs.length;
        int[] iArr = new int[2];
        iArr[1] = 5;
        iArr[0] = length;
        String[][] strArr2 = (String[][]) Array.newInstance(String.class, iArr);
        for (int i = 0; i < availableIDs.length; i++) {
            String canonicalID = TimeZone.getCanonicalID(availableIDs[i]);
            if (canonicalID == null) {
                canonicalID = availableIDs[i];
            }
            strArr2[i][0] = availableIDs[i];
            instance.getDisplayNames(canonicalID, nameTypeArr, currentTimeMillis, strArr2[i], 1);
        }
        this.zoneStrings = strArr2;
        return strArr2;
    }

    public int hashCode() {
        return this.requestedLocale.toString().hashCode();
    }

    /* access modifiers changed from: package-private */
    public final void m(ULocale uLocale, ULocale uLocale2) {
        boolean z = true;
        boolean z2 = uLocale == null;
        if (uLocale2 != null) {
            z = false;
        }
        if (z2 == z) {
            this.validLocale = uLocale;
            this.actualLocale = uLocale2;
            return;
        }
        throw new IllegalArgumentException();
    }

    public void setAmPmStrings(String[] strArr) {
        this.ampms = b(strArr);
    }

    public void setEraNames(String[] strArr) {
        this.eraNames = b(strArr);
    }

    public void setEras(String[] strArr) {
        this.eras = b(strArr);
    }

    /* JADX WARNING: Removed duplicated region for block: B:19:0x0029  */
    /* JADX WARNING: Removed duplicated region for block: B:22:? A[RETURN, SYNTHETIC] */
    @Deprecated
    public void setLeapMonthPattern(String str, int i, int i2) {
        String[] strArr = this.leapMonthPatterns;
        if (strArr != null) {
            char c2 = 65535;
            if (i != 0) {
                if (i != 1) {
                    if (i == 2) {
                        c2 = 6;
                    }
                } else if (i2 != 0) {
                    if (i2 == 1) {
                        c2 = 3;
                    } else if (i2 == 2) {
                        c2 = 5;
                    }
                }
                if (c2 >= 0) {
                    strArr[c2] = str;
                    return;
                }
                return;
            } else if (i2 != 0) {
                if (i2 == 1) {
                    c2 = 0;
                } else if (i2 == 2) {
                    c2 = 2;
                }
                if (c2 >= 0) {
                }
            }
            c2 = 1;
            if (c2 >= 0) {
            }
        }
    }

    public void setLocalPatternChars(String str) {
        this.localPatternChars = str;
    }

    public void setMonths(String[] strArr) {
        this.months = b(strArr);
    }

    public void setNarrowEras(String[] strArr) {
        this.narrowEras = b(strArr);
    }

    public void setQuarters(String[] strArr, int i, int i2) {
        if (i != 0) {
            if (i == 1) {
                if (i2 == 0) {
                    this.standaloneShortQuarters = b(strArr);
                } else if (i2 == 1) {
                    this.standaloneQuarters = b(strArr);
                } else if (i2 == 2) {
                    this.standaloneNarrowQuarters = b(strArr);
                }
            }
        } else if (i2 == 0) {
            this.shortQuarters = b(strArr);
        } else if (i2 == 1) {
            this.quarters = b(strArr);
        } else if (i2 == 2) {
            this.narrowQuarters = b(strArr);
        }
    }

    public void setShortMonths(String[] strArr) {
        this.shortMonths = b(strArr);
    }

    public void setShortWeekdays(String[] strArr) {
        this.shortWeekdays = b(strArr);
    }

    @Deprecated
    public void setTimeSeparatorString(String str) {
        this.timeSeparator = str;
    }

    public void setWeekdays(String[] strArr, int i, int i2) {
        if (i != 0) {
            if (i == 1) {
                if (i2 == 0) {
                    this.standaloneShortWeekdays = b(strArr);
                } else if (i2 == 1) {
                    this.standaloneWeekdays = b(strArr);
                } else if (i2 == 2) {
                    this.standaloneNarrowWeekdays = b(strArr);
                } else if (i2 == 3) {
                    this.standaloneShorterWeekdays = b(strArr);
                }
            }
        } else if (i2 == 0) {
            this.shortWeekdays = b(strArr);
        } else if (i2 == 1) {
            this.weekdays = b(strArr);
        } else if (i2 == 2) {
            this.narrowWeekdays = b(strArr);
        } else if (i2 == 3) {
            this.shorterWeekdays = b(strArr);
        }
    }

    public void setYearNames(String[] strArr, int i, int i2) {
        if (i == 0 && i2 == 0) {
            this.shortYearNames = b(strArr);
        }
    }

    public void setZodiacNames(String[] strArr, int i, int i2) {
        if (i == 0 && i2 == 0) {
            this.shortZodiacNames = b(strArr);
        }
    }

    public void setZoneStrings(String[][] strArr) {
        this.zoneStrings = c(strArr);
    }

    public DateFormatSymbols() {
        this(ULocale.getDefault(ULocale.Category.FORMAT));
    }

    public static DateFormatSymbols getInstance(Locale locale) {
        return new DateFormatSymbols(locale);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:13:0x0021, code lost:
        if (r6 != 3) goto L_0x002c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:6:0x000f, code lost:
        if (r6 != 3) goto L_0x002c;
     */
    public String[] getMonths(int i, int i2) {
        String[] strArr = null;
        if (i == 0) {
            if (i2 != 0) {
                if (i2 == 1) {
                    strArr = this.months;
                } else if (i2 == 2) {
                    strArr = this.narrowMonths;
                }
            }
            strArr = this.shortMonths;
        } else if (i == 1) {
            if (i2 != 0) {
                if (i2 == 1) {
                    strArr = this.standaloneMonths;
                } else if (i2 == 2) {
                    strArr = this.standaloneNarrowMonths;
                }
            }
            strArr = this.standaloneShortMonths;
        }
        if (strArr != null) {
            return b(strArr);
        }
        throw new IllegalArgumentException("Bad context or width argument");
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x003f  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0044  */
    public String[] getWeekdays(int i, int i2) {
        String[] strArr;
        String[] strArr2 = null;
        if (i != 0) {
            if (i == 1) {
                if (i2 == 0) {
                    strArr2 = this.standaloneShortWeekdays;
                } else if (i2 == 1) {
                    strArr2 = this.standaloneWeekdays;
                } else if (i2 == 2) {
                    strArr2 = this.standaloneNarrowWeekdays;
                } else if (i2 == 3) {
                    strArr = this.standaloneShorterWeekdays;
                    if (strArr == null) {
                        strArr = this.standaloneShortWeekdays;
                    }
                }
            }
            if (strArr2 != null) {
                return b(strArr2);
            }
            throw new IllegalArgumentException("Bad context or width argument");
        }
        if (i2 == 0) {
            strArr2 = this.shortWeekdays;
        } else if (i2 == 1) {
            strArr2 = this.weekdays;
        } else if (i2 == 2) {
            strArr2 = this.narrowWeekdays;
        } else if (i2 == 3) {
            strArr = this.shorterWeekdays;
            if (strArr == null) {
                strArr = this.shortWeekdays;
            }
        }
        if (strArr2 != null) {
        }
        strArr2 = strArr;
        if (strArr2 != null) {
        }
    }

    public void setMonths(String[] strArr, int i, int i2) {
        if (i != 0) {
            if (i == 1) {
                if (i2 == 0) {
                    this.standaloneShortMonths = b(strArr);
                } else if (i2 == 1) {
                    this.standaloneMonths = b(strArr);
                } else if (i2 == 2) {
                    this.standaloneNarrowMonths = b(strArr);
                }
            }
        } else if (i2 == 0) {
            this.shortMonths = b(strArr);
        } else if (i2 == 1) {
            this.months = b(strArr);
        } else if (i2 == 2) {
            this.narrowMonths = b(strArr);
        }
    }

    public DateFormatSymbols(Locale locale) {
        this(ULocale.forLocale(locale));
    }

    public static DateFormatSymbols getInstance(ULocale uLocale) {
        return new DateFormatSymbols(uLocale);
    }

    public DateFormatSymbols(ULocale uLocale) {
        this.eras = null;
        this.eraNames = null;
        this.narrowEras = null;
        this.months = null;
        this.shortMonths = null;
        this.narrowMonths = null;
        this.standaloneMonths = null;
        this.standaloneShortMonths = null;
        this.standaloneNarrowMonths = null;
        this.weekdays = null;
        this.shortWeekdays = null;
        this.shorterWeekdays = null;
        this.narrowWeekdays = null;
        this.standaloneWeekdays = null;
        this.standaloneShortWeekdays = null;
        this.standaloneShorterWeekdays = null;
        this.standaloneNarrowWeekdays = null;
        this.ampms = null;
        this.ampmsNarrow = null;
        this.timeSeparator = null;
        this.shortQuarters = null;
        this.narrowQuarters = null;
        this.quarters = null;
        this.standaloneShortQuarters = null;
        this.standaloneNarrowQuarters = null;
        this.standaloneQuarters = null;
        this.leapMonthPatterns = null;
        this.shortYearNames = null;
        this.shortZodiacNames = null;
        this.zoneStrings = null;
        this.localPatternChars = null;
        this.abbreviatedDayPeriods = null;
        this.wideDayPeriods = null;
        this.narrowDayPeriods = null;
        this.standaloneAbbreviatedDayPeriods = null;
        this.standaloneWideDayPeriods = null;
        this.standaloneNarrowDayPeriods = null;
        this.capitalization = null;
        f(uLocale, g.a(uLocale));
    }

    public void setWeekdays(String[] strArr) {
        this.weekdays = b(strArr);
    }

    private DateFormatSymbols(ULocale uLocale, ICUResourceBundle iCUResourceBundle, String str) {
        this.eras = null;
        this.eraNames = null;
        this.narrowEras = null;
        this.months = null;
        this.shortMonths = null;
        this.narrowMonths = null;
        this.standaloneMonths = null;
        this.standaloneShortMonths = null;
        this.standaloneNarrowMonths = null;
        this.weekdays = null;
        this.shortWeekdays = null;
        this.shorterWeekdays = null;
        this.narrowWeekdays = null;
        this.standaloneWeekdays = null;
        this.standaloneShortWeekdays = null;
        this.standaloneShorterWeekdays = null;
        this.standaloneNarrowWeekdays = null;
        this.ampms = null;
        this.ampmsNarrow = null;
        this.timeSeparator = null;
        this.shortQuarters = null;
        this.narrowQuarters = null;
        this.quarters = null;
        this.standaloneShortQuarters = null;
        this.standaloneNarrowQuarters = null;
        this.standaloneQuarters = null;
        this.leapMonthPatterns = null;
        this.shortYearNames = null;
        this.shortZodiacNames = null;
        this.zoneStrings = null;
        this.localPatternChars = null;
        this.abbreviatedDayPeriods = null;
        this.wideDayPeriods = null;
        this.narrowDayPeriods = null;
        this.standaloneAbbreviatedDayPeriods = null;
        this.standaloneWideDayPeriods = null;
        this.standaloneNarrowDayPeriods = null;
        this.capitalization = null;
        e(uLocale, iCUResourceBundle, str);
    }

    public DateFormatSymbols(Calendar calendar, Locale locale) {
        this.eras = null;
        this.eraNames = null;
        this.narrowEras = null;
        this.months = null;
        this.shortMonths = null;
        this.narrowMonths = null;
        this.standaloneMonths = null;
        this.standaloneShortMonths = null;
        this.standaloneNarrowMonths = null;
        this.weekdays = null;
        this.shortWeekdays = null;
        this.shorterWeekdays = null;
        this.narrowWeekdays = null;
        this.standaloneWeekdays = null;
        this.standaloneShortWeekdays = null;
        this.standaloneShorterWeekdays = null;
        this.standaloneNarrowWeekdays = null;
        this.ampms = null;
        this.ampmsNarrow = null;
        this.timeSeparator = null;
        this.shortQuarters = null;
        this.narrowQuarters = null;
        this.quarters = null;
        this.standaloneShortQuarters = null;
        this.standaloneNarrowQuarters = null;
        this.standaloneQuarters = null;
        this.leapMonthPatterns = null;
        this.shortYearNames = null;
        this.shortZodiacNames = null;
        this.zoneStrings = null;
        this.localPatternChars = null;
        this.abbreviatedDayPeriods = null;
        this.wideDayPeriods = null;
        this.narrowDayPeriods = null;
        this.standaloneAbbreviatedDayPeriods = null;
        this.standaloneWideDayPeriods = null;
        this.standaloneNarrowDayPeriods = null;
        this.capitalization = null;
        f(ULocale.forLocale(locale), calendar.getType());
    }

    public DateFormatSymbols(Calendar calendar, ULocale uLocale) {
        this.eras = null;
        this.eraNames = null;
        this.narrowEras = null;
        this.months = null;
        this.shortMonths = null;
        this.narrowMonths = null;
        this.standaloneMonths = null;
        this.standaloneShortMonths = null;
        this.standaloneNarrowMonths = null;
        this.weekdays = null;
        this.shortWeekdays = null;
        this.shorterWeekdays = null;
        this.narrowWeekdays = null;
        this.standaloneWeekdays = null;
        this.standaloneShortWeekdays = null;
        this.standaloneShorterWeekdays = null;
        this.standaloneNarrowWeekdays = null;
        this.ampms = null;
        this.ampmsNarrow = null;
        this.timeSeparator = null;
        this.shortQuarters = null;
        this.narrowQuarters = null;
        this.quarters = null;
        this.standaloneShortQuarters = null;
        this.standaloneNarrowQuarters = null;
        this.standaloneQuarters = null;
        this.leapMonthPatterns = null;
        this.shortYearNames = null;
        this.shortZodiacNames = null;
        this.zoneStrings = null;
        this.localPatternChars = null;
        this.abbreviatedDayPeriods = null;
        this.wideDayPeriods = null;
        this.narrowDayPeriods = null;
        this.standaloneAbbreviatedDayPeriods = null;
        this.standaloneWideDayPeriods = null;
        this.standaloneNarrowDayPeriods = null;
        this.capitalization = null;
        f(uLocale, calendar.getType());
    }

    public DateFormatSymbols(Class<? extends Calendar> cls, Locale locale) {
        this(cls, ULocale.forLocale(locale));
    }

    public DateFormatSymbols(Class<? extends Calendar> cls, ULocale uLocale) {
        String str = null;
        this.eras = null;
        this.eraNames = null;
        this.narrowEras = null;
        this.months = null;
        this.shortMonths = null;
        this.narrowMonths = null;
        this.standaloneMonths = null;
        this.standaloneShortMonths = null;
        this.standaloneNarrowMonths = null;
        this.weekdays = null;
        this.shortWeekdays = null;
        this.shorterWeekdays = null;
        this.narrowWeekdays = null;
        this.standaloneWeekdays = null;
        this.standaloneShortWeekdays = null;
        this.standaloneShorterWeekdays = null;
        this.standaloneNarrowWeekdays = null;
        this.ampms = null;
        this.ampmsNarrow = null;
        this.timeSeparator = null;
        this.shortQuarters = null;
        this.narrowQuarters = null;
        this.quarters = null;
        this.standaloneShortQuarters = null;
        this.standaloneNarrowQuarters = null;
        this.standaloneQuarters = null;
        this.leapMonthPatterns = null;
        this.shortYearNames = null;
        this.shortZodiacNames = null;
        this.zoneStrings = null;
        this.localPatternChars = null;
        this.abbreviatedDayPeriods = null;
        this.wideDayPeriods = null;
        this.narrowDayPeriods = null;
        this.standaloneAbbreviatedDayPeriods = null;
        this.standaloneWideDayPeriods = null;
        this.standaloneNarrowDayPeriods = null;
        this.capitalization = null;
        String name = cls.getName();
        String substring = name.substring(name.lastIndexOf(46) + 1);
        String[][] strArr = R0;
        int length = strArr.length;
        int i = 0;
        while (true) {
            if (i >= length) {
                break;
            }
            String[] strArr2 = strArr[i];
            if (strArr2[0].equals(substring)) {
                str = strArr2[1];
                break;
            }
            i++;
        }
        f(uLocale, str == null ? substring.replaceAll("Calendar", "").toLowerCase(Locale.ENGLISH) : str);
    }

    public DateFormatSymbols(ResourceBundle resourceBundle, Locale locale) {
        this(resourceBundle, ULocale.forLocale(locale));
    }

    public DateFormatSymbols(ResourceBundle resourceBundle, ULocale uLocale) {
        this.eras = null;
        this.eraNames = null;
        this.narrowEras = null;
        this.months = null;
        this.shortMonths = null;
        this.narrowMonths = null;
        this.standaloneMonths = null;
        this.standaloneShortMonths = null;
        this.standaloneNarrowMonths = null;
        this.weekdays = null;
        this.shortWeekdays = null;
        this.shorterWeekdays = null;
        this.narrowWeekdays = null;
        this.standaloneWeekdays = null;
        this.standaloneShortWeekdays = null;
        this.standaloneShorterWeekdays = null;
        this.standaloneNarrowWeekdays = null;
        this.ampms = null;
        this.ampmsNarrow = null;
        this.timeSeparator = null;
        this.shortQuarters = null;
        this.narrowQuarters = null;
        this.quarters = null;
        this.standaloneShortQuarters = null;
        this.standaloneNarrowQuarters = null;
        this.standaloneQuarters = null;
        this.leapMonthPatterns = null;
        this.shortYearNames = null;
        this.shortZodiacNames = null;
        this.zoneStrings = null;
        this.localPatternChars = null;
        this.abbreviatedDayPeriods = null;
        this.wideDayPeriods = null;
        this.narrowDayPeriods = null;
        this.standaloneAbbreviatedDayPeriods = null;
        this.standaloneWideDayPeriods = null;
        this.standaloneNarrowDayPeriods = null;
        this.capitalization = null;
        e(uLocale, (ICUResourceBundle) resourceBundle, g.a(uLocale));
    }
}
