package com.ibm.icu.text;

import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.j1;
import com.ibm.icu.impl.l1;
import com.ibm.icu.impl.q2;
import com.ibm.icu.impl.s;
import com.ibm.icu.impl.w;
import com.ibm.icu.text.DateIntervalInfo;
import com.ibm.icu.text.DisplayContext;
import com.ibm.icu.text.UFormat;
import com.ibm.icu.util.Calendar;
import com.ibm.icu.util.DateInterval;
import com.ibm.icu.util.TimeZone;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.h0;
import java.io.IOException;
import java.io.InvalidObjectException;
import java.io.ObjectInputStream;
import java.text.AttributedCharacterIterator;
import java.text.FieldPosition;
import java.text.ParsePosition;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;
import java.util.Map;

public class DateIntervalFormat extends UFormat {

    /* renamed from: a  reason: collision with root package name */
    private static w<String, Map<String, DateIntervalInfo.PatternInfo>> f15120a = new j1();
    private static final long serialVersionUID = 1;

    /* renamed from: b  reason: collision with root package name */
    private transient Map<String, DateIntervalInfo.PatternInfo> f15121b = null;
    private DisplayContext fCapitalizationSetting = DisplayContext.CAPITALIZATION_NONE;
    private SimpleDateFormat fDateFormat;
    private String fDatePattern = null;
    private String fDateTimeFormat = null;
    private Calendar fFromCalendar;
    private DateIntervalInfo fInfo;
    private String fSkeleton = null;
    private String fTimePattern = null;
    private Calendar fToCalendar;
    private boolean isDateIntervalInfoDefault;

    public static final class SpanField extends UFormat.SpanField {
        public static final SpanField DATE_INTERVAL_SPAN = new SpanField("date-interval-span");
        private static final long serialVersionUID = -6330879259553618133L;

        private SpanField(String str) {
            super(str);
        }

        /* access modifiers changed from: protected */
        @Override // java.text.AttributedCharacterIterator.Attribute
        @Deprecated
        public Object readResolve() throws InvalidObjectException {
            String name = getName();
            SpanField spanField = DATE_INTERVAL_SPAN;
            if (name.equals(spanField.getName())) {
                return spanField;
            }
            throw new InvalidObjectException("An invalid object.");
        }
    }

    /* access modifiers changed from: package-private */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        final String f15122a;

        /* renamed from: b  reason: collision with root package name */
        final int f15123b;

        b(String str, int i) {
            this.f15122a = str;
            this.f15123b = i;
        }
    }

    /* access modifiers changed from: private */
    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        int f15124a;

        private c() {
            this.f15124a = -1;
        }

        public void a(int i) {
            if (this.f15124a == -1) {
                this.f15124a = i;
            }
        }
    }

    public static final class d implements k0 {

        /* renamed from: a  reason: collision with root package name */
        private final String f15125a;

        /* renamed from: b  reason: collision with root package name */
        private final List<FieldPosition> f15126b;

        d(CharSequence charSequence, List<FieldPosition> list) {
            this.f15125a = charSequence.toString();
            this.f15126b = Collections.unmodifiableList(list);
        }

        @Override // com.ibm.icu.text.k0
        public boolean a(c0 c0Var) {
            return s.b(this.f15126b, c0Var);
        }

        @Override // com.ibm.icu.text.k0
        public <A extends Appendable> A b(A a2) {
            return (A) q2.k(this.f15125a, a2);
        }

        public char charAt(int i) {
            return this.f15125a.charAt(i);
        }

        @Override // com.ibm.icu.text.k0
        public AttributedCharacterIterator h() {
            return s.d(this.f15125a, this.f15126b);
        }

        public int length() {
            return this.f15125a.length();
        }

        public CharSequence subSequence(int i, int i2) {
            return this.f15125a.subSequence(i, i2);
        }

        @Override // com.ibm.icu.text.k0
        public String toString() {
            return this.f15125a;
        }
    }

    /* access modifiers changed from: private */
    public static final class e {

        /* renamed from: a  reason: collision with root package name */
        final String f15127a;

        /* renamed from: b  reason: collision with root package name */
        final String f15128b;

        e(String str, String str2) {
            this.f15127a = str;
            this.f15128b = str2;
        }
    }

    private DateIntervalFormat() {
    }

    private static String b(String str, String str2, String str3, int i, boolean z) {
        char c2;
        if (str3 == null) {
            return null;
        }
        int[] iArr = new int[58];
        int[] iArr2 = new int[58];
        DateIntervalInfo.p(str, iArr);
        DateIntervalInfo.p(str2, iArr2);
        if (z) {
            if (str3.indexOf(" a") != -1) {
                str3 = m(str3, " a", "");
            } else if (str3.indexOf(" a") != -1) {
                str3 = m(str3, " a", "");
            } else if (str3.indexOf(" a") != -1) {
                str3 = m(str3, " a", "");
            } else if (str3.indexOf("a ") != -1) {
                str3 = m(str3, "a ", "");
            } else if (str3.indexOf("a ") != -1) {
                str3 = m(str3, "a ", "");
            } else if (str3.indexOf("a ") != -1) {
                str3 = m(str3, "a ", "");
            }
            str3 = m(str3, "a", "");
        }
        if (i == 2) {
            if (str.indexOf(122) != -1) {
                str3 = m(str3, "v", DateFormat.ABBR_SPECIFIC_TZ);
            }
            if (str.indexOf(75) != -1) {
                str3 = m(str3, "h", "K");
            }
            if (str.indexOf(107) != -1) {
                str3 = m(str3, DateFormat.HOUR24, "k");
            }
            if (str.indexOf(98) != -1) {
                str3 = m(str3, "a", com.niming.weipa.utils.x0.b.f20637a);
            }
        }
        if (str3.indexOf(97) != -1 && iArr2[32] == 0) {
            iArr2[32] = 1;
        }
        if (str3.indexOf(98) != -1 && iArr2[33] == 0) {
            iArr2[33] = 1;
        }
        StringBuilder sb = new StringBuilder(str3);
        int length = sb.length();
        int i2 = 0;
        int i3 = 0;
        char c3 = 0;
        boolean z2 = false;
        while (true) {
            c2 = 'M';
            if (i2 >= length) {
                break;
            }
            char charAt = sb.charAt(i2);
            if (charAt != c3 && i3 > 0) {
                if (c3 != 'L') {
                    c2 = c3;
                }
                int i4 = c2 - 'A';
                int i5 = iArr2[i4];
                int i6 = iArr[i4];
                if (i5 == i3 && i6 > i5) {
                    int i7 = i6 - i5;
                    for (int i8 = 0; i8 < i7; i8++) {
                        sb.insert(i2, c3);
                    }
                    i2 += i7;
                    length += i7;
                }
                i3 = 0;
            }
            if (charAt == '\'') {
                int i9 = i2 + 1;
                if (i9 >= sb.length() || sb.charAt(i9) != '\'') {
                    z2 = !z2;
                } else {
                    i2 = i9;
                }
            } else if (!z2 && ((charAt >= 'a' && charAt <= 'z') || (charAt >= 'A' && charAt <= 'Z'))) {
                i3++;
                c3 = charAt;
            }
            i2++;
        }
        if (i3 > 0) {
            if (c3 != 'L') {
                c2 = c3;
            }
            int i10 = c2 - 'A';
            int i11 = iArr2[i10];
            int i12 = iArr[i10];
            if (i11 == i3 && i12 > i11) {
                int i13 = i12 - i11;
                for (int i14 = 0; i14 < i13; i14++) {
                    sb.append(c3);
                }
            }
        }
        return sb.toString();
    }

    private void c(String str, String str2, int i, Map<String, DateIntervalInfo.PatternInfo> map) {
        String[] strArr = DateIntervalInfo.f15130b;
        DateIntervalInfo.PatternInfo patternInfo = map.get(strArr[i]);
        if (patternInfo != null) {
            map.put(strArr[i], DateIntervalInfo.genPatternInfo(l1.g(str, 2, 2, patternInfo.getFirstPart() + patternInfo.getSecondPart(), str2), patternInfo.firstDateInPtnIsLaterDate()));
        }
    }

    private final StringBuffer d(Calendar calendar, Calendar calendar2, boolean z, StringBuffer stringBuffer, FieldPosition fieldPosition, c cVar, List<FieldPosition> list) {
        StringBuilder sb = new StringBuilder();
        if ((!z || this.fDatePattern == null || this.fTimePattern == null) ? false : true) {
            String a2 = l1.a(this.fDateTimeFormat, sb, 2, 2);
            String pattern = this.fDateFormat.toPattern();
            long j = 0;
            FieldPosition fieldPosition2 = fieldPosition;
            while (true) {
                long b2 = l1.a.b(j, a2, stringBuffer);
                if (b2 == -1) {
                    break;
                }
                if (l1.a.a(b2) == 0) {
                    this.fDateFormat.applyPattern(this.fTimePattern);
                    f(calendar, calendar2, stringBuffer, sb, fieldPosition2, cVar, list);
                } else {
                    this.fDateFormat.applyPattern(this.fDatePattern);
                    this.fDateFormat.p(calendar, stringBuffer, fieldPosition2, list);
                }
                if (fieldPosition2.getEndIndex() > 0) {
                    fieldPosition2 = new FieldPosition(0);
                }
                this.fDateFormat.setContext(DisplayContext.CAPITALIZATION_NONE);
                j = b2;
            }
            this.fDateFormat.applyPattern(pattern);
        } else {
            f(calendar, calendar2, stringBuffer, sb, fieldPosition, cVar, list);
        }
        return stringBuffer;
    }

    private final StringBuffer e(Calendar calendar, Calendar calendar2, boolean z, StringBuffer stringBuffer, FieldPosition fieldPosition, c cVar, List<FieldPosition> list, String str) {
        String pattern = this.fDateFormat.toPattern();
        this.fDateFormat.applyPattern(str);
        d(calendar, calendar2, z, stringBuffer, fieldPosition, cVar, list);
        this.fDateFormat.applyPattern(pattern);
        return stringBuffer;
    }

    private final void f(Calendar calendar, Calendar calendar2, StringBuffer stringBuffer, StringBuilder sb, FieldPosition fieldPosition, c cVar, List<FieldPosition> list) {
        String a2 = l1.a(this.fInfo.getFallbackIntervalPattern(), sb, 2, 2);
        long j = 0;
        while (true) {
            j = l1.a.b(j, a2, stringBuffer);
            if (j != -1) {
                if (l1.a.a(j) == 0) {
                    if (cVar != null) {
                        cVar.a(0);
                    }
                    this.fDateFormat.p(calendar, stringBuffer, fieldPosition, list);
                } else {
                    if (cVar != null) {
                        cVar.a(1);
                    }
                    this.fDateFormat.p(calendar2, stringBuffer, fieldPosition, list);
                }
                if (fieldPosition.getEndIndex() > 0) {
                    fieldPosition = new FieldPosition(0);
                }
                this.fDateFormat.setContext(DisplayContext.CAPITALIZATION_NONE);
            } else {
                return;
            }
        }
    }

    public static final DateIntervalFormat getInstance(String str) {
        return getInstance(str, ULocale.getDefault(ULocale.Category.FORMAT));
    }

    private static boolean h(int i, String str) {
        return str.indexOf(DateIntervalInfo.f15130b[i]) != -1;
    }

    private static String m(String str, String str2, String str3) {
        int indexOf = str.indexOf("'");
        if (indexOf < 0) {
            return str.replace(str2, str3);
        }
        StringBuilder sb = new StringBuilder();
        while (indexOf >= 0) {
            int indexOf2 = str.indexOf("'", indexOf + 1);
            if (indexOf2 < 0) {
                indexOf2 = str.length() - 1;
            }
            String substring = str.substring(0, indexOf);
            int i = indexOf2 + 1;
            String substring2 = str.substring(indexOf, i);
            sb.append(substring.replace(str2, str3));
            sb.append(substring2);
            str = str.substring(i);
            indexOf = str.indexOf("'");
        }
        sb.append(str.replace(str2, str3));
        return sb.toString();
    }

    /* JADX WARNING: Removed duplicated region for block: B:42:0x00c6  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00ea  */
    private synchronized StringBuffer n(Calendar calendar, Calendar calendar2, StringBuffer stringBuffer, FieldPosition fieldPosition, c cVar, List<FieldPosition> list) {
        int i;
        boolean z;
        DateIntervalInfo.PatternInfo patternInfo;
        Calendar calendar3 = calendar;
        Calendar calendar4 = calendar2;
        synchronized (this) {
            if (calendar.isEquivalentTo(calendar2)) {
                this.fDateFormat.setContext(this.fCapitalizationSetting);
                int i2 = 5;
                if (calendar3.get(0) != calendar4.get(0)) {
                    i = 14;
                    i2 = 0;
                } else if (calendar3.get(1) != calendar4.get(1)) {
                    i = 14;
                    i2 = 1;
                } else if (calendar3.get(2) != calendar4.get(2)) {
                    i = 14;
                    i2 = 2;
                } else if (calendar3.get(5) != calendar4.get(5)) {
                    i = 14;
                } else if (calendar3.get(9) != calendar4.get(9)) {
                    i = 14;
                    i2 = 9;
                } else if (calendar3.get(10) != calendar4.get(10)) {
                    i = 14;
                    i2 = 10;
                } else if (calendar3.get(12) != calendar4.get(12)) {
                    i = 14;
                    i2 = 12;
                } else if (calendar3.get(13) != calendar4.get(13)) {
                    i = 14;
                    i2 = 13;
                } else {
                    i = 14;
                    if (calendar3.get(14) != calendar4.get(14)) {
                        i2 = 14;
                    } else {
                        return this.fDateFormat.p(calendar3, stringBuffer, fieldPosition, list);
                    }
                }
                if (!(i2 == 9 || i2 == 10 || i2 == 12 || i2 == 13)) {
                    if (i2 != i) {
                        z = false;
                        patternInfo = this.f15121b.get(DateIntervalInfo.f15130b[i2]);
                        if (patternInfo != null) {
                            if (this.fDateFormat.E(i2)) {
                                return this.fDateFormat.p(calendar3, stringBuffer, fieldPosition, list);
                            }
                            return d(calendar, calendar2, z, stringBuffer, fieldPosition, cVar, list);
                        } else if (patternInfo.getFirstPart() == null) {
                            return e(calendar, calendar2, z, stringBuffer, fieldPosition, cVar, list, patternInfo.getSecondPart());
                        } else {
                            if (patternInfo.firstDateInPtnIsLaterDate()) {
                                if (cVar != null) {
                                    cVar.a(1);
                                }
                                calendar4 = calendar3;
                                calendar3 = calendar4;
                            } else if (cVar != null) {
                                cVar.a(0);
                            }
                            String pattern = this.fDateFormat.toPattern();
                            this.fDateFormat.applyPattern(patternInfo.getFirstPart());
                            this.fDateFormat.p(calendar3, stringBuffer, fieldPosition, list);
                            FieldPosition fieldPosition2 = fieldPosition.getEndIndex() > 0 ? new FieldPosition(0) : fieldPosition;
                            if (patternInfo.getSecondPart() != null) {
                                this.fDateFormat.applyPattern(patternInfo.getSecondPart());
                                this.fDateFormat.setContext(DisplayContext.CAPITALIZATION_NONE);
                                this.fDateFormat.p(calendar4, stringBuffer, fieldPosition2, list);
                            }
                            this.fDateFormat.applyPattern(pattern);
                            return stringBuffer;
                        }
                    }
                }
                z = true;
                patternInfo = this.f15121b.get(DateIntervalInfo.f15130b[i2]);
                if (patternInfo != null) {
                }
            } else {
                throw new IllegalArgumentException("can not format on two different calendars");
            }
        }
    }

    private synchronized StringBuffer p(DateInterval dateInterval, StringBuffer stringBuffer, FieldPosition fieldPosition, c cVar, List<FieldPosition> list) {
        this.fFromCalendar.setTimeInMillis(dateInterval.getFromDate());
        this.fToCalendar.setTimeInMillis(dateInterval.getToDate());
        return n(this.fFromCalendar, this.fToCalendar, stringBuffer, fieldPosition, cVar, list);
    }

    private void q(int i, String str, Map<String, DateIntervalInfo.PatternInfo> map, DateTimePatternGenerator dateTimePatternGenerator) {
        map.put(DateIntervalInfo.f15130b[i], new DateIntervalInfo.PatternInfo(null, dateTimePatternGenerator.N(str), this.fInfo.getDefaultOrder()));
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        y(this.isDateIntervalInfoDefault ? f15120a : null);
        if (this.fCapitalizationSetting == null) {
            this.fCapitalizationSetting = DisplayContext.CAPITALIZATION_NONE;
        }
    }

    private e s(int i, String str, String str2, int i2, Map<String, DateIntervalInfo.PatternInfo> map) {
        DateIntervalInfo.PatternInfo intervalPattern = this.fInfo.getIntervalPattern(str2, i);
        boolean z = true;
        e eVar = null;
        if (intervalPattern == null) {
            if (SimpleDateFormat.F(str2, i)) {
                map.put(DateIntervalInfo.f15130b[i], new DateIntervalInfo.PatternInfo(this.fDateFormat.toPattern(), null, this.fInfo.getDefaultOrder()));
                return null;
            } else if (i == 9) {
                DateIntervalInfo.PatternInfo intervalPattern2 = this.fInfo.getIntervalPattern(str2, 10);
                if (intervalPattern2 != null) {
                    if (this.fSkeleton.indexOf(74) == -1) {
                        z = false;
                    }
                    map.put(DateIntervalInfo.f15130b[i], new DateIntervalInfo.PatternInfo(b(str, str2, intervalPattern2.getFirstPart(), i2, z), b(str, str2, intervalPattern2.getSecondPart(), i2, z), intervalPattern2.firstDateInPtnIsLaterDate()));
                }
                return null;
            } else {
                String str3 = DateIntervalInfo.f15130b[i];
                str2 = str3 + str2;
                str = str3 + str;
                intervalPattern = this.fInfo.getIntervalPattern(str2, i);
                if (intervalPattern == null && i2 == 0) {
                    b h = this.fInfo.h(str);
                    String str4 = h.f15122a;
                    i2 = h.f15123b;
                    if (!(str4.length() == 0 || i2 == -1)) {
                        intervalPattern = this.fInfo.getIntervalPattern(str4, i);
                        str2 = str4;
                    }
                }
                if (intervalPattern != null) {
                    eVar = new e(str, str2);
                }
            }
        }
        if (intervalPattern != null) {
            if (i2 != 0) {
                if (this.fSkeleton.indexOf(74) == -1) {
                    z = false;
                }
                intervalPattern = new DateIntervalInfo.PatternInfo(b(str, str2, intervalPattern.getFirstPart(), i2, z), b(str, str2, intervalPattern.getSecondPart(), i2, z), intervalPattern.firstDateInPtnIsLaterDate());
            }
            map.put(DateIntervalInfo.f15130b[i], intervalPattern);
        }
        return eVar;
    }

    private boolean t(String str, String str2, Map<String, DateIntervalInfo.PatternInfo> map, DateTimePatternGenerator dateTimePatternGenerator) {
        String str3 = str2.length() != 0 ? str2 : str;
        b h = this.fInfo.h(str3);
        String str4 = h.f15122a;
        int i = h.f15123b;
        if (str.length() != 0) {
            this.fDatePattern = dateTimePatternGenerator.N(str);
        }
        if (str2.length() != 0) {
            this.fTimePattern = dateTimePatternGenerator.N(str2);
        }
        if (i == -1) {
            return false;
        }
        if (str2.length() == 0) {
            s(5, str3, str4, i, map);
            e s = s(2, str3, str4, i, map);
            if (s != null) {
                String str5 = s.f15127a;
                str3 = s.f15128b;
                str4 = str5;
            }
            s(1, str3, str4, i, map);
            s(0, str3, str4, i, map);
            return true;
        }
        s(12, str3, str4, i, map);
        s(10, str3, str4, i, map);
        s(9, str3, str4, i, map);
        return true;
    }

    private String u(ULocale uLocale) {
        ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) ((ICUResourceBundle) h0.j(a0.f13490d, uLocale)).Z0("calendar/gregorian/DateTimePatterns").c(8);
        if (iCUResourceBundle.B() == 0) {
            return iCUResourceBundle.y();
        }
        return iCUResourceBundle.z(0);
    }

    private static void v(String str, StringBuilder sb, StringBuilder sb2, StringBuilder sb3, StringBuilder sb4) {
        int i = 0;
        int i2 = 0;
        int i3 = 0;
        char c2 = 0;
        int i4 = 0;
        int i5 = 0;
        int i6 = 0;
        int i7 = 0;
        int i8 = 0;
        for (int i9 = 0; i9 < str.length(); i9++) {
            char charAt = str.charAt(i9);
            switch (charAt) {
                case 'A':
                case 'B':
                case 'S':
                case 'V':
                case 'Z':
                case 'a':
                case 'b':
                case 'j':
                case 's':
                    sb3.append(charAt);
                    sb4.append(charAt);
                    break;
                case 'D':
                case 'F':
                case 'G':
                case 'L':
                case 'Q':
                case 'U':
                case 'W':
                case 'Y':
                case 'c':
                case 'e':
                case 'g':
                case 'l':
                case 'q':
                case 'r':
                case 'u':
                case 'w':
                    sb2.append(charAt);
                    sb.append(charAt);
                    break;
                case 'E':
                    sb.append(charAt);
                    i3++;
                    break;
                case 'H':
                case 'K':
                case 'h':
                case 'k':
                    sb3.append(charAt);
                    if (c2 == 0) {
                        c2 = charAt;
                        break;
                    } else {
                        break;
                    }
                case 'M':
                    sb.append(charAt);
                    i4++;
                    break;
                case 'd':
                    sb.append(charAt);
                    i5++;
                    break;
                case 'm':
                    sb3.append(charAt);
                    i6++;
                    break;
                case 'v':
                    i7++;
                    sb3.append(charAt);
                    break;
                case 'y':
                    sb.append(charAt);
                    i2++;
                    break;
                case 'z':
                    i8++;
                    sb3.append(charAt);
                    break;
            }
        }
        if (i2 != 0) {
            for (int i10 = 0; i10 < i2; i10++) {
                sb2.append('y');
            }
        }
        if (i4 != 0) {
            if (i4 < 3) {
                sb2.append('M');
            } else {
                int i11 = 0;
                while (i11 < i4 && i11 < 5) {
                    sb2.append('M');
                    i11++;
                }
            }
        }
        if (i3 != 0) {
            if (i3 <= 3) {
                sb2.append('E');
            } else {
                while (i < i3 && i < 5) {
                    sb2.append('E');
                    i++;
                }
            }
        }
        if (i5 != 0) {
            sb2.append('d');
        }
        if (c2 != 0) {
            sb4.append(c2);
        }
        if (i6 != 0) {
            sb4.append('m');
        }
        if (i8 != 0) {
            sb4.append('z');
        }
        if (i7 != 0) {
            sb4.append('v');
        }
    }

    private Map<String, DateIntervalInfo.PatternInfo> x(String str, ULocale uLocale) {
        DateTimePatternGenerator j0 = DateTimePatternGenerator.j0(uLocale);
        if (this.fSkeleton == null) {
            this.fSkeleton = j0.q0(str);
        }
        String z = z(this.fSkeleton, uLocale);
        HashMap hashMap = new HashMap();
        StringBuilder sb = new StringBuilder(z.length());
        StringBuilder sb2 = new StringBuilder(z.length());
        StringBuilder sb3 = new StringBuilder(z.length());
        StringBuilder sb4 = new StringBuilder(z.length());
        v(z, sb, sb2, sb3, sb4);
        String sb5 = sb.toString();
        String sb6 = sb3.toString();
        String sb7 = sb2.toString();
        String sb8 = sb4.toString();
        if (!(sb3.length() == 0 || sb.length() == 0)) {
            this.fDateTimeFormat = u(uLocale);
        }
        if (!t(sb7, sb8, hashMap, j0)) {
            if (sb3.length() != 0 && sb.length() == 0) {
                String str2 = DateFormat.YEAR_NUM_MONTH_DAY + sb6;
                DateIntervalInfo.PatternInfo patternInfo = new DateIntervalInfo.PatternInfo(null, j0.N(str2), this.fInfo.getDefaultOrder());
                String[] strArr = DateIntervalInfo.f15130b;
                hashMap.put(strArr[5], patternInfo);
                hashMap.put(strArr[2], patternInfo);
                hashMap.put(strArr[1], patternInfo);
                hashMap.put(strArr[0], new DateIntervalInfo.PatternInfo(null, j0.N(str2 + "G"), this.fInfo.getDefaultOrder()));
            }
            return hashMap;
        }
        if (sb3.length() != 0) {
            if (sb.length() == 0) {
                String str3 = DateFormat.YEAR_NUM_MONTH_DAY + sb6;
                DateIntervalInfo.PatternInfo patternInfo2 = new DateIntervalInfo.PatternInfo(null, j0.N(str3), this.fInfo.getDefaultOrder());
                String[] strArr2 = DateIntervalInfo.f15130b;
                hashMap.put(strArr2[5], patternInfo2);
                hashMap.put(strArr2[2], patternInfo2);
                hashMap.put(strArr2[1], patternInfo2);
                hashMap.put(strArr2[0], new DateIntervalInfo.PatternInfo(null, j0.N(str3 + "G"), this.fInfo.getDefaultOrder()));
            } else {
                if (!h(5, sb5)) {
                    z = DateIntervalInfo.f15130b[5] + z;
                    q(5, z, hashMap, j0);
                }
                if (!h(2, sb5)) {
                    z = DateIntervalInfo.f15130b[2] + z;
                    q(2, z, hashMap, j0);
                }
                if (!h(1, sb5)) {
                    z = DateIntervalInfo.f15130b[1] + z;
                    q(1, z, hashMap, j0);
                }
                if (!h(0, sb5)) {
                    q(0, DateIntervalInfo.f15130b[0] + z, hashMap, j0);
                }
                if (this.fDateTimeFormat == null) {
                    this.fDateTimeFormat = "{1} {0}";
                }
                String N = j0.N(sb5);
                c(this.fDateTimeFormat, N, 9, hashMap);
                c(this.fDateTimeFormat, N, 10, hashMap);
                c(this.fDateTimeFormat, N, 12, hashMap);
            }
        }
        return hashMap;
    }

    private void y(w<String, Map<String, DateIntervalInfo.PatternInfo>> wVar) {
        String str;
        String str2;
        String pattern = this.fDateFormat.toPattern();
        ULocale locale = this.fDateFormat.getLocale();
        Map<String, DateIntervalInfo.PatternInfo> map = null;
        if (wVar != null) {
            if (this.fSkeleton != null) {
                str2 = locale.toString() + "+" + pattern + "+" + this.fSkeleton;
            } else {
                str2 = locale.toString() + "+" + pattern;
            }
            str = str2;
            map = wVar.get(str2);
        } else {
            str = null;
        }
        if (map == null) {
            map = Collections.unmodifiableMap(x(pattern, locale));
            if (wVar != null) {
                wVar.put(str, map);
            }
        }
        this.f15121b = map;
    }

    private String z(String str, ULocale uLocale) {
        char c2;
        int i;
        StringBuilder sb = new StringBuilder(str);
        int i2 = 0;
        char c3 = 0;
        int i3 = 0;
        char c4 = 0;
        int i4 = 0;
        int i5 = 0;
        int i6 = 0;
        while (true) {
            c2 = 'K';
            if (i2 >= sb.length()) {
                break;
            }
            char charAt = sb.charAt(i2);
            if (charAt == 'j' || charAt == 'J' || charAt == 'C' || charAt == 'h' || charAt == 'H' || charAt == 'k' || charAt == 'K') {
                if (c3 == 0) {
                    i5 = i2;
                    c3 = charAt;
                }
                i3++;
            } else if (charAt != 'a' && charAt != 'b' && charAt != 'B') {
                if (!(c3 == 0 || c4 == 0)) {
                    break;
                }
            } else {
                if (c4 == 0) {
                    i6 = i2;
                    c4 = charAt;
                }
                i4++;
            }
            i2++;
        }
        if (c3 != 0) {
            String N = DateTimePatternGenerator.j0(uLocale).N(String.valueOf(c3));
            while (true) {
                int indexOf = N.indexOf(39);
                i = 1;
                if (indexOf == -1) {
                    break;
                }
                int indexOf2 = N.indexOf(39, indexOf + 1);
                if (indexOf2 == -1) {
                    indexOf2 = indexOf;
                }
                N = N.substring(0, indexOf) + N.substring(indexOf2 + 1);
            }
            if (N.indexOf(104) != -1) {
                c2 = 'h';
            } else if (N.indexOf(75) == -1) {
                c2 = N.indexOf(107) != -1 ? 'k' : 'H';
            }
            if (N.indexOf(98) != -1) {
                c4 = 'b';
            } else if (N.indexOf(66) != -1) {
                c4 = 'B';
            } else if (c4 == 0) {
                c4 = 'a';
            }
            StringBuilder sb2 = new StringBuilder();
            sb2.append(c2);
            if (!(c2 == 'H' || c2 == 'k')) {
                if (i4 >= 5 || i3 >= 5) {
                    i = 5;
                } else if (i4 >= 3 || i3 >= 3) {
                    i = 3;
                }
                for (int i7 = 0; i7 < i; i7++) {
                    sb2.append(c4);
                }
            }
            sb.replace(i5, i5 + i3, sb2.toString());
            if (i6 > i5) {
                i6 += sb2.length() - i3;
            }
            sb.delete(i6, i4 + i6);
        }
        return sb.toString();
    }

    @Override // java.lang.Object
    public synchronized Object clone() {
        DateIntervalFormat dateIntervalFormat;
        dateIntervalFormat = (DateIntervalFormat) super.clone();
        dateIntervalFormat.fDateFormat = (SimpleDateFormat) this.fDateFormat.clone();
        dateIntervalFormat.fInfo = (DateIntervalInfo) this.fInfo.clone();
        dateIntervalFormat.fFromCalendar = (Calendar) this.fFromCalendar.clone();
        dateIntervalFormat.fToCalendar = (Calendar) this.fToCalendar.clone();
        dateIntervalFormat.fDatePattern = this.fDatePattern;
        dateIntervalFormat.fTimePattern = this.fTimePattern;
        dateIntervalFormat.fDateTimeFormat = this.fDateTimeFormat;
        dateIntervalFormat.fCapitalizationSetting = this.fCapitalizationSetting;
        return dateIntervalFormat;
    }

    public final StringBuffer format(Object obj, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        if (obj instanceof DateInterval) {
            return format((DateInterval) obj, stringBuffer, fieldPosition);
        }
        throw new IllegalArgumentException("Cannot format given Object (" + obj.getClass().getName() + ") as a DateInterval");
    }

    public d formatToValue(DateInterval dateInterval) {
        StringBuffer stringBuffer = new StringBuffer();
        FieldPosition fieldPosition = new FieldPosition(0);
        c cVar = new c();
        ArrayList arrayList = new ArrayList();
        p(dateInterval, stringBuffer, fieldPosition, cVar, arrayList);
        int i = cVar.f15124a;
        if (i != -1) {
            s.a(arrayList, SpanField.DATE_INTERVAL_SPAN, i);
            s.c(arrayList);
        }
        return new d(stringBuffer, arrayList);
    }

    public DisplayContext getContext(DisplayContext.Type type) {
        DisplayContext displayContext;
        return (type != DisplayContext.Type.CAPITALIZATION || (displayContext = this.fCapitalizationSetting) == null) ? DisplayContext.CAPITALIZATION_NONE : displayContext;
    }

    public synchronized DateFormat getDateFormat() {
        return (DateFormat) this.fDateFormat.clone();
    }

    public DateIntervalInfo getDateIntervalInfo() {
        return (DateIntervalInfo) this.fInfo.clone();
    }

    @Deprecated
    public String getPatterns(Calendar calendar, Calendar calendar2, com.ibm.icu.util.w<String> wVar) {
        char c2 = 0;
        if (calendar.get(0) == calendar2.get(0)) {
            if (calendar.get(1) != calendar2.get(1)) {
                c2 = 1;
            } else if (calendar.get(2) != calendar2.get(2)) {
                c2 = 2;
            } else if (calendar.get(5) != calendar2.get(5)) {
                c2 = 5;
            } else if (calendar.get(9) != calendar2.get(9)) {
                c2 = '\t';
            } else if (calendar.get(10) != calendar2.get(10)) {
                c2 = '\n';
            } else if (calendar.get(12) != calendar2.get(12)) {
                c2 = '\f';
            } else if (calendar.get(13) != calendar2.get(13)) {
                c2 = '\r';
            } else if (calendar.get(14) == calendar2.get(14)) {
                return null;
            } else {
                c2 = 14;
            }
        }
        DateIntervalInfo.PatternInfo patternInfo = this.f15121b.get(DateIntervalInfo.f15130b[c2]);
        wVar.f16195a = (T) patternInfo.getSecondPart();
        return patternInfo.getFirstPart();
    }

    @Deprecated
    public Map<String, DateIntervalInfo.PatternInfo> getRawPatterns() {
        return this.f15121b;
    }

    public TimeZone getTimeZone() {
        SimpleDateFormat simpleDateFormat = this.fDateFormat;
        if (simpleDateFormat != null) {
            return (TimeZone) simpleDateFormat.getTimeZone().clone();
        }
        return TimeZone.getDefault();
    }

    @Deprecated
    public Object parseObject(String str, ParsePosition parsePosition) {
        throw new UnsupportedOperationException("parsing is not supported");
    }

    public void setContext(DisplayContext displayContext) {
        if (displayContext.type() == DisplayContext.Type.CAPITALIZATION) {
            this.fCapitalizationSetting = displayContext;
        }
    }

    public void setDateIntervalInfo(DateIntervalInfo dateIntervalInfo) {
        DateIntervalInfo dateIntervalInfo2 = (DateIntervalInfo) dateIntervalInfo.clone();
        this.fInfo = dateIntervalInfo2;
        this.isDateIntervalInfoDefault = false;
        dateIntervalInfo2.freeze();
        if (this.fDateFormat != null) {
            y(null);
        }
    }

    public void setTimeZone(TimeZone timeZone) {
        TimeZone timeZone2 = (TimeZone) timeZone.clone();
        SimpleDateFormat simpleDateFormat = this.fDateFormat;
        if (simpleDateFormat != null) {
            simpleDateFormat.setTimeZone(timeZone2);
        }
        Calendar calendar = this.fFromCalendar;
        if (calendar != null) {
            calendar.setTimeZone(timeZone2);
        }
        Calendar calendar2 = this.fToCalendar;
        if (calendar2 != null) {
            calendar2.setTimeZone(timeZone2);
        }
    }

    public static final DateIntervalFormat getInstance(String str, Locale locale) {
        return getInstance(str, ULocale.forLocale(locale));
    }

    public static final DateIntervalFormat getInstance(String str, ULocale uLocale) {
        return new DateIntervalFormat(str, uLocale, new SimpleDateFormat(DateTimePatternGenerator.j0(uLocale).N(str), uLocale));
    }

    public final StringBuffer format(DateInterval dateInterval, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        return p(dateInterval, stringBuffer, fieldPosition, null, null);
    }

    public static final DateIntervalFormat getInstance(String str, DateIntervalInfo dateIntervalInfo) {
        return getInstance(str, ULocale.getDefault(ULocale.Category.FORMAT), dateIntervalInfo);
    }

    public final StringBuffer format(Calendar calendar, Calendar calendar2, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        return n(calendar, calendar2, stringBuffer, fieldPosition, null, null);
    }

    public static final DateIntervalFormat getInstance(String str, Locale locale, DateIntervalInfo dateIntervalInfo) {
        return getInstance(str, ULocale.forLocale(locale), dateIntervalInfo);
    }

    public static final DateIntervalFormat getInstance(String str, ULocale uLocale, DateIntervalInfo dateIntervalInfo) {
        return new DateIntervalFormat(str, (DateIntervalInfo) dateIntervalInfo.clone(), new SimpleDateFormat(DateTimePatternGenerator.j0(uLocale).N(str), uLocale));
    }

    @Deprecated
    public DateIntervalFormat(String str, DateIntervalInfo dateIntervalInfo, SimpleDateFormat simpleDateFormat) {
        this.fDateFormat = simpleDateFormat;
        dateIntervalInfo.freeze();
        this.fSkeleton = str;
        this.fInfo = dateIntervalInfo;
        this.isDateIntervalInfoDefault = false;
        this.fFromCalendar = (Calendar) this.fDateFormat.getCalendar().clone();
        this.fToCalendar = (Calendar) this.fDateFormat.getCalendar().clone();
        y(null);
    }

    public d formatToValue(Calendar calendar, Calendar calendar2) {
        StringBuffer stringBuffer = new StringBuffer();
        FieldPosition fieldPosition = new FieldPosition(0);
        c cVar = new c();
        ArrayList arrayList = new ArrayList();
        n(calendar, calendar2, stringBuffer, fieldPosition, cVar, arrayList);
        int i = cVar.f15124a;
        if (i != -1) {
            s.a(arrayList, SpanField.DATE_INTERVAL_SPAN, i);
            s.c(arrayList);
        }
        return new d(stringBuffer, arrayList);
    }

    private DateIntervalFormat(String str, ULocale uLocale, SimpleDateFormat simpleDateFormat) {
        this.fDateFormat = simpleDateFormat;
        this.fSkeleton = str;
        this.fInfo = new DateIntervalInfo(uLocale).freeze();
        this.isDateIntervalInfoDefault = true;
        this.fFromCalendar = (Calendar) this.fDateFormat.getCalendar().clone();
        this.fToCalendar = (Calendar) this.fDateFormat.getCalendar().clone();
        y(f15120a);
    }
}
