package com.ibm.icu.text;

import androidx.exifinterface.media.ExifInterface;
import com.alipay.sdk.util.g;
import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.j1;
import com.ibm.icu.impl.l2;
import com.ibm.icu.impl.number.Padder;
import com.ibm.icu.impl.w;
import com.ibm.icu.text.DateIntervalFormat;
import com.ibm.icu.util.Calendar;
import com.ibm.icu.util.ICUCloneNotSupportedException;
import com.ibm.icu.util.ICUException;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.h0;
import com.ibm.icu.util.n;
import com.niming.weipa.utils.x0.b;
import java.io.Serializable;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.LinkedHashSet;
import java.util.Locale;
import java.util.Map;
import java.util.MissingResourceException;
import java.util.Objects;
import java.util.Set;

public class DateIntervalInfo implements Cloneable, n<DateIntervalInfo>, Serializable {
    private static final int I0 = 14;
    private static String J0 = "calendar";
    private static String K0 = "intervalFormats";
    private static String L0 = "fallback";
    private static String M0 = "latestFirst:";
    private static String N0 = "earliestFirst:";
    private static final w<String, DateIntervalInfo> O0 = new j1();

    /* renamed from: a  reason: collision with root package name */
    static final int f15129a = 1;

    /* renamed from: b  reason: collision with root package name */
    static final String[] f15130b = {"G", DateFormat.YEAR, "M", "w", ExifInterface.y4, DateFormat.DAY, "D", "E", "F", "a", "h", DateFormat.HOUR24, DateFormat.MINUTE, DateFormat.SECOND, ExifInterface.w4, DateFormat.ABBR_SPECIFIC_TZ, Padder.f14124a, "Y", "e", "u", "g", ExifInterface.B4, Padder.f14124a, Padder.f14124a};
    private static final long serialVersionUID = 1;
    private volatile transient boolean P0;
    private transient boolean Q0;
    private String fFallbackIntervalPattern;
    private boolean fFirstDateInPtnIsLaterDate;
    private Map<String, Map<String, PatternInfo>> fIntervalPatterns;

    public static final class PatternInfo implements Cloneable, Serializable {

        /* renamed from: a  reason: collision with root package name */
        static final int f15131a = 1;
        private static final long serialVersionUID = 1;
        private final boolean fFirstDateInPtnIsLaterDate;
        private final String fIntervalPatternFirstPart;
        private final String fIntervalPatternSecondPart;

        public PatternInfo(String str, String str2, boolean z) {
            this.fIntervalPatternFirstPart = str;
            this.fIntervalPatternSecondPart = str2;
            this.fFirstDateInPtnIsLaterDate = z;
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof PatternInfo)) {
                return false;
            }
            PatternInfo patternInfo = (PatternInfo) obj;
            if (!Objects.equals(this.fIntervalPatternFirstPart, patternInfo.fIntervalPatternFirstPart) || !Objects.equals(this.fIntervalPatternSecondPart, patternInfo.fIntervalPatternSecondPart) || this.fFirstDateInPtnIsLaterDate != patternInfo.fFirstDateInPtnIsLaterDate) {
                return false;
            }
            return true;
        }

        public boolean firstDateInPtnIsLaterDate() {
            return this.fFirstDateInPtnIsLaterDate;
        }

        public String getFirstPart() {
            return this.fIntervalPatternFirstPart;
        }

        public String getSecondPart() {
            return this.fIntervalPatternSecondPart;
        }

        public int hashCode() {
            String str = this.fIntervalPatternFirstPart;
            int hashCode = str != null ? str.hashCode() : 0;
            String str2 = this.fIntervalPatternSecondPart;
            if (str2 != null) {
                hashCode ^= str2.hashCode();
            }
            return this.fFirstDateInPtnIsLaterDate ? ~hashCode : hashCode;
        }

        public String toString() {
            return "{first=«" + this.fIntervalPatternFirstPart + "», second=«" + this.fIntervalPatternSecondPart + "», reversed:" + this.fFirstDateInPtnIsLaterDate + g.f6033d;
        }
    }

    /* access modifiers changed from: private */
    public static final class a extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        private static final String f15132a = "GyMdahHmsS";

        /* renamed from: b  reason: collision with root package name */
        private static final String f15133b = ("/LOCALE/" + DateIntervalInfo.J0 + "/");

        /* renamed from: c  reason: collision with root package name */
        private static final String f15134c;

        /* renamed from: d  reason: collision with root package name */
        DateIntervalInfo f15135d;

        /* renamed from: e  reason: collision with root package name */
        String f15136e;

        static {
            StringBuilder sb = new StringBuilder();
            sb.append("/");
            sb.append(DateIntervalInfo.K0);
            f15134c = sb.toString();
        }

        public a(DateIntervalInfo dateIntervalInfo) {
            this.f15135d = dateIntervalInfo;
        }

        private String c(String str) {
            String str2 = f15133b;
            if (str.startsWith(str2)) {
                String str3 = f15134c;
                if (str.endsWith(str3)) {
                    return str.substring(str2.length(), str.length() - str3.length());
                }
            }
            throw new ICUException("Malformed 'intervalFormat' alias path: " + str);
        }

        private void e(String str, String str2, l2.e eVar) {
            Map map = (Map) this.f15135d.fIntervalPatterns.get(str);
            if (map == null || !map.containsKey(str2)) {
                this.f15135d.s(str, str2, eVar.toString());
            }
        }

        private CharSequence f(CharSequence charSequence) {
            if (charSequence.length() != 1) {
                return null;
            }
            char charAt = charSequence.charAt(0);
            if (f15132a.indexOf(charAt) < 0 && charAt != 'B') {
                return null;
            }
            String[] strArr = DateIntervalInfo.f15130b;
            String str = charSequence;
            if (charAt == strArr[11].charAt(0)) {
                str = strArr[10];
            }
            return charAt == 'B' ? strArr[9] : str;
        }

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                if (bVar.r(DateIntervalInfo.K0)) {
                    if (eVar.k() == 3) {
                        this.f15136e = c(eVar.a());
                        return;
                    } else if (eVar.k() == 2) {
                        l2.d j2 = eVar.j();
                        for (int i2 = 0; j2.d(i2, bVar, eVar); i2++) {
                            if (eVar.k() == 2) {
                                d(bVar, eVar);
                            }
                        }
                        return;
                    }
                }
            }
        }

        public String b() {
            String str = this.f15136e;
            this.f15136e = null;
            return str;
        }

        public void d(l2.b bVar, l2.e eVar) {
            CharSequence f;
            String bVar2 = bVar.toString();
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                if (eVar.k() == 0 && (f = f(bVar)) != null) {
                    e(bVar2, f.toString(), eVar);
                }
            }
        }
    }

    @Deprecated
    public DateIntervalInfo() {
        this.fFirstDateInPtnIsLaterDate = false;
        this.fIntervalPatterns = null;
        this.P0 = false;
        this.Q0 = false;
        this.fIntervalPatterns = new HashMap();
        this.fFallbackIntervalPattern = "{0} – {1}";
    }

    private static Map<String, Map<String, PatternInfo>> e(Map<String, Map<String, PatternInfo>> map) {
        HashMap hashMap = new HashMap();
        for (Map.Entry<String, Map<String, PatternInfo>> entry : map.entrySet()) {
            String key = entry.getKey();
            HashMap hashMap2 = new HashMap();
            for (Map.Entry<String, PatternInfo> entry2 : entry.getValue().entrySet()) {
                hashMap2.put(entry2.getKey(), entry2.getValue());
            }
            hashMap.put(key, hashMap2);
        }
        return hashMap;
    }

    private Object f() {
        try {
            DateIntervalInfo dateIntervalInfo = (DateIntervalInfo) super.clone();
            dateIntervalInfo.fFallbackIntervalPattern = this.fFallbackIntervalPattern;
            dateIntervalInfo.fFirstDateInPtnIsLaterDate = this.fFirstDateInPtnIsLaterDate;
            if (this.Q0) {
                dateIntervalInfo.fIntervalPatterns = this.fIntervalPatterns;
                dateIntervalInfo.Q0 = true;
            } else {
                dateIntervalInfo.fIntervalPatterns = e(this.fIntervalPatterns);
                dateIntervalInfo.Q0 = false;
            }
            dateIntervalInfo.P0 = false;
            return dateIntervalInfo;
        } catch (CloneNotSupportedException e2) {
            throw new ICUCloneNotSupportedException("clone is not supported", e2);
        }
    }

    @Deprecated
    public static PatternInfo genPatternInfo(String str, boolean z) {
        int u = u(str);
        return new PatternInfo(str.substring(0, u), u < str.length() ? str.substring(u, str.length()) : null, z);
    }

    private void m(ULocale uLocale) {
        String uLocale2 = uLocale.toString();
        w<String, DateIntervalInfo> wVar = O0;
        DateIntervalInfo dateIntervalInfo = wVar.get(uLocale2);
        if (dateIntervalInfo == null) {
            t(uLocale);
            this.Q0 = true;
            wVar.put(uLocale2, ((DateIntervalInfo) clone()).freeze());
            return;
        }
        n(dateIntervalInfo);
    }

    private void n(DateIntervalInfo dateIntervalInfo) {
        this.fFallbackIntervalPattern = dateIntervalInfo.fFallbackIntervalPattern;
        this.fFirstDateInPtnIsLaterDate = dateIntervalInfo.fFirstDateInPtnIsLaterDate;
        this.fIntervalPatterns = dateIntervalInfo.fIntervalPatterns;
        this.Q0 = true;
    }

    static void p(String str, int[] iArr) {
        for (int i = 0; i < str.length(); i++) {
            int charAt = str.charAt(i) - 'A';
            iArr[charAt] = iArr[charAt] + 1;
        }
    }

    private void q(String str, String str2, PatternInfo patternInfo) {
        this.fIntervalPatterns.get(str).put(str2, patternInfo);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private PatternInfo s(String str, String str2, String str3) {
        boolean z;
        Map<String, PatternInfo> map = this.fIntervalPatterns.get(str);
        boolean z2 = false;
        if (map == null) {
            map = new HashMap<>();
            z = true;
        } else {
            z = false;
        }
        boolean z3 = this.fFirstDateInPtnIsLaterDate;
        if (str3.startsWith(M0)) {
            str3 = str3.substring(M0.length(), str3.length());
            z2 = true;
        } else if (str3.startsWith(N0)) {
            str3 = str3.substring(N0.length(), str3.length());
        } else {
            z2 = z3;
        }
        PatternInfo genPatternInfo = genPatternInfo(str3, z2);
        map.put(str2, genPatternInfo);
        if (z) {
            this.fIntervalPatterns.put(str, map);
        }
        return genPatternInfo;
    }

    private void t(ULocale uLocale) {
        this.fIntervalPatterns = new HashMap(19);
        this.fFallbackIntervalPattern = "{0} – {1}";
        try {
            String keywordValue = uLocale.getKeywordValue("calendar");
            if (keywordValue == null) {
                keywordValue = Calendar.getKeywordValuesForLocale("calendar", uLocale, true)[0];
            }
            if (keywordValue == null) {
                keywordValue = "gregorian";
            }
            a aVar = new a(this);
            ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) h0.j(a0.f13490d, uLocale);
            setFallbackIntervalPattern(iCUResourceBundle.W0(J0 + "/" + keywordValue + "/" + K0 + "/" + L0));
            HashSet hashSet = new HashSet();
            while (keywordValue != null) {
                if (!hashSet.contains(keywordValue)) {
                    hashSet.add(keywordValue);
                    iCUResourceBundle.s0(J0 + "/" + keywordValue, aVar);
                    keywordValue = aVar.b();
                } else {
                    throw new ICUException("Loop in calendar type fallback: " + keywordValue);
                }
            }
        } catch (MissingResourceException unused) {
        }
    }

    private static int u(String str) {
        boolean z;
        int[] iArr = new int[58];
        int i = 0;
        int i2 = 0;
        char c2 = 0;
        int i3 = 0;
        boolean z2 = false;
        while (true) {
            z = true;
            if (i2 >= str.length()) {
                z = false;
                break;
            }
            char charAt = str.charAt(i2);
            if (charAt != c2 && i3 > 0) {
                int i4 = c2 - 'A';
                if (iArr[i4] != 0) {
                    break;
                }
                iArr[i4] = 1;
                i3 = 0;
            }
            if (charAt == '\'') {
                int i5 = i2 + 1;
                if (i5 >= str.length() || str.charAt(i5) != '\'') {
                    z2 = !z2;
                } else {
                    i2 = i5;
                }
            } else if (!z2 && ((charAt >= 'a' && charAt <= 'z') || (charAt >= 'A' && charAt <= 'Z'))) {
                i3++;
                c2 = charAt;
            }
            i2++;
        }
        if (i3 <= 0 || z || iArr[c2 - 'A'] != 0) {
            i = i3;
        }
        return i2 - i;
    }

    private static boolean v(int i, int i2, char c2) {
        if (c2 != 'M') {
            return false;
        }
        if (i > 2 || i2 <= 2) {
            return i > 2 && i2 <= 2;
        }
        return true;
    }

    @Override // java.lang.Object
    public Object clone() {
        if (this.P0) {
            return this;
        }
        return f();
    }

    public boolean equals(Object obj) {
        if (obj instanceof DateIntervalInfo) {
            return this.fIntervalPatterns.equals(((DateIntervalInfo) obj).fIntervalPatterns);
        }
        return false;
    }

    public boolean getDefaultOrder() {
        return this.fFirstDateInPtnIsLaterDate;
    }

    public String getFallbackIntervalPattern() {
        return this.fFallbackIntervalPattern;
    }

    public PatternInfo getIntervalPattern(String str, int i) {
        PatternInfo patternInfo;
        if (i <= 14) {
            Map<String, PatternInfo> map = this.fIntervalPatterns.get(str);
            if (map == null || (patternInfo = map.get(f15130b[i])) == null) {
                return null;
            }
            return patternInfo;
        }
        throw new IllegalArgumentException("no support for field less than MILLISECOND");
    }

    @Deprecated
    public Map<String, Set<String>> getPatterns() {
        LinkedHashMap linkedHashMap = new LinkedHashMap();
        for (Map.Entry<String, Map<String, PatternInfo>> entry : this.fIntervalPatterns.entrySet()) {
            linkedHashMap.put(entry.getKey(), new LinkedHashSet(entry.getValue().keySet()));
        }
        return linkedHashMap;
    }

    @Deprecated
    public Map<String, Map<String, PatternInfo>> getRawPatterns() {
        LinkedHashMap linkedHashMap = new LinkedHashMap();
        for (Map.Entry<String, Map<String, PatternInfo>> entry : this.fIntervalPatterns.entrySet()) {
            linkedHashMap.put(entry.getKey(), new LinkedHashMap(entry.getValue()));
        }
        return linkedHashMap;
    }

    /* access modifiers changed from: package-private */
    public DateIntervalFormat.b h(String str) {
        boolean z;
        String str2;
        int i;
        String str3 = str;
        int i2 = 58;
        int[] iArr = new int[58];
        int[] iArr2 = new int[58];
        int i3 = 0;
        if (str3.indexOf(122) == -1 && str3.indexOf(107) == -1 && str3.indexOf(75) == -1 && str3.indexOf(97) == -1 && str3.indexOf(98) == -1) {
            str2 = str3;
            z = false;
        } else {
            str2 = str3.replace('z', 'v').replace('k', 'H').replace('K', 'h').replace("a", "").replace(b.f20637a, "");
            z = true;
        }
        p(str2, iArr);
        int i4 = Integer.MAX_VALUE;
        Iterator<String> it = this.fIntervalPatterns.keySet().iterator();
        int i5 = 0;
        while (true) {
            if (!it.hasNext()) {
                i = i5;
                break;
            }
            String next = it.next();
            for (int i6 = 0; i6 < i2; i6++) {
                iArr2[i6] = i3;
            }
            p(next, iArr2);
            int i7 = 0;
            int i8 = 0;
            int i9 = 1;
            while (i7 < i2) {
                int i10 = iArr[i7];
                int i11 = iArr2[i7];
                if (i10 != i11) {
                    if (i10 == 0 || i11 == 0) {
                        i8 += 4096;
                        i9 = -1;
                    } else if (v(i10, i11, (char) (i7 + 65))) {
                        i8 += 256;
                    } else {
                        i8 += Math.abs(i10 - i11);
                    }
                }
                i7++;
                i2 = 58;
            }
            if (i8 < i4) {
                str3 = next;
                i4 = i8;
                i5 = i9;
            }
            if (i8 == 0) {
                i = 0;
                break;
            }
            i2 = 58;
            i3 = 0;
        }
        if (z && i != -1) {
            i = 2;
        }
        return new DateIntervalFormat.b(str3, i);
    }

    public int hashCode() {
        return this.fIntervalPatterns.hashCode();
    }

    @Override // com.ibm.icu.util.n
    public boolean isFrozen() {
        return this.P0;
    }

    public void setFallbackIntervalPattern(String str) {
        if (!this.P0) {
            int indexOf = str.indexOf("{0}");
            int indexOf2 = str.indexOf("{1}");
            if (indexOf == -1 || indexOf2 == -1) {
                throw new IllegalArgumentException("no pattern {0} or pattern {1} in fallbackPattern");
            }
            if (indexOf > indexOf2) {
                this.fFirstDateInPtnIsLaterDate = true;
            }
            this.fFallbackIntervalPattern = str;
            return;
        }
        throw new UnsupportedOperationException("no modification is allowed after DII is frozen");
    }

    public void setIntervalPattern(String str, int i, String str2) {
        if (this.P0) {
            throw new UnsupportedOperationException("no modification is allowed after DII is frozen");
        } else if (i <= 14) {
            if (this.Q0) {
                this.fIntervalPatterns = e(this.fIntervalPatterns);
                this.Q0 = false;
            }
            String[] strArr = f15130b;
            PatternInfo s = s(str, strArr[i], str2);
            if (i == 11) {
                q(str, strArr[9], s);
                q(str, strArr[10], s);
            } else if (i == 5 || i == 7) {
                q(str, strArr[5], s);
            }
        } else {
            throw new IllegalArgumentException("calendar field is larger than MINIMUM_SUPPORTED_CALENDAR_FIELD");
        }
    }

    @Override // com.ibm.icu.util.n
    public DateIntervalInfo cloneAsThawed() {
        return (DateIntervalInfo) f();
    }

    @Override // com.ibm.icu.util.n
    public DateIntervalInfo freeze() {
        this.Q0 = true;
        this.P0 = true;
        return this;
    }

    public DateIntervalInfo(ULocale uLocale) {
        this.fFirstDateInPtnIsLaterDate = false;
        this.fIntervalPatterns = null;
        this.P0 = false;
        this.Q0 = false;
        m(uLocale);
    }

    public DateIntervalInfo(Locale locale) {
        this(ULocale.forLocale(locale));
    }
}
