package com.ibm.icu.text;

import com.google.firebase.analytics.FirebaseAnalytics;
import com.ibm.icu.impl.number.DecimalFormatProperties;
import com.ibm.icu.impl.number.Padder;
import com.ibm.icu.impl.number.PatternStringUtils;
import com.ibm.icu.impl.number.Properties;
import com.ibm.icu.impl.number.c;
import com.ibm.icu.impl.number.c0.m;
import com.ibm.icu.impl.number.c0.o;
import com.ibm.icu.impl.number.h;
import com.ibm.icu.impl.number.j;
import com.ibm.icu.impl.number.w;
import com.ibm.icu.impl.q2;
import com.ibm.icu.impl.r;
import com.ibm.icu.impl.t;
import com.ibm.icu.math.MathContext;
import com.ibm.icu.number.NumberFormatter;
import com.ibm.icu.number.g;
import com.ibm.icu.text.PluralRules;
import com.ibm.icu.util.Currency;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.i;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.ObjectStreamField;
import java.lang.reflect.Field;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.math.RoundingMode;
import java.text.AttributedCharacterIterator;
import java.text.FieldPosition;
import java.text.ParsePosition;
import java.util.Objects;

public class DecimalFormat extends NumberFormat {
    static final /* synthetic */ boolean L0 = false;
    public static final int MINIMUM_GROUPING_DIGITS_AUTO = -2;
    public static final int MINIMUM_GROUPING_DIGITS_MIN2 = -3;
    public static final int PAD_AFTER_PREFIX = 1;
    public static final int PAD_AFTER_SUFFIX = 3;
    public static final int PAD_BEFORE_PREFIX = 0;
    public static final int PAD_BEFORE_SUFFIX = 2;
    private static final long serialVersionUID = 864413376551465018L;
    transient DecimalFormatProperties M0;
    volatile transient DecimalFormatSymbols N0;
    volatile transient g O0;
    volatile transient DecimalFormatProperties P0;
    volatile transient m Q0;
    volatile transient m R0;
    private transient int S0;
    private final int serialVersionOnStream;

    @Deprecated
    public interface a {
        @Deprecated
        void a(DecimalFormatProperties decimalFormatProperties);
    }

    public DecimalFormat() {
        this.serialVersionOnStream = 5;
        this.S0 = 0;
        String d2 = NumberFormat.d(ULocale.getDefault(ULocale.Category.FORMAT), 0);
        this.N0 = n();
        this.M0 = new DecimalFormatProperties();
        this.P0 = new DecimalFormatProperties();
        t(d2, 1);
        q();
    }

    static void h(h hVar, r rVar, FieldPosition fieldPosition, int i) {
        fieldPosition.setBeginIndex(0);
        fieldPosition.setEndIndex(0);
        hVar.j(fieldPosition);
        if (t.f(rVar, fieldPosition) && i != 0) {
            fieldPosition.setBeginIndex(fieldPosition.getBeginIndex() + i);
            fieldPosition.setEndIndex(fieldPosition.getEndIndex() + i);
        }
    }

    private static DecimalFormatSymbols n() {
        return DecimalFormatSymbols.getInstance();
    }

    /* JADX WARN: Type inference failed for: r4v3 */
    /* JADX WARN: Type inference failed for: r4v4, types: [boolean, byte] */
    /* JADX WARN: Type inference failed for: r4v5 */
    /* JADX WARNING: Unknown variable types count: 1 */
    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        ObjectInputStream.GetField readFields = objectInputStream.readFields();
        ObjectStreamField[] fields = readFields.getObjectStreamClass().getFields();
        int i = readFields.get("serialVersionOnStream", -1);
        if (i > 5) {
            throw new IOException("Cannot deserialize newer com.ibm.icu.text.DecimalFormat (v" + i + ")");
        } else if (i != 5) {
            this.M0 = new DecimalFormatProperties();
            int length = fields.length;
            ?? r4 = 0;
            int i2 = 0;
            String str = null;
            String str2 = null;
            String str3 = null;
            String str4 = null;
            String str5 = null;
            String str6 = null;
            String str7 = null;
            String str8 = null;
            while (i2 < length) {
                String name = fields[i2].getName();
                if (name.equals("decimalSeparatorAlwaysShown")) {
                    setDecimalSeparatorAlwaysShown(readFields.get("decimalSeparatorAlwaysShown", (boolean) r4));
                } else if (name.equals("exponentSignAlwaysShown")) {
                    setExponentSignAlwaysShown(readFields.get("exponentSignAlwaysShown", (boolean) r4));
                } else if (name.equals("formatWidth")) {
                    int i3 = r4 == true ? 1 : 0;
                    int i4 = r4 == true ? 1 : 0;
                    int i5 = r4 == true ? 1 : 0;
                    setFormatWidth(readFields.get("formatWidth", i3));
                } else if (name.equals("groupingSize")) {
                    setGroupingSize(readFields.get("groupingSize", (byte) 3));
                } else if (name.equals("groupingSize2")) {
                    setSecondaryGroupingSize(readFields.get("groupingSize2", (byte) r4));
                } else if (name.equals("maxSignificantDigits")) {
                    setMaximumSignificantDigits(readFields.get("maxSignificantDigits", 6));
                } else if (name.equals("minExponentDigits")) {
                    byte b2 = r4 == true ? (byte) 1 : 0;
                    byte b3 = r4 == true ? (byte) 1 : 0;
                    byte b4 = r4 == true ? (byte) 1 : 0;
                    setMinimumExponentDigits(readFields.get("minExponentDigits", b2));
                } else if (name.equals("minSignificantDigits")) {
                    setMinimumSignificantDigits(readFields.get("minSignificantDigits", 1));
                } else if (name.equals("multiplier")) {
                    setMultiplier(readFields.get("multiplier", 1));
                } else if (name.equals("pad")) {
                    setPadCharacter(readFields.get("pad", ' '));
                } else if (name.equals("padPosition")) {
                    setPadPosition(readFields.get("padPosition", 0));
                } else if (name.equals("parseBigDecimal")) {
                    setParseBigDecimal(readFields.get("parseBigDecimal", false));
                } else if (name.equals("parseRequireDecimalPoint")) {
                    setDecimalPatternMatchRequired(readFields.get("parseRequireDecimalPoint", false));
                } else if (name.equals("roundingMode")) {
                    setRoundingMode(readFields.get("roundingMode", 0));
                } else if (name.equals("useExponentialNotation")) {
                    setScientificNotation(readFields.get("useExponentialNotation", false));
                } else if (name.equals("useSignificantDigits")) {
                    setSignificantDigitsUsed(readFields.get("useSignificantDigits", false));
                } else {
                    if (name.equals("currencyPluralInfo")) {
                        setCurrencyPluralInfo((CurrencyPluralInfo) readFields.get("currencyPluralInfo", (Object) null));
                    } else if (name.equals("mathContext")) {
                        setMathContextICU((MathContext) readFields.get("mathContext", (Object) null));
                    } else if (name.equals("negPrefixPattern")) {
                        str = (String) readFields.get("negPrefixPattern", (Object) null);
                    } else if (name.equals("negSuffixPattern")) {
                        str3 = (String) readFields.get("negSuffixPattern", (Object) null);
                    } else if (name.equals("negativePrefix")) {
                        str2 = (String) readFields.get("negativePrefix", (Object) null);
                    } else if (name.equals("negativeSuffix")) {
                        str4 = (String) readFields.get("negativeSuffix", (Object) null);
                    } else if (name.equals("posPrefixPattern")) {
                        str5 = (String) readFields.get("posPrefixPattern", (Object) null);
                    } else if (name.equals("posSuffixPattern")) {
                        str7 = (String) readFields.get("posSuffixPattern", (Object) null);
                    } else if (name.equals("positivePrefix")) {
                        str6 = (String) readFields.get("positivePrefix", (Object) null);
                    } else if (name.equals("positiveSuffix")) {
                        str8 = (String) readFields.get("positiveSuffix", (Object) null);
                    } else if (name.equals("roundingIncrement")) {
                        setRoundingIncrement((BigDecimal) readFields.get("roundingIncrement", (Object) null));
                    } else if (name.equals("symbols")) {
                        setDecimalFormatSymbols((DecimalFormatSymbols) readFields.get("symbols", (Object) null));
                    }
                    i2++;
                    r4 = 0;
                }
                i2++;
                r4 = 0;
            }
            if (str == null) {
                this.M0.setNegativePrefix(str2);
            } else {
                this.M0.setNegativePrefixPattern(str);
            }
            if (str3 == null) {
                this.M0.setNegativeSuffix(str4);
            } else {
                this.M0.setNegativeSuffixPattern(str3);
            }
            if (str5 == null) {
                this.M0.setPositivePrefix(str6);
            } else {
                this.M0.setPositivePrefixPattern(str5);
            }
            if (str7 == null) {
                this.M0.setPositiveSuffix(str8);
            } else {
                this.M0.setPositiveSuffixPattern(str7);
            }
            try {
                Field declaredField = NumberFormat.class.getDeclaredField("groupingUsed");
                declaredField.setAccessible(true);
                setGroupingUsed(((Boolean) declaredField.get(this)).booleanValue());
                Field declaredField2 = NumberFormat.class.getDeclaredField("parseIntegerOnly");
                declaredField2.setAccessible(true);
                setParseIntegerOnly(((Boolean) declaredField2.get(this)).booleanValue());
                Field declaredField3 = NumberFormat.class.getDeclaredField("maximumIntegerDigits");
                declaredField3.setAccessible(true);
                setMaximumIntegerDigits(((Integer) declaredField3.get(this)).intValue());
                Field declaredField4 = NumberFormat.class.getDeclaredField("minimumIntegerDigits");
                declaredField4.setAccessible(true);
                setMinimumIntegerDigits(((Integer) declaredField4.get(this)).intValue());
                Field declaredField5 = NumberFormat.class.getDeclaredField("maximumFractionDigits");
                declaredField5.setAccessible(true);
                setMaximumFractionDigits(((Integer) declaredField5.get(this)).intValue());
                Field declaredField6 = NumberFormat.class.getDeclaredField("minimumFractionDigits");
                declaredField6.setAccessible(true);
                setMinimumFractionDigits(((Integer) declaredField6.get(this)).intValue());
                Field declaredField7 = NumberFormat.class.getDeclaredField(FirebaseAnalytics.b.f12316e);
                declaredField7.setAccessible(true);
                setCurrency((Currency) declaredField7.get(this));
                Field declaredField8 = NumberFormat.class.getDeclaredField("parseStrict");
                declaredField8.setAccessible(true);
                setParseStrict(((Boolean) declaredField8.get(this)).booleanValue());
                if (this.N0 == null) {
                    this.N0 = n();
                }
                this.P0 = new DecimalFormatProperties();
                q();
            } catch (IllegalArgumentException e2) {
                throw new IOException(e2);
            } catch (IllegalAccessException e3) {
                throw new IOException(e3);
            } catch (NoSuchFieldException e4) {
                throw new IOException(e4);
            } catch (SecurityException e5) {
                throw new IOException(e5);
            }
        } else if (fields.length <= 1) {
            objectInputStream.readInt();
            Object readObject = objectInputStream.readObject();
            if (readObject instanceof DecimalFormatProperties) {
                this.M0 = (DecimalFormatProperties) readObject;
            } else {
                this.M0 = ((Properties) readObject).getInstance();
            }
            this.N0 = (DecimalFormatSymbols) objectInputStream.readObject();
            this.P0 = new DecimalFormatProperties();
            q();
        } else {
            throw new IOException("Too many fields when reading serial version 5");
        }
    }

    private Number s(BigDecimal bigDecimal) {
        try {
            return new com.ibm.icu.math.BigDecimal(bigDecimal);
        } catch (NumberFormatException unused) {
            if (bigDecimal.signum() > 0 && bigDecimal.scale() < 0) {
                return Double.valueOf(Double.POSITIVE_INFINITY);
            }
            if (bigDecimal.scale() < 0) {
                return Double.valueOf(Double.NEGATIVE_INFINITY);
            }
            if (bigDecimal.signum() < 0) {
                return Double.valueOf(-0.0d);
            }
            return Double.valueOf(0.0d);
        }
    }

    private synchronized void writeObject(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeInt(0);
        objectOutputStream.writeObject(this.M0);
        objectOutputStream.writeObject(this.N0);
    }

    public synchronized void applyLocalizedPattern(String str) {
        applyPattern(PatternStringUtils.a(str, this.N0, false));
    }

    public synchronized void applyPattern(String str) {
        t(str, 0);
        this.M0.setPositivePrefix(null);
        this.M0.setNegativePrefix(null);
        this.M0.setPositiveSuffix(null);
        this.M0.setNegativeSuffix(null);
        this.M0.setCurrencyPluralInfo(null);
        q();
    }

    public synchronized boolean areSignificantDigitsUsed() {
        return (this.M0.getMinimumSignificantDigits() == -1 && this.M0.getMaximumSignificantDigits() == -1) ? false : true;
    }

    @Override // com.ibm.icu.text.NumberFormat, java.lang.Object
    public Object clone() {
        DecimalFormat decimalFormat = (DecimalFormat) super.clone();
        decimalFormat.N0 = (DecimalFormatSymbols) this.N0.clone();
        decimalFormat.M0 = this.M0.clone();
        decimalFormat.P0 = new DecimalFormatProperties();
        decimalFormat.q();
        return decimalFormat;
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized boolean equals(Object obj) {
        boolean z = false;
        if (obj == null) {
            return false;
        }
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof DecimalFormat)) {
            return false;
        }
        DecimalFormat decimalFormat = (DecimalFormat) obj;
        if (this.M0.equals(decimalFormat.M0) && this.N0.equals(decimalFormat.N0)) {
            z = true;
        }
        return z;
    }

    @Override // com.ibm.icu.text.NumberFormat
    public StringBuffer format(double d2, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        j jVar = new j(d2);
        r rVar = new r();
        this.O0.D(jVar, rVar);
        h(jVar, rVar, fieldPosition, stringBuffer.length());
        q2.k(rVar, stringBuffer);
        return stringBuffer;
    }

    public AttributedCharacterIterator formatToCharacterIterator(Object obj) {
        if (obj instanceof Number) {
            return this.O0.C((Number) obj).h();
        }
        throw new IllegalArgumentException();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized Currency getCurrency() {
        return this.P0.getCurrency();
    }

    public synchronized CurrencyPluralInfo getCurrencyPluralInfo() {
        return this.M0.getCurrencyPluralInfo();
    }

    public synchronized Currency.CurrencyUsage getCurrencyUsage() {
        Currency.CurrencyUsage currencyUsage;
        currencyUsage = this.M0.getCurrencyUsage();
        if (currencyUsage == null) {
            currencyUsage = Currency.CurrencyUsage.STANDARD;
        }
        return currencyUsage;
    }

    public synchronized DecimalFormatSymbols getDecimalFormatSymbols() {
        return (DecimalFormatSymbols) this.N0.clone();
    }

    @Deprecated
    public PluralRules.i getFixedDecimal(double d2) {
        return this.O0.y(d2).c();
    }

    public synchronized int getFormatWidth() {
        return this.M0.getFormatWidth();
    }

    public synchronized int getGroupingSize() {
        if (this.M0.getGroupingSize() < 0) {
            return 0;
        }
        return this.M0.getGroupingSize();
    }

    public synchronized java.math.MathContext getMathContext() {
        return this.P0.getMathContext();
    }

    public synchronized MathContext getMathContextICU() {
        java.math.MathContext mathContext;
        mathContext = getMathContext();
        return new MathContext(mathContext.getPrecision(), this.S0, false, mathContext.getRoundingMode().ordinal());
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized int getMaximumFractionDigits() {
        return this.P0.getMaximumFractionDigits();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized int getMaximumIntegerDigits() {
        return this.P0.getMaximumIntegerDigits();
    }

    public synchronized int getMaximumSignificantDigits() {
        return this.P0.getMaximumSignificantDigits();
    }

    public synchronized byte getMinimumExponentDigits() {
        return (byte) this.M0.getMinimumExponentDigits();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized int getMinimumFractionDigits() {
        return this.P0.getMinimumFractionDigits();
    }

    public synchronized int getMinimumGroupingDigits() {
        if (this.M0.getMinimumGroupingDigits() <= 0) {
            return 1;
        }
        return this.M0.getMinimumGroupingDigits();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized int getMinimumIntegerDigits() {
        return this.P0.getMinimumIntegerDigits();
    }

    public synchronized int getMinimumSignificantDigits() {
        return this.P0.getMinimumSignificantDigits();
    }

    public synchronized int getMultiplier() {
        if (this.M0.getMultiplier() != null) {
            return this.M0.getMultiplier().intValue();
        }
        return (int) Math.pow(10.0d, (double) this.M0.getMagnitudeMultiplier());
    }

    public synchronized String getNegativePrefix() {
        return this.O0.F(true, true);
    }

    public synchronized String getNegativeSuffix() {
        return this.O0.F(false, true);
    }

    public synchronized char getPadCharacter() {
        String padString = this.M0.getPadString();
        if (padString == null) {
            return Padder.f14124a.charAt(0);
        }
        return padString.charAt(0);
    }

    public synchronized int getPadPosition() {
        int i;
        Padder.PadPosition padPosition = this.M0.getPadPosition();
        if (padPosition == null) {
            i = 0;
        } else {
            i = padPosition.toOld();
        }
        return i;
    }

    @Deprecated
    public int getParseMaxDigits() {
        return 1000;
    }

    public synchronized String getPositivePrefix() {
        return this.O0.F(true, false);
    }

    public synchronized String getPositiveSuffix() {
        return this.O0.F(false, false);
    }

    public synchronized BigDecimal getRoundingIncrement() {
        return this.P0.getRoundingIncrement();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized int getRoundingMode() {
        int i;
        RoundingMode roundingMode = this.P0.getRoundingMode();
        if (roundingMode == null) {
            i = 0;
        } else {
            i = roundingMode.ordinal();
        }
        return i;
    }

    public synchronized int getSecondaryGroupingSize() {
        int secondaryGroupingSize = this.M0.getSecondaryGroupingSize();
        if (secondaryGroupingSize < 0) {
            return 0;
        }
        return secondaryGroupingSize;
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized int hashCode() {
        return this.M0.hashCode() ^ this.N0.hashCode();
    }

    public synchronized boolean isDecimalPatternMatchRequired() {
        return this.M0.getDecimalPatternMatchRequired();
    }

    public synchronized boolean isDecimalSeparatorAlwaysShown() {
        return this.M0.getDecimalSeparatorAlwaysShown();
    }

    public synchronized boolean isExponentSignAlwaysShown() {
        return this.M0.getExponentSignAlwaysShown();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized boolean isGroupingUsed() {
        return this.M0.getGroupingUsed();
    }

    public synchronized boolean isParseBigDecimal() {
        return this.M0.getParseToBigDecimal();
    }

    public synchronized boolean isParseCaseSensitive() {
        return this.M0.getParseCaseSensitive();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized boolean isParseIntegerOnly() {
        return this.M0.getParseIntegerOnly();
    }

    public synchronized boolean isParseNoExponent() {
        return this.M0.getParseNoExponent();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized boolean isParseStrict() {
        return this.M0.getParseMode() == DecimalFormatProperties.ParseMode.STRICT;
    }

    public synchronized boolean isScientificNotation() {
        return this.M0.getMinimumExponentDigits() != -1;
    }

    public synchronized boolean isSignAlwaysShown() {
        return this.M0.getSignAlwaysShown();
    }

    /* access modifiers changed from: package-private */
    public m m() {
        if (this.R0 == null) {
            this.R0 = m.d(this.M0, this.N0, true);
        }
        return this.R0;
    }

    /* access modifiers changed from: package-private */
    public m p() {
        if (this.Q0 == null) {
            this.Q0 = m.d(this.M0, this.N0, false);
        }
        return this.Q0;
    }

    @Override // com.ibm.icu.text.NumberFormat
    public Number parse(String str, ParsePosition parsePosition) {
        if (str != null) {
            if (parsePosition == null) {
                parsePosition = new ParsePosition(0);
            }
            if (parsePosition.getIndex() < 0) {
                throw new IllegalArgumentException("Cannot start parsing at a negative offset");
            } else if (parsePosition.getIndex() >= str.length()) {
                return null;
            } else {
                o oVar = new o();
                int index = parsePosition.getIndex();
                m p = p();
                p.h(str, index, true, oVar);
                if (oVar.i()) {
                    parsePosition.setIndex(oVar.l);
                    Number d2 = oVar.d(p.g());
                    return d2 instanceof BigDecimal ? s((BigDecimal) d2) : d2;
                }
                parsePosition.setErrorIndex(index + oVar.l);
                return null;
            }
        } else {
            throw new IllegalArgumentException("Text cannot be null");
        }
    }

    @Override // com.ibm.icu.text.NumberFormat
    public i parseCurrency(CharSequence charSequence, ParsePosition parsePosition) {
        if (charSequence != null) {
            if (parsePosition == null) {
                parsePosition = new ParsePosition(0);
            }
            if (parsePosition.getIndex() < 0) {
                throw new IllegalArgumentException("Cannot start parsing at a negative offset");
            } else if (parsePosition.getIndex() >= charSequence.length()) {
                return null;
            } else {
                o oVar = new o();
                int index = parsePosition.getIndex();
                m m = m();
                m.h(charSequence.toString(), index, true, oVar);
                if (oVar.i()) {
                    parsePosition.setIndex(oVar.l);
                    Number d2 = oVar.d(m.g());
                    if (d2 instanceof BigDecimal) {
                        d2 = s((BigDecimal) d2);
                    }
                    return new i(d2, Currency.getInstance(oVar.p));
                }
                parsePosition.setErrorIndex(index + oVar.l);
                return null;
            }
        } else {
            throw new IllegalArgumentException("Text cannot be null");
        }
    }

    /* access modifiers changed from: package-private */
    public void q() {
        if (this.P0 != null) {
            ULocale locale = getLocale(ULocale.ACTUAL_LOCALE);
            if (locale == null) {
                locale = this.N0.getLocale(ULocale.ACTUAL_LOCALE);
            }
            if (locale == null) {
                locale = this.N0.getULocale();
            }
            this.O0 = NumberFormatter.b(this.M0, this.N0, this.P0).x(locale);
            this.Q0 = null;
            this.R0 = null;
        }
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized void setCurrency(Currency currency) {
        this.M0.setCurrency(currency);
        if (currency != null) {
            this.N0.setCurrency(currency);
        }
        q();
    }

    public synchronized void setCurrencyPluralInfo(CurrencyPluralInfo currencyPluralInfo) {
        this.M0.setCurrencyPluralInfo(currencyPluralInfo);
        q();
    }

    public synchronized void setCurrencyUsage(Currency.CurrencyUsage currencyUsage) {
        this.M0.setCurrencyUsage(currencyUsage);
        q();
    }

    public synchronized void setDecimalFormatSymbols(DecimalFormatSymbols decimalFormatSymbols) {
        this.N0 = (DecimalFormatSymbols) decimalFormatSymbols.clone();
        q();
    }

    public synchronized void setDecimalPatternMatchRequired(boolean z) {
        this.M0.setDecimalPatternMatchRequired(z);
        q();
    }

    public synchronized void setDecimalSeparatorAlwaysShown(boolean z) {
        this.M0.setDecimalSeparatorAlwaysShown(z);
        q();
    }

    public synchronized void setExponentSignAlwaysShown(boolean z) {
        this.M0.setExponentSignAlwaysShown(z);
        q();
    }

    public synchronized void setFormatWidth(int i) {
        this.M0.setFormatWidth(i);
        q();
    }

    public synchronized void setGroupingSize(int i) {
        this.M0.setGroupingSize(i);
        q();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized void setGroupingUsed(boolean z) {
        this.M0.setGroupingUsed(z);
        q();
    }

    public synchronized void setMathContext(java.math.MathContext mathContext) {
        this.M0.setMathContext(mathContext);
        q();
    }

    public synchronized void setMathContextICU(MathContext mathContext) {
        java.math.MathContext mathContext2;
        this.S0 = mathContext.getForm();
        if (mathContext.getLostDigits()) {
            mathContext2 = new java.math.MathContext(mathContext.getDigits(), RoundingMode.UNNECESSARY);
        } else {
            mathContext2 = new java.math.MathContext(mathContext.getDigits(), RoundingMode.valueOf(mathContext.getRoundingMode()));
        }
        setMathContext(mathContext2);
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized void setMaximumFractionDigits(int i) {
        int minimumFractionDigits = this.M0.getMinimumFractionDigits();
        if (minimumFractionDigits >= 0 && minimumFractionDigits > i) {
            this.M0.setMinimumFractionDigits(i);
        }
        this.M0.setMaximumFractionDigits(i);
        q();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized void setMaximumIntegerDigits(int i) {
        int minimumIntegerDigits = this.M0.getMinimumIntegerDigits();
        if (minimumIntegerDigits >= 0 && minimumIntegerDigits > i) {
            this.M0.setMinimumIntegerDigits(i);
        }
        this.M0.setMaximumIntegerDigits(i);
        q();
    }

    public synchronized void setMaximumSignificantDigits(int i) {
        int minimumSignificantDigits = this.M0.getMinimumSignificantDigits();
        if (minimumSignificantDigits >= 0 && minimumSignificantDigits > i) {
            this.M0.setMinimumSignificantDigits(i);
        }
        this.M0.setMaximumSignificantDigits(i);
        q();
    }

    public synchronized void setMinimumExponentDigits(byte b2) {
        this.M0.setMinimumExponentDigits(b2);
        q();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized void setMinimumFractionDigits(int i) {
        int maximumFractionDigits = this.M0.getMaximumFractionDigits();
        if (maximumFractionDigits >= 0 && maximumFractionDigits < i) {
            this.M0.setMaximumFractionDigits(i);
        }
        this.M0.setMinimumFractionDigits(i);
        q();
    }

    public synchronized void setMinimumGroupingDigits(int i) {
        this.M0.setMinimumGroupingDigits(i);
        q();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized void setMinimumIntegerDigits(int i) {
        int maximumIntegerDigits = this.M0.getMaximumIntegerDigits();
        if (maximumIntegerDigits >= 0 && maximumIntegerDigits < i) {
            this.M0.setMaximumIntegerDigits(i);
        }
        this.M0.setMinimumIntegerDigits(i);
        q();
    }

    public synchronized void setMinimumSignificantDigits(int i) {
        int maximumSignificantDigits = this.M0.getMaximumSignificantDigits();
        if (maximumSignificantDigits >= 0 && maximumSignificantDigits < i) {
            this.M0.setMaximumSignificantDigits(i);
        }
        this.M0.setMinimumSignificantDigits(i);
        q();
    }

    public synchronized void setMultiplier(int i) {
        if (i != 0) {
            int i2 = i;
            int i3 = 0;
            while (true) {
                if (i2 == 1) {
                    break;
                }
                i3++;
                int i4 = i2 / 10;
                if (i4 * 10 != i2) {
                    i3 = -1;
                    break;
                }
                i2 = i4;
            }
            if (i3 != -1) {
                this.M0.setMagnitudeMultiplier(i3);
                this.M0.setMultiplier(null);
            } else {
                this.M0.setMagnitudeMultiplier(0);
                this.M0.setMultiplier(BigDecimal.valueOf((long) i));
            }
            q();
        } else {
            throw new IllegalArgumentException("Multiplier must be nonzero.");
        }
    }

    public synchronized void setNegativePrefix(String str) {
        if (str != null) {
            this.M0.setNegativePrefix(str);
            q();
        } else {
            throw new NullPointerException();
        }
    }

    public synchronized void setNegativeSuffix(String str) {
        if (str != null) {
            this.M0.setNegativeSuffix(str);
            q();
        } else {
            throw new NullPointerException();
        }
    }

    public synchronized void setPadCharacter(char c2) {
        this.M0.setPadString(Character.toString(c2));
        q();
    }

    public synchronized void setPadPosition(int i) {
        this.M0.setPadPosition(Padder.PadPosition.fromOld(i));
        q();
    }

    public synchronized void setParseBigDecimal(boolean z) {
        this.M0.setParseToBigDecimal(z);
        q();
    }

    public synchronized void setParseCaseSensitive(boolean z) {
        this.M0.setParseCaseSensitive(z);
        q();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized void setParseIntegerOnly(boolean z) {
        this.M0.setParseIntegerOnly(z);
        q();
    }

    @Deprecated
    public void setParseMaxDigits(int i) {
    }

    public synchronized void setParseNoExponent(boolean z) {
        this.M0.setParseNoExponent(z);
        q();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized void setParseStrict(boolean z) {
        this.M0.setParseMode(z ? DecimalFormatProperties.ParseMode.STRICT : DecimalFormatProperties.ParseMode.LENIENT);
        q();
    }

    @Deprecated
    public synchronized void setParseStrictMode(DecimalFormatProperties.ParseMode parseMode) {
        this.M0.setParseMode(parseMode);
        q();
    }

    public synchronized void setPositivePrefix(String str) {
        if (str != null) {
            this.M0.setPositivePrefix(str);
            q();
        } else {
            throw new NullPointerException();
        }
    }

    public synchronized void setPositiveSuffix(String str) {
        if (str != null) {
            this.M0.setPositiveSuffix(str);
            q();
        } else {
            throw new NullPointerException();
        }
    }

    @Deprecated
    public synchronized void setProperties(a aVar) {
        aVar.a(this.M0);
        q();
    }

    public synchronized void setRoundingIncrement(BigDecimal bigDecimal) {
        if (bigDecimal != null) {
            if (bigDecimal.compareTo(BigDecimal.ZERO) == 0) {
                this.M0.setMaximumFractionDigits(Integer.MAX_VALUE);
                return;
            }
        }
        this.M0.setRoundingIncrement(bigDecimal);
        q();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public synchronized void setRoundingMode(int i) {
        this.M0.setRoundingMode(RoundingMode.valueOf(i));
        q();
    }

    public synchronized void setScientificNotation(boolean z) {
        if (z) {
            this.M0.setMinimumExponentDigits(1);
        } else {
            this.M0.setMinimumExponentDigits(-1);
        }
        q();
    }

    public synchronized void setSecondaryGroupingSize(int i) {
        this.M0.setSecondaryGroupingSize(i);
        q();
    }

    public synchronized void setSignAlwaysShown(boolean z) {
        this.M0.setSignAlwaysShown(z);
        q();
    }

    public synchronized void setSignificantDigitsUsed(boolean z) {
        int minimumSignificantDigits = this.M0.getMinimumSignificantDigits();
        int maximumSignificantDigits = this.M0.getMaximumSignificantDigits();
        int i = -1;
        if (z) {
            if (!(minimumSignificantDigits == -1 && maximumSignificantDigits == -1)) {
                return;
            }
        } else if (minimumSignificantDigits == -1 && maximumSignificantDigits == -1) {
            return;
        }
        int i2 = z ? 1 : -1;
        if (z) {
            i = 6;
        }
        this.M0.setMinimumSignificantDigits(i2);
        this.M0.setMaximumSignificantDigits(i);
        q();
    }

    /* access modifiers changed from: package-private */
    public void t(String str, int i) {
        Objects.requireNonNull(str);
        w.k(str, this.M0, i);
    }

    public synchronized String toLocalizedPattern() {
        return PatternStringUtils.a(toPattern(), this.N0, true);
    }

    public g toNumberFormatter() {
        return this.O0;
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x0052  */
    public synchronized String toPattern() {
        DecimalFormatProperties copyFrom;
        boolean z;
        copyFrom = new DecimalFormatProperties().copyFrom(this.M0);
        if (copyFrom.getCurrency() == null && copyFrom.getCurrencyPluralInfo() == null && copyFrom.getCurrencyUsage() == null && !copyFrom.getCurrencyAsDecimal() && !c.l(copyFrom.getPositivePrefixPattern()) && !c.l(copyFrom.getPositiveSuffixPattern()) && !c.l(copyFrom.getNegativePrefixPattern())) {
            if (!c.l(copyFrom.getNegativeSuffixPattern())) {
                z = false;
                if (z) {
                    copyFrom.setMinimumFractionDigits(this.P0.getMinimumFractionDigits());
                    copyFrom.setMaximumFractionDigits(this.P0.getMaximumFractionDigits());
                    copyFrom.setRoundingIncrement(this.P0.getRoundingIncrement());
                }
            }
        }
        z = true;
        if (z) {
        }
        return PatternStringUtils.e(copyFrom);
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getName());
        sb.append("@");
        sb.append(Integer.toHexString(hashCode()));
        sb.append(" { symbols@");
        sb.append(Integer.toHexString(this.N0.hashCode()));
        synchronized (this) {
            this.M0.toStringBare(sb);
        }
        sb.append(" }");
        return sb.toString();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public StringBuffer format(long j, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        j jVar = new j(j);
        r rVar = new r();
        this.O0.D(jVar, rVar);
        h(jVar, rVar, fieldPosition, stringBuffer.length());
        q2.k(rVar, stringBuffer);
        return stringBuffer;
    }

    public synchronized void setRoundingIncrement(com.ibm.icu.math.BigDecimal bigDecimal) {
        setRoundingIncrement(bigDecimal == null ? null : bigDecimal.toBigDecimal());
    }

    public synchronized void setRoundingIncrement(double d2) {
        if (d2 == 0.0d) {
            setRoundingIncrement((BigDecimal) null);
        } else {
            setRoundingIncrement(BigDecimal.valueOf(d2).stripTrailingZeros());
        }
    }

    public DecimalFormat(String str) {
        this.serialVersionOnStream = 5;
        this.S0 = 0;
        this.N0 = n();
        this.M0 = new DecimalFormatProperties();
        this.P0 = new DecimalFormatProperties();
        t(str, 1);
        q();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public StringBuffer format(BigInteger bigInteger, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        j jVar = new j(bigInteger);
        r rVar = new r();
        this.O0.D(jVar, rVar);
        h(jVar, rVar, fieldPosition, stringBuffer.length());
        q2.k(rVar, stringBuffer);
        return stringBuffer;
    }

    @Override // com.ibm.icu.text.NumberFormat
    public StringBuffer format(BigDecimal bigDecimal, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        j jVar = new j(bigDecimal);
        r rVar = new r();
        this.O0.D(jVar, rVar);
        h(jVar, rVar, fieldPosition, stringBuffer.length());
        q2.k(rVar, stringBuffer);
        return stringBuffer;
    }

    public DecimalFormat(String str, DecimalFormatSymbols decimalFormatSymbols) {
        this.serialVersionOnStream = 5;
        this.S0 = 0;
        this.N0 = (DecimalFormatSymbols) decimalFormatSymbols.clone();
        this.M0 = new DecimalFormatProperties();
        this.P0 = new DecimalFormatProperties();
        t(str, 1);
        q();
    }

    @Override // com.ibm.icu.text.NumberFormat
    public StringBuffer format(com.ibm.icu.math.BigDecimal bigDecimal, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        j jVar = new j(bigDecimal);
        r rVar = new r();
        this.O0.D(jVar, rVar);
        h(jVar, rVar, fieldPosition, stringBuffer.length());
        q2.k(rVar, stringBuffer);
        return stringBuffer;
    }

    @Override // com.ibm.icu.text.NumberFormat
    public StringBuffer format(i iVar, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        DecimalFormatSymbols decimalFormatSymbols = (DecimalFormatSymbols) this.N0.clone();
        decimalFormatSymbols.setCurrency(iVar.d());
        j jVar = new j(iVar.a());
        r rVar = new r();
        ((g) ((g) this.O0.o(decimalFormatSymbols)).s(iVar.d())).D(jVar, rVar);
        h(jVar, rVar, fieldPosition, stringBuffer.length());
        q2.k(rVar, stringBuffer);
        return stringBuffer;
    }

    public DecimalFormat(String str, DecimalFormatSymbols decimalFormatSymbols, CurrencyPluralInfo currencyPluralInfo, int i) {
        this(str, decimalFormatSymbols, i);
        this.M0.setCurrencyPluralInfo(currencyPluralInfo);
        q();
    }

    DecimalFormat(String str, DecimalFormatSymbols decimalFormatSymbols, int i) {
        this.serialVersionOnStream = 5;
        this.S0 = 0;
        this.N0 = (DecimalFormatSymbols) decimalFormatSymbols.clone();
        this.M0 = new DecimalFormatProperties();
        this.P0 = new DecimalFormatProperties();
        if (i == 1 || i == 5 || i == 7 || i == 8 || i == 9 || i == 6) {
            t(str, 2);
        } else {
            t(str, 1);
        }
        q();
    }
}
