package com.ibm.icu.text;

import com.ibm.icu.impl.CurrencyData;
import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.d;
import com.ibm.icu.impl.l2;
import com.ibm.icu.impl.m1;
import com.ibm.icu.util.Currency;
import com.ibm.icu.util.ICUCloneNotSupportedException;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.h0;
import com.niming.weipa.model.PayType;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.Serializable;
import java.util.Arrays;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.Objects;

public class DecimalFormatSymbols implements Cloneable, Serializable {
    public static final int CURRENCY_SPC_CURRENCY_MATCH = 0;
    public static final int CURRENCY_SPC_INSERT = 2;
    public static final int CURRENCY_SPC_SURROUNDING_MATCH = 1;
    private static final char[] I0 = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};
    private static final char J0 = '.';
    private static final char K0 = ',';
    private static final char L0 = '%';
    private static final char M0 = '-';
    private static final char N0 = '+';
    private static final char O0 = 8240;
    private static final String[] P0 = {String.valueOf((char) J0), String.valueOf((char) K0), String.valueOf((char) L0), String.valueOf((char) M0), String.valueOf((char) N0), "E", String.valueOf((char) O0), "∞", "NaN", null, null, "×", "~"};
    private static final String Q0 = "latn";
    private static final String R0 = "NumberElements";
    private static final String S0 = "symbols";
    private static final int T0 = 10;
    private static final d<ULocale, b, Void> U0 = new a();

    /* renamed from: a  reason: collision with root package name */
    private static final String[] f15172a = {"decimal", "group", "percentSign", "minusSign", "plusSign", "exponential", "perMille", "infinity", "nan", "currencyDecimal", "currencyGroup", "superscriptingExponent", "approximatelySign"};

    /* renamed from: b  reason: collision with root package name */
    private static final String[] f15173b = {"0", "1", "2", "3", PayType.TYPE_YUER, PayType.TYPE_DAICONG, "6", "7", "8", "9"};
    private static final long serialVersionUID = 5772796243397350300L;
    private String NaN;
    private transient int V0;
    private transient Currency W0;
    private ULocale actualLocale;
    private String approximatelyString;
    private String currencyPattern;
    private String[] currencySpcAfterSym;
    private String[] currencySpcBeforeSym;
    private String currencySymbol;
    private char decimalSeparator;
    private String decimalSeparatorString;
    private char digit;
    private String[] digitStrings;
    private char[] digits;
    private String exponentMultiplicationSign;
    private String exponentSeparator;
    private char exponential;
    private char groupingSeparator;
    private String groupingSeparatorString;
    private String infinity;
    private String intlCurrencySymbol;
    private char minusSign;
    private String minusString;
    private char monetaryGroupingSeparator;
    private String monetaryGroupingSeparatorString;
    private char monetarySeparator;
    private String monetarySeparatorString;
    private char padEscape;
    private char patternSeparator;
    private char perMill;
    private String perMillString;
    private char percent;
    private String percentString;
    private char plusSign;
    private String plusString;
    private Locale requestedLocale;
    private int serialVersionOnStream;
    private char sigDigit;
    private ULocale ulocale;
    private ULocale validLocale;
    private char zeroDigit;

    static class a extends m1<ULocale, b, Void> {
        a() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: c */
        public b a(ULocale uLocale, Void r2) {
            return DecimalFormatSymbols.e(uLocale);
        }
    }

    /* access modifiers changed from: private */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        final ULocale f15174a;

        /* renamed from: b  reason: collision with root package name */
        final String[] f15175b;

        /* renamed from: c  reason: collision with root package name */
        final String[] f15176c;

        public b(ULocale uLocale, String[] strArr, String[] strArr2) {
            this.f15174a = uLocale;
            this.f15175b = strArr;
            this.f15176c = strArr2;
        }
    }

    /* access modifiers changed from: private */
    public static final class c extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        private String[] f15177a;

        public c(String[] strArr) {
            this.f15177a = strArr;
        }

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                int i2 = 0;
                while (true) {
                    if (i2 >= DecimalFormatSymbols.f15172a.length) {
                        break;
                    } else if (bVar.r(DecimalFormatSymbols.f15172a[i2])) {
                        String[] strArr = this.f15177a;
                        if (strArr[i2] == null) {
                            strArr[i2] = eVar.toString();
                        }
                    } else {
                        i2++;
                    }
                }
            }
        }
    }

    public DecimalFormatSymbols() {
        this(ULocale.getDefault(ULocale.Category.FORMAT));
    }

    private void c(CurrencyData.CurrencySpacingInfo currencySpacingInfo) {
        this.currencySpcBeforeSym = currencySpacingInfo.b();
        this.currencySpcAfterSym = currencySpacingInfo.a();
    }

    private void d(ULocale uLocale, z0 z0Var) {
        this.requestedLocale = uLocale.toLocale();
        this.ulocale = uLocale;
        if (z0Var != null) {
            uLocale = uLocale.setKeywordValue("numbers", z0Var.j());
        }
        b b2 = U0.b(uLocale, null);
        ULocale uLocale2 = b2.f15174a;
        h(uLocale2, uLocale2);
        setDigitStrings(b2.f15175b);
        String[] strArr = b2.f15176c;
        setDecimalSeparatorString(strArr[0]);
        setGroupingSeparatorString(strArr[1]);
        this.patternSeparator = ';';
        setPercentString(strArr[2]);
        setMinusSignString(strArr[3]);
        setPlusSignString(strArr[4]);
        setExponentSeparator(strArr[5]);
        setPerMillString(strArr[6]);
        setInfinity(strArr[7]);
        setNaN(strArr[8]);
        setMonetaryDecimalSeparatorString(strArr[9]);
        setMonetaryGroupingSeparatorString(strArr[10]);
        setExponentMultiplicationSign(strArr[11]);
        setApproximatelySignString(strArr[12]);
        this.digit = '#';
        this.padEscape = '*';
        this.sigDigit = '@';
        CurrencyData.b b3 = CurrencyData.f13344a.b(this.ulocale, true);
        c(b3.p());
        f(Currency.getInstance(this.ulocale), b3);
    }

    /* access modifiers changed from: private */
    public static b e(ULocale uLocale) {
        String str;
        boolean z;
        z0 f = z0.f(uLocale);
        String[] strArr = new String[10];
        if (f == null || f.k() != 10 || f.l() || !z0.m(f.c())) {
            strArr = f15173b;
            str = Q0;
        } else {
            String c2 = f.c();
            int i = 0;
            int i2 = 0;
            while (i < 10) {
                int charCount = Character.charCount(c2.codePointAt(i2)) + i2;
                strArr[i] = c2.substring(i2, charCount);
                i++;
                i2 = charCount;
            }
            str = f.j();
        }
        ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) h0.j(a0.f13490d, uLocale);
        ULocale D = iCUResourceBundle.D();
        int length = f15172a.length;
        String[] strArr2 = new String[length];
        c cVar = new c(strArr2);
        try {
            iCUResourceBundle.s0("NumberElements/" + str + "/" + S0, cVar);
        } catch (MissingResourceException unused) {
        }
        int i3 = 0;
        while (true) {
            if (i3 >= length) {
                z = false;
                break;
            } else if (strArr2[i3] == null) {
                z = true;
                break;
            } else {
                i3++;
            }
        }
        if (z && !str.equals(Q0)) {
            iCUResourceBundle.s0("NumberElements/latn/symbols", cVar);
        }
        for (int i4 = 0; i4 < f15172a.length; i4++) {
            if (strArr2[i4] == null) {
                strArr2[i4] = P0[i4];
            }
        }
        if (strArr2[9] == null) {
            strArr2[9] = strArr2[0];
        }
        if (strArr2[10] == null) {
            strArr2[10] = strArr2[1];
        }
        return new b(D, strArr, strArr2);
    }

    private void f(Currency currency, CurrencyData.b bVar) {
        this.W0 = currency;
        if (currency == null) {
            this.intlCurrencySymbol = "XXX";
            this.currencySymbol = "¤";
            this.currencyPattern = null;
            return;
        }
        this.intlCurrencySymbol = currency.getCurrencyCode();
        this.currencySymbol = currency.getSymbol(this.ulocale);
        CurrencyData.d o = bVar.o(currency.getCurrencyCode());
        if (o != null) {
            setMonetaryDecimalSeparatorString(o.f13355c);
            setMonetaryGroupingSeparatorString(o.f13356d);
            this.currencyPattern = o.f13354b;
        }
    }

    public static DecimalFormatSymbols forNumberingSystem(Locale locale, z0 z0Var) {
        return new DecimalFormatSymbols(locale, z0Var);
    }

    public static Locale[] getAvailableLocales() {
        return ICUResourceBundle.x0();
    }

    public static ULocale[] getAvailableULocales() {
        return ICUResourceBundle.B0();
    }

    public static DecimalFormatSymbols getInstance() {
        return new DecimalFormatSymbols();
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        int i = this.serialVersionOnStream;
        if (i < 1) {
            this.monetarySeparator = this.decimalSeparator;
            this.exponential = 'E';
        }
        if (i < 2) {
            this.padEscape = '*';
            this.plusSign = N0;
            this.exponentSeparator = String.valueOf(this.exponential);
        }
        if (this.serialVersionOnStream < 3) {
            this.requestedLocale = Locale.getDefault();
        }
        if (this.serialVersionOnStream < 4) {
            this.ulocale = ULocale.forLocale(this.requestedLocale);
        }
        int i2 = this.serialVersionOnStream;
        if (i2 < 5) {
            this.monetaryGroupingSeparator = this.groupingSeparator;
        }
        if (i2 < 6) {
            if (this.currencySpcBeforeSym == null) {
                this.currencySpcBeforeSym = new String[3];
            }
            if (this.currencySpcAfterSym == null) {
                this.currencySpcAfterSym = new String[3];
            }
            c(CurrencyData.CurrencySpacingInfo.f13348d);
        }
        if (this.serialVersionOnStream < 7) {
            if (this.minusString == null) {
                this.minusString = String.valueOf(this.minusSign);
            }
            if (this.plusString == null) {
                this.plusString = String.valueOf(this.plusSign);
            }
        }
        int i3 = this.serialVersionOnStream;
        if (i3 < 8 && this.exponentMultiplicationSign == null) {
            this.exponentMultiplicationSign = "×";
        }
        if (i3 < 9) {
            if (this.digitStrings == null) {
                this.digitStrings = new String[10];
                char[] cArr = this.digits;
                int i4 = 0;
                if (cArr == null || cArr.length != 10) {
                    char c2 = this.zeroDigit;
                    if (cArr == null) {
                        this.digits = new char[10];
                    }
                    while (i4 < 10) {
                        this.digits[i4] = c2;
                        this.digitStrings[i4] = String.valueOf(c2);
                        c2 = (char) (c2 + 1);
                        i4++;
                    }
                } else {
                    this.zeroDigit = cArr[0];
                    while (i4 < 10) {
                        this.digitStrings[i4] = String.valueOf(this.digits[i4]);
                        i4++;
                    }
                }
            }
            if (this.decimalSeparatorString == null) {
                this.decimalSeparatorString = String.valueOf(this.decimalSeparator);
            }
            if (this.groupingSeparatorString == null) {
                this.groupingSeparatorString = String.valueOf(this.groupingSeparator);
            }
            if (this.percentString == null) {
                this.percentString = String.valueOf(this.percent);
            }
            if (this.perMillString == null) {
                this.perMillString = String.valueOf(this.perMill);
            }
            if (this.monetarySeparatorString == null) {
                this.monetarySeparatorString = String.valueOf(this.monetarySeparator);
            }
            if (this.monetaryGroupingSeparatorString == null) {
                this.monetaryGroupingSeparatorString = String.valueOf(this.monetaryGroupingSeparator);
            }
        }
        if (this.serialVersionOnStream < 10) {
            this.approximatelyString = "~";
        }
        this.serialVersionOnStream = 10;
        this.W0 = Currency.getInstance(this.intlCurrencySymbol);
        setDigitStrings(this.digitStrings);
    }

    @Override // java.lang.Object
    public Object clone() {
        try {
            return super.clone();
        } catch (CloneNotSupportedException e2) {
            throw new ICUCloneNotSupportedException(e2);
        }
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof DecimalFormatSymbols)) {
            return false;
        }
        if (this == obj) {
            return true;
        }
        DecimalFormatSymbols decimalFormatSymbols = (DecimalFormatSymbols) obj;
        for (int i = 0; i <= 2; i++) {
            if (!(this.currencySpcBeforeSym[i].equals(decimalFormatSymbols.currencySpcBeforeSym[i]) && this.currencySpcAfterSym[i].equals(decimalFormatSymbols.currencySpcAfterSym[i]))) {
                return false;
            }
        }
        char[] cArr = decimalFormatSymbols.digits;
        if (cArr == null) {
            for (int i2 = 0; i2 < 10; i2++) {
                if (this.digits[i2] != decimalFormatSymbols.zeroDigit + i2) {
                    return false;
                }
            }
        } else if (!Arrays.equals(this.digits, cArr)) {
            return false;
        }
        if (this.groupingSeparator == decimalFormatSymbols.groupingSeparator && this.decimalSeparator == decimalFormatSymbols.decimalSeparator && this.percent == decimalFormatSymbols.percent && this.perMill == decimalFormatSymbols.perMill && this.digit == decimalFormatSymbols.digit && this.minusSign == decimalFormatSymbols.minusSign && this.minusString.equals(decimalFormatSymbols.minusString) && this.patternSeparator == decimalFormatSymbols.patternSeparator && this.infinity.equals(decimalFormatSymbols.infinity) && this.NaN.equals(decimalFormatSymbols.NaN) && this.currencySymbol.equals(decimalFormatSymbols.currencySymbol) && this.intlCurrencySymbol.equals(decimalFormatSymbols.intlCurrencySymbol) && this.padEscape == decimalFormatSymbols.padEscape && this.plusSign == decimalFormatSymbols.plusSign && this.plusString.equals(decimalFormatSymbols.plusString) && this.approximatelyString.equals(decimalFormatSymbols.approximatelyString) && this.exponentSeparator.equals(decimalFormatSymbols.exponentSeparator) && this.monetarySeparator == decimalFormatSymbols.monetarySeparator && this.monetaryGroupingSeparator == decimalFormatSymbols.monetaryGroupingSeparator && this.exponentMultiplicationSign.equals(decimalFormatSymbols.exponentMultiplicationSign)) {
            return true;
        }
        return false;
    }

    @Deprecated
    public String getApproximatelySignString() {
        return this.approximatelyString;
    }

    @Deprecated
    public int getCodePointZero() {
        return this.V0;
    }

    public Currency getCurrency() {
        return this.W0;
    }

    @Deprecated
    public String getCurrencyPattern() {
        return this.currencyPattern;
    }

    public String getCurrencySymbol() {
        return this.currencySymbol;
    }

    public char getDecimalSeparator() {
        return this.decimalSeparator;
    }

    public String getDecimalSeparatorString() {
        return this.decimalSeparatorString;
    }

    public char getDigit() {
        return this.digit;
    }

    public String[] getDigitStrings() {
        return (String[]) this.digitStrings.clone();
    }

    @Deprecated
    public String[] getDigitStringsLocal() {
        return this.digitStrings;
    }

    public char[] getDigits() {
        return (char[]) this.digits.clone();
    }

    public String getExponentMultiplicationSign() {
        return this.exponentMultiplicationSign;
    }

    public String getExponentSeparator() {
        return this.exponentSeparator;
    }

    public char getGroupingSeparator() {
        return this.groupingSeparator;
    }

    public String getGroupingSeparatorString() {
        return this.groupingSeparatorString;
    }

    public String getInfinity() {
        return this.infinity;
    }

    public String getInternationalCurrencySymbol() {
        return this.intlCurrencySymbol;
    }

    public Locale getLocale() {
        return this.requestedLocale;
    }

    public char getMinusSign() {
        return this.minusSign;
    }

    public String getMinusSignString() {
        return this.minusString;
    }

    public char getMonetaryDecimalSeparator() {
        return this.monetarySeparator;
    }

    public String getMonetaryDecimalSeparatorString() {
        return this.monetarySeparatorString;
    }

    public char getMonetaryGroupingSeparator() {
        return this.monetaryGroupingSeparator;
    }

    public String getMonetaryGroupingSeparatorString() {
        return this.monetaryGroupingSeparatorString;
    }

    public String getNaN() {
        return this.NaN;
    }

    public char getPadEscape() {
        return this.padEscape;
    }

    public String getPatternForCurrencySpacing(int i, boolean z) {
        if (i < 0 || i > 2) {
            throw new IllegalArgumentException("unknown currency spacing: " + i);
        } else if (z) {
            return this.currencySpcBeforeSym[i];
        } else {
            return this.currencySpcAfterSym[i];
        }
    }

    public char getPatternSeparator() {
        return this.patternSeparator;
    }

    public char getPerMill() {
        return this.perMill;
    }

    public String getPerMillString() {
        return this.perMillString;
    }

    public char getPercent() {
        return this.percent;
    }

    public String getPercentString() {
        return this.percentString;
    }

    public char getPlusSign() {
        return this.plusSign;
    }

    public String getPlusSignString() {
        return this.plusString;
    }

    public char getSignificantDigit() {
        return this.sigDigit;
    }

    public ULocale getULocale() {
        return this.ulocale;
    }

    public char getZeroDigit() {
        return this.zeroDigit;
    }

    /* access modifiers changed from: package-private */
    public final void h(ULocale uLocale, ULocale uLocale2) {
        boolean z = true;
        boolean z2 = uLocale == null;
        if (uLocale2 != null) {
            z = false;
        }
        if (z2 == z) {
            this.validLocale = uLocale;
            this.actualLocale = uLocale2;
            return;
        }
        throw new IllegalArgumentException();
    }

    public int hashCode() {
        return (((this.digits[0] * L0) + this.groupingSeparator) * 37) + this.decimalSeparator;
    }

    @Deprecated
    public void setApproximatelySignString(String str) {
        Objects.requireNonNull(str, "The input plus sign is null");
        this.approximatelyString = str;
    }

    public void setCurrency(Currency currency) {
        Objects.requireNonNull(currency);
        if (!currency.equals(this.W0)) {
            f(currency, CurrencyData.f13344a.b(this.ulocale, true));
        }
    }

    public void setCurrencySymbol(String str) {
        this.currencySymbol = str;
    }

    public void setDecimalSeparator(char c2) {
        this.decimalSeparator = c2;
        this.decimalSeparatorString = String.valueOf(c2);
    }

    public void setDecimalSeparatorString(String str) {
        Objects.requireNonNull(str, "The input decimal separator is null");
        this.decimalSeparatorString = str;
        if (str.length() == 1) {
            this.decimalSeparator = str.charAt(0);
        } else {
            this.decimalSeparator = J0;
        }
    }

    public void setDigit(char c2) {
        this.digit = c2;
    }

    public void setDigitStrings(String[] strArr) {
        int i;
        int i2;
        Objects.requireNonNull(strArr, "The input digit string array is null");
        if (strArr.length == 10) {
            String[] strArr2 = new String[10];
            char[] cArr = new char[10];
            int i3 = -1;
            for (int i4 = 0; i4 < 10; i4++) {
                String str = strArr[i4];
                if (str != null) {
                    strArr2[i4] = str;
                    if (str.length() == 0) {
                        i2 = -1;
                        i = 0;
                    } else {
                        i2 = Character.codePointAt(strArr[i4], 0);
                        i = Character.charCount(i2);
                    }
                    if (i == str.length()) {
                        if (i != 1 || cArr == null) {
                            cArr = null;
                        } else {
                            cArr[i4] = (char) i2;
                        }
                        if (i4 == 0) {
                            i3 = i2;
                        } else if (i2 == i3 + i4) {
                        }
                    } else {
                        cArr = null;
                    }
                    i3 = -1;
                } else {
                    throw new IllegalArgumentException("The input digit string array contains a null element");
                }
            }
            this.digitStrings = strArr2;
            this.V0 = i3;
            if (cArr == null) {
                char[] cArr2 = I0;
                this.zeroDigit = cArr2[0];
                this.digits = cArr2;
                return;
            }
            this.zeroDigit = cArr[0];
            this.digits = cArr;
            return;
        }
        throw new IllegalArgumentException("Number of digit strings is not 10");
    }

    public void setExponentMultiplicationSign(String str) {
        this.exponentMultiplicationSign = str;
    }

    public void setExponentSeparator(String str) {
        this.exponentSeparator = str;
    }

    public void setGroupingSeparator(char c2) {
        this.groupingSeparator = c2;
        this.groupingSeparatorString = String.valueOf(c2);
    }

    public void setGroupingSeparatorString(String str) {
        Objects.requireNonNull(str, "The input grouping separator is null");
        this.groupingSeparatorString = str;
        if (str.length() == 1) {
            this.groupingSeparator = str.charAt(0);
        } else {
            this.groupingSeparator = K0;
        }
    }

    public void setInfinity(String str) {
        this.infinity = str;
    }

    public void setInternationalCurrencySymbol(String str) {
        this.intlCurrencySymbol = str;
    }

    public void setMinusSign(char c2) {
        this.minusSign = c2;
        this.minusString = String.valueOf(c2);
    }

    public void setMinusSignString(String str) {
        Objects.requireNonNull(str, "The input minus sign is null");
        this.minusString = str;
        if (str.length() == 1) {
            this.minusSign = str.charAt(0);
        } else {
            this.minusSign = M0;
        }
    }

    public void setMonetaryDecimalSeparator(char c2) {
        this.monetarySeparator = c2;
        this.monetarySeparatorString = String.valueOf(c2);
    }

    public void setMonetaryDecimalSeparatorString(String str) {
        Objects.requireNonNull(str, "The input monetary decimal separator is null");
        this.monetarySeparatorString = str;
        if (str.length() == 1) {
            this.monetarySeparator = str.charAt(0);
        } else {
            this.monetarySeparator = J0;
        }
    }

    public void setMonetaryGroupingSeparator(char c2) {
        this.monetaryGroupingSeparator = c2;
        this.monetaryGroupingSeparatorString = String.valueOf(c2);
    }

    public void setMonetaryGroupingSeparatorString(String str) {
        Objects.requireNonNull(str, "The input monetary grouping separator is null");
        this.monetaryGroupingSeparatorString = str;
        if (str.length() == 1) {
            this.monetaryGroupingSeparator = str.charAt(0);
        } else {
            this.monetaryGroupingSeparator = K0;
        }
    }

    public void setNaN(String str) {
        this.NaN = str;
    }

    public void setPadEscape(char c2) {
        this.padEscape = c2;
    }

    public void setPatternForCurrencySpacing(int i, boolean z, String str) {
        if (i < 0 || i > 2) {
            throw new IllegalArgumentException("unknown currency spacing: " + i);
        } else if (z) {
            String[] strArr = (String[]) this.currencySpcBeforeSym.clone();
            this.currencySpcBeforeSym = strArr;
            strArr[i] = str;
        } else {
            String[] strArr2 = (String[]) this.currencySpcAfterSym.clone();
            this.currencySpcAfterSym = strArr2;
            strArr2[i] = str;
        }
    }

    public void setPatternSeparator(char c2) {
        this.patternSeparator = c2;
    }

    public void setPerMill(char c2) {
        this.perMill = c2;
        this.perMillString = String.valueOf(c2);
    }

    public void setPerMillString(String str) {
        Objects.requireNonNull(str, "The input permille string is null");
        this.perMillString = str;
        if (str.length() == 1) {
            this.perMill = str.charAt(0);
        } else {
            this.perMill = O0;
        }
    }

    public void setPercent(char c2) {
        this.percent = c2;
        this.percentString = String.valueOf(c2);
    }

    public void setPercentString(String str) {
        Objects.requireNonNull(str, "The input percent sign is null");
        this.percentString = str;
        if (str.length() == 1) {
            this.percent = str.charAt(0);
        } else {
            this.percent = L0;
        }
    }

    public void setPlusSign(char c2) {
        this.plusSign = c2;
        this.plusString = String.valueOf(c2);
    }

    public void setPlusSignString(String str) {
        Objects.requireNonNull(str, "The input plus sign is null");
        this.plusString = str;
        if (str.length() == 1) {
            this.plusSign = str.charAt(0);
        } else {
            this.plusSign = N0;
        }
    }

    public void setSignificantDigit(char c2) {
        this.sigDigit = c2;
    }

    public void setZeroDigit(char c2) {
        this.zeroDigit = c2;
        this.digitStrings = (String[]) this.digitStrings.clone();
        this.digits = (char[]) this.digits.clone();
        this.digitStrings[0] = String.valueOf(c2);
        this.digits[0] = c2;
        for (int i = 1; i < 10; i++) {
            char c3 = (char) (c2 + i);
            this.digitStrings[i] = String.valueOf(c3);
            this.digits[i] = c3;
        }
        this.V0 = c2;
    }

    public DecimalFormatSymbols(Locale locale) {
        this(ULocale.forLocale(locale));
    }

    public static DecimalFormatSymbols forNumberingSystem(ULocale uLocale, z0 z0Var) {
        return new DecimalFormatSymbols(uLocale, z0Var);
    }

    public static DecimalFormatSymbols getInstance(Locale locale) {
        return new DecimalFormatSymbols(locale);
    }

    public final ULocale getLocale(ULocale.g gVar) {
        return gVar == ULocale.ACTUAL_LOCALE ? this.actualLocale : this.validLocale;
    }

    public DecimalFormatSymbols(ULocale uLocale) {
        this.exponentMultiplicationSign = null;
        this.serialVersionOnStream = 10;
        this.currencyPattern = null;
        d(uLocale, null);
    }

    public static DecimalFormatSymbols getInstance(ULocale uLocale) {
        return new DecimalFormatSymbols(uLocale);
    }

    private DecimalFormatSymbols(Locale locale, z0 z0Var) {
        this(ULocale.forLocale(locale), z0Var);
    }

    private DecimalFormatSymbols(ULocale uLocale, z0 z0Var) {
        this.exponentMultiplicationSign = null;
        this.serialVersionOnStream = 10;
        this.currencyPattern = null;
        d(uLocale, z0Var);
    }
}
