package com.ibm.icu.text;

import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.j1;
import com.ibm.icu.impl.l1;
import com.ibm.icu.impl.q2;
import com.ibm.icu.impl.r;
import com.ibm.icu.impl.t;
import com.ibm.icu.impl.w;
import com.ibm.icu.text.UFormat;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.h0;
import java.io.InvalidObjectException;
import java.text.AttributedCharacterIterator;
import java.text.Format;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Iterator;
import java.util.Locale;
import java.util.regex.Pattern;

public final class ListFormatter {

    /* renamed from: a  reason: collision with root package name */
    private static final String f15208a = b("{0} y {1}", new StringBuilder());

    /* renamed from: b  reason: collision with root package name */
    private static final String f15209b = b("{0} e {1}", new StringBuilder());

    /* renamed from: c  reason: collision with root package name */
    private static final String f15210c = b("{0} o {1}", new StringBuilder());

    /* renamed from: d  reason: collision with root package name */
    private static final String f15211d = b("{0} u {1}", new StringBuilder());

    /* renamed from: e  reason: collision with root package name */
    private static final Pattern f15212e = Pattern.compile("(i.*|hi|hi[^ae].*)", 2);
    private static final Pattern f = Pattern.compile("((o|ho|8).*|11)", 2);
    private static final String g = b("{0} ו{1}", new StringBuilder());
    private static final String h = b("{0} ו-{1}", new StringBuilder());
    private static final Pattern i = Pattern.compile("^[\\P{InHebrew}].*$");
    static b j = new b(null);
    private final String k;
    private final String l;
    private final ULocale m;
    private final f n;

    public static final class Field extends Format.Field {
        public static Field ELEMENT = new Field("element");
        public static Field LITERAL = new Field("literal");
        private static final long serialVersionUID = -8071145668708265437L;

        private Field(String str) {
            super(str);
        }

        /* access modifiers changed from: protected */
        @Override // java.text.AttributedCharacterIterator.Attribute
        @Deprecated
        public Object readResolve() throws InvalidObjectException {
            if (getName().equals(LITERAL.getName())) {
                return LITERAL;
            }
            if (getName().equals(ELEMENT.getName())) {
                return ELEMENT;
            }
            throw new InvalidObjectException("An invalid object.");
        }
    }

    public static final class SpanField extends UFormat.SpanField {
        public static final SpanField LIST_SPAN = new SpanField("list-span");
        private static final long serialVersionUID = 3563544214705634403L;

        private SpanField(String str) {
            super(str);
        }

        /* access modifiers changed from: protected */
        @Override // java.text.AttributedCharacterIterator.Attribute
        @Deprecated
        public Object readResolve() throws InvalidObjectException {
            String name = getName();
            SpanField spanField = LIST_SPAN;
            if (name.equals(spanField.getName())) {
                return spanField;
            }
            throw new InvalidObjectException("An invalid object.");
        }
    }

    public enum Type {
        AND,
        OR,
        UNITS
    }

    public enum Width {
        WIDE,
        SHORT,
        NARROW
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f15215a;

        /* renamed from: b  reason: collision with root package name */
        static final /* synthetic */ int[] f15216b;

        /* JADX WARNING: Can't wrap try/catch for region: R(15:0|(2:1|2)|3|(2:5|6)|7|9|10|11|13|14|15|16|17|18|20) */
        /* JADX WARNING: Can't wrap try/catch for region: R(17:0|1|2|3|5|6|7|9|10|11|13|14|15|16|17|18|20) */
        /* JADX WARNING: Code restructure failed: missing block: B:21:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0039 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x0043 */
        static {
            int[] iArr = new int[Type.values().length];
            f15216b = iArr;
            try {
                iArr[Type.AND.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                f15216b[Type.OR.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                f15216b[Type.UNITS.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            int[] iArr2 = new int[Width.values().length];
            f15215a = iArr2;
            iArr2[Width.WIDE.ordinal()] = 1;
            f15215a[Width.SHORT.ordinal()] = 2;
            f15215a[Width.NARROW.ordinal()] = 3;
        }
    }

    /* access modifiers changed from: private */
    public static final class c implements f {

        /* renamed from: a  reason: collision with root package name */
        private final Pattern f15218a;

        /* renamed from: b  reason: collision with root package name */
        private final String f15219b;

        /* renamed from: c  reason: collision with root package name */
        private final String f15220c;

        /* renamed from: d  reason: collision with root package name */
        private final String f15221d;

        /* renamed from: e  reason: collision with root package name */
        private final String f15222e;

        c(Pattern pattern, String str, String str2, String str3, String str4) {
            this.f15218a = pattern;
            this.f15219b = str;
            this.f15220c = str2;
            this.f15221d = str3;
            this.f15222e = str4;
        }

        @Override // com.ibm.icu.text.ListFormatter.f
        public String a(String str) {
            if (this.f15218a.matcher(str).matches()) {
                return this.f15221d;
            }
            return this.f15222e;
        }

        @Override // com.ibm.icu.text.ListFormatter.f
        public String b(String str) {
            if (this.f15218a.matcher(str).matches()) {
                return this.f15219b;
            }
            return this.f15220c;
        }
    }

    public static final class d implements k0 {

        /* renamed from: a  reason: collision with root package name */
        private final r f15223a;

        d(r rVar) {
            this.f15223a = rVar;
        }

        @Override // com.ibm.icu.text.k0
        public boolean a(c0 c0Var) {
            return t.g(this.f15223a, c0Var, null);
        }

        @Override // com.ibm.icu.text.k0
        public <A extends Appendable> A b(A a2) {
            return (A) q2.k(this.f15223a, a2);
        }

        public char charAt(int i) {
            return this.f15223a.charAt(i);
        }

        @Override // com.ibm.icu.text.k0
        public AttributedCharacterIterator h() {
            return t.h(this.f15223a, null);
        }

        public int length() {
            return this.f15223a.length();
        }

        public CharSequence subSequence(int i, int i2) {
            return this.f15223a.F(i, i2);
        }

        @Override // com.ibm.icu.text.k0
        public String toString() {
            return this.f15223a.toString();
        }
    }

    /* access modifiers changed from: package-private */
    public static class e {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ boolean f15224a = false;

        /* renamed from: b  reason: collision with root package name */
        private r f15225b;

        /* renamed from: c  reason: collision with root package name */
        boolean f15226c;

        public e(Object obj, boolean z) {
            r rVar = new r();
            this.f15225b = rVar;
            this.f15226c = z;
            rVar.D(Field.LITERAL);
            b(obj, 0);
        }

        private void b(Object obj, int i) {
            String obj2 = obj.toString();
            if (this.f15226c) {
                t.b bVar = new t.b();
                bVar.f14378a = SpanField.LIST_SPAN;
                bVar.f14379b = Field.ELEMENT;
                bVar.f14380c = Integer.valueOf(i);
                bVar.f14381d = -1;
                bVar.f14382e = obj2.length();
                this.f15225b.d(obj2, bVar);
                return;
            }
            this.f15225b.d(obj2, null);
        }

        public e a(String str, Object obj, int i) {
            this.f15225b.C(0);
            long j = 0;
            while (true) {
                j = l1.a.b(j, str, this.f15225b);
                if (j == -1) {
                    return this;
                }
                if (l1.a.a(j) == 0) {
                    r rVar = this.f15225b;
                    rVar.C(rVar.length());
                } else {
                    b(obj, i);
                }
            }
        }

        public void c(Appendable appendable) {
            q2.k(this.f15225b, appendable);
        }

        public int d(int i) {
            return t.b(this.f15225b, Integer.valueOf(i));
        }

        public d e() {
            return new d(this.f15225b);
        }

        public String toString() {
            return this.f15225b.toString();
        }
    }

    /* access modifiers changed from: private */
    public interface f {
        String a(String str);

        String b(String str);
    }

    /* access modifiers changed from: private */
    public static final class g implements f {

        /* renamed from: a  reason: collision with root package name */
        private final String f15227a;

        /* renamed from: b  reason: collision with root package name */
        private final String f15228b;

        g(String str, String str2) {
            this.f15227a = str;
            this.f15228b = str2;
        }

        @Override // com.ibm.icu.text.ListFormatter.f
        public String a(String str) {
            return this.f15228b;
        }

        @Override // com.ibm.icu.text.ListFormatter.f
        public String b(String str) {
            return this.f15227a;
        }
    }

    /* synthetic */ ListFormatter(String str, String str2, String str3, String str4, ULocale uLocale, a aVar) {
        this(str, str2, str3, str4, uLocale);
    }

    /* access modifiers changed from: private */
    public static String b(String str, StringBuilder sb) {
        return l1.a(str, sb, 2, 2);
    }

    private f c(String str, String str2) {
        ULocale uLocale = this.m;
        if (uLocale != null) {
            String language = uLocale.getLanguage();
            if (language.equals("es")) {
                String str3 = f15208a;
                boolean equals = str.equals(str3);
                boolean equals2 = str2.equals(str3);
                if (equals || equals2) {
                    return new c(f15212e, equals ? f15209b : str, str, equals2 ? f15209b : str2, str2);
                }
                String str4 = f15210c;
                boolean equals3 = str.equals(str4);
                boolean equals4 = str2.equals(str4);
                if (equals3 || equals4) {
                    return new c(f, equals3 ? f15211d : str, str, equals4 ? f15211d : str2, str2);
                }
            } else if (language.equals("he") || language.equals("iw")) {
                String str5 = g;
                boolean equals5 = str.equals(str5);
                boolean equals6 = str2.equals(str5);
                if (equals5 || equals6) {
                    return new c(i, equals5 ? h : str, str, equals6 ? h : str2, str2);
                }
            }
        }
        return new g(str, str2);
    }

    public static ListFormatter i() {
        return j(ULocale.getDefault(ULocale.Category.FORMAT));
    }

    public static ListFormatter j(ULocale uLocale) {
        return k(uLocale, Type.AND, Width.WIDE);
    }

    public static ListFormatter k(ULocale uLocale, Type type, Width width) {
        String p = p(type, width);
        if (p != null) {
            return j.a(uLocale, p);
        }
        throw new IllegalArgumentException("Invalid list format type/width");
    }

    public static ListFormatter l(Locale locale) {
        return k(ULocale.forLocale(locale), Type.AND, Width.WIDE);
    }

    public static ListFormatter m(Locale locale, Type type, Width width) {
        return k(ULocale.forLocale(locale), type, width);
    }

    static String p(Type type, Width width) {
        int i2 = a.f15216b[type.ordinal()];
        if (i2 == 1) {
            int i3 = a.f15215a[width.ordinal()];
            if (i3 == 1) {
                return "standard";
            }
            if (i3 == 2) {
                return "standard-short";
            }
            if (i3 != 3) {
                return null;
            }
            return "standard-narrow";
        } else if (i2 == 2) {
            int i4 = a.f15215a[width.ordinal()];
            if (i4 == 1) {
                return "or";
            }
            if (i4 == 2) {
                return "or-short";
            }
            if (i4 != 3) {
                return null;
            }
            return "or-narrow";
        } else if (i2 != 3) {
            return null;
        } else {
            int i5 = a.f15215a[width.ordinal()];
            if (i5 == 1) {
                return "unit";
            }
            if (i5 == 2) {
                return "unit-short";
            }
            if (i5 != 3) {
                return null;
            }
            return "unit-narrow";
        }
    }

    public String d(Collection<?> collection) {
        return f(collection, false).toString();
    }

    public String e(Object... objArr) {
        return d(Arrays.asList(objArr));
    }

    /* access modifiers changed from: package-private */
    public e f(Collection<?> collection, boolean z) {
        Iterator<?> it = collection.iterator();
        int size = collection.size();
        if (size == 0) {
            return new e("", z);
        }
        if (size == 1) {
            return new e(it.next(), z);
        }
        int i2 = 2;
        if (size != 2) {
            e eVar = new e(it.next(), z);
            eVar.a(this.k, it.next(), 1);
            while (true) {
                int i3 = size - 1;
                if (i2 < i3) {
                    eVar.a(this.l, it.next(), i2);
                    i2++;
                } else {
                    Object next = it.next();
                    return eVar.a(this.n.a(String.valueOf(next)), next, i3);
                }
            }
        } else {
            Object next2 = it.next();
            Object next3 = it.next();
            return new e(next2, z).a(this.n.b(String.valueOf(next3)), next3, 1);
        }
    }

    public d g(Collection<?> collection) {
        return f(collection, true).e();
    }

    public d h(Object... objArr) {
        return g(Arrays.asList(objArr));
    }

    @Deprecated
    public ULocale n() {
        return this.m;
    }

    public String o(int i2) {
        if (i2 > 0) {
            ArrayList arrayList = new ArrayList();
            for (int i3 = 0; i3 < i2; i3++) {
                arrayList.add(String.format("{%d}", Integer.valueOf(i3)));
            }
            return d(arrayList);
        }
        throw new IllegalArgumentException("count must be > 0");
    }

    /* access modifiers changed from: private */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        private final w<String, ListFormatter> f15217a;

        private b() {
            this.f15217a = new j1();
        }

        private static ListFormatter b(ULocale uLocale, String str) {
            ICUResourceBundle iCUResourceBundle = (ICUResourceBundle) h0.j(a0.f13490d, uLocale);
            StringBuilder sb = new StringBuilder();
            String b2 = ListFormatter.b(iCUResourceBundle.Z0("listPattern/" + str + "/2").y(), sb);
            String b3 = ListFormatter.b(iCUResourceBundle.Z0("listPattern/" + str + "/start").y(), sb);
            String b4 = ListFormatter.b(iCUResourceBundle.Z0("listPattern/" + str + "/middle").y(), sb);
            return new ListFormatter(b2, b3, b4, ListFormatter.b(iCUResourceBundle.Z0("listPattern/" + str + "/end").y(), sb), uLocale, null);
        }

        public ListFormatter a(ULocale uLocale, String str) {
            String format = String.format("%s:%s", uLocale.toString(), str);
            ListFormatter listFormatter = this.f15217a.get(format);
            if (listFormatter != null) {
                return listFormatter;
            }
            ListFormatter b2 = b(uLocale, str);
            this.f15217a.put(format, b2);
            return b2;
        }

        /* synthetic */ b(a aVar) {
            this();
        }
    }

    @Deprecated
    public ListFormatter(String str, String str2, String str3, String str4) {
        this(b(str, new StringBuilder()), b(str2, new StringBuilder()), b(str3, new StringBuilder()), b(str4, new StringBuilder()), null);
    }

    private ListFormatter(String str, String str2, String str3, String str4, ULocale uLocale) {
        this.k = str2;
        this.l = str3;
        this.m = uLocale;
        this.n = c(str, str4);
    }
}
