package com.ibm.icu.text;

import com.alipay.sdk.util.g;
import com.ibm.icu.impl.x;
import com.ibm.icu.lang.UScript;
import com.ibm.icu.text.DisplayContext;
import com.ibm.icu.util.ULocale;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.Locale;
import java.util.Set;

public abstract class LocaleDisplayNames {

    /* renamed from: a  reason: collision with root package name */
    private static final Method f15229a;

    /* renamed from: b  reason: collision with root package name */
    private static final Method f15230b;

    public enum DialectHandling {
        STANDARD_NAMES,
        DIALECT_NAMES
    }

    public static class c {

        /* renamed from: a  reason: collision with root package name */
        public final ULocale f15234a;

        /* renamed from: b  reason: collision with root package name */
        public final ULocale f15235b;

        /* renamed from: c  reason: collision with root package name */
        public final String f15236c;

        /* renamed from: d  reason: collision with root package name */
        public final String f15237d;

        /* access modifiers changed from: private */
        public static class a implements Comparator<c> {

            /* renamed from: a  reason: collision with root package name */
            private final Comparator<Object> f15238a;

            /* renamed from: b  reason: collision with root package name */
            private final boolean f15239b;

            a(Comparator<Object> comparator, boolean z) {
                this.f15238a = comparator;
                this.f15239b = z;
            }

            /* renamed from: a */
            public int compare(c cVar, c cVar2) {
                int i;
                if (this.f15239b) {
                    i = this.f15238a.compare(cVar.f15237d, cVar2.f15237d);
                } else {
                    i = this.f15238a.compare(cVar.f15236c, cVar2.f15236c);
                }
                return i != 0 ? i : cVar.f15235b.compareTo(cVar2.f15235b);
            }
        }

        public c(ULocale uLocale, ULocale uLocale2, String str, String str2) {
            this.f15234a = uLocale;
            this.f15235b = uLocale2;
            this.f15236c = str;
            this.f15237d = str2;
        }

        public static Comparator<c> a(Comparator<Object> comparator, boolean z) {
            return new a(comparator, z);
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || !(obj instanceof c)) {
                return false;
            }
            c cVar = (c) obj;
            if (!this.f15236c.equals(cVar.f15236c) || !this.f15237d.equals(cVar.f15237d) || !this.f15234a.equals(cVar.f15234a) || !this.f15235b.equals(cVar.f15235b)) {
                return false;
            }
            return true;
        }

        public int hashCode() {
            return this.f15235b.hashCode() ^ this.f15236c.hashCode();
        }

        public String toString() {
            return "{" + this.f15234a + ", " + this.f15235b + ", " + this.f15236c + ", " + this.f15237d + g.f6033d;
        }
    }

    static {
        Method method;
        Method method2 = null;
        try {
            Class<?> cls = Class.forName(x.b("com.ibm.icu.text.LocaleDisplayNames.impl", "com.ibm.icu.impl.LocaleDisplayNamesImpl"));
            try {
                method = cls.getMethod("getInstance", ULocale.class, DialectHandling.class);
            } catch (NoSuchMethodException unused) {
                method = null;
            }
            try {
                method2 = cls.getMethod("getInstance", ULocale.class, DisplayContext[].class);
            } catch (ClassNotFoundException | NoSuchMethodException unused2) {
            }
        } catch (ClassNotFoundException unused3) {
            method = null;
        }
        f15229a = method;
        f15230b = method2;
    }

    @Deprecated
    protected LocaleDisplayNames() {
    }

    public static LocaleDisplayNames c(ULocale uLocale) {
        return d(uLocale, DialectHandling.STANDARD_NAMES);
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0018  */
    public static LocaleDisplayNames d(ULocale uLocale, DialectHandling dialectHandling) {
        LocaleDisplayNames localeDisplayNames;
        Method method = f15229a;
        if (method != null) {
            try {
                localeDisplayNames = (LocaleDisplayNames) method.invoke(null, uLocale, dialectHandling);
            } catch (IllegalAccessException | InvocationTargetException unused) {
            }
            return localeDisplayNames != null ? new b(uLocale, dialectHandling) : localeDisplayNames;
        }
        localeDisplayNames = null;
        if (localeDisplayNames != null) {
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0018  */
    public static LocaleDisplayNames e(ULocale uLocale, DisplayContext... displayContextArr) {
        LocaleDisplayNames localeDisplayNames;
        Method method = f15230b;
        if (method != null) {
            try {
                localeDisplayNames = (LocaleDisplayNames) method.invoke(null, uLocale, displayContextArr);
            } catch (IllegalAccessException | InvocationTargetException unused) {
            }
            return localeDisplayNames != null ? new b(uLocale, displayContextArr) : localeDisplayNames;
        }
        localeDisplayNames = null;
        if (localeDisplayNames != null) {
        }
    }

    public static LocaleDisplayNames f(Locale locale) {
        return c(ULocale.forLocale(locale));
    }

    public static LocaleDisplayNames g(Locale locale, DisplayContext... displayContextArr) {
        return e(ULocale.forLocale(locale), displayContextArr);
    }

    public abstract DisplayContext a(DisplayContext.Type type);

    public abstract DialectHandling b();

    public abstract ULocale h();

    public List<c> i(Set<ULocale> set, boolean z, Comparator<Object> comparator) {
        return j(set, c.a(comparator, z));
    }

    public abstract List<c> j(Set<ULocale> set, Comparator<c> comparator);

    public abstract String k(String str);

    public abstract String l(String str, String str2);

    public abstract String m(String str);

    public abstract String n(ULocale uLocale);

    public abstract String o(String str);

    public abstract String p(Locale locale);

    public abstract String q(String str);

    public abstract String r(int i);

    public abstract String s(String str);

    @Deprecated
    public String t(String str) {
        return s(str);
    }

    public abstract String u(String str);

    /* access modifiers changed from: private */
    public static class b extends LocaleDisplayNames {

        /* renamed from: c  reason: collision with root package name */
        private ULocale f15232c;

        /* renamed from: d  reason: collision with root package name */
        private DisplayContext[] f15233d;

        @Override // com.ibm.icu.text.LocaleDisplayNames
        public DisplayContext a(DisplayContext.Type type) {
            DisplayContext displayContext = DisplayContext.STANDARD_NAMES;
            DisplayContext[] displayContextArr = this.f15233d;
            for (DisplayContext displayContext2 : displayContextArr) {
                if (displayContext2.type() == type) {
                    return displayContext2;
                }
            }
            return displayContext;
        }

        @Override // com.ibm.icu.text.LocaleDisplayNames
        public DialectHandling b() {
            DialectHandling dialectHandling = DialectHandling.STANDARD_NAMES;
            DisplayContext[] displayContextArr = this.f15233d;
            for (DisplayContext displayContext : displayContextArr) {
                if (displayContext.type() == DisplayContext.Type.DIALECT_HANDLING && displayContext.value() == DisplayContext.DIALECT_NAMES.ordinal()) {
                    return DialectHandling.DIALECT_NAMES;
                }
            }
            return dialectHandling;
        }

        @Override // com.ibm.icu.text.LocaleDisplayNames
        public ULocale h() {
            return this.f15232c;
        }

        @Override // com.ibm.icu.text.LocaleDisplayNames
        public List<c> j(Set<ULocale> set, Comparator<c> comparator) {
            return Collections.emptyList();
        }

        @Override // com.ibm.icu.text.LocaleDisplayNames
        public String k(String str) {
            return str;
        }

        @Override // com.ibm.icu.text.LocaleDisplayNames
        public String l(String str, String str2) {
            return str2;
        }

        @Override // com.ibm.icu.text.LocaleDisplayNames
        public String m(String str) {
            return str;
        }

        @Override // com.ibm.icu.text.LocaleDisplayNames
        public String n(ULocale uLocale) {
            return uLocale.getName();
        }

        @Override // com.ibm.icu.text.LocaleDisplayNames
        public String o(String str) {
            return new ULocale(str).getName();
        }

        @Override // com.ibm.icu.text.LocaleDisplayNames
        public String p(Locale locale) {
            return ULocale.forLocale(locale).getName();
        }

        @Override // com.ibm.icu.text.LocaleDisplayNames
        public String q(String str) {
            return str;
        }

        @Override // com.ibm.icu.text.LocaleDisplayNames
        public String r(int i) {
            return UScript.l(i);
        }

        @Override // com.ibm.icu.text.LocaleDisplayNames
        public String s(String str) {
            return str;
        }

        @Override // com.ibm.icu.text.LocaleDisplayNames
        public String u(String str) {
            return str;
        }

        private b(ULocale uLocale, DialectHandling dialectHandling) {
            this.f15232c = uLocale;
            this.f15233d = new DisplayContext[]{dialectHandling == DialectHandling.DIALECT_NAMES ? DisplayContext.DIALECT_NAMES : DisplayContext.STANDARD_NAMES};
        }

        private b(ULocale uLocale, DisplayContext... displayContextArr) {
            this.f15232c = uLocale;
            DisplayContext[] displayContextArr2 = new DisplayContext[displayContextArr.length];
            this.f15233d = displayContextArr2;
            System.arraycopy(displayContextArr, 0, displayContextArr2, 0, displayContextArr.length);
        }
    }
}
