package com.ibm.icu.text;

import androidx.constraintlayout.core.motion.h.w;
import com.alipay.sdk.util.g;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.ibm.icu.impl.y0;
import com.ibm.icu.number.NumberFormatter;
import com.ibm.icu.text.MessagePattern;
import com.ibm.icu.text.PluralFormat;
import com.ibm.icu.text.PluralRules;
import com.ibm.icu.util.ICUUncheckedIOException;
import com.ibm.icu.util.ULocale;
import com.lzy.okgo.model.Progress;
import java.io.IOException;
import java.io.InvalidObjectException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.text.AttributedCharacterIterator;
import java.text.AttributedString;
import java.text.CharacterIterator;
import java.text.ChoiceFormat;
import java.text.FieldPosition;
import java.text.Format;
import java.text.ParseException;
import java.text.ParsePosition;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Objects;
import java.util.Set;

public class MessageFormat extends UFormat {
    private static final int I0 = 1;
    private static final int J0 = 2;
    private static final int K0 = 3;
    private static final int L0 = 4;
    private static final int M0 = 5;
    private static final String[] N0 = {"", FirebaseAnalytics.b.f12316e, "percent", w.b.f1677b};
    private static final int O0 = 0;
    private static final int P0 = 1;
    private static final int Q0 = 2;
    private static final int R0 = 3;
    private static final String[] S0 = {"", "short", FirebaseAnalytics.b.L, "long", "full"};
    private static final int T0 = 0;
    private static final int U0 = 1;
    private static final int V0 = 2;
    private static final int W0 = 3;
    private static final int X0 = 4;
    private static final Locale Y0 = new Locale("");
    private static final char Z0 = '\'';

    /* renamed from: a  reason: collision with root package name */
    private static final String[] f15250a = {"number", Progress.DATE, "time", "spellout", "ordinal", w.h.f1707b};
    private static final char a1 = '{';

    /* renamed from: b  reason: collision with root package name */
    private static final int f15251b = 0;
    private static final char b1 = '}';
    private static final int c1 = 0;
    private static final int d1 = 1;
    private static final int e1 = 2;
    private static final int f1 = 3;
    static final /* synthetic */ boolean g1 = false;
    static final long serialVersionUID = 7136212545847378652L;
    private transient ULocale h1;
    private transient MessagePattern i1;
    private transient Map<Integer, Format> j1;
    private transient Set<Integer> k1;
    private transient DateFormat l1;
    private transient NumberFormat m1;
    private transient e n1;
    private transient e o1;

    public static class Field extends Format.Field {
        public static final Field ARGUMENT = new Field("message argument field");
        private static final long serialVersionUID = 7510380454602616157L;

        protected Field(String str) {
            super(str);
        }

        /* access modifiers changed from: protected */
        @Override // java.text.AttributedCharacterIterator.Attribute
        public Object readResolve() throws InvalidObjectException {
            if (getClass() == Field.class) {
                String name = getName();
                Field field = ARGUMENT;
                if (name.equals(field.getName())) {
                    return field;
                }
                throw new InvalidObjectException("Unknown attribute name.");
            }
            throw new InvalidObjectException("A subclass of MessageFormat.Field must implement readResolve.");
        }
    }

    /* access modifiers changed from: private */
    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        int f15259a;

        /* renamed from: b  reason: collision with root package name */
        String f15260b;

        /* renamed from: c  reason: collision with root package name */
        Number f15261c;

        /* renamed from: d  reason: collision with root package name */
        double f15262d;

        /* renamed from: e  reason: collision with root package name */
        int f15263e;
        Format f;
        String g;
        boolean h;

        public String toString() {
            throw new AssertionError("PluralSelectorContext being formatted, rather than its number");
        }

        private d(int i, String str, Number number, double d2) {
            this.f15259a = i;
            this.f15260b = str;
            if (d2 == 0.0d) {
                this.f15261c = number;
            } else {
                this.f15261c = Double.valueOf(number.doubleValue() - d2);
            }
            this.f15262d = d2;
        }
    }

    /* access modifiers changed from: private */
    public static final class e implements PluralFormat.b {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ boolean f15264a = false;

        /* renamed from: b  reason: collision with root package name */
        private MessageFormat f15265b;

        /* renamed from: c  reason: collision with root package name */
        private PluralRules f15266c;

        /* renamed from: d  reason: collision with root package name */
        private PluralRules.PluralType f15267d;

        public e(MessageFormat messageFormat, PluralRules.PluralType pluralType) {
            this.f15265b = messageFormat;
            this.f15267d = pluralType;
        }

        @Override // com.ibm.icu.text.PluralFormat.b
        public String a(Object obj, double d2) {
            if (this.f15266c == null) {
                this.f15266c = PluralRules.forLocale(this.f15265b.h1, this.f15267d);
            }
            d dVar = (d) obj;
            int s = this.f15265b.s(this.f15265b.u(dVar.f15259a), dVar.f15260b);
            dVar.f15263e = s;
            if (s > 0 && this.f15265b.j1 != null) {
                dVar.f = (Format) this.f15265b.j1.get(Integer.valueOf(dVar.f15263e));
            }
            if (dVar.f == null) {
                dVar.f = this.f15265b.D();
                dVar.h = true;
            }
            dVar.g = dVar.f.format(dVar.f15261c);
            Format format = dVar.f;
            if (!(format instanceof DecimalFormat)) {
                return this.f15266c.select(d2);
            }
            return this.f15266c.select(((DecimalFormat) format).getFixedDecimal(d2));
        }
    }

    public MessageFormat(String str) {
        this.h1 = ULocale.getDefault(ULocale.Category.FORMAT);
        applyPattern(str);
    }

    private String A(int i) {
        MessagePattern.Part u = this.i1.u(i);
        if (u.l() == MessagePattern.Part.Type.ARG_NAME) {
            return this.i1.z(u);
        }
        return Integer.toString(u.m());
    }

    private String B(int i) {
        StringBuilder sb = new StringBuilder();
        String x = this.i1.x();
        int k = this.i1.u(i).k();
        while (true) {
            i++;
            MessagePattern.Part u = this.i1.u(i);
            MessagePattern.Part.Type l = u.l();
            sb.append((CharSequence) x, k, u.i());
            if (l != MessagePattern.Part.Type.ARG_START && l != MessagePattern.Part.Type.MSG_LIMIT) {
                k = u.k();
            }
        }
        return sb.toString();
    }

    private DateFormat C() {
        if (this.l1 == null) {
            this.l1 = DateFormat.getDateTimeInstance(3, 3, this.h1);
        }
        return this.l1;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private NumberFormat D() {
        if (this.m1 == null) {
            this.m1 = NumberFormat.getInstance(this.h1);
        }
        return this.m1;
    }

    private static int E(MessagePattern messagePattern, int i, int i2, String str, int i3) {
        String x = messagePattern.x();
        int k = messagePattern.u(i).k();
        int i4 = 0;
        while (true) {
            i++;
            MessagePattern.Part u = messagePattern.u(i);
            if (i == i2 || u.l() == MessagePattern.Part.Type.SKIP_SYNTAX) {
                int i5 = u.i() - k;
                if (i5 != 0 && !str.regionMatches(i3, x, k, i5)) {
                    return -1;
                }
                i4 += i5;
                if (i == i2) {
                    return i4;
                }
                k = u.k();
            }
        }
    }

    private int F(int i) {
        MessagePattern.Part.Type v;
        if (i != 0) {
            i = this.i1.s(i);
        }
        do {
            i++;
            v = this.i1.v(i);
            if (v == MessagePattern.Part.Type.ARG_START) {
                return i;
            }
        } while (v != MessagePattern.Part.Type.MSG_LIMIT);
        return -1;
    }

    /* JADX WARNING: Removed duplicated region for block: B:70:0x0162  */
    private void G(int i, String str, ParsePosition parsePosition, Object[] objArr, Map<String, Object> map) {
        String str2;
        Object obj;
        int i2;
        int i3;
        boolean z;
        Object obj2;
        int i4;
        Map<Integer, Format> map2;
        int index;
        Format format;
        Object obj3;
        if (str != null) {
            String x = this.i1.x();
            int k = this.i1.u(i).k();
            int index2 = parsePosition.getIndex();
            ParsePosition parsePosition2 = new ParsePosition(0);
            int i5 = i + 1;
            while (true) {
                MessagePattern.Part u = this.i1.u(i5);
                MessagePattern.Part.Type l = u.l();
                int i6 = u.i() - k;
                if (i6 == 0 || x.regionMatches(k, str, index2, i6)) {
                    index2 += i6;
                    if (l == MessagePattern.Part.Type.MSG_LIMIT) {
                        parsePosition.setIndex(index2);
                        return;
                    }
                    if (l == MessagePattern.Part.Type.SKIP_SYNTAX || l == MessagePattern.Part.Type.INSERT_CHAR) {
                        k = u.k();
                    } else {
                        int s = this.i1.s(i5);
                        MessagePattern.ArgType h = u.h();
                        int i7 = i5 + 1;
                        MessagePattern.Part u2 = this.i1.u(i7);
                        if (objArr != null) {
                            i2 = u2.m();
                            str2 = null;
                            obj = Integer.valueOf(i2);
                        } else {
                            if (u2.l() == MessagePattern.Part.Type.ARG_NAME) {
                                obj3 = this.i1.z(u2);
                            } else {
                                obj3 = Integer.toString(u2.m());
                            }
                            Object obj4 = obj3;
                            str2 = obj4;
                            i2 = 0;
                            obj = obj4;
                        }
                        int i8 = i7 + 1;
                        Map<Integer, Format> map3 = this.j1;
                        if (map3 != null && (format = map3.get(Integer.valueOf(i8 - 2))) != null) {
                            parsePosition2.setIndex(index2);
                            obj2 = format.parseObject(str, parsePosition2);
                            if (parsePosition2.getIndex() == index2) {
                                parsePosition.setErrorIndex(index2);
                                return;
                            }
                            index = parsePosition2.getIndex();
                        } else if (h == MessagePattern.ArgType.NONE || ((map2 = this.j1) != null && map2.containsKey(Integer.valueOf(i8 - 2)))) {
                            String B = B(s);
                            if (B.length() != 0) {
                                i4 = str.indexOf(B, index2);
                            } else {
                                i4 = str.length();
                            }
                            if (i4 < 0) {
                                parsePosition.setErrorIndex(index2);
                                return;
                            }
                            String substring = str.substring(index2, i4);
                            boolean equals = substring.equals("{" + obj.toString() + g.f6033d);
                            Object obj5 = !equals ? substring : null;
                            z = !equals;
                            i3 = i4;
                            obj2 = obj5;
                            if (z) {
                                if (objArr != null) {
                                    objArr[i2] = obj2;
                                } else if (map != null) {
                                    map.put(str2, obj2);
                                }
                            }
                            index2 = i3;
                            k = this.i1.u(s).k();
                            i5 = s;
                        } else if (h == MessagePattern.ArgType.CHOICE) {
                            parsePosition2.setIndex(index2);
                            double H = H(this.i1, i8, str, parsePosition2);
                            if (parsePosition2.getIndex() == index2) {
                                parsePosition.setErrorIndex(index2);
                                return;
                            } else {
                                obj2 = Double.valueOf(H);
                                index = parsePosition2.getIndex();
                            }
                        } else if (h.hasPluralStyle() || h == MessagePattern.ArgType.SELECT) {
                            throw new UnsupportedOperationException("Parsing of plural/select/selectordinal argument is not supported.");
                        } else {
                            throw new IllegalStateException("unexpected argType " + h);
                        }
                        i3 = index;
                        z = true;
                        if (z) {
                        }
                        index2 = i3;
                        k = this.i1.u(s).k();
                        i5 = s;
                    }
                    i5++;
                } else {
                    parsePosition.setErrorIndex(index2);
                    return;
                }
            }
        }
    }

    private static double H(MessagePattern messagePattern, int i, String str, ParsePosition parsePosition) {
        int i2;
        int index = parsePosition.getIndex();
        double d2 = Double.NaN;
        int i3 = index;
        while (true) {
            if (messagePattern.v(i) == MessagePattern.Part.Type.ARG_LIMIT) {
                break;
            }
            double t = messagePattern.t(messagePattern.u(i));
            int i4 = i + 2;
            int s = messagePattern.s(i4);
            int E = E(messagePattern, i4, s, str, index);
            if (E >= 0 && (i2 = E + index) > i3) {
                i3 = i2;
                if (i2 == str.length()) {
                    d2 = t;
                    break;
                }
                d2 = t;
            }
            i = s + 1;
        }
        if (i3 == index) {
            parsePosition.setErrorIndex(index);
        } else {
            parsePosition.setIndex(i3);
        }
        return d2;
    }

    private void I() {
        MessagePattern messagePattern = this.i1;
        if (messagePattern != null) {
            messagePattern.h();
        }
        Map<Integer, Format> map = this.j1;
        if (map != null) {
            map.clear();
        }
        this.k1 = null;
    }

    private void J(int i, Format format) {
        if (this.j1 == null) {
            this.j1 = new HashMap();
        }
        this.j1.put(Integer.valueOf(i), format);
    }

    private void K(int i, Format format) {
        J(i, format);
        if (this.k1 == null) {
            this.k1 = new HashSet();
        }
        this.k1.add(Integer.valueOf(i));
    }

    private FieldPosition L(b bVar, int i, FieldPosition fieldPosition, Object obj) {
        if (bVar.f15254c != null && i < bVar.f15253b) {
            bVar.f15254c.add(new c(obj, i, bVar.f15253b));
        }
        if (fieldPosition == null || !Field.ARGUMENT.equals(fieldPosition.getFieldAttribute())) {
            return fieldPosition;
        }
        fieldPosition.setBeginIndex(i);
        fieldPosition.setEndIndex(bVar.f15253b);
        return null;
    }

    public static String autoQuoteApostrophe(String str) {
        StringBuilder sb = new StringBuilder(str.length() * 2);
        int length = str.length();
        char c2 = 0;
        int i = 0;
        for (int i2 = 0; i2 < length; i2++) {
            char charAt = str.charAt(i2);
            if (c2 != 0) {
                if (c2 != 1) {
                    if (c2 != 2) {
                        if (c2 == 3) {
                            if (charAt == '{') {
                                i++;
                            } else if (charAt == '}') {
                                i--;
                                if (i != 0) {
                                }
                            }
                        }
                    } else if (charAt != '\'') {
                    }
                } else if (charAt != '\'') {
                    if (charAt == '{' || charAt == '}') {
                        c2 = 2;
                    } else {
                        sb.append('\'');
                    }
                }
                c2 = 0;
            } else if (charAt == '\'') {
                c2 = 1;
            } else if (charAt == '{') {
                i++;
                c2 = 3;
            }
            sb.append(charAt);
        }
        if (c2 == 1 || c2 == 2) {
            sb.append('\'');
        }
        return new String(sb);
    }

    private boolean h(int i, String str, int i2) {
        MessagePattern.Part u = this.i1.u(i);
        if (u.l() == MessagePattern.Part.Type.ARG_NAME) {
            return this.i1.X(u, str);
        }
        return u.m() == i2;
    }

    private void m() {
        String str;
        Map<Integer, Format> map = this.j1;
        if (map != null) {
            map.clear();
        }
        this.k1 = null;
        int p = this.i1.p() - 2;
        int i = 1;
        while (i < p) {
            MessagePattern.Part u = this.i1.u(i);
            if (u.l() == MessagePattern.Part.Type.ARG_START && u.h() == MessagePattern.ArgType.SIMPLE) {
                int i2 = i + 2;
                MessagePattern messagePattern = this.i1;
                int i3 = i2 + 1;
                String z = messagePattern.z(messagePattern.u(i2));
                MessagePattern.Part u2 = this.i1.u(i3);
                if (u2.l() == MessagePattern.Part.Type.ARG_STYLE) {
                    str = this.i1.z(u2);
                    i3++;
                } else {
                    str = "";
                }
                J(i, n(z, str));
                i = i3;
            }
            i++;
        }
    }

    private Format n(String str, String str2) {
        int t = t(str, f15250a);
        if (t == 0) {
            int t2 = t(str2, N0);
            if (t2 == 0) {
                return NumberFormat.getInstance(this.h1);
            }
            if (t2 == 1) {
                return NumberFormat.getCurrencyInstance(this.h1);
            }
            if (t2 == 2) {
                return NumberFormat.getPercentInstance(this.h1);
            }
            if (t2 == 3) {
                return NumberFormat.getIntegerInstance(this.h1);
            }
            int g = y0.g(str2, 0);
            if (str2.regionMatches(g, "::", 0, 2)) {
                return NumberFormatter.a(str2.substring(g + 2)).x(this.h1).G();
            }
            return new DecimalFormat(str2, new DecimalFormatSymbols(this.h1));
        } else if (t == 1) {
            int t3 = t(str2, S0);
            if (t3 == 0) {
                return DateFormat.getDateInstance(2, this.h1);
            }
            if (t3 == 1) {
                return DateFormat.getDateInstance(3, this.h1);
            }
            if (t3 == 2) {
                return DateFormat.getDateInstance(2, this.h1);
            }
            if (t3 == 3) {
                return DateFormat.getDateInstance(1, this.h1);
            }
            if (t3 != 4) {
                return p(str2);
            }
            return DateFormat.getDateInstance(0, this.h1);
        } else if (t == 2) {
            int t4 = t(str2, S0);
            if (t4 == 0) {
                return DateFormat.getTimeInstance(2, this.h1);
            }
            if (t4 == 1) {
                return DateFormat.getTimeInstance(3, this.h1);
            }
            if (t4 == 2) {
                return DateFormat.getTimeInstance(2, this.h1);
            }
            if (t4 == 3) {
                return DateFormat.getTimeInstance(1, this.h1);
            }
            if (t4 != 4) {
                return p(str2);
            }
            return DateFormat.getTimeInstance(0, this.h1);
        } else if (t == 3) {
            RuleBasedNumberFormat ruleBasedNumberFormat = new RuleBasedNumberFormat(this.h1, 1);
            String trim = str2.trim();
            if (trim.length() == 0) {
                return ruleBasedNumberFormat;
            }
            ruleBasedNumberFormat.setDefaultRuleSet(trim);
            return ruleBasedNumberFormat;
        } else if (t == 4) {
            RuleBasedNumberFormat ruleBasedNumberFormat2 = new RuleBasedNumberFormat(this.h1, 2);
            String trim2 = str2.trim();
            if (trim2.length() == 0) {
                return ruleBasedNumberFormat2;
            }
            ruleBasedNumberFormat2.setDefaultRuleSet(trim2);
            return ruleBasedNumberFormat2;
        } else if (t == 5) {
            RuleBasedNumberFormat ruleBasedNumberFormat3 = new RuleBasedNumberFormat(this.h1, 3);
            String trim3 = str2.trim();
            if (trim3.length() == 0) {
                return ruleBasedNumberFormat3;
            }
            try {
                ruleBasedNumberFormat3.setDefaultRuleSet(trim3);
                return ruleBasedNumberFormat3;
            } catch (Exception unused) {
                return ruleBasedNumberFormat3;
            }
        } else {
            throw new IllegalArgumentException("Unknown format type \"" + str + "\"");
        }
    }

    private static int q(MessagePattern messagePattern, int i, double d2) {
        int p = messagePattern.p();
        int i2 = i + 2;
        while (true) {
            int s = messagePattern.s(i2) + 1;
            if (s >= p) {
                break;
            }
            int i3 = s + 1;
            MessagePattern.Part u = messagePattern.u(s);
            if (u.l() == MessagePattern.Part.Type.ARG_LIMIT) {
                break;
            }
            double t = messagePattern.t(u);
            int i4 = i3 + 1;
            if (messagePattern.x().charAt(messagePattern.w(i3)) == '<') {
                if (d2 <= t) {
                    break;
                }
            } else if (d2 < t) {
                break;
            }
            i2 = i4;
        }
        return i2;
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        this.h1 = ULocale.forLanguageTag((String) objectInputStream.readObject());
        MessagePattern.ApostropheMode apostropheMode = (MessagePattern.ApostropheMode) objectInputStream.readObject();
        MessagePattern messagePattern = this.i1;
        if (messagePattern == null || apostropheMode != messagePattern.r()) {
            this.i1 = new MessagePattern(apostropheMode);
        }
        String str = (String) objectInputStream.readObject();
        if (str != null) {
            applyPattern(str);
        }
        for (int readInt = objectInputStream.readInt(); readInt > 0; readInt--) {
            setFormat(objectInputStream.readInt(), (Format) objectInputStream.readObject());
        }
        for (int readInt2 = objectInputStream.readInt(); readInt2 > 0; readInt2--) {
            objectInputStream.readInt();
            objectInputStream.readObject();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int s(int i, String str) {
        while (true) {
            i++;
            MessagePattern.Part u = this.i1.u(i);
            MessagePattern.Part.Type l = u.l();
            if (l == MessagePattern.Part.Type.MSG_LIMIT) {
                return 0;
            }
            if (l == MessagePattern.Part.Type.REPLACE_NUMBER) {
                return -1;
            }
            if (l == MessagePattern.Part.Type.ARG_START) {
                MessagePattern.ArgType h = u.h();
                if (str.length() != 0 && (h == MessagePattern.ArgType.NONE || h == MessagePattern.ArgType.SIMPLE)) {
                    if (this.i1.X(this.i1.u(i + 1), str)) {
                        return i;
                    }
                }
                i = this.i1.s(i);
            }
        }
    }

    private static final int t(String str, String[] strArr) {
        String lowerCase = y0.i(str).toLowerCase(Y0);
        for (int i = 0; i < strArr.length; i++) {
            if (lowerCase.equals(strArr[i])) {
                return i;
            }
        }
        return -1;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int u(int i) {
        int p = this.i1.p();
        if (this.i1.u(i).l().hasNumericValue()) {
            i++;
        }
        do {
            int i2 = i + 1;
            MessagePattern.Part u = this.i1.u(i);
            if (u.l() == MessagePattern.Part.Type.ARG_LIMIT) {
                return 0;
            }
            if (this.i1.X(u, PluralRules.KEYWORD_OTHER)) {
                return i2;
            }
            if (this.i1.v(i2).hasNumericValue()) {
                i2++;
            }
            i = this.i1.s(i2) + 1;
        } while (i < p);
        return 0;
    }

    private void v(int i, d dVar, Object[] objArr, Map<String, Object> map, b bVar, FieldPosition fieldPosition) {
        b bVar2;
        String str;
        Integer num;
        int i2;
        String str2;
        FieldPosition fieldPosition2;
        int i3;
        String str3;
        int i4;
        Map<Integer, Format> map2;
        e eVar;
        Format format;
        Map<String, Object> map3 = map;
        b bVar3 = bVar;
        String x = this.i1.x();
        int k = this.i1.u(i).k();
        int i5 = i + 1;
        FieldPosition fieldPosition3 = fieldPosition;
        while (true) {
            MessagePattern.Part u = this.i1.u(i5);
            MessagePattern.Part.Type l = u.l();
            bVar3.e(x, k, u.i());
            if (l != MessagePattern.Part.Type.MSG_LIMIT) {
                k = u.k();
                if (l == MessagePattern.Part.Type.REPLACE_NUMBER) {
                    if (dVar.h) {
                        bVar3.h(dVar.f, dVar.f15261c, dVar.g);
                    } else {
                        bVar3.g(D(), dVar.f15261c);
                    }
                } else if (l == MessagePattern.Part.Type.ARG_START) {
                    int s = this.i1.s(i5);
                    MessagePattern.ArgType h = u.h();
                    int i6 = i5 + 1;
                    MessagePattern.Part u2 = this.i1.u(i6);
                    boolean z = false;
                    String z2 = this.i1.z(u2);
                    Object obj = null;
                    if (objArr != null) {
                        int m = u2.m();
                        Integer valueOf = bVar.f15254c != null ? Integer.valueOf(m) : null;
                        if (m < 0 || m >= objArr.length) {
                            z = true;
                        } else {
                            obj = objArr[m];
                        }
                        num = valueOf;
                    } else if (map3 == null || !map3.containsKey(z2)) {
                        num = z2;
                        z = true;
                    } else {
                        obj = map3.get(z2);
                        num = z2;
                    }
                    int i7 = i6 + 1;
                    int i8 = bVar.f15253b;
                    if (z) {
                        bVar3.d("{" + z2 + g.f6033d);
                    } else if (obj == null) {
                        bVar3.d("null");
                    } else if (dVar == null || dVar.f15263e != i7 - 2) {
                        Map<Integer, Format> map4 = this.j1;
                        if (map4 == null || (format = map4.get(Integer.valueOf(i7 - 2))) == null) {
                            i4 = i8;
                            str3 = num;
                            if (h == MessagePattern.ArgType.NONE || ((map2 = this.j1) != null && map2.containsKey(Integer.valueOf(i7 - 2)))) {
                                i2 = s;
                                fieldPosition2 = fieldPosition3;
                                str = x;
                                bVar2 = bVar3;
                                if (obj instanceof Number) {
                                    bVar2.g(D(), obj);
                                } else if (obj instanceof Date) {
                                    bVar2.g(C(), obj);
                                } else {
                                    bVar2.d(obj.toString());
                                }
                            } else if (h != MessagePattern.ArgType.CHOICE) {
                                i2 = s;
                                str = x;
                                if (!h.hasPluralStyle()) {
                                    fieldPosition2 = fieldPosition3;
                                    bVar2 = bVar3;
                                    if (h == MessagePattern.ArgType.SELECT) {
                                        z(SelectFormat.a(this.i1, i7, obj.toString()), null, objArr, map, bVar);
                                    } else {
                                        throw new IllegalStateException("unexpected argType " + h);
                                    }
                                } else if (obj instanceof Number) {
                                    if (h == MessagePattern.ArgType.PLURAL) {
                                        if (this.n1 == null) {
                                            this.n1 = new e(this, PluralRules.PluralType.CARDINAL);
                                        }
                                        eVar = this.n1;
                                    } else {
                                        if (this.o1 == null) {
                                            this.o1 = new e(this, PluralRules.PluralType.ORDINAL);
                                        }
                                        eVar = this.o1;
                                    }
                                    Number number = (Number) obj;
                                    d dVar2 = new d(i7, z2, number, this.i1.y(i7));
                                    fieldPosition2 = fieldPosition3;
                                    z(PluralFormat.c(this.i1, i7, eVar, dVar2, number.doubleValue()), dVar2, objArr, map, bVar);
                                    bVar2 = bVar3;
                                } else {
                                    throw new IllegalArgumentException("'" + obj + "' is not a Number");
                                }
                            } else if (obj instanceof Number) {
                                i2 = s;
                                str = x;
                                z(q(this.i1, i7, ((Number) obj).doubleValue()), null, objArr, map, bVar);
                                bVar2 = bVar3;
                                i3 = i4;
                                str2 = str3;
                                fieldPosition2 = fieldPosition3;
                                FieldPosition L = L(bVar2, i3, fieldPosition2, str2);
                                k = this.i1.u(i2).k();
                                fieldPosition3 = L;
                                i5 = i2;
                                i5++;
                                map3 = map;
                                x = str;
                                bVar3 = bVar2;
                            } else {
                                throw new IllegalArgumentException("'" + obj + "' is not a Number");
                            }
                        } else if ((format instanceof ChoiceFormat) || (format instanceof PluralFormat) || (format instanceof SelectFormat)) {
                            String format2 = format.format(obj);
                            if (format2.indexOf(123) >= 0 || (format2.indexOf(39) >= 0 && !this.i1.J())) {
                                i4 = i8;
                                str3 = num;
                                new MessageFormat(format2, this.h1).v(0, null, objArr, map, bVar, null);
                            } else {
                                if (bVar.f15254c == null) {
                                    bVar3.d(format2);
                                } else {
                                    bVar3.g(format, obj);
                                }
                                i4 = i8;
                                str3 = num;
                            }
                            i2 = s;
                            fieldPosition2 = fieldPosition3;
                            str = x;
                            bVar2 = bVar3;
                        } else {
                            bVar3.g(format, obj);
                        }
                        i3 = i4;
                        str2 = str3;
                        FieldPosition L2 = L(bVar2, i3, fieldPosition2, str2);
                        k = this.i1.u(i2).k();
                        fieldPosition3 = L2;
                        i5 = i2;
                        i5++;
                        map3 = map;
                        x = str;
                        bVar3 = bVar2;
                    } else if (dVar.f15262d == 0.0d) {
                        bVar3.h(dVar.f, dVar.f15261c, dVar.g);
                    } else {
                        bVar3.g(dVar.f, obj);
                    }
                    fieldPosition2 = fieldPosition3;
                    str = x;
                    bVar2 = bVar3;
                    i3 = i8;
                    str2 = num;
                    i2 = s;
                    FieldPosition L22 = L(bVar2, i3, fieldPosition2, str2);
                    k = this.i1.u(i2).k();
                    fieldPosition3 = L22;
                    i5 = i2;
                    i5++;
                    map3 = map;
                    x = str;
                    bVar3 = bVar2;
                }
                str = x;
                bVar2 = bVar3;
                i5++;
                map3 = map;
                x = str;
                bVar3 = bVar2;
            } else {
                return;
            }
        }
    }

    private void writeObject(ObjectOutputStream objectOutputStream) throws IOException {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeObject(this.h1.toLanguageTag());
        if (this.i1 == null) {
            this.i1 = new MessagePattern();
        }
        objectOutputStream.writeObject(this.i1.r());
        objectOutputStream.writeObject(this.i1.x());
        Set<Integer> set = this.k1;
        if (set != null && !set.isEmpty()) {
            objectOutputStream.writeInt(this.k1.size());
            int i = 0;
            int i2 = 0;
            while (true) {
                i = F(i);
                if (i < 0) {
                    break;
                }
                if (this.k1.contains(Integer.valueOf(i))) {
                    objectOutputStream.writeInt(i2);
                    objectOutputStream.writeObject(this.j1.get(Integer.valueOf(i)));
                }
                i2++;
            }
        } else {
            objectOutputStream.writeInt(0);
        }
        objectOutputStream.writeInt(0);
    }

    private void x(Object obj, b bVar, FieldPosition fieldPosition) {
        if (obj == null || (obj instanceof Map)) {
            y(null, (Map) obj, bVar, fieldPosition);
        } else {
            y((Object[]) obj, null, bVar, fieldPosition);
        }
    }

    private void y(Object[] objArr, Map<String, Object> map, b bVar, FieldPosition fieldPosition) {
        if (objArr == null || !this.i1.A()) {
            v(0, null, objArr, map, bVar, fieldPosition);
            return;
        }
        throw new IllegalArgumentException("This method is not available in MessageFormat objects that use alphanumeric argument names.");
    }

    private void z(int i, d dVar, Object[] objArr, Map<String, Object> map, b bVar) {
        int i2;
        String str;
        if (!this.i1.J()) {
            v(i, dVar, objArr, map, bVar, null);
            return;
        }
        String x = this.i1.x();
        StringBuilder sb = null;
        int k = this.i1.u(i).k();
        while (true) {
            i++;
            MessagePattern.Part u = this.i1.u(i);
            MessagePattern.Part.Type l = u.l();
            i2 = u.i();
            if (l == MessagePattern.Part.Type.MSG_LIMIT) {
                break;
            }
            MessagePattern.Part.Type type = MessagePattern.Part.Type.REPLACE_NUMBER;
            if (l == type || l == MessagePattern.Part.Type.SKIP_SYNTAX) {
                if (sb == null) {
                    sb = new StringBuilder();
                }
                sb.append((CharSequence) x, k, i2);
                if (l == type) {
                    if (dVar.h) {
                        sb.append(dVar.g);
                    } else {
                        sb.append(D().format(dVar.f15261c));
                    }
                }
                k = u.k();
            } else if (l == MessagePattern.Part.Type.ARG_START) {
                if (sb == null) {
                    sb = new StringBuilder();
                }
                sb.append((CharSequence) x, k, i2);
                i = this.i1.s(i);
                k = this.i1.u(i).k();
                MessagePattern.e(x, i2, k, sb);
            }
        }
        if (sb == null) {
            str = x.substring(k, i2);
        } else {
            sb.append((CharSequence) x, k, i2);
            str = sb.toString();
        }
        if (str.indexOf(123) >= 0) {
            MessageFormat messageFormat = new MessageFormat("", this.h1);
            messageFormat.applyPattern(str, MessagePattern.ApostropheMode.DOUBLE_REQUIRED);
            messageFormat.v(0, null, objArr, map, bVar, null);
            return;
        }
        bVar.d(str);
    }

    public void applyPattern(String str) {
        try {
            MessagePattern messagePattern = this.i1;
            if (messagePattern == null) {
                this.i1 = new MessagePattern(str);
            } else {
                messagePattern.K(str);
            }
            m();
        } catch (RuntimeException e2) {
            I();
            throw e2;
        }
    }

    @Override // java.lang.Object
    public Object clone() {
        MessageFormat messageFormat = (MessageFormat) super.clone();
        if (this.k1 != null) {
            messageFormat.k1 = new HashSet();
            for (Integer num : this.k1) {
                messageFormat.k1.add(num);
            }
        } else {
            messageFormat.k1 = null;
        }
        if (this.j1 != null) {
            messageFormat.j1 = new HashMap();
            for (Map.Entry<Integer, Format> entry : this.j1.entrySet()) {
                messageFormat.j1.put(entry.getKey(), entry.getValue());
            }
        } else {
            messageFormat.j1 = null;
        }
        MessagePattern messagePattern = this.i1;
        messageFormat.i1 = messagePattern == null ? null : (MessagePattern) messagePattern.clone();
        DateFormat dateFormat = this.l1;
        messageFormat.l1 = dateFormat == null ? null : (DateFormat) dateFormat.clone();
        NumberFormat numberFormat = this.m1;
        messageFormat.m1 = numberFormat == null ? null : (NumberFormat) numberFormat.clone();
        messageFormat.n1 = null;
        messageFormat.o1 = null;
        return messageFormat;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        MessageFormat messageFormat = (MessageFormat) obj;
        if (!Objects.equals(this.h1, messageFormat.h1) || !Objects.equals(this.i1, messageFormat.i1) || !Objects.equals(this.j1, messageFormat.j1) || !Objects.equals(this.k1, messageFormat.k1)) {
            return false;
        }
        return true;
    }

    public final StringBuffer format(Object[] objArr, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        y(objArr, null, new b(stringBuffer), fieldPosition);
        return stringBuffer;
    }

    public AttributedCharacterIterator formatToCharacterIterator(Object obj) {
        Objects.requireNonNull(obj, "formatToCharacterIterator must be passed non-null object");
        StringBuilder sb = new StringBuilder();
        b bVar = new b(sb);
        bVar.i();
        x(obj, bVar, null);
        AttributedString attributedString = new AttributedString(sb.toString());
        for (c cVar : bVar.f15254c) {
            attributedString.addAttribute(cVar.f15255a, cVar.f15256b, cVar.f15257c, cVar.f15258d);
        }
        return attributedString.getIterator();
    }

    public MessagePattern.ApostropheMode getApostropheMode() {
        if (this.i1 == null) {
            this.i1 = new MessagePattern();
        }
        return this.i1.r();
    }

    public Set<String> getArgumentNames() {
        HashSet hashSet = new HashSet();
        int i = 0;
        while (true) {
            i = F(i);
            if (i < 0) {
                return hashSet;
            }
            hashSet.add(A(i + 1));
        }
    }

    public Format getFormatByArgumentName(String str) {
        int i0;
        if (this.j1 == null || (i0 = MessagePattern.i0(str)) < -1) {
            return null;
        }
        int i = 0;
        do {
            i = F(i);
            if (i < 0) {
                return null;
            }
        } while (!h(i + 1, str, i0));
        return this.j1.get(Integer.valueOf(i));
    }

    public Format[] getFormats() {
        ArrayList arrayList = new ArrayList();
        int i = 0;
        while (true) {
            i = F(i);
            if (i < 0) {
                return (Format[]) arrayList.toArray(new Format[arrayList.size()]);
            }
            Map<Integer, Format> map = this.j1;
            arrayList.add(map == null ? null : map.get(Integer.valueOf(i)));
        }
    }

    public Format[] getFormatsByArgumentIndex() {
        Format format;
        if (!this.i1.A()) {
            ArrayList arrayList = new ArrayList();
            int i = 0;
            while (true) {
                i = F(i);
                if (i < 0) {
                    return (Format[]) arrayList.toArray(new Format[arrayList.size()]);
                }
                int m = this.i1.u(i + 1).m();
                while (true) {
                    format = null;
                    if (m < arrayList.size()) {
                        break;
                    }
                    arrayList.add(null);
                }
                Map<Integer, Format> map = this.j1;
                if (map != null) {
                    format = map.get(Integer.valueOf(i));
                }
                arrayList.set(m, format);
            }
        } else {
            throw new IllegalArgumentException("This method is not available in MessageFormat objects that use alphanumeric argument names.");
        }
    }

    public Locale getLocale() {
        return this.h1.toLocale();
    }

    public ULocale getULocale() {
        return this.h1;
    }

    public int hashCode() {
        return this.i1.x().hashCode();
    }

    /* access modifiers changed from: package-private */
    public Format p(String str) {
        int g = y0.g(str, 0);
        if (str.regionMatches(g, "::", 0, 2)) {
            return DateFormat.getInstanceForSkeleton(str.substring(g + 2), this.h1);
        }
        return new SimpleDateFormat(str, this.h1);
    }

    public Object[] parse(String str, ParsePosition parsePosition) {
        if (!this.i1.A()) {
            int i = -1;
            int i2 = 0;
            while (true) {
                i2 = F(i2);
                if (i2 < 0) {
                    break;
                }
                int m = this.i1.u(i2 + 1).m();
                if (m > i) {
                    i = m;
                }
            }
            Object[] objArr = new Object[(i + 1)];
            int index = parsePosition.getIndex();
            G(0, str, parsePosition, objArr, null);
            if (parsePosition.getIndex() == index) {
                return null;
            }
            return objArr;
        }
        throw new IllegalArgumentException("This method is not available in MessageFormat objects that use named argument.");
    }

    public Object parseObject(String str, ParsePosition parsePosition) {
        if (!this.i1.A()) {
            return parse(str, parsePosition);
        }
        return parseToMap(str, parsePosition);
    }

    public Map<String, Object> parseToMap(String str, ParsePosition parsePosition) {
        HashMap hashMap = new HashMap();
        int index = parsePosition.getIndex();
        G(0, str, parsePosition, null, hashMap);
        if (parsePosition.getIndex() == index) {
            return null;
        }
        return hashMap;
    }

    public void setFormat(int i, Format format) {
        int i2 = 0;
        int i3 = 0;
        while (true) {
            i2 = F(i2);
            if (i2 < 0) {
                throw new ArrayIndexOutOfBoundsException(i);
            } else if (i3 == i) {
                K(i2, format);
                return;
            } else {
                i3++;
            }
        }
    }

    public void setFormatByArgumentIndex(int i, Format format) {
        if (!this.i1.A()) {
            int i2 = 0;
            while (true) {
                i2 = F(i2);
                if (i2 < 0) {
                    return;
                }
                if (this.i1.u(i2 + 1).m() == i) {
                    K(i2, format);
                }
            }
        } else {
            throw new IllegalArgumentException("This method is not available in MessageFormat objects that use alphanumeric argument names.");
        }
    }

    public void setFormatByArgumentName(String str, Format format) {
        int i0 = MessagePattern.i0(str);
        if (i0 >= -1) {
            int i = 0;
            while (true) {
                i = F(i);
                if (i < 0) {
                    return;
                }
                if (h(i + 1, str, i0)) {
                    K(i, format);
                }
            }
        }
    }

    public void setFormats(Format[] formatArr) {
        int i = 0;
        for (int i2 = 0; i2 < formatArr.length && (i = F(i)) >= 0; i2++) {
            K(i, formatArr[i2]);
        }
    }

    public void setFormatsByArgumentIndex(Format[] formatArr) {
        if (!this.i1.A()) {
            int i = 0;
            while (true) {
                i = F(i);
                if (i >= 0) {
                    int m = this.i1.u(i + 1).m();
                    if (m < formatArr.length) {
                        K(i, formatArr[m]);
                    }
                } else {
                    return;
                }
            }
        } else {
            throw new IllegalArgumentException("This method is not available in MessageFormat objects that use alphanumeric argument names.");
        }
    }

    public void setFormatsByArgumentName(Map<String, Format> map) {
        int i = 0;
        while (true) {
            i = F(i);
            if (i >= 0) {
                String A = A(i + 1);
                if (map.containsKey(A)) {
                    K(i, map.get(A));
                }
            } else {
                return;
            }
        }
    }

    public void setLocale(Locale locale) {
        setLocale(ULocale.forLocale(locale));
    }

    public String toPattern() {
        String x;
        if (this.k1 == null) {
            MessagePattern messagePattern = this.i1;
            if (messagePattern == null || (x = messagePattern.x()) == null) {
                return "";
            }
            return x;
        }
        throw new IllegalStateException("toPattern() is not supported after custom Format objects have been set via setFormat() or similar APIs");
    }

    public boolean usesNamedArguments() {
        return this.i1.A();
    }

    /* access modifiers changed from: private */
    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        private AttributedCharacterIterator.Attribute f15255a;

        /* renamed from: b  reason: collision with root package name */
        private Object f15256b;

        /* renamed from: c  reason: collision with root package name */
        private int f15257c;

        /* renamed from: d  reason: collision with root package name */
        private int f15258d;

        public c(Object obj, int i, int i2) {
            e(Field.ARGUMENT, obj, i, i2);
        }

        public void e(AttributedCharacterIterator.Attribute attribute, Object obj, int i, int i2) {
            this.f15255a = attribute;
            this.f15256b = obj;
            this.f15257c = i;
            this.f15258d = i2;
        }

        public c(AttributedCharacterIterator.Attribute attribute, Object obj, int i, int i2) {
            e(attribute, obj, i, i2);
        }
    }

    public final StringBuffer format(Map<String, Object> map, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        y(null, map, new b(stringBuffer), fieldPosition);
        return stringBuffer;
    }

    public void setLocale(ULocale uLocale) {
        String pattern = toPattern();
        this.h1 = uLocale;
        this.l1 = null;
        this.m1 = null;
        this.n1 = null;
        this.o1 = null;
        applyPattern(pattern);
    }

    public static String format(String str, Object... objArr) {
        return new MessageFormat(str).format(objArr);
    }

    /* access modifiers changed from: private */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        private Appendable f15252a;

        /* renamed from: b  reason: collision with root package name */
        private int f15253b;

        /* renamed from: c  reason: collision with root package name */
        private List<c> f15254c = null;

        public b(StringBuilder sb) {
            this.f15252a = sb;
            this.f15253b = sb.length();
        }

        public static int c(Appendable appendable, CharacterIterator characterIterator) {
            try {
                int beginIndex = characterIterator.getBeginIndex();
                int endIndex = characterIterator.getEndIndex();
                int i = endIndex - beginIndex;
                if (beginIndex < endIndex) {
                    appendable.append(characterIterator.first());
                    while (true) {
                        beginIndex++;
                        if (beginIndex >= endIndex) {
                            break;
                        }
                        appendable.append(characterIterator.next());
                    }
                }
                return i;
            } catch (IOException e2) {
                throw new ICUUncheckedIOException(e2);
            }
        }

        public void d(CharSequence charSequence) {
            try {
                this.f15252a.append(charSequence);
                this.f15253b += charSequence.length();
            } catch (IOException e2) {
                throw new ICUUncheckedIOException(e2);
            }
        }

        public void e(CharSequence charSequence, int i, int i2) {
            try {
                this.f15252a.append(charSequence, i, i2);
                this.f15253b += i2 - i;
            } catch (IOException e2) {
                throw new ICUUncheckedIOException(e2);
            }
        }

        public void f(CharacterIterator characterIterator) {
            this.f15253b += c(this.f15252a, characterIterator);
        }

        public void g(Format format, Object obj) {
            if (this.f15254c == null) {
                d(format.format(obj));
                return;
            }
            AttributedCharacterIterator formatToCharacterIterator = format.formatToCharacterIterator(obj);
            int i = this.f15253b;
            f(formatToCharacterIterator);
            formatToCharacterIterator.first();
            int index = formatToCharacterIterator.getIndex();
            int endIndex = formatToCharacterIterator.getEndIndex();
            int i2 = i - index;
            while (index < endIndex) {
                Map<AttributedCharacterIterator.Attribute, Object> attributes = formatToCharacterIterator.getAttributes();
                int runLimit = formatToCharacterIterator.getRunLimit();
                if (attributes.size() != 0) {
                    for (Map.Entry<AttributedCharacterIterator.Attribute, Object> entry : attributes.entrySet()) {
                        this.f15254c.add(new c(entry.getKey(), entry.getValue(), i2 + index, i2 + runLimit));
                    }
                }
                formatToCharacterIterator.setIndex(runLimit);
                index = runLimit;
            }
        }

        public void h(Format format, Object obj, String str) {
            if (this.f15254c != null || str == null) {
                g(format, obj);
            } else {
                d(str);
            }
        }

        public void i() {
            this.f15254c = new ArrayList();
        }

        public b(StringBuffer stringBuffer) {
            this.f15252a = stringBuffer;
            this.f15253b = stringBuffer.length();
        }
    }

    public MessageFormat(String str, Locale locale) {
        this(str, ULocale.forLocale(locale));
    }

    public MessageFormat(String str, ULocale uLocale) {
        this.h1 = uLocale;
        applyPattern(str);
    }

    public static String format(String str, Map<String, Object> map) {
        return new MessageFormat(str).format(map);
    }

    public Map<String, Object> parseToMap(String str) throws ParseException {
        ParsePosition parsePosition = new ParsePosition(0);
        HashMap hashMap = new HashMap();
        G(0, str, parsePosition, null, hashMap);
        if (parsePosition.getIndex() != 0) {
            return hashMap;
        }
        throw new ParseException("MessageFormat parse error!", parsePosition.getErrorIndex());
    }

    public void applyPattern(String str, MessagePattern.ApostropheMode apostropheMode) {
        MessagePattern messagePattern = this.i1;
        if (messagePattern == null) {
            this.i1 = new MessagePattern(apostropheMode);
        } else if (apostropheMode != messagePattern.r()) {
            this.i1.m(apostropheMode);
        }
        applyPattern(str);
    }

    public final StringBuffer format(Object obj, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        x(obj, new b(stringBuffer), fieldPosition);
        return stringBuffer;
    }

    public Object[] parse(String str) throws ParseException {
        ParsePosition parsePosition = new ParsePosition(0);
        Object[] parse = parse(str, parsePosition);
        if (parsePosition.getIndex() != 0) {
            return parse;
        }
        throw new ParseException("MessageFormat parse error!", parsePosition.getErrorIndex());
    }
}
