package com.ibm.icu.text;

import com.ibm.icu.impl.x;
import com.ibm.icu.impl.y0;
import com.ibm.icu.impl.z0;
import com.ibm.icu.util.ICUCloneNotSupportedException;
import com.ibm.icu.util.n;
import java.util.ArrayList;
import java.util.Locale;

public final class MessagePattern implements Cloneable, n<MessagePattern> {
    public static final double I0 = -1.23456789E8d;
    private static final int J0 = 24;
    private static final ApostropheMode K0 = ApostropheMode.valueOf(x.b("com.ibm.icu.text.MessagePattern.ApostropheMode", "DOUBLE_OPTIONAL"));
    private static final ArgType[] L0 = ArgType.values();
    static final /* synthetic */ boolean M0 = false;

    /* renamed from: a  reason: collision with root package name */
    public static final int f15268a = -1;

    /* renamed from: b  reason: collision with root package name */
    public static final int f15269b = -2;
    private ApostropheMode N0;
    private String O0;
    private ArrayList<Part> P0;
    private ArrayList<Double> Q0;
    private boolean R0;
    private boolean S0;
    private boolean T0;
    private volatile boolean U0;

    public enum ApostropheMode {
        DOUBLE_OPTIONAL,
        DOUBLE_REQUIRED
    }

    public enum ArgType {
        NONE,
        SIMPLE,
        CHOICE,
        PLURAL,
        SELECT,
        SELECTORDINAL;

        public boolean hasPluralStyle() {
            return this == PLURAL || this == SELECTORDINAL;
        }
    }

    public static final class Part {

        /* renamed from: a  reason: collision with root package name */
        private static final int f15272a = 65535;

        /* renamed from: b  reason: collision with root package name */
        private static final int f15273b = 32767;

        /* renamed from: c  reason: collision with root package name */
        private final Type f15274c;

        /* renamed from: d  reason: collision with root package name */
        private final int f15275d;

        /* renamed from: e  reason: collision with root package name */
        private final char f15276e;
        private short f;
        private int g;

        public enum Type {
            MSG_START,
            MSG_LIMIT,
            SKIP_SYNTAX,
            INSERT_CHAR,
            REPLACE_NUMBER,
            ARG_START,
            ARG_LIMIT,
            ARG_NUMBER,
            ARG_NAME,
            ARG_TYPE,
            ARG_STYLE,
            ARG_SELECTOR,
            ARG_INT,
            ARG_DOUBLE;

            public boolean hasNumericValue() {
                return this == ARG_INT || this == ARG_DOUBLE;
            }
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || Part.class != obj.getClass()) {
                return false;
            }
            Part part = (Part) obj;
            if (this.f15274c.equals(part.f15274c) && this.f15275d == part.f15275d && this.f15276e == part.f15276e && this.f == part.f && this.g == part.g) {
                return true;
            }
            return false;
        }

        public ArgType h() {
            Type l = l();
            if (l == Type.ARG_START || l == Type.ARG_LIMIT) {
                return MessagePattern.L0[this.f];
            }
            return ArgType.NONE;
        }

        public int hashCode() {
            return (((((this.f15274c.hashCode() * 37) + this.f15275d) * 37) + this.f15276e) * 37) + this.f;
        }

        public int i() {
            return this.f15275d;
        }

        public int j() {
            return this.f15276e;
        }

        public int k() {
            return this.f15275d + this.f15276e;
        }

        public Type l() {
            return this.f15274c;
        }

        public int m() {
            return this.f;
        }

        public String toString() {
            Type type = this.f15274c;
            String name = (type == Type.ARG_START || type == Type.ARG_LIMIT) ? h().name() : Integer.toString(this.f);
            return this.f15274c.name() + "(" + name + ")@" + this.f15275d;
        }

        private Part(Type type, int i, int i2, int i3) {
            this.f15274c = type;
            this.f15275d = i;
            this.f15276e = (char) i2;
            this.f = (short) i3;
        }
    }

    public MessagePattern() {
        this.P0 = new ArrayList<>();
        this.N0 = K0;
    }

    private boolean C(int i) {
        return i > 0 || this.P0.get(0).f15274c == Part.Type.MSG_START;
    }

    private boolean D(int i, ArgType argType) {
        if (i == 1 && argType == ArgType.CHOICE && this.P0.get(0).f15274c != Part.Type.MSG_START) {
            return true;
        }
        return false;
    }

    private static boolean E(int i) {
        return (97 <= i && i <= 122) || (65 <= i && i <= 90);
    }

    private boolean F(int i) {
        char charAt;
        int i2 = i + 1;
        char charAt2 = this.O0.charAt(i);
        if (charAt2 == 'c' || charAt2 == 'C') {
            int i3 = i2 + 1;
            char charAt3 = this.O0.charAt(i2);
            if (charAt3 == 'h' || charAt3 == 'H') {
                int i4 = i3 + 1;
                char charAt4 = this.O0.charAt(i3);
                if (charAt4 == 'o' || charAt4 == 'O') {
                    int i5 = i4 + 1;
                    char charAt5 = this.O0.charAt(i4);
                    if (charAt5 == 'i' || charAt5 == 'I') {
                        int i6 = i5 + 1;
                        char charAt6 = this.O0.charAt(i5);
                        if ((charAt6 == 'c' || charAt6 == 'C') && ((charAt = this.O0.charAt(i6)) == 'e' || charAt == 'E')) {
                            return true;
                        }
                    }
                }
            }
        }
        return false;
    }

    private boolean G(int i) {
        char charAt;
        int i2 = i + 1;
        char charAt2 = this.O0.charAt(i);
        if (charAt2 == 'o' || charAt2 == 'O') {
            int i3 = i2 + 1;
            char charAt3 = this.O0.charAt(i2);
            if (charAt3 == 'r' || charAt3 == 'R') {
                int i4 = i3 + 1;
                char charAt4 = this.O0.charAt(i3);
                if (charAt4 == 'd' || charAt4 == 'D') {
                    int i5 = i4 + 1;
                    char charAt5 = this.O0.charAt(i4);
                    if (charAt5 == 'i' || charAt5 == 'I') {
                        int i6 = i5 + 1;
                        char charAt6 = this.O0.charAt(i5);
                        if (charAt6 == 'n' || charAt6 == 'N') {
                            int i7 = i6 + 1;
                            char charAt7 = this.O0.charAt(i6);
                            if ((charAt7 == 'a' || charAt7 == 'A') && ((charAt = this.O0.charAt(i7)) == 'l' || charAt == 'L')) {
                                return true;
                            }
                        }
                    }
                }
            }
        }
        return false;
    }

    private boolean H(int i) {
        char charAt;
        int i2 = i + 1;
        char charAt2 = this.O0.charAt(i);
        if (charAt2 == 'p' || charAt2 == 'P') {
            int i3 = i2 + 1;
            char charAt3 = this.O0.charAt(i2);
            if (charAt3 == 'l' || charAt3 == 'L') {
                int i4 = i3 + 1;
                char charAt4 = this.O0.charAt(i3);
                if (charAt4 == 'u' || charAt4 == 'U') {
                    int i5 = i4 + 1;
                    char charAt5 = this.O0.charAt(i4);
                    if (charAt5 == 'r' || charAt5 == 'R') {
                        int i6 = i5 + 1;
                        char charAt6 = this.O0.charAt(i5);
                        if ((charAt6 == 'a' || charAt6 == 'A') && ((charAt = this.O0.charAt(i6)) == 'l' || charAt == 'L')) {
                            return true;
                        }
                    }
                }
            }
        }
        return false;
    }

    private boolean I(int i) {
        char charAt;
        int i2 = i + 1;
        char charAt2 = this.O0.charAt(i);
        if (charAt2 == 's' || charAt2 == 'S') {
            int i3 = i2 + 1;
            char charAt3 = this.O0.charAt(i2);
            if (charAt3 == 'e' || charAt3 == 'E') {
                int i4 = i3 + 1;
                char charAt4 = this.O0.charAt(i3);
                if (charAt4 == 'l' || charAt4 == 'L') {
                    int i5 = i4 + 1;
                    char charAt5 = this.O0.charAt(i4);
                    if (charAt5 == 'e' || charAt5 == 'E') {
                        int i6 = i5 + 1;
                        char charAt6 = this.O0.charAt(i5);
                        if ((charAt6 == 'c' || charAt6 == 'C') && ((charAt = this.O0.charAt(i6)) == 't' || charAt == 'T')) {
                            return true;
                        }
                    }
                }
            }
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:56:0x0108  */
    /* JADX WARNING: Removed duplicated region for block: B:58:0x010f  */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x012f  */
    private int L(int i, int i2, int i3) {
        char charAt;
        ArgType argType;
        int size = this.P0.size();
        ArgType argType2 = ArgType.NONE;
        d(Part.Type.ARG_START, i, i2, argType2.ordinal());
        int h0 = h0(i + i2);
        if (h0 != this.O0.length()) {
            int g0 = g0(h0);
            int M = M(h0, g0);
            if (M >= 0) {
                int i4 = g0 - h0;
                if (i4 > 65535 || M > 32767) {
                    throw new IndexOutOfBoundsException("Argument number too large: " + b0(h0));
                }
                this.S0 = true;
                d(Part.Type.ARG_NUMBER, h0, i4, M);
            } else if (M == -1) {
                int i5 = g0 - h0;
                if (i5 <= 65535) {
                    this.R0 = true;
                    d(Part.Type.ARG_NAME, h0, i5, 0);
                } else {
                    throw new IndexOutOfBoundsException("Argument name too long: " + b0(h0));
                }
            } else {
                throw new IllegalArgumentException("Bad argument syntax: " + b0(h0));
            }
            int h02 = h0(g0);
            if (h02 != this.O0.length()) {
                char charAt2 = this.O0.charAt(h02);
                if (charAt2 != '}') {
                    if (charAt2 == ',') {
                        int h03 = h0(h02 + 1);
                        int i6 = h03;
                        while (i6 < this.O0.length() && E(this.O0.charAt(i6))) {
                            i6++;
                        }
                        int i7 = i6 - h03;
                        int h04 = h0(i6);
                        if (h04 == this.O0.length()) {
                            throw new IllegalArgumentException("Unmatched '{' braces in message " + a0());
                        } else if (i7 == 0 || !((charAt = this.O0.charAt(h04)) == ',' || charAt == '}')) {
                            throw new IllegalArgumentException("Bad argument syntax: " + b0(h0));
                        } else if (i7 <= 65535) {
                            ArgType argType3 = ArgType.SIMPLE;
                            if (i7 == 6) {
                                if (F(h03)) {
                                    argType = ArgType.CHOICE;
                                } else if (H(h03)) {
                                    argType = ArgType.PLURAL;
                                } else if (I(h03)) {
                                    argType = ArgType.SELECT;
                                }
                                this.P0.get(size).f = (short) argType.ordinal();
                                if (argType == argType3) {
                                    d(Part.Type.ARG_TYPE, h03, i7, 0);
                                }
                                if (charAt != '}') {
                                    int i8 = h04 + 1;
                                    if (argType == argType3) {
                                        h02 = W(i8);
                                    } else if (argType == ArgType.CHOICE) {
                                        h02 = O(i8, i3);
                                    } else {
                                        h02 = T(argType, i8, i3);
                                    }
                                } else if (argType == argType3) {
                                    h02 = h04;
                                } else {
                                    throw new IllegalArgumentException("No style field for complex argument: " + b0(h0));
                                }
                                argType2 = argType;
                            } else if (i7 == 13 && I(h03) && G(h03 + 6)) {
                                argType = ArgType.SELECTORDINAL;
                                this.P0.get(size).f = (short) argType.ordinal();
                                if (argType == argType3) {
                                }
                                if (charAt != '}') {
                                }
                                argType2 = argType;
                            }
                            argType = argType3;
                            this.P0.get(size).f = (short) argType.ordinal();
                            if (argType == argType3) {
                            }
                            if (charAt != '}') {
                            }
                            argType2 = argType;
                        } else {
                            throw new IndexOutOfBoundsException("Argument type name too long: " + b0(h0));
                        }
                    } else {
                        throw new IllegalArgumentException("Bad argument syntax: " + b0(h0));
                    }
                }
                c(size, Part.Type.ARG_LIMIT, h02, 1, argType2.ordinal());
                return h02 + 1;
            }
            throw new IllegalArgumentException("Unmatched '{' braces in message " + a0());
        }
        throw new IllegalArgumentException("Unmatched '{' braces in message " + a0());
    }

    private int M(int i, int i2) {
        return N(this.O0, i, i2);
    }

    private static int N(CharSequence charSequence, int i, int i2) {
        int i3;
        if (i >= i2) {
            return -2;
        }
        int i4 = i + 1;
        char charAt = charSequence.charAt(i);
        boolean z = false;
        if (charAt == '0') {
            if (i4 == i2) {
                return 0;
            }
            i3 = 0;
            z = true;
        } else if ('1' > charAt || charAt > '9') {
            return -1;
        } else {
            i3 = charAt - '0';
        }
        while (i4 < i2) {
            int i5 = i4 + 1;
            char charAt2 = charSequence.charAt(i4);
            if ('0' > charAt2 || charAt2 > '9') {
                return -1;
            }
            if (i3 >= 214748364) {
                z = true;
            }
            i3 = (i3 * 10) + (charAt2 - '0');
            i4 = i5;
        }
        if (z) {
            return -2;
        }
        return i3;
    }

    private int O(int i, int i2) {
        int h0 = h0(i);
        if (h0 == this.O0.length() || this.O0.charAt(h0) == '}') {
            throw new IllegalArgumentException("Missing choice argument pattern in " + a0());
        }
        while (true) {
            int f0 = f0(h0);
            int i3 = f0 - h0;
            if (i3 == 0) {
                throw new IllegalArgumentException("Bad choice pattern syntax: " + b0(i));
            } else if (i3 <= 65535) {
                R(h0, f0, true);
                int h02 = h0(f0);
                if (h02 != this.O0.length()) {
                    char charAt = this.O0.charAt(h02);
                    if (charAt == '#' || charAt == '<' || charAt == 8804) {
                        d(Part.Type.ARG_SELECTOR, h02, 1, 0);
                        int S = S(h02 + 1, 0, i2 + 1, ArgType.CHOICE);
                        if (S == this.O0.length()) {
                            return S;
                        }
                        if (this.O0.charAt(S) != '}') {
                            h0 = h0(S + 1);
                        } else if (C(i2)) {
                            return S;
                        } else {
                            throw new IllegalArgumentException("Bad choice pattern syntax: " + b0(i));
                        }
                    } else {
                        throw new IllegalArgumentException("Expected choice separator (#<≤) instead of '" + charAt + "' in choice pattern " + b0(i));
                    }
                } else {
                    throw new IllegalArgumentException("Bad choice pattern syntax: " + b0(i));
                }
            } else {
                throw new IndexOutOfBoundsException("Choice number too long: " + b0(h0));
            }
        }
    }

    private void R(int i, int i2, boolean z) {
        int i3;
        int i4 = i + 1;
        char charAt = this.O0.charAt(i);
        int i5 = 0;
        if (charAt == '-') {
            if (i4 != i2) {
                charAt = this.O0.charAt(i4);
                i4++;
                i3 = 1;
            }
            throw new NumberFormatException("Bad syntax for numeric value: " + this.O0.substring(i, i2));
        }
        if (charAt == '+') {
            if (i4 != i2) {
                charAt = this.O0.charAt(i4);
                i4++;
            }
            throw new NumberFormatException("Bad syntax for numeric value: " + this.O0.substring(i, i2));
        }
        i3 = 0;
        if (charAt == 8734) {
            if (z && i4 == i2) {
                b(i3 != 0 ? Double.NEGATIVE_INFINITY : Double.POSITIVE_INFINITY, i, i2 - i);
                return;
            }
            throw new NumberFormatException("Bad syntax for numeric value: " + this.O0.substring(i, i2));
        }
        while ('0' <= charAt && charAt <= '9' && (i5 = (i5 * 10) + (charAt - '0')) <= i3 + 32767) {
            if (i4 == i2) {
                Part.Type type = Part.Type.ARG_INT;
                int i6 = i2 - i;
                if (i3 != 0) {
                    i5 = -i5;
                }
                d(type, i, i6, i5);
                return;
            }
            char charAt2 = this.O0.charAt(i4);
            i4++;
            charAt = charAt2;
        }
        b(Double.parseDouble(this.O0.substring(i, i2)), i, i2 - i);
    }

    private int S(int i, int i2, int i3, ArgType argType) {
        int indexOf;
        if (i3 <= 32767) {
            int size = this.P0.size();
            d(Part.Type.MSG_START, i, i2, i3);
            int i4 = i + i2;
            while (i4 < this.O0.length()) {
                int i5 = i4 + 1;
                char charAt = this.O0.charAt(i4);
                if (charAt == '\'') {
                    if (i5 == this.O0.length()) {
                        d(Part.Type.INSERT_CHAR, i5, 0, 39);
                        this.T0 = true;
                    } else {
                        char charAt2 = this.O0.charAt(i5);
                        if (charAt2 == '\'') {
                            d(Part.Type.SKIP_SYNTAX, i5, 1, 0);
                            i4 = i5 + 1;
                        } else if (this.N0 == ApostropheMode.DOUBLE_REQUIRED || charAt2 == '{' || charAt2 == '}' || ((argType == ArgType.CHOICE && charAt2 == '|') || (argType.hasPluralStyle() && charAt2 == '#'))) {
                            d(Part.Type.SKIP_SYNTAX, i5 - 1, 1, 0);
                            while (true) {
                                indexOf = this.O0.indexOf(39, i5 + 1);
                                if (indexOf < 0) {
                                    i4 = this.O0.length();
                                    d(Part.Type.INSERT_CHAR, i4, 0, 39);
                                    this.T0 = true;
                                    break;
                                }
                                i5 = indexOf + 1;
                                if (i5 >= this.O0.length() || this.O0.charAt(i5) != '\'') {
                                    d(Part.Type.SKIP_SYNTAX, indexOf, 1, 0);
                                } else {
                                    d(Part.Type.SKIP_SYNTAX, i5, 1, 0);
                                }
                            }
                            d(Part.Type.SKIP_SYNTAX, indexOf, 1, 0);
                        } else {
                            d(Part.Type.INSERT_CHAR, i5, 0, 39);
                            this.T0 = true;
                        }
                    }
                } else if (argType.hasPluralStyle() && charAt == '#') {
                    d(Part.Type.REPLACE_NUMBER, i5 - 1, 1, 0);
                } else if (charAt == '{') {
                    i4 = L(i5 - 1, 1, i3);
                } else if ((i3 > 0 && charAt == '}') || (argType == ArgType.CHOICE && charAt == '|')) {
                    ArgType argType2 = ArgType.CHOICE;
                    int i6 = (argType == argType2 && charAt == '}') ? 0 : 1;
                    int i7 = i5 - 1;
                    c(size, Part.Type.MSG_LIMIT, i7, i6, i3);
                    return argType == argType2 ? i7 : i5;
                }
                i4 = i5;
            }
            if (i3 <= 0 || D(i3, argType)) {
                c(size, Part.Type.MSG_LIMIT, i4, 0, i3);
                return i4;
            }
            throw new IllegalArgumentException("Unmatched '{' braces in message " + a0());
        }
        throw new IndexOutOfBoundsException();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:60:0x01c4, code lost:
        if (r5 == C(r15)) goto L_0x01f6;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:61:0x01c6, code lost:
        if (r3 == false) goto L_0x01c9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:62:0x01c8, code lost:
        return r2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:64:0x01f5, code lost:
        throw new java.lang.IllegalArgumentException("Missing 'other' keyword in " + r13.toString().toLowerCase(java.util.Locale.ENGLISH) + " pattern in " + a0());
     */
    /* JADX WARNING: Code restructure failed: missing block: B:66:0x021e, code lost:
        throw new java.lang.IllegalArgumentException("Bad " + r13.toString().toLowerCase(java.util.Locale.ENGLISH) + " pattern syntax: " + b0(r14));
     */
    private int T(ArgType argType, int i, int i2) {
        int h0;
        int i3;
        int i4 = i;
        boolean z = false;
        boolean z2 = true;
        while (true) {
            h0 = h0(i4);
            boolean z3 = h0 == this.O0.length();
            if (!z3 && this.O0.charAt(h0) != '}') {
                if (!argType.hasPluralStyle() || this.O0.charAt(h0) != '=') {
                    i3 = g0(h0);
                    int i5 = i3 - h0;
                    if (i5 == 0) {
                        throw new IllegalArgumentException("Bad " + argType.toString().toLowerCase(Locale.ENGLISH) + " pattern syntax: " + b0(i));
                    } else if (!argType.hasPluralStyle() || i5 != 6 || i3 >= this.O0.length() || !this.O0.regionMatches(h0, "offset:", 0, 7)) {
                        if (i5 <= 65535) {
                            d(Part.Type.ARG_SELECTOR, h0, i5, 0);
                            if (this.O0.regionMatches(h0, PluralRules.KEYWORD_OTHER, 0, i5)) {
                                z = true;
                            }
                        } else {
                            throw new IndexOutOfBoundsException("Argument selector too long: " + b0(h0));
                        }
                    } else if (z2) {
                        int h02 = h0(i3 + 1);
                        int f0 = f0(h02);
                        if (f0 == h02) {
                            throw new IllegalArgumentException("Missing value for plural 'offset:' " + b0(i));
                        } else if (f0 - h02 <= 65535) {
                            R(h02, f0, false);
                            i4 = f0;
                            z2 = false;
                        } else {
                            throw new IndexOutOfBoundsException("Plural offset value too long: " + b0(h02));
                        }
                    } else {
                        throw new IllegalArgumentException("Plural argument 'offset:' (if present) must precede key-message pairs: " + b0(i));
                    }
                } else {
                    int i6 = h0 + 1;
                    i3 = f0(i6);
                    int i7 = i3 - h0;
                    if (i7 == 1) {
                        throw new IllegalArgumentException("Bad " + argType.toString().toLowerCase(Locale.ENGLISH) + " pattern syntax: " + b0(i));
                    } else if (i7 <= 65535) {
                        d(Part.Type.ARG_SELECTOR, h0, i7, 0);
                        R(i6, i3, false);
                    } else {
                        throw new IndexOutOfBoundsException("Argument selector too long: " + b0(h0));
                    }
                }
                int h03 = h0(i3);
                if (h03 == this.O0.length() || this.O0.charAt(h03) != '{') {
                } else {
                    i4 = S(h03, 1, i2 + 1, argType);
                    z2 = false;
                }
            }
        }
        throw new IllegalArgumentException("No message fragment after " + argType.toString().toLowerCase(Locale.ENGLISH) + " selector: " + b0(h0));
    }

    private int W(int i) {
        int i2 = i;
        int i3 = 0;
        while (i2 < this.O0.length()) {
            int i4 = i2 + 1;
            char charAt = this.O0.charAt(i2);
            if (charAt == '\'') {
                int indexOf = this.O0.indexOf(39, i4);
                if (indexOf >= 0) {
                    i2 = indexOf + 1;
                } else {
                    throw new IllegalArgumentException("Quoted literal argument style text reaches to the end of the message: " + b0(i));
                }
            } else {
                if (charAt == '{') {
                    i3++;
                } else if (charAt == '}') {
                    if (i3 > 0) {
                        i3--;
                    } else {
                        int i5 = i4 - 1;
                        int i6 = i5 - i;
                        if (i6 <= 65535) {
                            d(Part.Type.ARG_STYLE, i, i6, 0);
                            return i5;
                        }
                        throw new IndexOutOfBoundsException("Argument style text too long: " + b0(i));
                    }
                }
                i2 = i4;
            }
        }
        throw new IllegalArgumentException("Unmatched '{' braces in message " + a0());
    }

    private void Y() {
    }

    private void Z(String str) {
        if (!isFrozen()) {
            this.O0 = str;
            this.S0 = false;
            this.R0 = false;
            this.T0 = false;
            this.P0.clear();
            ArrayList<Double> arrayList = this.Q0;
            if (arrayList != null) {
                arrayList.clear();
                return;
            }
            return;
        }
        throw new UnsupportedOperationException("Attempt to parse(" + c0(str) + ") on frozen MessagePattern instance.");
    }

    private String a0() {
        return d0(this.O0, 0);
    }

    private void b(double d2, int i, int i2) {
        int i3;
        ArrayList<Double> arrayList = this.Q0;
        if (arrayList == null) {
            this.Q0 = new ArrayList<>();
            i3 = 0;
        } else {
            i3 = arrayList.size();
            if (i3 > 32767) {
                throw new IndexOutOfBoundsException("Too many numeric values");
            }
        }
        this.Q0.add(Double.valueOf(d2));
        d(Part.Type.ARG_DOUBLE, i, i2, i3);
    }

    private String b0(int i) {
        return d0(this.O0, i);
    }

    private void c(int i, Part.Type type, int i2, int i3, int i4) {
        this.P0.get(i).g = this.P0.size();
        d(type, i2, i3, i4);
    }

    private static String c0(String str) {
        return d0(str, 0);
    }

    private void d(Part.Type type, int i, int i2, int i3) {
        this.P0.add(new Part(type, i, i2, i3));
    }

    private static String d0(String str, int i) {
        StringBuilder sb = new StringBuilder(44);
        if (i == 0) {
            sb.append("\"");
        } else {
            sb.append("[at pattern index ");
            sb.append(i);
            sb.append("] \"");
        }
        if (str.length() - i <= 24) {
            if (i != 0) {
                str = str.substring(i);
            }
            sb.append(str);
        } else {
            int i2 = (i + 24) - 4;
            if (Character.isHighSurrogate(str.charAt(i2 - 1))) {
                i2--;
            }
            sb.append((CharSequence) str, i, i2);
            sb.append(" ...");
        }
        sb.append("\"");
        return sb.toString();
    }

    static void e(String str, int i, int i2, StringBuilder sb) {
        loop0:
        while (true) {
            int i3 = -1;
            while (true) {
                int indexOf = str.indexOf(39, i);
                if (indexOf < 0 || indexOf >= i2) {
                    sb.append((CharSequence) str, i, i2);
                } else if (indexOf == i3) {
                    break;
                } else {
                    sb.append((CharSequence) str, i, indexOf);
                    i = indexOf + 1;
                    i3 = i;
                }
            }
            sb.append(z0.f14782a);
            i++;
        }
        sb.append((CharSequence) str, i, i2);
    }

    private int f0(int i) {
        while (i < this.O0.length() && (((r0 = this.O0.charAt(i)) >= '0' || "+-.".indexOf(r0) >= 0) && (r0 <= '9' || r0 == 'e' || r0 == 'E' || r0 == 8734))) {
            i++;
        }
        return i;
    }

    private int g0(int i) {
        return y0.f(this.O0, i);
    }

    private int h0(int i) {
        return y0.g(this.O0, i);
    }

    public static int i0(String str) {
        if (!y0.a(str)) {
            return -2;
        }
        return N(str, 0, str.length());
    }

    public boolean A() {
        return this.R0;
    }

    public boolean B() {
        return this.S0;
    }

    /* access modifiers changed from: package-private */
    public boolean J() {
        return this.N0 == ApostropheMode.DOUBLE_REQUIRED;
    }

    public MessagePattern K(String str) {
        Z(str);
        S(0, 0, 0, ArgType.NONE);
        Y();
        return this;
    }

    public MessagePattern P(String str) {
        Z(str);
        O(0, 0);
        Y();
        return this;
    }

    public MessagePattern U(String str) {
        Z(str);
        T(ArgType.PLURAL, 0, 0);
        Y();
        return this;
    }

    public MessagePattern V(String str) {
        Z(str);
        T(ArgType.SELECT, 0, 0);
        Y();
        return this;
    }

    public boolean X(Part part, String str) {
        return part.f15276e == str.length() && this.O0.regionMatches(part.f15275d, str, 0, part.f15276e);
    }

    @Override // java.lang.Object
    public Object clone() {
        if (isFrozen()) {
            return this;
        }
        return cloneAsThawed();
    }

    public boolean equals(Object obj) {
        String str;
        if (this == obj) {
            return true;
        }
        if (obj == null || MessagePattern.class != obj.getClass()) {
            return false;
        }
        MessagePattern messagePattern = (MessagePattern) obj;
        if (!this.N0.equals(messagePattern.N0) || ((str = this.O0) != null ? !str.equals(messagePattern.O0) : messagePattern.O0 != null) || !this.P0.equals(messagePattern.P0)) {
            return false;
        }
        return true;
    }

    public String f() {
        if (!this.T0) {
            return this.O0;
        }
        StringBuilder sb = null;
        int p = p();
        while (p > 0) {
            p--;
            Part u = u(p);
            if (u.l() == Part.Type.INSERT_CHAR) {
                if (sb == null) {
                    sb = new StringBuilder(this.O0.length() + 10);
                    sb.append(this.O0);
                }
                sb.insert(u.f15275d, (char) u.f);
            }
        }
        if (sb == null) {
            return this.O0;
        }
        return sb.toString();
    }

    public void h() {
        if (!isFrozen()) {
            this.O0 = null;
            this.S0 = false;
            this.R0 = false;
            this.T0 = false;
            this.P0.clear();
            ArrayList<Double> arrayList = this.Q0;
            if (arrayList != null) {
                arrayList.clear();
                return;
            }
            return;
        }
        throw new UnsupportedOperationException("Attempt to clear() a frozen MessagePattern instance.");
    }

    public int hashCode() {
        int hashCode = this.N0.hashCode() * 37;
        String str = this.O0;
        return ((hashCode + (str != null ? str.hashCode() : 0)) * 37) + this.P0.hashCode();
    }

    @Override // com.ibm.icu.util.n
    public boolean isFrozen() {
        return this.U0;
    }

    public void m(ApostropheMode apostropheMode) {
        h();
        this.N0 = apostropheMode;
    }

    /* renamed from: n */
    public MessagePattern cloneAsThawed() {
        try {
            MessagePattern messagePattern = (MessagePattern) super.clone();
            messagePattern.P0 = (ArrayList) this.P0.clone();
            ArrayList<Double> arrayList = this.Q0;
            if (arrayList != null) {
                messagePattern.Q0 = (ArrayList) arrayList.clone();
            }
            messagePattern.U0 = false;
            return messagePattern;
        } catch (CloneNotSupportedException e2) {
            throw new ICUCloneNotSupportedException(e2);
        }
    }

    public int p() {
        return this.P0.size();
    }

    /* renamed from: q */
    public MessagePattern freeze() {
        this.U0 = true;
        return this;
    }

    public ApostropheMode r() {
        return this.N0;
    }

    public int s(int i) {
        int i2 = this.P0.get(i).g;
        return i2 < i ? i : i2;
    }

    public double t(Part part) {
        Part.Type type = part.f15274c;
        if (type == Part.Type.ARG_INT) {
            return (double) part.f;
        }
        if (type == Part.Type.ARG_DOUBLE) {
            return this.Q0.get(part.f).doubleValue();
        }
        return -1.23456789E8d;
    }

    public String toString() {
        return this.O0;
    }

    public Part u(int i) {
        return this.P0.get(i);
    }

    public Part.Type v(int i) {
        return this.P0.get(i).f15274c;
    }

    public int w(int i) {
        return this.P0.get(i).f15275d;
    }

    public String x() {
        return this.O0;
    }

    public double y(int i) {
        Part part = this.P0.get(i);
        if (part.f15274c.hasNumericValue()) {
            return t(part);
        }
        return 0.0d;
    }

    public String z(Part part) {
        int i = part.f15275d;
        return this.O0.substring(i, part.f15276e + i);
    }

    public MessagePattern(ApostropheMode apostropheMode) {
        this.P0 = new ArrayList<>();
        this.N0 = apostropheMode;
    }

    public MessagePattern(String str) {
        this.P0 = new ArrayList<>();
        this.N0 = K0;
        K(str);
    }
}
