package com.ibm.icu.text;

import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.StandardPlural;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.l1;
import com.ibm.icu.impl.l2;
import com.ibm.icu.impl.m1;
import com.ibm.icu.impl.number.j;
import com.ibm.icu.impl.q2;
import com.ibm.icu.impl.r;
import com.ibm.icu.impl.t;
import com.ibm.icu.text.DisplayContext;
import com.ibm.icu.util.Calendar;
import com.ibm.icu.util.ICUException;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.h0;
import java.io.InvalidObjectException;
import java.lang.reflect.Array;
import java.text.AttributedCharacterIterator;
import java.text.Format;
import java.util.EnumMap;
import java.util.Locale;

public final class RelativeDateTimeFormatter {

    /* renamed from: a  reason: collision with root package name */
    private static final Style[] f15339a = new Style[3];

    /* renamed from: b  reason: collision with root package name */
    private static final b f15340b = new b(null);

    /* renamed from: c  reason: collision with root package name */
    private int[] f15341c = {1, 3, 2};

    /* renamed from: d  reason: collision with root package name */
    private final EnumMap<Style, EnumMap<AbsoluteUnit, EnumMap<Direction, String>>> f15342d;

    /* renamed from: e  reason: collision with root package name */
    private final EnumMap<Style, EnumMap<RelativeUnit, String[][]>> f15343e;
    private final String f;
    private final PluralRules g;
    private final NumberFormat h;
    private final Style i;
    private final DisplayContext j;
    private final i k;
    private final ULocale l;
    private final DateFormatSymbols m;

    public enum AbsoluteUnit {
        SUNDAY,
        MONDAY,
        TUESDAY,
        WEDNESDAY,
        THURSDAY,
        FRIDAY,
        SATURDAY,
        DAY,
        WEEK,
        MONTH,
        YEAR,
        NOW,
        QUARTER,
        HOUR,
        MINUTE
    }

    public enum Direction {
        LAST_2,
        LAST,
        THIS,
        NEXT,
        NEXT_2,
        PLAIN
    }

    public static class Field extends Format.Field {
        public static final Field LITERAL = new Field("literal");
        public static final Field NUMERIC = new Field("numeric");
        private static final long serialVersionUID = -5327685528663492325L;

        private Field(String str) {
            super(str);
        }

        /* access modifiers changed from: protected */
        @Override // java.text.AttributedCharacterIterator.Attribute
        @Deprecated
        public Object readResolve() throws InvalidObjectException {
            String name = getName();
            Field field = LITERAL;
            if (name.equals(field.getName())) {
                return field;
            }
            String name2 = getName();
            Field field2 = NUMERIC;
            if (name2.equals(field2.getName())) {
                return field2;
            }
            throw new InvalidObjectException("An invalid object.");
        }
    }

    public enum RelativeDateTimeUnit {
        YEAR,
        QUARTER,
        MONTH,
        WEEK,
        DAY,
        HOUR,
        MINUTE,
        SECOND,
        SUNDAY,
        MONDAY,
        TUESDAY,
        WEDNESDAY,
        THURSDAY,
        FRIDAY,
        SATURDAY
    }

    public enum RelativeUnit {
        SECONDS,
        MINUTES,
        HOURS,
        DAYS,
        WEEKS,
        MONTHS,
        YEARS,
        QUARTERS
    }

    public enum Style {
        LONG,
        SHORT,
        NARROW;
        

        /* renamed from: a  reason: collision with root package name */
        private static final int f15348a = 3;
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class a {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f15350a;

        /* renamed from: b  reason: collision with root package name */
        static final /* synthetic */ int[] f15351b;

        /* JADX WARNING: Can't wrap try/catch for region: R(36:0|(2:1|2)|3|(2:5|6)|7|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|31|32|33|34|35|36|37|38|40) */
        /* JADX WARNING: Can't wrap try/catch for region: R(37:0|(2:1|2)|3|5|6|7|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|31|32|33|34|35|36|37|38|40) */
        /* JADX WARNING: Can't wrap try/catch for region: R(38:0|1|2|3|5|6|7|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|31|32|33|34|35|36|37|38|40) */
        /* JADX WARNING: Code restructure failed: missing block: B:41:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x002e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0038 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0043 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x004e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x0059 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:21:0x0064 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:23:0x006f */
        /* JADX WARNING: Missing exception handler attribute for start block: B:25:0x007b */
        /* JADX WARNING: Missing exception handler attribute for start block: B:27:0x0087 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:29:0x0093 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:31:0x009f */
        /* JADX WARNING: Missing exception handler attribute for start block: B:33:0x00ab */
        /* JADX WARNING: Missing exception handler attribute for start block: B:35:0x00b7 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:37:0x00c3 */
        static {
            int[] iArr = new int[Style.values().length];
            f15351b = iArr;
            try {
                iArr[Style.SHORT.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                f15351b[Style.NARROW.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            int[] iArr2 = new int[RelativeDateTimeUnit.values().length];
            f15350a = iArr2;
            iArr2[RelativeDateTimeUnit.YEAR.ordinal()] = 1;
            f15350a[RelativeDateTimeUnit.QUARTER.ordinal()] = 2;
            f15350a[RelativeDateTimeUnit.MONTH.ordinal()] = 3;
            f15350a[RelativeDateTimeUnit.WEEK.ordinal()] = 4;
            f15350a[RelativeDateTimeUnit.DAY.ordinal()] = 5;
            f15350a[RelativeDateTimeUnit.HOUR.ordinal()] = 6;
            f15350a[RelativeDateTimeUnit.MINUTE.ordinal()] = 7;
            f15350a[RelativeDateTimeUnit.SECOND.ordinal()] = 8;
            f15350a[RelativeDateTimeUnit.SUNDAY.ordinal()] = 9;
            f15350a[RelativeDateTimeUnit.MONDAY.ordinal()] = 10;
            f15350a[RelativeDateTimeUnit.TUESDAY.ordinal()] = 11;
            f15350a[RelativeDateTimeUnit.WEDNESDAY.ordinal()] = 12;
            f15350a[RelativeDateTimeUnit.THURSDAY.ordinal()] = 13;
            f15350a[RelativeDateTimeUnit.FRIDAY.ordinal()] = 14;
            f15350a[RelativeDateTimeUnit.SATURDAY.ordinal()] = 15;
        }
    }

    public static class c implements k0 {

        /* renamed from: a  reason: collision with root package name */
        private final r f15354a;

        /* synthetic */ c(r rVar, a aVar) {
            this(rVar);
        }

        @Override // com.ibm.icu.text.k0
        public boolean a(c0 c0Var) {
            return t.g(this.f15354a, c0Var, Field.NUMERIC);
        }

        @Override // com.ibm.icu.text.k0
        public <A extends Appendable> A b(A a2) {
            return (A) q2.k(this.f15354a, a2);
        }

        public char charAt(int i) {
            return this.f15354a.charAt(i);
        }

        @Override // com.ibm.icu.text.k0
        public AttributedCharacterIterator h() {
            return t.h(this.f15354a, Field.NUMERIC);
        }

        public int length() {
            return this.f15354a.length();
        }

        public CharSequence subSequence(int i, int i2) {
            return this.f15354a.F(i, i2);
        }

        @Override // com.ibm.icu.text.k0
        public String toString() {
            return this.f15354a.toString();
        }

        private c(r rVar) {
            this.f15354a = rVar;
        }
    }

    /* access modifiers changed from: private */
    public static class d {

        /* renamed from: a  reason: collision with root package name */
        private final ULocale f15355a;

        public d(ULocale uLocale) {
            this.f15355a = uLocale;
        }

        private String a() {
            return Calendar.getDateAtTimePattern(Calendar.getInstance(this.f15355a), this.f15355a, 2);
        }

        public f b() {
            Style style;
            e eVar = new e();
            ((ICUResourceBundle) h0.j(a0.f13490d, this.f15355a)).s0("fields", eVar);
            for (Style style2 : Style.values()) {
                Style style3 = RelativeDateTimeFormatter.f15339a[style2.ordinal()];
                if (style3 != null && (style = RelativeDateTimeFormatter.f15339a[style3.ordinal()]) != null && RelativeDateTimeFormatter.f15339a[style.ordinal()] != null) {
                    throw new IllegalStateException("Style fallback too deep");
                }
            }
            return new f(eVar.f15356a, eVar.f15357b, a());
        }
    }

    /* access modifiers changed from: private */
    public static final class e extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        EnumMap<Style, EnumMap<AbsoluteUnit, EnumMap<Direction, String>>> f15356a = new EnumMap<>(Style.class);

        /* renamed from: b  reason: collision with root package name */
        EnumMap<Style, EnumMap<RelativeUnit, String[][]>> f15357b = new EnumMap<>(Style.class);

        /* renamed from: c  reason: collision with root package name */
        StringBuilder f15358c = new StringBuilder();

        /* renamed from: d  reason: collision with root package name */
        int f15359d;

        /* renamed from: e  reason: collision with root package name */
        Style f15360e;
        a f;

        /* access modifiers changed from: private */
        public enum a {
            SECOND(RelativeUnit.SECONDS, null),
            MINUTE(RelativeUnit.MINUTES, AbsoluteUnit.MINUTE),
            HOUR(RelativeUnit.HOURS, AbsoluteUnit.HOUR),
            DAY(RelativeUnit.DAYS, AbsoluteUnit.DAY),
            WEEK(RelativeUnit.WEEKS, AbsoluteUnit.WEEK),
            MONTH(RelativeUnit.MONTHS, AbsoluteUnit.MONTH),
            QUARTER(RelativeUnit.QUARTERS, AbsoluteUnit.QUARTER),
            YEAR(RelativeUnit.YEARS, AbsoluteUnit.YEAR),
            SUNDAY(null, AbsoluteUnit.SUNDAY),
            MONDAY(null, AbsoluteUnit.MONDAY),
            TUESDAY(null, AbsoluteUnit.TUESDAY),
            WEDNESDAY(null, AbsoluteUnit.WEDNESDAY),
            THURSDAY(null, AbsoluteUnit.THURSDAY),
            FRIDAY(null, AbsoluteUnit.FRIDAY),
            SATURDAY(null, AbsoluteUnit.SATURDAY);
            
            AbsoluteUnit absUnit;
            RelativeUnit relUnit;

            private a(RelativeUnit relativeUnit, AbsoluteUnit absoluteUnit) {
                this.relUnit = relativeUnit;
                this.absUnit = absoluteUnit;
            }

            /* access modifiers changed from: private */
            public static final a b(CharSequence charSequence) {
                int length = charSequence.length();
                if (length != 3) {
                    if (length != 4) {
                        if (length != 5) {
                            if (length != 6) {
                                if (length == 7 && "quarter".contentEquals(charSequence)) {
                                    return QUARTER;
                                }
                                return null;
                            } else if ("minute".contentEquals(charSequence)) {
                                return MINUTE;
                            } else {
                                if ("second".contentEquals(charSequence)) {
                                    return SECOND;
                                }
                                return null;
                            }
                        } else if ("month".contentEquals(charSequence)) {
                            return MONTH;
                        } else {
                            return null;
                        }
                    } else if ("hour".contentEquals(charSequence)) {
                        return HOUR;
                    } else {
                        if ("week".contentEquals(charSequence)) {
                            return WEEK;
                        }
                        if ("year".contentEquals(charSequence)) {
                            return YEAR;
                        }
                        return null;
                    }
                } else if ("day".contentEquals(charSequence)) {
                    return DAY;
                } else {
                    if ("sun".contentEquals(charSequence)) {
                        return SUNDAY;
                    }
                    if ("mon".contentEquals(charSequence)) {
                        return MONDAY;
                    }
                    if ("tue".contentEquals(charSequence)) {
                        return TUESDAY;
                    }
                    if ("wed".contentEquals(charSequence)) {
                        return WEDNESDAY;
                    }
                    if ("thu".contentEquals(charSequence)) {
                        return THURSDAY;
                    }
                    if ("fri".contentEquals(charSequence)) {
                        return FRIDAY;
                    }
                    if ("sat".contentEquals(charSequence)) {
                        return SATURDAY;
                    }
                    return null;
                }
            }
        }

        e() {
        }

        private void f(l2.b bVar, l2.e eVar, boolean z) {
            Style i = i(bVar);
            if (a.b(bVar.E(0, bVar.length() - j(i))) != null) {
                Style h = h(eVar);
                if (i == h) {
                    throw new ICUException("Invalid style fallback from " + i + " to itself");
                } else if (RelativeDateTimeFormatter.f15339a[i.ordinal()] == null) {
                    RelativeDateTimeFormatter.f15339a[i.ordinal()] = h;
                } else if (RelativeDateTimeFormatter.f15339a[i.ordinal()] != h) {
                    throw new ICUException("Inconsistent style fallback for style " + i + " to " + h);
                }
            }
        }

        private void g(l2.b bVar, l2.e eVar) {
            AbsoluteUnit absoluteUnit = this.f.absUnit;
            if (absoluteUnit != null) {
                EnumMap<AbsoluteUnit, EnumMap<Direction, String>> enumMap = this.f15356a.get(this.f15360e);
                if (enumMap == null) {
                    enumMap = new EnumMap<>(AbsoluteUnit.class);
                    this.f15356a.put(this.f15360e, enumMap);
                }
                EnumMap<Direction, String> enumMap2 = enumMap.get(absoluteUnit);
                if (enumMap2 == null) {
                    enumMap2 = new EnumMap<>(Direction.class);
                    enumMap.put(absoluteUnit, enumMap2);
                }
                Direction direction = Direction.PLAIN;
                if (enumMap2.get(direction) == null) {
                    enumMap2.put(direction, eVar.toString());
                }
            }
        }

        private Style h(l2.e eVar) {
            String a2 = eVar.a();
            if (a2.endsWith("-short")) {
                return Style.SHORT;
            }
            if (a2.endsWith("-narrow")) {
                return Style.NARROW;
            }
            return Style.LONG;
        }

        private Style i(l2.b bVar) {
            if (bVar.s("-short")) {
                return Style.SHORT;
            }
            if (bVar.s("-narrow")) {
                return Style.NARROW;
            }
            return Style.LONG;
        }

        private static int j(Style style) {
            int i = a.f15351b[style.ordinal()];
            if (i != 1) {
                return i != 2 ? 0 : 7;
            }
            return 6;
        }

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            if (eVar.k() != 3) {
                l2.d j = eVar.j();
                for (int i = 0; j.d(i, bVar, eVar); i++) {
                    if (eVar.k() == 3) {
                        f(bVar, eVar, z);
                    } else {
                        this.f15360e = i(bVar);
                        a b2 = a.b(bVar.E(0, bVar.length() - j(this.f15360e)));
                        this.f = b2;
                        if (b2 != null) {
                            e(bVar, eVar);
                        }
                    }
                }
            }
        }

        public void b(l2.b bVar, l2.e eVar) {
            AbsoluteUnit absoluteUnit;
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                if (eVar.k() == 0) {
                    String f2 = eVar.f();
                    EnumMap<AbsoluteUnit, EnumMap<Direction, String>> enumMap = this.f15356a.get(this.f15360e);
                    if (this.f.relUnit != RelativeUnit.SECONDS || !bVar.r("0")) {
                        Direction D = RelativeDateTimeFormatter.D(bVar);
                        if (!(D == null || (absoluteUnit = this.f.absUnit) == null)) {
                            if (enumMap == null) {
                                enumMap = new EnumMap<>(AbsoluteUnit.class);
                                this.f15356a.put(this.f15360e, enumMap);
                            }
                            EnumMap<Direction, String> enumMap2 = enumMap.get(absoluteUnit);
                            if (enumMap2 == null) {
                                enumMap2 = new EnumMap<>(Direction.class);
                                enumMap.put(absoluteUnit, enumMap2);
                            }
                            if (enumMap2.get(D) == null) {
                                enumMap2.put(D, eVar.f());
                            }
                        }
                    } else {
                        AbsoluteUnit absoluteUnit2 = AbsoluteUnit.NOW;
                        EnumMap<Direction, String> enumMap3 = enumMap.get(absoluteUnit2);
                        if (enumMap3 == null) {
                            enumMap3 = new EnumMap<>(Direction.class);
                            enumMap.put(absoluteUnit2, enumMap3);
                        }
                        Direction direction = Direction.PLAIN;
                        if (enumMap3.get(direction) == null) {
                            enumMap3.put(direction, f2);
                        }
                    }
                }
            }
        }

        public void c(l2.b bVar, l2.e eVar) {
            if (this.f.relUnit != null) {
                l2.d j = eVar.j();
                for (int i = 0; j.d(i, bVar, eVar); i++) {
                    if (bVar.r("past")) {
                        this.f15359d = 0;
                    } else if (bVar.r("future")) {
                        this.f15359d = 1;
                    }
                    d(bVar, eVar);
                }
            }
        }

        public void d(l2.b bVar, l2.e eVar) {
            l2.d j = eVar.j();
            EnumMap<RelativeUnit, String[][]> enumMap = this.f15357b.get(this.f15360e);
            if (enumMap == null) {
                enumMap = new EnumMap<>(RelativeUnit.class);
                this.f15357b.put(this.f15360e, enumMap);
            }
            String[][] strArr = enumMap.get(this.f.relUnit);
            if (strArr == null) {
                int[] iArr = new int[2];
                iArr[1] = StandardPlural.COUNT;
                iArr[0] = 2;
                strArr = (String[][]) Array.newInstance(String.class, iArr);
                enumMap.put(this.f.relUnit, strArr);
            }
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                if (eVar.k() == 0) {
                    int indexFromString = StandardPlural.indexFromString(bVar.toString());
                    int i2 = this.f15359d;
                    if (strArr[i2][indexFromString] == null) {
                        strArr[i2][indexFromString] = l1.a(eVar.f(), this.f15358c, 0, 1);
                    }
                }
            }
        }

        public void e(l2.b bVar, l2.e eVar) {
            l2.d j = eVar.j();
            for (int i = 0; j.d(i, bVar, eVar); i++) {
                if (bVar.r("dn") && eVar.k() == 0) {
                    g(bVar, eVar);
                }
                if (eVar.k() == 2) {
                    if (bVar.r("relative")) {
                        b(bVar, eVar);
                    } else if (bVar.r("relativeTime")) {
                        c(bVar, eVar);
                    }
                }
            }
        }
    }

    /* access modifiers changed from: private */
    public static class f {

        /* renamed from: a  reason: collision with root package name */
        public final EnumMap<Style, EnumMap<AbsoluteUnit, EnumMap<Direction, String>>> f15363a;

        /* renamed from: b  reason: collision with root package name */
        EnumMap<Style, EnumMap<RelativeUnit, String[][]>> f15364b;

        /* renamed from: c  reason: collision with root package name */
        public final String f15365c;

        public f(EnumMap<Style, EnumMap<AbsoluteUnit, EnumMap<Direction, String>>> enumMap, EnumMap<Style, EnumMap<RelativeUnit, String[][]>> enumMap2, String str) {
            this.f15363a = enumMap;
            this.f15364b = enumMap2;
            this.f15365c = str;
        }
    }

    private RelativeDateTimeFormatter(EnumMap<Style, EnumMap<AbsoluteUnit, EnumMap<Direction, String>>> enumMap, EnumMap<Style, EnumMap<RelativeUnit, String[][]>> enumMap2, String str, PluralRules pluralRules, NumberFormat numberFormat, Style style, DisplayContext displayContext, i iVar, ULocale uLocale) {
        this.f15342d = enumMap;
        this.f15343e = enumMap2;
        this.f = str;
        this.g = pluralRules;
        this.h = numberFormat;
        this.i = style;
        if (displayContext.type() == DisplayContext.Type.CAPITALIZATION) {
            this.j = displayContext;
            this.k = iVar;
            this.l = uLocale;
            this.m = new DateFormatSymbols(uLocale);
            return;
        }
        throw new IllegalArgumentException(displayContext.toString());
    }

    private String B(Style style, RelativeUnit relativeUnit, int i2, StandardPlural standardPlural) {
        String[][] strArr;
        int ordinal = standardPlural.ordinal();
        do {
            EnumMap<RelativeUnit, String[][]> enumMap = this.f15343e.get(style);
            if (enumMap != null && (strArr = enumMap.get(relativeUnit)) != null && strArr[i2][ordinal] != null) {
                return strArr[i2][ordinal];
            }
            style = f15339a[style.ordinal()];
        } while (style != null);
        return null;
    }

    private String C(Style style, RelativeUnit relativeUnit, int i2, StandardPlural standardPlural) {
        String B;
        StandardPlural standardPlural2 = StandardPlural.OTHER;
        if (standardPlural == standardPlural2 || (B = B(style, relativeUnit, i2, standardPlural)) == null) {
            return B(style, relativeUnit, i2, standardPlural2);
        }
        return B;
    }

    /* access modifiers changed from: private */
    public static Direction D(l2.b bVar) {
        if (bVar.r("-2")) {
            return Direction.LAST_2;
        }
        if (bVar.r("-1")) {
            return Direction.LAST;
        }
        if (bVar.r("0")) {
            return Direction.THIS;
        }
        if (bVar.r("1")) {
            return Direction.NEXT;
        }
        if (bVar.r("2")) {
            return Direction.NEXT_2;
        }
        return null;
    }

    private String c(String str) {
        String Z0;
        if (this.k == null || str.length() == 0 || !com.ibm.icu.lang.c.v0(com.ibm.icu.lang.c.b(str, 0))) {
            return str;
        }
        synchronized (this.k) {
            Z0 = com.ibm.icu.lang.c.Z0(this.l, str, this.k, 768);
        }
        return Z0;
    }

    private void d() {
        if (this.k != null) {
            throw new UnsupportedOperationException("Capitalization context is not supported in formatV");
        }
    }

    private String i(Direction direction, AbsoluteUnit absoluteUnit) {
        if (absoluteUnit != AbsoluteUnit.NOW || direction == Direction.PLAIN) {
            if (direction == Direction.PLAIN) {
                AbsoluteUnit absoluteUnit2 = AbsoluteUnit.SUNDAY;
                if (absoluteUnit2.ordinal() <= absoluteUnit.ordinal() && absoluteUnit.ordinal() <= AbsoluteUnit.SATURDAY.ordinal()) {
                    return this.m.getWeekdays(1, this.f15341c[this.i.ordinal()])[(absoluteUnit.ordinal() - absoluteUnit2.ordinal()) + 1];
                }
            }
            return r(this.i, absoluteUnit, direction);
        }
        throw new IllegalArgumentException("NOW can only accept direction PLAIN.");
    }

    private r j(double d2, Direction direction, RelativeUnit relativeUnit) {
        String str;
        if (direction == Direction.LAST || direction == Direction.NEXT) {
            int i2 = direction == Direction.NEXT ? 1 : 0;
            r rVar = new r();
            NumberFormat numberFormat = this.h;
            if (numberFormat instanceof DecimalFormat) {
                j jVar = new j(d2);
                ((DecimalFormat) this.h).toNumberFormatter().D(jVar, rVar);
                str = this.g.select(jVar);
            } else {
                rVar.d(numberFormat.format(d2), null);
                str = this.g.select(d2);
            }
            l1.f(C(this.i, relativeUnit, i2, StandardPlural.orOtherFromString(str)), Field.LITERAL, 0, rVar.length(), rVar);
            return rVar;
        }
        throw new IllegalArgumentException("direction must be NEXT or LAST");
    }

    private r l(double d2, RelativeDateTimeUnit relativeDateTimeUnit) {
        RelativeUnit relativeUnit = RelativeUnit.SECONDS;
        switch (a.f15350a[relativeDateTimeUnit.ordinal()]) {
            case 1:
                relativeUnit = RelativeUnit.YEARS;
                break;
            case 2:
                relativeUnit = RelativeUnit.QUARTERS;
                break;
            case 3:
                relativeUnit = RelativeUnit.MONTHS;
                break;
            case 4:
                relativeUnit = RelativeUnit.WEEKS;
                break;
            case 5:
                relativeUnit = RelativeUnit.DAYS;
                break;
            case 6:
                relativeUnit = RelativeUnit.HOURS;
                break;
            case 7:
                relativeUnit = RelativeUnit.MINUTES;
                break;
            case 8:
                break;
            default:
                throw new UnsupportedOperationException("formatNumeric does not currently support RelativeUnit.SUNDAY..SATURDAY");
        }
        Direction direction = Direction.NEXT;
        if (Double.compare(d2, 0.0d) < 0) {
            direction = Direction.LAST;
            d2 = -d2;
        }
        return j(d2, direction, relativeUnit);
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x0057  */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x005a  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x005d  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0060  */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x0063  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0066  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x0069  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x006c  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0071  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0074  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x0077  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x007a  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x007d  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x0080  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x0083  */
    private CharSequence n(double d2, RelativeDateTimeUnit relativeDateTimeUnit) {
        Direction direction;
        String i2;
        Direction direction2 = Direction.THIS;
        boolean z = true;
        boolean z2 = false;
        if (d2 > -2.1d && d2 < 2.1d) {
            double d3 = 100.0d * d2;
            int i3 = (int) (d3 < 0.0d ? d3 - 0.5d : d3 + 0.5d);
            if (i3 == -200) {
                direction = Direction.LAST_2;
            } else if (i3 == -100) {
                direction = Direction.LAST;
            } else if (i3 == 0) {
                direction = direction2;
            } else if (i3 == 100) {
                direction = Direction.NEXT;
            } else if (i3 == 200) {
                direction = Direction.NEXT_2;
            }
            AbsoluteUnit absoluteUnit = AbsoluteUnit.NOW;
            switch (a.f15350a[relativeDateTimeUnit.ordinal()]) {
                case 1:
                    absoluteUnit = AbsoluteUnit.YEAR;
                    z = z2;
                    break;
                case 2:
                    absoluteUnit = AbsoluteUnit.QUARTER;
                    z = z2;
                    break;
                case 3:
                    absoluteUnit = AbsoluteUnit.MONTH;
                    z = z2;
                    break;
                case 4:
                    absoluteUnit = AbsoluteUnit.WEEK;
                    z = z2;
                    break;
                case 5:
                    absoluteUnit = AbsoluteUnit.DAY;
                    z = z2;
                    break;
                case 6:
                    absoluteUnit = AbsoluteUnit.HOUR;
                    z = z2;
                    break;
                case 7:
                    absoluteUnit = AbsoluteUnit.MINUTE;
                    z = z2;
                    break;
                case 8:
                    if (direction == direction2) {
                        direction = Direction.PLAIN;
                        z = z2;
                        break;
                    }
                    break;
                case 9:
                    absoluteUnit = AbsoluteUnit.SUNDAY;
                    z = z2;
                    break;
                case 10:
                    absoluteUnit = AbsoluteUnit.MONDAY;
                    z = z2;
                    break;
                case 11:
                    absoluteUnit = AbsoluteUnit.TUESDAY;
                    z = z2;
                    break;
                case 12:
                    absoluteUnit = AbsoluteUnit.WEDNESDAY;
                    z = z2;
                    break;
                case 13:
                    absoluteUnit = AbsoluteUnit.THURSDAY;
                    z = z2;
                    break;
                case 14:
                    absoluteUnit = AbsoluteUnit.FRIDAY;
                    z = z2;
                    break;
                case 15:
                    absoluteUnit = AbsoluteUnit.SATURDAY;
                    z = z2;
                    break;
            }
            if (!z || (i2 = i(direction, absoluteUnit)) == null || i2.length() <= 0) {
                return l(d2, relativeDateTimeUnit);
            }
            return i2;
        }
        direction = direction2;
        z2 = true;
        AbsoluteUnit absoluteUnit2 = AbsoluteUnit.NOW;
        switch (a.f15350a[relativeDateTimeUnit.ordinal()]) {
        }
        if (!z) {
        }
        return l(d2, relativeDateTimeUnit);
    }

    private String r(Style style, AbsoluteUnit absoluteUnit, Direction direction) {
        EnumMap<Direction, String> enumMap;
        String str;
        do {
            EnumMap<AbsoluteUnit, EnumMap<Direction, String>> enumMap2 = this.f15342d.get(style);
            if (enumMap2 != null && (enumMap = enumMap2.get(absoluteUnit)) != null && (str = enumMap.get(direction)) != null) {
                return str;
            }
            style = f15339a[style.ordinal()];
        } while (style != null);
        return null;
    }

    public static RelativeDateTimeFormatter u() {
        return x(ULocale.getDefault(), null, Style.LONG, DisplayContext.CAPITALIZATION_NONE);
    }

    public static RelativeDateTimeFormatter v(ULocale uLocale) {
        return x(uLocale, null, Style.LONG, DisplayContext.CAPITALIZATION_NONE);
    }

    public static RelativeDateTimeFormatter w(ULocale uLocale, NumberFormat numberFormat) {
        return x(uLocale, numberFormat, Style.LONG, DisplayContext.CAPITALIZATION_NONE);
    }

    public static RelativeDateTimeFormatter x(ULocale uLocale, NumberFormat numberFormat, Style style, DisplayContext displayContext) {
        NumberFormat numberFormat2;
        f a2 = f15340b.a(uLocale);
        if (numberFormat == null) {
            numberFormat2 = NumberFormat.getInstance(uLocale);
        } else {
            numberFormat2 = (NumberFormat) numberFormat.clone();
        }
        return new RelativeDateTimeFormatter(a2.f15363a, a2.f15364b, l1.a(a2.f15365c, new StringBuilder(), 2, 2), PluralRules.forLocale(uLocale), numberFormat2, style, displayContext, displayContext == DisplayContext.CAPITALIZATION_FOR_BEGINNING_OF_SENTENCE ? i.w(uLocale) : null, uLocale);
    }

    public static RelativeDateTimeFormatter y(Locale locale) {
        return v(ULocale.forLocale(locale));
    }

    public static RelativeDateTimeFormatter z(Locale locale, NumberFormat numberFormat) {
        return w(ULocale.forLocale(locale), numberFormat);
    }

    public NumberFormat A() {
        NumberFormat numberFormat;
        synchronized (this.h) {
            numberFormat = (NumberFormat) this.h.clone();
        }
        return numberFormat;
    }

    public String e(String str, String str2) {
        return l1.e(this.f, str2, str);
    }

    public String f(double d2, Direction direction, RelativeUnit relativeUnit) {
        return c(j(d2, direction, relativeUnit).toString());
    }

    public String g(double d2, RelativeDateTimeUnit relativeDateTimeUnit) {
        return c(n(d2, relativeDateTimeUnit).toString());
    }

    public String h(Direction direction, AbsoluteUnit absoluteUnit) {
        String i2 = i(direction, absoluteUnit);
        if (i2 != null) {
            return c(i2);
        }
        return null;
    }

    public String k(double d2, RelativeDateTimeUnit relativeDateTimeUnit) {
        return c(l(d2, relativeDateTimeUnit).toString());
    }

    public c m(double d2, RelativeDateTimeUnit relativeDateTimeUnit) {
        d();
        return new c(l(d2, relativeDateTimeUnit), null);
    }

    public c o(double d2, Direction direction, RelativeUnit relativeUnit) {
        d();
        return new c(j(d2, direction, relativeUnit), null);
    }

    public c p(double d2, RelativeDateTimeUnit relativeDateTimeUnit) {
        r rVar;
        d();
        CharSequence n = n(d2, relativeDateTimeUnit);
        if (n instanceof r) {
            rVar = (r) n;
        } else {
            r rVar2 = new r();
            rVar2.d(n, Field.LITERAL);
            rVar = rVar2;
        }
        return new c(rVar, null);
    }

    public c q(Direction direction, AbsoluteUnit absoluteUnit) {
        d();
        String i2 = i(direction, absoluteUnit);
        if (i2 == null) {
            return null;
        }
        r rVar = new r();
        rVar.d(i2, Field.LITERAL);
        return new c(rVar, null);
    }

    public DisplayContext s() {
        return this.j;
    }

    public Style t() {
        return this.i;
    }

    /* access modifiers changed from: private */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        private final com.ibm.icu.impl.d<String, f, ULocale> f15352a;

        class a extends m1<String, f, ULocale> {
            a() {
            }

            /* access modifiers changed from: protected */
            /* renamed from: c */
            public f a(String str, ULocale uLocale) {
                return new d(uLocale).b();
            }
        }

        private b() {
            this.f15352a = new a();
        }

        public f a(ULocale uLocale) {
            return this.f15352a.b(uLocale.toString(), uLocale);
        }

        /* synthetic */ b(a aVar) {
            this();
        }
    }
}
