package com.ibm.icu.text;

import com.ibm.icu.impl.y0;
import com.ibm.icu.text.MessagePattern;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.text.FieldPosition;
import java.text.Format;
import java.text.ParsePosition;

public class SelectFormat extends Format {

    /* renamed from: a  reason: collision with root package name */
    static final /* synthetic */ boolean f15377a = false;
    private static final long serialVersionUID = 2993154333257524984L;

    /* renamed from: b  reason: collision with root package name */
    private transient MessagePattern f15378b;
    private String pattern = null;

    public SelectFormat(String str) {
        applyPattern(str);
    }

    static int a(MessagePattern messagePattern, int i, String str) {
        int p = messagePattern.p();
        int i2 = 0;
        do {
            int i3 = i + 1;
            MessagePattern.Part u = messagePattern.u(i);
            if (u.l() == MessagePattern.Part.Type.ARG_LIMIT) {
                break;
            } else if (messagePattern.X(u, str)) {
                return i3;
            } else {
                if (i2 == 0 && messagePattern.X(u, PluralRules.KEYWORD_OTHER)) {
                    i2 = i3;
                }
                i = messagePattern.s(i3) + 1;
            }
        } while (i < p);
        return i2;
    }

    private void b() {
        this.pattern = null;
        MessagePattern messagePattern = this.f15378b;
        if (messagePattern != null) {
            messagePattern.h();
        }
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        String str = this.pattern;
        if (str != null) {
            applyPattern(str);
        }
    }

    public void applyPattern(String str) {
        this.pattern = str;
        if (this.f15378b == null) {
            this.f15378b = new MessagePattern();
        }
        try {
            this.f15378b.V(str);
        } catch (RuntimeException e2) {
            b();
            throw e2;
        }
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        MessagePattern messagePattern = this.f15378b;
        MessagePattern messagePattern2 = ((SelectFormat) obj).f15378b;
        if (messagePattern != null) {
            return messagePattern.equals(messagePattern2);
        }
        if (messagePattern2 == null) {
            return true;
        }
        return false;
    }

    public final String format(String str) {
        int i;
        if (y0.a(str)) {
            MessagePattern messagePattern = this.f15378b;
            if (messagePattern == null || messagePattern.p() == 0) {
                throw new IllegalStateException("Invalid format error.");
            }
            int a2 = a(this.f15378b, 0, str);
            if (!this.f15378b.J()) {
                return this.f15378b.x().substring(this.f15378b.u(a2).k(), this.f15378b.w(this.f15378b.s(a2)));
            }
            StringBuilder sb = null;
            int k = this.f15378b.u(a2).k();
            while (true) {
                a2++;
                MessagePattern.Part u = this.f15378b.u(a2);
                MessagePattern.Part.Type l = u.l();
                i = u.i();
                if (l == MessagePattern.Part.Type.MSG_LIMIT) {
                    break;
                } else if (l == MessagePattern.Part.Type.SKIP_SYNTAX) {
                    if (sb == null) {
                        sb = new StringBuilder();
                    }
                    sb.append((CharSequence) this.pattern, k, i);
                    k = u.k();
                } else if (l == MessagePattern.Part.Type.ARG_START) {
                    if (sb == null) {
                        sb = new StringBuilder();
                    }
                    sb.append((CharSequence) this.pattern, k, i);
                    a2 = this.f15378b.s(a2);
                    k = this.f15378b.u(a2).k();
                    MessagePattern.e(this.pattern, i, k, sb);
                }
            }
            if (sb == null) {
                return this.pattern.substring(k, i);
            }
            sb.append((CharSequence) this.pattern, k, i);
            return sb.toString();
        }
        throw new IllegalArgumentException("Invalid formatting argument.");
    }

    public int hashCode() {
        String str = this.pattern;
        if (str != null) {
            return str.hashCode();
        }
        return 0;
    }

    public Object parseObject(String str, ParsePosition parsePosition) {
        throw new UnsupportedOperationException();
    }

    public String toPattern() {
        return this.pattern;
    }

    public String toString() {
        return "pattern='" + this.pattern + "'";
    }

    public StringBuffer format(Object obj, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        if (obj instanceof String) {
            stringBuffer.append(format((String) obj));
            return stringBuffer;
        }
        throw new IllegalArgumentException("'" + obj + "' is not a String");
    }
}
