package com.ibm.icu.text;

import com.ibm.icu.impl.ICUResourceBundle;
import com.ibm.icu.impl.a0;
import com.ibm.icu.impl.l2;
import com.ibm.icu.number.g;
import com.ibm.icu.text.MeasureFormat;
import com.ibm.icu.util.MeasureUnit;
import com.ibm.icu.util.TimeUnit;
import com.ibm.icu.util.ULocale;
import com.ibm.icu.util.f0;
import com.ibm.icu.util.h0;
import java.io.ObjectStreamException;
import java.text.ParseException;
import java.text.ParsePosition;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;
import java.util.MissingResourceException;
import java.util.Set;
import java.util.TreeMap;

@Deprecated
public class TimeUnitFormat extends MeasureFormat {
    @Deprecated
    public static final int ABBREVIATED_NAME = 1;
    @Deprecated
    public static final int FULL_NAME = 0;
    private static final int Y0 = 2;
    private static final String Z0 = "{0} s";
    private static final String a1 = "{0} min";
    private static final String b1 = "{0} h";
    private static final String c1 = "{0} d";
    private static final String d1 = "{0} w";
    private static final String e1 = "{0} m";
    private static final String f1 = "{0} y";
    private static final long serialVersionUID = -3707773153184971529L;
    private NumberFormat format;
    private transient Map<TimeUnit, Map<String, Object[]>> g1;
    private transient PluralRules h1;
    private transient boolean i1;
    private ULocale locale;
    private int style;

    /* access modifiers changed from: private */
    public static final class a extends l2.c {

        /* renamed from: a  reason: collision with root package name */
        Map<TimeUnit, Map<String, Object[]>> f15421a;

        /* renamed from: b  reason: collision with root package name */
        int f15422b;

        /* renamed from: c  reason: collision with root package name */
        Set<String> f15423c;

        /* renamed from: d  reason: collision with root package name */
        ULocale f15424d;

        /* renamed from: e  reason: collision with root package name */
        boolean f15425e = false;

        a(Map<TimeUnit, Map<String, Object[]>> map, int i, Set<String> set, ULocale uLocale) {
            this.f15421a = map;
            this.f15422b = i;
            this.f15423c = set;
            this.f15424d = uLocale;
        }

        @Override // com.ibm.icu.impl.l2.c
        public void a(l2.b bVar, l2.e eVar, boolean z) {
            TimeUnit timeUnit;
            if (!this.f15425e) {
                this.f15425e = true;
                l2.d j = eVar.j();
                for (int i = 0; j.d(i, bVar, eVar); i++) {
                    String bVar2 = bVar.toString();
                    if (bVar2.equals("year")) {
                        timeUnit = MeasureUnit.YEAR;
                    } else if (bVar2.equals("month")) {
                        timeUnit = MeasureUnit.MONTH;
                    } else if (bVar2.equals("day")) {
                        timeUnit = MeasureUnit.DAY;
                    } else if (bVar2.equals("hour")) {
                        timeUnit = MeasureUnit.HOUR;
                    } else if (bVar2.equals("minute")) {
                        timeUnit = MeasureUnit.MINUTE;
                    } else if (bVar2.equals("second")) {
                        timeUnit = MeasureUnit.SECOND;
                    } else if (bVar2.equals("week")) {
                        timeUnit = MeasureUnit.WEEK;
                    }
                    Map<String, Object[]> map = this.f15421a.get(timeUnit);
                    if (map == null) {
                        map = new TreeMap<>();
                        this.f15421a.put(timeUnit, map);
                    }
                    l2.d j2 = eVar.j();
                    for (int i2 = 0; j2.d(i2, bVar, eVar); i2++) {
                        String bVar3 = bVar.toString();
                        if (this.f15423c.contains(bVar3)) {
                            Object[] objArr = map.get(bVar3);
                            if (objArr == null) {
                                objArr = new Object[2];
                                map.put(bVar3, objArr);
                            }
                            if (objArr[this.f15422b] == null) {
                                objArr[this.f15422b] = new MessageFormat(eVar.f(), this.f15424d);
                            }
                        }
                    }
                }
            }
        }
    }

    @Deprecated
    public TimeUnitFormat() {
        this(ULocale.getDefault(), 0);
    }

    private void B(String str, int i, TimeUnit timeUnit, String str2, String str3, Map<String, Object[]> map) {
        ULocale uLocale = this.locale;
        String measureUnit = timeUnit.toString();
        while (uLocale != null) {
            try {
                MessageFormat messageFormat = new MessageFormat(((ICUResourceBundle) h0.j(a0.n, uLocale)).Z0(str).Z0(measureUnit).W0(str3), this.locale);
                Object[] objArr = map.get(str2);
                if (objArr == null) {
                    objArr = new Object[2];
                    map.put(str2, objArr);
                }
                objArr[i] = messageFormat;
                return;
            } catch (MissingResourceException unused) {
                uLocale = uLocale.getFallback();
            }
        }
        if (uLocale == null && str.equals("unitsShort")) {
            B("units", i, timeUnit, str2, str3, map);
            if (!(map.get(str2) == null || map.get(str2)[i] == null)) {
                return;
            }
        }
        if (str3.equals(PluralRules.KEYWORD_OTHER)) {
            MessageFormat messageFormat2 = null;
            if (timeUnit == MeasureUnit.SECOND) {
                messageFormat2 = new MessageFormat(Z0, this.locale);
            } else if (timeUnit == MeasureUnit.MINUTE) {
                messageFormat2 = new MessageFormat(a1, this.locale);
            } else if (timeUnit == MeasureUnit.HOUR) {
                messageFormat2 = new MessageFormat(b1, this.locale);
            } else if (timeUnit == MeasureUnit.WEEK) {
                messageFormat2 = new MessageFormat(d1, this.locale);
            } else if (timeUnit == MeasureUnit.DAY) {
                messageFormat2 = new MessageFormat(c1, this.locale);
            } else if (timeUnit == MeasureUnit.MONTH) {
                messageFormat2 = new MessageFormat(e1, this.locale);
            } else if (timeUnit == MeasureUnit.YEAR) {
                messageFormat2 = new MessageFormat(f1, this.locale);
            }
            Object[] objArr2 = map.get(str2);
            if (objArr2 == null) {
                objArr2 = new Object[2];
                map.put(str2, objArr2);
            }
            objArr2[i] = messageFormat2;
            return;
        }
        B(str, i, timeUnit, str2, PluralRules.KEYWORD_OTHER, map);
    }

    private void C() {
        if (this.locale == null) {
            NumberFormat numberFormat = this.format;
            if (numberFormat != null) {
                this.locale = numberFormat.getLocale(null);
            } else {
                this.locale = ULocale.getDefault(ULocale.Category.FORMAT);
            }
            ULocale uLocale = this.locale;
            a(uLocale, uLocale);
        }
        if (this.format == null) {
            this.format = NumberFormat.getNumberInstance(this.locale);
        }
        this.h1 = PluralRules.forLocale(this.locale);
        this.g1 = new HashMap();
        Set<String> keywords = this.h1.getKeywords();
        D("units/duration", this.g1, 0, keywords);
        D("unitsShort/duration", this.g1, 1, keywords);
        this.i1 = true;
    }

    private void D(String str, Map<TimeUnit, Map<String, Object[]>> map, int i, Set<String> set) {
        try {
            try {
                ((ICUResourceBundle) h0.j(a0.n, this.locale)).s0(str, new a(map, i, set, this.locale));
            } catch (MissingResourceException unused) {
            }
        } catch (MissingResourceException unused2) {
        }
        TimeUnit[] values = TimeUnit.values();
        Set<String> keywords = this.h1.getKeywords();
        for (TimeUnit timeUnit : values) {
            Map<String, Object[]> map2 = map.get(timeUnit);
            if (map2 == null) {
                map2 = new TreeMap<>();
                map.put(timeUnit, map2);
            }
            for (String str2 : keywords) {
                if (map2.get(str2) == null || map2.get(str2)[i] == null) {
                    B(str, i, timeUnit, str2, str2, map2);
                }
            }
        }
    }

    private Object readResolve() throws ObjectStreamException {
        return new TimeUnitFormat(this.locale, this.style, this.format);
    }

    private Object writeReplace() throws ObjectStreamException {
        return super.y();
    }

    @Override // java.lang.Object
    @Deprecated
    public Object clone() {
        TimeUnitFormat timeUnitFormat = (TimeUnitFormat) super.clone();
        timeUnitFormat.format = (NumberFormat) this.format.clone();
        return timeUnitFormat;
    }

    @Override // com.ibm.icu.text.MeasureFormat
    @Deprecated
    public NumberFormat getNumberFormat() {
        return (NumberFormat) this.format.clone();
    }

    /* access modifiers changed from: package-private */
    @Override // com.ibm.icu.text.MeasureFormat
    public NumberFormat p() {
        return this.format;
    }

    /* access modifiers changed from: package-private */
    @Override // com.ibm.icu.text.MeasureFormat
    public g q() {
        return ((DecimalFormat) this.format).toNumberFormatter();
    }

    @Deprecated
    public TimeUnitFormat setLocale(ULocale uLocale) {
        a(uLocale, uLocale);
        c();
        return this;
    }

    @Deprecated
    public TimeUnitFormat setNumberFormat(NumberFormat numberFormat) {
        if (numberFormat == this.format) {
            return this;
        }
        if (numberFormat == null) {
            ULocale uLocale = this.locale;
            if (uLocale == null) {
                this.i1 = false;
            } else {
                this.format = NumberFormat.getNumberInstance(uLocale);
            }
        } else {
            this.format = numberFormat;
        }
        c();
        return this;
    }

    @Deprecated
    public TimeUnitFormat(ULocale uLocale) {
        this(uLocale, 0);
    }

    @Deprecated
    public TimeUnitFormat(Locale locale2) {
        this(locale2, 0);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r13v13, types: [java.lang.Number] */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // com.ibm.icu.text.MeasureFormat, com.ibm.icu.text.MeasureFormat
    @Deprecated
    public f0 parseObject(String str, ParsePosition parsePosition) {
        Integer num;
        if (!this.i1) {
            C();
        }
        int index = parsePosition.getIndex();
        Iterator<TimeUnit> it = this.g1.keySet().iterator();
        int i = null;
        int i2 = 0;
        String str2 = null;
        TimeUnit timeUnit = null;
        int i3 = -1;
        while (true) {
            int i4 = 2;
            if (!it.hasNext()) {
                break;
            }
            TimeUnit next = it.next();
            for (Map.Entry<String, Object[]> entry : this.g1.get(next).entrySet()) {
                String key = entry.getKey();
                int i5 = 0;
                while (i5 < i4) {
                    parsePosition.setErrorIndex(-1);
                    parsePosition.setIndex(index);
                    Object parseObject = ((MessageFormat) entry.getValue()[i5]).parseObject(str, parsePosition);
                    if (parsePosition.getErrorIndex() == -1 && parsePosition.getIndex() != index) {
                        Object[] objArr = (Object[]) parseObject;
                        if (objArr.length != 0) {
                            Object obj = objArr[0];
                            if (obj instanceof Number) {
                                num = (Number) obj;
                            } else {
                                try {
                                    num = this.format.parse(obj.toString());
                                } catch (ParseException unused) {
                                }
                            }
                        } else {
                            num = null;
                        }
                        int index2 = parsePosition.getIndex() - index;
                        if (index2 > i2) {
                            i3 = parsePosition.getIndex();
                            i2 = index2;
                            timeUnit = next;
                            i = num;
                            str2 = key;
                        }
                    }
                    i5++;
                    it = it;
                    i4 = 2;
                }
            }
        }
        if (i == null && i2 != 0) {
            if (str2.equals(PluralRules.KEYWORD_ZERO)) {
                i = 0;
            } else if (str2.equals(PluralRules.KEYWORD_ONE)) {
                i = 1;
            } else if (str2.equals(PluralRules.KEYWORD_TWO)) {
                i = 2;
            } else {
                i = 3;
            }
        }
        if (i2 == 0) {
            parsePosition.setIndex(index);
            parsePosition.setErrorIndex(0);
            return null;
        }
        parsePosition.setIndex(i3);
        parsePosition.setErrorIndex(-1);
        return new f0(i, timeUnit);
    }

    @Deprecated
    public TimeUnitFormat setLocale(Locale locale2) {
        return setLocale(ULocale.forLocale(locale2));
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    @Deprecated
    public TimeUnitFormat(ULocale uLocale, int i) {
        super(uLocale, i == 0 ? MeasureFormat.FormatWidth.WIDE : MeasureFormat.FormatWidth.SHORT);
        this.format = super.p();
        if (i < 0 || i >= 2) {
            throw new IllegalArgumentException("style should be either FULL_NAME or ABBREVIATED_NAME style");
        }
        this.style = i;
        this.i1 = false;
    }

    private TimeUnitFormat(ULocale uLocale, int i, NumberFormat numberFormat) {
        this(uLocale, i);
        if (numberFormat != null) {
            setNumberFormat((NumberFormat) numberFormat.clone());
        }
    }

    @Deprecated
    public TimeUnitFormat(Locale locale2, int i) {
        this(ULocale.forLocale(locale2), i);
    }
}
