package com.ibm.icu.text;

import com.ibm.icu.impl.TZDBTimeZoneNames;
import com.ibm.icu.impl.TimeZoneNamesImpl;
import com.ibm.icu.impl.m1;
import com.ibm.icu.impl.x;
import com.ibm.icu.util.ULocale;
import java.io.Serializable;
import java.util.Collection;
import java.util.Collections;
import java.util.EnumSet;
import java.util.Locale;
import java.util.Set;

public abstract class TimeZoneNames implements Serializable {
    private static final String I0 = "com.ibm.icu.text.TimeZoneNames.Factory.impl";
    private static final String J0 = "com.ibm.icu.impl.TimeZoneNamesFactoryImpl";

    /* renamed from: a  reason: collision with root package name */
    private static b f15438a = new b();

    /* renamed from: b  reason: collision with root package name */
    private static final d f15439b;
    private static final long serialVersionUID = -9180227029248969153L;

    public enum NameType {
        LONG_GENERIC,
        LONG_STANDARD,
        LONG_DAYLIGHT,
        SHORT_GENERIC,
        SHORT_STANDARD,
        SHORT_DAYLIGHT,
        EXEMPLAR_LOCATION
    }

    /* access modifiers changed from: private */
    public static class b extends m1<String, TimeZoneNames, ULocale> {
        private b() {
        }

        /* access modifiers changed from: protected */
        /* renamed from: c */
        public TimeZoneNames a(String str, ULocale uLocale) {
            return TimeZoneNames.f15439b.a(uLocale);
        }
    }

    private static class c extends TimeZoneNames {
        public static final c K0 = new c();
        private static final long serialVersionUID = -995672072494349071L;

        public static class a extends d {
            @Override // com.ibm.icu.text.TimeZoneNames.d
            public TimeZoneNames a(ULocale uLocale) {
                return c.K0;
            }
        }

        private c() {
        }

        @Override // com.ibm.icu.text.TimeZoneNames
        public Collection<e> find(CharSequence charSequence, int i, EnumSet<NameType> enumSet) {
            return Collections.emptyList();
        }

        @Override // com.ibm.icu.text.TimeZoneNames
        public Set<String> getAvailableMetaZoneIDs() {
            return Collections.emptySet();
        }

        @Override // com.ibm.icu.text.TimeZoneNames
        public String getMetaZoneDisplayName(String str, NameType nameType) {
            return null;
        }

        @Override // com.ibm.icu.text.TimeZoneNames
        public String getMetaZoneID(String str, long j) {
            return null;
        }

        @Override // com.ibm.icu.text.TimeZoneNames
        public String getReferenceZoneID(String str, String str2) {
            return null;
        }

        @Override // com.ibm.icu.text.TimeZoneNames
        public String getTimeZoneDisplayName(String str, NameType nameType) {
            return null;
        }

        @Override // com.ibm.icu.text.TimeZoneNames
        public Set<String> getAvailableMetaZoneIDs(String str) {
            return Collections.emptySet();
        }
    }

    @Deprecated
    public static abstract class d {
        @Deprecated
        protected d() {
        }

        @Deprecated
        public abstract TimeZoneNames a(ULocale uLocale);
    }

    public static class e {

        /* renamed from: a  reason: collision with root package name */
        private NameType f15441a;

        /* renamed from: b  reason: collision with root package name */
        private String f15442b;

        /* renamed from: c  reason: collision with root package name */
        private String f15443c;

        /* renamed from: d  reason: collision with root package name */
        private int f15444d;

        public e(NameType nameType, String str, String str2, int i) {
            if (nameType == null) {
                throw new IllegalArgumentException("nameType is null");
            } else if (str == null && str2 == null) {
                throw new IllegalArgumentException("Either tzID or mzID must be available");
            } else if (i > 0) {
                this.f15441a = nameType;
                this.f15442b = str;
                this.f15443c = str2;
                this.f15444d = i;
            } else {
                throw new IllegalArgumentException("matchLength must be positive value");
            }
        }

        public int a() {
            return this.f15444d;
        }

        public String b() {
            return this.f15443c;
        }

        public NameType c() {
            return this.f15441a;
        }

        public String d() {
            return this.f15442b;
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v2, types: [com.ibm.icu.text.TimeZoneNames$d] */
    /* JADX WARNING: Unknown variable types count: 1 */
    static {
        c.a aVar = null;
        String b2 = x.b(I0, J0);
        while (true) {
            try {
                aVar = (d) Class.forName(b2).newInstance();
                break;
            } catch (ClassNotFoundException | IllegalAccessException | InstantiationException unused) {
                if (b2.equals(J0)) {
                    break;
                }
                b2 = J0;
            }
        }
        if (aVar == null) {
            aVar = new c.a();
        }
        f15439b = aVar;
    }

    protected TimeZoneNames() {
    }

    public static TimeZoneNames getInstance(ULocale uLocale) {
        return (TimeZoneNames) f15438a.b(uLocale.getBaseName(), uLocale);
    }

    public static TimeZoneNames getTZDBInstance(ULocale uLocale) {
        return new TZDBTimeZoneNames(uLocale);
    }

    public Collection<e> find(CharSequence charSequence, int i, EnumSet<NameType> enumSet) {
        throw new UnsupportedOperationException("The method is not implemented in TimeZoneNames base class.");
    }

    public abstract Set<String> getAvailableMetaZoneIDs();

    public abstract Set<String> getAvailableMetaZoneIDs(String str);

    public final String getDisplayName(String str, NameType nameType, long j) {
        String timeZoneDisplayName = getTimeZoneDisplayName(str, nameType);
        return timeZoneDisplayName == null ? getMetaZoneDisplayName(getMetaZoneID(str, j), nameType) : timeZoneDisplayName;
    }

    @Deprecated
    public void getDisplayNames(String str, NameType[] nameTypeArr, long j, String[] strArr, int i) {
        if (!(str == null || str.length() == 0)) {
            String str2 = null;
            for (int i2 = 0; i2 < nameTypeArr.length; i2++) {
                NameType nameType = nameTypeArr[i2];
                String timeZoneDisplayName = getTimeZoneDisplayName(str, nameType);
                if (timeZoneDisplayName == null) {
                    if (str2 == null) {
                        str2 = getMetaZoneID(str, j);
                    }
                    timeZoneDisplayName = getMetaZoneDisplayName(str2, nameType);
                }
                strArr[i + i2] = timeZoneDisplayName;
            }
        }
    }

    public String getExemplarLocationName(String str) {
        return TimeZoneNamesImpl.getDefaultExemplarLocationName(str);
    }

    public abstract String getMetaZoneDisplayName(String str, NameType nameType);

    public abstract String getMetaZoneID(String str, long j);

    public abstract String getReferenceZoneID(String str, String str2);

    public abstract String getTimeZoneDisplayName(String str, NameType nameType);

    @Deprecated
    public void loadAllDisplayNames() {
    }

    public static TimeZoneNames getInstance(Locale locale) {
        return getInstance(ULocale.forLocale(locale));
    }
}
